/* Copyright (C) 2013-2016, The Regents of The University of Michigan.
All rights reserved.
This software was developed in the APRIL Robotics Lab under the
direction of Edwin Olson, ebolson@umich.edu. This software may be
available under alternative licensing terms; contact the address above.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
1. Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
The views and conclusions contained in the software and documentation are those
of the authors and should not be interpreted as representing official policies,
either expressed or implied, of the Regents of The University of Michigan.
*/

#include <stdlib.h>
#include "apriltag.h"

apriltag_family_t *tagCircle49h12_create()
{
   apriltag_family_t *tf = (apriltag_family_t *)calloc(1, sizeof(apriltag_family_t));
   tf->name = strdup("tagCircle49h12");
   tf->h = 12;
   tf->ncodes = 65535;
   tf->codes = (uint64_t *)calloc(65535, sizeof(uint64_t));
   tf->codes[0] = 0x0000c6c921d8614aUL;
   tf->codes[1] = 0x0000c6c95c67670fUL;
   tf->codes[2] = 0x0000c6c996f66cd4UL;
   tf->codes[3] = 0x0000c6c9d1857299UL;
   tf->codes[4] = 0x0000c6ca813283e8UL;
   tf->codes[5] = 0x0000c6cabbc189adUL;
   tf->codes[6] = 0x0000c6caf6508f72UL;
   tf->codes[7] = 0x0000c6cb30df9537UL;
   tf->codes[8] = 0x0000c6cb6b6e9afcUL;
   tf->codes[9] = 0x0000c6cba5fda0c1UL;
   tf->codes[10] = 0x0000c6cbe08ca686UL;
   tf->codes[11] = 0x0000c6cc1b1bac4bUL;
   tf->codes[12] = 0x0000c6cc55aab210UL;
   tf->codes[13] = 0x0000c6cc9039b7d5UL;
   tf->codes[14] = 0x0000c6cccac8bd9aUL;
   tf->codes[15] = 0x0000c6cd0557c35fUL;
   tf->codes[16] = 0x0000c6cd3fe6c924UL;
   tf->codes[17] = 0x0000c6cd7a75cee9UL;
   tf->codes[18] = 0x0000c6cdb504d4aeUL;
   tf->codes[19] = 0x0000c6cdef93da73UL;
   tf->codes[20] = 0x0000c6ce2a22e038UL;
   tf->codes[21] = 0x0000c6ce64b1e5fdUL;
   tf->codes[22] = 0x0000c6ce9f40ebc2UL;
   tf->codes[23] = 0x0000c6cf4eedfd11UL;
   tf->codes[24] = 0x0000c6cf897d02d6UL;
   tf->codes[25] = 0x0000c6cfc40c089bUL;
   tf->codes[26] = 0x0000c6d0392a1425UL;
   tf->codes[27] = 0x0000c6d073b919eaUL;
   tf->codes[28] = 0x0000c6d0ae481fafUL;
   tf->codes[29] = 0x0000c6d0e8d72574UL;
   tf->codes[30] = 0x0000c6d123662b39UL;
   tf->codes[31] = 0x0000c6d15df530feUL;
   tf->codes[32] = 0x0000c6d1988436c3UL;
   tf->codes[33] = 0x0000c6d1d3133c88UL;
   tf->codes[34] = 0x0000c6d20da2424dUL;
   tf->codes[35] = 0x0000c6d248314812UL;
   tf->codes[36] = 0x0000c6d2bd4f539cUL;
   tf->codes[37] = 0x0000c6d2f7de5961UL;
   tf->codes[38] = 0x0000c6d3326d5f26UL;
   tf->codes[39] = 0x0000c6d36cfc64ebUL;
   tf->codes[40] = 0x0000c6d3a78b6ab0UL;
   tf->codes[41] = 0x0000c6d3e21a7075UL;
   tf->codes[42] = 0x0000c6d41ca9763aUL;
   tf->codes[43] = 0x0000c6d491c781c4UL;
   tf->codes[44] = 0x0000c6d4cc568789UL;
   tf->codes[45] = 0x0000c6d506e58d4eUL;
   tf->codes[46] = 0x0000c6d541749313UL;
   tf->codes[47] = 0x0000c6d57c0398d8UL;
   tf->codes[48] = 0x0000c6d5b6929e9dUL;
   tf->codes[49] = 0x0000c6d5f121a462UL;
   tf->codes[50] = 0x0000c6d62bb0aa27UL;
   tf->codes[51] = 0x0000c6d6663fafecUL;
   tf->codes[52] = 0x0000c6d6a0ceb5b1UL;
   tf->codes[53] = 0x0000c6d6db5dbb76UL;
   tf->codes[54] = 0x0000c6d715ecc13bUL;
   tf->codes[55] = 0x0000c6d7507bc700UL;
   tf->codes[56] = 0x0000c6d78b0accc5UL;
   tf->codes[57] = 0x0000c6d7c599d28aUL;
   tf->codes[58] = 0x0000c6d83ab7de14UL;
   tf->codes[59] = 0x0000c6d87546e3d9UL;
   tf->codes[60] = 0x0000c6d8afd5e99eUL;
   tf->codes[61] = 0x0000c6d8ea64ef63UL;
   tf->codes[62] = 0x0000c6d924f3f528UL;
   tf->codes[63] = 0x0000c6d95f82faedUL;
   tf->codes[64] = 0x0000c6d99a1200b2UL;
   tf->codes[65] = 0x0000c6d9d4a10677UL;
   tf->codes[66] = 0x0000c6da49bf1201UL;
   tf->codes[67] = 0x0000c6da844e17c6UL;
   tf->codes[68] = 0x0000c6daf96c2350UL;
   tf->codes[69] = 0x0000c6db33fb2915UL;
   tf->codes[70] = 0x0000c6db6e8a2edaUL;
   tf->codes[71] = 0x0000c6dba919349fUL;
   tf->codes[72] = 0x0000c6dc1e374029UL;
   tf->codes[73] = 0x0000c6dc58c645eeUL;
   tf->codes[74] = 0x0000c6dc93554bb3UL;
   tf->codes[75] = 0x0000c6dccde45178UL;
   tf->codes[76] = 0x0000c6dd7d9162c7UL;
   tf->codes[77] = 0x0000c6ddf2af6e51UL;
   tf->codes[78] = 0x0000c6de2d3e7416UL;
   tf->codes[79] = 0x0000c6dedceb8565UL;
   tf->codes[80] = 0x0000c6df520990efUL;
   tf->codes[81] = 0x0000c6df8c9896b4UL;
   tf->codes[82] = 0x0000c6dfc7279c79UL;
   tf->codes[83] = 0x0000c6e076d4adc8UL;
   tf->codes[84] = 0x0000c6e0b163b38dUL;
   tf->codes[85] = 0x0000c6e0ebf2b952UL;
   tf->codes[86] = 0x0000c6e16110c4dcUL;
   tf->codes[87] = 0x0000c6e19b9fcaa1UL;
   tf->codes[88] = 0x0000c6e1d62ed066UL;
   tf->codes[89] = 0x0000c6e210bdd62bUL;
   tf->codes[90] = 0x0000c6e285dbe1b5UL;
   tf->codes[91] = 0x0000c6e2c06ae77aUL;
   tf->codes[92] = 0x0000c6e2faf9ed3fUL;
   tf->codes[93] = 0x0000c6e37017f8c9UL;
   tf->codes[94] = 0x0000c6e3aaa6fe8eUL;
   tf->codes[95] = 0x0000c6e3e5360453UL;
   tf->codes[96] = 0x0000c6e494e315a2UL;
   tf->codes[97] = 0x0000c6e50a01212cUL;
   tf->codes[98] = 0x0000c6e5449026f1UL;
   tf->codes[99] = 0x0000c6e57f1f2cb6UL;
   tf->codes[100] = 0x0000c6e5b9ae327bUL;
   tf->codes[101] = 0x0000c6e5f43d3840UL;
   tf->codes[102] = 0x0000c6e6695b43caUL;
   tf->codes[103] = 0x0000c6e6a3ea498fUL;
   tf->codes[104] = 0x0000c6e6de794f54UL;
   tf->codes[105] = 0x0000c6e719085519UL;
   tf->codes[106] = 0x0000c6e753975adeUL;
   tf->codes[107] = 0x0000c6e7c8b56668UL;
   tf->codes[108] = 0x0000c6e83dd371f2UL;
   tf->codes[109] = 0x0000c6e8ed808341UL;
   tf->codes[110] = 0x0000c6e9280f8906UL;
   tf->codes[111] = 0x0000c6e99d2d9490UL;
   tf->codes[112] = 0x0000c6e9d7bc9a55UL;
   tf->codes[113] = 0x0000c6ea124ba01aUL;
   tf->codes[114] = 0x0000c6ea4cdaa5dfUL;
   tf->codes[115] = 0x0000c6eafc87b72eUL;
   tf->codes[116] = 0x0000c6eb3716bcf3UL;
   tf->codes[117] = 0x0000c6ebac34c87dUL;
   tf->codes[118] = 0x0000c6ec5be1d9ccUL;
   tf->codes[119] = 0x0000c6ecd0ffe556UL;
   tf->codes[120] = 0x0000c6ed0b8eeb1bUL;
   tf->codes[121] = 0x0000c6edf5cb022fUL;
   tf->codes[122] = 0x0000c6ee305a07f4UL;
   tf->codes[123] = 0x0000c6eee0071943UL;
   tf->codes[124] = 0x0000c6ef1a961f08UL;
   tf->codes[125] = 0x0000c6ef552524cdUL;
   tf->codes[126] = 0x0000c6f03f613be1UL;
   tf->codes[127] = 0x0000c6f079f041a6UL;
   tf->codes[128] = 0x0000c6f0b47f476bUL;
   tf->codes[129] = 0x0000c6f0ef0e4d30UL;
   tf->codes[130] = 0x0000c6f1299d52f5UL;
   tf->codes[131] = 0x0000c6f1642c58baUL;
   tf->codes[132] = 0x0000c6f19ebb5e7fUL;
   tf->codes[133] = 0x0000c6f1d94a6444UL;
   tf->codes[134] = 0x0000c6f213d96a09UL;
   tf->codes[135] = 0x0000c6f288f77593UL;
   tf->codes[136] = 0x0000c6f2c3867b58UL;
   tf->codes[137] = 0x0000c6f2fe15811dUL;
   tf->codes[138] = 0x0000c6f373338ca7UL;
   tf->codes[139] = 0x0000c6f3e8519831UL;
   tf->codes[140] = 0x0000c6f45d6fa3bbUL;
   tf->codes[141] = 0x0000c6f50d1cb50aUL;
   tf->codes[142] = 0x0000c6f5bcc9c659UL;
   tf->codes[143] = 0x0000c6f6e194e332UL;
   tf->codes[144] = 0x0000c6f79141f481UL;
   tf->codes[145] = 0x0000c6f8b60d115aUL;
   tf->codes[146] = 0x0000c6f965ba22a9UL;
   tf->codes[147] = 0x0000c6f9dad82e33UL;
   tf->codes[148] = 0x0000c6fa4ff639bdUL;
   tf->codes[149] = 0x0000c6faffa34b0cUL;
   tf->codes[150] = 0x0000c6fb74c15696UL;
   tf->codes[151] = 0x0000c6fbaf505c5bUL;
   tf->codes[152] = 0x0000c6fc5efd6daaUL;
   tf->codes[153] = 0x0000c6fcd41b7934UL;
   tf->codes[154] = 0x0000c6fd493984beUL;
   tf->codes[155] = 0x0000c6fd83c88a83UL;
   tf->codes[156] = 0x0000c6fee322ad21UL;
   tf->codes[157] = 0x0000c6ffcd5ec435UL;
   tf->codes[158] = 0x0000c700427ccfbfUL;
   tf->codes[159] = 0x0000c7007d0bd584UL;
   tf->codes[160] = 0x0000c700b79adb49UL;
   tf->codes[161] = 0x0000c7012cb8e6d3UL;
   tf->codes[162] = 0x0000c7016747ec98UL;
   tf->codes[163] = 0x0000c701a1d6f25dUL;
   tf->codes[164] = 0x0000c701dc65f822UL;
   tf->codes[165] = 0x0000c702518403acUL;
   tf->codes[166] = 0x0000c7028c130971UL;
   tf->codes[167] = 0x0000c702c6a20f36UL;
   tf->codes[168] = 0x0000c703013114fbUL;
   tf->codes[169] = 0x0000c703764f2085UL;
   tf->codes[170] = 0x0000c703b0de264aUL;
   tf->codes[171] = 0x0000c703eb6d2c0fUL;
   tf->codes[172] = 0x0000c704608b3799UL;
   tf->codes[173] = 0x0000c7049b1a3d5eUL;
   tf->codes[174] = 0x0000c704d5a94323UL;
   tf->codes[175] = 0x0000c705103848e8UL;
   tf->codes[176] = 0x0000c7054ac74eadUL;
   tf->codes[177] = 0x0000c70585565472UL;
   tf->codes[178] = 0x0000c705bfe55a37UL;
   tf->codes[179] = 0x0000c705fa745ffcUL;
   tf->codes[180] = 0x0000c7066f926b86UL;
   tf->codes[181] = 0x0000c706aa21714bUL;
   tf->codes[182] = 0x0000c706e4b07710UL;
   tf->codes[183] = 0x0000c7071f3f7cd5UL;
   tf->codes[184] = 0x0000c70759ce829aUL;
   tf->codes[185] = 0x0000c707945d885fUL;
   tf->codes[186] = 0x0000c708440a99aeUL;
   tf->codes[187] = 0x0000c7087e999f73UL;
   tf->codes[188] = 0x0000c708b928a538UL;
   tf->codes[189] = 0x0000c708f3b7aafdUL;
   tf->codes[190] = 0x0000c7092e46b0c2UL;
   tf->codes[191] = 0x0000c70968d5b687UL;
   tf->codes[192] = 0x0000c709ddf3c211UL;
   tf->codes[193] = 0x0000c70a1882c7d6UL;
   tf->codes[194] = 0x0000c70a5311cd9bUL;
   tf->codes[195] = 0x0000c70a8da0d360UL;
   tf->codes[196] = 0x0000c70ac82fd925UL;
   tf->codes[197] = 0x0000c70b02bedeeaUL;
   tf->codes[198] = 0x0000c70b3d4de4afUL;
   tf->codes[199] = 0x0000c70b77dcea74UL;
   tf->codes[200] = 0x0000c70bb26bf039UL;
   tf->codes[201] = 0x0000c70becfaf5feUL;
   tf->codes[202] = 0x0000c70c9ca8074dUL;
   tf->codes[203] = 0x0000c70cd7370d12UL;
   tf->codes[204] = 0x0000c70d4c55189cUL;
   tf->codes[205] = 0x0000c70d86e41e61UL;
   tf->codes[206] = 0x0000c70dc1732426UL;
   tf->codes[207] = 0x0000c70dfc0229ebUL;
   tf->codes[208] = 0x0000c70e36912fb0UL;
   tf->codes[209] = 0x0000c70e71203575UL;
   tf->codes[210] = 0x0000c70eabaf3b3aUL;
   tf->codes[211] = 0x0000c70ee63e40ffUL;
   tf->codes[212] = 0x0000c70f20cd46c4UL;
   tf->codes[213] = 0x0000c70f95eb524eUL;
   tf->codes[214] = 0x0000c70fd07a5813UL;
   tf->codes[215] = 0x0000c71080276962UL;
   tf->codes[216] = 0x0000c710bab66f27UL;
   tf->codes[217] = 0x0000c710f54574ecUL;
   tf->codes[218] = 0x0000c7116a638076UL;
   tf->codes[219] = 0x0000c711a4f2863bUL;
   tf->codes[220] = 0x0000c7121a1091c5UL;
   tf->codes[221] = 0x0000c712549f978aUL;
   tf->codes[222] = 0x0000c7128f2e9d4fUL;
   tf->codes[223] = 0x0000c712c9bda314UL;
   tf->codes[224] = 0x0000c7133edbae9eUL;
   tf->codes[225] = 0x0000c713796ab463UL;
   tf->codes[226] = 0x0000c713ee88bfedUL;
   tf->codes[227] = 0x0000c7142917c5b2UL;
   tf->codes[228] = 0x0000c71463a6cb77UL;
   tf->codes[229] = 0x0000c7149e35d13cUL;
   tf->codes[230] = 0x0000c714d8c4d701UL;
   tf->codes[231] = 0x0000c7151353dcc6UL;
   tf->codes[232] = 0x0000c7158871e850UL;
   tf->codes[233] = 0x0000c715fd8ff3daUL;
   tf->codes[234] = 0x0000c716381ef99fUL;
   tf->codes[235] = 0x0000c71672adff64UL;
   tf->codes[236] = 0x0000c716ad3d0529UL;
   tf->codes[237] = 0x0000c716e7cc0aeeUL;
   tf->codes[238] = 0x0000c717225b10b3UL;
   tf->codes[239] = 0x0000c7175cea1678UL;
   tf->codes[240] = 0x0000c717d2082202UL;
   tf->codes[241] = 0x0000c71847262d8cUL;
   tf->codes[242] = 0x0000c718bc443916UL;
   tf->codes[243] = 0x0000c718f6d33edbUL;
   tf->codes[244] = 0x0000c719316244a0UL;
   tf->codes[245] = 0x0000c7196bf14a65UL;
   tf->codes[246] = 0x0000c71a1b9e5bb4UL;
   tf->codes[247] = 0x0000c71a562d6179UL;
   tf->codes[248] = 0x0000c71b4069788dUL;
   tf->codes[249] = 0x0000c71b7af87e52UL;
   tf->codes[250] = 0x0000c71bb5878417UL;
   tf->codes[251] = 0x0000c71bf01689dcUL;
   tf->codes[252] = 0x0000c71c2aa58fa1UL;
   tf->codes[253] = 0x0000c71c9fc39b2bUL;
   tf->codes[254] = 0x0000c71d14e1a6b5UL;
   tf->codes[255] = 0x0000c71d4f70ac7aUL;
   tf->codes[256] = 0x0000c71d89ffb23fUL;
   tf->codes[257] = 0x0000c71dff1dbdc9UL;
   tf->codes[258] = 0x0000c71e39acc38eUL;
   tf->codes[259] = 0x0000c71eaecacf18UL;
   tf->codes[260] = 0x0000c71ee959d4ddUL;
   tf->codes[261] = 0x0000c71f9906e62cUL;
   tf->codes[262] = 0x0000c7208342fd40UL;
   tf->codes[263] = 0x0000c720bdd20305UL;
   tf->codes[264] = 0x0000c720f86108caUL;
   tf->codes[265] = 0x0000c72132f00e8fUL;
   tf->codes[266] = 0x0000c7216d7f1454UL;
   tf->codes[267] = 0x0000c721a80e1a19UL;
   tf->codes[268] = 0x0000c721e29d1fdeUL;
   tf->codes[269] = 0x0000c7221d2c25a3UL;
   tf->codes[270] = 0x0000c72257bb2b68UL;
   tf->codes[271] = 0x0000c722ccd936f2UL;
   tf->codes[272] = 0x0000c72341f7427cUL;
   tf->codes[273] = 0x0000c7237c864841UL;
   tf->codes[274] = 0x0000c723b7154e06UL;
   tf->codes[275] = 0x0000c723f1a453cbUL;
   tf->codes[276] = 0x0000c7242c335990UL;
   tf->codes[277] = 0x0000c724a151651aUL;
   tf->codes[278] = 0x0000c724dbe06adfUL;
   tf->codes[279] = 0x0000c7258b8d7c2eUL;
   tf->codes[280] = 0x0000c725c61c81f3UL;
   tf->codes[281] = 0x0000c72675c99342UL;
   tf->codes[282] = 0x0000c726eae79eccUL;
   tf->codes[283] = 0x0000c7272576a491UL;
   tf->codes[284] = 0x0000c7276005aa56UL;
   tf->codes[285] = 0x0000c7279a94b01bUL;
   tf->codes[286] = 0x0000c727d523b5e0UL;
   tf->codes[287] = 0x0000c7280fb2bba5UL;
   tf->codes[288] = 0x0000c7284a41c16aUL;
   tf->codes[289] = 0x0000c728bf5fccf4UL;
   tf->codes[290] = 0x0000c728f9eed2b9UL;
   tf->codes[291] = 0x0000c7296f0cde43UL;
   tf->codes[292] = 0x0000c729a99be408UL;
   tf->codes[293] = 0x0000c72a93d7fb1cUL;
   tf->codes[294] = 0x0000c72ace6700e1UL;
   tf->codes[295] = 0x0000c72b08f606a6UL;
   tf->codes[296] = 0x0000c72b7e141230UL;
   tf->codes[297] = 0x0000c72bb8a317f5UL;
   tf->codes[298] = 0x0000c72bf3321dbaUL;
   tf->codes[299] = 0x0000c72cdd6e34ceUL;
   tf->codes[300] = 0x0000c72d17fd3a93UL;
   tf->codes[301] = 0x0000c72d528c4058UL;
   tf->codes[302] = 0x0000c72e023951a7UL;
   tf->codes[303] = 0x0000c72eb1e662f6UL;
   tf->codes[304] = 0x0000c72f61937445UL;
   tf->codes[305] = 0x0000c73011408594UL;
   tf->codes[306] = 0x0000c7304bcf8b59UL;
   tf->codes[307] = 0x0000c730865e911eUL;
   tf->codes[308] = 0x0000c730fb7c9ca8UL;
   tf->codes[309] = 0x0000c731360ba26dUL;
   tf->codes[310] = 0x0000c731709aa832UL;
   tf->codes[311] = 0x0000c731ab29adf7UL;
   tf->codes[312] = 0x0000c731e5b8b3bcUL;
   tf->codes[313] = 0x0000c7322047b981UL;
   tf->codes[314] = 0x0000c7325ad6bf46UL;
   tf->codes[315] = 0x0000c7329565c50bUL;
   tf->codes[316] = 0x0000c732cff4cad0UL;
   tf->codes[317] = 0x0000c7334512d65aUL;
   tf->codes[318] = 0x0000c7337fa1dc1fUL;
   tf->codes[319] = 0x0000c7342f4eed6eUL;
   tf->codes[320] = 0x0000c734a46cf8f8UL;
   tf->codes[321] = 0x0000c734defbfebdUL;
   tf->codes[322] = 0x0000c735198b0482UL;
   tf->codes[323] = 0x0000c735541a0a47UL;
   tf->codes[324] = 0x0000c735c93815d1UL;
   tf->codes[325] = 0x0000c73603c71b96UL;
   tf->codes[326] = 0x0000c7363e56215bUL;
   tf->codes[327] = 0x0000c736b3742ce5UL;
   tf->codes[328] = 0x0000c736ee0332aaUL;
   tf->codes[329] = 0x0000c7379db043f9UL;
   tf->codes[330] = 0x0000c737d83f49beUL;
   tf->codes[331] = 0x0000c73812ce4f83UL;
   tf->codes[332] = 0x0000c738c27b60d2UL;
   tf->codes[333] = 0x0000c738fd0a6697UL;
   tf->codes[334] = 0x0000c73937996c5cUL;
   tf->codes[335] = 0x0000c73972287221UL;
   tf->codes[336] = 0x0000c739e7467dabUL;
   tf->codes[337] = 0x0000c73a21d58370UL;
   tf->codes[338] = 0x0000c73a5c648935UL;
   tf->codes[339] = 0x0000c73bbbbeabd3UL;
   tf->codes[340] = 0x0000c73bf64db198UL;
   tf->codes[341] = 0x0000c73ce089c8acUL;
   tf->codes[342] = 0x0000c73d1b18ce71UL;
   tf->codes[343] = 0x0000c73eb501f6d4UL;
   tf->codes[344] = 0x0000c73f2a20025eUL;
   tf->codes[345] = 0x0000c73f64af0823UL;
   tf->codes[346] = 0x0000c73f9f3e0de8UL;
   tf->codes[347] = 0x0000c73fd9cd13adUL;
   tf->codes[348] = 0x0000c740145c1972UL;
   tf->codes[349] = 0x0000c740897a24fcUL;
   tf->codes[350] = 0x0000c740c4092ac1UL;
   tf->codes[351] = 0x0000c74173b63c10UL;
   tf->codes[352] = 0x0000c741ae4541d5UL;
   tf->codes[353] = 0x0000c741e8d4479aUL;
   tf->codes[354] = 0x0000c74223634d5fUL;
   tf->codes[355] = 0x0000c742988158e9UL;
   tf->codes[356] = 0x0000c742d3105eaeUL;
   tf->codes[357] = 0x0000c743482e6a38UL;
   tf->codes[358] = 0x0000c74382bd6ffdUL;
   tf->codes[359] = 0x0000c743bd4c75c2UL;
   tf->codes[360] = 0x0000c744326a814cUL;
   tf->codes[361] = 0x0000c7446cf98711UL;
   tf->codes[362] = 0x0000c744a7888cd6UL;
   tf->codes[363] = 0x0000c7451ca69860UL;
   tf->codes[364] = 0x0000c74557359e25UL;
   tf->codes[365] = 0x0000c74591c4a3eaUL;
   tf->codes[366] = 0x0000c746b68fc0c3UL;
   tf->codes[367] = 0x0000c746f11ec688UL;
   tf->codes[368] = 0x0000c747663cd212UL;
   tf->codes[369] = 0x0000c7485078e926UL;
   tf->codes[370] = 0x0000c7488b07eeebUL;
   tf->codes[371] = 0x0000c7490025fa75UL;
   tf->codes[372] = 0x0000c7493ab5003aUL;
   tf->codes[373] = 0x0000c749754405ffUL;
   tf->codes[374] = 0x0000c749ea621189UL;
   tf->codes[375] = 0x0000c74a9a0f22d8UL;
   tf->codes[376] = 0x0000c74b0f2d2e62UL;
   tf->codes[377] = 0x0000c74bf9694576UL;
   tf->codes[378] = 0x0000c74c33f84b3bUL;
   tf->codes[379] = 0x0000c74ca91656c5UL;
   tf->codes[380] = 0x0000c74ce3a55c8aUL;
   tf->codes[381] = 0x0000c74d93526dd9UL;
   tf->codes[382] = 0x0000c74dcde1739eUL;
   tf->codes[383] = 0x0000c74e42ff7f28UL;
   tf->codes[384] = 0x0000c74e7d8e84edUL;
   tf->codes[385] = 0x0000c74eb81d8ab2UL;
   tf->codes[386] = 0x0000c74f2d3b963cUL;
   tf->codes[387] = 0x0000c74f67ca9c01UL;
   tf->codes[388] = 0x0000c74fa259a1c6UL;
   tf->codes[389] = 0x0000c7505206b315UL;
   tf->codes[390] = 0x0000c7508c95b8daUL;
   tf->codes[391] = 0x0000c75101b3c464UL;
   tf->codes[392] = 0x0000c7513c42ca29UL;
   tf->codes[393] = 0x0000c75176d1cfeeUL;
   tf->codes[394] = 0x0000c752267ee13dUL;
   tf->codes[395] = 0x0000c752610de702UL;
   tf->codes[396] = 0x0000c752d62bf28cUL;
   tf->codes[397] = 0x0000c75310baf851UL;
   tf->codes[398] = 0x0000c75385d903dbUL;
   tf->codes[399] = 0x0000c753c06809a0UL;
   tf->codes[400] = 0x0000c7543586152aUL;
   tf->codes[401] = 0x0000c75470151aefUL;
   tf->codes[402] = 0x0000c754aaa420b4UL;
   tf->codes[403] = 0x0000c754e5332679UL;
   tf->codes[404] = 0x0000c75609fe4352UL;
   tf->codes[405] = 0x0000c756448d4917UL;
   tf->codes[406] = 0x0000c7572ec9602bUL;
   tf->codes[407] = 0x0000c757695865f0UL;
   tf->codes[408] = 0x0000c758c8b2888eUL;
   tf->codes[409] = 0x0000c75903418e53UL;
   tf->codes[410] = 0x0000c7593dd09418UL;
   tf->codes[411] = 0x0000c75a280cab2cUL;
   tf->codes[412] = 0x0000c75b4cd7c805UL;
   tf->codes[413] = 0x0000c75d966e01b7UL;
   tf->codes[414] = 0x0000c75dd0fd077cUL;
   tf->codes[415] = 0x0000c75e0b8c0d41UL;
   tf->codes[416] = 0x0000c75f30572a1aUL;
   tf->codes[417] = 0x0000c75fa57535a4UL;
   tf->codes[418] = 0x0000c760552246f3UL;
   tf->codes[419] = 0x0000c76179ed63ccUL;
   tf->codes[420] = 0x0000c761b47c6991UL;
   tf->codes[421] = 0x0000c761ef0b6f56UL;
   tf->codes[422] = 0x0000c7629eb880a5UL;
   tf->codes[423] = 0x0000c762d947866aUL;
   tf->codes[424] = 0x0000c763c3839d7eUL;
   tf->codes[425] = 0x0000c763fe12a343UL;
   tf->codes[426] = 0x0000c76438a1a908UL;
   tf->codes[427] = 0x0000c764adbfb492UL;
   tf->codes[428] = 0x0000c76597fbcba6UL;
   tf->codes[429] = 0x0000c7668237e2baUL;
   tf->codes[430] = 0x0000c768913f16a7UL;
   tf->codes[431] = 0x0000c769b60a3380UL;
   tf->codes[432] = 0x0000c76b1564561eUL;
   tf->codes[433] = 0x0000c76b8a8261a8UL;
   tf->codes[434] = 0x0000c76bc511676dUL;
   tf->codes[435] = 0x0000c76caf4d7e81UL;
   tf->codes[436] = 0x0000c76d5efa8fd0UL;
   tf->codes[437] = 0x0000c76dd4189b5aUL;
   tf->codes[438] = 0x0000c76ebe54b26eUL;
   tf->codes[439] = 0x0000c76ef8e3b833UL;
   tf->codes[440] = 0x0000c770583ddad1UL;
   tf->codes[441] = 0x0000c7714279f1e5UL;
   tf->codes[442] = 0x0000c7717d08f7aaUL;
   tf->codes[443] = 0x0000c7722cb608f9UL;
   tf->codes[444] = 0x0000c772a1d41483UL;
   tf->codes[445] = 0x0000c774012e3721UL;
   tf->codes[446] = 0x0000c774764c42abUL;
   tf->codes[447] = 0x0000c774b0db4870UL;
   tf->codes[448] = 0x0000c775d5a66549UL;
   tf->codes[449] = 0x0000c7764ac470d3UL;
   tf->codes[450] = 0x0000c776fa718222UL;
   tf->codes[451] = 0x0000c777aa1e9371UL;
   tf->codes[452] = 0x0000c778945aaa85UL;
   tf->codes[453] = 0x0000c778cee9b04aUL;
   tf->codes[454] = 0x0000c7797e96c199UL;
   tf->codes[455] = 0x0000c779f3b4cd23UL;
   tf->codes[456] = 0x0000c77bc82cfb4bUL;
   tf->codes[457] = 0x0000c77c77da0c9aUL;
   tf->codes[458] = 0x0000c77d621623aeUL;
   tf->codes[459] = 0x0000c77d9ca52973UL;
   tf->codes[460] = 0x0000c77e11c334fdUL;
   tf->codes[461] = 0x0000c77e4c523ac2UL;
   tf->codes[462] = 0x0000c77f368e51d6UL;
   tf->codes[463] = 0x0000c77f711d579bUL;
   tf->codes[464] = 0x0000c780d0777a39UL;
   tf->codes[465] = 0x0000c781459585c3UL;
   tf->codes[466] = 0x0000c78180248b88UL;
   tf->codes[467] = 0x0000c781bab3914dUL;
   tf->codes[468] = 0x0000c7822fd19cd7UL;
   tf->codes[469] = 0x0000c7826a60a29cUL;
   tf->codes[470] = 0x0000c782df7eae26UL;
   tf->codes[471] = 0x0000c7831a0db3ebUL;
   tf->codes[472] = 0x0000c783549cb9b0UL;
   tf->codes[473] = 0x0000c7859e32f362UL;
   tf->codes[474] = 0x0000c78772ab218aUL;
   tf->codes[475] = 0x0000c787ad3a274fUL;
   tf->codes[476] = 0x0000c787e7c92d14UL;
   tf->codes[477] = 0x0000c788225832d9UL;
   tf->codes[478] = 0x0000c788d2054428UL;
   tf->codes[479] = 0x0000c7890c9449edUL;
   tf->codes[480] = 0x0000c78ae10c7815UL;
   tf->codes[481] = 0x0000c78b562a839fUL;
   tf->codes[482] = 0x0000c78b90b98964UL;
   tf->codes[483] = 0x0000c78bcb488f29UL;
   tf->codes[484] = 0x0000c78c05d794eeUL;
   tf->codes[485] = 0x0000c78c40669ab3UL;
   tf->codes[486] = 0x0000c78cb584a63dUL;
   tf->codes[487] = 0x0000c78d6531b78cUL;
   tf->codes[488] = 0x0000c78d9fc0bd51UL;
   tf->codes[489] = 0x0000c78dda4fc316UL;
   tf->codes[490] = 0x0000c78e89fcd465UL;
   tf->codes[491] = 0x0000c78eff1adfefUL;
   tf->codes[492] = 0x0000c78f7438eb79UL;
   tf->codes[493] = 0x0000c7905e75028dUL;
   tf->codes[494] = 0x0000c790d3930e17UL;
   tf->codes[495] = 0x0000c7910e2213dcUL;
   tf->codes[496] = 0x0000c79148b119a1UL;
   tf->codes[497] = 0x0000c791bdcf252bUL;
   tf->codes[498] = 0x0000c79357b84d8eUL;
   tf->codes[499] = 0x0000c79407655eddUL;
   tf->codes[500] = 0x0000c79441f464a2UL;
   tf->codes[501] = 0x0000c794b712702cUL;
   tf->codes[502] = 0x0000c795a14e8740UL;
   tf->codes[503] = 0x0000c795dbdd8d05UL;
   tf->codes[504] = 0x0000c796166c92caUL;
   tf->codes[505] = 0x0000c79650fb988fUL;
   tf->codes[506] = 0x0000c796c619a419UL;
   tf->codes[507] = 0x0000c79700a8a9deUL;
   tf->codes[508] = 0x0000c797b055bb2dUL;
   tf->codes[509] = 0x0000c7994a3ee390UL;
   tf->codes[510] = 0x0000c79984cde955UL;
   tf->codes[511] = 0x0000c79a6f0a0069UL;
   tf->codes[512] = 0x0000c79ae4280bf3UL;
   tf->codes[513] = 0x0000c79b5946177dUL;
   tf->codes[514] = 0x0000c79c7e113456UL;
   tf->codes[515] = 0x0000c79cb8a03a1bUL;
   tf->codes[516] = 0x0000c79d684d4b6aUL;
   tf->codes[517] = 0x0000c79da2dc512fUL;
   tf->codes[518] = 0x0000c79e17fa5cb9UL;
   tf->codes[519] = 0x0000c79f77547f57UL;
   tf->codes[520] = 0x0000c7a1113da7baUL;
   tf->codes[521] = 0x0000c7a1c0eab909UL;
   tf->codes[522] = 0x0000c7a2ab26d01dUL;
   tf->codes[523] = 0x0000c7a39562e731UL;
   tf->codes[524] = 0x0000c7a4ba2e040aUL;
   tf->codes[525] = 0x0000c7a4f4bd09cfUL;
   tf->codes[526] = 0x0000c7a5def920e3UL;
   tf->codes[527] = 0x0000c7a6c93537f7UL;
   tf->codes[528] = 0x0000c7a8d83c6be4UL;
   tf->codes[529] = 0x0000c7a94d5a776eUL;
   tf->codes[530] = 0x0000c7a987e97d33UL;
   tf->codes[531] = 0x0000c7a9fd0788bdUL;
   tf->codes[532] = 0x0000c7aa72259447UL;
   tf->codes[533] = 0x0000c7aae7439fd1UL;
   tf->codes[534] = 0x0000c7ac469dc26fUL;
   tf->codes[535] = 0x0000c7ad30d9d983UL;
   tf->codes[536] = 0x0000c7ae9033fc21UL;
   tf->codes[537] = 0x0000c7af055207abUL;
   tf->codes[538] = 0x0000c7afb4ff18faUL;
   tf->codes[539] = 0x0000c7b02a1d2484UL;
   tf->codes[540] = 0x0000c7b064ac2a49UL;
   tf->codes[541] = 0x0000c7b114593b98UL;
   tf->codes[542] = 0x0000c7b189774722UL;
   tf->codes[543] = 0x0000c7b2e8d169c0UL;
   tf->codes[544] = 0x0000c7b3d30d80d4UL;
   tf->codes[545] = 0x0000c7b40d9c8699UL;
   tf->codes[546] = 0x0000c7b482ba9223UL;
   tf->codes[547] = 0x0000c7b4bd4997e8UL;
   tf->codes[548] = 0x0000c7b56cf6a937UL;
   tf->codes[549] = 0x0000c7b5e214b4c1UL;
   tf->codes[550] = 0x0000c7b98b051111UL;
   tf->codes[551] = 0x0000c7b9c59416d6UL;
   tf->codes[552] = 0x0000c7ba3ab22260UL;
   tf->codes[553] = 0x0000c7bb24ee3974UL;
   tf->codes[554] = 0x0000c7bb5f7d3f39UL;
   tf->codes[555] = 0x0000c7bc49b9564dUL;
   tf->codes[556] = 0x0000c7bda91378ebUL;
   tf->codes[557] = 0x0000c7bde3a27eb0UL;
   tf->codes[558] = 0x0000c7be58c08a3aUL;
   tf->codes[559] = 0x0000c7be934f8fffUL;
   tf->codes[560] = 0x0000c7bf7d8ba713UL;
   tf->codes[561] = 0x0000c7c02d38b862UL;
   tf->codes[562] = 0x0000c7c11774cf76UL;
   tf->codes[563] = 0x0000c7c15203d53bUL;
   tf->codes[564] = 0x0000c7c2b15df7d9UL;
   tf->codes[565] = 0x0000c7c3267c0363UL;
   tf->codes[566] = 0x0000c7c3d62914b2UL;
   tf->codes[567] = 0x0000c7c535833750UL;
   tf->codes[568] = 0x0000c7c5aaa142daUL;
   tf->codes[569] = 0x0000c7c65a4e5429UL;
   tf->codes[570] = 0x0000c7c6cf6c5fb3UL;
   tf->codes[571] = 0x0000c7c8a3e48ddbUL;
   tf->codes[572] = 0x0000c7c8de7393a0UL;
   tf->codes[573] = 0x0000c7ca033eb079UL;
   tf->codes[574] = 0x0000c7ca785cbc03UL;
   tf->codes[575] = 0x0000c7ccc1f2f5b5UL;
   tf->codes[576] = 0x0000c7cde6be128eUL;
   tf->codes[577] = 0x0000c7cf4618352cUL;
   tf->codes[578] = 0x0000c7d11a906354UL;
   tf->codes[579] = 0x0000c7d1551f6919UL;
   tf->codes[580] = 0x0000c7d364269d06UL;
   tf->codes[581] = 0x0000c7d4c380bfa4UL;
   tf->codes[582] = 0x0000c7d5389ecb2eUL;
   tf->codes[583] = 0x0000c7d65d69e807UL;
   tf->codes[584] = 0x0000c7d7bcc40aa5UL;
   tf->codes[585] = 0x0000c7d8a70021b9UL;
   tf->codes[586] = 0x0000c7d956ad3308UL;
   tf->codes[587] = 0x0000c7d9913c38cdUL;
   tf->codes[588] = 0x0000c7da7b784fe1UL;
   tf->codes[589] = 0x0000c7dd3a2c951dUL;
   tf->codes[590] = 0x0000c7dd74bb9ae2UL;
   tf->codes[591] = 0x0000c7de2468ac31UL;
   tf->codes[592] = 0x0000c7ded415bd80UL;
   tf->codes[593] = 0x0000c7e0e31cf16dUL;
   tf->codes[594] = 0x0000c7e192ca02bcUL;
   tf->codes[595] = 0x0000c7e32cb32b1fUL;
   tf->codes[596] = 0x0000c7e48c0d4dbdUL;
   tf->codes[597] = 0x0000c7e5012b5947UL;
   tf->codes[598] = 0x0000c7e660857be5UL;
   tf->codes[599] = 0x0000c7e69b1481aaUL;
   tf->codes[600] = 0x0000c7e74ac192f9UL;
   tf->codes[601] = 0x0000c7e7855098beUL;
   tf->codes[602] = 0x0000c7e959c8c6e6UL;
   tf->codes[603] = 0x0000c7e99457ccabUL;
   tf->codes[604] = 0x0000c7eab922e984UL;
   tf->codes[605] = 0x0000c7eaf3b1ef49UL;
   tf->codes[606] = 0x0000c7eba35f0098UL;
   tf->codes[607] = 0x0000c7ec8d9b17acUL;
   tf->codes[608] = 0x0000c7edb2663485UL;
   tf->codes[609] = 0x0000c7eed731515eUL;
   tf->codes[610] = 0x0000c7efc16d6872UL;
   tf->codes[611] = 0x0000c7f0aba97f86UL;
   tf->codes[612] = 0x0000c7f0e638854bUL;
   tf->codes[613] = 0x0000c7f1d0749c5fUL;
   tf->codes[614] = 0x0000c7f57964f8afUL;
   tf->codes[615] = 0x0000c7f5ee830439UL;
   tf->codes[616] = 0x0000c7f663a10fc3UL;
   tf->codes[617] = 0x0000c7f74ddd26d7UL;
   tf->codes[618] = 0x0000c7f7886c2c9cUL;
   tf->codes[619] = 0x0000c7f7fd8a3826UL;
   tf->codes[620] = 0x0000c7f9225554ffUL;
   tf->codes[621] = 0x0000c7f95ce45ac4UL;
   tf->codes[622] = 0x0000c7fabc3e7d62UL;
   tf->codes[623] = 0x0000c7fb6beb8eb1UL;
   tf->codes[624] = 0x0000c7fba67a9476UL;
   tf->codes[625] = 0x0000c7fd4063bcd9UL;
   tf->codes[626] = 0x0000c7feda4ce53cUL;
   tf->codes[627] = 0x0000c80039a707daUL;
   tf->codes[628] = 0x0000c80074360d9fUL;
   tf->codes[629] = 0x0000c800e9541929UL;
   tf->codes[630] = 0x0000c80123e31eeeUL;
   tf->codes[631] = 0x0000c8015e7224b3UL;
   tf->codes[632] = 0x0000c80199012a78UL;
   tf->codes[633] = 0x0000c801d390303dUL;
   tf->codes[634] = 0x0000c8020e1f3602UL;
   tf->codes[635] = 0x0000c80248ae3bc7UL;
   tf->codes[636] = 0x0000c802833d418cUL;
   tf->codes[637] = 0x0000c802bdcc4751UL;
   tf->codes[638] = 0x0000c802f85b4d16UL;
   tf->codes[639] = 0x0000c80332ea52dbUL;
   tf->codes[640] = 0x0000c8036d7958a0UL;
   tf->codes[641] = 0x0000c803a8085e65UL;
   tf->codes[642] = 0x0000c803e297642aUL;
   tf->codes[643] = 0x0000c8041d2669efUL;
   tf->codes[644] = 0x0000c80457b56fb4UL;
   tf->codes[645] = 0x0000c80492447579UL;
   tf->codes[646] = 0x0000c804ccd37b3eUL;
   tf->codes[647] = 0x0000c80541f186c8UL;
   tf->codes[648] = 0x0000c805b70f9252UL;
   tf->codes[649] = 0x0000c8062c2d9ddcUL;
   tf->codes[650] = 0x0000c80666bca3a1UL;
   tf->codes[651] = 0x0000c806a14ba966UL;
   tf->codes[652] = 0x0000c806dbdaaf2bUL;
   tf->codes[653] = 0x0000c80875c3d78eUL;
   tf->codes[654] = 0x0000c808eae1e318UL;
   tf->codes[655] = 0x0000c8092570e8ddUL;
   tf->codes[656] = 0x0000c8095fffeea2UL;
   tf->codes[657] = 0x0000c8099a8ef467UL;
   tf->codes[658] = 0x0000c809d51dfa2cUL;
   tf->codes[659] = 0x0000c80a0facfff1UL;
   tf->codes[660] = 0x0000c80a4a3c05b6UL;
   tf->codes[661] = 0x0000c80a84cb0b7bUL;
   tf->codes[662] = 0x0000c80abf5a1140UL;
   tf->codes[663] = 0x0000c80b34781ccaUL;
   tf->codes[664] = 0x0000c80b6f07228fUL;
   tf->codes[665] = 0x0000c80ba9962854UL;
   tf->codes[666] = 0x0000c80be4252e19UL;
   tf->codes[667] = 0x0000c80c1eb433deUL;
   tf->codes[668] = 0x0000c80c594339a3UL;
   tf->codes[669] = 0x0000c80cce61452dUL;
   tf->codes[670] = 0x0000c80d08f04af2UL;
   tf->codes[671] = 0x0000c80d437f50b7UL;
   tf->codes[672] = 0x0000c80ea2d97355UL;
   tf->codes[673] = 0x0000c80edd68791aUL;
   tf->codes[674] = 0x0000c80f17f77edfUL;
   tf->codes[675] = 0x0000c80f528684a4UL;
   tf->codes[676] = 0x0000c810023395f3UL;
   tf->codes[677] = 0x0000c8103cc29bb8UL;
   tf->codes[678] = 0x0000c8107751a17dUL;
   tf->codes[679] = 0x0000c810b1e0a742UL;
   tf->codes[680] = 0x0000c810ec6fad07UL;
   tf->codes[681] = 0x0000c81126feb2ccUL;
   tf->codes[682] = 0x0000c811618db891UL;
   tf->codes[683] = 0x0000c8119c1cbe56UL;
   tf->codes[684] = 0x0000c811d6abc41bUL;
   tf->codes[685] = 0x0000c812113ac9e0UL;
   tf->codes[686] = 0x0000c8124bc9cfa5UL;
   tf->codes[687] = 0x0000c8128658d56aUL;
   tf->codes[688] = 0x0000c812c0e7db2fUL;
   tf->codes[689] = 0x0000c812fb76e0f4UL;
   tf->codes[690] = 0x0000c8133605e6b9UL;
   tf->codes[691] = 0x0000c813ab23f243UL;
   tf->codes[692] = 0x0000c813e5b2f808UL;
   tf->codes[693] = 0x0000c8145ad10392UL;
   tf->codes[694] = 0x0000c814cfef0f1cUL;
   tf->codes[695] = 0x0000c815450d1aa6UL;
   tf->codes[696] = 0x0000c8157f9c206bUL;
   tf->codes[697] = 0x0000c815ba2b2630UL;
   tf->codes[698] = 0x0000c815f4ba2bf5UL;
   tf->codes[699] = 0x0000c8162f4931baUL;
   tf->codes[700] = 0x0000c81669d8377fUL;
   tf->codes[701] = 0x0000c816def64309UL;
   tf->codes[702] = 0x0000c817198548ceUL;
   tf->codes[703] = 0x0000c81754144e93UL;
   tf->codes[704] = 0x0000c81878df6b6cUL;
   tf->codes[705] = 0x0000c818edfd76f6UL;
   tf->codes[706] = 0x0000c819631b8280UL;
   tf->codes[707] = 0x0000c8199daa8845UL;
   tf->codes[708] = 0x0000c819d8398e0aUL;
   tf->codes[709] = 0x0000c81a4d579994UL;
   tf->codes[710] = 0x0000c81afd04aae3UL;
   tf->codes[711] = 0x0000c81b7222b66dUL;
   tf->codes[712] = 0x0000c81bacb1bc32UL;
   tf->codes[713] = 0x0000c81be740c1f7UL;
   tf->codes[714] = 0x0000c81c5c5ecd81UL;
   tf->codes[715] = 0x0000c81c96edd346UL;
   tf->codes[716] = 0x0000c81d0c0bded0UL;
   tf->codes[717] = 0x0000c81e6b66016eUL;
   tf->codes[718] = 0x0000c81ea5f50733UL;
   tf->codes[719] = 0x0000c81f1b1312bdUL;
   tf->codes[720] = 0x0000c81f55a21882UL;
   tf->codes[721] = 0x0000c820054f29d1UL;
   tf->codes[722] = 0x0000c8203fde2f96UL;
   tf->codes[723] = 0x0000c8207a6d355bUL;
   tf->codes[724] = 0x0000c820b4fc3b20UL;
   tf->codes[725] = 0x0000c820ef8b40e5UL;
   tf->codes[726] = 0x0000c8212a1a46aaUL;
   tf->codes[727] = 0x0000c822fe9274d2UL;
   tf->codes[728] = 0x0000c82339217a97UL;
   tf->codes[729] = 0x0000c8245dec9770UL;
   tf->codes[730] = 0x0000c824987b9d35UL;
   tf->codes[731] = 0x0000c824d30aa2faUL;
   tf->codes[732] = 0x0000c8250d99a8bfUL;
   tf->codes[733] = 0x0000c8254828ae84UL;
   tf->codes[734] = 0x0000c82582b7b449UL;
   tf->codes[735] = 0x0000c825bd46ba0eUL;
   tf->codes[736] = 0x0000c825f7d5bfd3UL;
   tf->codes[737] = 0x0000c8263264c598UL;
   tf->codes[738] = 0x0000c8266cf3cb5dUL;
   tf->codes[739] = 0x0000c826a782d122UL;
   tf->codes[740] = 0x0000c826e211d6e7UL;
   tf->codes[741] = 0x0000c8271ca0dcacUL;
   tf->codes[742] = 0x0000c827572fe271UL;
   tf->codes[743] = 0x0000c82791bee836UL;
   tf->codes[744] = 0x0000c827cc4dedfbUL;
   tf->codes[745] = 0x0000c8287bfaff4aUL;
   tf->codes[746] = 0x0000c828f1190ad4UL;
   tf->codes[747] = 0x0000c8292ba81099UL;
   tf->codes[748] = 0x0000c8296637165eUL;
   tf->codes[749] = 0x0000c829db5521e8UL;
   tf->codes[750] = 0x0000c82a15e427adUL;
   tf->codes[751] = 0x0000c82a50732d72UL;
   tf->codes[752] = 0x0000c82a8b023337UL;
   tf->codes[753] = 0x0000c82b3aaf4486UL;
   tf->codes[754] = 0x0000c82b753e4a4bUL;
   tf->codes[755] = 0x0000c82bea5c55d5UL;
   tf->codes[756] = 0x0000c82c24eb5b9aUL;
   tf->codes[757] = 0x0000c82cd4986ce9UL;
   tf->codes[758] = 0x0000c82dbed483fdUL;
   tf->codes[759] = 0x0000c82e33f28f87UL;
   tf->codes[760] = 0x0000c82ee39fa0d6UL;
   tf->codes[761] = 0x0000c82f1e2ea69bUL;
   tf->codes[762] = 0x0000c82f934cb225UL;
   tf->codes[763] = 0x0000c82fcddbb7eaUL;
   tf->codes[764] = 0x0000c83042f9c374UL;
   tf->codes[765] = 0x0000c830b817cefeUL;
   tf->codes[766] = 0x0000c831a253e612UL;
   tf->codes[767] = 0x0000c832c71f02ebUL;
   tf->codes[768] = 0x0000c8333c3d0e75UL;
   tf->codes[769] = 0x0000c833b15b19ffUL;
   tf->codes[770] = 0x0000c833ebea1fc4UL;
   tf->codes[771] = 0x0000c83426792589UL;
   tf->codes[772] = 0x0000c83461082b4eUL;
   tf->codes[773] = 0x0000c8349b973113UL;
   tf->codes[774] = 0x0000c8354b444262UL;
   tf->codes[775] = 0x0000c83585d34827UL;
   tf->codes[776] = 0x0000c835c0624decUL;
   tf->codes[777] = 0x0000c836700f5f3bUL;
   tf->codes[778] = 0x0000c836e52d6ac5UL;
   tf->codes[779] = 0x0000c8375a4b764fUL;
   tf->codes[780] = 0x0000c83809f8879eUL;
   tf->codes[781] = 0x0000c838b9a598edUL;
   tf->codes[782] = 0x0000c838f4349eb2UL;
   tf->codes[783] = 0x0000c8392ec3a477UL;
   tf->codes[784] = 0x0000c8396952aa3cUL;
   tf->codes[785] = 0x0000c839de70b5c6UL;
   tf->codes[786] = 0x0000c83a18ffbb8bUL;
   tf->codes[787] = 0x0000c83a538ec150UL;
   tf->codes[788] = 0x0000c83a8e1dc715UL;
   tf->codes[789] = 0x0000c83ac8acccdaUL;
   tf->codes[790] = 0x0000c83bb2e8e3eeUL;
   tf->codes[791] = 0x0000c83bed77e9b3UL;
   tf->codes[792] = 0x0000c83c6295f53dUL;
   tf->codes[793] = 0x0000c83d4cd20c51UL;
   tf->codes[794] = 0x0000c83d87611216UL;
   tf->codes[795] = 0x0000c83f5bd9403eUL;
   tf->codes[796] = 0x0000c840f5c268a1UL;
   tf->codes[797] = 0x0000c8416ae0742bUL;
   tf->codes[798] = 0x0000c8421a8d857aUL;
   tf->codes[799] = 0x0000c842551c8b3fUL;
   tf->codes[800] = 0x0000c8428fab9104UL;
   tf->codes[801] = 0x0000c842ca3a96c9UL;
   tf->codes[802] = 0x0000c8433f58a253UL;
   tf->codes[803] = 0x0000c84379e7a818UL;
   tf->codes[804] = 0x0000c8442994b967UL;
   tf->codes[805] = 0x0000c8446423bf2cUL;
   tf->codes[806] = 0x0000c8449eb2c4f1UL;
   tf->codes[807] = 0x0000c844d941cab6UL;
   tf->codes[808] = 0x0000c84588eedc05UL;
   tf->codes[809] = 0x0000c846732af319UL;
   tf->codes[810] = 0x0000c84722d80468UL;
   tf->codes[811] = 0x0000c84797f60ff2UL;
   tf->codes[812] = 0x0000c84847a32141UL;
   tf->codes[813] = 0x0000c848f7503290UL;
   tf->codes[814] = 0x0000c849a6fd43dfUL;
   tf->codes[815] = 0x0000c84a56aa552eUL;
   tf->codes[816] = 0x0000c84a91395af3UL;
   tf->codes[817] = 0x0000c84acbc860b8UL;
   tf->codes[818] = 0x0000c84bb60477ccUL;
   tf->codes[819] = 0x0000c84bf0937d91UL;
   tf->codes[820] = 0x0000c84d155e9a6aUL;
   tf->codes[821] = 0x0000c84dc50babb9UL;
   tf->codes[822] = 0x0000c84dff9ab17eUL;
   tf->codes[823] = 0x0000c84ee9d6c892UL;
   tf->codes[824] = 0x0000c84f2465ce57UL;
   tf->codes[825] = 0x0000c84f5ef4d41cUL;
   tf->codes[826] = 0x0000c84f9983d9e1UL;
   tf->codes[827] = 0x0000c84fd412dfa6UL;
   tf->codes[828] = 0x0000c8504930eb30UL;
   tf->codes[829] = 0x0000c850be4ef6baUL;
   tf->codes[830] = 0x0000c851336d0244UL;
   tf->codes[831] = 0x0000c851a88b0dceUL;
   tf->codes[832] = 0x0000c85292c724e2UL;
   tf->codes[833] = 0x0000c85342743631UL;
   tf->codes[834] = 0x0000c8537d033bf6UL;
   tf->codes[835] = 0x0000c853b79241bbUL;
   tf->codes[836] = 0x0000c853f2214780UL;
   tf->codes[837] = 0x0000c8542cb04d45UL;
   tf->codes[838] = 0x0000c854673f530aUL;
   tf->codes[839] = 0x0000c855517b6a1eUL;
   tf->codes[840] = 0x0000c8558c0a6fe3UL;
   tf->codes[841] = 0x0000c855c69975a8UL;
   tf->codes[842] = 0x0000c856764686f7UL;
   tf->codes[843] = 0x0000c856b0d58cbcUL;
   tf->codes[844] = 0x0000c856eb649281UL;
   tf->codes[845] = 0x0000c85725f39846UL;
   tf->codes[846] = 0x0000c85760829e0bUL;
   tf->codes[847] = 0x0000c8579b11a3d0UL;
   tf->codes[848] = 0x0000c858102faf5aUL;
   tf->codes[849] = 0x0000c8584abeb51fUL;
   tf->codes[850] = 0x0000c858bfdcc0a9UL;
   tf->codes[851] = 0x0000c8596f89d1f8UL;
   tf->codes[852] = 0x0000c859aa18d7bdUL;
   tf->codes[853] = 0x0000c859e4a7dd82UL;
   tf->codes[854] = 0x0000c85b7e9105e5UL;
   tf->codes[855] = 0x0000c85bb9200baaUL;
   tf->codes[856] = 0x0000c85bf3af116fUL;
   tf->codes[857] = 0x0000c85c2e3e1734UL;
   tf->codes[858] = 0x0000c85d8d9839d2UL;
   tf->codes[859] = 0x0000c85dc8273f97UL;
   tf->codes[860] = 0x0000c85e02b6455cUL;
   tf->codes[861] = 0x0000c85e3d454b21UL;
   tf->codes[862] = 0x0000c85eb26356abUL;
   tf->codes[863] = 0x0000c85f621067faUL;
   tf->codes[864] = 0x0000c85f9c9f6dbfUL;
   tf->codes[865] = 0x0000c86011bd7949UL;
   tf->codes[866] = 0x0000c860fbf9905dUL;
   tf->codes[867] = 0x0000c86136889622UL;
   tf->codes[868] = 0x0000c861aba6a1acUL;
   tf->codes[869] = 0x0000c861e635a771UL;
   tf->codes[870] = 0x0000c862d071be85UL;
   tf->codes[871] = 0x0000c863801ecfd4UL;
   tf->codes[872] = 0x0000c8658f2603c1UL;
   tf->codes[873] = 0x0000c865c9b50986UL;
   tf->codes[874] = 0x0000c8663ed31510UL;
   tf->codes[875] = 0x0000c866b3f1209aUL;
   tf->codes[876] = 0x0000c867290f2c24UL;
   tf->codes[877] = 0x0000c867639e31e9UL;
   tf->codes[878] = 0x0000c8679e2d37aeUL;
   tf->codes[879] = 0x0000c867d8bc3d73UL;
   tf->codes[880] = 0x0000c868134b4338UL;
   tf->codes[881] = 0x0000c868fd875a4cUL;
   tf->codes[882] = 0x0000c86938166011UL;
   tf->codes[883] = 0x0000c86a5ce17ceaUL;
   tf->codes[884] = 0x0000c86b81ac99c3UL;
   tf->codes[885] = 0x0000c86bbc3b9f88UL;
   tf->codes[886] = 0x0000c86bf6caa54dUL;
   tf->codes[887] = 0x0000c86c3159ab12UL;
   tf->codes[888] = 0x0000c86d5624c7ebUL;
   tf->codes[889] = 0x0000c86e05d1d93aUL;
   tf->codes[890] = 0x0000c86ef00df04eUL;
   tf->codes[891] = 0x0000c86f2a9cf613UL;
   tf->codes[892] = 0x0000c86f9fbb019dUL;
   tf->codes[893] = 0x0000c8704f6812ecUL;
   tf->codes[894] = 0x0000c87089f718b1UL;
   tf->codes[895] = 0x0000c8725e6f46d9UL;
   tf->codes[896] = 0x0000c8746d767ac6UL;
   tf->codes[897] = 0x0000c874a805808bUL;
   tf->codes[898] = 0x0000c87557b291daUL;
   tf->codes[899] = 0x0000c8759241979fUL;
   tf->codes[900] = 0x0000c87641eea8eeUL;
   tf->codes[901] = 0x0000c876b70cb478UL;
   tf->codes[902] = 0x0000c876f19bba3dUL;
   tf->codes[903] = 0x0000c8772c2ac002UL;
   tf->codes[904] = 0x0000c877a148cb8cUL;
   tf->codes[905] = 0x0000c87900a2ee2aUL;
   tf->codes[906] = 0x0000c8793b31f3efUL;
   tf->codes[907] = 0x0000c879eadf053eUL;
   tf->codes[908] = 0x0000c87a9a8c168dUL;
   tf->codes[909] = 0x0000c87ad51b1c52UL;
   tf->codes[910] = 0x0000c87d59405bc9UL;
   tf->codes[911] = 0x0000c87e437c72ddUL;
   tf->codes[912] = 0x0000c8808d12ac8fUL;
   tf->codes[913] = 0x0000c880c7a1b254UL;
   tf->codes[914] = 0x0000c881774ec3a3UL;
   tf->codes[915] = 0x0000c881b1ddc968UL;
   tf->codes[916] = 0x0000c882618adab7UL;
   tf->codes[917] = 0x0000c8829c19e07cUL;
   tf->codes[918] = 0x0000c8838655f790UL;
   tf->codes[919] = 0x0000c883c0e4fd55UL;
   tf->codes[920] = 0x0000c883fb74031aUL;
   tf->codes[921] = 0x0000c884ab211469UL;
   tf->codes[922] = 0x0000c885cfec3142UL;
   tf->codes[923] = 0x0000c886450a3cccUL;
   tf->codes[924] = 0x0000c8867f994291UL;
   tf->codes[925] = 0x0000c886ba284856UL;
   tf->codes[926] = 0x0000c887a4645f6aUL;
   tf->codes[927] = 0x0000c888541170b9UL;
   tf->codes[928] = 0x0000c888c92f7c43UL;
   tf->codes[929] = 0x0000c88978dc8d92UL;
   tf->codes[930] = 0x0000c889edfa991cUL;
   tf->codes[931] = 0x0000c88ad836b030UL;
   tf->codes[932] = 0x0000c88bc272c744UL;
   tf->codes[933] = 0x0000c88bfd01cd09UL;
   tf->codes[934] = 0x0000c88ebbb61245UL;
   tf->codes[935] = 0x0000c890902e406dUL;
   tf->codes[936] = 0x0000c890cabd4632UL;
   tf->codes[937] = 0x0000c891b4f95d46UL;
   tf->codes[938] = 0x0000c8922a1768d0UL;
   tf->codes[939] = 0x0000c89264a66e95UL;
   tf->codes[940] = 0x0000c8929f35745aUL;
   tf->codes[941] = 0x0000c892d9c47a1fUL;
   tf->codes[942] = 0x0000c89314537fe4UL;
   tf->codes[943] = 0x0000c8934ee285a9UL;
   tf->codes[944] = 0x0000c89389718b6eUL;
   tf->codes[945] = 0x0000c893fe8f96f8UL;
   tf->codes[946] = 0x0000c894391e9cbdUL;
   tf->codes[947] = 0x0000c89473ada282UL;
   tf->codes[948] = 0x0000c895235ab3d1UL;
   tf->codes[949] = 0x0000c8955de9b996UL;
   tf->codes[950] = 0x0000c895d307c520UL;
   tf->codes[951] = 0x0000c8960d96cae5UL;
   tf->codes[952] = 0x0000c8964825d0aaUL;
   tf->codes[953] = 0x0000c897e20ef90dUL;
   tf->codes[954] = 0x0000c898572d0497UL;
   tf->codes[955] = 0x0000c898cc4b1021UL;
   tf->codes[956] = 0x0000c89906da15e6UL;
   tf->codes[957] = 0x0000c8997bf82170UL;
   tf->codes[958] = 0x0000c89adb52440eUL;
   tf->codes[959] = 0x0000c89b15e149d3UL;
   tf->codes[960] = 0x0000c89bc58e5b22UL;
   tf->codes[961] = 0x0000c89c001d60e7UL;
   tf->codes[962] = 0x0000c89c3aac66acUL;
   tf->codes[963] = 0x0000c89d5f778385UL;
   tf->codes[964] = 0x0000c89e8442a05eUL;
   tf->codes[965] = 0x0000c89fa90dbd37UL;
   tf->codes[966] = 0x0000c89fe39cc2fcUL;
   tf->codes[967] = 0x0000c8a01e2bc8c1UL;
   tf->codes[968] = 0x0000c8a09349d44bUL;
   tf->codes[969] = 0x0000c8a142f6e59aUL;
   tf->codes[970] = 0x0000c8a17d85eb5fUL;
   tf->codes[971] = 0x0000c8a1b814f124UL;
   tf->codes[972] = 0x0000c8a267c20273UL;
   tf->codes[973] = 0x0000c8a2a2510838UL;
   tf->codes[974] = 0x0000c8a3176f13c2UL;
   tf->codes[975] = 0x0000c8a38c8d1f4cUL;
   tf->codes[976] = 0x0000c8a3c71c2511UL;
   tf->codes[977] = 0x0000c8a401ab2ad6UL;
   tf->codes[978] = 0x0000c8a43c3a309bUL;
   tf->codes[979] = 0x0000c8a5d62358feUL;
   tf->codes[980] = 0x0000c8a64b416488UL;
   tf->codes[981] = 0x0000c8a685d06a4dUL;
   tf->codes[982] = 0x0000c8a6c05f7012UL;
   tf->codes[983] = 0x0000c8a7357d7b9cUL;
   tf->codes[984] = 0x0000c8a7700c8161UL;
   tf->codes[985] = 0x0000c8a7aa9b8726UL;
   tf->codes[986] = 0x0000c8a7e52a8cebUL;
   tf->codes[987] = 0x0000c8a81fb992b0UL;
   tf->codes[988] = 0x0000c8a85a489875UL;
   tf->codes[989] = 0x0000c8a8cf66a3ffUL;
   tf->codes[990] = 0x0000c8a94484af89UL;
   tf->codes[991] = 0x0000c8a9b9a2bb13UL;
   tf->codes[992] = 0x0000c8aa2ec0c69dUL;
   tf->codes[993] = 0x0000c8aade6dd7ecUL;
   tf->codes[994] = 0x0000c8ab8e1ae93bUL;
   tf->codes[995] = 0x0000c8ad2804119eUL;
   tf->codes[996] = 0x0000c8ad9d221d28UL;
   tf->codes[997] = 0x0000c8add7b122edUL;
   tf->codes[998] = 0x0000c8ae875e343cUL;
   tf->codes[999] = 0x0000c8aefc7c3fc6UL;
   tf->codes[1000] = 0x0000c8afac295115UL;
   tf->codes[1001] = 0x0000c8afe6b856daUL;
   tf->codes[1002] = 0x0000c8b021475c9fUL;
   tf->codes[1003] = 0x0000c8b146127978UL;
   tf->codes[1004] = 0x0000c8b180a17f3dUL;
   tf->codes[1005] = 0x0000c8b1f5bf8ac7UL;
   tf->codes[1006] = 0x0000c8b26add9651UL;
   tf->codes[1007] = 0x0000c8b2a56c9c16UL;
   tf->codes[1008] = 0x0000c8b2dffba1dbUL;
   tf->codes[1009] = 0x0000c8b35519ad65UL;
   tf->codes[1010] = 0x0000c8b38fa8b32aUL;
   tf->codes[1011] = 0x0000c8b3ca37b8efUL;
   tf->codes[1012] = 0x0000c8b404c6beb4UL;
   tf->codes[1013] = 0x0000c8b4b473d003UL;
   tf->codes[1014] = 0x0000c8b4ef02d5c8UL;
   tf->codes[1015] = 0x0000c8b52991db8dUL;
   tf->codes[1016] = 0x0000c8b5d93eecdcUL;
   tf->codes[1017] = 0x0000c8b64e5cf866UL;
   tf->codes[1018] = 0x0000c8b6fe0a09b5UL;
   tf->codes[1019] = 0x0000c8b77328153fUL;
   tf->codes[1020] = 0x0000c8b7e84620c9UL;
   tf->codes[1021] = 0x0000c8b822d5268eUL;
   tf->codes[1022] = 0x0000c8b8d28237ddUL;
   tf->codes[1023] = 0x0000c8b90d113da2UL;
   tf->codes[1024] = 0x0000c8ba31dc5a7bUL;
   tf->codes[1025] = 0x0000c8baa6fa6605UL;
   tf->codes[1026] = 0x0000c8bb91367d19UL;
   tf->codes[1027] = 0x0000c8bc065488a3UL;
   tf->codes[1028] = 0x0000c8bcb60199f2UL;
   tf->codes[1029] = 0x0000c8bd2b1fa57cUL;
   tf->codes[1030] = 0x0000c8be4feac255UL;
   tf->codes[1031] = 0x0000c8beff97d3a4UL;
   tf->codes[1032] = 0x0000c8bf3a26d969UL;
   tf->codes[1033] = 0x0000c8bf74b5df2eUL;
   tf->codes[1034] = 0x0000c8c05ef1f642UL;
   tf->codes[1035] = 0x0000c8c0d41001ccUL;
   tf->codes[1036] = 0x0000c8c10e9f0791UL;
   tf->codes[1037] = 0x0000c8c1492e0d56UL;
   tf->codes[1038] = 0x0000c8c1be4c18e0UL;
   tf->codes[1039] = 0x0000c8c1f8db1ea5UL;
   tf->codes[1040] = 0x0000c8c358354143UL;
   tf->codes[1041] = 0x0000c8c4b78f63e1UL;
   tf->codes[1042] = 0x0000c8c4f21e69a6UL;
   tf->codes[1043] = 0x0000c8c5dc5a80baUL;
   tf->codes[1044] = 0x0000c8c651788c44UL;
   tf->codes[1045] = 0x0000c8c6c69697ceUL;
   tf->codes[1046] = 0x0000c8c9102cd180UL;
   tf->codes[1047] = 0x0000c8c9854add0aUL;
   tf->codes[1048] = 0x0000c8c9fa68e894UL;
   tf->codes[1049] = 0x0000c8ca6f86f41eUL;
   tf->codes[1050] = 0x0000c8caaa15f9e3UL;
   tf->codes[1051] = 0x0000c8cb59c30b32UL;
   tf->codes[1052] = 0x0000c8cb945210f7UL;
   tf->codes[1053] = 0x0000c8cbcee116bcUL;
   tf->codes[1054] = 0x0000c8cc09701c81UL;
   tf->codes[1055] = 0x0000c8cd2e3b395aUL;
   tf->codes[1056] = 0x0000c8cd68ca3f1fUL;
   tf->codes[1057] = 0x0000c8cddde84aa9UL;
   tf->codes[1058] = 0x0000c8cf3d426d47UL;
   tf->codes[1059] = 0x0000c8cf77d1730cUL;
   tf->codes[1060] = 0x0000c8d0277e845bUL;
   tf->codes[1061] = 0x0000c8d0d72b95aaUL;
   tf->codes[1062] = 0x0000c8d111ba9b6fUL;
   tf->codes[1063] = 0x0000c8d186d8a6f9UL;
   tf->codes[1064] = 0x0000c8d1c167acbeUL;
   tf->codes[1065] = 0x0000c8d27114be0dUL;
   tf->codes[1066] = 0x0000c8d2e632c997UL;
   tf->codes[1067] = 0x0000c8d320c1cf5cUL;
   tf->codes[1068] = 0x0000c8d35b50d521UL;
   tf->codes[1069] = 0x0000c8d4801bf1faUL;
   tf->codes[1070] = 0x0000c8d4f539fd84UL;
   tf->codes[1071] = 0x0000c8d52fc90349UL;
   tf->codes[1072] = 0x0000c8d61a051a5dUL;
   tf->codes[1073] = 0x0000c8d654942022UL;
   tf->codes[1074] = 0x0000c8d68f2325e7UL;
   tf->codes[1075] = 0x0000c8d6c9b22bacUL;
   tf->codes[1076] = 0x0000c8d704413171UL;
   tf->codes[1077] = 0x0000c8d7ee7d4885UL;
   tf->codes[1078] = 0x0000c8d8290c4e4aUL;
   tf->codes[1079] = 0x0000c8d8639b540fUL;
   tf->codes[1080] = 0x0000c8d89e2a59d4UL;
   tf->codes[1081] = 0x0000c8d8d8b95f99UL;
   tf->codes[1082] = 0x0000c8da38138237UL;
   tf->codes[1083] = 0x0000c8db224f994bUL;
   tf->codes[1084] = 0x0000c8dbd1fcaa9aUL;
   tf->codes[1085] = 0x0000c8de5621ea11UL;
   tf->codes[1086] = 0x0000c8de90b0efd6UL;
   tf->codes[1087] = 0x0000c8df405e0125UL;
   tf->codes[1088] = 0x0000c8dff00b1274UL;
   tf->codes[1089] = 0x0000c8e1ff124661UL;
   tf->codes[1090] = 0x0000c8e323dd633aUL;
   tf->codes[1091] = 0x0000c8e3d38a7489UL;
   tf->codes[1092] = 0x0000c8e56d739cecUL;
   tf->codes[1093] = 0x0000c8e5a802a2b1UL;
   tf->codes[1094] = 0x0000c8e657afb400UL;
   tf->codes[1095] = 0x0000c8e6923eb9c5UL;
   tf->codes[1096] = 0x0000c8e7075cc54fUL;
   tf->codes[1097] = 0x0000c8e741ebcb14UL;
   tf->codes[1098] = 0x0000c8e82c27e228UL;
   tf->codes[1099] = 0x0000c8e8a145edb2UL;
   tf->codes[1100] = 0x0000c8e91663f93cUL;
   tf->codes[1101] = 0x0000c8e950f2ff01UL;
   tf->codes[1102] = 0x0000c8e9c6110a8bUL;
   tf->codes[1103] = 0x0000c8ea00a01050UL;
   tf->codes[1104] = 0x0000c8eab04d219fUL;
   tf->codes[1105] = 0x0000c8eaeadc2764UL;
   tf->codes[1106] = 0x0000c8eb256b2d29UL;
   tf->codes[1107] = 0x0000c8ec4a364a02UL;
   tf->codes[1108] = 0x0000c8ecbf54558cUL;
   tf->codes[1109] = 0x0000c8ed6f0166dbUL;
   tf->codes[1110] = 0x0000c8ef7e089ac8UL;
   tf->codes[1111] = 0x0000c8efb897a08dUL;
   tf->codes[1112] = 0x0000c8f02db5ac17UL;
   tf->codes[1113] = 0x0000c8f0a2d3b7a1UL;
   tf->codes[1114] = 0x0000c8f117f1c32bUL;
   tf->codes[1115] = 0x0000c8f15280c8f0UL;
   tf->codes[1116] = 0x0000c8f18d0fceb5UL;
   tf->codes[1117] = 0x0000c8f1c79ed47aUL;
   tf->codes[1118] = 0x0000c8f2ec69f153UL;
   tf->codes[1119] = 0x0000c8f39c1702a2UL;
   tf->codes[1120] = 0x0000c8f411350e2cUL;
   tf->codes[1121] = 0x0000c8f4c0e21f7bUL;
   tf->codes[1122] = 0x0000c8f4fb712540UL;
   tf->codes[1123] = 0x0000c8f5708f30caUL;
   tf->codes[1124] = 0x0000c8f5ab1e368fUL;
   tf->codes[1125] = 0x0000c8f6203c4219UL;
   tf->codes[1126] = 0x0000c8f70a78592dUL;
   tf->codes[1127] = 0x0000c8f9540e92dfUL;
   tf->codes[1128] = 0x0000c8f9c92c9e69UL;
   tf->codes[1129] = 0x0000c8fa78d9afb8UL;
   tf->codes[1130] = 0x0000c8faedf7bb42UL;
   tf->codes[1131] = 0x0000c8fcc26fe96aUL;
   tf->codes[1132] = 0x0000c8fd721cfab9UL;
   tf->codes[1133] = 0x0000c8fdacac007eUL;
   tf->codes[1134] = 0x0000c8fe5c5911cdUL;
   tf->codes[1135] = 0x0000c8fe96e81792UL;
   tf->codes[1136] = 0x0000c8ffbbb3346bUL;
   tf->codes[1137] = 0x0000c90030d13ff5UL;
   tf->codes[1138] = 0x0000c900e07e5144UL;
   tf->codes[1139] = 0x0000c9011b0d5709UL;
   tf->codes[1140] = 0x0000c901559c5cceUL;
   tf->codes[1141] = 0x0000c901902b6293UL;
   tf->codes[1142] = 0x0000c90205496e1dUL;
   tf->codes[1143] = 0x0000c902ef858531UL;
   tf->codes[1144] = 0x0000c9032a148af6UL;
   tf->codes[1145] = 0x0000c90364a390bbUL;
   tf->codes[1146] = 0x0000c903d9c19c45UL;
   tf->codes[1147] = 0x0000c904c3fdb359UL;
   tf->codes[1148] = 0x0000c905391bbee3UL;
   tf->codes[1149] = 0x0000c9069875e181UL;
   tf->codes[1150] = 0x0000c906d304e746UL;
   tf->codes[1151] = 0x0000c9070d93ed0bUL;
   tf->codes[1152] = 0x0000c9074822f2d0UL;
   tf->codes[1153] = 0x0000c90782b1f895UL;
   tf->codes[1154] = 0x0000c9086cee0fa9UL;
   tf->codes[1155] = 0x0000c908a77d156eUL;
   tf->codes[1156] = 0x0000c908e20c1b33UL;
   tf->codes[1157] = 0x0000c9091c9b20f8UL;
   tf->codes[1158] = 0x0000c909cc483247UL;
   tf->codes[1159] = 0x0000c90ab684495bUL;
   tf->codes[1160] = 0x0000c90b2ba254e5UL;
   tf->codes[1161] = 0x0000c90ba0c0606fUL;
   tf->codes[1162] = 0x0000c90bdb4f6634UL;
   tf->codes[1163] = 0x0000c90c15de6bf9UL;
   tf->codes[1164] = 0x0000c90d001a830dUL;
   tf->codes[1165] = 0x0000c90d3aa988d2UL;
   tf->codes[1166] = 0x0000c90dafc7945cUL;
   tf->codes[1167] = 0x0000c90e5f74a5abUL;
   tf->codes[1168] = 0x0000c90f0f21b6faUL;
   tf->codes[1169] = 0x0000c9106e7bd998UL;
   tf->codes[1170] = 0x0000c9111e28eae7UL;
   tf->codes[1171] = 0x0000c91158b7f0acUL;
   tf->codes[1172] = 0x0000c912086501fbUL;
   tf->codes[1173] = 0x0000c91242f407c0UL;
   tf->codes[1174] = 0x0000c913a24e2a5eUL;
   tf->codes[1175] = 0x0000c913dcdd3023UL;
   tf->codes[1176] = 0x0000c91451fb3badUL;
   tf->codes[1177] = 0x0000c914c7194737UL;
   tf->codes[1178] = 0x0000c9153c3752c1UL;
   tf->codes[1179] = 0x0000c915b1555e4bUL;
   tf->codes[1180] = 0x0000c91710af80e9UL;
   tf->codes[1181] = 0x0000c9174b3e86aeUL;
   tf->codes[1182] = 0x0000c917c05c9238UL;
   tf->codes[1183] = 0x0000c9187009a387UL;
   tf->codes[1184] = 0x0000c918aa98a94cUL;
   tf->codes[1185] = 0x0000c9195a45ba9bUL;
   tf->codes[1186] = 0x0000c91994d4c060UL;
   tf->codes[1187] = 0x0000c91a7f10d774UL;
   tf->codes[1188] = 0x0000c91ab99fdd39UL;
   tf->codes[1189] = 0x0000c91af42ee2feUL;
   tf->codes[1190] = 0x0000c91b694cee88UL;
   tf->codes[1191] = 0x0000c91ba3dbf44dUL;
   tf->codes[1192] = 0x0000c91cc8a71126UL;
   tf->codes[1193] = 0x0000c91d3dc51cb0UL;
   tf->codes[1194] = 0x0000c91d78542275UL;
   tf->codes[1195] = 0x0000c91ded722dffUL;
   tf->codes[1196] = 0x0000c91e62903989UL;
   tf->codes[1197] = 0x0000c91e9d1f3f4eUL;
   tf->codes[1198] = 0x0000c91f123d4ad8UL;
   tf->codes[1199] = 0x0000c920ac26733bUL;
   tf->codes[1200] = 0x0000c92121447ec5UL;
   tf->codes[1201] = 0x0000c92196628a4fUL;
   tf->codes[1202] = 0x0000c922460f9b9eUL;
   tf->codes[1203] = 0x0000c922809ea163UL;
   tf->codes[1204] = 0x0000c9236adab877UL;
   tf->codes[1205] = 0x0000c923dff8c401UL;
   tf->codes[1206] = 0x0000c924ca34db15UL;
   tf->codes[1207] = 0x0000c92504c3e0daUL;
   tf->codes[1208] = 0x0000c9253f52e69fUL;
   tf->codes[1209] = 0x0000c926641e0378UL;
   tf->codes[1210] = 0x0000c92788e92051UL;
   tf->codes[1211] = 0x0000c927c3782616UL;
   tf->codes[1212] = 0x0000c927fe072bdbUL;
   tf->codes[1213] = 0x0000c92922d248b4UL;
   tf->codes[1214] = 0x0000c9295d614e79UL;
   tf->codes[1215] = 0x0000c92997f0543eUL;
   tf->codes[1216] = 0x0000c92a0d0e5fc8UL;
   tf->codes[1217] = 0x0000c92af74a76dcUL;
   tf->codes[1218] = 0x0000c92b31d97ca1UL;
   tf->codes[1219] = 0x0000c92ba6f7882bUL;
   tf->codes[1220] = 0x0000c92be1868df0UL;
   tf->codes[1221] = 0x0000c92c56a4997aUL;
   tf->codes[1222] = 0x0000c92db5febc18UL;
   tf->codes[1223] = 0x0000c92df08dc1ddUL;
   tf->codes[1224] = 0x0000c92e65abcd67UL;
   tf->codes[1225] = 0x0000c92f8a76ea40UL;
   tf->codes[1226] = 0x0000c93074b30154UL;
   tf->codes[1227] = 0x0000c930af420719UL;
   tf->codes[1228] = 0x0000c930e9d10cdeUL;
   tf->codes[1229] = 0x0000c931246012a3UL;
   tf->codes[1230] = 0x0000c9315eef1868UL;
   tf->codes[1231] = 0x0000c931d40d23f2UL;
   tf->codes[1232] = 0x0000c9320e9c29b7UL;
   tf->codes[1233] = 0x0000c932492b2f7cUL;
   tf->codes[1234] = 0x0000c932be493b06UL;
   tf->codes[1235] = 0x0000c933a885521aUL;
   tf->codes[1236] = 0x0000c93458326369UL;
   tf->codes[1237] = 0x0000c93492c1692eUL;
   tf->codes[1238] = 0x0000c935f21b8bccUL;
   tf->codes[1239] = 0x0000c9375175ae6aUL;
   tf->codes[1240] = 0x0000c9378c04b42fUL;
   tf->codes[1241] = 0x0000c9380122bfb9UL;
   tf->codes[1242] = 0x0000c9387640cb43UL;
   tf->codes[1243] = 0x0000c9399b0be81cUL;
   tf->codes[1244] = 0x0000c93a4ab8f96bUL;
   tf->codes[1245] = 0x0000c93afa660abaUL;
   tf->codes[1246] = 0x0000c93baa131c09UL;
   tf->codes[1247] = 0x0000c93be4a221ceUL;
   tf->codes[1248] = 0x0000c93c1f312793UL;
   tf->codes[1249] = 0x0000c93c944f331dUL;
   tf->codes[1250] = 0x0000c93e2e385b80UL;
   tf->codes[1251] = 0x0000c93ea356670aUL;
   tf->codes[1252] = 0x0000c93fc82183e3UL;
   tf->codes[1253] = 0x0000c94002b089a8UL;
   tf->codes[1254] = 0x0000c9403d3f8f6dUL;
   tf->codes[1255] = 0x0000c941620aac46UL;
   tf->codes[1256] = 0x0000c941d728b7d0UL;
   tf->codes[1257] = 0x0000c94211b7bd95UL;
   tf->codes[1258] = 0x0000c9424c46c35aUL;
   tf->codes[1259] = 0x0000c942fbf3d4a9UL;
   tf->codes[1260] = 0x0000c9437111e033UL;
   tf->codes[1261] = 0x0000c94420bef182UL;
   tf->codes[1262] = 0x0000c944d06c02d1UL;
   tf->codes[1263] = 0x0000c945f5371faaUL;
   tf->codes[1264] = 0x0000c9466a552b34UL;
   tf->codes[1265] = 0x0000c946a4e430f9UL;
   tf->codes[1266] = 0x0000c946df7336beUL;
   tf->codes[1267] = 0x0000c94754914248UL;
   tf->codes[1268] = 0x0000c9478f20480dUL;
   tf->codes[1269] = 0x0000c949d8b681bfUL;
   tf->codes[1270] = 0x0000c94a13458784UL;
   tf->codes[1271] = 0x0000c94a4dd48d49UL;
   tf->codes[1272] = 0x0000c94afd819e98UL;
   tf->codes[1273] = 0x0000c94b729faa22UL;
   tf->codes[1274] = 0x0000c94c5cdbc136UL;
   tf->codes[1275] = 0x0000c94dbc35e3d4UL;
   tf->codes[1276] = 0x0000c94ea671fae8UL;
   tf->codes[1277] = 0x0000c94ee10100adUL;
   tf->codes[1278] = 0x0000c94f1b900672UL;
   tf->codes[1279] = 0x0000c950405b234bUL;
   tf->codes[1280] = 0x0000c950f008349aUL;
   tf->codes[1281] = 0x0000c95165264024UL;
   tf->codes[1282] = 0x0000c951da444baeUL;
   tf->codes[1283] = 0x0000c952ff0f6887UL;
   tf->codes[1284] = 0x0000c953399e6e4cUL;
   tf->codes[1285] = 0x0000c953742d7411UL;
   tf->codes[1286] = 0x0000c953e94b7f9bUL;
   tf->codes[1287] = 0x0000c9545e698b25UL;
   tf->codes[1288] = 0x0000c95498f890eaUL;
   tf->codes[1289] = 0x0000c954d38796afUL;
   tf->codes[1290] = 0x0000c95548a5a239UL;
   tf->codes[1291] = 0x0000c955bdc3adc3UL;
   tf->codes[1292] = 0x0000c955f852b388UL;
   tf->codes[1293] = 0x0000c95632e1b94dUL;
   tf->codes[1294] = 0x0000c957923bdbebUL;
   tf->codes[1295] = 0x0000c957cccae1b0UL;
   tf->codes[1296] = 0x0000c95b3b2c383bUL;
   tf->codes[1297] = 0x0000c95bb04a43c5UL;
   tf->codes[1298] = 0x0000c95cd515609eUL;
   tf->codes[1299] = 0x0000c95ea98d8ec6UL;
   tf->codes[1300] = 0x0000c95f593aa015UL;
   tf->codes[1301] = 0x0000c960b894c2b3UL;
   tf->codes[1302] = 0x0000c960f323c878UL;
   tf->codes[1303] = 0x0000c961a2d0d9c7UL;
   tf->codes[1304] = 0x0000c9628d0cf0dbUL;
   tf->codes[1305] = 0x0000c962c79bf6a0UL;
   tf->codes[1306] = 0x0000c963774907efUL;
   tf->codes[1307] = 0x0000c96461851f03UL;
   tf->codes[1308] = 0x0000c96586503bdcUL;
   tf->codes[1309] = 0x0000c965c0df41a1UL;
   tf->codes[1310] = 0x0000c965fb6e4766UL;
   tf->codes[1311] = 0x0000c96635fd4d2bUL;
   tf->codes[1312] = 0x0000c966e5aa5e7aUL;
   tf->codes[1313] = 0x0000c96795576fc9UL;
   tf->codes[1314] = 0x0000c967cfe6758eUL;
   tf->codes[1315] = 0x0000c9680a757b53UL;
   tf->codes[1316] = 0x0000c968f4b19267UL;
   tf->codes[1317] = 0x0000c9692f40982cUL;
   tf->codes[1318] = 0x0000c969a45ea3b6UL;
   tf->codes[1319] = 0x0000c96a8e9abacaUL;
   tf->codes[1320] = 0x0000c96dfcfc1155UL;
   tf->codes[1321] = 0x0000c96e721a1cdfUL;
   tf->codes[1322] = 0x0000c96ee7382869UL;
   tf->codes[1323] = 0x0000c970812150ccUL;
   tf->codes[1324] = 0x0000c971a5ec6da5UL;
   tf->codes[1325] = 0x0000c97305469043UL;
   tf->codes[1326] = 0x0000c975144dc430UL;
   tf->codes[1327] = 0x0000c9763918e109UL;
   tf->codes[1328] = 0x0000c9772354f81dUL;
   tf->codes[1329] = 0x0000c978f7cd2645UL;
   tf->codes[1330] = 0x0000c979325c2c0aUL;
   tf->codes[1331] = 0x0000c97a1c98431eUL;
   tf->codes[1332] = 0x0000c97a91b64ea8UL;
   tf->codes[1333] = 0x0000c97acc45546dUL;
   tf->codes[1334] = 0x0000c97b41635ff7UL;
   tf->codes[1335] = 0x0000c97b7bf265bcUL;
   tf->codes[1336] = 0x0000c97bf1107146UL;
   tf->codes[1337] = 0x0000c97cdb4c885aUL;
   tf->codes[1338] = 0x0000c97d15db8e1fUL;
   tf->codes[1339] = 0x0000c97d506a93e4UL;
   tf->codes[1340] = 0x0000c97dc5889f6eUL;
   tf->codes[1341] = 0x0000c97f9a00cd96UL;
   tf->codes[1342] = 0x0000c9800f1ed920UL;
   tf->codes[1343] = 0x0000c980843ce4aaUL;
   tf->codes[1344] = 0x0000c98133e9f5f9UL;
   tf->codes[1345] = 0x0000c981a9080183UL;
   tf->codes[1346] = 0x0000c98342f129e6UL;
   tf->codes[1347] = 0x0000c983b80f3570UL;
   tf->codes[1348] = 0x0000c9842d2d40faUL;
   tf->codes[1349] = 0x0000c984a24b4c84UL;
   tf->codes[1350] = 0x0000c9851769580eUL;
   tf->codes[1351] = 0x0000c98601a56f22UL;
   tf->codes[1352] = 0x0000c986b1528071UL;
   tf->codes[1353] = 0x0000c9879b8e9785UL;
   tf->codes[1354] = 0x0000c987d61d9d4aUL;
   tf->codes[1355] = 0x0000c988c059b45eUL;
   tf->codes[1356] = 0x0000c98a94d1e286UL;
   tf->codes[1357] = 0x0000c98acf60e84bUL;
   tf->codes[1358] = 0x0000c98b447ef3d5UL;
   tf->codes[1359] = 0x0000c98b7f0df99aUL;
   tf->codes[1360] = 0x0000c98bf42c0524UL;
   tf->codes[1361] = 0x0000c98c694a10aeUL;
   tf->codes[1362] = 0x0000c98e03333911UL;
   tf->codes[1363] = 0x0000c98f628d5bafUL;
   tf->codes[1364] = 0x0000c98fd7ab6739UL;
   tf->codes[1365] = 0x0000c990123a6cfeUL;
   tf->codes[1366] = 0x0000c990fc768412UL;
   tf->codes[1367] = 0x0000c991370589d7UL;
   tf->codes[1368] = 0x0000c991e6b29b26UL;
   tf->codes[1369] = 0x0000c9925bd0a6b0UL;
   tf->codes[1370] = 0x0000c9930b7db7ffUL;
   tf->codes[1371] = 0x0000c993f5b9cf13UL;
   tf->codes[1372] = 0x0000c994a566e062UL;
   tf->codes[1373] = 0x0000c994dff5e627UL;
   tf->codes[1374] = 0x0000c995ca31fd3bUL;
   tf->codes[1375] = 0x0000c9963f5008c5UL;
   tf->codes[1376] = 0x0000c997298c1fd9UL;
   tf->codes[1377] = 0x0000c997641b259eUL;
   tf->codes[1378] = 0x0000c997d9393128UL;
   tf->codes[1379] = 0x0000c998c375483cUL;
   tf->codes[1380] = 0x0000c9997322598bUL;
   tf->codes[1381] = 0x0000c999e8406515UL;
   tf->codes[1382] = 0x0000c99b0d0b81eeUL;
   tf->codes[1383] = 0x0000c99b479a87b3UL;
   tf->codes[1384] = 0x0000c99ca6f4aa51UL;
   tf->codes[1385] = 0x0000c99d1c12b5dbUL;
   tf->codes[1386] = 0x0000c99d56a1bba0UL;
   tf->codes[1387] = 0x0000c99ef08ae403UL;
   tf->codes[1388] = 0x0000c99fa037f552UL;
   tf->codes[1389] = 0x0000c9a04fe506a1UL;
   tf->codes[1390] = 0x0000c9a13a211db5UL;
   tf->codes[1391] = 0x0000c9a25eec3a8eUL;
   tf->codes[1392] = 0x0000c9a383b75767UL;
   tf->codes[1393] = 0x0000c9a3be465d2cUL;
   tf->codes[1394] = 0x0000c9a4336468b6UL;
   tf->codes[1395] = 0x0000c9a4a8827440UL;
   tf->codes[1396] = 0x0000c9a51da07fcaUL;
   tf->codes[1397] = 0x0000c9a5cd4d9119UL;
   tf->codes[1398] = 0x0000c9a6426b9ca3UL;
   tf->codes[1399] = 0x0000c9a6b789a82dUL;
   tf->codes[1400] = 0x0000c9a7dc54c506UL;
   tf->codes[1401] = 0x0000c9a85172d090UL;
   tf->codes[1402] = 0x0000c9a9011fe1dfUL;
   tf->codes[1403] = 0x0000c9a9763ded69UL;
   tf->codes[1404] = 0x0000c9aa9b090a42UL;
   tf->codes[1405] = 0x0000c9aad5981007UL;
   tf->codes[1406] = 0x0000c9ab102715ccUL;
   tf->codes[1407] = 0x0000c9ab4ab61b91UL;
   tf->codes[1408] = 0x0000c9ab85452156UL;
   tf->codes[1409] = 0x0000c9ad59bd4f7eUL;
   tf->codes[1410] = 0x0000c9ae096a60cdUL;
   tf->codes[1411] = 0x0000c9aeb917721cUL;
   tf->codes[1412] = 0x0000c9afdde28ef5UL;
   tf->codes[1413] = 0x0000c9b08d8fa044UL;
   tf->codes[1414] = 0x0000c9b0c81ea609UL;
   tf->codes[1415] = 0x0000c9b1b25abd1dUL;
   tf->codes[1416] = 0x0000c9b1ece9c2e2UL;
   tf->codes[1417] = 0x0000c9b3fbf0f6cfUL;
   tf->codes[1418] = 0x0000c9b4ab9e081eUL;
   tf->codes[1419] = 0x0000c9b4e62d0de3UL;
   tf->codes[1420] = 0x0000c9b520bc13a8UL;
   tf->codes[1421] = 0x0000c9b595da1f32UL;
   tf->codes[1422] = 0x0000c9b6f53441d0UL;
   tf->codes[1423] = 0x0000c9b76a524d5aUL;
   tf->codes[1424] = 0x0000c9be81a40035UL;
   tf->codes[1425] = 0x0000c9bebc3305faUL;
   tf->codes[1426] = 0x0000c9bf31511184UL;
   tf->codes[1427] = 0x0000c9c0561c2e5dUL;
   tf->codes[1428] = 0x0000c9c0cb3a39e7UL;
   tf->codes[1429] = 0x0000c9c26523624aUL;
   tf->codes[1430] = 0x0000c9c314d07399UL;
   tf->codes[1431] = 0x0000c9c3ff0c8aadUL;
   tf->codes[1432] = 0x0000c9c4aeb99bfcUL;
   tf->codes[1433] = 0x0000c9c523d7a786UL;
   tf->codes[1434] = 0x0000c9c55e66ad4bUL;
   tf->codes[1435] = 0x0000c9c5d384b8d5UL;
   tf->codes[1436] = 0x0000c9c6bdc0cfe9UL;
   tf->codes[1437] = 0x0000c9c732dedb73UL;
   tf->codes[1438] = 0x0000c9c81d1af287UL;
   tf->codes[1439] = 0x0000c9ca2c222674UL;
   tf->codes[1440] = 0x0000c9cadbcf37c3UL;
   tf->codes[1441] = 0x0000c9cbc60b4ed7UL;
   tf->codes[1442] = 0x0000c9cd9a837cffUL;
   tf->codes[1443] = 0x0000c9ce84bf9413UL;
   tf->codes[1444] = 0x0000c9cfe419b6b1UL;
   tf->codes[1445] = 0x0000c9d1b891e4d9UL;
   tf->codes[1446] = 0x0000c9d317ec0777UL;
   tf->codes[1447] = 0x0000c9d3527b0d3cUL;
   tf->codes[1448] = 0x0000c9d402281e8bUL;
   tf->codes[1449] = 0x0000c9d4ec64359fUL;
   tf->codes[1450] = 0x0000c9d6112f5278UL;
   tf->codes[1451] = 0x0000c9d6c0dc63c7UL;
   tf->codes[1452] = 0x0000c9d97f90a903UL;
   tf->codes[1453] = 0x0000c9d9f4aeb48dUL;
   tf->codes[1454] = 0x0000c9da69ccc017UL;
   tf->codes[1455] = 0x0000c9daa45bc5dcUL;
   tf->codes[1456] = 0x0000c9db8e97dcf0UL;
   tf->codes[1457] = 0x0000c9dd28810553UL;
   tf->codes[1458] = 0x0000c9dd63100b18UL;
   tf->codes[1459] = 0x0000c9ddd82e16a2UL;
   tf->codes[1460] = 0x0000c9de4d4c222cUL;
   tf->codes[1461] = 0x0000c9defcf9337bUL;
   tf->codes[1462] = 0x0000c9e05c535619UL;
   tf->codes[1463] = 0x0000c9e0d17161a3UL;
   tf->codes[1464] = 0x0000c9e1811e72f2UL;
   tf->codes[1465] = 0x0000c9e230cb8441UL;
   tf->codes[1466] = 0x0000c9e26b5a8a06UL;
   tf->codes[1467] = 0x0000c9e2e0789590UL;
   tf->codes[1468] = 0x0000c9e35596a11aUL;
   tf->codes[1469] = 0x0000c9e39025a6dfUL;
   tf->codes[1470] = 0x0000c9e4ef7fc97dUL;
   tf->codes[1471] = 0x0000c9e64ed9ec1bUL;
   tf->codes[1472] = 0x0000c9e73916032fUL;
   tf->codes[1473] = 0x0000c9e8d2ff2b92UL;
   tf->codes[1474] = 0x0000c9e9481d371cUL;
   tf->codes[1475] = 0x0000c9e9f7ca486bUL;
   tf->codes[1476] = 0x0000c9ea6ce853f5UL;
   tf->codes[1477] = 0x0000c9eaa77759baUL;
   tf->codes[1478] = 0x0000c9eb1c956544UL;
   tf->codes[1479] = 0x0000c9eb57246b09UL;
   tf->codes[1480] = 0x0000c9ec4160821dUL;
   tf->codes[1481] = 0x0000c9ecb67e8da7UL;
   tf->codes[1482] = 0x0000c9ed2b9c9931UL;
   tf->codes[1483] = 0x0000c9eec585c194UL;
   tf->codes[1484] = 0x0000c9ef7532d2e3UL;
   tf->codes[1485] = 0x0000c9efea50de6dUL;
   tf->codes[1486] = 0x0000c9f149ab010bUL;
   tf->codes[1487] = 0x0000c9f1f958125aUL;
   tf->codes[1488] = 0x0000c9f26e761de4UL;
   tf->codes[1489] = 0x0000c9f2e394296eUL;
   tf->codes[1490] = 0x0000c9f31e232f33UL;
   tf->codes[1491] = 0x0000c9f393413abdUL;
   tf->codes[1492] = 0x0000c9f4085f4647UL;
   tf->codes[1493] = 0x0000c9f567b968e5UL;
   tf->codes[1494] = 0x0000c9f651f57ff9UL;
   tf->codes[1495] = 0x0000c9f73c31970dUL;
   tf->codes[1496] = 0x0000c9f8d61abf70UL;
   tf->codes[1497] = 0x0000c9f94b38cafaUL;
   tf->codes[1498] = 0x0000c9f9c056d684UL;
   tf->codes[1499] = 0x0000c9fa3574e20eUL;
   tf->codes[1500] = 0x0000c9faaa92ed98UL;
   tf->codes[1501] = 0x0000c9fbcf5e0a71UL;
   tf->codes[1502] = 0x0000c9fd694732d4UL;
   tf->codes[1503] = 0x0000c9fdde653e5eUL;
   tf->codes[1504] = 0x0000c9fe18f44423UL;
   tf->codes[1505] = 0x0000c9fe538349e8UL;
   tf->codes[1506] = 0x0000c9ff3dbf60fcUL;
   tf->codes[1507] = 0x0000ca00628a7dd5UL;
   tf->codes[1508] = 0x0000ca009d19839aUL;
   tf->codes[1509] = 0x0000ca0112378f24UL;
   tf->codes[1510] = 0x0000ca01c1e4a073UL;
   tf->codes[1511] = 0x0000ca027191b1c2UL;
   tf->codes[1512] = 0x0000ca02ac20b787UL;
   tf->codes[1513] = 0x0000ca03213ec311UL;
   tf->codes[1514] = 0x0000ca03d0ebd460UL;
   tf->codes[1515] = 0x0000ca040b7ada25UL;
   tf->codes[1516] = 0x0000ca044609dfeaUL;
   tf->codes[1517] = 0x0000ca04bb27eb74UL;
   tf->codes[1518] = 0x0000ca04f5b6f139UL;
   tf->codes[1519] = 0x0000ca05a5640288UL;
   tf->codes[1520] = 0x0000ca05dff3084dUL;
   tf->codes[1521] = 0x0000ca06ca2f1f61UL;
   tf->codes[1522] = 0x0000ca0704be2526UL;
   tf->codes[1523] = 0x0000ca0779dc30b0UL;
   tf->codes[1524] = 0x0000ca07eefa3c3aUL;
   tf->codes[1525] = 0x0000ca08d936534eUL;
   tf->codes[1526] = 0x0000ca0988e3649dUL;
   tf->codes[1527] = 0x0000ca09c3726a62UL;
   tf->codes[1528] = 0x0000ca0a389075ecUL;
   tf->codes[1529] = 0x0000ca0a731f7bb1UL;
   tf->codes[1530] = 0x0000ca0aadae8176UL;
   tf->codes[1531] = 0x0000ca0b5d5b92c5UL;
   tf->codes[1532] = 0x0000ca0cbcb5b563UL;
   tf->codes[1533] = 0x0000ca0cf744bb28UL;
   tf->codes[1534] = 0x0000ca0ecbbce950UL;
   tf->codes[1535] = 0x0000ca0f40daf4daUL;
   tf->codes[1536] = 0x0000ca0ff0880629UL;
   tf->codes[1537] = 0x0000ca10a0351778UL;
   tf->codes[1538] = 0x0000ca1115532302UL;
   tf->codes[1539] = 0x0000ca12af3c4b65UL;
   tf->codes[1540] = 0x0000ca12e9cb512aUL;
   tf->codes[1541] = 0x0000ca13245a56efUL;
   tf->codes[1542] = 0x0000ca14be437f52UL;
   tf->codes[1543] = 0x0000ca16582ca7b5UL;
   tf->codes[1544] = 0x0000ca1692bbad7aUL;
   tf->codes[1545] = 0x0000ca174268bec9UL;
   tf->codes[1546] = 0x0000ca19c68dfe40UL;
   tf->codes[1547] = 0x0000ca1a011d0405UL;
   tf->codes[1548] = 0x0000ca1d34ef54cbUL;
   tf->codes[1549] = 0x0000ca1d6f7e5a90UL;
   tf->codes[1550] = 0x0000ca1daa0d6055UL;
   tf->codes[1551] = 0x0000ca1de49c661aUL;
   tf->codes[1552] = 0x0000ca1f43f688b8UL;
   tf->codes[1553] = 0x0000ca1f7e858e7dUL;
   tf->codes[1554] = 0x0000ca1fb9149442UL;
   tf->codes[1555] = 0x0000ca202e329fccUL;
   tf->codes[1556] = 0x0000ca21186eb6e0UL;
   tf->codes[1557] = 0x0000ca218d8cc26aUL;
   tf->codes[1558] = 0x0000ca21c81bc82fUL;
   tf->codes[1559] = 0x0000ca22b257df43UL;
   tf->codes[1560] = 0x0000ca236204f092UL;
   tf->codes[1561] = 0x0000ca25367d1ebaUL;
   tf->codes[1562] = 0x0000ca25e62a3009UL;
   tf->codes[1563] = 0x0000ca2695d74158UL;
   tf->codes[1564] = 0x0000ca27baa25e31UL;
   tf->codes[1565] = 0x0000ca27f53163f6UL;
   tf->codes[1566] = 0x0000ca282fc069bbUL;
   tf->codes[1567] = 0x0000ca29548b8694UL;
   tf->codes[1568] = 0x0000ca29c9a9921eUL;
   tf->codes[1569] = 0x0000ca2b2903b4bcUL;
   tf->codes[1570] = 0x0000ca2c4dced195UL;
   tf->codes[1571] = 0x0000ca2cc2ecdd1fUL;
   tf->codes[1572] = 0x0000ca2d380ae8a9UL;
   tf->codes[1573] = 0x0000ca2fbc302820UL;
   tf->codes[1574] = 0x0000ca30314e33aaUL;
   tf->codes[1575] = 0x0000ca30e0fb44f9UL;
   tf->codes[1576] = 0x0000ca3156195083UL;
   tf->codes[1577] = 0x0000ca3240556797UL;
   tf->codes[1578] = 0x0000ca327ae46d5cUL;
   tf->codes[1579] = 0x0000ca32f00278e6UL;
   tf->codes[1580] = 0x0000ca34c47aa70eUL;
   tf->codes[1581] = 0x0000ca34ff09acd3UL;
   tf->codes[1582] = 0x0000ca357427b85dUL;
   tf->codes[1583] = 0x0000ca37832eec4aUL;
   tf->codes[1584] = 0x0000ca37bdbdf20fUL;
   tf->codes[1585] = 0x0000ca386d6b035eUL;
   tf->codes[1586] = 0x0000ca38a7fa0923UL;
   tf->codes[1587] = 0x0000ca391d1814adUL;
   tf->codes[1588] = 0x0000ca3992362037UL;
   tf->codes[1589] = 0x0000ca3a41e33186UL;
   tf->codes[1590] = 0x0000ca3a7c72374bUL;
   tf->codes[1591] = 0x0000ca3ab7013d10UL;
   tf->codes[1592] = 0x0000ca3b2c1f489aUL;
   tf->codes[1593] = 0x0000ca3c8b796b38UL;
   tf->codes[1594] = 0x0000ca3d009776c2UL;
   tf->codes[1595] = 0x0000ca3d3b267c87UL;
   tf->codes[1596] = 0x0000ca3e5ff19960UL;
   tf->codes[1597] = 0x0000ca3ff9dac1c3UL;
   tf->codes[1598] = 0x0000ca4208e1f5b0UL;
   tf->codes[1599] = 0x0000ca42f31e0cc4UL;
   tf->codes[1600] = 0x0000ca43683c184eUL;
   tf->codes[1601] = 0x0000ca4417e9299dUL;
   tf->codes[1602] = 0x0000ca45022540b1UL;
   tf->codes[1603] = 0x0000ca453cb44676UL;
   tf->codes[1604] = 0x0000ca4577434c3bUL;
   tf->codes[1605] = 0x0000ca45b1d25200UL;
   tf->codes[1606] = 0x0000ca45ec6157c5UL;
   tf->codes[1607] = 0x0000ca47112c749eUL;
   tf->codes[1608] = 0x0000ca474bbb7a63UL;
   tf->codes[1609] = 0x0000ca492033a88bUL;
   tf->codes[1610] = 0x0000ca495ac2ae50UL;
   tf->codes[1611] = 0x0000ca499551b415UL;
   tf->codes[1612] = 0x0000ca4af4abd6b3UL;
   tf->codes[1613] = 0x0000ca4ba458e802UL;
   tf->codes[1614] = 0x0000ca4bdee7edc7UL;
   tf->codes[1615] = 0x0000ca4d3e421065UL;
   tf->codes[1616] = 0x0000ca4dedef21b4UL;
   tf->codes[1617] = 0x0000ca4e287e2779UL;
   tf->codes[1618] = 0x0000ca4e630d2d3eUL;
   tf->codes[1619] = 0x0000ca4e9d9c3303UL;
   tf->codes[1620] = 0x0000ca4ed82b38c8UL;
   tf->codes[1621] = 0x0000ca4f12ba3e8dUL;
   tf->codes[1622] = 0x0000ca4f4d494452UL;
   tf->codes[1623] = 0x0000ca4fc2674fdcUL;
   tf->codes[1624] = 0x0000ca4ffcf655a1UL;
   tf->codes[1625] = 0x0000ca5037855b66UL;
   tf->codes[1626] = 0x0000ca507214612bUL;
   tf->codes[1627] = 0x0000ca50aca366f0UL;
   tf->codes[1628] = 0x0000ca5121c1727aUL;
   tf->codes[1629] = 0x0000ca515c50783fUL;
   tf->codes[1630] = 0x0000ca52468c8f53UL;
   tf->codes[1631] = 0x0000ca52811b9518UL;
   tf->codes[1632] = 0x0000ca52bbaa9addUL;
   tf->codes[1633] = 0x0000ca54cab1cecaUL;
   tf->codes[1634] = 0x0000ca55ef7ceba3UL;
   tf->codes[1635] = 0x0000ca57c3f519cbUL;
   tf->codes[1636] = 0x0000ca57fe841f90UL;
   tf->codes[1637] = 0x0000ca5839132555UL;
   tf->codes[1638] = 0x0000ca5873a22b1aUL;
   tf->codes[1639] = 0x0000ca58ae3130dfUL;
   tf->codes[1640] = 0x0000ca595dde422eUL;
   tf->codes[1641] = 0x0000ca59986d47f3UL;
   tf->codes[1642] = 0x0000ca59d2fc4db8UL;
   tf->codes[1643] = 0x0000ca5b32567056UL;
   tf->codes[1644] = 0x0000ca5c1c92876aUL;
   tf->codes[1645] = 0x0000ca5c91b092f4UL;
   tf->codes[1646] = 0x0000ca5db67bafcdUL;
   tf->codes[1647] = 0x0000ca5e6628c11cUL;
   tf->codes[1648] = 0x0000ca60ea4e0093UL;
   tf->codes[1649] = 0x0000ca6199fb11e2UL;
   tf->codes[1650] = 0x0000ca620f191d6cUL;
   tf->codes[1651] = 0x0000ca62843728f6UL;
   tf->codes[1652] = 0x0000ca63e3914b94UL;
   tf->codes[1653] = 0x0000ca6458af571eUL;
   tf->codes[1654] = 0x0000ca6667b68b0bUL;
   tf->codes[1655] = 0x0000ca678c81a7e4UL;
   tf->codes[1656] = 0x0000ca67c710ada9UL;
   tf->codes[1657] = 0x0000ca683c2eb933UL;
   tf->codes[1658] = 0x0000ca69d617e196UL;
   tf->codes[1659] = 0x0000ca6a85c4f2e5UL;
   tf->codes[1660] = 0x0000ca6b35720434UL;
   tf->codes[1661] = 0x0000ca6b700109f9UL;
   tf->codes[1662] = 0x0000ca6be51f1583UL;
   tf->codes[1663] = 0x0000ca6d44793821UL;
   tf->codes[1664] = 0x0000ca6df4264970UL;
   tf->codes[1665] = 0x0000ca6e2eb54f35UL;
   tf->codes[1666] = 0x0000ca6f8e0f71d3UL;
   tf->codes[1667] = 0x0000ca703dbc8322UL;
   tf->codes[1668] = 0x0000ca70784b88e7UL;
   tf->codes[1669] = 0x0000ca7162879ffbUL;
   tf->codes[1670] = 0x0000ca719d16a5c0UL;
   tf->codes[1671] = 0x0000ca71d7a5ab85UL;
   tf->codes[1672] = 0x0000ca728752bcd4UL;
   tf->codes[1673] = 0x0000ca72c1e1c299UL;
   tf->codes[1674] = 0x0000ca72fc70c85eUL;
   tf->codes[1675] = 0x0000ca7336ffce23UL;
   tf->codes[1676] = 0x0000ca73ac1dd9adUL;
   tf->codes[1677] = 0x0000ca75bb250d9aUL;
   tf->codes[1678] = 0x0000ca7630431924UL;
   tf->codes[1679] = 0x0000ca771a7f3038UL;
   tf->codes[1680] = 0x0000ca78eef75e60UL;
   tf->codes[1681] = 0x0000ca7be83aa961UL;
   tf->codes[1682] = 0x0000ca7c97e7bab0UL;
   tf->codes[1683] = 0x0000ca7fcbba0b76UL;
   tf->codes[1684] = 0x0000ca807b671cc5UL;
   tf->codes[1685] = 0x0000ca8165a333d9UL;
   tf->codes[1686] = 0x0000ca81dac13f63UL;
   tf->codes[1687] = 0x0000ca8215504528UL;
   tf->codes[1688] = 0x0000ca82ff8c5c3cUL;
   tf->codes[1689] = 0x0000ca8374aa67c6UL;
   tf->codes[1690] = 0x0000ca845ee67edaUL;
   tf->codes[1691] = 0x0000ca849975849fUL;
   tf->codes[1692] = 0x0000ca84d4048a64UL;
   tf->codes[1693] = 0x0000ca850e939029UL;
   tf->codes[1694] = 0x0000ca8583b19bb3UL;
   tf->codes[1695] = 0x0000ca86335ead02UL;
   tf->codes[1696] = 0x0000ca866dedb2c7UL;
   tf->codes[1697] = 0x0000ca86a87cb88cUL;
   tf->codes[1698] = 0x0000ca871d9ac416UL;
   tf->codes[1699] = 0x0000ca87cd47d565UL;
   tf->codes[1700] = 0x0000ca887cf4e6b4UL;
   tf->codes[1701] = 0x0000ca89dc4f0952UL;
   tf->codes[1702] = 0x0000ca8ac68b2066UL;
   tf->codes[1703] = 0x0000ca8b763831b5UL;
   tf->codes[1704] = 0x0000ca8beb563d3fUL;
   tf->codes[1705] = 0x0000ca8d10215a18UL;
   tf->codes[1706] = 0x0000ca8d4ab05fddUL;
   tf->codes[1707] = 0x0000ca8eaa0a827bUL;
   tf->codes[1708] = 0x0000ca8f1f288e05UL;
   tf->codes[1709] = 0x0000ca8f9446998fUL;
   tf->codes[1710] = 0x0000ca8fced59f54UL;
   tf->codes[1711] = 0x0000ca907e82b0a3UL;
   tf->codes[1712] = 0x0000ca9168bec7b7UL;
   tf->codes[1713] = 0x0000ca91dddcd341UL;
   tf->codes[1714] = 0x0000ca92186bd906UL;
   tf->codes[1715] = 0x0000ca928d89e490UL;
   tf->codes[1716] = 0x0000ca94620212b8UL;
   tf->codes[1717] = 0x0000ca95fbeb3b1bUL;
   tf->codes[1718] = 0x0000ca97d0636943UL;
   tf->codes[1719] = 0x0000ca980af26f08UL;
   tf->codes[1720] = 0x0000ca9880107a92UL;
   tf->codes[1721] = 0x0000ca98f52e861cUL;
   tf->codes[1722] = 0x0000ca996a4c91a6UL;
   tf->codes[1723] = 0x0000ca9a19f9a2f5UL;
   tf->codes[1724] = 0x0000ca9b3ec4bfceUL;
   tf->codes[1725] = 0x0000ca9ee7b51c1eUL;
   tf->codes[1726] = 0x0000ca9f5cd327a8UL;
   tf->codes[1727] = 0x0000ca9f97622d6dUL;
   tf->codes[1728] = 0x0000caa1a669615aUL;
   tf->codes[1729] = 0x0000caa2cb347e33UL;
   tf->codes[1730] = 0x0000caa3405289bdUL;
   tf->codes[1731] = 0x0000caa37ae18f82UL;
   tf->codes[1732] = 0x0000caa3b5709547UL;
   tf->codes[1733] = 0x0000caa4651da696UL;
   tf->codes[1734] = 0x0000caa6aeb3e048UL;
   tf->codes[1735] = 0x0000caa75e60f197UL;
   tf->codes[1736] = 0x0000caa96d682584UL;
   tf->codes[1737] = 0x0000caa9a7f72b49UL;
   tf->codes[1738] = 0x0000caaa1d1536d3UL;
   tf->codes[1739] = 0x0000caaa57a43c98UL;
   tf->codes[1740] = 0x0000caaa9233425dUL;
   tf->codes[1741] = 0x0000caab07514de7UL;
   tf->codes[1742] = 0x0000caabb6fe5f36UL;
   tf->codes[1743] = 0x0000caabf18d64fbUL;
   tf->codes[1744] = 0x0000caad165881d4UL;
   tf->codes[1745] = 0x0000caad8b768d5eUL;
   tf->codes[1746] = 0x0000caadc6059323UL;
   tf->codes[1747] = 0x0000caae009498e8UL;
   tf->codes[1748] = 0x0000caaeb041aa37UL;
   tf->codes[1749] = 0x0000cab084b9d85fUL;
   tf->codes[1750] = 0x0000cab13466e9aeUL;
   tf->codes[1751] = 0x0000cab259320687UL;
   tf->codes[1752] = 0x0000cab293c10c4cUL;
   tf->codes[1753] = 0x0000cab468393a74UL;
   tf->codes[1754] = 0x0000cab677406e61UL;
   tf->codes[1755] = 0x0000cab6b1cf7426UL;
   tf->codes[1756] = 0x0000cab79c0b8b3aUL;
   tf->codes[1757] = 0x0000cab7d69a90ffUL;
   tf->codes[1758] = 0x0000cab8112996c4UL;
   tf->codes[1759] = 0x0000cab8c0d6a813UL;
   tf->codes[1760] = 0x0000cab935f4b39dUL;
   tf->codes[1761] = 0x0000cab9e5a1c4ecUL;
   tf->codes[1762] = 0x0000caba5abfd076UL;
   tf->codes[1763] = 0x0000cabbf4a8f8d9UL;
   tf->codes[1764] = 0x0000cabdc9212701UL;
   tf->codes[1765] = 0x0000cabe03b02cc6UL;
   tf->codes[1766] = 0x0000cac087d56c3dUL;
   tf->codes[1767] = 0x0000cac0c2647202UL;
   tf->codes[1768] = 0x0000cac137827d8cUL;
   tf->codes[1769] = 0x0000cac1aca08916UL;
   tf->codes[1770] = 0x0000cac221be94a0UL;
   tf->codes[1771] = 0x0000cac30bfaabb4UL;
   tf->codes[1772] = 0x0000cac3f636c2c8UL;
   tf->codes[1773] = 0x0000cac46b54ce52UL;
   tf->codes[1774] = 0x0000cac4e072d9dcUL;
   tf->codes[1775] = 0x0000cac5901feb2bUL;
   tf->codes[1776] = 0x0000cac5caaef0f0UL;
   tf->codes[1777] = 0x0000cac67a5c023fUL;
   tf->codes[1778] = 0x0000cac6ef7a0dc9UL;
   tf->codes[1779] = 0x0000cac764981953UL;
   tf->codes[1780] = 0x0000cac84ed43067UL;
   tf->codes[1781] = 0x0000cac88963362cUL;
   tf->codes[1782] = 0x0000cac8fe8141b6UL;
   tf->codes[1783] = 0x0000cac93910477bUL;
   tf->codes[1784] = 0x0000cacb48177b68UL;
   tf->codes[1785] = 0x0000cacbf7c48cb7UL;
   tf->codes[1786] = 0x0000cacdcc3cbadfUL;
   tf->codes[1787] = 0x0000cace415ac669UL;
   tf->codes[1788] = 0x0000cace7be9cc2eUL;
   tf->codes[1789] = 0x0000cacf6625e342UL;
   tf->codes[1790] = 0x0000cad299f83408UL;
   tf->codes[1791] = 0x0000cad2d48739cdUL;
   tf->codes[1792] = 0x0000cad30f163f92UL;
   tf->codes[1793] = 0x0000cad384344b1cUL;
   tf->codes[1794] = 0x0000cad51e1d737fUL;
   tf->codes[1795] = 0x0000cad558ac7944UL;
   tf->codes[1796] = 0x0000cad6b8069be2UL;
   tf->codes[1797] = 0x0000cad72d24a76cUL;
   tf->codes[1798] = 0x0000cad851efc445UL;
   tf->codes[1799] = 0x0000cad88c7eca0aUL;
   tf->codes[1800] = 0x0000cad8c70dcfcfUL;
   tf->codes[1801] = 0x0000cad93c2bdb59UL;
   tf->codes[1802] = 0x0000cadce51c37a9UL;
   tf->codes[1803] = 0x0000cadd5a3a4333UL;
   tf->codes[1804] = 0x0000cadfa3d07ce5UL;
   tf->codes[1805] = 0x0000cae08e0c93f9UL;
   tf->codes[1806] = 0x0000cae13db9a548UL;
   tf->codes[1807] = 0x0000cae1b2d7b0d2UL;
   tf->codes[1808] = 0x0000cae1ed66b697UL;
   tf->codes[1809] = 0x0000cae26284c221UL;
   tf->codes[1810] = 0x0000cae31231d370UL;
   tf->codes[1811] = 0x0000cae730403b4aUL;
   tf->codes[1812] = 0x0000cae76acf410fUL;
   tf->codes[1813] = 0x0000cae81a7c525eUL;
   tf->codes[1814] = 0x0000cae8550b5823UL;
   tf->codes[1815] = 0x0000cae8ca2963adUL;
   tf->codes[1816] = 0x0000cae9b4657ac1UL;
   tf->codes[1817] = 0x0000caea9ea191d5UL;
   tf->codes[1818] = 0x0000caead930979aUL;
   tf->codes[1819] = 0x0000caee0d02e860UL;
   tf->codes[1820] = 0x0000caf140d53926UL;
   tf->codes[1821] = 0x0000caf265a055ffUL;
   tf->codes[1822] = 0x0000caf2a02f5bc4UL;
   tf->codes[1823] = 0x0000caf4af368fb1UL;
   tf->codes[1824] = 0x0000caf55ee3a100UL;
   tf->codes[1825] = 0x0000caf60e90b24fUL;
   tf->codes[1826] = 0x0000caf942630315UL;
   tf->codes[1827] = 0x0000caf9f2101464UL;
   tf->codes[1828] = 0x0000cafc01174851UL;
   tf->codes[1829] = 0x0000cafc763553dbUL;
   tf->codes[1830] = 0x0000cafd60716aefUL;
   tf->codes[1831] = 0x0000cafd9b0070b4UL;
   tf->codes[1832] = 0x0000cafefa5a9352UL;
   tf->codes[1833] = 0x0000caff34e99917UL;
   tf->codes[1834] = 0x0000caffe496aa66UL;
   tf->codes[1835] = 0x0000cb001f25b02bUL;
   tf->codes[1836] = 0x0000cb010961c73fUL;
   tf->codes[1837] = 0x0000cb0143f0cd04UL;
   tf->codes[1838] = 0x0000cb022e2ce418UL;
   tf->codes[1839] = 0x0000cb038d8706b6UL;
   tf->codes[1840] = 0x0000cb04b252238fUL;
   tf->codes[1841] = 0x0000cb0527702f19UL;
   tf->codes[1842] = 0x0000cb059c8e3aa3UL;
   tf->codes[1843] = 0x0000cb064c3b4bf2UL;
   tf->codes[1844] = 0x0000cb0686ca51b7UL;
   tf->codes[1845] = 0x0000cb06fbe85d41UL;
   tf->codes[1846] = 0x0000cb085b427fdfUL;
   tf->codes[1847] = 0x0000cb08d0608b69UL;
   tf->codes[1848] = 0x0000cb09800d9cb8UL;
   tf->codes[1849] = 0x0000cb0d28fdf908UL;
   tf->codes[1850] = 0x0000cb0ec2e7216bUL;
   tf->codes[1851] = 0x0000cb0fe7b23e44UL;
   tf->codes[1852] = 0x0000cb12e0f58945UL;
   tf->codes[1853] = 0x0000cb131b848f0aUL;
   tf->codes[1854] = 0x0000cb13cb31a059UL;
   tf->codes[1855] = 0x0000cb152a8bc2f7UL;
   tf->codes[1856] = 0x0000cb15da38d446UL;
   tf->codes[1857] = 0x0000cb16ff03f11fUL;
   tf->codes[1858] = 0x0000cb1823cf0df8UL;
   tf->codes[1859] = 0x0000cb185e5e13bdUL;
   tf->codes[1860] = 0x0000cb18d37c1f47UL;
   tf->codes[1861] = 0x0000cb190e0b250cUL;
   tf->codes[1862] = 0x0000cb1a6d6547aaUL;
   tf->codes[1863] = 0x0000cb1ddbc69e35UL;
   tf->codes[1864] = 0x0000cb1e1655a3faUL;
   tf->codes[1865] = 0x0000cb1e8b73af84UL;
   tf->codes[1866] = 0x0000cb1ec602b549UL;
   tf->codes[1867] = 0x0000cb1f0091bb0eUL;
   tf->codes[1868] = 0x0000cb1feacdd222UL;
   tf->codes[1869] = 0x0000cb20d509e936UL;
   tf->codes[1870] = 0x0000cb2234640bd4UL;
   tf->codes[1871] = 0x0000cb231ea022e8UL;
   tf->codes[1872] = 0x0000cb2408dc39fcUL;
   tf->codes[1873] = 0x0000cb27ec5b9c11UL;
   tf->codes[1874] = 0x0000cb2a7080db88UL;
   tf->codes[1875] = 0x0000cb2aab0fe14dUL;
   tf->codes[1876] = 0x0000cb2b5abcf29cUL;
   tf->codes[1877] = 0x0000cb2ddee23213UL;
   tf->codes[1878] = 0x0000cb2fede96600UL;
   tf->codes[1879] = 0x0000cb3028786bc5UL;
   tf->codes[1880] = 0x0000cb31c2619428UL;
   tf->codes[1881] = 0x0000cb31fcf099edUL;
   tf->codes[1882] = 0x0000cb32720ea577UL;
   tf->codes[1883] = 0x0000cb3321bbb6c6UL;
   tf->codes[1884] = 0x0000cb35a5e0f63dUL;
   tf->codes[1885] = 0x0000cb361aff01c7UL;
   tf->codes[1886] = 0x0000cb36901d0d51UL;
   tf->codes[1887] = 0x0000cb3864953b79UL;
   tf->codes[1888] = 0x0000cb3989605852UL;
   tf->codes[1889] = 0x0000cb3ae8ba7af0UL;
   tf->codes[1890] = 0x0000cb3b234980b5UL;
   tf->codes[1891] = 0x0000cb3c48149d8eUL;
   tf->codes[1892] = 0x0000cb3da76ec02cUL;
   tf->codes[1893] = 0x0000cb3e91aad740UL;
   tf->codes[1894] = 0x0000cb3f4157e88fUL;
   tf->codes[1895] = 0x0000cb3fb675f419UL;
   tf->codes[1896] = 0x0000cb41c57d2806UL;
   tf->codes[1897] = 0x0000cb42000c2dcbUL;
   tf->codes[1898] = 0x0000cb440f1361b8UL;
   tf->codes[1899] = 0x0000cb45a8fc8a1bUL;
   tf->codes[1900] = 0x0000cb45e38b8fe0UL;
   tf->codes[1901] = 0x0000cb4658a99b6aUL;
   tf->codes[1902] = 0x0000cb469338a12fUL;
   tf->codes[1903] = 0x0000cb477d74b843UL;
   tf->codes[1904] = 0x0000cb4a76b80344UL;
   tf->codes[1905] = 0x0000cb4ab1470909UL;
   tf->codes[1906] = 0x0000cb4bd61225e2UL;
   tf->codes[1907] = 0x0000cb4c4b30316cUL;
   tf->codes[1908] = 0x0000cb4de51959cfUL;
   tf->codes[1909] = 0x0000cb4e1fa85f94UL;
   tf->codes[1910] = 0x0000cb4f09e476a8UL;
   tf->codes[1911] = 0x0000cb502eaf9381UL;
   tf->codes[1912] = 0x0000cb5118ebaa95UL;
   tf->codes[1913] = 0x0000cb527845cd33UL;
   tf->codes[1914] = 0x0000cb52b2d4d2f8UL;
   tf->codes[1915] = 0x0000cb53d79fefd1UL;
   tf->codes[1916] = 0x0000cb54874d0120UL;
   tf->codes[1917] = 0x0000cb54fc6b0caaUL;
   tf->codes[1918] = 0x0000cb5571891834UL;
   tf->codes[1919] = 0x0000cb55ac181df9UL;
   tf->codes[1920] = 0x0000cb570b724097UL;
   tf->codes[1921] = 0x0000cb57bb1f51e6UL;
   tf->codes[1922] = 0x0000cb58a55b68faUL;
   tf->codes[1923] = 0x0000cb591a797484UL;
   tf->codes[1924] = 0x0000cb598f97800eUL;
   tf->codes[1925] = 0x0000cb5a3f44915dUL;
   tf->codes[1926] = 0x0000cb5a79d39722UL;
   tf->codes[1927] = 0x0000cb5de834edadUL;
   tf->codes[1928] = 0x0000cb6031cb275fUL;
   tf->codes[1929] = 0x0000cb6156964438UL;
   tf->codes[1930] = 0x0000cb627b616111UL;
   tf->codes[1931] = 0x0000cb64c4f79ac3UL;
   tf->codes[1932] = 0x0000cb653a15a64dUL;
   tf->codes[1933] = 0x0000cb6574a4ac12UL;
   tf->codes[1934] = 0x0000cb662451bd61UL;
   tf->codes[1935] = 0x0000cb66996fc8ebUL;
   tf->codes[1936] = 0x0000cb670e8dd475UL;
   tf->codes[1937] = 0x0000cb67be3ae5c4UL;
   tf->codes[1938] = 0x0000cb691d950862UL;
   tf->codes[1939] = 0x0000cb6958240e27UL;
   tf->codes[1940] = 0x0000cb69cd4219b1UL;
   tf->codes[1941] = 0x0000cb6ab77e30c5UL;
   tf->codes[1942] = 0x0000cb6b672b4214UL;
   tf->codes[1943] = 0x0000cb6ba1ba47d9UL;
   tf->codes[1944] = 0x0000cb6c16d85363UL;
   tf->codes[1945] = 0x0000cb6e606e8d15UL;
   tf->codes[1946] = 0x0000cb6f101b9e64UL;
   tf->codes[1947] = 0x0000cb6f4aaaa429UL;
   tf->codes[1948] = 0x0000cb6fbfc8afb3UL;
   tf->codes[1949] = 0x0000cb711f22d251UL;
   tf->codes[1950] = 0x0000cb727e7cf4efUL;
   tf->codes[1951] = 0x0000cb7418661d52UL;
   tf->codes[1952] = 0x0000cb7502a23466UL;
   tf->codes[1953] = 0x0000cb753d313a2bUL;
   tf->codes[1954] = 0x0000cb7661fc5704UL;
   tf->codes[1955] = 0x0000cb783674852cUL;
   tf->codes[1956] = 0x0000cb7a0aecb354UL;
   tf->codes[1957] = 0x0000cb7a457bb919UL;
   tf->codes[1958] = 0x0000cb7db3dd0fa4UL;
   tf->codes[1959] = 0x0000cb7e9e1926b8UL;
   tf->codes[1960] = 0x0000cb80729154e0UL;
   tf->codes[1961] = 0x0000cb80ad205aa5UL;
   tf->codes[1962] = 0x0000cb820c7a7d43UL;
   tf->codes[1963] = 0x0000cb8247098308UL;
   tf->codes[1964] = 0x0000cb8331459a1cUL;
   tf->codes[1965] = 0x0000cb836bd49fe1UL;
   tf->codes[1966] = 0x0000cb83a663a5a6UL;
   tf->codes[1967] = 0x0000cb8505bdc844UL;
   tf->codes[1968] = 0x0000cb857adbd3ceUL;
   tf->codes[1969] = 0x0000cb86da35f66cUL;
   tf->codes[1970] = 0x0000cb874f5401f6UL;
   tf->codes[1971] = 0x0000cb87ff011345UL;
   tf->codes[1972] = 0x0000cb883990190aUL;
   tf->codes[1973] = 0x0000cb88741f1ecfUL;
   tf->codes[1974] = 0x0000cb88e93d2a59UL;
   tf->codes[1975] = 0x0000cb8923cc301eUL;
   tf->codes[1976] = 0x0000cb8a0e084732UL;
   tf->codes[1977] = 0x0000cb8be280755aUL;
   tf->codes[1978] = 0x0000cb8df187a947UL;
   tf->codes[1979] = 0x0000cb8e2c16af0cUL;
   tf->codes[1980] = 0x0000cb8e66a5b4d1UL;
   tf->codes[1981] = 0x0000cb8f8b70d1aaUL;
   tf->codes[1982] = 0x0000cb903b1de2f9UL;
   tf->codes[1983] = 0x0000cb919a780597UL;
   tf->codes[1984] = 0x0000cb941e9d450eUL;
   tf->codes[1985] = 0x0000cb9493bb5098UL;
   tf->codes[1986] = 0x0000cb94ce4a565dUL;
   tf->codes[1987] = 0x0000cb95436861e7UL;
   tf->codes[1988] = 0x0000cb95f3157336UL;
   tf->codes[1989] = 0x0000cb97526f95d4UL;
   tf->codes[1990] = 0x0000cb97c78da15eUL;
   tf->codes[1991] = 0x0000cb98ec58be37UL;
   tf->codes[1992] = 0x0000cb9c95491a87UL;
   tf->codes[1993] = 0x0000cb9d44f62bd6UL;
   tf->codes[1994] = 0x0000cb9e2f3242eaUL;
   tf->codes[1995] = 0x0000cb9f196e59feUL;
   tf->codes[1996] = 0x0000cb9fc91b6b4dUL;
   tf->codes[1997] = 0x0000cba003aa7112UL;
   tf->codes[1998] = 0x0000cba0ede68826UL;
   tf->codes[1999] = 0x0000cba19d939975UL;
   tf->codes[2000] = 0x0000cba24d40aac4UL;
   tf->codes[2001] = 0x0000cba287cfb089UL;
   tf->codes[2002] = 0x0000cba54683f5c5UL;
   tf->codes[2003] = 0x0000cba58112fb8aUL;
   tf->codes[2004] = 0x0000cba6a5de1863UL;
   tf->codes[2005] = 0x0000cba6e06d1e28UL;
   tf->codes[2006] = 0x0000cba964925d9fUL;
   tf->codes[2007] = 0x0000cbaa4ece74b3UL;
   tf->codes[2008] = 0x0000cbab390a8bc7UL;
   tf->codes[2009] = 0x0000cbabe8b79d16UL;
   tf->codes[2010] = 0x0000cbad82a0c579UL;
   tf->codes[2011] = 0x0000cbadf7bed103UL;
   tf->codes[2012] = 0x0000cbafcc36ff2bUL;
   tf->codes[2013] = 0x0000cbb07be4107aUL;
   tf->codes[2014] = 0x0000cbb0b673163fUL;
   tf->codes[2015] = 0x0000cbb12b9121c9UL;
   tf->codes[2016] = 0x0000cbb1a0af2d53UL;
   tf->codes[2017] = 0x0000cbb2c57a4a2cUL;
   tf->codes[2018] = 0x0000cbb45f63728fUL;
   tf->codes[2019] = 0x0000cbb6e388b206UL;
   tf->codes[2020] = 0x0000cbba175b02ccUL;
   tf->codes[2021] = 0x0000cbba8c790e56UL;
   tf->codes[2022] = 0x0000cbbd4b2d5392UL;
   tf->codes[2023] = 0x0000cbbee5167bf5UL;
   tf->codes[2024] = 0x0000cbbf1fa581baUL;
   tf->codes[2025] = 0x0000cbbf5a34877fUL;
   tf->codes[2026] = 0x0000cbc0f41dafe2UL;
   tf->codes[2027] = 0x0000cbc1de59c6f6UL;
   tf->codes[2028] = 0x0000cbc218e8ccbbUL;
   tf->codes[2029] = 0x0000cbc28e06d845UL;
   tf->codes[2030] = 0x0000cbc4d79d11f7UL;
   tf->codes[2031] = 0x0000cbc5874a2346UL;
   tf->codes[2032] = 0x0000cbc6ac15401fUL;
   tf->codes[2033] = 0x0000cbc6e6a445e4UL;
   tf->codes[2034] = 0x0000cbc721334ba9UL;
   tf->codes[2035] = 0x0000cbc796515733UL;
   tf->codes[2036] = 0x0000cbc8808d6e47UL;
   tf->codes[2037] = 0x0000cbc9303a7f96UL;
   tf->codes[2038] = 0x0000cbc9dfe790e5UL;
   tf->codes[2039] = 0x0000cbca8f94a234UL;
   tf->codes[2040] = 0x0000cbcb04b2adbeUL;
   tf->codes[2041] = 0x0000cbcb3f41b383UL;
   tf->codes[2042] = 0x0000cbcbeeeec4d2UL;
   tf->codes[2043] = 0x0000cbceada30a0eUL;
   tf->codes[2044] = 0x0000cbd0478c3271UL;
   tf->codes[2045] = 0x0000cbd0821b3836UL;
   tf->codes[2046] = 0x0000cbd1a6e6550fUL;
   tf->codes[2047] = 0x0000cbd1e1755ad4UL;
   tf->codes[2048] = 0x0000cbd25693665eUL;
   tf->codes[2049] = 0x0000cbd291226c23UL;
   tf->codes[2050] = 0x0000cbd3b5ed88fcUL;
   tf->codes[2051] = 0x0000cbd3f07c8ec1UL;
   tf->codes[2052] = 0x0000cbd42b0b9486UL;
   tf->codes[2053] = 0x0000cbd4a029a010UL;
   tf->codes[2054] = 0x0000cbd58a65b724UL;
   tf->codes[2055] = 0x0000cbd5c4f4bce9UL;
   tf->codes[2056] = 0x0000cbd7996ceb11UL;
   tf->codes[2057] = 0x0000cbd96de51939UL;
   tf->codes[2058] = 0x0000cbda1d922a88UL;
   tf->codes[2059] = 0x0000cbdcdc466fc4UL;
   tf->codes[2060] = 0x0000cbde762f9827UL;
   tf->codes[2061] = 0x0000cbdeb0be9decUL;
   tf->codes[2062] = 0x0000cbdeeb4da3b1UL;
   tf->codes[2063] = 0x0000cbe08536cc14UL;
   tf->codes[2064] = 0x0000cbe134e3dd63UL;
   tf->codes[2065] = 0x0000cbe16f72e328UL;
   tf->codes[2066] = 0x0000cbe1aa01e8edUL;
   tf->codes[2067] = 0x0000cbe37e7a1715UL;
   tf->codes[2068] = 0x0000cbe3f398229fUL;
   tf->codes[2069] = 0x0000cbe468b62e29UL;
   tf->codes[2070] = 0x0000cbe5c81050c7UL;
   tf->codes[2071] = 0x0000cbe6029f568cUL;
   tf->codes[2072] = 0x0000cbe63d2e5c51UL;
   tf->codes[2073] = 0x0000cbe7d71784b4UL;
   tf->codes[2074] = 0x0000cbe811a68a79UL;
   tf->codes[2075] = 0x0000cbe84c35903eUL;
   tf->codes[2076] = 0x0000cbe93671a752UL;
   tf->codes[2077] = 0x0000cbe9e61eb8a1UL;
   tf->codes[2078] = 0x0000cbee042d207bUL;
   tf->codes[2079] = 0x0000cbef28f83d54UL;
   tf->codes[2080] = 0x0000cbef9e1648deUL;
   tf->codes[2081] = 0x0000cbf137ff7141UL;
   tf->codes[2082] = 0x0000cbf1728e7706UL;
   tf->codes[2083] = 0x0000cbf1e7ac8290UL;
   tf->codes[2084] = 0x0000cbf38195aaf3UL;
   tf->codes[2085] = 0x0000cbf3bc24b0b8UL;
   tf->codes[2086] = 0x0000cbf5560dd91bUL;
   tf->codes[2087] = 0x0000cbf5cb2be4a5UL;
   tf->codes[2088] = 0x0000cbf79fa412cdUL;
   tf->codes[2089] = 0x0000cbf7da331892UL;
   tf->codes[2090] = 0x0000cbf84f51241cUL;
   tf->codes[2091] = 0x0000cbf889e029e1UL;
   tf->codes[2092] = 0x0000cbf9741c40f5UL;
   tf->codes[2093] = 0x0000cbfbbdb27aa7UL;
   tf->codes[2094] = 0x0000cbfc32d08631UL;
   tf->codes[2095] = 0x0000cbfd1d0c9d45UL;
   tf->codes[2096] = 0x0000cbfd922aa8cfUL;
   tf->codes[2097] = 0x0000cbfef184cb6dUL;
   tf->codes[2098] = 0x0000cbffa131dcbcUL;
   tf->codes[2099] = 0x0000cbffdbc0e281UL;
   tf->codes[2100] = 0x0000cc013b1b051fUL;
   tf->codes[2101] = 0x0000cc01b03910a9UL;
   tf->codes[2102] = 0x0000cc025fe621f8UL;
   tf->codes[2103] = 0x0000cc034a22390cUL;
   tf->codes[2104] = 0x0000cc03bf404496UL;
   tf->codes[2105] = 0x0000cc0608d67e48UL;
   tf->codes[2106] = 0x0000cc064365840dUL;
   tf->codes[2107] = 0x0000cc06b8838f97UL;
   tf->codes[2108] = 0x0000cc06f312955cUL;
   tf->codes[2109] = 0x0000cc072da19b21UL;
   tf->codes[2110] = 0x0000cc08c78ac384UL;
   tf->codes[2111] = 0x0000cc093ca8cf0eUL;
   tf->codes[2112] = 0x0000cc09b1c6da98UL;
   tf->codes[2113] = 0x0000cc0a26e4e622UL;
   tf->codes[2114] = 0x0000cc0ad691f771UL;
   tf->codes[2115] = 0x0000cc0b1120fd36UL;
   tf->codes[2116] = 0x0000cc0b863f08c0UL;
   tf->codes[2117] = 0x0000cc0c35ec1a0fUL;
   tf->codes[2118] = 0x0000cc0d5ab736e8UL;
   tf->codes[2119] = 0x0000cc0f2f2f6510UL;
   tf->codes[2120] = 0x0000cc108e8987aeUL;
   tf->codes[2121] = 0x0000cc10c9188d73UL;
   tf->codes[2122] = 0x0000cc1103a79338UL;
   tf->codes[2123] = 0x0000cc122872b011UL;
   tf->codes[2124] = 0x0000cc155c4500d7UL;
   tf->codes[2125] = 0x0000cc1596d4069cUL;
   tf->codes[2126] = 0x0000cc176b4c34c4UL;
   tf->codes[2127] = 0x0000cc189017519dUL;
   tf->codes[2128] = 0x0000cc19b4e26e76UL;
   tf->codes[2129] = 0x0000cc1a9f1e858aUL;
   tf->codes[2130] = 0x0000cc1ad9ad8b4fUL;
   tf->codes[2131] = 0x0000cc1c7396b3b2UL;
   tf->codes[2132] = 0x0000cc1d5dd2cac6UL;
   tf->codes[2133] = 0x0000cc1d9861d08bUL;
   tf->codes[2134] = 0x0000cc1dd2f0d650UL;
   tf->codes[2135] = 0x0000cc1fe1f80a3dUL;
   tf->codes[2136] = 0x0000cc217be132a0UL;
   tf->codes[2137] = 0x0000cc22661d49b4UL;
   tf->codes[2138] = 0x0000cc26499cabc9UL;
   tf->codes[2139] = 0x0000cc26842bb18eUL;
   tf->codes[2140] = 0x0000cc276e67c8a2UL;
   tf->codes[2141] = 0x0000cc27a8f6ce67UL;
   tf->codes[2142] = 0x0000cc2858a3dfb6UL;
   tf->codes[2143] = 0x0000cc289332e57bUL;
   tf->codes[2144] = 0x0000cc29b7fe0254UL;
   tf->codes[2145] = 0x0000cc2b175824f2UL;
   tf->codes[2146] = 0x0000cc2b51e72ab7UL;
   tf->codes[2147] = 0x0000cc2d60ee5ea4UL;
   tf->codes[2148] = 0x0000cc2ec0488142UL;
   tf->codes[2149] = 0x0000cc2f6ff59291UL;
   tf->codes[2150] = 0x0000cc305a31a9a5UL;
   tf->codes[2151] = 0x0000cc317efcc67eUL;
   tf->codes[2152] = 0x0000cc32a3c7e357UL;
   tf->codes[2153] = 0x0000cc32de56e91cUL;
   tf->codes[2154] = 0x0000cc3318e5eee1UL;
   tf->codes[2155] = 0x0000cc335374f4a6UL;
   tf->codes[2156] = 0x0000cc343db10bbaUL;
   tf->codes[2157] = 0x0000cc36122939e2UL;
   tf->codes[2158] = 0x0000cc37ac126245UL;
   tf->codes[2159] = 0x0000cc38d0dd7f1eUL;
   tf->codes[2160] = 0x0000cc39bb199632UL;
   tf->codes[2161] = 0x0000cc3b5502be95UL;
   tf->codes[2162] = 0x0000cc3ceeebe6f8UL;
   tf->codes[2163] = 0x0000cc3d6409f282UL;
   tf->codes[2164] = 0x0000cc3e13b703d1UL;
   tf->codes[2165] = 0x0000cc3ec3641520UL;
   tf->codes[2166] = 0x0000cc3efdf31ae5UL;
   tf->codes[2167] = 0x0000cc40d26b490dUL;
   tf->codes[2168] = 0x0000cc426c547170UL;
   tf->codes[2169] = 0x0000cc42e1727cfaUL;
   tf->codes[2170] = 0x0000cc43911f8e49UL;
   tf->codes[2171] = 0x0000cc45a026c236UL;
   tf->codes[2172] = 0x0000cc464fd3d385UL;
   tf->codes[2173] = 0x0000cc468a62d94aUL;
   tf->codes[2174] = 0x0000cc4aa8714124UL;
   tf->codes[2175] = 0x0000cc4b581e5273UL;
   tf->codes[2176] = 0x0000cc4b92ad5838UL;
   tf->codes[2177] = 0x0000cc4bcd3c5dfdUL;
   tf->codes[2178] = 0x0000cc4d2c96809bUL;
   tf->codes[2179] = 0x0000cc4e8bf0a339UL;
   tf->codes[2180] = 0x0000cc4f3b9db488UL;
   tf->codes[2181] = 0x0000cc509af7d726UL;
   tf->codes[2182] = 0x0000cc51fa51f9c4UL;
   tf->codes[2183] = 0x0000cc5234e0ff89UL;
   tf->codes[2184] = 0x0000cc52e48e10d8UL;
   tf->codes[2185] = 0x0000cc5568b3504fUL;
   tf->codes[2186] = 0x0000cc568d7e6d28UL;
   tf->codes[2187] = 0x0000cc56c80d72edUL;
   tf->codes[2188] = 0x0000cc57029c78b2UL;
   tf->codes[2189] = 0x0000cc5777ba843cUL;
   tf->codes[2190] = 0x0000cc589c85a115UL;
   tf->codes[2191] = 0x0000cc594c32b264UL;
   tf->codes[2192] = 0x0000cc5986c1b829UL;
   tf->codes[2193] = 0x0000cc59c150bdeeUL;
   tf->codes[2194] = 0x0000cc5c4575fd65UL;
   tf->codes[2195] = 0x0000cc5cf5230eb4UL;
   tf->codes[2196] = 0x0000cc5d6a411a3eUL;
   tf->codes[2197] = 0x0000cc5e547d3152UL;
   tf->codes[2198] = 0x0000cc5f3eb94866UL;
   tf->codes[2199] = 0x0000cc61fd6d8da2UL;
   tf->codes[2200] = 0x0000cc62ad1a9ef1UL;
   tf->codes[2201] = 0x0000cc62e7a9a4b6UL;
   tf->codes[2202] = 0x0000cc644703c754UL;
   tf->codes[2203] = 0x0000cc64bc21d2deUL;
   tf->codes[2204] = 0x0000cc661b7bf57cUL;
   tf->codes[2205] = 0x0000cc67b5651ddfUL;
   tf->codes[2206] = 0x0000cc689fa134f3UL;
   tf->codes[2207] = 0x0000cc6914bf407dUL;
   tf->codes[2208] = 0x0000cc69fefb5791UL;
   tf->codes[2209] = 0x0000cc6a398a5d56UL;
   tf->codes[2210] = 0x0000cc6b23c6746aUL;
   tf->codes[2211] = 0x0000cc6de27ab9a6UL;
   tf->codes[2212] = 0x0000cc6e1d09bf6bUL;
   tf->codes[2213] = 0x0000cc70a12efee2UL;
   tf->codes[2214] = 0x0000cc72b03632cfUL;
   tf->codes[2215] = 0x0000cc72eac53894UL;
   tf->codes[2216] = 0x0000cc739a7249e3UL;
   tf->codes[2217] = 0x0000cc75a9797dd0UL;
   tf->codes[2218] = 0x0000cc7659268f1fUL;
   tf->codes[2219] = 0x0000cc7708d3a06eUL;
   tf->codes[2220] = 0x0000cc77b880b1bdUL;
   tf->codes[2221] = 0x0000cc77f30fb782UL;
   tf->codes[2222] = 0x0000cc7ab1c3fcbeUL;
   tf->codes[2223] = 0x0000cc7b26e20848UL;
   tf->codes[2224] = 0x0000cc7dab0747bfUL;
   tf->codes[2225] = 0x0000cc7e5ab4590eUL;
   tf->codes[2226] = 0x0000cc7f0a616a5dUL;
   tf->codes[2227] = 0x0000cc7fba0e7bacUL;
   tf->codes[2228] = 0x0000cc802f2c8736UL;
   tf->codes[2229] = 0x0000cc80a44a92c0UL;
   tf->codes[2230] = 0x0000cc8119689e4aUL;
   tf->codes[2231] = 0x0000cc818e86a9d4UL;
   tf->codes[2232] = 0x0000cc8203a4b55eUL;
   tf->codes[2233] = 0x0000cc8278c2c0e8UL;
   tf->codes[2234] = 0x0000cc82b351c6adUL;
   tf->codes[2235] = 0x0000cc8362fed7fcUL;
   tf->codes[2236] = 0x0000cc87f62b4b60UL;
   tf->codes[2237] = 0x0000cc8830ba5125UL;
   tf->codes[2238] = 0x0000cc88e0676274UL;
   tf->codes[2239] = 0x0000cc891af66839UL;
   tf->codes[2240] = 0x0000cc8a05327f4dUL;
   tf->codes[2241] = 0x0000cc8b29fd9c26UL;
   tf->codes[2242] = 0x0000cc8c1439b33aUL;
   tf->codes[2243] = 0x0000cc8de8b1e162UL;
   tf->codes[2244] = 0x0000cc8e5dcfececUL;
   tf->codes[2245] = 0x0000cc8f0d7cfe3bUL;
   tf->codes[2246] = 0x0000cc90a766269eUL;
   tf->codes[2247] = 0x0000cc911c843228UL;
   tf->codes[2248] = 0x0000cc92b66d5a8bUL;
   tf->codes[2249] = 0x0000cc94505682eeUL;
   tf->codes[2250] = 0x0000cc94c5748e78UL;
   tf->codes[2251] = 0x0000cc953a929a02UL;
   tf->codes[2252] = 0x0000cc95ea3fab51UL;
   tf->codes[2253] = 0x0000cc97f946df3eUL;
   tf->codes[2254] = 0x0000cc9833d5e503UL;
   tf->codes[2255] = 0x0000cc986e64eac8UL;
   tf->codes[2256] = 0x0000cc98e382f652UL;
   tf->codes[2257] = 0x0000cc9958a101dcUL;
   tf->codes[2258] = 0x0000cc9a42dd18f0UL;
   tf->codes[2259] = 0x0000cc9a7d6c1eb5UL;
   tf->codes[2260] = 0x0000cc9af28a2a3fUL;
   tf->codes[2261] = 0x0000cc9b67a835c9UL;
   tf->codes[2262] = 0x0000cc9ba2373b8eUL;
   tf->codes[2263] = 0x0000cc9d3c2063f1UL;
   tf->codes[2264] = 0x0000cc9d76af69b6UL;
   tf->codes[2265] = 0x0000cc9f10989219UL;
   tf->codes[2266] = 0x0000cc9f4b2797deUL;
   tf->codes[2267] = 0x0000cc9f85b69da3UL;
   tf->codes[2268] = 0x0000cca03563aef2UL;
   tf->codes[2269] = 0x0000cca36935ffb8UL;
   tf->codes[2270] = 0x0000cca3a3c5057dUL;
   tf->codes[2271] = 0x0000cca4c8902256UL;
   tf->codes[2272] = 0x0000cca5031f281bUL;
   tf->codes[2273] = 0x0000cca53dae2de0UL;
   tf->codes[2274] = 0x0000cca5ed5b3f2fUL;
   tf->codes[2275] = 0x0000cca627ea44f4UL;
   tf->codes[2276] = 0x0000cca74cb561cdUL;
   tf->codes[2277] = 0x0000cca7c1d36d57UL;
   tf->codes[2278] = 0x0000cca7fc62731cUL;
   tf->codes[2279] = 0x0000cca8ac0f846bUL;
   tf->codes[2280] = 0x0000cca9212d8ff5UL;
   tf->codes[2281] = 0x0000ccaa0b69a709UL;
   tf->codes[2282] = 0x0000ccaa8087b293UL;
   tf->codes[2283] = 0x0000ccab3034c3e2UL;
   tf->codes[2284] = 0x0000ccad79cafd94UL;
   tf->codes[2285] = 0x0000ccb0e82c541fUL;
   tf->codes[2286] = 0x0000ccb20cf770f8UL;
   tf->codes[2287] = 0x0000ccb2bca48247UL;
   tf->codes[2288] = 0x0000ccb36c519396UL;
   tf->codes[2289] = 0x0000ccb4911cb06fUL;
   tf->codes[2290] = 0x0000ccb6dab2ea21UL;
   tf->codes[2291] = 0x0000ccb8749c1284UL;
   tf->codes[2292] = 0x0000ccba0e853ae7UL;
   tf->codes[2293] = 0x0000ccba491440acUL;
   tf->codes[2294] = 0x0000ccbb6ddf5d85UL;
   tf->codes[2295] = 0x0000ccbba86e634aUL;
   tf->codes[2296] = 0x0000ccbc1d8c6ed4UL;
   tf->codes[2297] = 0x0000ccbd7ce69172UL;
   tf->codes[2298] = 0x0000ccbfc67ccb24UL;
   tf->codes[2299] = 0x0000ccc0b0b8e238UL;
   tf->codes[2300] = 0x0000ccc16065f387UL;
   tf->codes[2301] = 0x0000ccc24aa20a9bUL;
   tf->codes[2302] = 0x0000ccc334de21afUL;
   tf->codes[2303] = 0x0000ccc543e5559cUL;
   tf->codes[2304] = 0x0000ccc752ec8989UL;
   tf->codes[2305] = 0x0000ccc7c80a9513UL;
   tf->codes[2306] = 0x0000ccc92764b7b1UL;
   tf->codes[2307] = 0x0000ccc99c82c33bUL;
   tf->codes[2308] = 0x0000ccca86beda4fUL;
   tf->codes[2309] = 0x0000cccdba912b15UL;
   tf->codes[2310] = 0x0000ccce6a3e3c64UL;
   tf->codes[2311] = 0x0000ccd163818765UL;
   tf->codes[2312] = 0x0000ccd2884ca43eUL;
   tf->codes[2313] = 0x0000ccd2c2dbaa03UL;
   tf->codes[2314] = 0x0000ccd71b7917a2UL;
   tf->codes[2315] = 0x0000ccd7cb2628f1UL;
   tf->codes[2316] = 0x0000ccd8b5624005UL;
   tf->codes[2317] = 0x0000ccd92a804b8fUL;
   tf->codes[2318] = 0x0000ccdafef879b7UL;
   tf->codes[2319] = 0x0000ccdb74168541UL;
   tf->codes[2320] = 0x0000ccdbe93490cbUL;
   tf->codes[2321] = 0x0000ccdd0dffada4UL;
   tf->codes[2322] = 0x0000ccdd488eb369UL;
   tf->codes[2323] = 0x0000ccddbdacbef3UL;
   tf->codes[2324] = 0x0000ccdf5795e756UL;
   tf->codes[2325] = 0x0000cce375a44f30UL;
   tf->codes[2326] = 0x0000cce75923b145UL;
   tf->codes[2327] = 0x0000cce793b2b70aUL;
   tf->codes[2328] = 0x0000cce92d9bdf6dUL;
   tf->codes[2329] = 0x0000cce9682ae532UL;
   tf->codes[2330] = 0x0000ccea5266fc46UL;
   tf->codes[2331] = 0x0000cceb3ca3135aUL;
   tf->codes[2332] = 0x0000cceb7732191fUL;
   tf->codes[2333] = 0x0000ccec616e3033UL;
   tf->codes[2334] = 0x0000ccecd68c3bbdUL;
   tf->codes[2335] = 0x0000cced111b4182UL;
   tf->codes[2336] = 0x0000cced4baa4747UL;
   tf->codes[2337] = 0x0000cced86394d0cUL;
   tf->codes[2338] = 0x0000ccf044ed9248UL;
   tf->codes[2339] = 0x0000ccf0f49aa397UL;
   tf->codes[2340] = 0x0000ccf1a447b4e6UL;
   tf->codes[2341] = 0x0000ccf1ded6baabUL;
   tf->codes[2342] = 0x0000ccf21965c070UL;
   tf->codes[2343] = 0x0000ccf378bfe30eUL;
   tf->codes[2344] = 0x0000ccf512a90b71UL;
   tf->codes[2345] = 0x0000ccf6e7213999UL;
   tf->codes[2346] = 0x0000ccf8bb9967c1UL;
   tf->codes[2347] = 0x0000ccf96b467910UL;
   tf->codes[2348] = 0x0000ccfa55829024UL;
   tf->codes[2349] = 0x0000ccfa901195e9UL;
   tf->codes[2350] = 0x0000ccfc6489c411UL;
   tf->codes[2351] = 0x0000ccfd8954e0eaUL;
   tf->codes[2352] = 0x0000ccfe3901f239UL;
   tf->codes[2353] = 0x0000ccfee8af0388UL;
   tf->codes[2354] = 0x0000ccffd2eb1a9cUL;
   tf->codes[2355] = 0x0000cd00f7b63775UL;
   tf->codes[2356] = 0x0000cd0132453d3aUL;
   tf->codes[2357] = 0x0000cd01e1f24e89UL;
   tf->codes[2358] = 0x0000cd037bdb76ecUL;
   tf->codes[2359] = 0x0000cd03f0f98276UL;
   tf->codes[2360] = 0x0000cd04a0a693c5UL;
   tf->codes[2361] = 0x0000cd055053a514UL;
   tf->codes[2362] = 0x0000cd058ae2aad9UL;
   tf->codes[2363] = 0x0000cd080f07ea50UL;
   tf->codes[2364] = 0x0000cd084996f015UL;
   tf->codes[2365] = 0x0000cd0a1e0f1e3dUL;
   tf->codes[2366] = 0x0000cd0d1752693eUL;
   tf->codes[2367] = 0x0000cd0d8c7074c8UL;
   tf->codes[2368] = 0x0000cd0dc6ff7a8dUL;
   tf->codes[2369] = 0x0000cd0f26599d2bUL;
   tf->codes[2370] = 0x0000cd101095b43fUL;
   tf->codes[2371] = 0x0000cd116fefd6ddUL;
   tf->codes[2372] = 0x0000cd11e50de267UL;
   tf->codes[2373] = 0x0000cd13b986108fUL;
   tf->codes[2374] = 0x0000cd13f4151654UL;
   tf->codes[2375] = 0x0000cd142ea41c19UL;
   tf->codes[2376] = 0x0000cd15c88d447cUL;
   tf->codes[2377] = 0x0000cd16783a55cbUL;
   tf->codes[2378] = 0x0000cd19717da0ccUL;
   tf->codes[2379] = 0x0000cd19ac0ca691UL;
   tf->codes[2380] = 0x0000cd1b45f5cef4UL;
   tf->codes[2381] = 0x0000cd1c3031e608UL;
   tf->codes[2382] = 0x0000cd1cdfdef757UL;
   tf->codes[2383] = 0x0000cd1eeee62b44UL;
   tf->codes[2384] = 0x0000cd2222b87c0aUL;
   tf->codes[2385] = 0x0000cd225d4781cfUL;
   tf->codes[2386] = 0x0000cd23bca1a46dUL;
   tf->codes[2387] = 0x0000cd23f730aa32UL;
   tf->codes[2388] = 0x0000cd251bfbc70bUL;
   tf->codes[2389] = 0x0000cd259119d295UL;
   tf->codes[2390] = 0x0000cd25cba8d85aUL;
   tf->codes[2391] = 0x0000cd26b5e4ef6eUL;
   tf->codes[2392] = 0x0000cd27a0210682UL;
   tf->codes[2393] = 0x0000cd27dab00c47UL;
   tf->codes[2394] = 0x0000cd28c4ec235bUL;
   tf->codes[2395] = 0x0000cd293a0a2ee5UL;
   tf->codes[2396] = 0x0000cd2ad3f35748UL;
   tf->codes[2397] = 0x0000cd2b491162d2UL;
   tf->codes[2398] = 0x0000cd2bf8be7421UL;
   tf->codes[2399] = 0x0000cd2ef201bf22UL;
   tf->codes[2400] = 0x0000cd2fdc3dd636UL;
   tf->codes[2401] = 0x0000cd313b97f8d4UL;
   tf->codes[2402] = 0x0000cd32606315adUL;
   tf->codes[2403] = 0x0000cd38185aa5eaUL;
   tf->codes[2404] = 0x0000cd3bc14b023aUL;
   tf->codes[2405] = 0x0000cd3d20a524d8UL;
   tf->codes[2406] = 0x0000cd3d95c33062UL;
   tf->codes[2407] = 0x0000cd41042486edUL;
   tf->codes[2408] = 0x0000cd42637ea98bUL;
   tf->codes[2409] = 0x0000cd434dbac09fUL;
   tf->codes[2410] = 0x0000cd4437f6d7b3UL;
   tf->codes[2411] = 0x0000cd44ad14e33dUL;
   tf->codes[2412] = 0x0000cd44e7a3e902UL;
   tf->codes[2413] = 0x0000cd45d1e00016UL;
   tf->codes[2414] = 0x0000cd46818d1165UL;
   tf->codes[2415] = 0x0000cd46bc1c172aUL;
   tf->codes[2416] = 0x0000cd481b7639c8UL;
   tf->codes[2417] = 0x0000cd49404156a1UL;
   tf->codes[2418] = 0x0000cd49b55f622bUL;
   tf->codes[2419] = 0x0000cd4bc4669618UL;
   tf->codes[2420] = 0x0000cd4bfef59bddUL;
   tf->codes[2421] = 0x0000cd501d0403b7UL;
   tf->codes[2422] = 0x0000cd522c0b37a4UL;
   tf->codes[2423] = 0x0000cd5350d6547dUL;
   tf->codes[2424] = 0x0000cd560f8a99b9UL;
   tf->codes[2425] = 0x0000cd5684a8a543UL;
   tf->codes[2426] = 0x0000cd56bf37ab08UL;
   tf->codes[2427] = 0x0000cd57a973c21cUL;
   tf->codes[2428] = 0x0000cd585920d36bUL;
   tf->codes[2429] = 0x0000cd5a68280758UL;
   tf->codes[2430] = 0x0000cd5b17d518a7UL;
   tf->codes[2431] = 0x0000cd5c3ca03580UL;
   tf->codes[2432] = 0x0000cd5d9bfa581eUL;
   tf->codes[2433] = 0x0000cd5f35e38081UL;
   tf->codes[2434] = 0x0000cd5f70728646UL;
   tf->codes[2435] = 0x0000cd60201f9795UL;
   tf->codes[2436] = 0x0000cd60cfcca8e4UL;
   tf->codes[2437] = 0x0000cd6269b5d147UL;
   tf->codes[2438] = 0x0000cd6478bd0534UL;
   tf->codes[2439] = 0x0000cd664d35335cUL;
   tf->codes[2440] = 0x0000cd67ac8f55faUL;
   tf->codes[2441] = 0x0000cd67e71e5bbfUL;
   tf->codes[2442] = 0x0000cd6a30b49571UL;
   tf->codes[2443] = 0x0000cd6bca9dbdd4UL;
   tf->codes[2444] = 0x0000cd6cb4d9d4e8UL;
   tf->codes[2445] = 0x0000cd70233b2b73UL;
   tf->codes[2446] = 0x0000cd705dca3138UL;
   tf->codes[2447] = 0x0000cd70985936fdUL;
   tf->codes[2448] = 0x0000cd7182954e11UL;
   tf->codes[2449] = 0x0000cd73919c81feUL;
   tf->codes[2450] = 0x0000cd75a0a3b5ebUL;
   tf->codes[2451] = 0x0000cd765050c73aUL;
   tf->codes[2452] = 0x0000cd76c56ed2c4UL;
   tf->codes[2453] = 0x0000cd77ea39ef9dUL;
   tf->codes[2454] = 0x0000cd785f57fb27UL;
   tf->codes[2455] = 0x0000cd794994123bUL;
   tf->codes[2456] = 0x0000cd79beb21dc5UL;
   tf->codes[2457] = 0x0000cd7b589b4628UL;
   tf->codes[2458] = 0x0000cd7bcdb951b2UL;
   tf->codes[2459] = 0x0000cd7cf2846e8bUL;
   tf->codes[2460] = 0x0000cd7e174f8b64UL;
   tf->codes[2461] = 0x0000cd809b74cadbUL;
   tf->codes[2462] = 0x0000cd8394b815dcUL;
   tf->codes[2463] = 0x0000cd83cf471ba1UL;
   tf->codes[2464] = 0x0000cd8569304404UL;
   tf->codes[2465] = 0x0000cd86536c5b18UL;
   tf->codes[2466] = 0x0000cd891220a054UL;
   tf->codes[2467] = 0x0000cd89c1cdb1a3UL;
   tf->codes[2468] = 0x0000cd89fc5cb768UL;
   tf->codes[2469] = 0x0000cd8b5bb6da06UL;
   tf->codes[2470] = 0x0000cd8cbb10fca4UL;
   tf->codes[2471] = 0x0000cd8d302f082eUL;
   tf->codes[2472] = 0x0000cd8d6abe0df3UL;
   tf->codes[2473] = 0x0000cd8f04a73656UL;
   tf->codes[2474] = 0x0000cd902972532fUL;
   tf->codes[2475] = 0x0000cd90640158f4UL;
   tf->codes[2476] = 0x0000cd909e905eb9UL;
   tf->codes[2477] = 0x0000cd9113ae6a43UL;
   tf->codes[2478] = 0x0000cd9397d3a9baUL;
   tf->codes[2479] = 0x0000cd93d262af7fUL;
   tf->codes[2480] = 0x0000cd940cf1b544UL;
   tf->codes[2481] = 0x0000cd96cba5fa80UL;
   tf->codes[2482] = 0x0000cd9706350045UL;
   tf->codes[2483] = 0x0000cd9740c4060aUL;
   tf->codes[2484] = 0x0000cd98a01e28a8UL;
   tf->codes[2485] = 0x0000cd99153c3432UL;
   tf->codes[2486] = 0x0000cd994fcb39f7UL;
   tf->codes[2487] = 0x0000cd99ff784b46UL;
   tf->codes[2488] = 0x0000cd9b2443681fUL;
   tf->codes[2489] = 0x0000cd9c490e84f8UL;
   tf->codes[2490] = 0x0000cd9cf8bb9647UL;
   tf->codes[2491] = 0x0000cd9e5815b8e5UL;
   tf->codes[2492] = 0x0000cd9f4251cff9UL;
   tf->codes[2493] = 0x0000cda02c8de70dUL;
   tf->codes[2494] = 0x0000cda23b951afaUL;
   tf->codes[2495] = 0x0000cda325d1320eUL;
   tf->codes[2496] = 0x0000cda3606037d3UL;
   tf->codes[2497] = 0x0000cda39aef3d98UL;
   tf->codes[2498] = 0x0000cda534d865fbUL;
   tf->codes[2499] = 0x0000cda5a9f67185UL;
   tf->codes[2500] = 0x0000cda5e485774aUL;
   tf->codes[2501] = 0x0000cda709509423UL;
   tf->codes[2502] = 0x0000cda98d75d39aUL;
   tf->codes[2503] = 0x0000cda9c804d95fUL;
   tf->codes[2504] = 0x0000cdaa0293df24UL;
   tf->codes[2505] = 0x0000cdaab240f073UL;
   tf->codes[2506] = 0x0000cdab9c7d0787UL;
   tf->codes[2507] = 0x0000cdae95c05288UL;
   tf->codes[2508] = 0x0000cdaed04f584dUL;
   tf->codes[2509] = 0x0000cdb06a3880b0UL;
   tf->codes[2510] = 0x0000cdb39e0ad176UL;
   tf->codes[2511] = 0x0000cdb5e7a10b28UL;
   tf->codes[2512] = 0x0000cdb6d1dd223cUL;
   tf->codes[2513] = 0x0000cdb7f6a83f15UL;
   tf->codes[2514] = 0x0000cdb9560261b3UL;
   tf->codes[2515] = 0x0000cdba403e78c7UL;
   tf->codes[2516] = 0x0000cdbb650995a0UL;
   tf->codes[2517] = 0x0000cdbbda27a12aUL;
   tf->codes[2518] = 0x0000cdbdae9fcf52UL;
   tf->codes[2519] = 0x0000cdbe5e4ce0a1UL;
   tf->codes[2520] = 0x0000cdbf4888f7b5UL;
   tf->codes[2521] = 0x0000cdbff8360904UL;
   tf->codes[2522] = 0x0000cdc0a7e31a53UL;
   tf->codes[2523] = 0x0000cdc0e2722018UL;
   tf->codes[2524] = 0x0000cdc1ccae372cUL;
   tf->codes[2525] = 0x0000cdc32c0859caUL;
   tf->codes[2526] = 0x0000cdc3a1266554UL;
   tf->codes[2527] = 0x0000cdc6d4f8b61aUL;
   tf->codes[2528] = 0x0000cdc70f87bbdfUL;
   tf->codes[2529] = 0x0000cdc74a16c1a4UL;
   tf->codes[2530] = 0x0000cdc7bf34cd2eUL;
   tf->codes[2531] = 0x0000cdc8a970e442UL;
   tf->codes[2532] = 0x0000cdc9ce3c011bUL;
   tf->codes[2533] = 0x0000cdcab878182fUL;
   tf->codes[2534] = 0x0000cdcaf3071df4UL;
   tf->codes[2535] = 0x0000cdcb6825297eUL;
   tf->codes[2536] = 0x0000cdcba2b42f43UL;
   tf->codes[2537] = 0x0000cdcbdd433508UL;
   tf->codes[2538] = 0x0000cdced6868009UL;
   tf->codes[2539] = 0x0000cdd1cfc9cb0aUL;
   tf->codes[2540] = 0x0000cdd4196004bcUL;
   tf->codes[2541] = 0x0000cdd48e7e1046UL;
   tf->codes[2542] = 0x0000cdd53e2b2195UL;
   tf->codes[2543] = 0x0000cdd5edd832e4UL;
   tf->codes[2544] = 0x0000cdd6286738a9UL;
   tf->codes[2545] = 0x0000cdd921aa83aaUL;
   tf->codes[2546] = 0x0000cdd95c39896fUL;
   tf->codes[2547] = 0x0000cdda4675a083UL;
   tf->codes[2548] = 0x0000cdda8104a648UL;
   tf->codes[2549] = 0x0000cddaf622b1d2UL;
   tf->codes[2550] = 0x0000cddb30b1b797UL;
   tf->codes[2551] = 0x0000cddbe05ec8e6UL;
   tf->codes[2552] = 0x0000cddcca9adffaUL;
   tf->codes[2553] = 0x0000cddd0529e5bfUL;
   tf->codes[2554] = 0x0000cdde9f130e22UL;
   tf->codes[2555] = 0x0000cde038fc3685UL;
   tf->codes[2556] = 0x0000cde123384d99UL;
   tf->codes[2557] = 0x0000cde1d2e55ee8UL;
   tf->codes[2558] = 0x0000cde2bd2175fcUL;
   tf->codes[2559] = 0x0000cde5b664c0fdUL;
   tf->codes[2560] = 0x0000cde78adcef25UL;
   tf->codes[2561] = 0x0000cdea49913461UL;
   tf->codes[2562] = 0x0000cded42d47f62UL;
   tf->codes[2563] = 0x0000cdedf28190b1UL;
   tf->codes[2564] = 0x0000cdeea22ea200UL;
   tf->codes[2565] = 0x0000cdf03c17ca63UL;
   tf->codes[2566] = 0x0000cdf0ebc4dbb2UL;
   tf->codes[2567] = 0x0000cdf24b1efe50UL;
   tf->codes[2568] = 0x0000cdf2c03d09daUL;
   tf->codes[2569] = 0x0000cdf2facc0f9fUL;
   tf->codes[2570] = 0x0000cdf3aa7920eeUL;
   tf->codes[2571] = 0x0000cdf544624951UL;
   tf->codes[2572] = 0x0000cdf57ef14f16UL;
   tf->codes[2573] = 0x0000cdf5f40f5aa0UL;
   tf->codes[2574] = 0x0000cdf803168e8dUL;
   tf->codes[2575] = 0x0000cdf878349a17UL;
   tf->codes[2576] = 0x0000cdf8ed52a5a1UL;
   tf->codes[2577] = 0x0000cdf927e1ab66UL;
   tf->codes[2578] = 0x0000cdf96270b12bUL;
   tf->codes[2579] = 0x0000cdf99cffb6f0UL;
   tf->codes[2580] = 0x0000cdfa121dc27aUL;
   tf->codes[2581] = 0x0000cdfe6abb3019UL;
   tf->codes[2582] = 0x0000cdffca1552b7UL;
   tf->codes[2583] = 0x0000ce00b45169cbUL;
   tf->codes[2584] = 0x0000ce0163fe7b1aUL;
   tf->codes[2585] = 0x0000ce01d91c86a4UL;
   tf->codes[2586] = 0x0000ce024e3a922eUL;
   tf->codes[2587] = 0x0000ce037305af07UL;
   tf->codes[2588] = 0x0000ce05f72aee7eUL;
   tf->codes[2589] = 0x0000ce06e1670592UL;
   tf->codes[2590] = 0x0000ce075685111cUL;
   tf->codes[2591] = 0x0000ce08f06e397fUL;
   tf->codes[2592] = 0x0000ce09658c4509UL;
   tf->codes[2593] = 0x0000ce09a01b4aceUL;
   tf->codes[2594] = 0x0000ce0a15395658UL;
   tf->codes[2595] = 0x0000ce0baf227ebbUL;
   tf->codes[2596] = 0x0000ce0cd3ed9b94UL;
   tf->codes[2597] = 0x0000ce0d0e7ca159UL;
   tf->codes[2598] = 0x0000ce0f5812db0bUL;
   tf->codes[2599] = 0x0000ce0fcd30e695UL;
   tf->codes[2600] = 0x0000ce10f1fc036eUL;
   tf->codes[2601] = 0x0000ce11671a0ef8UL;
   tf->codes[2602] = 0x0000ce128be52bd1UL;
   tf->codes[2603] = 0x0000ce12c6743196UL;
   tf->codes[2604] = 0x0000ce133b923d20UL;
   tf->codes[2605] = 0x0000ce14605d59f9UL;
   tf->codes[2606] = 0x0000ce14d57b6583UL;
   tf->codes[2607] = 0x0000ce15852876d2UL;
   tf->codes[2608] = 0x0000ce15fa46825cUL;
   tf->codes[2609] = 0x0000ce187e6bc1d3UL;
   tf->codes[2610] = 0x0000ce19a336deacUL;
   tf->codes[2611] = 0x0000ce1a1854ea36UL;
   tf->codes[2612] = 0x0000ce1b77af0cd4UL;
   tf->codes[2613] = 0x0000ce1c9c7a29adUL;
   tf->codes[2614] = 0x0000ce1dc1454686UL;
   tf->codes[2615] = 0x0000ce1e70f257d5UL;
   tf->codes[2616] = 0x0000ce20456a85fdUL;
   tf->codes[2617] = 0x0000ce21df53ae60UL;
   tf->codes[2618] = 0x0000ce2219e2b425UL;
   tf->codes[2619] = 0x0000ce25c2d31075UL;
   tf->codes[2620] = 0x0000ce27222d3313UL;
   tf->codes[2621] = 0x0000ce27974b3e9dUL;
   tf->codes[2622] = 0x0000ce2846f84fecUL;
   tf->codes[2623] = 0x0000ce2ee92bf73dUL;
   tf->codes[2624] = 0x0000ce32ccab5952UL;
   tf->codes[2625] = 0x0000ce337c586aa1UL;
   tf->codes[2626] = 0x0000ce36007daa18UL;
   tf->codes[2627] = 0x0000ce372548c6f1UL;
   tf->codes[2628] = 0x0000ce3884a2e98fUL;
   tf->codes[2629] = 0x0000ce38f9c0f519UL;
   tf->codes[2630] = 0x0000ce39344ffadeUL;
   tf->codes[2631] = 0x0000ce3a93aa1d7cUL;
   tf->codes[2632] = 0x0000ce3ace392341UL;
   tf->codes[2633] = 0x0000ce3c2d9345dfUL;
   tf->codes[2634] = 0x0000ce3eec478b1bUL;
   tf->codes[2635] = 0x0000ce3fd683a22fUL;
   tf->codes[2636] = 0x0000ce41706cca92UL;
   tf->codes[2637] = 0x0000ce41e58ad61cUL;
   tf->codes[2638] = 0x0000ce4469b01593UL;
   tf->codes[2639] = 0x0000ce458e7b326cUL;
   tf->codes[2640] = 0x0000ce463e2843bbUL;
   tf->codes[2641] = 0x0000ce4762f36094UL;
   tf->codes[2642] = 0x0000ce484d2f77a8UL;
   tf->codes[2643] = 0x0000ce4a5c36ab95UL;
   tf->codes[2644] = 0x0000ce4e052707e5UL;
   tf->codes[2645] = 0x0000ce4e3fb60daaUL;
   tf->codes[2646] = 0x0000ce4f64812a83UL;
   tf->codes[2647] = 0x0000ce4f9f103048UL;
   tf->codes[2648] = 0x0000ce50894c475cUL;
   tf->codes[2649] = 0x0000ce51e8a669faUL;
   tf->codes[2650] = 0x0000ce525dc47584UL;
   tf->codes[2651] = 0x0000ce546ccba971UL;
   tf->codes[2652] = 0x0000ce54a75aaf36UL;
   tf->codes[2653] = 0x0000ce551c78bac0UL;
   tf->codes[2654] = 0x0000ce555707c085UL;
   tf->codes[2655] = 0x0000ce56f0f0e8e8UL;
   tf->codes[2656] = 0x0000ce572b7feeadUL;
   tf->codes[2657] = 0x0000ce57db2cfffcUL;
   tf->codes[2658] = 0x0000ce5815bc05c1UL;
   tf->codes[2659] = 0x0000ce588ada114bUL;
   tf->codes[2660] = 0x0000ce58c5691710UL;
   tf->codes[2661] = 0x0000ce5b841d5c4cUL;
   tf->codes[2662] = 0x0000ce5bbeac6211UL;
   tf->codes[2663] = 0x0000ce6176a3f24eUL;
   tf->codes[2664] = 0x0000ce6260e00962UL;
   tf->codes[2665] = 0x0000ce629b6f0f27UL;
   tf->codes[2666] = 0x0000ce634b1c2076UL;
   tf->codes[2667] = 0x0000ce6385ab263bUL;
   tf->codes[2668] = 0x0000ce655a235463UL;
   tf->codes[2669] = 0x0000ce66445f6b77UL;
   tf->codes[2670] = 0x0000ce66b97d7701UL;
   tf->codes[2671] = 0x0000ce697831bc3dUL;
   tf->codes[2672] = 0x0000ce6a9cfcd916UL;
   tf->codes[2673] = 0x0000ce6b4ca9ea65UL;
   tf->codes[2674] = 0x0000ce6e807c3b2bUL;
   tf->codes[2675] = 0x0000ce7054f46953UL;
   tf->codes[2676] = 0x0000ce70ca1274ddUL;
   tf->codes[2677] = 0x0000ce71b44e8bf1UL;
   tf->codes[2678] = 0x0000ce72296c977bUL;
   tf->codes[2679] = 0x0000ce7263fb9d40UL;
   tf->codes[2680] = 0x0000ce72d919a8caUL;
   tf->codes[2681] = 0x0000ce743873cb68UL;
   tf->codes[2682] = 0x0000ce75d25cf3cbUL;
   tf->codes[2683] = 0x0000ce76f72810a4UL;
   tf->codes[2684] = 0x0000ce77a6d521f3UL;
   tf->codes[2685] = 0x0000ce797b4d501bUL;
   tf->codes[2686] = 0x0000ce79f06b5ba5UL;
   tf->codes[2687] = 0x0000ce7adaa772b9UL;
   tf->codes[2688] = 0x0000ce7b8a548408UL;
   tf->codes[2689] = 0x0000ce7bff728f92UL;
   tf->codes[2690] = 0x0000ce7f6dd3e61dUL;
   tf->codes[2691] = 0x0000ce80580ffd31UL;
   tf->codes[2692] = 0x0000ce80929f02f6UL;
   tf->codes[2693] = 0x0000ce8610078d6eUL;
   tf->codes[2694] = 0x0000ce8734d2aa47UL;
   tf->codes[2695] = 0x0000ce87e47fbb96UL;
   tf->codes[2696] = 0x0000ce8943d9de34UL;
   tf->codes[2697] = 0x0000ce8a68a4fb0dUL;
   tf->codes[2698] = 0x0000ce8aa33400d2UL;
   tf->codes[2699] = 0x0000ce8e4c245d22UL;
   tf->codes[2700] = 0x0000ce8ec14268acUL;
   tf->codes[2701] = 0x0000ce8fab7e7fc0UL;
   tf->codes[2702] = 0x0000ce8fe60d8585UL;
   tf->codes[2703] = 0x0000ce91f514b972UL;
   tf->codes[2704] = 0x0000ce93546edc10UL;
   tf->codes[2705] = 0x0000ce943eaaf324UL;
   tf->codes[2706] = 0x0000ce964db22711UL;
   tf->codes[2707] = 0x0000ce9737ee3e25UL;
   tf->codes[2708] = 0x0000ce9b55fca5ffUL;
   tf->codes[2709] = 0x0000ce9bcb1ab189UL;
   tf->codes[2710] = 0x0000ce9c4038bd13UL;
   tf->codes[2711] = 0x0000cea1bda1478bUL;
   tf->codes[2712] = 0x0000cea26d4e58daUL;
   tf->codes[2713] = 0x0000cea40737813dUL;
   tf->codes[2714] = 0x0000cea5dbafaf65UL;
   tf->codes[2715] = 0x0000cea68b5cc0b4UL;
   tf->codes[2716] = 0x0000cea77598d7c8UL;
   tf->codes[2717] = 0x0000cea94a1105f0UL;
   tf->codes[2718] = 0x0000cea984a00bb5UL;
   tf->codes[2719] = 0x0000ceaae3fa2e53UL;
   tf->codes[2720] = 0x0000ceabce364567UL;
   tf->codes[2721] = 0x0000ceacb8725c7bUL;
   tf->codes[2722] = 0x0000ceacf3016240UL;
   tf->codes[2723] = 0x0000ceae8cea8aa3UL;
   tf->codes[2724] = 0x0000ceafb1b5a77cUL;
   tf->codes[2725] = 0x0000ceb06162b8cbUL;
   tf->codes[2726] = 0x0000ceb09bf1be90UL;
   tf->codes[2727] = 0x0000ceb0d680c455UL;
   tf->codes[2728] = 0x0000ceb1862dd5a4UL;
   tf->codes[2729] = 0x0000ceb1fb4be12eUL;
   tf->codes[2730] = 0x0000ceb32016fe07UL;
   tf->codes[2731] = 0x0000ceb395350991UL;
   tf->codes[2732] = 0x0000ceb40a53151bUL;
   tf->codes[2733] = 0x0000ceb6c9075a57UL;
   tf->codes[2734] = 0x0000ceb828617cf5UL;
   tf->codes[2735] = 0x0000ceb89d7f887fUL;
   tf->codes[2736] = 0x0000ceb94d2c99ceUL;
   tf->codes[2737] = 0x0000ceb9c24aa558UL;
   tf->codes[2738] = 0x0000ceb9fcd9ab1dUL;
   tf->codes[2739] = 0x0000cebb5c33cdbbUL;
   tf->codes[2740] = 0x0000cebbd151d945UL;
   tf->codes[2741] = 0x0000cebde0590d32UL;
   tf->codes[2742] = 0x0000cebf05242a0bUL;
   tf->codes[2743] = 0x0000cec029ef46e4UL;
   tf->codes[2744] = 0x0000cec0d99c5833UL;
   tf->codes[2745] = 0x0000cec238f67ad1UL;
   tf->codes[2746] = 0x0000cec35dc197aaUL;
   tf->codes[2747] = 0x0000cec53239c5d2UL;
   tf->codes[2748] = 0x0000cec65704e2abUL;
   tf->codes[2749] = 0x0000cec8db2a2222UL;
   tf->codes[2750] = 0x0000cec950482dacUL;
   tf->codes[2751] = 0x0000cecaea31560fUL;
   tf->codes[2752] = 0x0000cecd33c78fc1UL;
   tf->codes[2753] = 0x0000cece1e03a6d5UL;
   tf->codes[2754] = 0x0000cecf7d5dc973UL;
   tf->codes[2755] = 0x0000ced1c6f40325UL;
   tf->codes[2756] = 0x0000ced2b1301a39UL;
   tf->codes[2757] = 0x0000ced360dd2b88UL;
   tf->codes[2758] = 0x0000ced44b19429cUL;
   tf->codes[2759] = 0x0000ceda0310d2d9UL;
   tf->codes[2760] = 0x0000cedaed4ce9edUL;
   tf->codes[2761] = 0x0000cedbd7890101UL;
   tf->codes[2762] = 0x0000cedcfc541ddaUL;
   tf->codes[2763] = 0x0000cedd71722964UL;
   tf->codes[2764] = 0x0000cee11a6285b4UL;
   tf->codes[2765] = 0x0000cee23f2da28dUL;
   tf->codes[2766] = 0x0000cee65d3c0a67UL;
   tf->codes[2767] = 0x0000cee782072740UL;
   tf->codes[2768] = 0x0000cee8a6d24419UL;
   tf->codes[2769] = 0x0000cee91bf04fa3UL;
   tf->codes[2770] = 0x0000cee9567f5568UL;
   tf->codes[2771] = 0x0000ceeaf0687dcbUL;
   tf->codes[2772] = 0x0000ceeba0158f1aUL;
   tf->codes[2773] = 0x0000ceee9958da1bUL;
   tf->codes[2774] = 0x0000ceef8394f12fUL;
   tf->codes[2775] = 0x0000cef03342027eUL;
   tf->codes[2776] = 0x0000cef06dd10843UL;
   tf->codes[2777] = 0x0000cef0a8600e08UL;
   tf->codes[2778] = 0x0000cef1580d1f57UL;
   tf->codes[2779] = 0x0000cef1929c251cUL;
   tf->codes[2780] = 0x0000cef24249366bUL;
   tf->codes[2781] = 0x0000cef2b76741f5UL;
   tf->codes[2782] = 0x0000cef367145344UL;
   tf->codes[2783] = 0x0000cef3a1a35909UL;
   tf->codes[2784] = 0x0000cef53b8c816cUL;
   tf->codes[2785] = 0x0000cef5761b8731UL;
   tf->codes[2786] = 0x0000cef5b0aa8cf6UL;
   tf->codes[2787] = 0x0000cef71004af94UL;
   tf->codes[2788] = 0x0000cef86f5ed232UL;
   tf->codes[2789] = 0x0000cefa7e66061fUL;
   tf->codes[2790] = 0x0000cefab8f50be4UL;
   tf->codes[2791] = 0x0000cefc184f2e82UL;
   tf->codes[2792] = 0x0000cefffbce9097UL;
   tf->codes[2793] = 0x0000cf0070ec9c21UL;
   tf->codes[2794] = 0x0000cf020ad5c484UL;
   tf->codes[2795] = 0x0000cf07fd5c5a86UL;
   tf->codes[2796] = 0x0000cf09974582e9UL;
   tf->codes[2797] = 0x0000cf0ffeea2475UL;
   tf->codes[2798] = 0x0000cf10e9263b89UL;
   tf->codes[2799] = 0x0000cf1123b5414eUL;
   tf->codes[2800] = 0x0000cf11d362529dUL;
   tf->codes[2801] = 0x0000cf120df15862UL;
   tf->codes[2802] = 0x0000cf1248805e27UL;
   tf->codes[2803] = 0x0000cf14921697d9UL;
   tf->codes[2804] = 0x0000cf150734a363UL;
   tf->codes[2805] = 0x0000cf1541c3a928UL;
   tf->codes[2806] = 0x0000cf16668ec601UL;
   tf->codes[2807] = 0x0000cf1a4a0e2816UL;
   tf->codes[2808] = 0x0000cf1abf2c33a0UL;
   tf->codes[2809] = 0x0000cf1b344a3f2aUL;
   tf->codes[2810] = 0x0000cf1c93a461c8UL;
   tf->codes[2811] = 0x0000cf1d7de078dcUL;
   tf->codes[2812] = 0x0000cf203c94be18UL;
   tf->codes[2813] = 0x0000cf20b1b2c9a2UL;
   tf->codes[2814] = 0x0000cf2335d80919UL;
   tf->codes[2815] = 0x0000cf250a503741UL;
   tf->codes[2816] = 0x0000cf262f1b541aUL;
   tf->codes[2817] = 0x0000cf2803938242UL;
   tf->codes[2818] = 0x0000cf2a129ab62fUL;
   tf->codes[2819] = 0x0000cf2bac83de92UL;
   tf->codes[2820] = 0x0000cf2d466d06f5UL;
   tf->codes[2821] = 0x0000cf31d9997a59UL;
   tf->codes[2822] = 0x0000cf337382a2bcUL;
   tf->codes[2823] = 0x0000cf345dbeb9d0UL;
   tf->codes[2824] = 0x0000cf371c72ff0cUL;
   tf->codes[2825] = 0x0000cf37570204d1UL;
   tf->codes[2826] = 0x0000cf3806af1620UL;
   tf->codes[2827] = 0x0000cf39a0983e83UL;
   tf->codes[2828] = 0x0000cf3e33c4b1e7UL;
   tf->codes[2829] = 0x0000cf40b7e9f15eUL;
   tf->codes[2830] = 0x0000cf43ebbc4224UL;
   tf->codes[2831] = 0x0000cf454b1664c2UL;
   tf->codes[2832] = 0x0000cf5045e779b2UL;
   tf->codes[2833] = 0x0000cf50f5948b01UL;
   tf->codes[2834] = 0x0000cf55fddf09efUL;
   tf->codes[2835] = 0x0000cf5b062988ddUL;
   tf->codes[2836] = 0x0000cf5f2437f0b7UL;
   tf->codes[2837] = 0x0000cf62580a417dUL;
   tf->codes[2838] = 0x0000cf6292994742UL;
   tf->codes[2839] = 0x0000cf6600fa9dcdUL;
   tf->codes[2840] = 0x0000cf676054c06bUL;
   tf->codes[2841] = 0x0000cf684a90d77fUL;
   tf->codes[2842] = 0x0000cf6b43d42280UL;
   tf->codes[2843] = 0x0000cf6f61e28a5aUL;
   tf->codes[2844] = 0x0000cf70118f9ba9UL;
   tf->codes[2845] = 0x0000cf755469205cUL;
   tf->codes[2846] = 0x0000cf763ea53770UL;
   tf->codes[2847] = 0x0000cf7c312bcd72UL;
   tf->codes[2848] = 0x0000cf7d9085f010UL;
   tf->codes[2849] = 0x0000cf7e4033015fUL;
   tf->codes[2850] = 0x0000cf8298d06efeUL;
   tf->codes[2851] = 0x0000cf83830c8612UL;
   tf->codes[2852] = 0x0000cf855784b43aUL;
   tf->codes[2853] = 0x0000cf8641c0cb4eUL;
   tf->codes[2854] = 0x0000cf87668be827UL;
   tf->codes[2855] = 0x0000cf88c5e60ac5UL;
   tf->codes[2856] = 0x0000cf893b04164fUL;
   tf->codes[2857] = 0x0000cf89eab1279eUL;
   tf->codes[2858] = 0x0000cf8a25402d63UL;
   tf->codes[2859] = 0x0000cf8e08bf8f78UL;
   tf->codes[2860] = 0x0000cf8ef2fba68cUL;
   tf->codes[2861] = 0x0000cf90c773d4b4UL;
   tf->codes[2862] = 0x0000cf9226cdf752UL;
   tf->codes[2863] = 0x0000cf93110a0e66UL;
   tf->codes[2864] = 0x0000cf934b99142bUL;
   tf->codes[2865] = 0x0000cf9470643104UL;
   tf->codes[2866] = 0x0000cf94aaf336c9UL;
   tf->codes[2867] = 0x0000cf972f187640UL;
   tf->codes[2868] = 0x0000cf97a43681caUL;
   tf->codes[2869] = 0x0000cf9a285bc141UL;
   tf->codes[2870] = 0x0000cf9ad808d290UL;
   tf->codes[2871] = 0x0000cf9dd14c1d91UL;
   tf->codes[2872] = 0x0000cf9fe053517eUL;
   tf->codes[2873] = 0x0000cfa34eb4a809UL;
   tf->codes[2874] = 0x0000cfa38943adceUL;
   tf->codes[2875] = 0x0000cfa3c3d2b393UL;
   tf->codes[2876] = 0x0000cfa4737fc4e2UL;
   tf->codes[2877] = 0x0000cfa81c702132UL;
   tf->codes[2878] = 0x0000cfa9413b3e0bUL;
   tf->codes[2879] = 0x0000cfabffef8347UL;
   tf->codes[2880] = 0x0000cfad24baa020UL;
   tf->codes[2881] = 0x0000cfadd467b16fUL;
   tf->codes[2882] = 0x0000cfae0ef6b734UL;
   tf->codes[2883] = 0x0000cfaf33c1d40dUL;
   tf->codes[2884] = 0x0000cfb01dfdeb21UL;
   tf->codes[2885] = 0x0000cfb1b7e71384UL;
   tf->codes[2886] = 0x0000cfb22d051f0eUL;
   tf->codes[2887] = 0x0000cfb2dcb2305dUL;
   tf->codes[2888] = 0x0000cfb3c6ee4771UL;
   tf->codes[2889] = 0x0000cfb5d5f57b5eUL;
   tf->codes[2890] = 0x0000cfb76fdea3c1UL;
   tf->codes[2891] = 0x0000cfb94456d1e9UL;
   tf->codes[2892] = 0x0000cfbbc87c1160UL;
   tf->codes[2893] = 0x0000cfbd626539c3UL;
   tf->codes[2894] = 0x0000cfbe12124b12UL;
   tf->codes[2895] = 0x0000cfbe4ca150d7UL;
   tf->codes[2896] = 0x0000cfbfabfb7375UL;
   tf->codes[2897] = 0x0000cfc31a5cca00UL;
   tf->codes[2898] = 0x0000cfc5d9110f3cUL;
   tf->codes[2899] = 0x0000cfc613a01501UL;
   tf->codes[2900] = 0x0000cfc688be208bUL;
   tf->codes[2901] = 0x0000cfcb1bea93efUL;
   tf->codes[2902] = 0x0000cfcfe9a60d18UL;
   tf->codes[2903] = 0x0000cfd2333c46caUL;
   tf->codes[2904] = 0x0000cfd26dcb4c8fUL;
   tf->codes[2905] = 0x0000cfd3580763a3UL;
   tf->codes[2906] = 0x0000cfd392966968UL;
   tf->codes[2907] = 0x0000cfd47cd2807cUL;
   tf->codes[2908] = 0x0000cfd4b7618641UL;
   tf->codes[2909] = 0x0000cfd8d56fee1bUL;
   tf->codes[2910] = 0x0000cfd9851cff6aUL;
   tf->codes[2911] = 0x0000cfd9fa3b0af4UL;
   tf->codes[2912] = 0x0000cfdb94243357UL;
   tf->codes[2913] = 0x0000cfde184972ceUL;
   tf->codes[2914] = 0x0000cfdf028589e2UL;
   tf->codes[2915] = 0x0000cfe02750a6bbUL;
   tf->codes[2916] = 0x0000cfe14c1bc394UL;
   tf->codes[2917] = 0x0000cfe23657daa8UL;
   tf->codes[2918] = 0x0000cfe32093f1bcUL;
   tf->codes[2919] = 0x0000cfe3d041030bUL;
   tf->codes[2920] = 0x0000cfe5df4836f8UL;
   tf->codes[2921] = 0x0000cfe654664282UL;
   tf->codes[2922] = 0x0000cfe7ee4f6ae5UL;
   tf->codes[2923] = 0x0000cfecf699e9d3UL;
   tf->codes[2924] = 0x0000cfed6bb7f55dUL;
   tf->codes[2925] = 0x0000cfefb54e2f0fUL;
   tf->codes[2926] = 0x0000cff114a851adUL;
   tf->codes[2927] = 0x0000cff27402744bUL;
   tf->codes[2928] = 0x0000cff2ae917a10UL;
   tf->codes[2929] = 0x0000cff4487aa273UL;
   tf->codes[2930] = 0x0000cff61cf2d09bUL;
   tf->codes[2931] = 0x0000cff65781d660UL;
   tf->codes[2932] = 0x0000cff6cc9fe1eaUL;
   tf->codes[2933] = 0x0000cff77c4cf339UL;
   tf->codes[2934] = 0x0000cff8dba715d7UL;
   tf->codes[2935] = 0x0000cffa007232b0UL;
   tf->codes[2936] = 0x0000cffb5fcc554eUL;
   tf->codes[2937] = 0x0000cffe590fa04fUL;
   tf->codes[2938] = 0x0000cffff2f8c8b2UL;
   tf->codes[2939] = 0x0000d000a2a5da01UL;
   tf->codes[2940] = 0x0000d001c770f6daUL;
   tf->codes[2941] = 0x0000d0023c8f0264UL;
   tf->codes[2942] = 0x0000d002771e0829UL;
   tf->codes[2943] = 0x0000d002ec3c13b3UL;
   tf->codes[2944] = 0x0000d003615a1f3dUL;
   tf->codes[2945] = 0x0000d003d6782ac7UL;
   tf->codes[2946] = 0x0000d0044b963651UL;
   tf->codes[2947] = 0x0000d004c0b441dbUL;
   tf->codes[2948] = 0x0000d00535d24d65UL;
   tf->codes[2949] = 0x0000d005aaf058efUL;
   tf->codes[2950] = 0x0000d005e57f5eb4UL;
   tf->codes[2951] = 0x0000d0065a9d6a3eUL;
   tf->codes[2952] = 0x0000d006952c7003UL;
   tf->codes[2953] = 0x0000d006cfbb75c8UL;
   tf->codes[2954] = 0x0000d0077f688717UL;
   tf->codes[2955] = 0x0000d007f48692a1UL;
   tf->codes[2956] = 0x0000d008dec2a9b5UL;
   tf->codes[2957] = 0x0000d00a78abd218UL;
   tf->codes[2958] = 0x0000d00ab33ad7ddUL;
   tf->codes[2959] = 0x0000d00aedc9dda2UL;
   tf->codes[2960] = 0x0000d00b2858e367UL;
   tf->codes[2961] = 0x0000d00b62e7e92cUL;
   tf->codes[2962] = 0x0000d00b9d76eef1UL;
   tf->codes[2963] = 0x0000d00bd805f4b6UL;
   tf->codes[2964] = 0x0000d00e219c2e68UL;
   tf->codes[2965] = 0x0000d00e96ba39f2UL;
   tf->codes[2966] = 0x0000d00f46674b41UL;
   tf->codes[2967] = 0x0000d00fbb8556cbUL;
   tf->codes[2968] = 0x0000d01030a36255UL;
   tf->codes[2969] = 0x0000d0106b32681aUL;
   tf->codes[2970] = 0x0000d011556e7f2eUL;
   tf->codes[2971] = 0x0000d0118ffd84f3UL;
   tf->codes[2972] = 0x0000d012051b907dUL;
   tf->codes[2973] = 0x0000d0123faa9642UL;
   tf->codes[2974] = 0x0000d012ef57a791UL;
   tf->codes[2975] = 0x0000d01329e6ad56UL;
   tf->codes[2976] = 0x0000d0136475b31bUL;
   tf->codes[2977] = 0x0000d013d993bea5UL;
   tf->codes[2978] = 0x0000d014fe5edb7eUL;
   tf->codes[2979] = 0x0000d015737ce708UL;
   tf->codes[2980] = 0x0000d0165db8fe1cUL;
   tf->codes[2981] = 0x0000d0170d660f6bUL;
   tf->codes[2982] = 0x0000d01747f51530UL;
   tf->codes[2983] = 0x0000d01782841af5UL;
   tf->codes[2984] = 0x0000d017bd1320baUL;
   tf->codes[2985] = 0x0000d017f7a2267fUL;
   tf->codes[2986] = 0x0000d018e1de3d93UL;
   tf->codes[2987] = 0x0000d019cc1a54a7UL;
   tf->codes[2988] = 0x0000d01a06a95a6cUL;
   tf->codes[2989] = 0x0000d01ab6566bbbUL;
   tf->codes[2990] = 0x0000d01af0e57180UL;
   tf->codes[2991] = 0x0000d01ba09282cfUL;
   tf->codes[2992] = 0x0000d01cc55d9fa8UL;
   tf->codes[2993] = 0x0000d01cffeca56dUL;
   tf->codes[2994] = 0x0000d01d750ab0f7UL;
   tf->codes[2995] = 0x0000d01daf99b6bcUL;
   tf->codes[2996] = 0x0000d01e5f46c80bUL;
   tf->codes[2997] = 0x0000d01e99d5cdd0UL;
   tf->codes[2998] = 0x0000d01f0ef3d95aUL;
   tf->codes[2999] = 0x0000d01fbea0eaa9UL;
   tf->codes[3000] = 0x0000d02033bef633UL;
   tf->codes[3001] = 0x0000d0227d552fe5UL;
   tf->codes[3002] = 0x0000d022f2733b6fUL;
   tf->codes[3003] = 0x0000d0232d024134UL;
   tf->codes[3004] = 0x0000d025017a6f5cUL;
   tf->codes[3005] = 0x0000d0253c097521UL;
   tf->codes[3006] = 0x0000d026d5f29d84UL;
   tf->codes[3007] = 0x0000d0271081a349UL;
   tf->codes[3008] = 0x0000d0274b10a90eUL;
   tf->codes[3009] = 0x0000d027859faed3UL;
   tf->codes[3010] = 0x0000d027c02eb498UL;
   tf->codes[3011] = 0x0000d027fabdba5dUL;
   tf->codes[3012] = 0x0000d028354cc022UL;
   tf->codes[3013] = 0x0000d028e4f9d171UL;
   tf->codes[3014] = 0x0000d02994a6e2c0UL;
   tf->codes[3015] = 0x0000d02af401055eUL;
   tf->codes[3016] = 0x0000d02b691f10e8UL;
   tf->codes[3017] = 0x0000d02ded44505fUL;
   tf->codes[3018] = 0x0000d02e27d35624UL;
   tf->codes[3019] = 0x0000d02f4c9e72fdUL;
   tf->codes[3020] = 0x0000d03071698fd6UL;
   tf->codes[3021] = 0x0000d0328070c3c3UL;
   tf->codes[3022] = 0x0000d032baffc988UL;
   tf->codes[3023] = 0x0000d033301dd512UL;
   tf->codes[3024] = 0x0000d034ca06fd75UL;
   tf->codes[3025] = 0x0000d0353f2508ffUL;
   tf->codes[3026] = 0x0000d03629612013UL;
   tf->codes[3027] = 0x0000d03663f025d8UL;
   tf->codes[3028] = 0x0000d036d90e3162UL;
   tf->codes[3029] = 0x0000d037139d3727UL;
   tf->codes[3030] = 0x0000d03788bb42b1UL;
   tf->codes[3031] = 0x0000d03922a46b14UL;
   tf->codes[3032] = 0x0000d0395d3370d9UL;
   tf->codes[3033] = 0x0000d03a0ce08228UL;
   tf->codes[3034] = 0x0000d03b31ab9f01UL;
   tf->codes[3035] = 0x0000d03b6c3aa4c6UL;
   tf->codes[3036] = 0x0000d03be158b050UL;
   tf->codes[3037] = 0x0000d03c1be7b615UL;
   tf->codes[3038] = 0x0000d03c5676bbdaUL;
   tf->codes[3039] = 0x0000d03db5d0de78UL;
   tf->codes[3040] = 0x0000d03df05fe43dUL;
   tf->codes[3041] = 0x0000d03f152b0116UL;
   tf->codes[3042] = 0x0000d03f4fba06dbUL;
   tf->codes[3043] = 0x0000d040e9a32f3eUL;
   tf->codes[3044] = 0x0000d04124323503UL;
   tf->codes[3045] = 0x0000d041d3df4652UL;
   tf->codes[3046] = 0x0000d042838c57a1UL;
   tf->codes[3047] = 0x0000d04542409cddUL;
   tf->codes[3048] = 0x0000d045b75ea867UL;
   tf->codes[3049] = 0x0000d045f1edae2cUL;
   tf->codes[3050] = 0x0000d046670bb9b6UL;
   tf->codes[3051] = 0x0000d046dc29c540UL;
   tf->codes[3052] = 0x0000d04716b8cb05UL;
   tf->codes[3053] = 0x0000d0487612eda3UL;
   tf->codes[3054] = 0x0000d048eb30f92dUL;
   tf->codes[3055] = 0x0000d04925bffef2UL;
   tf->codes[3056] = 0x0000d049d56d1041UL;
   tf->codes[3057] = 0x0000d04abfa92755UL;
   tf->codes[3058] = 0x0000d04ba9e53e69UL;
   tf->codes[3059] = 0x0000d04be474442eUL;
   tf->codes[3060] = 0x0000d04c1f0349f3UL;
   tf->codes[3061] = 0x0000d04e689983a5UL;
   tf->codes[3062] = 0x0000d04ea328896aUL;
   tf->codes[3063] = 0x0000d04f52d59ab9UL;
   tf->codes[3064] = 0x0000d04f8d64a07eUL;
   tf->codes[3065] = 0x0000d050ecbec31cUL;
   tf->codes[3066] = 0x0000d051274dc8e1UL;
   tf->codes[3067] = 0x0000d05161dccea6UL;
   tf->codes[3068] = 0x0000d0519c6bd46bUL;
   tf->codes[3069] = 0x0000d0524c18e5baUL;
   tf->codes[3070] = 0x0000d052c136f144UL;
   tf->codes[3071] = 0x0000d054209113e2UL;
   tf->codes[3072] = 0x0000d0545b2019a7UL;
   tf->codes[3073] = 0x0000d05495af1f6cUL;
   tf->codes[3074] = 0x0000d054d03e2531UL;
   tf->codes[3075] = 0x0000d055455c30bbUL;
   tf->codes[3076] = 0x0000d0557feb3680UL;
   tf->codes[3077] = 0x0000d0562f9847cfUL;
   tf->codes[3078] = 0x0000d05719d45ee3UL;
   tf->codes[3079] = 0x0000d057546364a8UL;
   tf->codes[3080] = 0x0000d057c9817032UL;
   tf->codes[3081] = 0x0000d058792e8181UL;
   tf->codes[3082] = 0x0000d05a1317a9e4UL;
   tf->codes[3083] = 0x0000d05a4da6afa9UL;
   tf->codes[3084] = 0x0000d05b37e2c6bdUL;
   tf->codes[3085] = 0x0000d05c221eddd1UL;
   tf->codes[3086] = 0x0000d05e6bb51783UL;
   tf->codes[3087] = 0x0000d05fcb0f3a21UL;
   tf->codes[3088] = 0x0000d061da166e0eUL;
   tf->codes[3089] = 0x0000d0624f347998UL;
   tf->codes[3090] = 0x0000d062c4528522UL;
   tf->codes[3091] = 0x0000d063397090acUL;
   tf->codes[3092] = 0x0000d067920dfe4bUL;
   tf->codes[3093] = 0x0000d067cc9d0410UL;
   tf->codes[3094] = 0x0000d069dba437fdUL;
   tf->codes[3095] = 0x0000d06b006f54d6UL;
   tf->codes[3096] = 0x0000d06bb01c6625UL;
   tf->codes[3097] = 0x0000d06beaab6beaUL;
   tf->codes[3098] = 0x0000d06f590cc275UL;
   tf->codes[3099] = 0x0000d06fce2acdffUL;
   tf->codes[3100] = 0x0000d0704348d989UL;
   tf->codes[3101] = 0x0000d070b866e513UL;
   tf->codes[3102] = 0x0000d0728cdf133bUL;
   tf->codes[3103] = 0x0000d073771b2a4fUL;
   tf->codes[3104] = 0x0000d073b1aa3014UL;
   tf->codes[3105] = 0x0000d073ec3935d9UL;
   tf->codes[3106] = 0x0000d07461574163UL;
   tf->codes[3107] = 0x0000d0749be64728UL;
   tf->codes[3108] = 0x0000d076e57c80daUL;
   tf->codes[3109] = 0x0000d0775a9a8c64UL;
   tf->codes[3110] = 0x0000d07795299229UL;
   tf->codes[3111] = 0x0000d07969a1c051UL;
   tf->codes[3112] = 0x0000d079debfcbdbUL;
   tf->codes[3113] = 0x0000d07b78a8f43eUL;
   tf->codes[3114] = 0x0000d07c2856058dUL;
   tf->codes[3115] = 0x0000d07c9d741117UL;
   tf->codes[3116] = 0x0000d07cd80316dcUL;
   tf->codes[3117] = 0x0000d07e375d397aUL;
   tf->codes[3118] = 0x0000d07ee70a4ac9UL;
   tf->codes[3119] = 0x0000d07f96b75c18UL;
   tf->codes[3120] = 0x0000d07fd14661ddUL;
   tf->codes[3121] = 0x0000d0800bd567a2UL;
   tf->codes[3122] = 0x0000d080f6117eb6UL;
   tf->codes[3123] = 0x0000d08130a0847bUL;
   tf->codes[3124] = 0x0000d0816b2f8a40UL;
   tf->codes[3125] = 0x0000d081e04d95caUL;
   tf->codes[3126] = 0x0000d082556ba154UL;
   tf->codes[3127] = 0x0000d0830518b2a3UL;
   tf->codes[3128] = 0x0000d08798452607UL;
   tf->codes[3129] = 0x0000d0880d633191UL;
   tf->codes[3130] = 0x0000d08847f23756UL;
   tf->codes[3131] = 0x0000d088bd1042e0UL;
   tf->codes[3132] = 0x0000d089322e4e6aUL;
   tf->codes[3133] = 0x0000d08b41358257UL;
   tf->codes[3134] = 0x0000d08e3a78cd58UL;
   tf->codes[3135] = 0x0000d08e7507d31dUL;
   tf->codes[3136] = 0x0000d08eaf96d8e2UL;
   tf->codes[3137] = 0x0000d09049800145UL;
   tf->codes[3138] = 0x0000d090f92d1294UL;
   tf->codes[3139] = 0x0000d09133bc1859UL;
   tf->codes[3140] = 0x0000d091e36929a8UL;
   tf->codes[3141] = 0x0000d0921df82f6dUL;
   tf->codes[3142] = 0x0000d0937d52520bUL;
   tf->codes[3143] = 0x0000d093b7e157d0UL;
   tf->codes[3144] = 0x0000d0942cff635aUL;
   tf->codes[3145] = 0x0000d09601779182UL;
   tf->codes[3146] = 0x0000d096b124a2d1UL;
   tf->codes[3147] = 0x0000d0984b0dcb34UL;
   tf->codes[3148] = 0x0000d098c02bd6beUL;
   tf->codes[3149] = 0x0000d0993549e248UL;
   tf->codes[3150] = 0x0000d0996fd8e80dUL;
   tf->codes[3151] = 0x0000d09a1f85f95cUL;
   tf->codes[3152] = 0x0000d09b44511635UL;
   tf->codes[3153] = 0x0000d09d53584a22UL;
   tf->codes[3154] = 0x0000d09e3d946136UL;
   tf->codes[3155] = 0x0000d09e782366fbUL;
   tf->codes[3156] = 0x0000d09f625f7e0fUL;
   tf->codes[3157] = 0x0000d09fd77d8999UL;
   tf->codes[3158] = 0x0000d0a0872a9ae8UL;
   tf->codes[3159] = 0x0000d0a0fc48a672UL;
   tf->codes[3160] = 0x0000d0a17166b1fcUL;
   tf->codes[3161] = 0x0000d0a1abf5b7c1UL;
   tf->codes[3162] = 0x0000d0a30b4fda5fUL;
   tf->codes[3163] = 0x0000d0a3f58bf173UL;
   tf->codes[3164] = 0x0000d0a46aa9fcfdUL;
   tf->codes[3165] = 0x0000d0a5ca041f9bUL;
   tf->codes[3166] = 0x0000d0a63f222b25UL;
   tf->codes[3167] = 0x0000d0a679b130eaUL;
   tf->codes[3168] = 0x0000d0a6eecf3c74UL;
   tf->codes[3169] = 0x0000d0a763ed47feUL;
   tf->codes[3170] = 0x0000d0a79e7c4dc3UL;
   tf->codes[3171] = 0x0000d0a7d90b5388UL;
   tf->codes[3172] = 0x0000d0a84e295f12UL;
   tf->codes[3173] = 0x0000d0a8c3476a9cUL;
   tf->codes[3174] = 0x0000d0a972f47bebUL;
   tf->codes[3175] = 0x0000d0a9e8128775UL;
   tf->codes[3176] = 0x0000d0aad24e9e89UL;
   tf->codes[3177] = 0x0000d0ab0cdda44eUL;
   tf->codes[3178] = 0x0000d0afa00a17b2UL;
   tf->codes[3179] = 0x0000d0b04fb72901UL;
   tf->codes[3180] = 0x0000d0b08a462ec6UL;
   tf->codes[3181] = 0x0000d0b1748245daUL;
   tf->codes[3182] = 0x0000d0b25ebe5ceeUL;
   tf->codes[3183] = 0x0000d0b2994d62b3UL;
   tf->codes[3184] = 0x0000d0b2d3dc6878UL;
   tf->codes[3185] = 0x0000d0b30e6b6e3dUL;
   tf->codes[3186] = 0x0000d0b3f8a78551UL;
   tf->codes[3187] = 0x0000d0b433368b16UL;
   tf->codes[3188] = 0x0000d0b51d72a22aUL;
   tf->codes[3189] = 0x0000d0b59290adb4UL;
   tf->codes[3190] = 0x0000d0b607aeb93eUL;
   tf->codes[3191] = 0x0000d0b72c79d617UL;
   tf->codes[3192] = 0x0000d0b76708dbdcUL;
   tf->codes[3193] = 0x0000d0b7a197e1a1UL;
   tf->codes[3194] = 0x0000d0b7dc26e766UL;
   tf->codes[3195] = 0x0000d0b88bd3f8b5UL;
   tf->codes[3196] = 0x0000d0b9b09f158eUL;
   tf->codes[3197] = 0x0000d0ba25bd2118UL;
   tf->codes[3198] = 0x0000d0bad56a3267UL;
   tf->codes[3199] = 0x0000d0bb4a883df1UL;
   tf->codes[3200] = 0x0000d0be093c832dUL;
   tf->codes[3201] = 0x0000d0c01843b71aUL;
   tf->codes[3202] = 0x0000d0c0c7f0c869UL;
   tf->codes[3203] = 0x0000d0c31187021bUL;
   tf->codes[3204] = 0x0000d0c34c1607e0UL;
   tf->codes[3205] = 0x0000d0c386a50da5UL;
   tf->codes[3206] = 0x0000d0c5208e3608UL;
   tf->codes[3207] = 0x0000d0c6f5066430UL;
   tf->codes[3208] = 0x0000d0c72f9569f5UL;
   tf->codes[3209] = 0x0000d0c7a4b3757fUL;
   tf->codes[3210] = 0x0000d0c7df427b44UL;
   tf->codes[3211] = 0x0000d0c8546086ceUL;
   tf->codes[3212] = 0x0000d0c9040d981dUL;
   tf->codes[3213] = 0x0000d0c9ee49af31UL;
   tf->codes[3214] = 0x0000d0ca6367babbUL;
   tf->codes[3215] = 0x0000d0cb4da3d1cfUL;
   tf->codes[3216] = 0x0000d0cbfd50e31eUL;
   tf->codes[3217] = 0x0000d0ce0c58170bUL;
   tf->codes[3218] = 0x0000d0cf312333e4UL;
   tf->codes[3219] = 0x0000d0d01b5f4af8UL;
   tf->codes[3220] = 0x0000d0d055ee50bdUL;
   tf->codes[3221] = 0x0000d0d0907d5682UL;
   tf->codes[3222] = 0x0000d0d1402a67d1UL;
   tf->codes[3223] = 0x0000d0d34f319bbeUL;
   tf->codes[3224] = 0x0000d0d55e38cfabUL;
   tf->codes[3225] = 0x0000d0d5d356db35UL;
   tf->codes[3226] = 0x0000d0d76d400398UL;
   tf->codes[3227] = 0x0000d0d7e25e0f22UL;
   tf->codes[3228] = 0x0000d0d81ced14e7UL;
   tf->codes[3229] = 0x0000d0d8920b2071UL;
   tf->codes[3230] = 0x0000d0d907292bfbUL;
   tf->codes[3231] = 0x0000d0d9b6d63d4aUL;
   tf->codes[3232] = 0x0000d0d9f165430fUL;
   tf->codes[3233] = 0x0000d0da2bf448d4UL;
   tf->codes[3234] = 0x0000d0daa112545eUL;
   tf->codes[3235] = 0x0000d0dadba15a23UL;
   tf->codes[3236] = 0x0000d0db50bf65adUL;
   tf->codes[3237] = 0x0000d0de4a02b0aeUL;
   tf->codes[3238] = 0x0000d0de8491b673UL;
   tf->codes[3239] = 0x0000d0def9afc1fdUL;
   tf->codes[3240] = 0x0000d0df343ec7c2UL;
   tf->codes[3241] = 0x0000d0dfa95cd34cUL;
   tf->codes[3242] = 0x0000d0dfe3ebd911UL;
   tf->codes[3243] = 0x0000d0e17dd50174UL;
   tf->codes[3244] = 0x0000d0e1f2f30cfeUL;
   tf->codes[3245] = 0x0000d0e2a2a01e4dUL;
   tf->codes[3246] = 0x0000d0e3524d2f9cUL;
   tf->codes[3247] = 0x0000d0e5d6726f13UL;
   tf->codes[3248] = 0x0000d0e6c0ae8627UL;
   tf->codes[3249] = 0x0000d0e6fb3d8becUL;
   tf->codes[3250] = 0x0000d0e735cc91b1UL;
   tf->codes[3251] = 0x0000d0e7aaea9d3bUL;
   tf->codes[3252] = 0x0000d0e7e579a300UL;
   tf->codes[3253] = 0x0000d0e9f480d6edUL;
   tf->codes[3254] = 0x0000d0eadebcee01UL;
   tf->codes[3255] = 0x0000d0ee87ad4a51UL;
   tf->codes[3256] = 0x0000d0ef375a5ba0UL;
   tf->codes[3257] = 0x0000d0f10bd289c8UL;
   tf->codes[3258] = 0x0000d0f180f09552UL;
   tf->codes[3259] = 0x0000d0f40515d4c9UL;
   tf->codes[3260] = 0x0000d0f47a33e053UL;
   tf->codes[3261] = 0x0000d0f59efefd2cUL;
   tf->codes[3262] = 0x0000d0f6141d08b6UL;
   tf->codes[3263] = 0x0000d0f6893b1440UL;
   tf->codes[3264] = 0x0000d0f6c3ca1a05UL;
   tf->codes[3265] = 0x0000d0f738e8258fUL;
   tf->codes[3266] = 0x0000d0f7ae063119UL;
   tf->codes[3267] = 0x0000d0f7e89536deUL;
   tf->codes[3268] = 0x0000d0f9827e5f41UL;
   tf->codes[3269] = 0x0000d0fb1c6787a4UL;
   tf->codes[3270] = 0x0000d0fb56f68d69UL;
   tf->codes[3271] = 0x0000d0fb9185932eUL;
   tf->codes[3272] = 0x0000d0fc06a39eb8UL;
   tf->codes[3273] = 0x0000d0fc4132a47dUL;
   tf->codes[3274] = 0x0000d0fc7bc1aa42UL;
   tf->codes[3275] = 0x0000d0fe5039d86aUL;
   tf->codes[3276] = 0x0000d0ff3a75ef7eUL;
   tf->codes[3277] = 0x0000d0ff7504f543UL;
   tf->codes[3278] = 0x0000d0ffaf93fb08UL;
   tf->codes[3279] = 0x0000d10099d0121cUL;
   tf->codes[3280] = 0x0000d100d45f17e1UL;
   tf->codes[3281] = 0x0000d1010eee1da6UL;
   tf->codes[3282] = 0x0000d102e3664bceUL;
   tf->codes[3283] = 0x0000d1031df55193UL;
   tf->codes[3284] = 0x0000d10393135d1dUL;
   tf->codes[3285] = 0x0000d103cda262e2UL;
   tf->codes[3286] = 0x0000d104f26d7fbbUL;
   tf->codes[3287] = 0x0000d1073c03b96dUL;
   tf->codes[3288] = 0x0000d1077692bf32UL;
   tf->codes[3289] = 0x0000d107b121c4f7UL;
   tf->codes[3290] = 0x0000d107ebb0cabcUL;
   tf->codes[3291] = 0x0000d1094b0aed5aUL;
   tf->codes[3292] = 0x0000d1098599f31fUL;
   tf->codes[3293] = 0x0000d109c028f8e4UL;
   tf->codes[3294] = 0x0000d10b5a122147UL;
   tf->codes[3295] = 0x0000d10b94a1270cUL;
   tf->codes[3296] = 0x0000d10d69195534UL;
   tf->codes[3297] = 0x0000d10f3d91835cUL;
   tf->codes[3298] = 0x0000d10fed3e94abUL;
   tf->codes[3299] = 0x0000d110625ca035UL;
   tf->codes[3300] = 0x0000d113d0bdf6c0UL;
   tf->codes[3301] = 0x0000d1140b4cfc85UL;
   tf->codes[3302] = 0x0000d114806b080fUL;
   tf->codes[3303] = 0x0000d114bafa0dd4UL;
   tf->codes[3304] = 0x0000d115dfc52aadUL;
   tf->codes[3305] = 0x0000d1161a543072UL;
   tf->codes[3306] = 0x0000d1168f723bfcUL;
   tf->codes[3307] = 0x0000d116ca0141c1UL;
   tf->codes[3308] = 0x0000d118295b645fUL;
   tf->codes[3309] = 0x0000d1189e796fe9UL;
   tf->codes[3310] = 0x0000d1194e268138UL;
   tf->codes[3311] = 0x0000d11a3862984cUL;
   tf->codes[3312] = 0x0000d11b5d2db525UL;
   tf->codes[3313] = 0x0000d11b97bcbaeaUL;
   tf->codes[3314] = 0x0000d11c0cdac674UL;
   tf->codes[3315] = 0x0000d11e56710026UL;
   tf->codes[3316] = 0x0000d11e910005ebUL;
   tf->codes[3317] = 0x0000d11ff05a2889UL;
   tf->codes[3318] = 0x0000d1202ae92e4eUL;
   tf->codes[3319] = 0x0000d120a00739d8UL;
   tf->codes[3320] = 0x0000d12115254562UL;
   tf->codes[3321] = 0x0000d1214fb44b27UL;
   tf->codes[3322] = 0x0000d1218a4350ecUL;
   tf->codes[3323] = 0x0000d121ff615c76UL;
   tf->codes[3324] = 0x0000d122747f6800UL;
   tf->codes[3325] = 0x0000d123242c794fUL;
   tf->codes[3326] = 0x0000d1235ebb7f14UL;
   tf->codes[3327] = 0x0000d12448f79628UL;
   tf->codes[3328] = 0x0000d124f8a4a777UL;
   tf->codes[3329] = 0x0000d1256dc2b301UL;
   tf->codes[3330] = 0x0000d125a851b8c6UL;
   tf->codes[3331] = 0x0000d1282c76f83dUL;
   tf->codes[3332] = 0x0000d128dc24098cUL;
   tf->codes[3333] = 0x0000d1298bd11adbUL;
   tf->codes[3334] = 0x0000d12b60494903UL;
   tf->codes[3335] = 0x0000d12bd567548dUL;
   tf->codes[3336] = 0x0000d12f7e57b0ddUL;
   tf->codes[3337] = 0x0000d12ff375bc67UL;
   tf->codes[3338] = 0x0000d130a322cdb6UL;
   tf->codes[3339] = 0x0000d130ddb1d37bUL;
   tf->codes[3340] = 0x0000d1318d5ee4caUL;
   tf->codes[3341] = 0x0000d1323d0bf619UL;
   tf->codes[3342] = 0x0000d133d6f51e7cUL;
   tf->codes[3343] = 0x0000d13411842441UL;
   tf->codes[3344] = 0x0000d134fbc03b55UL;
   tf->codes[3345] = 0x0000d135e5fc5269UL;
   tf->codes[3346] = 0x0000d13745567507UL;
   tf->codes[3347] = 0x0000d1382f928c1bUL;
   tf->codes[3348] = 0x0000d1386a2191e0UL;
   tf->codes[3349] = 0x0000d138a4b097a5UL;
   tf->codes[3350] = 0x0000d138df3f9d6aUL;
   tf->codes[3351] = 0x0000d139545da8f4UL;
   tf->codes[3352] = 0x0000d13a040aba43UL;
   tf->codes[3353] = 0x0000d13bd882e86bUL;
   tf->codes[3354] = 0x0000d13d726c10ceUL;
   tf->codes[3355] = 0x0000d13e2219221dUL;
   tf->codes[3356] = 0x0000d13e5ca827e2UL;
   tf->codes[3357] = 0x0000d13f0c553931UL;
   tf->codes[3358] = 0x0000d141cb097e6dUL;
   tf->codes[3359] = 0x0000d142402789f7UL;
   tf->codes[3360] = 0x0000d142efd49b46UL;
   tf->codes[3361] = 0x0000d14364f2a6d0UL;
   tf->codes[3362] = 0x0000d145ae88e082UL;
   tf->codes[3363] = 0x0000d145e917e647UL;
   tf->codes[3364] = 0x0000d1470de30320UL;
   tf->codes[3365] = 0x0000d149cc97485cUL;
   tf->codes[3366] = 0x0000d14a07264e21UL;
   tf->codes[3367] = 0x0000d14a41b553e6UL;
   tf->codes[3368] = 0x0000d14fbf1dde5eUL;
   tf->codes[3369] = 0x0000d150e3e8fb37UL;
   tf->codes[3370] = 0x0000d151590706c1UL;
   tf->codes[3371] = 0x0000d151ce25124bUL;
   tf->codes[3372] = 0x0000d15208b41810UL;
   tf->codes[3373] = 0x0000d153680e3aaeUL;
   tf->codes[3374] = 0x0000d153a29d4073UL;
   tf->codes[3375] = 0x0000d154524a51c2UL;
   tf->codes[3376] = 0x0000d154c7685d4cUL;
   tf->codes[3377] = 0x0000d156d66f9139UL;
   tf->codes[3378] = 0x0000d15710fe96feUL;
   tf->codes[3379] = 0x0000d157fb3aae12UL;
   tf->codes[3380] = 0x0000d1595a94d0b0UL;
   tf->codes[3381] = 0x0000d15b699c049dUL;
   tf->codes[3382] = 0x0000d15ba42b0a62UL;
   tf->codes[3383] = 0x0000d15d78a3388aUL;
   tf->codes[3384] = 0x0000d15db3323e4fUL;
   tf->codes[3385] = 0x0000d160ac758950UL;
   tf->codes[3386] = 0x0000d1615c229a9fUL;
   tf->codes[3387] = 0x0000d161d140a629UL;
   tf->codes[3388] = 0x0000d162bb7cbd3dUL;
   tf->codes[3389] = 0x0000d163a5b8d451UL;
   tf->codes[3390] = 0x0000d163e047da16UL;
   tf->codes[3391] = 0x0000d1657a310279UL;
   tf->codes[3392] = 0x0000d165ef4f0e03UL;
   tf->codes[3393] = 0x0000d16629de13c8UL;
   tf->codes[3394] = 0x0000d1674ea930a1UL;
   tf->codes[3395] = 0x0000d16923215ec9UL;
   tf->codes[3396] = 0x0000d16a0d5d75ddUL;
   tf->codes[3397] = 0x0000d16a827b8167UL;
   tf->codes[3398] = 0x0000d16abd0a872cUL;
   tf->codes[3399] = 0x0000d16b322892b6UL;
   tf->codes[3400] = 0x0000d16ba7469e40UL;
   tf->codes[3401] = 0x0000d16e2b6bddb7UL;
   tf->codes[3402] = 0x0000d16e65fae37cUL;
   tf->codes[3403] = 0x0000d17075021769UL;
   tf->codes[3404] = 0x0000d170af911d2eUL;
   tf->codes[3405] = 0x0000d172497a4591UL;
   tf->codes[3406] = 0x0000d17333b65ca5UL;
   tf->codes[3407] = 0x0000d1741df273b9UL;
   tf->codes[3408] = 0x0000d1766788ad6bUL;
   tf->codes[3409] = 0x0000d1778c53ca44UL;
   tf->codes[3410] = 0x0000d17a85971545UL;
   tf->codes[3411] = 0x0000d17ac0261b0aUL;
   tf->codes[3412] = 0x0000d17b35442694UL;
   tf->codes[3413] = 0x0000d17ccf2d4ef7UL;
   tf->codes[3414] = 0x0000d17d444b5a81UL;
   tf->codes[3415] = 0x0000d17db969660bUL;
   tf->codes[3416] = 0x0000d17ea3a57d1fUL;
   tf->codes[3417] = 0x0000d17fc87099f8UL;
   tf->codes[3418] = 0x0000d180ed3bb6d1UL;
   tf->codes[3419] = 0x0000d1816259c25bUL;
   tf->codes[3420] = 0x0000d1819ce8c820UL;
   tf->codes[3421] = 0x0000d1821206d3aaUL;
   tf->codes[3422] = 0x0000d1824c95d96fUL;
   tf->codes[3423] = 0x0000d183e67f01d2UL;
   tf->codes[3424] = 0x0000d184d0bb18e6UL;
   tf->codes[3425] = 0x0000d185f58635bfUL;
   tf->codes[3426] = 0x0000d186dfc24cd3UL;
   tf->codes[3427] = 0x0000d18754e0585dUL;
   tf->codes[3428] = 0x0000d1883f1c6f71UL;
   tf->codes[3429] = 0x0000d188b43a7afbUL;
   tf->codes[3430] = 0x0000d18929588685UL;
   tf->codes[3431] = 0x0000d18ac341aee8UL;
   tf->codes[3432] = 0x0000d18afdd0b4adUL;
   tf->codes[3433] = 0x0000d18be80ccbc1UL;
   tf->codes[3434] = 0x0000d18c5d2ad74bUL;
   tf->codes[3435] = 0x0000d18c97b9dd10UL;
   tf->codes[3436] = 0x0000d18f1bdf1c87UL;
   tf->codes[3437] = 0x0000d18f566e224cUL;
   tf->codes[3438] = 0x0000d190061b339bUL;
   tf->codes[3439] = 0x0000d1907b393f25UL;
   tf->codes[3440] = 0x0000d190f0574aafUL;
   tf->codes[3441] = 0x0000d1912ae65074UL;
   tf->codes[3442] = 0x0000d191a0045bfeUL;
   tf->codes[3443] = 0x0000d19215226788UL;
   tf->codes[3444] = 0x0000d193747c8a26UL;
   tf->codes[3445] = 0x0000d193e99a95b0UL;
   tf->codes[3446] = 0x0000d19424299b75UL;
   tf->codes[3447] = 0x0000d1949947a6ffUL;
   tf->codes[3448] = 0x0000d19548f4b84eUL;
   tf->codes[3449] = 0x0000d1958383be13UL;
   tf->codes[3450] = 0x0000d195be12c3d8UL;
   tf->codes[3451] = 0x0000d1984238034fUL;
   tf->codes[3452] = 0x0000d19b760a5415UL;
   tf->codes[3453] = 0x0000d19beb285f9fUL;
   tf->codes[3454] = 0x0000d19d85118802UL;
   tf->codes[3455] = 0x0000d19dbfa08dc7UL;
   tf->codes[3456] = 0x0000d19f1efab065UL;
   tf->codes[3457] = 0x0000d1a043c5cd3eUL;
   tf->codes[3458] = 0x0000d1a1ddaef5a1UL;
   tf->codes[3459] = 0x0000d1a28d5c06f0UL;
   tf->codes[3460] = 0x0000d1a6e5f9748fUL;
   tf->codes[3461] = 0x0000d1a8f500a87cUL;
   tf->codes[3462] = 0x0000d1ad882d1be0UL;
   tf->codes[3463] = 0x0000d1aeacf838b9UL;
   tf->codes[3464] = 0x0000d1af22164443UL;
   tf->codes[3465] = 0x0000d1af5ca54a08UL;
   tf->codes[3466] = 0x0000d1b00c525b57UL;
   tf->codes[3467] = 0x0000d1b21b598f44UL;
   tf->codes[3468] = 0x0000d1b3b542b7a7UL;
   tf->codes[3469] = 0x0000d1b42a60c331UL;
   tf->codes[3470] = 0x0000d1b464efc8f6UL;
   tf->codes[3471] = 0x0000d1b49f7ecebbUL;
   tf->codes[3472] = 0x0000d1b4da0dd480UL;
   tf->codes[3473] = 0x0000d1b75e3313f7UL;
   tf->codes[3474] = 0x0000d1ba920564bdUL;
   tf->codes[3475] = 0x0000d1bacc946a82UL;
   tf->codes[3476] = 0x0000d1bb41b2760cUL;
   tf->codes[3477] = 0x0000d1bb7c417bd1UL;
   tf->codes[3478] = 0x0000d1bbf15f875bUL;
   tf->codes[3479] = 0x0000d1bd8b48afbeUL;
   tf->codes[3480] = 0x0000d1beeaa2d25cUL;
   tf->codes[3481] = 0x0000d1c049fcf4faUL;
   tf->codes[3482] = 0x0000d1c0bf1b0084UL;
   tf->codes[3483] = 0x0000d1c0f9aa0649UL;
   tf->codes[3484] = 0x0000d1c1a9571798UL;
   tf->codes[3485] = 0x0000d1c1e3e61d5dUL;
   tf->codes[3486] = 0x0000d1c4a29a6299UL;
   tf->codes[3487] = 0x0000d1c4dd29685eUL;
   tf->codes[3488] = 0x0000d1c5c7657f72UL;
   tf->codes[3489] = 0x0000d1c601f48537UL;
   tf->codes[3490] = 0x0000d1c6ec309c4bUL;
   tf->codes[3491] = 0x0000d1c7614ea7d5UL;
   tf->codes[3492] = 0x0000d1c97055dbc2UL;
   tf->codes[3493] = 0x0000d1ca2002ed11UL;
   tf->codes[3494] = 0x0000d1ca5a91f2d6UL;
   tf->codes[3495] = 0x0000d1cb0a3f0425UL;
   tf->codes[3496] = 0x0000d1cbf47b1b39UL;
   tf->codes[3497] = 0x0000d1cdc8f34961UL;
   tf->codes[3498] = 0x0000d1ce3e1154ebUL;
   tf->codes[3499] = 0x0000d1cf284d6bffUL;
   tf->codes[3500] = 0x0000d1cf62dc71c4UL;
   tf->codes[3501] = 0x0000d1d0c2369462UL;
   tf->codes[3502] = 0x0000d1d137549fecUL;
   tf->codes[3503] = 0x0000d1d171e3a5b1UL;
   tf->codes[3504] = 0x0000d1d1ac72ab76UL;
   tf->codes[3505] = 0x0000d1d380ead99eUL;
   tf->codes[3506] = 0x0000d1d3bb79df63UL;
   tf->codes[3507] = 0x0000d1d3f608e528UL;
   tf->codes[3508] = 0x0000d1d51ad40201UL;
   tf->codes[3509] = 0x0000d1d6b4bd2a64UL;
   tf->codes[3510] = 0x0000d1d729db35eeUL;
   tf->codes[3511] = 0x0000d1d79ef94178UL;
   tf->codes[3512] = 0x0000d1d7d988473dUL;
   tf->codes[3513] = 0x0000d1da231e80efUL;
   tf->codes[3514] = 0x0000d1db47e99dc8UL;
   tf->codes[3515] = 0x0000d1dbbd07a952UL;
   tf->codes[3516] = 0x0000d1dce1d2c62bUL;
   tf->codes[3517] = 0x0000d1dd1c61cbf0UL;
   tf->codes[3518] = 0x0000d1df65f805a2UL;
   tf->codes[3519] = 0x0000d1dfdb16112cUL;
   tf->codes[3520] = 0x0000d1e08ac3227bUL;
   tf->codes[3521] = 0x0000d1e0c5522840UL;
   tf->codes[3522] = 0x0000d1e1ea1d4519UL;
   tf->codes[3523] = 0x0000d1e2d4595c2dUL;
   tf->codes[3524] = 0x0000d1e51def95dfUL;
   tf->codes[3525] = 0x0000d1e5930da169UL;
   tf->codes[3526] = 0x0000d1e5cd9ca72eUL;
   tf->codes[3527] = 0x0000d1e6b7d8be42UL;
   tf->codes[3528] = 0x0000d1e72cf6c9ccUL;
   tf->codes[3529] = 0x0000d1e81732e0e0UL;
   tf->codes[3530] = 0x0000d1e9b11c0943UL;
   tf->codes[3531] = 0x0000d1ea9b582057UL;
   tf->codes[3532] = 0x0000d1eb10762be1UL;
   tf->codes[3533] = 0x0000d1eb4b0531a6UL;
   tf->codes[3534] = 0x0000d1ebfab242f5UL;
   tf->codes[3535] = 0x0000d1ec354148baUL;
   tf->codes[3536] = 0x0000d1ed949b6b58UL;
   tf->codes[3537] = 0x0000d1ef69139980UL;
   tf->codes[3538] = 0x0000d1f0c86dbc1eUL;
   tf->codes[3539] = 0x0000d1f1ed38d8f7UL;
   tf->codes[3540] = 0x0000d1f38722015aUL;
   tf->codes[3541] = 0x0000d1f4715e186eUL;
   tf->codes[3542] = 0x0000d1f5210b29bdUL;
   tf->codes[3543] = 0x0000d1f596293547UL;
   tf->codes[3544] = 0x0000d1f5d0b83b0cUL;
   tf->codes[3545] = 0x0000d1f730125daaUL;
   tf->codes[3546] = 0x0000d1f76aa1636fUL;
   tf->codes[3547] = 0x0000d1f7a5306934UL;
   tf->codes[3548] = 0x0000d1f93f199197UL;
   tf->codes[3549] = 0x0000d1f9b4379d21UL;
   tf->codes[3550] = 0x0000d1fa63e4ae70UL;
   tf->codes[3551] = 0x0000d1fe47641085UL;
   tf->codes[3552] = 0x0000d1ffa6be3323UL;
   tf->codes[3553] = 0x0000d1ffe14d38e8UL;
   tf->codes[3554] = 0x0000d2001bdc3eadUL;
   tf->codes[3555] = 0x0000d20090fa4a37UL;
   tf->codes[3556] = 0x0000d20140a75b86UL;
   tf->codes[3557] = 0x0000d203151f89aeUL;
   tf->codes[3558] = 0x0000d2038a3d9538UL;
   tf->codes[3559] = 0x0000d203ff5ba0c2UL;
   tf->codes[3560] = 0x0000d2060e62d4afUL;
   tf->codes[3561] = 0x0000d20648f1da74UL;
   tf->codes[3562] = 0x0000d206be0fe5feUL;
   tf->codes[3563] = 0x0000d206f89eebc3UL;
   tf->codes[3564] = 0x0000d20942352575UL;
   tf->codes[3565] = 0x0000d209b75330ffUL;
   tf->codes[3566] = 0x0000d209f1e236c4UL;
   tf->codes[3567] = 0x0000d20a2c713c89UL;
   tf->codes[3568] = 0x0000d20aa18f4813UL;
   tf->codes[3569] = 0x0000d20adc1e4dd8UL;
   tf->codes[3570] = 0x0000d20b16ad539dUL;
   tf->codes[3571] = 0x0000d20b513c5962UL;
   tf->codes[3572] = 0x0000d20b8bcb5f27UL;
   tf->codes[3573] = 0x0000d20e4a7fa463UL;
   tf->codes[3574] = 0x0000d2101ef7d28bUL;
   tf->codes[3575] = 0x0000d2105986d850UL;
   tf->codes[3576] = 0x0000d2109415de15UL;
   tf->codes[3577] = 0x0000d211f37000b3UL;
   tf->codes[3578] = 0x0000d212a31d1202UL;
   tf->codes[3579] = 0x0000d212ddac17c7UL;
   tf->codes[3580] = 0x0000d2138d592916UL;
   tf->codes[3581] = 0x0000d21527425179UL;
   tf->codes[3582] = 0x0000d215d6ef62c8UL;
   tf->codes[3583] = 0x0000d217ab6790f0UL;
   tf->codes[3584] = 0x0000d2185b14a23fUL;
   tf->codes[3585] = 0x0000d218d032adc9UL;
   tf->codes[3586] = 0x0000d2197fdfbf18UL;
   tf->codes[3587] = 0x0000d219ba6ec4ddUL;
   tf->codes[3588] = 0x0000d21adf39e1b6UL;
   tf->codes[3589] = 0x0000d21bc975f8caUL;
   tf->codes[3590] = 0x0000d21dd87d2cb7UL;
   tf->codes[3591] = 0x0000d21e4d9b3841UL;
   tf->codes[3592] = 0x0000d21e882a3e06UL;
   tf->codes[3593] = 0x0000d22022136669UL;
   tf->codes[3594] = 0x0000d220d1c077b8UL;
   tf->codes[3595] = 0x0000d222311a9a56UL;
   tf->codes[3596] = 0x0000d222a638a5e0UL;
   tf->codes[3597] = 0x0000d2231b56b16aUL;
   tf->codes[3598] = 0x0000d223cb03c2b9UL;
   tf->codes[3599] = 0x0000d225da0af6a6UL;
   tf->codes[3600] = 0x0000d2264f290230UL;
   tf->codes[3601] = 0x0000d22739651944UL;
   tf->codes[3602] = 0x0000d22773f41f09UL;
   tf->codes[3603] = 0x0000d227e9122a93UL;
   tf->codes[3604] = 0x0000d228d34e41a7UL;
   tf->codes[3605] = 0x0000d229bd8a58bbUL;
   tf->codes[3606] = 0x0000d22e50b6cc1fUL;
   tf->codes[3607] = 0x0000d22f3af2e333UL;
   tf->codes[3608] = 0x0000d22f7581e8f8UL;
   tf->codes[3609] = 0x0000d23149fa1720UL;
   tf->codes[3610] = 0x0000d2331e724548UL;
   tf->codes[3611] = 0x0000d23359014b0dUL;
   tf->codes[3612] = 0x0000d233939050d2UL;
   tf->codes[3613] = 0x0000d23568087efaUL;
   tf->codes[3614] = 0x0000d235a29784bfUL;
   tf->codes[3615] = 0x0000d2365244960eUL;
   tf->codes[3616] = 0x0000d2373c80ad22UL;
   tf->codes[3617] = 0x0000d23826bcc436UL;
   tf->codes[3618] = 0x0000d238614bc9fbUL;
   tf->codes[3619] = 0x0000d23ae5710972UL;
   tf->codes[3620] = 0x0000d23b20000f37UL;
   tf->codes[3621] = 0x0000d23b951e1ac1UL;
   tf->codes[3622] = 0x0000d23da4254eaeUL;
   tf->codes[3623] = 0x0000d23e19435a38UL;
   tf->codes[3624] = 0x0000d23f037f714cUL;
   tf->codes[3625] = 0x0000d2411286a539UL;
   tf->codes[3626] = 0x0000d24396abe4b0UL;
   tf->codes[3627] = 0x0000d2456b2412d8UL;
   tf->codes[3628] = 0x0000d245a5b3189dUL;
   tf->codes[3629] = 0x0000d246556029ecUL;
   tf->codes[3630] = 0x0000d2468fef2fb1UL;
   tf->codes[3631] = 0x0000d24864675dd9UL;
   tf->codes[3632] = 0x0000d24c47e6bfeeUL;
   tf->codes[3633] = 0x0000d24cbd04cb78UL;
   tf->codes[3634] = 0x0000d24f412a0aefUL;
   tf->codes[3635] = 0x0000d25150313edcUL;
   tf->codes[3636] = 0x0000d251c54f4a66UL;
   tf->codes[3637] = 0x0000d2523a6d55f0UL;
   tf->codes[3638] = 0x0000d254497489ddUL;
   tf->codes[3639] = 0x0000d256930ac38fUL;
   tf->codes[3640] = 0x0000d257b7d5e068UL;
   tf->codes[3641] = 0x0000d25b9b55427dUL;
   tf->codes[3642] = 0x0000d25daa5c766aUL;
   tf->codes[3643] = 0x0000d2606910bba6UL;
   tf->codes[3644] = 0x0000d261534cd2baUL;
   tf->codes[3645] = 0x0000d263625406a7UL;
   tf->codes[3646] = 0x0000d264c1ae2945UL;
   tf->codes[3647] = 0x0000d265715b3a94UL;
   tf->codes[3648] = 0x0000d265abea4059UL;
   tf->codes[3649] = 0x0000d265e679461eUL;
   tf->codes[3650] = 0x0000d2669626576dUL;
   tf->codes[3651] = 0x0000d26954da9ca9UL;
   tf->codes[3652] = 0x0000d26a0487adf8UL;
   tf->codes[3653] = 0x0000d26aeec3c50cUL;
   tf->codes[3654] = 0x0000d26b63e1d096UL;
   tf->codes[3655] = 0x0000d26e97b4215cUL;
   tf->codes[3656] = 0x0000d26f81f03870UL;
   tf->codes[3657] = 0x0000d26fbc7f3e35UL;
   tf->codes[3658] = 0x0000d270319d49bfUL;
   tf->codes[3659] = 0x0000d2706c2c4f84UL;
   tf->codes[3660] = 0x0000d270a6bb5549UL;
   tf->codes[3661] = 0x0000d273656f9a85UL;
   tf->codes[3662] = 0x0000d274151cabd4UL;
   tf->codes[3663] = 0x0000d2744fabb199UL;
   tf->codes[3664] = 0x0000d2757476ce72UL;
   tf->codes[3665] = 0x0000d2762423dfc1UL;
   tf->codes[3666] = 0x0000d2765eb2e586UL;
   tf->codes[3667] = 0x0000d2770e5ff6d5UL;
   tf->codes[3668] = 0x0000d278a8491f38UL;
   tf->codes[3669] = 0x0000d27ab7505325UL;
   tf->codes[3670] = 0x0000d27d76049861UL;
   tf->codes[3671] = 0x0000d27deb22a3ebUL;
   tf->codes[3672] = 0x0000d27ed55ebaffUL;
   tf->codes[3673] = 0x0000d27fbf9ad213UL;
   tf->codes[3674] = 0x0000d27ffa29d7d8UL;
   tf->codes[3675] = 0x0000d281cea20600UL;
   tf->codes[3676] = 0x0000d28243c0118aUL;
   tf->codes[3677] = 0x0000d283a31a3428UL;
   tf->codes[3678] = 0x0000d283dda939edUL;
   tf->codes[3679] = 0x0000d28418383fb2UL;
   tf->codes[3680] = 0x0000d284c7e55101UL;
   tf->codes[3681] = 0x0000d285b2216815UL;
   tf->codes[3682] = 0x0000d28661ce7964UL;
   tf->codes[3683] = 0x0000d287117b8ab3UL;
   tf->codes[3684] = 0x0000d2874c0a9078UL;
   tf->codes[3685] = 0x0000d28aba6be703UL;
   tf->codes[3686] = 0x0000d28b6a18f852UL;
   tf->codes[3687] = 0x0000d28ba4a7fe17UL;
   tf->codes[3688] = 0x0000d28bdf3703dcUL;
   tf->codes[3689] = 0x0000d28dee3e37c9UL;
   tf->codes[3690] = 0x0000d28e28cd3d8eUL;
   tf->codes[3691] = 0x0000d28e635c4353UL;
   tf->codes[3692] = 0x0000d28f130954a2UL;
   tf->codes[3693] = 0x0000d29072637740UL;
   tf->codes[3694] = 0x0000d290e78182caUL;
   tf->codes[3695] = 0x0000d291d1bd99deUL;
   tf->codes[3696] = 0x0000d2933117bc7cUL;
   tf->codes[3697] = 0x0000d294cb00e4dfUL;
   tf->codes[3698] = 0x0000d295058feaa4UL;
   tf->codes[3699] = 0x0000d2962a5b077dUL;
   tf->codes[3700] = 0x0000d2969f791307UL;
   tf->codes[3701] = 0x0000d296da0818ccUL;
   tf->codes[3702] = 0x0000d2974f262456UL;
   tf->codes[3703] = 0x0000d29789b52a1bUL;
   tf->codes[3704] = 0x0000d29839623b6aUL;
   tf->codes[3705] = 0x0000d299239e527eUL;
   tf->codes[3706] = 0x0000d2995e2d5843UL;
   tf->codes[3707] = 0x0000d29998bc5e08UL;
   tf->codes[3708] = 0x0000d29a48696f57UL;
   tf->codes[3709] = 0x0000d29abd877ae1UL;
   tf->codes[3710] = 0x0000d29af81680a6UL;
   tf->codes[3711] = 0x0000d29d41acba58UL;
   tf->codes[3712] = 0x0000d29e6677d731UL;
   tf->codes[3713] = 0x0000d29f50b3ee45UL;
   tf->codes[3714] = 0x0000d29f8b42f40aUL;
   tf->codes[3715] = 0x0000d2a0b00e10e3UL;
   tf->codes[3716] = 0x0000d2a284863f0bUL;
   tf->codes[3717] = 0x0000d2a33433505aUL;
   tf->codes[3718] = 0x0000d2a5433a8447UL;
   tf->codes[3719] = 0x0000d2a62d769b5bUL;
   tf->codes[3720] = 0x0000d2ab35c11a49UL;
   tf->codes[3721] = 0x0000d2ab7050200eUL;
   tf->codes[3722] = 0x0000d2abe56e2b98UL;
   tf->codes[3723] = 0x0000d2b0037c9372UL;
   tf->codes[3724] = 0x0000d2b19d65bbd5UL;
   tf->codes[3725] = 0x0000d2b2c230d8aeUL;
   tf->codes[3726] = 0x0000d2b2fcbfde73UL;
   tf->codes[3727] = 0x0000d2b45c1a0111UL;
   tf->codes[3728] = 0x0000d2b496a906d6UL;
   tf->codes[3729] = 0x0000d2b5bb7423afUL;
   tf->codes[3730] = 0x0000d2b6a5b03ac3UL;
   tf->codes[3731] = 0x0000d2b6e03f4088UL;
   tf->codes[3732] = 0x0000d2bac3bea29dUL;
   tf->codes[3733] = 0x0000d2bb38dcae27UL;
   tf->codes[3734] = 0x0000d2be321ff928UL;
   tf->codes[3735] = 0x0000d2bee1cd0a77UL;
   tf->codes[3736] = 0x0000d2bfcc09218bUL;
   tf->codes[3737] = 0x0000d2c006982750UL;
   tf->codes[3738] = 0x0000d2c1a0814fb3UL;
   tf->codes[3739] = 0x0000d2c2ffdb7251UL;
   tf->codes[3740] = 0x0000d2c374f97ddbUL;
   tf->codes[3741] = 0x0000d2c3af8883a0UL;
   tf->codes[3742] = 0x0000d2c424a68f2aUL;
   tf->codes[3743] = 0x0000d2c45f3594efUL;
   tf->codes[3744] = 0x0000d2c5f91ebd52UL;
   tf->codes[3745] = 0x0000d2c633adc317UL;
   tf->codes[3746] = 0x0000d2c7cd96eb7aUL;
   tf->codes[3747] = 0x0000d2c842b4f704UL;
   tf->codes[3748] = 0x0000d2c8f2620853UL;
   tf->codes[3749] = 0x0000d2c9dc9e1f67UL;
   tf->codes[3750] = 0x0000d2ca51bc2af1UL;
   tf->codes[3751] = 0x0000d2cb3bf84205UL;
   tf->codes[3752] = 0x0000d2cf1f77a41aUL;
   tf->codes[3753] = 0x0000d2d04442c0f3UL;
   tf->codes[3754] = 0x0000d2d12e7ed807UL;
   tf->codes[3755] = 0x0000d2d218baef1bUL;
   tf->codes[3756] = 0x0000d2d28dd8faa5UL;
   tf->codes[3757] = 0x0000d2d3781511b9UL;
   tf->codes[3758] = 0x0000d2d3b2a4177eUL;
   tf->codes[3759] = 0x0000d2d5871c45a6UL;
   tf->codes[3760] = 0x0000d2d6abe7627fUL;
   tf->codes[3761] = 0x0000d2d6e6766844UL;
   tf->codes[3762] = 0x0000d2d9300ca1f6UL;
   tf->codes[3763] = 0x0000d2d96a9ba7bbUL;
   tf->codes[3764] = 0x0000d2db79a2dba8UL;
   tf->codes[3765] = 0x0000d2dbb431e16dUL;
   tf->codes[3766] = 0x0000d2ddc339155aUL;
   tf->codes[3767] = 0x0000d2dee8043233UL;
   tf->codes[3768] = 0x0000d2df5d223dbdUL;
   tf->codes[3769] = 0x0000d2df97b14382UL;
   tf->codes[3770] = 0x0000d2e0475e54d1UL;
   tf->codes[3771] = 0x0000d2e0bc7c605bUL;
   tf->codes[3772] = 0x0000d2e1319a6be5UL;
   tf->codes[3773] = 0x0000d2e1e1477d34UL;
   tf->codes[3774] = 0x0000d2e42addb6e6UL;
   tf->codes[3775] = 0x0000d2e58a37d984UL;
   tf->codes[3776] = 0x0000d2e6af02f65dUL;
   tf->codes[3777] = 0x0000d2e80e5d18fbUL;
   tf->codes[3778] = 0x0000d2ea1d644ce8UL;
   tf->codes[3779] = 0x0000d2ed51369daeUL;
   tf->codes[3780] = 0x0000d2eeb090c04cUL;
   tf->codes[3781] = 0x0000d2eeeb1fc611UL;
   tf->codes[3782] = 0x0000d2f00feae2eaUL;
   tf->codes[3783] = 0x0000d2f0fa26f9feUL;
   tf->codes[3784] = 0x0000d2f21ef216d7UL;
   tf->codes[3785] = 0x0000d2f294102261UL;
   tf->codes[3786] = 0x0000d2f343bd33b0UL;
   tf->codes[3787] = 0x0000d2f37e4c3975UL;
   tf->codes[3788] = 0x0000d2f42df94ac4UL;
   tf->codes[3789] = 0x0000d2f468885089UL;
   tf->codes[3790] = 0x0000d2f6778f8476UL;
   tf->codes[3791] = 0x0000d2f6b21e8a3bUL;
   tf->codes[3792] = 0x0000d2f7273c95c5UL;
   tf->codes[3793] = 0x0000d2f79c5aa14fUL;
   tf->codes[3794] = 0x0000d2f9e5f0db01UL;
   tf->codes[3795] = 0x0000d2fa5b0ee68bUL;
   tf->codes[3796] = 0x0000d2fc2f8714b3UL;
   tf->codes[3797] = 0x0000d2feb3ac542aUL;
   tf->codes[3798] = 0x0000d2ff63596579UL;
   tf->codes[3799] = 0x0000d2ff9de86b3eUL;
   tf->codes[3800] = 0x0000d30088248252UL;
   tf->codes[3801] = 0x0000d30137d193a1UL;
   tf->codes[3802] = 0x0000d302972bb63fUL;
   tf->codes[3803] = 0x0000d3030c49c1c9UL;
   tf->codes[3804] = 0x0000d303bbf6d318UL;
   tf->codes[3805] = 0x0000d3051b50f5b6UL;
   tf->codes[3806] = 0x0000d306401c128fUL;
   tf->codes[3807] = 0x0000d3067aab1854UL;
   tf->codes[3808] = 0x0000d3079f76352dUL;
   tf->codes[3809] = 0x0000d308149440b7UL;
   tf->codes[3810] = 0x0000d30973ee6355UL;
   tf->codes[3811] = 0x0000d30a5e2a7a69UL;
   tf->codes[3812] = 0x0000d30b82f59742UL;
   tf->codes[3813] = 0x0000d30c32a2a891UL;
   tf->codes[3814] = 0x0000d311b00b3309UL;
   tf->codes[3815] = 0x0000d31225293e93UL;
   tf->codes[3816] = 0x0000d313f9a16cbbUL;
   tf->codes[3817] = 0x0000d31558fb8f59UL;
   tf->codes[3818] = 0x0000d315ce199ae3UL;
   tf->codes[3819] = 0x0000d316f2e4b7bcUL;
   tf->codes[3820] = 0x0000d3176802c346UL;
   tf->codes[3821] = 0x0000d31901ebeba9UL;
   tf->codes[3822] = 0x0000d3197709f733UL;
   tf->codes[3823] = 0x0000d319ec2802bdUL;
   tf->codes[3824] = 0x0000d31a61460e47UL;
   tf->codes[3825] = 0x0000d31ad66419d1UL;
   tf->codes[3826] = 0x0000d31b86112b20UL;
   tf->codes[3827] = 0x0000d31bfb2f36aaUL;
   tf->codes[3828] = 0x0000d31d95185f0dUL;
   tf->codes[3829] = 0x0000d31fa41f92faUL;
   tf->codes[3830] = 0x0000d3217897c122UL;
   tf->codes[3831] = 0x0000d32471db0c23UL;
   tf->codes[3832] = 0x0000d32596a628fcUL;
   tf->codes[3833] = 0x0000d32680e24010UL;
   tf->codes[3834] = 0x0000d326f6004b9aUL;
   tf->codes[3835] = 0x0000d3288fe973fdUL;
   tf->codes[3836] = 0x0000d3297a258b11UL;
   tf->codes[3837] = 0x0000d32a29d29c60UL;
   tf->codes[3838] = 0x0000d32a6461a225UL;
   tf->codes[3839] = 0x0000d32b892cbefeUL;
   tf->codes[3840] = 0x0000d32fa73b26d8UL;
   tf->codes[3841] = 0x0000d33091773decUL;
   tf->codes[3842] = 0x0000d330cc0643b1UL;
   tf->codes[3843] = 0x0000d331b6425ac5UL;
   tf->codes[3844] = 0x0000d333ffd89477UL;
   tf->codes[3845] = 0x0000d334af85a5c6UL;
   tf->codes[3846] = 0x0000d334ea14ab8bUL;
   tf->codes[3847] = 0x0000d3355f32b715UL;
   tf->codes[3848] = 0x0000d336496ece29UL;
   tf->codes[3849] = 0x0000d33683fdd3eeUL;
   tf->codes[3850] = 0x0000d336be8cd9b3UL;
   tf->codes[3851] = 0x0000d336f91bdf78UL;
   tf->codes[3852] = 0x0000d3376e39eb02UL;
   tf->codes[3853] = 0x0000d337e357f68cUL;
   tf->codes[3854] = 0x0000d33858760216UL;
   tf->codes[3855] = 0x0000d3397d411eefUL;
   tf->codes[3856] = 0x0000d33adc9b418dUL;
   tf->codes[3857] = 0x0000d33b51b94d17UL;
   tf->codes[3858] = 0x0000d33ceba2757aUL;
   tf->codes[3859] = 0x0000d33e106d9253UL;
   tf->codes[3860] = 0x0000d33ec01aa3a2UL;
   tf->codes[3861] = 0x0000d33faa56bab6UL;
   tf->codes[3862] = 0x0000d3409492d1caUL;
   tf->codes[3863] = 0x0000d340cf21d78fUL;
   tf->codes[3864] = 0x0000d341b95deea3UL;
   tf->codes[3865] = 0x0000d342de290b7cUL;
   tf->codes[3866] = 0x0000d34402f42855UL;
   tf->codes[3867] = 0x0000d3464c8a6207UL;
   tf->codes[3868] = 0x0000d346fc377356UL;
   tf->codes[3869] = 0x0000d348d0afa17eUL;
   tf->codes[3870] = 0x0000d3490b3ea743UL;
   tf->codes[3871] = 0x0000d34a3009c41cUL;
   tf->codes[3872] = 0x0000d34ec3363780UL;
   tf->codes[3873] = 0x0000d34efdc53d45UL;
   tf->codes[3874] = 0x0000d34f72e348cfUL;
   tf->codes[3875] = 0x0000d34fad724e94UL;
   tf->codes[3876] = 0x0000d34fe8015459UL;
   tf->codes[3877] = 0x0000d3510ccc7132UL;
   tf->codes[3878] = 0x0000d354409ec1f8UL;
   tf->codes[3879] = 0x0000d3547b2dc7bdUL;
   tf->codes[3880] = 0x0000d355da87ea5bUL;
   tf->codes[3881] = 0x0000d3561516f020UL;
   tf->codes[3882] = 0x0000d3564fa5f5e5UL;
   tf->codes[3883] = 0x0000d356ff530734UL;
   tf->codes[3884] = 0x0000d357e98f1e48UL;
   tf->codes[3885] = 0x0000d3585ead29d2UL;
   tf->codes[3886] = 0x0000d35948e940e6UL;
   tf->codes[3887] = 0x0000d359837846abUL;
   tf->codes[3888] = 0x0000d35b57f074d3UL;
   tf->codes[3889] = 0x0000d35ddc15b44aUL;
   tf->codes[3890] = 0x0000d35e16a4ba0fUL;
   tf->codes[3891] = 0x0000d35feb1ce837UL;
   tf->codes[3892] = 0x0000d360603af3c1UL;
   tf->codes[3893] = 0x0000d360d558ff4bUL;
   tf->codes[3894] = 0x0000d3626f4227aeUL;
   tf->codes[3895] = 0x0000d362a9d12d73UL;
   tf->codes[3896] = 0x0000d36443ba55d6UL;
   tf->codes[3897] = 0x0000d365dda37e39UL;
   tf->codes[3898] = 0x0000d366183283feUL;
   tf->codes[3899] = 0x0000d3673cfda0d7UL;
   tf->codes[3900] = 0x0000d36861c8bdb0UL;
   tf->codes[3901] = 0x0000d3689c57c375UL;
   tf->codes[3902] = 0x0000d3691175ceffUL;
   tf->codes[3903] = 0x0000d3694c04d4c4UL;
   tf->codes[3904] = 0x0000d3698693da89UL;
   tf->codes[3905] = 0x0000d369c122e04eUL;
   tf->codes[3906] = 0x0000d36b207d02ecUL;
   tf->codes[3907] = 0x0000d36cba662b4fUL;
   tf->codes[3908] = 0x0000d370d8749329UL;
   tf->codes[3909] = 0x0000d37446d5e9b4UL;
   tf->codes[3910] = 0x0000d376906c2366UL;
   tf->codes[3911] = 0x0000d376cafb292bUL;
   tf->codes[3912] = 0x0000d377058a2ef0UL;
   tf->codes[3913] = 0x0000d377b537403fUL;
   tf->codes[3914] = 0x0000d3782a554bc9UL;
   tf->codes[3915] = 0x0000d378da025d18UL;
   tf->codes[3916] = 0x0000d3794f2068a2UL;
   tf->codes[3917] = 0x0000d379c43e742cUL;
   tf->codes[3918] = 0x0000d37a395c7fb6UL;
   tf->codes[3919] = 0x0000d37ae9099105UL;
   tf->codes[3920] = 0x0000d37bd345a819UL;
   tf->codes[3921] = 0x0000d37e576ae790UL;
   tf->codes[3922] = 0x0000d38066721b7dUL;
   tf->codes[3923] = 0x0000d38150ae3291UL;
   tf->codes[3924] = 0x0000d38275794f6aUL;
   tf->codes[3925] = 0x0000d382b008552fUL;
   tf->codes[3926] = 0x0000d382ea975af4UL;
   tf->codes[3927] = 0x0000d385342d94a6UL;
   tf->codes[3928] = 0x0000d3877dc3ce58UL;
   tf->codes[3929] = 0x0000d387f2e1d9e2UL;
   tf->codes[3930] = 0x0000d38867ffe56cUL;
   tf->codes[3931] = 0x0000d38a3c781394UL;
   tf->codes[3932] = 0x0000d38b6143306dUL;
   tf->codes[3933] = 0x0000d38b9bd23632UL;
   tf->codes[3934] = 0x0000d38cfb2c58d0UL;
   tf->codes[3935] = 0x0000d395ac67340eUL;
   tf->codes[3936] = 0x0000d3970bc156acUL;
   tf->codes[3937] = 0x0000d397f5fd6dc0UL;
   tf->codes[3938] = 0x0000d3995557905eUL;
   tf->codes[3939] = 0x0000d39d7365f838UL;
   tf->codes[3940] = 0x0000d39dadf4fdfdUL;
   tf->codes[3941] = 0x0000d39e23130987UL;
   tf->codes[3942] = 0x0000d3a0321a3d74UL;
   tf->codes[3943] = 0x0000d3a206926b9cUL;
   tf->codes[3944] = 0x0000d3a3a07b93ffUL;
   tf->codes[3945] = 0x0000d3a6d44de4c5UL;
   tf->codes[3946] = 0x0000d3a70edcea8aUL;
   tf->codes[3947] = 0x0000d3a833a80763UL;
   tf->codes[3948] = 0x0000d3a993022a01UL;
   tf->codes[3949] = 0x0000d3ab677a5829UL;
   tf->codes[3950] = 0x0000d3af4af9ba3eUL;
   tf->codes[3951] = 0x0000d3affaa6cb8dUL;
   tf->codes[3952] = 0x0000d3b11f71e866UL;
   tf->codes[3953] = 0x0000d3b2443d053fUL;
   tf->codes[3954] = 0x0000d3b2b95b10c9UL;
   tf->codes[3955] = 0x0000d3b2f3ea168eUL;
   tf->codes[3956] = 0x0000d3b418b53367UL;
   tf->codes[3957] = 0x0000d3b53d805040UL;
   tf->codes[3958] = 0x0000d3b5b29e5bcaUL;
   tf->codes[3959] = 0x0000d3b627bc6754UL;
   tf->codes[3960] = 0x0000d3b711f87e68UL;
   tf->codes[3961] = 0x0000d3b7c1a58fb7UL;
   tf->codes[3962] = 0x0000d3b920ffb255UL;
   tf->codes[3963] = 0x0000d3b9961dbddfUL;
   tf->codes[3964] = 0x0000d3ba0b3bc969UL;
   tf->codes[3965] = 0x0000d3bd3f0e1a2fUL;
   tf->codes[3966] = 0x0000d3c038516530UL;
   tf->codes[3967] = 0x0000d3c15d1c8209UL;
   tf->codes[3968] = 0x0000d3c281e79ee2UL;
   tf->codes[3969] = 0x0000d3c3e141c180UL;
   tf->codes[3970] = 0x0000d3c4565fcd0aUL;
   tf->codes[3971] = 0x0000d3c490eed2cfUL;
   tf->codes[3972] = 0x0000d3c57b2ae9e3UL;
   tf->codes[3973] = 0x0000d3c715141246UL;
   tf->codes[3974] = 0x0000d3c74fa3180bUL;
   tf->codes[3975] = 0x0000d3c9d3c85782UL;
   tf->codes[3976] = 0x0000d3cb6db17fe5UL;
   tf->codes[3977] = 0x0000d3cedc12d670UL;
   tf->codes[3978] = 0x0000d3cf16a1dc35UL;
   tf->codes[3979] = 0x0000d3cf5130e1faUL;
   tf->codes[3980] = 0x0000d3d1603815e7UL;
   tf->codes[3981] = 0x0000d3d2fa213e4aUL;
   tf->codes[3982] = 0x0000d3d4940a66adUL;
   tf->codes[3983] = 0x0000d3d5f364894bUL;
   tf->codes[3984] = 0x0000d3d6688294d5UL;
   tf->codes[3985] = 0x0000d3d752beabe9UL;
   tf->codes[3986] = 0x0000d3d7c7dcb773UL;
   tf->codes[3987] = 0x0000d3dac1200274UL;
   tf->codes[3988] = 0x0000d3dcd0273661UL;
   tf->codes[3989] = 0x0000d3df544c75d8UL;
   tf->codes[3990] = 0x0000d3dfc96a8162UL;
   tf->codes[3991] = 0x0000d3e128c4a400UL;
   tf->codes[3992] = 0x0000d3e16353a9c5UL;
   tf->codes[3993] = 0x0000d3e19de2af8aUL;
   tf->codes[3994] = 0x0000d3e2881ec69eUL;
   tf->codes[3995] = 0x0000d3e58162119fUL;
   tf->codes[3996] = 0x0000d3e6310f22eeUL;
   tf->codes[3997] = 0x0000d3e6e0bc343dUL;
   tf->codes[3998] = 0x0000d3e71b4b3a02UL;
   tf->codes[3999] = 0x0000d3e755da3fc7UL;
   tf->codes[4000] = 0x0000d3e99f707979UL;
   tf->codes[4001] = 0x0000d3eb3959a1dcUL;
   tf->codes[4002] = 0x0000d3ecd342ca3fUL;
   tf->codes[4003] = 0x0000d3ee6d2bf2a2UL;
   tf->codes[4004] = 0x0000d3ef576809b6UL;
   tf->codes[4005] = 0x0000d3f041a420caUL;
   tf->codes[4006] = 0x0000d3f12be037deUL;
   tf->codes[4007] = 0x0000d3f1666f3da3UL;
   tf->codes[4008] = 0x0000d3f250ab54b7UL;
   tf->codes[4009] = 0x0000d3f375767190UL;
   tf->codes[4010] = 0x0000d3f3b0057755UL;
   tf->codes[4011] = 0x0000d3f49a418e69UL;
   tf->codes[4012] = 0x0000d3f92d6e01cdUL;
   tf->codes[4013] = 0x0000d3f9dd1b131cUL;
   tf->codes[4014] = 0x0000d3fa17aa18e1UL;
   tf->codes[4015] = 0x0000d3fbec224709UL;
   tf->codes[4016] = 0x0000d3fc9bcf5858UL;
   tf->codes[4017] = 0x0000d3fe35b880bbUL;
   tf->codes[4018] = 0x0000d4012efbcbbcUL;
   tf->codes[4019] = 0x0000d401a419d746UL;
   tf->codes[4020] = 0x0000d403b3210b33UL;
   tf->codes[4021] = 0x0000d403edb010f8UL;
   tf->codes[4022] = 0x0000d4054d0a3396UL;
   tf->codes[4023] = 0x0000d405c2283f20UL;
   tf->codes[4024] = 0x0000d4080bbe78d2UL;
   tf->codes[4025] = 0x0000d40880dc845cUL;
   tf->codes[4026] = 0x0000d409e036a6faUL;
   tf->codes[4027] = 0x0000d40a5554b284UL;
   tf->codes[4028] = 0x0000d40a8fe3b849UL;
   tf->codes[4029] = 0x0000d40b7a1fcf5dUL;
   tf->codes[4030] = 0x0000d40bb4aed522UL;
   tf->codes[4031] = 0x0000d40bef3ddae7UL;
   tf->codes[4032] = 0x0000d40d4e97fd85UL;
   tf->codes[4033] = 0x0000d41291718238UL;
   tf->codes[4034] = 0x0000d412cc0087fdUL;
   tf->codes[4035] = 0x0000d413b63c9f11UL;
   tf->codes[4036] = 0x0000d415c543d2feUL;
   tf->codes[4037] = 0x0000d416af7fea12UL;
   tf->codes[4038] = 0x0000d4175f2cfb61UL;
   tf->codes[4039] = 0x0000d41799bc0126UL;
   tf->codes[4040] = 0x0000d41849691275UL;
   tf->codes[4041] = 0x0000d41883f8183aUL;
   tf->codes[4042] = 0x0000d418f91623c4UL;
   tf->codes[4043] = 0x0000d41933a52989UL;
   tf->codes[4044] = 0x0000d4196e342f4eUL;
   tf->codes[4045] = 0x0000d41a58704662UL;
   tf->codes[4046] = 0x0000d41acd8e51ecUL;
   tf->codes[4047] = 0x0000d41b081d57b1UL;
   tf->codes[4048] = 0x0000d41b7d3b633bUL;
   tf->codes[4049] = 0x0000d41ca2068014UL;
   tf->codes[4050] = 0x0000d41d51b39163UL;
   tf->codes[4051] = 0x0000d41e767eae3cUL;
   tf->codes[4052] = 0x0000d41eeb9cb9c6UL;
   tf->codes[4053] = 0x0000d41f262bbf8bUL;
   tf->codes[4054] = 0x0000d41f60bac550UL;
   tf->codes[4055] = 0x0000d4201067d69fUL;
   tf->codes[4056] = 0x0000d4216fc1f93dUL;
   tf->codes[4057] = 0x0000d4221f6f0a8cUL;
   tf->codes[4058] = 0x0000d42259fe1051UL;
   tf->codes[4059] = 0x0000d423443a2765UL;
   tf->codes[4060] = 0x0000d4246905443eUL;
   tf->codes[4061] = 0x0000d424de234fc8UL;
   tf->codes[4062] = 0x0000d4263d7d7266UL;
   tf->codes[4063] = 0x0000d426780c782bUL;
   tf->codes[4064] = 0x0000d42ad0a9e5caUL;
   tf->codes[4065] = 0x0000d42bf57502a3UL;
   tf->codes[4066] = 0x0000d42dc9ed30cbUL;
   tf->codes[4067] = 0x0000d42e3f0b3c55UL;
   tf->codes[4068] = 0x0000d42eeeb84da4UL;
   tf->codes[4069] = 0x0000d431ad6c92e0UL;
   tf->codes[4070] = 0x0000d43297a8a9f4UL;
   tf->codes[4071] = 0x0000d432d237afb9UL;
   tf->codes[4072] = 0x0000d433bc73c6cdUL;
   tf->codes[4073] = 0x0000d4346c20d81cUL;
   tf->codes[4074] = 0x0000d435cb7afabaUL;
   tf->codes[4075] = 0x0000d436b5b711ceUL;
   tf->codes[4076] = 0x0000d4372ad51d58UL;
   tf->codes[4077] = 0x0000d4381511346cUL;
   tf->codes[4078] = 0x0000d438ff4d4b80UL;
   tf->codes[4079] = 0x0000d439e9896294UL;
   tf->codes[4080] = 0x0000d43b83728af7UL;
   tf->codes[4081] = 0x0000d43bbe0190bcUL;
   tf->codes[4082] = 0x0000d43e4226d033UL;
   tf->codes[4083] = 0x0000d43e7cb5d5f8UL;
   tf->codes[4084] = 0x0000d4413b6a1b34UL;
   tf->codes[4085] = 0x0000d4426035380dUL;
   tf->codes[4086] = 0x0000d442d5534397UL;
   tf->codes[4087] = 0x0000d4451ee97d49UL;
   tf->codes[4088] = 0x0000d445940788d3UL;
   tf->codes[4089] = 0x0000d44643b49a22UL;
   tf->codes[4090] = 0x0000d446b8d2a5acUL;
   tf->codes[4091] = 0x0000d447dd9dc285UL;
   tf->codes[4092] = 0x0000d448182cc84aUL;
   tf->codes[4093] = 0x0000d449b215f0adUL;
   tf->codes[4094] = 0x0000d44b1170134bUL;
   tf->codes[4095] = 0x0000d450c967a388UL;
   tf->codes[4096] = 0x0000d4517914b4d7UL;
   tf->codes[4097] = 0x0000d451ee32c061UL;
   tf->codes[4098] = 0x0000d45228c1c626UL;
   tf->codes[4099] = 0x0000d452d86ed775UL;
   tf->codes[4100] = 0x0000d4534d8ce2ffUL;
   tf->codes[4101] = 0x0000d453fd39f44eUL;
   tf->codes[4102] = 0x0000d456815f33c5UL;
   tf->codes[4103] = 0x0000d456bbee398aUL;
   tf->codes[4104] = 0x0000d459b531848bUL;
   tf->codes[4105] = 0x0000d459efc08a50UL;
   tf->codes[4106] = 0x0000d45a9f6d9b9fUL;
   tf->codes[4107] = 0x0000d45b148ba729UL;
   tf->codes[4108] = 0x0000d45bfec7be3dUL;
   tf->codes[4109] = 0x0000d45c3956c402UL;
   tf->codes[4110] = 0x0000d45c73e5c9c7UL;
   tf->codes[4111] = 0x0000d45d2392db16UL;
   tf->codes[4112] = 0x0000d45e82ecfdb4UL;
   tf->codes[4113] = 0x0000d45ef80b093eUL;
   tf->codes[4114] = 0x0000d46091f431a1UL;
   tf->codes[4115] = 0x0000d4622bdd5a04UL;
   tf->codes[4116] = 0x0000d462db8a6b53UL;
   tf->codes[4117] = 0x0000d4638b377ca2UL;
   tf->codes[4118] = 0x0000d4643ae48df1UL;
   tf->codes[4119] = 0x0000d4655fafaacaUL;
   tf->codes[4120] = 0x0000d4659a3eb08fUL;
   tf->codes[4121] = 0x0000d4676eb6deb7UL;
   tf->codes[4122] = 0x0000d467e3d4ea41UL;
   tf->codes[4123] = 0x0000d4689381fb90UL;
   tf->codes[4124] = 0x0000d46908a0071aUL;
   tf->codes[4125] = 0x0000d46a2d6b23f3UL;
   tf->codes[4126] = 0x0000d46d9bcc7a7eUL;
   tf->codes[4127] = 0x0000d46fe562b430UL;
   tf->codes[4128] = 0x0000d4705a80bfbaUL;
   tf->codes[4129] = 0x0000d47144bcd6ceUL;
   tf->codes[4130] = 0x0000d471b9dae258UL;
   tf->codes[4131] = 0x0000d4726987f3a7UL;
   tf->codes[4132] = 0x0000d474edad331eUL;
   tf->codes[4133] = 0x0000d475283c38e3UL;
   tf->codes[4134] = 0x0000d477ac61785aUL;
   tf->codes[4135] = 0x0000d478969d8f6eUL;
   tf->codes[4136] = 0x0000d479464aa0bdUL;
   tf->codes[4137] = 0x0000d47980d9a682UL;
   tf->codes[4138] = 0x0000d479bb68ac47UL;
   tf->codes[4139] = 0x0000d479f5f7b20cUL;
   tf->codes[4140] = 0x0000d47aa5a4c35bUL;
   tf->codes[4141] = 0x0000d47c04fee5f9UL;
   tf->codes[4142] = 0x0000d47dd9771421UL;
   tf->codes[4143] = 0x0000d47ec3b32b35UL;
   tf->codes[4144] = 0x0000d47f73603c84UL;
   tf->codes[4145] = 0x0000d4805d9c5398UL;
   tf->codes[4146] = 0x0000d4826ca38785UL;
   tf->codes[4147] = 0x0000d4831c5098d4UL;
   tf->codes[4148] = 0x0000d484411bb5adUL;
   tf->codes[4149] = 0x0000d4847baabb72UL;
   tf->codes[4150] = 0x0000d48565e6d286UL;
   tf->codes[4151] = 0x0000d4865022e99aUL;
   tf->codes[4152] = 0x0000d487ea0c11fdUL;
   tf->codes[4153] = 0x0000d48899b9234cUL;
   tf->codes[4154] = 0x0000d489be844025UL;
   tf->codes[4155] = 0x0000d48a33a24bafUL;
   tf->codes[4156] = 0x0000d48b1dde62c3UL;
   tf->codes[4157] = 0x0000d48b92fc6e4dUL;
   tf->codes[4158] = 0x0000d48d67749c75UL;
   tf->codes[4159] = 0x0000d48f767bd062UL;
   tf->codes[4160] = 0x0000d4918583044fUL;
   tf->codes[4161] = 0x0000d491c0120a14UL;
   tf->codes[4162] = 0x0000d492aa4e2128UL;
   tf->codes[4163] = 0x0000d494b9555515UL;
   tf->codes[4164] = 0x0000d494f3e45adaUL;
   tf->codes[4165] = 0x0000d4952e73609fUL;
   tf->codes[4166] = 0x0000d495de2071eeUL;
   tf->codes[4167] = 0x0000d49827b6aba0UL;
   tf->codes[4168] = 0x0000d498d763bcefUL;
   tf->codes[4169] = 0x0000d4998710ce3eUL;
   tf->codes[4170] = 0x0000d499c19fd403UL;
   tf->codes[4171] = 0x0000d499fc2ed9c8UL;
   tf->codes[4172] = 0x0000d49ae66af0dcUL;
   tf->codes[4173] = 0x0000d49cbae31f04UL;
   tf->codes[4174] = 0x0000d49f3f085e7bUL;
   tf->codes[4175] = 0x0000d49fb4266a05UL;
   tf->codes[4176] = 0x0000d4a09e628119UL;
   tf->codes[4177] = 0x0000d4a3d234d1dfUL;
   tf->codes[4178] = 0x0000d4a5318ef47dUL;
   tf->codes[4179] = 0x0000d4a5e13c05ccUL;
   tf->codes[4180] = 0x0000d4a7060722a5UL;
   tf->codes[4181] = 0x0000d4a74096286aUL;
   tf->codes[4182] = 0x0000d4ab5ea49044UL;
   tf->codes[4183] = 0x0000d4ab99339609UL;
   tf->codes[4184] = 0x0000d4ada83ac9f6UL;
   tf->codes[4185] = 0x0000d4ae1d58d580UL;
   tf->codes[4186] = 0x0000d4afb741fde3UL;
   tf->codes[4187] = 0x0000d4b02c60096dUL;
   tf->codes[4188] = 0x0000d4b1169c2081UL;
   tf->codes[4189] = 0x0000d4b44a6e7147UL;
   tf->codes[4190] = 0x0000d4b484fd770cUL;
   tf->codes[4191] = 0x0000d4b4fa1b8296UL;
   tf->codes[4192] = 0x0000d4b743b1bc48UL;
   tf->codes[4193] = 0x0000d4b7f35ecd97UL;
   tf->codes[4194] = 0x0000d4b82dedd35cUL;
   tf->codes[4195] = 0x0000d4b8687cd921UL;
   tf->codes[4196] = 0x0000d4ba3cf50749UL;
   tf->codes[4197] = 0x0000d4ba77840d0eUL;
   tf->codes[4198] = 0x0000d4bb27311e5dUL;
   tf->codes[4199] = 0x0000d4bc116d3571UL;
   tf->codes[4200] = 0x0000d4bde5e56399UL;
   tf->codes[4201] = 0x0000d4bed0217aadUL;
   tf->codes[4202] = 0x0000d4bf0ab08072UL;
   tf->codes[4203] = 0x0000d4bfba5d91c1UL;
   tf->codes[4204] = 0x0000d4c203f3cb73UL;
   tf->codes[4205] = 0x0000d4c4fd371674UL;
   tf->codes[4206] = 0x0000d4c537c61c39UL;
   tf->codes[4207] = 0x0000d4c5725521feUL;
   tf->codes[4208] = 0x0000d4c65c913912UL;
   tf->codes[4209] = 0x0000d4c697203ed7UL;
   tf->codes[4210] = 0x0000d4c7815c55ebUL;
   tf->codes[4211] = 0x0000d4c955d48413UL;
   tf->codes[4212] = 0x0000d4ca7a9fa0ecUL;
   tf->codes[4213] = 0x0000d4cb64dbb800UL;
   tf->codes[4214] = 0x0000d4d032973129UL;
   tf->codes[4215] = 0x0000d4d0a7b53cb3UL;
   tf->codes[4216] = 0x0000d4d2070f5f51UL;
   tf->codes[4217] = 0x0000d4d48b349ec8UL;
   tf->codes[4218] = 0x0000d4d6251dc72bUL;
   tf->codes[4219] = 0x0000d4d749e8e404UL;
   tf->codes[4220] = 0x0000d4d78477e9c9UL;
   tf->codes[4221] = 0x0000d4d83424fb18UL;
   tf->codes[4222] = 0x0000d4d91e61122cUL;
   tf->codes[4223] = 0x0000d4d958f017f1UL;
   tf->codes[4224] = 0x0000d4d9937f1db6UL;
   tf->codes[4225] = 0x0000d4da089d2940UL;
   tf->codes[4226] = 0x0000d4dba28651a3UL;
   tf->codes[4227] = 0x0000d4dbdd155768UL;
   tf->codes[4228] = 0x0000d4df8605b3b8UL;
   tf->codes[4229] = 0x0000d4e035b2c507UL;
   tf->codes[4230] = 0x0000d4e20a2af32fUL;
   tf->codes[4231] = 0x0000d4e244b9f8f4UL;
   tf->codes[4232] = 0x0000d4e27f48feb9UL;
   tf->codes[4233] = 0x0000d4e3698515cdUL;
   tf->codes[4234] = 0x0000d4e5b31b4f7fUL;
   tf->codes[4235] = 0x0000d4e71275721dUL;
   tf->codes[4236] = 0x0000d4e7c222836cUL;
   tf->codes[4237] = 0x0000d4eabb65ce6dUL;
   tf->codes[4238] = 0x0000d4eb3083d9f7UL;
   tf->codes[4239] = 0x0000d4ebe030eb46UL;
   tf->codes[4240] = 0x0000d4edb4a9196eUL;
   tf->codes[4241] = 0x0000d4ee9ee53082UL;
   tf->codes[4242] = 0x0000d4f0e87b6a34UL;
   tf->codes[4243] = 0x0000d4f198287b83UL;
   tf->codes[4244] = 0x0000d4f282649297UL;
   tf->codes[4245] = 0x0000d4f57ba7dd98UL;
   tf->codes[4246] = 0x0000d4f7159105fbUL;
   tf->codes[4247] = 0x0000d4f83a5c22d4UL;
   tf->codes[4248] = 0x0000d4f874eb2899UL;
   tf->codes[4249] = 0x0000d4f8ea093423UL;
   tf->codes[4250] = 0x0000d4f999b64572UL;
   tf->codes[4251] = 0x0000d4fa496356c1UL;
   tf->codes[4252] = 0x0000d4fa83f25c86UL;
   tf->codes[4253] = 0x0000d4fabe81624bUL;
   tf->codes[4254] = 0x0000d4fb6e2e739aUL;
   tf->codes[4255] = 0x0000d4fc586a8aaeUL;
   tf->codes[4256] = 0x0000d4fd08179bfdUL;
   tf->codes[4257] = 0x0000d4fdf253b311UL;
   tf->codes[4258] = 0x0000d5007678f288UL;
   tf->codes[4259] = 0x0000d5019b440f61UL;
   tf->codes[4260] = 0x0000d503352d37c4UL;
   tf->codes[4261] = 0x0000d50544346bb1UL;
   tf->codes[4262] = 0x0000d50718ac99d9UL;
   tf->codes[4263] = 0x0000d507533b9f9eUL;
   tf->codes[4264] = 0x0000d5083d77b6b2UL;
   tf->codes[4265] = 0x0000d50927b3cdc6UL;
   tf->codes[4266] = 0x0000d509d760df15UL;
   tf->codes[4267] = 0x0000d50ac19cf629UL;
   tf->codes[4268] = 0x0000d50b36bb01b3UL;
   tf->codes[4269] = 0x0000d50c5b861e8cUL;
   tf->codes[4270] = 0x0000d50c96152451UL;
   tf->codes[4271] = 0x0000d50f8f586f52UL;
   tf->codes[4272] = 0x0000d50fc9e77517UL;
   tf->codes[4273] = 0x0000d512137daec9UL;
   tf->codes[4274] = 0x0000d5124e0cb48eUL;
   tf->codes[4275] = 0x0000d512c32ac018UL;
   tf->codes[4276] = 0x0000d513ad66d72cUL;
   tf->codes[4277] = 0x0000d514d231f405UL;
   tf->codes[4278] = 0x0000d5166c1b1c68UL;
   tf->codes[4279] = 0x0000d516e13927f2UL;
   tf->codes[4280] = 0x0000d519655e6769UL;
   tf->codes[4281] = 0x0000d519da7c72f3UL;
   tf->codes[4282] = 0x0000d51a150b78b8UL;
   tf->codes[4283] = 0x0000d51ac4b88a07UL;
   tf->codes[4284] = 0x0000d51c9930b82fUL;
   tf->codes[4285] = 0x0000d51cd3bfbdf4UL;
   tf->codes[4286] = 0x0000d51dbdfbd508UL;
   tf->codes[4287] = 0x0000d51e6da8e657UL;
   tf->codes[4288] = 0x0000d51fcd0308f5UL;
   tf->codes[4289] = 0x0000d5207cb01a44UL;
   tf->codes[4290] = 0x0000d523eb1170cfUL;
   tf->codes[4291] = 0x0000d5266f36b046UL;
   tf->codes[4292] = 0x0000d526a9c5b60bUL;
   tf->codes[4293] = 0x0000d526e454bbd0UL;
   tf->codes[4294] = 0x0000d5271ee3c195UL;
   tf->codes[4295] = 0x0000d529a309010cUL;
   tf->codes[4296] = 0x0000d529dd9806d1UL;
   tf->codes[4297] = 0x0000d52b026323aaUL;
   tf->codes[4298] = 0x0000d52d86886321UL;
   tf->codes[4299] = 0x0000d5300aada298UL;
   tf->codes[4300] = 0x0000d5312f78bf71UL;
   tf->codes[4301] = 0x0000d532c961e7d4UL;
   tf->codes[4302] = 0x0000d5333e7ff35eUL;
   tf->codes[4303] = 0x0000d535fd34389aUL;
   tf->codes[4304] = 0x0000d53721ff5573UL;
   tf->codes[4305] = 0x0000d53881597811UL;
   tf->codes[4306] = 0x0000d53eae6f13d8UL;
   tf->codes[4307] = 0x0000d53f98ab2aecUL;
   tf->codes[4308] = 0x0000d53fd33a30b1UL;
   tf->codes[4309] = 0x0000d5413294534fUL;
   tf->codes[4310] = 0x0000d541e241649eUL;
   tf->codes[4311] = 0x0000d543f148988bUL;
   tf->codes[4312] = 0x0000d5458b31c0eeUL;
   tf->codes[4313] = 0x0000d545c5c0c6b3UL;
   tf->codes[4314] = 0x0000d5463aded23dUL;
   tf->codes[4315] = 0x0000d546ea8be38cUL;
   tf->codes[4316] = 0x0000d5496eb12303UL;
   tf->codes[4317] = 0x0000d549a94028c8UL;
   tf->codes[4318] = 0x0000d54a58ed3a17UL;
   tf->codes[4319] = 0x0000d54b4329512bUL;
   tf->codes[4320] = 0x0000d55010e4ca54UL;
   tf->codes[4321] = 0x0000d551e55cf87cUL;
   tf->codes[4322] = 0x0000d552cf990f90UL;
   tf->codes[4323] = 0x0000d5530a281555UL;
   tf->codes[4324] = 0x0000d553f4642c69UL;
   tf->codes[4325] = 0x0000d556036b6056UL;
   tf->codes[4326] = 0x0000d556b31871a5UL;
   tf->codes[4327] = 0x0000d5584d019a08UL;
   tf->codes[4328] = 0x0000d559ac5bbca6UL;
   tf->codes[4329] = 0x0000d55b0bb5df44UL;
   tf->codes[4330] = 0x0000d55ca59f07a7UL;
   tf->codes[4331] = 0x0000d55e7a1735cfUL;
   tf->codes[4332] = 0x0000d560fe3c7546UL;
   tf->codes[4333] = 0x0000d564e1bbd75bUL;
   tf->codes[4334] = 0x0000d5664115f9f9UL;
   tf->codes[4335] = 0x0000d568158e2821UL;
   tf->codes[4336] = 0x0000d56974e84abfUL;
   tf->codes[4337] = 0x0000d569af775084UL;
   tf->codes[4338] = 0x0000d56e7d32c9adUL;
   tf->codes[4339] = 0x0000d57260b22bc2UL;
   tf->codes[4340] = 0x0000d5734aee42d6UL;
   tf->codes[4341] = 0x0000d573c00c4e60UL;
   tf->codes[4342] = 0x0000d574aa486574UL;
   tf->codes[4343] = 0x0000d574e4d76b39UL;
   tf->codes[4344] = 0x0000d576b94f9961UL;
   tf->codes[4345] = 0x0000d57768fcaab0UL;
   tf->codes[4346] = 0x0000d57902e5d313UL;
   tf->codes[4347] = 0x0000d57a27b0efecUL;
   tf->codes[4348] = 0x0000d57a623ff5b1UL;
   tf->codes[4349] = 0x0000d57bc19a184fUL;
   tf->codes[4350] = 0x0000d57bfc291e14UL;
   tf->codes[4351] = 0x0000d57d96124677UL;
   tf->codes[4352] = 0x0000d5801a3785eeUL;
   tf->codes[4353] = 0x0000d5808f559178UL;
   tf->codes[4354] = 0x0000d580c9e4973dUL;
   tf->codes[4355] = 0x0000d5813f02a2c7UL;
   tf->codes[4356] = 0x0000d581eeafb416UL;
   tf->codes[4357] = 0x0000d5834e09d6b4UL;
   tf->codes[4358] = 0x0000d5838898dc79UL;
   tf->codes[4359] = 0x0000d583fdb6e803UL;
   tf->codes[4360] = 0x0000d584ad63f952UL;
   tf->codes[4361] = 0x0000d585d22f162bUL;
   tf->codes[4362] = 0x0000d586f6fa3304UL;
   tf->codes[4363] = 0x0000d58a9fea8f54UL;
   tf->codes[4364] = 0x0000d58ada799519UL;
   tf->codes[4365] = 0x0000d58bff44b1f2UL;
   tf->codes[4366] = 0x0000d58caef1c341UL;
   tf->codes[4367] = 0x0000d58d992dda55UL;
   tf->codes[4368] = 0x0000d58dd3bce01aUL;
   tf->codes[4369] = 0x0000d58e0e4be5dfUL;
   tf->codes[4370] = 0x0000d59092712556UL;
   tf->codes[4371] = 0x0000d590cd002b1bUL;
   tf->codes[4372] = 0x0000d591421e36a5UL;
   tf->codes[4373] = 0x0000d591b73c422fUL;
   tf->codes[4374] = 0x0000d591f1cb47f4UL;
   tf->codes[4375] = 0x0000d5922c5a4db9UL;
   tf->codes[4376] = 0x0000d59351256a92UL;
   tf->codes[4377] = 0x0000d5938bb47057UL;
   tf->codes[4378] = 0x0000d595259d98baUL;
   tf->codes[4379] = 0x0000d5976f33d26cUL;
   tf->codes[4380] = 0x0000d5981ee0e3bbUL;
   tf->codes[4381] = 0x0000d59943ac0094UL;
   tf->codes[4382] = 0x0000d5997e3b0659UL;
   tf->codes[4383] = 0x0000d59b8d423a46UL;
   tf->codes[4384] = 0x0000d59c777e515aUL;
   tf->codes[4385] = 0x0000d59f36329696UL;
   tf->codes[4386] = 0x0000d59fab50a220UL;
   tf->codes[4387] = 0x0000d5a10aaac4beUL;
   tf->codes[4388] = 0x0000d5a14539ca83UL;
   tf->codes[4389] = 0x0000d5a22f75e197UL;
   tf->codes[4390] = 0x0000d5a35440fe70UL;
   tf->codes[4391] = 0x0000d5a38ed00435UL;
   tf->codes[4392] = 0x0000d5a403ee0fbfUL;
   tf->codes[4393] = 0x0000d5a5d8663de7UL;
   tf->codes[4394] = 0x0000d5a64d844971UL;
   tf->codes[4395] = 0x0000d5aaa621b710UL;
   tf->codes[4396] = 0x0000d5aae0b0bcd5UL;
   tf->codes[4397] = 0x0000d5ab1b3fc29aUL;
   tf->codes[4398] = 0x0000d5ac057bd9aeUL;
   tf->codes[4399] = 0x0000d5af394e2a74UL;
   tf->codes[4400] = 0x0000d5af73dd3039UL;
   tf->codes[4401] = 0x0000d5afe8fb3bc3UL;
   tf->codes[4402] = 0x0000d5b391eb9813UL;
   tf->codes[4403] = 0x0000d5b4b6b6b4ecUL;
   tf->codes[4404] = 0x0000d5b4f145bab1UL;
   tf->codes[4405] = 0x0000d5baa93d4aeeUL;
   tf->codes[4406] = 0x0000d5be179ea179UL;
   tf->codes[4407] = 0x0000d5c026a5d566UL;
   tf->codes[4408] = 0x0000d5c14b70f23fUL;
   tf->codes[4409] = 0x0000d5c31fe92067UL;
   tf->codes[4410] = 0x0000d5c40a25377bUL;
   tf->codes[4411] = 0x0000d5c47f434305UL;
   tf->codes[4412] = 0x0000d5c5697f5a19UL;
   tf->codes[4413] = 0x0000d5c6192c6b68UL;
   tf->codes[4414] = 0x0000d5c778868e06UL;
   tf->codes[4415] = 0x0000d5c89d51aadfUL;
   tf->codes[4416] = 0x0000d5c9fcabcd7dUL;
   tf->codes[4417] = 0x0000d5caac58deccUL;
   tf->codes[4418] = 0x0000d5cb5c05f01bUL;
   tf->codes[4419] = 0x0000d5cb9694f5e0UL;
   tf->codes[4420] = 0x0000d5cf3f855230UL;
   tf->codes[4421] = 0x0000d5d1891b8be2UL;
   tf->codes[4422] = 0x0000d5d1c3aa91a7UL;
   tf->codes[4423] = 0x0000d5d5320be832UL;
   tf->codes[4424] = 0x0000d5d61c47ff46UL;
   tf->codes[4425] = 0x0000d5d7b63127a9UL;
   tf->codes[4426] = 0x0000d5d82b4f3333UL;
   tf->codes[4427] = 0x0000d5d8a06d3ebdUL;
   tf->codes[4428] = 0x0000d5daaf7472aaUL;
   tf->codes[4429] = 0x0000d5de92f3d4bfUL;
   tf->codes[4430] = 0x0000d5e0a1fb08acUL;
   tf->codes[4431] = 0x0000d5e151a819fbUL;
   tf->codes[4432] = 0x0000d5e201552b4aUL;
   tf->codes[4433] = 0x0000d5e23be4310fUL;
   tf->codes[4434] = 0x0000d5e694819eaeUL;
   tf->codes[4435] = 0x0000d5e6cf10a473UL;
   tf->codes[4436] = 0x0000d5eb623d17d7UL;
   tf->codes[4437] = 0x0000d5ebd75b2361UL;
   tf->codes[4438] = 0x0000d5f02ff89100UL;
   tf->codes[4439] = 0x0000d5f18f52b39eUL;
   tf->codes[4440] = 0x0000d5f1c9e1b963UL;
   tf->codes[4441] = 0x0000d5f20470bf28UL;
   tf->codes[4442] = 0x0000d5f44e06f8daUL;
   tf->codes[4443] = 0x0000d5f4fdb40a29UL;
   tf->codes[4444] = 0x0000d5f6d22c3851UL;
   tf->codes[4445] = 0x0000d5f7bc684f65UL;
   tf->codes[4446] = 0x0000d5f86c1560b4UL;
   tf->codes[4447] = 0x0000d5fa408d8edcUL;
   tf->codes[4448] = 0x0000d5faf03aa02bUL;
   tf->codes[4449] = 0x0000d5fb6558abb5UL;
   tf->codes[4450] = 0x0000d5fd39d0d9ddUL;
   tf->codes[4451] = 0x0000d5fdaeeee567UL;
   tf->codes[4452] = 0x0000d5fe240cf0f1UL;
   tf->codes[4453] = 0x0000d5fe992afc7bUL;
   tf->codes[4454] = 0x0000d5fed3ba0240UL;
   tf->codes[4455] = 0x0000d6006da32aa3UL;
   tf->codes[4456] = 0x0000d602421b58cbUL;
   tf->codes[4457] = 0x0000d602f1c86a1aUL;
   tf->codes[4458] = 0x0000d604169386f3UL;
   tf->codes[4459] = 0x0000d6053b5ea3ccUL;
   tf->codes[4460] = 0x0000d605b07caf56UL;
   tf->codes[4461] = 0x0000d605eb0bb51bUL;
   tf->codes[4462] = 0x0000d6069ab8c66aUL;
   tf->codes[4463] = 0x0000d6070fd6d1f4UL;
   tf->codes[4464] = 0x0000d609596d0ba6UL;
   tf->codes[4465] = 0x0000d60e272884cfUL;
   tf->codes[4466] = 0x0000d60e61b78a94UL;
   tf->codes[4467] = 0x0000d610362fb8bcUL;
   tf->codes[4468] = 0x0000d6115afad595UL;
   tf->codes[4469] = 0x0000d611d018e11fUL;
   tf->codes[4470] = 0x0000d6127fc5f26eUL;
   tf->codes[4471] = 0x0000d613df20150cUL;
   tf->codes[4472] = 0x0000d614543e2096UL;
   tf->codes[4473] = 0x0000d61503eb31e5UL;
   tf->codes[4474] = 0x0000d6153e7a37aaUL;
   tf->codes[4475] = 0x0000d61663455483UL;
   tf->codes[4476] = 0x0000d616d863600dUL;
   tf->codes[4477] = 0x0000d617fd2e7ce6UL;
   tf->codes[4478] = 0x0000d619d1a6ab0eUL;
   tf->codes[4479] = 0x0000d61abbe2c222UL;
   tf->codes[4480] = 0x0000d61af671c7e7UL;
   tf->codes[4481] = 0x0000d61b6b8fd371UL;
   tf->codes[4482] = 0x0000d61be0addefbUL;
   tf->codes[4483] = 0x0000d61c905af04aUL;
   tf->codes[4484] = 0x0000d61e2a4418adUL;
   tf->codes[4485] = 0x0000d61e9f622437UL;
   tf->codes[4486] = 0x0000d61f14802fc1UL;
   tf->codes[4487] = 0x0000d61fc42d4110UL;
   tf->codes[4488] = 0x0000d620ae695824UL;
   tf->codes[4489] = 0x0000d6215e166973UL;
   tf->codes[4490] = 0x0000d623328e979bUL;
   tf->codes[4491] = 0x0000d62491e8ba39UL;
   tf->codes[4492] = 0x0000d624cc77bffeUL;
   tf->codes[4493] = 0x0000d6250706c5c3UL;
   tf->codes[4494] = 0x0000d6254195cb88UL;
   tf->codes[4495] = 0x0000d6262bd1e29cUL;
   tf->codes[4496] = 0x0000d628aff72213UL;
   tf->codes[4497] = 0x0000d62a0f5144b1UL;
   tf->codes[4498] = 0x0000d62abefe5600UL;
   tf->codes[4499] = 0x0000d62db841a101UL;
   tf->codes[4500] = 0x0000d630ec13f1c7UL;
   tf->codes[4501] = 0x0000d63126a2f78cUL;
   tf->codes[4502] = 0x0000d6316131fd51UL;
   tf->codes[4503] = 0x0000d634cf9353dcUL;
   tf->codes[4504] = 0x0000d6350a2259a1UL;
   tf->codes[4505] = 0x0000d6399d4ecd05UL;
   tf->codes[4506] = 0x0000d639d7ddd2caUL;
   tf->codes[4507] = 0x0000d63bac5600f2UL;
   tf->codes[4508] = 0x0000d63c96921806UL;
   tf->codes[4509] = 0x0000d63d0bb02390UL;
   tf->codes[4510] = 0x0000d63df5ec3aa4UL;
   tf->codes[4511] = 0x0000d63f1ab7577dUL;
   tf->codes[4512] = 0x0000d640ef2f85a5UL;
   tf->codes[4513] = 0x0000d64213faa27eUL;
   tf->codes[4514] = 0x0000d6428918ae08UL;
   tf->codes[4515] = 0x0000d644d2aee7baUL;
   tf->codes[4516] = 0x0000d645bceafeceUL;
   tf->codes[4517] = 0x0000d64632090a58UL;
   tf->codes[4518] = 0x0000d648b62e49cfUL;
   tf->codes[4519] = 0x0000d64a8aa677f7UL;
   tf->codes[4520] = 0x0000d64c248fa05aUL;
   tf->codes[4521] = 0x0000d64d83e9c2f8UL;
   tf->codes[4522] = 0x0000d64f92f0f6e5UL;
   tf->codes[4523] = 0x0000d650080f026fUL;
   tf->codes[4524] = 0x0000d6516769250dUL;
   tf->codes[4525] = 0x0000d651a1f82ad2UL;
   tf->codes[4526] = 0x0000d6521716365cUL;
   tf->codes[4527] = 0x0000d6528c3441e6UL;
   tf->codes[4528] = 0x0000d65635249e36UL;
   tf->codes[4529] = 0x0000d658442bd223UL;
   tf->codes[4530] = 0x0000d6587ebad7e8UL;
   tf->codes[4531] = 0x0000d658f3d8e372UL;
   tf->codes[4532] = 0x0000d65c623a39fdUL;
   tf->codes[4533] = 0x0000d6612ff5b326UL;
   tf->codes[4534] = 0x0000d662c9dedb89UL;
   tf->codes[4535] = 0x0000d663b41af29dUL;
   tf->codes[4536] = 0x0000d666ad5e3d9eUL;
   tf->codes[4537] = 0x0000d66bf037c251UL;
   tf->codes[4538] = 0x0000d66e745d01c8UL;
   tf->codes[4539] = 0x0000d66f5e9918dcUL;
   tf->codes[4540] = 0x0000d671e2be5853UL;
   tf->codes[4541] = 0x0000d6737ca780b6UL;
   tf->codes[4542] = 0x0000d6742c549205UL;
   tf->codes[4543] = 0x0000d67675eacbb7UL;
   tf->codes[4544] = 0x0000d676b079d17cUL;
   tf->codes[4545] = 0x0000d6779ab5e890UL;
   tf->codes[4546] = 0x0000d679e44c2242UL;
   tf->codes[4547] = 0x0000d67b09173f1bUL;
   tf->codes[4548] = 0x0000d67b7e354aa5UL;
   tf->codes[4549] = 0x0000d67f2725a6f5UL;
   tf->codes[4550] = 0x0000d68170bbe0a7UL;
   tf->codes[4551] = 0x0000d6822068f1f6UL;
   tf->codes[4552] = 0x0000d6830aa5090aUL;
   tf->codes[4553] = 0x0000d6837fc31494UL;
   tf->codes[4554] = 0x0000d686ee246b1fUL;
   tf->codes[4555] = 0x0000d68812ef87f8UL;
   tf->codes[4556] = 0x0000d6897249aa96UL;
   tf->codes[4557] = 0x0000d68a5c85c1aaUL;
   tf->codes[4558] = 0x0000d68e400523bfUL;
   tf->codes[4559] = 0x0000d68eefb2350eUL;
   tf->codes[4560] = 0x0000d690feb968fbUL;
   tf->codes[4561] = 0x0000d69298a2915eUL;
   tf->codes[4562] = 0x0000d694e238cb10UL;
   tf->codes[4563] = 0x0000d695cc74e224UL;
   tf->codes[4564] = 0x0000d6960703e7e9UL;
   tf->codes[4565] = 0x0000d697a0ed104cUL;
   tf->codes[4566] = 0x0000d698c5b82d25UL;
   tf->codes[4567] = 0x0000d69a9a305b4dUL;
   tf->codes[4568] = 0x0000d69b846c7261UL;
   tf->codes[4569] = 0x0000d69bbefb7826UL;
   tf->codes[4570] = 0x0000d69dce02ac13UL;
   tf->codes[4571] = 0x0000d6a226a019b2UL;
   tf->codes[4572] = 0x0000d6a3fb1847daUL;
   tf->codes[4573] = 0x0000d6a470365364UL;
   tf->codes[4574] = 0x0000d6a4e5545eeeUL;
   tf->codes[4575] = 0x0000d6a644ae818cUL;
   tf->codes[4576] = 0x0000d6a88e44bb3eUL;
   tf->codes[4577] = 0x0000d6aa282de3a1UL;
   tf->codes[4578] = 0x0000d6add11e3ff1UL;
   tf->codes[4579] = 0x0000d6b0ca618af2UL;
   tf->codes[4580] = 0x0000d6b229bbad90UL;
   tf->codes[4581] = 0x0000d6b2644ab355UL;
   tf->codes[4582] = 0x0000d6b2d968bedfUL;
   tf->codes[4583] = 0x0000d6b5981d041bUL;
   tf->codes[4584] = 0x0000d6b5d2ac09e0UL;
   tf->codes[4585] = 0x0000d6b81c424392UL;
   tf->codes[4586] = 0x0000d6b9410d606bUL;
   tf->codes[4587] = 0x0000d6bb50149458UL;
   tf->codes[4588] = 0x0000d6bc3a50ab6cUL;
   tf->codes[4589] = 0x0000d6bef904f0a8UL;
   tf->codes[4590] = 0x0000d6c1b7b935e4UL;
   tf->codes[4591] = 0x0000d6c2a1f54cf8UL;
   tf->codes[4592] = 0x0000d6c351a25e47UL;
   tf->codes[4593] = 0x0000d6c3c6c069d1UL;
   tf->codes[4594] = 0x0000d6c4014f6f96UL;
   tf->codes[4595] = 0x0000d6c61056a383UL;
   tf->codes[4596] = 0x0000d6c6c003b4d2UL;
   tf->codes[4597] = 0x0000d6ce4c737337UL;
   tf->codes[4598] = 0x0000d6d0d098b2aeUL;
   tf->codes[4599] = 0x0000d6d10b27b873UL;
   tf->codes[4600] = 0x0000d6d18045c3fdUL;
   tf->codes[4601] = 0x0000d6d43efa0939UL;
   tf->codes[4602] = 0x0000d6d4eea71a88UL;
   tf->codes[4603] = 0x0000d6d52936204dUL;
   tf->codes[4604] = 0x0000d6d563c52612UL;
   tf->codes[4605] = 0x0000d6d613723761UL;
   tf->codes[4606] = 0x0000d6d85d087113UL;
   tf->codes[4607] = 0x0000d6daa69eaac5UL;
   tf->codes[4608] = 0x0000d6db1bbcb64fUL;
   tf->codes[4609] = 0x0000d6dd9fe1f5c6UL;
   tf->codes[4610] = 0x0000d6e0992540c7UL;
   tf->codes[4611] = 0x0000d6e0d3b4468cUL;
   tf->codes[4612] = 0x0000d6e442159d17UL;
   tf->codes[4613] = 0x0000d6e47ca4a2dcUL;
   tf->codes[4614] = 0x0000d6e4b733a8a1UL;
   tf->codes[4615] = 0x0000d6e7eb05f967UL;
   tf->codes[4616] = 0x0000d6ea6f2b38deUL;
   tf->codes[4617] = 0x0000d6ebce855b7cUL;
   tf->codes[4618] = 0x0000d6ee181b952eUL;
   tf->codes[4619] = 0x0000d6f1fb9af743UL;
   tf->codes[4620] = 0x0000d6f270b902cdUL;
   tf->codes[4621] = 0x0000d6f2ab480892UL;
   tf->codes[4622] = 0x0000d6f52f6d4809UL;
   tf->codes[4623] = 0x0000d6f94d7bafe3UL;
   tf->codes[4624] = 0x0000d6f9880ab5a8UL;
   tf->codes[4625] = 0x0000d6fe1b37290cUL;
   tf->codes[4626] = 0x0000d6ff05734020UL;
   tf->codes[4627] = 0x0000d6ff400245e5UL;
   tf->codes[4628] = 0x0000d7002a3e5cf9UL;
   tf->codes[4629] = 0x0000d70064cd62beUL;
   tf->codes[4630] = 0x0000d701147a740dUL;
   tf->codes[4631] = 0x0000d7032381a7faUL;
   tf->codes[4632] = 0x0000d70741900fd4UL;
   tf->codes[4633] = 0x0000d707b6ae1b5eUL;
   tf->codes[4634] = 0x0000d7098b264986UL;
   tf->codes[4635] = 0x0000d7118cb41375UL;
   tf->codes[4636] = 0x0000d711c743193aUL;
   tf->codes[4637] = 0x0000d714c086643bUL;
   tf->codes[4638] = 0x0000d714fb156a00UL;
   tf->codes[4639] = 0x0000d715aac27b4fUL;
   tf->codes[4640] = 0x0000d7161fe086d9UL;
   tf->codes[4641] = 0x0000d717f458b501UL;
   tf->codes[4642] = 0x0000d7198e41dd64UL;
   tf->codes[4643] = 0x0000d71b62ba0b8cUL;
   tf->codes[4644] = 0x0000d71dac50453eUL;
   tf->codes[4645] = 0x0000d71e216e50c8UL;
   tf->codes[4646] = 0x0000d7227a0bbe67UL;
   tf->codes[4647] = 0x0000d72329b8cfb6UL;
   tf->codes[4648] = 0x0000d726981a2641UL;
   tf->codes[4649] = 0x0000d727bce5431aUL;
   tf->codes[4650] = 0x0000d72f4955017fUL;
   tf->codes[4651] = 0x0000d72ff90212ceUL;
   tf->codes[4652] = 0x0000d734519f806dUL;
   tf->codes[4653] = 0x0000d738aa3cee0cUL;
   tf->codes[4654] = 0x0000d73994790520UL;
   tf->codes[4655] = 0x0000d73ab94421f9UL;
   tf->codes[4656] = 0x0000d73ffc1da6acUL;
   tf->codes[4657] = 0x0000d743a50e02fcUL;
   tf->codes[4658] = 0x0000d74454bb144bUL;
   tf->codes[4659] = 0x0000d7448f4a1a10UL;
   tf->codes[4660] = 0x0000d7450468259aUL;
   tf->codes[4661] = 0x0000d74663c24838UL;
   tf->codes[4662] = 0x0000d7474dfe5f4cUL;
   tf->codes[4663] = 0x0000d749d2239ec3UL;
   tf->codes[4664] = 0x0000d74abc5fb5d7UL;
   tf->codes[4665] = 0x0000d74b317dc161UL;
   tf->codes[4666] = 0x0000d74c5648de3aUL;
   tf->codes[4667] = 0x0000d74e65501227UL;
   tf->codes[4668] = 0x0000d74fc4aa34c5UL;
   tf->codes[4669] = 0x0000d757c637feb4UL;
   tf->codes[4670] = 0x0000d758b07415c8UL;
   tf->codes[4671] = 0x0000d75abf7b49b5UL;
   tf->codes[4672] = 0x0000d75c59647218UL;
   tf->codes[4673] = 0x0000d75e2ddca040UL;
   tf->codes[4674] = 0x0000d75f52a7bd19UL;
   tf->codes[4675] = 0x0000d7607772d9f2UL;
   tf->codes[4676] = 0x0000d7619c3df6cbUL;
   tf->codes[4677] = 0x0000d762fb981969UL;
   tf->codes[4678] = 0x0000d76420633642UL;
   tf->codes[4679] = 0x0000d764d0104791UL;
   tf->codes[4680] = 0x0000d765452e531bUL;
   tf->codes[4681] = 0x0000d7657fbd58e0UL;
   tf->codes[4682] = 0x0000d76754358708UL;
   tf->codes[4683] = 0x0000d768b38fa9a6UL;
   tf->codes[4684] = 0x0000d76f1b344b32UL;
   tf->codes[4685] = 0x0000d76fcae15c81UL;
   tf->codes[4686] = 0x0000d773e8efc45bUL;
   tf->codes[4687] = 0x0000d774d32bdb6fUL;
   tf->codes[4688] = 0x0000d7750dbae134UL;
   tf->codes[4689] = 0x0000d7766d1503d2UL;
   tf->codes[4690] = 0x0000d77757511ae6UL;
   tf->codes[4691] = 0x0000d77966584ed3UL;
   tf->codes[4692] = 0x0000d77ac5b27171UL;
   tf->codes[4693] = 0x0000d77ee3c0d94bUL;
   tf->codes[4694] = 0x0000d7807daa01aeUL;
   tf->codes[4695] = 0x0000d783b17c5274UL;
   tf->codes[4696] = 0x0000d78635a191ebUL;
   tf->codes[4697] = 0x0000d786e54ea33aUL;
   tf->codes[4698] = 0x0000d789de91ee3bUL;
   tf->codes[4699] = 0x0000d78a53aff9c5UL;
   tf->codes[4700] = 0x0000d78b035d0b14UL;
   tf->codes[4701] = 0x0000d78bed992228UL;
   tf->codes[4702] = 0x0000d78fd118843dUL;
   tf->codes[4703] = 0x0000d79046368fc7UL;
   tf->codes[4704] = 0x0000d792ca5bcf3eUL;
   tf->codes[4705] = 0x0000d79304ead503UL;
   tf->codes[4706] = 0x0000d79513f208f0UL;
   tf->codes[4707] = 0x0000d7975d8842a2UL;
   tf->codes[4708] = 0x0000d79798174867UL;
   tf->codes[4709] = 0x0000d798bce26540UL;
   tf->codes[4710] = 0x0000d799320070caUL;
   tf->codes[4711] = 0x0000d79d500ed8a4UL;
   tf->codes[4712] = 0x0000d79ee9f80107UL;
   tf->codes[4713] = 0x0000d7a342956ea6UL;
   tf->codes[4714] = 0x0000d7a760a3d680UL;
   tf->codes[4715] = 0x0000d7a8856ef359UL;
   tf->codes[4716] = 0x0000d7b6046547c0UL;
   tf->codes[4717] = 0x0000d7b8136c7badUL;
   tf->codes[4718] = 0x0000d7bb81cdd238UL;
   tf->codes[4719] = 0x0000d7c1e97273c4UL;
   tf->codes[4720] = 0x0000d7c2d3ae8ad8UL;
   tf->codes[4721] = 0x0000d7c3835b9c27UL;
   tf->codes[4722] = 0x0000d7c3f879a7b1UL;
   tf->codes[4723] = 0x0000d7c6420fe163UL;
   tf->codes[4724] = 0x0000d7c7dbf909c6UL;
   tf->codes[4725] = 0x0000d7c851171550UL;
   tf->codes[4726] = 0x0000d7c93b532c64UL;
   tf->codes[4727] = 0x0000d7cad53c54c7UL;
   tf->codes[4728] = 0x0000d7cb84e96616UL;
   tf->codes[4729] = 0x0000d7cca9b482efUL;
   tf->codes[4730] = 0x0000d7cf6868c82bUL;
   tf->codes[4731] = 0x0000d7d3fb953b8fUL;
   tf->codes[4732] = 0x0000d7d5957e63f2UL;
   tf->codes[4733] = 0x0000d7d72f678c55UL;
   tf->codes[4734] = 0x0000d7d7a48597dfUL;
   tf->codes[4735] = 0x0000d7d819a3a369UL;
   tf->codes[4736] = 0x0000d7d9b38ccbccUL;
   tf->codes[4737] = 0x0000d7db8804f9f4UL;
   tf->codes[4738] = 0x0000d7e1056d846cUL;
   tf->codes[4739] = 0x0000d7e1b51a95bbUL;
   tf->codes[4740] = 0x0000d7e22a38a145UL;
   tf->codes[4741] = 0x0000d7e2d9e5b294UL;
   tf->codes[4742] = 0x0000d7e5d328fd95UL;
   tf->codes[4743] = 0x0000d7e6bd6514a9UL;
   tf->codes[4744] = 0x0000d7e891dd42d1UL;
   tf->codes[4745] = 0x0000d7e8cc6c4896UL;
   tf->codes[4746] = 0x0000d7e9418a5420UL;
   tf->codes[4747] = 0x0000d7eb16028248UL;
   tf->codes[4748] = 0x0000d7eb5091880dUL;
   tf->codes[4749] = 0x0000d7ebc5af9397UL;
   tf->codes[4750] = 0x0000d7ec003e995cUL;
   tf->codes[4751] = 0x0000d7ed9a27c1bfUL;
   tf->codes[4752] = 0x0000d7ef3410ea22UL;
   tf->codes[4753] = 0x0000d7f01e4d0136UL;
   tf->codes[4754] = 0x0000d7f058dc06fbUL;
   tf->codes[4755] = 0x0000d7f0cdfa1285UL;
   tf->codes[4756] = 0x0000d7f3521f51fcUL;
   tf->codes[4757] = 0x0000d7f476ea6ed5UL;
   tf->codes[4758] = 0x0000d7f7aabcbf9bUL;
   tf->codes[4759] = 0x0000d7f944a5e7feUL;
   tf->codes[4760] = 0x0000d7f9f452f94dUL;
   tf->codes[4761] = 0x0000d7faa4000a9cUL;
   tf->codes[4762] = 0x0000d7fb8e3c21b0UL;
   tf->codes[4763] = 0x0000d7fec20e7276UL;
   tf->codes[4764] = 0x0000d7fefc9d783bUL;
   tf->codes[4765] = 0x0000d7ffac4a898aUL;
   tf->codes[4766] = 0x0000d800d115a663UL;
   tf->codes[4767] = 0x0000d80180c2b7b2UL;
   tf->codes[4768] = 0x0000d8026afecec6UL;
   tf->codes[4769] = 0x0000d802e01cda50UL;
   tf->codes[4770] = 0x0000d805d9602551UL;
   tf->codes[4771] = 0x0000d80773494db4UL;
   tf->codes[4772] = 0x0000d80ae1aaa43fUL;
   tf->codes[4773] = 0x0000d81099a2347cUL;
   tf->codes[4774] = 0x0000d81183de4b90UL;
   tf->codes[4775] = 0x0000d8126e1a62a4UL;
   tf->codes[4776] = 0x0000d814429290ccUL;
   tf->codes[4777] = 0x0000d814b7b09c56UL;
   tf->codes[4778] = 0x0000d816c6b7d043UL;
   tf->codes[4779] = 0x0000d8182611f2e1UL;
   tf->codes[4780] = 0x0000d81c099154f6UL;
   tf->codes[4781] = 0x0000d81c44205abbUL;
   tf->codes[4782] = 0x0000d81e189888e3UL;
   tf->codes[4783] = 0x0000d81fed10b70bUL;
   tf->codes[4784] = 0x0000d820622ec295UL;
   tf->codes[4785] = 0x0000d820d74cce1fUL;
   tf->codes[4786] = 0x0000d8240b1f1ee5UL;
   tf->codes[4787] = 0x0000d825a5084748UL;
   tf->codes[4788] = 0x0000d82bd21de30fUL;
   tf->codes[4789] = 0x0000d830da6861fdUL;
   tf->codes[4790] = 0x0000d8318a15734cUL;
   tf->codes[4791] = 0x0000d83274518a60UL;
   tf->codes[4792] = 0x0000d83323fe9bafUL;
   tf->codes[4793] = 0x0000d8348358be4dUL;
   tf->codes[4794] = 0x0000d8356d94d561UL;
   tf->codes[4795] = 0x0000d835a823db26UL;
   tf->codes[4796] = 0x0000d83951143776UL;
   tf->codes[4797] = 0x0000d83ab06e5a14UL;
   tf->codes[4798] = 0x0000d83c4a578277UL;
   tf->codes[4799] = 0x0000d83cfa0493c6UL;
   tf->codes[4800] = 0x0000d8406865ea51UL;
   tf->codes[4801] = 0x0000d840dd83f5dbUL;
   tf->codes[4802] = 0x0000d8418d31072aUL;
   tf->codes[4803] = 0x0000d842024f12b4UL;
   tf->codes[4804] = 0x0000d842776d1e3eUL;
   tf->codes[4805] = 0x0000d84361a93552UL;
   tf->codes[4806] = 0x0000d8444be54c66UL;
   tf->codes[4807] = 0x0000d8453621637aUL;
   tf->codes[4808] = 0x0000d846205d7a8eUL;
   tf->codes[4809] = 0x0000d84869f3b440UL;
   tf->codes[4810] = 0x0000d84b6336ff41UL;
   tf->codes[4811] = 0x0000d84ed19855ccUL;
   tf->codes[4812] = 0x0000d85030f2786aUL;
   tf->codes[4813] = 0x0000d851904c9b08UL;
   tf->codes[4814] = 0x0000d852056aa692UL;
   tf->codes[4815] = 0x0000d854898fe609UL;
   tf->codes[4816] = 0x0000d854c41eebceUL;
   tf->codes[4817] = 0x0000d854feadf193UL;
   tf->codes[4818] = 0x0000d85a7c167c0bUL;
   tf->codes[4819] = 0x0000d85c508eaa33UL;
   tf->codes[4820] = 0x0000d85e5f95de20UL;
   tf->codes[4821] = 0x0000d85e9a24e3e5UL;
   tf->codes[4822] = 0x0000d863dcfe6898UL;
   tf->codes[4823] = 0x0000d864521c7422UL;
   tf->codes[4824] = 0x0000d864c73a7facUL;
   tf->codes[4825] = 0x0000d869cf84fe9aUL;
   tf->codes[4826] = 0x0000d86a44a30a24UL;
   tf->codes[4827] = 0x0000d86e9d4077c3UL;
   tf->codes[4828] = 0x0000d873306ceb27UL;
   tf->codes[4829] = 0x0000d8736afbf0ecUL;
   tf->codes[4830] = 0x0000d875b4922a9eUL;
   tf->codes[4831] = 0x0000d876d95d4777UL;
   tf->codes[4832] = 0x0000d877c3995e8bUL;
   tf->codes[4833] = 0x0000d878e8647b64UL;
   tf->codes[4834] = 0x0000d886dc78db55UL;
   tf->codes[4835] = 0x0000d88db93b886bUL;
   tf->codes[4836] = 0x0000d88ea3779f7fUL;
   tf->codes[4837] = 0x0000d8a005ed55fbUL;
   tf->codes[4838] = 0x0000d8a45e8ac39aUL;
   tf->codes[4839] = 0x0000d8a4d3a8cf24UL;
   tf->codes[4840] = 0x0000d8a7925d1460UL;
   tf->codes[4841] = 0x0000d8a7ccec1a25UL;
   tf->codes[4842] = 0x0000d8a8420a25afUL;
   tf->codes[4843] = 0x0000d8a8f1b736feUL;
   tf->codes[4844] = 0x0000d8af93eade4fUL;
   tf->codes[4845] = 0x0000d8afce79e414UL;
   tf->codes[4846] = 0x0000d8b1dd811801UL;
   tf->codes[4847] = 0x0000d8b218101dc6UL;
   tf->codes[4848] = 0x0000d8b3b1f94629UL;
   tf->codes[4849] = 0x0000d8b6361e85a0UL;
   tf->codes[4850] = 0x0000d8bac94af904UL;
   tf->codes[4851] = 0x0000d8bbb3871018UL;
   tf->codes[4852] = 0x0000d8bd4d70387bUL;
   tf->codes[4853] = 0x0000d8c1a60da61aUL;
   tf->codes[4854] = 0x0000d8c49f50f11bUL;
   tf->codes[4855] = 0x0000d8c4d9dff6e0UL;
   tf->codes[4856] = 0x0000d8c5feab13b9UL;
   tf->codes[4857] = 0x0000d8cf2503fa81UL;
   tf->codes[4858] = 0x0000d8cf5f930046UL;
   tf->codes[4859] = 0x0000d8cf9a22060bUL;
   tf->codes[4860] = 0x0000d8d2cdf456d1UL;
   tf->codes[4861] = 0x0000d8d34312625bUL;
   tf->codes[4862] = 0x0000d8d5178a9083UL;
   tf->codes[4863] = 0x0000d8d76120ca35UL;
   tf->codes[4864] = 0x0000d8d79bafcffaUL;
   tf->codes[4865] = 0x0000d8d9aab703e7UL;
   tf->codes[4866] = 0x0000d8d9e54609acUL;
   tf->codes[4867] = 0x0000d8dbb9be37d4UL;
   tf->codes[4868] = 0x0000d8e0c208b6c2UL;
   tf->codes[4869] = 0x0000d8e22162d960UL;
   tf->codes[4870] = 0x0000d8ead29db49eUL;
   tf->codes[4871] = 0x0000d8ec31f7d73cUL;
   tf->codes[4872] = 0x0000d8f0c5244aa0UL;
   tf->codes[4873] = 0x0000d8f1e9ef6779UL;
   tf->codes[4874] = 0x0000d8f2247e6d3eUL;
   tf->codes[4875] = 0x0000d8f46e14a6f0UL;
   tf->codes[4876] = 0x0000d8f7a1e6f7b6UL;
   tf->codes[4877] = 0x0000d8f817050340UL;
   tf->codes[4878] = 0x0000d8f88c230ecaUL;
   tf->codes[4879] = 0x0000d8fa260c372dUL;
   tf->codes[4880] = 0x0000d8fb4ad75406UL;
   tf->codes[4881] = 0x0000d8fd59de87f3UL;
   tf->codes[4882] = 0x0000d902279a011cUL;
   tf->codes[4883] = 0x0000d902622906e1UL;
   tf->codes[4884] = 0x0000d90386f423baUL;
   tf->codes[4885] = 0x0000d903c183297fUL;
   tf->codes[4886] = 0x0000d90595fb57a7UL;
   tf->codes[4887] = 0x0000d9076a7385cfUL;
   tf->codes[4888] = 0x0000d907a5028b94UL;
   tf->codes[4889] = 0x0000d9081a20971eUL;
   tf->codes[4890] = 0x0000d90854af9ce3UL;
   tf->codes[4891] = 0x0000d90a2927cb0bUL;
   tf->codes[4892] = 0x0000d90b1363e21fUL;
   tf->codes[4893] = 0x0000d90d97892196UL;
   tf->codes[4894] = 0x0000d90dd218275bUL;
   tf->codes[4895] = 0x0000d90f6c014fbeUL;
   tf->codes[4896] = 0x0000d90fa6905583UL;
   tf->codes[4897] = 0x0000d9101bae610dUL;
   tf->codes[4898] = 0x0000d911f0268f35UL;
   tf->codes[4899] = 0x0000d91265449abfUL;
   tf->codes[4900] = 0x0000d9134f80b1d3UL;
   tf->codes[4901] = 0x0000d913ff2dc322UL;
   tf->codes[4902] = 0x0000d9159916eb85UL;
   tf->codes[4903] = 0x0000d9176d8f19adUL;
   tf->codes[4904] = 0x0000d9181d3c2afcUL;
   tf->codes[4905] = 0x0000d918925a3686UL;
   tf->codes[4906] = 0x0000d919f1b45924UL;
   tf->codes[4907] = 0x0000d91a2c435ee9UL;
   tf->codes[4908] = 0x0000d91aa1616a73UL;
   tf->codes[4909] = 0x0000d91b167f75fdUL;
   tf->codes[4910] = 0x0000d91f348dddd7UL;
   tf->codes[4911] = 0x0000d921439511c4UL;
   tf->codes[4912] = 0x0000d923c7ba513bUL;
   tf->codes[4913] = 0x0000d92561a3799eUL;
   tf->codes[4914] = 0x0000d92611508aedUL;
   tf->codes[4915] = 0x0000d92b8eb91565UL;
   tf->codes[4916] = 0x0000d93146b0a5a2UL;
   tf->codes[4917] = 0x0000d9331b28d3caUL;
   tf->codes[4918] = 0x0000d93355b7d98fUL;
   tf->codes[4919] = 0x0000d9340564eadeUL;
   tf->codes[4920] = 0x0000d9364efb2490UL;
   tf->codes[4921] = 0x0000d93773c64169UL;
   tf->codes[4922] = 0x0000d93982cd7556UL;
   tf->codes[4923] = 0x0000d939bd5c7b1bUL;
   tf->codes[4924] = 0x0000d93c4181ba92UL;
   tf->codes[4925] = 0x0000d93cf12ecbe1UL;
   tf->codes[4926] = 0x0000d93e8b17f444UL;
   tf->codes[4927] = 0x0000d93fea7216e2UL;
   tf->codes[4928] = 0x0000d94149cc3980UL;
   tf->codes[4929] = 0x0000d943cdf178f7UL;
   tf->codes[4930] = 0x0000d946c734c3f8UL;
   tf->codes[4931] = 0x0000d948268ee696UL;
   tf->codes[4932] = 0x0000d9489bacf220UL;
   tf->codes[4933] = 0x0000d94a35961a83UL;
   tf->codes[4934] = 0x0000d94da3f7710eUL;
   tf->codes[4935] = 0x0000d94f786f9f36UL;
   tf->codes[4936] = 0x0000d951c205d8e8UL;
   tf->codes[4937] = 0x0000d9540b9c129aUL;
   tf->codes[4938] = 0x0000d9556af63538UL;
   tf->codes[4939] = 0x0000d9568fc15211UL;
   tf->codes[4940] = 0x0000d95779fd6925UL;
   tf->codes[4941] = 0x0000d95989049d12UL;
   tf->codes[4942] = 0x0000d959c393a2d7UL;
   tf->codes[4943] = 0x0000d95a7340b426UL;
   tf->codes[4944] = 0x0000d95aadcfb9ebUL;
   tf->codes[4945] = 0x0000d95ae85ebfb0UL;
   tf->codes[4946] = 0x0000d95da71304ecUL;
   tf->codes[4947] = 0x0000d95f7b8b3314UL;
   tf->codes[4948] = 0x0000d960dae555b2UL;
   tf->codes[4949] = 0x0000d967f237088dUL;
   tf->codes[4950] = 0x0000d96867551417UL;
   tf->codes[4951] = 0x0000d96daa2e98caUL;
   tf->codes[4952] = 0x0000d97068e2de06UL;
   tf->codes[4953] = 0x0000d97695f879cdUL;
   tf->codes[4954] = 0x0000d976d0877f92UL;
   tf->codes[4955] = 0x0000d979c9caca93UL;
   tf->codes[4956] = 0x0000d97ab406e1a7UL;
   tf->codes[4957] = 0x0000d97ff6e0665aUL;
   tf->codes[4958] = 0x0000d9811bab8333UL;
   tf->codes[4959] = 0x0000d986d3a31370UL;
   tf->codes[4960] = 0x0000d9886d8c3bd3UL;
   tf->codes[4961] = 0x0000d98af1b17b4aUL;
   tf->codes[4962] = 0x0000d9906f1a05c2UL;
   tf->codes[4963] = 0x0000d991ce742860UL;
   tf->codes[4964] = 0x0000d9932dce4afeUL;
   tf->codes[4965] = 0x0000d993685d50c3UL;
   tf->codes[4966] = 0x0000d996271195ffUL;
   tf->codes[4967] = 0x0000d99661a09bc4UL;
   tf->codes[4968] = 0x0000d999d001f24fUL;
   tf->codes[4969] = 0x0000d99a451ffdd9UL;
   tf->codes[4970] = 0x0000d99a7faf039eUL;
   tf->codes[4971] = 0x0000d99aba3e0963UL;
   tf->codes[4972] = 0x0000d99d78f24e9fUL;
   tf->codes[4973] = 0x0000d99e632e65b3UL;
   tf->codes[4974] = 0x0000d9a037a693dbUL;
   tf->codes[4975] = 0x0000d9a0acc49f65UL;
   tf->codes[4976] = 0x0000d9a3a607ea66UL;
   tf->codes[4977] = 0x0000d9a41b25f5f0UL;
   tf->codes[4978] = 0x0000d9a7c4165240UL;
   tf->codes[4979] = 0x0000d9aa483b91b7UL;
   tf->codes[4980] = 0x0000d9abe224ba1aUL;
   tf->codes[4981] = 0x0000d9b19a1c4a57UL;
   tf->codes[4982] = 0x0000d9b2bee76730UL;
   tf->codes[4983] = 0x0000d9b3e3b28409UL;
   tf->codes[4984] = 0x0000d9b6a266c945UL;
   tf->codes[4985] = 0x0000d9bb7022426eUL;
   tf->codes[4986] = 0x0000d9c28773f549UL;
   tf->codes[4987] = 0x0000d9c337210698UL;
   tf->codes[4988] = 0x0000d9ca4e72b973UL;
   tf->codes[4989] = 0x0000d9cac390c4fdUL;
   tf->codes[4990] = 0x0000d9cafe1fcac2UL;
   tf->codes[4991] = 0x0000d9cea7102712UL;
   tf->codes[4992] = 0x0000d9d07b88553aUL;
   tf->codes[4993] = 0x0000d9d0f0a660c4UL;
   tf->codes[4994] = 0x0000d9d165c46c4eUL;
   tf->codes[4995] = 0x0000d9d1dae277d8UL;
   tf->codes[4996] = 0x0000d9d50eb4c89eUL;
   tf->codes[4997] = 0x0000d9d54943ce63UL;
   tf->codes[4998] = 0x0000d9d8f2342ab3UL;
   tf->codes[4999] = 0x0000d9deaa2bbaf0UL;
   tf->codes[5000] = 0x0000d9df9467d204UL;
   tf->codes[5001] = 0x0000d9e3b27639deUL;
   tf->codes[5002] = 0x0000d9e6369b7955UL;
   tf->codes[5003] = 0x0000d9e6abb984dfUL;
   tf->codes[5004] = 0x0000d9e8bac0b8ccUL;
   tf->codes[5005] = 0x0000d9e9a4fccfe0UL;
   tf->codes[5006] = 0x0000d9ea54a9e12fUL;
   tf->codes[5007] = 0x0000d9eac9c7ecb9UL;
   tf->codes[5008] = 0x0000d9eb0456f27eUL;
   tf->codes[5009] = 0x0000d9eb3ee5f843UL;
   tf->codes[5010] = 0x0000d9ee72b84909UL;
   tf->codes[5011] = 0x0000d9f21ba8a559UL;
   tf->codes[5012] = 0x0000d9f34073c232UL;
   tf->codes[5013] = 0x0000d9f37b02c7f7UL;
   tf->codes[5014] = 0x0000d9f7d3a03596UL;
   tf->codes[5015] = 0x0000d9f848be4120UL;
   tf->codes[5016] = 0x0000d9fd1679ba49UL;
   tf->codes[5017] = 0x0000d9fdc626cb98UL;
   tf->codes[5018] = 0x0000d9feeaf1e871UL;
   tf->codes[5019] = 0x0000da030900504bUL;
   tf->codes[5020] = 0x0000da05c7b49587UL;
   tf->codes[5021] = 0x0000da0602439b4cUL;
   tf->codes[5022] = 0x0000da130c1be429UL;
   tf->codes[5023] = 0x0000da1346aae9eeUL;
   tf->codes[5024] = 0x0000da151b231816UL;
   tf->codes[5025] = 0x0000da1764b951c8UL;
   tf->codes[5026] = 0x0000da1939317ff0UL;
   tf->codes[5027] = 0x0000da1b4838b3ddUL;
   tf->codes[5028] = 0x0000da20508332cbUL;
   tf->codes[5029] = 0x0000da25cdebbd43UL;
   tf->codes[5030] = 0x0000da26087ac308UL;
   tf->codes[5031] = 0x0000da2ef444a40bUL;
   tf->codes[5032] = 0x0000da2f2ed3a9d0UL;
   tf->codes[5033] = 0x0000da31034bd7f8UL;
   tf->codes[5034] = 0x0000da32d7c40620UL;
   tf->codes[5035] = 0x0000da36f5d26dfaUL;
   tf->codes[5036] = 0x0000da38ca4a9c22UL;
   tf->codes[5037] = 0x0000da3a29a4bec0UL;
   tf->codes[5038] = 0x0000da3b4e6fdb99UL;
   tf->codes[5039] = 0x0000da3c733af872UL;
   tf->codes[5040] = 0x0000da3dd2951b10UL;
   tf->codes[5041] = 0x0000da3e0d2420d5UL;
   tf->codes[5042] = 0x0000da3f6c7e4373UL;
   tf->codes[5043] = 0x0000da409149604cUL;
   tf->codes[5044] = 0x0000da41b6147d25UL;
   tf->codes[5045] = 0x0000da42dadf99feUL;
   tf->codes[5046] = 0x0000da438a8cab4dUL;
   tf->codes[5047] = 0x0000da46be5efc13UL;
   tf->codes[5048] = 0x0000da47337d079dUL;
   tf->codes[5049] = 0x0000da49b7a24714UL;
   tf->codes[5050] = 0x0000da4f350ad18cUL;
   tf->codes[5051] = 0x0000da5144120579UL;
   tf->codes[5052] = 0x0000da52ddfb2ddcUL;
   tf->codes[5053] = 0x0000da53188a33a1UL;
   tf->codes[5054] = 0x0000da55d73e78ddUL;
   tf->codes[5055] = 0x0000da577127a140UL;
   tf->codes[5056] = 0x0000da58d081c3deUL;
   tf->codes[5057] = 0x0000da59babddaf2UL;
   tf->codes[5058] = 0x0000da5cb40125f3UL;
   tf->codes[5059] = 0x0000da5e8879541bUL;
   tf->codes[5060] = 0x0000da61472d9957UL;
   tf->codes[5061] = 0x0000da6181bc9f1cUL;
   tf->codes[5062] = 0x0000da623169b06bUL;
   tf->codes[5063] = 0x0000da626bf8b630UL;
   tf->codes[5064] = 0x0000da62e116c1baUL;
   tf->codes[5065] = 0x0000da6405e1de93UL;
   tf->codes[5066] = 0x0000da65653c0131UL;
   tf->codes[5067] = 0x0000da668a071e0aUL;
   tf->codes[5068] = 0x0000da67aed23ae3UL;
   tf->codes[5069] = 0x0000da6948bb6346UL;
   tf->codes[5070] = 0x0000da6ddbe7d6aaUL;
   tf->codes[5071] = 0x0000da70600d1621UL;
   tf->codes[5072] = 0x0000da75a2e69ad4UL;
   tf->codes[5073] = 0x0000da75dd75a099UL;
   tf->codes[5074] = 0x0000da768d22b1e8UL;
   tf->codes[5075] = 0x0000da77ec7cd486UL;
   tf->codes[5076] = 0x0000da7b5ade2b11UL;
   tf->codes[5077] = 0x0000da7c451a4225UL;
   tf->codes[5078] = 0x0000da7cba384dafUL;
   tf->codes[5079] = 0x0000da7ddf036a88UL;
   tf->codes[5080] = 0x0000da7ec93f819cUL;
   tf->codes[5081] = 0x0000da7fee0a9e75UL;
   tf->codes[5082] = 0x0000da806328a9ffUL;
   tf->codes[5083] = 0x0000da8237a0d827UL;
   tf->codes[5084] = 0x0000da82722fddecUL;
   tf->codes[5085] = 0x0000da85a6022eb2UL;
   tf->codes[5086] = 0x0000da86903e45c6UL;
   tf->codes[5087] = 0x0000da87b509629fUL;
   tf->codes[5088] = 0x0000da89c410968cUL;
   tf->codes[5089] = 0x0000da89fe9f9c51UL;
   tf->codes[5090] = 0x0000da8ae8dbb365UL;
   tf->codes[5091] = 0x0000da95a91dc290UL;
   tf->codes[5092] = 0x0000da969359d9a4UL;
   tf->codes[5093] = 0x0000da9a01bb302fUL;
   tf->codes[5094] = 0x0000da9aebf74743UL;
   tf->codes[5095] = 0x0000daa0a3eed780UL;
   tf->codes[5096] = 0x0000daa746227ed1UL;
   tf->codes[5097] = 0x0000daaaef12db21UL;
   tf->codes[5098] = 0x0000daab6430e6abUL;
   tf->codes[5099] = 0x0000daac88fc0384UL;
   tf->codes[5100] = 0x0000daae98033771UL;
   tf->codes[5101] = 0x0000dab365beb09aUL;
   tf->codes[5102] = 0x0000dab4156bc1e9UL;
   tf->codes[5103] = 0x0000dab5e9e3f011UL;
   tf->codes[5104] = 0x0000dab7f8eb23feUL;
   tf->codes[5105] = 0x0000daba07f257ebUL;
   tf->codes[5106] = 0x0000dabbdc6a8613UL;
   tf->codes[5107] = 0x0000dabf855ae263UL;
   tf->codes[5108] = 0x0000dac03507f3b2UL;
   tf->codes[5109] = 0x0000dac711caa0c8UL;
   tf->codes[5110] = 0x0000dac74c59a68dUL;
   tf->codes[5111] = 0x0000dac7fc06b7dcUL;
   tf->codes[5112] = 0x0000dac995efe03fUL;
   tf->codes[5113] = 0x0000daca459cf18eUL;
   tf->codes[5114] = 0x0000dacb6a680e67UL;
   tf->codes[5115] = 0x0000dacd3ee03c8fUL;
   tf->codes[5116] = 0x0000dacd796f4254UL;
   tf->codes[5117] = 0x0000dad072b28d55UL;
   tf->codes[5118] = 0x0000dad281b9c142UL;
   tf->codes[5119] = 0x0000dad490c0f52fUL;
   tf->codes[5120] = 0x0000dad62aaa1d92UL;
   tf->codes[5121] = 0x0000dad923ed6893UL;
   tf->codes[5122] = 0x0000dad9d39a79e2UL;
   tf->codes[5123] = 0x0000dadb6d83a245UL;
   tf->codes[5124] = 0x0000dadc924ebf1eUL;
   tf->codes[5125] = 0x0000dae0b05d26f8UL;
   tf->codes[5126] = 0x0000dae20fb74996UL;
   tf->codes[5127] = 0x0000dae75290ce49UL;
   tf->codes[5128] = 0x0000daebe5bd41adUL;
   tf->codes[5129] = 0x0000daec956a52fcUL;
   tf->codes[5130] = 0x0000daefc93ca3c2UL;
   tf->codes[5131] = 0x0000daf19db4d1eaUL;
   tf->codes[5132] = 0x0000daf805597376UL;
   tf->codes[5133] = 0x0000daf92a24904fUL;
   tf->codes[5134] = 0x0000dafac40db8b2UL;
   tf->codes[5135] = 0x0000db033ab98e2bUL;
   tf->codes[5136] = 0x0000db04d4a2b68eUL;
   tf->codes[5137] = 0x0000db0b01b85255UL;
   tf->codes[5138] = 0x0000db0bb16563a4UL;
   tf->codes[5139] = 0x0000db0fcf73cb7eUL;
   tf->codes[5140] = 0x0000db107f20dccdUL;
   tf->codes[5141] = 0x0000db1253990af5UL;
   tf->codes[5142] = 0x0000db128e2810baUL;
   tf->codes[5143] = 0x0000db12c8b7167fUL;
   tf->codes[5144] = 0x0000db13786427ceUL;
   tf->codes[5145] = 0x0000db13b2f32d93UL;
   tf->codes[5146] = 0x0000db142811391dUL;
   tf->codes[5147] = 0x0000db15fc896745UL;
   tf->codes[5148] = 0x0000db172154841eUL;
   tf->codes[5149] = 0x0000db1880aea6bcUL;
   tf->codes[5150] = 0x0000db19a579c395UL;
   tf->codes[5151] = 0x0000db1a8fb5daa9UL;
   tf->codes[5152] = 0x0000db1aca44e06eUL;
   tf->codes[5153] = 0x0000db1b3f62ebf8UL;
   tf->codes[5154] = 0x0000db1c299f030cUL;
   tf->codes[5155] = 0x0000db1ee8534848UL;
   tf->codes[5156] = 0x0000db2047ad6ae6UL;
   tf->codes[5157] = 0x0000db2256b49ed3UL;
   tf->codes[5158] = 0x0000db25c515f55eUL;
   tf->codes[5159] = 0x0000db26e9e11237UL;
   tf->codes[5160] = 0x0000db296e0651aeUL;
   tf->codes[5161] = 0x0000db2bb79c8b60UL;
   tf->codes[5162] = 0x0000db2f25fde1ebUL;
   tf->codes[5163] = 0x0000db30bfe70a4eUL;
   tf->codes[5164] = 0x0000db31350515d8UL;
   tf->codes[5165] = 0x0000db316f941b9dUL;
   tf->codes[5166] = 0x0000db36ecfca615UL;
   tf->codes[5167] = 0x0000db3a5b5dfca0UL;
   tf->codes[5168] = 0x0000db3b80291979UL;
   tf->codes[5169] = 0x0000db3eb3fb6a3fUL;
   tf->codes[5170] = 0x0000db3f9e378153UL;
   tf->codes[5171] = 0x0000db404de492a2UL;
   tf->codes[5172] = 0x0000db434727dda3UL;
   tf->codes[5173] = 0x0000db451ba00bcbUL;
   tf->codes[5174] = 0x0000db46b589342eUL;
   tf->codes[5175] = 0x0000db49e95b84f4UL;
   tf->codes[5176] = 0x0000db4a23ea8ab9UL;
   tf->codes[5177] = 0x0000db4a99089643UL;
   tf->codes[5178] = 0x0000db50167120bbUL;
   tf->codes[5179] = 0x0000db50c61e320aUL;
   tf->codes[5180] = 0x0000db54e42c99e4UL;
   tf->codes[5181] = 0x0000db5593d9ab33UL;
   tf->codes[5182] = 0x0000db567e15c247UL;
   tf->codes[5183] = 0x0000db56b8a4c80cUL;
   tf->codes[5184] = 0x0000db57a2e0df20UL;
   tf->codes[5185] = 0x0000db5b86604135UL;
   tf->codes[5186] = 0x0000db5ce5ba63d3UL;
   tf->codes[5187] = 0x0000db5e45148671UL;
   tf->codes[5188] = 0x0000db5fdefdaed4UL;
   tf->codes[5189] = 0x0000db60c939c5e8UL;
   tf->codes[5190] = 0x0000db69b503a6ebUL;
   tf->codes[5191] = 0x0000db6e0da1148aUL;
   tf->codes[5192] = 0x0000db6fe21942b2UL;
   tf->codes[5193] = 0x0000db701ca84877UL;
   tf->codes[5194] = 0x0000db70cc5559c6UL;
   tf->codes[5195] = 0x0000db73c598a4c7UL;
   tf->codes[5196] = 0x0000db7649bde43eUL;
   tf->codes[5197] = 0x0000db76f96af58dUL;
   tf->codes[5198] = 0x0000db77a91806dcUL;
   tf->codes[5199] = 0x0000db790872297aUL;
   tf->codes[5200] = 0x0000db7a2d3d4653UL;
   tf->codes[5201] = 0x0000db7dd62da2a3UL;
   tf->codes[5202] = 0x0000db81b9ad04b8UL;
   tf->codes[5203] = 0x0000db84786149f4UL;
   tf->codes[5204] = 0x0000db84b2f04fb9UL;
   tf->codes[5205] = 0x0000db8b8fb2fccfUL;
   tf->codes[5206] = 0x0000db8c79ef13e3UL;
   tf->codes[5207] = 0x0000db8f38a3591fUL;
   tf->codes[5208] = 0x0000db931c22bb34UL;
   tf->codes[5209] = 0x0000db9356b1c0f9UL;
   tf->codes[5210] = 0x0000db9615660635UL;
   tf->codes[5211] = 0x0000db96c5131784UL;
   tf->codes[5212] = 0x0000db97af4f2e98UL;
   tf->codes[5213] = 0x0000db97e9de345dUL;
   tf->codes[5214] = 0x0000db9b1db08523UL;
   tf->codes[5215] = 0x0000db9b92ce90adUL;
   tf->codes[5216] = 0x0000db9f012fe738UL;
   tf->codes[5217] = 0x0000dba1855526afUL;
   tf->codes[5218] = 0x0000dba4097a6626UL;
   tf->codes[5219] = 0x0000dba618819a13UL;
   tf->codes[5220] = 0x0000dba73d4cb6ecUL;
   tf->codes[5221] = 0x0000dba7b26ac276UL;
   tf->codes[5222] = 0x0000dba82788ce00UL;
   tf->codes[5223] = 0x0000dbaa711f07b2UL;
   tf->codes[5224] = 0x0000dbaf044b7b16UL;
   tf->codes[5225] = 0x0000dbb0291697efUL;
   tf->codes[5226] = 0x0000dbb14de1b4c8UL;
   tf->codes[5227] = 0x0000dbb18870ba8dUL;
   tf->codes[5228] = 0x0000dbb4f6d21118UL;
   tf->codes[5229] = 0x0000dbb5a67f2267UL;
   tf->codes[5230] = 0x0000dbb6562c33b6UL;
   tf->codes[5231] = 0x0000dbb705d94505UL;
   tf->codes[5232] = 0x0000dbb740684acaUL;
   tf->codes[5233] = 0x0000dbbbd394be2eUL;
   tf->codes[5234] = 0x0000dbbcf85fdb07UL;
   tf->codes[5235] = 0x0000dbbde29bf21bUL;
   tf->codes[5236] = 0x0000dbc1166e42e1UL;
   tf->codes[5237] = 0x0000dbc2b0576b44UL;
   tf->codes[5238] = 0x0000dbc3d522881dUL;
   tf->codes[5239] = 0x0000dbc61eb8c1cfUL;
   tf->codes[5240] = 0x0000dbcab1e53533UL;
   tf->codes[5241] = 0x0000dbcaec743af8UL;
   tf->codes[5242] = 0x0000dbcf0a82a2d2UL;
   tf->codes[5243] = 0x0000dbd11989d6bfUL;
   tf->codes[5244] = 0x0000dbd7bbbd7e10UL;
   tf->codes[5245] = 0x0000dbdb2a1ed49bUL;
   tf->codes[5246] = 0x0000dbdb64adda60UL;
   tf->codes[5247] = 0x0000dbdfbd4b47ffUL;
   tf->codes[5248] = 0x0000dbe6d49cfadaUL;
   tf->codes[5249] = 0x0000dbe7844a0c29UL;
   tf->codes[5250] = 0x0000dbe9cde045dbUL;
   tf->codes[5251] = 0x0000dbf209fd158fUL;
   tf->codes[5252] = 0x0000dbf41904497cUL;
   tf->codes[5253] = 0x0000dbf9214ec86aUL;
   tf->codes[5254] = 0x0000dbfa0b8adf7eUL;
   tf->codes[5255] = 0x0000dbfa80a8eb08UL;
   tf->codes[5256] = 0x0000dbfaf5c6f692UL;
   tf->codes[5257] = 0x0000dbfe9eb752e2UL;
   tf->codes[5258] = 0x0000dbffc3826fbbUL;
   tf->codes[5259] = 0x0000dc03e190d795UL;
   tf->codes[5260] = 0x0000dc04913de8e4UL;
   tf->codes[5261] = 0x0000dc071563285bUL;
   tf->codes[5262] = 0x0000dc0b33719035UL;
   tf->codes[5263] = 0x0000dc0e6743e0fbUL;
   tf->codes[5264] = 0x0000dc0ea1d2e6c0UL;
   tf->codes[5265] = 0x0000dc0fc69e0399UL;
   tf->codes[5266] = 0x0000dc10012d095eUL;
   tf->codes[5267] = 0x0000dc1125f82637UL;
   tf->codes[5268] = 0x0000dc13e4ac6b73UL;
   tf->codes[5269] = 0x0000dc16a360b0afUL;
   tf->codes[5270] = 0x0000dc183d49d912UL;
   tf->codes[5271] = 0x0000dc1877d8ded7UL;
   tf->codes[5272] = 0x0000dc192785f026UL;
   tf->codes[5273] = 0x0000dc1ac16f1889UL;
   tf->codes[5274] = 0x0000dc1babab2f9dUL;
   tf->codes[5275] = 0x0000dc1be63a3562UL;
   tf->codes[5276] = 0x0000dc23ad38f98cUL;
   tf->codes[5277] = 0x0000dc24d2041665UL;
   tf->codes[5278] = 0x0000dc29da4e9553UL;
   tf->codes[5279] = 0x0000dc2b7437bdb6UL;
   tf->codes[5280] = 0x0000dc2c9902da8fUL;
   tf->codes[5281] = 0x0000dc2e32ec02f2UL;
   tf->codes[5282] = 0x0000dc2ea80a0e7cUL;
   tf->codes[5283] = 0x0000dc2ee2991441UL;
   tf->codes[5284] = 0x0000dc312c2f4df3UL;
   tf->codes[5285] = 0x0000dc3250fa6accUL;
   tf->codes[5286] = 0x0000dc32c6187656UL;
   tf->codes[5287] = 0x0000dc3300a77c1bUL;
   tf->codes[5288] = 0x0000dc34257298f4UL;
   tf->codes[5289] = 0x0000dc350faeb008UL;
   tf->codes[5290] = 0x0000dc35bf5bc157UL;
   tf->codes[5291] = 0x0000dc36a997d86bUL;
   tf->codes[5292] = 0x0000dc39dd6a2931UL;
   tf->codes[5293] = 0x0000dc3ee5b4a81fUL;
   tf->codes[5294] = 0x0000dc43edff270dUL;
   tf->codes[5295] = 0x0000dc45fd065afaUL;
   tf->codes[5296] = 0x0000dc4a55a3c899UL;
   tf->codes[5297] = 0x0000dc51326675afUL;
   tf->codes[5298] = 0x0000dc5306dea3d7UL;
   tf->codes[5299] = 0x0000dc542ba9c0b0UL;
   tf->codes[5300] = 0x0000dc5b42fb738bUL;
   tf->codes[5301] = 0x0000dc5cdce49beeUL;
   tf->codes[5302] = 0x0000dc6728089f8fUL;
   tf->codes[5303] = 0x0000dc676297a554UL;
   tf->codes[5304] = 0x0000dc681244b6a3UL;
   tf->codes[5305] = 0x0000dc6a9669f61aUL;
   tf->codes[5306] = 0x0000dc6dca3c46e0UL;
   tf->codes[5307] = 0x0000dc7013d28092UL;
   tf->codes[5308] = 0x0000dc71732ca330UL;
   tf->codes[5309] = 0x0000dc72d286c5ceUL;
   tf->codes[5310] = 0x0000dc738233d71dUL;
   tf->codes[5311] = 0x0000dc7765b33932UL;
   tf->codes[5312] = 0x0000dc7d5839cf34UL;
   tf->codes[5313] = 0x0000dc7e4275e648UL;
   tf->codes[5314] = 0x0000dc7eb793f1d2UL;
   tf->codes[5315] = 0x0000dc7fa1d008e6UL;
   tf->codes[5316] = 0x0000dc7fdc5f0eabUL;
   tf->codes[5317] = 0x0000dc829b1353e7UL;
   tf->codes[5318] = 0x0000dc8977d600fdUL;
   tf->codes[5319] = 0x0000dc8ad730239bUL;
   tf->codes[5320] = 0x0000dc8e0b027461UL;
   tf->codes[5321] = 0x0000dc8e45917a26UL;
   tf->codes[5322] = 0x0000dc93134cf34fUL;
   tf->codes[5323] = 0x0000dc94e7c52177UL;
   tf->codes[5324] = 0x0000dc95977232c6UL;
   tf->codes[5325] = 0x0000dc9890b57dc7UL;
   tf->codes[5326] = 0x0000dca266bb75deUL;
   tf->codes[5327] = 0x0000dca2a14a7ba3UL;
   tf->codes[5328] = 0x0000dca859420be0UL;
   tf->codes[5329] = 0x0000dca8ce60176aUL;
   tf->codes[5330] = 0x0000dca97e0d28b9UL;
   tf->codes[5331] = 0x0000dcaa68493fcdUL;
   tf->codes[5332] = 0x0000dcb02040d00aUL;
   tf->codes[5333] = 0x0000dcb2def51546UL;
   tf->codes[5334] = 0x0000dcb3541320d0UL;
   tf->codes[5335] = 0x0000dcb43e4f37e4UL;
   tf->codes[5336] = 0x0000dcb478de3da9UL;
   tf->codes[5337] = 0x0000dcbcef8a1322UL;
   tf->codes[5338] = 0x0000dcbfae3e585eUL;
   tf->codes[5339] = 0x0000dcc0d3097537UL;
   tf->codes[5340] = 0x0000dcc10d987afcUL;
   tf->codes[5341] = 0x0000dcc1bd458c4bUL;
   tf->codes[5342] = 0x0000dcc2326397d5UL;
   tf->codes[5343] = 0x0000dcc4416acbc2UL;
   tf->codes[5344] = 0x0000dcc90f2644ebUL;
   tf->codes[5345] = 0x0000dccae39e7313UL;
   tf->codes[5346] = 0x0000dccbcdda8a27UL;
   tf->codes[5347] = 0x0000dccda252b84fUL;
   tf->codes[5348] = 0x0000dcce8c8ecf63UL;
   tf->codes[5349] = 0x0000dcd110b40edaUL;
   tf->codes[5350] = 0x0000dcd14b43149fUL;
   tf->codes[5351] = 0x0000dcd394d94e51UL;
   tf->codes[5352] = 0x0000dcd409f759dbUL;
   tf->codes[5353] = 0x0000dcd73dc9aaa1UL;
   tf->codes[5354] = 0x0000dcda370cf5a2UL;
   tf->codes[5355] = 0x0000dcdbd0f61e05UL;
   tf->codes[5356] = 0x0000dcde1a8c57b7UL;
   tf->codes[5357] = 0x0000dcdeca396906UL;
   tf->codes[5358] = 0x0000dcdf3f577490UL;
   tf->codes[5359] = 0x0000dce4f74f04cdUL;
   tf->codes[5360] = 0x0000dcea3a288980UL;
   tf->codes[5361] = 0x0000dcef7d020e33UL;
   tf->codes[5362] = 0x0000dcf325f26a83UL;
   tf->codes[5363] = 0x0000dcf4102e8197UL;
   tf->codes[5364] = 0x0000dcf44abd875cUL;
   tf->codes[5365] = 0x0000dcf8a35af4fbUL;
   tf->codes[5366] = 0x0000dcf8dde9fac0UL;
   tf->codes[5367] = 0x0000dcfe95e18afdUL;
   tf->codes[5368] = 0x0000dd01c9b3dbc3UL;
   tf->codes[5369] = 0x0000dd06976f54ecUL;
   tf->codes[5370] = 0x0000dd06d1fe5ab1UL;
   tf->codes[5371] = 0x0000dd07471c663bUL;
   tf->codes[5372] = 0x0000dd0990b29fedUL;
   tf->codes[5373] = 0x0000dd0a405fb13cUL;
   tf->codes[5374] = 0x0000dd13dbd6a38eUL;
   tf->codes[5375] = 0x0000dd174a37fa19UL;
   tf->codes[5376] = 0x0000dd1ab89950a4UL;
   tf->codes[5377] = 0x0000dd1cc7a08491UL;
   tf->codes[5378] = 0x0000dd1dec6ba16aUL;
   tf->codes[5379] = 0x0000dd21203df230UL;
   tf->codes[5380] = 0x0000dd2419813d31UL;
   tf->codes[5381] = 0x0000dd24541042f6UL;
   tf->codes[5382] = 0x0000dd2abbb4e482UL;
   tf->codes[5383] = 0x0000dd2f4ee157e6UL;
   tf->codes[5384] = 0x0000dd3073ac74bfUL;
   tf->codes[5385] = 0x0000dd36db51164bUL;
   tf->codes[5386] = 0x0000dd3715e01c10UL;
   tf->codes[5387] = 0x0000dd3b6e7d89afUL;
   tf->codes[5388] = 0x0000dd40ebe61427UL;
   tf->codes[5389] = 0x0000dd4494d67077UL;
   tf->codes[5390] = 0x0000dd45f4309315UL;
   tf->codes[5391] = 0x0000dd47538ab5b3UL;
   tf->codes[5392] = 0x0000dd492802e3dbUL;
   tf->codes[5393] = 0x0000dd4a875d0679UL;
   tf->codes[5394] = 0x0000dd50b472a240UL;
   tf->codes[5395] = 0x0000dd51d93dbf19UL;
   tf->codes[5396] = 0x0000dd54d2810a1aUL;
   tf->codes[5397] = 0x0000dd55f74c26f3UL;
   tf->codes[5398] = 0x0000dd566c6a327dUL;
   tf->codes[5399] = 0x0000dd56a6f93842UL;
   tf->codes[5400] = 0x0000dd5791354f56UL;
   tf->codes[5401] = 0x0000dd5b3a25aba6UL;
   tf->codes[5402] = 0x0000dd5baf43b730UL;
   tf->codes[5403] = 0x0000dd5c5ef0c87fUL;
   tf->codes[5404] = 0x0000dd5d83bbe558UL;
   tf->codes[5405] = 0x0000dd6376427b5aUL;
   tf->codes[5406] = 0x0000dd63eb6086e4UL;
   tf->codes[5407] = 0x0000dd658549af47UL;
   tf->codes[5408] = 0x0000dd666f85c65bUL;
   tf->codes[5409] = 0x0000dd69a3581721UL;
   tf->codes[5410] = 0x0000dd6a53052870UL;
   tf->codes[5411] = 0x0000dd700afcb8adUL;
   tf->codes[5412] = 0x0000dd71df74e6d5UL;
   tf->codes[5413] = 0x0000dd74639a264cUL;
   tf->codes[5414] = 0x0000dd75fd834eafUL;
   tf->codes[5415] = 0x0000dd7638125474UL;
   tf->codes[5416] = 0x0000dd7e39a01e63UL;
   tf->codes[5417] = 0x0000dd7e742f2428UL;
   tf->codes[5418] = 0x0000dd7eaebe29edUL;
   tf->codes[5419] = 0x0000dd8048a75250UL;
   tf->codes[5420] = 0x0000dd8550f1d13eUL;
   tf->codes[5421] = 0x0000dd8b08e9617bUL;
   tf->codes[5422] = 0x0000dd92203b1456UL;
   tf->codes[5423] = 0x0000dd96b36787baUL;
   tf->codes[5424] = 0x0000dd97d832a493UL;
   tf->codes[5425] = 0x0000dd9f2a135d33UL;
   tf->codes[5426] = 0x0000dd9f9f3168bdUL;
   tf->codes[5427] = 0x0000dda29874b3beUL;
   tf->codes[5428] = 0x0000dda30d92bf48UL;
   tf->codes[5429] = 0x0000dda34821c50dUL;
   tf->codes[5430] = 0x0000dda382b0cad2UL;
   tf->codes[5431] = 0x0000dda67bf415d3UL;
   tf->codes[5432] = 0x0000ddab0f208937UL;
   tf->codes[5433] = 0x0000ddae0863d438UL;
   tf->codes[5434] = 0x0000ddae7d81dfc2UL;
   tf->codes[5435] = 0x0000ddaef29feb4cUL;
   tf->codes[5436] = 0x0000ddb0c7181974UL;
   tf->codes[5437] = 0x0000ddb7de69cc4fUL;
   tf->codes[5438] = 0x0000ddb818f8d214UL;
   tf->codes[5439] = 0x0000ddb90334e928UL;
   tf->codes[5440] = 0x0000ddba28000601UL;
   tf->codes[5441] = 0x0000ddbfa5689079UL;
   tf->codes[5442] = 0x0000ddc2298dcff0UL;
   tf->codes[5443] = 0x0000ddc522d11af1UL;
   tf->codes[5444] = 0x0000ddcf336618cdUL;
   tf->codes[5445] = 0x0000ddd0583135a6UL;
   tf->codes[5446] = 0x0000ddd1f21a5e09UL;
   tf->codes[5447] = 0x0000ddd38c03866cUL;
   tf->codes[5448] = 0x0000ddd59b0aba59UL;
   tf->codes[5449] = 0x0000ddd68546d16dUL;
   tf->codes[5450] = 0x0000ddd7aa11ee46UL;
   tf->codes[5451] = 0x0000dddaa3553947UL;
   tf->codes[5452] = 0x0000dddc3d3e61aaUL;
   tf->codes[5453] = 0x0000dde0d06ad50eUL;
   tf->codes[5454] = 0x0000dde22fc4f7acUL;
   tf->codes[5455] = 0x0000dde38f1f1a4aUL;
   tf->codes[5456] = 0x0000dde5290842adUL;
   tf->codes[5457] = 0x0000dde981a5b04cUL;
   tf->codes[5458] = 0x0000ddeae0ffd2eaUL;
   tf->codes[5459] = 0x0000ddeec47f34ffUL;
   tf->codes[5460] = 0x0000ddeeff0e3ac4UL;
   tf->codes[5461] = 0x0000ddefe94a51d8UL;
   tf->codes[5462] = 0x0000ddf148a47476UL;
   tf->codes[5463] = 0x0000ddfa346e5579UL;
   tf->codes[5464] = 0x0000ddfddd5eb1c9UL;
   tf->codes[5465] = 0x0000ddfe17edb78eUL;
   tf->codes[5466] = 0x0000ddfe8d0bc318UL;
   tf->codes[5467] = 0x0000ddffec65e5b6UL;
   tf->codes[5468] = 0x0000de0026f4eb7bUL;
   tf->codes[5469] = 0x0000de032038367cUL;
   tf->codes[5470] = 0x0000de04f4b064a4UL;
   tf->codes[5471] = 0x0000de068e998d07UL;
   tf->codes[5472] = 0x0000de07b364a9e0UL;
   tf->codes[5473] = 0x0000de0cbbaf28ceUL;
   tf->codes[5474] = 0x0000de0e55985131UL;
   tf->codes[5475] = 0x0000de0f7a636e0aUL;
   tf->codes[5476] = 0x0000de0fef817994UL;
   tf->codes[5477] = 0x0000de109f2e8ae3UL;
   tf->codes[5478] = 0x0000de13d300dba9UL;
   tf->codes[5479] = 0x0000de1741623234UL;
   tf->codes[5480] = 0x0000de177bf137f9UL;
   tf->codes[5481] = 0x0000de17b6803dbeUL;
   tf->codes[5482] = 0x0000de198af86be6UL;
   tf->codes[5483] = 0x0000de1a753482faUL;
   tf->codes[5484] = 0x0000de1c49acb122UL;
   tf->codes[5485] = 0x0000de1c843bb6e7UL;
   tf->codes[5486] = 0x0000de21c7153b9aUL;
   tf->codes[5487] = 0x0000de223c334724UL;
   tf->codes[5488] = 0x0000de25700597eaUL;
   tf->codes[5489] = 0x0000de265a41aefeUL;
   tf->codes[5490] = 0x0000de277f0ccbd7UL;
   tf->codes[5491] = 0x0000de295384f9ffUL;
   tf->codes[5492] = 0x0000de2b628c2decUL;
   tf->codes[5493] = 0x0000de31ca30cf78UL;
   tf->codes[5494] = 0x0000de32b46ce68cUL;
   tf->codes[5495] = 0x0000de33298af216UL;
   tf->codes[5496] = 0x0000de37f7466b3fUL;
   tf->codes[5497] = 0x0000de39912f93a2UL;
   tf->codes[5498] = 0x0000de3b2b18bc05UL;
   tf->codes[5499] = 0x0000de3b65a7c1caUL;
   tf->codes[5500] = 0x0000de3c1554d319UL;
   tf->codes[5501] = 0x0000de3ed4091855UL;
   tf->codes[5502] = 0x0000de3fbe452f69UL;
   tf->codes[5503] = 0x0000de42f217802fUL;
   tf->codes[5504] = 0x0000de45763cbfa6UL;
   tf->codes[5505] = 0x0000de466078d6baUL;
   tf->codes[5506] = 0x0000de471025e809UL;
   tf->codes[5507] = 0x0000de4ab9164459UL;
   tf->codes[5508] = 0x0000de4dece8951fUL;
   tf->codes[5509] = 0x0000de53a4e0255cUL;
   tf->codes[5510] = 0x0000de55ee765f0eUL;
   tf->codes[5511] = 0x0000de56d8b27622UL;
   tf->codes[5512] = 0x0000de574dd081acUL;
   tf->codes[5513] = 0x0000de58ad2aa44aUL;
   tf->codes[5514] = 0x0000de5abc31d837UL;
   tf->codes[5515] = 0x0000de5c1b8bfad5UL;
   tf->codes[5516] = 0x0000de5db5752338UL;
   tf->codes[5517] = 0x0000de5df00428fdUL;
   tf->codes[5518] = 0x0000de615e657f88UL;
   tf->codes[5519] = 0x0000de662c20f8b1UL;
   tf->codes[5520] = 0x0000de700226f0c8UL;
   tf->codes[5521] = 0x0000de71d69f1ef0UL;
   tf->codes[5522] = 0x0000de7335f9418eUL;
   tf->codes[5523] = 0x0000de74cfe269f1UL;
   tf->codes[5524] = 0x0000de7baca51707UL;
   tf->codes[5525] = 0x0000de7c21c32291UL;
   tf->codes[5526] = 0x0000de7d468e3f6aUL;
   tf->codes[5527] = 0x0000de80ef7e9bbaUL;
   tf->codes[5528] = 0x0000de821449b893UL;
   tf->codes[5529] = 0x0000de83ae32e0f6UL;
   tf->codes[5530] = 0x0000de8b00139996UL;
   tf->codes[5531] = 0x0000de8bafc0aae5UL;
   tf->codes[5532] = 0x0000de8fcdcf12bfUL;
   tf->codes[5533] = 0x0000de907d7c240eUL;
   tf->codes[5534] = 0x0000de90f29a2f98UL;
   tf->codes[5535] = 0x0000de928c8357fbUL;
   tf->codes[5536] = 0x0000de9301a16385UL;
   tf->codes[5537] = 0x0000de95fae4ae86UL;
   tf->codes[5538] = 0x0000de96aa91bfd5UL;
   tf->codes[5539] = 0x0000de98447ae838UL;
   tf->codes[5540] = 0x0000de9a8e1121eaUL;
   tf->codes[5541] = 0x0000de9b784d38feUL;
   tf->codes[5542] = 0x0000de9c27fa4a4dUL;
   tf->codes[5543] = 0x0000dea49ea61fc6UL;
   tf->codes[5544] = 0x0000dea6adad53b3UL;
   tf->codes[5545] = 0x0000dea7d278708cUL;
   tf->codes[5546] = 0x0000deae74ac17ddUL;
   tf->codes[5547] = 0x0000deb083b34bcaUL;
   tf->codes[5548] = 0x0000deb342679106UL;
   tf->codes[5549] = 0x0000deb3f214a255UL;
   tf->codes[5550] = 0x0000deb4a1c1b3a4UL;
   tf->codes[5551] = 0x0000deb810230a2fUL;
   tf->codes[5552] = 0x0000deb8854115b9UL;
   tf->codes[5553] = 0x0000debbb913667fUL;
   tf->codes[5554] = 0x0000debdc81a9a6cUL;
   tf->codes[5555] = 0x0000dec04c3fd9e3UL;
   tf->codes[5556] = 0x0000dec1e6290246UL;
   tf->codes[5557] = 0x0000deca9763dd84UL;
   tf->codes[5558] = 0x0000dece405439d4UL;
   tf->codes[5559] = 0x0000ded3489eb8c2UL;
   tf->codes[5560] = 0x0000dedb4a2c82b1UL;
   tf->codes[5561] = 0x0000dedce415ab14UL;
   tf->codes[5562] = 0x0000dedd1ea4b0d9UL;
   tf->codes[5563] = 0x0000dee08d060764UL;
   tf->codes[5564] = 0x0000dee13cb318b3UL;
   tf->codes[5565] = 0x0000dee3c0d8582aUL;
   tf->codes[5566] = 0x0000dee595508652UL;
   tf->codes[5567] = 0x0000dee644fd97a1UL;
   tf->codes[5568] = 0x0000deeb87d71c54UL;
   tf->codes[5569] = 0x0000def090219b42UL;
   tf->codes[5570] = 0x0000def1b4ecb81bUL;
   tf->codes[5571] = 0x0000def38964e643UL;
   tf->codes[5572] = 0x0000def682a83144UL;
   tf->codes[5573] = 0x0000def857205f6cUL;
   tf->codes[5574] = 0x0000defadb459ee3UL;
   tf->codes[5575] = 0x0000defd5f6ade5aUL;
   tf->codes[5576] = 0x0000df01b8084bf9UL;
   tf->codes[5577] = 0x0000df085a3bf34aUL;
   tf->codes[5578] = 0x0000df08cf59fed4UL;
   tf->codes[5579] = 0x0000df09f4251badUL;
   tf->codes[5580] = 0x0000df0a69432737UL;
   tf->codes[5581] = 0x0000df0ced6866aeUL;
   tf->codes[5582] = 0x0000df131a7e0275UL;
   tf->codes[5583] = 0x0000df1529853662UL;
   tf->codes[5584] = 0x0000df164e50533bUL;
   tf->codes[5585] = 0x0000df17adaa75d9UL;
   tf->codes[5586] = 0x0000df19bcb1a9c6UL;
   tf->codes[5587] = 0x0000df1da0310bdbUL;
   tf->codes[5588] = 0x0000df1e4fde1d2aUL;
   tf->codes[5589] = 0x0000df1ec4fc28b4UL;
   tf->codes[5590] = 0x0000df210e926266UL;
   tf->codes[5591] = 0x0000df21be3f73b5UL;
   tf->codes[5592] = 0x0000df2358289c18UL;
   tf->codes[5593] = 0x0000df273ba7fe2dUL;
   tf->codes[5594] = 0x0000df2825e41541UL;
   tf->codes[5595] = 0x0000df2b1f276042UL;
   tf->codes[5596] = 0x0000df2f3d35c81cUL;
   tf->codes[5597] = 0x0000df32ab971ea7UL;
   tf->codes[5598] = 0x0000df344580470aUL;
   tf->codes[5599] = 0x0000df3619f87532UL;
   tf->codes[5600] = 0x0000df37795297d0UL;
   tf->codes[5601] = 0x0000df39133bc033UL;
   tf->codes[5602] = 0x0000df3c819d16beUL;
   tf->codes[5603] = 0x0000df3da6683397UL;
   tf->codes[5604] = 0x0000df414f588fe7UL;
   tf->codes[5605] = 0x0000df4189e795acUL;
   tf->codes[5606] = 0x0000df44bdb9e672UL;
   tf->codes[5607] = 0x0000df469232149aUL;
   tf->codes[5608] = 0x0000df4e5930d8c4UL;
   tf->codes[5609] = 0x0000df53d699633cUL;
   tf->codes[5610] = 0x0000df5535f385daUL;
   tf->codes[5611] = 0x0000df5570828b9fUL;
   tf->codes[5612] = 0x0000df591972e7efUL;
   tf->codes[5613] = 0x0000df59c91ff93eUL;
   tf->codes[5614] = 0x0000df5a03aeff03UL;
   tf->codes[5615] = 0x0000df5b9d982766UL;
   tf->codes[5616] = 0x0000df5c87d43e7aUL;
   tf->codes[5617] = 0x0000df61901ebd68UL;
   tf->codes[5618] = 0x0000df62053cc8f2UL;
   tf->codes[5619] = 0x0000df636496eb90UL;
   tf->codes[5620] = 0x0000df6698693c56UL;
   tf->codes[5621] = 0x0000df6b6624b57fUL;
   tf->codes[5622] = 0x0000df6bdb42c109UL;
   tf->codes[5623] = 0x0000df6e99f70645UL;
   tf->codes[5624] = 0x0000df71933a5146UL;
   tf->codes[5625] = 0x0000df7576b9b35bUL;
   tf->codes[5626] = 0x0000df7ab993380eUL;
   tf->codes[5627] = 0x0000df7b2eb14398UL;
   tf->codes[5628] = 0x0000df82f5b007c2UL;
   tf->codes[5629] = 0x0000df83dfec1ed6UL;
   tf->codes[5630] = 0x0000df848f993025UL;
   tf->codes[5631] = 0x0000df8504b73bafUL;
   tf->codes[5632] = 0x0000df869ea06412UL;
   tf->codes[5633] = 0x0000df8713be6f9cUL;
   tf->codes[5634] = 0x0000df87c36b80ebUL;
   tf->codes[5635] = 0x0000df8af73dd1b1UL;
   tf->codes[5636] = 0x0000df92be3c95dbUL;
   tf->codes[5637] = 0x0000df945825be3eUL;
   tf->codes[5638] = 0x0000df95b77fe0dcUL;
   tf->codes[5639] = 0x0000df96dc4afdb5UL;
   tf->codes[5640] = 0x0000df975169093fUL;
   tf->codes[5641] = 0x0000df9c1f248268UL;
   tf->codes[5642] = 0x0000df9db90daacbUL;
   tf->codes[5643] = 0x0000df9f8d85d8f3UL;
   tf->codes[5644] = 0x0000dfa211ab186aUL;
   tf->codes[5645] = 0x0000dfb07add83e5UL;
   tf->codes[5646] = 0x0000dfb2ff02c35cUL;
   tf->codes[5647] = 0x0000dfb3aeafd4abUL;
   tf->codes[5648] = 0x0000dfb45e5ce5faUL;
   tf->codes[5649] = 0x0000dfb66d6419e7UL;
   tf->codes[5650] = 0x0000dfb6e2822571UL;
   tf->codes[5651] = 0x0000dfb8f189595eUL;
   tf->codes[5652] = 0x0000dfbc9a79b5aeUL;
   tf->codes[5653] = 0x0000dfbcd508bb73UL;
   tf->codes[5654] = 0x0000dfbdbf44d287UL;
   tf->codes[5655] = 0x0000dfbe3462de11UL;
   tf->codes[5656] = 0x0000dfc8ba15e777UL;
   tf->codes[5657] = 0x0000dfc9dee10450UL;
   tf->codes[5658] = 0x0000dfcac91d1b64UL;
   tf->codes[5659] = 0x0000dfcb3e3b26eeUL;
   tf->codes[5660] = 0x0000dfcf21ba8903UL;
   tf->codes[5661] = 0x0000dfd2558cd9c9UL;
   tf->codes[5662] = 0x0000dfd4d9b21940UL;
   tf->codes[5663] = 0x0000dfd514411f05UL;
   tf->codes[5664] = 0x0000dfd6ae2a4768UL;
   tf->codes[5665] = 0x0000dfd798665e7cUL;
   tf->codes[5666] = 0x0000dfd848136fcbUL;
   tf->codes[5667] = 0x0000dfd9324f86dfUL;
   tf->codes[5668] = 0x0000dfd9e1fc982eUL;
   tf->codes[5669] = 0x0000dfda571aa3b8UL;
   tf->codes[5670] = 0x0000dfdf99f4286bUL;
   tf->codes[5671] = 0x0000dfe342e484bbUL;
   tf->codes[5672] = 0x0000dfe37d738a80UL;
   tf->codes[5673] = 0x0000dfe79b81f25aUL;
   tf->codes[5674] = 0x0000dfe96ffa2082UL;
   tf->codes[5675] = 0x0000dfea5a363796UL;
   tf->codes[5676] = 0x0000dff0fc69dee7UL;
   tf->codes[5677] = 0x0000dff17187ea71UL;
   tf->codes[5678] = 0x0000dff30b7112d4UL;
   tf->codes[5679] = 0x0000dff3bb1e2423UL;
   tf->codes[5680] = 0x0000dff4dfe940fcUL;
   tf->codes[5681] = 0x0000dff63f43639aUL;
   tf->codes[5682] = 0x0000dff679d2695fUL;
   tf->codes[5683] = 0x0000dff8c368a311UL;
   tf->codes[5684] = 0x0000dffa5d51cb74UL;
   tf->codes[5685] = 0x0000e00015495bb1UL;
   tf->codes[5686] = 0x0000e002996e9b28UL;
   tf->codes[5687] = 0x0000e002d3fda0edUL;
   tf->codes[5688] = 0x0000e0030e8ca6b2UL;
   tf->codes[5689] = 0x0000e00383aab23cUL;
   tf->codes[5690] = 0x0000e003be39b801UL;
   tf->codes[5691] = 0x0000e005cd40ebeeUL;
   tf->codes[5692] = 0x0000e006425ef778UL;
   tf->codes[5693] = 0x0000e007672a1451UL;
   tf->codes[5694] = 0x0000e007a1b91a16UL;
   tf->codes[5695] = 0x0000e007dc481fdbUL;
   tf->codes[5696] = 0x0000e0088bf5312aUL;
   tf->codes[5697] = 0x0000e0097631483eUL;
   tf->codes[5698] = 0x0000e00a606d5f52UL;
   tf->codes[5699] = 0x0000e00a9afc6517UL;
   tf->codes[5700] = 0x0000e00b4aa97666UL;
   tf->codes[5701] = 0x0000e00f68b7de40UL;
   tf->codes[5702] = 0x0000e0101864ef8fUL;
   tf->codes[5703] = 0x0000e0108d82fb19UL;
   tf->codes[5704] = 0x0000e010c81200deUL;
   tf->codes[5705] = 0x0000e01102a106a3UL;
   tf->codes[5706] = 0x0000e01177bf122dUL;
   tf->codes[5707] = 0x0000e012276c237cUL;
   tf->codes[5708] = 0x0000e01261fb2941UL;
   tf->codes[5709] = 0x0000e0134c374055UL;
   tf->codes[5710] = 0x0000e013c1554bdfUL;
   tf->codes[5711] = 0x0000e014ab9162f3UL;
   tf->codes[5712] = 0x0000e015d05c7fccUL;
   tf->codes[5713] = 0x0000e016457a8b56UL;
   tf->codes[5714] = 0x0000e016ba9896e0UL;
   tf->codes[5715] = 0x0000e017df63b3b9UL;
   tf->codes[5716] = 0x0000e018c99fcacdUL;
   tf->codes[5717] = 0x0000e0193ebdd657UL;
   tf->codes[5718] = 0x0000e019b3dbe1e1UL;
   tf->codes[5719] = 0x0000e019ee6ae7a6UL;
   tf->codes[5720] = 0x0000e01b4dc50a44UL;
   tf->codes[5721] = 0x0000e01bc2e315ceUL;
   tf->codes[5722] = 0x0000e01dd1ea49bbUL;
   tf->codes[5723] = 0x0000e0201b80836dUL;
   tf->codes[5724] = 0x0000e020cb2d94bcUL;
   tf->codes[5725] = 0x0000e021eff8b195UL;
   tf->codes[5726] = 0x0000e022da34c8a9UL;
   tf->codes[5727] = 0x0000e0234f52d433UL;
   tf->codes[5728] = 0x0000e02389e1d9f8UL;
   tf->codes[5729] = 0x0000e023c470dfbdUL;
   tf->codes[5730] = 0x0000e0276d613c0dUL;
   tf->codes[5731] = 0x0000e027a7f041d2UL;
   tf->codes[5732] = 0x0000e027e27f4797UL;
   tf->codes[5733] = 0x0000e028922c58e6UL;
   tf->codes[5734] = 0x0000e028ccbb5eabUL;
   tf->codes[5735] = 0x0000e02941d96a35UL;
   tf->codes[5736] = 0x0000e02aa1338cd3UL;
   tf->codes[5737] = 0x0000e02c008daf71UL;
   tf->codes[5738] = 0x0000e02e4a23e923UL;
   tf->codes[5739] = 0x0000e02ebf41f4adUL;
   tf->codes[5740] = 0x0000e02fa97e0bc1UL;
   tf->codes[5741] = 0x0000e0301e9c174bUL;
   tf->codes[5742] = 0x0000e030592b1d10UL;
   tf->codes[5743] = 0x0000e03093ba22d5UL;
   tf->codes[5744] = 0x0000e03108d82e5fUL;
   tf->codes[5745] = 0x0000e03143673424UL;
   tf->codes[5746] = 0x0000e031b8853faeUL;
   tf->codes[5747] = 0x0000e032a2c156c2UL;
   tf->codes[5748] = 0x0000e032dd505c87UL;
   tf->codes[5749] = 0x0000e033526e6811UL;
   tf->codes[5750] = 0x0000e034773984eaUL;
   tf->codes[5751] = 0x0000e03526e69639UL;
   tf->codes[5752] = 0x0000e0364bb1b312UL;
   tf->codes[5753] = 0x0000e037ab0bd5b0UL;
   tf->codes[5754] = 0x0000e037e59adb75UL;
   tf->codes[5755] = 0x0000e0385ab8e6ffUL;
   tf->codes[5756] = 0x0000e0397f8403d8UL;
   tf->codes[5757] = 0x0000e03a2f311527UL;
   tf->codes[5758] = 0x0000e03aa44f20b1UL;
   tf->codes[5759] = 0x0000e03b8e8b37c5UL;
   tf->codes[5760] = 0x0000e03bc91a3d8aUL;
   tf->codes[5761] = 0x0000e03d9d926bb2UL;
   tf->codes[5762] = 0x0000e03dd8217177UL;
   tf->codes[5763] = 0x0000e03e12b0773cUL;
   tf->codes[5764] = 0x0000e04021b7ab29UL;
   tf->codes[5765] = 0x0000e042e06bf065UL;
   tf->codes[5766] = 0x0000e0431afaf62aUL;
   tf->codes[5767] = 0x0000e043901901b4UL;
   tf->codes[5768] = 0x0000e046fe7a583fUL;
   tf->codes[5769] = 0x0000e0485dd47addUL;
   tf->codes[5770] = 0x0000e049481091f1UL;
   tf->codes[5771] = 0x0000e04aa76ab48fUL;
   tf->codes[5772] = 0x0000e04b1c88c019UL;
   tf->codes[5773] = 0x0000e04da0adff90UL;
   tf->codes[5774] = 0x0000e052e3878443UL;
   tf->codes[5775] = 0x0000e0531e168a08UL;
   tf->codes[5776] = 0x0000e05393349592UL;
   tf->codes[5777] = 0x0000e0552d1dbdf5UL;
   tf->codes[5778] = 0x0000e05567acc3baUL;
   tf->codes[5779] = 0x0000e0573c24f1e2UL;
   tf->codes[5780] = 0x0000e05776b3f7a7UL;
   tf->codes[5781] = 0x0000e0594b2c25cfUL;
   tf->codes[5782] = 0x0000e05985bb2b94UL;
   tf->codes[5783] = 0x0000e05a6ff742a8UL;
   tf->codes[5784] = 0x0000e05ae5154e32UL;
   tf->codes[5785] = 0x0000e05ec894b047UL;
   tf->codes[5786] = 0x0000e062ac14125cUL;
   tf->codes[5787] = 0x0000e0635bc123abUL;
   tf->codes[5788] = 0x0000e0640b6e34faUL;
   tf->codes[5789] = 0x0000e0656ac85798UL;
   tf->codes[5790] = 0x0000e0668f937471UL;
   tf->codes[5791] = 0x0000e067eeed970fUL;
   tf->codes[5792] = 0x0000e06913b8b3e8UL;
   tf->codes[5793] = 0x0000e069c365c537UL;
   tf->codes[5794] = 0x0000e06a7312d686UL;
   tf->codes[5795] = 0x0000e06ae830e210UL;
   tf->codes[5796] = 0x0000e06b5d4eed9aUL;
   tf->codes[5797] = 0x0000e07065996c88UL;
   tf->codes[5798] = 0x0000e071ff8294ebUL;
   tf->codes[5799] = 0x0000e072af2fa63aUL;
   tf->codes[5800] = 0x0000e072e9beabffUL;
   tf->codes[5801] = 0x0000e073244db1c4UL;
   tf->codes[5802] = 0x0000e073d3fac313UL;
   tf->codes[5803] = 0x0000e0765820028aUL;
   tf->codes[5804] = 0x0000e077425c199eUL;
   tf->codes[5805] = 0x0000e078a1b63c3cUL;
   tf->codes[5806] = 0x0000e07ab0bd7029UL;
   tf->codes[5807] = 0x0000e07c4aa6988cUL;
   tf->codes[5808] = 0x0000e07c85359e51UL;
   tf->codes[5809] = 0x0000e07e1f1ec6b4UL;
   tf->codes[5810] = 0x0000e08068b50066UL;
   tf->codes[5811] = 0x0000e08152f1177aUL;
   tf->codes[5812] = 0x0000e0818d801d3fUL;
   tf->codes[5813] = 0x0000e082029e28c9UL;
   tf->codes[5814] = 0x0000e083276945a2UL;
   tf->codes[5815] = 0x0000e0844c34627bUL;
   tf->codes[5816] = 0x0000e0865b3b9668UL;
   tf->codes[5817] = 0x0000e0878006b341UL;
   tf->codes[5818] = 0x0000e0882fb3c490UL;
   tf->codes[5819] = 0x0000e0898f0de72eUL;
   tf->codes[5820] = 0x0000e08a3ebaf87dUL;
   tf->codes[5821] = 0x0000e08b63861556UL;
   tf->codes[5822] = 0x0000e08f81947d30UL;
   tf->codes[5823] = 0x0000e08fbc2382f5UL;
   tf->codes[5824] = 0x0000e090a65f9a09UL;
   tf->codes[5825] = 0x0000e094fefd07a8UL;
   tf->codes[5826] = 0x0000e095741b1332UL;
   tf->codes[5827] = 0x0000e095aeaa18f7UL;
   tf->codes[5828] = 0x0000e0965e572a46UL;
   tf->codes[5829] = 0x0000e0978322471fUL;
   tf->codes[5830] = 0x0000e09832cf586eUL;
   tf->codes[5831] = 0x0000e09992297b0cUL;
   tf->codes[5832] = 0x0000e09a7c659220UL;
   tf->codes[5833] = 0x0000e09bdbbfb4beUL;
   tf->codes[5834] = 0x0000e09c8b6cc60dUL;
   tf->codes[5835] = 0x0000e09d75a8dd21UL;
   tf->codes[5836] = 0x0000e09e5fe4f435UL;
   tf->codes[5837] = 0x0000e0a0e40a33acUL;
   tf->codes[5838] = 0x0000e0a193b744fbUL;
   tf->codes[5839] = 0x0000e0a24364564aUL;
   tf->codes[5840] = 0x0000e0a2b88261d4UL;
   tf->codes[5841] = 0x0000e0a3682f7323UL;
   tf->codes[5842] = 0x0000e0a3dd4d7eadUL;
   tf->codes[5843] = 0x0000e0a4c78995c1UL;
   tf->codes[5844] = 0x0000e0a66172be24UL;
   tf->codes[5845] = 0x0000e0aa0a631a74UL;
   tf->codes[5846] = 0x0000e0aba44c42d7UL;
   tf->codes[5847] = 0x0000e0b196d2d8d9UL;
   tf->codes[5848] = 0x0000e0b2f62cfb77UL;
   tf->codes[5849] = 0x0000e0b36b4b0701UL;
   tf->codes[5850] = 0x0000e0b3e069128bUL;
   tf->codes[5851] = 0x0000e0b5ef704678UL;
   tf->codes[5852] = 0x0000e0b6648e5202UL;
   tf->codes[5853] = 0x0000e0b6d9ac5d8cUL;
   tf->codes[5854] = 0x0000e0b7143b6351UL;
   tf->codes[5855] = 0x0000e0baf7bac566UL;
   tf->codes[5856] = 0x0000e0bba767d6b5UL;
   tf->codes[5857] = 0x0000e0bccc32f38eUL;
   tf->codes[5858] = 0x0000e0bd4150ff18UL;
   tf->codes[5859] = 0x0000e0bdb66f0aa2UL;
   tf->codes[5860] = 0x0000e0bdf0fe1067UL;
   tf->codes[5861] = 0x0000e0be2b8d162cUL;
   tf->codes[5862] = 0x0000e0be661c1bf1UL;
   tf->codes[5863] = 0x0000e0bedb3a277bUL;
   tf->codes[5864] = 0x0000e0bfc5763e8fUL;
   tf->codes[5865] = 0x0000e0c1d47d727cUL;
   tf->codes[5866] = 0x0000e0c2f9488f55UL;
   tf->codes[5867] = 0x0000e0c5f28bda56UL;
   tf->codes[5868] = 0x0000e0c6a238eba5UL;
   tf->codes[5869] = 0x0000e0c78c7502b9UL;
   tf->codes[5870] = 0x0000e0c7c704087eUL;
   tf->codes[5871] = 0x0000e0c9d60b3c6bUL;
   tf->codes[5872] = 0x0000e0ca4b2947f5UL;
   tf->codes[5873] = 0x0000e0cb35655f09UL;
   tf->codes[5874] = 0x0000e0cbaa836a93UL;
   tf->codes[5875] = 0x0000e0d371822ebdUL;
   tf->codes[5876] = 0x0000e0d45bbe45d1UL;
   tf->codes[5877] = 0x0000e0d6303673f9UL;
   tf->codes[5878] = 0x0000e0d66ac579beUL;
   tf->codes[5879] = 0x0000e0d7ca1f9c5cUL;
   tf->codes[5880] = 0x0000e0d804aea221UL;
   tf->codes[5881] = 0x0000e0d83f3da7e6UL;
   tf->codes[5882] = 0x0000e0d92979befaUL;
   tf->codes[5883] = 0x0000e0d96408c4bfUL;
   tf->codes[5884] = 0x0000e0da13b5d60eUL;
   tf->codes[5885] = 0x0000e0da4e44dbd3UL;
   tf->codes[5886] = 0x0000e0db730ff8acUL;
   tf->codes[5887] = 0x0000e0dbad9efe71UL;
   tf->codes[5888] = 0x0000e0dbe82e0436UL;
   tf->codes[5889] = 0x0000e0dc22bd09fbUL;
   tf->codes[5890] = 0x0000e0df568f5ac1UL;
   tf->codes[5891] = 0x0000e0e0b5e97d5fUL;
   tf->codes[5892] = 0x0000e0e0f0788324UL;
   tf->codes[5893] = 0x0000e0e2c4f0b14cUL;
   tf->codes[5894] = 0x0000e0e33a0ebcd6UL;
   tf->codes[5895] = 0x0000e0e3749dc29bUL;
   tf->codes[5896] = 0x0000e0e3e9bbce25UL;
   tf->codes[5897] = 0x0000e0e583a4f688UL;
   tf->codes[5898] = 0x0000e0e7cd3b303aUL;
   tf->codes[5899] = 0x0000e0e87ce84189UL;
   tf->codes[5900] = 0x0000e0e96724589dUL;
   tf->codes[5901] = 0x0000e0eac67e7b3bUL;
   tf->codes[5902] = 0x0000e0eb3b9c86c5UL;
   tf->codes[5903] = 0x0000e0f0b905113dUL;
   tf->codes[5904] = 0x0000e0f0f3941702UL;
   tf->codes[5905] = 0x0000e0f3029b4aefUL;
   tf->codes[5906] = 0x0000e0f5c14f902bUL;
   tf->codes[5907] = 0x0000e0f8ba92db2cUL;
   tf->codes[5908] = 0x0000e0fb79472068UL;
   tf->codes[5909] = 0x0000e10047029991UL;
   tf->codes[5910] = 0x0000e100f6afaae0UL;
   tf->codes[5911] = 0x0000e101313eb0a5UL;
   tf->codes[5912] = 0x0000e1016bcdb66aUL;
   tf->codes[5913] = 0x0000e101a65cbc2fUL;
   tf->codes[5914] = 0x0000e1042a81fba6UL;
   tf->codes[5915] = 0x0000e10589dc1e44UL;
   tf->codes[5916] = 0x0000e107d37257f6UL;
   tf->codes[5917] = 0x0000e10a5797976dUL;
   tf->codes[5918] = 0x0000e10accb5a2f7UL;
   tf->codes[5919] = 0x0000e10b0744a8bcUL;
   tf->codes[5920] = 0x0000e10b41d3ae81UL;
   tf->codes[5921] = 0x0000e10e3b16f982UL;
   tf->codes[5922] = 0x0000e11084ad3334UL;
   tf->codes[5923] = 0x0000e111345a4483UL;
   tf->codes[5924] = 0x0000e111a978500dUL;
   tf->codes[5925] = 0x0000e1137df07e35UL;
   tf->codes[5926] = 0x0000e113b87f83faUL;
   tf->codes[5927] = 0x0000e114682c9549UL;
   tf->codes[5928] = 0x0000e114dd4aa0d3UL;
   tf->codes[5929] = 0x0000e11726e0da85UL;
   tf->codes[5930] = 0x0000e117616fe04aUL;
   tf->codes[5931] = 0x0000e118863afd23UL;
   tf->codes[5932] = 0x0000e11b0a603c9aUL;
   tf->codes[5933] = 0x0000e11b7f7e4824UL;
   tf->codes[5934] = 0x0000e11bf49c53aeUL;
   tf->codes[5935] = 0x0000e11c69ba5f38UL;
   tf->codes[5936] = 0x0000e11d8e857c11UL;
   tf->codes[5937] = 0x0000e11eb35098eaUL;
   tf->codes[5938] = 0x0000e1204d39c14dUL;
   tf->codes[5939] = 0x0000e1213775d861UL;
   tf->codes[5940] = 0x0000e1217204de26UL;
   tf->codes[5941] = 0x0000e1230bee0689UL;
   tf->codes[5942] = 0x0000e123f62a1d9dUL;
   tf->codes[5943] = 0x0000e12430b92362UL;
   tf->codes[5944] = 0x0000e1260531518aUL;
   tf->codes[5945] = 0x0000e1279f1a79edUL;
   tf->codes[5946] = 0x0000e128c3e596c6UL;
   tf->codes[5947] = 0x0000e1297392a815UL;
   tf->codes[5948] = 0x0000e12a233fb964UL;
   tf->codes[5949] = 0x0000e12bbd28e1c7UL;
   tf->codes[5950] = 0x0000e1305055552bUL;
   tf->codes[5951] = 0x0000e130c57360b5UL;
   tf->codes[5952] = 0x0000e13299eb8eddUL;
   tf->codes[5953] = 0x0000e1330f099a67UL;
   tf->codes[5954] = 0x0000e1334998a02cUL;
   tf->codes[5955] = 0x0000e133f945b17bUL;
   tf->codes[5956] = 0x0000e135589fd419UL;
   tf->codes[5957] = 0x0000e135932ed9deUL;
   tf->codes[5958] = 0x0000e139b13d41b8UL;
   tf->codes[5959] = 0x0000e13a9b7958ccUL;
   tf->codes[5960] = 0x0000e13bc04475a5UL;
   tf->codes[5961] = 0x0000e13c3562812fUL;
   tf->codes[5962] = 0x0000e13d1f9e9843UL;
   tf->codes[5963] = 0x0000e13d94bca3cdUL;
   tf->codes[5964] = 0x0000e13e7ef8bae1UL;
   tf->codes[5965] = 0x0000e13eb987c0a6UL;
   tf->codes[5966] = 0x0000e13ef416c66bUL;
   tf->codes[5967] = 0x0000e13f6934d1f5UL;
   tf->codes[5968] = 0x0000e140c88ef493UL;
   tf->codes[5969] = 0x0000e141031dfa58UL;
   tf->codes[5970] = 0x0000e14227e91731UL;
   tf->codes[5971] = 0x0000e147a551a1a9UL;
   tf->codes[5972] = 0x0000e14854feb2f8UL;
   tf->codes[5973] = 0x0000e14bfdef0f48UL;
   tf->codes[5974] = 0x0000e14d5d4931e6UL;
   tf->codes[5975] = 0x0000e150cbaa8871UL;
   tf->codes[5976] = 0x0000e151b5e69f85UL;
   tf->codes[5977] = 0x0000e151f075a54aUL;
   tf->codes[5978] = 0x0000e1526593b0d4UL;
   tf->codes[5979] = 0x0000e152a022b699UL;
   tf->codes[5980] = 0x0000e1543a0bdefcUL;
   tf->codes[5981] = 0x0000e1559966019aUL;
   tf->codes[5982] = 0x0000e156491312e9UL;
   tf->codes[5983] = 0x0000e156f8c02438UL;
   tf->codes[5984] = 0x0000e15942565deaUL;
   tf->codes[5985] = 0x0000e15adc3f864dUL;
   tf->codes[5986] = 0x0000e15b515d91d7UL;
   tf->codes[5987] = 0x0000e15c7628aeb0UL;
   tf->codes[5988] = 0x0000e15ceb46ba3aUL;
   tf->codes[5989] = 0x0000e15e852fe29dUL;
   tf->codes[5990] = 0x0000e15efa4dee27UL;
   tf->codes[5991] = 0x0000e16109552214UL;
   tf->codes[5992] = 0x0000e161b9023363UL;
   tf->codes[5993] = 0x0000e161f3913928UL;
   tf->codes[5994] = 0x0000e162ddcd503cUL;
   tf->codes[5995] = 0x0000e163185c5601UL;
   tf->codes[5996] = 0x0000e16561f28fb3UL;
   tf->codes[5997] = 0x0000e1659c819578UL;
   tf->codes[5998] = 0x0000e166fbdbb816UL;
   tf->codes[5999] = 0x0000e16820a6d4efUL;
   tf->codes[6000] = 0x0000e1685b35dab4UL;
   tf->codes[6001] = 0x0000e169f51f0317UL;
   tf->codes[6002] = 0x0000e16a2fae08dcUL;
   tf->codes[6003] = 0x0000e16adf5b1a2bUL;
   tf->codes[6004] = 0x0000e16b8f082b7aUL;
   tf->codes[6005] = 0x0000e16bc997313fUL;
   tf->codes[6006] = 0x0000e16fe7a59919UL;
   tf->codes[6007] = 0x0000e17146ffbbb7UL;
   tf->codes[6008] = 0x0000e172313bd2cbUL;
   tf->codes[6009] = 0x0000e172a659de55UL;
   tf->codes[6010] = 0x0000e1731b77e9dfUL;
   tf->codes[6011] = 0x0000e174b5611242UL;
   tf->codes[6012] = 0x0000e175da2c2f1bUL;
   tf->codes[6013] = 0x0000e17614bb34e0UL;
   tf->codes[6014] = 0x0000e177398651b9UL;
   tf->codes[6015] = 0x0000e1777415577eUL;
   tf->codes[6016] = 0x0000e177aea45d43UL;
   tf->codes[6017] = 0x0000e179f83a96f5UL;
   tf->codes[6018] = 0x0000e17a6d58a27fUL;
   tf->codes[6019] = 0x0000e17b9223bf58UL;
   tf->codes[6020] = 0x0000e17e8b670a59UL;
   tf->codes[6021] = 0x0000e17f008515e3UL;
   tf->codes[6022] = 0x0000e1805fdf3881UL;
   tf->codes[6023] = 0x0000e181bf395b1fUL;
   tf->codes[6024] = 0x0000e181f9c860e4UL;
   tf->codes[6025] = 0x0000e182a9757233UL;
   tf->codes[6026] = 0x0000e18359228382UL;
   tf->codes[6027] = 0x0000e186c783da0dUL;
   tf->codes[6028] = 0x0000e187ec4ef6e6UL;
   tf->codes[6029] = 0x0000e189111a13bfUL;
   tf->codes[6030] = 0x0000e18a35e53098UL;
   tf->codes[6031] = 0x0000e18aab033c22UL;
   tf->codes[6032] = 0x0000e18b5ab04d71UL;
   tf->codes[6033] = 0x0000e18f3e2faf86UL;
   tf->codes[6034] = 0x0000e190286bc69aUL;
   tf->codes[6035] = 0x0000e190d818d7e9UL;
   tf->codes[6036] = 0x0000e19112a7ddaeUL;
   tf->codes[6037] = 0x0000e19321af119bUL;
   tf->codes[6038] = 0x0000e193d15c22eaUL;
   tf->codes[6039] = 0x0000e19481093439UL;
   tf->codes[6040] = 0x0000e195e06356d7UL;
   tf->codes[6041] = 0x0000e19655816261UL;
   tf->codes[6042] = 0x0000e197052e73b0UL;
   tf->codes[6043] = 0x0000e197ef6a8ac4UL;
   tf->codes[6044] = 0x0000e198d9a6a1d8UL;
   tf->codes[6045] = 0x0000e1998953b327UL;
   tf->codes[6046] = 0x0000e199c3e2b8ecUL;
   tf->codes[6047] = 0x0000e199fe71beb1UL;
   tf->codes[6048] = 0x0000e19a738fca3bUL;
   tf->codes[6049] = 0x0000e19b233cdb8aUL;
   tf->codes[6050] = 0x0000e19b985ae714UL;
   tf->codes[6051] = 0x0000e19bd2e9ecd9UL;
   tf->codes[6052] = 0x0000e19e1c80268bUL;
   tf->codes[6053] = 0x0000e19f414b4364UL;
   tf->codes[6054] = 0x0000e1a2afac99efUL;
   tf->codes[6055] = 0x0000e1a2ea3b9fb4UL;
   tf->codes[6056] = 0x0000e1a35f59ab3eUL;
   tf->codes[6057] = 0x0000e1a44995c252UL;
   tf->codes[6058] = 0x0000e1a4beb3cddcUL;
   tf->codes[6059] = 0x0000e1a4f942d3a1UL;
   tf->codes[6060] = 0x0000e1a5e37eeab5UL;
   tf->codes[6061] = 0x0000e1a61e0df07aUL;
   tf->codes[6062] = 0x0000e1aa018d528fUL;
   tf->codes[6063] = 0x0000e1ab9b767af2UL;
   tf->codes[6064] = 0x0000e1abd60580b7UL;
   tf->codes[6065] = 0x0000e1ad6feea91aUL;
   tf->codes[6066] = 0x0000e1aecf48cbb8UL;
   tf->codes[6067] = 0x0000e1b02ea2ee56UL;
   tf->codes[6068] = 0x0000e1b06931f41bUL;
   tf->codes[6069] = 0x0000e1b2031b1c7eUL;
   tf->codes[6070] = 0x0000e1b362753f1cUL;
   tf->codes[6071] = 0x0000e1b41222506bUL;
   tf->codes[6072] = 0x0000e1b4c1cf61baUL;
   tf->codes[6073] = 0x0000e1b536ed6d44UL;
   tf->codes[6074] = 0x0000e1b65bb88a1dUL;
   tf->codes[6075] = 0x0000e1b78083a6f6UL;
   tf->codes[6076] = 0x0000e1b86abfbe0aUL;
   tf->codes[6077] = 0x0000e1b91a6ccf59UL;
   tf->codes[6078] = 0x0000e1ba3f37ec32UL;
   tf->codes[6079] = 0x0000e1bab455f7bcUL;
   tf->codes[6080] = 0x0000e1bb29740346UL;
   tf->codes[6081] = 0x0000e1bb9e920ed0UL;
   tf->codes[6082] = 0x0000e1bbd9211495UL;
   tf->codes[6083] = 0x0000e1be5d46540cUL;
   tf->codes[6084] = 0x0000e1c3a01fd8bfUL;
   tf->codes[6085] = 0x0000e1c5e9b61271UL;
   tf->codes[6086] = 0x0000e1c7be2e4099UL;
   tf->codes[6087] = 0x0000e1c7f8bd465eUL;
   tf->codes[6088] = 0x0000e1c8a86a57adUL;
   tf->codes[6089] = 0x0000e1caf200915fUL;
   tf->codes[6090] = 0x0000e1cb2c8f9724UL;
   tf->codes[6091] = 0x0000e1cd7625d0d6UL;
   tf->codes[6092] = 0x0000e1cf852d04c3UL;
   tf->codes[6093] = 0x0000e1d06f691bd7UL;
   tf->codes[6094] = 0x0000e1d20952443aUL;
   tf->codes[6095] = 0x0000e1d2f38e5b4eUL;
   tf->codes[6096] = 0x0000e1d418597827UL;
   tf->codes[6097] = 0x0000e1d69c7eb79eUL;
   tf->codes[6098] = 0x0000e1d74c2bc8edUL;
   tf->codes[6099] = 0x0000e1d786baceb2UL;
   tf->codes[6100] = 0x0000e1d8e614f150UL;
   tf->codes[6101] = 0x0000e1daba8d1f78UL;
   tf->codes[6102] = 0x0000e1db6a3a30c7UL;
   tf->codes[6103] = 0x0000e1dc8f054da0UL;
   tf->codes[6104] = 0x0000e1dd0423592aUL;
   tf->codes[6105] = 0x0000e1dd3eb25eefUL;
   tf->codes[6106] = 0x0000e1df4db992dcUL;
   tf->codes[6107] = 0x0000e1e246fcddddUL;
   tf->codes[6108] = 0x0000e1e3e0e60640UL;
   tf->codes[6109] = 0x0000e1e4560411caUL;
   tf->codes[6110] = 0x0000e1e505b12319UL;
   tf->codes[6111] = 0x0000e1e6650b45b7UL;
   tf->codes[6112] = 0x0000e1e8398373dfUL;
   tf->codes[6113] = 0x0000e1eba7e4ca6aUL;
   tf->codes[6114] = 0x0000e1f1d4fa6631UL;
   tf->codes[6115] = 0x0000e1f3345488cfUL;
   tf->codes[6116] = 0x0000e1f9d6883020UL;
   tf->codes[6117] = 0x0000e1fa8635416fUL;
   tf->codes[6118] = 0x0000e1fc953c755cUL;
   tf->codes[6119] = 0x0000e2003e2cd1acUL;
   tf->codes[6120] = 0x0000e2012868e8c0UL;
   tf->codes[6121] = 0x0000e20212a4ffd4UL;
   tf->codes[6122] = 0x0000e2024d340599UL;
   tf->codes[6123] = 0x0000e20371ff2272UL;
   tf->codes[6124] = 0x0000e205f62461e9UL;
   tf->codes[6125] = 0x0000e208ef67aceaUL;
   tf->codes[6126] = 0x0000e2112b847c9eUL;
   tf->codes[6127] = 0x0000e211db318dedUL;
   tf->codes[6128] = 0x0000e2145f56cd64UL;
   tf->codes[6129] = 0x0000e214d474d8eeUL;
   tf->codes[6130] = 0x0000e2154992e478UL;
   tf->codes[6131] = 0x0000e2158421ea3dUL;
   tf->codes[6132] = 0x0000e215f93ff5c7UL;
   tf->codes[6133] = 0x0000e21633cefb8cUL;
   tf->codes[6134] = 0x0000e2171e0b12a0UL;
   tf->codes[6135] = 0x0000e2187d65353eUL;
   tf->codes[6136] = 0x0000e218f28340c8UL;
   tf->codes[6137] = 0x0000e21b018a74b5UL;
   tf->codes[6138] = 0x0000e21b3c197a7aUL;
   tf->codes[6139] = 0x0000e21c9b739d18UL;
   tf->codes[6140] = 0x0000e21dc03eb9f1UL;
   tf->codes[6141] = 0x0000e21e355cc57bUL;
   tf->codes[6142] = 0x0000e21e6febcb40UL;
   tf->codes[6143] = 0x0000e21eaa7ad105UL;
   tf->codes[6144] = 0x0000e2207ef2ff2dUL;
   tf->codes[6145] = 0x0000e22303183ea4UL;
   tf->codes[6146] = 0x0000e22378364a2eUL;
   tf->codes[6147] = 0x0000e225fc5b89a5UL;
   tf->codes[6148] = 0x0000e2272126a67eUL;
   tf->codes[6149] = 0x0000e227d0d3b7cdUL;
   tf->codes[6150] = 0x0000e22b04a60893UL;
   tf->codes[6151] = 0x0000e22b3f350e58UL;
   tf->codes[6152] = 0x0000e22fd26181bcUL;
   tf->codes[6153] = 0x0000e230f72c9e95UL;
   tf->codes[6154] = 0x0000e231e168b5a9UL;
   tf->codes[6155] = 0x0000e234a01cfae5UL;
   tf->codes[6156] = 0x0000e236e9b33497UL;
   tf->codes[6157] = 0x0000e23a92a390e7UL;
   tf->codes[6158] = 0x0000e23b4250a236UL;
   tf->codes[6159] = 0x0000e23cdc39ca99UL;
   tf->codes[6160] = 0x0000e23fd57d159aUL;
   tf->codes[6161] = 0x0000e2416f663dfdUL;
   tf->codes[6162] = 0x0000e241e4844987UL;
   tf->codes[6163] = 0x0000e243094f6660UL;
   tf->codes[6164] = 0x0000e244ddc79488UL;
   tf->codes[6165] = 0x0000e247275dce3aUL;
   tf->codes[6166] = 0x0000e24a5b301f00UL;
   tf->codes[6167] = 0x0000e24ad04e2a8aUL;
   tf->codes[6168] = 0x0000e24b7ffb3bd9UL;
   tf->codes[6169] = 0x0000e2504db6b502UL;
   tf->codes[6170] = 0x0000e2525cbde8efUL;
   tf->codes[6171] = 0x0000e252d1dbf479UL;
   tf->codes[6172] = 0x0000e254a65422a1UL;
   tf->codes[6173] = 0x0000e254e0e32866UL;
   tf->codes[6174] = 0x0000e257650867ddUL;
   tf->codes[6175] = 0x0000e259740f9bcaUL;
   tf->codes[6176] = 0x0000e25d578efddfUL;
   tf->codes[6177] = 0x0000e25f669631ccUL;
   tf->codes[6178] = 0x0000e2608b614ea5UL;
   tf->codes[6179] = 0x0000e261b02c6b7eUL;
   tf->codes[6180] = 0x0000e265ce3ad358UL;
   tf->codes[6181] = 0x0000e266f305f031UL;
   tf->codes[6182] = 0x0000e267dd420745UL;
   tf->codes[6183] = 0x0000e269772b2fa8UL;
   tf->codes[6184] = 0x0000e26b1114580bUL;
   tf->codes[6185] = 0x0000e26b4ba35dd0UL;
   tf->codes[6186] = 0x0000e26e7f75ae96UL;
   tf->codes[6187] = 0x0000e27178b8f997UL;
   tf->codes[6188] = 0x0000e275d1566736UL;
   tf->codes[6189] = 0x0000e278900aac72UL;
   tf->codes[6190] = 0x0000e27cae19144cUL;
   tf->codes[6191] = 0x0000e27ce8a81a11UL;
   tf->codes[6192] = 0x0000e27d98552b60UL;
   tf->codes[6193] = 0x0000e27dd2e43125UL;
   tf->codes[6194] = 0x0000e27ebd204839UL;
   tf->codes[6195] = 0x0000e27ef7af4dfeUL;
   tf->codes[6196] = 0x0000e27fa75c5f4dUL;
   tf->codes[6197] = 0x0000e28091987661UL;
   tf->codes[6198] = 0x0000e28106b681ebUL;
   tf->codes[6199] = 0x0000e281414587b0UL;
   tf->codes[6200] = 0x0000e284ea35e400UL;
   tf->codes[6201] = 0x0000e2855f53ef8aUL;
   tf->codes[6202] = 0x0000e288cdb54615UL;
   tf->codes[6203] = 0x0000e2897d625764UL;
   tf->codes[6204] = 0x0000e28aa22d743dUL;
   tf->codes[6205] = 0x0000e28b8c698b51UL;
   tf->codes[6206] = 0x0000e28bc6f89116UL;
   tf->codes[6207] = 0x0000e28fe506f8f0UL;
   tf->codes[6208] = 0x0000e291b97f2718UL;
   tf->codes[6209] = 0x0000e292692c3867UL;
   tf->codes[6210] = 0x0000e2938df75540UL;
   tf->codes[6211] = 0x0000e293c8865b05UL;
   tf->codes[6212] = 0x0000e294ed5177deUL;
   tf->codes[6213] = 0x0000e295626f8368UL;
   tf->codes[6214] = 0x0000e296121c94b7UL;
   tf->codes[6215] = 0x0000e296873aa041UL;
   tf->codes[6216] = 0x0000e29736e7b190UL;
   tf->codes[6217] = 0x0000e2977176b755UL;
   tf->codes[6218] = 0x0000e2982123c8a4UL;
   tf->codes[6219] = 0x0000e2989641d42eUL;
   tf->codes[6220] = 0x0000e299bb0cf107UL;
   tf->codes[6221] = 0x0000e299f59bf6ccUL;
   tf->codes[6222] = 0x0000e29fad938709UL;
   tf->codes[6223] = 0x0000e2a10ceda9a7UL;
   tf->codes[6224] = 0x0000e2a1477caf6cUL;
   tf->codes[6225] = 0x0000e2a1820bb531UL;
   tf->codes[6226] = 0x0000e2a1bc9abaf6UL;
   tf->codes[6227] = 0x0000e2a5658b1746UL;
   tf->codes[6228] = 0x0000e2a5a01a1d0bUL;
   tf->codes[6229] = 0x0000e2a8995d680cUL;
   tf->codes[6230] = 0x0000e2a90e7b7396UL;
   tf->codes[6231] = 0x0000e2afeb3e20acUL;
   tf->codes[6232] = 0x0000e2b0d57a37c0UL;
   tf->codes[6233] = 0x0000e2b26f636023UL;
   tf->codes[6234] = 0x0000e2b3cebd82c1UL;
   tf->codes[6235] = 0x0000e2b4094c8886UL;
   tf->codes[6236] = 0x0000e2b47e6a9410UL;
   tf->codes[6237] = 0x0000e2b5ddc4b6aeUL;
   tf->codes[6238] = 0x0000e2b61853bc73UL;
   tf->codes[6239] = 0x0000e2b73d1ed94cUL;
   tf->codes[6240] = 0x0000e2bb5b2d4126UL;
   tf->codes[6241] = 0x0000e2bc4569583aUL;
   tf->codes[6242] = 0x0000e2bcf5166989UL;
   tf->codes[6243] = 0x0000e2bd6a347513UL;
   tf->codes[6244] = 0x0000e2bec98e97b1UL;
   tf->codes[6245] = 0x0000e2bf793ba900UL;
   tf->codes[6246] = 0x0000e2c3222c0550UL;
   tf->codes[6247] = 0x0000e2c3974a10daUL;
   tf->codes[6248] = 0x0000e2c655fe5616UL;
   tf->codes[6249] = 0x0000e2c7b55878b4UL;
   tf->codes[6250] = 0x0000e2c865058a03UL;
   tf->codes[6251] = 0x0000e2cb98d7dac9UL;
   tf->codes[6252] = 0x0000e2cc4884ec18UL;
   tf->codes[6253] = 0x0000e2cde26e147bUL;
   tf->codes[6254] = 0x0000e2ce1cfd1a40UL;
   tf->codes[6255] = 0x0000e2cff1754868UL;
   tf->codes[6256] = 0x0000e2d2eab89369UL;
   tf->codes[6257] = 0x0000e2d484a1bbccUL;
   tf->codes[6258] = 0x0000e2d7b8740c92UL;
   tf->codes[6259] = 0x0000e2d8a2b023a6UL;
   tf->codes[6260] = 0x0000e2d9525d34f5UL;
   tf->codes[6261] = 0x0000e2d9c77b407fUL;
   tf->codes[6262] = 0x0000e2da020a4644UL;
   tf->codes[6263] = 0x0000e2da772851ceUL;
   tf->codes[6264] = 0x0000e2dde589a859UL;
   tf->codes[6265] = 0x0000e2de5aa7b3e3UL;
   tf->codes[6266] = 0x0000e2decfc5bf6dUL;
   tf->codes[6267] = 0x0000e2df0a54c532UL;
   tf->codes[6268] = 0x0000e2df7f72d0bcUL;
   tf->codes[6269] = 0x0000e2e069aee7d0UL;
   tf->codes[6270] = 0x0000e2e153eafee4UL;
   tf->codes[6271] = 0x0000e2e1c9090a6eUL;
   tf->codes[6272] = 0x0000e2e3d8103e5bUL;
   tf->codes[6273] = 0x0000e2e91ae9c30eUL;
   tf->codes[6274] = 0x0000e2e95578c8d3UL;
   tf->codes[6275] = 0x0000e2e9ca96d45dUL;
   tf->codes[6276] = 0x0000e2ef0d705910UL;
   tf->codes[6277] = 0x0000e2ef828e649aUL;
   tf->codes[6278] = 0x0000e2efbd1d6a5fUL;
   tf->codes[6279] = 0x0000e2f0a7598173UL;
   tf->codes[6280] = 0x0000e2f415bad7feUL;
   tf->codes[6281] = 0x0000e2f5ea330626UL;
   tf->codes[6282] = 0x0000e2f65f5111b0UL;
   tf->codes[6283] = 0x0000e2f8e3765127UL;
   tf->codes[6284] = 0x0000e2f91e0556ecUL;
   tf->codes[6285] = 0x0000e2fbdcb99c28UL;
   tf->codes[6286] = 0x0000e2ffc038fe3dUL;
   tf->codes[6287] = 0x0000e3053da188b5UL;
   tf->codes[6288] = 0x0000e30578308e7aUL;
   tf->codes[6289] = 0x0000e30627dd9fc9UL;
   tf->codes[6290] = 0x0000e306626ca58eUL;
   tf->codes[6291] = 0x0000e3078737c267UL;
   tf->codes[6292] = 0x0000e30af59918f2UL;
   tf->codes[6293] = 0x0000e30e9e897542UL;
   tf->codes[6294] = 0x0000e31038729da5UL;
   tf->codes[6295] = 0x0000e3107301a36aUL;
   tf->codes[6296] = 0x0000e310e81faef4UL;
   tf->codes[6297] = 0x0000e31331b5e8a6UL;
   tf->codes[6298] = 0x0000e313e162f9f5UL;
   tf->codes[6299] = 0x0000e3145681057fUL;
   tf->codes[6300] = 0x0000e314cb9f1109UL;
   tf->codes[6301] = 0x0000e316a0173f31UL;
   tf->codes[6302] = 0x0000e3178a535645UL;
   tf->codes[6303] = 0x0000e318af1e731eUL;
   tf->codes[6304] = 0x0000e319243c7ea8UL;
   tf->codes[6305] = 0x0000e31abe25a70bUL;
   tf->codes[6306] = 0x0000e31be2f0c3e4UL;
   tf->codes[6307] = 0x0000e31f51521a6fUL;
   tf->codes[6308] = 0x0000e31fc67025f9UL;
   tf->codes[6309] = 0x0000e3203b8e3183UL;
   tf->codes[6310] = 0x0000e32285246b35UL;
   tf->codes[6311] = 0x0000e3236f608249UL;
   tf->codes[6312] = 0x0000e324942b9f22UL;
   tf->codes[6313] = 0x0000e3257e67b636UL;
   tf->codes[6314] = 0x0000e325b8f6bbfbUL;
   tf->codes[6315] = 0x0000e32a86b23524UL;
   tf->codes[6316] = 0x0000e32f546dae4dUL;
   tf->codes[6317] = 0x0000e32fc98bb9d7UL;
   tf->codes[6318] = 0x0000e33128e5dc75UL;
   tf->codes[6319] = 0x0000e332fd5e0a9dUL;
   tf->codes[6320] = 0x0000e334d1d638c5UL;
   tf->codes[6321] = 0x0000e33581834a14UL;
   tf->codes[6322] = 0x0000e33631305b63UL;
   tf->codes[6323] = 0x0000e336a64e66edUL;
   tf->codes[6324] = 0x0000e3371b6c7277UL;
   tf->codes[6325] = 0x0000e33755fb783cUL;
   tf->codes[6326] = 0x0000e337cb1983c6UL;
   tf->codes[6327] = 0x0000e33840378f50UL;
   tf->codes[6328] = 0x0000e338efe4a09fUL;
   tf->codes[6329] = 0x0000e3399f91b1eeUL;
   tf->codes[6330] = 0x0000e33a89cdc902UL;
   tf->codes[6331] = 0x0000e33ac45ccec7UL;
   tf->codes[6332] = 0x0000e33e6d4d2b17UL;
   tf->codes[6333] = 0x0000e33ea7dc30dcUL;
   tf->codes[6334] = 0x0000e3400736537aUL;
   tf->codes[6335] = 0x0000e3412c017053UL;
   tf->codes[6336] = 0x0000e3449a62c6deUL;
   tf->codes[6337] = 0x0000e347ce3517a4UL;
   tf->codes[6338] = 0x0000e349681e4007UL;
   tf->codes[6339] = 0x0000e34a525a571bUL;
   tf->codes[6340] = 0x0000e34ac77862a5UL;
   tf->codes[6341] = 0x0000e34b0207686aUL;
   tf->codes[6342] = 0x0000e34f2015d044UL;
   tf->codes[6343] = 0x0000e3507f6ff2e2UL;
   tf->codes[6344] = 0x0000e3512f1d0431UL;
   tf->codes[6345] = 0x0000e35253e8210aUL;
   tf->codes[6346] = 0x0000e35378b33de3UL;
   tf->codes[6347] = 0x0000e353b34243a8UL;
   tf->codes[6348] = 0x0000e3554d2b6c0bUL;
   tf->codes[6349] = 0x0000e35587ba71d0UL;
   tf->codes[6350] = 0x0000e355c2497795UL;
   tf->codes[6351] = 0x0000e356e714946eUL;
   tf->codes[6352] = 0x0000e35721a39a33UL;
   tf->codes[6353] = 0x0000e358f61bc85bUL;
   tf->codes[6354] = 0x0000e359a5c8d9aaUL;
   tf->codes[6355] = 0x0000e35a9004f0beUL;
   tf->codes[6356] = 0x0000e35c29ee1921UL;
   tf->codes[6357] = 0x0000e35eae135898UL;
   tf->codes[6358] = 0x0000e35f23316422UL;
   tf->codes[6359] = 0x0000e3629192baadUL;
   tf->codes[6360] = 0x0000e362cc21c072UL;
   tf->codes[6361] = 0x0000e364a099ee9aUL;
   tf->codes[6362] = 0x0000e3655046ffe9UL;
   tf->codes[6363] = 0x0000e36675121cc2UL;
   tf->codes[6364] = 0x0000e36bb7eba175UL;
   tf->codes[6365] = 0x0000e36e769fe6b1UL;
   tf->codes[6366] = 0x0000e37727dac1efUL;
   tf->codes[6367] = 0x0000e379e68f072bUL;
   tf->codes[6368] = 0x0000e37a963c187aUL;
   tf->codes[6369] = 0x0000e37bf5963b18UL;
   tf->codes[6370] = 0x0000e37c302540ddUL;
   tf->codes[6371] = 0x0000e37c6ab446a2UL;
   tf->codes[6372] = 0x0000e37cdfd2522cUL;
   tf->codes[6373] = 0x0000e37dca0e6940UL;
   tf->codes[6374] = 0x0000e37fd9159d2dUL;
   tf->codes[6375] = 0x0000e3804e33a8b7UL;
   tf->codes[6376] = 0x0000e380c351b441UL;
   tf->codes[6377] = 0x0000e381e81cd11aUL;
   tf->codes[6378] = 0x0000e385567e27a5UL;
   tf->codes[6379] = 0x0000e38765855b92UL;
   tf->codes[6380] = 0x0000e38eb7661432UL;
   tf->codes[6381] = 0x0000e39016c036d0UL;
   tf->codes[6382] = 0x0000e393100381d1UL;
   tf->codes[6383] = 0x0000e394a9ecaa34UL;
   tf->codes[6384] = 0x0000e3955999bb83UL;
   tf->codes[6385] = 0x0000e3959428c148UL;
   tf->codes[6386] = 0x0000e39643d5d297UL;
   tf->codes[6387] = 0x0000e3967e64d85cUL;
   tf->codes[6388] = 0x0000e39a9c734036UL;
   tf->codes[6389] = 0x0000e39ce60979e8UL;
   tf->codes[6390] = 0x0000e39d95b68b37UL;
   tf->codes[6391] = 0x0000e3a019dbcaaeUL;
   tf->codes[6392] = 0x0000e3a08ef9d638UL;
   tf->codes[6393] = 0x0000e3a4e79743d7UL;
   tf->codes[6394] = 0x0000e3a646f16675UL;
   tf->codes[6395] = 0x0000e3a9b552bd00UL;
   tf->codes[6396] = 0x0000e3aada1dd9d9UL;
   tf->codes[6397] = 0x0000e3ab14acdf9eUL;
   tf->codes[6398] = 0x0000e3abc459f0edUL;
   tf->codes[6399] = 0x0000e3b1073375a0UL;
   tf->codes[6400] = 0x0000e3b3163aa98dUL;
   tf->codes[6401] = 0x0000e3b40076c0a1UL;
   tf->codes[6402] = 0x0000e3b43b05c666UL;
   tf->codes[6403] = 0x0000e3b60f7df48eUL;
   tf->codes[6404] = 0x0000e3b6f9ba0ba2UL;
   tf->codes[6405] = 0x0000e3b76ed8172cUL;
   tf->codes[6406] = 0x0000e3b943504554UL;
   tf->codes[6407] = 0x0000e3ba681b622dUL;
   tf->codes[6408] = 0x0000e3baa2aa67f2UL;
   tf->codes[6409] = 0x0000e3bdd67cb8b8UL;
   tf->codes[6410] = 0x0000e3be4b9ac442UL;
   tf->codes[6411] = 0x0000e3c17f6d1508UL;
   tf->codes[6412] = 0x0000e3c4edce6b93UL;
   tf->codes[6413] = 0x0000e3c5d80a82a7UL;
   tf->codes[6414] = 0x0000e3c771f3ab0aUL;
   tf->codes[6415] = 0x0000e3c90bdcd36dUL;
   tf->codes[6416] = 0x0000e3c9bb89e4bcUL;
   tf->codes[6417] = 0x0000e3ca6b36f60bUL;
   tf->codes[6418] = 0x0000e3d147f9a321UL;
   tf->codes[6419] = 0x0000e3d23235ba35UL;
   tf->codes[6420] = 0x0000e3d3918fdcd3UL;
   tf->codes[6421] = 0x0000e3d4f0e9ff71UL;
   tf->codes[6422] = 0x0000e3d566080afbUL;
   tf->codes[6423] = 0x0000e3d65044220fUL;
   tf->codes[6424] = 0x0000e3d85f4b55fcUL;
   tf->codes[6425] = 0x0000e3d8d4696186UL;
   tf->codes[6426] = 0x0000e3d9bea5789aUL;
   tf->codes[6427] = 0x0000e3da33c38424UL;
   tf->codes[6428] = 0x0000e3dda224daafUL;
   tf->codes[6429] = 0x0000e3df3c0e0312UL;
   tf->codes[6430] = 0x0000e3e0d5f72b75UL;
   tf->codes[6431] = 0x0000e3e1c0334289UL;
   tf->codes[6432] = 0x0000e3e5a3b2a49eUL;
   tf->codes[6433] = 0x0000e3e7030cc73cUL;
   tf->codes[6434] = 0x0000e3e7ed48de50UL;
   tf->codes[6435] = 0x0000e3ea716e1dc7UL;
   tf->codes[6436] = 0x0000e3eb5baa34dbUL;
   tf->codes[6437] = 0x0000e3ee8f7c85a1UL;
   tf->codes[6438] = 0x0000e3ef3f2996f0UL;
   tf->codes[6439] = 0x0000e3f188bfd0a2UL;
   tf->codes[6440] = 0x0000e3f35d37fecaUL;
   tf->codes[6441] = 0x0000e3f3d2560a54UL;
   tf->codes[6442] = 0x0000e3f40ce51019UL;
   tf->codes[6443] = 0x0000e3f482031ba3UL;
   tf->codes[6444] = 0x0000e3f5e15d3e41UL;
   tf->codes[6445] = 0x0000e3f6567b49cbUL;
   tf->codes[6446] = 0x0000e3f6910a4f90UL;
   tf->codes[6447] = 0x0000e3f6cb995555UL;
   tf->codes[6448] = 0x0000e3f740b760dfUL;
   tf->codes[6449] = 0x0000e3fcf8aef11cUL;
   tf->codes[6450] = 0x0000e402b0a68159UL;
   tf->codes[6451] = 0x0000e403605392a8UL;
   tf->codes[6452] = 0x0000e404851eaf81UL;
   tf->codes[6453] = 0x0000e404bfadb546UL;
   tf->codes[6454] = 0x0000e4061f07d7e4UL;
   tf->codes[6455] = 0x0000e4098d692e6fUL;
   tf->codes[6456] = 0x0000e4102f9cd5c0UL;
   tf->codes[6457] = 0x0000e4106a2bdb85UL;
   tf->codes[6458] = 0x0000e410a4bae14aUL;
   tf->codes[6459] = 0x0000e4118ef6f85eUL;
   tf->codes[6460] = 0x0000e411c985fe23UL;
   tf->codes[6461] = 0x0000e412041503e8UL;
   tf->codes[6462] = 0x0000e4139dfe2c4bUL;
   tf->codes[6463] = 0x0000e41572765a73UL;
   tf->codes[6464] = 0x0000e417f69b99eaUL;
   tf->codes[6465] = 0x0000e418312a9fafUL;
   tf->codes[6466] = 0x0000e4191b66b6c3UL;
   tf->codes[6467] = 0x0000e41955f5bc88UL;
   tf->codes[6468] = 0x0000e4199084c24dUL;
   tf->codes[6469] = 0x0000e41a4031d39cUL;
   tf->codes[6470] = 0x0000e41aefdee4ebUL;
   tf->codes[6471] = 0x0000e41b2a6deab0UL;
   tf->codes[6472] = 0x0000e41bda1afbffUL;
   tf->codes[6473] = 0x0000e41cc4571313UL;
   tf->codes[6474] = 0x0000e41d74042462UL;
   tf->codes[6475] = 0x0000e41dae932a27UL;
   tf->codes[6476] = 0x0000e41ed35e4700UL;
   tf->codes[6477] = 0x0000e41f487c528aUL;
   tf->codes[6478] = 0x0000e41f830b584fUL;
   tf->codes[6479] = 0x0000e41fbd9a5e14UL;
   tf->codes[6480] = 0x0000e420e2657aedUL;
   tf->codes[6481] = 0x0000e423668aba64UL;
   tf->codes[6482] = 0x0000e4241637cbb3UL;
   tf->codes[6483] = 0x0000e425b020f416UL;
   tf->codes[6484] = 0x0000e425eaaff9dbUL;
   tf->codes[6485] = 0x0000e4270f7b16b4UL;
   tf->codes[6486] = 0x0000e429ce2f5bf0UL;
   tf->codes[6487] = 0x0000e42ab86b7304UL;
   tf->codes[6488] = 0x0000e42bdd368fddUL;
   tf->codes[6489] = 0x0000e43035d3fd7cUL;
   tf->codes[6490] = 0x0000e434c90070e0UL;
   tf->codes[6491] = 0x0000e43578ad822fUL;
   tf->codes[6492] = 0x0000e435b33c87f4UL;
   tf->codes[6493] = 0x0000e438e70ed8baUL;
   tf->codes[6494] = 0x0000e43996bbea09UL;
   tf->codes[6495] = 0x0000e43a0bd9f593UL;
   tf->codes[6496] = 0x0000e43a4668fb58UL;
   tf->codes[6497] = 0x0000e43a80f8011dUL;
   tf->codes[6498] = 0x0000e43be05223bbUL;
   tf->codes[6499] = 0x0000e43e29e85d6dUL;
   tf->codes[6500] = 0x0000e43ed9956ebcUL;
   tf->codes[6501] = 0x0000e43f14247481UL;
   tf->codes[6502] = 0x0000e43f8942800bUL;
   tf->codes[6503] = 0x0000e43ffe608b95UL;
   tf->codes[6504] = 0x0000e440737e971fUL;
   tf->codes[6505] = 0x0000e4428285cb0cUL;
   tf->codes[6506] = 0x0000e4433232dc5bUL;
   tf->codes[6507] = 0x0000e44715b23e70UL;
   tf->codes[6508] = 0x0000e44a49848f36UL;
   tf->codes[6509] = 0x0000e44abea29ac0UL;
   tf->codes[6510] = 0x0000e450ebb83687UL;
   tf->codes[6511] = 0x0000e4524b125925UL;
   tf->codes[6512] = 0x0000e45285a15eeaUL;
   tf->codes[6513] = 0x0000e453354e7039UL;
   tf->codes[6514] = 0x0000e455b973afb0UL;
   tf->codes[6515] = 0x0000e455f402b575UL;
   tf->codes[6516] = 0x0000e45babfa45b2UL;
   tf->codes[6517] = 0x0000e45d0b546850UL;
   tf->codes[6518] = 0x0000e45d807273daUL;
   tf->codes[6519] = 0x0000e45ea53d90b3UL;
   tf->codes[6520] = 0x0000e45f8f79a7c7UL;
   tf->codes[6521] = 0x0000e4600497b351UL;
   tf->codes[6522] = 0x0000e46288bcf2c8UL;
   tf->codes[6523] = 0x0000e46372f909dcUL;
   tf->codes[6524] = 0x0000e463e8171566UL;
   tf->codes[6525] = 0x0000e464d2532c7aUL;
   tf->codes[6526] = 0x0000e46756786bf1UL;
   tf->codes[6527] = 0x0000e467910771b6UL;
   tf->codes[6528] = 0x0000e469a00ea5a3UL;
   tf->codes[6529] = 0x0000e46a152cb12dUL;
   tf->codes[6530] = 0x0000e46baf15d990UL;
   tf->codes[6531] = 0x0000e46e6dca1eccUL;
   tf->codes[6532] = 0x0000e46f92953ba5UL;
   tf->codes[6533] = 0x0000e46fcd24416aUL;
   tf->codes[6534] = 0x0000e4712c7e6408UL;
   tf->codes[6535] = 0x0000e4746050b4ceUL;
   tf->codes[6536] = 0x0000e4766f57e8bbUL;
   tf->codes[6537] = 0x0000e478f37d2832UL;
   tf->codes[6538] = 0x0000e479689b33bcUL;
   tf->codes[6539] = 0x0000e47a8d665095UL;
   tf->codes[6540] = 0x0000e47b3d1361e4UL;
   tf->codes[6541] = 0x0000e47d118b900cUL;
   tf->codes[6542] = 0x0000e47e70e5b2aaUL;
   tf->codes[6543] = 0x0000e47f95b0cf83UL;
   tf->codes[6544] = 0x0000e47fd03fd548UL;
   tf->codes[6545] = 0x0000e480455de0d2UL;
   tf->codes[6546] = 0x0000e4816a28fdabUL;
   tf->codes[6547] = 0x0000e481a4b80370UL;
   tf->codes[6548] = 0x0000e482546514bfUL;
   tf->codes[6549] = 0x0000e483b3bf375dUL;
   tf->codes[6550] = 0x0000e486e7918823UL;
   tf->codes[6551] = 0x0000e487d1cd9f37UL;
   tf->codes[6552] = 0x0000e488f698bc10UL;
   tf->codes[6553] = 0x0000e489e0d4d324UL;
   tf->codes[6554] = 0x0000e48a55f2deaeUL;
   tf->codes[6555] = 0x0000e48b402ef5c2UL;
   tf->codes[6556] = 0x0000e48bb54d014cUL;
   tf->codes[6557] = 0x0000e48fd35b6926UL;
   tf->codes[6558] = 0x0000e490487974b0UL;
   tf->codes[6559] = 0x0000e490bd97803aUL;
   tf->codes[6560] = 0x0000e4916d449189UL;
   tf->codes[6561] = 0x0000e492920fae62UL;
   tf->codes[6562] = 0x0000e493072db9ecUL;
   tf->codes[6563] = 0x0000e493f169d100UL;
   tf->codes[6564] = 0x0000e4963b000ab2UL;
   tf->codes[6565] = 0x0000e496eaad1c01UL;
   tf->codes[6566] = 0x0000e4984a073e9fUL;
   tf->codes[6567] = 0x0000e499e3f06702UL;
   tf->codes[6568] = 0x0000e49b08bb83dbUL;
   tf->codes[6569] = 0x0000e4a086240e53UL;
   tf->codes[6570] = 0x0000e4a2200d36b6UL;
   tf->codes[6571] = 0x0000e4a37f675954UL;
   tf->codes[6572] = 0x0000e4a7d804c6f3UL;
   tf->codes[6573] = 0x0000e4a887b1d842UL;
   tf->codes[6574] = 0x0000e4aa219b00a5UL;
   tf->codes[6575] = 0x0000e4abf6132ecdUL;
   tf->codes[6576] = 0x0000e4af29e57f93UL;
   tf->codes[6577] = 0x0000e4af64748558UL;
   tf->codes[6578] = 0x0000e4b0893fa231UL;
   tf->codes[6579] = 0x0000e4b0c3cea7f6UL;
   tf->codes[6580] = 0x0000e4b138ecb380UL;
   tf->codes[6581] = 0x0000e4b347f3e76dUL;
   tf->codes[6582] = 0x0000e4b3f7a0f8bcUL;
   tf->codes[6583] = 0x0000e4b5918a211fUL;
   tf->codes[6584] = 0x0000e4b64137326eUL;
   tf->codes[6585] = 0x0000e4b6f0e443bdUL;
   tf->codes[6586] = 0x0000e4b7a091550cUL;
   tf->codes[6587] = 0x0000e4b815af6096UL;
   tf->codes[6588] = 0x0000e4b8ffeb77aaUL;
   tf->codes[6589] = 0x0000e4b93a7a7d6fUL;
   tf->codes[6590] = 0x0000e4bb8410b721UL;
   tf->codes[6591] = 0x0000e4bbf92ec2abUL;
   tf->codes[6592] = 0x0000e4beb7e307e7UL;
   tf->codes[6593] = 0x0000e4bf2d011371UL;
   tf->codes[6594] = 0x0000e4bf67901936UL;
   tf->codes[6595] = 0x0000e4c0c6ea3bd4UL;
   tf->codes[6596] = 0x0000e4c1b12652e8UL;
   tf->codes[6597] = 0x0000e4c88de8fffeUL;
   tf->codes[6598] = 0x0000e4c93d96114dUL;
   tf->codes[6599] = 0x0000e4cb120e3f75UL;
   tf->codes[6600] = 0x0000e4cbc1bb50c4UL;
   tf->codes[6601] = 0x0000e4cf301ca74fUL;
   tf->codes[6602] = 0x0000e4d08f76c9edUL;
   tf->codes[6603] = 0x0000e4d179b2e101UL;
   tf->codes[6604] = 0x0000e4d263eef815UL;
   tf->codes[6605] = 0x0000e4d43867263dUL;
   tf->codes[6606] = 0x0000e4d6476e5a2aUL;
   tf->codes[6607] = 0x0000e4d906229f66UL;
   tf->codes[6608] = 0x0000e4db4fb8d918UL;
   tf->codes[6609] = 0x0000e4dc39f4f02cUL;
   tf->codes[6610] = 0x0000e4dd994f12caUL;
   tf->codes[6611] = 0x0000e4e0cd216390UL;
   tf->codes[6612] = 0x0000e4e1f1ec8069UL;
   tf->codes[6613] = 0x0000e4e22c7b862eUL;
   tf->codes[6614] = 0x0000e4e316b79d42UL;
   tf->codes[6615] = 0x0000e4e943cd3909UL;
   tf->codes[6616] = 0x0000e4e97e5c3eceUL;
   tf->codes[6617] = 0x0000e4e9f37a4a58UL;
   tf->codes[6618] = 0x0000e4eb18456731UL;
   tf->codes[6619] = 0x0000e4eefbc4c946UL;
   tf->codes[6620] = 0x0000e4f05b1eebe4UL;
   tf->codes[6621] = 0x0000e4f0d03cf76eUL;
   tf->codes[6622] = 0x0000e4f1455b02f8UL;
   tf->codes[6623] = 0x0000e4f26a261fd1UL;
   tf->codes[6624] = 0x0000e4f3546236e5UL;
   tf->codes[6625] = 0x0000e4f64da581e6UL;
   tf->codes[6626] = 0x0000e4fdda15404bUL;
   tf->codes[6627] = 0x0000e4ffe91c7438UL;
   tf->codes[6628] = 0x0000e50023ab79fdUL;
   tf->codes[6629] = 0x0000e5005e3a7fc2UL;
   tf->codes[6630] = 0x0000e501f823a825UL;
   tf->codes[6631] = 0x0000e5026d41b3afUL;
   tf->codes[6632] = 0x0000e503920cd088UL;
   tf->codes[6633] = 0x0000e50650c115c4UL;
   tf->codes[6634] = 0x0000e5068b501b89UL;
   tf->codes[6635] = 0x0000e508d4e6553bUL;
   tf->codes[6636] = 0x0000e5090f755b00UL;
   tf->codes[6637] = 0x0000e50bce29a03cUL;
   tf->codes[6638] = 0x0000e5114b922ab4UL;
   tf->codes[6639] = 0x0000e511c0b0363eUL;
   tf->codes[6640] = 0x0000e513200a58dcUL;
   tf->codes[6641] = 0x0000e516194da3ddUL;
   tf->codes[6642] = 0x0000e51653dca9a2UL;
   tf->codes[6643] = 0x0000e518d801e919UL;
   tf->codes[6644] = 0x0000e51a375c0bb7UL;
   tf->codes[6645] = 0x0000e51aac7a1741UL;
   tf->codes[6646] = 0x0000e51ae7091d06UL;
   tf->codes[6647] = 0x0000e51c0bd439dfUL;
   tf->codes[6648] = 0x0000e51da5bd6242UL;
   tf->codes[6649] = 0x0000e51f7a35906aUL;
   tf->codes[6650] = 0x0000e5206471a77eUL;
   tf->codes[6651] = 0x0000e521893cc457UL;
   tf->codes[6652] = 0x0000e522ae07e130UL;
   tf->codes[6653] = 0x0000e5235db4f27fUL;
   tf->codes[6654] = 0x0000e523d2d2fe09UL;
   tf->codes[6655] = 0x0000e52447f10993UL;
   tf->codes[6656] = 0x0000e525e1da31f6UL;
   tf->codes[6657] = 0x0000e5277bc35a59UL;
   tf->codes[6658] = 0x0000e52a7506a55aUL;
   tf->codes[6659] = 0x0000e52aaf95ab1fUL;
   tf->codes[6660] = 0x0000e52e5886076fUL;
   tf->codes[6661] = 0x0000e530678d3b5cUL;
   tf->codes[6662] = 0x0000e530a21c4121UL;
   tf->codes[6663] = 0x0000e533d5ee91e7UL;
   tf->codes[6664] = 0x0000e5361f84cb99UL;
   tf->codes[6665] = 0x0000e5365a13d15eUL;
   tf->codes[6666] = 0x0000e5398de62224UL;
   tf->codes[6667] = 0x0000e53a78223938UL;
   tf->codes[6668] = 0x0000e53ab2b13efdUL;
   tf->codes[6669] = 0x0000e53e9630a112UL;
   tf->codes[6670] = 0x0000e53f806cb826UL;
   tf->codes[6671] = 0x0000e5403019c975UL;
   tf->codes[6672] = 0x0000e5418f73ec13UL;
   tf->codes[6673] = 0x0000e541ca02f1d8UL;
   tf->codes[6674] = 0x0000e54279b00327UL;
   tf->codes[6675] = 0x0000e5444e28314fUL;
   tf->codes[6676] = 0x0000e545ad8253edUL;
   tf->codes[6677] = 0x0000e545e81159b2UL;
   tf->codes[6678] = 0x0000e54622a05f77UL;
   tf->codes[6679] = 0x0000e5486c369929UL;
   tf->codes[6680] = 0x0000e5499101b602UL;
   tf->codes[6681] = 0x0000e54a40aec751UL;
   tf->codes[6682] = 0x0000e54a7b3dcd16UL;
   tf->codes[6683] = 0x0000e54ab5ccd2dbUL;
   tf->codes[6684] = 0x0000e54f0e6a407aUL;
   tf->codes[6685] = 0x0000e5506dc46318UL;
   tf->codes[6686] = 0x0000e550a85368ddUL;
   tf->codes[6687] = 0x0000e55207ad8b7bUL;
   tf->codes[6688] = 0x0000e55416b4bf68UL;
   tf->codes[6689] = 0x0000e557bfa51bb8UL;
   tf->codes[6690] = 0x0000e557fa34217dUL;
   tf->codes[6691] = 0x0000e55b68957808UL;
   tf->codes[6692] = 0x0000e55ba3247dcdUL;
   tf->codes[6693] = 0x0000e55c18428957UL;
   tf->codes[6694] = 0x0000e562ba7630a8UL;
   tf->codes[6695] = 0x0000e5632f943c32UL;
   tf->codes[6696] = 0x0000e565792a75e4UL;
   tf->codes[6697] = 0x0000e566d8849882UL;
   tf->codes[6698] = 0x0000e57123a89c23UL;
   tf->codes[6699] = 0x0000e574cc98f873UL;
   tf->codes[6700] = 0x0000e5750727fe38UL;
   tf->codes[6701] = 0x0000e578758954c3UL;
   tf->codes[6702] = 0x0000e578b0185a88UL;
   tf->codes[6703] = 0x0000e578eaa7604dUL;
   tf->codes[6704] = 0x0000e5795fc56bd7UL;
   tf->codes[6705] = 0x0000e57af9ae943aUL;
   tf->codes[6706] = 0x0000e57be3eaab4eUL;
   tf->codes[6707] = 0x0000e57c5908b6d8UL;
   tf->codes[6708] = 0x0000e57d08b5c827UL;
   tf->codes[6709] = 0x0000e57ea29ef08aUL;
   tf->codes[6710] = 0x0000e58001f91328UL;
   tf->codes[6711] = 0x0000e58211004715UL;
   tf->codes[6712] = 0x0000e58335cb63eeUL;
   tf->codes[6713] = 0x0000e583e578753dUL;
   tf->codes[6714] = 0x0000e5845a9680c7UL;
   tf->codes[6715] = 0x0000e585b9f0a365UL;
   tf->codes[6716] = 0x0000e5883e15e2dcUL;
   tf->codes[6717] = 0x0000e58a128e1104UL;
   tf->codes[6718] = 0x0000e58be7063f2cUL;
   tf->codes[6719] = 0x0000e591646ec9a4UL;
   tf->codes[6720] = 0x0000e591d98cd52eUL;
   tf->codes[6721] = 0x0000e593ae050356UL;
   tf->codes[6722] = 0x0000e595bd0c3743UL;
   tf->codes[6723] = 0x0000e5971c6659e1UL;
   tf->codes[6724] = 0x0000e59cd45dea1eUL;
   tf->codes[6725] = 0x0000e59d840afb6dUL;
   tf->codes[6726] = 0x0000e59f58832995UL;
   tf->codes[6727] = 0x0000e5a0f26c51f8UL;
   tf->codes[6728] = 0x0000e5a9a3a72d36UL;
   tf->codes[6729] = 0x0000e5aa8de3444aUL;
   tf->codes[6730] = 0x0000e5af962dc338UL;
   tf->codes[6731] = 0x0000e5afd0bcc8fdUL;
   tf->codes[6732] = 0x0000e5b045dad487UL;
   tf->codes[6733] = 0x0000e5b0baf8e011UL;
   tf->codes[6734] = 0x0000e5b13016eb9bUL;
   tf->codes[6735] = 0x0000e5b28f710e39UL;
   tf->codes[6736] = 0x0000e5b33f1e1f88UL;
   tf->codes[6737] = 0x0000e5b4295a369cUL;
   tf->codes[6738] = 0x0000e5b49e784226UL;
   tf->codes[6739] = 0x0000e5b672f0704eUL;
   tf->codes[6740] = 0x0000e5b6e80e7bd8UL;
   tf->codes[6741] = 0x0000e5b7229d819dUL;
   tf->codes[6742] = 0x0000e5ba90fed828UL;
   tf->codes[6743] = 0x0000e5bf242b4b8cUL;
   tf->codes[6744] = 0x0000e5c00e6762a0UL;
   tf->codes[6745] = 0x0000e5c2928ca217UL;
   tf->codes[6746] = 0x0000e5c2cd1ba7dcUL;
   tf->codes[6747] = 0x0000e5c34239b366UL;
   tf->codes[6748] = 0x0000e5c600edf8a2UL;
   tf->codes[6749] = 0x0000e5c63b7cfe67UL;
   tf->codes[6750] = 0x0000e5d01182f67eUL;
   tf->codes[6751] = 0x0000e5d0c13007cdUL;
   tf->codes[6752] = 0x0000e5d1e5fb24a6UL;
   tf->codes[6753] = 0x0000e5d3f5025893UL;
   tf->codes[6754] = 0x0000e5d42f915e58UL;
   tf->codes[6755] = 0x0000e5d81310c06dUL;
   tf->codes[6756] = 0x0000e5d84d9fc632UL;
   tf->codes[6757] = 0x0000e5dd90794ae5UL;
   tf->codes[6758] = 0x0000e5ddcb0850aaUL;
   tf->codes[6759] = 0x0000e5de40265c34UL;
   tf->codes[6760] = 0x0000e5e1ae87b2bfUL;
   tf->codes[6761] = 0x0000e5e1e916b884UL;
   tf->codes[6762] = 0x0000e5e30de1d55dUL;
   tf->codes[6763] = 0x0000e5e3bd8ee6acUL;
   tf->codes[6764] = 0x0000e5e557780f0fUL;
   tf->codes[6765] = 0x0000e5e67c432be8UL;
   tf->codes[6766] = 0x0000e5e7a10e48c1UL;
   tf->codes[6767] = 0x0000e5e93af77124UL;
   tf->codes[6768] = 0x0000e5ea25338838UL;
   tf->codes[6769] = 0x0000e5ebbf1cb09bUL;
   tf->codes[6770] = 0x0000e5ee4341f012UL;
   tf->codes[6771] = 0x0000e5f101f6354eUL;
   tf->codes[6772] = 0x0000e5f644cfba01UL;
   tf->codes[6773] = 0x0000e5f93e130502UL;
   tf->codes[6774] = 0x0000e5fa284f1c16UL;
   tf->codes[6775] = 0x0000e5fa9d6d27a0UL;
   tf->codes[6776] = 0x0000e5fad7fc2d65UL;
   tf->codes[6777] = 0x0000e5fcac745b8dUL;
   tf->codes[6778] = 0x0000e6029efaf18fUL;
   tf->codes[6779] = 0x0000e607a745707dUL;
   tf->codes[6780] = 0x0000e60adb17c143UL;
   tf->codes[6781] = 0x0000e61058804bbbUL;
   tf->codes[6782] = 0x0000e61142bc62cfUL;
   tf->codes[6783] = 0x0000e6117d4b6894UL;
   tf->codes[6784] = 0x0000e6164b06e1bdUL;
   tf->codes[6785] = 0x0000e616fab3f30cUL;
   tf->codes[6786] = 0x0000e6181f7f0fe5UL;
   tf->codes[6787] = 0x0000e6185a0e15aaUL;
   tf->codes[6788] = 0x0000e61b535160abUL;
   tf->codes[6789] = 0x0000e61efc41bcfbUL;
   tf->codes[6790] = 0x0000e61fe67dd40fUL;
   tf->codes[6791] = 0x0000e620210cd9d4UL;
   tf->codes[6792] = 0x0000e623c9fd3624UL;
   tf->codes[6793] = 0x0000e6243f1b41aeUL;
   tf->codes[6794] = 0x0000e6264e22759bUL;
   tf->codes[6795] = 0x0000e62772ed9274UL;
   tf->codes[6796] = 0x0000e62bcb8b0013UL;
   tf->codes[6797] = 0x0000e6309946793cUL;
   tf->codes[6798] = 0x0000e6326dbea764UL;
   tf->codes[6799] = 0x0000e6331d6bb8b3UL;
   tf->codes[6800] = 0x0000e633cd18ca02UL;
   tf->codes[6801] = 0x0000e634f1e3e6dbUL;
   tf->codes[6802] = 0x0000e635a190f82aUL;
   tf->codes[6803] = 0x0000e637eb2731dcUL;
   tf->codes[6804] = 0x0000e63c093599b6UL;
   tf->codes[6805] = 0x0000e63c43c49f7bUL;
   tf->codes[6806] = 0x0000e63da31ec219UL;
   tf->codes[6807] = 0x0000e63e52cbd368UL;
   tf->codes[6808] = 0x0000e63ec7e9def2UL;
   tf->codes[6809] = 0x0000e641fbbc2fb8UL;
   tf->codes[6810] = 0x0000e642364b357dUL;
   tf->codes[6811] = 0x0000e642e5f846ccUL;
   tf->codes[6812] = 0x0000e6486360d144UL;
   tf->codes[6813] = 0x0000e64f40237e5aUL;
   tf->codes[6814] = 0x0000e6502a5f956eUL;
   tf->codes[6815] = 0x0000e65064ee9b33UL;
   tf->codes[6816] = 0x0000e6509f7da0f8UL;
   tf->codes[6817] = 0x0000e65189b9b80cUL;
   tf->codes[6818] = 0x0000e65273f5cf20UL;
   tf->codes[6819] = 0x0000e65323a2e06fUL;
   tf->codes[6820] = 0x0000e6535e31e634UL;
   tf->codes[6821] = 0x0000e658667c6522UL;
   tf->codes[6822] = 0x0000e65b2530aa5eUL;
   tf->codes[6823] = 0x0000e6602d7b294cUL;
   tf->codes[6824] = 0x0000e660dd283a9bUL;
   tf->codes[6825] = 0x0000e662b1a068c3UL;
   tf->codes[6826] = 0x0000e663614d7a12UL;
   tf->codes[6827] = 0x0000e664861896ebUL;
   tf->codes[6828] = 0x0000e664fb36a275UL;
   tf->codes[6829] = 0x0000e66aedbd3877UL;
   tf->codes[6830] = 0x0000e6706b25c2efUL;
   tf->codes[6831] = 0x0000e670a5b4c8b4UL;
   tf->codes[6832] = 0x0000e672050eeb52UL;
   tf->codes[6833] = 0x0000e672ef4b0266UL;
   tf->codes[6834] = 0x0000e67414161f3fUL;
   tf->codes[6835] = 0x0000e674fe523653UL;
   tf->codes[6836] = 0x0000e6765dac58f1UL;
   tf->codes[6837] = 0x0000e678a74292a3UL;
   tf->codes[6838] = 0x0000e67ab649c690UL;
   tf->codes[6839] = 0x0000e67c8ac1f4b8UL;
   tf->codes[6840] = 0x0000e67d74fe0bccUL;
   tf->codes[6841] = 0x0000e67e5f3a22e0UL;
   tf->codes[6842] = 0x0000e6806e4156cdUL;
   tf->codes[6843] = 0x0000e6836784a1ceUL;
   tf->codes[6844] = 0x0000e687859309a8UL;
   tf->codes[6845] = 0x0000e68b2e8365f8UL;
   tf->codes[6846] = 0x0000e68b69126bbdUL;
   tf->codes[6847] = 0x0000e68ed773c248UL;
   tf->codes[6848] = 0x0000e690715ceaabUL;
   tf->codes[6849] = 0x0000e6920b46130eUL;
   tf->codes[6850] = 0x0000e693a52f3b71UL;
   tf->codes[6851] = 0x0000e69788ae9d86UL;
   tf->codes[6852] = 0x0000e69af70ff411UL;
   tf->codes[6853] = 0x0000e69b319ef9d6UL;
   tf->codes[6854] = 0x0000e69ea0005061UL;
   tf->codes[6855] = 0x0000e69eda8f5626UL;
   tf->codes[6856] = 0x0000e69f151e5bebUL;
   tf->codes[6857] = 0x0000e6a15eb4959dUL;
   tf->codes[6858] = 0x0000e6a199439b62UL;
   tf->codes[6859] = 0x0000e6a36dbbc98aUL;
   tf->codes[6860] = 0x0000e6a62c700ec6UL;
   tf->codes[6861] = 0x0000e6a666ff148bUL;
   tf->codes[6862] = 0x0000e6aa0fef70dbUL;
   tf->codes[6863] = 0x0000e6aafa2b87efUL;
   tf->codes[6864] = 0x0000e6ae2dfdd8b5UL;
   tf->codes[6865] = 0x0000e6b0027606ddUL;
   tf->codes[6866] = 0x0000e6b1274123b6UL;
   tf->codes[6867] = 0x0000e6b161d0297bUL;
   tf->codes[6868] = 0x0000e6b62f8ba2a4UL;
   tf->codes[6869] = 0x0000e6b87921dc56UL;
   tf->codes[6870] = 0x0000e6b9d87bfef4UL;
   tf->codes[6871] = 0x0000e6ba4d9a0a7eUL;
   tf->codes[6872] = 0x0000e6bac2b81608UL;
   tf->codes[6873] = 0x0000e6bbe78332e1UL;
   tf->codes[6874] = 0x0000e6bdbbfb6109UL;
   tf->codes[6875] = 0x0000e6bf55e4896cUL;
   tf->codes[6876] = 0x0000e6bfcb0294f6UL;
   tf->codes[6877] = 0x0000e6c005919abbUL;
   tf->codes[6878] = 0x0000e6c12a5cb794UL;
   tf->codes[6879] = 0x0000e6c3ae81f70bUL;
   tf->codes[6880] = 0x0000e6c45e2f085aUL;
   tf->codes[6881] = 0x0000e6c632a73682UL;
   tf->codes[6882] = 0x0000e6c792015920UL;
   tf->codes[6883] = 0x0000e6cb3af1b570UL;
   tf->codes[6884] = 0x0000e6d0433c345eUL;
   tf->codes[6885] = 0x0000e6d168075137UL;
   tf->codes[6886] = 0x0000e6d1dd255cc1UL;
   tf->codes[6887] = 0x0000e6d58615b911UL;
   tf->codes[6888] = 0x0000e6d5fb33c49bUL;
   tf->codes[6889] = 0x0000e6d75a8de739UL;
   tf->codes[6890] = 0x0000e6db037e4389UL;
   tf->codes[6891] = 0x0000e6ddfcc18e8aUL;
   tf->codes[6892] = 0x0000e6deac6e9fd9UL;
   tf->codes[6893] = 0x0000e6e2555efc29UL;
   tf->codes[6894] = 0x0000e6e33f9b133dUL;
   tf->codes[6895] = 0x0000e6e37a2a1902UL;
   tf->codes[6896] = 0x0000e6e3b4b91ec7UL;
   tf->codes[6897] = 0x0000e6e6736d6403UL;
   tf->codes[6898] = 0x0000e6e75da97b17UL;
   tf->codes[6899] = 0x0000e6e7983880dcUL;
   tf->codes[6900] = 0x0000e6ea917bcbddUL;
   tf->codes[6901] = 0x0000e6eca082ffcaUL;
   tf->codes[6902] = 0x0000e6f21deb8a42UL;
   tf->codes[6903] = 0x0000e6f342b6a71bUL;
   tf->codes[6904] = 0x0000e6f58c4ce0cdUL;
   tf->codes[6905] = 0x0000e6f726360930UL;
   tf->codes[6906] = 0x0000e6f9353d3d1dUL;
   tf->codes[6907] = 0x0000e6f9aa5b48a7UL;
   tf->codes[6908] = 0x0000e6fb09b56b45UL;
   tf->codes[6909] = 0x0000e6fb4444710aUL;
   tf->codes[6910] = 0x0000e6fcde2d996dUL;
   tf->codes[6911] = 0x0000e6fe3d87bc0bUL;
   tf->codes[6912] = 0x0000e7004c8eeff8UL;
   tf->codes[6913] = 0x0000e700c1acfb82UL;
   tf->codes[6914] = 0x0000e701e678185bUL;
   tf->codes[6915] = 0x0000e7051a4a6921UL;
   tf->codes[6916] = 0x0000e7058f6874abUL;
   tf->codes[6917] = 0x0000e70604868035UL;
   tf->codes[6918] = 0x0000e7079e6fa898UL;
   tf->codes[6919] = 0x0000e70888abbfacUL;
   tf->codes[6920] = 0x0000e7093858d0fbUL;
   tf->codes[6921] = 0x0000e709e805e24aUL;
   tf->codes[6922] = 0x0000e7108a39899bUL;
   tf->codes[6923] = 0x0000e714a847f175UL;
   tf->codes[6924] = 0x0000e71b850a9e8bUL;
   tf->codes[6925] = 0x0000e7255b1096a2UL;
   tf->codes[6926] = 0x0000e725d02ea22cUL;
   tf->codes[6927] = 0x0000e727df35d619UL;
   tf->codes[6928] = 0x0000e729791efe7cUL;
   tf->codes[6929] = 0x0000e72bc2b5382eUL;
   tf->codes[6930] = 0x0000e72e0c4b71e0UL;
   tf->codes[6931] = 0x0000e731401dc2a6UL;
   tf->codes[6932] = 0x0000e73598bb3045UL;
   tf->codes[6933] = 0x0000e73732a458a8UL;
   tf->codes[6934] = 0x0000e738576f7581UL;
   tf->codes[6935] = 0x0000e73891fe7b46UL;
   tf->codes[6936] = 0x0000e73a6676a96eUL;
   tf->codes[6937] = 0x0000e74143395684UL;
   tf->codes[6938] = 0x0000e747aaddf810UL;
   tf->codes[6939] = 0x0000e748cfa914e9UL;
   tf->codes[6940] = 0x0000e74adeb048d6UL;
   tf->codes[6941] = 0x0000e74cb32876feUL;
   tf->codes[6942] = 0x0000e7505c18d34eUL;
   tf->codes[6943] = 0x0000e75096a7d913UL;
   tf->codes[6944] = 0x0000e751f601fbb1UL;
   tf->codes[6945] = 0x0000e75d2b621666UL;
   tf->codes[6946] = 0x0000e75d65f11c2bUL;
   tf->codes[6947] = 0x0000e761f91d8f8fUL;
   tf->codes[6948] = 0x0000e766172bf769UL;
   tf->codes[6949] = 0x0000e76651bafd2eUL;
   tf->codes[6950] = 0x0000e7668c4a02f3UL;
   tf->codes[6951] = 0x0000e76701680e7dUL;
   tf->codes[6952] = 0x0000e767eba42591UL;
   tf->codes[6953] = 0x0000e769c01c53b9UL;
   tf->codes[6954] = 0x0000e76fed31ef80UL;
   tf->codes[6955] = 0x0000e77271572ef7UL;
   tf->codes[6956] = 0x0000e773d0b15195UL;
   tf->codes[6957] = 0x0000e7740b40575aUL;
   tf->codes[6958] = 0x0000e775a5297fbdUL;
   tf->codes[6959] = 0x0000e7770483a25bUL;
   tf->codes[6960] = 0x0000e777eebfb96fUL;
   tf->codes[6961] = 0x0000e77aad73feabUL;
   tf->codes[6962] = 0x0000e77b22920a35UL;
   tf->codes[6963] = 0x0000e77d6c2843e7UL;
   tf->codes[6964] = 0x0000e77da6b749acUL;
   tf->codes[6965] = 0x0000e78448eaf0fdUL;
   tf->codes[6966] = 0x0000e7861d631f25UL;
   tf->codes[6967] = 0x0000e78692812aafUL;
   tf->codes[6968] = 0x0000e786cd103074UL;
   tf->codes[6969] = 0x0000e787079f3639UL;
   tf->codes[6970] = 0x0000e78aeb1e984eUL;
   tf->codes[6971] = 0x0000e78e597feed9UL;
   tf->codes[6972] = 0x0000e79118343415UL;
   tf->codes[6973] = 0x0000e7923cff50eeUL;
   tf->codes[6974] = 0x0000e79536429befUL;
   tf->codes[6975] = 0x0000e796d02bc452UL;
   tf->codes[6976] = 0x0000e798a4a3f27aUL;
   tf->codes[6977] = 0x0000e7a11b4fc7f3UL;
   tf->codes[6978] = 0x0000e7a2b538f056UL;
   tf->codes[6979] = 0x0000e7a32a56fbe0UL;
   tf->codes[6980] = 0x0000e7a5e90b411cUL;
   tf->codes[6981] = 0x0000e7aa0719a8f6UL;
   tf->codes[6982] = 0x0000e7aa7c37b480UL;
   tf->codes[6983] = 0x0000e7b0a94d5047UL;
   tf->codes[6984] = 0x0000e7b3a2909b48UL;
   tf->codes[6985] = 0x0000e7b417aea6d2UL;
   tf->codes[6986] = 0x0000e7b53c79c3abUL;
   tf->codes[6987] = 0x0000e7b57708c970UL;
   tf->codes[6988] = 0x0000e7b5ec26d4faUL;
   tf->codes[6989] = 0x0000e7b9cfa6370fUL;
   tf->codes[6990] = 0x0000e7bb2f0059adUL;
   tf->codes[6991] = 0x0000e7bf4d0ec187UL;
   tf->codes[6992] = 0x0000e7c0e6f7e9eaUL;
   tf->codes[6993] = 0x0000e7c36b1d2961UL;
   tf->codes[6994] = 0x0000e7c7fe499cc5UL;
   tf->codes[6995] = 0x0000e7d1d44f94dcUL;
   tf->codes[6996] = 0x0000e7d283fca62bUL;
   tf->codes[6997] = 0x0000e7d2f91ab1b5UL;
   tf->codes[6998] = 0x0000e7d49303da18UL;
   tf->codes[6999] = 0x0000e7d5f25dfcb6UL;
   tf->codes[7000] = 0x0000e7da106c6490UL;
   tf->codes[7001] = 0x0000e7db6fc6872eUL;
   tf->codes[7002] = 0x0000e7dc1f73987dUL;
   tf->codes[7003] = 0x0000e7e002f2fa92UL;
   tf->codes[7004] = 0x0000e7e2c1a73fceUL;
   tf->codes[7005] = 0x0000e7e37154511dUL;
   tf->codes[7006] = 0x0000e7e6a526a1e3UL;
   tf->codes[7007] = 0x0000e7eac33509bdUL;
   tf->codes[7008] = 0x0000e7f0409d9435UL;
   tf->codes[7009] = 0x0000e7f2c4c2d3acUL;
   tf->codes[7010] = 0x0000e7f5837718e8UL;
   tf->codes[7011] = 0x0000e7f9a18580c2UL;
   tf->codes[7012] = 0x0000e80427388a28UL;
   tf->codes[7013] = 0x0000e8054c03a701UL;
   tf->codes[7014] = 0x0000e8075b0adaeeUL;
   tf->codes[7015] = 0x0000e80dfd3e823fUL;
   tf->codes[7016] = 0x0000e811e0bde454UL;
   tf->codes[7017] = 0x0000e8130589012dUL;
   tf->codes[7018] = 0x0000e8175e266eccUL;
   tf->codes[7019] = 0x0000e81b41a5d0e1UL;
   tf->codes[7020] = 0x0000e81d8b3c0a93UL;
   tf->codes[7021] = 0x0000e81e757821a7UL;
   tf->codes[7022] = 0x0000e82258f783bcUL;
   tf->codes[7023] = 0x0000e82343339ad0UL;
   tf->codes[7024] = 0x0000e82e0375a9fbUL;
   tf->codes[7025] = 0x0000e83171d70086UL;
   tf->codes[7026] = 0x0000e8325c13179aUL;
   tf->codes[7027] = 0x0000e832d1312324UL;
   tf->codes[7028] = 0x0000e834308b45c2UL;
   tf->codes[7029] = 0x0000e8397364ca75UL;
   tf->codes[7030] = 0x0000e83b826bfe62UL;
   tf->codes[7031] = 0x0000e83eb63e4f28UL;
   tf->codes[7032] = 0x0000e8405027778bUL;
   tf->codes[7033] = 0x0000e8408ab67d50UL;
   tf->codes[7034] = 0x0000e840c5458315UL;
   tf->codes[7035] = 0x0000e843f917d3dbUL;
   tf->codes[7036] = 0x0000e845cd900203UL;
   tf->codes[7037] = 0x0000e84976805e53UL;
   tf->codes[7038] = 0x0000e84a60bc7567UL;
   tf->codes[7039] = 0x0000e84ef3e8e8cbUL;
   tf->codes[7040] = 0x0000e85018b405a4UL;
   tf->codes[7041] = 0x0000e8508dd2112eUL;
   tf->codes[7042] = 0x0000e8534c86566aUL;
   tf->codes[7043] = 0x0000e863c4bff5d2UL;
   tf->codes[7044] = 0x0000e86aa182a2e8UL;
   tf->codes[7045] = 0x0000e86b512fb437UL;
   tf->codes[7046] = 0x0000e86f34af164cUL;
   tf->codes[7047] = 0x0000e87143b64a39UL;
   tf->codes[7048] = 0x0000e873c7db89b0UL;
   tf->codes[7049] = 0x0000e876fbadda76UL;
   tf->codes[7050] = 0x0000e877e5e9f18aUL;
   tf->codes[7051] = 0x0000e87a6a0f3101UL;
   tf->codes[7052] = 0x0000e87b19bc4250UL;
   tf->codes[7053] = 0x0000e8802206c13eUL;
   tf->codes[7054] = 0x0000e882310df52bUL;
   tf->codes[7055] = 0x0000e889485fa806UL;
   tf->codes[7056] = 0x0000e88e50aa26f4UL;
   tf->codes[7057] = 0x0000e8905fb15ae1UL;
   tf->codes[7058] = 0x0000e8931e65a01dUL;
   tf->codes[7059] = 0x0000e8952d6cd40aUL;
   tf->codes[7060] = 0x0000e89567fbd9cfUL;
   tf->codes[7061] = 0x0000e897ec211946UL;
   tf->codes[7062] = 0x0000e89826b01f0bUL;
   tf->codes[7063] = 0x0000e899c099476eUL;
   tf->codes[7064] = 0x0000e8a09d5bf484UL;
   tf->codes[7065] = 0x0000e8a0d7eafa49UL;
   tf->codes[7066] = 0x0000e8a1127a000eUL;
   tf->codes[7067] = 0x0000e8a1c227115dUL;
   tf->codes[7068] = 0x0000e8a705009610UL;
   tf->codes[7069] = 0x0000e8a77a1ea19aUL;
   tf->codes[7070] = 0x0000e8a9c3b4db4cUL;
   tf->codes[7071] = 0x0000e8ae56e14eb0UL;
   tf->codes[7072] = 0x0000e8b1159593ecUL;
   tf->codes[7073] = 0x0000e8b6586f189fUL;
   tf->codes[7074] = 0x0000e8b82ce746c7UL;
   tf->codes[7075] = 0x0000e8b8a2055251UL;
   tf->codes[7076] = 0x0000e8b8dc945816UL;
   tf->codes[7077] = 0x0000e8bbd5d7a317UL;
   tf->codes[7078] = 0x0000e8bcc013ba2bUL;
   tf->codes[7079] = 0x0000e8bdaa4fd13fUL;
   tf->codes[7080] = 0x0000e8be1f6ddcc9UL;
   tf->codes[7081] = 0x0000e8c411f472cbUL;
   tf->codes[7082] = 0x0000e8c44c837890UL;
   tf->codes[7083] = 0x0000e8c4c1a1841aUL;
   tf->codes[7084] = 0x0000e8c69619b242UL;
   tf->codes[7085] = 0x0000e8c8a520e62fUL;
   tf->codes[7086] = 0x0000e8ca047b08cdUL;
   tf->codes[7087] = 0x0000e8cab4281a1cUL;
   tf->codes[7088] = 0x0000e8ced23681f6UL;
   tf->codes[7089] = 0x0000e8d0a6aeb01eUL;
   tf->codes[7090] = 0x0000e8d0e13db5e3UL;
   tf->codes[7091] = 0x0000e8d20608d2bcUL;
   tf->codes[7092] = 0x0000e8d36562f55aUL;
   tf->codes[7093] = 0x0000e8d5e98834d1UL;
   tf->codes[7094] = 0x0000e8d957e98b5cUL;
   tf->codes[7095] = 0x0000e8dc8bbbdc22UL;
   tf->codes[7096] = 0x0000e8e194065b10UL;
   tf->codes[7097] = 0x0000e8e32def8373UL;
   tf->codes[7098] = 0x0000e8e8ab580debUL;
   tf->codes[7099] = 0x0000e8ec54486a3bUL;
   tf->codes[7100] = 0x0000e8ef12fcaf77UL;
   tf->codes[7101] = 0x0000e8f1d1b0f4b3UL;
   tf->codes[7102] = 0x0000e8f2815e0602UL;
   tf->codes[7103] = 0x0000e8f2f67c118cUL;
   tf->codes[7104] = 0x0000e8f57aa15103UL;
   tf->codes[7105] = 0x0000e8f6d9fb73a1UL;
   tf->codes[7106] = 0x0000e8f7148a7966UL;
   tf->codes[7107] = 0x0000e8f873e49c04UL;
   tf->codes[7108] = 0x0000e8f95e20b318UL;
   tf->codes[7109] = 0x0000e8fccc8209a3UL;
   tf->codes[7110] = 0x0000e8fedb893d90UL;
   tf->codes[7111] = 0x0000e9019a3d82ccUL;
   tf->codes[7112] = 0x0000e902847999e0UL;
   tf->codes[7113] = 0x0000e90458f1c808UL;
   tf->codes[7114] = 0x0000e90926ad4131UL;
   tf->codes[7115] = 0x0000e90a10e95845UL;
   tf->codes[7116] = 0x0000e911283b0b20UL;
   tf->codes[7117] = 0x0000e9119d5916aaUL;
   tf->codes[7118] = 0x0000e914217e5621UL;
   tf->codes[7119] = 0x0000e916e0329b5dUL;
   tf->codes[7120] = 0x0000e91c230c2010UL;
   tf->codes[7121] = 0x0000e91f916d769bUL;
   tf->codes[7122] = 0x0000e920068b8225UL;
   tf->codes[7123] = 0x0000e92165e5a4c3UL;
   tf->codes[7124] = 0x0000e927cd8a464fUL;
   tf->codes[7125] = 0x0000e931a3903e66UL;
   tf->codes[7126] = 0x0000e9333d7966c9UL;
   tf->codes[7127] = 0x0000e93427b57dddUL;
   tf->codes[7128] = 0x0000e935870fa07bUL;
   tf->codes[7129] = 0x0000e93636bcb1caUL;
   tf->codes[7130] = 0x0000e936e669c319UL;
   tf->codes[7131] = 0x0000e93720f8c8deUL;
   tf->codes[7132] = 0x0000e93a54cb19a4UL;
   tf->codes[7133] = 0x0000e93beeb44207UL;
   tf->codes[7134] = 0x0000e93c294347ccUL;
   tf->codes[7135] = 0x0000e93f228692cdUL;
   tf->codes[7136] = 0x0000e93f97a49e57UL;
   tf->codes[7137] = 0x0000e94465601780UL;
   tf->codes[7138] = 0x0000e9449fef1d45UL;
   tf->codes[7139] = 0x0000e94724145cbcUL;
   tf->codes[7140] = 0x0000e94b4222c496UL;
   tf->codes[7141] = 0x0000e951e4566be7UL;
   tf->codes[7142] = 0x0000e952ce9282fbUL;
   tf->codes[7143] = 0x0000e954a30ab123UL;
   tf->codes[7144] = 0x0000e95761bef65fUL;
   tf->codes[7145] = 0x0000e95936372487UL;
   tf->codes[7146] = 0x0000e95b0aaf52afUL;
   tf->codes[7147] = 0x0000e95d19b6869cUL;
   tf->codes[7148] = 0x0000e95eee2eb4c4UL;
   tf->codes[7149] = 0x0000e9651b44508bUL;
   tf->codes[7150] = 0x0000e967d9f895c7UL;
   tf->codes[7151] = 0x0000e96889a5a716UL;
   tf->codes[7152] = 0x0000e968fec3b2a0UL;
   tf->codes[7153] = 0x0000e96b82e8f217UL;
   tf->codes[7154] = 0x0000e96f2bd94e67UL;
   tf->codes[7155] = 0x0000e970c5c276caUL;
   tf->codes[7156] = 0x0000e972251c9968UL;
   tf->codes[7157] = 0x0000e97e0a29c56cUL;
   tf->codes[7158] = 0x0000e9801930f959UL;
   tf->codes[7159] = 0x0000e98053bfff1eUL;
   tf->codes[7160] = 0x0000e983c22155a9UL;
   tf->codes[7161] = 0x0000e985969983d1UL;
   tf->codes[7162] = 0x0000e98fe1bd8772UL;
   tf->codes[7163] = 0x0000e9917ba6afd5UL;
   tf->codes[7164] = 0x0000e992db00d273UL;
   tf->codes[7165] = 0x0000e9938aade3c2UL;
   tf->codes[7166] = 0x0000e99858695cebUL;
   tf->codes[7167] = 0x0000e99a677090d8UL;
   tf->codes[7168] = 0x0000e99aa1ff969dUL;
   tf->codes[7169] = 0x0000e99b8c3badb1UL;
   tf->codes[7170] = 0x0000e99c3be8bf00UL;
   tf->codes[7171] = 0x0000e9a109a43829UL;
   tf->codes[7172] = 0x0000e9a402e7832aUL;
   tf->codes[7173] = 0x0000e9a611eeb717UL;
   tf->codes[7174] = 0x0000e9a7abd7df7aUL;
   tf->codes[7175] = 0x0000e9ab1a393605UL;
   tf->codes[7176] = 0x0000e9b9836ba180UL;
   tf->codes[7177] = 0x0000e9bf75f23782UL;
   tf->codes[7178] = 0x0000e9c0259f48d1UL;
   tf->codes[7179] = 0x0000e9c184f96b6fUL;
   tf->codes[7180] = 0x0000e9c5dd96d90eUL;
   tf->codes[7181] = 0x0000e9cd6a069773UL;
   tf->codes[7182] = 0x0000e9d06349e274UL;
   tf->codes[7183] = 0x0000e9d18814ff4dUL;
   tf->codes[7184] = 0x0000e9d8d9f5b7edUL;
   tf->codes[7185] = 0x0000e9d94f13c377UL;
   tf->codes[7186] = 0x0000e9de91ed482aUL;
   tf->codes[7187] = 0x0000e9df419a5979UL;
   tf->codes[7188] = 0x0000e9e1161287a1UL;
   tf->codes[7189] = 0x0000e9e39a37c718UL;
   tf->codes[7190] = 0x0000e9e48473de2cUL;
   tf->codes[7191] = 0x0000e9e6937b1219UL;
   tf->codes[7192] = 0x0000e9e7f2d534b7UL;
   tf->codes[7193] = 0x0000e9f412716680UL;
   tf->codes[7194] = 0x0000e9f5373c8359UL;
   tf->codes[7195] = 0x0000e9f70bb4b181UL;
   tf->codes[7196] = 0x0000e9fa04f7fc82UL;
   tf->codes[7197] = 0x0000e9fc13ff306fUL;
   tf->codes[7198] = 0x0000e9ff826086faUL;
   tf->codes[7199] = 0x0000ea00320d9849UL;
   tf->codes[7200] = 0x0000ea00a72ba3d3UL;
   tf->codes[7201] = 0x0000ea019167bae7UL;
   tf->codes[7202] = 0x0000ea0699b239d5UL;
   tf->codes[7203] = 0x0000ea0a08139060UL;
   tf->codes[7204] = 0x0000ea0b676db2feUL;
   tf->codes[7205] = 0x0000ea0f105e0f4eUL;
   tf->codes[7206] = 0x0000ea1453379401UL;
   tf->codes[7207] = 0x0000ea19961118b4UL;
   tf->codes[7208] = 0x0000ea1deeae8653UL;
   tf->codes[7209] = 0x0000ea1f1379a32cUL;
   tf->codes[7210] = 0x0000ea274f9672e0UL;
   tf->codes[7211] = 0x0000ea2a0e4ab81cUL;
   tf->codes[7212] = 0x0000ea2b3315d4f5UL;
   tf->codes[7213] = 0x0000ea31602b70bcUL;
   tf->codes[7214] = 0x0000ea31d5497c46UL;
   tf->codes[7215] = 0x0000ea32bf85935aUL;
   tf->codes[7216] = 0x0000ea3493fdc182UL;
   tf->codes[7217] = 0x0000ea3752b206beUL;
   tf->codes[7218] = 0x0000ea3a4bf551bfUL;
   tf->codes[7219] = 0x0000ea3f543fd0adUL;
   tf->codes[7220] = 0x0000ea40ee28f910UL;
   tf->codes[7221] = 0x0000ea42c2a12738UL;
   tf->codes[7222] = 0x0000ea4421fb49d6UL;
   tf->codes[7223] = 0x0000ea4a899feb62UL;
   tf->codes[7224] = 0x0000ea4b394cfcb1UL;
   tf->codes[7225] = 0x0000ea4f91ea6a50UL;
   tf->codes[7226] = 0x0000ea51db80a402UL;
   tf->codes[7227] = 0x0000ea58b8435118UL;
   tf->codes[7228] = 0x0000ea5b01d98acaUL;
   tf->codes[7229] = 0x0000ea5b3c68908fUL;
   tf->codes[7230] = 0x0000ea5b76f79654UL;
   tf->codes[7231] = 0x0000ea63b3146608UL;
   tf->codes[7232] = 0x0000ea679693c81dUL;
   tf->codes[7233] = 0x0000ea68f5edeabbUL;
   tf->codes[7234] = 0x0000ea696b0bf645UL;
   tf->codes[7235] = 0x0000ea6bb4a22ff7UL;
   tf->codes[7236] = 0x0000ea70bcecaee5UL;
   tf->codes[7237] = 0x0000ea76ea024aacUL;
   tf->codes[7238] = 0x0000ea7cdc88e0aeUL;
   tf->codes[7239] = 0x0000ea8085793cfeUL;
   tf->codes[7240] = 0x0000ea84a387a4d8UL;
   tf->codes[7241] = 0x0000ea86ed1dde8aUL;
   tf->codes[7242] = 0x0000ea8a5b7f3515UL;
   tf->codes[7243] = 0x0000ea92d22b0a8eUL;
   tf->codes[7244] = 0x0000ea9556504a05UL;
   tf->codes[7245] = 0x0000ea95cb6e558fUL;
   tf->codes[7246] = 0x0000ea9b8365e5ccUL;
   tf->codes[7247] = 0x0000ea9bf883f156UL;
   tf->codes[7248] = 0x0000ea9f2c56421cUL;
   tf->codes[7249] = 0x0000eaa2602892e2UL;
   tf->codes[7250] = 0x0000eaa6f3550646UL;
   tf->codes[7251] = 0x0000eaa7687311d0UL;
   tf->codes[7252] = 0x0000eaa9025c3a33UL;
   tf->codes[7253] = 0x0000eaaa2727570cUL;
   tf->codes[7254] = 0x0000eab019aded0eUL;
   tf->codes[7255] = 0x0000eab179080facUL;
   tf->codes[7256] = 0x0000eab3880f4399UL;
   tf->codes[7257] = 0x0000eaba2a42eaeaUL;
   tf->codes[7258] = 0x0000eabb147f01feUL;
   tf->codes[7259] = 0x0000eabc394a1ed7UL;
   tf->codes[7260] = 0x0000eabf328d69d8UL;
   tf->codes[7261] = 0x0000eac38b2ad777UL;
   tf->codes[7262] = 0x0000eac60f5016eeUL;
   tf->codes[7263] = 0x0000eac893755665UL;
   tf->codes[7264] = 0x0000eacbc747a72bUL;
   tf->codes[7265] = 0x0000eace4b6ce6a2UL;
   tf->codes[7266] = 0x0000ead01fe514caUL;
   tf->codes[7267] = 0x0000ead319285fcbUL;
   tf->codes[7268] = 0x0000ead43df37ca4UL;
   tf->codes[7269] = 0x0000ead4b311882eUL;
   tf->codes[7270] = 0x0000ead9463dfb92UL;
   tf->codes[7271] = 0x0000eadd29bd5da7UL;
   tf->codes[7272] = 0x0000eae31c43f3a9UL;
   tf->codes[7273] = 0x0000eae4f0bc21d1UL;
   tf->codes[7274] = 0x0000eaf09b3a4810UL;
   tf->codes[7275] = 0x0000eaf31f5f8787UL;
   tf->codes[7276] = 0x0000eaf4442aa460UL;
   tf->codes[7277] = 0x0000eaf568f5c139UL;
   tf->codes[7278] = 0x0000eaf777fcf526UL;
   tf->codes[7279] = 0x0000eaf94c75234eUL;
   tf->codes[7280] = 0x0000eafbd09a62c5UL;
   tf->codes[7281] = 0x0000eafec9ddadc6UL;
   tf->codes[7282] = 0x0000eb035d0a212aUL;
   tf->codes[7283] = 0x0000eb044746383eUL;
   tf->codes[7284] = 0x0000eb0531824f52UL;
   tf->codes[7285] = 0x0000eb10dc007591UL;
   tf->codes[7286] = 0x0000eb15349de330UL;
   tf->codes[7287] = 0x0000eb161ed9fa44UL;
   tf->codes[7288] = 0x0000eb1c11609046UL;
   tf->codes[7289] = 0x0000eb1dab49b8a9UL;
   tf->codes[7290] = 0x0000eb1f4532e10cUL;
   tf->codes[7291] = 0x0000eb21543a14f9UL;
   tf->codes[7292] = 0x0000eb24c29b6b84UL;
   tf->codes[7293] = 0x0000eb2537b9770eUL;
   tf->codes[7294] = 0x0000eb2aefb1074bUL;
   tf->codes[7295] = 0x0000eb345098f3d8UL;
   tf->codes[7296] = 0x0000eb34c5b6ff62UL;
   tf->codes[7297] = 0x0000eb365fa027c5UL;
   tf->codes[7298] = 0x0000eb386ea75bb2UL;
   tf->codes[7299] = 0x0000eb38e3c5673cUL;
   tf->codes[7300] = 0x0000eb391e546d01UL;
   tf->codes[7301] = 0x0000eb3bdd08b23dUL;
   tf->codes[7302] = 0x0000eb4244ad53c9UL;
   tf->codes[7303] = 0x0000eb46d7d9c72dUL;
   tf->codes[7304] = 0x0000eb50addfbf44UL;
   tf->codes[7305] = 0x0000eb53a7230a45UL;
   tf->codes[7306] = 0x0000eb57158460d0UL;
   tf->codes[7307] = 0x0000eb57c531721fUL;
   tf->codes[7308] = 0x0000eb595f1a9a82UL;
   tf->codes[7309] = 0x0000eb5af903c2e5UL;
   tf->codes[7310] = 0x0000eb5be33fd9f9UL;
   tf->codes[7311] = 0x0000eb6160a86471UL;
   tf->codes[7312] = 0x0000eb628573814aUL;
   tf->codes[7313] = 0x0000eb6df562a1c4UL;
   tf->codes[7314] = 0x0000eb6f54bcc462UL;
   tf->codes[7315] = 0x0000eb712934f28aUL;
   tf->codes[7316] = 0x0000eb72fdad20b2UL;
   tf->codes[7317] = 0x0000eb73ad5a3201UL;
   tf->codes[7318] = 0x0000eb745d074350UL;
   tf->codes[7319] = 0x0000eb7ac4abe4dcUL;
   tf->codes[7320] = 0x0000eb7b39c9f066UL;
   tf->codes[7321] = 0x0000eb80f1c180a3UL;
   tf->codes[7322] = 0x0000eb86a9b910e0UL;
   tf->codes[7323] = 0x0000eb8e70b7d50aUL;
   tf->codes[7324] = 0x0000eb8f2064e659UL;
   tf->codes[7325] = 0x0000eb9045300332UL;
   tf->codes[7326] = 0x0000eb92c95542a9UL;
   tf->codes[7327] = 0x0000eb93b39159bdUL;
   tf->codes[7328] = 0x0000eb9b40011822UL;
   tf->codes[7329] = 0x0000eb9bb51f23acUL;
   tf->codes[7330] = 0x0000eb9c2a3d2f36UL;
   tf->codes[7331] = 0x0000eb9d899751d4UL;
   tf->codes[7332] = 0x0000eba3f13bf360UL;
   tf->codes[7333] = 0x0000eba4db780a74UL;
   tf->codes[7334] = 0x0000eba75f9d49ebUL;
   tf->codes[7335] = 0x0000eba849d960ffUL;
   tf->codes[7336] = 0x0000eba8846866c4UL;
   tf->codes[7337] = 0x0000ebadc741eb77UL;
   tf->codes[7338] = 0x0000ebaeec0d0850UL;
   tf->codes[7339] = 0x0000ebb0fb143c3dUL;
   tf->codes[7340] = 0x0000ebb135a34202UL;
   tf->codes[7341] = 0x0000ebb37f397bb4UL;
   tf->codes[7342] = 0x0000ebb6035ebb2bUL;
   tf->codes[7343] = 0x0000ebb762b8ddc9UL;
   tf->codes[7344] = 0x0000ebb88783faa2UL;
   tf->codes[7345] = 0x0000ebbc307456f2UL;
   tf->codes[7346] = 0x0000ebbe7a0a90a4UL;
   tf->codes[7347] = 0x0000ebc04e82beccUL;
   tf->codes[7348] = 0x0000ebc72b456be2UL;
   tf->codes[7349] = 0x0000ebc7a063776cUL;
   tf->codes[7350] = 0x0000ebc8158182f6UL;
   tf->codes[7351] = 0x0000ebc88a9f8e80UL;
   tf->codes[7352] = 0x0000ebc8ffbd9a0aUL;
   tf->codes[7353] = 0x0000ebcb4953d3bcUL;
   tf->codes[7354] = 0x0000ebcb83e2d981UL;
   tf->codes[7355] = 0x0000ebd1014b63f9UL;
   tf->codes[7356] = 0x0000ebd13bda69beUL;
   tf->codes[7357] = 0x0000ebd29b348c5cUL;
   tf->codes[7358] = 0x0000ebd559e8d198UL;
   tf->codes[7359] = 0x0000ebd67eb3ee71UL;
   tf->codes[7360] = 0x0000ebd7a37f0b4aUL;
   tf->codes[7361] = 0x0000ebdad7515c10UL;
   tf->codes[7362] = 0x0000ebddd094a711UL;
   tf->codes[7363] = 0x0000ebdfa50cd539UL;
   tf->codes[7364] = 0x0000ebe179850361UL;
   tf->codes[7365] = 0x0000ebe5d2227100UL;
   tf->codes[7366] = 0x0000ebe9b5a1d315UL;
   tf->codes[7367] = 0x0000ebebc4a90702UL;
   tf->codes[7368] = 0x0000ebeef87b57c8UL;
   tf->codes[7369] = 0x0000ebef6d996352UL;
   tf->codes[7370] = 0x0000ebf01d4674a1UL;
   tf->codes[7371] = 0x0000ebf09264802bUL;
   tf->codes[7372] = 0x0000ebf5601ff954UL;
   tf->codes[7373] = 0x0000ebfadd8883ccUL;
   tf->codes[7374] = 0x0000ebfec107e5e1UL;
   tf->codes[7375] = 0x0000ec00d00f19ceUL;
   tf->codes[7376] = 0x0000ec0319a55380UL;
   tf->codes[7377] = 0x0000ec08970dddf8UL;
   tf->codes[7378] = 0x0000ec08d19ce3bdUL;
   tf->codes[7379] = 0x0000ec114848b936UL;
   tf->codes[7380] = 0x0000ec126d13d60fUL;
   tf->codes[7381] = 0x0000ec14418c0437UL;
   tf->codes[7382] = 0x0000ec19846588eaUL;
   tf->codes[7383] = 0x0000ec2185f352d9UL;
   tf->codes[7384] = 0x0000ec231fdc7b3cUL;
   tf->codes[7385] = 0x0000ec240a189250UL;
   tf->codes[7386] = 0x0000ec2a71bd33dcUL;
   tf->codes[7387] = 0x0000ec2b968850b5UL;
   tf->codes[7388] = 0x0000ec2c0ba65c3fUL;
   tf->codes[7389] = 0x0000ec30d961d568UL;
   tf->codes[7390] = 0x0000ec31fe2cf241UL;
   tf->codes[7391] = 0x0000ec32adda0390UL;
   tf->codes[7392] = 0x0000ec36cbe86b6aUL;
   tf->codes[7393] = 0x0000ec370677712fUL;
   tf->codes[7394] = 0x0000ec3b2485d909UL;
   tf->codes[7395] = 0x0000ec3b99a3e493UL;
   tf->codes[7396] = 0x0000ec3cf8fe0731UL;
   tf->codes[7397] = 0x0000ec3ecd763559UL;
   tf->codes[7398] = 0x0000ec40a1ee6381UL;
   tf->codes[7399] = 0x0000ec418c2a7a95UL;
   tf->codes[7400] = 0x0000ec444adebfd1UL;
   tf->codes[7401] = 0x0000ec44fa8bd120UL;
   tf->codes[7402] = 0x0000ec477eb11097UL;
   tf->codes[7403] = 0x0000ec47b940165cUL;
   tf->codes[7404] = 0x0000ec49c8474a49UL;
   tf->codes[7405] = 0x0000ec4b623072acUL;
   tf->codes[7406] = 0x0000ec4cfc199b0fUL;
   tf->codes[7407] = 0x0000ec50a509f75fUL;
   tf->codes[7408] = 0x0000ec511a2802e9UL;
   tf->codes[7409] = 0x0000ec53292f36d6UL;
   tf->codes[7410] = 0x0000ec57473d9eb0UL;
   tf->codes[7411] = 0x0000ec5fbde97429UL;
   tf->codes[7412] = 0x0000ec606d968578UL;
   tf->codes[7413] = 0x0000ec611d4396c7UL;
   tf->codes[7414] = 0x0000ec63dbf7dc03UL;
   tf->codes[7415] = 0x0000ec68349549a2UL;
   tf->codes[7416] = 0x0000ec7578fc9844UL;
   tf->codes[7417] = 0x0000ec7628a9a993UL;
   tf->codes[7418] = 0x0000ec77fd21d7bbUL;
   tf->codes[7419] = 0x0000ec815e09c448UL;
   tf->codes[7420] = 0x0000ec820db6d597UL;
   tf->codes[7421] = 0x0000ec84574d0f49UL;
   tf->codes[7422] = 0x0000ec84cc6b1ad3UL;
   tf->codes[7423] = 0x0000ec899a2693fcUL;
   tf->codes[7424] = 0x0000ec903c5a3b4dUL;
   tf->codes[7425] = 0x0000ec90b17846d7UL;
   tf->codes[7426] = 0x0000ec9928241c50UL;
   tf->codes[7427] = 0x0000ec999d4227daUL;
   tf->codes[7428] = 0x0000eca0b493dab5UL;
   tf->codes[7429] = 0x0000eca24e7d0318UL;
   tf->codes[7430] = 0x0000eca3add725b6UL;
   tf->codes[7431] = 0x0000eca84103991aUL;
   tf->codes[7432] = 0x0000eca87b929edfUL;
   tf->codes[7433] = 0x0000ecaee337406bUL;
   tf->codes[7434] = 0x0000ecb042916309UL;
   tf->codes[7435] = 0x0000ecb1675c7fe2UL;
   tf->codes[7436] = 0x0000ecb217099131UL;
   tf->codes[7437] = 0x0000ecb2519896f6UL;
   tf->codes[7438] = 0x0000ecbbb2808383UL;
   tf->codes[7439] = 0x0000ecbdc187b770UL;
   tf->codes[7440] = 0x0000ecbf95ffe598UL;
   tf->codes[7441] = 0x0000ecc045acf6e7UL;
   tf->codes[7442] = 0x0000ecc1a5071985UL;
   tf->codes[7443] = 0x0000ecc28f433099UL;
   tf->codes[7444] = 0x0000ecc3ee9d5337UL;
   tf->codes[7445] = 0x0000ecc463bb5ec1UL;
   tf->codes[7446] = 0x0000ecc513687010UL;
   tf->codes[7447] = 0x0000ecc7226fa3fdUL;
   tf->codes[7448] = 0x0000ecd37c9adb8bUL;
   tf->codes[7449] = 0x0000ecd675de268cUL;
   tf->codes[7450] = 0x0000ecd7601a3da0UL;
   tf->codes[7451] = 0x0000ece0115518deUL;
   tf->codes[7452] = 0x0000ece1e5cd4706UL;
   tf->codes[7453] = 0x0000ece812e2e2cdUL;
   tf->codes[7454] = 0x0000ece937adffa6UL;
   tf->codes[7455] = 0x0000ecead1972809UL;
   tf->codes[7456] = 0x0000ecebf66244e2UL;
   tf->codes[7457] = 0x0000ecef2a3495a8UL;
   tf->codes[7458] = 0x0000ecf3f7f00ed1UL;
   tf->codes[7459] = 0x0000ecf4327f1496UL;
   tf->codes[7460] = 0x0000ecf7db6f70e6UL;
   tf->codes[7461] = 0x0000ecf9003a8dbfUL;
   tf->codes[7462] = 0x0000ecf9afe79f0eUL;
   tf->codes[7463] = 0x0000ecfa5f94b05dUL;
   tf->codes[7464] = 0x0000ed04359aa874UL;
   tf->codes[7465] = 0x0000ed0644a1dc61UL;
   tf->codes[7466] = 0x0000ed07a3fbfeffUL;
   tf->codes[7467] = 0x0000ed08191a0a89UL;
   tf->codes[7468] = 0x0000ed09b30332ecUL;
   tf->codes[7469] = 0x0000ed0d5bf38f3cUL;
   tf->codes[7470] = 0x0000ed105536da3dUL;
   tf->codes[7471] = 0x0000ed1229af0865UL;
   tf->codes[7472] = 0x0000ed12643e0e2aUL;
   tf->codes[7473] = 0x0000ed12d95c19b4UL;
   tf->codes[7474] = 0x0000ed1313eb1f79UL;
   tf->codes[7475] = 0x0000ed13c39830c8UL;
   tf->codes[7476] = 0x0000ed1473454217UL;
   tf->codes[7477] = 0x0000ed155d81592bUL;
   tf->codes[7478] = 0x0000ed16f76a818eUL;
   tf->codes[7479] = 0x0000ed181c359e67UL;
   tf->codes[7480] = 0x0000ed1856c4a42cUL;
   tf->codes[7481] = 0x0000ed197b8fc105UL;
   tf->codes[7482] = 0x0000ed1d5f0f231aUL;
   tf->codes[7483] = 0x0000ed231706b357UL;
   tf->codes[7484] = 0x0000ed2f7131eae5UL;
   tf->codes[7485] = 0x0000ed32df934170UL;
   tf->codes[7486] = 0x0000ed338f4052bfUL;
   tf->codes[7487] = 0x0000ed36c312a385UL;
   tf->codes[7488] = 0x0000ed36fda1a94aUL;
   tf->codes[7489] = 0x0000ed3a3173fa10UL;
   tf->codes[7490] = 0x0000ed3e8a1167afUL;
   tf->codes[7491] = 0x0000ed410e36a726UL;
   tf->codes[7492] = 0x0000ed431d3ddb13UL;
   tf->codes[7493] = 0x0000ed4616812614UL;
   tf->codes[7494] = 0x0000ed4775db48b2UL;
   tf->codes[7495] = 0x0000ed47eaf9543cUL;
   tf->codes[7496] = 0x0000ed4a6f1e93b3UL;
   tf->codes[7497] = 0x0000ed4e180ef003UL;
   tf->codes[7498] = 0x0000ed4f024b0717UL;
   tf->codes[7499] = 0x0000ed52361d57ddUL;
   tf->codes[7500] = 0x0000ed5270ac5da2UL;
   tf->codes[7501] = 0x0000ed57ee14e81aUL;
   tf->codes[7502] = 0x0000ed5987fe107dUL;
   tf->codes[7503] = 0x0000ed59fd1c1c07UL;
   tf->codes[7504] = 0x0000ed5cbbd06143UL;
   tf->codes[7505] = 0x0000ed5f05669af5UL;
   tf->codes[7506] = 0x0000ed5fefa2b209UL;
   tf->codes[7507] = 0x0000ed63237502cfUL;
   tf->codes[7508] = 0x0000ed64bd5e2b32UL;
   tf->codes[7509] = 0x0000ed65e229480bUL;
   tf->codes[7510] = 0x0000ed66cc655f1fUL;
   tf->codes[7511] = 0x0000ed682bbf81bdUL;
   tf->codes[7512] = 0x0000ed68db6c930cUL;
   tf->codes[7513] = 0x0000ed69c5a8aa20UL;
   tf->codes[7514] = 0x0000ed6b5f91d283UL;
   tf->codes[7515] = 0x0000ed702d4d4bacUL;
   tf->codes[7516] = 0x0000ed72ec0190e8UL;
   tf->codes[7517] = 0x0000ed73d63da7fcUL;
   tf->codes[7518] = 0x0000ed74c079bf10UL;
   tf->codes[7519] = 0x0000ed75e544dbe9UL;
   tf->codes[7520] = 0x0000ed7953a63274UL;
   tf->codes[7521] = 0x0000ed7a78714f4dUL;
   tf->codes[7522] = 0x0000ed7aed8f5ad7UL;
   tf->codes[7523] = 0x0000ed7bd7cb71ebUL;
   tf->codes[7524] = 0x0000ed7cc20788ffUL;
   tf->codes[7525] = 0x0000ed7e967fb727UL;
   tf->codes[7526] = 0x0000ed80e015f0d9UL;
   tf->codes[7527] = 0x0000ed82ef1d24c6UL;
   tf->codes[7528] = 0x0000ed84fe2458b3UL;
   tf->codes[7529] = 0x0000ed857342643dUL;
   tf->codes[7530] = 0x0000ed8622ef758cUL;
   tf->codes[7531] = 0x0000ed8747ba9265UL;
   tf->codes[7532] = 0x0000ed92b7a9b2dfUL;
   tf->codes[7533] = 0x0000ed94c6b0e6ccUL;
   tf->codes[7534] = 0x0000ed953bcef256UL;
   tf->codes[7535] = 0x0000ed95eb7c03a5UL;
   tf->codes[7536] = 0x0000ed98aa3048e1UL;
   tf->codes[7537] = 0x0000ed9ab9377cceUL;
   tf->codes[7538] = 0x0000eda0abbe12d0UL;
   tf->codes[7539] = 0x0000eda0e64d1895UL;
   tf->codes[7540] = 0x0000eda245a73b33UL;
   tf->codes[7541] = 0x0000eda3df906396UL;
   tf->codes[7542] = 0x0000eda53eea8634UL;
   tf->codes[7543] = 0x0000eda5b40891beUL;
   tf->codes[7544] = 0x0000eda5ee979783UL;
   tf->codes[7545] = 0x0000edb0744aa0e9UL;
   tf->codes[7546] = 0x0000edb36d8debeaUL;
   tf->codes[7547] = 0x0000edb542061a12UL;
   tf->codes[7548] = 0x0000edb7167e483aUL;
   tf->codes[7549] = 0x0000edb875d86ad8UL;
   tf->codes[7550] = 0x0000edbbe439c163UL;
   tf->codes[7551] = 0x0000edbd0904de3cUL;
   tf->codes[7552] = 0x0000edbdf340f550UL;
   tf->codes[7553] = 0x0000edbe685f00daUL;
   tf->codes[7554] = 0x0000edc62f5dc504UL;
   tf->codes[7555] = 0x0000edc71999dc18UL;
   tf->codes[7556] = 0x0000edc75428e1ddUL;
   tf->codes[7557] = 0x0000edc928a11005UL;
   tf->codes[7558] = 0x0000edc9633015caUL;
   tf->codes[7559] = 0x0000edc99dbf1b8fUL;
   tf->codes[7560] = 0x0000edca87fb32a3UL;
   tf->codes[7561] = 0x0000edcbe7555541UL;
   tf->codes[7562] = 0x0000edd03ff2c2e0UL;
   tf->codes[7563] = 0x0000edd07a81c8a5UL;
   tf->codes[7564] = 0x0000edd164bddfb9UL;
   tf->codes[7565] = 0x0000edd2146af108UL;
   tf->codes[7566] = 0x0000edd2c4180257UL;
   tf->codes[7567] = 0x0000edd3ae54196bUL;
   tf->codes[7568] = 0x0000edd7574475bbUL;
   tf->codes[7569] = 0x0000edd9db69b532UL;
   tf->codes[7570] = 0x0000ede0430e56beUL;
   tf->codes[7571] = 0x0000ede376e0a784UL;
   tf->codes[7572] = 0x0000ede80a0d1ae8UL;
   tf->codes[7573] = 0x0000edec62aa8887UL;
   tf->codes[7574] = 0x0000edf1e01312ffUL;
   tf->codes[7575] = 0x0000edf255311e89UL;
   tf->codes[7576] = 0x0000edf304de2fd8UL;
   tf->codes[7577] = 0x0000edfa1c2fe2b3UL;
   tf->codes[7578] = 0x0000edfb7b8a0551UL;
   tf->codes[7579] = 0x0000edfd8a91393eUL;
   tf->codes[7580] = 0x0000edff247a61a1UL;
   tf->codes[7581] = 0x0000ee00be638a04UL;
   tf->codes[7582] = 0x0000ee0307f9c3b6UL;
   tf->codes[7583] = 0x0000ee05c6ae08f2UL;
   tf->codes[7584] = 0x0000ee08bff153f3UL;
   tf->codes[7585] = 0x0000ee10fc0e23a7UL;
   tf->codes[7586] = 0x0000ee125b684645UL;
   tf->codes[7587] = 0x0000ee16b405b3e4UL;
   tf->codes[7588] = 0x0000ee1763b2c533UL;
   tf->codes[7589] = 0x0000ee18135fd682UL;
   tf->codes[7590] = 0x0000ee1c6bfd4421UL;
   tf->codes[7591] = 0x0000ee1ef0228398UL;
   tf->codes[7592] = 0x0000ee1f65408f22UL;
   tf->codes[7593] = 0x0000ee229912dfe8UL;
   tf->codes[7594] = 0x0000ee22d3a1e5adUL;
   tf->codes[7595] = 0x0000ee23bdddfcc1UL;
   tf->codes[7596] = 0x0000ee2592562ae9UL;
   tf->codes[7597] = 0x0000ee2607743673UL;
   tf->codes[7598] = 0x0000ee293b468739UL;
   tf->codes[7599] = 0x0000ee29eaf39888UL;
   tf->codes[7600] = 0x0000ee2a6011a412UL;
   tf->codes[7601] = 0x0000ee301809344fUL;
   tf->codes[7602] = 0x0000ee3052983a14UL;
   tf->codes[7603] = 0x0000ee33866a8adaUL;
   tf->codes[7604] = 0x0000ee352053b33dUL;
   tf->codes[7605] = 0x0000ee36451ed016UL;
   tf->codes[7606] = 0x0000ee37df07f879UL;
   tf->codes[7607] = 0x0000ee3a9dbc3db5UL;
   tf->codes[7608] = 0x0000ee3bfd166053UL;
   tf->codes[7609] = 0x0000ee3c37a56618UL;
   tf->codes[7610] = 0x0000ee3fe095c268UL;
   tf->codes[7611] = 0x0000ee460dab5e2fUL;
   tf->codes[7612] = 0x0000ee481cb2921cUL;
   tf->codes[7613] = 0x0000ee4fa9225081UL;
   tf->codes[7614] = 0x0000ee51087c731fUL;
   tf->codes[7615] = 0x0000ee522d478ff8UL;
   tf->codes[7616] = 0x0000ee5267d695bdUL;
   tf->codes[7617] = 0x0000ee52a2659b82UL;
   tf->codes[7618] = 0x0000ee564b55f7d2UL;
   tf->codes[7619] = 0x0000ee57aab01a70UL;
   tf->codes[7620] = 0x0000ee57e53f2035UL;
   tf->codes[7621] = 0x0000ee5bc8be824aUL;
   tf->codes[7622] = 0x0000ee5c034d880fUL;
   tf->codes[7623] = 0x0000ee60215befe9UL;
   tf->codes[7624] = 0x0000ee609679fb73UL;
   tf->codes[7625] = 0x0000ee65d9538026UL;
   tf->codes[7626] = 0x0000ee6822e9b9d8UL;
   tf->codes[7627] = 0x0000ee6b56bc0a9eUL;
   tf->codes[7628] = 0x0000ee6f3a3b6cb3UL;
   tf->codes[7629] = 0x0000ee70247783c7UL;
   tf->codes[7630] = 0x0000ee76518d1f8eUL;
   tf->codes[7631] = 0x0000ee77013a30ddUL;
   tf->codes[7632] = 0x0000ee77eb7647f1UL;
   tf->codes[7633] = 0x0000ee7b9466a441UL;
   tf->codes[7634] = 0x0000ee7c7ea2bb55UL;
   tf->codes[7635] = 0x0000ee7e531ae97dUL;
   tf->codes[7636] = 0x0000ee80279317a5UL;
   tf->codes[7637] = 0x0000ee80d74028f4UL;
   tf->codes[7638] = 0x0000ee8271295157UL;
   tf->codes[7639] = 0x0000ee82abb8571cUL;
   tf->codes[7640] = 0x0000ee870455c4bbUL;
   tf->codes[7641] = 0x0000ee87b402d60aUL;
   tf->codes[7642] = 0x0000ee8a72b71b46UL;
   tf->codes[7643] = 0x0000ee8f7b019a34UL;
   tf->codes[7644] = 0x0000ee95a81735fbUL;
   tf->codes[7645] = 0x0000ee995107924bUL;
   tf->codes[7646] = 0x0000ee998b969810UL;
   tf->codes[7647] = 0x0000ee9f438e284dUL;
   tf->codes[7648] = 0x0000eea118065675UL;
   tf->codes[7649] = 0x0000eea18d2461ffUL;
   tf->codes[7650] = 0x0000eea2ec7e849dUL;
   tf->codes[7651] = 0x0000eea3619c9027UL;
   tf->codes[7652] = 0x0000eea3d6ba9bb1UL;
   tf->codes[7653] = 0x0000eea4fb85b88aUL;
   tf->codes[7654] = 0x0000eea77faaf801UL;
   tf->codes[7655] = 0x0000eeb1903ff5ddUL;
   tf->codes[7656] = 0x0000eeb4c41246a3UL;
   tf->codes[7657] = 0x0000eeb86d02a2f3UL;
   tf->codes[7658] = 0x0000eeb991cdbfccUL;
   tf->codes[7659] = 0x0000eebf49c55009UL;
   tf->codes[7660] = 0x0000eebfbee35b93UL;
   tf->codes[7661] = 0x0000eec0e3ae786cUL;
   tf->codes[7662] = 0x0000eec2b826a694UL;
   tf->codes[7663] = 0x0000eec785e21fbdUL;
   tf->codes[7664] = 0x0000eecba3f08797UL;
   tf->codes[7665] = 0x0000eed3a57e5186UL;
   tf->codes[7666] = 0x0000eed3e00d574bUL;
   tf->codes[7667] = 0x0000eed4552b62d5UL;
   tf->codes[7668] = 0x0000eed629a390fdUL;
   tf->codes[7669] = 0x0000eed99804e788UL;
   tf->codes[7670] = 0x0000eedb6c7d15b0UL;
   tf->codes[7671] = 0x0000eedbe19b213aUL;
   tf->codes[7672] = 0x0000eedccbd7384eUL;
   tf->codes[7673] = 0x0000eedf4ffc77c5UL;
   tf->codes[7674] = 0x0000eee15f03abb2UL;
   tf->codes[7675] = 0x0000eee57d12138cUL;
   tf->codes[7676] = 0x0000eee78c194779UL;
   tf->codes[7677] = 0x0000eeeafa7a9e04UL;
   tf->codes[7678] = 0x0000eeedf3bde905UL;
   tf->codes[7679] = 0x0000eef24c5b56a4UL;
   tf->codes[7680] = 0x0000eef286ea5c69UL;
   tf->codes[7681] = 0x0000eef5459ea1a5UL;
   tf->codes[7682] = 0x0000eef78f34db57UL;
   tf->codes[7683] = 0x0000eefe316882a8UL;
   tf->codes[7684] = 0x0000eefee11593f7UL;
   tf->codes[7685] = 0x0000eeffcb51ab0bUL;
   tf->codes[7686] = 0x0000ef0339b30196UL;
   tf->codes[7687] = 0x0000ef04990d2434UL;
   tf->codes[7688] = 0x0000ef0757c16970UL;
   tf->codes[7689] = 0x0000ef08b71b8c0eUL;
   tf->codes[7690] = 0x0000ef107e1a5038UL;
   tf->codes[7691] = 0x0000ef112dc76187UL;
   tf->codes[7692] = 0x0000ef12c7b089eaUL;
   tf->codes[7693] = 0x0000ef163611e075UL;
   tf->codes[7694] = 0x0000ef17204df789UL;
   tf->codes[7695] = 0x0000ef1a5420484fUL;
   tf->codes[7696] = 0x0000ef1bb37a6aedUL;
   tf->codes[7697] = 0x0000ef23055b238dUL;
   tf->codes[7698] = 0x0000ef2464b5462bUL;
   tf->codes[7699] = 0x0000ef249f444bf0UL;
   tf->codes[7700] = 0x0000ef28bd52b3caUL;
   tf->codes[7701] = 0x0000ef2f9a1560e0UL;
   tf->codes[7702] = 0x0000ef334305bd30UL;
   tf->codes[7703] = 0x0000ef34a25fdfceUL;
   tf->codes[7704] = 0x0000ef363c490831UL;
   tf->codes[7705] = 0x0000ef3676d80df6UL;
   tf->codes[7706] = 0x0000ef36ebf61980UL;
   tf->codes[7707] = 0x0000ef38c06e47a8UL;
   tf->codes[7708] = 0x0000ef3bb9b192a9UL;
   tf->codes[7709] = 0x0000ef3dc8b8c696UL;
   tf->codes[7710] = 0x0000ef3f2812e934UL;
   tf->codes[7711] = 0x0000ef3f9d30f4beUL;
   tf->codes[7712] = 0x0000ef430b924b49UL;
   tf->codes[7713] = 0x0000ef4a5d7303e9UL;
   tf->codes[7714] = 0x0000ef4b0d201538UL;
   tf->codes[7715] = 0x0000ef53493ce4ecUL;
   tf->codes[7716] = 0x0000ef551db51314UL;
   tf->codes[7717] = 0x0000ef56b79e3b77UL;
   tf->codes[7718] = 0x0000ef5a25ff9202UL;
   tf->codes[7719] = 0x0000ef5b103ba916UL;
   tf->codes[7720] = 0x0000ef5d59d1e2c8UL;
   tf->codes[7721] = 0x0000ef6102c23f18UL;
   tf->codes[7722] = 0x0000ef6854a2f7b8UL;
   tf->codes[7723] = 0x0000ef776d827482UL;
   tf->codes[7724] = 0x0000ef77e2a0800cUL;
   tf->codes[7725] = 0x0000ef7dd527160eUL;
   tf->codes[7726] = 0x0000ef94ef945cc7UL;
   tf->codes[7727] = 0x0000ef952a23628cUL;
   tf->codes[7728] = 0x0000ef985df5b352UL;
   tf->codes[7729] = 0x0000efa09a128306UL;
   tf->codes[7730] = 0x0000efa6520a1343UL;
   tf->codes[7731] = 0x0000efa6c7281ecdUL;
   tf->codes[7732] = 0x0000efbda7065fc1UL;
   tf->codes[7733] = 0x0000efbecbd17c9aUL;
   tf->codes[7734] = 0x0000efbff09c9973UL;
   tf->codes[7735] = 0x0000efcb9b1abfb2UL;
   tf->codes[7736] = 0x0000efd153124fefUL;
   tf->codes[7737] = 0x0000efd44c559af0UL;
   tf->codes[7738] = 0x0000efd78027ebb6UL;
   tf->codes[7739] = 0x0000efdf4726afe0UL;
   tf->codes[7740] = 0x0000efe32aa611f5UL;
   tf->codes[7741] = 0x0000efe5aecb516cUL;
   tf->codes[7742] = 0x0000efe70e25740aUL;
   tf->codes[7743] = 0x0000eff32dc1a5d3UL;
   tf->codes[7744] = 0x0000eff7fb7d1efcUL;
   tf->codes[7745] = 0x0000eff920483bd5UL;
   tf->codes[7746] = 0x0000effffd0ae8ebUL;
   tf->codes[7747] = 0x0000f000acb7fa3aUL;
   tf->codes[7748] = 0x0000f00196f4114eUL;
   tf->codes[7749] = 0x0000f00246a1229dUL;
   tf->codes[7750] = 0x0000f00455a8568aUL;
   tf->codes[7751] = 0x0000f0083927b89fUL;
   tf->codes[7752] = 0x0000f0141e34e4a3UL;
   tf->codes[7753] = 0x0000f01801b446b8UL;
   tf->codes[7754] = 0x0000f019267f6391UL;
   tf->codes[7755] = 0x0000f0233714616dUL;
   tf->codes[7756] = 0x0000f0278fb1cf0cUL;
   tf->codes[7757] = 0x0000f0296429fd34UL;
   tf->codes[7758] = 0x0000f02badc036e6UL;
   tf->codes[7759] = 0x0000f02e6c747c22UL;
   tf->codes[7760] = 0x0000f0307b7bb00fUL;
   tf->codes[7761] = 0x0000f030b60ab5d4UL;
   tf->codes[7762] = 0x0000f030f099bb99UL;
   tf->codes[7763] = 0x0000f034998a17e9UL;
   tf->codes[7764] = 0x0000f0350ea82373UL;
   tf->codes[7765] = 0x0000f036e320519bUL;
   tf->codes[7766] = 0x0000f037583e5d25UL;
   tf->codes[7767] = 0x0000f0387d0979feUL;
   tf->codes[7768] = 0x0000f03ac69fb3b0UL;
   tf->codes[7769] = 0x0000f0407e9743edUL;
   tf->codes[7770] = 0x0000f041ddf1668bUL;
   tf->codes[7771] = 0x0000f042c82d7d9fUL;
   tf->codes[7772] = 0x0000f0446216a602UL;
   tf->codes[7773] = 0x0000f0475b59f103UL;
   tf->codes[7774] = 0x0000f0480b070252UL;
   tf->codes[7775] = 0x0000f04a8f2c41c9UL;
   tf->codes[7776] = 0x0000f051a67df4a4UL;
   tf->codes[7777] = 0x0000f052562b05f3UL;
   tf->codes[7778] = 0x0000f05305d81742UL;
   tf->codes[7779] = 0x0000f054653239e0UL;
   tf->codes[7780] = 0x0000f05a9247d5a7UL;
   tf->codes[7781] = 0x0000f05dc61a266dUL;
   tf->codes[7782] = 0x0000f05f9a925495UL;
   tf->codes[7783] = 0x0000f0604a3f65e4UL;
   tf->codes[7784] = 0x0000f061a9998882UL;
   tf->codes[7785] = 0x0000f067270212faUL;
   tf->codes[7786] = 0x0000f067d6af2449UL;
   tf->codes[7787] = 0x0000f0717226169bUL;
   tf->codes[7788] = 0x0000f071acb51c60UL;
   tf->codes[7789] = 0x0000f0746b69619cUL;
   tf->codes[7790] = 0x0000f0767a709589UL;
   tf->codes[7791] = 0x0000f0788977c976UL;
   tf->codes[7792] = 0x0000f07973b3e08aUL;
   tf->codes[7793] = 0x0000f08050768da0UL;
   tf->codes[7794] = 0x0000f08593501253UL;
   tf->codes[7795] = 0x0000f089b15e7a2dUL;
   tf->codes[7796] = 0x0000f08fde7415f4UL;
   tf->codes[7797] = 0x0000f0926299556bUL;
   tf->codes[7798] = 0x0000f096f5c5c8cfUL;
   tf->codes[7799] = 0x0000f097a572da1eUL;
   tf->codes[7800] = 0x0000f097e001dfe3UL;
   tf->codes[7801] = 0x0000f09bc38141f8UL;
   tf->codes[7802] = 0x0000f09bfe1047bdUL;
   tf->codes[7803] = 0x0000f09e82358734UL;
   tf->codes[7804] = 0x0000f0a1b607d7faUL;
   tf->codes[7805] = 0x0000f0a7e31d73c1UL;
   tf->codes[7806] = 0x0000f0b109765a89UL;
   tf->codes[7807] = 0x0000f0b1b9236bd8UL;
   tf->codes[7808] = 0x0000f0b5d731d3b2UL;
   tf->codes[7809] = 0x0000f0b64c4fdf3cUL;
   tf->codes[7810] = 0x0000f0b85b571329UL;
   tf->codes[7811] = 0x0000f0b895e618eeUL;
   tf->codes[7812] = 0x0000f0b90b042478UL;
   tf->codes[7813] = 0x0000f0b980223002UL;
   tf->codes[7814] = 0x0000f0ba6a5e4716UL;
   tf->codes[7815] = 0x0000f0badf7c52a0UL;
   tf->codes[7816] = 0x0000f0bbc9b869b4UL;
   tf->codes[7817] = 0x0000f0be4ddda92bUL;
   tf->codes[7818] = 0x0000f0bf72a8c604UL;
   tf->codes[7819] = 0x0000f0c181aff9f1UL;
   tf->codes[7820] = 0x0000f0c405d53968UL;
   tf->codes[7821] = 0x0000f0c4b5824ab7UL;
   tf->codes[7822] = 0x0000f0c689fa78dfUL;
   tf->codes[7823] = 0x0000f0d025716b31UL;
   tf->codes[7824] = 0x0000f0d4f32ce45aUL;
   tf->codes[7825] = 0x0000f0d8618e3ae5UL;
   tf->codes[7826] = 0x0000f0daab247497UL;
   tf->codes[7827] = 0x0000f0db20428021UL;
   tf->codes[7828] = 0x0000f0dfb36ef385UL;
   tf->codes[7829] = 0x0000f0e2722338c1UL;
   tf->codes[7830] = 0x0000f0e655a29ad6UL;
   tf->codes[7831] = 0x0000f0eb5ded19c4UL;
   tf->codes[7832] = 0x0000f0f0663798b2UL;
   tf->codes[7833] = 0x0000f0f0db55a43cUL;
   tf->codes[7834] = 0x0000f0f1c591bb50UL;
   tf->codes[7835] = 0x0000f0f39a09e978UL;
   tf->codes[7836] = 0x0000f0f8a2546866UL;
   tf->codes[7837] = 0x0000f0f9520179b5UL;
   tf->codes[7838] = 0x0000f0fb2679a7ddUL;
   tf->codes[7839] = 0x0000f0fd3580dbcaUL;
   tf->codes[7840] = 0x0000f100de71381aUL;
   tf->codes[7841] = 0x0000f101538f43a4UL;
   tf->codes[7842] = 0x0000f10362967791UL;
   tf->codes[7843] = 0x0000f104124388e0UL;
   tf->codes[7844] = 0x0000f112b604fa20UL;
   tf->codes[7845] = 0x0000f114155f1cbeUL;
   tf->codes[7846] = 0x0000f115af484521UL;
   tf->codes[7847] = 0x0000f11af221c9d4UL;
   tf->codes[7848] = 0x0000f11b673fd55eUL;
   tf->codes[7849] = 0x0000f1206f8a544cUL;
   tf->codes[7850] = 0x0000f120e4a85fd6UL;
   tf->codes[7851] = 0x0000f123a35ca512UL;
   tf->codes[7852] = 0x0000f12a801f5228UL;
   tf->codes[7853] = 0x0000f1303816e265UL;
   tf->codes[7854] = 0x0000f131d2000ac8UL;
   tf->codes[7855] = 0x0000f132bc3c21dcUL;
   tf->codes[7856] = 0x0000f1341b96447aUL;
   tf->codes[7857] = 0x0000f13505d25b8eUL;
   tf->codes[7858] = 0x0000f136652c7e2cUL;
   tf->codes[7859] = 0x0000f13789f79b05UL;
   tf->codes[7860] = 0x0000f13d41ef2b42UL;
   tf->codes[7861] = 0x0000f1424a39aa30UL;
   tf->codes[7862] = 0x0000f14802313a6dUL;
   tf->codes[7863] = 0x0000f14a865679e4UL;
   tf->codes[7864] = 0x0000f150b36c15abUL;
   tf->codes[7865] = 0x0000f150edfb1b70UL;
   tf->codes[7866] = 0x0000f153acaf60acUL;
   tf->codes[7867] = 0x0000f155f6459a5eUL;
   tf->codes[7868] = 0x0000f1607bf8a3c4UL;
   tf->codes[7869] = 0x0000f1628affd7b1UL;
   tf->codes[7870] = 0x0000f163001de33bUL;
   tf->codes[7871] = 0x0000f16549b41cedUL;
   tf->codes[7872] = 0x0000f16a176f9616UL;
   tf->codes[7873] = 0x0000f173785782a3UL;
   tf->codes[7874] = 0x0000f173ed758e2dUL;
   tf->codes[7875] = 0x0000f174d7b1a541UL;
   tf->codes[7876] = 0x0000f175875eb690UL;
   tf->codes[7877] = 0x0000f176e6b8d92eUL;
   tf->codes[7878] = 0x0000f17880a20191UL;
   tf->codes[7879] = 0x0000f17c29925de1UL;
   tf->codes[7880] = 0x0000f17fd282ba31UL;
   tf->codes[7881] = 0x0000f180bcbed145UL;
   tf->codes[7882] = 0x0000f1829136ff6dUL;
   tf->codes[7883] = 0x0000f183b6021c46UL;
   tf->codes[7884] = 0x0000f185ff9855f8UL;
   tf->codes[7885] = 0x0000f191aa167c37UL;
   tf->codes[7886] = 0x0000f1921f3487c1UL;
   tf->codes[7887] = 0x0000f1929452934bUL;
   tf->codes[7888] = 0x0000f1937e8eaa5fUL;
   tf->codes[7889] = 0x0000f196ecf000eaUL;
   tf->codes[7890] = 0x0000f197277f06afUL;
   tf->codes[7891] = 0x0000f19971154061UL;
   tf->codes[7892] = 0x0000f199e6334bebUL;
   tf->codes[7893] = 0x0000f1a3bc394402UL;
   tf->codes[7894] = 0x0000f1a4a6755b16UL;
   tf->codes[7895] = 0x0000f1abf85613b6UL;
   tf->codes[7896] = 0x0000f1ad923f3c19UL;
   tf->codes[7897] = 0x0000f1b3f9e3dda5UL;
   tf->codes[7898] = 0x0000f1b5ce5c0bcdUL;
   tf->codes[7899] = 0x0000f1b88d105109UL;
   tf->codes[7900] = 0x0000f1bb4bc49645UL;
   tf->codes[7901] = 0x0000f1c08e9e1af8UL;
   tf->codes[7902] = 0x0000f1c103bc2682UL;
   tf->codes[7903] = 0x0000f1c2d83454aaUL;
   tf->codes[7904] = 0x0000f1c7e07ed398UL;
   tf->codes[7905] = 0x0000f1c93fd8f636UL;
   tf->codes[7906] = 0x0000f1c9ef860785UL;
   tf->codes[7907] = 0x0000f1d01c9ba34cUL;
   tf->codes[7908] = 0x0000f1d22ba2d739UL;
   tf->codes[7909] = 0x0000f1d55f7527ffUL;
   tf->codes[7910] = 0x0000f1d7e39a6776UL;
   tf->codes[7911] = 0x0000f1db8c8ac3c6UL;
   tf->codes[7912] = 0x0000f1e3c8a7937aUL;
   tf->codes[7913] = 0x0000f1e56290bbddUL;
   tf->codes[7914] = 0x0000f1e7ac26f58fUL;
   tf->codes[7915] = 0x0000f1f2a6f80a7fUL;
   tf->codes[7916] = 0x0000f1f774b383a8UL;
   tf->codes[7917] = 0x0000f1fddc582534UL;
   tf->codes[7918] = 0x0000f201102a75faUL;
   tf->codes[7919] = 0x0000f2014ab97bbfUL;
   tf->codes[7920] = 0x0000f2026f849898UL;
   tf->codes[7921] = 0x0000f204f3a9d80fUL;
   tf->codes[7922] = 0x0000f20aaba1684cUL;
   tf->codes[7923] = 0x0000f2109e27fe4eUL;
   tf->codes[7924] = 0x0000f21188641562UL;
   tf->codes[7925] = 0x0000f2156be37777UL;
   tf->codes[7926] = 0x0000f215e1018301UL;
   tf->codes[7927] = 0x0000f216cb3d9a15UL;
   tf->codes[7928] = 0x0000f21989f1df51UL;
   tf->codes[7929] = 0x0000f21b23db07b4UL;
   tf->codes[7930] = 0x0000f21f41e96f8eUL;
   tf->codes[7931] = 0x0000f2202c2586a2UL;
   tf->codes[7932] = 0x0000f220a143922cUL;
   tf->codes[7933] = 0x0000f221c60eaf05UL;
   tf->codes[7934] = 0x0000f22534700590UL;
   tf->codes[7935] = 0x0000f2256eff0b55UL;
   tf->codes[7936] = 0x0000f22b9c14a71cUL;
   tf->codes[7937] = 0x0000f2302f411a80UL;
   tf->codes[7938] = 0x0000f23203b948a8UL;
   tf->codes[7939] = 0x0000f232edf55fbcUL;
   tf->codes[7940] = 0x0000f2339da2710bUL;
   tf->codes[7941] = 0x0000f235aca9a4f8UL;
   tf->codes[7942] = 0x0000f239559a0148UL;
   tf->codes[7943] = 0x0000f23aef8329abUL;
   tf->codes[7944] = 0x0000f23c4edd4c49UL;
   tf->codes[7945] = 0x0000f23e23557a71UL;
   tf->codes[7946] = 0x0000f23f4820974aUL;
   tf->codes[7947] = 0x0000f2432b9ff95fUL;
   tf->codes[7948] = 0x0000f243a0be04e9UL;
   tf->codes[7949] = 0x0000f244c58921c2UL;
   tf->codes[7950] = 0x0000f247843d66feUL;
   tf->codes[7951] = 0x0000f24958b59526UL;
   tf->codes[7952] = 0x0000f24a7d80b1ffUL;
   tf->codes[7953] = 0x0000f24b2d2dc34eUL;
   tf->codes[7954] = 0x0000f25070074801UL;
   tf->codes[7955] = 0x0000f252447f7629UL;
   tf->codes[7956] = 0x0000f255ed6fd279UL;
   tf->codes[7957] = 0x0000f25a0b7e3a53UL;
   tf->codes[7958] = 0x0000f25bdff6687bUL;
   tf->codes[7959] = 0x0000f25d3f508b19UL;
   tf->codes[7960] = 0x0000f25db46e96a3UL;
   tf->codes[7961] = 0x0000f25f4e57bf06UL;
   tf->codes[7962] = 0x0000f263e184326aUL;
   tf->codes[7963] = 0x0000f267ff929a44UL;
   tf->codes[7964] = 0x0000f26ba882f694UL;
   tf->codes[7965] = 0x0000f275b917f470UL;
   tf->codes[7966] = 0x0000f279d7265c4aUL;
   tf->codes[7967] = 0x0000f27be62d9037UL;
   tf->codes[7968] = 0x0000f27d8016b89aUL;
   tf->codes[7969] = 0x0000f284224a5febUL;
   tf->codes[7970] = 0x0000f28a4f5ffbb2UL;
   tf->codes[7971] = 0x0000f2942565f3c9UL;
   tf->codes[7972] = 0x0000f295f9de21f1UL;
   tf->codes[7973] = 0x0000f29808e555deUL;
   tf->codes[7974] = 0x0000f29a8d0a9555UL;
   tf->codes[7975] = 0x0000f29bec64b7f3UL;
   tf->codes[7976] = 0x0000f2a2197a53baUL;
   tf->codes[7977] = 0x0000f2a2c9276509UL;
   tf->codes[7978] = 0x0000f2a33e457093UL;
   tf->codes[7979] = 0x0000f2a75c53d86dUL;
   tf->codes[7980] = 0x0000f2a9e07917e4UL;
   tf->codes[7981] = 0x0000f2aa5597236eUL;
   tf->codes[7982] = 0x0000f2aacab52ef8UL;
   tf->codes[7983] = 0x0000f2af5de1a25cUL;
   tf->codes[7984] = 0x0000f2afd2ffade6UL;
   tf->codes[7985] = 0x0000f2b1e206e1d3UL;
   tf->codes[7986] = 0x0000f2b4662c214aUL;
   tf->codes[7987] = 0x0000f2b58af73e23UL;
   tf->codes[7988] = 0x0000f2b6afc25afcUL;
   tf->codes[7989] = 0x0000f2b80f1c7d9aUL;
   tf->codes[7990] = 0x0000f2b933e79a73UL;
   tf->codes[7991] = 0x0000f2bc67b9eb39UL;
   tf->codes[7992] = 0x0000f2c21fb17b76UL;
   tf->codes[7993] = 0x0000f2c309ed928aUL;
   tf->codes[7994] = 0x0000f2c4a3d6baedUL;
   tf->codes[7995] = 0x0000f2c7628b0029UL;
   tf->codes[7996] = 0x0000f2c812381178UL;
   tf->codes[7997] = 0x0000f2d0fe01f27bUL;
   tf->codes[7998] = 0x0000f2d1e83e098fUL;
   tf->codes[7999] = 0x0000f2d5569f601aUL;
   tf->codes[8000] = 0x0000f2d88a71b0e0UL;
   tf->codes[8001] = 0x0000f2e05170750aUL;
   tf->codes[8002] = 0x0000f2e3fa60d15aUL;
   tf->codes[8003] = 0x0000f2e609680547UL;
   tf->codes[8004] = 0x0000f2ead7237e70UL;
   tf->codes[8005] = 0x0000f2f104391a37UL;
   tf->codes[8006] = 0x0000f2f229043710UL;
   tf->codes[8007] = 0x0000f2f34dcf53e9UL;
   tf->codes[8008] = 0x0000f2f681a1a4afUL;
   tf->codes[8009] = 0x0000f2f7e0fbc74dUL;
   tf->codes[8010] = 0x0000f2f85619d2d7UL;
   tf->codes[8011] = 0x0000f2fd98f3578aUL;
   tf->codes[8012] = 0x0000f303c608f351UL;
   tf->codes[8013] = 0x0000f305256315efUL;
   tf->codes[8014] = 0x0000f3055ff21bb4UL;
   tf->codes[8015] = 0x0000f30b8d07b77bUL;
   tf->codes[8016] = 0x0000f315630daf92UL;
   tf->codes[8017] = 0x0000f3185c50fa93UL;
   tf->codes[8018] = 0x0000f31b1b053fcfUL;
   tf->codes[8019] = 0x0000f32391b11548UL;
   tf->codes[8020] = 0x0000f32899fb9436UL;
   tf->codes[8021] = 0x0000f332e51f97d7UL;
   tf->codes[8022] = 0x0000f33ae6ad61c6UL;
   tf->codes[8023] = 0x0000f33eca2cc3dbUL;
   tf->codes[8024] = 0x0000f341fdff14a1UL;
   tf->codes[8025] = 0x0000f3506731801cUL;
   tf->codes[8026] = 0x0000f3536074cb1dUL;
   tf->codes[8027] = 0x0000f3561f291059UL;
   tf->codes[8028] = 0x0000f357f3a13e81UL;
   tf->codes[8029] = 0x0000f35b6202950cUL;
   tf->codes[8030] = 0x0000f36363905efbUL;
   tf->codes[8031] = 0x0000f36c14cb3a39UL;
   tf->codes[8032] = 0x0000f376d50d4964UL;
   tf->codes[8033] = 0x0000f3770f9c4f29UL;
   tf->codes[8034] = 0x0000f3774a2b54eeUL;
   tf->codes[8035] = 0x0000f37af31bb13eUL;
   tf->codes[8036] = 0x0000f380ab13417bUL;
   tf->codes[8037] = 0x0000f381954f588fUL;
   tf->codes[8038] = 0x0000f38454039dcbUL;
   tf->codes[8039] = 0x0000f386630ad1b8UL;
   tf->codes[8040] = 0x0000f387c264f456UL;
   tf->codes[8041] = 0x0000f38a468a33cdUL;
   tf->codes[8042] = 0x0000f38be0735c30UL;
   tf->codes[8043] = 0x0000f391d2f9f232UL;
   tf->codes[8044] = 0x0000f393e201261fUL;
   tf->codes[8045] = 0x0000f396db447120UL;
   tf->codes[8046] = 0x0000f39e2d2529c0UL;
   tf->codes[8047] = 0x0000f3a0b14a6937UL;
   tf->codes[8048] = 0x0000f3a19b86804bUL;
   tf->codes[8049] = 0x0000f3a1d6158610UL;
   tf->codes[8050] = 0x0000f3aa8750614eUL;
   tf->codes[8051] = 0x0000f3aac1df6713UL;
   tf->codes[8052] = 0x0000f3aedfedceedUL;
   tf->codes[8053] = 0x0000f3b213c01fb3UL;
   tf->codes[8054] = 0x0000f3b3388b3c8cUL;
   tf->codes[8055] = 0x0000f3b3731a4251UL;
   tf->codes[8056] = 0x0000f3b497e55f2aUL;
   tf->codes[8057] = 0x0000f3b8b5f3c704UL;
   tf->codes[8058] = 0x0000f3b9a02fde18UL;
   tf->codes[8059] = 0x0000f3bbaf371205UL;
   tf->codes[8060] = 0x0000f3bbe9c617caUL;
   tf->codes[8061] = 0x0000f3bdbe3e45f2UL;
   tf->codes[8062] = 0x0000f3c9a34b71f6UL;
   tf->codes[8063] = 0x0000f3da56141723UL;
   tf->codes[8064] = 0x0000f3db05c12872UL;
   tf->codes[8065] = 0x0000f3dd4f576224UL;
   tf->codes[8066] = 0x0000f3e257a1e112UL;
   tf->codes[8067] = 0x0000f3e8bf46829eUL;
   tf->codes[8068] = 0x0000f3e96ef393edUL;
   tf->codes[8069] = 0x0000f3eb7dfac7daUL;
   tf->codes[8070] = 0x0000f3f135f25817UL;
   tf->codes[8071] = 0x0000f3f1ab1063a1UL;
   tf->codes[8072] = 0x0000f3f3ba17978eUL;
   tf->codes[8073] = 0x0000f3f79d96f9a3UL;
   tf->codes[8074] = 0x0000f3fad1694a69UL;
   tf->codes[8075] = 0x0000f3fbbba5617dUL;
   tf->codes[8076] = 0x0000f4008960daa6UL;
   tf->codes[8077] = 0x0000f4025dd908ceUL;
   tf->codes[8078] = 0x0000f403f7c23131UL;
   tf->codes[8079] = 0x0000f40591ab5994UL;
   tf->codes[8080] = 0x0000f40a5f66d2bdUL;
   tf->codes[8081] = 0x0000f410c70b7449UL;
   tf->codes[8082] = 0x0000f411ebd69122UL;
   tf->codes[8083] = 0x0000f4129b83a271UL;
   tf->codes[8084] = 0x0000f415cf55f337UL;
   tf->codes[8085] = 0x0000f41d2136abd7UL;
   tf->codes[8086] = 0x0000f4208f980262UL;
   tf->codes[8087] = 0x0000f423c36a5328UL;
   tf->codes[8088] = 0x0000f425d2718715UL;
   tf->codes[8089] = 0x0000f426bcad9e29UL;
   tf->codes[8090] = 0x0000f428cbb4d216UL;
   tf->codes[8091] = 0x0000f42b4fda118dUL;
   tf->codes[8092] = 0x0000f432dc49cff2UL;
   tf->codes[8093] = 0x0000f4338bf6e141UL;
   tf->codes[8094] = 0x0000f435d58d1af3UL;
   tf->codes[8095] = 0x0000f44a6bd52235UL;
   tf->codes[8096] = 0x0000f450d379c3c1UL;
   tf->codes[8097] = 0x0000f451bdb5dad5UL;
   tf->codes[8098] = 0x0000f45232d3e65fUL;
   tf->codes[8099] = 0x0000f452a7f1f1e9UL;
   tf->codes[8100] = 0x0000f45441db1a4cUL;
   tf->codes[8101] = 0x0000f45f773b3501UL;
   tf->codes[8102] = 0x0000f463202b9151UL;
   tf->codes[8103] = 0x0000f464ba14b9b4UL;
   tf->codes[8104] = 0x0000f472739a13e0UL;
   tf->codes[8105] = 0x0000f47482a147cdUL;
   tf->codes[8106] = 0x0000f475e1fb6a6bUL;
   tf->codes[8107] = 0x0000f4761c8a7030UL;
   tf->codes[8108] = 0x0000f47691a87bbaUL;
   tf->codes[8109] = 0x0000f4798aebc6bbUL;
   tf->codes[8110] = 0x0000f47a7527ddcfUL;
   tf->codes[8111] = 0x0000f47aafb6e394UL;
   tf->codes[8112] = 0x0000f47b99f2faa8UL;
   tf->codes[8113] = 0x0000f4818c7990aaUL;
   tf->codes[8114] = 0x0000f48276b5a7beUL;
   tf->codes[8115] = 0x0000f482ebd3b348UL;
   tf->codes[8116] = 0x0000f485e516fe49UL;
   tf->codes[8117] = 0x0000f4861fa6040eUL;
   tf->codes[8118] = 0x0000f4865a3509d3UL;
   tf->codes[8119] = 0x0000f488693c3dc0UL;
   tf->codes[8120] = 0x0000f4944e4969c4UL;
   tf->codes[8121] = 0x0000f494fdf67b13UL;
   tf->codes[8122] = 0x0000f4986c57d19eUL;
   tf->codes[8123] = 0x0000f4a0e303a717UL;
   tf->codes[8124] = 0x0000f4a53ba114b6UL;
   tf->codes[8125] = 0x0000f4aaf398a4f3UL;
   tf->codes[8126] = 0x0000f4b15b3d467fUL;
   tf->codes[8127] = 0x0000f4b245795d93UL;
   tf->codes[8128] = 0x0000f4b5794bae59UL;
   tf->codes[8129] = 0x0000f4b8e7ad04e4UL;
   tf->codes[8130] = 0x0000f4ba47072782UL;
   tf->codes[8131] = 0x0000f4c1d376e5e7UL;
   tf->codes[8132] = 0x0000f4c5b6f647fcUL;
   tf->codes[8133] = 0x0000f4c78b6e7624UL;
   tf->codes[8134] = 0x0000f4c8008c81aeUL;
   tf->codes[8135] = 0x0000f4d0021a4b9dUL;
   tf->codes[8136] = 0x0000f4d3ab0aa7edUL;
   tf->codes[8137] = 0x0000f4dc21b67d66UL;
   tf->codes[8138] = 0x0000f4dea5dbbcddUL;
   tf->codes[8139] = 0x0000f4e806c3a96aUL;
   tf->codes[8140] = 0x0000f4e8b670bab9UL;
   tf->codes[8141] = 0x0000f4f5109bf247UL;
   tf->codes[8142] = 0x0000f4f8446e430dUL;
   tf->codes[8143] = 0x0000f4fc27eda522UL;
   tf->codes[8144] = 0x0000f4fd8747c7c0UL;
   tf->codes[8145] = 0x0000f4feac12e499UL;
   tf->codes[8146] = 0x0000f504d9288060UL;
   tf->codes[8147] = 0x0000f50797dcc59cUL;
   tf->codes[8148] = 0x0000f5100e889b15UL;
   tf->codes[8149] = 0x0000f5158bf1258dUL;
   tf->codes[8150] = 0x0000f517606953b5UL;
   tf->codes[8151] = 0x0000f51a1f1d98f1UL;
   tf->codes[8152] = 0x0000f51bf395c719UL;
   tf->codes[8153] = 0x0000f51c68b3d2a3UL;
   tf->codes[8154] = 0x0000f528c2df0a31UL;
   tf->codes[8155] = 0x0000f528fd6e0ff6UL;
   tf->codes[8156] = 0x0000f529728c1b80UL;
   tf->codes[8157] = 0x0000f52ad1e63e1eUL;
   tf->codes[8158] = 0x0000f530c46cd420UL;
   tf->codes[8159] = 0x0000f532d374080dUL;
   tf->codes[8160] = 0x0000f5346d5d3070UL;
   tf->codes[8161] = 0x0000f534a7ec3635UL;
   tf->codes[8162] = 0x0000f536074658d3UL;
   tf->codes[8163] = 0x0000f5367c64645dUL;
   tf->codes[8164] = 0x0000f5393b18a999UL;
   tf->codes[8165] = 0x0000f53a2554c0adUL;
   tf->codes[8166] = 0x0000f5413ca67388UL;
   tf->codes[8167] = 0x0000f541b1c47f12UL;
   tf->codes[8168] = 0x0000f5434bada775UL;
   tf->codes[8169] = 0x0000f545cfd2e6ecUL;
   tf->codes[8170] = 0x0000f5505585f052UL;
   tf->codes[8171] = 0x0000f5547394582cUL;
   tf->codes[8172] = 0x0000f554ae235df1UL;
   tf->codes[8173] = 0x0000f55bc57510ccUL;
   tf->codes[8174] = 0x0000f55d24cf336aUL;
   tf->codes[8175] = 0x0000f55d99ed3ef4UL;
   tf->codes[8176] = 0x0000f560cdbf8fbaUL;
   tf->codes[8177] = 0x0000f561b7fba6ceUL;
   tf->codes[8178] = 0x0000f56aa3c587d1UL;
   tf->codes[8179] = 0x0000f57529789137UL;
   tf->codes[8180] = 0x0000f575d925a286UL;
   tf->codes[8181] = 0x0000f576fdf0bf5fUL;
   tf->codes[8182] = 0x0000f57d659560ebUL;
   tf->codes[8183] = 0x0000f57da02466b0UL;
   tf->codes[8184] = 0x0000f57faf2b9a9dUL;
   tf->codes[8185] = 0x0000f581f8c1d44fUL;
   tf->codes[8186] = 0x0000f584f2051f50UL;
   tf->codes[8187] = 0x0000f58b9438c6a1UL;
   tf->codes[8188] = 0x0000f594f520b32eUL;
   tf->codes[8189] = 0x0000f59828f303f4UL;
   tf->codes[8190] = 0x0000f598d8a01543UL;
   tf->codes[8191] = 0x0000f59ae7a74930UL;
   tf->codes[8192] = 0x0000f59c0c726609UL;
   tf->codes[8193] = 0x0000f59f05b5b10aUL;
   tf->codes[8194] = 0x0000f5a35e531ea9UL;
   tf->codes[8195] = 0x0000f5a7f17f920dUL;
   tf->codes[8196] = 0x0000f5ac4a1cffacUL;
   tf->codes[8197] = 0x0000f5b4fb57daeaUL;
   tf->codes[8198] = 0x0000f5b57075e674UL;
   tf->codes[8199] = 0x0000f5ba03a259d8UL;
   tf->codes[8200] = 0x0000f5bcc2569f14UL;
   tf->codes[8201] = 0x0000f5bd7203b063UL;
   tf->codes[8202] = 0x0000f5be5c3fc777UL;
   tf->codes[8203] = 0x0000f5bf810ae450UL;
   tf->codes[8204] = 0x0000f5c030b7f59fUL;
   tf->codes[8205] = 0x0000f5c0e06506eeUL;
   tf->codes[8206] = 0x0000f5c7f7b6b9c9UL;
   tf->codes[8207] = 0x0000f5ca414cf37bUL;
   tf->codes[8208] = 0x0000f5d1cdbcb1e0UL;
   tf->codes[8209] = 0x0000f5d41752eb92UL;
   tf->codes[8210] = 0x0000f5d4c6fffce1UL;
   tf->codes[8211] = 0x0000f5d710963693UL;
   tf->codes[8212] = 0x0000f5d785b4421dUL;
   tf->codes[8213] = 0x0000f5db6933a432UL;
   tf->codes[8214] = 0x0000f5dd783ad81fUL;
   tf->codes[8215] = 0x0000f5ded794fabdUL;
   tf->codes[8216] = 0x0000f5e1212b346fUL;
   tf->codes[8217] = 0x0000f5e33032685cUL;
   tf->codes[8218] = 0x0000f5e53f399c49UL;
   tf->codes[8219] = 0x0000f5ea821320fcUL;
   tf->codes[8220] = 0x0000f5eba6de3dd5UL;
   tf->codes[8221] = 0x0000f5ec1bfc495fUL;
   tf->codes[8222] = 0x0000f5ee2b037d4cUL;
   tf->codes[8223] = 0x0000f5f3e2fb0d89UL;
   tf->codes[8224] = 0x0000f5f507c62a62UL;
   tf->codes[8225] = 0x0000f5fbe488d778UL;
   tf->codes[8226] = 0x0000f6066a3be0deUL;
   tf->codes[8227] = 0x0000f61005b2d330UL;
   tf->codes[8228] = 0x0000f6112a7df009UL;
   tf->codes[8229] = 0x0000f611da2b0158UL;
   tf->codes[8230] = 0x0000f6145e5040cfUL;
   tf->codes[8231] = 0x0000f6171d04860bUL;
   tf->codes[8232] = 0x0000f61792229195UL;
   tf->codes[8233] = 0x0000f623b1bec35eUL;
   tf->codes[8234] = 0x0000f62b3e2e81c3UL;
   tf->codes[8235] = 0x0000f6325580349eUL;
   tf->codes[8236] = 0x0000f63a1c7ef8c8UL;
   tf->codes[8237] = 0x0000f63a570dfe8dUL;
   tf->codes[8238] = 0x0000f63bb668212bUL;
   tf->codes[8239] = 0x0000f63cdb333e04UL;
   tf->codes[8240] = 0x0000f640f941a5deUL;
   tf->codes[8241] = 0x0000f6437d66e555UL;
   tf->codes[8242] = 0x0000f64467a2fc69UL;
   tf->codes[8243] = 0x0000f646b139361bUL;
   tf->codes[8244] = 0x0000f647d60452f4UL;
   tf->codes[8245] = 0x0000f64885b16443UL;
   tf->codes[8246] = 0x0000f651717b4546UL;
   tf->codes[8247] = 0x0000f6584e3df25cUL;
   tf->codes[8248] = 0x0000f669eb42ae9dUL;
   tf->codes[8249] = 0x0000f66b852bd700UL;
   tf->codes[8250] = 0x0000f67102946178UL;
   tf->codes[8251] = 0x0000f673119b9565UL;
   tf->codes[8252] = 0x0000f67595c0d4dcUL;
   tf->codes[8253] = 0x0000f6788f041fddUL;
   tf->codes[8254] = 0x0000f67b88476adeUL;
   tf->codes[8255] = 0x0000f683c4643a92UL;
   tf->codes[8256] = 0x0000f68474114be1UL;
   tf->codes[8257] = 0x0000f694ec4aeb49UL;
   tf->codes[8258] = 0x0000f69a2f246ffcUL;
   tf->codes[8259] = 0x0000f69cb349af73UL;
   tf->codes[8260] = 0x0000f69e4d32d7d6UL;
   tf->codes[8261] = 0x0000f6a3557d56c4UL;
   tf->codes[8262] = 0x0000f6a3ca9b624eUL;
   tf->codes[8263] = 0x0000f6a4052a6813UL;
   tf->codes[8264] = 0x0000f6a47a48739dUL;
   tf->codes[8265] = 0x0000f6a4b4d77962UL;
   tf->codes[8266] = 0x0000f6a6894fa78aUL;
   tf->codes[8267] = 0x0000f6a7ae1ac463UL;
   tf->codes[8268] = 0x0000f6b18420bc7aUL;
   tf->codes[8269] = 0x0000f6b31e09e4ddUL;
   tf->codes[8270] = 0x0000f6b985ae8669UL;
   tf->codes[8271] = 0x0000f6c0d78f3f09UL;
   tf->codes[8272] = 0x0000f6c3212578bbUL;
   tf->codes[8273] = 0x0000f6c5dfd9bdf7UL;
   tf->codes[8274] = 0x0000f6c94e3b1482UL;
   tf->codes[8275] = 0x0000f6cb22b342aaUL;
   tf->codes[8276] = 0x0000f6d14fc8de71UL;
   tf->codes[8277] = 0x0000f6d6cd3168e9UL;
   tf->codes[8278] = 0x0000f6d8dc389cd6UL;
   tf->codes[8279] = 0x0000f6da0103b9afUL;
   tf->codes[8280] = 0x0000f6dcbfb7feebUL;
   tf->codes[8281] = 0x0000f6dcfa4704b0UL;
   tf->codes[8282] = 0x0000f6dd6f65103aUL;
   tf->codes[8283] = 0x0000f6de59a1274eUL;
   tf->codes[8284] = 0x0000f6e02e195576UL;
   tf->codes[8285] = 0x0000f6e361eba63cUL;
   tf->codes[8286] = 0x0000f6e3d709b1c6UL;
   tf->codes[8287] = 0x0000f6e44c27bd50UL;
   tf->codes[8288] = 0x0000f6e570f2da29UL;
   tf->codes[8289] = 0x0000f6e6209feb78UL;
   tf->codes[8290] = 0x0000f6ee5cbcbb2cUL;
   tf->codes[8291] = 0x0000f6ef8187d805UL;
   tf->codes[8292] = 0x0000f6f15600062dUL;
   tf->codes[8293] = 0x0000f6f205ad177cUL;
   tf->codes[8294] = 0x0000f6f489d256f3UL;
   tf->codes[8295] = 0x0000f6f78315a1f4UL;
   tf->codes[8296] = 0x0000f6f7bda4a7b9UL;
   tf->codes[8297] = 0x0000f6f9ccabdba6UL;
   tf->codes[8298] = 0x0000f6fb2c05fe44UL;
   tf->codes[8299] = 0x0000f6fc16421558UL;
   tf->codes[8300] = 0x0000f6fd759c37f6UL;
   tf->codes[8301] = 0x0000f6fdeaba4380UL;
   tf->codes[8302] = 0x0000f7032d93c833UL;
   tf->codes[8303] = 0x0000f707863135d2UL;
   tf->codes[8304] = 0x0000f70f4d2ff9fcUL;
   tf->codes[8305] = 0x0000f710376c1110UL;
   tf->codes[8306] = 0x0000f71071fb16d5UL;
   tf->codes[8307] = 0x0000f7169f10b29cUL;
   tf->codes[8308] = 0x0000f717894cc9b0UL;
   tf->codes[8309] = 0x0000f717fe6ad53aUL;
   tf->codes[8310] = 0x0000f7187388e0c4UL;
   tf->codes[8311] = 0x0000f7195dc4f7d8UL;
   tf->codes[8312] = 0x0000f71a0d720927UL;
   tf->codes[8313] = 0x0000f71a829014b1UL;
   tf->codes[8314] = 0x0000f71ba75b318aUL;
   tf->codes[8315] = 0x0000f71d06b55428UL;
   tf->codes[8316] = 0x0000f71d414459edUL;
   tf->codes[8317] = 0x0000f7249325128dUL;
   tf->codes[8318] = 0x0000f72baa76c568UL;
   tf->codes[8319] = 0x0000f73545edb7baUL;
   tf->codes[8320] = 0x0000f73bad925946UL;
   tf->codes[8321] = 0x0000f73df72892f8UL;
   tf->codes[8322] = 0x0000f745be275722UL;
   tf->codes[8323] = 0x0000f7496717b372UL;
   tf->codes[8324] = 0x0000f74a16c4c4c1UL;
   tf->codes[8325] = 0x0000f753028ea5c4UL;
   tf->codes[8326] = 0x0000f7551195d9b1UL;
   tf->codes[8327] = 0x0000f7554c24df76UL;
   tf->codes[8328] = 0x0000f756e60e07d9UL;
   tf->codes[8329] = 0x0000f758ba863601UL;
   tf->codes[8330] = 0x0000f7592fa4418bUL;
   tf->codes[8331] = 0x0000f75a19e0589fUL;
   tf->codes[8332] = 0x0000f75c63769251UL;
   tf->codes[8333] = 0x0000f75e37eec079UL;
   tf->codes[8334] = 0x0000f75ead0ccc03UL;
   tf->codes[8335] = 0x0000f760bc13fff0UL;
   tf->codes[8336] = 0x0000f766740b902dUL;
   tf->codes[8337] = 0x0000f7684883be55UL;
   tf->codes[8338] = 0x0000f768bda1c9dfUL;
   tf->codes[8339] = 0x0000f76a578af242UL;
   tf->codes[8340] = 0x0000f76eb0285fe1UL;
   tf->codes[8341] = 0x0000f7721e89b66cUL;
   tf->codes[8342] = 0x0000f77293a7c1f6UL;
   tf->codes[8343] = 0x0000f77761633b1fUL;
   tf->codes[8344] = 0x0000f77a95358be5UL;
   tf->codes[8345] = 0x0000f77d8e78d6e6UL;
   tf->codes[8346] = 0x0000f77fd80f1098UL;
   tf->codes[8347] = 0x0000f7867a42b7e9UL;
   tf->codes[8348] = 0x0000f788c3d8f19bUL;
   tf->codes[8349] = 0x0000f78fa09b9eb1UL;
   tf->codes[8350] = 0x0000f7967d5e4bc7UL;
   tf->codes[8351] = 0x0000f79c3555dc04UL;
   tf->codes[8352] = 0x0000f7a31218891aUL;
   tf->codes[8353] = 0x0000f7a3873694a4UL;
   tf->codes[8354] = 0x0000f7a81a630808UL;
   tf->codes[8355] = 0x0000f7b01bf0d1f7UL;
   tf->codes[8356] = 0x0000f7b1b5d9fa5aUL;
   tf->codes[8357] = 0x0000f7b2a016116eUL;
   tf->codes[8358] = 0x0000f7b34fc322bdUL;
   tf->codes[8359] = 0x0000f7b5243b50e5UL;
   tf->codes[8360] = 0x0000f7bc3b8d03c0UL;
   tf->codes[8361] = 0x0000f7bdd5762c23UL;
   tf->codes[8362] = 0x0000f7be100531e8UL;
   tf->codes[8363] = 0x0000f7bebfb24337UL;
   tf->codes[8364] = 0x0000f7c0599b6b9aUL;
   tf->codes[8365] = 0x0000f7c22e1399c2UL;
   tf->codes[8366] = 0x0000f7c477a9d374UL;
   tf->codes[8367] = 0x0000f7c90ad646d8UL;
   tf->codes[8368] = 0x0000f7ca2fa163b1UL;
   tf->codes[8369] = 0x0000f7ce4dafcb8bUL;
   tf->codes[8370] = 0x0000f7cf37ebe29fUL;
   tf->codes[8371] = 0x0000f7d10c6410c7UL;
   tf->codes[8372] = 0x0000f7d1f6a027dbUL;
   tf->codes[8373] = 0x0000f7d64f3d957aUL;
   tf->codes[8374] = 0x0000f7d689cc9b3fUL;
   tf->codes[8375] = 0x0000f7d6c45ba104UL;
   tf->codes[8376] = 0x0000f7d8d362d4f1UL;
   tf->codes[8377] = 0x0000f7d94880e07bUL;
   tf->codes[8378] = 0x0000f7da6d4bfd54UL;
   tf->codes[8379] = 0x0000f7db92171a2dUL;
   tf->codes[8380] = 0x0000f7dddbad53dfUL;
   tf->codes[8381] = 0x0000f7de8b5a652eUL;
   tf->codes[8382] = 0x0000f7dfeab487ccUL;
   tf->codes[8383] = 0x0000f7e0d4f09ee0UL;
   tf->codes[8384] = 0x0000f7e14a0eaa6aUL;
   tf->codes[8385] = 0x0000f7e4f2ff06baUL;
   tf->codes[8386] = 0x0000f7e5681d1244UL;
   tf->codes[8387] = 0x0000f7ea70679132UL;
   tf->codes[8388] = 0x0000f7f3d14f7dbfUL;
   tf->codes[8389] = 0x0000f7f4bb8b94d3UL;
   tf->codes[8390] = 0x0000f7f7ef5de599UL;
   tf->codes[8391] = 0x0000f7fae8a1309aUL;
   tf->codes[8392] = 0x0000f7fbd2dd47aeUL;
   tf->codes[8393] = 0x0000f808dcb5908bUL;
   tf->codes[8394] = 0x0000f80b9b69d5c7UL;
   tf->codes[8395] = 0x0000f80daa7109b4UL;
   tf->codes[8396] = 0x0000f8141215ab40UL;
   tf->codes[8397] = 0x0000f816963aeab7UL;
   tf->codes[8398] = 0x0000f81d72fd97cdUL;
   tf->codes[8399] = 0x0000f81f8204cbbaUL;
   tf->codes[8400] = 0x0000f829580ac3d1UL;
   tf->codes[8401] = 0x0000f8332e10bbe8UL;
   tf->codes[8402] = 0x0000f836d7011838UL;
   tf->codes[8403] = 0x0000f8374c1f23c2UL;
   tf->codes[8404] = 0x0000f83b2f9e85d7UL;
   tf->codes[8405] = 0x0000f83bdf4b9726UL;
   tf->codes[8406] = 0x0000f84a487e02a1UL;
   tf->codes[8407] = 0x0000f84ba7d8253fUL;
   tf->codes[8408] = 0x0000f8536ed6e969UL;
   tf->codes[8409] = 0x0000f8557dde1d56UL;
   tf->codes[8410] = 0x0000f859d67b8af5UL;
   tf->codes[8411] = 0x0000f85ea437041eUL;
   tf->codes[8412] = 0x0000f860b33e380bUL;
   tf->codes[8413] = 0x0000f861285c4395UL;
   tf->codes[8414] = 0x0000f8666b35c848UL;
   tf->codes[8415] = 0x0000f86a89443022UL;
   tf->codes[8416] = 0x0000f8712b77d773UL;
   tf->codes[8417] = 0x0000f871a095e2fdUL;
   tf->codes[8418] = 0x0000f8725042f44cUL;
   tf->codes[8419] = 0x0000f873750e1125UL;
   tf->codes[8420] = 0x0000f87424bb2274UL;
   tf->codes[8421] = 0x0000f875f933509cUL;
   tf->codes[8422] = 0x0000f8792d05a162UL;
   tf->codes[8423] = 0x0000f8875ba90718UL;
   tf->codes[8424] = 0x0000f890f71ff96aUL;
   tf->codes[8425] = 0x0000f8937b4538e1UL;
   tf->codes[8426] = 0x0000f895152e6144UL;
   tf->codes[8427] = 0x0000f895ff6a7858UL;
   tf->codes[8428] = 0x0000f898838fb7cfUL;
   tf->codes[8429] = 0x0000f89a1d78e032UL;
   tf->codes[8430] = 0x0000f8a16f5998d2UL;
   tf->codes[8431] = 0x0000f8a7d6fe3a5eUL;
   tf->codes[8432] = 0x0000f8b04daa0fd7UL;
   tf->codes[8433] = 0x0000f8b1ad043275UL;
   tf->codes[8434] = 0x0000f8b3817c609dUL;
   tf->codes[8435] = 0x0000f8b46bb877b1UL;
   tf->codes[8436] = 0x0000f8b8fee4eb15UL;
   tf->codes[8437] = 0x0000f8bb830a2a8cUL;
   tf->codes[8438] = 0x0000f8be41be6fc8UL;
   tf->codes[8439] = 0x0000f8bfdba7982bUL;
   tf->codes[8440] = 0x0000f8c17590c08eUL;
   tf->codes[8441] = 0x0000f8c608bd33f2UL;
   tf->codes[8442] = 0x0000f8d6f614dee4UL;
   tf->codes[8443] = 0x0000f8d9051c12d1UL;
   tf->codes[8444] = 0x0000f8db142346beUL;
   tf->codes[8445] = 0x0000f8dbc3d0580dUL;
   tf->codes[8446] = 0x0000f8de0d6691bfUL;
   tf->codes[8447] = 0x0000f8e0cc1ad6fbUL;
   tf->codes[8448] = 0x0000f8e60ef45baeUL;
   tf->codes[8449] = 0x0000f8e76e4e7e4cUL;
   tf->codes[8450] = 0x0000f8e8588a9560UL;
   tf->codes[8451] = 0x0000f8e893199b25UL;
   tf->codes[8452] = 0x0000f8e97d55b239UL;
   tf->codes[8453] = 0x0000f8eb173eda9cUL;
   tf->codes[8454] = 0x0000f8f47826c729UL;
   tf->codes[8455] = 0x0000f8f64c9ef551UL;
   tf->codes[8456] = 0x0000f8fc79b49118UL;
   tf->codes[8457] = 0x0000f901bc8e15cbUL;
   tf->codes[8458] = 0x0000f902e15932a4UL;
   tf->codes[8459] = 0x0000f903910643f3UL;
   tf->codes[8460] = 0x0000f90bcd2313a7UL;
   tf->codes[8461] = 0x0000f9173d123421UL;
   tf->codes[8462] = 0x0000f91777a139e6UL;
   tf->codes[8463] = 0x0000f9209dfa20aeUL;
   tf->codes[8464] = 0x0000f921883637c2UL;
   tf->codes[8465] = 0x0000f928da16f062UL;
   tf->codes[8466] = 0x0000f92ecc9d8664UL;
   tf->codes[8467] = 0x0000f935a960337aUL;
   tf->codes[8468] = 0x0000f939c76e9b54UL;
   tf->codes[8469] = 0x0000f93aec39b82dUL;
   tf->codes[8470] = 0x0000f93ecfb91a42UL;
   tf->codes[8471] = 0x0000f9423e1a70cdUL;
   tf->codes[8472] = 0x0000f943d8039930UL;
   tf->codes[8473] = 0x0000f94412929ef5UL;
   tf->codes[8474] = 0x0000f94b9f025d5aUL;
   tf->codes[8475] = 0x0000f94dae099147UL;
   tf->codes[8476] = 0x0000f9519188f35cUL;
   tf->codes[8477] = 0x0000f95415ae32d3UL;
   tf->codes[8478] = 0x0000f956d462780fUL;
   tf->codes[8479] = 0x0000f957840f895eUL;
   tf->codes[8480] = 0x0000f957f92d94e8UL;
   tf->codes[8481] = 0x0000f95af270dfe9UL;
   tf->codes[8482] = 0x0000f95bdcacf6fdUL;
   tf->codes[8483] = 0x0000f95c51cb0287UL;
   tf->codes[8484] = 0x0000f95debb42aeaUL;
   tf->codes[8485] = 0x0000f95e9b613c39UL;
   tf->codes[8486] = 0x0000f95ed5f041feUL;
   tf->codes[8487] = 0x0000f95f4b0e4d88UL;
   tf->codes[8488] = 0x0000f963a3abbb27UL;
   tf->codes[8489] = 0x0000f9648de7d23bUL;
   tf->codes[8490] = 0x0000f9657823e94fUL;
   tf->codes[8491] = 0x0000f965ed41f4d9UL;
   tf->codes[8492] = 0x0000f967120d11b2UL;
   tf->codes[8493] = 0x0000f967872b1d3cUL;
   tf->codes[8494] = 0x0000f96ffdd6f2b5UL;
   tf->codes[8495] = 0x0000f9715d311553UL;
   tf->codes[8496] = 0x0000f97331a9437bUL;
   tf->codes[8497] = 0x0000f9736c384940UL;
   tf->codes[8498] = 0x0000f976a00a9a06UL;
   tf->codes[8499] = 0x0000f979242fd97dUL;
   tf->codes[8500] = 0x0000f97ccd2035cdUL;
   tf->codes[8501] = 0x0000f9803b818c58UL;
   tf->codes[8502] = 0x0000f981d56ab4bbUL;
   tf->codes[8503] = 0x0000f985f3791c95UL;
   tf->codes[8504] = 0x0000f9862e08225aUL;
   tf->codes[8505] = 0x0000f9866897281fUL;
   tf->codes[8506] = 0x0000f9871844396eUL;
   tf->codes[8507] = 0x0000f98a4c168a34UL;
   tf->codes[8508] = 0x0000f9903e9d2036UL;
   tf->codes[8509] = 0x0000f990b3bb2bc0UL;
   tf->codes[8510] = 0x0000f99163683d0fUL;
   tf->codes[8511] = 0x0000f9924da45423UL;
   tf->codes[8512] = 0x0000f995f694b073UL;
   tf->codes[8513] = 0x0000f998059be460UL;
   tf->codes[8514] = 0x0000f99a89c123d7UL;
   tf->codes[8515] = 0x0000f99ac450299cUL;
   tf->codes[8516] = 0x0000f99b396e3526UL;
   tf->codes[8517] = 0x0000f99dbd93749dUL;
   tf->codes[8518] = 0x0000f9a041b8b414UL;
   tf->codes[8519] = 0x0000f9aa17beac2bUL;
   tf->codes[8520] = 0x0000f9aac76bbd7aUL;
   tf->codes[8521] = 0x0000f9b2c8f98769UL;
   tf->codes[8522] = 0x0000f9b5c23cd26aUL;
   tf->codes[8523] = 0x0000f9ba8ff84b93UL;
   tf->codes[8524] = 0x0000f9bd893b9694UL;
   tf->codes[8525] = 0x0000f9c047efdbd0UL;
   tf->codes[8526] = 0x0000f9c1322bf2e4UL;
   tf->codes[8527] = 0x0000f9c6ea238321UL;
   tf->codes[8528] = 0x0000f9cacda2e536UL;
   tf->codes[8529] = 0x0000f9cdc6e63037UL;
   tf->codes[8530] = 0x0000f9d4de37e312UL;
   tf->codes[8531] = 0x0000f9d887283f62UL;
   tf->codes[8532] = 0x0000f9dad0be7914UL;
   tf->codes[8533] = 0x0000f9e04e27038cUL;
   tf->codes[8534] = 0x0000f9e25d2e3779UL;
   tf->codes[8535] = 0x0000f9e3476a4e8dUL;
   tf->codes[8536] = 0x0000f9e3bc885a17UL;
   tf->codes[8537] = 0x0000f9e3f7175fdcUL;
   tf->codes[8538] = 0x0000f9e6b5cba518UL;
   tf->codes[8539] = 0x0000f9e76578b667UL;
   tf->codes[8540] = 0x0000f9ea242cfba3UL;
   tf->codes[8541] = 0x0000f9f2d567d6e1UL;
   tf->codes[8542] = 0x0000f9f3fa32f3baUL;
   tf->codes[8543] = 0x0000f9f5ceab21e2UL;
   tf->codes[8544] = 0x0000f9f88d5f671eUL;
   tf->codes[8545] = 0x0000f9fdd038ebd1UL;
   tf->codes[8546] = 0x0000fa04726c9322UL;
   tf->codes[8547] = 0x0000fa04acfb98e7UL;
   tf->codes[8548] = 0x0000fa04e78a9eacUL;
   tf->codes[8549] = 0x0000fa08cb0a00c1UL;
   tf->codes[8550] = 0x0000fa0a2a64235fUL;
   tf->codes[8551] = 0x0000fa0f6d3da812UL;
   tf->codes[8552] = 0x0000fa0fe25bb39cUL;
   tf->codes[8553] = 0x0000fa105779bf26UL;
   tf->codes[8554] = 0x0000fa12a10ff8d8UL;
   tf->codes[8555] = 0x0000fa138b4c0fecUL;
   tf->codes[8556] = 0x0000fa1893968edaUL;
   tf->codes[8557] = 0x0000fa1a2d7fb73dUL;
   tf->codes[8558] = 0x0000fa2896b222b8UL;
   tf->codes[8559] = 0x0000fa2b8ff56db9UL;
   tf->codes[8560] = 0x0000fa2c05137943UL;
   tf->codes[8561] = 0x0000fa305db0e6e2UL;
   tf->codes[8562] = 0x0000fa310d5df831UL;
   tf->codes[8563] = 0x0000fa326cb81acfUL;
   tf->codes[8564] = 0x0000fa34b64e5481UL;
   tf->codes[8565] = 0x0000fa3ddca73b49UL;
   tf->codes[8566] = 0x0000fa40d5ea864aUL;
   tf->codes[8567] = 0x0000fa42aa62b472UL;
   tf->codes[8568] = 0x0000fa47b2ad3360UL;
   tf->codes[8569] = 0x0000fa4b5b9d8fb0UL;
   tf->codes[8570] = 0x0000fa4fb43afd4fUL;
   tf->codes[8571] = 0x0000fa5397ba5f64UL;
   tf->codes[8572] = 0x0000fa54bc857c3dUL;
   tf->codes[8573] = 0x0000fa57061bb5efUL;
   tf->codes[8574] = 0x0000fa577b39c179UL;
   tf->codes[8575] = 0x0000fa586575d88dUL;
   tf->codes[8576] = 0x0000fa5d333151b6UL;
   tf->codes[8577] = 0x0000fa63d564f907UL;
   tf->codes[8578] = 0x0000fa6534bf1ba5UL;
   tf->codes[8579] = 0x0000fa66cea84408UL;
   tf->codes[8580] = 0x0000fa677e555557UL;
   tf->codes[8581] = 0x0000fa67f37360e1UL;
   tf->codes[8582] = 0x0000fa6868916c6bUL;
   tf->codes[8583] = 0x0000fa68a3207230UL;
   tf->codes[8584] = 0x0000fa6a7798a058UL;
   tf->codes[8585] = 0x0000fa74fd4ba9beUL;
   tf->codes[8586] = 0x0000fa791b5a1198UL;
   tf->codes[8587] = 0x0000fa83667e1539UL;
   tf->codes[8588] = 0x0000fa92f47b9d8dUL;
   tf->codes[8589] = 0x0000fa9453d5c02bUL;
   tf->codes[8590] = 0x0000fa9921913954UL;
   tf->codes[8591] = 0x0000fa99d13e4aa3UL;
   tf->codes[8592] = 0x0000fa9f4ea6d51bUL;
   tf->codes[8593] = 0x0000fa9ffe53e66aUL;
   tf->codes[8594] = 0x0000faa1231f0343UL;
   tf->codes[8595] = 0x0000faae678651e5UL;
   tf->codes[8596] = 0x0000fab0ebab915cUL;
   tf->codes[8597] = 0x0000fab28594b9bfUL;
   tf->codes[8598] = 0x0000fab5b9670a85UL;
   tf->codes[8599] = 0x0000fab7535032e8UL;
   tf->codes[8600] = 0x0000fab9625766d5UL;
   tf->codes[8601] = 0x0000fabedfbff14dUL;
   tf->codes[8602] = 0x0000fac03f1a13ebUL;
   tf->codes[8603] = 0x0000facbaf093465UL;
   tf->codes[8604] = 0x0000fad04235a7c9UL;
   tf->codes[8605] = 0x0000fad1dc1ed02cUL;
   tf->codes[8606] = 0x0000fad2513cdbb6UL;
   tf->codes[8607] = 0x0000fad5bf9e3241UL;
   tf->codes[8608] = 0x0000fad87e52777dUL;
   tf->codes[8609] = 0x0000fada183b9fe0UL;
   tf->codes[8610] = 0x0000fae219c969cfUL;
   tf->codes[8611] = 0x0000fae3b3b29232UL;
   tf->codes[8612] = 0x0000fae846df0596UL;
   tf->codes[8613] = 0x0000faf0f819e0d4UL;
   tf->codes[8614] = 0x0000faf21ce4fdadUL;
   tf->codes[8615] = 0x0000faf37c3f204bUL;
   tf->codes[8616] = 0x0000faf3f15d2bd5UL;
   tf->codes[8617] = 0x0000faf4a10a3d24UL;
   tf->codes[8618] = 0x0000faf5162848aeUL;
   tf->codes[8619] = 0x0000faf58b465438UL;
   tf->codes[8620] = 0x0000faf5c5d559fdUL;
   tf->codes[8621] = 0x0000faf8f9a7aac3UL;
   tf->codes[8622] = 0x0000fb004b886363UL;
   tf->codes[8623] = 0x0000fb02cfada2daUL;
   tf->codes[8624] = 0x0000fb0a218e5b7aUL;
   tf->codes[8625] = 0x0000fb0d8fefb205UL;
   tf->codes[8626] = 0x0000fb0fd985ebb7UL;
   tf->codes[8627] = 0x0000fb101414f17cUL;
   tf->codes[8628] = 0x0000fb151c5f706aUL;
   tf->codes[8629] = 0x0000fb1b0ee6066cUL;
   tf->codes[8630] = 0x0000fb1b840411f6UL;
   tf->codes[8631] = 0x0000fb1bbe9317bbUL;
   tf->codes[8632] = 0x0000fb1bf9221d80UL;
   tf->codes[8633] = 0x0000fb208c4e90e4UL;
   tf->codes[8634] = 0x0000fb23c020e1aaUL;
   tf->codes[8635] = 0x0000fb23faafe76fUL;
   tf->codes[8636] = 0x0000fb2769113dfaUL;
   tf->codes[8637] = 0x0000fb29781871e7UL;
   tf->codes[8638] = 0x0000fb30c9f92a87UL;
   tf->codes[8639] = 0x0000fb33138f6439UL;
   tf->codes[8640] = 0x0000fb37e14add62UL;
   tf->codes[8641] = 0x0000fb385668e8ecUL;
   tf->codes[8642] = 0x0000fb397b3405c5UL;
   tf->codes[8643] = 0x0000fb3bff59453cUL;
   tf->codes[8644] = 0x0000fb3ce9955c50UL;
   tf->codes[8645] = 0x0000fb3d5eb367daUL;
   tf->codes[8646] = 0x0000fb40cd14be65UL;
   tf->codes[8647] = 0x0000fb41b750d579UL;
   tf->codes[8648] = 0x0000fb422c6ee103UL;
   tf->codes[8649] = 0x0000fb443b7614f0UL;
   tf->codes[8650] = 0x0000fb4fab65356aUL;
   tf->codes[8651] = 0x0000fb56fd45ee0aUL;
   tf->codes[8652] = 0x0000fb5c401f72bdUL;
   tf->codes[8653] = 0x0000fb5cefcc840cUL;
   tf->codes[8654] = 0x0000fb5e1497a0e5UL;
   tf->codes[8655] = 0x0000fb6a3433d2aeUL;
   tf->codes[8656] = 0x0000fb6fb19c5d26UL;
   tf->codes[8657] = 0x0000fb714b858589UL;
   tf->codes[8658] = 0x0000fb7235c19c9dUL;
   tf->codes[8659] = 0x0000fb7cbb74a603UL;
   tf->codes[8660] = 0x0000fb8029d5fc8eUL;
   tf->codes[8661] = 0x0000fb82736c3640UL;
   tf->codes[8662] = 0x0000fb82adfb3c05UL;
   tf->codes[8663] = 0x0000fb94faad0995UL;
   tf->codes[8664] = 0x0000fb96cf2537bdUL;
   tf->codes[8665] = 0x0000fb9c11febc70UL;
   tf->codes[8666] = 0x0000fb9ed0b301acUL;
   tf->codes[8667] = 0x0000fb9f0b420771UL;
   tf->codes[8668] = 0x0000fba0dfba3599UL;
   tf->codes[8669] = 0x0000fba18f6746e8UL;
   tf->codes[8670] = 0x0000fba2b43263c1UL;
   tf->codes[8671] = 0x0000fba7475ed725UL;
   tf->codes[8672] = 0x0000fba9cb84169cUL;
   tf->codes[8673] = 0x0000fbab9ffc44c4UL;
   tf->codes[8674] = 0x0000fbb03328b828UL;
   tf->codes[8675] = 0x0000fbb1cd11e08bUL;
   tf->codes[8676] = 0x0000fbb99410a4b5UL;
   tf->codes[8677] = 0x0000fbbc1835e42cUL;
   tf->codes[8678] = 0x0000fbbe273d1819UL;
   tf->codes[8679] = 0x0000fbc15b0f68dfUL;
   tf->codes[8680] = 0x0000fbc3a4a5a291UL;
   tf->codes[8681] = 0x0000fbc9972c3893UL;
   tf->codes[8682] = 0x0000fbcaf6865b31UL;
   tf->codes[8683] = 0x0000fbd2486713d1UL;
   tf->codes[8684] = 0x0000fbd62be675e6UL;
   tf->codes[8685] = 0x0000fbd78b409884UL;
   tf->codes[8686] = 0x0000fbd8b00bb55dUL;
   tf->codes[8687] = 0x0000fbd95fb8c6acUL;
   tf->codes[8688] = 0x0000fbe126b78ad6UL;
   tf->codes[8689] = 0x0000fbe3e56bd012UL;
   tf->codes[8690] = 0x0000fbeac22e7d28UL;
   tf->codes[8691] = 0x0000fbf03f9707a0UL;
   tf->codes[8692] = 0x0000fbf5bcff9218UL;
   tf->codes[8693] = 0x0000fbf5f78e97ddUL;
   tf->codes[8694] = 0x0000fbfb3a681c90UL;
   tf->codes[8695] = 0x0000fbfc24a433a4UL;
   tf->codes[8696] = 0x0000fbffcd948ff4UL;
   tf->codes[8697] = 0x0000fc0042b29b7eUL;
   tf->codes[8698] = 0x0000fc030166e0baUL;
   tf->codes[8699] = 0x0000fc03eba2f7ceUL;
   tf->codes[8700] = 0x0000fc0f96211e0dUL;
   tf->codes[8701] = 0x0000fc11dfb757bfUL;
   tf->codes[8702] = 0x0000fc1dff538988UL;
   tf->codes[8703] = 0x0000fc1f993cb1ebUL;
   tf->codes[8704] = 0x0000fc27d559819fUL;
   tf->codes[8705] = 0x0000fc2a597ec116UL;
   tf->codes[8706] = 0x0000fc31ab5f79b6UL;
   tf->codes[8707] = 0x0000fc32207d8540UL;
   tf->codes[8708] = 0x0000fc325b0c8b05UL;
   tf->codes[8709] = 0x0000fc32d02a968fUL;
   tf->codes[8710] = 0x0000fc330ab99c54UL;
   tf->codes[8711] = 0x0000fc36791af2dfUL;
   tf->codes[8712] = 0x0000fc3dcafbab7fUL;
   tf->codes[8713] = 0x0000fc3f9f73d9a7UL;
   tf->codes[8714] = 0x0000fc41395d020aUL;
   tf->codes[8715] = 0x0000fc41e90a1359UL;
   tf->codes[8716] = 0x0000fc4b848105abUL;
   tf->codes[8717] = 0x0000fc513c7895e8UL;
   tf->codes[8718] = 0x0000fc526143b2c1UL;
   tf->codes[8719] = 0x0000fc55cfa5094cUL;
   tf->codes[8720] = 0x0000fc567f521a9bUL;
   tf->codes[8721] = 0x0000fc5b4d0d93c4UL;
   tf->codes[8722] = 0x0000fc5bfcbaa513UL;
   tf->codes[8723] = 0x0000fc5ef5fdf014UL;
   tf->codes[8724] = 0x0000fc634e9b5db3UL;
   tf->codes[8725] = 0x0000fc660d4fa2efUL;
   tf->codes[8726] = 0x0000fc6a65ed108eUL;
   tf->codes[8727] = 0x0000fc731727ebccUL;
   tf->codes[8728] = 0x0000fc77e4e364f5UL;
   tf->codes[8729] = 0x0000fc79f3ea98e2UL;
   tf->codes[8730] = 0x0000fc805b8f3a6eUL;
   tf->codes[8731] = 0x0000fc80961e4033UL;
   tf->codes[8732] = 0x0000fc82a5257420UL;
   tf->codes[8733] = 0x0000fc864e15d070UL;
   tf->codes[8734] = 0x0000fc87ad6ff30eUL;
   tf->codes[8735] = 0x0000fc95dc1358c4UL;
   tf->codes[8736] = 0x0000fc9e18302878UL;
   tf->codes[8737] = 0x0000fc9fb21950dbUL;
   tf->codes[8738] = 0x0000fca2e5eba1a1UL;
   tf->codes[8739] = 0x0000fca52f81db53UL;
   tf->codes[8740] = 0x0000fca6c96b03b6UL;
   tf->codes[8741] = 0x0000fca779181505UL;
   tf->codes[8742] = 0x0000fcb0da000192UL;
   tf->codes[8743] = 0x0000fcb4bd7f63a7UL;
   tf->codes[8744] = 0x0000fcb7f151b46dUL;
   tf->codes[8745] = 0x0000fcb9161cd146UL;
   tf->codes[8746] = 0x0000fcba7576f3e4UL;
   tf->codes[8747] = 0x0000fcbd342b3920UL;
   tf->codes[8748] = 0x0000fcc02d6e8421UL;
   tf->codes[8749] = 0x0000fcc36140d4e7UL;
   tf->codes[8750] = 0x0000fcca03747c38UL;
   tf->codes[8751] = 0x0000fcd0308a17ffUL;
   tf->codes[8752] = 0x0000fcd747dbcadaUL;
   tf->codes[8753] = 0x0000fcdbdb083e3eUL;
   tf->codes[8754] = 0x0000fce2f259f119UL;
   tf->codes[8755] = 0x0000fce417250df2UL;
   tf->codes[8756] = 0x0000fce451b413b7UL;
   tf->codes[8757] = 0x0000fcedb29c0044UL;
   tf->codes[8758] = 0x0000fcf36a939081UL;
   tf->codes[8759] = 0x0000fcf5799ac46eUL;
   tf->codes[8760] = 0x0000fcf5b429ca33UL;
   tf->codes[8761] = 0x0000fcf74e12f296UL;
   tf->codes[8762] = 0x0000fd00746bd95eUL;
   tf->codes[8763] = 0x0000fd02be021310UL;
   tf->codes[8764] = 0x0000fd0925a6b49cUL;
   tf->codes[8765] = 0x0000fd0f8d4b5628UL;
   tf->codes[8766] = 0x0000fd10026961b2UL;
   tf->codes[8767] = 0x0000fd121170959fUL;
   tf->codes[8768] = 0x0000fd166a0e033eUL;
   tf->codes[8769] = 0x0000fd1afd3a76a2UL;
   tf->codes[8770] = 0x0000fd2164df182eUL;
   tf->codes[8771] = 0x0000fd2423935d6aUL;
   tf->codes[8772] = 0x0000fd26a7b89ce1UL;
   tf->codes[8773] = 0x0000fd325236c320UL;
   tf->codes[8774] = 0x0000fd35860913e6UL;
   tf->codes[8775] = 0x0000fd380a2e535dUL;
   tf->codes[8776] = 0x0000fd3bedadb572UL;
   tf->codes[8777] = 0x0000fd41e0344b74UL;
   tf->codes[8778] = 0x0000fd4464598aebUL;
   tf->codes[8779] = 0x0000fd47230dd027UL;
   tf->codes[8780] = 0x0000fd4dffd07d3dUL;
   tf->codes[8781] = 0x0000fd51e34fdf52UL;
   tf->codes[8782] = 0x0000fd537d3907b5UL;
   tf->codes[8783] = 0x0000fd56b10b587bUL;
   tf->codes[8784] = 0x0000fd5a59fbb4cbUL;
   tf->codes[8785] = 0x0000fd5d8dce0591UL;
   tf->codes[8786] = 0x0000fd5fd7643f43UL;
   tf->codes[8787] = 0x0000fd6136be61e1UL;
   tf->codes[8788] = 0x0000fd679e63036dUL;
   tf->codes[8789] = 0x0000fd6eb5b4b648UL;
   tf->codes[8790] = 0x0000fd72d3c31e22UL;
   tf->codes[8791] = 0x0000fd75cd066923UL;
   tf->codes[8792] = 0x0000fd76b7428037UL;
   tf->codes[8793] = 0x0000fd7bfa1c04eaUL;
   tf->codes[8794] = 0x0000fd7e092338d7UL;
   tf->codes[8795] = 0x0000fd7fa30c613aUL;
   tf->codes[8796] = 0x0000fd81b2139527UL;
   tf->codes[8797] = 0x0000fd876a0b2564UL;
   tf->codes[8798] = 0x0000fd8a28bf6aa0UL;
   tf->codes[8799] = 0x0000fd9055d50667UL;
   tf->codes[8800] = 0x0000fd98cc80dbe0UL;
   tf->codes[8801] = 0x0000fd99b6bcf2f4UL;
   tf->codes[8802] = 0x0000fd9d9a3c5509UL;
   tf->codes[8803] = 0x0000fd9f6eb48331UL;
   tf->codes[8804] = 0x0000fda1089dab94UL;
   tf->codes[8805] = 0x0000fda68606360cUL;
   tf->codes[8806] = 0x0000fda90a2b7583UL;
   tf->codes[8807] = 0x0000fdb0d12a39adUL;
   tf->codes[8808] = 0x0000fdb1bb6650c1UL;
   tf->codes[8809] = 0x0000fdb38fde7ee9UL;
   tf->codes[8810] = 0x0000fdb6c3b0cfafUL;
   tf->codes[8811] = 0x0000fdba3212263aUL;
   tf->codes[8812] = 0x0000fdbaa73031c4UL;
   tf->codes[8813] = 0x0000fdbec53e999eUL;
   tf->codes[8814] = 0x0000fdc14963d915UL;
   tf->codes[8815] = 0x0000fdc26e2ef5eeUL;
   tf->codes[8816] = 0x0000fdc3cd89188cUL;
   tf->codes[8817] = 0x0000fdd0d7616169UL;
   tf->codes[8818] = 0x0000fdd320f79b1bUL;
   tf->codes[8819] = 0x0000fdd35b86a0e0UL;
   tf->codes[8820] = 0x0000fdd445c2b7f4UL;
   tf->codes[8821] = 0x0000fdd56a8dd4cdUL;
   tf->codes[8822] = 0x0000fddb97a37094UL;
   tf->codes[8823] = 0x0000fddff040de33UL;
   tf->codes[8824] = 0x0000fde1c4b90c5bUL;
   tf->codes[8825] = 0x0000fde35ea234beUL;
   tf->codes[8826] = 0x0000fde8a17bb971UL;
   tf->codes[8827] = 0x0000fdf1c7d4a039UL;
   tf->codes[8828] = 0x0000fdf27781b188UL;
   tf->codes[8829] = 0x0000fdf86a08478aUL;
   tf->codes[8830] = 0x0000fdfb9dda9850UL;
   tf->codes[8831] = 0x0000fdfc4d87a99fUL;
   tf->codes[8832] = 0x0000fdfdace1cc3dUL;
   tf->codes[8833] = 0x0000fe02400e3fa1UL;
   tf->codes[8834] = 0x0000fe027a9d4566UL;
   tf->codes[8835] = 0x0000fe06238da1b6UL;
   tf->codes[8836] = 0x0000fe086d23db68UL;
   tf->codes[8837] = 0x0000fe127db8d944UL;
   tf->codes[8838] = 0x0000fe1367f4f058UL;
   tf->codes[8839] = 0x0000fe1417a201a7UL;
   tf->codes[8840] = 0x0000fe1576fc2445UL;
   tf->codes[8841] = 0x0000fe15b18b2a0aUL;
   tf->codes[8842] = 0x0000fe191fec8095UL;
   tf->codes[8843] = 0x0000fe1bdea0c5d1UL;
   tf->codes[8844] = 0x0000fe23a59f89fbUL;
   tf->codes[8845] = 0x0000fe24ca6aa6d4UL;
   tf->codes[8846] = 0x0000fe2ba72d53eaUL;
   tf->codes[8847] = 0x0000fe2ea0709eebUL;
   tf->codes[8848] = 0x0000fe3199b3e9ecUL;
   tf->codes[8849] = 0x0000fe324960fb3bUL;
   tf->codes[8850] = 0x0000fe378c3a7feeUL;
   tf->codes[8851] = 0x0000fe3801588b78UL;
   tf->codes[8852] = 0x0000fe38eb94a28cUL;
   tf->codes[8853] = 0x0000fe392623a851UL;
   tf->codes[8854] = 0x0000fe3afa9bd679UL;
   tf->codes[8855] = 0x0000fe3b352adc3eUL;
   tf->codes[8856] = 0x0000fe3d4432102bUL;
   tf->codes[8857] = 0x0000fe3d7ec115f0UL;
   tf->codes[8858] = 0x0000fe3db9501bb5UL;
   tf->codes[8859] = 0x0000fe4be7f3816bUL;
   tf->codes[8860] = 0x0000fe4f90e3ddbbUL;
   tf->codes[8861] = 0x0000fe5374633fd0UL;
   tf->codes[8862] = 0x0000fe58078fb334UL;
   tf->codes[8863] = 0x0000fe5c602d20d3UL;
   tf->codes[8864] = 0x0000fe5dbf874371UL;
   tf->codes[8865] = 0x0000fe5e6f3454c0UL;
   tf->codes[8866] = 0x0000fe6043ac82e8UL;
   tf->codes[8867] = 0x0000fe61dd95ab4bUL;
   tf->codes[8868] = 0x0000fe633cefcde9UL;
   tf->codes[8869] = 0x0000fe69df23753aUL;
   tf->codes[8870] = 0x0000fe70bbe62250UL;
   tf->codes[8871] = 0x0000fe737a9a678cUL;
   tf->codes[8872] = 0x0000fe7464d67ea0UL;
   tf->codes[8873] = 0x0000fe7589a19b79UL;
   tf->codes[8874] = 0x0000fe780dc6daf0UL;
   tf->codes[8875] = 0x0000fe7a91ec1a67UL;
   tf->codes[8876] = 0x0000fe7d50a05fa3UL;
   tf->codes[8877] = 0x0000fe7eaffa8241UL;
   tf->codes[8878] = 0x0000fe808472b069UL;
   tf->codes[8879] = 0x0000fe80bf01b62eUL;
   tf->codes[8880] = 0x0000fe863c6a40a6UL;
   tf->codes[8881] = 0x0000fe88fb1e85e2UL;
   tf->codes[8882] = 0x0000fe925c06726fUL;
   tf->codes[8883] = 0x0000fe92d1247df9UL;
   tf->codes[8884] = 0x0000fe967a14da49UL;
   tf->codes[8885] = 0x0000fe9813fe02acUL;
   tf->codes[8886] = 0x0000fe9b47d05372UL;
   tf->codes[8887] = 0x0000fe9dcbf592e9UL;
   tf->codes[8888] = 0x0000fea55865514eUL;
   tf->codes[8889] = 0x0000feb4e662d9a2UL;
   tf->codes[8890] = 0x0000feb5d09ef0b6UL;
   tf->codes[8891] = 0x0000feb60b2df67bUL;
   tf->codes[8892] = 0x0000feb6804c0205UL;
   tf->codes[8893] = 0x0000febc38439242UL;
   tf->codes[8894] = 0x0000febfa6a4e8cdUL;
   tf->codes[8895] = 0x0000febfe133ee92UL;
   tf->codes[8896] = 0x0000fec05651fa1cUL;
   tf->codes[8897] = 0x0000fec29fe833ceUL;
   tf->codes[8898] = 0x0000fec34f95451dUL;
   tf->codes[8899] = 0x0000fec73314a732UL;
   tf->codes[8900] = 0x0000fece84f55fd2UL;
   tf->codes[8901] = 0x0000fed0596d8dfaUL;
   tf->codes[8902] = 0x0000fedf724d0ac4UL;
   tf->codes[8903] = 0x0000fee7ae69da78UL;
   tf->codes[8904] = 0x0000fef2341ce3deUL;
   tf->codes[8905] = 0x0000feff78843280UL;
   tf->codes[8906] = 0x0000feffb3133845UL;
   tf->codes[8907] = 0x0000ff123a540b9aUL;
   tf->codes[8908] = 0x0000ff14f90850d6UL;
   tf->codes[8909] = 0x0000ff153397569bUL;
   tf->codes[8910] = 0x0000ff16cd807efeUL;
   tf->codes[8911] = 0x0000ff17080f84c3UL;
   tf->codes[8912] = 0x0000ff1a3be1d589UL;
   tf->codes[8913] = 0x0000ff1bd5cafdecUL;
   tf->codes[8914] = 0x0000ff1d3525208aUL;
   tf->codes[8915] = 0x0000ff20a3867715UL;
   tf->codes[8916] = 0x0000ff2153338864UL;
   tf->codes[8917] = 0x0000ff3a7ca8030aUL;
   tf->codes[8918] = 0x0000ff3c16912b6dUL;
   tf->codes[8919] = 0x0000ff3d3b5c4846UL;
   tf->codes[8920] = 0x0000ff420917c16fUL;
   tf->codes[8921] = 0x0000ff47c10f51acUL;
   tf->codes[8922] = 0x0000ff515c8643feUL;
   tf->codes[8923] = 0x0000ff5330fe7226UL;
   tf->codes[8924] = 0x0000ff54905894c4UL;
   tf->codes[8925] = 0x0000ff5b6d1b41daUL;
   tf->codes[8926] = 0x0000ff5fc5b8af79UL;
   tf->codes[8927] = 0x0000ff607565c0c8UL;
   tf->codes[8928] = 0x0000ff64937428a2UL;
   tf->codes[8929] = 0x0000ff763078e4e3UL;
   tf->codes[8930] = 0x0000ff787a0f1e95UL;
   tf->codes[8931] = 0x0000ff78ef2d2a1fUL;
   tf->codes[8932] = 0x0000ff7a89165282UL;
   tf->codes[8933] = 0x0000ff7f1c42c5e6UL;
   tf->codes[8934] = 0x0000ff7f9160d170UL;
   tf->codes[8935] = 0x0000ff88080ca6e9UL;
   tf->codes[8936] = 0x0000ff8cd5c82012UL;
   tf->codes[8937] = 0x0000ff90099a70d8UL;
   tf->codes[8938] = 0x0000ff933d6cc19eUL;
   tf->codes[8939] = 0x0000ff9720ec23b3UL;
   tf->codes[8940] = 0x0000ff996a825d65UL;
   tf->codes[8941] = 0x0000ff9a8f4d7a3eUL;
   tf->codes[8942] = 0x0000ff9b046b85c8UL;
   tf->codes[8943] = 0x0000ff9bb4189717UL;
   tf->codes[8944] = 0x0000ff9f9797f92cUL;
   tf->codes[8945] = 0x0000ffa047450a7bUL;
   tf->codes[8946] = 0x0000ffa16c102754UL;
   tf->codes[8947] = 0x0000ffa1e12e32deUL;
   tf->codes[8948] = 0x0000ffa465537255UL;
   tf->codes[8949] = 0x0000ffb04a609e59UL;
   tf->codes[8950] = 0x0000ffb084efa41eUL;
   tf->codes[8951] = 0x0000ffb1e449c6bcUL;
   tf->codes[8952] = 0x0000ffb37e32ef1fUL;
   tf->codes[8953] = 0x0000ffb727234b6fUL;
   tf->codes[8954] = 0x0000ffb84bee6848UL;
   tf->codes[8955] = 0x0000ffc137b8494bUL;
   tf->codes[8956] = 0x0000ffc8899901ebUL;
   tf->codes[8957] = 0x0000ffcb0dbe4162UL;
   tf->codes[8958] = 0x0000ffd0c5b5d19fUL;
   tf->codes[8959] = 0x0000ffd29a2dffc7UL;
   tf->codes[8960] = 0x0000ffd852259004UL;
   tf->codes[8961] = 0x0000ffddcf8e1a7cUL;
   tf->codes[8962] = 0x0000ffe9b49b4680UL;
   tf->codes[8963] = 0x0000ffebfe318032UL;
   tf->codes[8964] = 0x0000fff1f0b81634UL;
   tf->codes[8965] = 0x0000fff7a8afa671UL;
   tf->codes[8966] = 0x0000fff97d27d499UL;
   tf->codes[8967] = 0x00010001b944a44dUL;
   tf->codes[8968] = 0x00010002a380bb61UL;
   tf->codes[8969] = 0x000100038dbcd275UL;
   tf->codes[8970] = 0x00010003c84bd83aUL;
   tf->codes[8971] = 0x0001000f383af8b4UL;
   tf->codes[8972] = 0x00010012317e43b5UL;
   tf->codes[8973] = 0x000100131bba5ac9UL;
   tf->codes[8974] = 0x00010014408577a2UL;
   tf->codes[8975] = 0x00010014b5a3832cUL;
   tf->codes[8976] = 0x00010016ff39bcdeUL;
   tf->codes[8977] = 0x00010017e975d3f2UL;
   tf->codes[8978] = 0x0001001b1d4824b8UL;
   tf->codes[8979] = 0x0001001b57d72a7dUL;
   tf->codes[8980] = 0x0001001e511a757eUL;
   tf->codes[8981] = 0x0001001e8ba97b43UL;
   tf->codes[8982] = 0x000100210fcebabaUL;
   tf->codes[8983] = 0x000100214a5dc07fUL;
   tf->codes[8984] = 0x00010021fa0ad1ceUL;
   tf->codes[8985] = 0x00010022a9b7e31dUL;
   tf->codes[8986] = 0x00010024b8bf170aUL;
   tf->codes[8987] = 0x00010026181939a8UL;
   tf->codes[8988] = 0x0001002861af735aUL;
   tf->codes[8989] = 0x0001002bd010c9e5UL;
   tf->codes[8990] = 0x0001003237b56b71UL;
   tf->codes[8991] = 0x0001003272447136UL;
   tf->codes[8992] = 0x00010033d19e93d4UL;
   tf->codes[8993] = 0x000100340c2d9999UL;
   tf->codes[8994] = 0x000100356b87bc37UL;
   tf->codes[8995] = 0x00010035a616c1fcUL;
   tf->codes[8996] = 0x0001003655c3d34bUL;
   tf->codes[8997] = 0x00010037efacfbaeUL;
   tf->codes[8998] = 0x0001003989962411UL;
   tf->codes[8999] = 0x0001003a39433560UL;
   tf->codes[9000] = 0x0001003b5e0e5239UL;
   tf->codes[9001] = 0x00010040db76dcb1UL;
   tf->codes[9002] = 0x00010041c5b2f3c5UL;
   tf->codes[9003] = 0x00010043250d1663UL;
   tf->codes[9004] = 0x000100439a2b21edUL;
   tf->codes[9005] = 0x00010043d4ba27b2UL;
   tf->codes[9006] = 0x00010045a93255daUL;
   tf->codes[9007] = 0x000100482d579551UL;
   tf->codes[9008] = 0x0001004b9bb8ebdcUL;
   tf->codes[9009] = 0x0001004ff456597bUL;
   tf->codes[9010] = 0x0001005119217654UL;
   tf->codes[9011] = 0x00010052b30a9eb7UL;
   tf->codes[9012] = 0x000100532828aa41UL;
   tf->codes[9013] = 0x00010053d7d5bb90UL;
   tf->codes[9014] = 0x00010056216bf542UL;
   tf->codes[9015] = 0x00010056968a00ccUL;
   tf->codes[9016] = 0x0001005b644579f5UL;
   tf->codes[9017] = 0x00010060a71efea8UL;
   tf->codes[9018] = 0x00010061915b15bcUL;
   tf->codes[9019] = 0x00010065e9f8835bUL;
   tf->codes[9020] = 0x00010070aa3a9286UL;
   tf->codes[9021] = 0x000100724423bae9UL;
   tf->codes[9022] = 0x00010072b941c673UL;
   tf->codes[9023] = 0x000100774c6e39d7UL;
   tf->codes[9024] = 0x0001007bdf9aad3bUL;
   tf->codes[9025] = 0x0001008197923d78UL;
   tf->codes[9026] = 0x00010081d221433dUL;
   tf->codes[9027] = 0x00010082bc5d5a51UL;
   tf->codes[9028] = 0x00010085b5a0a552UL;
   tf->codes[9029] = 0x000100878a18d37aUL;
   tf->codes[9030] = 0x00010087ff36df04UL;
   tf->codes[9031] = 0x0001008ba8273b54UL;
   tf->codes[9032] = 0x0001008c92635268UL;
   tf->codes[9033] = 0x0001009075e2b47dUL;
   tf->codes[9034] = 0x00010091d53cd71bUL;
   tf->codes[9035] = 0x00010092fa07f3f4UL;
   tf->codes[9036] = 0x0001009459621692UL;
   tf->codes[9037] = 0x00010095090f27e1UL;
   tf->codes[9038] = 0x000100957e2d336bUL;
   tf->codes[9039] = 0x00010095f34b3ef5UL;
   tf->codes[9040] = 0x000100978d346758UL;
   tf->codes[9041] = 0x0001009961ac9580UL;
   tf->codes[9042] = 0x000100999c3b9b45UL;
   tf->codes[9043] = 0x0001009a1159a6cfUL;
   tf->codes[9044] = 0x0001009b3624c3a8UL;
   tf->codes[9045] = 0x0001009d7fbafd5aUL;
   tf->codes[9046] = 0x0001009dba4a031fUL;
   tf->codes[9047] = 0x0001009f54332b82UL;
   tf->codes[9048] = 0x000100a0b38d4e20UL;
   tf->codes[9049] = 0x000100a0ee1c53e5UL;
   tf->codes[9050] = 0x000100a1633a5f6fUL;
   tf->codes[9051] = 0x000100a24d767683UL;
   tf->codes[9052] = 0x000100a5f666d2d3UL;
   tf->codes[9053] = 0x000100a755c0f571UL;
   tf->codes[9054] = 0x000100a8b51b180fUL;
   tf->codes[9055] = 0x000100a92a392399UL;
   tf->codes[9056] = 0x000100abae5e6310UL;
   tf->codes[9057] = 0x000100b0418ad674UL;
   tf->codes[9058] = 0x000100b0b6a8e1feUL;
   tf->codes[9059] = 0x000100b2c5b015ebUL;
   tf->codes[9060] = 0x000100b92d54b777UL;
   tf->codes[9061] = 0x000100bdfb1030a0UL;
   tf->codes[9062] = 0x000100beaabd41efUL;
   tf->codes[9063] = 0x000100c2191e987aUL;
   tf->codes[9064] = 0x000100c37878bb18UL;
   tf->codes[9065] = 0x000100c3b307c0ddUL;
   tf->codes[9066] = 0x000100c49d43d7f1UL;
   tf->codes[9067] = 0x000100c7d11628b7UL;
   tf->codes[9068] = 0x000100ca1aac6269UL;
   tf->codes[9069] = 0x000100ca553b682eUL;
   tf->codes[9070] = 0x000100cbef249091UL;
   tf->codes[9071] = 0x000100d1e1ab2693UL;
   tf->codes[9072] = 0x000100d75f13b10bUL;
   tf->codes[9073] = 0x000100d7d431bc95UL;
   tf->codes[9074] = 0x000100d96e1ae4f8UL;
   tf->codes[9075] = 0x000100dacd750796UL;
   tf->codes[9076] = 0x000100db7d2218e5UL;
   tf->codes[9077] = 0x000100dbb7b11eaaUL;
   tf->codes[9078] = 0x000100dd170b4148UL;
   tf->codes[9079] = 0x000100dfd5bf8684UL;
   tf->codes[9080] = 0x000100e0856c97d3UL;
   tf->codes[9081] = 0x000100e1aa37b4acUL;
   tf->codes[9082] = 0x000100e37eafe2d4UL;
   tf->codes[9083] = 0x000100e6b282339aUL;
   tf->codes[9084] = 0x000100e6ed11395fUL;
   tf->codes[9085] = 0x000100e79cbe4aaeUL;
   tf->codes[9086] = 0x000100eb45aea6feUL;
   tf->codes[9087] = 0x000100ec2feabe12UL;
   tf->codes[9088] = 0x000100f30cad6b28UL;
   tf->codes[9089] = 0x000100f5cb61b064UL;
   tf->codes[9090] = 0x000100f67b0ec1b3UL;
   tf->codes[9091] = 0x000100f79fd9de8cUL;
   tf->codes[9092] = 0x000100f8ff34012aUL;
   tf->codes[9093] = 0x000100fb835940a1UL;
   tf->codes[9094] = 0x000100ffa167a87bUL;
   tf->codes[9095] = 0x000101067e2a5591UL;
   tf->codes[9096] = 0x000101088d31897eUL;
   tf->codes[9097] = 0x0001010c70b0eb93UL;
   tf->codes[9098] = 0x0001010ce5cef71dUL;
   tf->codes[9099] = 0x00010111b38a7046UL;
   tf->codes[9100] = 0x00010111ee19760bUL;
   tf->codes[9101] = 0x00010113c291a433UL;
   tf->codes[9102] = 0x00010113fd20a9f8UL;
   tf->codes[9103] = 0x000101159709d25bUL;
   tf->codes[9104] = 0x00010115d198d820UL;
   tf->codes[9105] = 0x0001011646b6e3aaUL;
   tf->codes[9106] = 0x000101176b820083UL;
   tf->codes[9107] = 0x000101181b2f11d2UL;
   tf->codes[9108] = 0x00010119b5183a35UL;
   tf->codes[9109] = 0x0001011b14725cd3UL;
   tf->codes[9110] = 0x0001011bfeae73e7UL;
   tf->codes[9111] = 0x0001011ebd62b923UL;
   tf->codes[9112] = 0x00010121f13509e9UL;
   tf->codes[9113] = 0x00010122db7120fdUL;
   tf->codes[9114] = 0x000101238b1e324cUL;
   tf->codes[9115] = 0x00010123c5ad3811UL;
   tf->codes[9116] = 0x00010125d4b46bfeUL;
   tf->codes[9117] = 0x0001012684617d4dUL;
   tf->codes[9118] = 0x000101276e9d9461UL;
   tf->codes[9119] = 0x000101294315c289UL;
   tf->codes[9120] = 0x0001012a2d51d99dUL;
   tf->codes[9121] = 0x0001012b521cf676UL;
   tf->codes[9122] = 0x000101317f32923dUL;
   tf->codes[9123] = 0x00010131f4509dc7UL;
   tf->codes[9124] = 0x000101343de6d779UL;
   tf->codes[9125] = 0x000101347875dd3eUL;
   tf->codes[9126] = 0x00010136877d112bUL;
   tf->codes[9127] = 0x00010136c20c16f0UL;
   tf->codes[9128] = 0x0001013771b9283fUL;
   tf->codes[9129] = 0x000101382166398eUL;
   tf->codes[9130] = 0x0001013d643fbe41UL;
   tf->codes[9131] = 0x00010141f76c31a5UL;
   tf->codes[9132] = 0x0001014391555a08UL;
   tf->codes[9133] = 0x00010147af63c1e2UL;
   tf->codes[9134] = 0x00010150d5bca8aaUL;
   tf->codes[9135] = 0x000101523516cb48UL;
   tf->codes[9136] = 0x000101526fa5d10dUL;
   tf->codes[9137] = 0x00010154098ef970UL;
   tf->codes[9138] = 0x00010154b93c0abfUL;
   tf->codes[9139] = 0x00010155a37821d3UL;
   tf->codes[9140] = 0x00010157b27f55c0UL;
   tf->codes[9141] = 0x00010157ed0e5b85UL;
   tf->codes[9142] = 0x00010158d74a7299UL;
   tf->codes[9143] = 0x000101594c687e23UL;
   tf->codes[9144] = 0x0001015b5b6fb210UL;
   tf->codes[9145] = 0x0001015bd08dbd9aUL;
   tf->codes[9146] = 0x0001015da505ebc2UL;
   tf->codes[9147] = 0x00010160292b2b39UL;
   tf->codes[9148] = 0x0001016063ba30feUL;
   tf->codes[9149] = 0x00010162ad506ab0UL;
   tf->codes[9150] = 0x00010163226e763aUL;
   tf->codes[9151] = 0x00010166cb5ed28aUL;
   tf->codes[9152] = 0x000101677b0be3d9UL;
   tf->codes[9153] = 0x000101698a1317c6UL;
   tf->codes[9154] = 0x0001016b991a4bb3UL;
   tf->codes[9155] = 0x0001016ff1b7b952UL;
   tf->codes[9156] = 0x000101739aa815a2UL;
   tf->codes[9157] = 0x00010173d5371b67UL;
   tf->codes[9158] = 0x00010174bf73327bUL;
   tf->codes[9159] = 0x00010176ce7a6668UL;
   tf->codes[9160] = 0x00010179c7bdb169UL;
   tf->codes[9161] = 0x0001017ab1f9c87dUL;
   tf->codes[9162] = 0x0001017b9c35df91UL;
   tf->codes[9163] = 0x0001017dab3d137eUL;
   tf->codes[9164] = 0x0001017e95792a92UL;
   tf->codes[9165] = 0x0001017f7fb541a6UL;
   tf->codes[9166] = 0x0001017fba44476bUL;
   tf->codes[9167] = 0x000101823e6986e2UL;
   tf->codes[9168] = 0x00010183d852af45UL;
   tf->codes[9169] = 0x000101844d70bacfUL;
   tf->codes[9170] = 0x00010184c28ec659UL;
   tf->codes[9171] = 0x0001018781430b95UL;
   tf->codes[9172] = 0x00010191574903acUL;
   tf->codes[9173] = 0x00010193db6e4323UL;
   tf->codes[9174] = 0x00010194c5aa5a37UL;
   tf->codes[9175] = 0x000101970f4093e9UL;
   tf->codes[9176] = 0x0001019749cf99aeUL;
   tf->codes[9177] = 0x00010198340bb0c2UL;
   tf->codes[9178] = 0x000101986e9ab687UL;
   tf->codes[9179] = 0x00010198a929bc4cUL;
   tf->codes[9180] = 0x0001019a4312e4afUL;
   tf->codes[9181] = 0x0001019b2d4efbc3UL;
   tf->codes[9182] = 0x0001019f85ec6962UL;
   tf->codes[9183] = 0x000101a1cf82a314UL;
   tf->codes[9184] = 0x000101a2b9beba28UL;
   tf->codes[9185] = 0x000101a3696bcb77UL;
   tf->codes[9186] = 0x000101af13e9f1b6UL;
   tf->codes[9187] = 0x000101b0add31a19UL;
   tf->codes[9188] = 0x000101b1980f312dUL;
   tf->codes[9189] = 0x000101b75006c16aUL;
   tf->codes[9190] = 0x000101b95f0df557UL;
   tf->codes[9191] = 0x000101b9999cfb1cUL;
   tf->codes[9192] = 0x000101b9d42c00e1UL;
   tf->codes[9193] = 0x000101bb3386237fUL;
   tf->codes[9194] = 0x000101bbe33334ceUL;
   tf->codes[9195] = 0x000101bd428d576cUL;
   tf->codes[9196] = 0x000101bf8c23911eUL;
   tf->codes[9197] = 0x000101c0765fa832UL;
   tf->codes[9198] = 0x000101c0eb7db3bcUL;
   tf->codes[9199] = 0x000101c28566dc1fUL;
   tf->codes[9200] = 0x000101c36fa2f333UL;
   tf->codes[9201] = 0x000101c6de0449beUL;
   tf->codes[9202] = 0x000101c9279a8370UL;
   tf->codes[9203] = 0x000101cafc12b198UL;
   tf->codes[9204] = 0x000101cbabbfc2e7UL;
   tf->codes[9205] = 0x000101cf54b01f37UL;
   tf->codes[9206] = 0x000101d163b75324UL;
   tf->codes[9207] = 0x000101d19e4658e9UL;
   tf->codes[9208] = 0x000101d49789a3eaUL;
   tf->codes[9209] = 0x000101d5f6e3c688UL;
   tf->codes[9210] = 0x000101d6a690d7d7UL;
   tf->codes[9211] = 0x000101d7563de926UL;
   tf->codes[9212] = 0x000101d7cb5bf4b0UL;
   tf->codes[9213] = 0x000101d8b5980bc4UL;
   tf->codes[9214] = 0x000101d8f0271189UL;
   tf->codes[9215] = 0x000101d99fd422d8UL;
   tf->codes[9216] = 0x000101da8a1039ecUL;
   tf->codes[9217] = 0x000101daff2e4576UL;
   tf->codes[9218] = 0x000101ddf8719077UL;
   tf->codes[9219] = 0x000101df925ab8daUL;
   tf->codes[9220] = 0x000101e33b4b152aUL;
   tf->codes[9221] = 0x000101e759597d04UL;
   tf->codes[9222] = 0x000101e793e882c9UL;
   tf->codes[9223] = 0x000101ebec85f068UL;
   tf->codes[9224] = 0x000101f0ba416991UL;
   tf->codes[9225] = 0x000101f2542a91f4UL;
   tf->codes[9226] = 0x000101f6e7570558UL;
   tf->codes[9227] = 0x000101f8bbcf3380UL;
   tf->codes[9228] = 0x000101f96b7c44cfUL;
   tf->codes[9229] = 0x000101f9e09a5059UL;
   tf->codes[9230] = 0x000101fa1b29561eUL;
   tf->codes[9231] = 0x000101fbb5127e81UL;
   tf->codes[9232] = 0x000101fe3937bdf8UL;
   tf->codes[9233] = 0x000101ff5e02dad1UL;
   tf->codes[9234] = 0x00010200483ef1e5UL;
   tf->codes[9235] = 0x000102037c1142abUL;
   tf->codes[9236] = 0x00010204664d59bfUL;
   tf->codes[9237] = 0x00010206ea729936UL;
   tf->codes[9238] = 0x00010209a926de72UL;
   tf->codes[9239] = 0x0001020a9362f586UL;
   tf->codes[9240] = 0x00010210fb079712UL;
   tf->codes[9241] = 0x000102117025a29cUL;
   tf->codes[9242] = 0x00010212cf7fc53aUL;
   tf->codes[9243] = 0x000102130a0ecaffUL;
   tf->codes[9244] = 0x000102137f2cd689UL;
   tf->codes[9245] = 0x00010213b9bbdc4eUL;
   tf->codes[9246] = 0x00010213f44ae213UL;
   tf->codes[9247] = 0x000102158e340a76UL;
   tf->codes[9248] = 0x000102179d3b3e63UL;
   tf->codes[9249] = 0x00010219372466c6UL;
   tf->codes[9250] = 0x0001021a5bef839fUL;
   tf->codes[9251] = 0x0001021a967e8964UL;
   tf->codes[9252] = 0x0001021b462b9ab3UL;
   tf->codes[9253] = 0x0001021eb48cf13eUL;
   tf->codes[9254] = 0x00010223f76675f1UL;
   tf->codes[9255] = 0x00010231765cca58UL;
   tf->codes[9256] = 0x000102331045f2bbUL;
   tf->codes[9257] = 0x000102346fa01559UL;
   tf->codes[9258] = 0x00010234e4be20e3UL;
   tf->codes[9259] = 0x00010235cefa37f7UL;
   tf->codes[9260] = 0x0001023644184381UL;
   tf->codes[9261] = 0x00010236f3c554d0UL;
   tf->codes[9262] = 0x00010239b2799a0cUL;
   tf->codes[9263] = 0x0001023ad744b6e5UL;
   tf->codes[9264] = 0x0001023b4c62c26fUL;
   tf->codes[9265] = 0x0001023c369ed983UL;
   tf->codes[9266] = 0x0001023cabbce50dUL;
   tf->codes[9267] = 0x0001024229256f85UL;
   tf->codes[9268] = 0x00010243887f9223UL;
   tf->codes[9269] = 0x00010243c30e97e8UL;
   tf->codes[9270] = 0x00010245d215cbd5UL;
   tf->codes[9271] = 0x000102460ca4d19aUL;
   tf->codes[9272] = 0x000102464733d75fUL;
   tf->codes[9273] = 0x0001024940772260UL;
   tf->codes[9274] = 0x0001024bff2b679cUL;
   tf->codes[9275] = 0x0001025057c8d53bUL;
   tf->codes[9276] = 0x00010253c62a2bc6UL;
   tf->codes[9277] = 0x00010254b06642daUL;
   tf->codes[9278] = 0x000102559aa259eeUL;
   tf->codes[9279] = 0x000102576f1a8816UL;
   tf->codes[9280] = 0x000102590903b079UL;
   tf->codes[9281] = 0x00010259b8b0c1c8UL;
   tf->codes[9282] = 0x0001025a685dd317UL;
   tf->codes[9283] = 0x0001025bc7b7f5b5UL;
   tf->codes[9284] = 0x0001025e4bdd352cUL;
   tf->codes[9285] = 0x000102659dbdedccUL;
   tf->codes[9286] = 0x00010266fd18106aUL;
   tf->codes[9287] = 0x000102685c723308UL;
   tf->codes[9288] = 0x000102690c1f4457UL;
   tf->codes[9289] = 0x000102702370f732UL;
   tf->codes[9290] = 0x00010270988f02bcUL;
   tf->codes[9291] = 0x000102726d0730e4UL;
   tf->codes[9292] = 0x00010274b69d6a96UL;
   tf->codes[9293] = 0x000102752bbb7620UL;
   tf->codes[9294] = 0x000102768b1598beUL;
   tf->codes[9295] = 0x00010276c5a49e83UL;
   tf->codes[9296] = 0x000102790f3ad835UL;
   tf->codes[9297] = 0x0001027c430d28fbUL;
   tf->codes[9298] = 0x00010280611b90d5UL;
   tf->codes[9299] = 0x00010284449af2eaUL;
   tf->codes[9300] = 0x0001028862a95ac4UL;
   tf->codes[9301] = 0x000102894ce571d8UL;
   tf->codes[9302] = 0x0001028bd10ab14fUL;
   tf->codes[9303] = 0x0001028c4628bcd9UL;
   tf->codes[9304] = 0x0001029029a81eeeUL;
   tf->codes[9305] = 0x00010293d2987b3eUL;
   tf->codes[9306] = 0x00010297066acc04UL;
   tf->codes[9307] = 0x0001029b5f0839a3UL;
   tf->codes[9308] = 0x000102a2eb77f808UL;
   tf->codes[9309] = 0x000102a3d5b40f1cUL;
   tf->codes[9310] = 0x000102a48561206bUL;
   tf->codes[9311] = 0x000102a9531c9994UL;
   tf->codes[9312] = 0x000102a9c83aa51eUL;
   tf->codes[9313] = 0x000102abd741d90bUL;
   tf->codes[9314] = 0x000102b11a1b5dbeUL;
   tf->codes[9315] = 0x000102b18f396948UL;
   tf->codes[9316] = 0x000102b2b4048621UL;
   tf->codes[9317] = 0x000102b363b19770UL;
   tf->codes[9318] = 0x000102b4887cb449UL;
   tf->codes[9319] = 0x000102b5ad47d122UL;
   tf->codes[9320] = 0x000102b69783e836UL;
   tf->codes[9321] = 0x000102b70ca1f3c0UL;
   tf->codes[9322] = 0x000102b8316d1099UL;
   tf->codes[9323] = 0x000102b8e11a21e8UL;
   tf->codes[9324] = 0x000102b9cb5638fcUL;
   tf->codes[9325] = 0x000102baf02155d5UL;
   tf->codes[9326] = 0x000102bb2ab05b9aUL;
   tf->codes[9327] = 0x000102bb653f615fUL;
   tf->codes[9328] = 0x000102c2b72019ffUL;
   tf->codes[9329] = 0x000102c2f1af1fc4UL;
   tf->codes[9330] = 0x000102c32c3e2589UL;
   tf->codes[9331] = 0x000102ca7e1ede29UL;
   tf->codes[9332] = 0x000102cb685af53dUL;
   tf->codes[9333] = 0x000102d070a5742bUL;
   tf->codes[9334] = 0x000102d0ab3479f0UL;
   tf->codes[9335] = 0x000102d0e5c37fb5UL;
   tf->codes[9336] = 0x000102d195709104UL;
   tf->codes[9337] = 0x000102d1cfff96c9UL;
   tf->codes[9338] = 0x000102d2451da253UL;
   tf->codes[9339] = 0x000102d27faca818UL;
   tf->codes[9340] = 0x000102d32f59b967UL;
   tf->codes[9341] = 0x000102d48eb3dc05UL;
   tf->codes[9342] = 0x000102d5ee0dfea3UL;
   tf->codes[9343] = 0x000102d6289d0468UL;
   tf->codes[9344] = 0x000102d74d682141UL;
   tf->codes[9345] = 0x000102d872333e1aUL;
   tf->codes[9346] = 0x000102d996fe5af3UL;
   tf->codes[9347] = 0x000102dbe09494a5UL;
   tf->codes[9348] = 0x000102dc9041a5f4UL;
   tf->codes[9349] = 0x000102de64b9d41cUL;
   tf->codes[9350] = 0x000102df1466e56bUL;
   tf->codes[9351] = 0x000102dfc413f6baUL;
   tf->codes[9352] = 0x000102e039320244UL;
   tf->codes[9353] = 0x000102e248393631UL;
   tf->codes[9354] = 0x000102e2bd5741bbUL;
   tf->codes[9355] = 0x000102e36d04530aUL;
   tf->codes[9356] = 0x000102e62bb89846UL;
   tf->codes[9357] = 0x000102e78b12bae4UL;
   tf->codes[9358] = 0x000102f0ebfaa771UL;
   tf->codes[9359] = 0x000102f19ba7b8c0UL;
   tf->codes[9360] = 0x000102f24b54ca0fUL;
   tf->codes[9361] = 0x000102f33590e123UL;
   tf->codes[9362] = 0x000102f3701fe6e8UL;
   tf->codes[9363] = 0x000102f5b9b6209aUL;
   tf->codes[9364] = 0x000102f7c8bd5487UL;
   tf->codes[9365] = 0x000102f99d3582afUL;
   tf->codes[9366] = 0x000102fafc8fa54dUL;
   tf->codes[9367] = 0x000102fb371eab12UL;
   tf->codes[9368] = 0x000102fb71adb0d7UL;
   tf->codes[9369] = 0x000102fc5be9c7ebUL;
   tf->codes[9370] = 0x000102fd0b96d93aUL;
   tf->codes[9371] = 0x000102fdbb43ea89UL;
   tf->codes[9372] = 0x00010301d9525263UL;
   tf->codes[9373] = 0x000103024e705dedUL;
   tf->codes[9374] = 0x00010303733b7ac6UL;
   tf->codes[9375] = 0x0001030baf584a7aUL;
   tf->codes[9376] = 0x0001031007f5b819UL;
   tf->codes[9377] = 0x000103128c1af790UL;
   tf->codes[9378] = 0x000103149b222b7dUL;
   tf->codes[9379] = 0x00010315855e4291UL;
   tf->codes[9380] = 0x00010316350b53e0UL;
   tf->codes[9381] = 0x000103171f476af4UL;
   tf->codes[9382] = 0x00010318b9309357UL;
   tf->codes[9383] = 0x00010319a36caa6bUL;
   tf->codes[9384] = 0x0001031b3d55d2ceUL;
   tf->codes[9385] = 0x0001031b77e4d893UL;
   tf->codes[9386] = 0x0001031f95f3406dUL;
   tf->codes[9387] = 0x00010320802f5781UL;
   tf->codes[9388] = 0x00010320f54d630bUL;
   tf->codes[9389] = 0x000103237972a282UL;
   tf->codes[9390] = 0x00010325fd97e1f9UL;
   tf->codes[9391] = 0x00010327d2101021UL;
   tf->codes[9392] = 0x000103321d3413c2UL;
   tf->codes[9393] = 0x0001033257c31987UL;
   tf->codes[9394] = 0x0001033307702ad6UL;
   tf->codes[9395] = 0x000103358b956a4dUL;
   tf->codes[9396] = 0x0001033b438cfa8aUL;
   tf->codes[9397] = 0x0001033b7e1c004fUL;
   tf->codes[9398] = 0x0001033eec7d56daUL;
   tf->codes[9399] = 0x0001033f9c2a6829UL;
   tf->codes[9400] = 0x000103413613908cUL;
   tf->codes[9401] = 0x00010346ee0b20c9UL;
   tf->codes[9402] = 0x00010348fd1254b6UL;
   tf->codes[9403] = 0x0001034a5c6c7754UL;
   tf->codes[9404] = 0x0001034ad18a82deUL;
   tf->codes[9405] = 0x0001034b0c1988a3UL;
   tf->codes[9406] = 0x0001034bbbc699f2UL;
   tf->codes[9407] = 0x0001034e3febd969UL;
   tf->codes[9408] = 0x0001035348365857UL;
   tf->codes[9409] = 0x000103546d017530UL;
   tf->codes[9410] = 0x0001035a9a1710f7UL;
   tf->codes[9411] = 0x0001035c6e8f3f1fUL;
   tf->codes[9412] = 0x000103608c9da6f9UL;
   tf->codes[9413] = 0x000103613c4ab848UL;
   tf->codes[9414] = 0x0001036176d9be0dUL;
   tf->codes[9415] = 0x000103626115d521UL;
   tf->codes[9416] = 0x000103629ba4dae6UL;
   tf->codes[9417] = 0x00010362d633e0abUL;
   tf->codes[9418] = 0x00010364358e0349UL;
   tf->codes[9419] = 0x00010364e53b1498UL;
   tf->codes[9420] = 0x000103660a063171UL;
   tf->codes[9421] = 0x0001036644953736UL;
   tf->codes[9422] = 0x000103676960540fUL;
   tf->codes[9423] = 0x0001036c371bcd38UL;
   tf->codes[9424] = 0x00010370552a3512UL;
   tf->codes[9425] = 0x000103734e6d8013UL;
   tf->codes[9426] = 0x000103755d74b400UL;
   tf->codes[9427] = 0x0001037647b0cb14UL;
   tf->codes[9428] = 0x000103797b831bdaUL;
   tf->codes[9429] = 0x0001037aa04e38b3UL;
   tf->codes[9430] = 0x0001038107f2da3fUL;
   tf->codes[9431] = 0x00010383518913f1UL;
   tf->codes[9432] = 0x00010386103d592dUL;
   tf->codes[9433] = 0x00010386fa797041UL;
   tf->codes[9434] = 0x000103876f977bcbUL;
   tf->codes[9435] = 0x00010387e4b58755UL;
   tf->codes[9436] = 0x00010389f3bcbb42UL;
   tf->codes[9437] = 0x0001038addf8d256UL;
   tf->codes[9438] = 0x0001038efc073a30UL;
   tf->codes[9439] = 0x00010392df869c45UL;
   tf->codes[9440] = 0x00010395291cd5f7UL;
   tf->codes[9441] = 0x00010398d20d3247UL;
   tf->codes[9442] = 0x0001039981ba4396UL;
   tf->codes[9443] = 0x00010399bc49495bUL;
   tf->codes[9444] = 0x0001039aa685606fUL;
   tf->codes[9445] = 0x0001039d6539a5abUL;
   tf->codes[9446] = 0x0001039e8a04c284UL;
   tf->codes[9447] = 0x000103a05e7cf0acUL;
   tf->codes[9448] = 0x000103a10e2a01fbUL;
   tf->codes[9449] = 0x000103a6c6219238UL;
   tf->codes[9450] = 0x000103a73b3f9dc2UL;
   tf->codes[9451] = 0x000103a7b05da94cUL;
   tf->codes[9452] = 0x000103a8d528c625UL;
   tf->codes[9453] = 0x000103a9f9f3e2feUL;
   tf->codes[9454] = 0x000103b3956ad550UL;
   tf->codes[9455] = 0x000103b6c93d2616UL;
   tf->codes[9456] = 0x000103b8289748b4UL;
   tf->codes[9457] = 0x000103b89db5543eUL;
   tf->codes[9458] = 0x000103b94d62658dUL;
   tf->codes[9459] = 0x000103b9fd0f76dcUL;
   tf->codes[9460] = 0x000103baacbc882bUL;
   tf->codes[9461] = 0x000103bc46a5b08eUL;
   tf->codes[9462] = 0x000103be903bea40UL;
   tf->codes[9463] = 0x000103c02a2512a3UL;
   tf->codes[9464] = 0x000103c1897f3541UL;
   tf->codes[9465] = 0x000103c35df76369UL;
   tf->codes[9466] = 0x000103c5e21ca2e0UL;
   tf->codes[9467] = 0x000103c915eef3a6UL;
   tf->codes[9468] = 0x000103caea6721ceUL;
   tf->codes[9469] = 0x000103cda91b670aUL;
   tf->codes[9470] = 0x000103d0a25eb20bUL;
   tf->codes[9471] = 0x000103db62a0c136UL;
   tf->codes[9472] = 0x000103ddac36fae8UL;
   tf->codes[9473] = 0x000103e155275738UL;
   tf->codes[9474] = 0x000103e279f27411UL;
   tf->codes[9475] = 0x000103e65d71d626UL;
   tf->codes[9476] = 0x000103eab60f43c5UL;
   tf->codes[9477] = 0x000103f0a895d9c7UL;
   tf->codes[9478] = 0x000103f11db3e551UL;
   tf->codes[9479] = 0x000103f2f22c1379UL;
   tf->codes[9480] = 0x000103f83505982cUL;
   tf->codes[9481] = 0x000103f8aa23a3b6UL;
   tf->codes[9482] = 0x000103fba366eeb7UL;
   tf->codes[9483] = 0x000103fe621b33f3UL;
   tf->codes[9484] = 0x000103ff4c574b07UL;
   tf->codes[9485] = 0x00010402459a9608UL;
   tf->codes[9486] = 0x0001040454a1c9f5UL;
   tf->codes[9487] = 0x00010405ee8af258UL;
   tf->codes[9488] = 0x000104069e3803a7UL;
   tf->codes[9489] = 0x0001040ba6828295UL;
   tf->codes[9490] = 0x00010410743dfbbeUL;
   tf->codes[9491] = 0x00010412f8633b35UL;
   tf->codes[9492] = 0x00010418b05acb72UL;
   tf->codes[9493] = 0x0001041b6f0f10aeUL;
   tf->codes[9494] = 0x0001041d7e16449bUL;
   tf->codes[9495] = 0x00010423709cda9dUL;
   tf->codes[9496] = 0x00010424cff6fd3bUL;
   tf->codes[9497] = 0x00010427c93a483cUL;
   tf->codes[9498] = 0x000104296323709fUL;
   tf->codes[9499] = 0x0001042a4d5f87b3UL;
   tf->codes[9500] = 0x0001042b722aa48cUL;
   tf->codes[9501] = 0x00010430b504293fUL;
   tf->codes[9502] = 0x000104312a2234c9UL;
   tf->codes[9503] = 0x00010432897c5767UL;
   tf->codes[9504] = 0x0001043423657fcaUL;
   tf->codes[9505] = 0x000104375737d090UL;
   tf->codes[9506] = 0x0001043ac599271bUL;
   tf->codes[9507] = 0x0001043b7546386aUL;
   tf->codes[9508] = 0x0001044301b5f6cfUL;
   tf->codes[9509] = 0x000104433c44fc94UL;
   tf->codes[9510] = 0x00010446e53558e4UL;
   tf->codes[9511] = 0x00010447cf716ff8UL;
   tf->codes[9512] = 0x00010449a3e99e20UL;
   tf->codes[9513] = 0x0001044a8e25b534UL;
   tf->codes[9514] = 0x0001044b7861cc48UL;
   tf->codes[9515] = 0x00010450461d4571UL;
   tf->codes[9516] = 0x0001045080ac4b36UL;
   tf->codes[9517] = 0x00010453b47e9bfcUL;
   tf->codes[9518] = 0x00010453ef0da1c1UL;
   tf->codes[9519] = 0x00010454d949b8d5UL;
   tf->codes[9520] = 0x0001045638a3db73UL;
   tf->codes[9521] = 0x000104567332e138UL;
   tf->codes[9522] = 0x000104575d6ef84cUL;
   tf->codes[9523] = 0x00010458823a1525UL;
   tf->codes[9524] = 0x00010459e19437c3UL;
   tf->codes[9525] = 0x0001045b065f549cUL;
   tf->codes[9526] = 0x0001045f998bc800UL;
   tf->codes[9527] = 0x0001046725fb8665UL;
   tf->codes[9528] = 0x0001047011c56768UL;
   tf->codes[9529] = 0x00010471e63d9590UL;
   tf->codes[9530] = 0x000104738026bdf3UL;
   tf->codes[9531] = 0x00010475c9bcf7a5UL;
   tf->codes[9532] = 0x00010478fd8f486bUL;
   tf->codes[9533] = 0x0001047c31619931UL;
   tf->codes[9534] = 0x0001047ce10eaa80UL;
   tf->codes[9535] = 0x00010488166ec535UL;
   tf->codes[9536] = 0x00010488c61bd684UL;
   tf->codes[9537] = 0x0001048bf9ee274aUL;
   tf->codes[9538] = 0x0001048dce665572UL;
   tf->codes[9539] = 0x000104917756b1c2UL;
   tf->codes[9540] = 0x000104926192c8d6UL;
   tf->codes[9541] = 0x00010492d6b0d460UL;
   tf->codes[9542] = 0x00010495cff41f61UL;
   tf->codes[9543] = 0x000104967fa130b0UL;
   tf->codes[9544] = 0x00010496ba303675UL;
   tf->codes[9545] = 0x00010496f4bf3c3aUL;
   tf->codes[9546] = 0x000104972f4e41ffUL;
   tf->codes[9547] = 0x00010498c9376a62UL;
   tf->codes[9548] = 0x0001049a632092c5UL;
   tf->codes[9549] = 0x0001049c3798c0edUL;
   tf->codes[9550] = 0x0001049ce745d23cUL;
   tf->codes[9551] = 0x000104a055a728c7UL;
   tf->codes[9552] = 0x000104a38979798dUL;
   tf->codes[9553] = 0x000104a55df1a7b5UL;
   tf->codes[9554] = 0x000104a7e216e72cUL;
   tf->codes[9555] = 0x000104a85734f2b6UL;
   tf->codes[9556] = 0x000104aa663c26a3UL;
   tf->codes[9557] = 0x000104af33f79fccUL;
   tf->codes[9558] = 0x000104afe3a4b11bUL;
   tf->codes[9559] = 0x000104b3177701e1UL;
   tf->codes[9560] = 0x000104b3520607a6UL;
   tf->codes[9561] = 0x000104b401b318f5UL;
   tf->codes[9562] = 0x000104b4b1602a44UL;
   tf->codes[9563] = 0x000104b5610d3b93UL;
   tf->codes[9564] = 0x000104b685d8586cUL;
   tf->codes[9565] = 0x000104b97f1ba36dUL;
   tf->codes[9566] = 0x000104ba6957ba81UL;
   tf->codes[9567] = 0x000104c0214f4abeUL;
   tf->codes[9568] = 0x000104c10b8b61d2UL;
   tf->codes[9569] = 0x000104c1bb387321UL;
   tf->codes[9570] = 0x000104c355219b84UL;
   tf->codes[9571] = 0x000104c77330035eUL;
   tf->codes[9572] = 0x000104c897fb2037UL;
   tf->codes[9573] = 0x000104cb913e6b38UL;
   tf->codes[9574] = 0x000104d26e01184eUL;
   tf->codes[9575] = 0x000104d3cd5b3aecUL;
   tf->codes[9576] = 0x000104d4b7975200UL;
   tf->codes[9577] = 0x000104d616f1749eUL;
   tf->codes[9578] = 0x000104d651807a63UL;
   tf->codes[9579] = 0x000104daaa1de802UL;
   tf->codes[9580] = 0x000104db1f3bf38cUL;
   tf->codes[9581] = 0x000104dcf3b421b4UL;
   tf->codes[9582] = 0x000104dda3613303UL;
   tf->codes[9583] = 0x000104df3d4a5b66UL;
   tf->codes[9584] = 0x000104e0d73383c9UL;
   tf->codes[9585] = 0x000104e111c2898eUL;
   tf->codes[9586] = 0x000104e14c518f53UL;
   tf->codes[9587] = 0x000104e5df7e02b7UL;
   tf->codes[9588] = 0x000104efb583faceUL;
   tf->codes[9589] = 0x000104f2e9564b94UL;
   tf->codes[9590] = 0x000104f35e74571eUL;
   tf->codes[9591] = 0x000104f5a80a90d0UL;
   tf->codes[9592] = 0x000104f657b7a21fUL;
   tf->codes[9593] = 0x000104f98b89f2e5UL;
   tf->codes[9594] = 0x000104fa3b370434UL;
   tf->codes[9595] = 0x000104fc4a3e3821UL;
   tf->codes[9596] = 0x000105077f9e52d6UL;
   tf->codes[9597] = 0x0001050869da69eaUL;
   tf->codes[9598] = 0x0001050919877b39UL;
   tf->codes[9599] = 0x00010509541680feUL;
   tf->codes[9600] = 0x000105132a1c7915UL;
   tf->codes[9601] = 0x0001051489769bb3UL;
   tf->codes[9602] = 0x0001051573b2b2c7UL;
   tf->codes[9603] = 0x00010518a785038dUL;
   tf->codes[9604] = 0x0001051b2baa4304UL;
   tf->codes[9605] = 0x0001051ed49a9f54UL;
   tf->codes[9606] = 0x0001051f0f29a519UL;
   tf->codes[9607] = 0x0001051f49b8aadeUL;
   tf->codes[9608] = 0x0001052033f4c1f2UL;
   tf->codes[9609] = 0x000105227d8afba4UL;
   tf->codes[9610] = 0x00010522b81a0169UL;
   tf->codes[9611] = 0x0001052367c712b8UL;
   tf->codes[9612] = 0x00010525ebec522fUL;
   tf->codes[9613] = 0x00010526d6286943UL;
   tf->codes[9614] = 0x000105315bdb72a9UL;
   tf->codes[9615] = 0x000105341a8fb7e5UL;
   tf->codes[9616] = 0x00010535ef07e60dUL;
   tf->codes[9617] = 0x000105366425f197UL;
   tf->codes[9618] = 0x00010538adbc2b49UL;
   tf->codes[9619] = 0x0001053a82345971UL;
   tf->codes[9620] = 0x0001053b6c707085UL;
   tf->codes[9621] = 0x0001053c56ac8799UL;
   tf->codes[9622] = 0x0001053ccbca9323UL;
   tf->codes[9623] = 0x00010540e9d8fafdUL;
   tf->codes[9624] = 0x000105420ea417d6UL;
   tf->codes[9625] = 0x000105436dfe3a74UL;
   tf->codes[9626] = 0x00010545f22379ebUL;
   tf->codes[9627] = 0x00010547517d9c89UL;
   tf->codes[9628] = 0x0001054abfdef314UL;
   tf->codes[9629] = 0x0001054afa6df8d9UL;
   tf->codes[9630] = 0x0001055211bfabb4UL;
   tf->codes[9631] = 0x000105562fce138eUL;
   tf->codes[9632] = 0x000105578f28362cUL;
   tf->codes[9633] = 0x0001055963a06454UL;
   tf->codes[9634] = 0x0001055f90b6001bUL;
   tf->codes[9635] = 0x000105624f6a4557UL;
   tf->codes[9636] = 0x0001056339a65c6bUL;
   tf->codes[9637] = 0x0001056374356230UL;
   tf->codes[9638] = 0x00010565833c961dUL;
   tf->codes[9639] = 0x00010565f85aa1a7UL;
   tf->codes[9640] = 0x00010569a14afdf7UL;
   tf->codes[9641] = 0x000105725285d935UL;
   tf->codes[9642] = 0x000105728d14defaUL;
   tf->codes[9643] = 0x00010573b1dffbd3UL;
   tf->codes[9644] = 0x00010578f4b98086UL;
   tf->codes[9645] = 0x0001057a19849d5fUL;
   tf->codes[9646] = 0x0001057bedfccb87UL;
   tf->codes[9647] = 0x0001057dc274f9afUL;
   tf->codes[9648] = 0x0001057f21cf1c4dUL;
   tf->codes[9649] = 0x000105816b6555ffUL;
   tf->codes[9650] = 0x00010581e0836189UL;
   tf->codes[9651] = 0x00010582903072d8UL;
   tf->codes[9652] = 0x00010582cabf789dUL;
   tf->codes[9653] = 0x00010583ef8a9576UL;
   tf->codes[9654] = 0x00010585c402c39eUL;
   tf->codes[9655] = 0x000105896cf31feeUL;
   tf->codes[9656] = 0x00010589a78225b3UL;
   tf->codes[9657] = 0x000105937d881dcaUL;
   tf->codes[9658] = 0x000105958c8f51b7UL;
   tf->codes[9659] = 0x0001059cde700a57UL;
   tf->codes[9660] = 0x000105a1ac2b8380UL;
   tf->codes[9661] = 0x000105a296679a94UL;
   tf->codes[9662] = 0x000105a4dffdd446UL;
   tf->codes[9663] = 0x000105a63f57f6e4UL;
   tf->codes[9664] = 0x000105a8c37d365bUL;
   tf->codes[9665] = 0x000105a8fe0c3c20UL;
   tf->codes[9666] = 0x000105b0c50b004aUL;
   tf->codes[9667] = 0x000105b4e3196824UL;
   tf->codes[9668] = 0x000105b51da86de9UL;
   tf->codes[9669] = 0x000105b5583773aeUL;
   tf->codes[9670] = 0x000105ba6081f29cUL;
   tf->codes[9671] = 0x000105bf2e3d6bc5UL;
   tf->codes[9672] = 0x000105c3fbf8e4eeUL;
   tf->codes[9673] = 0x000105c85496528dUL;
   tf->codes[9674] = 0x000105d1b57e3f1aUL;
   tf->codes[9675] = 0x000105d1f00d44dfUL;
   tf->codes[9676] = 0x000105d7a804d51cUL;
   tf->codes[9677] = 0x000105da2c2a1493UL;
   tf->codes[9678] = 0x000105e22db7de82UL;
   tf->codes[9679] = 0x000105e7e5af6ebfUL;
   tf->codes[9680] = 0x000105ea2f45a871UL;
   tf->codes[9681] = 0x000105ebc92ed0d4UL;
   tf->codes[9682] = 0x000105f26b627825UL;
   tf->codes[9683] = 0x000105f6fe8eeb89UL;
   tf->codes[9684] = 0x000105f7ae3bfcd8UL;
   tf->codes[9685] = 0x000105f94825253bUL;
   tf->codes[9686] = 0x000105fe15e09e64UL;
   tf->codes[9687] = 0x000105ff001cb578UL;
   tf->codes[9688] = 0x000105ff3aabbb3dUL;
   tf->codes[9689] = 0x000105ff753ac102UL;
   tf->codes[9690] = 0x0001060aaa9adbb7UL;
   tf->codes[9691] = 0x00010611875d88cdUL;
   tf->codes[9692] = 0x000106140b82c844UL;
   tf->codes[9693] = 0x00010615a56bf0a7UL;
   tf->codes[9694] = 0x000106161a89fc31UL;
   tf->codes[9695] = 0x00010616551901f6UL;
   tf->codes[9696] = 0x00010617b4732494UL;
   tf->codes[9697] = 0x0001061ae845755aUL;
   tf->codes[9698] = 0x0001061b97f286a9UL;
   tf->codes[9699] = 0x000106218a791cabUL;
   tf->codes[9700] = 0x00010625336978fbUL;
   tf->codes[9701] = 0x00010626cd52a15eUL;
   tf->codes[9702] = 0x00010627f21dbe37UL;
   tf->codes[9703] = 0x00010628673bc9c1UL;
   tf->codes[9704] = 0x000106295177e0d5UL;
   tf->codes[9705] = 0x0001062b9b0e1a87UL;
   tf->codes[9706] = 0x0001062d34f742eaUL;
   tf->codes[9707] = 0x00010631c823b64eUL;
   tf->codes[9708] = 0x000106323d41c1d8UL;
   tf->codes[9709] = 0x000106339c9be476UL;
   tf->codes[9710] = 0x000106344c48f5c5UL;
   tf->codes[9711] = 0x00010636d06e353cUL;
   tf->codes[9712] = 0x00010638df756929UL;
   tf->codes[9713] = 0x00010639c9b1803dUL;
   tf->codes[9714] = 0x0001063a795e918cUL;
   tf->codes[9715] = 0x0001063bd8b8b42aUL;
   tf->codes[9716] = 0x0001063d72a1dc8dUL;
   tf->codes[9717] = 0x00010644c482952dUL;
   tf->codes[9718] = 0x0001064539a0a0b7UL;
   tf->codes[9719] = 0x0001064d75bd706bUL;
   tf->codes[9720] = 0x00010652f325fae3UL;
   tf->codes[9721] = 0x00010655774b3a5aUL;
   tf->codes[9722] = 0x00010655b1da401fUL;
   tf->codes[9723] = 0x000106566187516eUL;
   tf->codes[9724] = 0x0001065cc92bf2faUL;
   tf->codes[9725] = 0x000106636b5f9a4bUL;
   tf->codes[9726] = 0x00010663a5eea010UL;
   tf->codes[9727] = 0x0001066a48224761UL;
   tf->codes[9728] = 0x00010670afc6e8edUL;
   tf->codes[9729] = 0x00010672f95d229fUL;
   tf->codes[9730] = 0x0001067333ec2864UL;
   tf->codes[9731] = 0x00010673e39939b3UL;
   tf->codes[9732] = 0x00010675b81167dbUL;
   tf->codes[9733] = 0x0001067801a7a18dUL;
   tf->codes[9734] = 0x0001067b3579f253UL;
   tf->codes[9735] = 0x0001067b7008f818UL;
   tf->codes[9736] = 0x0001067f53885a2dUL;
   tf->codes[9737] = 0x0001067f8e175ff2UL;
   tf->codes[9738] = 0x000106819d1e93dfUL;
   tf->codes[9739] = 0x000106842143d356UL;
   tf->codes[9740] = 0x0001068804c3356bUL;
   tf->codes[9741] = 0x0001068afe06806cUL;
   tf->codes[9742] = 0x0001068badb391bbUL;
   tf->codes[9743] = 0x0001069583b989d2UL;
   tf->codes[9744] = 0x000106975831b7faUL;
   tf->codes[9745] = 0x00010698f21ae05dUL;
   tf->codes[9746] = 0x00010699dc56f771UL;
   tf->codes[9747] = 0x0001069b76401fd4UL;
   tf->codes[9748] = 0x0001069dbfd65986UL;
   tf->codes[9749] = 0x000106a12e37b011UL;
   tf->codes[9750] = 0x000106a6aba03a89UL;
   tf->codes[9751] = 0x000106b9a7ff1968UL;
   tf->codes[9752] = 0x000106bb7c774790UL;
   tf->codes[9753] = 0x000106bbb7064d55UL;
   tf->codes[9754] = 0x000106bbf195531aUL;
   tf->codes[9755] = 0x000106be75ba9291UL;
   tf->codes[9756] = 0x000106c4dd5f341dUL;
   tf->codes[9757] = 0x000106c79c137959UL;
   tf->codes[9758] = 0x000106ca9556c45aUL;
   tf->codes[9759] = 0x000106cc2f3fecbdUL;
   tf->codes[9760] = 0x000106ccdeecfe0cUL;
   tf->codes[9761] = 0x000106d3bbafab22UL;
   tf->codes[9762] = 0x000106d3f63eb0e7UL;
   tf->codes[9763] = 0x000106d430cdb6acUL;
   tf->codes[9764] = 0x000106d6ef81fbe8UL;
   tf->codes[9765] = 0x000106d8c3fa2a10UL;
   tf->codes[9766] = 0x000106d9ae364124UL;
   tf->codes[9767] = 0x000106dbbd3d7511UL;
   tf->codes[9768] = 0x000106de4162b488UL;
   tf->codes[9769] = 0x000106de7bf1ba4dUL;
   tf->codes[9770] = 0x000106df662dd161UL;
   tf->codes[9771] = 0x000106dfdb4bdcebUL;
   tf->codes[9772] = 0x000106e3843c393bUL;
   tf->codes[9773] = 0x000106e8c715bdeeUL;
   tf->codes[9774] = 0x000106e9ebe0dac7UL;
   tf->codes[9775] = 0x000106ead61cf1dbUL;
   tf->codes[9776] = 0x000106eb85ca032aUL;
   tf->codes[9777] = 0x000106f17850992cUL;
   tf->codes[9778] = 0x000106f31239c18fUL;
   tf->codes[9779] = 0x000106f6460c1255UL;
   tf->codes[9780] = 0x000107034fe45b32UL;
   tf->codes[9781] = 0x0001070a2ca70848UL;
   tf->codes[9782] = 0x0001070f34f18736UL;
   tf->codes[9783] = 0x0001071059bca40fUL;
   tf->codes[9784] = 0x00010717e62c6274UL;
   tf->codes[9785] = 0x0001071e886009c5UL;
   tf->codes[9786] = 0x0001071efd7e154fUL;
   tf->codes[9787] = 0x00010721bc325a8bUL;
   tf->codes[9788] = 0x00010724f004ab51UL;
   tf->codes[9789] = 0x000107285e6601dcUL;
   tf->codes[9790] = 0x0001072a32de3004UL;
   tf->codes[9791] = 0x00010730d511d755UL;
   tf->codes[9792] = 0x000107370227731cUL;
   tf->codes[9793] = 0x000107373cb678e1UL;
   tf->codes[9794] = 0x00010739864cb293UL;
   tf->codes[9795] = 0x0001073ae5a6d531UL;
   tf->codes[9796] = 0x0001073e8e973181UL;
   tf->codes[9797] = 0x000107414d4b76bdUL;
   tf->codes[9798] = 0x00010741c2698247UL;
   tf->codes[9799] = 0x00010743d170b634UL;
   tf->codes[9800] = 0x000107456b59de97UL;
   tf->codes[9801] = 0x00010746cab40135UL;
   tf->codes[9802] = 0x00010748d9bb3522UL;
   tf->codes[9803] = 0x000107561e2283c4UL;
   tf->codes[9804] = 0x0001075867b8bd76UL;
   tf->codes[9805] = 0x000107598c83da4fUL;
   tf->codes[9806] = 0x0001075daa924229UL;
   tf->codes[9807] = 0x0001075e1fb04db3UL;
   tf->codes[9808] = 0x0001075e5a3f5378UL;
   tf->codes[9809] = 0x000107602eb781a0UL;
   tf->codes[9810] = 0x0001076153829e79UL;
   tf->codes[9811] = 0x00010762032fafc8UL;
   tf->codes[9812] = 0x00010766d0eb28f1UL;
   tf->codes[9813] = 0x000107674609347bUL;
   tf->codes[9814] = 0x0001076955106868UL;
   tf->codes[9815] = 0x0001076ab46a8b06UL;
   tf->codes[9816] = 0x0001076b9ea6a21aUL;
   tf->codes[9817] = 0x00010771912d381cUL;
   tf->codes[9818] = 0x0001077574ac9a31UL;
   tf->codes[9819] = 0x000107762459ab80UL;
   tf->codes[9820] = 0x0001077af21524a9UL;
   tf->codes[9821] = 0x0001077ba1c235f8UL;
   tf->codes[9822] = 0x00010788367c734bUL;
   tf->codes[9823] = 0x0001078920b88a5fUL;
   tf->codes[9824] = 0x00010794cb36b09eUL;
   tf->codes[9825] = 0x0001079505c5b663UL;
   tf->codes[9826] = 0x00010797c479fb9fUL;
   tf->codes[9827] = 0x0001079839980729UL;
   tf->codes[9828] = 0x0001079a832e40dbUL;
   tf->codes[9829] = 0x000107a1d50ef97bUL;
   tf->codes[9830] = 0x000107a4593438f2UL;
   tf->codes[9831] = 0x000107a78d0689b8UL;
   tf->codes[9832] = 0x000107a8ec60ac56UL;
   tf->codes[9833] = 0x000107aa4bbacef4UL;
   tf->codes[9834] = 0x000107b1630c81cfUL;
   tf->codes[9835] = 0x000107b287d79ea8UL;
   tf->codes[9836] = 0x000107b3e731c146UL;
   tf->codes[9837] = 0x000107b4d16dd85aUL;
   tf->codes[9838] = 0x000107b5468be3e4UL;
   tf->codes[9839] = 0x000107b790221d96UL;
   tf->codes[9840] = 0x000107b8b4ed3a6fUL;
   tf->codes[9841] = 0x000107b99f295183UL;
   tf->codes[9842] = 0x000107bb73a17fabUL;
   tf->codes[9843] = 0x000107bc986c9c84UL;
   tf->codes[9844] = 0x000107bea773d071UL;
   tf->codes[9845] = 0x000107bee202d636UL;
   tf->codes[9846] = 0x000107bf91afe785UL;
   tf->codes[9847] = 0x000107c1a0b71b72UL;
   tf->codes[9848] = 0x000107c28af33286UL;
   tf->codes[9849] = 0x000107c92d26d9d7UL;
   tf->codes[9850] = 0x000107d12eb4a3c6UL;
   tf->codes[9851] = 0x000107d80b7750dcUL;
   tf->codes[9852] = 0x000107d8f5b367f0UL;
   tf->codes[9853] = 0x000107d96ad1737aUL;
   tf->codes[9854] = 0x000107df5d58097cUL;
   tf->codes[9855] = 0x000107e047942090UL;
   tf->codes[9856] = 0x000107e2912a5a42UL;
   tf->codes[9857] = 0x000107e37b667156UL;
   tf->codes[9858] = 0x000107e465a2886aUL;
   tf->codes[9859] = 0x000107f552fa335cUL;
   tf->codes[9860] = 0x000107f7d71f72d3UL;
   tf->codes[9861] = 0x000107f8c15b89e7UL;
   tf->codes[9862] = 0x000107f9ab97a0fbUL;
   tf->codes[9863] = 0x0001080d923296eeUL;
   tf->codes[9864] = 0x0001081175b1f903UL;
   tf->codes[9865] = 0x0001081559315b18UL;
   tf->codes[9866] = 0x000108185274a619UL;
   tf->codes[9867] = 0x0001081a9c0adfcbUL;
   tf->codes[9868] = 0x00010821b35c92a6UL;
   tf->codes[9869] = 0x000108226309a3f5UL;
   tf->codes[9870] = 0x000108234d45bb09UL;
   tf->codes[9871] = 0x00010823c263c693UL;
   tf->codes[9872] = 0x0001082681180bcfUL;
   tf->codes[9873] = 0x0001083106cb1535UL;
   tf->codes[9874] = 0x000108355f6882d4UL;
   tf->codes[9875] = 0x00010838933ad39aUL;
   tf->codes[9876] = 0x00010838cdc9d95fUL;
   tf->codes[9877] = 0x000108390858df24UL;
   tf->codes[9878] = 0x0001083a67b301c2UL;
   tf->codes[9879] = 0x0001083e4b3263d7UL;
   tf->codes[9880] = 0x0001083faa8c8675UL;
   tf->codes[9881] = 0x000108401faa91ffUL;
   tf->codes[9882] = 0x00010845d7a2223cUL;
   tf->codes[9883] = 0x00010846c1de3950UL;
   tf->codes[9884] = 0x00010852e17a6b19UL;
   tf->codes[9885] = 0x0001085391277c68UL;
   tf->codes[9886] = 0x000108552b10a4cbUL;
   tf->codes[9887] = 0x00010856154cbbdfUL;
   tf->codes[9888] = 0x0001085ddc4b8009UL;
   tf->codes[9889] = 0x000108614aacd694UL;
   tf->codes[9890] = 0x000108626f77f36dUL;
   tf->codes[9891] = 0x00010862aa06f932UL;
   tf->codes[9892] = 0x0001086bd05fdffaUL;
   tf->codes[9893] = 0x00010873d1eda9e9UL;
   tf->codes[9894] = 0x0001087de282a7c5UL;
   tf->codes[9895] = 0x0001088275af1b29UL;
   tf->codes[9896] = 0x000108882da6ab66UL;
   tf->codes[9897] = 0x00010893d824d1a5UL;
   tf->codes[9898] = 0x000108970bf7226bUL;
   tf->codes[9899] = 0x000108991afe5658UL;
   tf->codes[9900] = 0x000108a27be642e5UL;
   tf->codes[9901] = 0x000108a4505e710dUL;
   tf->codes[9902] = 0x000108a65f65a4faUL;
   tf->codes[9903] = 0x000108a78430c1d3UL;
   tf->codes[9904] = 0x000108a91e19ea36UL;
   tf->codes[9905] = 0x000108a99337f5c0UL;
   tf->codes[9906] = 0x000108adb1465d9aUL;
   tf->codes[9907] = 0x000108b27f01d6c3UL;
   tf->codes[9908] = 0x000108b53db61bffUL;
   tf->codes[9909] = 0x000108bd3f43e5eeUL;
   tf->codes[9910] = 0x000108bf13bc1416UL;
   tf->codes[9911] = 0x000108c0ada53c79UL;
   tf->codes[9912] = 0x000108c0e834423eUL;
   tf->codes[9913] = 0x000108c331ca7bf0UL;
   tf->codes[9914] = 0x000108c7ff85f519UL;
   tf->codes[9915] = 0x000108cabe3a3a55UL;
   tf->codes[9916] = 0x000108cb6de74ba4UL;
   tf->codes[9917] = 0x000108d2101af2f5UL;
   tf->codes[9918] = 0x000108d49440326cUL;
   tf->codes[9919] = 0x000108d5095e3df6UL;
   tf->codes[9920] = 0x000108d543ed43bbUL;
   tf->codes[9921] = 0x000108d5f39a550aUL;
   tf->codes[9922] = 0x000108d8b24e9a46UL;
   tf->codes[9923] = 0x000108da4c37c2a9UL;
   tf->codes[9924] = 0x000108dbab91e547UL;
   tf->codes[9925] = 0x000108dc20aff0d1UL;
   tf->codes[9926] = 0x000108dc5b3ef696UL;
   tf->codes[9927] = 0x000108e2fd729de7UL;
   tf->codes[9928] = 0x000108e33801a3acUL;
   tf->codes[9929] = 0x000108e5f6b5e8e8UL;
   tf->codes[9930] = 0x000108e7909f114bUL;
   tf->codes[9931] = 0x000108f28b70263bUL;
   tf->codes[9932] = 0x000108f375ac3d4fUL;
   tf->codes[9933] = 0x000108f3b03b4314UL;
   tf->codes[9934] = 0x000108f6e40d93daUL;
   tf->codes[9935] = 0x000108fe707d523fUL;
   tf->codes[9936] = 0x0001090044f58067UL;
   tf->codes[9937] = 0x000109012f31977bUL;
   tf->codes[9938] = 0x0001090253fcb454UL;
   tf->codes[9939] = 0x000109033e38cb68UL;
   tf->codes[9940] = 0x00010903ede5dcb7UL;
   tf->codes[9941] = 0x00010904d821f3cbUL;
   tf->codes[9942] = 0x00010906720b1c2eUL;
   tf->codes[9943] = 0x00010906e72927b8UL;
   tf->codes[9944] = 0x0001090846834a56UL;
   tf->codes[9945] = 0x00010909e06c72b9UL;
   tf->codes[9946] = 0x00010911a76b36e3UL;
   tf->codes[9947] = 0x00010912cc3653bcUL;
   tf->codes[9948] = 0x000109163a97aa47UL;
   tf->codes[9949] = 0x00010916afb5b5d1UL;
   tf->codes[9950] = 0x00010916ea44bb96UL;
   tf->codes[9951] = 0x0001091d175a575dUL;
   tf->codes[9952] = 0x000109204b2ca823UL;
   tf->codes[9953] = 0x00010924a3ca15c2UL;
   tf->codes[9954] = 0x00010925c895329bUL;
   tf->codes[9955] = 0x00010933f7389851UL;
   tf->codes[9956] = 0x000109351c03b52aUL;
   tf->codes[9957] = 0x000109359121c0b4UL;
   tf->codes[9958] = 0x000109367b5dd7c8UL;
   tf->codes[9959] = 0x00010936b5ecdd8dUL;
   tf->codes[9960] = 0x00010938ff83173fUL;
   tf->codes[9961] = 0x0001093b491950f1UL;
   tf->codes[9962] = 0x0001093bbe375c7bUL;
   tf->codes[9963] = 0x00010941eb4cf842UL;
   tf->codes[9964] = 0x00010942606b03ccUL;
   tf->codes[9965] = 0x00010946f3977730UL;
   tf->codes[9966] = 0x00010948c80fa558UL;
   tf->codes[9967] = 0x0001094ad716d945UL;
   tf->codes[9968] = 0x0001094bfbe1f61eUL;
   tf->codes[9969] = 0x00010951794a8096UL;
   tf->codes[9970] = 0x000109529e159d6fUL;
   tf->codes[9971] = 0x00010958cb2b3936UL;
   tf->codes[9972] = 0x0001095905ba3efbUL;
   tf->codes[9973] = 0x00010959eff6560fUL;
   tf->codes[9974] = 0x0001095b89df7e72UL;
   tf->codes[9975] = 0x00010967e40ab600UL;
   tf->codes[9976] = 0x00010973c917e204UL;
   tf->codes[9977] = 0x0001097403a6e7c9UL;
   tf->codes[9978] = 0x00010974b353f918UL;
   tf->codes[9979] = 0x00010974ede2feddUL;
   tf->codes[9980] = 0x00010977ac974419UL;
   tf->codes[9981] = 0x00010977e72649deUL;
   tf->codes[9982] = 0x000109805dd21f57UL;
   tf->codes[9983] = 0x00010981480e366bUL;
   tf->codes[9984] = 0x00010981bd2c41f5UL;
   tf->codes[9985] = 0x00010982a7685909UL;
   tf->codes[9986] = 0x000109831c866493UL;
   tf->codes[9987] = 0x00010985a0aba40aUL;
   tf->codes[9988] = 0x0001098aa8f622f8UL;
   tf->codes[9989] = 0x0001098febcfa7abUL;
   tf->codes[9990] = 0x000109923565e15dUL;
   tf->codes[9991] = 0x00010994f41a2699UL;
   tf->codes[9992] = 0x00010997ed5d719aUL;
   tf->codes[9993] = 0x0001099b212fc260UL;
   tf->codes[9994] = 0x000109a0d927529dUL;
   tf->codes[9995] = 0x000109a14e455e27UL;
   tf->codes[9996] = 0x000109a273107b00UL;
   tf->codes[9997] = 0x000109a322bd8c4fUL;
   tf->codes[9998] = 0x000109a6911ee2daUL;
   tf->codes[9999] = 0x000109b06724daf1UL;
   tf->codes[10000] = 0x000109b23b9d0919UL;
   tf->codes[10001] = 0x000109b410153741UL;
   tf->codes[10002] = 0x000109ba3d2ad308UL;
   tf->codes[10003] = 0x000109bed057466cUL;
   tf->codes[10004] = 0x000109c204299732UL;
   tf->codes[10005] = 0x000109cab5647270UL;
   tf->codes[10006] = 0x000109cb2a827dfaUL;
   tf->codes[10007] = 0x000109d1ccb6254bUL;
   tf->codes[10008] = 0x000109d207452b10UL;
   tf->codes[10009] = 0x000109d32c1047e9UL;
   tf->codes[10010] = 0x000109d6255392eaUL;
   tf->codes[10011] = 0x000109d7bf3cbb4dUL;
   tf->codes[10012] = 0x000109d993b4e975UL;
   tf->codes[10013] = 0x000109dffb598b01UL;
   tf->codes[10014] = 0x000109e369bae18cUL;
   tf->codes[10015] = 0x000109e3a449e751UL;
   tf->codes[10016] = 0x000109f0390424a4UL;
   tf->codes[10017] = 0x000109f20d7c52ccUL;
   tf->codes[10018] = 0x000109f3a7657b2fUL;
   tf->codes[10019] = 0x000109f3e1f480f4UL;
   tf->codes[10020] = 0x000109f41c8386b9UL;
   tf->codes[10021] = 0x000109f62b8abaa6UL;
   tf->codes[10022] = 0x000109fa49992280UL;
   tf->codes[10023] = 0x000109fd084d67bcUL;
   tf->codes[10024] = 0x000109fdf2897ed0UL;
   tf->codes[10025] = 0x00010a00ebccc9d1UL;
   tf->codes[10026] = 0x00010a01d608e0e5UL;
   tf->codes[10027] = 0x00010a045a2e205cUL;
   tf->codes[10028] = 0x00010a06a3c45a0eUL;
   tf->codes[10029] = 0x00010a0927e99985UL;
   tf->codes[10030] = 0x00010a09d796aad4UL;
   tf->codes[10031] = 0x00010a0a4cb4b65eUL;
   tf->codes[10032] = 0x00010a1631c1e262UL;
   tf->codes[10033] = 0x00010a187b581c14UL;
   tf->codes[10034] = 0x00010a19dab23eb2UL;
   tf->codes[10035] = 0x00010a1be9b9729fUL;
   tf->codes[10036] = 0x00010a22c67c1fb5UL;
   tf->codes[10037] = 0x00010a2425d64253UL;
   tf->codes[10038] = 0x00010a27943798deUL;
   tf->codes[10039] = 0x00010a28b902b5b7UL;
   tf->codes[10040] = 0x00010a3637f90a1eUL;
   tf->codes[10041] = 0x00010a36e7a61b6dUL;
   tf->codes[10042] = 0x00010a3acb257d82UL;
   tf->codes[10043] = 0x00010a3b05b48347UL;
   tf->codes[10044] = 0x00010a3bb5619496UL;
   tf->codes[10045] = 0x00010a3cda2cb16fUL;
   tf->codes[10046] = 0x00010a3d89d9c2beUL;
   tf->codes[10047] = 0x00010a3e3986d40dUL;
   tf->codes[10048] = 0x00010a40488e07faUL;
   tf->codes[10049] = 0x00010a4675a3a3c1UL;
   tf->codes[10050] = 0x00010a46b032a986UL;
   tf->codes[10051] = 0x00010a49a975f487UL;
   tf->codes[10052] = 0x00010a504ba99bd8UL;
   tf->codes[10053] = 0x00010a51e592c43bUL;
   tf->codes[10054] = 0x00010a5dca9ff03fUL;
   tf->codes[10055] = 0x00010a61e8ae5819UL;
   tf->codes[10056] = 0x00010a630d7974f2UL;
   tf->codes[10057] = 0x00010a64a7629d55UL;
   tf->codes[10058] = 0x00010a69afad1c43UL;
   tf->codes[10059] = 0x00010a722658f1bcUL;
   tf->codes[10060] = 0x00010a73109508d0UL;
   tf->codes[10061] = 0x00010a755a2b4282UL;
   tf->codes[10062] = 0x00010a77de5081f9UL;
   tf->codes[10063] = 0x00010a79031b9ed2UL;
   tf->codes[10064] = 0x00010a7a6275c170UL;
   tf->codes[10065] = 0x00010a7fdfde4be8UL;
   tf->codes[10066] = 0x00010a808f8b5d37UL;
   tf->codes[10067] = 0x00010a822974859aUL;
   tf->codes[10068] = 0x00010a829e929124UL;
   tf->codes[10069] = 0x00010a82d92196e9UL;
   tf->codes[10070] = 0x00010a922c901978UL;
   tf->codes[10071] = 0x00010a92dc3d2ac7UL;
   tf->codes[10072] = 0x00010a94b0b558efUL;
   tf->codes[10073] = 0x00010a9fe61573a4UL;
   tf->codes[10074] = 0x00010aa319e7c46aUL;
   tf->codes[10075] = 0x00010aa772853209UL;
   tf->codes[10076] = 0x00010aadda29d395UL;
   tf->codes[10077] = 0x00010ab0d36d1e96UL;
   tf->codes[10078] = 0x00010ab3922163d2UL;
   tf->codes[10079] = 0x00010ab984a7f9d4UL;
   tf->codes[10080] = 0x00010ab9f9c6055eUL;
   tf->codes[10081] = 0x00010abe526372fdUL;
   tf->codes[10082] = 0x00010abfec4c9b60UL;
   tf->codes[10083] = 0x00010ac73e2d5400UL;
   tf->codes[10084] = 0x00010ac828696b14UL;
   tf->codes[10085] = 0x00010ac89d87769eUL;
   tf->codes[10086] = 0x00010ad2ae1c747aUL;
   tf->codes[10087] = 0x00010ad398588b8eUL;
   tf->codes[10088] = 0x00010ad61c7dcb05UL;
   tf->codes[10089] = 0x00010ad9c56e2755UL;
   tf->codes[10090] = 0x00010ada3a8c32dfUL;
   tf->codes[10091] = 0x00010adbd4755b42UL;
   tf->codes[10092] = 0x00010adcbeb17256UL;
   tf->codes[10093] = 0x00010ae1174edff5UL;
   tf->codes[10094] = 0x00010ae3265613e2UL;
   tf->codes[10095] = 0x00010ae39b741f6cUL;
   tf->codes[10096] = 0x00010ae4face420aUL;
   tf->codes[10097] = 0x00010ae82ea092d0UL;
   tf->codes[10098] = 0x00010af44e3cc499UL;
   tf->codes[10099] = 0x00010af4c35ad023UL;
   tf->codes[10100] = 0x00010af65d43f886UL;
   tf->codes[10101] = 0x00010af91bf83dc2UL;
   tf->codes[10102] = 0x00010afab5e16625UL;
   tf->codes[10103] = 0x00010b006dd8f662UL;
   tf->codes[10104] = 0x00010b03a1ab4728UL;
   tf->codes[10105] = 0x00010b06d57d97eeUL;
   tf->codes[10106] = 0x00010b0b68aa0b52UL;
   tf->codes[10107] = 0x00010b136a37d541UL;
   tf->codes[10108] = 0x00010b15793f092eUL;
   tf->codes[10109] = 0x00010b19222f657eUL;
   tf->codes[10110] = 0x00010b1b3136996bUL;
   tf->codes[10111] = 0x00010b1ba654a4f5UL;
   tf->codes[10112] = 0x00010b26a125b9e5UL;
   tf->codes[10113] = 0x00010b2abf3421bfUL;
   tf->codes[10114] = 0x00010b30b1bab7c1UL;
   tf->codes[10115] = 0x00010b32fb50f173UL;
   tf->codes[10116] = 0x00010b357f7630eaUL;
   tf->codes[10117] = 0x00010b362f234239UL;
   tf->codes[10118] = 0x00010b37c90c6a9cUL;
   tf->codes[10119] = 0x00010b383e2a7626UL;
   tf->codes[10120] = 0x00010b3878b97bebUL;
   tf->codes[10121] = 0x00010b3a12a2a44eUL;
   tf->codes[10122] = 0x00010b3b376dc127UL;
   tf->codes[10123] = 0x00010b4005293a50UL;
   tf->codes[10124] = 0x00010b4129f45729UL;
   tf->codes[10125] = 0x00010b450d73b93eUL;
   tf->codes[10126] = 0x00010b48b664158eUL;
   tf->codes[10127] = 0x00010b4a504d3df1UL;
   tf->codes[10128] = 0x00010b4d0f01832dUL;
   tf->codes[10129] = 0x00010b500844ce2eUL;
   tf->codes[10130] = 0x00010b507d62d9b8UL;
   tf->codes[10131] = 0x00010b512d0feb07UL;
   tf->codes[10132] = 0x00010b51679ef0ccUL;
   tf->codes[10133] = 0x00010b5251db07e0UL;
   tf->codes[10134] = 0x00010b549b714192UL;
   tf->codes[10135] = 0x00010b54d6004757UL;
   tf->codes[10136] = 0x00010b55c03c5e6bUL;
   tf->codes[10137] = 0x00010b56355a69f5UL;
   tf->codes[10138] = 0x00010b5a5368d1cfUL;
   tf->codes[10139] = 0x00010b6254f69bbeUL;
   tf->codes[10140] = 0x00010b64296ec9e6UL;
   tf->codes[10141] = 0x00010b64d91bdb35UL;
   tf->codes[10142] = 0x00010b69a6d7545eUL;
   tf->codes[10143] = 0x00010b6ee9b0d911UL;
   tf->codes[10144] = 0x00010b71334712c3UL;
   tf->codes[10145] = 0x00010b76b0af9d3bUL;
   tf->codes[10146] = 0x00010b788527cb63UL;
   tf->codes[10147] = 0x00010b82209ebdb5UL;
   tf->codes[10148] = 0x00010b858f001440UL;
   tf->codes[10149] = 0x00010b86793c2b54UL;
   tf->codes[10150] = 0x00010b86ee5a36deUL;
   tf->codes[10151] = 0x00010b91740d4044UL;
   tf->codes[10152] = 0x00010b925e495758UL;
   tf->codes[10153] = 0x00010b96b6e6c4f7UL;
   tf->codes[10154] = 0x00010b9ca96d5af9UL;
   tf->codes[10155] = 0x00010b9d93a9720dUL;
   tf->codes[10156] = 0x00010b9dce3877d2UL;
   tf->codes[10157] = 0x00010b9e4356835cUL;
   tf->codes[10158] = 0x00010ba3fb4e1399UL;
   tf->codes[10159] = 0x00010ba769af6a24UL;
   tf->codes[10160] = 0x00010baa9d81baeaUL;
   tf->codes[10161] = 0x00010bab87bdd1feUL;
   tf->codes[10162] = 0x00010bb0900850ecUL;
   tf->codes[10163] = 0x00010bb105265c76UL;
   tf->codes[10164] = 0x00010bb229f1794fUL;
   tf->codes[10165] = 0x00010bb3fe69a777UL;
   tf->codes[10166] = 0x00010bb7a75a03c7UL;
   tf->codes[10167] = 0x00010bb7e1e9098cUL;
   tf->codes[10168] = 0x00010bba660e4903UL;
   tf->codes[10169] = 0x00010bc2dcba1e7cUL;
   tf->codes[10170] = 0x00010bc59b6e63b8UL;
   tf->codes[10171] = 0x00010bc8cf40b47eUL;
   tf->codes[10172] = 0x00010bd0963f78a8UL;
   tf->codes[10173] = 0x00010bd23028a10bUL;
   tf->codes[10174] = 0x00010bd26ab7a6d0UL;
   tf->codes[10175] = 0x00010be18397239aUL;
   tf->codes[10176] = 0x00010be3580f51c2UL;
   tf->codes[10177] = 0x00010be700ffae12UL;
   tf->codes[10178] = 0x00010be7eb3bc526UL;
   tf->codes[10179] = 0x00010be94a95e7c4UL;
   tf->codes[10180] = 0x00010bf14c23b1b3UL;
   tf->codes[10181] = 0x00010bf2ab7dd451UL;
   tf->codes[10182] = 0x00010bf6c98c3c2bUL;
   tf->codes[10183] = 0x00010bf988408167UL;
   tf->codes[10184] = 0x00010bff403811a4UL;
   tf->codes[10185] = 0x00010c0323b773b9UL;
   tf->codes[10186] = 0x00010c04f82fa1e1UL;
   tf->codes[10187] = 0x00010c1117cbd3aaUL;
   tf->codes[10188] = 0x00010c11c778e4f9UL;
   tf->codes[10189] = 0x00010c1695345e22UL;
   tf->codes[10190] = 0x00010c177f707536UL;
   tf->codes[10191] = 0x00010c1a0395b4adUL;
   tf->codes[10192] = 0x00010c1ab342c5fcUL;
   tf->codes[10193] = 0x00010c223fb28461UL;
   tf->codes[10194] = 0x00010c24142ab289UL;
   tf->codes[10195] = 0x00010c2ed46cc1b4UL;
   tf->codes[10196] = 0x00010c32f27b298eUL;
   tf->codes[10197] = 0x00010c37c036a2b7UL;
   tf->codes[10198] = 0x00010c3b6926ff07UL;
   tf->codes[10199] = 0x00010c3d782e32f4UL;
   tf->codes[10200] = 0x00010c3db2bd38b9UL;
   tf->codes[10201] = 0x00010c3f873566e1UL;
   tf->codes[10202] = 0x00010c415bad9509UL;
   tf->codes[10203] = 0x00010c41d0cba093UL;
   tf->codes[10204] = 0x00010c453f2cf71eUL;
   tf->codes[10205] = 0x00010c50e9ab1d5dUL;
   tf->codes[10206] = 0x00010c52be234b85UL;
   tf->codes[10207] = 0x00010c533341570fUL;
   tf->codes[10208] = 0x00010c57c66dca73UL;
   tf->codes[10209] = 0x00010c5d7e655ab0UL;
   tf->codes[10210] = 0x00010c5ea3307789UL;
   tf->codes[10211] = 0x00010c5fc7fb9462UL;
   tf->codes[10212] = 0x00010c624c20d3d9UL;
   tf->codes[10213] = 0x00010c666a2f3bb3UL;
   tf->codes[10214] = 0x00010c719f8f5668UL;
   tf->codes[10215] = 0x00010c7339787ecbUL;
   tf->codes[10216] = 0x00010c745e439ba4UL;
   tf->codes[10217] = 0x00010c74d361a72eUL;
   tf->codes[10218] = 0x00010c775786e6a5UL;
   tf->codes[10219] = 0x00010c79668e1a92UL;
   tf->codes[10220] = 0x00010c79dbac261cUL;
   tf->codes[10221] = 0x00010c7b007742f5UL;
   tf->codes[10222] = 0x00010c7bb0245444UL;
   tf->codes[10223] = 0x00010c7f93a3b659UL;
   tf->codes[10224] = 0x00010c8635d75daaUL;
   tf->codes[10225] = 0x00010c867066636fUL;
   tf->codes[10226] = 0x00010c8ac903d10eUL;
   tf->codes[10227] = 0x00010c95fe63ebc3UL;
   tf->codes[10228] = 0x00010c97984d1426UL;
   tf->codes[10229] = 0x00010c980d6b1fb0UL;
   tf->codes[10230] = 0x00010c9acc1f64ecUL;
   tf->codes[10231] = 0x00010c9bb65b7c00UL;
   tf->codes[10232] = 0x00010c9f5f4bd850UL;
   tf->codes[10233] = 0x00010ca16e530c3dUL;
   tf->codes[10234] = 0x00010ca46796573eUL;
   tf->codes[10235] = 0x00010ca6b12c90f0UL;
   tf->codes[10236] = 0x00010ca6ebbb96b5UL;
   tf->codes[10237] = 0x00010caa1f8de77bUL;
   tf->codes[10238] = 0x00010cb25baab72fUL;
   tf->codes[10239] = 0x00010cb38075d408UL;
   tf->codes[10240] = 0x00010cb51a5efc6bUL;
   tf->codes[10241] = 0x00010cba5d38811eUL;
   tf->codes[10242] = 0x00010cbb47749832UL;
   tf->codes[10243] = 0x00010cbe7b46e8f8UL;
   tf->codes[10244] = 0x00010cc0ff6c286fUL;
   tf->codes[10245] = 0x00010ccb851f31d5UL;
   tf->codes[10246] = 0x00010ccbfa3d3d5fUL;
   tf->codes[10247] = 0x00010cd90415863cUL;
   tf->codes[10248] = 0x00010cda9dfeae9fUL;
   tf->codes[10249] = 0x00010cdce794e851UL;
   tf->codes[10250] = 0x00010cdd5cb2f3dbUL;
   tf->codes[10251] = 0x00010ce055f63edcUL;
   tf->codes[10252] = 0x00010ce314aa8418UL;
   tf->codes[10253] = 0x00010ce34f3989ddUL;
   tf->codes[10254] = 0x00010ce5d35ec954UL;
   tf->codes[10255] = 0x00010ce8cca21455UL;
   tf->codes[10256] = 0x00010cea668b3cb8UL;
   tf->codes[10257] = 0x00010cf22d8a00e2UL;
   tf->codes[10258] = 0x00010cf2dd371231UL;
   tf->codes[10259] = 0x00010cf64b9868bcUL;
   tf->codes[10260] = 0x00010cf6c0b67446UL;
   tf->codes[10261] = 0x00010cfec2443e35UL;
   tf->codes[10262] = 0x00010d07ae0e1f38UL;
   tf->codes[10263] = 0x00010d09f7a458eaUL;
   tf->codes[10264] = 0x00010d0b1c6f75c3UL;
   tf->codes[10265] = 0x00010d0bcc1c8712UL;
   tf->codes[10266] = 0x00010d12e36e39edUL;
   tf->codes[10267] = 0x00010d17b129b316UL;
   tf->codes[10268] = 0x00010d1f3d99717bUL;
   tf->codes[10269] = 0x00010d232118d390UL;
   tf->codes[10270] = 0x00010d239636df1aUL;
   tf->codes[10271] = 0x00010d253020077dUL;
   tf->codes[10272] = 0x00010d25a53e1307UL;
   tf->codes[10273] = 0x00010d25dfcd18ccUL;
   tf->codes[10274] = 0x00010d314fbc3946UL;
   tf->codes[10275] = 0x00010d35a859a6e5UL;
   tf->codes[10276] = 0x00010d39514a0335UL;
   tf->codes[10277] = 0x00010d3b60513722UL;
   tf->codes[10278] = 0x00010d3cfa3a5f85UL;
   tf->codes[10279] = 0x00010d3da9e770d4UL;
   tf->codes[10280] = 0x00010d3e942387e8UL;
   tf->codes[10281] = 0x00010d3eceb28dadUL;
   tf->codes[10282] = 0x00010d43274ffb4cUL;
   tf->codes[10283] = 0x00010d45ab753ac3UL;
   tf->codes[10284] = 0x00010d46d040579cUL;
   tf->codes[10285] = 0x00010d4954659713UL;
   tf->codes[10286] = 0x00010d4a7930b3ecUL;
   tf->codes[10287] = 0x00010d4aee4ebf76UL;
   tf->codes[10288] = 0x00010d5ba11764a3UL;
   tf->codes[10289] = 0x00010d5e5fcba9dfUL;
   tf->codes[10290] = 0x00010d5f4a07c0f3UL;
   tf->codes[10291] = 0x00010d61590ef4e0UL;
   tf->codes[10292] = 0x00010d63dd343457UL;
   tf->codes[10293] = 0x00010d65771d5cbaUL;
   tf->codes[10294] = 0x00010d736b31bcabUL;
   tf->codes[10295] = 0x00010d7af7a17b10UL;
   tf->codes[10296] = 0x00010d82498233b0UL;
   tf->codes[10297] = 0x00010d880179c3edUL;
   tf->codes[10298] = 0x00010d8b354c14b3UL;
   tf->codes[10299] = 0x00010d945ba4fb7bUL;
   tf->codes[10300] = 0x00010d96a53b352dUL;
   tf->codes[10301] = 0x00010d96dfca3af2UL;
   tf->codes[10302] = 0x00010d9afdd8a2ccUL;
   tf->codes[10303] = 0x00010d9c5d32c56aUL;
   tf->codes[10304] = 0x00010d9ee15804e1UL;
   tf->codes[10305] = 0x00010da2152a55a7UL;
   tf->codes[10306] = 0x00010da3af137e0aUL;
   tf->codes[10307] = 0x00010da71d74d495UL;
   tf->codes[10308] = 0x00010daa16b81f96UL;
   tf->codes[10309] = 0x00010db33d11065eUL;
   tf->codes[10310] = 0x00010db96a26a225UL;
   tf->codes[10311] = 0x00010dba5462b939UL;
   tf->codes[10312] = 0x00010dbdfd531589UL;
   tf->codes[10313] = 0x00010dc3402c9a3cUL;
   tf->codes[10314] = 0x00010dc6e91cf68cUL;
   tf->codes[10315] = 0x00010dd37dd733dfUL;
   tf->codes[10316] = 0x00010ddb7f64fdceUL;
   tf->codes[10317] = 0x00010ddc69a114e2UL;
   tf->codes[10318] = 0x00010ddfd8026b6dUL;
   tf->codes[10319] = 0x00010de58ff9fbaaUL;
   tf->codes[10320] = 0x00010debbd0f9771UL;
   tf->codes[10321] = 0x00010dec322da2fbUL;
   tf->codes[10322] = 0x00010ded9187c599UL;
   tf->codes[10323] = 0x00010df3840e5b9bUL;
   tf->codes[10324] = 0x00010df3f92c6725UL;
   tf->codes[10325] = 0x00010df5588689c3UL;
   tf->codes[10326] = 0x00010df8173aceffUL;
   tf->codes[10327] = 0x00010df851c9d4c4UL;
   tf->codes[10328] = 0x00010dfa264202ecUL;
   tf->codes[10329] = 0x00010dfb859c258aUL;
   tf->codes[10330] = 0x00010dfc354936d9UL;
   tf->codes[10331] = 0x00010e013d93b5c7UL;
   tf->codes[10332] = 0x00010e02625ed2a0UL;
   tf->codes[10333] = 0x00010e029cedd865UL;
   tf->codes[10334] = 0x00010e0979b0857bUL;
   tf->codes[10335] = 0x00010e15242eabbaUL;
   tf->codes[10336] = 0x00010e173335dfa7UL;
   tf->codes[10337] = 0x00010e176dc4e56cUL;
   tf->codes[10338] = 0x00010e19423d1394UL;
   tf->codes[10339] = 0x00010e1c00f158d0UL;
   tf->codes[10340] = 0x00010e1ebfa59e0cUL;
   tf->codes[10341] = 0x00010e238d611735UL;
   tf->codes[10342] = 0x00010e259c684b22UL;
   tf->codes[10343] = 0x00010e26c13367fbUL;
   tf->codes[10344] = 0x00010e27ab6f7f0fUL;
   tf->codes[10345] = 0x00010e28d03a9be8UL;
   tf->codes[10346] = 0x00010e2a2f94be86UL;
   tf->codes[10347] = 0x00010e2f37df3d74UL;
   tf->codes[10348] = 0x00010e31bc047cebUL;
   tf->codes[10349] = 0x00010e33907cab13UL;
   tf->codes[10350] = 0x00010e347ab8c227UL;
   tf->codes[10351] = 0x00010e3e50beba3eUL;
   tf->codes[10352] = 0x00010e409a54f3f0UL;
   tf->codes[10353] = 0x00010e43ce2744b6UL;
   tf->codes[10354] = 0x00010e45a29f72deUL;
   tf->codes[10355] = 0x00010e45dd2e78a3UL;
   tf->codes[10356] = 0x00010e486153b81aUL;
   tf->codes[10357] = 0x00010e4fb33470baUL;
   tf->codes[10358] = 0x00010e4fedc3767fUL;
   tf->codes[10359] = 0x00010e54f60df56dUL;
   tf->codes[10360] = 0x00010e55a5bb06bcUL;
   tf->codes[10361] = 0x00010e577a3334e4UL;
   tf->codes[10362] = 0x00010e57ef51406eUL;
   tf->codes[10363] = 0x00010e5a73767fe5UL;
   tf->codes[10364] = 0x00010e5c0d5fa848UL;
   tf->codes[10365] = 0x00010e5de1d7d670UL;
   tf->codes[10366] = 0x00010e5e1c66dc35UL;
   tf->codes[10367] = 0x00010e5e9184e7bfUL;
   tf->codes[10368] = 0x00010e60a08c1bacUL;
   tf->codes[10369] = 0x00010e6324b15b23UL;
   tf->codes[10370] = 0x00010e72781fddb2UL;
   tf->codes[10371] = 0x00010e72ed3de93cUL;
   tf->codes[10372] = 0x00010e7621103a02UL;
   tf->codes[10373] = 0x00010e77f588682aUL;
   tf->codes[10374] = 0x00010e7c88b4db8eUL;
   tf->codes[10375] = 0x00010e7e97bc0f7bUL;
   tf->codes[10376] = 0x00010e844fb39fb8UL;
   tf->codes[10377] = 0x00010e88333301cdUL;
   tf->codes[10378] = 0x00010e8b2c764cceUL;
   tf->codes[10379] = 0x00010e92f37510f8UL;
   tf->codes[10380] = 0x00010e932e0416bdUL;
   tf->codes[10381] = 0x00010e93ddb1280cUL;
   tf->codes[10382] = 0x00010e95027c44e5UL;
   tf->codes[10383] = 0x00010e98ab6ca135UL;
   tf->codes[10384] = 0x00010e9995a8b849UL;
   tf->codes[10385] = 0x00010e9dee4625e8UL;
   tf->codes[10386] = 0x00010ea0e78970e9UL;
   tf->codes[10387] = 0x00010ea1d1c587fdUL;
   tf->codes[10388] = 0x00010ea28172994cUL;
   tf->codes[10389] = 0x00010ea8ae883513UL;
   tf->codes[10390] = 0x00010ea95e354662UL;
   tf->codes[10391] = 0x00010eaabd8f6900UL;
   tf->codes[10392] = 0x00010eb249ff2765UL;
   tf->codes[10393] = 0x00010eb62d7e897aUL;
   tf->codes[10394] = 0x00010eb717baa08eUL;
   tf->codes[10395] = 0x00010eb83c85bd67UL;
   tf->codes[10396] = 0x00010eb8b1a3c8f1UL;
   tf->codes[10397] = 0x00010ec19d6da9f4UL;
   tf->codes[10398] = 0x00010ec33756d257UL;
   tf->codes[10399] = 0x00010ec5bb7c11ceUL;
   tf->codes[10400] = 0x00010ed2c5545aabUL;
   tf->codes[10401] = 0x00010ed3af9071bfUL;
   tf->codes[10402] = 0x00010ed7cd9ed999UL;
   tf->codes[10403] = 0x00010ed9a21707c1UL;
   tf->codes[10404] = 0x00010edfcf2ca388UL;
   tf->codes[10405] = 0x00010ee0b968ba9cUL;
   tf->codes[10406] = 0x00010ee1de33d775UL;
   tf->codes[10407] = 0x00010ee33d8dfa13UL;
   tf->codes[10408] = 0x00010ee3ed3b0b62UL;
   tf->codes[10409] = 0x00010ee671604ad9UL;
   tf->codes[10410] = 0x00010eeb3f1bc402UL;
   tf->codes[10411] = 0x00010ef58a3fc7a3UL;
   tf->codes[10412] = 0x00010ef8be121869UL;
   tf->codes[10413] = 0x00010ef9e2dd3542UL;
   tf->codes[10414] = 0x00010efe7609a8a6UL;
   tf->codes[10415] = 0x00010f1137d981c0UL;
   tf->codes[10416] = 0x00010f1172688785UL;
   tf->codes[10417] = 0x00010f12d1c2aa23UL;
   tf->codes[10418] = 0x00010f17da0d2911UL;
   tf->codes[10419] = 0x00010f1b486e7f9cUL;
   tf->codes[10420] = 0x00010f1ce257a7ffUL;
   tf->codes[10421] = 0x00010f230f6d43c6UL;
   tf->codes[10422] = 0x00010f29b1a0eb17UL;
   tf->codes[10423] = 0x00010f2a614dfc66UL;
   tf->codes[10424] = 0x00010f313e10a97cUL;
   tf->codes[10425] = 0x00010f3387a6e32eUL;
   tf->codes[10426] = 0x00010f36bb7933f4UL;
   tf->codes[10427] = 0x00010f37a5b54b08UL;
   tf->codes[10428] = 0x00010f3bfe52b8a7UL;
   tf->codes[10429] = 0x00010f4315a46b82UL;
   tf->codes[10430] = 0x00010f4524ab9f6fUL;
   tf->codes[10431] = 0x00010f4efab19786UL;
   tf->codes[10432] = 0x00010f5109b8cb73UL;
   tf->codes[10433] = 0x00010f5a3011b23bUL;
   tf->codes[10434] = 0x00010f5b8f6bd4d9UL;
   tf->codes[10435] = 0x00010f5d63e40301UL;
   tf->codes[10436] = 0x00010f5d9e7308c6UL;
   tf->codes[10437] = 0x00010f5ec33e259fUL;
   tf->codes[10438] = 0x00010f63cb88a48dUL;
   tf->codes[10439] = 0x00010f690e622940UL;
   tf->codes[10440] = 0x00010f6f7606caccUL;
   tf->codes[10441] = 0x00010f71fa2c0a43UL;
   tf->codes[10442] = 0x00010f75a31c6693UL;
   tf->codes[10443] = 0x00010f7702768931UL;
   tf->codes[10444] = 0x00010f77b2239a80UL;
   tf->codes[10445] = 0x00010f782741a60aUL;
   tf->codes[10446] = 0x00010f7b95a2fc95UL;
   tf->codes[10447] = 0x00010f8237d6a3e6UL;
   tf->codes[10448] = 0x00010f839730c684UL;
   tf->codes[10449] = 0x00010f840c4ed20eUL;
   tf->codes[10450] = 0x00010f8989b75c86UL;
   tf->codes[10451] = 0x00010f92006331ffUL;
   tf->codes[10452] = 0x00010f9449f96bb1UL;
   tf->codes[10453] = 0x00010f961e7199d9UL;
   tf->codes[10454] = 0x00010f986807d38bUL;
   tf->codes[10455] = 0x00010f99c761f629UL;
   tf->codes[10456] = 0x00010f9b9bda2451UL;
   tf->codes[10457] = 0x00010fa2789cd167UL;
   tf->codes[10458] = 0x00010fa41285f9caUL;
   tf->codes[10459] = 0x00010fa7f6055bdfUL;
   tf->codes[10460] = 0x00010fb3db1287e3UL;
   tf->codes[10461] = 0x00010fbc51be5d5cUL;
   tf->codes[10462] = 0x00010fbed5e39cd3UL;
   tf->codes[10463] = 0x00010fbf8590ae22UL;
   tf->codes[10464] = 0x00010fc418bd2186UL;
   tf->codes[10465] = 0x00010fc662535b38UL;
   tf->codes[10466] = 0x00010fc7fc3c839bUL;
   tf->codes[10467] = 0x00010fcb6a9dda26UL;
   tf->codes[10468] = 0x00010fce29521f62UL;
   tf->codes[10469] = 0x00010fd03859534fUL;
   tf->codes[10470] = 0x00010fd197b375edUL;
   tf->codes[10471] = 0x00010fd24760873cUL;
   tf->codes[10472] = 0x00010fd3319c9e50UL;
   tf->codes[10473] = 0x00010fd57b32d802UL;
   tf->codes[10474] = 0x00010fd5b5c1ddc7UL;
   tf->codes[10475] = 0x00010fd74fab062aUL;
   tf->codes[10476] = 0x00010fd78a3a0befUL;
   tf->codes[10477] = 0x00010fd839e71d3eUL;
   tf->codes[10478] = 0x00010fd8e9942e8dUL;
   tf->codes[10479] = 0x00010fd999413fdcUL;
   tf->codes[10480] = 0x00010fde66fcb905UL;
   tf->codes[10481] = 0x00010fdea18bbecaUL;
   tf->codes[10482] = 0x00010fe125b0fe41UL;
   tf->codes[10483] = 0x00010fe5f36c776aUL;
   tf->codes[10484] = 0x00010fea4c09e509UL;
   tf->codes[10485] = 0x00010ff1635b97e4UL;
   tf->codes[10486] = 0x00010ff28826b4bdUL;
   tf->codes[10487] = 0x00010ff2fd44c047UL;
   tf->codes[10488] = 0x00010ff8401e44faUL;
   tf->codes[10489] = 0x00010ff964e961d3UL;
   tf->codes[10490] = 0x00010ffbe90ea14aUL;
   tf->codes[10491] = 0x000110007c3b14aeUL;
   tf->codes[10492] = 0x0001100250b342d6UL;
   tf->codes[10493] = 0x000110028b42489bUL;
   tf->codes[10494] = 0x000110045fba76c3UL;
   tf->codes[10495] = 0x00011006e3dfb63aUL;
   tf->codes[10496] = 0x000110096804f5b1UL;
   tf->codes[10497] = 0x00011010f474b416UL;
   tf->codes[10498] = 0x00011011deb0cb2aUL;
   tf->codes[10499] = 0x00011016ac6c4453UL;
   tf->codes[10500] = 0x0001101a555ca0a3UL;
   tf->codes[10501] = 0x0001101a8feba668UL;
   tf->codes[10502] = 0x0001101dc3bdf72eUL;
   tf->codes[10503] = 0x0001101f231819ccUL;
   tf->codes[10504] = 0x0001102291797057UL;
   tf->codes[10505] = 0x000110237bb5876bUL;
   tf->codes[10506] = 0x0001102bb7d2571fUL;
   tf->codes[10507] = 0x0001103a5b93c85fUL;
   tf->codes[10508] = 0x0001103b0b40d9aeUL;
   tf->codes[10509] = 0x00011044e146d1c5UL;
   tf->codes[10510] = 0x00011051eb1f1aa2UL;
   tf->codes[10511] = 0x000110534a793d40UL;
   tf->codes[10512] = 0x000110546f445a19UL;
   tf->codes[10513] = 0x00011056f3699990UL;
   tf->codes[10514] = 0x000110590270cd7dUL;
   tf->codes[10515] = 0x0001105a273bea56UL;
   tf->codes[10516] = 0x0001105d207f3557UL;
   tf->codes[10517] = 0x0001105e7fd957f5UL;
   tf->codes[10518] = 0x0001106103fe976cUL;
   tf->codes[10519] = 0x00011061791ca2f6UL;
   tf->codes[10520] = 0x00011066816721e4UL;
   tf->codes[10521] = 0x0001106b14939548UL;
   tf->codes[10522] = 0x0001106e82f4ebd3UL;
   tf->codes[10523] = 0x000110755fb798e9UL;
   tf->codes[10524] = 0x0001107649f3affdUL;
   tf->codes[10525] = 0x000110768482b5c2UL;
   tf->codes[10526] = 0x00011076f9a0c14cUL;
   tf->codes[10527] = 0x000110794336fafeUL;
   tf->codes[10528] = 0x0001107a2d731212UL;
   tf->codes[10529] = 0x0001107a680217d7UL;
   tf->codes[10530] = 0x0001107cec27574eUL;
   tf->codes[10531] = 0x0001107f704c96c5UL;
   tf->codes[10532] = 0x00011082698fe1c6UL;
   tf->codes[10533] = 0x00011089bb709a66UL;
   tf->codes[10534] = 0x0001108f38d924deUL;
   tf->codes[10535] = 0x000110947bb2a991UL;
   tf->codes[10536] = 0x00011097af84fa57UL;
   tf->codes[10537] = 0x0001109983fd287fUL;
   tf->codes[10538] = 0x0001109a6e393f93UL;
   tf->codes[10539] = 0x000110a1106ce6e4UL;
   tf->codes[10540] = 0x000110a35a032096UL;
   tf->codes[10541] = 0x000110a4b95d4334UL;
   tf->codes[10542] = 0x000110a653466b97UL;
   tf->codes[10543] = 0x000110a827be99bfUL;
   tf->codes[10544] = 0x000110a98718bc5dUL;
   tf->codes[10545] = 0x000110aaabe3d936UL;
   tf->codes[10546] = 0x000110aae672defbUL;
   tf->codes[10547] = 0x000110b4475acb88UL;
   tf->codes[10548] = 0x000110b6cb800affUL;
   tf->codes[10549] = 0x000110b7b5bc2213UL;
   tf->codes[10550] = 0x000110b9ff525bc5UL;
   tf->codes[10551] = 0x000110bb241d789eUL;
   tf->codes[10552] = 0x000110be1d60c39fUL;
   tf->codes[10553] = 0x000110c18bc21a2aUL;
   tf->codes[10554] = 0x000110c6ce9b9eddUL;
   tf->codes[10555] = 0x000110d0a4a196f4UL;
   tf->codes[10556] = 0x000110d70c463880UL;
   tf->codes[10557] = 0x000110d78164440aUL;
   tf->codes[10558] = 0x000110e191f941e6UL;
   tf->codes[10559] = 0x000110e8342ce937UL;
   tf->codes[10560] = 0x000110e9ce16119aUL;
   tf->codes[10561] = 0x000110eba28e3fc2UL;
   tf->codes[10562] = 0x000110ebdd1d4587UL;
   tf->codes[10563] = 0x000110f035bab326UL;
   tf->codes[10564] = 0x000110f27f50ecd8UL;
   tf->codes[10565] = 0x000110f5edb24363UL;
   tf->codes[10566] = 0x000110f7c22a718bUL;
   tf->codes[10567] = 0x000110f7fcb97750UL;
   tf->codes[10568] = 0x000110f95c1399eeUL;
   tf->codes[10569] = 0x000110fb308bc816UL;
   tf->codes[10570] = 0x0001110123125e18UL;
   tf->codes[10571] = 0x000111015da163ddUL;
   tf->codes[10572] = 0x000111054120c5f2UL;
   tf->codes[10573] = 0x000111075027f9dfUL;
   tf->codes[10574] = 0x000111078ab6ffa4UL;
   tf->codes[10575] = 0x0001110a496b44e0UL;
   tf->codes[10576] = 0x000111141f713cf7UL;
   tf->codes[10577] = 0x0001111509ad540bUL;
   tf->codes[10578] = 0x00011119624ac1aaUL;
   tf->codes[10579] = 0x0001111b7151f597UL;
   tf->codes[10580] = 0x0001111edfb34c22UL;
   tf->codes[10581] = 0x0001112163d88b99UL;
   tf->codes[10582] = 0x00011129da846112UL;
   tf->codes[10583] = 0x0001113375fb5364UL;
   tf->codes[10584] = 0x0001113634af98a0UL;
   tf->codes[10585] = 0x00011137597ab579UL;
   tf->codes[10586] = 0x00011137ce98c103UL;
   tf->codes[10587] = 0x00011138f363dddcUL;
   tf->codes[10588] = 0x000111392df2e3a1UL;
   tf->codes[10589] = 0x0001113a52be007aUL;
   tf->codes[10590] = 0x0001113fd0268af2UL;
   tf->codes[10591] = 0x000111404544967cUL;
   tf->codes[10592] = 0x00011141df2dbedfUL;
   tf->codes[10593] = 0x000111433e87e17dUL;
   tf->codes[10594] = 0x00011143ee34f2ccUL;
   tf->codes[10595] = 0x00011148f67f71baUL;
   tf->codes[10596] = 0x00011149a62c8309UL;
   tf->codes[10597] = 0x0001114bb533b6f6UL;
   tf->codes[10598] = 0x0001114befc2bcbbUL;
   tf->codes[10599] = 0x0001115341a3755bUL;
   tf->codes[10600] = 0x000111537c327b20UL;
   tf->codes[10601] = 0x000111567575c621UL;
   tf->codes[10602] = 0x00011159a94816e7UL;
   tf->codes[10603] = 0x00011160c099c9c2UL;
   tf->codes[10604] = 0x00011163f46c1a88UL;
   tf->codes[10605] = 0x00011164dea8319cUL;
   tf->codes[10606] = 0x000111679d5c76d8UL;
   tf->codes[10607] = 0x00011173bcf8a8a1UL;
   tf->codes[10608] = 0x00011174a734bfb5UL;
   tf->codes[10609] = 0x00011176b63bf3a2UL;
   tf->codes[10610] = 0x00011183c0143c7fUL;
   tf->codes[10611] = 0x0001118435324809UL;
   tf->codes[10612] = 0x0001118b4c83fae4UL;
   tf->codes[10613] = 0x0001118dd0a93a5bUL;
   tf->codes[10614] = 0x000111922946a7faUL;
   tf->codes[10615] = 0x000111931382bf0eUL;
   tf->codes[10616] = 0x00011193fdbed622UL;
   tf->codes[10617] = 0x00011195d237044aUL;
   tf->codes[10618] = 0x000111b2a49bdb40UL;
   tf->codes[10619] = 0x000111b319b9e6caUL;
   tf->codes[10620] = 0x000111b4ee3214f2UL;
   tf->codes[10621] = 0x000111b8d1b17707UL;
   tf->codes[10622] = 0x000111ba6b9a9f6aUL;
   tf->codes[10623] = 0x000111bc7aa1d357UL;
   tf->codes[10624] = 0x000111c68b36d133UL;
   tf->codes[10625] = 0x000111d0d65ad4d4UL;
   tf->codes[10626] = 0x000111d8d7e89ec3UL;
   tf->codes[10627] = 0x000111da3742c161UL;
   tf->codes[10628] = 0x000111db5c0dde3aUL;
   tf->codes[10629] = 0x000111dcbb6800d8UL;
   tf->codes[10630] = 0x000111df7a1c4614UL;
   tf->codes[10631] = 0x000111e35d9ba829UL;
   tf->codes[10632] = 0x000111e3d2b9b3b3UL;
   tf->codes[10633] = 0x000111e447d7bf3dUL;
   tf->codes[10634] = 0x000111f9c85bdd93UL;
   tf->codes[10635] = 0x000111fbd7631180UL;
   tf->codes[10636] = 0x000111ff0b356246UL;
   tf->codes[10637] = 0x00011201c9e9a782UL;
   tf->codes[10638] = 0x0001120fbdfe0773UL;
   tf->codes[10639] = 0x00011215b0849d75UL;
   tf->codes[10640] = 0x00011220ab55b265UL;
   tf->codes[10641] = 0x00011222453edac8UL;
   tf->codes[10642] = 0x00011224c9641a3fUL;
   tf->codes[10643] = 0x00011225ee2f3718UL;
   tf->codes[10644] = 0x00011229971f9368UL;
   tf->codes[10645] = 0x00011229d1ae992dUL;
   tf->codes[10646] = 0x0001122a0c3d9ef2UL;
   tf->codes[10647] = 0x00011233e2439709UL;
   tf->codes[10648] = 0x000112378b33f359UL;
   tf->codes[10649] = 0x0001123875700a6dUL;
   tf->codes[10650] = 0x0001123b6eb3556eUL;
   tf->codes[10651] = 0x000112424b760284UL;
   tf->codes[10652] = 0x0001124753c08172UL;
   tf->codes[10653] = 0x0001124b71cee94cUL;
   tf->codes[10654] = 0x00011255f781f2b2UL;
   tf->codes[10655] = 0x0001125a8aae6616UL;
   tf->codes[10656] = 0x0001125fcd87eac9UL;
   tf->codes[10657] = 0x0001126042a5f653UL;
   tf->codes[10658] = 0x00011260f25307a2UL;
   tf->codes[10659] = 0x000112721a39b859UL;
   tf->codes[10660] = 0x00011273b422e0bcUL;
   tf->codes[10661] = 0x00011273eeb1e681UL;
   tf->codes[10662] = 0x00011275137d035aUL;
   tf->codes[10663] = 0x00011276ad662bbdUL;
   tf->codes[10664] = 0x0001127797a242d1UL;
   tf->codes[10665] = 0x0001127a1bc78248UL;
   tf->codes[10666] = 0x0001127b40929f21UL;
   tf->codes[10667] = 0x0001127bf03fb070UL;
   tf->codes[10668] = 0x0001127d8a28d8d3UL;
   tf->codes[10669] = 0x0001128133193523UL;
   tf->codes[10670] = 0x0001128257e451fcUL;
   tf->codes[10671] = 0x0001128342206910UL;
   tf->codes[10672] = 0x0001128b7e3d38c4UL;
   tf->codes[10673] = 0x00011296b39d5379UL;
   tf->codes[10674] = 0x00011297634a64c8UL;
   tf->codes[10675] = 0x0001129a971cb58eUL;
   tf->codes[10676] = 0x000112a1ae6e6869UL;
   tf->codes[10677] = 0x000112a67c29e192UL;
   tf->codes[10678] = 0x000112b1ec19020cUL;
   tf->codes[10679] = 0x000112bbc21efa23UL;
   tf->codes[10680] = 0x000112bbfcadffe8UL;
   tf->codes[10681] = 0x000112bc373d05adUL;
   tf->codes[10682] = 0x000112be4644399aUL;
   tf->codes[10683] = 0x000112bf6b0f5673UL;
   tf->codes[10684] = 0x000112c104f87ed6UL;
   tf->codes[10685] = 0x000112c1ef3495eaUL;
   tf->codes[10686] = 0x000112ca2b51659eUL;
   tf->codes[10687] = 0x000112ccea05aadaUL;
   tf->codes[10688] = 0x000112cf6e2aea51UL;
   tf->codes[10689] = 0x000112d5d5cf8bddUL;
   tf->codes[10690] = 0x000112d97ebfe82dUL;
   tf->codes[10691] = 0x000112e0d0a0a0cdUL;
   tf->codes[10692] = 0x000112e2dfa7d4baUL;
   tf->codes[10693] = 0x000112e3c9e3ebceUL;
   tf->codes[10694] = 0x000112e563cd1431UL;
   tf->codes[10695] = 0x000112e6fdb63c94UL;
   tf->codes[10696] = 0x000112e9474c7646UL;
   tf->codes[10697] = 0x000112eae1359ea9UL;
   tf->codes[10698] = 0x000112f0240f235cUL;
   tf->codes[10699] = 0x000112f2a83462d3UL;
   tf->codes[10700] = 0x000112f357e17422UL;
   tf->codes[10701] = 0x000112f73b60d637UL;
   tf->codes[10702] = 0x000112f7b07ee1c1UL;
   tf->codes[10703] = 0x000112fae4513287UL;
   tf->codes[10704] = 0x000113056a043bedUL;
   tf->codes[10705] = 0x0001131398a7a1a3UL;
   tf->codes[10706] = 0x000113198b2e37a5UL;
   tf->codes[10707] = 0x0001131b25176008UL;
   tf->codes[10708] = 0x0001131bd4c47157UL;
   tf->codes[10709] = 0x0001131ece07bc58UL;
   tf->codes[10710] = 0x00011322b1871e6dUL;
   tf->codes[10711] = 0x00011323d6523b46UL;
   tf->codes[10712] = 0x000113244b7046d0UL;
   tf->codes[10713] = 0x0001132744b391d1UL;
   tf->codes[10714] = 0x0001132b2832f3e6UL;
   tf->codes[10715] = 0x0001132b9d50ff70UL;
   tf->codes[10716] = 0x00011338a729484dUL;
   tf->codes[10717] = 0x0001133daf73c73bUL;
   tf->codes[10718] = 0x000113415864238bUL;
   tf->codes[10719] = 0x000113478579bf52UL;
   tf->codes[10720] = 0x00011352f568dfccUL;
   tf->codes[10721] = 0x0001135d05fddda8UL;
   tf->codes[10722] = 0x0001135f4f94175aUL;
   tf->codes[10723] = 0x00011362f88473aaUL;
   tf->codes[10724] = 0x000113721163f074UL;
   tf->codes[10725] = 0x000113783e798c3bUL;
   tf->codes[10726] = 0x0001137a880fc5edUL;
   tf->codes[10727] = 0x0001137b37bcd73cUL;
   tf->codes[10728] = 0x0001137c9716f9daUL;
   tf->codes[10729] = 0x00011382febb9b66UL;
   tf->codes[10730] = 0x0001138966603cf2UL;
   tf->codes[10731] = 0x0001138d846ea4ccUL;
   tf->codes[10732] = 0x000113949bc057a7UL;
   tf->codes[10733] = 0x0001139eac555583UL;
   tf->codes[10734] = 0x0001139ee6e45b48UL;
   tf->codes[10735] = 0x000113a16b099abfUL;
   tf->codes[10736] = 0x000113a1e027a649UL;
   tf->codes[10737] = 0x000113a3b49fd471UL;
   tf->codes[10738] = 0x000113a6ade31f72UL;
   tf->codes[10739] = 0x000113b517158aedUL;
   tf->codes[10740] = 0x000113b6eb8db915UL;
   tf->codes[10741] = 0x000113b760abc49fUL;
   tf->codes[10742] = 0x000113bd8dc16066UL;
   tf->codes[10743] = 0x000113be77fd777aUL;
   tf->codes[10744] = 0x000113c79e565e42UL;
   tf->codes[10745] = 0x000113c8137469ccUL;
   tf->codes[10746] = 0x000113c8fdb080e0UL;
   tf->codes[10747] = 0x000113cbf6f3cbe1UL;
   tf->codes[10748] = 0x000113d4a82ea71fUL;
   tf->codes[10749] = 0x000113d557dbb86eUL;
   tf->codes[10750] = 0x000113da9ab53d21UL;
   tf->codes[10751] = 0x000113db84f15435UL;
   tf->codes[10752] = 0x000113e29c430710UL;
   tf->codes[10753] = 0x000113e34bf0185fUL;
   tf->codes[10754] = 0x000113e3867f1e24UL;
   tf->codes[10755] = 0x000113ed21f61076UL;
   tf->codes[10756] = 0x000113f3899ab202UL;
   tf->codes[10757] = 0x000113f94192423fUL;
   tf->codes[10758] = 0x000113f9f13f538eUL;
   tf->codes[10759] = 0x000113fa2bce5953UL;
   tf->codes[10760] = 0x000113fb5099762cUL;
   tf->codes[10761] = 0x000113fd5fa0aa19UL;
   tf->codes[10762] = 0x00011400ce0200a4UL;
   tf->codes[10763] = 0x000114035227401bUL;
   tf->codes[10764] = 0x000114110bac9a47UL;
   tf->codes[10765] = 0x000114123077b720UL;
   tf->codes[10766] = 0x00011412a595c2aaUL;
   tf->codes[10767] = 0x00011413ca60df83UL;
   tf->codes[10768] = 0x00011416c3a42a84UL;
   tf->codes[10769] = 0x000114185d8d52e7UL;
   tf->codes[10770] = 0x00011418981c58acUL;
   tf->codes[10771] = 0x0001141b915fa3adUL;
   tf->codes[10772] = 0x0001141cb62ac086UL;
   tf->codes[10773] = 0x00011421be753f74UL;
   tf->codes[10774] = 0x000114231dcf6212UL;
   tf->codes[10775] = 0x0001142a6fb01ab2UL;
   tf->codes[10776] = 0x000114314c72c7c8UL;
   tf->codes[10777] = 0x000114339609017aUL;
   tf->codes[10778] = 0x00011436c9db5240UL;
   tf->codes[10779] = 0x00011439888f977cUL;
   tf->codes[10780] = 0x0001143b5d07c5a4UL;
   tf->codes[10781] = 0x0001143cbc61e842UL;
   tf->codes[10782] = 0x0001143da69dff56UL;
   tf->codes[10783] = 0x0001143f05f821f4UL;
   tf->codes[10784] = 0x0001143ff0343908UL;
   tf->codes[10785] = 0x00011440da70501cUL;
   tf->codes[10786] = 0x00011443d3b39b1dUL;
   tf->codes[10787] = 0x000114461d49d4cfUL;
   tf->codes[10788] = 0x00011448dbfe1a0bUL;
   tf->codes[10789] = 0x0001144a75e7426eUL;
   tf->codes[10790] = 0x0001144b9ab25f47UL;
   tf->codes[10791] = 0x00011454115e34c0UL;
   tf->codes[10792] = 0x00011454fb9a4bd4UL;
   tf->codes[10793] = 0x0001145695837437UL;
   tf->codes[10794] = 0x000114595437b973UL;
   tf->codes[10795] = 0x00011459c955c4fdUL;
   tf->codes[10796] = 0x0001146573d3eb3cUL;
   tf->codes[10797] = 0x00011469cc7158dbUL;
   tf->codes[10798] = 0x0001146af13c75b4UL;
   tf->codes[10799] = 0x00011470a93405f1UL;
   tf->codes[10800] = 0x0001147417955c7cUL;
   tf->codes[10801] = 0x00011477fb14be91UL;
   tf->codes[10802] = 0x00011478e550d5a5UL;
   tf->codes[10803] = 0x0001147ab9c903cdUL;
   tf->codes[10804] = 0x0001147af4580992UL;
   tf->codes[10805] = 0x0001147ba4051ae1UL;
   tf->codes[10806] = 0x0001147ded9b5493UL;
   tf->codes[10807] = 0x0001147e282a5a58UL;
   tf->codes[10808] = 0x0001148071c0940aUL;
   tf->codes[10809] = 0x00011480ac4f99cfUL;
   tf->codes[10810] = 0x00011481216da559UL;
   tf->codes[10811] = 0x000114820ba9bc6dUL;
   tf->codes[10812] = 0x000114824638c232UL;
   tf->codes[10813] = 0x00011482f5e5d381UL;
   tf->codes[10814] = 0x00011485b49a18bdUL;
   tf->codes[10815] = 0x00011488e86c6983UL;
   tf->codes[10816] = 0x000114957d26a6d6UL;
   tf->codes[10817] = 0x00011499d5c41475UL;
   tf->codes[10818] = 0x0001149a10531a3aUL;
   tf->codes[10819] = 0x0001149e2e618214UL;
   tf->codes[10820] = 0x0001149fc84aaa77UL;
   tf->codes[10821] = 0x000114a03d68b601UL;
   tf->codes[10822] = 0x000114a2c18df578UL;
   tf->codes[10823] = 0x000114a3713b06c7UL;
   tf->codes[10824] = 0x000114abe7e6dc40UL;
   tf->codes[10825] = 0x000114b8f1bf251dUL;
   tf->codes[10826] = 0x000114b9a16c366cUL;
   tf->codes[10827] = 0x000114bbb0736a59UL;
   tf->codes[10828] = 0x000114c1686afa96UL;
   tf->codes[10829] = 0x000114c4271f3fd2UL;
   tf->codes[10830] = 0x000114c461ae4597UL;
   tf->codes[10831] = 0x000114c6ab447f49UL;
   tf->codes[10832] = 0x000114c79580965dUL;
   tf->codes[10833] = 0x000114d29051ab4dUL;
   tf->codes[10834] = 0x000114d3056fb6d7UL;
   tf->codes[10835] = 0x000114d6e8ef18ecUL;
   tf->codes[10836] = 0x000114db06fd80c6UL;
   tf->codes[10837] = 0x000114dbf13997daUL;
   tf->codes[10838] = 0x000114df9a29f42aUL;
   tf->codes[10839] = 0x000114dfd4b8f9efUL;
   tf->codes[10840] = 0x000114e049d70579UL;
   tf->codes[10841] = 0x000114e42d56678eUL;
   tf->codes[10842] = 0x000114e8c082daf2UL;
   tf->codes[10843] = 0x000114e935a0e67cUL;
   tf->codes[10844] = 0x000114ebb9c625f3UL;
   tf->codes[10845] = 0x000114ef9d458808UL;
   tf->codes[10846] = 0x000114f0fc9faaa6UL;
   tf->codes[10847] = 0x000114f1ac4cbbf5UL;
   tf->codes[10848] = 0x000114f63f792f59UL;
   tf->codes[10849] = 0x000114f6ef2640a8UL;
   tf->codes[10850] = 0x000114feb62504d2UL;
   tf->codes[10851] = 0x000115025f156122UL;
   tf->codes[10852] = 0x000115051dc9a65eUL;
   tf->codes[10853] = 0x00011507a1eee5d5UL;
   tf->codes[10854] = 0x0001150a9b3230d6UL;
   tf->codes[10855] = 0x000115108db8c6d8UL;
   tf->codes[10856] = 0x000115155b744001UL;
   tf->codes[10857] = 0x0001151a292fb92aUL;
   tf->codes[10858] = 0x0001151b8889dbc8UL;
   tf->codes[10859] = 0x0001151e473e2104UL;
   tf->codes[10860] = 0x0001151e81cd26c9UL;
   tf->codes[10861] = 0x0001152ceaff9244UL;
   tf->codes[10862] = 0x000115322dd916f7UL;
   tf->codes[10863] = 0x0001153352a433d0UL;
   tf->codes[10864] = 0x00011536fb949020UL;
   tf->codes[10865] = 0x00011537ab41a16fUL;
   tf->codes[10866] = 0x0001153f37b15fd4UL;
   tf->codes[10867] = 0x00011542a612b65fUL;
   tf->codes[10868] = 0x00011547393f29c3UL;
   tf->codes[10869] = 0x0001154b91dc9762UL;
   tf->codes[10870] = 0x00011550d4b61c15UL;
   tf->codes[10871] = 0x000115510f4521daUL;
   tf->codes[10872] = 0x00011551f98138eeUL;
   tf->codes[10873] = 0x000115586125da7aUL;
   tf->codes[10874] = 0x0001155b1fda1fb6UL;
   tf->codes[10875] = 0x000115611260b5b8UL;
   tf->codes[10876] = 0x00011561877ec142UL;
   tf->codes[10877] = 0x00011562372bd291UL;
   tf->codes[10878] = 0x0001157324837d83UL;
   tf->codes[10879] = 0x000115740ebf9497UL;
   tf->codes[10880] = 0x000115756e19b735UL;
   tf->codes[10881] = 0x00011575e337c2bfUL;
   tf->codes[10882] = 0x00011579c6b724d4UL;
   tf->codes[10883] = 0x0001157e1f549273UL;
   tf->codes[10884] = 0x0001157f7eaeb511UL;
   tf->codes[10885] = 0x000115811897dd74UL;
   tf->codes[10886] = 0x00011583d74c22b0UL;
   tf->codes[10887] = 0x0001158571354b13UL;
   tf->codes[10888] = 0x00011585e653569dUL;
   tf->codes[10889] = 0x00011587f55a8a8aUL;
   tf->codes[10890] = 0x0001158b63bbe115UL;
   tf->codes[10891] = 0x0001159156427717UL;
   tf->codes[10892] = 0x000115957450def1UL;
   tf->codes[10893] = 0x000115970e3a0754UL;
   tf->codes[10894] = 0x00011597bde718a3UL;
   tf->codes[10895] = 0x0001159d75dea8e0UL;
   tf->codes[10896] = 0x000115a0a9b0f9a6UL;
   tf->codes[10897] = 0x000115a9d009e06eUL;
   tf->codes[10898] = 0x000115abdf11145bUL;
   tf->codes[10899] = 0x000115b246b5b5e7UL;
   tf->codes[10900] = 0x000115b3a60fd885UL;
   tf->codes[10901] = 0x000115b50569fb23UL;
   tf->codes[10902] = 0x000115b62a3517fcUL;
   tf->codes[10903] = 0x000115b6d9e2294bUL;
   tf->codes[10904] = 0x000115b7fead4624UL;
   tf->codes[10905] = 0x000115b8ae5a5773UL;
   tf->codes[10906] = 0x000115bb327f96eaUL;
   tf->codes[10907] = 0x000115c075591b9dUL;
   tf->codes[10908] = 0x000115c19a243876UL;
   tf->codes[10909] = 0x000115c5431494c6UL;
   tf->codes[10910] = 0x000115cac07d1f3eUL;
   tf->codes[10911] = 0x000115cb359b2ac8UL;
   tf->codes[10912] = 0x000115d2c20ae92dUL;
   tf->codes[10913] = 0x000115d4d1121d1aUL;
   tf->codes[10914] = 0x000115edfa8697c0UL;
   tf->codes[10915] = 0x000115f6abc172feUL;
   tf->codes[10916] = 0x000115f845aa9b61UL;
   tf->codes[10917] = 0x000115fa1a22c989UL;
   tf->codes[10918] = 0x000115fc63b9033bUL;
   tf->codes[10919] = 0x000115fd88842014UL;
   tf->codes[10920] = 0x000115fdfda22b9eUL;
   tf->codes[10921] = 0x000115ff978b5401UL;
   tf->codes[10922] = 0x00011602cb5da4c7UL;
   tf->codes[10923] = 0x0001160639befb52UL;
   tf->codes[10924] = 0x00011609a82051ddUL;
   tf->codes[10925] = 0x0001161134901042UL;
   tf->codes[10926] = 0x00011615180f7257UL;
   tf->codes[10927] = 0x00011619361dda31UL;
   tf->codes[10928] = 0x0001161ad0070294UL;
   tf->codes[10929] = 0x0001161bba4319a8UL;
   tf->codes[10930] = 0x00011620c28d9896UL;
   tf->codes[10931] = 0x0001162555ba0bfaUL;
   tf->codes[10932] = 0x00011629ae577999UL;
   tf->codes[10933] = 0x0001163349ce6bebUL;
   tf->codes[10934] = 0x00011633f97b7d3aUL;
   tf->codes[10935] = 0x00011635cdf3ab62UL;
   tf->codes[10936] = 0x000116360882b127UL;
   tf->codes[10937] = 0x000116413de2cbdcUL;
   tf->codes[10938] = 0x00011641ed8fdd2bUL;
   tf->codes[10939] = 0x00011643125afa04UL;
   tf->codes[10940] = 0x0001164471b51ca2UL;
   tf->codes[10941] = 0x000116522b3a76ceUL;
   tf->codes[10942] = 0x00011652a0588258UL;
   tf->codes[10943] = 0x00011654e9eebc0aUL;
   tf->codes[10944] = 0x00011655247dc1cfUL;
   tf->codes[10945] = 0x00011657e332070bUL;
   tf->codes[10946] = 0x0001165a67574682UL;
   tf->codes[10947] = 0x0001165d609a9183UL;
   tf->codes[10948] = 0x00011662de031bfbUL;
   tf->codes[10949] = 0x00011663189221c0UL;
   tf->codes[10950] = 0x000116698036c34cUL;
   tf->codes[10951] = 0x00011672e11eafd9UL;
   tf->codes[10952] = 0x000116731badb59eUL;
   tf->codes[10953] = 0x000116759fd2f515UL;
   tf->codes[10954] = 0x00011676ff2d17b3UL;
   tf->codes[10955] = 0x0001167739bc1d78UL;
   tf->codes[10956] = 0x00011677744b233dUL;
   tf->codes[10957] = 0x00011679f87062b4UL;
   tf->codes[10958] = 0x0001167a6d8e6e3eUL;
   tf->codes[10959] = 0x0001167c077796a1UL;
   tf->codes[10960] = 0x000116868d2aa007UL;
   tf->codes[10961] = 0x0001168d2f5e4758UL;
   tf->codes[10962] = 0x00011690d84ea3a8UL;
   tf->codes[10963] = 0x00011694813efff8UL;
   tf->codes[10964] = 0x00011694f65d0b82UL;
   tf->codes[10965] = 0x000116989f4d67d2UL;
   tf->codes[10966] = 0x0001169e91d3fdd4UL;
   tf->codes[10967] = 0x000116a91787073aUL;
   tf->codes[10968] = 0x000116b70b9b672bUL;
   tf->codes[10969] = 0x000116bb29a9cf05UL;
   tf->codes[10970] = 0x000116bb6438d4caUL;
   tf->codes[10971] = 0x000116c365c69eb9UL;
   tf->codes[10972] = 0x000116caf2365d1eUL;
   tf->codes[10973] = 0x000116d2441715beUL;
   tf->codes[10974] = 0x000116d2b9352148UL;
   tf->codes[10975] = 0x000116d2f3c4270dUL;
   tf->codes[10976] = 0x000116d6d7438922UL;
   tf->codes[10977] = 0x000116d7c17fa036UL;
   tf->codes[10978] = 0x000116e1d2149e12UL;
   tf->codes[10979] = 0x000116e3e11bd1ffUL;
   tf->codes[10980] = 0x000116e5b5940027UL;
   tf->codes[10981] = 0x000116e62ab20bb1UL;
   tf->codes[10982] = 0x000116e839b93f9eUL;
   tf->codes[10983] = 0x000116ed4203be8cUL;
   tf->codes[10984] = 0x000116f24a4e3d7aUL;
   tf->codes[10985] = 0x000116f459557167UL;
   tf->codes[10986] = 0x000116f7c7b6c7f2UL;
   tf->codes[10987] = 0x000116fb70a72442UL;
   tf->codes[10988] = 0x000116fbab362a07UL;
   tf->codes[10989] = 0x000116fdba3d5df4UL;
   tf->codes[10990] = 0x00011702fd16e2a7UL;
   tf->codes[10991] = 0x000117045c710545UL;
   tf->codes[10992] = 0x00011704d18f10cfUL;
   tf->codes[10993] = 0x00011705bbcb27e3UL;
   tf->codes[10994] = 0x000117079043560bUL;
   tf->codes[10995] = 0x0001170ac415a6d1UL;
   tf->codes[10996] = 0x0001170be8e0c3aaUL;
   tf->codes[10997] = 0x0001171215f65f71UL;
   tf->codes[10998] = 0x000117149a1b9ee8UL;
   tf->codes[10999] = 0x000117163404c74bUL;
   tf->codes[11000] = 0x00011716e3b1d89aUL;
   tf->codes[11001] = 0x0001171d4b567a26UL;
   tf->codes[11002] = 0x00011720b9b7d0b1UL;
   tf->codes[11003] = 0x0001172a1a9fbd3eUL;
   tf->codes[11004] = 0x0001172a8fbdc8c8UL;
   tf->codes[11005] = 0x0001172ee85b3667UL;
   tf->codes[11006] = 0x00011732914b92b7UL;
   tf->codes[11007] = 0x0001173306699e41UL;
   tf->codes[11008] = 0x00011741e4ba1546UL;
   tf->codes[11009] = 0x000117437ea33da9UL;
   tf->codes[11010] = 0x0001174762229fbeUL;
   tf->codes[11011] = 0x0001174a5b65eabfUL;
   tf->codes[11012] = 0x00011750135d7afcUL;
   tf->codes[11013] = 0x0001175814eb44ebUL;
   tf->codes[11014] = 0x0001175ef1adf201UL;
   tf->codes[11015] = 0x00011769ec7f06f1UL;
   tf->codes[11016] = 0x000117729db9e22fUL;
   tf->codes[11017] = 0x0001177437a30a92UL;
   tf->codes[11018] = 0x0001177472321057UL;
   tf->codes[11019] = 0x00011776bbc84a09UL;
   tf->codes[11020] = 0x0001177ad9d6b1e3UL;
   tf->codes[11021] = 0x0001177d236ceb95UL;
   tf->codes[11022] = 0x00011784754da435UL;
   tf->codes[11023] = 0x0001178b8c9f5710UL;
   tf->codes[11024] = 0x0001179269620426UL;
   tf->codes[11025] = 0x00011793c8bc26c4UL;
   tf->codes[11026] = 0x00011796c1ff71c5UL;
   tf->codes[11027] = 0x0001179771ac8314UL;
   tf->codes[11028] = 0x0001179d64331916UL;
   tf->codes[11029] = 0x000117a0980569dcUL;
   tf->codes[11030] = 0x000117a2e19ba38eUL;
   tf->codes[11031] = 0x000117a4f0a2d77bUL;
   tf->codes[11032] = 0x000117a5dadeee8fUL;
   tf->codes[11033] = 0x000117b26f992be2UL;
   tf->codes[11034] = 0x000117b3946448bbUL;
   tf->codes[11035] = 0x000117b5a36b7ca8UL;
   tf->codes[11036] = 0x000117b5ddfa826dUL;
   tf->codes[11037] = 0x000117b6c8369981UL;
   tf->codes[11038] = 0x000117b94c5bd8f8UL;
   tf->codes[11039] = 0x000117c23825b9fbUL;
   tf->codes[11040] = 0x000117c3d20ee25eUL;
   tf->codes[11041] = 0x000117c61ba51c10UL;
   tf->codes[11042] = 0x000117c7407038e9UL;
   tf->codes[11043] = 0x000117c77aff3eaeUL;
   tf->codes[11044] = 0x000117d77e1ad28cUL;
   tf->codes[11045] = 0x000117d86856e9a0UL;
   tf->codes[11046] = 0x000117d8dd74f52aUL;
   tf->codes[11047] = 0x000117d98d220679UL;
   tf->codes[11048] = 0x000117de204e79ddUL;
   tf->codes[11049] = 0x000117de956c8567UL;
   tf->codes[11050] = 0x000117df7fa89c7bUL;
   tf->codes[11051] = 0x000117ebd9d3d409UL;
   tf->codes[11052] = 0x000117f1573c5e81UL;
   tf->codes[11053] = 0x000117f7f97005d2UL;
   tf->codes[11054] = 0x000117fb2d425698UL;
   tf->codes[11055] = 0x000117ff10c1b8adUL;
   tf->codes[11056] = 0x000118092156b689UL;
   tf->codes[11057] = 0x00011812bccda8dbUL;
   tf->codes[11058] = 0x000118149145d703UL;
   tf->codes[11059] = 0x000118183a363353UL;
   tf->codes[11060] = 0x00011819d41f5bb6UL;
   tf->codes[11061] = 0x0001181a0eae617bUL;
   tf->codes[11062] = 0x0001181ba89789deUL;
   tf->codes[11063] = 0x0001181e2cbcc955UL;
   tf->codes[11064] = 0x00011825b92c87baUL;
   tf->codes[11065] = 0x00011829621ce40aUL;
   tf->codes[11066] = 0x00011830ee8ca26fUL;
   tf->codes[11067] = 0x00011832fd93d65cUL;
   tf->codes[11068] = 0x000118371ba23e36UL;
   tf->codes[11069] = 0x00011837563143fbUL;
   tf->codes[11070] = 0x00011838406d5b0fUL;
   tf->codes[11071] = 0x000118450fb69e27UL;
   tf->codes[11072] = 0x0001184bec794b3dUL;
   tf->codes[11073] = 0x00011851a470db7aUL;
   tf->codes[11074] = 0x000118533e5a03ddUL;
   tf->codes[11075] = 0x0001185378e909a2UL;
   tf->codes[11076] = 0x00011855c27f4354UL;
   tf->codes[11077] = 0x0001185a55abb6b8UL;
   tf->codes[11078] = 0x00011861e21b751dUL;
   tf->codes[11079] = 0x0001186933fc2dbdUL;
   tf->codes[11080] = 0x0001186fd62fd50eUL;
   tf->codes[11081] = 0x0001187344912b99UL;
   tf->codes[11082] = 0x000118779d2e9938UL;
   tf->codes[11083] = 0x0001187971a6c760UL;
   tf->codes[11084] = 0x0001187bbb3d0112UL;
   tf->codes[11085] = 0x0001188b0eab83a1UL;
   tf->codes[11086] = 0x0001189225fd367cUL;
   tf->codes[11087] = 0x000118929b1b4206UL;
   tf->codes[11088] = 0x0001189c36923458UL;
   tf->codes[11089] = 0x0001189dd07b5cbbUL;
   tf->codes[11090] = 0x000118a0c9bea7bcUL;
   tf->codes[11091] = 0x000118a3fd90f882UL;
   tf->codes[11092] = 0x000118b5d524ba88UL;
   tf->codes[11093] = 0x000118b9f3332262UL;
   tf->codes[11094] = 0x000118badd6f3976UL;
   tf->codes[11095] = 0x000118bb528d4500UL;
   tf->codes[11096] = 0x000118bb8d1c4ac5UL;
   tf->codes[11097] = 0x000118c14513db02UL;
   tf->codes[11098] = 0x000118c9bbbfb07bUL;
   tf->codes[11099] = 0x000118ca6b6cc1caUL;
   tf->codes[11100] = 0x000118cb9037dea3UL;
   tf->codes[11101] = 0x000118cefe99352eUL;
   tf->codes[11102] = 0x000118d5663dd6baUL;
   tf->codes[11103] = 0x000118d615eae809UL;
   tf->codes[11104] = 0x000118dae3a66132UL;
   tf->codes[11105] = 0x000118db1e3566f7UL;
   tf->codes[11106] = 0x000118dd67cba0a9UL;
   tf->codes[11107] = 0x000118e2358719d2UL;
   tf->codes[11108] = 0x000118e5de777622UL;
   tf->codes[11109] = 0x000118e7ed7eaa0fUL;
   tf->codes[11110] = 0x000118ea3714e3c1UL;
   tf->codes[11111] = 0x000118f0642a7f88UL;
   tf->codes[11112] = 0x000118f322dec4c4UL;
   tf->codes[11113] = 0x000118f4f756f2ecUL;
   tf->codes[11114] = 0x000118f56c74fe76UL;
   tf->codes[11115] = 0x000118fa74bf7d64UL;
   tf->codes[11116] = 0x000118faaf4e8329UL;
   tf->codes[11117] = 0x000118fff22807dcUL;
   tf->codes[11118] = 0x00011905e4ae9ddeUL;
   tf->codes[11119] = 0x000119074408c07cUL;
   tf->codes[11120] = 0x00011908a362e31aUL;
   tf->codes[11121] = 0x000119098d9efa2eUL;
   tf->codes[11122] = 0x0001190bd73533e0UL;
   tf->codes[11123] = 0x0001191363a4f245UL;
   tf->codes[11124] = 0x00011919cb4993d1UL;
   tf->codes[11125] = 0x00011933defa258bUL;
   tf->codes[11126] = 0x000119348ea736daUL;
   tf->codes[11127] = 0x000119369dae6ac7UL;
   tf->codes[11128] = 0x0001193d3fe21218UL;
   tf->codes[11129] = 0x0001193f145a4040UL;
   tf->codes[11130] = 0x000119412361742dUL;
   tf->codes[11131] = 0x000119420d9d8b41UL;
   tf->codes[11132] = 0x0001194875422ccdUL;
   tf->codes[11133] = 0x00011966a7012661UL;
   tf->codes[11134] = 0x0001196a4ff182b1UL;
   tf->codes[11135] = 0x0001196b3a2d99c5UL;
   tf->codes[11136] = 0x00011970b796243dUL;
   tf->codes[11137] = 0x00011973eb687503UL;
   tf->codes[11138] = 0x00011975bfe0a32bUL;
   tf->codes[11139] = 0x00011976aa1cba3fUL;
   tf->codes[11140] = 0x00011976e4abc004UL;
   tf->codes[11141] = 0x000119771f3ac5c9UL;
   tf->codes[11142] = 0x0001197759c9cb8eUL;
   tf->codes[11143] = 0x0001197a8d9c1c54UL;
   tf->codes[11144] = 0x0001197ac82b2219UL;
   tf->codes[11145] = 0x0001197b02ba27deUL;
   tf->codes[11146] = 0x0001197ee63989f3UL;
   tf->codes[11147] = 0x0001197f95e69b42UL;
   tf->codes[11148] = 0x0001198797746531UL;
   tf->codes[11149] = 0x00011989a67b991eUL;
   tf->codes[11150] = 0x0001199341f28b70UL;
   tf->codes[11151] = 0x00011993f19f9cbfUL;
   tf->codes[11152] = 0x000119942c2ea284UL;
   tf->codes[11153] = 0x0001199a59443e4bUL;
   tf->codes[11154] = 0x0001199cdd697dc2UL;
   tf->codes[11155] = 0x0001199e3cc3a060UL;
   tf->codes[11156] = 0x000119a295610dffUL;
   tf->codes[11157] = 0x000119a2cff013c4UL;
   tf->codes[11158] = 0x000119a30a7f1989UL;
   tf->codes[11159] = 0x000119a469d93c27UL;
   tf->codes[11160] = 0x000119aad17dddb3UL;
   tf->codes[11161] = 0x000119b173b18504UL;
   tf->codes[11162] = 0x000119b72ba91541UL;
   tf->codes[11163] = 0x000119b766381b06UL;
   tf->codes[11164] = 0x000119ba9a0a6bccUL;
   tf->codes[11165] = 0x000119bc33f3942fUL;
   tf->codes[11166] = 0x000119bd934db6cdUL;
   tf->codes[11167] = 0x000119beb818d3a6UL;
   tf->codes[11168] = 0x000119c3c0635294UL;
   tf->codes[11169] = 0x000119c55a4c7af7UL;
   tf->codes[11170] = 0x000119cd5bda44e6UL;
   tf->codes[11171] = 0x000119d731e03cfdUL;
   tf->codes[11172] = 0x000119ee4c4d83b6UL;
   tf->codes[11173] = 0x000119f2df79f71aUL;
   tf->codes[11174] = 0x000119f3c9b60e2eUL;
   tf->codes[11175] = 0x000119f6886a536aUL;
   tf->codes[11176] = 0x000119f897718757UL;
   tf->codes[11177] = 0x000119fbcb43d81dUL;
   tf->codes[11178] = 0x00011a1654127561UL;
   tf->codes[11179] = 0x00011a1bd17affd9UL;
   tf->codes[11180] = 0x00011a2189729016UL;
   tf->codes[11181] = 0x00011a261c9f037aUL;
   tf->codes[11182] = 0x00011a27f11731a2UL;
   tf->codes[11183] = 0x00011a38de6edc94UL;
   tf->codes[11184] = 0x00011a444e5dfd0eUL;
   tf->codes[11185] = 0x00011a53673d79d8UL;
   tf->codes[11186] = 0x00011a53a1cc7f9dUL;
   tf->codes[11187] = 0x00011a553bb5a800UL;
   tf->codes[11188] = 0x00011a55eb62b94fUL;
   tf->codes[11189] = 0x00011a57854be1b2UL;
   tf->codes[11190] = 0x00011a5ffbf7b72bUL;
   tf->codes[11191] = 0x00011a6195e0df8eUL;
   tf->codes[11192] = 0x00011a61d06fe553UL;
   tf->codes[11193] = 0x00011a62801cf6a2UL;
   tf->codes[11194] = 0x00011a62f53b022cUL;
   tf->codes[11195] = 0x00011a66639c58b7UL;
   tf->codes[11196] = 0x00011a68e7c1982eUL;
   tf->codes[11197] = 0x00011a6abc39c656UL;
   tf->codes[11198] = 0x00011a741d21b2e3UL;
   tf->codes[11199] = 0x00011a757c7bd581UL;
   tf->codes[11200] = 0x00011a771664fde4UL;
   tf->codes[11201] = 0x00011a7db898a535UL;
   tf->codes[11202] = 0x00011a83ab1f3b37UL;
   tf->codes[11203] = 0x00011a8803bca8d6UL;
   tf->codes[11204] = 0x00011a892887c5afUL;
   tf->codes[11205] = 0x00011a907a687e4fUL;
   tf->codes[11206] = 0x00011a9841674279UL;
   tf->codes[11207] = 0x00011a9d49b1c167UL;
   tf->codes[11208] = 0x00011aa4d6217fccUL;
   tf->codes[11209] = 0x00011aa6700aa82fUL;
   tf->codes[11210] = 0x00011aaac8a815ceUL;
   tf->codes[11211] = 0x00011ab513cc196fUL;
   tf->codes[11212] = 0x00011aba1c16985dUL;
   tf->codes[11213] = 0x00011abd8a77eee8UL;
   tf->codes[11214] = 0x00011ac0492c3424UL;
   tf->codes[11215] = 0x00011acbf3aa5a63UL;
   tf->codes[11216] = 0x00011acc2e396028UL;
   tf->codes[11217] = 0x00011ad6795d63c9UL;
   tf->codes[11218] = 0x00011aed593ba4bdUL;
   tf->codes[11219] = 0x00011aefdd60e434UL;
   tf->codes[11220] = 0x00011af2618623abUL;
   tf->codes[11221] = 0x00011afa9da2f35fUL;
   tf->codes[11222] = 0x00011afad831f924UL;
   tf->codes[11223] = 0x00011b02d9bfc313UL;
   tf->codes[11224] = 0x00011b064821199eUL;
   tf->codes[11225] = 0x00011b076cec3677UL;
   tf->codes[11226] = 0x00011b094164649fUL;
   tf->codes[11227] = 0x00011b1351f9627bUL;
   tf->codes[11228] = 0x00011b138c886840UL;
   tf->codes[11229] = 0x00011b15d61ea1f2UL;
   tf->codes[11230] = 0x00011b173578c490UL;
   tf->codes[11231] = 0x00011b185a43e169UL;
   tf->codes[11232] = 0x00011b1b18f826a5UL;
   tf->codes[11233] = 0x00011b1ec1e882f5UL;
   tf->codes[11234] = 0x00011b1fac249a09UL;
   tf->codes[11235] = 0x00011b238fa3fc1eUL;
   tf->codes[11236] = 0x00011b35dc55c9aeUL;
   tf->codes[11237] = 0x00011b3910281a74UL;
   tf->codes[11238] = 0x00011b3f77ccbc00UL;
   tf->codes[11239] = 0x00011b4111b5e463UL;
   tf->codes[11240] = 0x00011b4863969d03UL;
   tf->codes[11241] = 0x00011b4aad2cd6b5UL;
   tf->codes[11242] = 0x00011b56923a02b9UL;
   tf->codes[11243] = 0x00011b5741e71408UL;
   tf->codes[11244] = 0x00011b577c7619cdUL;
   tf->codes[11245] = 0x00011b5f4374ddf7UL;
   tf->codes[11246] = 0x00011b6411305720UL;
   tf->codes[11247] = 0x00011b6aedf30436UL;
   tf->codes[11248] = 0x00011b748969f688UL;
   tf->codes[11249] = 0x00011b765de224b0UL;
   tf->codes[11250] = 0x00011b786ce9589dUL;
   tf->codes[11251] = 0x00011b79cc437b3bUL;
   tf->codes[11252] = 0x00011b82f29c6203UL;
   tf->codes[11253] = 0x00011b8a447d1aa3UL;
   tf->codes[11254] = 0x00011b8b6948377cUL;
   tf->codes[11255] = 0x00011b928099ea57UL;
   tf->codes[11256] = 0x00011b933046fba6UL;
   tf->codes[11257] = 0x00011b93a5650730UL;
   tf->codes[11258] = 0x00011b9af745bfd0UL;
   tf->codes[11259] = 0x00011ba199796721UL;
   tf->codes[11260] = 0x00011ba507dabdacUL;
   tf->codes[11261] = 0x00011ba6dc52ebd4UL;
   tf->codes[11262] = 0x00011ba78bfffd23UL;
   tf->codes[11263] = 0x00011bb66a507428UL;
   tf->codes[11264] = 0x00011bb719fd8577UL;
   tf->codes[11265] = 0x00011bba4dcfd63dUL;
   tf->codes[11266] = 0x00011bbbad29f8dbUL;
   tf->codes[11267] = 0x00011bbbe7b8fea0UL;
   tf->codes[11268] = 0x00011bbfcb3860b5UL;
   tf->codes[11269] = 0x00011bc24f5da02cUL;
   tf->codes[11270] = 0x00011bc757a81f1aUL;
   tf->codes[11271] = 0x00011bd635f8961fUL;
   tf->codes[11272] = 0x00011bd8ba1dd596UL;
   tf->codes[11273] = 0x00011bd8f4acdb5bUL;
   tf->codes[11274] = 0x00011bd969cae6e5UL;
   tf->codes[11275] = 0x00011bdc9d9d37abUL;
   tf->codes[11276] = 0x00011be0bbab9f85UL;
   tf->codes[11277] = 0x00011be25594c7e8UL;
   tf->codes[11278] = 0x00011be42a0cf610UL;
   tf->codes[11279] = 0x00011bf7d618e63eUL;
   tf->codes[11280] = 0x00011bf8c054fd52UL;
   tf->codes[11281] = 0x00011bfa1faf1ff0UL;
   tf->codes[11282] = 0x00011bff6288a4a3UL;
   tf->codes[11283] = 0x00011c00c1e2c741UL;
   tf->codes[11284] = 0x00011c051a8034e0UL;
   tf->codes[11285] = 0x00011c08c3709130UL;
   tf->codes[11286] = 0x00011c146deeb76fUL;
   tf->codes[11287] = 0x00011c14a87dbd34UL;
   tf->codes[11288] = 0x00011c1ad59358fbUL;
   tf->codes[11289] = 0x00011c1d1f2992adUL;
   tf->codes[11290] = 0x00011c1e7e83b54bUL;
   tf->codes[11291] = 0x00011c222774119bUL;
   tf->codes[11292] = 0x00011c24710a4b4dUL;
   tf->codes[11293] = 0x00011c24e62856d7UL;
   tf->codes[11294] = 0x00011c2bc2eb03edUL;
   tf->codes[11295] = 0x00011c3aa13b7af2UL;
   tf->codes[11296] = 0x00011c3bc60697cbUL;
   tf->codes[11297] = 0x00011c3e4a2bd742UL;
   tf->codes[11298] = 0x00011c4a69c8090bUL;
   tf->codes[11299] = 0x00011c552a0a1836UL;
   tf->codes[11300] = 0x00011c63933c83b1UL;
   tf->codes[11301] = 0x00011c70d7a3d253UL;
   tf->codes[11302] = 0x00011c840e91b6f7UL;
   tf->codes[11303] = 0x00011c861d98eae4UL;
   tf->codes[11304] = 0x00011c89c6894734UL;
   tf->codes[11305] = 0x00011c8a76365883UL;
   tf->codes[11306] = 0x00011c8ff39ee2fbUL;
   tf->codes[11307] = 0x00011c9b28fefdb0UL;
   tf->codes[11308] = 0x00011c9e224248b1UL;
   tf->codes[11309] = 0x00011ca0a6678828UL;
   tf->codes[11310] = 0x00011ca7832a353eUL;
   tf->codes[11311] = 0x00011caa41de7a7aUL;
   tf->codes[11312] = 0x00011cab66a99753UL;
   tf->codes[11313] = 0x00011caff9d60ab7UL;
   tf->codes[11314] = 0x00011cb32da85b7dUL;
   tf->codes[11315] = 0x00011cb5022089a5UL;
   tf->codes[11316] = 0x00011cb6d698b7cdUL;
   tf->codes[11317] = 0x00011cbb69c52b31UL;
   tf->codes[11318] = 0x00011cbdedea6aa8UL;
   tf->codes[11319] = 0x00011cc3e07100aaUL;
   tf->codes[11320] = 0x00011cc789615cfaUL;
   tf->codes[11321] = 0x00011cc7c3f062bfUL;
   tf->codes[11322] = 0x00011cd199f65ad6UL;
   tf->codes[11323] = 0x00011cd333df8339UL;
   tf->codes[11324] = 0x00011cd57d75bcebUL;
   tf->codes[11325] = 0x00011cd6a240d9c4UL;
   tf->codes[11326] = 0x00011cd7c70bf69dUL;
   tf->codes[11327] = 0x00011cd8019afc62UL;
   tf->codes[11328] = 0x00011cd83c2a0227UL;
   tf->codes[11329] = 0x00011cd8ebd71376UL;
   tf->codes[11330] = 0x00011ce3ac1922a1UL;
   tf->codes[11331] = 0x00011ce3e6a82866UL;
   tf->codes[11332] = 0x00011ce421372e2bUL;
   tf->codes[11333] = 0x00011cec5d53fddfUL;
   tf->codes[11334] = 0x00011cf0f0807143UL;
   tf->codes[11335] = 0x00011d054c3972c0UL;
   tf->codes[11336] = 0x00011d08457cbdc1UL;
   tf->codes[11337] = 0x00011d08800bc386UL;
   tf->codes[11338] = 0x00011d0a5483f1aeUL;
   tf->codes[11339] = 0x00011d0fd1ec7c26UL;
   tf->codes[11340] = 0x00011d1639911db2UL;
   tf->codes[11341] = 0x00011d18bdb65d29UL;
   tf->codes[11342] = 0x00011d18f84562eeUL;
   tf->codes[11343] = 0x00011d19e2817a02UL;
   tf->codes[11344] = 0x00011d1a922e8b51UL;
   tf->codes[11345] = 0x00011d22ce4b5b05UL;
   tf->codes[11346] = 0x00011d2517e194b7UL;
   tf->codes[11347] = 0x00011d2552709a7cUL;
   tf->codes[11348] = 0x00011d33f6320bbcUL;
   tf->codes[11349] = 0x00011d346b501746UL;
   tf->codes[11350] = 0x00011d3eb6741ae7UL;
   tf->codes[11351] = 0x00011d4349a08e4bUL;
   tf->codes[11352] = 0x00011d44e389b6aeUL;
   tf->codes[11353] = 0x00011d50c896e2b2UL;
   tf->codes[11354] = 0x00011d555bc35616UL;
   tf->codes[11355] = 0x00011d59eeefc97aUL;
   tf->codes[11356] = 0x00011d5bc367f7a2UL;
   tf->codes[11357] = 0x00011d5c731508f1UL;
   tf->codes[11358] = 0x00011d5dd26f2b8fUL;
   tf->codes[11359] = 0x00011d66491b0108UL;
   tf->codes[11360] = 0x00011d676de61de1UL;
   tf->codes[11361] = 0x00011d6bc6838b80UL;
   tf->codes[11362] = 0x00011d722e282d0cUL;
   tf->codes[11363] = 0x00011d7561fa7dd2UL;
   tf->codes[11364] = 0x00011d7adf63084aUL;
   tf->codes[11365] = 0x00011d7dd8a6534bUL;
   tf->codes[11366] = 0x00011d7f380075e9UL;
   tf->codes[11367] = 0x00011d87741d459dUL;
   tf->codes[11368] = 0x00011d926eee5a8dUL;
   tf->codes[11369] = 0x00011d9393b97766UL;
   tf->codes[11370] = 0x00011d968cfcc267UL;
   tf->codes[11371] = 0x00011d9b202935cbUL;
   tf->codes[11372] = 0x00011da7ef7278e3UL;
   tf->codes[11373] = 0x00011dab9862d533UL;
   tf->codes[11374] = 0x00011db4842cb636UL;
   tf->codes[11375] = 0x00011dbcc04985eaUL;
   tf->codes[11376] = 0x00011dbf09dfbf9cUL;
   tf->codes[11377] = 0x00011dbff41bd6b0UL;
   tf->codes[11378] = 0x00011dcb640af72aUL;
   tf->codes[11379] = 0x00011dd8a87245ccUL;
   tf->codes[11380] = 0x00011dd91d905156UL;
   tf->codes[11381] = 0x00011ddab77979b9UL;
   tf->codes[11382] = 0x00011dde6069d609UL;
   tf->codes[11383] = 0x00011ddf8534f2e2UL;
   tf->codes[11384] = 0x00011de2b90743a8UL;
   tf->codes[11385] = 0x00011de4c80e7795UL;
   tf->codes[11386] = 0x00011df2f6b1dd4bUL;
   tf->codes[11387] = 0x00011df6da313f60UL;
   tf->codes[11388] = 0x00011dfaf83fa73aUL;
   tf->codes[11389] = 0x00011e06682ec7b4UL;
   tf->codes[11390] = 0x00011e06a2bdcd79UL;
   tf->codes[11391] = 0x00011e07c788ea52UL;
   tf->codes[11392] = 0x00011e083ca6f5dcUL;
   tf->codes[11393] = 0x00011e0afb5b3b18UL;
   tf->codes[11394] = 0x00011e1630bb55cdUL;
   tf->codes[11395] = 0x00011e1b7394da80UL;
   tf->codes[11396] = 0x00011e1dbd2b1432UL;
   tf->codes[11397] = 0x00011e21db397c0cUL;
   tf->codes[11398] = 0x00011e245f5ebb83UL;
   tf->codes[11399] = 0x00011e24d47cc70dUL;
   tf->codes[11400] = 0x00011e287d6d235dUL;
   tf->codes[11401] = 0x00011e29a2384036UL;
   tf->codes[11402] = 0x00011e333daf3288UL;
   tf->codes[11403] = 0x00011e37212e949dUL;
   tf->codes[11404] = 0x00011e393035c88aUL;
   tf->codes[11405] = 0x00011e3dfdf141b3UL;
   tf->codes[11406] = 0x00011e3ee82d58c7UL;
   tf->codes[11407] = 0x00011e41e170a3c8UL;
   tf->codes[11408] = 0x00011e421bffa98dUL;
   tf->codes[11409] = 0x00011e43b5e8d1f0UL;
   tf->codes[11410] = 0x00011e4a581c7941UL;
   tf->codes[11411] = 0x00011e5259aa4330UL;
   tf->codes[11412] = 0x00011e572765bc59UL;
   tf->codes[11413] = 0x00011e5eee648083UL;
   tf->codes[11414] = 0x00011e5f9e1191d2UL;
   tf->codes[11415] = 0x00011e6605b6335eUL;
   tf->codes[11416] = 0x00011e6889db72d5UL;
   tf->codes[11417] = 0x00011e69741789e9UL;
   tf->codes[11418] = 0x00011e6b488fb811UL;
   tf->codes[11419] = 0x00011e6c32cbcf25UL;
   tf->codes[11420] = 0x00011e74e406aa63UL;
   tf->codes[11421] = 0x00011e755924b5edUL;
   tf->codes[11422] = 0x00011e7593b3bbb2UL;
   tf->codes[11423] = 0x00011e767defd2c6UL;
   tf->codes[11424] = 0x00011e76b87ed88bUL;
   tf->codes[11425] = 0x00011e7817d8fb29UL;
   tf->codes[11426] = 0x00011e7ad68d4065UL;
   tf->codes[11427] = 0x00011e87e0658942UL;
   tf->codes[11428] = 0x00011e88558394ccUL;
   tf->codes[11429] = 0x00011e9106be700aUL;
   tf->codes[11430] = 0x00011e935054a9bcUL;
   tf->codes[11431] = 0x00011e96beb60047UL;
   tf->codes[11432] = 0x00011e97a8f2175bUL;
   tf->codes[11433] = 0x00011e9aa235625cUL;
   tf->codes[11434] = 0x00011e9d265aa1d3UL;
   tf->codes[11435] = 0x00011ea109da03e8UL;
   tf->codes[11436] = 0x00011ea43dac54aeUL;
   tf->codes[11437] = 0x00011ea562777187UL;
   tf->codes[11438] = 0x00011eb3911ad73dUL;
   tf->codes[11439] = 0x00011eba334e7e8eUL;
   tf->codes[11440] = 0x00011ec2e48959ccUL;
   tf->codes[11441] = 0x00011ecaab881df6UL;
   tf->codes[11442] = 0x00011ed5a65932e6UL;
   tf->codes[11443] = 0x00011ed740425b49UL;
   tf->codes[11444] = 0x00011ed8650d7822UL;
   tf->codes[11445] = 0x00011edf41d02538UL;
   tf->codes[11446] = 0x00011ee39a6d92d7UL;
   tf->codes[11447] = 0x00011ee53456bb3aUL;
   tf->codes[11448] = 0x00011ee6ce3fe39dUL;
   tf->codes[11449] = 0x00011eeb616c5701UL;
   tf->codes[11450] = 0x00011ef3286b1b2bUL;
   tf->codes[11451] = 0x00011ef5ac905aa2UL;
   tf->codes[11452] = 0x00011effbd25587eUL;
   tf->codes[11453] = 0x00011f132ea242e7UL;
   tf->codes[11454] = 0x00011f1e297357d7UL;
   tf->codes[11455] = 0x00011f1ffdeb85ffUL;
   tf->codes[11456] = 0x00011f224781bfb1UL;
   tf->codes[11457] = 0x00011f30010719ddUL;
   tf->codes[11458] = 0x00011f33a9f7762dUL;
   tf->codes[11459] = 0x00011f357e6fa455UL;
   tf->codes[11460] = 0x00011f3c95c15730UL;
   tf->codes[11461] = 0x00011f4ac464bce6UL;
   tf->codes[11462] = 0x00011f57591efa39UL;
   tf->codes[11463] = 0x00011f5a5262453aUL;
   tf->codes[11464] = 0x00011f6512a45465UL;
   tf->codes[11465] = 0x00011f675c3a8e17UL;
   tf->codes[11466] = 0x00011f746612d6f4UL;
   tf->codes[11467] = 0x00011f7849923909UL;
   tf->codes[11468] = 0x00011f7dc6fac381UL;
   tf->codes[11469] = 0x00011f7eebc5e05aUL;
   tf->codes[11470] = 0x00011f83b9815983UL;
   tf->codes[11471] = 0x00011f83f4105f48UL;
   tf->codes[11472] = 0x00011f88c1cbd871UL;
   tf->codes[11473] = 0x00011f8d1a694610UL;
   tf->codes[11474] = 0x00011f90fde8a825UL;
   tf->codes[11475] = 0x00011f91ad95b974UL;
   tf->codes[11476] = 0x00011f95568615c4UL;
   tf->codes[11477] = 0x00011f95cba4214eUL;
   tf->codes[11478] = 0x00011f98ff767214UL;
   tf->codes[11479] = 0x00011f993a0577d9UL;
   tf->codes[11480] = 0x00011f9974947d9eUL;
   tf->codes[11481] = 0x00011f9bbe2ab750UL;
   tf->codes[11482] = 0x00011f9d5813dfb3UL;
   tf->codes[11483] = 0x00011fa4e4839e18UL;
   tf->codes[11484] = 0x00011faa61ec2890UL;
   tf->codes[11485] = 0x00011fb97acba55aUL;
   tf->codes[11486] = 0x00011fbada25c7f8UL;
   tf->codes[11487] = 0x00011fbb4f43d382UL;
   tf->codes[11488] = 0x00011fc0921d5835UL;
   tf->codes[11489] = 0x00011fc4759cba4aUL;
   tf->codes[11490] = 0x00011fc4eabac5d4UL;
   tf->codes[11491] = 0x00011fc64a14e872UL;
   tf->codes[11492] = 0x00011fc9b8763efdUL;
   tf->codes[11493] = 0x00011fd0cfc7f1d8UL;
   tf->codes[11494] = 0x00011fd4b34753edUL;
   tf->codes[11495] = 0x00011fd59d836b01UL;
   tf->codes[11496] = 0x00011fda30afde65UL;
   tf->codes[11497] = 0x00011fde894d4c04UL;
   tf->codes[11498] = 0x00011fe05dc57a2cUL;
   tf->codes[11499] = 0x00011fe1f7aea28fUL;
   tf->codes[11500] = 0x00011fe7ea353891UL;
   tf->codes[11501] = 0x00011fe9bead66b9UL;
   tf->codes[11502] = 0x00011ffe1a666836UL;
   tf->codes[11503] = 0x00012006cba14374UL;
   tf->codes[11504] = 0x0001200a3a0299ffUL;
   tf->codes[11505] = 0x0001200f424d18edUL;
   tf->codes[11506] = 0x00012016cebcd752UL;
   tf->codes[11507] = 0x0001201dab7f8468UL;
   tf->codes[11508] = 0x00012021546fe0b8UL;
   tf->codes[11509] = 0x00012032f1749cf9UL;
   tf->codes[11510] = 0x000120374a120a98UL;
   tf->codes[11511] = 0x0001203f862eda4cUL;
   tf->codes[11512] = 0x000120453e266a89UL;
   tf->codes[11513] = 0x000120462862819dUL;
   tf->codes[11514] = 0x00012046d80f92ecUL;
   tf->codes[11515] = 0x00012047c24baa00UL;
   tf->codes[11516] = 0x0001205be375a5b8UL;
   tf->codes[11517] = 0x0001206160de3030UL;
   tf->codes[11518] = 0x00012066a3b7b4e3UL;
   tf->codes[11519] = 0x000120678df3cbf7UL;
   tf->codes[11520] = 0x00012082c66f7a8aUL;
   tf->codes[11521] = 0x000120871f0ce829UL;
   tf->codes[11522] = 0x000120892e141c16UL;
   tf->codes[11523] = 0x00012094d8924255UL;
   tf->codes[11524] = 0x000120954db04ddfUL;
   tf->codes[11525] = 0x00012095fd5d5f2eUL;
   tf->codes[11526] = 0x0001209a55facccdUL;
   tf->codes[11527] = 0x0001209a9089d292UL;
   tf->codes[11528] = 0x0001209c2a72faf5UL;
   tf->codes[11529] = 0x0001209d89cd1d93UL;
   tf->codes[11530] = 0x000120a1e26a8b32UL;
   tf->codes[11531] = 0x000120a3f171bf1fUL;
   tf->codes[11532] = 0x000120a58b5ae782UL;
   tf->codes[11533] = 0x000120a6b026045bUL;
   tf->codes[11534] = 0x000120b553e7759bUL;
   tf->codes[11535] = 0x000120b6039486eaUL;
   tf->codes[11536] = 0x000120b7d80cb512UL;
   tf->codes[11537] = 0x000120ba5c31f489UL;
   tf->codes[11538] = 0x000120bb0bdf05d8UL;
   tf->codes[11539] = 0x000120bc30aa22b1UL;
   tf->codes[11540] = 0x000120bce0573400UL;
   tf->codes[11541] = 0x000120bf9f0b793cUL;
   tf->codes[11542] = 0x000120c0fe659bdaUL;
   tf->codes[11543] = 0x000120c3828adb51UL;
   tf->codes[11544] = 0x000120c67bce2652UL;
   tf->codes[11545] = 0x000120c8fff365c9UL;
   tf->codes[11546] = 0x000120ca5f4d8867UL;
   tf->codes[11547] = 0x000120d2d5f95de0UL;
   tf->codes[11548] = 0x000120d5cf3ca8e1UL;
   tf->codes[11549] = 0x000120d6f407c5baUL;
   tf->codes[11550] = 0x000120dad78727cfUL;
   tf->codes[11551] = 0x000120de45e87e5aUL;
   tf->codes[11552] = 0x000120dfdfd1a6bdUL;
   tf->codes[11553] = 0x000120e4e81c25abUL;
   tf->codes[11554] = 0x000120e97b48990fUL;
   tf->codes[11555] = 0x000120edd3e606aeUL;
   tf->codes[11556] = 0x000120f7e47b048aUL;
   tf->codes[11557] = 0x000120f97e642cedUL;
   tf->codes[11558] = 0x000120fd61e38f02UL;
   tf->codes[11559] = 0x00012101ba80fca1UL;
   tf->codes[11560] = 0x000121022f9f082bUL;
   tf->codes[11561] = 0x0001211ec774d95cUL;
   tf->codes[11562] = 0x0001212778afb49aUL;
   tf->codes[11563] = 0x0001212e90016775UL;
   tf->codes[11564] = 0x00012139c561822aUL;
   tf->codes[11565] = 0x0001213cf933d2f0UL;
   tf->codes[11566] = 0x00012146cf39cb07UL;
   tf->codes[11567] = 0x000121520499e5bcUL;
   tf->codes[11568] = 0x0001215329650295UL;
   tf->codes[11569] = 0x0001215363f4085aUL;
   tf->codes[11570] = 0x00012156d2555ee5UL;
   tf->codes[11571] = 0x0001215747736a6fUL;
   tf->codes[11572] = 0x0001215d74890636UL;
   tf->codes[11573] = 0x0001215e24361785UL;
   tf->codes[11574] = 0x0001215e9954230fUL;
   tf->codes[11575] = 0x0001215ed3e328d4UL;
   tf->codes[11576] = 0x00012164c669bed6UL;
   tf->codes[11577] = 0x000121686f5a1b26UL;
   tf->codes[11578] = 0x000121792222c053UL;
   tf->codes[11579] = 0x0001217b6bb8fa05UL;
   tf->codes[11580] = 0x000121803974732eUL;
   tf->codes[11581] = 0x0001218abf277c94UL;
   tf->codes[11582] = 0x00012194200f6921UL;
   tf->codes[11583] = 0x000121999d77f399UL;
   tf->codes[11584] = 0x0001219cd14a445fUL;
   tf->codes[11585] = 0x0001219f556f83d6UL;
   tf->codes[11586] = 0x000121a129e7b1feUL;
   tf->codes[11587] = 0x000121a3e89bf73aUL;
   tf->codes[11588] = 0x000121af588b17b4UL;
   tf->codes[11589] = 0x000121b0b7e53a52UL;
   tf->codes[11590] = 0x000121b6354dc4caUL;
   tf->codes[11591] = 0x000121c3b4441931UL;
   tf->codes[11592] = 0x000121ca5677c082UL;
   tf->codes[11593] = 0x000121d307b29bc0UL;
   tf->codes[11594] = 0x000121d7d56e14e9UL;
   tf->codes[11595] = 0x000121d80ffd1aaeUL;
   tf->codes[11596] = 0x000121da94225a25UL;
   tf->codes[11597] = 0x000121dd8d65a526UL;
   tf->codes[11598] = 0x000121e4a4b75801UL;
   tf->codes[11599] = 0x000121e6792f8629UL;
   tf->codes[11600] = 0x000121e8c2c5bfdbUL;
   tf->codes[11601] = 0x000121f298cbb7f2UL;
   tf->codes[11602] = 0x000121f3bd96d4cbUL;
   tf->codes[11603] = 0x000121f8c5e153b9UL;
   tf->codes[11604] = 0x000121f9b01d6acdUL;
   tf->codes[11605] = 0x000121fb0f778d6bUL;
   tf->codes[11606] = 0x000121fb4a069330UL;
   tf->codes[11607] = 0x000121fe4349de31UL;
   tf->codes[11608] = 0x00012205200c8b47UL;
   tf->codes[11609] = 0x00012209038bed5cUL;
   tf->codes[11610] = 0x00012214e8991960UL;
   tf->codes[11611] = 0x00012217a74d5e9cUL;
   tf->codes[11612] = 0x0001221b15aeb527UL;
   tf->codes[11613] = 0x000122238c5a8aa0UL;
   tf->codes[11614] = 0x000122259b61be8dUL;
   tf->codes[11615] = 0x00012226107fca17UL;
   tf->codes[11616] = 0x00012229b9702667UL;
   tf->codes[11617] = 0x000122331a5812f4UL;
   tf->codes[11618] = 0x000122359e7d526bUL;
   tf->codes[11619] = 0x00012236139b5df5UL;
   tf->codes[11620] = 0x00012236fdd77509UL;
   tf->codes[11621] = 0x0001223a31a9c5cfUL;
   tf->codes[11622] = 0x0001223ae156d71eUL;
   tf->codes[11623] = 0x0001224148fb78aaUL;
   tf->codes[11624] = 0x00012242a8559b48UL;
   tf->codes[11625] = 0x0001224ae4726afcUL;
   tf->codes[11626] = 0x0001224b941f7c4bUL;
   tf->codes[11627] = 0x0001224fb22de425UL;
   tf->codes[11628] = 0x00012257040e9cc5UL;
   tf->codes[11629] = 0x0001225ae78dfedaUL;
   tf->codes[11630] = 0x000122644875eb67UL;
   tf->codes[11631] = 0x00012264f822fcb6UL;
   tf->codes[11632] = 0x00012266577d1f54UL;
   tf->codes[11633] = 0x0001226f7dd6061cUL;
   tf->codes[11634] = 0x00012272b1a856e2UL;
   tf->codes[11635] = 0x00012274c0af8acfUL;
   tf->codes[11636] = 0x00012277f481db95UL;
   tf->codes[11637] = 0x0001227a78a71b0cUL;
   tf->codes[11638] = 0x0001227ed14488abUL;
   tf->codes[11639] = 0x00012293a21b95b2UL;
   tf->codes[11640] = 0x00012297859af7c7UL;
   tf->codes[11641] = 0x0001229835480916UL;
   tf->codes[11642] = 0x0001229994a22bb4UL;
   tf->codes[11643] = 0x0001229b2e8b5417UL;
   tf->codes[11644] = 0x0001229db2b0938eUL;
   tf->codes[11645] = 0x000122a330191e06UL;
   tf->codes[11646] = 0x000122a3a5372990UL;
   tf->codes[11647] = 0x000122b36dc3b7a9UL;
   tf->codes[11648] = 0x000122b8eb2c4221UL;
   tf->codes[11649] = 0x000122bcceaba436UL;
   tf->codes[11650] = 0x000122bf1841dde8UL;
   tf->codes[11651] = 0x000122c0027df4fcUL;
   tf->codes[11652] = 0x000122c286a33473UL;
   tf->codes[11653] = 0x000122c5455779afUL;
   tf->codes[11654] = 0x000122d7577a417aUL;
   tf->codes[11655] = 0x000122da8b4c9240UL;
   tf->codes[11656] = 0x000122e54b8ea16bUL;
   tf->codes[11657] = 0x000122ea194a1a94UL;
   tf->codes[11658] = 0x000122f1a5b9d8f9UL;
   tf->codes[11659] = 0x000122f847ed804aUL;
   tf->codes[11660] = 0x000122facc12bfc1UL;
   tf->codes[11661] = 0x000122fc2b6ce25fUL;
   tf->codes[11662] = 0x000122ffd45d3eafUL;
   tf->codes[11663] = 0x0001230551c5c927UL;
   tf->codes[11664] = 0x00012307d5eb089eUL;
   tf->codes[11665] = 0x0001230f625ac703UL;
   tf->codes[11666] = 0x000123179e7796b7UL;
   tf->codes[11667] = 0x0001231e7b3a43cdUL;
   tf->codes[11668] = 0x00012322242aa01dUL;
   tf->codes[11669] = 0x00012325928bf6a8UL;
   tf->codes[11670] = 0x0001233261d539c0UL;
   tf->codes[11671] = 0x000123376a1fb8aeUL;
   tf->codes[11672] = 0x00012338545bcfc2UL;
   tf->codes[11673] = 0x000123388eead587UL;
   tf->codes[11674] = 0x00012339b3b5f260UL;
   tf->codes[11675] = 0x000123401b5a93ecUL;
   tf->codes[11676] = 0x0001234090789f76UL;
   tf->codes[11677] = 0x00012354ec31a0f3UL;
   tf->codes[11678] = 0x0001235b19473cbaUL;
   tf->codes[11679] = 0x0001235b8e654844UL;
   tf->codes[11680] = 0x00012361bb7ae40bUL;
   tf->codes[11681] = 0x0001236689365d34UL;
   tf->codes[11682] = 0x0001236c7bbcf336UL;
   tf->codes[11683] = 0x00012377768e0826UL;
   tf->codes[11684] = 0x00012379fab3479dUL;
   tf->codes[11685] = 0x0001237bcf2b75c5UL;
   tf->codes[11686] = 0x0001237dde32a9b2UL;
   tf->codes[11687] = 0x0001238530136252UL;
   tf->codes[11688] = 0x0001238e566c491aUL;
   tf->codes[11689] = 0x00012391ff5ca56aUL;
   tf->codes[11690] = 0x00012392e998bc7eUL;
   tf->codes[11691] = 0x0001239c4a80a90bUL;
   tf->codes[11692] = 0x000123a2779644d2UL;
   tf->codes[11693] = 0x000123a2b2254a97UL;
   tf->codes[11694] = 0x000123a62086a122UL;
   tf->codes[11695] = 0x000123a82f8dd50fUL;
   tf->codes[11696] = 0x000123b9577485c6UL;
   tf->codes[11697] = 0x000123ba7c3fa29fUL;
   tf->codes[11698] = 0x000123bf0f6c1603UL;
   tf->codes[11699] = 0x000123c78617eb7cUL;
   tf->codes[11700] = 0x000123c9cfae252eUL;
   tf->codes[11701] = 0x000123d1218eddceUL;
   tf->codes[11702] = 0x000123d57a2c4b6dUL;
   tf->codes[11703] = 0x000123e57d47df4bUL;
   tf->codes[11704] = 0x000123eea3a0c613UL;
   tf->codes[11705] = 0x000123f580637329UL;
   tf->codes[11706] = 0x0001240040a58254UL;
   tf->codes[11707] = 0x00012402ff59c790UL;
   tf->codes[11708] = 0x0001240e34b9e245UL;
   tf->codes[11709] = 0x00012416ab65b7beUL;
   tf->codes[11710] = 0x000124172083c348UL;
   tf->codes[11711] = 0x0001241f5ca092fcUL;
   tf->codes[11712] = 0x00012420f689bb5fUL;
   tf->codes[11713] = 0x00012421e0c5d273UL;
   tf->codes[11714] = 0x0001242589b62ec3UL;
   tf->codes[11715] = 0x0001242798bd62b0UL;
   tf->codes[11716] = 0x0001242932a68b13UL;
   tf->codes[11717] = 0x00012435c760c866UL;
   tf->codes[11718] = 0x0001243726baeb04UL;
   tf->codes[11719] = 0x0001243bf476642dUL;
   tf->codes[11720] = 0x0001243f2848b4f3UL;
   tf->codes[11721] = 0x00012440fcc0e31bUL;
   tf->codes[11722] = 0x00012455cd97f022UL;
   tf->codes[11723] = 0x0001245bfaad8be9UL;
   tf->codes[11724] = 0x0001245fde2cedfeUL;
   tf->codes[11725] = 0x00012466f57ea0d9UL;
   tf->codes[11726] = 0x0001247140a2a47aUL;
   tf->codes[11727] = 0x000124760e5e1da3UL;
   tf->codes[11728] = 0x0001247857f45755UL;
   tf->codes[11729] = 0x0001247b16a89c91UL;
   tf->codes[11730] = 0x0001248094112709UL;
   tf->codes[11731] = 0x0001248143be3858UL;
   tf->codes[11732] = 0x0001248b19c4306fUL;
   tf->codes[11733] = 0x0001248f72619e0eUL;
   tf->codes[11734] = 0x00012491f686dd85UL;
   tf->codes[11735] = 0x000124959f7739d5UL;
   tf->codes[11736] = 0x0001249f005f2662UL;
   tf->codes[11737] = 0x000124a09a484ec5UL;
   tf->codes[11738] = 0x000124a8614712efUL;
   tf->codes[11739] = 0x000124b35c1827dfUL;
   tf->codes[11740] = 0x000124b9140fb81cUL;
   tf->codes[11741] = 0x000124bb5da5f1ceUL;
   tf->codes[11742] = 0x000124bcf78f1a31UL;
   tf->codes[11743] = 0x000124be91784294UL;
   tf->codes[11744] = 0x000124cab114745dUL;
   tf->codes[11745] = 0x000124d69621a061UL;
   tf->codes[11746] = 0x000124da0482f6ecUL;
   tf->codes[11747] = 0x000124e5e99022f0UL;
   tf->codes[11748] = 0x000124e957f1797bUL;
   tf->codes[11749] = 0x000124ea7cbc9654UL;
   tf->codes[11750] = 0x000124f32df77192UL;
   tf->codes[11751] = 0x000124f3dda482e1UL;
   tf->codes[11752] = 0x00012505058b3398UL;
   tf->codes[11753] = 0x0001250714926785UL;
   tf->codes[11754] = 0x00012517523d0128UL;
   tf->codes[11755] = 0x0001251b35bc633dUL;
   tf->codes[11756] = 0x0001251ea41db9c8UL;
   tf->codes[11757] = 0x000125207895e7f0UL;
   tf->codes[11758] = 0x000125245c154a05UL;
   tf->codes[11759] = 0x00012528ef41bd69UL;
   tf->codes[11760] = 0x0001252ac3b9eb91UL;
   tf->codes[11761] = 0x0001253842b03ff8UL;
   tf->codes[11762] = 0x0001253a8c4679aaUL;
   tf->codes[11763] = 0x0001253d8589c4abUL;
   tf->codes[11764] = 0x000125554fa41cb3UL;
   tf->codes[11765] = 0x00012555c4c2283dUL;
   tf->codes[11766] = 0x00012557241c4adbUL;
   tf->codes[11767] = 0x0001255b7cb9b87aUL;
   tf->codes[11768] = 0x0001256134b148b7UL;
   tf->codes[11769] = 0x000125684c02fb92UL;
   tf->codes[11770] = 0x0001256ad0283b09UL;
   tf->codes[11771] = 0x0001257381631647UL;
   tf->codes[11772] = 0x00012574a62e3320UL;
   tf->codes[11773] = 0x0001257640175b83UL;
   tf->codes[11774] = 0x0001257bbd7fe5fbUL;
   tf->codes[11775] = 0x00012581b0067bfdUL;
   tf->codes[11776] = 0x00012587dd1c17c4UL;
   tf->codes[11777] = 0x0001258b860c7414UL;
   tf->codes[11778] = 0x00012595d13077b5UL;
   tf->codes[11779] = 0x00012597308a9a53UL;
   tf->codes[11780] = 0x000125a7e3533f80UL;
   tf->codes[11781] = 0x000125aaa20784bcUL;
   tf->codes[11782] = 0x000125ab51b4960bUL;
   tf->codes[11783] = 0x000125b38dd165bfUL;
   tf->codes[11784] = 0x000125b8961be4adUL;
   tf->codes[11785] = 0x000125be13846f25UL;
   tf->codes[11786] = 0x000125c4b5b81676UL;
   tf->codes[11787] = 0x000125c5da83334fUL;
   tf->codes[11788] = 0x000125c64fa13ed9UL;
   tf->codes[11789] = 0x000125c85ea872c6UL;
   tf->codes[11790] = 0x000125ca6dafa6b3UL;
   tf->codes[11791] = 0x000125d1bf905f53UL;
   tf->codes[11792] = 0x000125d47e44a48fUL;
   tf->codes[11793] = 0x000125d652bcd2b7UL;
   tf->codes[11794] = 0x000125da363c34ccUL;
   tf->codes[11795] = 0x000125de19bb96e1UL;
   tf->codes[11796] = 0x000125e09de0d658UL;
   tf->codes[11797] = 0x000125e89f6ea047UL;
   tf->codes[11798] = 0x000125f39a3fb537UL;
   tf->codes[11799] = 0x00012604fcb56bb3UL;
   tf->codes[11800] = 0x000126083087bc79UL;
   tf->codes[11801] = 0x000126098fe1df17UL;
   tf->codes[11802] = 0x000126191ddf676bUL;
   tf->codes[11803] = 0x00012624533f8220UL;
   tf->codes[11804] = 0x00012627fc2fde70UL;
   tf->codes[11805] = 0x00012628714de9faUL;
   tf->codes[11806] = 0x00012636656249ebUL;
   tf->codes[11807] = 0x0001263999349ab1UL;
   tf->codes[11808] = 0x0001263abdffb78aUL;
   tf->codes[11809] = 0x0001263f512c2aeeUL;
   tf->codes[11810] = 0x00012643a9c9988dUL;
   tf->codes[11811] = 0x00012648778511b6UL;
   tf->codes[11812] = 0x0001264b363956f2UL;
   tf->codes[11813] = 0x00012651634ef2b9UL;
   tf->codes[11814] = 0x00012658b52fab59UL;
   tf->codes[11815] = 0x0001265e329835d1UL;
   tf->codes[11816] = 0x000126628b35a370UL;
   tf->codes[11817] = 0x0001266b01e178e9UL;
   tf->codes[11818] = 0x00012673036f42d8UL;
   tf->codes[11819] = 0x000126749d586b3bUL;
   tf->codes[11820] = 0x000126837ba8e240UL;
   tf->codes[11821] = 0x0001268515920aa3UL;
   tf->codes[11822] = 0x00012694a38f92f7UL;
   tf->codes[11823] = 0x00012698fc2d0096UL;
   tf->codes[11824] = 0x00012699e66917aaUL;
   tf->codes[11825] = 0x0001269a5b872334UL;
   tf->codes[11826] = 0x0001269b8052400dUL;
   tf->codes[11827] = 0x000126a974669ffeUL;
   tf->codes[11828] = 0x000126b7dd990b79UL;
   tf->codes[11829] = 0x000126bce5e38a67UL;
   tf->codes[11830] = 0x000126bf6a08c9deUL;
   tf->codes[11831] = 0x000126bfa497cfa3UL;
   tf->codes[11832] = 0x000126c34d882bf3UL;
   tf->codes[11833] = 0x000126c5d1ad6b6aUL;
   tf->codes[11834] = 0x000126c9057fbc30UL;
   tf->codes[11835] = 0x000126ca9f68e493UL;
   tf->codes[11836] = 0x000126cfa7b36381UL;
   tf->codes[11837] = 0x000126dc01de9b0fUL;
   tf->codes[11838] = 0x000126defb21e610UL;
   tf->codes[11839] = 0x000126e5283781d7UL;
   tf->codes[11840] = 0x000126ea6b11068aUL;
   tf->codes[11841] = 0x000126f52b5315b5UL;
   tf->codes[11842] = 0x0001270394858130UL;
   tf->codes[11843] = 0x00012706c857d1f6UL;
   tf->codes[11844] = 0x0001270827b1f494UL;
   tf->codes[11845] = 0x00012719ff45b69aUL;
   tf->codes[11846] = 0x0001271a7463c224UL;
   tf->codes[11847] = 0x000127223b62864eUL;
   tf->codes[11848] = 0x00012723259e9d62UL;
   tf->codes[11849] = 0x000127282de91c50UL;
   tf->codes[11850] = 0x0001272aec9d618cUL;
   tf->codes[11851] = 0x00012732b39c25b6UL;
   tf->codes[11852] = 0x0001273572506af2UL;
   tf->codes[11853] = 0x00012739905ed2ccUL;
   tf->codes[11854] = 0x0001273b2a47fb2fUL;
   tf->codes[11855] = 0x0001273ed338577fUL;
   tf->codes[11856] = 0x000127465fa815e4UL;
   tf->codes[11857] = 0x000127470f552733UL;
   tf->codes[11858] = 0x0001274b67f294d2UL;
   tf->codes[11859] = 0x00012751cf97365eUL;
   tf->codes[11860] = 0x00012755788792aeUL;
   tf->codes[11861] = 0x00012755b3169873UL;
   tf->codes[11862] = 0x000127562834a3fdUL;
   tf->codes[11863] = 0x00012757878ec69bUL;
   tf->codes[11864] = 0x00012758e6e8e939UL;
   tf->codes[11865] = 0x000127599695fa88UL;
   tf->codes[11866] = 0x0001275b307f22ebUL;
   tf->codes[11867] = 0x00012763e1b9fe29UL;
   tf->codes[11868] = 0x00012766a06e4365UL;
   tf->codes[11869] = 0x00012768af757752UL;
   tf->codes[11870] = 0x00012771d5ce5e1aUL;
   tf->codes[11871] = 0x0001277babd45631UL;
   tf->codes[11872] = 0x0001277d45bd7e94UL;
   tf->codes[11873] = 0x0001277fc9e2be0bUL;
   tf->codes[11874] = 0x0001278163cbe66eUL;
   tf->codes[11875] = 0x000127850cbc42beUL;
   tf->codes[11876] = 0x000127866c16655cUL;
   tf->codes[11877] = 0x00012788b5ac9f0eUL;
   tf->codes[11878] = 0x0001278b39d1de85UL;
   tf->codes[11879] = 0x0001278c5e9cfb5eUL;
   tf->codes[11880] = 0x000127950fd7d69cUL;
   tf->codes[11881] = 0x000127a219b01f79UL;
   tf->codes[11882] = 0x000127abb52711cbUL;
   tf->codes[11883] = 0x000127b291e9bee1UL;
   tf->codes[11884] = 0x000127b6aff826bbUL;
   tf->codes[11885] = 0x000127bc67efb6f8UL;
   tf->codes[11886] = 0x000127beec14f66fUL;
   tf->codes[11887] = 0x000127bf26a3fc34UL;
   tf->codes[11888] = 0x000127c79d4fd1adUL;
   tf->codes[11889] = 0x000127cce0295660UL;
   tf->codes[11890] = 0x000127d51c462614UL;
   tf->codes[11891] = 0x000127dfdc88353fUL;
   tf->codes[11892] = 0x000127e3c0079754UL;
   tf->codes[11893] = 0x000127e768f7f3a4UL;
   tf->codes[11894] = 0x000127e818a504f3UL;
   tf->codes[11895] = 0x000127e8c8521642UL;
   tf->codes[11896] = 0x000127e977ff2791UL;
   tf->codes[11897] = 0x000127eb11e84ff4UL;
   tf->codes[11898] = 0x000127ebfc246708UL;
   tf->codes[11899] = 0x000127fc745e0670UL;
   tf->codes[11900] = 0x000127fdd3b8290eUL;
   tf->codes[11901] = 0x000127fe0e472ed3UL;
   tf->codes[11902] = 0x000128052598e1aeUL;
   tf->codes[11903] = 0x0001280b52ae7d75UL;
   tf->codes[11904] = 0x000128117fc4193cUL;
   tf->codes[11905] = 0x000128126a003050UL;
   tf->codes[11906] = 0x00012812df1e3bdaUL;
   tf->codes[11907] = 0x00012819f66feeb5UL;
   tf->codes[11908] = 0x0001282949de7144UL;
   tf->codes[11909] = 0x0001282fec121895UL;
   tf->codes[11910] = 0x00012833cf917aaaUL;
   tf->codes[11911] = 0x0001283b2172334aUL;
   tf->codes[11912] = 0x00012840644bb7fdUL;
   tf->codes[11913] = 0x0001284532073126UL;
   tf->codes[11914] = 0x00012850a1f651a0UL;
   tf->codes[11915] = 0x0001285360aa96dcUL;
   tf->codes[11916] = 0x00012856947ce7a2UL;
   tf->codes[11917] = 0x00012858de132154UL;
   tf->codes[11918] = 0x0001285c4c7477dfUL;
   tf->codes[11919] = 0x000128606a82dfb9UL;
   tf->codes[11920] = 0x00012865383e58e2UL;
   tf->codes[11921] = 0x000128691bbdbaf7UL;
   tf->codes[11922] = 0x00012874511dd5acUL;
   tf->codes[11923] = 0x00012876d5431523UL;
   tf->codes[11924] = 0x00012878a9bb434bUL;
   tf->codes[11925] = 0x0001287c181c99d6UL;
   tf->codes[11926] = 0x000128895c83e878UL;
   tf->codes[11927] = 0x000128957c201a41UL;
   tf->codes[11928] = 0x000128978b274e2eUL;
   tf->codes[11929] = 0x0001289875636542UL;
   tf->codes[11930] = 0x0001289c1e53c192UL;
   tf->codes[11931] = 0x0001289ea2790109UL;
   tf->codes[11932] = 0x000128a753b3dc47UL;
   tf->codes[11933] = 0x000128b547c83c38UL;
   tf->codes[11934] = 0x000128b6e1b1649bUL;
   tf->codes[11935] = 0x000128b8f0b89888UL;
   tf->codes[11936] = 0x000128ba5012bb26UL;
   tf->codes[11937] = 0x000128c66faeecefUL;
   tf->codes[11938] = 0x000128c7947a09c8UL;
   tf->codes[11939] = 0x000128cb3d6a6618UL;
   tf->codes[11940] = 0x000128d16a8001dfUL;
   tf->codes[11941] = 0x000128d513705e2fUL;
   tf->codes[11942] = 0x000128d6ad598692UL;
   tf->codes[11943] = 0x000128e0bdee846eUL;
   tf->codes[11944] = 0x000128f5c954973aUL;
   tf->codes[11945] = 0x000128f63e72a2c4UL;
   tf->codes[11946] = 0x000128f6ee1fb413UL;
   tf->codes[11947] = 0x000128f7633dbf9dUL;
   tf->codes[11948] = 0x000128fad19f1628UL;
   tf->codes[11949] = 0x000128fb0c2e1bedUL;
   tf->codes[11950] = 0x00012908160664caUL;
   tf->codes[11951] = 0x00012916f456dbcfUL;
   tf->codes[11952] = 0x00012919787c1b46UL;
   tf->codes[11953] = 0x00012922d96407d3UL;
   tf->codes[11954] = 0x00012924addc35fbUL;
   tf->codes[11955] = 0x0001292aa062cbfdUL;
   tf->codes[11956] = 0x00012931f243849dUL;
   tf->codes[11957] = 0x00012935d5c2e6b2UL;
   tf->codes[11958] = 0x0001293ade0d65a0UL;
   tf->codes[11959] = 0x0001293e4c6ebc2bUL;
   tf->codes[11960] = 0x0001293fabc8dec9UL;
   tf->codes[11961] = 0x00012944798457f2UL;
   tf->codes[11962] = 0x0001294ae128f97eUL;
   tf->codes[11963] = 0x0001294d654e38f5UL;
   tf->codes[11964] = 0x0001294fe973786cUL;
   tf->codes[11965] = 0x00012954b72ef195UL;
   tf->codes[11966] = 0x00012955a16b08a9UL;
   tf->codes[11967] = 0x00012957eb01425bUL;
   tf->codes[11968] = 0x0001295825904820UL;
   tf->codes[11969] = 0x0001296320615d10UL;
   tf->codes[11970] = 0x00012964452c79e9UL;
   tf->codes[11971] = 0x0001297273cfdf9fUL;
   tf->codes[11972] = 0x0001297691de4779UL;
   tf->codes[11973] = 0x0001297a003f9e04UL;
   tf->codes[11974] = 0x0001297aea7bb518UL;
   tf->codes[11975] = 0x000129844b63a1a5UL;
   tf->codes[11976] = 0x0001298485f2a76aUL;
   tf->codes[11977] = 0x000129886972097fUL;
   tf->codes[11978] = 0x0001298bd7d3600aUL;
   tf->codes[11979] = 0x0001299f49504a73UL;
   tf->codes[11980] = 0x000129aded11bbb3UL;
   tf->codes[11981] = 0x000129b7fda6b98fUL;
   tf->codes[11982] = 0x000129b9d21ee7b7UL;
   tf->codes[11983] = 0x000129ba473cf341UL;
   tf->codes[11984] = 0x000129bb31790a55UL;
   tf->codes[11985] = 0x000129be9fda60e0UL;
   tf->codes[11986] = 0x000129c78ba441e3UL;
   tf->codes[11987] = 0x000129c9d53a7b95UL;
   tf->codes[11988] = 0x000129cabf7692a9UL;
   tf->codes[11989] = 0x000129d57fb8a1d4UL;
   tf->codes[11990] = 0x000129d99dc709aeUL;
   tf->codes[11991] = 0x000129db723f37d6UL;
   tf->codes[11992] = 0x000129df1b2f9426UL;
   tf->codes[11993] = 0x000129e1d9e3d962UL;
   tf->codes[11994] = 0x000129e87c1780b3UL;
   tf->codes[11995] = 0x000129f54b60c3cbUL;
   tf->codes[11996] = 0x000129f75a67f7b8UL;
   tf->codes[11997] = 0x000129f844a40eccUL;
   tf->codes[11998] = 0x00012a0847bfa2aaUL;
   tf->codes[11999] = 0x00012a0931fbb9beUL;
   tf->codes[12000] = 0x00012a0d8a99275dUL;
   tf->codes[12001] = 0x00012a0f5f115585UL;
   tf->codes[12002] = 0x00012a1676630860UL;
   tf->codes[12003] = 0x00012a1b441e8189UL;
   tf->codes[12004] = 0x00012a2345ac4b78UL;
   tf->codes[12005] = 0x00012a23baca5702UL;
   tf->codes[12006] = 0x00012a26797e9c3eUL;
   tf->codes[12007] = 0x00012a37a1654cf5UL;
   tf->codes[12008] = 0x00012a393b4e7558UL;
   tf->codes[12009] = 0x00012a3b0fc6a380UL;
   tf->codes[12010] = 0x00012a57327e6927UL;
   tf->codes[12011] = 0x00012a581cba803bUL;
   tf->codes[12012] = 0x00012a63178b952bUL;
   tf->codes[12013] = 0x00012a71f5dc0c30UL;
   tf->codes[12014] = 0x00012a77734496a8UL;
   tf->codes[12015] = 0x00012a7bcbe20447UL;
   tf->codes[12016] = 0x00012a80999d7d70UL;
   tf->codes[12017] = 0x00012a8b1f5086d6UL;
   tf->codes[12018] = 0x00012aa14f81b67bUL;
   tf->codes[12019] = 0x00012aa1ff2ec7caUL;
   tf->codes[12020] = 0x00012aa916807aa5UL;
   tf->codes[12021] = 0x00012aab9aa5ba1cUL;
   tf->codes[12022] = 0x00012ab4866f9b1fUL;
   tf->codes[12023] = 0x00012ab7ba41ebe5UL;
   tf->codes[12024] = 0x00012ac06b7cc723UL;
   tf->codes[12025] = 0x00012ac4fea93a87UL;
   tf->codes[12026] = 0x00012ac7bd5d7fc3UL;
   tf->codes[12027] = 0x00012adbde877b7bUL;
   tf->codes[12028] = 0x00012add7870a3deUL;
   tf->codes[12029] = 0x00012ae12161002eUL;
   tf->codes[12030] = 0x00012ae74e769bf5UL;
   tf->codes[12031] = 0x00012aeb31f5fe0aUL;
   tf->codes[12032] = 0x00012af4584ee4d2UL;
   tf->codes[12033] = 0x00012af78c213598UL;
   tf->codes[12034] = 0x00012afc946bb486UL;
   tf->codes[12035] = 0x00012b03369f5bd7UL;
   tf->codes[12036] = 0x00012b0a88801477UL;
   tf->codes[12037] = 0x00012b19dbee9706UL;
   tf->codes[12038] = 0x00012b1b3b48b9a4UL;
   tf->codes[12039] = 0x00012b1beaf5caf3UL;
   tf->codes[12040] = 0x00012b1c6013d67dUL;
   tf->codes[12041] = 0x00012b20b8b1441cUL;
   tf->codes[12042] = 0x00012b23ec8394e2UL;
   tf->codes[12043] = 0x00012b39e225bec2UL;
   tf->codes[12044] = 0x00012b4b7f2a7b03UL;
   tf->codes[12045] = 0x00012b563f6c8a2eUL;
   tf->codes[12046] = 0x00012b5e7b8959e2UL;
   tf->codes[12047] = 0x00012b66f2352f5bUL;
   tf->codes[12048] = 0x00012b688c1e57beUL;
   tf->codes[12049] = 0x00012b6bbff0a884UL;
   tf->codes[12050] = 0x00012b6d59d9d0e7UL;
   tf->codes[12051] = 0x00012b7311d16124UL;
   tf->codes[12052] = 0x00012b73fc0d7838UL;
   tf->codes[12053] = 0x00012b75d085a660UL;
   tf->codes[12054] = 0x00012b76bac1bd74UL;
   tf->codes[12055] = 0x00012b77df8cda4dUL;
   tf->codes[12056] = 0x00012b7ce7d7593bUL;
   tf->codes[12057] = 0x00012b8adbebb92cUL;
   tf->codes[12058] = 0x00012b8c75d4e18fUL;
   tf->codes[12059] = 0x00012b97ab34fc44UL;
   tf->codes[12060] = 0x00012ba021e0d1bdUL;
   tf->codes[12061] = 0x00012ba390422848UL;
   tf->codes[12062] = 0x00012ba689857349UL;
   tf->codes[12063] = 0x00012ba6c414790eUL;
   tf->codes[12064] = 0x00012ba8988ca736UL;
   tf->codes[12065] = 0x00012bb05f8b6b60UL;
   tf->codes[12066] = 0x00012bb26e929f4dUL;
   tf->codes[12067] = 0x00012bb567d5ea4eUL;
   tf->codes[12068] = 0x00012bb776dd1e3bUL;
   tf->codes[12069] = 0x00012bb8268a2f8aUL;
   tf->codes[12070] = 0x00012bbdde81bfc7UL;
   tf->codes[12071] = 0x00012bc2ac3d38f0UL;
   tf->codes[12072] = 0x00012bdbd5b1b396UL;
   tf->codes[12073] = 0x00012bdfb93115abUL;
   tf->codes[12074] = 0x00012be4fc0a9a5eUL;
   tf->codes[12075] = 0x00012be6d082c886UL;
   tf->codes[12076] = 0x00012beab4022a9bUL;
   tf->codes[12077] = 0x00012bef0c9f983aUL;
   tf->codes[12078] = 0x00012bf44f791cedUL;
   tf->codes[12079] = 0x00012bf48a0822b2UL;
   tf->codes[12080] = 0x00012bfdb061097aUL;
   tf->codes[12081] = 0x00012bffbf683d67UL;
   tf->codes[12082] = 0x00012c0870a318a5UL;
   tf->codes[12083] = 0x00012c12bbc71c46UL;
   tf->codes[12084] = 0x00012c1a0da7d4e6UL;
   tf->codes[12085] = 0x00012c1abd54e635UL;
   tf->codes[12086] = 0x00012c1af7e3ebfaUL;
   tf->codes[12087] = 0x00012c1d417a25acUL;
   tf->codes[12088] = 0x00012c228453aa5fUL;
   tf->codes[12089] = 0x00012c254307ef9bUL;
   tf->codes[12090] = 0x00012c2801bc34d7UL;
   tf->codes[12091] = 0x00012c2ac0707a13UL;
   tf->codes[12092] = 0x00012c40066592a4UL;
   tf->codes[12093] = 0x00012c40b612a3f3UL;
   tf->codes[12094] = 0x00012c528da665f9UL;
   tf->codes[12095] = 0x00012c54621e9421UL;
   tf->codes[12096] = 0x00012c567125c80eUL;
   tf->codes[12097] = 0x00012c56e643d398UL;
   tf->codes[12098] = 0x00012c58802cfbfbUL;
   tf->codes[12099] = 0x00012c5e72b391fdUL;
   tf->codes[12100] = 0x00012c613167d739UL;
   tf->codes[12101] = 0x00012c621ba3ee4dUL;
   tf->codes[12102] = 0x00012c6639b25627UL;
   tf->codes[12103] = 0x00012c746855bbddUL;
   tf->codes[12104] = 0x00012c76ec7afb54UL;
   tf->codes[12105] = 0x00012c7d8eaea2a5UL;
   tf->codes[12106] = 0x00012c7f6326d0cdUL;
   tf->codes[12107] = 0x00012c7fd844dc57UL;
   tf->codes[12108] = 0x00012c81acbd0a7fUL;
   tf->codes[12109] = 0x00012c8a2368dff8UL;
   tf->codes[12110] = 0x00012c91ea67a422UL;
   tf->codes[12111] = 0x00012c993c485cc2UL;
   tf->codes[12112] = 0x00012c9e4492dbb0UL;
   tf->codes[12113] = 0x00012c9e7f21e175UL;
   tf->codes[12114] = 0x00012c9eb9b0e73aUL;
   tf->codes[12115] = 0x00012ca5d1029a15UL;
   tf->codes[12116] = 0x00012ca81a98d3c7UL;
   tf->codes[12117] = 0x00012cbc0133c9baUL;
   tf->codes[12118] = 0x00012cbd25fee693UL;
   tf->codes[12119] = 0x00012cc477df9f33UL;
   tf->codes[12120] = 0x00012ccbc9c057d3UL;
   tf->codes[12121] = 0x00012cd26bf3ff24UL;
   tf->codes[12122] = 0x00012cd5da5555afUL;
   tf->codes[12123] = 0x00012cd9f863bd89UL;
   tf->codes[12124] = 0x00012cda6d81c913UL;
   tf->codes[12125] = 0x00012ce10fb57064UL;
   tf->codes[12126] = 0x00012ce3ce69b5a0UL;
   tf->codes[12127] = 0x00012ce47e16c6efUL;
   tf->codes[12128] = 0x00012ce56852de03UL;
   tf->codes[12129] = 0x00012ce9fb7f5167UL;
   tf->codes[12130] = 0x00012cf396f643b9UL;
   tf->codes[12131] = 0x00012cf446a35508UL;
   tf->codes[12132] = 0x00012cffb6927582UL;
   tf->codes[12133] = 0x00012d061e37170eUL;
   tf->codes[12134] = 0x00012d09520967d4UL;
   tf->codes[12135] = 0x00012d1571a5999dUL;
   tf->codes[12136] = 0x00012d1cc386523dUL;
   tf->codes[12137] = 0x00012d2af229b7f3UL;
   tf->codes[12138] = 0x00012d33ddf398f6UL;
   tf->codes[12139] = 0x00012d362789d2a8UL;
   tf->codes[12140] = 0x00012d3b6a63575bUL;
   tf->codes[12141] = 0x00012d3e29179c97UL;
   tf->codes[12142] = 0x00012d57528c173dUL;
   tf->codes[12143] = 0x00012d5a4bcf623eUL;
   tf->codes[12144] = 0x00012d5df4bfbe8eUL;
   tf->codes[12145] = 0x00012d6337994341UL;
   tf->codes[12146] = 0x00012d6372284906UL;
   tf->codes[12147] = 0x00012d65812f7cf3UL;
   tf->codes[12148] = 0x00012d65bbbe82b8UL;
   tf->codes[12149] = 0x00012d6afe98076bUL;
   tf->codes[12150] = 0x00012d75f9691c5bUL;
   tf->codes[12151] = 0x00012d771e343934UL;
   tf->codes[12152] = 0x00012d79a25978abUL;
   tf->codes[12153] = 0x00012d7ac7249584UL;
   tf->codes[12154] = 0x00012d88bb38f575UL;
   tf->codes[12155] = 0x00012d99337294ddUL;
   tf->codes[12156] = 0x00012d9bb797d454UL;
   tf->codes[12157] = 0x00012d9bf226da19UL;
   tf->codes[12158] = 0x00012d9e3bbd13cbUL;
   tf->codes[12159] = 0x00012daeb3f6b333UL;
   tf->codes[12160] = 0x00012db4a67d4935UL;
   tf->codes[12161] = 0x00012db5562a5a84UL;
   tf->codes[12162] = 0x00012db605d76bd3UL;
   tf->codes[12163] = 0x00012db939a9bc99UL;
   tf->codes[12164] = 0x00012dbfa14e5e25UL;
   tf->codes[12165] = 0x00012dc55945ee62UL;
   tf->codes[12166] = 0x00012dc7684d224fUL;
   tf->codes[12167] = 0x00012dcc36089b78UL;
   tf->codes[12168] = 0x00012dd29dad3d04UL;
   tf->codes[12169] = 0x00012ddf32677a57UL;
   tf->codes[12170] = 0x00012df01fbf2549UL;
   tf->codes[12171] = 0x00012e04f0963250UL;
   tf->codes[12172] = 0x00012e0f76493bb6UL;
   tf->codes[12173] = 0x00012e131f399806UL;
   tf->codes[12174] = 0x00012e173d47ffe0UL;
   tf->codes[12175] = 0x00012e1f0446c40aUL;
   tf->codes[12176] = 0x00012e1fee82db1eUL;
   tf->codes[12177] = 0x00012e239773376eUL;
   tf->codes[12178] = 0x00012e24bc3e5447UL;
   tf->codes[12179] = 0x00012e26cb458834UL;
   tf->codes[12180] = 0x00012e340facd6d6UL;
   tf->codes[12181] = 0x00012e3fba2afd15UL;
   tf->codes[12182] = 0x00012e3ff4ba02daUL;
   tf->codes[12183] = 0x00012e48e083e3ddUL;
   tf->codes[12184] = 0x00012e491b12e9a2UL;
   tf->codes[12185] = 0x00012e4955a1ef67UL;
   tf->codes[12186] = 0x00012e4b9f382919UL;
   tf->codes[12187] = 0x00012e66d7b3d7acUL;
   tf->codes[12188] = 0x00012e778a7c7cd9UL;
   tf->codes[12189] = 0x00012e78af4799b2UL;
   tf->codes[12190] = 0x00012e7be319ea78UL;
   tf->codes[12191] = 0x00012e7edc5d3579UL;
   tf->codes[12192] = 0x00012e9a14d8e40cUL;
   tf->codes[12193] = 0x00012eb49da78150UL;
   tf->codes[12194] = 0x00012eb5c2729e29UL;
   tf->codes[12195] = 0x00012ebb3fdb28a1UL;
   tf->codes[12196] = 0x00012ebd145356c9UL;
   tf->codes[12197] = 0x00012ebe73ad7967UL;
   tf->codes[12198] = 0x00012ebeae3c7f2cUL;
   tf->codes[12199] = 0x00012ec8bed17d08UL;
   tf->codes[12200] = 0x00012edbbb305be7UL;
   tf->codes[12201] = 0x00012edd5519844aUL;
   tf->codes[12202] = 0x00012ee347a01a4cUL;
   tf->codes[12203] = 0x00012ee4a6fa3ceaUL;
   tf->codes[12204] = 0x00012ef2607f9716UL;
   tf->codes[12205] = 0x00012ef3854ab3efUL;
   tf->codes[12206] = 0x00012ef6096ff366UL;
   tf->codes[12207] = 0x00012efce632a07cUL;
   tf->codes[12208] = 0x00012efebaaacea4UL;
   tf->codes[12209] = 0x00012effdf75eb7dUL;
   tf->codes[12210] = 0x00012f03886647cdUL;
   tf->codes[12211] = 0x00012f03fd845357UL;
   tf->codes[12212] = 0x00012f073156a41dUL;
   tf->codes[12213] = 0x00012f0d23dd3a1fUL;
   tf->codes[12214] = 0x00012f122c27b90dUL;
   tf->codes[12215] = 0x00012f15256b040eUL;
   tf->codes[12216] = 0x00012f1943796be8UL;
   tf->codes[12217] = 0x00012f19f3267d37UL;
   tf->codes[12218] = 0x00012f20203c18feUL;
   tf->codes[12219] = 0x00012f2a6b601c9fUL;
   tf->codes[12220] = 0x00012f2ae07e2829UL;
   tf->codes[12221] = 0x00012f3d67befb7eUL;
   tf->codes[12222] = 0x00012f40267340baUL;
   tf->codes[12223] = 0x00012f43cf639d0aUL;
   tf->codes[12224] = 0x00012f47ed7204e4UL;
   tf->codes[12225] = 0x00012f49123d21bdUL;
   tf->codes[12226] = 0x00012f4f04c3b7bfUL;
   tf->codes[12227] = 0x00012f5bd40cfad7UL;
   tf->codes[12228] = 0x00012f5c0e9c009cUL;
   tf->codes[12229] = 0x00012f5d6df6233aUL;
   tf->codes[12230] = 0x00012f66cede0fc7UL;
   tf->codes[12231] = 0x00012f68dde543b4UL;
   tf->codes[12232] = 0x00012f6ab25d71dcUL;
   tf->codes[12233] = 0x00012f6de62fc2a2UL;
   tf->codes[12234] = 0x00012f715491192dUL;
   tf->codes[12235] = 0x00012f744dd4642eUL;
   tf->codes[12236] = 0x00012f81923bb2d0UL;
   tf->codes[12237] = 0x00012f87f9e0545cUL;
   tf->codes[12238] = 0x00012f8993c97cbfUL;
   tf->codes[12239] = 0x00012f953e47a2feUL;
   tf->codes[12240] = 0x00012f96d830cb61UL;
   tf->codes[12241] = 0x00012f9af63f333bUL;
   tf->codes[12242] = 0x00012f9f896ba69fUL;
   tf->codes[12243] = 0x00012fa3e209143eUL;
   tf->codes[12244] = 0x00012fa6662e53b5UL;
   tf->codes[12245] = 0x00012fa800177c18UL;
   tf->codes[12246] = 0x00012faccdd2f541UL;
   tf->codes[12247] = 0x00012fb3aa95a257UL;
   tf->codes[12248] = 0x00012fbf1a84c2d1UL;
   tf->codes[12249] = 0x00012fc19eaa0248UL;
   tf->codes[12250] = 0x00012fcb3a20f49aUL;
   tf->codes[12251] = 0x00012fd87e88433cUL;
   tf->codes[12252] = 0x00012ff4a14008e3UL;
   tf->codes[12253] = 0x00012ff6b0473cd0UL;
   tf->codes[12254] = 0x00012ffd17ebde5cUL;
   tf->codes[12255] = 0x00012ffeb1d506bfUL;
   tf->codes[12256] = 0x00013000112f295dUL;
   tf->codes[12257] = 0x00013000fb6b4071UL;
   tf->codes[12258] = 0x0001300170894bfbUL;
   tf->codes[12259] = 0x0001301173a4dfd9UL;
   tf->codes[12260] = 0x000130146ce82adaUL;
   tf->codes[12261] = 0x0001301591b347b3UL;
   tf->codes[12262] = 0x0001301641605902UL;
   tf->codes[12263] = 0x000130193aa3a403UL;
   tf->codes[12264] = 0x000130293dbf37e1UL;
   tf->codes[12265] = 0x0001303388e33b82UL;
   tf->codes[12266] = 0x000130355d5b69aaUL;
   tf->codes[12267] = 0x0001303c3a1e16c0UL;
   tf->codes[12268] = 0x0001303d9978395eUL;
   tf->codes[12269] = 0x000130577299c553UL;
   tf->codes[12270] = 0x0001305d9faf611aUL;
   tf->codes[12271] = 0x0001305dda3e66dfUL;
   tf->codes[12272] = 0x000130626d6ada43UL;
   tf->codes[12273] = 0x000130639235f71cUL;
   tf->codes[12274] = 0x00013070d69d45beUL;
   tf->codes[12275] = 0x00013076c923dbc0UL;
   tf->codes[12276] = 0x00013078287dfe5eUL;
   tf->codes[12277] = 0x00013082ae3107c4UL;
   tf->codes[12278] = 0x00013085e203588aUL;
   tf->codes[12279] = 0x00013089c582ba9fUL;
   tf->codes[12280] = 0x000130957000e0deUL;
   tf->codes[12281] = 0x0001309fbb24e47fUL;
   tf->codes[12282] = 0x000130a11a7f071dUL;
   tf->codes[12283] = 0x000130b24265b7d4UL;
   tf->codes[12284] = 0x000130b53ba902d5UL;
   tf->codes[12285] = 0x000130b8e4995f25UL;
   tf->codes[12286] = 0x000130c0ab98234fUL;
   tf->codes[12287] = 0x000130cba669383fUL;
   tf->codes[12288] = 0x000130cf89e89a54UL;
   tf->codes[12289] = 0x000130d0aeb3b72dUL;
   tf->codes[12290] = 0x000130d3a7f7022eUL;
   tf->codes[12291] = 0x000130d62c1c41a5UL;
   tf->codes[12292] = 0x000130de2daa0b94UL;
   tf->codes[12293] = 0x000130e57f8ac434UL;
   tf->codes[12294] = 0x000130fa15d2cb76UL;
   tf->codes[12295] = 0x000130fb000ee28aUL;
   tf->codes[12296] = 0x000130fc99f80aedUL;
   tf->codes[12297] = 0x00013100f295788cUL;
   tf->codes[12298] = 0x00013110809300e0UL;
   tf->codes[12299] = 0x000131128f9a34cdUL;
   tf->codes[12300] = 0x0001311304b84057UL;
   tf->codes[12301] = 0x00013116ada89ca7UL;
   tf->codes[12302] = 0x000131180d02bf45UL;
   tf->codes[12303] = 0x0001311fd401836fUL;
   tf->codes[12304] = 0x000131355485a1c5UL;
   tf->codes[12305] = 0x000131367950be9eUL;
   tf->codes[12306] = 0x0001314b4a27cba5UL;
   tf->codes[12307] = 0x0001315b4d435f83UL;
   tf->codes[12308] = 0x0001316bc57cfeebUL;
   tf->codes[12309] = 0x00013174ebd5e5b3UL;
   tf->codes[12310] = 0x0001317ade5c7bb5UL;
   tf->codes[12311] = 0x0001317f36f9e954UL;
   tf->codes[12312] = 0x00013182dfea45a4UL;
   tf->codes[12313] = 0x00013185640f851bUL;
   tf->codes[12314] = 0x00013195a1ba1ebeUL;
   tf->codes[12315] = 0x00013196c6853b97UL;
   tf->codes[12316] = 0x0001319ae493a371UL;
   tf->codes[12317] = 0x000131a236745c11UL;
   tf->codes[12318] = 0x000131a3d05d8474UL;
   tf->codes[12319] = 0x000131a9fd73203bUL;
   tf->codes[12320] = 0x000131b06517c1c7UL;
   tf->codes[12321] = 0x000131b114c4d316UL;
   tf->codes[12322] = 0x000131b77c6974a2UL;
   tf->codes[12323] = 0x000131ba75acbfa3UL;
   tf->codes[12324] = 0x000131bab03bc568UL;
   tf->codes[12325] = 0x000131be592c21b8UL;
   tf->codes[12326] = 0x000131cbd822761fUL;
   tf->codes[12327] = 0x000131d364923484UL;
   tf->codes[12328] = 0x000131ddea453deaUL;
   tf->codes[12329] = 0x000131e2b800b713UL;
   tf->codes[12330] = 0x000131e451e9df76UL;
   tf->codes[12331] = 0x000131e86ff84750UL;
   tf->codes[12332] = 0x000131ee27efd78dUL;
   tf->codes[12333] = 0x000131f6297da17cUL;
   tf->codes[12334] = 0x000131f83884d569UL;
   tf->codes[12335] = 0x000131ffc4f493ceUL;
   tf->codes[12336] = 0x0001320a4aa79d34UL;
   tf->codes[12337] = 0x0001320be490c597UL;
   tf->codes[12338] = 0x00013217c99df19bUL;
   tf->codes[12339] = 0x0001321e6bd198ecUL;
   tf->codes[12340] = 0x0001322005bac14fUL;
   tf->codes[12341] = 0x00013223741c17daUL;
   tf->codes[12342] = 0x00013223aeab1d9fUL;
   tf->codes[12343] = 0x000132387f822aa6UL;
   tf->codes[12344] = 0x0001323969be41baUL;
   tf->codes[12345] = 0x00013240810ff495UL;
   tf->codes[12346] = 0x00013245fe787f0dUL;
   tf->codes[12347] = 0x0001324723439be6UL;
   tf->codes[12348] = 0x000132537d6ed374UL;
   tf->codes[12349] = 0x000132584b2a4c9dUL;
   tf->codes[12350] = 0x0001325b446d979eUL;
   tf->codes[12351] = 0x00013269e82f08deUL;
   tf->codes[12352] = 0x0001326b82183141UL;
   tf->codes[12353] = 0x00013270ff80bbb9UL;
   tf->codes[12354] = 0x000132772c965780UL;
   tf->codes[12355] = 0x0001327851617459UL;
   tf->codes[12356] = 0x000132793b9d8b6dUL;
   tf->codes[12357] = 0x000132981d099650UL;
   tf->codes[12358] = 0x0001329d2554153eUL;
   tf->codes[12359] = 0x0001329e84ae37dcUL;
   tf->codes[12360] = 0x0001329f345b492bUL;
   tf->codes[12361] = 0x000132a093b56bc9UL;
   tf->codes[12362] = 0x000132a90a614142UL;
   tf->codes[12363] = 0x000132ab53f77af4UL;
   tf->codes[12364] = 0x000132b529fd730bUL;
   tf->codes[12365] = 0x000132b6895795a9UL;
   tf->codes[12366] = 0x000132b8d2edcf5bUL;
   tf->codes[12367] = 0x000132bae1f50348UL;
   tf->codes[12368] = 0x000132c3cdbee44bUL;
   tf->codes[12369] = 0x000132dc82155367UL;
   tf->codes[12370] = 0x000132de1bfe7bcaUL;
   tf->codes[12371] = 0x000132eab0b8b91dUL;
   tf->codes[12372] = 0x000132eaeb47bee2UL;
   tf->codes[12373] = 0x000132eb6065ca6cUL;
   tf->codes[12374] = 0x000132f068b0495aUL;
   tf->codes[12375] = 0x000132f620a7d997UL;
   tf->codes[12376] = 0x000132fab3d44cfbUL;
   tf->codes[12377] = 0x000132fdad1797fcUL;
   tf->codes[12378] = 0x0001330ab6efe0d9UL;
   tf->codes[12379] = 0x0001330c50d9093cUL;
   tf->codes[12380] = 0x00013313dd48c7a1UL;
   tf->codes[12381] = 0x000133145266d32bUL;
   tf->codes[12382] = 0x00013316616e0718UL;
   tf->codes[12383] = 0x0001332121b01643UL;
   tf->codes[12384] = 0x00013325b4dc89a7UL;
   tf->codes[12385] = 0x0001332ea0a66aaaUL;
   tf->codes[12386] = 0x0001333a10958b24UL;
   tf->codes[12387] = 0x0001333c1f9cbf11UL;
   tf->codes[12388] = 0x00013343ac0c7d76UL;
   tf->codes[12389] = 0x000133449648948aUL;
   tf->codes[12390] = 0x00013352ff7b0005UL;
   tf->codes[12391] = 0x000133550e8233f2UL;
   tf->codes[12392] = 0x00013356e2fa621aUL;
   tf->codes[12393] = 0x000133592c909bccUL;
   tf->codes[12394] = 0x0001335a515bb8a5UL;
   tf->codes[12395] = 0x0001335bb0b5db43UL;
   tf->codes[12396] = 0x0001335beb44e108UL;
   tf->codes[12397] = 0x000133607e71546cUL;
   tf->codes[12398] = 0x000133687fff1e5bUL;
   tf->codes[12399] = 0x0001336ac995580dUL;
   tf->codes[12400] = 0x0001336ead14ba22UL;
   tf->codes[12401] = 0x000133796d56c94dUL;
   tf->codes[12402] = 0x0001337accb0ebebUL;
   tf->codes[12403] = 0x0001337c669a144eUL;
   tf->codes[12404] = 0x000133804a197663UL;
   tf->codes[12405] = 0x0001338084a87c28UL;
   tf->codes[12406] = 0x0001338886364617UL;
   tf->codes[12407] = 0x0001338acfcc7fc9UL;
   tf->codes[12408] = 0x0001339346785542UL;
   tf->codes[12409] = 0x0001339d919c58e3UL;
   tf->codes[12410] = 0x000133a0c56ea9a9UL;
   tf->codes[12411] = 0x000133a46e5f05f9UL;
   tf->codes[12412] = 0x000133b4ac099f9cUL;
   tf->codes[12413] = 0x000133bb4e3d46edUL;
   tf->codes[12414] = 0x000133bbfdea583cUL;
   tf->codes[12415] = 0x000133bf31bca902UL;
   tf->codes[12416] = 0x000133c60e7f5618UL;
   tf->codes[12417] = 0x000133c6839d61a2UL;
   tf->codes[12418] = 0x000133d1b8fd7c57UL;
   tf->codes[12419] = 0x000133d820a21de3UL;
   tf->codes[12420] = 0x000133de8846bf6fUL;
   tf->codes[12421] = 0x000133e231371bbfUL;
   tf->codes[12422] = 0x000133e2a6552749UL;
   tf->codes[12423] = 0x000133e4efeb60fbUL;
   tf->codes[12424] = 0x000133e59f98724aUL;
   tf->codes[12425] = 0x000133f408caddc5UL;
   tf->codes[12426] = 0x000133f47de8e94fUL;
   tf->codes[12427] = 0x000133f4b877ef14UL;
   tf->codes[12428] = 0x000133f5a2b40628UL;
   tf->codes[12429] = 0x000133f7ec4a3fdaUL;
   tf->codes[12430] = 0x000134009d851b18UL;
   tf->codes[12431] = 0x0001340446757768UL;
   tf->codes[12432] = 0x00013405e05e9fcbUL;
   tf->codes[12433] = 0x00013406557cab55UL;
   tf->codes[12434] = 0x000134094ebff656UL;
   tf->codes[12435] = 0x0001341449910b46UL;
   tf->codes[12436] = 0x00013418679f7320UL;
   tf->codes[12437] = 0x000134244cac9f24UL;
   tf->codes[12438] = 0x00013425ac06c1c2UL;
   tf->codes[12439] = 0x0001342745efea25UL;
   tf->codes[12440] = 0x00013428302c0139UL;
   tf->codes[12441] = 0x00013441cebe8769UL;
   tf->codes[12442] = 0x0001344243dc92f3UL;
   tf->codes[12443] = 0x00013445b23de97eUL;
   tf->codes[12444] = 0x00013448ab81347fUL;
   tf->codes[12445] = 0x00013449209f4009UL;
   tf->codes[12446] = 0x0001344995bd4b93UL;
   tf->codes[12447] = 0x0001344b2fa673f6UL;
   tf->codes[12448] = 0x0001345331343de5UL;
   tf->codes[12449] = 0x000134595e49d9acUL;
   tf->codes[12450] = 0x0001345e6694589aUL;
   tf->codes[12451] = 0x00013472c24d5a17UL;
   tf->codes[12452] = 0x000134754672998eUL;
   tf->codes[12453] = 0x000134845f521658UL;
   tf->codes[12454] = 0x000134887d607e32UL;
   tf->codes[12455] = 0x00013488f27e89bcUL;
   tf->codes[12456] = 0x000134980b5e0686UL;
   tf->codes[12457] = 0x00013499dfd634aeUL;
   tf->codes[12458] = 0x000134a0bc98e1c4UL;
   tf->codes[12459] = 0x000134a4a01843d9UL;
   tf->codes[12460] = 0x000134b2942ca3caUL;
   tf->codes[12461] = 0x000134bf6375e6e2UL;
   tf->codes[12462] = 0x000134bfd893f26cUL;
   tf->codes[12463] = 0x000134c1e79b2659UL;
   tf->codes[12464] = 0x000134c6efe5a547UL;
   tf->codes[12465] = 0x000134c9397bdef9UL;
   tf->codes[12466] = 0x000134cbbda11e70UL;
   tf->codes[12467] = 0x000134d1eab6ba37UL;
   tf->codes[12468] = 0x000134d593a71687UL;
   tf->codes[12469] = 0x000134de7f70f78aUL;
   tf->codes[12470] = 0x000134e053e925b2UL;
   tf->codes[12471] = 0x000134e7a5c9de52UL;
   tf->codes[12472] = 0x000134ebc3d8462cUL;
   tf->codes[12473] = 0x000135026927815bUL;
   tf->codes[12474] = 0x00013506fc53f4bfUL;
   tf->codes[12475] = 0x0001350aa544510fUL;
   tf->codes[12476] = 0x00013518d3e7b6c5UL;
   tf->codes[12477] = 0x000135356bbd87f6UL;
   tf->codes[12478] = 0x000135389f8fd8bcUL;
   tf->codes[12479] = 0x000135394f3cea0bUL;
   tf->codes[12480] = 0x0001353b5e441df8UL;
   tf->codes[12481] = 0x0001353da7da57aaUL;
   tf->codes[12482] = 0x0001354bd67dbd60UL;
   tf->codes[12483] = 0x0001354e2013f712UL;
   tf->codes[12484] = 0x00013558a5c70078UL;
   tf->codes[12485] = 0x000135599003178cUL;
   tf->codes[12486] = 0x0001355c14285703UL;
   tf->codes[12487] = 0x0001355d738279a1UL;
   tf->codes[12488] = 0x00013564fff23806UL;
   tf->codes[12489] = 0x00013567498871b8UL;
   tf->codes[12490] = 0x000135857b476b4cUL;
   tf->codes[12491] = 0x00013597c7f938dcUL;
   tf->codes[12492] = 0x0001359927535b7aUL;
   tf->codes[12493] = 0x000135a6a649afe1UL;
   tf->codes[12494] = 0x000135a964fdf51dUL;
   tf->codes[12495] = 0x000135a99f8cfae2UL;
   tf->codes[12496] = 0x000135aa4f3a0c31UL;
   tf->codes[12497] = 0x000135b1668bbf0cUL;
   tf->codes[12498] = 0x000135b634473835UL;
   tf->codes[12499] = 0x000135b8f2fb7d71UL;
   tf->codes[12500] = 0x000135b92d8a8336UL;
   tf->codes[12501] = 0x000135bb0202b15eUL;
   tf->codes[12502] = 0x000135bbec3ec872UL;
   tf->codes[12503] = 0x000135c80bdafa3bUL;
   tf->codes[12504] = 0x000135c96b351cd9UL;
   tf->codes[12505] = 0x000135d6af9c6b7bUL;
   tf->codes[12506] = 0x000135d7d4678854UL;
   tf->codes[12507] = 0x000135d8498593deUL;
   tf->codes[12508] = 0x000135e294a9977fUL;
   tf->codes[12509] = 0x000135e3f403ba1dUL;
   tf->codes[12510] = 0x000135e8fc4e390bUL;
   tf->codes[12511] = 0x000135fa2434e9c2UL;
   tf->codes[12512] = 0x00013603fa3ae1d9UL;
   tf->codes[12513] = 0x0001360977a36c51UL;
   tf->codes[12514] = 0x00013615973f9e1aUL;
   tf->codes[12515] = 0x00013616bc0abaf3UL;
   tf->codes[12516] = 0x00013623c5e303d0UL;
   tf->codes[12517] = 0x000136352858ba4cUL;
   tf->codes[12518] = 0x00013635d805cb9bUL;
   tf->codes[12519] = 0x00013654f400dc43UL;
   tf->codes[12520] = 0x0001365cf58ea632UL;
   tf->codes[12521] = 0x00013671c665b339UL;
   tf->codes[12522] = 0x00013676ceb03227UL;
   tf->codes[12523] = 0x0001367b61dca58bUL;
   tf->codes[12524] = 0x000136806a272479UL;
   tf->codes[12525] = 0x0001368119d435c8UL;
   tf->codes[12526] = 0x0001368955f1057cUL;
   tf->codes[12527] = 0x00013695eaab42cfUL;
   tf->codes[12528] = 0x0001369d3c8bfb6fUL;
   tf->codes[12529] = 0x000136a0e57c57bfUL;
   tf->codes[12530] = 0x000136a787afff10UL;
   tf->codes[12531] = 0x000136aba5be66eaUL;
   tf->codes[12532] = 0x000136c78de726ccUL;
   tf->codes[12533] = 0x000136d6e155a95bUL;
   tf->codes[12534] = 0x000136d9657ae8d2UL;
   tf->codes[12535] = 0x000136dc994d3998UL;
   tf->codes[12536] = 0x000136f16a24469fUL;
   tf->codes[12537] = 0x000136fcda136719UL;
   tf->codes[12538] = 0x000136feae8b9541UL;
   tf->codes[12539] = 0x00013703072902e0UL;
   tf->codes[12540] = 0x00013705163036cdUL;
   tf->codes[12541] = 0x000137080f7381ceUL;
   tf->codes[12542] = 0x0001370884918d58UL;
   tf->codes[12543] = 0x00013718c23c26fbUL;
   tf->codes[12544] = 0x0001371ad1435ae8UL;
   tf->codes[12545] = 0x0001371b46616672UL;
   tf->codes[12546] = 0x00013736b96c1acaUL;
   tf->codes[12547] = 0x00013737a3a831deUL;
   tf->codes[12548] = 0x000137388de448f2UL;
   tf->codes[12549] = 0x00013744e80f8080UL;
   tf->codes[12550] = 0x00013751f1e7c95dUL;
   tf->codes[12551] = 0x000137564a8536fcUL;
   tf->codes[12552] = 0x0001375bc7edc174UL;
   tf->codes[12553] = 0x000137656364b3c6UL;
   tf->codes[12554] = 0x0001376f73f9b1a2UL;
   tf->codes[12555] = 0x000137705e35c8b6UL;
   tf->codes[12556] = 0x00013789c2394921UL;
   tf->codes[12557] = 0x00013790d98afbfcUL;
   tf->codes[12558] = 0x0001379ff26a78c6UL;
   tf->codes[12559] = 0x000137a65a0f1a52UL;
   tf->codes[12560] = 0x000137a709bc2ba1UL;
   tf->codes[12561] = 0x000137ca43c5a423UL;
   tf->codes[12562] = 0x000137d8726909d9UL;
   tf->codes[12563] = 0x000137deda0dab65UL;
   tf->codes[12564] = 0x000137df89babcb4UL;
   tf->codes[12565] = 0x000137e282fe07b5UL;
   tf->codes[12566] = 0x000137e3e2582a53UL;
   tf->codes[12567] = 0x000137e4577635ddUL;
   tf->codes[12568] = 0x000137e80066922dUL;
   tf->codes[12569] = 0x000137e8b013a37cUL;
   tf->codes[12570] = 0x000137ea49fccbdfUL;
   tf->codes[12571] = 0x000137eabf1ad769UL;
   tf->codes[12572] = 0x000137f83e112bd0UL;
   tf->codes[12573] = 0x000138045dad5d99UL;
   tf->codes[12574] = 0x000138092b68d6c2UL;
   tf->codes[12575] = 0x0001380f587e7289UL;
   tf->codes[12576] = 0x00013810b7d89527UL;
   tf->codes[12577] = 0x00013813768cda63UL;
   tf->codes[12578] = 0x000138142639ebb2UL;
   tf->codes[12579] = 0x0001381ee67bfaddUL;
   tf->codes[12580] = 0x00013843ba6e9bc2UL;
   tf->codes[12581] = 0x00013853bd8a2fa0UL;
   tf->codes[12582] = 0x000138567c3e74dcUL;
   tf->codes[12583] = 0x00013862d669ac6aUL;
   tf->codes[12584] = 0x0001386769961fceUL;
   tf->codes[12585] = 0x0001386a9d687094UL;
   tf->codes[12586] = 0x0001386ad7f77659UL;
   tf->codes[12587] = 0x0001386d96abbb95UL;
   tf->codes[12588] = 0x00013876f793a822UL;
   tf->codes[12589] = 0x0001387b503115c1UL;
   tf->codes[12590] = 0x000138810828a5feUL;
   tf->codes[12591] = 0x0001388142b7abc3UL;
   tf->codes[12592] = 0x00013883172fd9ebUL;
   tf->codes[12593] = 0x0001388909b66fedUL;
   tf->codes[12594] = 0x00013897e806e6f2UL;
   tf->codes[12595] = 0x0001389897b3f841UL;
   tf->codes[12596] = 0x0001389a6c2c2669UL;
   tf->codes[12597] = 0x0001389eff5899cdUL;
   tf->codes[12598] = 0x0001389f39e79f92UL;
   tf->codes[12599] = 0x000138a616aa4ca8UL;
   tf->codes[12600] = 0x000138c8a106b3dbUL;
   tf->codes[12601] = 0x000138d410f5d455UL;
   tf->codes[12602] = 0x000138db9d6592baUL;
   tf->codes[12603] = 0x000138df80e4f4cfUL;
   tf->codes[12604] = 0x000138e0e03f176dUL;
   tf->codes[12605] = 0x000138e4c3be7982UL;
   tf->codes[12606] = 0x000138e747e3b8f9UL;
   tf->codes[12607] = 0x000138ecffdb4936UL;
   tf->codes[12608] = 0x000138fb690db4b1UL;
   tf->codes[12609] = 0x00013907138bdaf0UL;
   tf->codes[12610] = 0x00013909d240202cUL;
   tf->codes[12611] = 0x0001390abc7c3740UL;
   tf->codes[12612] = 0x00013914cd11351cUL;
   tf->codes[12613] = 0x00013925454ad484UL;
   tf->codes[12614] = 0x00013926a4a4f722UL;
   tf->codes[12615] = 0x0001392ac2b35efcUL;
   tf->codes[12616] = 0x000139321494179cUL;
   tf->codes[12617] = 0x00013935f81379b1UL;
   tf->codes[12618] = 0x0001393bb00b09eeUL;
   tf->codes[12619] = 0x000139407dc68317UL;
   tf->codes[12620] = 0x000139471ffa2a68UL;
   tf->codes[12621] = 0x0001395dc5496597UL;
   tf->codes[12622] = 0x0001395fd4509984UL;
   tf->codes[12623] = 0x00013966eba24c5fUL;
   tf->codes[12624] = 0x0001396a1f749d25UL;
   tf->codes[12625] = 0x0001396e3d8304ffUL;
   tf->codes[12626] = 0x00013977294ce602UL;
   tf->codes[12627] = 0x00013988513396b9UL;
   tf->codes[12628] = 0x00013989b08db957UL;
   tf->codes[12629] = 0x00013997a4a21948UL;
   tf->codes[12630] = 0x0001399fa62fe337UL;
   tf->codes[12631] = 0x000139a3c43e4b11UL;
   tf->codes[12632] = 0x000139a55e277374UL;
   tf->codes[12633] = 0x000139b7e56846c9UL;
   tf->codes[12634] = 0x000139bfac670af3UL;
   tf->codes[12635] = 0x000139c7e883daa7UL;
   tf->codes[12636] = 0x000139cbcc033cbcUL;
   tf->codes[12637] = 0x000139d5a20934d3UL;
   tf->codes[12638] = 0x000139d7eb9f6e85UL;
   tf->codes[12639] = 0x000139e09cda49c3UL;
   tf->codes[12640] = 0x000139e6c9efe58aUL;
   tf->codes[12641] = 0x000139e913861f3cUL;
   tf->codes[12642] = 0x000139e9fdc23650UL;
   tf->codes[12643] = 0x00013a0695980781UL;
   tf->codes[12644] = 0x00013a1155da16acUL;
   tf->codes[12645] = 0x00013a1c8b3a3161UL;
   tf->codes[12646] = 0x00013a1dea9453ffUL;
   tf->codes[12647] = 0x00013a2a0a3085c8UL;
   tf->codes[12648] = 0x00013a2a7f4e9152UL;
   tf->codes[12649] = 0x00013a2c1937b9b5UL;
   tf->codes[12650] = 0x00013a35ef3db1ccUL;
   tf->codes[12651] = 0x00013a3b6ca63c44UL;
   tf->codes[12652] = 0x00013a4b3532ca5dUL;
   tf->codes[12653] = 0x00013a53714f9a11UL;
   tf->codes[12654] = 0x00013a578f5e01ebUL;
   tf->codes[12655] = 0x00013a5a4e124727UL;
   tf->codes[12656] = 0x00013a742733d31cUL;
   tf->codes[12657] = 0x00013a77959529a7UL;
   tf->codes[12658] = 0x00013a7b03f68032UL;
   tf->codes[12659] = 0x00013a7c6350a2d0UL;
   tf->codes[12660] = 0x00013a7dc2aac56eUL;
   tf->codes[12661] = 0x00013a916eb6b59cUL;
   tf->codes[12662] = 0x00013a91e3d4c126UL;
   tf->codes[12663] = 0x00013a95523617b1UL;
   tf->codes[12664] = 0x00013aa25c0e608eUL;
   tf->codes[12665] = 0x00013aab0d493bccUL;
   tf->codes[12666] = 0x00013ab2d447fff6UL;
   tf->codes[12667] = 0x00013ab6b7c7620bUL;
   tf->codes[12668] = 0x00013ac6f571fbaeUL;
   tf->codes[12669] = 0x00013ac730010173UL;
   tf->codes[12670] = 0x00013acfa6acd6ecUL;
   tf->codes[12671] = 0x00013ad439d94a50UL;
   tf->codes[12672] = 0x00013ada2c5fe052UL;
   tf->codes[12673] = 0x00013ade0fdf4267UL;
   tf->codes[12674] = 0x00013ae0940481deUL;
   tf->codes[12675] = 0x00013aebc9649c93UL;
   tf->codes[12676] = 0x00013afae244195dUL;
   tf->codes[12677] = 0x00013b0d6984ecb2UL;
   tf->codes[12678] = 0x00013b19c3b02440UL;
   tf->codes[12679] = 0x00013b1bd2b7582dUL;
   tf->codes[12680] = 0x00013b261ddb5bceUL;
   tf->codes[12681] = 0x00013b3e97a2c525UL;
   tf->codes[12682] = 0x00013b3ed231caeaUL;
   tf->codes[12683] = 0x00013b3ff6fce7c3UL;
   tf->codes[12684] = 0x00013b44150b4f9dUL;
   tf->codes[12685] = 0x00013b457465723bUL;
   tf->codes[12686] = 0x00013b45e9837dc5UL;
   tf->codes[12687] = 0x00013b5aba5a8accUL;
   tf->codes[12688] = 0x00013b615c8e321dUL;
   tf->codes[12689] = 0x00013b671485c25aUL;
   tf->codes[12690] = 0x00013b741e5e0b37UL;
   tf->codes[12691] = 0x00013b78ec198460UL;
   tf->codes[12692] = 0x00013b7b35afbe12UL;
   tf->codes[12693] = 0x00013b95be7e5b56UL;
   tf->codes[12694] = 0x00013b9beb93f71dUL;
   tf->codes[12695] = 0x00013b9dfa9b2b0aUL;
   tf->codes[12696] = 0x00013b9e6fb93694UL;
   tf->codes[12697] = 0x00013ba6abd60648UL;
   tf->codes[12698] = 0x00013baac9e46e22UL;
   tf->codes[12699] = 0x00013bbbf1cb1ed9UL;
   tf->codes[12700] = 0x00013bbe3b61588bUL;
   tf->codes[12701] = 0x00013bc134a4a38cUL;
   tf->codes[12702] = 0x00013bc343abd779UL;
   tf->codes[12703] = 0x00013bc4dd94ffdcUL;
   tf->codes[12704] = 0x00013bcad01b95deUL;
   tf->codes[12705] = 0x00013bd51b3f997fUL;
   tf->codes[12706] = 0x00013bd6057bb093UL;
   tf->codes[12707] = 0x00013bdeb6b68bd1UL;
   tf->codes[12708] = 0x00013be5937938e7UL;
   tf->codes[12709] = 0x00013be72d62614aUL;
   tf->codes[12710] = 0x00013bebc08ed4aeUL;
   tf->codes[12711] = 0x00013bf7a59c00b2UL;
   tf->codes[12712] = 0x00013c00cbf4e77aUL;
   tf->codes[12713] = 0x00013c0b8c36f6a5UL;
   tf->codes[12714] = 0x00013c0bc6c5fc6aUL;
   tf->codes[12715] = 0x00013c15d75afa46UL;
   tf->codes[12716] = 0x00013c1c0470960dUL;
   tf->codes[12717] = 0x00013c489f61fb1cUL;
   tf->codes[12718] = 0x00013c5de55713adUL;
   tf->codes[12719] = 0x00013c662173e361UL;
   tf->codes[12720] = 0x00013c68e028289dUL;
   tf->codes[12721] = 0x00013c71cbf209a0UL;
   tf->codes[12722] = 0x00013c7783e999ddUL;
   tf->codes[12723] = 0x00013c78a8b4b6b6UL;
   tf->codes[12724] = 0x00013c7d01522455UL;
   tf->codes[12725] = 0x00013c7fc0066991UL;
   tf->codes[12726] = 0x00013c848dc1e2baUL;
   tf->codes[12727] = 0x00013c8bdfa29b5aUL;
   tf->codes[12728] = 0x00013c962ac69efbUL;
   tf->codes[12729] = 0x00013c9a48d506d5UL;
   tf->codes[12730] = 0x00013c9ea1727474UL;
   tf->codes[12731] = 0x00013cabab4abd51UL;
   tf->codes[12732] = 0x00013cbea7a99c30UL;
   tf->codes[12733] = 0x00013cc4d4bf37f7UL;
   tf->codes[12734] = 0x00013cd5c216e2e9UL;
   tf->codes[12735] = 0x00013cd880cb2825UL;
   tf->codes[12736] = 0x00013cda8fd25c12UL;
   tf->codes[12737] = 0x00013cdd13f79b89UL;
   tf->codes[12738] = 0x00013ce0f776fd9eUL;
   tf->codes[12739] = 0x00013ce16c950928UL;
   tf->codes[12740] = 0x00013ce7d439aab4UL;
   tf->codes[12741] = 0x00013ce9e340dea1UL;
   tf->codes[12742] = 0x00013cf602dd106aUL;
   tf->codes[12743] = 0x00013cf9713e66f5UL;
   tf->codes[12744] = 0x00013d00c31f1f95UL;
   tf->codes[12745] = 0x00013d097459fad3UL;
   tf->codes[12746] = 0x00013d0c6d9d45d4UL;
   tf->codes[12747] = 0x00013d122594d611UL;
   tf->codes[12748] = 0x00013d1f69fc24b3UL;
   tf->codes[12749] = 0x00013d260c2fcc04UL;
   tf->codes[12750] = 0x00013d2890550b7bUL;
   tf->codes[12751] = 0x00013d2bc4275c41UL;
   tf->codes[12752] = 0x00013d490baa3ec1UL;
   tf->codes[12753] = 0x00013d49f5e655d5UL;
   tf->codes[12754] = 0x00013d4bca5e83fdUL;
   tf->codes[12755] = 0x00013d5cf24534b4UL;
   tf->codes[12756] = 0x00013d652e620468UL;
   tf->codes[12757] = 0x00013d844a5d1510UL;
   tf->codes[12758] = 0x00013d882ddc7725UL;
   tf->codes[12759] = 0x00013d9537b4c002UL;
   tf->codes[12760] = 0x00013da8a931aa6bUL;
   tf->codes[12761] = 0x00013dbfc39ef124UL;
   tf->codes[12762] = 0x00013dc62b4392b0UL;
   tf->codes[12763] = 0x00013dd49475fe2bUL;
   tf->codes[12764] = 0x00013ddafc1a9fb7UL;
   tf->codes[12765] = 0x00013de2136c5292UL;
   tf->codes[12766] = 0x00013de42273867fUL;
   tf->codes[12767] = 0x00013de9da6b16bcUL;
   tf->codes[12768] = 0x00013df6a9b459d4UL;
   tf->codes[12769] = 0x00013df7ce7f76adUL;
   tf->codes[12770] = 0x00013e116d11fcddUL;
   tf->codes[12771] = 0x00013e14db735368UL;
   tf->codes[12772] = 0x00013e225a69a7cfUL;
   tf->codes[12773] = 0x00013e38ffb8e2feUL;
   tf->codes[12774] = 0x00013e3e429267b1UL;
   tf->codes[12775] = 0x00013e429b2fd550UL;
   tf->codes[12776] = 0x00013e45cf022616UL;
   tf->codes[12777] = 0x00013e56bc59d108UL;
   tf->codes[12778] = 0x00013e61420cda6eUL;
   tf->codes[12779] = 0x00013e7aa6105ad9UL;
   tf->codes[12780] = 0x00013e7d2a359a50UL;
   tf->codes[12781] = 0x00013e814844022aUL;
   tf->codes[12782] = 0x00013e92aab9b8a6UL;
   tf->codes[12783] = 0x00013e99877c65bcUL;
   tf->codes[12784] = 0x00013e9de019d35bUL;
   tf->codes[12785] = 0x00013ea0d95d1e5cUL;
   tf->codes[12786] = 0x00013ea113ec2421UL;
   tf->codes[12787] = 0x00013ea8daeae84bUL;
   tf->codes[12788] = 0x00013eaa3a450ae9UL;
   tf->codes[12789] = 0x00013eaae9f21c38UL;
   tf->codes[12790] = 0x00013eab248121fdUL;
   tf->codes[12791] = 0x00013ebf45ab1db5UL;
   tf->codes[12792] = 0x00013ec11a234bddUL;
   tf->codes[12793] = 0x00013ec8a6930a42UL;
   tf->codes[12794] = 0x00013ecaf02943f4UL;
   tf->codes[12795] = 0x00013ecc8a126c57UL;
   tf->codes[12796] = 0x00013ece23fb94baUL;
   tf->codes[12797] = 0x00013ed7bf72870cUL;
   tf->codes[12798] = 0x00013ed8a9ae9e20UL;
   tf->codes[12799] = 0x00013ede9c353422UL;
   tf->codes[12800] = 0x00013ef5b6a27adbUL;
   tf->codes[12801] = 0x00013efd0883337bUL;
   tf->codes[12802] = 0x00013f145d7f7ff9UL;
   tf->codes[12803] = 0x00013f1547bb970dUL;
   tf->codes[12804] = 0x00013f15f768a85cUL;
   tf->codes[12805] = 0x00013f1c247e4423UL;
   tf->codes[12806] = 0x00013f1f585094e9UL;
   tf->codes[12807] = 0x00013f249b2a199cUL;
   tf->codes[12808] = 0x00013f2a1892a414UL;
   tf->codes[12809] = 0x00013f32c9cd7f52UL;
   tf->codes[12810] = 0x00013f33045c8517UL;
   tf->codes[12811] = 0x00013f53ba40be22UL;
   tf->codes[12812] = 0x00013f61ae551e13UL;
   tf->codes[12813] = 0x00013f697553e23dUL;
   tf->codes[12814] = 0x00013f743595f168UL;
   tf->codes[12815] = 0x00013f7e462aef44UL;
   tf->codes[12816] = 0x00013f8a65c7210dUL;
   tf->codes[12817] = 0x00013f97e4bd7574UL;
   tf->codes[12818] = 0x00013fa6fd9cf23eUL;
   tf->codes[12819] = 0x00013fa9bc51377aUL;
   tf->codes[12820] = 0x00013fb1bddf0169UL;
   tf->codes[12821] = 0x00013fb7b065976bUL;
   tf->codes[12822] = 0x00013fbbce73ff45UL;
   tf->codes[12823] = 0x00013fc6542708abUL;
   tf->codes[12824] = 0x00013fda0032f8d9UL;
   tf->codes[12825] = 0x00013fe61fcf2aa2UL;
   tf->codes[12826] = 0x00013ff91c2e0981UL;
   tf->codes[12827] = 0x00013ff9914c150bUL;
   tf->codes[12828] = 0x000140053bca3b4aUL;
   tf->codes[12829] = 0x00014007fa7e8086UL;
   tf->codes[12830] = 0x0001400bddfde29bUL;
   tf->codes[12831] = 0x0001400f4c5f3926UL;
   tf->codes[12832] = 0x000140141a1ab24fUL;
   tf->codes[12833] = 0x00014017887c08daUL;
   tf->codes[12834] = 0x000140207445e9ddUL;
   tf->codes[12835] = 0x00014027510896f3UL;
   tf->codes[12836] = 0x00014029d52dd66aUL;
   tf->codes[12837] = 0x0001403cd18cb549UL;
   tf->codes[12838] = 0x00014049db64fe26UL;
   tf->codes[12839] = 0x0001404ac5a1153aUL;
   tf->codes[12840] = 0x0001405c2816cbb6UL;
   tf->codes[12841] = 0x00014060f5d244dfUL;
   tf->codes[12842] = 0x00014061e00e5bf3UL;
   tf->codes[12843] = 0x000140696c7e1a58UL;
   tf->codes[12844] = 0x0001406bf0a359cfUL;
   tf->codes[12845] = 0x00014073f23123beUL;
   tf->codes[12846] = 0x00014085c9c4e5c4UL;
   tf->codes[12847] = 0x000140884dea253bUL;
   tf->codes[12848] = 0x000140967c8d8af1UL;
   tf->codes[12849] = 0x000140a1ec7cab6bUL;
   tf->codes[12850] = 0x000140a31147c844UL;
   tf->codes[12851] = 0x000140a4e5bff66cUL;
   tf->codes[12852] = 0x000140a769e535e3UL;
   tf->codes[12853] = 0x000140b94178f7e9UL;
   tf->codes[12854] = 0x000140c10877bc13UL;
   tf->codes[12855] = 0x000140d7adc6f742UL;
   tf->codes[12856] = 0x000140e9bfe9bf0dUL;
   tf->codes[12857] = 0x000140f4babad3fdUL;
   tf->codes[12858] = 0x000140f6c9c207eaUL;
   tf->codes[12859] = 0x000141018a041715UL;
   tf->codes[12860] = 0x000141091673d57aUL;
   tf->codes[12861] = 0x0001410de42f4ea3UL;
   tf->codes[12862] = 0x000141144bd3f02fUL;
   tf->codes[12863] = 0x0001411f81340ae4UL;
   tf->codes[12864] = 0x0001411ff652166eUL;
   tf->codes[12865] = 0x0001412991c908c0UL;
   tf->codes[12866] = 0x0001413a0a02a828UL;
   tf->codes[12867] = 0x0001413e28111002UL;
   tf->codes[12868] = 0x000141436aea94b5UL;
   tf->codes[12869] = 0x00014148adc41968UL;
   tf->codes[12870] = 0x0001414f1568baf4UL;
   tf->codes[12871] = 0x000141515efef4a6UL;
   tf->codes[12872] = 0x0001415751858aa8UL;
   tf->codes[12873] = 0x0001415925fdb8d0UL;
   tf->codes[12874] = 0x0001415b6f93f282UL;
   tf->codes[12875] = 0x000141654599ea99UL;
   tf->codes[12876] = 0x0001416a135563c2UL;
   tf->codes[12877] = 0x0001417ee42c70c9UL;
   tf->codes[12878] = 0x00014181dd6fbbcaUL;
   tf->codes[12879] = 0x00014182c7abd2deUL;
   tf->codes[12880] = 0x000141a79b9e73c3UL;
   tf->codes[12881] = 0x000141af9d2c3db2UL;
   tf->codes[12882] = 0x000141b4e005c265UL;
   tf->codes[12883] = 0x000141b679eeeac8UL;
   tf->codes[12884] = 0x000141b84e6718f0UL;
   tf->codes[12885] = 0x000141b938a33004UL;
   tf->codes[12886] = 0x000141beb60bba7cUL;
   tf->codes[12887] = 0x000141bfdad6d755UL;
   tf->codes[12888] = 0x000141c1af4f057dUL;
   tf->codes[12889] = 0x000141c5cd5d6d57UL;
   tf->codes[12890] = 0x000141c88c11b293UL;
   tf->codes[12891] = 0x000141cb1036f20aUL;
   tf->codes[12892] = 0x000141e01b9d04d6UL;
   tf->codes[12893] = 0x000141e857b9d48aUL;
   tf->codes[12894] = 0x000141fa2f4d9690UL;
   tf->codes[12895] = 0x00014201469f496bUL;
   tf->codes[12896] = 0x000142110f2bd784UL;
   tf->codes[12897] = 0x00014214b81c33d4UL;
   tf->codes[12898] = 0x00014218267d8a5fUL;
   tf->codes[12899] = 0x000142189b9b95e9UL;
   tf->codes[12900] = 0x0001421b5a4fdb25UL;
   tf->codes[12901] = 0x0001422112476b62UL;
   tf->codes[12902] = 0x00014221876576ecUL;
   tf->codes[12903] = 0x000142244619bc28UL;
   tf->codes[12904] = 0x00014225a573dec6UL;
   tf->codes[12905] = 0x000142261a91ea50UL;
   tf->codes[12906] = 0x0001423399883eb7UL;
   tf->codes[12907] = 0x000142361dad7e2eUL;
   tf->codes[12908] = 0x0001423f09775f31UL;
   tf->codes[12909] = 0x00014241530d98e3UL;
   tf->codes[12910] = 0x000142465b5817d1UL;
   tf->codes[12911] = 0x0001424695e71d96UL;
   tf->codes[12912] = 0x00014247f5414034UL;
   tf->codes[12913] = 0x00014248df7d5748UL;
   tf->codes[12914] = 0x000142749032a543UL;
   tf->codes[12915] = 0x000142769f39d930UL;
   tf->codes[12916] = 0x0001427d7bfc8646UL;
   tf->codes[12917] = 0x000142815f7be85bUL;
   tf->codes[12918] = 0x0001428e2ec52b73UL;
   tf->codes[12919] = 0x00014297551e123bUL;
   tf->codes[12920] = 0x0001429badbb7fdaUL;
   tf->codes[12921] = 0x000142a6a88c94caUL;
   tf->codes[12922] = 0x000142b49ca0f4bbUL;
   tf->codes[12923] = 0x000142b511bf0045UL;
   tf->codes[12924] = 0x000142ca92431e9bUL;
   tf->codes[12925] = 0x000142d0f9e7c027UL;
   tf->codes[12926] = 0x000142e04d5642b6UL;
   tf->codes[12927] = 0x000142e63fdcd8b8UL;
   tf->codes[12928] = 0x000142e973af297eUL;
   tf->codes[12929] = 0x000142f817709abeUL;
   tf->codes[12930] = 0x000142fa9b95da35UL;
   tf->codes[12931] = 0x000142fad624dffaUL;
   tf->codes[12932] = 0x000142fc700e085dUL;
   tf->codes[12933] = 0x0001430262949e5fUL;
   tf->codes[12934] = 0x000143031241afaeUL;
   tf->codes[12935] = 0x0001431140e51564UL;
   tf->codes[12936] = 0x0001431599828303UL;
   tf->codes[12937] = 0x0001431bc6981ecaUL;
   tf->codes[12938] = 0x0001433898fcf5c0UL;
   tf->codes[12939] = 0x00014338d38bfb85UL;
   tf->codes[12940] = 0x0001433948aa070fUL;
   tf->codes[12941] = 0x00014347022f613bUL;
   tf->codes[12942] = 0x0001434b203dc915UL;
   tf->codes[12943] = 0x000143561b0ede05UL;
   tf->codes[12944] = 0x0001435b23595cf3UL;
   tf->codes[12945] = 0x0001435d326090e0UL;
   tf->codes[12946] = 0x00014362ea58211dUL;
   tf->codes[12947] = 0x0001436324e726e2UL;
   tf->codes[12948] = 0x0001436449b243bbUL;
   tf->codes[12949] = 0x0001437f0d0fe6c4UL;
   tf->codes[12950] = 0x00014384155a65b2UL;
   tf->codes[12951] = 0x000143891da4e4a0UL;
   tf->codes[12952] = 0x0001438b2cac188dUL;
   tf->codes[12953] = 0x0001438ba1ca2417UL;
   tf->codes[12954] = 0x0001439ffd832594UL;
   tf->codes[12955] = 0x000143a4cb3e9ebdUL;
   tf->codes[12956] = 0x000143ac1d1f575dUL;
   tf->codes[12957] = 0x000143b15ff8dc10UL;
   tf->codes[12958] = 0x000143b334710a38UL;
   tf->codes[12959] = 0x000143b668435afeUL;
   tf->codes[12960] = 0x000143b7c79d7d9cUL;
   tf->codes[12961] = 0x000143b8022c8361UL;
   tf->codes[12962] = 0x000143bbab1cdfb1UL;
   tf->codes[12963] = 0x000143be2f421f28UL;
   tf->codes[12964] = 0x000143c4d175c679UL;
   tf->codes[12965] = 0x000143da176adf0aUL;
   tf->codes[12966] = 0x000143df5a4463bdUL;
   tf->codes[12967] = 0x000143e6ac251c5dUL;
   tf->codes[12968] = 0x000143eaca338437UL;
   tf->codes[12969] = 0x000143efd27e0325UL;
   tf->codes[12970] = 0x000143f3f08c6affUL;
   tf->codes[12971] = 0x000143f9e3130101UL;
   tf->codes[12972] = 0x00014400bfd5ae17UL;
   tf->codes[12973] = 0x000144063d3e388fUL;
   tf->codes[12974] = 0x0001440677cd3e54UL;
   tf->codes[12975] = 0x00014415cb3bc0e3UL;
   tf->codes[12976] = 0x0001442175b9e722UL;
   tf->codes[12977] = 0x0001442b864ee4feUL;
   tf->codes[12978] = 0x0001443bc3f97ea1UL;
   tf->codes[12979] = 0x00014444ea526569UL;
   tf->codes[12980] = 0x0001445b1a83950eUL;
   tf->codes[12981] = 0x0001445bca30a65dUL;
   tf->codes[12982] = 0x0001445d6419cec0UL;
   tf->codes[12983] = 0x0001445fadb00872UL;
   tf->codes[12984] = 0x00014464f0898d25UL;
   tf->codes[12985] = 0x0001446565a798afUL;
   tf->codes[12986] = 0x0001446bcd4c3a3bUL;
   tf->codes[12987] = 0x00014481885f5e56UL;
   tf->codes[12988] = 0x00014484f6c0b4e1UL;
   tf->codes[12989] = 0x0001448bd38361f7UL;
   tf->codes[12990] = 0x0001449659366b5dUL;
   tf->codes[12991] = 0x000144995279b65eUL;
   tf->codes[12992] = 0x00014499c797c1e8UL;
   tf->codes[12993] = 0x000144a53786e262UL;
   tf->codes[12994] = 0x000144b15723142bUL;
   tf->codes[12995] = 0x000144b3662a4818UL;
   tf->codes[12996] = 0x000144bf4b37741cUL;
   tf->codes[12997] = 0x000144c871905ae4UL;
   tf->codes[12998] = 0x000144c9965b77bdUL;
   tf->codes[12999] = 0x000144ca0b798347UL;
   tf->codes[13000] = 0x000144caf5b59a5bUL;
   tf->codes[13001] = 0x000144ce2987eb21UL;
   tf->codes[13002] = 0x000144ced934fc70UL;
   tf->codes[13003] = 0x000144d0731e24d3UL;
   tf->codes[13004] = 0x000144d62b15b510UL;
   tf->codes[13005] = 0x000144d6a033c09aUL;
   tf->codes[13006] = 0x000144d924590011UL;
   tf->codes[13007] = 0x000144dc1d9c4b12UL;
   tf->codes[13008] = 0x000144ddb7857375UL;
   tf->codes[13009] = 0x000144ddf214793aUL;
   tf->codes[13010] = 0x000144dfc68ca762UL;
   tf->codes[13011] = 0x000144e07639b8b1UL;
   tf->codes[13012] = 0x000144ebe628d92bUL;
   tf->codes[13013] = 0x000144f4d1f2ba2eUL;
   tf->codes[13014] = 0x000144f8b5721c43UL;
   tf->codes[13015] = 0x00014514287cd09bUL;
   tf->codes[13016] = 0x00014515fcf4fec3UL;
   tf->codes[13017] = 0x000145358e0e1af5UL;
   tf->codes[13018] = 0x00014541388c4134UL;
   tf->codes[13019] = 0x0001455e45801defUL;
   tf->codes[13020] = 0x0001456b4f5866ccUL;
   tf->codes[13021] = 0x0001456ebdb9bd57UL;
   tf->codes[13022] = 0x0001456fe284da30UL;
   tf->codes[13023] = 0x0001457f70826284UL;
   tf->codes[13024] = 0x00014581ba189c36UL;
   tf->codes[13025] = 0x00014582a454b34aUL;
   tf->codes[13026] = 0x0001459391ac5e3cUL;
   tf->codes[13027] = 0x00014595db4297eeUL;
   tf->codes[13028] = 0x0001459a33e0058dUL;
   tf->codes[13029] = 0x000145a09b84a719UL;
   tf->codes[13030] = 0x000145a185c0be2dUL;
   tf->codes[13031] = 0x000145aae6a8aabaUL;
   tf->codes[13032] = 0x000145b1c36b57d0UL;
   tf->codes[13033] = 0x000145b8dabd0aabUL;
   tf->codes[13034] = 0x000145cbd71be98aUL;
   tf->codes[13035] = 0x000145d70c7c043fUL;
   tf->codes[13036] = 0x000145da404e5505UL;
   tf->codes[13037] = 0x000145e241dc1ef4UL;
   tf->codes[13038] = 0x000145e27c6b24b9UL;
   tf->codes[13039] = 0x000145e366a73bcdUL;
   tf->codes[13040] = 0x000145e3dbc54757UL;
   tf->codes[13041] = 0x000145ea4369e8e3UL;
   tf->codes[13042] = 0x000145f6287714e7UL;
   tf->codes[13043] = 0x000145f712b32bfbUL;
   tf->codes[13044] = 0x000145f7fcef430fUL;
   tf->codes[13045] = 0x000145f8377e48d4UL;
   tf->codes[13046] = 0x000145fb6b50999aUL;
   tf->codes[13047] = 0x00014615b9903119UL;
   tf->codes[13048] = 0x000146178e085f41UL;
   tf->codes[13049] = 0x0001461bac16c71bUL;
   tf->codes[13050] = 0x00014620b4614609UL;
   tf->codes[13051] = 0x00014622c36879f6UL;
   tf->codes[13052] = 0x00014641df638a9eUL;
   tf->codes[13053] = 0x00014643794cb301UL;
   tf->codes[13054] = 0x0001464b404b772bUL;
   tf->codes[13055] = 0x000146637f83dabdUL;
   tf->codes[13056] = 0x0001466763033cd2UL;
   tf->codes[13057] = 0x0001466b0bf39922UL;
   tf->codes[13058] = 0x0001467eb7ff8950UL;
   tf->codes[13059] = 0x00014688c894872cUL;
   tf->codes[13060] = 0x0001469856920f80UL;
   tf->codes[13061] = 0x000146a38bf22a35UL;
   tf->codes[13062] = 0x000146a3c6812ffaUL;
   tf->codes[13063] = 0x000146a76f718c4aUL;
   tf->codes[13064] = 0x000146a97e78c037UL;
   tf->codes[13065] = 0x000146b59e14f200UL;
   tf->codes[13066] = 0x000146c2a7ed3addUL;
   tf->codes[13067] = 0x000146c4f183748fUL;
   tf->codes[13068] = 0x000146cbce4621a5UL;
   tf->codes[13069] = 0x000146dde068e970UL;
   tf->codes[13070] = 0x000146e61c85b924UL;
   tf->codes[13071] = 0x000146f2b13ff677UL;
   tf->codes[13072] = 0x000146f56ff43bb3UL;
   tf->codes[13073] = 0x000146fc4cb6e8c9UL;
   tf->codes[13074] = 0x000146fe5bbe1cb6UL;
   tf->codes[13075] = 0x000146ff45fa33caUL;
   tf->codes[13076] = 0x00014705e82ddb1bUL;
   tf->codes[13077] = 0x00014715eb496ef9UL;
   tf->codes[13078] = 0x0001471710148bd2UL;
   tf->codes[13079] = 0x00014718e48cb9faUL;
   tf->codes[13080] = 0x000147191f1bbfbfUL;
   tf->codes[13081] = 0x0001471f11a255c1UL;
   tf->codes[13082] = 0x0001472e2a81d28bUL;
   tf->codes[13083] = 0x00014731d3722edbUL;
   tf->codes[13084] = 0x0001473492267417UL;
   tf->codes[13085] = 0x000147499d8c86e3UL;
   tf->codes[13086] = 0x00014752c3e56dabUL;
   tf->codes[13087] = 0x0001476251e2f5ffUL;
   tf->codes[13088] = 0x0001476585b546c5UL;
   tf->codes[13089] = 0x0001476bed59e851UL;
   tf->codes[13090] = 0x00014772ca1c9567UL;
   tf->codes[13091] = 0x00014775c35fe068UL;
   tf->codes[13092] = 0x00014780be30f558UL;
   tf->codes[13093] = 0x00014784a1b0576dUL;
   tf->codes[13094] = 0x000147979e0f364cUL;
   tf->codes[13095] = 0x000147a88b66e13eUL;
   tf->codes[13096] = 0x000147abbf393204UL;
   tf->codes[13097] = 0x000147ac34573d8eUL;
   tf->codes[13098] = 0x000147bf6b452232UL;
   tf->codes[13099] = 0x000147c229f9676eUL;
   tf->codes[13100] = 0x000147cbc57059c0UL;
   tf->codes[13101] = 0x000147d9f413bf76UL;
   tf->codes[13102] = 0x000147db8dfce7d9UL;
   tf->codes[13103] = 0x000147dec1cf389fUL;
   tf->codes[13104] = 0x000147dfac0b4fb3UL;
   tf->codes[13105] = 0x000147e6fdec0853UL;
   tf->codes[13106] = 0x000147f9fa4ae732UL;
   tf->codes[13107] = 0x000147fe52e854d1UL;
   tf->codes[13108] = 0x0001480186baa597UL;
   tf->codes[13109] = 0x00014808d89b5e37UL;
   tf->codes[13110] = 0x00014815a7e4a14fUL;
   tf->codes[13111] = 0x00014817b6ebd53cUL;
   tf->codes[13112] = 0x0001482117d3c1c9UL;
   tf->codes[13113] = 0x00014835e8aaced0UL;
   tf->codes[13114] = 0x0001483e99e5aa0eUL;
   tf->codes[13115] = 0x0001484033ced271UL;
   tf->codes[13116] = 0x0001484660e46e38UL;
   tf->codes[13117] = 0x00014847facd969bUL;
   tf->codes[13118] = 0x0001485504a5df78UL;
   tf->codes[13119] = 0x0001485f153add54UL;
   tf->codes[13120] = 0x000148607494fff2UL;
   tf->codes[13121] = 0x00014867c675b892UL;
   tf->codes[13122] = 0x00014869605ee0f5UL;
   tf->codes[13123] = 0x00014871d70ab66eUL;
   tf->codes[13124] = 0x00014873ab82e496UL;
   tf->codes[13125] = 0x0001487719e43b21UL;
   tf->codes[13126] = 0x0001487a13278622UL;
   tf->codes[13127] = 0x0001487ac2d49771UL;
   tf->codes[13128] = 0x0001487c974cc599UL;
   tf->codes[13129] = 0x0001488841caebd8UL;
   tf->codes[13130] = 0x0001489461671da1UL;
   tf->codes[13131] = 0x000148975aaa68a2UL;
   tf->codes[13132] = 0x0001489bb347d641UL;
   tf->codes[13133] = 0x000148a130b060b9UL;
   tf->codes[13134] = 0x000148b58c696236UL;
   tf->codes[13135] = 0x000148be3da43d74UL;
   tf->codes[13136] = 0x000148c171768e3aUL;
   tf->codes[13137] = 0x000148c25bb2a54eUL;
   tf->codes[13138] = 0x000148c4302ad376UL;
   tf->codes[13139] = 0x000148c5ca13fbd9UL;
   tf->codes[13140] = 0x000148d51d827e68UL;
   tf->codes[13141] = 0x000148dce4814292UL;
   tf->codes[13142] = 0x000148e72fa54633UL;
   tf->codes[13143] = 0x000148eb8842b3d2UL;
   tf->codes[13144] = 0x000148f34f4177fcUL;
   tf->codes[13145] = 0x000148f76d4fdfd6UL;
   tf->codes[13146] = 0x0001490a2f1fb8f0UL;
   tf->codes[13147] = 0x00014911f61e7d1aUL;
   tf->codes[13148] = 0x000149139007a57dUL;
   tf->codes[13149] = 0x00014921498cffa9UL;
   tf->codes[13150] = 0x000149289b6db849UL;
   tf->codes[13151] = 0x0001492e8df44e4bUL;
   tf->codes[13152] = 0x00014934f598efd7UL;
   tf->codes[13153] = 0x00014937b44d3513UL;
   tf->codes[13154] = 0x0001493ecb9ee7eeUL;
   tf->codes[13155] = 0x0001493ff06a04c7UL;
   tf->codes[13156] = 0x00014957ba845ccfUL;
   tf->codes[13157] = 0x000149606bbf380dUL;
   tf->codes[13158] = 0x000149639f9188d3UL;
   tf->codes[13159] = 0x0001496c8b5b69d6UL;
   tf->codes[13160] = 0x0001497417cb283bUL;
   tf->codes[13161] = 0x00014975ec435663UL;
   tf->codes[13162] = 0x0001497db3421a8dUL;
   tf->codes[13163] = 0x0001497dedd12052UL;
   tf->codes[13164] = 0x00014988738429b8UL;
   tf->codes[13165] = 0x000149978c63a682UL;
   tf->codes[13166] = 0x00014999d5f9e034UL;
   tf->codes[13167] = 0x0001499c1f9019e6UL;
   tf->codes[13168] = 0x000149a0782d8785UL;
   tf->codes[13169] = 0x000149aac3518b26UL;
   tf->codes[13170] = 0x000149b040ba159eUL;
   tf->codes[13171] = 0x000149d9a7d929e7UL;
   tf->codes[13172] = 0x000149e0bf2adcc2UL;
   tf->codes[13173] = 0x000149e1e3f5f99bUL;
   tf->codes[13174] = 0x000149e7615e8413UL;
   tf->codes[13175] = 0x000149f221a0933eUL;
   tf->codes[13176] = 0x000149f84eb62f05UL;
   tf->codes[13177] = 0x000149fd1c71a82eUL;
   tf->codes[13178] = 0x00014a0eb976646fUL;
   tf->codes[13179] = 0x00014a14abfcfa71UL;
   tf->codes[13180] = 0x00014a1fe15d1526UL;
   tf->codes[13181] = 0x00014a201bec1aebUL;
   tf->codes[13182] = 0x00014a268390bc77UL;
   tf->codes[13183] = 0x00014a36fbca5bdfUL;
   tf->codes[13184] = 0x00014a4a6d474648UL;
   tf->codes[13185] = 0x00014a4b92126321UL;
   tf->codes[13186] = 0x00014a5234460a72UL;
   tf->codes[13187] = 0x00014a591108b788UL;
   tf->codes[13188] = 0x00014a609d7875edUL;
   tf->codes[13189] = 0x00014a69fe60627aUL;
   tf->codes[13190] = 0x00014a6a38ef683fUL;
   tf->codes[13191] = 0x00014a827827cbd1UL;
   tf->codes[13192] = 0x00014a8780724abfUL;
   tf->codes[13193] = 0x00014a969951c789UL;
   tf->codes[13194] = 0x00014a9c16ba5201UL;
   tf->codes[13195] = 0x00014a9ffa39b416UL;
   tf->codes[13196] = 0x00014aa11f04d0efUL;
   tf->codes[13197] = 0x00014aa995b0a668UL;
   tf->codes[13198] = 0x00014ab037e44db9UL;
   tf->codes[13199] = 0x00014ab62a6ae3bbUL;
   tf->codes[13200] = 0x00014ac83c8dab86UL;
   tf->codes[13201] = 0x00014ad6e04f1cc6UL;
   tf->codes[13202] = 0x00014adbae0a95efUL;
   tf->codes[13203] = 0x00014aee6fda6f09UL;
   tf->codes[13204] = 0x00014af009c3976cUL;
   tf->codes[13205] = 0x00014af5120e165aUL;
   tf->codes[13206] = 0x00014af80b51615bUL;
   tf->codes[13207] = 0x00014b037b4081d5UL;
   tf->codes[13208] = 0x00014b072430de25UL;
   tf->codes[13209] = 0x00014b16779f60b4UL;
   tf->codes[13210] = 0x00014b184c178edcUL;
   tf->codes[13211] = 0x00014b18fbc4a02bUL;
   tf->codes[13212] = 0x00014b22221d86f3UL;
   tf->codes[13213] = 0x00014b25cb0de343UL;
   tf->codes[13214] = 0x00014b37a2a1a549UL;
   tf->codes[13215] = 0x00014b41edc5a8eaUL;
   tf->codes[13216] = 0x00014b455c26ff75UL;
   tf->codes[13217] = 0x00014b52a08e4e17UL;
   tf->codes[13218] = 0x00014b7b928f56d6UL;
   tf->codes[13219] = 0x00014b7da1968ac3UL;
   tf->codes[13220] = 0x00014b82a9e109b1UL;
   tf->codes[13221] = 0x00014b83598e1b00UL;
   tf->codes[13222] = 0x00014b97059a0b2eUL;
   tf->codes[13223] = 0x00014b9914a13f1bUL;
   tf->codes[13224] = 0x00014ba1c5dc1a59UL;
   tf->codes[13225] = 0x00014baa01f8ea0dUL;
   tf->codes[13226] = 0x00014baa7716f597UL;
   tf->codes[13227] = 0x00014baaec350121UL;
   tf->codes[13228] = 0x00014babd6711835UL;
   tf->codes[13229] = 0x00014bb7bb7e4439UL;
   tf->codes[13230] = 0x00014bbd7375d476UL;
   tf->codes[13231] = 0x00014bbf47ee029eUL;
   tf->codes[13232] = 0x00014bc27bc05364UL;
   tf->codes[13233] = 0x00014bc86e46e966UL;
   tf->codes[13234] = 0x00014bd45354156aUL;
   tf->codes[13235] = 0x00014be74fb2f449UL;
   tf->codes[13236] = 0x00014be8747e1122UL;
   tf->codes[13237] = 0x00014befc65ec9c2UL;
   tf->codes[13238] = 0x00014bfa86a0d8edUL;
   tf->codes[13239] = 0x00014c02882ea2dcUL;
   tf->codes[13240] = 0x00014c0b73f883dfUL;
   tf->codes[13241] = 0x00014c1f5a9379d2UL;
   tf->codes[13242] = 0x00014c2a8ff39487UL;
   tf->codes[13243] = 0x00014c2aca829a4cUL;
   tf->codes[13244] = 0x00014c42949cf254UL;
   tf->codes[13245] = 0x00014c4309bafddeUL;
   tf->codes[13246] = 0x00014c43b9680f2dUL;
   tf->codes[13247] = 0x00014c4602fe48dfUL;
   tf->codes[13248] = 0x00014c47d7767707UL;
   tf->codes[13249] = 0x00014c48c1b28e1bUL;
   tf->codes[13250] = 0x00014c57a0030520UL;
   tf->codes[13251] = 0x00014c690278bb9cUL;
   tf->codes[13252] = 0x00014c6b4c0ef54eUL;
   tf->codes[13253] = 0x00014c7646e00a3eUL;
   tf->codes[13254] = 0x00014c77311c2152UL;
   tf->codes[13255] = 0x00014c7b149b8367UL;
   tf->codes[13256] = 0x00014c9f737018c2UL;
   tf->codes[13257] = 0x00014ca7ea1bee3bUL;
   tf->codes[13258] = 0x00014cbddfbe181bUL;
   tf->codes[13259] = 0x00014cbfb4364643UL;
   tf->codes[13260] = 0x00014ccf07a4c8d2UL;
   tf->codes[13261] = 0x00014cd4fa2b5ed4UL;
   tf->codes[13262] = 0x00014cdc117d11afUL;
   tf->codes[13263] = 0x00014ce5e78309c6UL;
   tf->codes[13264] = 0x00014cf958fff42fUL;
   tf->codes[13265] = 0x00014cfab85a16cdUL;
   tf->codes[13266] = 0x00014d015a8dbe1eUL;
   tf->codes[13267] = 0x00014d05789c25f8UL;
   tf->codes[13268] = 0x00014d14917ba2c2UL;
   tf->codes[13269] = 0x00014d16a082d6afUL;
   tf->codes[13270] = 0x00014d195f371bebUL;
   tf->codes[13271] = 0x00014d24949736a0UL;
   tf->codes[13272] = 0x00014d41dc1a1920UL;
   tf->codes[13273] = 0x00014d45fa2880faUL;
   tf->codes[13274] = 0x00014d49dda7e30fUL;
   tf->codes[13275] = 0x00014d58f6875fd9UL;
   tf->codes[13276] = 0x00014d5dc442d902UL;
   tf->codes[13277] = 0x00014d5e73efea51UL;
   tf->codes[13278] = 0x00014d5f5e2c0165UL;
   tf->codes[13279] = 0x00014d69a9500506UL;
   tf->codes[13280] = 0x00014d6bf2e63eb8UL;
   tf->codes[13281] = 0x00014d6d8ccf671bUL;
   tf->codes[13282] = 0x00014d7469921431UL;
   tf->codes[13283] = 0x00014d7eef451d97UL;
   tf->codes[13284] = 0x00014d8bbe8e60afUL;
   tf->codes[13285] = 0x00014d908c49d9d8UL;
   tf->codes[13286] = 0x00014d99ed31c665UL;
   tf->codes[13287] = 0x00014d9f6a9a50ddUL;
   tf->codes[13288] = 0x00014da054d667f1UL;
   tf->codes[13289] = 0x00014da179a184caUL;
   tf->codes[13290] = 0x00014da3c337be7cUL;
   tf->codes[13291] = 0x00014da681ec03b8UL;
   tf->codes[13292] = 0x00014db057f1fbcfUL;
   tf->codes[13293] = 0x00014db1079f0d1eUL;
   tf->codes[13294] = 0x00014db43b715de4UL;
   tf->codes[13295] = 0x00014dc10abaa0fcUL;
   tf->codes[13296] = 0x00014dc26a14c39aUL;
   tf->codes[13297] = 0x00014ddd2d7266a3UL;
   tf->codes[13298] = 0x00014ddf3c799a90UL;
   tf->codes[13299] = 0x00014df70693f298UL;
   tf->codes[13300] = 0x00014dfc496d774bUL;
   tf->codes[13301] = 0x00014dfd6e389424UL;
   tf->codes[13302] = 0x00014dff42b0c24cUL;
   tf->codes[13303] = 0x00014e04faa85289UL;
   tf->codes[13304] = 0x00014e1781e925deUL;
   tf->codes[13305] = 0x00014e1956615406UL;
   tf->codes[13306] = 0x00014e1a060e6555UL;
   tf->codes[13307] = 0x00014e2b2df5160cUL;
   tf->codes[13308] = 0x00014e320ab7c322UL;
   tf->codes[13309] = 0x00014e32f4f3da36UL;
   tf->codes[13310] = 0x00014e524b7df0a3UL;
   tf->codes[13311] = 0x00014e5d464f0593UL;
   tf->codes[13312] = 0x00014e642311b2a9UL;
   tf->codes[13313] = 0x00014e6a159848abUL;
   tf->codes[13314] = 0x00014e70b7cbeffcUL;
   tf->codes[13315] = 0x00014e7f20fe5b77UL;
   tf->codes[13316] = 0x00014e83047dbd8cUL;
   tf->codes[13317] = 0x00014e8a565e762cUL;
   tf->codes[13318] = 0x00014e984a72d61dUL;
   tf->codes[13319] = 0x00014ea1363cb720UL;
   tf->codes[13320] = 0x00014ea937ca810fUL;
   tf->codes[13321] = 0x00014eab46d1b4fcUL;
   tf->codes[13322] = 0x00014eb30dd07926UL;
   tf->codes[13323] = 0x00014eb4329b95ffUL;
   tf->codes[13324] = 0x00014eb591f5b89dUL;
   tf->codes[13325] = 0x00014ebce3d6713dUL;
   tf->codes[13326] = 0x00014ed08fe2616bUL;
   tf->codes[13327] = 0x00014ed97bac426eUL;
   tf->codes[13328] = 0x00014edb8ab3765bUL;
   tf->codes[13329] = 0x00014ef3c9ebd9edUL;
   tf->codes[13330] = 0x00014ef59e640815UL;
   tf->codes[13331] = 0x00014ef897a75316UL;
   tf->codes[13332] = 0x00014ef9bc726fefUL;
   tf->codes[13333] = 0x00014f0775f7ca1bUL;
   tf->codes[13334] = 0x00014f0ae45920a6UL;
   tf->codes[13335] = 0x00014f13d02301a9UL;
   tf->codes[13336] = 0x00014f14f4ee1e82UL;
   tf->codes[13337] = 0x00014f17ee316983UL;
   tf->codes[13338] = 0x00014f1b2203ba49UL;
   tf->codes[13339] = 0x00014f28db891475UL;
   tf->codes[13340] = 0x00014f2916181a3aUL;
   tf->codes[13341] = 0x00014f2a75723cd8UL;
   tf->codes[13342] = 0x00014f3869869cc9UL;
   tf->codes[13343] = 0x00014f3a3dfecaf1UL;
   tf->codes[13344] = 0x00014f3cc2240a68UL;
   tf->codes[13345] = 0x00014f3de6ef2741UL;
   tf->codes[13346] = 0x00014f3e5c0d32cbUL;
   tf->codes[13347] = 0x00014f4ba074816dUL;
   tf->codes[13348] = 0x00014f5660b69098UL;
   tf->codes[13349] = 0x00014f628052c261UL;
   tf->codes[13350] = 0x00014f67fdbb4cd9UL;
   tf->codes[13351] = 0x00014f82116bde93UL;
   tf->codes[13352] = 0x00014f97cc7f02aeUL;
   tf->codes[13353] = 0x00014f9a50a44225UL;
   tf->codes[13354] = 0x00014fa426aa3a3cUL;
   tf->codes[13355] = 0x00014fa9a412c4b4UL;
   tf->codes[13356] = 0x00014fb54e90eaf3UL;
   tf->codes[13357] = 0x00014fc84aefc9d2UL;
   tf->codes[13358] = 0x00014fca94860384UL;
   tf->codes[13359] = 0x00014fd29613cd73UL;
   tf->codes[13360] = 0x00014fdb474ea8b1UL;
   tf->codes[13361] = 0x00014fe0150a21daUL;
   tf->codes[13362] = 0x00014fe2d3be6716UL;
   tf->codes[13363] = 0x00014febbf884819UL;
   tf->codes[13364] = 0x00014ff85442856cUL;
   tf->codes[13365] = 0x0001500314849497UL;
   tf->codes[13366] = 0x00015005d338d9d3UL;
   tf->codes[13367] = 0x00015014ec18569dUL;
   tf->codes[13368] = 0x0001501561366227UL;
   tf->codes[13369] = 0x0001501b53bcf829UL;
   tf->codes[13370] = 0x0001501e878f48efUL;
   tf->codes[13371] = 0x0001501fac5a65c8UL;
   tf->codes[13372] = 0x00015027e877357cUL;
   tf->codes[13373] = 0x0001503392f55bbbUL;
   tf->codes[13374] = 0x0001503b1f651a20UL;
   tf->codes[13375] = 0x0001503dde195f5cUL;
   tf->codes[13376] = 0x00015041fc27c736UL;
   tf->codes[13377] = 0x00015053992c8377UL;
   tf->codes[13378] = 0x000150556da4b19fUL;
   tf->codes[13379] = 0x00015057421cdfc7UL;
   tf->codes[13380] = 0x000150602de6c0caUL;
   tf->codes[13381] = 0x00015062777cfa7cUL;
   tf->codes[13382] = 0x0001506bd864e709UL;
   tf->codes[13383] = 0x00015072efb699e4UL;
   tf->codes[13384] = 0x000150765e17f06fUL;
   tf->codes[13385] = 0x000150770dc501beUL;
   tf->codes[13386] = 0x00015077bd72130dUL;
   tf->codes[13387] = 0x0001507e9a34c023UL;
   tf->codes[13388] = 0x0001508367f0394cUL;
   tf->codes[13389] = 0x000150a41dd47257UL;
   tf->codes[13390] = 0x000150ae2e697033UL;
   tf->codes[13391] = 0x000150b077ffa9e5UL;
   tf->codes[13392] = 0x000150c50e47b127UL;
   tf->codes[13393] = 0x000150c7ccfbf663UL;
   tf->codes[13394] = 0x000150ca8bb03b9fUL;
   tf->codes[13395] = 0x000150d7d0178a41UL;
   tf->codes[13396] = 0x000150dd880f1a7eUL;
   tf->codes[13397] = 0x000150ddc29e2043UL;
   tf->codes[13398] = 0x000150e130ff76ceUL;
   tf->codes[13399] = 0x000150f726a1a0aeUL;
   tf->codes[13400] = 0x00015100fca798c5UL;
   tf->codes[13401] = 0x0001510813f94ba0UL;
   tf->codes[13402] = 0x0001510b825aa22bUL;
   tf->codes[13403] = 0x0001511e7eb9810aUL;
   tf->codes[13404] = 0x0001513140895a24UL;
   tf->codes[13405] = 0x00015134745baaeaUL;
   tf->codes[13406] = 0x0001513d25968628UL;
   tf->codes[13407] = 0x0001514820679b18UL;
   tf->codes[13408] = 0x0001514e12ee311aUL;
   tf->codes[13409] = 0x00015168d64bd423UL;
   tf->codes[13410] = 0x00015169c087eb37UL;
   tf->codes[13411] = 0x0001516a7034fc86UL;
   tf->codes[13412] = 0x0001516bcf8f1f24UL;
   tf->codes[13413] = 0x0001517cf775cfdbUL;
   tf->codes[13414] = 0x000151823a4f548eUL;
   tf->codes[13415] = 0x000151844956887bUL;
   tf->codes[13416] = 0x0001518bd5c646e0UL;
   tf->codes[13417] = 0x000151afbf7cd0b1UL;
   tf->codes[13418] = 0x000151b4181a3e50UL;
   tf->codes[13419] = 0x000151b53ce55b29UL;
   tf->codes[13420] = 0x000151b83628a62aUL;
   tf->codes[13421] = 0x000151c3a617c6a4UL;
   tf->codes[13422] = 0x000151c41b35d22eUL;
   tf->codes[13423] = 0x000151d1250e1b0bUL;
   tf->codes[13424] = 0x000151d4cdfe775bUL;
   tf->codes[13425] = 0x000151d75223b6d2UL;
   tf->codes[13426] = 0x000151dccf8c414aUL;
   tf->codes[13427] = 0x000151de2ee663e8UL;
   tf->codes[13428] = 0x000151e2c212d74cUL;
   tf->codes[13429] = 0x000151e78fce5075UL;
   tf->codes[13430] = 0x000151f66e1ec77aUL;
   tf->codes[13431] = 0x000151f8f24406f1UL;
   tf->codes[13432] = 0x000151fd10526ecbUL;
   tf->codes[13433] = 0x000152075b76726cUL;
   tf->codes[13434] = 0x000152180e3f1799UL;
   tf->codes[13435] = 0x0001522677718314UL;
   tf->codes[13436] = 0x000152284be9b13cUL;
   tf->codes[13437] = 0x0001522a957feaeeUL;
   tf->codes[13438] = 0x0001524384655fcfUL;
   tf->codes[13439] = 0x000152493c5cf00cUL;
   tf->codes[13440] = 0x0001524ad646186fUL;
   tf->codes[13441] = 0x0001525f6c8e1fb1UL;
   tf->codes[13442] = 0x000152655f14b5b3UL;
   tf->codes[13443] = 0x00015269429417c8UL;
   tf->codes[13444] = 0x0001526a675f34a1UL;
   tf->codes[13445] = 0x0001527562304991UL;
   tf->codes[13446] = 0x000152759cbf4f56UL;
   tf->codes[13447] = 0x0001527f383641a8UL;
   tf->codes[13448] = 0x00015287e9711ce6UL;
   tf->codes[13449] = 0x0001529234952087UL;
   tf->codes[13450] = 0x000152947e2b5a39UL;
   tf->codes[13451] = 0x000152a028a98078UL;
   tf->codes[13452] = 0x000152abd327a6b7UL;
   tf->codes[13453] = 0x000152bd359d5d33UL;
   tf->codes[13454] = 0x000152c8e01b8372UL;
   tf->codes[13455] = 0x000152ddeb81963eUL;
   tf->codes[13456] = 0x000152dfbff9c466UL;
   tf->codes[13457] = 0x000152e7fc16941aUL;
   tf->codes[13458] = 0x000152e9d08ec242UL;
   tf->codes[13459] = 0x000152f505eedcf7UL;
   tf->codes[13460] = 0x000152f6da670b1fUL;
   tf->codes[13461] = 0x000152f7c4a32233UL;
   tf->codes[13462] = 0x000152f8e96e3f0cUL;
   tf->codes[13463] = 0x000152fa0e395be5UL;
   tf->codes[13464] = 0x000152fea165cf49UL;
   tf->codes[13465] = 0x0001530075ddfd71UL;
   tf->codes[13466] = 0x00015306dd829efdUL;
   tf->codes[13467] = 0x00015307c7beb611UL;
   tf->codes[13468] = 0x00015309d6c5e9feUL;
   tf->codes[13469] = 0x00015327cdf5ddcdUL;
   tf->codes[13470] = 0x00015329a26e0bf5UL;
   tf->codes[13471] = 0x00015339306b9449UL;
   tf->codes[13472] = 0x0001533a1aa7ab5dUL;
   tf->codes[13473] = 0x00015345c525d19cUL;
   tf->codes[13474] = 0x00015356b27d7c8eUL;
   tf->codes[13475] = 0x00015359abc0c78fUL;
   tf->codes[13476] = 0x0001535e045e352eUL;
   tf->codes[13477] = 0x0001537e0a955ceaUL;
   tf->codes[13478] = 0x0001537e452462afUL;
   tf->codes[13479] = 0x00015385d1942114UL;
   tf->codes[13480] = 0x000153a319170394UL;
   tf->codes[13481] = 0x000153a353a60959UL;
   tf->codes[13482] = 0x000153a9462c9f5bUL;
   tf->codes[13483] = 0x000153aaa586c1f9UL;
   tf->codes[13484] = 0x000153be5192b227UL;
   tf->codes[13485] = 0x000153c09b28ebd9UL;
   tf->codes[13486] = 0x000153c3cefb3c9fUL;
   tf->codes[13487] = 0x000153c8d745bb8dUL;
   tf->codes[13488] = 0x000153cae64cef7aUL;
   tf->codes[13489] = 0x000153dff1b30246UL;
   tf->codes[13490] = 0x000153e275d841bdUL;
   tf->codes[13491] = 0x0001540c52156190UL;
   tf->codes[13492] = 0x0001543877e8bb15UL;
   tf->codes[13493] = 0x00015452167b4145UL;
   tf->codes[13494] = 0x00015452c6285294UL;
   tf->codes[13495] = 0x000154587e1fe2d1UL;
   tf->codes[13496] = 0x0001545e3617730eUL;
   tf->codes[13497] = 0x000154600a8fa136UL;
   tf->codes[13498] = 0x000154654d6925e9UL;
   tf->codes[13499] = 0x000154680c1d6b25UL;
   tf->codes[13500] = 0x000154760031cb16UL;
   tf->codes[13501] = 0x0001547884570a8dUL;
   tf->codes[13502] = 0x0001547eb16ca654UL;
   tf->codes[13503] = 0x0001547fd637c32dUL;
   tf->codes[13504] = 0x0001549640f7f897UL;
   tf->codes[13505] = 0x000154b3887adb17UL;
   tf->codes[13506] = 0x000154bd23f1cd69UL;
   tf->codes[13507] = 0x000154cf36149534UL;
   tf->codes[13508] = 0x000154d17faacee6UL;
   tf->codes[13509] = 0x000154dc3fecde11UL;
   tf->codes[13510] = 0x000154e406eba23bUL;
   tf->codes[13511] = 0x000154e4f127b94fUL;
   tf->codes[13512] = 0x000154f9876fc091UL;
   tf->codes[13513] = 0x000154ff79f65693UL;
   tf->codes[13514] = 0x0001550865c03796UL;
   tf->codes[13515] = 0x000155098a8b546fUL;
   tf->codes[13516] = 0x00015511518a1899UL;
   tf->codes[13517] = 0x0001553db1ec77e3UL;
   tf->codes[13518] = 0x0001553fc0f3abd0UL;
   tf->codes[13519] = 0x0001554d7a7905fcUL;
   tf->codes[13520] = 0x00015556db60f289UL;
   tf->codes[13521] = 0x00015557c59d099dUL;
   tf->codes[13522] = 0x00015589ddf6f924UL;
   tf->codes[13523] = 0x00015596e7cf4201UL;
   tf->codes[13524] = 0x00015599a683873dUL;
   tf->codes[13525] = 0x000155a9a99f1b1bUL;
   tf->codes[13526] = 0x000155ac68536057UL;
   tf->codes[13527] = 0x000155cad4a15fb0UL;
   tf->codes[13528] = 0x000155d226821850UL;
   tf->codes[13529] = 0x000155e3fe15da56UL;
   tf->codes[13530] = 0x000155e4adc2eba5UL;
   tf->codes[13531] = 0x000155e6f7592557UL;
   tf->codes[13532] = 0x000155fc3d4e3de8UL;
   tf->codes[13533] = 0x000155fe86e4779aUL;
   tf->codes[13534] = 0x0001561c7e146b69UL;
   tf->codes[13535] = 0x000156209c22d343UL;
   tf->codes[13536] = 0x00015621865eea57UL;
   tf->codes[13537] = 0x000156332363a698UL;
   tf->codes[13538] = 0x0001563691c4fd23UL;
   tf->codes[13539] = 0x0001564b629c0a2aUL;
   tf->codes[13540] = 0x0001564ed0fd60b5UL;
   tf->codes[13541] = 0x00015651ca40abb6UL;
   tf->codes[13542] = 0x000156539eb8d9deUL;
   tf->codes[13543] = 0x00015655adc00dcbUL;
   tf->codes[13544] = 0x0001565e5efae909UL;
   tf->codes[13545] = 0x0001565f83c605e2UL;
   tf->codes[13546] = 0x0001566ba36237abUL;
   tf->codes[13547] = 0x000156819904618bUL;
   tf->codes[13548] = 0x000156a3e8d1c2f9UL;
   tf->codes[13549] = 0x000156a42360c8beUL;
   tf->codes[13550] = 0x000156a50d9cdfd2UL;
   tf->codes[13551] = 0x000156a66cf70270UL;
   tf->codes[13552] = 0x000156b0f2aa0bd6UL;
   tf->codes[13553] = 0x000156beac2f6602UL;
   tf->codes[13554] = 0x000156ca913c9206UL;
   tf->codes[13555] = 0x000156cc2b25ba69UL;
   tf->codes[13556] = 0x000156e84ddd8010UL;
   tf->codes[13557] = 0x000156fdce619e66UL;
   tf->codes[13558] = 0x0001570e469b3dceUL;
   tf->codes[13559] = 0x000157201e2effd4UL;
   tf->codes[13560] = 0x000157243c3d67aeUL;
   tf->codes[13561] = 0x000157285a4bcf88UL;
   tf->codes[13562] = 0x000157323051c79fUL;
   tf->codes[13563] = 0x00015734b4770716UL;
   tf->codes[13564] = 0x000157385d676366UL;
   tf->codes[13565] = 0x000157452cb0a67eUL;
   tf->codes[13566] = 0x00015755df794babUL;
   tf->codes[13567] = 0x0001575b5ce1d623UL;
   tf->codes[13568] = 0x0001577152840003UL;
   tf->codes[13569] = 0x00015780a5f28292UL;
   tf->codes[13570] = 0x000157823fdbaaf5UL;
   tf->codes[13571] = 0x0001578e5f77dcbeUL;
   tf->codes[13572] = 0x000157927d864498UL;
   tf->codes[13573] = 0x00015794c71c7e4aUL;
   tf->codes[13574] = 0x0001579a448508c2UL;
   tf->codes[13575] = 0x000157ad0654e1dcUL;
   tf->codes[13576] = 0x000157b20e9f60caUL;
   tf->codes[13577] = 0x000157b96080196aUL;
   tf->codes[13578] = 0x000157d58337df11UL;
   tf->codes[13579] = 0x000157d6e29201afUL;
   tf->codes[13580] = 0x000157f8f7d05d58UL;
   tf->codes[13581] = 0x000157fa572a7ff6UL;
   tf->codes[13582] = 0x000157ff5f74fee4UL;
   tf->codes[13583] = 0x0001580308655b34UL;
   tf->codes[13584] = 0x00015809e528084aUL;
   tf->codes[13585] = 0x00015814dff91d3aUL;
   tf->codes[13586] = 0x000158163f533fd8UL;
   tf->codes[13587] = 0x0001581f65ac26a0UL;
   tf->codes[13588] = 0x0001582174b35a8dUL;
   tf->codes[13589] = 0x00015821af426052UL;
   tf->codes[13590] = 0x00015827dc57fc19UL;
   tf->codes[13591] = 0x0001582a25ee35cbUL;
   tf->codes[13592] = 0x00015837df738ff7UL;
   tf->codes[13593] = 0x0001583fe10159e6UL;
   tf->codes[13594] = 0x00015847e28f23d5UL;
   tf->codes[13595] = 0x0001584f6efee23aUL;
   tf->codes[13596] = 0x000158559c147e01UL;
   tf->codes[13597] = 0x0001585c03b91f8dUL;
   tf->codes[13598] = 0x00015860d17498b6UL;
   tf->codes[13599] = 0x00015862e07bcca3UL;
   tf->codes[13600] = 0x00015866c3fb2eb8UL;
   tf->codes[13601] = 0x0001586b5727a21cUL;
   tf->codes[13602] = 0x0001587dde687571UL;
   tf->codes[13603] = 0x0001587e538680fbUL;
   tf->codes[13604] = 0x0001588f40de2bedUL;
   tf->codes[13605] = 0x0001589483b7b0a0UL;
   tf->codes[13606] = 0x00015896582fdec8UL;
   tf->codes[13607] = 0x000158977cfafba1UL;
   tf->codes[13608] = 0x00015899517329c9UL;
   tf->codes[13609] = 0x000158a02e35d6dfUL;
   tf->codes[13610] = 0x000158a780168f7fUL;
   tf->codes[13611] = 0x000158a8df70b21dUL;
   tf->codes[13612] = 0x000158aa7959da80UL;
   tf->codes[13613] = 0x000158b44f5fd297UL;
   tf->codes[13614] = 0x000158b65e670684UL;
   tf->codes[13615] = 0x000158b8e28c45fbUL;
   tf->codes[13616] = 0x000158c159381b74UL;
   tf->codes[13617] = 0x000158ce63106451UL;
   tf->codes[13618] = 0x000158d62a0f287bUL;
   tf->codes[13619] = 0x000158dba777b2f3UL;
   tf->codes[13620] = 0x000158ee2eb88648UL;
   tf->codes[13621] = 0x000158f2c1e4f9acUL;
   tf->codes[13622] = 0x000158f879dc89e9UL;
   tf->codes[13623] = 0x00015904d407c177UL;
   tf->codes[13624] = 0x000159050e96c73cUL;
   tf->codes[13625] = 0x0001591795d79a91UL;
   tf->codes[13626] = 0x000159225619a9bcUL;
   tf->codes[13627] = 0x00015923b573cc5aUL;
   tf->codes[13628] = 0x000159367743a574UL;
   tf->codes[13629] = 0x0001593c69ca3b76UL;
   tf->codes[13630] = 0x00015947649b5066UL;
   tf->codes[13631] = 0x00015948144861b5UL;
   tf->codes[13632] = 0x00015950c5833cf3UL;
   tf->codes[13633] = 0x00015964ac1e32e6UL;
   tf->codes[13634] = 0x00015981b9120fa1UL;
   tf->codes[13635] = 0x000159822e301b2bUL;
   tf->codes[13636] = 0x00015982dddd2c7aUL;
   tf->codes[13637] = 0x0001598402a84953UL;
   tf->codes[13638] = 0x00015986c15c8e8fUL;
   tf->codes[13639] = 0x000159aae5a21e25UL;
   tf->codes[13640] = 0x000159b112b7b9ecUL;
   tf->codes[13641] = 0x000159b3d16bff28UL;
   tf->codes[13642] = 0x000159d362851b5aUL;
   tf->codes[13643] = 0x000159e3dabebac2UL;
   tf->codes[13644] = 0x000159e783af1712UL;
   tf->codes[13645] = 0x000159eba1bd7eecUL;
   tf->codes[13646] = 0x000159f0e497039fUL;
   tf->codes[13647] = 0x000159fa0aefea67UL;
   tf->codes[13648] = 0x000159ff885874dfUL;
   tf->codes[13649] = 0x00015a03a666dcb9UL;
   tf->codes[13650] = 0x00015a07c4754493UL;
   tf->codes[13651] = 0x00015a0a832989cfUL;
   tf->codes[13652] = 0x00015a12bf465983UL;
   tf->codes[13653] = 0x00015a15436b98faUL;
   tf->codes[13654] = 0x00015a1717e3c722UL;
   tf->codes[13655] = 0x00015a1c202e4610UL;
   tf->codes[13656] = 0x00015a3a8c7c4569UL;
   tf->codes[13657] = 0x00015a3b3c2956b8UL;
   tf->codes[13658] = 0x00015a3cd6127f1bUL;
   tf->codes[13659] = 0x00015a404473d5a6UL;
   tf->codes[13660] = 0x00015a42537b0993UL;
   tf->codes[13661] = 0x00015a43ed6431f6UL;
   tf->codes[13662] = 0x00015a580e8e2daeUL;
   tf->codes[13663] = 0x00015a5933594a87UL;
   tf->codes[13664] = 0x00015a68c156d2dbUL;
   tf->codes[13665] = 0x00015a69ab92e9efUL;
   tf->codes[13666] = 0x00015a6a95cf0103UL;
   tf->codes[13667] = 0x00015a82255a5346UL;
   tf->codes[13668] = 0x00015a8384b475e4UL;
   tf->codes[13669] = 0x00015a89773b0be6UL;
   tf->codes[13670] = 0x00015a908e8cbec1UL;
   tf->codes[13671] = 0x00015a997a569fc4UL;
   tf->codes[13672] = 0x00015a9a9f21bc9dUL;
   tf->codes[13673] = 0x00015ab3c8963743UL;
   tf->codes[13674] = 0x00015ab43db442cdUL;
   tf->codes[13675] = 0x00015ab90b6fbbf6UL;
   tf->codes[13676] = 0x00015ac3cbb1cb21UL;
   tf->codes[13677] = 0x00015af65929c632UL;
   tf->codes[13678] = 0x00015afa77382e0cUL;
   tf->codes[13679] = 0x00015b032873094aUL;
   tf->codes[13680] = 0x00015b157524d6daUL;
   tf->codes[13681] = 0x00015b16d47ef978UL;
   tf->codes[13682] = 0x00015b1d76b2a0c9UL;
   tf->codes[13683] = 0x00015b1f85b9d4b6UL;
   tf->codes[13684] = 0x00015b23693936cbUL;
   tf->codes[13685] = 0x00015b3331c5c4e4UL;
   tf->codes[13686] = 0x00015b4752efc09cUL;
   tf->codes[13687] = 0x00015b5f9228242eUL;
   tf->codes[13688] = 0x00015b5fccb729f3UL;
   tf->codes[13689] = 0x00015b75c25953d3UL;
   tf->codes[13690] = 0x00015b7a5585c737UL;
   tf->codes[13691] = 0x00015b7c29fdf55fUL;
   tf->codes[13692] = 0x00015b80f7b96e88UL;
   tf->codes[13693] = 0x00015b95c8907b8fUL;
   tf->codes[13694] = 0x00015b99ac0fdda4UL;
   tf->codes[13695] = 0x00015ba04e4384f5UL;
   tf->codes[13696] = 0x00015ba88a6054a9UL;
   tf->codes[13697] = 0x00015bab83a39faaUL;
   tf->codes[13698] = 0x00015bba276510eaUL;
   tf->codes[13699] = 0x00015bbb4c302dc3UL;
   tf->codes[13700] = 0x00015bbbfbdd3f12UL;
   tf->codes[13701] = 0x00015bcfe2783505UL;
   tf->codes[13702] = 0x00015bdcb1c1781dUL;
   tf->codes[13703] = 0x00015bfa33d36062UL;
   tf->codes[13704] = 0x00015c0b5bba1119UL;
   tf->codes[13705] = 0x00015c15a6de14baUL;
   tf->codes[13706] = 0x00015c1e1d89ea33UL;
   tf->codes[13707] = 0x00015c261f17b422UL;
   tf->codes[13708] = 0x00015c2b27623310UL;
   tf->codes[13709] = 0x00015c32ee60f73aUL;
   tf->codes[13710] = 0x00015c35728636b1UL;
   tf->codes[13711] = 0x00015c369751538aUL;
   tf->codes[13712] = 0x00015c43a1299c67UL;
   tf->codes[13713] = 0x00015c4ab87b4f42UL;
   tf->codes[13714] = 0x00015c587200a96eUL;
   tf->codes[13715] = 0x00015c64cc2be0fcUL;
   tf->codes[13716] = 0x00015c6999e75a25UL;
   tf->codes[13717] = 0x00015c7d45f34a53UL;
   tf->codes[13718] = 0x00015c8213aec37cUL;
   tf->codes[13719] = 0x00015c845d44fd2eUL;
   tf->codes[13720] = 0x00015c88b5e26acdUL;
   tf->codes[13721] = 0x00015c88f0717092UL;
   tf->codes[13722] = 0x00015c8ee2f80694UL;
   tf->codes[13723] = 0x00015c96a9f6cabeUL;
   tf->codes[13724] = 0x00015c9c275f5536UL;
   tf->codes[13725] = 0x00015ca30422024cUL;
   tf->codes[13726] = 0x00015cba93ad548fUL;
   tf->codes[13727] = 0x00015cbc2d967cf2UL;
   tf->codes[13728] = 0x00015cc2cfca2443UL;
   tf->codes[13729] = 0x00015cd88add485eUL;
   tf->codes[13730] = 0x00015cd9afa86537UL;
   tf->codes[13731] = 0x00015ce72e9eb99eUL;
   tf->codes[13732] = 0x00015ce8c887e201UL;
   tf->codes[13733] = 0x00015cea62710a64UL;
   tf->codes[13734] = 0x00015cf08f86a62bUL;
   tf->codes[13735] = 0x00015cf3fde7fcb6UL;
   tf->codes[13736] = 0x00015cfe839b061cUL;
   tf->codes[13737] = 0x00015cfebe2a0be1UL;
   tf->codes[13738] = 0x00015d00cd313fceUL;
   tf->codes[13739] = 0x00015d05d57bbebcUL;
   tf->codes[13740] = 0x00015d12df540799UL;
   tf->codes[13741] = 0x00015d14041f2472UL;
   tf->codes[13742] = 0x00015d16884463e9UL;
   tf->codes[13743] = 0x00015d24073ab850UL;
   tf->codes[13744] = 0x00015d273b0d0916UL;
   tf->codes[13745] = 0x00015d27eaba1a65UL;
   tf->codes[13746] = 0x00015d3f7a456ca8UL;
   tf->codes[13747] = 0x00015d50a22c1d5fUL;
   tf->codes[13748] = 0x00015d595366f89dUL;
   tf->codes[13749] = 0x00015d60a547b13dUL;
   tf->codes[13750] = 0x00015d7207bd67b9UL;
   tf->codes[13751] = 0x00015d7a7e693d32UL;
   tf->codes[13752] = 0x00015d978b5d19edUL;
   tf->codes[13753] = 0x00015d999a644ddaUL;
   tf->codes[13754] = 0x00015d9a84a064eeUL;
   tf->codes[13755] = 0x00015d9db872b5b4UL;
   tf->codes[13756] = 0x00015da1d6811d8eUL;
   tf->codes[13757] = 0x00015da211102353UL;
   tf->codes[13758] = 0x00015da3706a45f1UL;
   tf->codes[13759] = 0x00015db92b7d6a0cUL;
   tf->codes[13760] = 0x00015dd54e352fb3UL;
   tf->codes[13761] = 0x00015dd847787ab4UL;
   tf->codes[13762] = 0x00015dde748e167bUL;
   tf->codes[13763] = 0x00015ddfd3e83919UL;
   tf->codes[13764] = 0x00015df0c13fe40bUL;
   tf->codes[13765] = 0x00015e0641c40261UL;
   tf->codes[13766] = 0x00015e0b0f7f7b8aUL;
   tf->codes[13767] = 0x00015e105259003dUL;
   tf->codes[13768] = 0x00015e15953284f0UL;
   tf->codes[13769] = 0x00015e24ae1201baUL;
   tf->codes[13770] = 0x00015e24e8a1077fUL;
   tf->codes[13771] = 0x00015e37aa70e099UL;
   tf->codes[13772] = 0x00015e3dd7867c60UL;
   tf->codes[13773] = 0x00015e3f36e09efeUL;
   tf->codes[13774] = 0x00015e5616bedff2UL;
   tf->codes[13775] = 0x00015e5f0288c0f5UL;
   tf->codes[13776] = 0x00015e5f3d17c6baUL;
   tf->codes[13777] = 0x00015e6061e2e393UL;
   tf->codes[13778] = 0x00015e6654697995UL;
   tf->codes[13779] = 0x00015e6d312c26abUL;
   tf->codes[13780] = 0x00015e7ab0227b12UL;
   tf->codes[13781] = 0x00015e7de3f4cbd8UL;
   tf->codes[13782] = 0x00015e97f7a55d92UL;
   tf->codes[13783] = 0x00015e9f49861632UL;
   tf->codes[13784] = 0x00015ea367947e0cUL;
   tf->codes[13785] = 0x00015ea48c5f9ae5UL;
   tf->codes[13786] = 0x00015ebd0627043cUL;
   tf->codes[13787] = 0x00015ecd43d19ddfUL;
   tf->codes[13788] = 0x00015ed495b2567fUL;
   tf->codes[13789] = 0x00015eda8838ec81UL;
   tf->codes[13790] = 0x00015edc222214e4UL;
   tf->codes[13791] = 0x00015edd817c3782UL;
   tf->codes[13792] = 0x00015edfcb127134UL;
   tf->codes[13793] = 0x00015ee19f8a9f5cUL;
   tf->codes[13794] = 0x00015ee5487afbacUL;
   tf->codes[13795] = 0x00015ef33c8f5b9dUL;
   tf->codes[13796] = 0x00015f0130a3bb8eUL;
   tf->codes[13797] = 0x00015f0514231da3UL;
   tf->codes[13798] = 0x00015f075db95755UL;
   tf->codes[13799] = 0x00015f2604965c73UL;
   tf->codes[13800] = 0x00015f28fdd9a774UL;
   tf->codes[13801] = 0x00015f36b75f01a0UL;
   tf->codes[13802] = 0x00015f36f1ee0765UL;
   tf->codes[13803] = 0x00015f37a19b18b4UL;
   tf->codes[13804] = 0x00015f3ef37bd154UL;
   tf->codes[13805] = 0x00015f4177a110cbUL;
   tf->codes[13806] = 0x00015f476a27a6cdUL;
   tf->codes[13807] = 0x00015f4d973d4294UL;
   tf->codes[13808] = 0x00015f576d433aabUL;
   tf->codes[13809] = 0x00015f581cf04bfaUL;
   tf->codes[13810] = 0x00015f5b8b51a285UL;
   tf->codes[13811] = 0x00015f5ebf23f34bUL;
   tf->codes[13812] = 0x00015f738ffb0052UL;
   tf->codes[13813] = 0x00015f7529e428b5UL;
   tf->codes[13814] = 0x00015f7da08ffe2eUL;
   tf->codes[13815] = 0x00015f84f270b6ceUL;
   tf->codes[13816] = 0x00015f8b5a15585aUL;
   tf->codes[13817] = 0x00015fa2af11a4d8UL;
   tf->codes[13818] = 0x00015fa61d72fb63UL;
   tf->codes[13819] = 0x00015fbe221c5930UL;
   tf->codes[13820] = 0x00015fc06bb292e2UL;
   tf->codes[13821] = 0x00015fc32a66d81eUL;
   tf->codes[13822] = 0x00015fc832b1570cUL;
   tf->codes[13823] = 0x00015fda7f63249cUL;
   tf->codes[13824] = 0x00015fdfc23ca94fUL;
   tf->codes[13825] = 0x00015fe3309dffdaUL;
   tf->codes[13826] = 0x00015ff99b5e3544UL;
   tf->codes[13827] = 0x00015ffb35475da7UL;
   tf->codes[13828] = 0x00015ffdf3fba2e3UL;
   tf->codes[13829] = 0x00016004962f4a34UL;
   tf->codes[13830] = 0x0001601757ff234eUL;
   tf->codes[13831] = 0x00016018423b3a62UL;
   tf->codes[13832] = 0x00016019dc2462c5UL;
   tf->codes[13833] = 0x0001601cd567adc6UL;
   tf->codes[13834] = 0x0001601d4a85b950UL;
   tf->codes[13835] = 0x00016022c7ee43c8UL;
   tf->codes[13836] = 0x0001602a545e022dUL;
   tf->codes[13837] = 0x0001602d4da14d2eUL;
   tf->codes[13838] = 0x0001603081739df4UL;
   tf->codes[13839] = 0x0001603b41b5ad1fUL;
   tf->codes[13840] = 0x0001603eb01703aaUL;
   tf->codes[13841] = 0x000160558ff5449eUL;
   tf->codes[13842] = 0x0001605a2321b802UL;
   tf->codes[13843] = 0x0001605b47ecd4dbUL;
   tf->codes[13844] = 0x00016097ab6ac803UL;
   tf->codes[13845] = 0x000160a09734a906UL;
   tf->codes[13846] = 0x000160a26bacd72eUL;
   tf->codes[13847] = 0x000160a40595ff91UL;
   tf->codes[13848] = 0x000160a7ae865be1UL;
   tf->codes[13849] = 0x000160bbcfb05799UL;
   tf->codes[13850] = 0x000160bddeb78b86UL;
   tf->codes[13851] = 0x000160c187a7e7d6UL;
   tf->codes[13852] = 0x000160d324aca417UL;
   tf->codes[13853] = 0x000160da3bfe56f2UL;
   tf->codes[13854] = 0x000160daebab6841UL;
   tf->codes[13855] = 0x000160e2781b26a6UL;
   tf->codes[13856] = 0x000160f783813972UL;
   tf->codes[13857] = 0x000160fa7cc48473UL;
   tf->codes[13858] = 0x00016104183b76c5UL;
   tf->codes[13859] = 0x0001610fc2b99d04UL;
   tf->codes[13860] = 0x0001611923a18991UL;
   tf->codes[13861] = 0x000161195e308f56UL;
   tf->codes[13862] = 0x0001611e667b0e44UL;
   tf->codes[13863] = 0x000161266808d833UL;
   tf->codes[13864] = 0x00016142ffdea964UL;
   tf->codes[13865] = 0x00016143ea1ac078UL;
   tf->codes[13866] = 0x00016155c1ae827eUL;
   tf->codes[13867] = 0x0001616799424484UL;
   tf->codes[13868] = 0x00016168f89c6722UL;
   tf->codes[13869] = 0x0001616b7cc1a699UL;
   tf->codes[13870] = 0x0001617294135974UL;
   tf->codes[13871] = 0x00016177d6ecde27UL;
   tf->codes[13872] = 0x00016180c2b6bf2aUL;
   tf->codes[13873] = 0x0001618137d4cab4UL;
   tf->codes[13874] = 0x000161825c9fe78dUL;
   tf->codes[13875] = 0x0001618b82f8ce55UL;
   tf->codes[13876] = 0x000161b3ffdbcb8aUL;
   tf->codes[13877] = 0x000161bc3bf89b3eUL;
   tf->codes[13878] = 0x000161bcb116a6c8UL;
   tf->codes[13879] = 0x000161cbc9f62392UL;
   tf->codes[13880] = 0x000161d739e5440cUL;
   tf->codes[13881] = 0x000161d9f8998948UL;
   tf->codes[13882] = 0x000161db9282b1abUL;
   tf->codes[13883] = 0x000161e3ce9f815fUL;
   tf->codes[13884] = 0x000161ea364422ebUL;
   tf->codes[13885] = 0x0001620b61466780UL;
   tf->codes[13886] = 0x0001620bd664730aUL;
   tf->codes[13887] = 0x00016219ca78d2fbUL;
   tf->codes[13888] = 0x000162206cac7a4cUL;
   tf->codes[13889] = 0x0001622f4afcf151UL;
   tf->codes[13890] = 0x0001623ed8fa79a5UL;
   tf->codes[13891] = 0x0001625be5ee5660UL;
   tf->codes[13892] = 0x0001628378953c81UL;
   tf->codes[13893] = 0x00016285fcba7bf8UL;
   tf->codes[13894] = 0x0001628671d88782UL;
   tf->codes[13895] = 0x0001629bb7cda013UL;
   tf->codes[13896] = 0x000162b7da8565baUL;
   tf->codes[13897] = 0x000162b9e98c99a7UL;
   tf->codes[13898] = 0x000162bbbe04c7cfUL;
   tf->codes[13899] = 0x000162bd1d5eea6dUL;
   tf->codes[13900] = 0x000162c5597bba21UL;
   tf->codes[13901] = 0x000162c67e46d6faUL;
   tf->codes[13902] = 0x000162de0dd2293dUL;
   tf->codes[13903] = 0x000162ef35b8d9f4UL;
   tf->codes[13904] = 0x000162fe4e9856beUL;
   tf->codes[13905] = 0x00016304068fe6fbUL;
   tf->codes[13906] = 0x0001630a33a582c2UL;
   tf->codes[13907] = 0x0001631c45c84a8dUL;
   tf->codes[13908] = 0x0001631e54cf7e7aUL;
   tf->codes[13909] = 0x00016326cb7b53f3UL;
   tf->codes[13910] = 0x0001632740995f7dUL;
   tf->codes[13911] = 0x00016329c4be9ef4UL;
   tf->codes[13912] = 0x000163370925ed96UL;
   tf->codes[13913] = 0x0001633a02693897UL;
   tf->codes[13914] = 0x0001633b27345570UL;
   tf->codes[13915] = 0x000163439de02ae9UL;
   tf->codes[13916] = 0x0001636195101eb8UL;
   tf->codes[13917] = 0x00016363dea6586aUL;
   tf->codes[13918] = 0x0001636ba5a51c94UL;
   tf->codes[13919] = 0x00016371d2bab85bUL;
   tf->codes[13920] = 0x0001637999b97c85UL;
   tf->codes[13921] = 0x0001638126293aeaUL;
   tf->codes[13922] = 0x00016382faa16912UL;
   tf->codes[13923] = 0x0001638c20fa4fdaUL;
   tf->codes[13924] = 0x00016398409681a3UL;
   tf->codes[13925] = 0x0001639b7468d269UL;
   tf->codes[13926] = 0x0001639df88e11e0UL;
   tf->codes[13927] = 0x000163a75975fe6dUL;
   tf->codes[13928] = 0x000163b54d8a5e5eUL;
   tf->codes[13929] = 0x000163ca1e616b65UL;
   tf->codes[13930] = 0x000163d0c09512b6UL;
   tf->codes[13931] = 0x000163d553c1861aUL;
   tf->codes[13932] = 0x000163e51c4e1433UL;
   tf->codes[13933] = 0x000163eb4963affaUL;
   tf->codes[13934] = 0x0001641c3cf282a8UL;
   tf->codes[13935] = 0x0001642e148644aeUL;
   tf->codes[13936] = 0x0001643a34227677UL;
   tf->codes[13937] = 0x00016442703f462bUL;
   tf->codes[13938] = 0x00016454f7801980UL;
   tf->codes[13939] = 0x0001645c0ed1cc5bUL;
   tf->codes[13940] = 0x0001646709a2e14bUL;
   tf->codes[13941] = 0x0001646ab2933d9bUL;
   tf->codes[13942] = 0x0001647ed3bd3953UL;
   tf->codes[13943] = 0x00016482078f8a19UL;
   tf->codes[13944] = 0x00016494544157a9UL;
   tf->codes[13945] = 0x000164974d84a2aaUL;
   tf->codes[13946] = 0x0001649abbe5f935UL;
   tf->codes[13947] = 0x000164a7c5be4212UL;
   tf->codes[13948] = 0x000164b8eda4f2c9UL;
   tf->codes[13949] = 0x000164bac21d20f1UL;
   tf->codes[13950] = 0x000164bee02b88cbUL;
   tf->codes[13951] = 0x000164c129c1c27dUL;
   tf->codes[13952] = 0x000164cbea03d1a8UL;
   tf->codes[13953] = 0x000164cee3471ca9UL;
   tf->codes[13954] = 0x000164d809a00371UL;
   tf->codes[13955] = 0x000164e2c9e2129cUL;
   tf->codes[13956] = 0x000164f58bb1ebb6UL;
   tf->codes[13957] = 0x000165037fc64ba7UL;
   tf->codes[13958] = 0x0001651975687587UL;
   tf->codes[13959] = 0x0001651a9a339260UL;
   tf->codes[13960] = 0x000165293df503a0UL;
   tf->codes[13961] = 0x0001652a28311ab4UL;
   tf->codes[13962] = 0x000165305546b67bUL;
   tf->codes[13963] = 0x0001653313fafbb7UL;
   tf->codes[13964] = 0x0001653e495b166cUL;
   tf->codes[13965] = 0x00016544b0ffb7f8UL;
   tf->codes[13966] = 0x00016548cf0e1fd2UL;
   tf->codes[13967] = 0x0001655dda74329eUL;
   tf->codes[13968] = 0x0001655e4f923e28UL;
   tf->codes[13969] = 0x000165673b5c1f2bUL;
   tf->codes[13970] = 0x00016573958756b9UL;
   tf->codes[13971] = 0x0001657ae7680f59UL;
   tf->codes[13972] = 0x0001657b5c861ae3UL;
   tf->codes[13973] = 0x00016581feb9c234UL;
   tf->codes[13974] = 0x00016586cc753b5dUL;
   tf->codes[13975] = 0x00016592b1826761UL;
   tf->codes[13976] = 0x00016595e554b827UL;
   tf->codes[13977] = 0x000165986979f79eUL;
   tf->codes[13978] = 0x0001659b62bd429fUL;
   tf->codes[13979] = 0x0001659f0bad9eefUL;
   tf->codes[13980] = 0x000165a03078bbc8UL;
   tf->codes[13981] = 0x000165aa067eb3dfUL;
   tf->codes[13982] = 0x000165bffc20ddbfUL;
   tf->codes[13983] = 0x000165c579896837UL;
   tf->codes[13984] = 0x000165dd0914ba7aUL;
   tf->codes[13985] = 0x000165f2feb6e45aUL;
   tf->codes[13986] = 0x000165fac5b5a884UL;
   tf->codes[13987] = 0x000166075a6fe5d7UL;
   tf->codes[13988] = 0x00016609697719c4UL;
   tf->codes[13989] = 0x0001661589134b8dUL;
   tf->codes[13990] = 0x0001661ee9fb381aUL;
   tf->codes[13991] = 0x00016621a8af7d56UL;
   tf->codes[13992] = 0x0001662292eb946aUL;
   tf->codes[13993] = 0x00016625c6bde530UL;
   tf->codes[13994] = 0x0001662b099769e3UL;
   tf->codes[13995] = 0x000166346a7f5670UL;
   tf->codes[13996] = 0x0001663d1bba31aeUL;
   tf->codes[13997] = 0x000166560a9fa68fUL;
   tf->codes[13998] = 0x0001665a28ae0e69UL;
   tf->codes[13999] = 0x000166697c1c90f8UL;
   tf->codes[14000] = 0x0001666b1605b95bUL;
   tf->codes[14001] = 0x00016673c7409499UL;
   tf->codes[14002] = 0x000166759bb8c2c1UL;
   tf->codes[14003] = 0x000166790a1a194cUL;
   tf->codes[14004] = 0x0001667a69743beaUL;
   tf->codes[14005] = 0x00016683553e1cedUL;
   tf->codes[14006] = 0x0001668aa71ed58dUL;
   tf->codes[14007] = 0x0001669d68eeaea7UL;
   tf->codes[14008] = 0x000166b9c6357a13UL;
   tf->codes[14009] = 0x000166c2b1ff5b16UL;
   tf->codes[14010] = 0x000166c48677893eUL;
   tf->codes[14011] = 0x000166cb9dc93c19UL;
   tf->codes[14012] = 0x000166cbd85841deUL;
   tf->codes[14013] = 0x000166cfbbd7a3f3UL;
   tf->codes[14014] = 0x000166d86d127f31UL;
   tf->codes[14015] = 0x000166de9a281af8UL;
   tf->codes[14016] = 0x000166e27da77d0dUL;
   tf->codes[14017] = 0x000166e6d644eaacUL;
   tf->codes[14018] = 0x000166e7c08101c0UL;
   tf->codes[14019] = 0x000166e8702e130fUL;
   tf->codes[14020] = 0x000166f15bf7f412UL;
   tf->codes[14021] = 0x00016701d431937aUL;
   tf->codes[14022] = 0x00016705f23ffb54UL;
   tf->codes[14023] = 0x000167099b3057a4UL;
   tf->codes[14024] = 0x0001670a104e632eUL;
   tf->codes[14025] = 0x000167183ef1c8e4UL;
   tf->codes[14026] = 0x000167245e8dfaadUL;
   tf->codes[14027] = 0x00016726330628d5UL;
   tf->codes[14028] = 0x00016729a1677f60UL;
   tf->codes[14029] = 0x00016742904cf441UL;
   tf->codes[14030] = 0x000167480db57eb9UL;
   tf->codes[14031] = 0x0001676296841bfdUL;
   tf->codes[14032] = 0x0001677b856990deUL;
   tf->codes[14033] = 0x00016796bde53f71UL;
   tf->codes[14034] = 0x0001679f349114eaUL;
   tf->codes[14035] = 0x000167ab542d46b3UL;
   tf->codes[14036] = 0x000167b6feab6cf2UL;
   tf->codes[14037] = 0x000167d0281fe798UL;
   tf->codes[14038] = 0x000167d14ceb0471UL;
   tf->codes[14039] = 0x000167d7b48fa5fdUL;
   tf->codes[14040] = 0x000167d913e9c89bUL;
   tf->codes[14041] = 0x000167e483d8e915UL;
   tf->codes[14042] = 0x000167e6cd6f22c7UL;
   tf->codes[14043] = 0x000167ea765f7f17UL;
   tf->codes[14044] = 0x000167f620dda556UL;
   tf->codes[14045] = 0x000167f65b6cab1bUL;
   tf->codes[14046] = 0x000167f7bac6cdb9UL;
   tf->codes[14047] = 0x000167f86a73df08UL;
   tf->codes[14048] = 0x00016801cb5bcb95UL;
   tf->codes[14049] = 0x00016808a81e78abUL;
   tf->codes[14050] = 0x00016815ec85c74dUL;
   tf->codes[14051] = 0x00016836dcf9061dUL;
   tf->codes[14052] = 0x0001683e6968c482UL;
   tf->codes[14053] = 0x00016846a5859436UL;
   tf->codes[14054] = 0x0001685633831c8aUL;
   tf->codes[14055] = 0x00016863ed0876b6UL;
   tf->codes[14056] = 0x0001686845a5e455UL;
   tf->codes[14057] = 0x0001687cdbedeb97UL;
   tf->codes[14058] = 0x0001688b7faf5cd7UL;
   tf->codes[14059] = 0x0001689764bc88dbUL;
   tf->codes[14060] = 0x0001689b483beaf0UL;
   tf->codes[14061] = 0x000168a0508669deUL;
   tf->codes[14062] = 0x000168b387744e82UL;
   tf->codes[14063] = 0x000168bce85c3b0fUL;
   tf->codes[14064] = 0x000168da6a6e2354UL;
   tf->codes[14065] = 0x000168db1a1b34a3UL;
   tf->codes[14066] = 0x000168e31ba8fe92UL;
   tf->codes[14067] = 0x000168e89911890aUL;
   tf->codes[14068] = 0x00016901c28603b0UL;
   tf->codes[14069] = 0x0001690b988bfbc7UL;
   tf->codes[14070] = 0x0001691867d53edfUL;
   tf->codes[14071] = 0x0001691f7f26f1baUL;
   tf->codes[14072] = 0x00016922034c3131UL;
   tf->codes[14073] = 0x0001693ba1deb761UL;
   tf->codes[14074] = 0x00016940aa29364fUL;
   tf->codes[14075] = 0x0001695be2a4e4e2UL;
   tf->codes[14076] = 0x0001696493dfc020UL;
   tf->codes[14077] = 0x000169699c2a3f0eUL;
   tf->codes[14078] = 0x0001698a8c9d7ddeUL;
   tf->codes[14079] = 0x000169928e2b47cdUL;
   tf->codes[14080] = 0x0001699b3f66230bUL;
   tf->codes[14081] = 0x000169a0f75db348UL;
   tf->codes[14082] = 0x000169a1e199ca5cUL;
   tf->codes[14083] = 0x000169a63a3737fbUL;
   tf->codes[14084] = 0x000169a6af554385UL;
   tf->codes[14085] = 0x000169b55316b4c5UL;
   tf->codes[14086] = 0x000169b63d52cbd9UL;
   tf->codes[14087] = 0x000169bdc9c28a3eUL;
   tf->codes[14088] = 0x000169cb0e29d8e0UL;
   tf->codes[14089] = 0x000169d9023e38d1UL;
   tf->codes[14090] = 0x000169dbfb8183d2UL;
   tf->codes[14091] = 0x000169f141769c63UL;
   tf->codes[14092] = 0x000169f9f2b177a1UL;
   tf->codes[14093] = 0x000169fb520b9a3fUL;
   tf->codes[14094] = 0x000169fc3c47b153UL;
   tf->codes[14095] = 0x00016a01f43f4190UL;
   tf->codes[14096] = 0x00016a035399642eUL;
   tf->codes[14097] = 0x00016a0562a0981bUL;
   tf->codes[14098] = 0x00016a32382102efUL;
   tf->codes[14099] = 0x00016a7453968654UL;
   tf->codes[14100] = 0x00016a85065f2b81UL;
   tf->codes[14101] = 0x00016a954409c524UL;
   tf->codes[14102] = 0x00016aa0ee87eb63UL;
   tf->codes[14103] = 0x00016aa3e7cb3664UL;
   tf->codes[14104] = 0x00016aa71b9d872aUL;
   tf->codes[14105] = 0x00016ab8438437e1UL;
   tf->codes[14106] = 0x00016acbef90280fUL;
   tf->codes[14107] = 0x00016ad6ea613cffUL;
   tf->codes[14108] = 0x00016adbb81cb628UL;
   tf->codes[14109] = 0x00016ade76d0fb64UL;
   tf->codes[14110] = 0x00016af2d289fce1UL;
   tf->codes[14111] = 0x00016af6b6095ef6UL;
   tf->codes[14112] = 0x00016afad417c6d0UL;
   tf->codes[14113] = 0x00016b00c69e5cd2UL;
   tf->codes[14114] = 0x00016b013bbc685cUL;
   tf->codes[14115] = 0x00016b072e42fe5eUL;
   tf->codes[14116] = 0x00016b0c368d7d4cUL;
   tf->codes[14117] = 0x00016b1f6d7b61f0UL;
   tf->codes[14118] = 0x00016b217c8295ddUL;
   tf->codes[14119] = 0x00016b2943815a07UL;
   tf->codes[14120] = 0x00016b33541657e3UL;
   tf->codes[14121] = 0x00016b34b3707a81UL;
   tf->codes[14122] = 0x00016b56c8aed62aUL;
   tf->codes[14123] = 0x00016b5ae6bd3e04UL;
   tf->codes[14124] = 0x00016b5cbb356c2cUL;
   tf->codes[14125] = 0x00016b7659c7f25cUL;
   tf->codes[14126] = 0x00016b84134d4c88UL;
   tf->codes[14127] = 0x00016b84886b5812UL;
   tf->codes[14128] = 0x00016b84fd89639cUL;
   tf->codes[14129] = 0x00016b8990b5d700UL;
   tf->codes[14130] = 0x00016b93dbd9daa1UL;
   tf->codes[14131] = 0x00016b9834774840UL;
   tf->codes[14132] = 0x00016bb03920a60dUL;
   tf->codes[14133] = 0x00016bb7507258e8UL;
   tf->codes[14134] = 0x00016bbb6e80c0c2UL;
   tf->codes[14135] = 0x00016bbdb816fa74UL;
   tf->codes[14136] = 0x00016bc6de6fe13cUL;
   tf->codes[14137] = 0x00016bca12423202UL;
   tf->codes[14138] = 0x00016bce305099dcUL;
   tf->codes[14139] = 0x00016bcf8faabc7aUL;
   tf->codes[14140] = 0x00016bdaff99dcf4UL;
   tf->codes[14141] = 0x00016be07d02676cUL;
   tf->codes[14142] = 0x00016be0f22072f6UL;
   tf->codes[14143] = 0x00016be3b0d4b832UL;
   tf->codes[14144] = 0x00016bf9a676e212UL;
   tf->codes[14145] = 0x00016bfd4f673e62UL;
   tf->codes[14146] = 0x00016c0048aa8963UL;
   tf->codes[14147] = 0x00016c1086552306UL;
   tf->codes[14148] = 0x00016c1469d4851bUL;
   tf->codes[14149] = 0x00016c481c179d05UL;
   tf->codes[14150] = 0x00016c497b71bfa3UL;
   tf->codes[14151] = 0x00016c6981a8e75fUL;
   tf->codes[14152] = 0x00016c747c79fc4fUL;
   tf->codes[14153] = 0x00016c789a886429UL;
   tf->codes[14154] = 0x00016c818652452cUL;
   tf->codes[14155] = 0x00016c98a0bf8be5UL;
   tf->codes[14156] = 0x00016cab28005f3aUL;
   tf->codes[14157] = 0x00016cb0304ade28UL;
   tf->codes[14158] = 0x00016ccab9197b6cUL;
   tf->codes[14159] = 0x00016ccaf3a88131UL;
   tf->codes[14160] = 0x00016cd74dd3b8bfUL;
   tf->codes[14161] = 0x00016ce5f19529ffUL;
   tf->codes[14162] = 0x00016cf0022a27dbUL;
   tf->codes[14163] = 0x00016cfc96e4652eUL;
   tf->codes[14164] = 0x00016cffcab6b5f4UL;
   tf->codes[14165] = 0x00016d01d9bde9e1UL;
   tf->codes[14166] = 0x00016d02c3fa00f5UL;
   tf->codes[14167] = 0x00016d06a779630aUL;
   tf->codes[14168] = 0x00016d092b9ea281UL;
   tf->codes[14169] = 0x00016d09662da846UL;
   tf->codes[14170] = 0x00016d1809ef1986UL;
   tf->codes[14171] = 0x00016d192eba365fUL;
   tf->codes[14172] = 0x00016d19de6747aeUL;
   tf->codes[14173] = 0x00016d1d12399874UL;
   tf->codes[14174] = 0x00016d1eac22c0d7UL;
   tf->codes[14175] = 0x00016d27d27ba79fUL;
   tf->codes[14176] = 0x00016d3a59bc7af4UL;
   tf->codes[14177] = 0x00016d3b09698c43UL;
   tf->codes[14178] = 0x00016d5592382987UL;
   tf->codes[14179] = 0x00016d79b67db91dUL;
   tf->codes[14180] = 0x00016d843c30c283UL;
   tf->codes[14181] = 0x00016d8685c6fc35UL;
   tf->codes[14182] = 0x00016d87aa92190eUL;
   tf->codes[14183] = 0x00016d93ca2e4ad7UL;
   tf->codes[14184] = 0x00016d97388fa162UL;
   tf->codes[14185] = 0x00016d990d07cf8aUL;
   tf->codes[14186] = 0x00016da183b3a503UL;
   tf->codes[14187] = 0x00016da407d8e47aUL;
   tf->codes[14188] = 0x00016da5dc5112a2UL;
   tf->codes[14189] = 0x00016daddddedc91UL;
   tf->codes[14190] = 0x00016db89e20ebbcUL;
   tf->codes[14191] = 0x00016dc8a13c7f9aUL;
   tf->codes[14192] = 0x00016dc950e990e9UL;
   tf->codes[14193] = 0x00016dca3b25a7fdUL;
   tf->codes[14194] = 0x00016dcda986fe88UL;
   tf->codes[14195] = 0x00016de782a88a7dUL;
   tf->codes[14196] = 0x00016df158ae8294UL;
   tf->codes[14197] = 0x00016dff8751e84aUL;
   tf->codes[14198] = 0x00016e0788dfb239UL;
   tf->codes[14199] = 0x00016e08388cc388UL;
   tf->codes[14200] = 0x00016e3f593131fdUL;
   tf->codes[14201] = 0x00016e46e5a0f062UL;
   tf->codes[14202] = 0x00016e49dee43b63UL;
   tf->codes[14203] = 0x00016e537a5b2db5UL;
   tf->codes[14204] = 0x00016e637d76c193UL;
   tf->codes[14205] = 0x00016e6e7847d683UL;
   tf->codes[14206] = 0x00016e70874f0a70UL;
   tf->codes[14207] = 0x00016e7a97e4084cUL;
   tf->codes[14208] = 0x00016e8bfa59bec8UL;
   tf->codes[14209] = 0x00016e9ce7b169baUL;
   tf->codes[14210] = 0x00016e9f6bd6a931UL;
   tf->codes[14211] = 0x00016ea34f560b46UL;
   tf->codes[14212] = 0x00016ea598ec44f8UL;
   tf->codes[14213] = 0x00016ebb8e8e6ed8UL;
   tf->codes[14214] = 0x00016ecb91aa02b6UL;
   tf->codes[14215] = 0x00016ee5a55a9470UL;
   tf->codes[14216] = 0x00016ee7b461c85dUL;
   tf->codes[14217] = 0x00016eec0cff35fcUL;
   tf->codes[14218] = 0x00016ef95166849eUL;
   tf->codes[14219] = 0x00016f01c8125a17UL;
   tf->codes[14220] = 0x00016f0411a893c9UL;
   tf->codes[14221] = 0x00016f186d619546UL;
   tf->codes[14222] = 0x00016f1bdbc2ebd1UL;
   tf->codes[14223] = 0x00016f22b88598e7UL;
   tf->codes[14224] = 0x00016f23dd50b5c0UL;
   tf->codes[14225] = 0x00016f2aba1362d6UL;
   tf->codes[14226] = 0x00016f395dd4d416UL;
   tf->codes[14227] = 0x00016f3af7bdfc79UL;
   tf->codes[14228] = 0x00016f42499eb519UL;
   tf->codes[14229] = 0x00016f483c254b1bUL;
   tf->codes[14230] = 0x00016f5d0cfc5822UL;
   tf->codes[14231] = 0x00016f6374a0f9aeUL;
   tf->codes[14232] = 0x00016f6792af6188UL;
   tf->codes[14233] = 0x00016f80bc23dc2eUL;
   tf->codes[14234] = 0x00016f9517dcddabUL;
   tf->codes[14235] = 0x00016fb015c98679UL;
   tf->codes[14236] = 0x00016fb6b7fd2dcaUL;
   tf->codes[14237] = 0x00016fecb3d67f66UL;
   tf->codes[14238] = 0x00016ff7e9369a1bUL;
   tf->codes[14239] = 0x00016ffbccb5fc30UL;
   tf->codes[14240] = 0x0001701c0d7c29b1UL;
   tf->codes[14241] = 0x0001702533d51079UL;
   tf->codes[14242] = 0x0001702e94bcfd06UL;
   tf->codes[14243] = 0x00017032783c5f1bUL;
   tf->codes[14244] = 0x0001703a3f3b2345UL;
   tf->codes[14245] = 0x0001703b9e9545e3UL;
   tf->codes[14246] = 0x0001703c13b3516dUL;
   tf->codes[14247] = 0x00017045af2a43bfUL;
   tf->codes[14248] = 0x0001705db3d3a18cUL;
   tf->codes[14249] = 0x00017062818f1ab5UL;
   tf->codes[14250] = 0x00017079d68b6733UL;
   tf->codes[14251] = 0x0001707d0a5db7f9UL;
   tf->codes[14252] = 0x0001708bae1f2939UL;
   tf->codes[14253] = 0x0001708f919e8b4eUL;
   tf->codes[14254] = 0x000170a9a54f1d08UL;
   tf->codes[14255] = 0x000170ac29745c7fUL;
   tf->codes[14256] = 0x000170ba5817c235UL;
   tf->codes[14257] = 0x000170d5cb22768dUL;
   tf->codes[14258] = 0x000170e7a2b63893UL;
   tf->codes[14259] = 0x000170eef496f133UL;
   tf->codes[14260] = 0x000170f55c3b92bfUL;
   tf->codes[14261] = 0x000170fbfe6f3a10UL;
   tf->codes[14262] = 0x00017100570ca7afUL;
   tf->codes[14263] = 0x000171022b84d5d7UL;
   tf->codes[14264] = 0x000171076e5e5a8aUL;
   tf->codes[14265] = 0x000171081e0b6bd9UL;
   tf->codes[14266] = 0x0001710b8c6cc264UL;
   tf->codes[14267] = 0x00017111f41163f0UL;
   tf->codes[14268] = 0x00017115d790c605UL;
   tf->codes[14269] = 0x0001711ceee278e0UL;
   tf->codes[14270] = 0x00017125a01d541eUL;
   tf->codes[14271] = 0x0001712f76234c35UL;
   tf->codes[14272] = 0x0001713b95bf7dfeUL;
   tf->codes[14273] = 0x000171440c6b5377UL;
   tf->codes[14274] = 0x0001715917d16643UL;
   tf->codes[14275] = 0x00017166d156c06fUL;
   tf->codes[14276] = 0x0001716aef652849UL;
   tf->codes[14277] = 0x00017183a3bb9765UL;
   tf->codes[14278] = 0x0001718a45ef3eb6UL;
   tf->codes[14279] = 0x000171a877ae384aUL;
   tf->codes[14280] = 0x000171adba87bcfdUL;
   tf->codes[14281] = 0x000171b546f77b62UL;
   tf->codes[14282] = 0x000171bbae9c1ceeUL;
   tf->codes[14283] = 0x000171bea7df67efUL;
   tf->codes[14284] = 0x000171c1a122b2f0UL;
   tf->codes[14285] = 0x000171c1dbb1b8b5UL;
   tf->codes[14286] = 0x000171c50f84097bUL;
   tf->codes[14287] = 0x000171d9a5cc10bdUL;
   tf->codes[14288] = 0x000171e0bd1dc398UL;
   tf->codes[14289] = 0x000171e9a8e7a49bUL;
   tf->codes[14290] = 0x000171ffd918d440UL;
   tf->codes[14291] = 0x00017200c354eb54UL;
   tf->codes[14292] = 0x00017207daa69e2fUL;
   tf->codes[14293] = 0x0001722437ed699bUL;
   tf->codes[14294] = 0x0001723a681e9940UL;
   tf->codes[14295] = 0x0001723fe58723b8UL;
   tf->codes[14296] = 0x00017240cfc33accUL;
   tf->codes[14297] = 0x0001724771f6e21dUL;
   tf->codes[14298] = 0x00017252e1e60297UL;
   tf->codes[14299] = 0x000172590efb9e5eUL;
   tf->codes[14300] = 0x0001725f3c113a25UL;
   tf->codes[14301] = 0x0001727a39fde2f3UL;
   tf->codes[14302] = 0x00017289c7fb6b47UL;
   tf->codes[14303] = 0x00017292ee54520fUL;
   tf->codes[14304] = 0x00017295e7979d10UL;
   tf->codes[14305] = 0x000172965cb5a89aUL;
   tf->codes[14306] = 0x0001729d74075b75UL;
   tf->codes[14307] = 0x000172b3a4388b1aUL;
   tf->codes[14308] = 0x000172c0ae10d3f7UL;
   tf->codes[14309] = 0x000172df1a5ed350UL;
   tf->codes[14310] = 0x000172f794263ca7UL;
   tf->codes[14311] = 0x000172fd118ec71fUL;
   tf->codes[14312] = 0x00017300ba7f236fUL;
   tf->codes[14313] = 0x00017302c986575cUL;
   tf->codes[14314] = 0x000173049dfe8584UL;
   tf->codes[14315] = 0x00017305131c910eUL;
   tf->codes[14316] = 0x000173137c4efc89UL;
   tf->codes[14317] = 0x0001731b08bebaeeUL;
   tf->codes[14318] = 0x00017331e89cfbe2UL;
   tf->codes[14319] = 0x0001733347f71e80UL;
   tf->codes[14320] = 0x00017341017c78acUL;
   tf->codes[14321] = 0x0001734385a1b823UL;
   tf->codes[14322] = 0x0001735bff69217aUL;
   tf->codes[14323] = 0x0001735e838e60f1UL;
   tf->codes[14324] = 0x00017365d56f1991UL;
   tf->codes[14325] = 0x00017379817b09bfUL;
   tf->codes[14326] = 0x0001737a31281b0eUL;
   tf->codes[14327] = 0x00017385a1173b88UL;
   tf->codes[14328] = 0x000173973e1bf7c9UL;
   tf->codes[14329] = 0x00017399129425f1UL;
   tf->codes[14330] = 0x0001739c80f57c7cUL;
   tf->codes[14331] = 0x000173a2e89a1e08UL;
   tf->codes[14332] = 0x000173a6918a7a58UL;
   tf->codes[14333] = 0x000173a8a091ae45UL;
   tf->codes[14334] = 0x000173a9c55ccb1eUL;
   tf->codes[14335] = 0x000173aa3a7ad6a8UL;
   tf->codes[14336] = 0x000173b61f8802acUL;
   tf->codes[14337] = 0x000173bff58dfac3UL;
   tf->codes[14338] = 0x000173d576121919UL;
   tf->codes[14339] = 0x000173e53e9ea732UL;
   tf->codes[14340] = 0x000173e8e78f0382UL;
   tf->codes[14341] = 0x000173ea0c5a205bUL;
   tf->codes[14342] = 0x000173eaf696376fUL;
   tf->codes[14343] = 0x000173fa0f75b439UL;
   tf->codes[14344] = 0x0001740001fc4a3bUL;
   tf->codes[14345] = 0x0001740544d5ceeeUL;
   tf->codes[14346] = 0x0001740ac23e5966UL;
   tf->codes[14347] = 0x0001741b3a77f8ceUL;
   tf->codes[14348] = 0x000174207d517d81UL;
   tf->codes[14349] = 0x0001742ac8758122UL;
   tf->codes[14350] = 0x0001742ee683e8fcUL;
   tf->codes[14351] = 0x0001743379b05c60UL;
   tf->codes[14352] = 0x000174349e7b7939UL;
   tf->codes[14353] = 0x000174425800d365UL;
   tf->codes[14354] = 0x00017446b09e4104UL;
   tf->codes[14355] = 0x00017455c97dbdceUL;
   tf->codes[14356] = 0x00017458fd500e94UL;
   tf->codes[14357] = 0x000174625e37fb21UL;
   tf->codes[14358] = 0x00017465920a4be7UL;
   tf->codes[14359] = 0x00017469eaa7b986UL;
   tf->codes[14360] = 0x0001747978a541daUL;
   tf->codes[14361] = 0x0001747bc23b7b8cUL;
   tf->codes[14362] = 0x0001748906a2ca2eUL;
   tf->codes[14363] = 0x000174997edc6996UL;
   tf->codes[14364] = 0x0001749ced3dc021UL;
   tf->codes[14365] = 0x000174ac40ac42b0UL;
   tf->codes[14366] = 0x000174bb598bbf7aUL;
   tf->codes[14367] = 0x000174c44555a07dUL;
   tf->codes[14368] = 0x000174df08b34386UL;
   tf->codes[14369] = 0x000174e953d74727UL;
   tf->codes[14370] = 0x000174f44ea85c17UL;
   tf->codes[14371] = 0x000174fa069fec54UL;
   tf->codes[14372] = 0x000174fd3a723d1aUL;
   tf->codes[14373] = 0x000175171393c90fUL;
   tf->codes[14374] = 0x0001751ccb8b594cUL;
   tf->codes[14375] = 0x00017538040707dfUL;
   tf->codes[14376] = 0x0001753c5ca4757eUL;
   tf->codes[14377] = 0x00017541da0cfff6UL;
   tf->codes[14378] = 0x0001755c9d6aa2ffUL;
   tf->codes[14379] = 0x0001755d1288ae89UL;
   tf->codes[14380] = 0x0001756847e8c93eUL;
   tf->codes[14381] = 0x0001756d15a44267UL;
   tf->codes[14382] = 0x0001756eaf8d6acaUL;
   tf->codes[14383] = 0x0001757a949a96ceUL;
   tf->codes[14384] = 0x0001758a22981f22UL;
   tf->codes[14385] = 0x000175aa9ded5268UL;
   tf->codes[14386] = 0x000175b7a7c59b45UL;
   tf->codes[14387] = 0x000175c610f806c0UL;
   tf->codes[14388] = 0x000175d180e7273aUL;
   tf->codes[14389] = 0x000175ee8ddb03f5UL;
   tf->codes[14390] = 0x000175ef78171b09UL;
   tf->codes[14391] = 0x000175f4f57fa581UL;
   tf->codes[14392] = 0x000175f779a4e4f8UL;
   tf->codes[14393] = 0x00017606928461c2UL;
   tf->codes[14394] = 0x0001760aeb21cf61UL;
   tf->codes[14395] = 0x0001761919c53517UL;
   tf->codes[14396] = 0x0001761a3e9051f0UL;
   tf->codes[14397] = 0x0001761c88268ba2UL;
   tf->codes[14398] = 0x00017626d34a8f43UL;
   tf->codes[14399] = 0x0001763b69929685UL;
   tf->codes[14400] = 0x00017644ca7a8312UL;
   tf->codes[14401] = 0x00017647892ec84eUL;
   tf->codes[14402] = 0x00017652be8ee303UL;
   tf->codes[14403] = 0x00017658b1157905UL;
   tf->codes[14404] = 0x000176619cdf5a08UL;
   tf->codes[14405] = 0x0001766545cfb658UL;
   tf->codes[14406] = 0x000176880abb2350UL;
   tf->codes[14407] = 0x0001768bb3ab7fa0UL;
   tf->codes[14408] = 0x000176a29389c094UL;
   tf->codes[14409] = 0x000176a601eb171fUL;
   tf->codes[14410] = 0x000176abb9e2a75cUL;
   tf->codes[14411] = 0x000176ca2630a6b5UL;
   tf->codes[14412] = 0x000176cb106cbdc9UL;
   tf->codes[14413] = 0x000176e55eac5548UL;
   tf->codes[14414] = 0x000176ec75fe0823UL;
   tf->codes[14415] = 0x000176f17e488711UL;
   tf->codes[14416] = 0x00017705da01888eUL;
   tf->codes[14417] = 0x0001771c0a32b833UL;
   tf->codes[14418] = 0x0001771c7f50c3bdUL;
   tf->codes[14419] = 0x0001771f03760334UL;
   tf->codes[14420] = 0x0001771fedb21a48UL;
   tf->codes[14421] = 0x00017724464f87e7UL;
   tf->codes[14422] = 0x0001773658724fb2UL;
   tf->codes[14423] = 0x0001773c8587eb79UL;
   tf->codes[14424] = 0x00017752f04820e3UL;
   tf->codes[14425] = 0x0001775539de5a95UL;
   tf->codes[14426] = 0x0001779d47da73fcUL;
   tf->codes[14427] = 0x000177a12b59d611UL;
   tf->codes[14428] = 0x000177b636bfe8ddUL;
   tf->codes[14429] = 0x000177bcd8f3902eUL;
   tf->codes[14430] = 0x000177bf97a7d56aUL;
   tf->codes[14431] = 0x000177c4da815a1dUL;
   tf->codes[14432] = 0x000177c9e2cbd90bUL;
   tf->codes[14433] = 0x000177de3e84da88UL;
   tf->codes[14434] = 0x000177e4a6297c14UL;
   tf->codes[14435] = 0x0001780bc3b256abUL;
   tf->codes[14436] = 0x00017817a8bf82afUL;
   tf->codes[14437] = 0x000178264c80f3efUL;
   tf->codes[14438] = 0x00017826fc2e053eUL;
   tf->codes[14439] = 0x00017827abdb168dUL;
   tf->codes[14440] = 0x00017841bf8ba847UL;
   tf->codes[14441] = 0x0001784b9591a05eUL;
   tf->codes[14442] = 0x0001784fb3a00838UL;
   tf->codes[14443] = 0x0001785b238f28b2UL;
   tf->codes[14444] = 0x000178656eb32c53UL;
   tf->codes[14445] = 0x000178732838867fUL;
   tf->codes[14446] = 0x00017875373fba6cUL;
   tf->codes[14447] = 0x0001787a3f8a395aUL;
   tf->codes[14448] = 0x0001788574ea540fUL;
   tf->codes[14449] = 0x000178995b854a02UL;
   tf->codes[14450] = 0x000178aa836bfab9UL;
   tf->codes[14451] = 0x000178b8b20f606fUL;
   tf->codes[14452] = 0x000178cac432283aUL;
   tf->codes[14453] = 0x000178eb7a166145UL;
   tf->codes[14454] = 0x000178fbb7c0fae8UL;
   tf->codes[14455] = 0x0001791606009267UL;
   tf->codes[14456] = 0x0001792a61b993e4UL;
   tf->codes[14457] = 0x0001793437bf8bfbUL;
   tf->codes[14458] = 0x0001793c73dc5bafUL;
   tf->codes[14459] = 0x000179459a354277UL;
   tf->codes[14460] = 0x000179538e49a268UL;
   tf->codes[14461] = 0x00017971fa97a1c1UL;
   tf->codes[14462] = 0x0001797e1a33d38aUL;
   tf->codes[14463] = 0x00017989ff40ff8eUL;
   tf->codes[14464] = 0x0001799ab209a4bbUL;
   tf->codes[14465] = 0x000179aaefb43e5eUL;
   tf->codes[14466] = 0x000179ba7db1c6b2UL;
   tf->codes[14467] = 0x000179bed64f3451UL;
   tf->codes[14468] = 0x000179c453b7bec9UL;
   tf->codes[14469] = 0x000179c99691437cUL;
   tf->codes[14470] = 0x000179cd04f29a07UL;
   tf->codes[14471] = 0x000179dd7d2c396fUL;
   tf->codes[14472] = 0x000179eafc228dd6UL;
   tf->codes[14473] = 0x00017a012c53bd7bUL;
   tf->codes[14474] = 0x00017a1fd330c299UL;
   tf->codes[14475] = 0x00017a280f4d924dUL;
   tf->codes[14476] = 0x00017a29e3c5c075UL;
   tf->codes[14477] = 0x00017a3010db5c3cUL;
   tf->codes[14478] = 0x00017a346978c9dbUL;
   tf->codes[14479] = 0x00017a3937344304UL;
   tf->codes[14480] = 0x00017a3a5bff5fddUL;
   tf->codes[14481] = 0x00017a3d5542aadeUL;
   tf->codes[14482] = 0x00017a46b62a976bUL;
   tf->codes[14483] = 0x00017a472b48a2f5UL;
   tf->codes[14484] = 0x00017a4a99a9f980UL;
   tf->codes[14485] = 0x00017a5a27a781d4UL;
   tf->codes[14486] = 0x00017a7560233067UL;
   tf->codes[14487] = 0x00017a86c298e6e3UL;
   tf->codes[14488] = 0x00017a9bcdfef9afUL;
   tf->codes[14489] = 0x00017a9cb83b10c3UL;
   tf->codes[14490] = 0x00017a9e52243926UL;
   tf->codes[14491] = 0x00017aa0269c674eUL;
   tf->codes[14492] = 0x00017aa27032a100UL;
   tf->codes[14493] = 0x00017aa89d483cc7UL;
   tf->codes[14494] = 0x00017aaa3731652aUL;
   tf->codes[14495] = 0x00017ac77eb447aaUL;
   tf->codes[14496] = 0x00017ac82e6158f9UL;
   tf->codes[14497] = 0x00017ad781cfdb88UL;
   tf->codes[14498] = 0x00017aded3b09428UL;
   tf->codes[14499] = 0x00017ae157d5d39fUL;
   tf->codes[14500] = 0x00017ae48ba82465UL;
   tf->codes[14501] = 0x00017afdefaba4d0UL;
   tf->codes[14502] = 0x00017b01989c0120UL;
   tf->codes[14503] = 0x00017b08ea7cb9c0UL;
   tf->codes[14504] = 0x00017b1001ce6c9bUL;
   tf->codes[14505] = 0x00017b15b9c5fcd8UL;
   tf->codes[14506] = 0x00017b1928275363UL;
   tf->codes[14507] = 0x00017b1d4635bb3dUL;
   tf->codes[14508] = 0x00017b3e7137ffd2UL;
   tf->codes[14509] = 0x00017b4b408142eaUL;
   tf->codes[14510] = 0x00017b5f271c38ddUL;
   tf->codes[14511] = 0x00017b62d00c952dUL;
   tf->codes[14512] = 0x00017b63452aa0b7UL;
   tf->codes[14513] = 0x00017ba64adc3b30UL;
   tf->codes[14514] = 0x00017bb73833e622UL;
   tf->codes[14515] = 0x00017bbbcb605986UL;
   tf->codes[14516] = 0x00017bc26d9400d7UL;
   tf->codes[14517] = 0x00017bc47c9b34c4UL;
   tf->codes[14518] = 0x00017bcc4399f8eeUL;
   tf->codes[14519] = 0x00017bd09c37668dUL;
   tf->codes[14520] = 0x00017bde904bc67eUL;
   tf->codes[14521] = 0x00017bf8a3fc5838UL;
   tf->codes[14522] = 0x00017bfbd7cea8feUL;
   tf->codes[14523] = 0x00017c186fa47a2fUL;
   tf->codes[14524] = 0x00017c2be1216498UL;
   tf->codes[14525] = 0x00017c320e37005fUL;
   tf->codes[14526] = 0x00017c55484078e1UL;
   tf->codes[14527] = 0x00017c5cd4b03746UL;
   tf->codes[14528] = 0x00017c66aab62f5dUL;
   tf->codes[14529] = 0x00017c6a53a68badUL;
   tf->codes[14530] = 0x00017c6b7871a886UL;
   tf->codes[14531] = 0x00017c74643b8989UL;
   tf->codes[14532] = 0x00017c76add1c33bUL;
   tf->codes[14533] = 0x00017c84dc7528f1UL;
   tf->codes[14534] = 0x00017c8acefbbef3UL;
   tf->codes[14535] = 0x00017c8b098ac4b8UL;
   tf->codes[14536] = 0x00017c951a1fc294UL;
   tf->codes[14537] = 0x00017c988881191fUL;
   tf->codes[14538] = 0x00017c9e05e9a397UL;
   tf->codes[14539] = 0x00017caa6014db25UL;
   tf->codes[14540] = 0x00017cbc7237a2f0UL;
   tf->codes[14541] = 0x00017cc29f4d3eb7UL;
   tf->codes[14542] = 0x00017cc6483d9b07UL;
   tf->codes[14543] = 0x00017ccd5f8f4de2UL;
   tf->codes[14544] = 0x00017cdb1914a80eUL;
   tf->codes[14545] = 0x00017ceaa7123062UL;
   tf->codes[14546] = 0x00017cf68c1f5c66UL;
   tf->codes[14547] = 0x00017cfe8dad2655UL;
   tf->codes[14548] = 0x00017d0de11ba8e4UL;
   tf->codes[14549] = 0x00017d1692568422UL;
   tf->codes[14550] = 0x00017d17f1b0a6c0UL;
   tf->codes[14551] = 0x00017d29c94468c6UL;
   tf->codes[14552] = 0x00017d34c4157db6UL;
   tf->codes[14553] = 0x00017d3d755058f4UL;
   tf->codes[14554] = 0x00017d3dea6e647eUL;
   tf->codes[14555] = 0x00017d48aab073a9UL;
   tf->codes[14556] = 0x00017d6e68df2ba2UL;
   tf->codes[14557] = 0x00017d7963b04092UL;
   tf->codes[14558] = 0x00017d8dbf69420fUL;
   tf->codes[14559] = 0x00017d98451c4b75UL;
   tf->codes[14560] = 0x00017db51781226bUL;
   tf->codes[14561] = 0x00017dbdc8bbfda9UL;
   tf->codes[14562] = 0x00017dc5ca49c798UL;
   tf->codes[14563] = 0x00017dc76432effbUL;
   tf->codes[14564] = 0x00017dc9733a23e8UL;
   tf->codes[14565] = 0x00017ddbfa7af73dUL;
   tf->codes[14566] = 0x00017de595f1e98fUL;
   tf->codes[14567] = 0x00017df97c8cdf82UL;
   tf->codes[14568] = 0x00017dfc00b21ef9UL;
   tf->codes[14569] = 0x00017dffa9a27b49UL;
   tf->codes[14570] = 0x00017e01f338b4fbUL;
   tf->codes[14571] = 0x00017e0cb37ac426UL;
   tf->codes[14572] = 0x00017e1564b59f64UL;
   tf->codes[14573] = 0x00017e159f44a529UL;
   tf->codes[14574] = 0x00017e1ae21e29dcUL;
   tf->codes[14575] = 0x00017e210f33c5a3UL;
   tf->codes[14576] = 0x00017e289ba38408UL;
   tf->codes[14577] = 0x00017e5fbc47f27dUL;
   tf->codes[14578] = 0x00017e62f01a4343UL;
   tf->codes[14579] = 0x00017e7661972dacUL;
   tf->codes[14580] = 0x00017e79204b72e8UL;
   tf->codes[14581] = 0x00017e7995697e72UL;
   tf->codes[14582] = 0x00017e7aba349b4bUL;
   tf->codes[14583] = 0x00017e99d62fabf3UL;
   tf->codes[14584] = 0x00017e9a85dcbd42UL;
   tf->codes[14585] = 0x00017ea2876a8731UL;
   tf->codes[14586] = 0x00017ea45be2b559UL;
   tf->codes[14587] = 0x00017ea5bb3cd7f7UL;
   tf->codes[14588] = 0x00017ea78fb5061fUL;
   tf->codes[14589] = 0x00017eaa4e694b5bUL;
   tf->codes[14590] = 0x00017ebb764ffc12UL;
   tf->codes[14591] = 0x00017ec5fc030578UL;
   tf->codes[14592] = 0x00017eddc61d5d80UL;
   tf->codes[14593] = 0x00017eef9db11f86UL;
   tf->codes[14594] = 0x00017ef25c6564c2UL;
   tf->codes[14595] = 0x00017ef973b7179dUL;
   tf->codes[14596] = 0x00017efc6cfa629eUL;
   tf->codes[14597] = 0x00017f0976d2ab7bUL;
   tf->codes[14598] = 0x00017f0b85d9df68UL;
   tf->codes[14599] = 0x00017f4bccd734a5UL;
   tf->codes[14600] = 0x00017f54f3301b6dUL;
   tf->codes[14601] = 0x00017f6321d38123UL;
   tf->codes[14602] = 0x00017f77b81b8865UL;
   tf->codes[14603] = 0x00017fa19458a838UL;
   tf->codes[14604] = 0x00017fa95b576c62UL;
   tf->codes[14605] = 0x00017faa8022893bUL;
   tf->codes[14606] = 0x00017fb20c9247a0UL;
   tf->codes[14607] = 0x00017fb7c489d7ddUL;
   tf->codes[14608] = 0x00017fbbe2983fb7UL;
   tf->codes[14609] = 0x00017fbedbdb8ab8UL;
   tf->codes[14610] = 0x00017fc20faddb7eUL;
   tf->codes[14611] = 0x00017fc9d6ac9fa8UL;
   tf->codes[14612] = 0x00017fcf1986245bUL;
   tf->codes[14613] = 0x00017fd5469bc022UL;
   tf->codes[14614] = 0x00017fd6e084e885UL;
   tf->codes[14615] = 0x00017fdbae4061aeUL;
   tf->codes[14616] = 0x00017fe215e5033aUL;
   tf->codes[14617] = 0x00018015187b09d5UL;
   tf->codes[14618] = 0x000180163d4626aeUL;
   tf->codes[14619] = 0x000180246be98c64UL;
   tf->codes[14620] = 0x0001804178dd691fUL;
   tf->codes[14621] = 0x000180656293f2f0UL;
   tf->codes[14622] = 0x0001806b8fa98eb7UL;
   tf->codes[14623] = 0x0001806efe0ae542UL;
   tf->codes[14624] = 0x0001807f01267920UL;
   tf->codes[14625] = 0x00018087b261545eUL;
   tf->codes[14626] = 0x00018088277f5fe8UL;
   tf->codes[14627] = 0x000180977aede277UL;
   tf->codes[14628] = 0x0001809b5e6d448cUL;
   tf->codes[14629] = 0x000180b5e73be1d0UL;
   tf->codes[14630] = 0x000180dd79e2c7f1UL;
   tf->codes[14631] = 0x000180edf21c6759UL;
   tf->codes[14632] = 0x000180f9620b87d3UL;
   tf->codes[14633] = 0x000180fd458ae9e8UL;
   tf->codes[14634] = 0x00018107561fe7c4UL;
   tf->codes[14635] = 0x0001811375bc198dUL;
   tf->codes[14636] = 0x0001811e35fe28b8UL;
   tf->codes[14637] = 0x00018121a45f7f43UL;
   tf->codes[14638] = 0x0001812bef8382e4UL;
   tf->codes[14639] = 0x0001812e73a8c25bUL;
   tf->codes[14640] = 0x000181593a21f942UL;
   tf->codes[14641] = 0x0001815d1da15b57UL;
   tf->codes[14642] = 0x00018167dde36a82UL;
   tf->codes[14643] = 0x000181776be0f2d6UL;
   tf->codes[14644] = 0x000181881ea99803UL;
   tf->codes[14645] = 0x00018198d1723d30UL;
   tf->codes[14646] = 0x0001819d2a0faacfUL;
   tf->codes[14647] = 0x000181a3cc435220UL;
   tf->codes[14648] = 0x000181a441615daaUL;
   tf->codes[14649] = 0x000181a4f10e6ef9UL;
   tf->codes[14650] = 0x000181b23575bd9bUL;
   tf->codes[14651] = 0x000181c5a6f2a804UL;
   tf->codes[14652] = 0x000181c7f088e1b6UL;
   tf->codes[14653] = 0x000181dde62b0b96UL;
   tf->codes[14654] = 0x000181e62247db4aUL;
   tf->codes[14655] = 0x000181eb9fb065c2UL;
   tf->codes[14656] = 0x000181fdb1d32d8dUL;
   tf->codes[14657] = 0x00018202ba1dac7bUL;
   tf->codes[14658] = 0x0001820369cabdcaUL;
   tf->codes[14659] = 0x000182141c9362f7UL;
   tf->codes[14660] = 0x00018216a0b8a26eUL;
   tf->codes[14661] = 0x00018216db47a833UL;
   tf->codes[14662] = 0x0001821e67b76698UL;
   tf->codes[14663] = 0x00018225447a13aeUL;
   tf->codes[14664] = 0x0001823c5ee75a67UL;
   tf->codes[14665] = 0x000182433baa077dUL;
   tf->codes[14666] = 0x0001824a52fbba58UL;
   tf->codes[14667] = 0x00018257d1f20ebfUL;
   tf->codes[14668] = 0x0001825dff07aa86UL;
   tf->codes[14669] = 0x0001826257a51825UL;
   tf->codes[14670] = 0x0001826bb88d04b2UL;
   tf->codes[14671] = 0x0001827ca5e4afa4UL;
   tf->codes[14672] = 0x000182b81f268bb8UL;
   tf->codes[14673] = 0x000182df3caf664fUL;
   tf->codes[14674] = 0x000182f1fe7f3f69UL;
   tf->codes[14675] = 0x000182faea49206cUL;
   tf->codes[14676] = 0x000182fbd4853780UL;
   tf->codes[14677] = 0x000182fc49a3430aUL;
   tf->codes[14678] = 0x0001830a7846a8c0UL;
   tf->codes[14679] = 0x0001831831cc02ecUL;
   tf->codes[14680] = 0x0001833a470a5e95UL;
   tf->codes[14681] = 0x00018343e28150e7UL;
   tf->codes[14682] = 0x000183562f331e77UL;
   tf->codes[14683] = 0x00018367cc37dab8UL;
   tf->codes[14684] = 0x0001837167aecd0aUL;
   tf->codes[14685] = 0x00018399e491ca3fUL;
   tf->codes[14686] = 0x000183a38008bc91UL;
   tf->codes[14687] = 0x000183a6042dfc08UL;
   tf->codes[14688] = 0x000183b25e593396UL;
   tf->codes[14689] = 0x000183b93b1be0acUL;
   tf->codes[14690] = 0x000183d891a5f719UL;
   tf->codes[14691] = 0x000183db8ae9421aUL;
   tf->codes[14692] = 0x000183f3ca21a5acUL;
   tf->codes[14693] = 0x00018423d3746146UL;
   tf->codes[14694] = 0x000184265799a0bdUL;
   tf->codes[14695] = 0x00018430dd4caa23UL;
   tf->codes[14696] = 0x0001843ff62c26edUL;
   tf->codes[14697] = 0x000184406b4a3277UL;
   tf->codes[14698] = 0x00018446d2eed403UL;
   tf->codes[14699] = 0x000184511e12d7a4UL;
   tf->codes[14700] = 0x00018456d60a67e1UL;
   tf->codes[14701] = 0x00018461212e6b82UL;
   tf->codes[14702] = 0x00018465eee9e4abUL;
   tf->codes[14703] = 0x00018478b0b9bdc5UL;
   tf->codes[14704] = 0x0001847b34defd3cUL;
   tf->codes[14705] = 0x00018482fbddc166UL;
   tf->codes[14706] = 0x00018499a12cfc95UL;
   tf->codes[14707] = 0x000184a8ba0c795fUL;
   tf->codes[14708] = 0x000184b9a7642451UL;
   tf->codes[14709] = 0x000184d9ad9b4c0dUL;
   tf->codes[14710] = 0x000184e6f2029aafUL;
   tf->codes[14711] = 0x000184eb10110289UL;
   tf->codes[14712] = 0x000184ed1f183676UL;
   tf->codes[14713] = 0x000184fc7286b905UL;
   tf->codes[14714] = 0x0001850a2c0c1331UL;
   tf->codes[14715] = 0x0001851402120b48UL;
   tf->codes[14716] = 0x00018514ec4e225cUL;
   tf->codes[14717] = 0x0001851686374abfUL;
   tf->codes[14718] = 0x0001851f377225fdUL;
   tf->codes[14719] = 0x0001852021ae3d11UL;
   tf->codes[14720] = 0x0001852230b570feUL;
   tf->codes[14721] = 0x00018527e8ad013bUL;
   tf->codes[14722] = 0x0001852b919d5d8bUL;
   tf->codes[14723] = 0x0001853826579adeUL;
   tf->codes[14724] = 0x0001853ec88b422fUL;
   tf->codes[14725] = 0x0001854062746a92UL;
   tf->codes[14726] = 0x00018553244443acUL;
   tf->codes[14727] = 0x0001857d759f6f09UL;
   tf->codes[14728] = 0x000185971431f539UL;
   tf->codes[14729] = 0x0001859af7b1574eUL;
   tf->codes[14730] = 0x000185b8b4524558UL;
   tf->codes[14731] = 0x000185cc25cf2fc1UL;
   tf->codes[14732] = 0x000185d5c1462213UL;
   tf->codes[14733] = 0x000185e4da259eddUL;
   tf->codes[14734] = 0x000185e6397fc17bUL;
   tf->codes[14735] = 0x000185ff9d8341e6UL;
   tf->codes[14736] = 0x000186060527e372UL;
   tf->codes[14737] = 0x00018629b44f677eUL;
   tf->codes[14738] = 0x00018639b76afb5cUL;
   tf->codes[14739] = 0x0001863c3b903ad3UL;
   tf->codes[14740] = 0x000186431852e7e9UL;
   tf->codes[14741] = 0x00018647e60e6112UL;
   tf->codes[14742] = 0x00018657740be966UL;
   tf->codes[14743] = 0x00018675a5cae2faUL;
   tf->codes[14744] = 0x0001867f7bd0db11UL;
   tf->codes[14745] = 0x0001869aeedb8f69UL;
   tf->codes[14746] = 0x000186a44fc37bf6UL;
   tf->codes[14747] = 0x000186a5748e98cfUL;
   tf->codes[14748] = 0x000186da862bd357UL;
   tf->codes[14749] = 0x000186e50bdedcbdUL;
   tf->codes[14750] = 0x00018701a3b4adeeUL;
   tf->codes[14751] = 0x00018702c87fcac7UL;
   tf->codes[14752] = 0x0001871a929a22cfUL;
   tf->codes[14753] = 0x0001873fdbaacf3eUL;
   tf->codes[14754] = 0x00018755219fe7cfUL;
   tf->codes[14755] = 0x000187638ad2534aUL;
   tf->codes[14756] = 0x00018769f276f4d6UL;
   tf->codes[14757] = 0x0001876e85a3683aUL;
   tf->codes[14758] = 0x0001877f386c0d67UL;
   tf->codes[14759] = 0x0001877fe8191eb6UL;
   tf->codes[14760] = 0x0001878f7616a70aUL;
   tf->codes[14761] = 0x00018799c13aaaabUL;
   tf->codes[14762] = 0x0001879a3658b635UL;
   tf->codes[14763] = 0x000187ade264a663UL;
   tf->codes[14764] = 0x000187cbd9949a32UL;
   tf->codes[14765] = 0x000187dd76995673UL;
   tf->codes[14766] = 0x000187e4c87a0f13UL;
   tf->codes[14767] = 0x000187e95ba68277UL;
   tf->codes[14768] = 0x000187f5b5d1ba05UL;
   tf->codes[14769] = 0x000187fb6dc94a42UL;
   tf->codes[14770] = 0x0001880a118abb82UL;
   tf->codes[14771] = 0x00018822c5e12a9eUL;
   tf->codes[14772] = 0x000188250f776450UL;
   tf->codes[14773] = 0x00018839e04e7157UL;
   tf->codes[14774] = 0x0001883b7a3799baUL;
   tf->codes[14775] = 0x0001883e38ebdef6UL;
   tf->codes[14776] = 0x000188463a79a8e5UL;
   tf->codes[14777] = 0x00018848be9ee85cUL;
   tf->codes[14778] = 0x0001884bf2713922UL;
   tf->codes[14779] = 0x0001885bbafdc73bUL;
   tf->codes[14780] = 0x0001886ef1ebabdfUL;
   tf->codes[14781] = 0x00018887a6421afbUL;
   tf->codes[14782] = 0x00018892a1132febUL;
   tf->codes[14783] = 0x00018897e3ecb49eUL;
   tf->codes[14784] = 0x0001889d26c63951UL;
   tf->codes[14785] = 0x000188bd2cfd610dUL;
   tf->codes[14786] = 0x000188d8da971b2aUL;
   tf->codes[14787] = 0x000188d98a442c79UL;
   tf->codes[14788] = 0x000188e5a9e05e42UL;
   tf->codes[14789] = 0x000188e6ceab7b1bUL;
   tf->codes[14790] = 0x000188e7f37697f4UL;
   tf->codes[14791] = 0x000188ef45575094UL;
   tf->codes[14792] = 0x000188f3d883c3f8UL;
   tf->codes[14793] = 0x000188f41312c9bdUL;
   tf->codes[14794] = 0x000188f86bb0375cUL;
   tf->codes[14795] = 0x000188ff0de3deadUL;
   tf->codes[14796] = 0x000188ff4872e472UL;
   tf->codes[14797] = 0x00018905006a74afUL;
   tf->codes[14798] = 0x00018913debaebb4UL;
   tf->codes[14799] = 0x00018915edc21fa1UL;
   tf->codes[14800] = 0x0001891b309ba454UL;
   tf->codes[14801] = 0x0001892247ed572fUL;
   tf->codes[14802] = 0x0001893a8725bac1UL;
   tf->codes[14803] = 0x0001894163e867d7UL;
   tf->codes[14804] = 0x00018942c3428a75UL;
   tf->codes[14805] = 0x000189454767c9ecUL;
   tf->codes[14806] = 0x000189466c32e6c5UL;
   tf->codes[14807] = 0x00018949a005378bUL;
   tf->codes[14808] = 0x00018956e46c862dUL;
   tf->codes[14809] = 0x0001895d4c1127b9UL;
   tf->codes[14810] = 0x0001896f98c2f549UL;
   tf->codes[14811] = 0x000189779a50bf38UL;
   tf->codes[14812] = 0x000189842f0afc8bUL;
   tf->codes[14813] = 0x000189a67ed85df9UL;
   tf->codes[14814] = 0x000189a88ddf91e6UL;
   tf->codes[14815] = 0x000189b5d246e088UL;
   tf->codes[14816] = 0x000189bfa84cd89fUL;
   tf->codes[14817] = 0x000189c6fa2d913fUL;
   tf->codes[14818] = 0x000189d90c50590aUL;
   tf->codes[14819] = 0x000189e1f81a3a0dUL;
   tf->codes[14820] = 0x000189e357745cabUL;
   tf->codes[14821] = 0x000189e3cc926835UL;
   tf->codes[14822] = 0x00018a02e88d78ddUL;
   tf->codes[14823] = 0x00018a035dab8467UL;
   tf->codes[14824] = 0x00018a04bd05a705UL;
   tf->codes[14825] = 0x00018a12016cf5a7UL;
   tf->codes[14826] = 0x00018a14c0213ae3UL;
   tf->codes[14827] = 0x00018a24fdcbd486UL;
   tf->codes[14828] = 0x00018a2956694225UL;
   tf->codes[14829] = 0x00018a2990f847eaUL;
   tf->codes[14830] = 0x00018a2ab5c364c3UL;
   tf->codes[14831] = 0x00018a2b65707612UL;
   tf->codes[14832] = 0x00018a311d68064fUL;
   tf->codes[14833] = 0x00018a327cc228edUL;
   tf->codes[14834] = 0x00018a3d02753253UL;
   tf->codes[14835] = 0x00018a3d3d043818UL;
   tf->codes[14836] = 0x00018a3e9c5e5ab6UL;
   tf->codes[14837] = 0x00018a40e5f49468UL;
   tf->codes[14838] = 0x00018a469dec24a5UL;
   tf->codes[14839] = 0x00018a59252cf7faUL;
   tf->codes[14840] = 0x00018a5d7dca6599UL;
   tf->codes[14841] = 0x00018a766cafda7aUL;
   tf->codes[14842] = 0x00018a7a502f3c8fUL;
   tf->codes[14843] = 0x00018a8042b5d291UL;
   tf->codes[14844] = 0x00018a80f262e3e0UL;
   tf->codes[14845] = 0x00018a83eba62ee1UL;
   tf->codes[14846] = 0x00018a8ac868dbf7UL;
   tf->codes[14847] = 0x00018a99e14858c1UL;
   tf->codes[14848] = 0x00018aa8bf98cfc6UL;
   tf->codes[14849] = 0x00018aaf9c5b7cdcUL;
   tf->codes[14850] = 0x00018ac089b327ceUL;
   tf->codes[14851] = 0x00018ae34e9e94c6UL;
   tf->codes[14852] = 0x00018af6c01b7f2fUL;
   tf->codes[14853] = 0x00018af94440bea6UL;
   tf->codes[14854] = 0x00018afbc865fe1dUL;
   tf->codes[14855] = 0x00018afefc384ee3UL;
   tf->codes[14856] = 0x00018b07e8022fe6UL;
   tf->codes[14857] = 0x00018b18d559dad8UL;
   tf->codes[14858] = 0x00018b1fb21c87eeUL;
   tf->codes[14859] = 0x00018b2619c1297aUL;
   tf->codes[14860] = 0x00018b2aaced9cdeUL;
   tf->codes[14861] = 0x00018b2fefc72191UL;
   tf->codes[14862] = 0x00018b3c84815ee4UL;
   tf->codes[14863] = 0x00018b45e5694b71UL;
   tf->codes[14864] = 0x00018b4f80e03dc3UL;
   tf->codes[14865] = 0x00018b54c3b9c276UL;
   tf->codes[14866] = 0x00018b5e24a1af03UL;
   tf->codes[14867] = 0x00018b63dc993f40UL;
   tf->codes[14868] = 0x00018b6bde27092fUL;
   tf->codes[14869] = 0x00018b6ffc357109UL;
   tf->codes[14870] = 0x00018b7d060db9e6UL;
   tf->codes[14871] = 0x00018b828376445eUL;
   tf->codes[14872] = 0x00018b8925a9ebafUL;
   tf->codes[14873] = 0x00018b9f906a2119UL;
   tf->codes[14874] = 0x00018ba75768e543UL;
   tf->codes[14875] = 0x00018bad847e810aUL;
   tf->codes[14876] = 0x00018bb87f4f95faUL;
   tf->codes[14877] = 0x00018bba1938be5dUL;
   tf->codes[14878] = 0x00018bbf96a148d5UL;
   tf->codes[14879] = 0x00018bc1e0378287UL;
   tf->codes[14880] = 0x00018bd8faa4c940UL;
   tf->codes[14881] = 0x00018be58f5f0693UL;
   tf->codes[14882] = 0x00018be79e663a80UL;
   tf->codes[14883] = 0x00018bf557eb94acUL;
   tf->codes[14884] = 0x00018bf5cd09a036UL;
   tf->codes[14885] = 0x00018c05d0253414UL;
   tf->codes[14886] = 0x00018c060ab439d9UL;
   tf->codes[14887] = 0x00018c1ebf0aa8f5UL;
   tf->codes[14888] = 0x00018c3e5023c527UL;
   tf->codes[14889] = 0x00018c57eeb64b57UL;
   tf->codes[14890] = 0x00018c5b5d17a1e2UL;
   tf->codes[14891] = 0x00018c635ea56bd1UL;
   tf->codes[14892] = 0x00018c865e1fde8eUL;
   tf->codes[14893] = 0x00018c87bd7a012cUL;
   tf->codes[14894] = 0x00018c99cf9cc8f7UL;
   tf->codes[14895] = 0x00018c9ffcb264beUL;
   tf->codes[14896] = 0x00018cb1d44626c4UL;
   tf->codes[14897] = 0x00018cc16243af18UL;
   tf->codes[14898] = 0x00018cc62fff2841UL;
   tf->codes[14899] = 0x00018ce1dd98e25eUL;
   tf->codes[14900] = 0x00018ce54bfa38e9UL;
   tf->codes[14901] = 0x00018ce8f4ea9539UL;
   tf->codes[14902] = 0x00018cf798ac0679UL;
   tf->codes[14903] = 0x00018d042d6643ccUL;
   tf->codes[14904] = 0x00018d0935b0c2baUL;
   tf->codes[14905] = 0x00018d125c09a982UL;
   tf->codes[14906] = 0x00018d225f253d60UL;
   tf->codes[14907] = 0x00018d6bcc7b7965UL;
   tf->codes[14908] = 0x00018d83d124d732UL;
   tf->codes[14909] = 0x00018da3d75bfeeeUL;
   tf->codes[14910] = 0x00018da8dfa67ddcUL;
   tf->codes[14911] = 0x00018db4c4b3a9e0UL;
   tf->codes[14912] = 0x00018dbb2c584b6cUL;
   tf->codes[14913] = 0x00018dd36b90aefeUL;
   tf->codes[14914] = 0x00018dda48535c14UL;
   tf->codes[14915] = 0x00018de508956b3fUL;
   tf->codes[14916] = 0x00018dfee1b6f734UL;
   tf->codes[14917] = 0x00018e075862ccadUL;
   tf->codes[14918] = 0x00018e14623b158aUL;
   tf->codes[14919] = 0x00018e1b046ebcdbUL;
   tf->codes[14920] = 0x00018e22564f757bUL;
   tf->codes[14921] = 0x00018e2305fc86caUL;
   tf->codes[14922] = 0x00018e3eb39640e7UL;
   tf->codes[14923] = 0x00018e4939494a4dUL;
   tf->codes[14924] = 0x00018e567db098efUL;
   tf->codes[14925] = 0x00018e5bfb192367UL;
   tf->codes[14926] = 0x00018e613df2a81aUL;
   tf->codes[14927] = 0x00018e63126ad642UL;
   tf->codes[14928] = 0x00018e65969015b9UL;
   tf->codes[14929] = 0x00018e6a29bc891dUL;
   tf->codes[14930] = 0x00018e7091612aa9UL;
   tf->codes[14931] = 0x00018e72a0685e96UL;
   tf->codes[14932] = 0x00018e7b8c323f99UL;
   tf->codes[14933] = 0x00018e8945b799c5UL;
   tf->codes[14934] = 0x00018ea06024e07eUL;
   tf->codes[14935] = 0x00018eafee2268d2UL;
   tf->codes[14936] = 0x00018eca01d2fa8cUL;
   tf->codes[14937] = 0x00018ecab1800bdbUL;
   tf->codes[14938] = 0x00018ecff459908eUL;
   tf->codes[14939] = 0x00018ee032042a31UL;
   tf->codes[14940] = 0x00018eedb0fa7e98UL;
   tf->codes[14941] = 0x00018efc8f4af59dUL;
   tf->codes[14942] = 0x00018f0281d18b9fUL;
   tf->codes[14943] = 0x00018f041bbab402UL;
   tf->codes[14944] = 0x00018f0edbfcc32dUL;
   tf->codes[14945] = 0x00018f35f9859dc4UL;
   tf->codes[14946] = 0x00018f47968a5a05UL;
   tf->codes[14947] = 0x00018f663d675f23UL;
   tf->codes[14948] = 0x00018f78c4a83278UL;
   tf->codes[14949] = 0x00018f85ce807b55UL;
   tf->codes[14950] = 0x00018f91b38da759UL;
   tf->codes[14951] = 0x00018f9a2a397cd2UL;
   tf->codes[14952] = 0x00018faefb1089d9UL;
   tf->codes[14953] = 0x00018fb8d11681f0UL;
   tf->codes[14954] = 0x00018fbae01db5ddUL;
   tf->codes[14955] = 0x00018fdc45af0037UL;
   tf->codes[14956] = 0x00018fe9c4a5549eUL;
   tf->codes[14957] = 0x00018ffc1157222eUL;
   tf->codes[14958] = 0x0001900b2a369ef8UL;
   tf->codes[14959] = 0x0001900bd9e3b047UL;
   tf->codes[14960] = 0x0001901db177724dUL;
   tf->codes[14961] = 0x0001901dec067812UL;
   tf->codes[14962] = 0x00019026282347c6UL;
   tf->codes[14963] = 0x0001903a494d437eUL;
   tf->codes[14964] = 0x0001903fc6b5cdf6UL;
   tf->codes[14965] = 0x00019047c84397e5UL;
   tf->codes[14966] = 0x000190483d61a36fUL;
   tf->codes[14967] = 0x0001904877f0a934UL;
   tf->codes[14968] = 0x00019053e7dfc9aeUL;
   tf->codes[14969] = 0x000190649aa86edbUL;
   tf->codes[14970] = 0x0001906bec89277bUL;
   tf->codes[14971] = 0x0001908291d862aaUL;
   tf->codes[14972] = 0x00019083b6a37f83UL;
   tf->codes[14973] = 0x000190937f300d9cUL;
   tf->codes[14974] = 0x000190967873589dUL;
   tf->codes[14975] = 0x00019097282069ecUL;
   tf->codes[14976] = 0x00019099ac45a963UL;
   tf->codes[14977] = 0x0001909bbb4cdd50UL;
   tf->codes[14978] = 0x0001909fd95b452aUL;
   tf->codes[14979] = 0x000190b05194e492UL;
   tf->codes[14980] = 0x000190c38882c936UL;
   tf->codes[14981] = 0x000190d59aa59101UL;
   tf->codes[14982] = 0x000190da2dd20465UL;
   tf->codes[14983] = 0x0001911c83d68d8fUL;
   tf->codes[14984] = 0x0001912744189cbaUL;
   tf->codes[14985] = 0x0001912dabbd3e46UL;
   tf->codes[14986] = 0x000191391bac5ec0UL;
   tf->codes[14987] = 0x000191587236752dUL;
   tf->codes[14988] = 0x0001917962a9b3fdUL;
   tf->codes[14989] = 0x0001917ac203d69bUL;
   tf->codes[14990] = 0x0001917c215df939UL;
   tf->codes[14991] = 0x00019186a711029fUL;
   tf->codes[14992] = 0x0001918756be13eeUL;
   tf->codes[14993] = 0x0001918d0eb5a42bUL;
   tf->codes[14994] = 0x0001918dbe62b57aUL;
   tf->codes[14995] = 0x00019192c6ad3468UL;
   tf->codes[14996] = 0x000191a79784416fUL;
   tf->codes[14997] = 0x000191a8bc4f5e48UL;
   tf->codes[14998] = 0x000191a9e11a7b21UL;
   tf->codes[14999] = 0x000191ab05e597faUL;
   tf->codes[15000] = 0x000191abb592a949UL;
   tf->codes[15001] = 0x000191bace722613UL;
   tf->codes[15002] = 0x000191bf619e9977UL;
   tf->codes[15003] = 0x000191d139325b7dUL;
   tf->codes[15004] = 0x000191e2268a066fUL;
   tf->codes[15005] = 0x000191f229a59a4dUL;
   tf->codes[15006] = 0x000192122fdcc209UL;
   tf->codes[15007] = 0x00019216fd983b32UL;
   tf->codes[15008] = 0x0001921aa6889782UL;
   tf->codes[15009] = 0x0001921d653cdcbeUL;
   tf->codes[15010] = 0x0001921e14e9ee0dUL;
   tf->codes[15011] = 0x0001925a7867e135UL;
   tf->codes[15012] = 0x000192670d221e88UL;
   tf->codes[15013] = 0x0001927a7e9f08f1UL;
   tf->codes[15014] = 0x0001927f4c5a821aUL;
   tf->codes[15015] = 0x0001927fc1788da4UL;
   tf->codes[15016] = 0x00019287fd955d58UL;
   tf->codes[15017] = 0x000192b791ca0d68UL;
   tf->codes[15018] = 0x000192bbafd87542UL;
   tf->codes[15019] = 0x000192c426844abbUL;
   tf->codes[15020] = 0x000192d8823d4c38UL;
   tf->codes[15021] = 0x000192d931ea5d87UL;
   tf->codes[15022] = 0x000192e0be5a1becUL;
   tf->codes[15023] = 0x000192e3427f5b63UL;
   tf->codes[15024] = 0x000192e9e4b302b4UL;
   tf->codes[15025] = 0x000192f0fc04b58fUL;
   tf->codes[15026] = 0x000192f51a131d69UL;
   tf->codes[15027] = 0x000192fe05dcfe6cUL;
   tf->codes[15028] = 0x000192fe406c0431UL;
   tf->codes[15029] = 0x00019307dbe2f683UL;
   tf->codes[15030] = 0x000193126195ffe9UL;
   tf->codes[15031] = 0x000193160a865c39UL;
   tf->codes[15032] = 0x00019318541c95ebUL;
   tf->codes[15033] = 0x0001931c722afdc5UL;
   tf->codes[15034] = 0x00019325d312ea52UL;
   tf->codes[15035] = 0x000193423059b5beUL;
   tf->codes[15036] = 0x00019361fc01d7b5UL;
   tf->codes[15037] = 0x0001936f40692657UL;
   tf->codes[15038] = 0x00019372743b771dUL;
   tf->codes[15039] = 0x000193748342ab0aUL;
   tf->codes[15040] = 0x0001937ece66aeabUL;
   tf->codes[15041] = 0x0001937fb8a2c5bfUL;
   tf->codes[15042] = 0x000193820238ff71UL;
   tf->codes[15043] = 0x000193939f3dbbb2UL;
   tf->codes[15044] = 0x00019398326a2f16UL;
   tf->codes[15045] = 0x0001939dea61bf53UL;
   tf->codes[15046] = 0x000193a6267e8f07UL;
   tf->codes[15047] = 0x000193aaf43a0830UL;
   tf->codes[15048] = 0x000193af4cd775cfUL;
   tf->codes[15049] = 0x000193affc84871eUL;
   tf->codes[15050] = 0x000193b15bdea9bcUL;
   tf->codes[15051] = 0x000193bdb609e14aUL;
   tf->codes[15052] = 0x000193c1d4184924UL;
   tf->codes[15053] = 0x000193c6a1d3c24dUL;
   tf->codes[15054] = 0x000193c6dc62c812UL;
   tf->codes[15055] = 0x000193c925f901c4UL;
   tf->codes[15056] = 0x000193c99b170d4eUL;
   tf->codes[15057] = 0x000193cabfe22a27UL;
   tf->codes[15058] = 0x000193d9d8c1a6f1UL;
   tf->codes[15059] = 0x000193dfcb483cf3UL;
   tf->codes[15060] = 0x000193e2c48b87f4UL;
   tf->codes[15061] = 0x000193f92f4bbd5eUL;
   tf->codes[15062] = 0x0001940255a4a426UL;
   tf->codes[15063] = 0x000194051458e962UL;
   tf->codes[15064] = 0x00019411a91326b5UL;
   tf->codes[15065] = 0x00019421ac2eba93UL;
   tf->codes[15066] = 0x000194246ae2ffcfUL;
   tf->codes[15067] = 0x0001942764264ad0UL;
   tf->codes[15068] = 0x00019428fe0f7333UL;
   tf->codes[15069] = 0x00019429adbc8482UL;
   tf->codes[15070] = 0x0001942b8234b2aaUL;
   tf->codes[15071] = 0x0001945a2c2d4ba6UL;
   tf->codes[15072] = 0x0001945c75c38558UL;
   tf->codes[15073] = 0x0001945fa995d61eUL;
   tf->codes[15074] = 0x0001947fea5c039fUL;
   tf->codes[15075] = 0x000194809a0914eeUL;
   tf->codes[15076] = 0x00019484086a6b79UL;
   tf->codes[15077] = 0x00019489faf1017bUL;
   tf->codes[15078] = 0x0001949b97f5bdbcUL;
   tf->codes[15079] = 0x000194a61da8c722UL;
   tf->codes[15080] = 0x000194af4401adeaUL;
   tf->codes[15081] = 0x000194bc4dd9f6c7UL;
   tf->codes[15082] = 0x000194bf0c8e3c03UL;
   tf->codes[15083] = 0x000194c44f67c0b6UL;
   tf->codes[15084] = 0x000194eaf7d28fc3UL;
   tf->codes[15085] = 0x000194f5b8149eeeUL;
   tf->codes[15086] = 0x0001951424629e47UL;
   tf->codes[15087] = 0x0001951583bcc0e5UL;
   tf->codes[15088] = 0x0001951b3bb45122UL;
   tf->codes[15089] = 0x0001951c25f06836UL;
   tf->codes[15090] = 0x0001951d854a8ad4UL;
   tf->codes[15091] = 0x0001952377d120d6UL;
   tf->codes[15092] = 0x0001953a1d205c05UL;
   tf->codes[15093] = 0x000195546b5ff384UL;
   tf->codes[15094] = 0x00019558c3fd6123UL;
   tf->codes[15095] = 0x000195693c37008bUL;
   tf->codes[15096] = 0x0001956a9b912329UL;
   tf->codes[15097] = 0x0001956b10af2eb3UL;
   tf->codes[15098] = 0x00019576f5bc5ab7UL;
   tf->codes[15099] = 0x0001957f31d92a6bUL;
   tf->codes[15100] = 0x000195943d3f3d37UL;
   tf->codes[15101] = 0x000195a390adbfc6UL;
   tf->codes[15102] = 0x000195bc7f9334a7UL;
   tf->codes[15103] = 0x000195c112bfa80bUL;
   tf->codes[15104] = 0x000195c4f63f0a20UL;
   tf->codes[15105] = 0x000195c705463e0dUL;
   tf->codes[15106] = 0x000195de1fb384c6UL;
   tf->codes[15107] = 0x00019619d384669fUL;
   tf->codes[15108] = 0x0001961edbcee58dUL;
   tf->codes[15109] = 0x00019625f3209868UL;
   tf->codes[15110] = 0x0001962a4bbe0607UL;
   tf->codes[15111] = 0x00019639649d82d1UL;
   tf->codes[15112] = 0x0001963bae33bc83UL;
   tf->codes[15113] = 0x0001964424df91fcUL;
   tf->codes[15114] = 0x00019663f087b3f3UL;
   tf->codes[15115] = 0x00019665c4ffe21bUL;
   tf->codes[15116] = 0x00019666e9cafef4UL;
   tf->codes[15117] = 0x0001967762049e5cUL;
   tf->codes[15118] = 0x000196784c40b570UL;
   tf->codes[15119] = 0x0001967dc9a93fe8UL;
   tf->codes[15120] = 0x00019681e7b7a7c2UL;
   tf->codes[15121] = 0x000196a521c12044UL;
   tf->codes[15122] = 0x000196abfe83cd5aUL;
   tf->codes[15123] = 0x000196b1b67b5d97UL;
   tf->codes[15124] = 0x000196b7e390f95eUL;
   tf->codes[15125] = 0x000196c38e0f1f9dUL;
   tf->codes[15126] = 0x000196e1102107e2UL;
   tf->codes[15127] = 0x000196e777c5a96eUL;
   tf->codes[15128] = 0x000196eb20b605beUL;
   tf->codes[15129] = 0x000196f7b5704311UL;
   tf->codes[15130] = 0x000197002c1c188aUL;
   tf->codes[15131] = 0x0001970917e5f98dUL;
   tf->codes[15132] = 0x0001970b9c0b3904UL;
   tf->codes[15133] = 0x0001971830c57657UL;
   tf->codes[15134] = 0x00019718a5e381e1UL;
   tf->codes[15135] = 0x00019719901f98f5UL;
   tf->codes[15136] = 0x000197245061a820UL;
   tf->codes[15137] = 0x0001972ba24260c0UL;
   tf->codes[15138] = 0x00019738e6a9af62UL;
   tf->codes[15139] = 0x0001973fc36c5c78UL;
   tf->codes[15140] = 0x00019746a02f098eUL;
   tf->codes[15141] = 0x0001974b6dea82b7UL;
   tf->codes[15142] = 0x0001974ba879887cUL;
   tf->codes[15143] = 0x0001975668bb97a7UL;
   tf->codes[15144] = 0x0001975f8f147e6fUL;
   tf->codes[15145] = 0x000197633804dabfUL;
   tf->codes[15146] = 0x00019776a981c528UL;
   tf->codes[15147] = 0x00019777592ed677UL;
   tf->codes[15148] = 0x00019796000bdb95UL;
   tf->codes[15149] = 0x000197aa9653e2d7UL;
   tf->codes[15150] = 0x000197ba24516b2bUL;
   tf->codes[15151] = 0x000197c6b90ba87eUL;
   tf->codes[15152] = 0x000197d29e18d482UL;
   tf->codes[15153] = 0x000197d7e0f25935UL;
   tf->codes[15154] = 0x000197d81b815efaUL;
   tf->codes[15155] = 0x000197db14c4a9fbUL;
   tf->codes[15156] = 0x000197debdb5064bUL;
   tf->codes[15157] = 0x000197e4b03b9c4dUL;
   tf->codes[15158] = 0x0001980148116d7eUL;
   tf->codes[15159] = 0x000198361f1fa241UL;
   tf->codes[15160] = 0x00019842794ad9cfUL;
   tf->codes[15161] = 0x0001984537ff1f0bUL;
   tf->codes[15162] = 0x00019849560d86e5UL;
   tf->codes[15163] = 0x0001986921b5a8dcUL;
   tf->codes[15164] = 0x0001986c1af8f3ddUL;
   tf->codes[15165] = 0x00019881d60c17f8UL;
   tf->codes[15166] = 0x0001988bac12100fUL;
   tf->codes[15167] = 0x000198a54aa4963fUL;
   tf->codes[15168] = 0x000198bb05b7ba5aUL;
   tf->codes[15169] = 0x000198bee9371c6fUL;
   tf->codes[15170] = 0x000198d6b3517477UL;
   tf->codes[15171] = 0x000198f72ea6a7bdUL;
   tf->codes[15172] = 0x000198f93daddbaaUL;
   tf->codes[15173] = 0x000198fe8087605dUL;
   tf->codes[15174] = 0x000198fef5a56be7UL;
   tf->codes[15175] = 0x000199034e42d986UL;
   tf->codes[15176] = 0x0001990522bb07aeUL;
   tf->codes[15177] = 0x0001990bc4eeaeffUL;
   tf->codes[15178] = 0x000199226a3dea2eUL;
   tf->codes[15179] = 0x000199370085f170UL;
   tf->codes[15180] = 0x000199468e8379c4UL;
   tf->codes[15181] = 0x000199656fef84a7UL;
   tf->codes[15182] = 0x0001996694baa180UL;
   tf->codes[15183] = 0x0001998ba33c482aUL;
   tf->codes[15184] = 0x0001999120a4d2a2UL;
   tf->codes[15185] = 0x000199aa0f8a4783UL;
   tf->codes[15186] = 0x000199ba12a5db61UL;
   tf->codes[15187] = 0x000199be30b4433bUL;
   tf->codes[15188] = 0x000199f3b76f894dUL;
   tf->codes[15189] = 0x00019a15ccade4f6UL;
   tf->codes[15190] = 0x00019a193b0f3b81UL;
   tf->codes[15191] = 0x00019a1fa2b3dd0dUL;
   tf->codes[15192] = 0x00019a23fb514aacUL;
   tf->codes[15193] = 0x00019a3bc56ba2b4UL;
   tf->codes[15194] = 0x00019a422d104440UL;
   tf->codes[15195] = 0x00019a464b1eac1aUL;
   tf->codes[15196] = 0x00019a564e3a3ff8UL;
   tf->codes[15197] = 0x00019a6392a18e9aUL;
   tf->codes[15198] = 0x00019a714c26e8c6UL;
   tf->codes[15199] = 0x00019a7b222ce0ddUL;
   tf->codes[15200] = 0x00019a7f05ac42f2UL;
   tf->codes[15201] = 0x00019a8fb874e81fUL;
   tf->codes[15202] = 0x00019a99c909e5fbUL;
   tf->codes[15203] = 0x00019a9a78b6f74aUL;
   tf->codes[15204] = 0x00019aa698532913UL;
   tf->codes[15205] = 0x00019aaba09da801UL;
   tf->codes[15206] = 0x00019ab4c6f68ec9UL;
   tf->codes[15207] = 0x00019ab6d5fdc2b6UL;
   tf->codes[15208] = 0x00019ac997cd9bd0UL;
   tf->codes[15209] = 0x00019ad78be1fbc1UL;
   tf->codes[15210] = 0x00019ae19c76f99dUL;
   tf->codes[15211] = 0x00019ae83eaaa0eeUL;
   tf->codes[15212] = 0x00019aea8840daa0UL;
   tf->codes[15213] = 0x00019af632bf00dfUL;
   tf->codes[15214] = 0x00019b180d6e56c3UL;
   tf->codes[15215] = 0x00019b2a5a202453UL;
   tf->codes[15216] = 0x00019b2d18d4698fUL;
   tf->codes[15217] = 0x00019b3554f13943UL;
   tf->codes[15218] = 0x00019b35ca0f44cdUL;
   tf->codes[15219] = 0x00019b46b766efbfUL;
   tf->codes[15220] = 0x00019b5a9e01e5b2UL;
   tf->codes[15221] = 0x00019b5d5cb62aeeUL;
   tf->codes[15222] = 0x00019b65d3620067UL;
   tf->codes[15223] = 0x00019b73525854ceUL;
   tf->codes[15224] = 0x00019b76110c9a0aUL;
   tf->codes[15225] = 0x00019b89f7a78ffdUL;
   tf->codes[15226] = 0x00019b9b1f8e40b4UL;
   tf->codes[15227] = 0x00019ba530233e90UL;
   tf->codes[15228] = 0x00019bc2b23526d5UL;
   tf->codes[15229] = 0x00019bd57404ffefUL;
   tf->codes[15230] = 0x00019bdc8b56b2caUL;
   tf->codes[15231] = 0x00019bdf8499fdcbUL;
   tf->codes[15232] = 0x00019be2f2fb5456UL;
   tf->codes[15233] = 0x00019c02bea3764dUL;
   tf->codes[15234] = 0x00019c0a85a23a77UL;
   tf->codes[15235] = 0x00019c14d0c63e18UL;
   tf->codes[15236] = 0x00019c21a00f8130UL;
   tf->codes[15237] = 0x00019c46ae9127daUL;
   tf->codes[15238] = 0x00019c48f827618cUL;
   tf->codes[15239] = 0x00019c4b072e9579UL;
   tf->codes[15240] = 0x00019c537dda6af2UL;
   tf->codes[15241] = 0x00019c7e4453a1d9UL;
   tf->codes[15242] = 0x00019c8e476f35b7UL;
   tf->codes[15243] = 0x00019c90567669a4UL;
   tf->codes[15244] = 0x00019c9adc29730aUL;
   tf->codes[15245] = 0x00019cae131757aeUL;
   tf->codes[15246] = 0x00019cb0973c9725UL;
   tf->codes[15247] = 0x00019cb26bb4c54dUL;
   tf->codes[15248] = 0x00019cdf06a62a5cUL;
   tf->codes[15249] = 0x00019ce4be9dba99UL;
   tf->codes[15250] = 0x00019ce742c2fa10UL;
   tf->codes[15251] = 0x00019ceb9b6067afUL;
   tf->codes[15252] = 0x00019d0539f2eddfUL;
   tf->codes[15253] = 0x00019d50b6505dd1UL;
   tf->codes[15254] = 0x00019d5250398634UL;
   tf->codes[15255] = 0x00019d533a759d48UL;
   tf->codes[15256] = 0x00019d59a21a3ed4UL;
   tf->codes[15257] = 0x00019d6512095f4eUL;
   tf->codes[15258] = 0x00019d68806ab5d9UL;
   tf->codes[15259] = 0x00019d7b07ab892eUL;
   tf->codes[15260] = 0x00019d89364eeee4UL;
   tf->codes[15261] = 0x00019d9fdb9e2a13UL;
   tf->codes[15262] = 0x00019da51e77aec6UL;
   tf->codes[15263] = 0x00019da9b1a4222aUL;
   tf->codes[15264] = 0x00019dd9f585e389UL;
   tf->codes[15265] = 0x00019ddbc9fe11b1UL;
   tf->codes[15266] = 0x00019de9f8a17767UL;
   tf->codes[15267] = 0x00019dfbd035396dUL;
   tf->codes[15268] = 0x00019dfcba715081UL;
   tf->codes[15269] = 0x00019e12b0137a61UL;
   tf->codes[15270] = 0x00019e42f3f53bc0UL;
   tf->codes[15271] = 0x00019e49d0b7e8d6UL;
   tf->codes[15272] = 0x00019e5874795a16UL;
   tf->codes[15273] = 0x00019ea3b647c443UL;
   tf->codes[15274] = 0x00019ea75f382093UL;
   tf->codes[15275] = 0x00019eb42e8163abUL;
   tf->codes[15276] = 0x00019ebe04875bc2UL;
   tf->codes[15277] = 0x00019ebfd8ff89eaUL;
   tf->codes[15278] = 0x00019ec0138e8fafUL;
   tf->codes[15279] = 0x00019ec2d242d4ebUL;
   tf->codes[15280] = 0x00019ed434b88b67UL;
   tf->codes[15281] = 0x00019eda273f2169UL;
   tf->codes[15282] = 0x00019edfa4a7abe1UL;
   tf->codes[15283] = 0x00019eeebd8728abUL;
   tf->codes[15284] = 0x00019ef55fbacffcUL;
   tf->codes[15285] = 0x00019efb524165feUL;
   tf->codes[15286] = 0x00019f0aa5afe88dUL;
   tf->codes[15287] = 0x00019f1b58788dbaUL;
   tf->codes[15288] = 0x00019f1c42b4a4ceUL;
   tf->codes[15289] = 0x00019f32e803dffdUL;
   tf->codes[15290] = 0x00019f37f04e5eebUL;
   tf->codes[15291] = 0x00019f3d6db6e963UL;
   tf->codes[15292] = 0x00019f5b64e6dd32UL;
   tf->codes[15293] = 0x00019f87c5493c7cUL;
   tf->codes[15294] = 0x00019faa15169deaUL;
   tf->codes[15295] = 0x00019fac241dd1d7UL;
   tf->codes[15296] = 0x00019fb3eb1c9601UL;
   tf->codes[15297] = 0x00019fc3ee3829dfUL;
   tf->codes[15298] = 0x00019fc4d87440f3UL;
   tf->codes[15299] = 0x00019fe37f514611UL;
   tf->codes[15300] = 0x00019fe4deab68afUL;
   tf->codes[15301] = 0x00019ffca8c5c0b7UL;
   tf->codes[15302] = 0x00019fff677a05f3UL;
   tf->codes[15303] = 0x0001a02316a189ffUL;
   tf->codes[15304] = 0x0001a02943b725c6UL;
   tf->codes[15305] = 0x0001a03737cb85b7UL;
   tf->codes[15306] = 0x0001a037725a8b7cUL;
   tf->codes[15307] = 0x0001a0489a413c33UL;
   tf->codes[15308] = 0x0001a04cf2dea9d2UL;
   tf->codes[15309] = 0x0001a0677bad4716UL;
   tf->codes[15310] = 0x0001a068a07863efUL;
   tf->codes[15311] = 0x0001a07410678469UL;
   tf->codes[15312] = 0x0001a077f3e6e67eUL;
   tf->codes[15313] = 0x0001a08488a123d1UL;
   tf->codes[15314] = 0x0001a084fdbf2f5bUL;
   tf->codes[15315] = 0x0001a08a4098b40eUL;
   tf->codes[15316] = 0x0001a099597830d8UL;
   tf->codes[15317] = 0x0001a0a12076f502UL;
   tf->codes[15318] = 0x0001a0a5b3a36866UL;
   tf->codes[15319] = 0x0001a0ba0f5c69e3UL;
   tf->codes[15320] = 0x0001a0ca1277fdc1UL;
   tf->codes[15321] = 0x0001a0cb71d2205fUL;
   tf->codes[15322] = 0x0001a0d4982b0727UL;
   tf->codes[15323] = 0x0001a0e3767b7e2cUL;
   tf->codes[15324] = 0x0001a0e51064a68fUL;
   tf->codes[15325] = 0x0001a0e84436f755UL;
   tf->codes[15326] = 0x0001a0eac85c36ccUL;
   tf->codes[15327] = 0x0001a0ffd3c24998UL;
   tf->codes[15328] = 0x0001a1080fdf194cUL;
   tf->codes[15329] = 0x0001a113ba5d3f8bUL;
   tf->codes[15330] = 0x0001a1163e827f02UL;
   tf->codes[15331] = 0x0001a1481c4d68c4UL;
   tf->codes[15332] = 0x0001a1bdaf76fe4eUL;
   tf->codes[15333] = 0x0001a1fcd1a936b2UL;
   tf->codes[15334] = 0x0001a200efb79e8cUL;
   tf->codes[15335] = 0x0001a203ae6be3c8UL;
   tf->codes[15336] = 0x0001a21ac8d92a81UL;
   tf->codes[15337] = 0x0001a2275d9367d4UL;
   tf->codes[15338] = 0x0001a227d2b1735eUL;
   tf->codes[15339] = 0x0001a22bf0bfdb38UL;
   tf->codes[15340] = 0x0001a23ca3888065UL;
   tf->codes[15341] = 0x0001a240c196e83fUL;
   tf->codes[15342] = 0x0001a2446a87448fUL;
   tf->codes[15343] = 0x0001a24b0cbaebe0UL;
   tf->codes[15344] = 0x0001a24f9fe75f44UL;
   tf->codes[15345] = 0x0001a27055cb984fUL;
   tf->codes[15346] = 0x0001a27fa93a1adeUL;
   tf->codes[15347] = 0x0001a296c3a76197UL;
   tf->codes[15348] = 0x0001a2bc0cb80e06UL;
   tf->codes[15349] = 0x0001a2c32409c0e1UL;
   tf->codes[15350] = 0x0001a2c82c543fcfUL;
   tf->codes[15351] = 0x0001a2ded1a37afeUL;
   tf->codes[15352] = 0x0001a30280caff0aUL;
   tf->codes[15353] = 0x0001a3103a505936UL;
   tf->codes[15354] = 0x0001a3271a2e9a2aUL;
   tf->codes[15355] = 0x0001a335836105a5UL;
   tf->codes[15356] = 0x0001a33f93f60381UL;
   tf->codes[15357] = 0x0001a34670b8b097UL;
   tf->codes[15358] = 0x0001a3534001f3afUL;
   tf->codes[15359] = 0x0001a363088e81c8UL;
   tf->codes[15360] = 0x0001a364dd06aff0UL;
   tf->codes[15361] = 0x0001a38299a79dfaUL;
   tf->codes[15362] = 0x0001a38bc00084c2UL;
   tf->codes[15363] = 0x0001a38bfa8f8a87UL;
   tf->codes[15364] = 0x0001a38f68f0e112UL;
   tf->codes[15365] = 0x0001a3a01bb9863fUL;
   tf->codes[15366] = 0x0001a3b4777287bcUL;
   tf->codes[15367] = 0x0001a3b97fbd06aaUL;
   tf->codes[15368] = 0x0001a3cbcc6ed43aUL;
   tf->codes[15369] = 0x0001a3d7b17c003eUL;
   tf->codes[15370] = 0x0001a3da35a13fb5UL;
   tf->codes[15371] = 0x0001a3fbd5c18fd4UL;
   tf->codes[15372] = 0x0001a40a3ef3fb4fUL;
   tf->codes[15373] = 0x0001a40f473e7a3dUL;
   tf->codes[15374] = 0x0001a417835b49f1UL;
   tf->codes[15375] = 0x0001a41a07808968UL;
   tf->codes[15376] = 0x0001a449d6443f3dUL;
   tf->codes[15377] = 0x0001a452fc9d2605UL;
   tf->codes[15378] = 0x0001a453ac4a3754UL;
   tf->codes[15379] = 0x0001a45a13eed8e0UL;
   tf->codes[15380] = 0x0001a46f1f54ebacUL;
   tf->codes[15381] = 0x0001a49b7fb74af6UL;
   tf->codes[15382] = 0x0001a4a5904c48d2UL;
   tf->codes[15383] = 0x0001a4bc359b8401UL;
   tf->codes[15384] = 0x0001a4cb13ebfb06UL;
   tf->codes[15385] = 0x0001a4ccadd52369UL;
   tf->codes[15386] = 0x0001a4d2a05bb96bUL;
   tf->codes[15387] = 0x0001a4e1f3ca3bfaUL;
   tf->codes[15388] = 0x0001a5047e26a32dUL;
   tf->codes[15389] = 0x0001a50aab3c3ef4UL;
   tf->codes[15390] = 0x0001a519146eaa6fUL;
   tf->codes[15391] = 0x0001a519c41bbbbeUL;
   tf->codes[15392] = 0x0001a533281f3c29UL;
   tf->codes[15393] = 0x0001a5411c339c1aUL;
   tf->codes[15394] = 0x0001a542f0abca42UL;
   tf->codes[15395] = 0x0001a55418927af9UL;
   tf->codes[15396] = 0x0001a565b597373aUL;
   tf->codes[15397] = 0x0001a57a866e4441UL;
   tf->codes[15398] = 0x0001a57f8eb8c32fUL;
   tf->codes[15399] = 0x0001a5de7c931d8aUL;
   tf->codes[15400] = 0x0001a5e9024626f0UL;
   tf->codes[15401] = 0x0001a5ead6be5518UL;
   tf->codes[15402] = 0x0001a5f437a641a5UL;
   tf->codes[15403] = 0x0001a5f60c1e6fcdUL;
   tf->codes[15404] = 0x0001a61562a8863aUL;
   tf->codes[15405] = 0x0001a61b8fbe2201UL;
   tf->codes[15406] = 0x0001a61bca4d27c6UL;
   tf->codes[15407] = 0x0001a61e4e72673dUL;
   tf->codes[15408] = 0x0001a62022ea9565UL;
   tf->codes[15409] = 0x0001a62147b5b23eUL;
   tf->codes[15410] = 0x0001a6373d57dc1eUL;
   tf->codes[15411] = 0x0001a6402921bd21UL;
   tf->codes[15412] = 0x0001a65bd6bb773eUL;
   tf->codes[15413] = 0x0001a65dab33a566UL;
   tf->codes[15414] = 0x0001a662ee0d2a19UL;
   tf->codes[15415] = 0x0001a670327478bbUL;
   tf->codes[15416] = 0x0001a6770f3725d1UL;
   tf->codes[15417] = 0x0001a691d294c8daUL;
   tf->codes[15418] = 0x0001a69f518b1d41UL;
   tf->codes[15419] = 0x0001a6a99caf20e2UL;
   tf->codes[15420] = 0x0001a6b163ade50cUL;
   tf->codes[15421] = 0x0001a6b19e3cead1UL;
   tf->codes[15422] = 0x0001a6bb39b3dd23UL;
   tf->codes[15423] = 0x0001a6c4d52acf75UL;
   tf->codes[15424] = 0x0001a6db3feb04dfUL;
   tf->codes[15425] = 0x0001a6e3b696da58UL;
   tf->codes[15426] = 0x0001a6ebf2b3aa0cUL;
   tf->codes[15427] = 0x0001a71818870391UL;
   tf->codes[15428] = 0x0001a71a621d3d43UL;
   tf->codes[15429] = 0x0001a7208f32d90aUL;
   tf->codes[15430] = 0x0001a72472b23b1fUL;
   tf->codes[15431] = 0x0001a72856319d34UL;
   tf->codes[15432] = 0x0001a7485c68c4f0UL;
   tf->codes[15433] = 0x0001a76b5be337adUL;
   tf->codes[15434] = 0x0001a76f3f6299c2UL;
   tf->codes[15435] = 0x0001a775e1964113UL;
   tf->codes[15436] = 0x0001a7818c146752UL;
   tf->codes[15437] = 0x0001a7991b9fb995UL;
   tf->codes[15438] = 0x0001a79ab588e1f8UL;
   tf->codes[15439] = 0x0001a79f48b5555cUL;
   tf->codes[15440] = 0x0001a7b6d840a79fUL;
   tf->codes[15441] = 0x0001a7c9d49f867eUL;
   tf->codes[15442] = 0x0001a7cea25affa7UL;
   tf->codes[15443] = 0x0001a7eb74bfd69dUL;
   tf->codes[15444] = 0x0001a7f6aa1ff152UL;
   tf->codes[15445] = 0x0001a80c2aa40fa8UL;
   tf->codes[15446] = 0x0001a81a93d67b23UL;
   tf->codes[15447] = 0x0001a81f9c20fa11UL;
   tf->codes[15448] = 0x0001a828c279e0d9UL;
   tf->codes[15449] = 0x0001a829acb5f7edUL;
   tf->codes[15450] = 0x0001a844aaa2a0bbUL;
   tf->codes[15451] = 0x0001a856f7546e4bUL;
   tf->codes[15452] = 0x0001a861b7967d76UL;
   tf->codes[15453] = 0x0001a866fa700229UL;
   tf->codes[15454] = 0x0001a89de0856ad9UL;
   tf->codes[15455] = 0x0001a8ab9a0ac505UL;
   tf->codes[15456] = 0x0001a8abd499cacaUL;
   tf->codes[15457] = 0x0001a8b5aa9fc2e1UL;
   tf->codes[15458] = 0x0001a8b98e1f24f6UL;
   tf->codes[15459] = 0x0001a8ca40e7ca23UL;
   tf->codes[15460] = 0x0001a8e120c60b17UL;
   tf->codes[15461] = 0x0001a8ff17f5fee6UL;
   tf->codes[15462] = 0x0001a91c9a07e72bUL;
   tf->codes[15463] = 0x0001a936e8477eaaUL;
   tf->codes[15464] = 0x0001a9463bb60139UL;
   tf->codes[15465] = 0x0001a95136871629UL;
   tf->codes[15466] = 0x0001a95a2250f72cUL;
   tf->codes[15467] = 0x0001a95b81ab19caUL;
   tf->codes[15468] = 0x0001a9667c7c2ebaUL;
   tf->codes[15469] = 0x0001a969b04e7f80UL;
   tf->codes[15470] = 0x0001a97a28881ee8UL;
   tf->codes[15471] = 0x0001a981b4f7dd4dUL;
   tf->codes[15472] = 0x0001a987326067c5UL;
   tf->codes[15473] = 0x0001a98ef95f2befUL;
   tf->codes[15474] = 0x0001a9ab1c16f196UL;
   tf->codes[15475] = 0x0001a9c5df74949fUL;
   tf->codes[15476] = 0x0001a9e6203ac220UL;
   tf->codes[15477] = 0x0001a9ea03ba2435UL;
   tf->codes[15478] = 0x0001a9fdafc61463UL;
   tf->codes[15479] = 0x0001aa3be7bc35b3UL;
   tf->codes[15480] = 0x0001aa42c47ee2c9UL;
   tf->codes[15481] = 0x0001aa4548a42240UL;
   tf->codes[15482] = 0x0001aa5bedf35d6fUL;
   tf->codes[15483] = 0x0001aa9fa3520937UL;
   tf->codes[15484] = 0x0001aaab885f353bUL;
   tf->codes[15485] = 0x0001aace87d9a7f8UL;
   tf->codes[15486] = 0x0001aacec268adbdUL;
   tf->codes[15487] = 0x0001aadb1c93e54bUL;
   tf->codes[15488] = 0x0001aae61764fa3bUL;
   tf->codes[15489] = 0x0001aaf4809765b6UL;
   tf->codes[15490] = 0x0001ab00dac29d44UL;
   tf->codes[15491] = 0x0001ab0a3baa89d1UL;
   tf->codes[15492] = 0x0001ab0b6075a6aaUL;
   tf->codes[15493] = 0x0001ab2205c4e1d9UL;
   tf->codes[15494] = 0x0001ab3cc92284e2UL;
   tf->codes[15495] = 0x0001ab441b033d82UL;
   tf->codes[15496] = 0x0001ab5458add725UL;
   tf->codes[15497] = 0x0001ab645bc96b03UL;
   tf->codes[15498] = 0x0001ab66dfeeaa7aUL;
   tf->codes[15499] = 0x0001ab70f083a856UL;
   tf->codes[15500] = 0x0001ab766dec32ceUL;
   tf->codes[15501] = 0x0001ab9674235a8aUL;
   tf->codes[15502] = 0x0001ab99e284b115UL;
   tf->codes[15503] = 0x0001ab9f255e35c8UL;
   tf->codes[15504] = 0x0001abb76496995aUL;
   tf->codes[15505] = 0x0001abbdcc3b3ae6UL;
   tf->codes[15506] = 0x0001abe683ad3de0UL;
   tf->codes[15507] = 0x0001abe81d966643UL;
   tf->codes[15508] = 0x0001abf477c19dd1UL;
   tf->codes[15509] = 0x0001ac0ae281d33bUL;
   tf->codes[15510] = 0x0001ac1e8e8dc369UL;
   tf->codes[15511] = 0x0001ac318aeca248UL;
   tf->codes[15512] = 0x0001ac3658a81b71UL;
   tf->codes[15513] = 0x0001ac74560f36fcUL;
   tf->codes[15514] = 0x0001ac762a876524UL;
   tf->codes[15515] = 0x0001ac7abdb3d888UL;
   tf->codes[15516] = 0x0001ac9f91a6796dUL;
   tf->codes[15517] = 0x0001acba8f93223bUL;
   tf->codes[15518] = 0x0001acbb79cf394fUL;
   tf->codes[15519] = 0x0001acc4dab725dcUL;
   tf->codes[15520] = 0x0001acc7244d5f8eUL;
   tf->codes[15521] = 0x0001accb425bc768UL;
   tf->codes[15522] = 0x0001acd552f0c544UL;
   tf->codes[15523] = 0x0001acfa9c0171b3UL;
   tf->codes[15524] = 0x0001ad0a29fefa07UL;
   tf->codes[15525] = 0x0001ad14afb2036dUL;
   tf->codes[15526] = 0x0001ad19084f710cUL;
   tf->codes[15527] = 0x0001ad1aa238996fUL;
   tf->codes[15528] = 0x0001ad261227b9e9UL;
   tf->codes[15529] = 0x0001ad439439a22eUL;
   tf->codes[15530] = 0x0001ad4b20a96093UL;
   tf->codes[15531] = 0x0001ad78e065e27bUL;
   tf->codes[15532] = 0x0001ad81cc2fc37eUL;
   tf->codes[15533] = 0x0001ad9e9e949a74UL;
   tf->codes[15534] = 0x0001ada15d48dfb0UL;
   tf->codes[15535] = 0x0001ada78a5e7b77UL;
   tf->codes[15536] = 0x0001adb24aa08aa2UL;
   tf->codes[15537] = 0x0001adb668aef27cUL;
   tf->codes[15538] = 0x0001addbec4ea4b0UL;
   tf->codes[15539] = 0x0001addfcfce06c5UL;
   tf->codes[15540] = 0x0001ade49d897feeUL;
   tf->codes[15541] = 0x0001ade5fce3a28cUL;
   tf->codes[15542] = 0x0001ae00fad04b5aUL;
   tf->codes[15543] = 0x0001ae084cb103faUL;
   tf->codes[15544] = 0x0001ae0a96473dacUL;
   tf->codes[15545] = 0x0001ae51f49645c4UL;
   tf->codes[15546] = 0x0001ae66fffc5890UL;
   tf->codes[15547] = 0x0001ae731f988a59UL;
   tf->codes[15548] = 0x0001ae9cfbd5aa2cUL;
   tf->codes[15549] = 0x0001aea5e79f8b2fUL;
   tf->codes[15550] = 0x0001aeacc4623845UL;
   tf->codes[15551] = 0x0001aece64828864UL;
   tf->codes[15552] = 0x0001aee3e506a6baUL;
   tf->codes[15553] = 0x0001aee509d1c393UL;
   tf->codes[15554] = 0x0001aee83da41459UL;
   tf->codes[15555] = 0x0001aef6e1658599UL;
   tf->codes[15556] = 0x0001aef7cba19cadUL;
   tf->codes[15557] = 0x0001aeff58115b12UL;
   tf->codes[15558] = 0x0001af07942e2ac6UL;
   tf->codes[15559] = 0x0001af1bb558267eUL;
   tf->codes[15560] = 0x0001af3d90077c62UL;
   tf->codes[15561] = 0x0001af3dca968227UL;
   tf->codes[15562] = 0x0001af4850498b8dUL;
   tf->codes[15563] = 0x0001af4e08411bcaUL;
   tf->codes[15564] = 0x0001af5bfc557bbbUL;
   tf->codes[15565] = 0x0001af5ef598c6bcUL;
   tf->codes[15566] = 0x0001af61049ffaa9UL;
   tf->codes[15567] = 0x0001af68910fb90eUL;
   tf->codes[15568] = 0x0001af7a2e14754fUL;
   tf->codes[15569] = 0x0001af7fab7cffc7UL;
   tf->codes[15570] = 0x0001af990f808032UL;
   tf->codes[15571] = 0x0001afbc0efaf2efUL;
   tf->codes[15572] = 0x0001afc61f8ff0cbUL;
   tf->codes[15573] = 0x0001afd279bb2859UL;
   tf->codes[15574] = 0x0001afd5e81c7ee4UL;
   tf->codes[15575] = 0x0001afdb6585095cUL;
   tf->codes[15576] = 0x0001b0103c933e1fUL;
   tf->codes[15577] = 0x0001b0149530abbeUL;
   tf->codes[15578] = 0x0001b01f5572bae9UL;
   tf->codes[15579] = 0x0001b03e36dec5ccUL;
   tf->codes[15580] = 0x0001b03f5ba9e2a5UL;
   tf->codes[15581] = 0x0001b054a19efb36UL;
   tf->codes[15582] = 0x0001b05c2e0eb99bUL;
   tf->codes[15583] = 0x0001b06136593889UL;
   tf->codes[15584] = 0x0001b07eb86b20ceUL;
   tf->codes[15585] = 0x0001b083c0b59fbcUL;
   tf->codes[15586] = 0x0001b09906aab84dUL;
   tf->codes[15587] = 0x0001b0a5d5f3fb65UL;
   tf->codes[15588] = 0x0001b0c4b7600648UL;
   tf->codes[15589] = 0x0001b0c860506298UL;
   tf->codes[15590] = 0x0001b0d3d03f8312UL;
   tf->codes[15591] = 0x0001b0d619d5bcc4UL;
   tf->codes[15592] = 0x0001b0e40dea1cb5UL;
   tf->codes[15593] = 0x0001b123a53a60a3UL;
   tf->codes[15594] = 0x0001b1248f7677b7UL;
   tf->codes[15595] = 0x0001b131994ec094UL;
   tf->codes[15596] = 0x0001b139604d84beUL;
   tf->codes[15597] = 0x0001b13df379f822UL;
   tf->codes[15598] = 0x0001b179e1d9dfc0UL;
   tf->codes[15599] = 0x0001b17a9186f10fUL;
   tf->codes[15600] = 0x0001b17acc15f6d4UL;
   tf->codes[15601] = 0x0001b1930b4e5a66UL;
   tf->codes[15602] = 0x0001b1a17480c5e1UL;
   tf->codes[15603] = 0x0001b1b595aac199UL;
   tf->codes[15604] = 0x0001b1c4e9194428UL;
   tf->codes[15605] = 0x0001b1db53d97992UL;
   tf->codes[15606] = 0x0001b1e4ef506be4UL;
   tf->codes[15607] = 0x0001b2156dc13308UL;
   tf->codes[15608] = 0x0001b2218d5d64d1UL;
   tf->codes[15609] = 0x0001b229545c28fbUL;
   tf->codes[15610] = 0x0001b22b63635ce8UL;
   tf->codes[15611] = 0x0001b2411e768103UL;
   tf->codes[15612] = 0x0001b242b85fa966UL;
   tf->codes[15613] = 0x0001b2469bdf0b7bUL;
   tf->codes[15614] = 0x0001b2574ea7b0a8UL;
   tf->codes[15615] = 0x0001b25ea0886948UL;
   tf->codes[15616] = 0x0001b278b438fb02UL;
   tf->codes[15617] = 0x0001b28a16aeb17eUL;
   tf->codes[15618] = 0x0001b291688f6a1eUL;
   tf->codes[15619] = 0x0001b29795a505e5UL;
   tf->codes[15620] = 0x0001b29fd1c1d599UL;
   tf->codes[15621] = 0x0001b2abf15e0762UL;
   tf->codes[15622] = 0x0001b2d7dca25b22UL;
   tf->codes[15623] = 0x0001b2ea295428b2UL;
   tf->codes[15624] = 0x0001b2f1b5c3e717UL;
   tf->codes[15625] = 0x0001b2f60e6154b6UL;
   tf->codes[15626] = 0x0001b2f9f1e0b6cbUL;
   tf->codes[15627] = 0x0001b2fb513ad969UL;
   tf->codes[15628] = 0x0001b2fbc658e4f3UL;
   tf->codes[15629] = 0x0001b30318399d93UL;
   tf->codes[15630] = 0x0001b3073648056dUL;
   tf->codes[15631] = 0x0001b355abe8c060UL;
   tf->codes[15632] = 0x0001b35b9e6f5662UL;
   tf->codes[15633] = 0x0001b39508a9fe89UL;
   tf->codes[15634] = 0x0001b3a371dc6a04UL;
   tf->codes[15635] = 0x0001b3b33a68f81dUL;
   tf->codes[15636] = 0x0001b3bc2632d920UL;
   tf->codes[15637] = 0x0001b3bf5a0529e6UL;
   tf->codes[15638] = 0x0001b3d7241f81eeUL;
   tf->codes[15639] = 0x0001b3e42df7cacbUL;
   tf->codes[15640] = 0x0001b3e9364249b9UL;
   tf->codes[15641] = 0x0001b3f2d1b93c0bUL;
   tf->codes[15642] = 0x0001b3fbbd831d0eUL;
   tf->codes[15643] = 0x0001b413879d7516UL;
   tf->codes[15644] = 0x0001b4201c57b269UL;
   tf->codes[15645] = 0x0001b42aa20abbcfUL;
   tf->codes[15646] = 0x0001b458d6e54941UL;
   tf->codes[15647] = 0x0001b45bd0289442UL;
   tf->codes[15648] = 0x0001b461c2af2a44UL;
   tf->codes[15649] = 0x0001b46864e2d195UL;
   tf->codes[15650] = 0x0001b474847f035eUL;
   tf->codes[15651] = 0x0001b475342c14adUL;
   tf->codes[15652] = 0x0001b4823e045d8aUL;
   tf->codes[15653] = 0x0001b496d44c64ccUL;
   tf->codes[15654] = 0x0001b4a45342b933UL;
   tf->codes[15655] = 0x0001b4af1384c85eUL;
   tf->codes[15656] = 0x0001b4bdf1d53f63UL;
   tf->codes[15657] = 0x0001b4bf8bbe67c6UL;
   tf->codes[15658] = 0x0001b4c3e45bd565UL;
   tf->codes[15659] = 0x0001b4d964dff3bbUL;
   tf->codes[15660] = 0x0001b4f3edae90ffUL;
   tf->codes[15661] = 0x0001b4f9a5a6213cUL;
   tf->codes[15662] = 0x0001b50acd8cd1f3UL;
   tf->codes[15663] = 0x0001b515533fdb59UL;
   tf->codes[15664] = 0x0001b51a20fb5482UL;
   tf->codes[15665] = 0x0001b51dc9ebb0d2UL;
   tf->codes[15666] = 0x0001b52bbe0010c3UL;
   tf->codes[15667] = 0x0001b53434abe63cUL;
   tf->codes[15668] = 0x0001b54bfec63e44UL;
   tf->codes[15669] = 0x0001b55d9bcafa85UL;
   tf->codes[15670] = 0x0001b5643dfea1d6UL;
   tf->codes[15671] = 0x0001b564788da79bUL;
   tf->codes[15672] = 0x0001b571f783fc02UL;
   tf->codes[15673] = 0x0001b586533cfd7fUL;
   tf->codes[15674] = 0x0001b5b7f678e17cUL;
   tf->codes[15675] = 0x0001b5bed33b8e92UL;
   tf->codes[15676] = 0x0001b5c958ee97f8UL;
   tf->codes[15677] = 0x0001b5e7501e8bc7UL;
   tf->codes[15678] = 0x0001b5f509a3e5f3UL;
   tf->codes[15679] = 0x0001b6050cbf79d1UL;
   tf->codes[15680] = 0x0001b60ac4b70a0eUL;
   tf->codes[15681] = 0x0001b6233e7e7365UL;
   tf->codes[15682] = 0x0001b63291ecf5f4UL;
   tf->codes[15683] = 0x0001b65fa1fc668dUL;
   tf->codes[15684] = 0x0001b66a27af6ff3UL;
   tf->codes[15685] = 0x0001b6835123ea99UL;
   tf->codes[15686] = 0x0001b689091b7ad6UL;
   tf->codes[15687] = 0x0001b6959dd5b829UL;
   tf->codes[15688] = 0x0001b69f394caa7bUL;
   tf->codes[15689] = 0x0001b6a05e17c754UL;
   tf->codes[15690] = 0x0001b6a1bd71e9f2UL;
   tf->codes[15691] = 0x0001b6b778850e0dUL;
   tf->codes[15692] = 0x0001b6d02cdb7d29UL;
   tf->codes[15693] = 0x0001b6e06a8616ccUL;
   tf->codes[15694] = 0x0001b6e0dfa42256UL;
   tf->codes[15695] = 0x0001b6fc52aed6aeUL;
   tf->codes[15696] = 0x0001b6fe61b60a9bUL;
   tf->codes[15697] = 0x0001b6fffb9f32feUL;
   tf->codes[15698] = 0x0001b70195885b61UL;
   tf->codes[15699] = 0x0001b7224b6c946cUL;
   tf->codes[15700] = 0x0001b73d83e842ffUL;
   tf->codes[15701] = 0x0001b754d8e48f7dUL;
   tf->codes[15702] = 0x0001b759a6a008a6UL;
   tf->codes[15703] = 0x0001b760f880c146UL;
   tf->codes[15704] = 0x0001b7897563be7bUL;
   tf->codes[15705] = 0x0001b79d216faea9UL;
   tf->codes[15706] = 0x0001b7ba2e638b64UL;
   tf->codes[15707] = 0x0001b7e09c3f54acUL;
   tf->codes[15708] = 0x0001b7e1115d6036UL;
   tf->codes[15709] = 0x0001b7e912eb2a25UL;
   tf->codes[15710] = 0x0001b7fa0042d517UL;
   tf->codes[15711] = 0x0001b7fecdfe4e40UL;
   tf->codes[15712] = 0x0001b812ef2849f8UL;
   tf->codes[15713] = 0x0001b825eb8728d7UL;
   tf->codes[15714] = 0x0001b82626162e9cUL;
   tf->codes[15715] = 0x0001b828351d6289UL;
   tf->codes[15716] = 0x0001b8332fee7779UL;
   tf->codes[15717] = 0x0001b834c9d79fdcUL;
   tf->codes[15718] = 0x0001b838e7e607b6UL;
   tf->codes[15719] = 0x0001b843330a0b57UL;
   tf->codes[15720] = 0x0001b84be444e695UL;
   tf->codes[15721] = 0x0001b85d0c2b974cUL;
   tf->codes[15722] = 0x0001b8619f580ab0UL;
   tf->codes[15723] = 0x0001b866a7a2899eUL;
   tf->codes[15724] = 0x0001b881a58f326cUL;
   tf->codes[15725] = 0x0001b898fa8b7eeaUL;
   tf->codes[15726] = 0x0001b89a1f569bc3UL;
   tf->codes[15727] = 0x0001b89a9474a74dUL;
   tf->codes[15728] = 0x0001b8a0fc1948d9UL;
   tf->codes[15729] = 0x0001b8afda69bfdeUL;
   tf->codes[15730] = 0x0001b8b3f87827b8UL;
   tf->codes[15731] = 0x0001b8bef3493ca8UL;
   tf->codes[15732] = 0x0001b8c5957ce3f9UL;
   tf->codes[15733] = 0x0001b8dd9a2641c6UL;
   tf->codes[15734] = 0x0001b90f77f12b88UL;
   tf->codes[15735] = 0x0001b91c0cab68dbUL;
   tf->codes[15736] = 0x0001b91d6c058b79UL;
   tf->codes[15737] = 0x0001b93ff661f2acUL;
   tf->codes[15738] = 0x0001b95db302e0b6UL;
   tf->codes[15739] = 0x0001b9641aa78242UL;
   tf->codes[15740] = 0x0001b97f18942b10UL;
   tf->codes[15741] = 0x0001b97f8db2369aUL;
   tf->codes[15742] = 0x0001b9a9a47e5c32UL;
   tf->codes[15743] = 0x0001b9b00c22fdbeUL;
   tf->codes[15744] = 0x0001b9b3efa25fd3UL;
   tf->codes[15745] = 0x0001b9b6e8e5aad4UL;
   tf->codes[15746] = 0x0001b9c1e3b6bfc4UL;
   tf->codes[15747] = 0x0001b9d4e0159ea3UL;
   tf->codes[15748] = 0x0001b9e93bcea020UL;
   tf->codes[15749] = 0x0001ba05d3a47151UL;
   tf->codes[15750] = 0x0001ba06bde08865UL;
   tf->codes[15751] = 0x0001ba2405636ae5UL;
   tf->codes[15752] = 0x0001ba3f786e1f3dUL;
   tf->codes[15753] = 0x0001ba40281b308cUL;
   tf->codes[15754] = 0x0001ba4fb618b8e0UL;
   tf->codes[15755] = 0x0001ba5399981af5UL;
   tf->codes[15756] = 0x0001ba5742887745UL;
   tf->codes[15757] = 0x0001ba5aeb78d395UL;
   tf->codes[15758] = 0x0001ba85b1f20a7cUL;
   tf->codes[15759] = 0x0001baca16fdc793UL;
   tf->codes[15760] = 0x0001bafbba39ab90UL;
   tf->codes[15761] = 0x0001bb146e901aacUL;
   tf->codes[15762] = 0x0001bb27e00d0515UL;
   tf->codes[15763] = 0x0001bb2a6432448cUL;
   tf->codes[15764] = 0x0001bb2bfe1b6cefUL;
   tf->codes[15765] = 0x0001bb338a8b2b54UL;
   tf->codes[15766] = 0x0001bb3d6091236bUL;
   tf->codes[15767] = 0x0001bb422e4c9c94UL;
   tf->codes[15768] = 0x0001bba4ffa65904UL;
   tf->codes[15769] = 0x0001bba783cb987bUL;
   tf->codes[15770] = 0x0001bbb194609657UL;
   tf->codes[15771] = 0x0001bbb995ee6046UL;
   tf->codes[15772] = 0x0001bbcfc61f8febUL;
   tf->codes[15773] = 0x0001bbdf541d183fUL;
   tf->codes[15774] = 0x0001bbe128954667UL;
   tf->codes[15775] = 0x0001bbe755aae22eUL;
   tf->codes[15776] = 0x0001bbfa5209c10dUL;
   tf->codes[15777] = 0x0001bbfa8c98c6d2UL;
   tf->codes[15778] = 0x0001bc154ff669dbUL;
   tf->codes[15779] = 0x0001bc330c9757e5UL;
   tf->codes[15780] = 0x0001bc3a23e90ac0UL;
   tf->codes[15781] = 0x0001bc3b48b42799UL;
   tf->codes[15782] = 0x0001bc3fa1519538UL;
   tf->codes[15783] = 0x0001bc74785fc9fbUL;
   tf->codes[15784] = 0x0001bc77ac321ac1UL;
   tf->codes[15785] = 0x0001bc7e13d6bc4dUL;
   tf->codes[15786] = 0x0001bc84f0996963UL;
   tf->codes[15787] = 0x0001bca09e332380UL;
   tf->codes[15788] = 0x0001bca35ce768bcUL;
   tf->codes[15789] = 0x0001bcac0e2243faUL;
   tf->codes[15790] = 0x0001bcb77e116474UL;
   tf->codes[15791] = 0x0001bcbfba2e3428UL;
   tf->codes[15792] = 0x0001bcdc52040559UL;
   tf->codes[15793] = 0x0001bd5887614234UL;
   tf->codes[15794] = 0x0001bd81b3f150b8UL;
   tf->codes[15795] = 0x0001bd8b14d93d45UL;
   tf->codes[15796] = 0x0001bda7722008b1UL;
   tf->codes[15797] = 0x0001bdba33efe1cbUL;
   tf->codes[15798] = 0x0001bdbcb8152142UL;
   tf->codes[15799] = 0x0001bddd6df95a4dUL;
   tf->codes[15800] = 0x0001be065ffa630cUL;
   tf->codes[15801] = 0x0001be1ccaba9876UL;
   tf->codes[15802] = 0x0001be52c693ea12UL;
   tf->codes[15803] = 0x0001be7725687f6dUL;
   tf->codes[15804] = 0x0001be8678d701fcUL;
   tf->codes[15805] = 0x0001be9e7d805fc9UL;
   tf->codes[15806] = 0x0001bea6b99d2f7dUL;
   tf->codes[15807] = 0x0001befe1b07cb73UL;
   tf->codes[15808] = 0x0001bf07f10dc38aUL;
   tf->codes[15809] = 0x0001bf153575122cUL;
   tf->codes[15810] = 0x0001bf198e127fcbUL;
   tf->codes[15811] = 0x0001bf31cd4ae35dUL;
   tf->codes[15812] = 0x0001bf466392ea9fUL;
   tf->codes[15813] = 0x0001bf48729a1e8cUL;
   tf->codes[15814] = 0x0001bf4fff09dcf1UL;
   tf->codes[15815] = 0x0001bf56a13d8442UL;
   tf->codes[15816] = 0x0001bf65ba1d010cUL;
   tf->codes[15817] = 0x0001bf67197723aaUL;
   tf->codes[15818] = 0x0001bf7df955649eUL;
   tf->codes[15819] = 0x0001bf9e74aa97e4UL;
   tf->codes[15820] = 0x0001bfd55ac00094UL;
   tf->codes[15821] = 0x0001bfd60a6d11e3UL;
   tf->codes[15822] = 0x0001bfe4ae2e8323UL;
   tf->codes[15823] = 0x0001bfeb15d324afUL;
   tf->codes[15824] = 0x0001bff560f72850UL;
   tf->codes[15825] = 0x0001bff9b99495efUL;
   tf->codes[15826] = 0x0001bffe87500f18UL;
   tf->codes[15827] = 0x0001c01616db615bUL;
   tf->codes[15828] = 0x0001c01a6f78cefaUL;
   tf->codes[15829] = 0x0001c06451ed1689UL;
   tf->codes[15830] = 0x0001c09211a99871UL;
   tf->codes[15831] = 0x0001c09f909fecd8UL;
   tf->codes[15832] = 0x0001c0b16833aedeUL;
   tf->codes[15833] = 0x0001c0ca91a82984UL;
   tf->codes[15834] = 0x0001c1072fb52271UL;
   tf->codes[15835] = 0x0001c12b53fab207UL;
   tf->codes[15836] = 0x0001c13e8ae896abUL;
   tf->codes[15837] = 0x0001c14b94c0df88UL;
   tf->codes[15838] = 0x0001c154808ac08bUL;
   tf->codes[15839] = 0x0001c169c67fd91cUL;
   tf->codes[15840] = 0x0001c1844f4e7660UL;
   tf->codes[15841] = 0x0001c19dede0fc90UL;
   tf->codes[15842] = 0x0001c19e62ff081aUL;
   tf->codes[15843] = 0x0001c19ed81d13a4UL;
   tf->codes[15844] = 0x0001c1a8e8b21180UL;
   tf->codes[15845] = 0x0001c1aea0a9a1bdUL;
   tf->codes[15846] = 0x0001c1bd7efa18c2UL;
   tf->codes[15847] = 0x0001c1bf537246eaUL;
   tf->codes[15848] = 0x0001c1e670fb2181UL;
   tf->codes[15849] = 0x0001c20517d8269fUL;
   tf->codes[15850] = 0x0001c21bbd2761ceUL;
   tf->codes[15851] = 0x0001c223beb52bbdUL;
   tf->codes[15852] = 0x0001c2334cb2b411UL;
   tf->codes[15853] = 0x0001c236808504d7UL;
   tf->codes[15854] = 0x0001c24ebfbd6869UL;
   tf->codes[15855] = 0x0001c25b5477a5bcUL;
   tf->codes[15856] = 0x0001c263cb237b35UL;
   tf->codes[15857] = 0x0001c265650ca398UL;
   tf->codes[15858] = 0x0001c2705fddb888UL;
   tf->codes[15859] = 0x0001c27393b0094eUL;
   tf->codes[15860] = 0x0001c27aab01bc29UL;
   tf->codes[15861] = 0x0001c280d81757f0UL;
   tf->codes[15862] = 0x0001c28237717a8eUL;
   tf->codes[15863] = 0x0001c290a0a3e609UL;
   tf->codes[15864] = 0x0001c294beb24de3UL;
   tf->codes[15865] = 0x0001c29cc04017d2UL;
   tf->codes[15866] = 0x0001c2a8dfdc499bUL;
   tf->codes[15867] = 0x0001c2de2c0889e8UL;
   tf->codes[15868] = 0x0001c2e19a69e073UL;
   tf->codes[15869] = 0x0001c3016612026aUL;
   tf->codes[15870] = 0x0001c310b98084f9UL;
   tf->codes[15871] = 0x0001c3146270e149UL;
   tf->codes[15872] = 0x0001c3154cacf85dUL;
   tf->codes[15873] = 0x0001c3196abb6037UL;
   tf->codes[15874] = 0x0001c3216c492a26UL;
   tf->codes[15875] = 0x0001c331a9f3c3c9UL;
   tf->codes[15876] = 0x0001c343818785cfUL;
   tf->codes[15877] = 0x0001c34e7c589abfUL;
   tf->codes[15878] = 0x0001c34fdbb2bd5dUL;
   tf->codes[15879] = 0x0001c37d9b6f3f45UL;
   tf->codes[15880] = 0x0001c389807c6b49UL;
   tf->codes[15881] = 0x0001c38dd919d8e8UL;
   tf->codes[15882] = 0x0001c394f06b8bc3UL;
   tf->codes[15883] = 0x0001c398995be813UL;
   tf->codes[15884] = 0x0001c3ab95bac6f2UL;
   tf->codes[15885] = 0x0001c3c35fd51efaUL;
   tf->codes[15886] = 0x0001c3d990064e9fUL;
   tf->codes[15887] = 0x0001c3dcfe67a52aUL;
   tf->codes[15888] = 0x0001c3f3a3b6e059UL;
   tf->codes[15889] = 0x0001c40df1f677d8UL;
   tf->codes[15890] = 0x0001c4162e13478cUL;
   tf->codes[15891] = 0x0001c41c5b28e353UL;
   tf->codes[15892] = 0x0001c42965012c30UL;
   tf->codes[15893] = 0x0001c43eaaf644c1UL;
   tf->codes[15894] = 0x0001c4475c311fffUL;
   tf->codes[15895] = 0x0001c451e1e42965UL;
   tf->codes[15896] = 0x0001c466b2bb366cUL;
   tf->codes[15897] = 0x0001c4893d179d9fUL;
   tf->codes[15898] = 0x0001c48b118fcbc7UL;
   tf->codes[15899] = 0x0001c4913ea5678eUL;
   tf->codes[15900] = 0x0001c493883ba140UL;
   tf->codes[15901] = 0x0001c4b980f95efeUL;
   tf->codes[15902] = 0x0001c4e397c58496UL;
   tf->codes[15903] = 0x0001c5023ea289b4UL;
   tf->codes[15904] = 0x0001c509cb124819UL;
   tf->codes[15905] = 0x0001c50bda197c06UL;
   tf->codes[15906] = 0x0001c520aaf0890dUL;
   tf->codes[15907] = 0x0001c5587b4208d1UL;
   tf->codes[15908] = 0x0001c57a9080647aUL;
   tf->codes[15909] = 0x0001c58bf2f61af6UL;
   tf->codes[15910] = 0x0001c593f483e4e5UL;
   tf->codes[15911] = 0x0001c598c23f5e0eUL;
   tf->codes[15912] = 0x0001c59e0518e2c1UL;
   tf->codes[15913] = 0x0001c5a1e89844d6UL;
   tf->codes[15914] = 0x0001c5aa99d32014UL;
   tf->codes[15915] = 0x0001c5d7e4719672UL;
   tf->codes[15916] = 0x0001c5eaa6416f8cUL;
   tf->codes[15917] = 0x0001c5fe524d5fbaUL;
   tf->codes[15918] = 0x0001c5fec76b6b44UL;
   tf->codes[15919] = 0x0001c60eca86ff22UL;
   tf->codes[15920] = 0x0001c61a3a761f9cUL;
   tf->codes[15921] = 0x0001c653df3fcd88UL;
   tf->codes[15922] = 0x0001c67878a368a8UL;
   tf->codes[15923] = 0x0001c68373747d98UL;
   tf->codes[15924] = 0x0001c68b3a7341c2UL;
   tf->codes[15925] = 0x0001c68c99cd6460UL;
   tf->codes[15926] = 0x0001c69f5b9d3d7aUL;
   tf->codes[15927] = 0x0001c6a0baf76018UL;
   tf->codes[15928] = 0x0001c6beecb659acUL;
   tf->codes[15929] = 0x0001c7110b4770efUL;
   tf->codes[15930] = 0x0001c7748c4e3eaeUL;
   tf->codes[15931] = 0x0001c7791f7ab212UL;
   tf->codes[15932] = 0x0001c77d3d8919ecUL;
   tf->codes[15933] = 0x0001c7a78ee44549UL;
   tf->codes[15934] = 0x0001c7b841acea76UL;
   tf->codes[15935] = 0x0001c7bbb00e4101UL;
   tf->codes[15936] = 0x0001c7c635c14a67UL;
   tf->codes[15937] = 0x0001c7dbb64568bdUL;
   tf->codes[15938] = 0x0001c7e8858eabd5UL;
   tf->codes[15939] = 0x0001c7e9e4e8ce73UL;
   tf->codes[15940] = 0x0001c7eeb2a4479cUL;
   tf->codes[15941] = 0x0001c83cedb5fccaUL;
   tf->codes[15942] = 0x0001c86de144cf78UL;
   tf->codes[15943] = 0x0001c8a06ebcca89UL;
   tf->codes[15944] = 0x0001c8b99831452fUL;
   tf->codes[15945] = 0x0001c8c4cd915fe4UL;
   tf->codes[15946] = 0x0001c8dc228dac62UL;
   tf->codes[15947] = 0x0001c8ddbc76d4c5UL;
   tf->codes[15948] = 0x0001c92087996979UL;
   tf->codes[15949] = 0x0001c96d9de001ceUL;
   tf->codes[15950] = 0x0001c97f7573c3d4UL;
   tf->codes[15951] = 0x0001c99c47d89acaUL;
   tf->codes[15952] = 0x0001c99de1c1c32dUL;
   tf->codes[15953] = 0x0001c9c62415ba9dUL;
   tf->codes[15954] = 0x0001c9c91d59059eUL;
   tf->codes[15955] = 0x0001c9e998ae38e4UL;
   tf->codes[15956] = 0x0001ca559060dc1cUL;
   tf->codes[15957] = 0x0001ca6bfb211186UL;
   tf->codes[15958] = 0x0001cab35970199eUL;
   tf->codes[15959] = 0x0001cac09dd76840UL;
   tf->codes[15960] = 0x0001caca73dd6057UL;
   tf->codes[15961] = 0x0001cadaec16ffbfUL;
   tf->codes[15962] = 0x0001cae39d51dafdUL;
   tf->codes[15963] = 0x0001caf27ba25202UL;
   tf->codes[15964] = 0x0001cb027ebde5e0UL;
   tf->codes[15965] = 0x0001cb0b2ff8c11eUL;
   tf->codes[15966] = 0x0001cb0c1a34d832UL;
   tf->codes[15967] = 0x0001cb257e38589dUL;
   tf->codes[15968] = 0x0001cb4f95047e35UL;
   tf->codes[15969] = 0x0001cb53eda1ebd4UL;
   tf->codes[15970] = 0x0001cb58463f5973UL;
   tf->codes[15971] = 0x0001cb658aa6a815UL;
   tf->codes[15972] = 0x0001cb73442c0241UL;
   tf->codes[15973] = 0x0001cb99ec96d14eUL;
   tf->codes[15974] = 0x0001cba0543b72daUL;
   tf->codes[15975] = 0x0001cba4acd8e079UL;
   tf->codes[15976] = 0x0001cbc5282e13bfUL;
   tf->codes[15977] = 0x0001cbd9f90520c6UL;
   tf->codes[15978] = 0x0001cbe0d5c7cddcUL;
   tf->codes[15979] = 0x0001cbf7b5a60ed0UL;
   tf->codes[15980] = 0x0001cc06ce858b9aUL;
   tf->codes[15981] = 0x0001cc08dd8cbf87UL;
   tf->codes[15982] = 0x0001cc299370f892UL;
   tf->codes[15983] = 0x0001cc3035a49fe3UL;
   tf->codes[15984] = 0x0001cc3194fec281UL;
   tf->codes[15985] = 0x0001cc369d49416fUL;
   tf->codes[15986] = 0x0001cc3d3f7ce8c0UL;
   tf->codes[15987] = 0x0001cc93418d6218UL;
   tf->codes[15988] = 0x0001ccab4636bfe5UL;
   tf->codes[15989] = 0x0001ccab80c5c5aaUL;
   tf->codes[15990] = 0x0001ccbca8ac7661UL;
   tf->codes[15991] = 0x0001ccc51f584bdaUL;
   tf->codes[15992] = 0x0001ccc9b284bf3eUL;
   tf->codes[15993] = 0x0001cccef55e43f1UL;
   tf->codes[15994] = 0x0001cce2dbf939e4UL;
   tf->codes[15995] = 0x0001ccf59dc912feUL;
   tf->codes[15996] = 0x0001ccfcefa9cb9eUL;
   tf->codes[15997] = 0x0001cd07003ec97aUL;
   tf->codes[15998] = 0x0001cd0ddd017690UL;
   tf->codes[15999] = 0x0001cd189d4385bbUL;
   tf->codes[16000] = 0x0001cd1d306ff91fUL;
   tf->codes[16001] = 0x0001cd1fb4953896UL;
   tf->codes[16002] = 0x0001cd22e867895cUL;
   tf->codes[16003] = 0x0001cd3c4c6b09c7UL;
   tf->codes[16004] = 0x0001cd42b40fab53UL;
   tf->codes[16005] = 0x0001cd5d776d4e5cUL;
   tf->codes[16006] = 0x0001cd624528c785UL;
   tf->codes[16007] = 0x0001cd63a482ea23UL;
   tf->codes[16008] = 0x0001cd73e22d83c6UL;
   tf->codes[16009] = 0x0001cd741cbc898bUL;
   tf->codes[16010] = 0x0001cd862edf5156UL;
   tf->codes[16011] = 0x0001cd8ac20bc4baUL;
   tf->codes[16012] = 0x0001cda5104b5c39UL;
   tf->codes[16013] = 0x0001cdab3d60f800UL;
   tf->codes[16014] = 0x0001cdc7d536c931UL;
   tf->codes[16015] = 0x0001cdde7a860460UL;
   tf->codes[16016] = 0x0001cde0feab43d7UL;
   tf->codes[16017] = 0x0001cdfa9d3dca07UL;
   tf->codes[16018] = 0x0001ce06bcd9fbd0UL;
   tf->codes[16019] = 0x0001ce0b1577696fUL;
   tf->codes[16020] = 0x0001ce1610487e5fUL;
   tf->codes[16021] = 0x0001ce19441acf25UL;
   tf->codes[16022] = 0x0001ce1efc125f62UL;
   tf->codes[16023] = 0x0001ce24b409ef9fUL;
   tf->codes[16024] = 0x0001ce540daf99eaUL;
   tf->codes[16025] = 0x0001ce63611e1c79UL;
   tf->codes[16026] = 0x0001ce6b9d3aec2dUL;
   tf->codes[16027] = 0x0001ce73d957bbe1UL;
   tf->codes[16028] = 0x0001ceb9632e95d1UL;
   tf->codes[16029] = 0x0001cecbea6f6926UL;
   tf->codes[16030] = 0x0001cf04df8c05c3UL;
   tf->codes[16031] = 0x0001cf058f391712UL;
   tf->codes[16032] = 0x0001cf1348be713eUL;
   tf->codes[16033] = 0x0001cf1f685aa307UL;
   tf->codes[16034] = 0x0001cf3fe3afd64dUL;
   tf->codes[16035] = 0x0001cf4e8771478dUL;
   tf->codes[16036] = 0x0001cf7c0c9ec3b0UL;
   tf->codes[16037] = 0x0001cf8657c2c751UL;
   tf->codes[16038] = 0x0001cfb367d237eaUL;
   tf->codes[16039] = 0x0001cfba7f23eac5UL;
   tf->codes[16040] = 0x0001cfc95d7461caUL;
   tf->codes[16041] = 0x0001cfd5b79f9958UL;
   tf->codes[16042] = 0x0001cfdabfea1846UL;
   tf->codes[16043] = 0x0001cfdc1f443ae4UL;
   tf->codes[16044] = 0x0001cfe420d204d3UL;
   tf->codes[16045] = 0x0001cff5bdd6c114UL;
   tf->codes[16046] = 0x0001d0004389ca7aUL;
   tf->codes[16047] = 0x0001d01d15eea170UL;
   tf->codes[16048] = 0x0001d0485185e3e1UL;
   tf->codes[16049] = 0x0001d04a9b1c1d93UL;
   tf->codes[16050] = 0x0001d0759c245a3fUL;
   tf->codes[16051] = 0x0001d079ba32c219UL;
   tf->codes[16052] = 0x0001d0b115663653UL;
   tf->codes[16053] = 0x0001d0d70e23f411UL;
   tf->codes[16054] = 0x0001d0de2575a6ecUL;
   tf->codes[16055] = 0x0001d0ef87eb5d68UL;
   tf->codes[16056] = 0x0001d0fa0d9e66ceUL;
   tf->codes[16057] = 0x0001d105b81c8d0dUL;
   tf->codes[16058] = 0x0001d123af4c80dcUL;
   tf->codes[16059] = 0x0001d17ad628170dUL;
   tf->codes[16060] = 0x0001d194e9d8a8c7UL;
   tf->codes[16061] = 0x0001d1a22e3ff769UL;
   tf->codes[16062] = 0x0001d1dfb689076aUL;
   tf->codes[16063] = 0x0001d1e4f9628c1dUL;
   tf->codes[16064] = 0x0001d1f9ca399924UL;
   tf->codes[16065] = 0x0001d2295e6e4934UL;
   tf->codes[16066] = 0x0001d22e2c29c25dUL;
   tf->codes[16067] = 0x0001d2399c18e2d7UL;
   tf->codes[16068] = 0x0001d25758b9d0e1UL;
   tf->codes[16069] = 0x0001d29a23dc6595UL;
   tf->codes[16070] = 0x0001d2a2d51740d3UL;
   tf->codes[16071] = 0x0001d2a67e079d23UL;
   tf->codes[16072] = 0x0001d2abc0e121d6UL;
   tf->codes[16073] = 0x0001d2afa46083ebUL;
   tf->codes[16074] = 0x0001d2c0cc4734a2UL;
   tf->codes[16075] = 0x0001d2c17bf445f1UL;
   tf->codes[16076] = 0x0001d2c22ba15740UL;
   tf->codes[16077] = 0x0001d2e68a75ec9bUL;
   tf->codes[16078] = 0x0001d324fcfb13b0UL;
   tf->codes[16079] = 0x0001d345b2df4cbbUL;
   tf->codes[16080] = 0x0001d34f88e544d2UL;
   tf->codes[16081] = 0x0001d3678d8ea29fUL;
   tf->codes[16082] = 0x0001d37dbdbfd244UL;
   tf->codes[16083] = 0x0001d3884372dbaaUL;
   tf->codes[16084] = 0x0001d39c9f2bdd27UL;
   tf->codes[16085] = 0x0001d3a4a0b9a716UL;
   tf->codes[16086] = 0x0001d3aa1e22318eUL;
   tf->codes[16087] = 0x0001d3abb80b59f1UL;
   tf->codes[16088] = 0x0001d3b553824c43UL;
   tf->codes[16089] = 0x0001d3c4e17fd497UL;
   tf->codes[16090] = 0x0001d3d1eb581d74UL;
   tf->codes[16091] = 0x0001d3e2d8afc866UL;
   tf->codes[16092] = 0x0001d3e522460218UL;
   tf->codes[16093] = 0x0001d41615d4d4c6UL;
   tf->codes[16094] = 0x0001d442eb553f9aUL;
   tf->codes[16095] = 0x0001d4a631cd0794UL;
   tf->codes[16096] = 0x0001d4d4dbc5a090UL;
   tf->codes[16097] = 0x0001d4fd9337a38aUL;
   tf->codes[16098] = 0x0001d51d2450bfbcUL;
   tf->codes[16099] = 0x0001d54bce4958b8UL;
   tf->codes[16100] = 0x0001d557ede58a81UL;
   tf->codes[16101] = 0x0001d5a195cacc4bUL;
   tf->codes[16102] = 0x0001d5a28006e35fUL;
   tf->codes[16103] = 0x0001d5ab3141be9dUL;
   tf->codes[16104] = 0x0001d5c126e3e87dUL;
   tf->codes[16105] = 0x0001d5d8b66f3ac0UL;
   tf->codes[16106] = 0x0001d5f638812305UL;
   tf->codes[16107] = 0x0001d6163eb84ac1UL;
   tf->codes[16108] = 0x0001d636ba0d7e07UL;
   tf->codes[16109] = 0x0001d65e12255e63UL;
   tf->codes[16110] = 0x0001d6618086b4eeUL;
   tf->codes[16111] = 0x0001d67fb245ae82UL;
   tf->codes[16112] = 0x0001d699c5f6403cUL;
   tf->codes[16113] = 0x0001d6a6cfce8919UL;
   tf->codes[16114] = 0x0001d6bc15c3a1aaUL;
   tf->codes[16115] = 0x0001d6d2f5a1e29eUL;
   tf->codes[16116] = 0x0001d6e074983705UL;
   tf->codes[16117] = 0x0001d6f495c232bdUL;
   tf->codes[16118] = 0x0001d7180a5ab104UL;
   tf->codes[16119] = 0x0001d720bb958c42UL;
   tf->codes[16120] = 0x0001d72d15c0c3d0UL;
   tf->codes[16121] = 0x0001d731a8ed3734UL;
   tf->codes[16122] = 0x0001d7551d85b57bUL;
   tf->codes[16123] = 0x0001d767a4c688d0UL;
   tf->codes[16124] = 0x0001d782dd423763UL;
   tf->codes[16125] = 0x0001d78a69b1f5c8UL;
   tf->codes[16126] = 0x0001d79898555b7eUL;
   tf->codes[16127] = 0x0001d799bd207857UL;
   tf->codes[16128] = 0x0001d79f75180894UL;
   tf->codes[16129] = 0x0001d7aa6fe91d84UL;
   tf->codes[16130] = 0x0001d7ac09d245e7UL;
   tf->codes[16131] = 0x0001d7af78339c72UL;
   tf->codes[16132] = 0x0001d7c3d3ec9defUL;
   tf->codes[16133] = 0x0001d7c692a0e32bUL;
   tf->codes[16134] = 0x0001d7c8dc371cddUL;
   tf->codes[16135] = 0x0001d7e414b2cb70UL;
   tf->codes[16136] = 0x0001d7f4525d6513UL;
   tf->codes[16137] = 0x0001d7fdedd45765UL;
   tf->codes[16138] = 0x0001d8266ab7549aUL;
   tf->codes[16139] = 0x0001d84218510eb7UL;
   tf->codes[16140] = 0x0001d84252e0147cUL;
   tf->codes[16141] = 0x0001d843b23a371aUL;
   tf->codes[16142] = 0x0001d8534037bf6eUL;
   tf->codes[16143] = 0x0001d85932be5570UL;
   tf->codes[16144] = 0x0001d86bb9ff28c5UL;
   tf->codes[16145] = 0x0001d883bea88692UL;
   tf->codes[16146] = 0x0001d88a264d281eUL;
   tf->codes[16147] = 0x0001d895211e3d0eUL;
   tf->codes[16148] = 0x0001d8a1f0678026UL;
   tf->codes[16149] = 0x0001d8a315329cffUL;
   tf->codes[16150] = 0x0001d8aa2c844fdaUL;
   tf->codes[16151] = 0x0001d8b1b8f40e3fUL;
   tf->codes[16152] = 0x0001d8c355f8ca80UL;
   tf->codes[16153] = 0x0001d8c44034e194UL;
   tf->codes[16154] = 0x0001d8cbcca49ff9UL;
   tf->codes[16155] = 0x0001d8d98629fa25UL;
   tf->codes[16156] = 0x0001d8e062eca73bUL;
   tf->codes[16157] = 0x0001d903626719f8UL;
   tf->codes[16158] = 0x0001d935403203baUL;
   tf->codes[16159] = 0x0001d95580f8313bUL;
   tf->codes[16160] = 0x0001d95a1424a49fUL;
   tf->codes[16161] = 0x0001d9a013198a19UL;
   tf->codes[16162] = 0x0001d9c5219b30c3UL;
   tf->codes[16163] = 0x0001d9cf32302e9fUL;
   tf->codes[16164] = 0x0001da0234c6353aUL;
   tf->codes[16165] = 0x0001da406cbc568aUL;
   tf->codes[16166] = 0x0001da4833bb1ab4UL;
   tf->codes[16167] = 0x0001da50aa66f02dUL;
   tf->codes[16168] = 0x0001da5a806ce844UL;
   tf->codes[16169] = 0x0001da5b3019f993UL;
   tf->codes[16170] = 0x0001da5db43f390aUL;
   tf->codes[16171] = 0x0001da6af8a687acUL;
   tf->codes[16172] = 0x0001da9dc0ad8882UL;
   tf->codes[16173] = 0x0001daa3edc32449UL;
   tf->codes[16174] = 0x0001daab3fa3dce9UL;
   tf->codes[16175] = 0x0001daaf5db244c3UL;
   tf->codes[16176] = 0x0001dac63d9085b7UL;
   tf->codes[16177] = 0x0001dad30cd9c8cfUL;
   tf->codes[16178] = 0x0001db2cb7da9e77UL;
   tf->codes[16179] = 0x0001db2cf269a43cUL;
   tf->codes[16180] = 0x0001db477b384180UL;
   tf->codes[16181] = 0x0001db540ff27ed3UL;
   tf->codes[16182] = 0x0001db83deb634a8UL;
   tf->codes[16183] = 0x0001dba509b8793dUL;
   tf->codes[16184] = 0x0001dbb45d26fbccUL;
   tf->codes[16185] = 0x0001dbb8b5c4696bUL;
   tf->codes[16186] = 0x0001dbc2c6596747UL;
   tf->codes[16187] = 0x0001dbd07fdec173UL;
   tf->codes[16188] = 0x0001dbd588294061UL;
   tf->codes[16189] = 0x0001dbe1a7c5722aUL;
   tf->codes[16190] = 0x0001dbe42beab1a1UL;
   tf->codes[16191] = 0x0001dc05cc0b01c0UL;
   tf->codes[16192] = 0x0001dc1818bccf50UL;
   tf->codes[16193] = 0x0001dc19b2a5f7b3UL;
   tf->codes[16194] = 0x0001dc27319c4c1aUL;
   tf->codes[16195] = 0x0001dc2a9ffda2a5UL;
   tf->codes[16196] = 0x0001dc42df360637UL;
   tf->codes[16197] = 0x0001dc4319c50bfcUL;
   tf->codes[16198] = 0x0001dc5098bb6063UL;
   tf->codes[16199] = 0x0001dc57ea9c1903UL;
   tf->codes[16200] = 0x0001dc62704f2269UL;
   tf->codes[16201] = 0x0001dc7f42b3f95fUL;
   tf->codes[16202] = 0x0001dc81c6d938d6UL;
   tf->codes[16203] = 0x0001dca78507f0cfUL;
   tf->codes[16204] = 0x0001dcae61ca9de5UL;
   tf->codes[16205] = 0x0001dcbc1b4ff811UL;
   tf->codes[16206] = 0x0001dcdafcbc02f4UL;
   tf->codes[16207] = 0x0001dcddbb704830UL;
   tf->codes[16208] = 0x0001dce129d19ebbUL;
   tf->codes[16209] = 0x0001dd0a90f0b304UL;
   tf->codes[16210] = 0x0001dd3b49f07fedUL;
   tf->codes[16211] = 0x0001dd46b9dfa067UL;
   tf->codes[16212] = 0x0001dd4ad7ee0841UL;
   tf->codes[16213] = 0x0001dd873b6bfb69UL;
   tf->codes[16214] = 0x0001dda8666e3ffeUL;
   tf->codes[16215] = 0x0001dde28055f974UL;
   tf->codes[16216] = 0x0001dde6d8f36713UL;
   tf->codes[16217] = 0x0001de0a4d8be55aUL;
   tf->codes[16218] = 0x0001de304649a318UL;
   tf->codes[16219] = 0x0001de3a1c4f9b2fUL;
   tf->codes[16220] = 0x0001de46b109d882UL;
   tf->codes[16221] = 0x0001de484af300e5UL;
   tf->codes[16222] = 0x0001de688bb92e66UL;
   tf->codes[16223] = 0x0001de6bbf8b7f2cUL;
   tf->codes[16224] = 0x0001de6fa30ae141UL;
   tf->codes[16225] = 0x0001de7c37c51e94UL;
   tf->codes[16226] = 0x0001de8b16159599UL;
   tf->codes[16227] = 0x0001de98cf9aefc5UL;
   tf->codes[16228] = 0x0001dea180d5cb03UL;
   tf->codes[16229] = 0x0001dec236ba040eUL;
   tf->codes[16230] = 0x0001decc0cbffc25UL;
   tf->codes[16231] = 0x0001dee5e5e1881aUL;
   tf->codes[16232] = 0x0001dee86a06c791UL;
   tf->codes[16233] = 0x0001def748573e96UL;
   tf->codes[16234] = 0x0001defd004eced3UL;
   tf->codes[16235] = 0x0001df06d654c6eaUL;
   tf->codes[16236] = 0x0001df0f4d009c63UL;
   tf->codes[16237] = 0x0001df1ea06f1ef2UL;
   tf->codes[16238] = 0x0001df307802e0f8UL;
   tf->codes[16239] = 0x0001df55868487a2UL;
   tf->codes[16240] = 0x0001df943398b47cUL;
   tf->codes[16241] = 0x0001dfc0596c0e01UL;
   tf->codes[16242] = 0x0001dfc352af5902UL;
   tf->codes[16243] = 0x0001dfc9ba53fa8eUL;
   tf->codes[16244] = 0x0001dfe5a27cba70UL;
   tf->codes[16245] = 0x0001dfeda40a845fUL;
   tf->codes[16246] = 0x0001dff8644c938aUL;
   tf->codes[16247] = 0x0001dff913f9a4d9UL;
   tf->codes[16248] = 0x0001e01536b16a80UL;
   tf->codes[16249] = 0x0001e017bad6a9f7UL;
   tf->codes[16250] = 0x0001e024c4aef2d4UL;
   tf->codes[16251] = 0x0001e02539ccfe5eUL;
   tf->codes[16252] = 0x0001e03ed85f848eUL;
   tf->codes[16253] = 0x0001e0550890b433UL;
   tf->codes[16254] = 0x0001e07bb0fb8340UL;
   tf->codes[16255] = 0x0001e0d55bfc58e8UL;
   tf->codes[16256] = 0x0001e0e474dbd5b2UL;
   tf->codes[16257] = 0x0001e0efaa3bf067UL;
   tf->codes[16258] = 0x0001e11cba4b6100UL;
   tf->codes[16259] = 0x0001e124bbd92aefUL;
   tf->codes[16260] = 0x0001e1444cf24721UL;
   tf->codes[16261] = 0x0001e144fc9f5870UL;
   tf->codes[16262] = 0x0001e163a37c5d8eUL;
   tf->codes[16263] = 0x0001e19e6d112853UL;
   tf->codes[16264] = 0x0001e1c131fc954bUL;
   tf->codes[16265] = 0x0001e1c2cbe5bdaeUL;
   tf->codes[16266] = 0x0001e1cf609ffb01UL;
   tf->codes[16267] = 0x0001e1d3441f5d16UL;
   tf->codes[16268] = 0x0001e1e51bb31f1cUL;
   tf->codes[16269] = 0x0001e1fc70af6b9aUL;
   tf->codes[16270] = 0x0001e1fe7fb69f87UL;
   tf->codes[16271] = 0x0001e216845ffd54UL;
   tf->codes[16272] = 0x0001e22478745d45UL;
   tf->codes[16273] = 0x0001e2264cec8b6dUL;
   tf->codes[16274] = 0x0001e240d5bb28b1UL;
   tf->codes[16275] = 0x0001e26e20599f0fUL;
   tf->codes[16276] = 0x0001e28a7da06a7bUL;
   tf->codes[16277] = 0x0001e2903597fab8UL;
   tf->codes[16278] = 0x0001e2d2167e7858UL;
   tf->codes[16279] = 0x0001e2e12f5df522UL;
   tf->codes[16280] = 0x0001e2f8845a41a0UL;
   tf->codes[16281] = 0x0001e30b80b9207fUL;
   tf->codes[16282] = 0x0001e3773ddcbdf2UL;
   tf->codes[16283] = 0x0001e3894fff85bdUL;
   tf->codes[16284] = 0x0001e390a1e03e5dUL;
   tf->codes[16285] = 0x0001e399c8392525UL;
   tf->codes[16286] = 0x0001e39c4c5e649cUL;
   tf->codes[16287] = 0x0001e3d5b6990cc3UL;
   tf->codes[16288] = 0x0001e3d715f32f61UL;
   tf->codes[16289] = 0x0001e3dabee38bb1UL;
   tf->codes[16290] = 0x0001e3e1d6353e8cUL;
   tf->codes[16291] = 0x0001e4046091a5bfUL;
   tf->codes[16292] = 0x0001e43bbbc519f9UL;
   tf->codes[16293] = 0x0001e46b156ac444UL;
   tf->codes[16294] = 0x0001e475608ec7e5UL;
   tf->codes[16295] = 0x0001e49fec78f907UL;
   tf->codes[16296] = 0x0001e4c18c994926UL;
   tf->codes[16297] = 0x0001e4c36111774eUL;
   tf->codes[16298] = 0x0001e4cab2f22feeUL;
   tf->codes[16299] = 0x0001e4cff5cbb4a1UL;
   tf->codes[16300] = 0x0001e4f8ad3db79bUL;
   tf->codes[16301] = 0x0001e4fdf0173c4eUL;
   tf->codes[16302] = 0x0001e525f7dc2df9UL;
   tf->codes[16303] = 0x0001e566796888fbUL;
   tf->codes[16304] = 0x0001e56b47240224UL;
   tf->codes[16305] = 0x0001e57014df7b4dUL;
   tf->codes[16306] = 0x0001e5746d7ce8ecUL;
   tf->codes[16307] = 0x0001e5810237263fUL;
   tf->codes[16308] = 0x0001e5867f9fb0b7UL;
   tf->codes[16309] = 0x0001e5b98235b752UL;
   tf->codes[16310] = 0x0001e5bc7b790253UL;
   tf->codes[16311] = 0x0001e5c024695ea3UL;
   tf->codes[16312] = 0x0001e5cdddeeb8cfUL;
   tf->codes[16313] = 0x0001e5f570959ef0UL;
   tf->codes[16314] = 0x0001e5fbd83a407cUL;
   tf->codes[16315] = 0x0001e612f2a78735UL;
   tf->codes[16316] = 0x0001e65c9a8cc8ffUL;
   tf->codes[16317] = 0x0001e65df9e6eb9dUL;
   tf->codes[16318] = 0x0001e665fb74b58cUL;
   tf->codes[16319] = 0x0001e6784826831cUL;
   tf->codes[16320] = 0x0001e67e001e1359UL;
   tf->codes[16321] = 0x0001e68258bb80f8UL;
   tf->codes[16322] = 0x0001e6863c3ae30dUL;
   tf->codes[16323] = 0x0001e6884b4216faUL;
   tf->codes[16324] = 0x0001e6a72cae21ddUL;
   tf->codes[16325] = 0x0001e6b1b2612b43UL;
   tf->codes[16326] = 0x0001e6c439a1fe98UL;
   tf->codes[16327] = 0x0001e6db19803f8cUL;
   tf->codes[16328] = 0x0001e7132460c515UL;
   tf->codes[16329] = 0x0001e714492be1eeUL;
   tf->codes[16330] = 0x0001e714be49ed78UL;
   tf->codes[16331] = 0x0001e71de4a2d440UL;
   tf->codes[16332] = 0x0001e71e944fe58fUL;
   tf->codes[16333] = 0x0001e759d302bbdeUL;
   tf->codes[16334] = 0x0001e783e9cee176UL;
   tf->codes[16335] = 0x0001e7a5c47e375aUL;
   tf->codes[16336] = 0x0001e7ad165eeffaUL;
   tf->codes[16337] = 0x0001e7b04a3140c0UL;
   tf->codes[16338] = 0x0001e7c5cab55f16UL;
   tf->codes[16339] = 0x0001e7ffe49d188cUL;
   tf->codes[16340] = 0x0001e80109683565UL;
   tf->codes[16341] = 0x0001e812314ee61cUL;
   tf->codes[16342] = 0x0001e814f0032b58UL;
   tf->codes[16343] = 0x0001e8382a0ca3daUL;
   tf->codes[16344] = 0x0001e85cfdff44bfUL;
   tf->codes[16345] = 0x0001e8648a6f0324UL;
   tf->codes[16346] = 0x0001e86bdc4fbbc4UL;
   tf->codes[16347] = 0x0001e88839968730UL;
   tf->codes[16348] = 0x0001e893e414ad6fUL;
   tf->codes[16349] = 0x0001e8a19d9a079bUL;
   tf->codes[16350] = 0x0001e8c12eb323cdUL;
   tf->codes[16351] = 0x0001e8f46bd8302dUL;
   tf->codes[16352] = 0x0001e906436bf233UL;
   tf->codes[16353] = 0x0001e929f293763fUL;
   tf->codes[16354] = 0x0001e92aa240878eUL;
   tf->codes[16355] = 0x0001e963975d242bUL;
   tf->codes[16356] = 0x0001e97952704846UL;
   tf->codes[16357] = 0x0001e97a021d5995UL;
   tf->codes[16358] = 0x0001e989901ae1e9UL;
   tf->codes[16359] = 0x0001e9a2f41e6254UL;
   tf->codes[16360] = 0x0001e9b4cbb2245aUL;
   tf->codes[16361] = 0x0001e9b83a137ae5UL;
   tf->codes[16362] = 0x0001e9d6e0f08003UL;
   tf->codes[16363] = 0x0001e9e1a1328f2eUL;
   tf->codes[16364] = 0x0001e9ea526d6a6cUL;
   tf->codes[16365] = 0x0001e9fd143d4386UL;
   tf->codes[16366] = 0x0001ea19e6a21a7cUL;
   tf->codes[16367] = 0x0001ea1f640aa4f4UL;
   tf->codes[16368] = 0x0001ea3c366f7beaUL;
   tf->codes[16369] = 0x0001ea4522395cedUL;
   tf->codes[16370] = 0x0001ea46bc228550UL;
   tf->codes[16371] = 0x0001ea62a44b4532UL;
   tf->codes[16372] = 0x0001ea71480cb672UL;
   tf->codes[16373] = 0x0001ea76c57540eaUL;
   tf->codes[16374] = 0x0001ea9ecd3a3295UL;
   tf->codes[16375] = 0x0001eaa4fa4fce5cUL;
   tf->codes[16376] = 0x0001eaba4044e6edUL;
   tf->codes[16377] = 0x0001eabb2a80fe01UL;
   tf->codes[16378] = 0x0001eac1579699c8UL;
   tf->codes[16379] = 0x0001eaca08d17506UL;
   tf->codes[16380] = 0x0001ead8ac92e646UL;
   tf->codes[16381] = 0x0001eb128beb99f7UL;
   tf->codes[16382] = 0x0001eb180954246fUL;
   tf->codes[16383] = 0x0001eb28f6abcf61UL;
   tf->codes[16384] = 0x0001eb49720102a7UL;
   tf->codes[16385] = 0x0001eb91ba8c21d3UL;
   tf->codes[16386] = 0x0001eba7b02e4bb3UL;
   tf->codes[16387] = 0x0001ebb82867eb1bUL;
   tf->codes[16388] = 0x0001ec1b3450ad50UL;
   tf->codes[16389] = 0x0001ec2f1aeba343UL;
   tf->codes[16390] = 0x0001ec2f9009aecdUL;
   tf->codes[16391] = 0x0001ec2fca98b492UL;
   tf->codes[16392] = 0x0001ec3548013f0aUL;
   tf->codes[16393] = 0x0001ec3a504bbdf8UL;
   tf->codes[16394] = 0x0001ec4809d11824UL;
   tf->codes[16395] = 0x0001ec52ca13274fUL;
   tf->codes[16396] = 0x0001ec554e3866c6UL;
   tf->codes[16397] = 0x0001ec66eb3d2307UL;
   tf->codes[16398] = 0x0001ecb6108aef49UL;
   tf->codes[16399] = 0x0001ecbade466872UL;
   tf->codes[16400] = 0x0001ecbbc8827f86UL;
   tf->codes[16401] = 0x0001ecbe4ca7befdUL;
   tf->codes[16402] = 0x0001eccc40bc1eeeUL;
   tf->codes[16403] = 0x0001ece9883f016eUL;
   tf->codes[16404] = 0x0001eceecb188621UL;
   tf->codes[16405] = 0x0001ecf40df20ad4UL;
   tf->codes[16406] = 0x0001ed253c0fe347UL;
   tf->codes[16407] = 0x0001ed26d5f90baaUL;
   tf->codes[16408] = 0x0001ed2bde438a98UL;
   tf->codes[16409] = 0x0001ed3872fdc7ebUL;
   tf->codes[16410] = 0x0001ed449299f9b4UL;
   tf->codes[16411] = 0x0001ed5a883c2394UL;
   tf->codes[16412] = 0x0001ed6374060497UL;
   tf->codes[16413] = 0x0001ed8080f9e152UL;
   tf->codes[16414] = 0x0001ed849f08492cUL;
   tf->codes[16415] = 0x0001eda46ab06b23UL;
   tf->codes[16416] = 0x0001edaeb5d46ec4UL;
   tf->codes[16417] = 0x0001edb8c6696ca0UL;
   tf->codes[16418] = 0x0001edc0184a2540UL;
   tf->codes[16419] = 0x0001edd09083c4a8UL;
   tf->codes[16420] = 0x0001edd34f3809e4UL;
   tf->codes[16421] = 0x0001ede5d678dd39UL;
   tf->codes[16422] = 0x0001ee03cda8d108UL;
   tf->codes[16423] = 0x0001ee0d691fc35aUL;
   tf->codes[16424] = 0x0001ee135ba6595cUL;
   tf->codes[16425] = 0x0001ee1480717635UL;
   tf->codes[16426] = 0x0001ee1988bbf523UL;
   tf->codes[16427] = 0x0001ee3e5cae9608UL;
   tf->codes[16428] = 0x0001ee3fbc08b8a6UL;
   tf->codes[16429] = 0x0001ee47bd968295UL;
   tf->codes[16430] = 0x0001ee4c8b51fbbeUL;
   tf->codes[16431] = 0x0001ee5417c1ba23UL;
   tf->codes[16432] = 0x0001ee5af4846739UL;
   tf->codes[16433] = 0x0001ee5d78a9a6b0UL;
   tf->codes[16434] = 0x0001ee5e62e5bdc4UL;
   tf->codes[16435] = 0x0001ee6246651fd9UL;
   tf->codes[16436] = 0x0001ee68ae09c165UL;
   tf->codes[16437] = 0x0001ee8f1be58aadUL;
   tf->codes[16438] = 0x0001ee96a8554912UL;
   tf->codes[16439] = 0x0001eebeeaa94082UL;
   tf->codes[16440] = 0x0001eede7bc25cb4UL;
   tf->codes[16441] = 0x0001ef2440283c69UL;
   tf->codes[16442] = 0x0001ef33ce25c4bdUL;
   tf->codes[16443] = 0x0001ef3e1949c85eUL;
   tf->codes[16444] = 0x0001ef4ae8930b76UL;
   tf->codes[16445] = 0x0001ef623d8f57f4UL;
   tf->codes[16446] = 0x0001ef84c7ebbf27UL;
   tf->codes[16447] = 0x0001ef8c8eea8351UL;
   tf->codes[16448] = 0x0001efab70568e34UL;
   tf->codes[16449] = 0x0001efb162dd2436UL;
   tf->codes[16450] = 0x0001efc71df04851UL;
   tf->codes[16451] = 0x0001efcf5a0d1805UL;
   tf->codes[16452] = 0x0001efd3781b7fdfUL;
   tf->codes[16453] = 0x0001efd49ce69cb8UL;
   tf->codes[16454] = 0x0001efe54faf41e5UL;
   tf->codes[16455] = 0x0001eff8869d2689UL;
   tf->codes[16456] = 0x0001f0264659a871UL;
   tf->codes[16457] = 0x0001f067ecb1204cUL;
   tf->codes[16458] = 0x0001f071fd461e28UL;
   tf->codes[16459] = 0x0001f078da08cb3eUL;
   tf->codes[16460] = 0x0001f0840f68e5f3UL;
   tf->codes[16461] = 0x0001f0a03220ab9aUL;
   tf->codes[16462] = 0x0001f0a4ffdc24c3UL;
   tf->codes[16463] = 0x0001f0a8e35b86d8UL;
   tf->codes[16464] = 0x0001f0bb6a9c5a2dUL;
   tf->codes[16465] = 0x0001f0c2bc7d12cdUL;
   tf->codes[16466] = 0x0001f0c839e59d45UL;
   tf->codes[16467] = 0x0001f0e8401cc501UL;
   tf->codes[16468] = 0x0001f146092c0283UL;
   tf->codes[16469] = 0x0001f155220b7f4dUL;
   tf->codes[16470] = 0x0001f1ab993a042fUL;
   tf->codes[16471] = 0x0001f1b743b82a6eUL;
   tf->codes[16472] = 0x0001f1be9598e30eUL;
   tf->codes[16473] = 0x0001f1c8a62de0eaUL;
   tf->codes[16474] = 0x0001f239e0ba08d5UL;
   tf->codes[16475] = 0x0001f23fd3409ed7UL;
   tf->codes[16476] = 0x0001f264e1c24581UL;
   tf->codes[16477] = 0x0001f267a0768abdUL;
   tf->codes[16478] = 0x0001f27c36be91ffUL;
   tf->codes[16479] = 0x0001f27ce66ba34eUL;
   tf->codes[16480] = 0x0001f27f6a90e2c5UL;
   tf->codes[16481] = 0x0001f281047a0b28UL;
   tf->codes[16482] = 0x0001f2a319b866d1UL;
   tf->codes[16483] = 0x0001f2c1c0956befUL;
   tf->codes[16484] = 0x0001f2db5f27f21fUL;
   tf->codes[16485] = 0x0001f2e32626b649UL;
   tf->codes[16486] = 0x0001f2f622859528UL;
   tf->codes[16487] = 0x0001f3241cd11cd5UL;
   tf->codes[16488] = 0x0001f366e7f3b189UL;
   tf->codes[16489] = 0x0001f36a56550814UL;
   tf->codes[16490] = 0x0001f36dc4b65e9fUL;
   tf->codes[16491] = 0x0001f37f61bb1ae0UL;
   tf->codes[16492] = 0x0001f383ba58887fUL;
   tf->codes[16493] = 0x0001f3901483c00dUL;
   tf->codes[16494] = 0x0001f3c7e4d53fd1UL;
   tf->codes[16495] = 0x0001f3d4eead88aeUL;
   tf->codes[16496] = 0x0001f3ff7a97b9d0UL;
   tf->codes[16497] = 0x0001f4177f41179dUL;
   tf->codes[16498] = 0x0001f41a7884629eUL;
   tf->codes[16499] = 0x0001f4432ff66598UL;
   tf->codes[16500] = 0x0001f4800892644aUL;
   tf->codes[16501] = 0x0001f4b30b286ae5UL;
   tf->codes[16502] = 0x0001f4b84e01ef98UL;
   tf->codes[16503] = 0x0001f4be4088859aUL;
   tf->codes[16504] = 0x0001f4c6078749c4UL;
   tf->codes[16505] = 0x0001f4da9dcf5106UL;
   tf->codes[16506] = 0x0001f4fb53b38a11UL;
   tf->codes[16507] = 0x0001f501463a2013UL;
   tf->codes[16508] = 0x0001f517014d442eUL;
   tf->codes[16509] = 0x0001f53f7e304163UL;
   tf->codes[16510] = 0x0001f57280c647feUL;
   tf->codes[16511] = 0x0001f598b4130b81UL;
   tf->codes[16512] = 0x0001f5a424022bfbUL;
   tf->codes[16513] = 0x0001f5cb418b0692UL;
   tf->codes[16514] = 0x0001f6013d64582eUL;
   tf->codes[16515] = 0x0001f606f55be86bUL;
   tf->codes[16516] = 0x0001f60a292e3931UL;
   tf->codes[16517] = 0x0001f6189260a4acUL;
   tf->codes[16518] = 0x0001f624ec8bdc3aUL;
   tf->codes[16519] = 0x0001f62770b11bb1UL;
   tf->codes[16520] = 0x0001f62f723ee5a0UL;
   tf->codes[16521] = 0x0001f6389897cc68UL;
   tf->codes[16522] = 0x0001f650d7d02ffaUL;
   tf->codes[16523] = 0x0001f670de0757b6UL;
   tf->codes[16524] = 0x0001f6723d617a54UL;
   tf->codes[16525] = 0x0001f672b27f85deUL;
   tf->codes[16526] = 0x0001f6798f4232f4UL;
   tf->codes[16527] = 0x0001f67bd8d86ca6UL;
   tf->codes[16528] = 0x0001f67e978cb1e2UL;
   tf->codes[16529] = 0x0001f685e96d6a82UL;
   tf->codes[16530] = 0x0001f68e258a3a36UL;
   tf->codes[16531] = 0x0001f6a99894ee8eUL;
   tf->codes[16532] = 0x0001f6b7178b42f5UL;
   tf->codes[16533] = 0x0001f6bb3599aacfUL;
   tf->codes[16534] = 0x0001f6c7ca53e822UL;
   tf->codes[16535] = 0x0001f6cd47bc729aUL;
   tf->codes[16536] = 0x0001f6da8c23c13cUL;
   tf->codes[16537] = 0x0001f700bf7084bfUL;
   tf->codes[16538] = 0x0001f705529cf823UL;
   tf->codes[16539] = 0x0001f70bf4d09f74UL;
   tf->codes[16540] = 0x0001f70e03d7d361UL;
   tf->codes[16541] = 0x0001f741066dd9fcUL;
   tf->codes[16542] = 0x0001f7602268eaa4UL;
   tf->codes[16543] = 0x0001f7626bff2456UL;
   tf->codes[16544] = 0x0001f763cb5946f4UL;
   tf->codes[16545] = 0x0001f77ec945efc2UL;
   tf->codes[16546] = 0x0001f78bd31e389fUL;
   tf->codes[16547] = 0x0001f7a02ed73a1cUL;
   tf->codes[16548] = 0x0001f7a0de844b6bUL;
   tf->codes[16549] = 0x0001f7bbdc70f439UL;
   tf->codes[16550] = 0x0001f7bffa7f5c13UL;
   tf->codes[16551] = 0x0001f7c4188dc3edUL;
   tf->codes[16552] = 0x0001f7c53d58e0c6UL;
   tf->codes[16553] = 0x0001f7c7fc0d2602UL;
   tf->codes[16554] = 0x0001f7e9270f6a97UL;
   tf->codes[16555] = 0x0001f7f5813aa225UL;
   tf->codes[16556] = 0x0001f7f7cad0dbd7UL;
   tf->codes[16557] = 0x0001f7fbe8df43b1UL;
   tf->codes[16558] = 0x0001f8025083e53dUL;
   tf->codes[16559] = 0x0001f83c6a6b9eb3UL;
   tf->codes[16560] = 0x0001f83e0454c716UL;
   tf->codes[16561] = 0x0001f83e3ee3ccdbUL;
   tf->codes[16562] = 0x0001f8484f78cab7UL;
   tf->codes[16563] = 0x0001f85852945e95UL;
   tf->codes[16564] = 0x0001f87faaac3ef1UL;
   tf->codes[16565] = 0x0001f8909803e9e3UL;
   tf->codes[16566] = 0x0001f896ffa88b6fUL;
   tf->codes[16567] = 0x0001f8c7438a4cceUL;
   tf->codes[16568] = 0x0001f8c9529180bbUL;
   tf->codes[16569] = 0x0001f8e53aba409dUL;
   tf->codes[16570] = 0x0001f961358877b3UL;
   tf->codes[16571] = 0x0001f986f3b72facUL;
   tf->codes[16572] = 0x0001f989ecfa7aadUL;
   tf->codes[16573] = 0x0001f99313536175UL;
   tf->codes[16574] = 0x0001f9bf73b5c0bfUL;
   tf->codes[16575] = 0x0001f9c73ab484e9UL;
   tf->codes[16576] = 0x0001f9e2e84e3f06UL;
   tf->codes[16577] = 0x0001f9f325f8d8a9UL;
   tf->codes[16578] = 0x0001fa041350839bUL;
   tf->codes[16579] = 0x0001fa044ddf8960UL;
   tf->codes[16580] = 0x0001fa0f0e21988bUL;
   tf->codes[16581] = 0x0001fa2070974f07UL;
   tf->codes[16582] = 0x0001fa20e5b55a91UL;
   tf->codes[16583] = 0x0001fa22450f7d2fUL;
   tf->codes[16584] = 0x0001fa253e52c830UL;
   tf->codes[16585] = 0x0001fa3282ba16d2UL;
   tf->codes[16586] = 0x0001fa4afc818029UL;
   tf->codes[16587] = 0x0001fa5079ea0aa1UL;
   tf->codes[16588] = 0x0001fa51642621b5UL;
   tf->codes[16589] = 0x0001fa5d0ea447f4UL;
   tf->codes[16590] = 0x0001fa5d49334db9UL;
   tf->codes[16591] = 0x0001fa9e3fddb445UL;
   tf->codes[16592] = 0x0001faa25dec1c1fUL;
   tf->codes[16593] = 0x0001faa2987b21e4UL;
   tf->codes[16594] = 0x0001faa432644a47UL;
   tf->codes[16595] = 0x0001fabf3050f315UL;
   tf->codes[16596] = 0x0001fae5d8bbc222UL;
   tf->codes[16597] = 0x0001fae64dd9cdacUL;
   tf->codes[16598] = 0x0001fb2709f52e73UL;
   tf->codes[16599] = 0x0001fb548f22aa96UL;
   tf->codes[16600] = 0x0001fb5a81a94098UL;
   tf->codes[16601] = 0x0001fb6be41ef714UL;
   tf->codes[16602] = 0x0001fb74203bc6c8UL;
   tf->codes[16603] = 0x0001fb95faeb1cacUL;
   tf->codes[16604] = 0x0001fb9dfc78e69bUL;
   tf->codes[16605] = 0x0001fba25516543aUL;
   tf->codes[16606] = 0x0001fba75d60d328UL;
   tf->codes[16607] = 0x0001fbbb43fbc91bUL;
   tf->codes[16608] = 0x0001fbd3f8523837UL;
   tf->codes[16609] = 0x0001fbd67c7777aeUL;
   tf->codes[16610] = 0x0001fbe60a750002UL;
   tf->codes[16611] = 0x0001fc00cdd2a30bUL;
   tf->codes[16612] = 0x0001fc20d409cac7UL;
   tf->codes[16613] = 0x0001fc25a1c543f0UL;
   tf->codes[16614] = 0x0001fc37795905f6UL;
   tf->codes[16615] = 0x0001fc3bd1f67395UL;
   tf->codes[16616] = 0x0001fc54112ed727UL;
   tf->codes[16617] = 0x0001fc6190252b8eUL;
   tf->codes[16618] = 0x0001fc706e75a293UL;
   tf->codes[16619] = 0x0001fc869ea6d238UL;
   tf->codes[16620] = 0x0001fc86d935d7fdUL;
   tf->codes[16621] = 0x0001fc8b31d3459cUL;
   tf->codes[16622] = 0x0001fc9a4ab2c266UL;
   tf->codes[16623] = 0x0001fc9b34eed97aUL;
   tf->codes[16624] = 0x0001fc9edddf35caUL;
   tf->codes[16625] = 0x0001fce08436ada5UL;
   tf->codes[16626] = 0x0001fce8fae2831eUL;
   tf->codes[16627] = 0x0001fcf30b7780faUL;
   tf->codes[16628] = 0x0001fcfef084acfeUL;
   tf->codes[16629] = 0x0001fd1e0c7fbda6UL;
   tf->codes[16630] = 0x0001fd2389e8481eUL;
   tf->codes[16631] = 0x0001fd4096dc24d9UL;
   tf->codes[16632] = 0x0001fd5f78482fbcUL;
   tf->codes[16633] = 0x0001fd7b25e1e9d9UL;
   tf->codes[16634] = 0x0001fd823d339cb4UL;
   tf->codes[16635] = 0x0001fd87457e1ba2UL;
   tf->codes[16636] = 0x0001fd8b9e1b8941UL;
   tf->codes[16637] = 0x0001fda27df9ca35UL;
   tf->codes[16638] = 0x0001fdb9d2f616b3UL;
   tf->codes[16639] = 0x0001fdc458a92019UL;
   tf->codes[16640] = 0x0001fdebeb50063aUL;
   tf->codes[16641] = 0x0001fe05ff0097f4UL;
   tf->codes[16642] = 0x0001fe27d9afedd8UL;
   tf->codes[16643] = 0x0001fe60943d84b0UL;
   tf->codes[16644] = 0x0001fe805fe5a6a7UL;
   tf->codes[16645] = 0x0001fe8bcfd4c721UL;
   tf->codes[16646] = 0x0001fe91c25b5d23UL;
   tf->codes[16647] = 0x0001feba04af5493UL;
   tf->codes[16648] = 0x0001febd7310ab1eUL;
   tf->codes[16649] = 0x0001fec783a5a8faUL;
   tf->codes[16650] = 0x0001fed8ab8c59b1UL;
   tf->codes[16651] = 0x0001fef0eac4bd43UL;
   tf->codes[16652] = 0x0001fef15fe2c8cdUL;
   tf->codes[16653] = 0x0001ff06a5d7e15eUL;
   tf->codes[16654] = 0x0001ff1eaa813f2bUL;
   tf->codes[16655] = 0x0001ff2a8f8e6b2fUL;
   tf->codes[16656] = 0x0001ff3a92a9ff0dUL;
   tf->codes[16657] = 0x0001ff4134dda65eUL;
   tf->codes[16658] = 0x0001ff48fbdc6a88UL;
   tf->codes[16659] = 0x0001ff843a8f40d7UL;
   tf->codes[16660] = 0x0001ff9a30316ab7UL;
   tf->codes[16661] = 0x0001ff9aa54f7641UL;
   tf->codes[16662] = 0x0001ffa1f7302ee1UL;
   tf->codes[16663] = 0x0001ffbcf51cd7afUL;
   tf->codes[16664] = 0x0001ffdbd688e292UL;
   tf->codes[16665] = 0x0001fff4c56e5773UL;
   tf->codes[16666] = 0x0001fff70f049125UL;
   tf->codes[16667] = 0x0001ffff4b2160d9UL;
   tf->codes[16668] = 0x00000000aa7b8377UL;
   tf->codes[16669] = 0x0000000a45f275c9UL;
   tf->codes[16670] = 0x0000000b6abd92a2UL;
   tf->codes[16671] = 0x0000001a0e7f03e2UL;
   tf->codes[16672] = 0x0000009dd04bff22UL;
   tf->codes[16673] = 0x000000ad98d88d3bUL;
   tf->codes[16674] = 0x000000e7783140ecUL;
   tf->codes[16675] = 0x000000ea71748bedUL;
   tf->codes[16676] = 0x000000ef79bf0adbUL;
   tf->codes[16677] = 0x000001077e6868a8UL;
   tf->codes[16678] = 0x00000125b027623cUL;
   tf->codes[16679] = 0x000001495f4ee648UL;
   tf->codes[16680] = 0x0000014a841a0321UL;
   tf->codes[16681] = 0x00000154cf3e06c2UL;
   tf->codes[16682] = 0x0000017d1191fe32UL;
   tf->codes[16683] = 0x0000018379369fbeUL;
   tf->codes[16684] = 0x000001979a609b76UL;
   tf->codes[16685] = 0x000001a135d78dc8UL;
   tf->codes[16686] = 0x000001b347fa5593UL;
   tf->codes[16687] = 0x000001c9782b8538UL;
   tf->codes[16688] = 0x0000021569a700b4UL;
   tf->codes[16689] = 0x00000228a094e558UL;
   tf->codes[16690] = 0x0000022aaf9c1945UL;
   tf->codes[16691] = 0x000002365a1a3f84UL;
   tf->codes[16692] = 0x0000026419d6c16cUL;
   tf->codes[16693] = 0x000002816159a3ecUL;
   tf->codes[16694] = 0x0000028669a422daUL;
   tf->codes[16695] = 0x000002945db882cbUL;
   tf->codes[16696] = 0x000002a9de3ca121UL;
   tf->codes[16697] = 0x000002be7484a863UL;
   tf->codes[16698] = 0x000002d972715131UL;
   tf->codes[16699] = 0x000002f4aaecffc4UL;
   tf->codes[16700] = 0x000002fb4d20a715UL;
   tf->codes[16701] = 0x000002fd2198d53dUL;
   tf->codes[16702] = 0x00000303141f6b3fUL;
   tf->codes[16703] = 0x0000030fa8d9a892UL;
   tf->codes[16704] = 0x0000033f3d0e58a2UL;
   tf->codes[16705] = 0x000003456a23f469UL;
   tf->codes[16706] = 0x0000035a3afb0170UL;
   tf->codes[16707] = 0x0000037dea22857cUL;
   tf->codes[16708] = 0x0000038451c72708UL;
   tf->codes[16709] = 0x0000038f4c983bf8UL;
   tf->codes[16710] = 0x00000390abf25e96UL;
   tf->codes[16711] = 0x0000039d061d9624UL;
   tf->codes[16712] = 0x000003a96048cdb2UL;
   tf->codes[16713] = 0x000003b66a21168fUL;
   tf->codes[16714] = 0x000003f342bd1541UL;
   tf->codes[16715] = 0x000003fa5a0ec81cUL;
   tf->codes[16716] = 0x00000417a191aa9cUL;
   tf->codes[16717] = 0x0000041b4a8206ecUL;
   tf->codes[16718] = 0x00000435d350a430UL;
   tf->codes[16719] = 0x00000441433fc4aaUL;
   tf->codes[16720] = 0x000004464b8a4398UL;
   tf->codes[16721] = 0x000004e0ed357fccUL;
   tf->codes[16722] = 0x000004e3abe9c508UL;
   tf->codes[16723] = 0x000004e879a53e31UL;
   tf->codes[16724] = 0x0000051b7c3b44ccUL;
   tf->codes[16725] = 0x0000052049f6bdf5UL;
   tf->codes[16726] = 0x00000529e56db047UL;
   tf->codes[16727] = 0x00000531ac6c7471UL;
   tf->codes[16728] = 0x000005513d8590a3UL;
   tf->codes[16729] = 0x000005559622fe42UL;
   tf->codes[16730] = 0x000005676db6c048UL;
   tf->codes[16731] = 0x00000587395ee23fUL;
   tf->codes[16732] = 0x0000058c41a9612dUL;
   tf->codes[16733] = 0x000005989bd498bbUL;
   tf->codes[16734] = 0x0000059bcfa6e981UL;
   tf->codes[16735] = 0x000005a2374b8b0dUL;
   tf->codes[16736] = 0x000005a5e03be75dUL;
   tf->codes[16737] = 0x000005be94925679UL;
   tf->codes[16738] = 0x000005c327bec9ddUL;
   tf->codes[16739] = 0x000005c44c89e6b6UL;
   tf->codes[16740] = 0x000005d3da876f0aUL;
   tf->codes[16741] = 0x000006207baffbd5UL;
   tf->codes[16742] = 0x00000638805959a2UL;
   tf->codes[16743] = 0x00000656b2185336UL;
   tf->codes[16744] = 0x00000671ea9401c9UL;
   tf->codes[16745] = 0x00000677dd1a97cbUL;
   tf->codes[16746] = 0x000006801937677fUL;
   tf->codes[16747] = 0x00000698586fcb11UL;
   tf->codes[16748] = 0x000006ae4e11f4f1UL;
   tf->codes[16749] = 0x000006bcf1d36631UL;
   tf->codes[16750] = 0x000006ff47d7ef5bUL;
   tf->codes[16751] = 0x000007174c814d28UL;
   tf->codes[16752] = 0x0000071deeb4f479UL;
   tf->codes[16753] = 0x00000765fcb10de0UL;
   tf->codes[16754] = 0x0000076fd2b705f7UL;
   tf->codes[16755] = 0x00000774a0727f20UL;
   tf->codes[16756] = 0x000007a2602f0108UL;
   tf->codes[16757] = 0x000007a29abe06cdUL;
   tf->codes[16758] = 0x000007b7a6241999UL;
   tf->codes[16759] = 0x000007d6c21f2a41UL;
   tf->codes[16760] = 0x000007ddd970dd1cUL;
   tf->codes[16761] = 0x000007de4e8ee8a6UL;
   tf->codes[16762] = 0x000007f09b40b636UL;
   tf->codes[16763] = 0x000007f359f4fb72UL;
   tf->codes[16764] = 0x00000803979f9515UL;
   tf->codes[16765] = 0x00000808655b0e3eUL;
   tf->codes[16766] = 0x000008270c38135cUL;
   tf->codes[16767] = 0x000008575019d4bbUL;
   tf->codes[16768] = 0x0000086cd09df311UL;
   tf->codes[16769] = 0x00000890f4e382a7UL;
   tf->codes[16770] = 0x0000089d899dbffaUL;
   tf->codes[16771] = 0x000008a96eaaebfeUL;
   tf->codes[16772] = 0x000008bb0bafa83fUL;
   tf->codes[16773] = 0x000008c8c535026bUL;
   tf->codes[16774] = 0x000008ca99ad3093UL;
   tf->codes[16775] = 0x000008f943a5c98fUL;
   tf->codes[16776] = 0x00000900d01587f4UL;
   tf->codes[16777] = 0x000009231fe2e962UL;
   tf->codes[16778] = 0x0000092b5bffb916UL;
   tf->codes[16779] = 0x0000094151a1e2f6UL;
   tf->codes[16780] = 0x000009461f5d5c1fUL;
   tf->codes[16781] = 0x0000094a77fac9beUL;
   tf->codes[16782] = 0x00000959564b40c3UL;
   tf->codes[16783] = 0x0000095b655274b0UL;
   tf->codes[16784] = 0x0000095d7459a89dUL;
   tf->codes[16785] = 0x00000963a16f4464UL;
   tf->codes[16786] = 0x00000966259483dbUL;
   tf->codes[16787] = 0x00000971d012aa1aUL;
   tf->codes[16788] = 0x00000982484c4982UL;
   tf->codes[16789] = 0x0000098d088e58adUL;
   tf->codes[16790] = 0x000009950a1c229cUL;
   tf->codes[16791] = 0x000009d8fa09d429UL;
   tf->codes[16792] = 0x000009edcae0e130UL;
   tf->codes[16793] = 0x000009fe431a8098UL;
   tf->codes[16794] = 0x00000a19b62534f0UL;
   tf->codes[16795] = 0x00000a1ebe6fb3deUL;
   tf->codes[16796] = 0x00000a29b940c8ceUL;
   tf->codes[16797] = 0x00000a34b411ddbeUL;
   tf->codes[16798] = 0x00000a405e9003fdUL;
   tf->codes[16799] = 0x00000a41835b20d6UL;
   tf->codes[16800] = 0x00000a4a3495fc14UL;
   tf->codes[16801] = 0x00000a5654322dddUL;
   tf->codes[16802] = 0x00000a5bd19ab855UL;
   tf->codes[16803] = 0x00000a5fefa9202fUL;
   tf->codes[16804] = 0x00000a609f56317eUL;
   tf->codes[16805] = 0x00000a63d3288244UL;
   tf->codes[16806] = 0x00000a66cc6bcd45UL;
   tf->codes[16807] = 0x00000a89cbe64002UL;
   tf->codes[16808] = 0x00000a9c8db6191cUL;
   tf->codes[16809] = 0x00000a9f4c6a5e58UL;
   tf->codes[16810] = 0x00000aa50461ee95UL;
   tf->codes[16811] = 0x00000aa5ee9e05a9UL;
   tf->codes[16812] = 0x00000aab6c069021UL;
   tf->codes[16813] = 0x00000ab4925f76e9UL;
   tf->codes[16814] = 0x00000ab9601af012UL;
   tf->codes[16815] = 0x00000acbe75bc367UL;
   tf->codes[16816] = 0x00000afeaf62c43dUL;
   tf->codes[16817] = 0x00000b07260e99b6UL;
   tf->codes[16818] = 0x00000b0eed0d5de0UL;
   tf->codes[16819] = 0x00000b1938316181UL;
   tf->codes[16820] = 0x00000b2b4a54294cUL;
   tf->codes[16821] = 0x00000b856a730a7eUL;
   tf->codes[16822] = 0x00000ba98eb89a14UL;
   tf->codes[16823] = 0x00000bcab9badea9UL;
   tf->codes[16824] = 0x00000bcaf449e46eUL;
   tf->codes[16825] = 0x00000bdc914ea0afUL;
   tf->codes[16826] = 0x00000bde2b37c912UL;
   tf->codes[16827] = 0x00000be78c1fb59fUL;
   tf->codes[16828] = 0x00000c1fd18f40edUL;
   tf->codes[16829] = 0x00000c20813c523cUL;
   tf->codes[16830] = 0x00000c33087d2591UL;
   tf->codes[16831] = 0x00000c446af2dc0dUL;
   tf->codes[16832] = 0x00000c613d57b303UL;
   tf->codes[16833] = 0x00000c66f54f4340UL;
   tf->codes[16834] = 0x00000c69b403887cUL;
   tf->codes[16835] = 0x00000c994838388cUL;
   tf->codes[16836] = 0x00000cbb980599faUL;
   tf->codes[16837] = 0x00000cc74283c039UL;
   tf->codes[16838] = 0x00000d22fc8bc9ceUL;
   tf->codes[16839] = 0x00000d26305e1a94UL;
   tf->codes[16840] = 0x00000d4a1a14a465UL;
   tf->codes[16841] = 0x00000d981a9753ceUL;
   tf->codes[16842] = 0x00000da1f09d4be5UL;
   tf->codes[16843] = 0x00000dafe4b1abd6UL;
   tf->codes[16844] = 0x00000dd2a99d18ceUL;
   tf->codes[16845] = 0x00000dd7775891f7UL;
   tf->codes[16846] = 0x00000dec482f9efeUL;
   tf->codes[16847] = 0x00000df23ab63500UL;
   tf->codes[16848] = 0x00000df5a9178b8bUL;
   tf->codes[16849] = 0x00000df98c96eda0UL;
   tf->codes[16850] = 0x00000dfd358749f0UL;
   tf->codes[16851] = 0x00000e55f64c0884UL;
   tf->codes[16852] = 0x00000e599f3c64d4UL;
   tf->codes[16853] = 0x00000e7dc381f46aUL;
   tf->codes[16854] = 0x00000e83065b791dUL;
   tf->codes[16855] = 0x00000e851562ad0aUL;
   tf->codes[16856] = 0x00000eb9ec70e1cdUL;
   tf->codes[16857] = 0x00000eba9c1df31cUL;
   tf->codes[16858] = 0x00000ed01ca21172UL;
   tf->codes[16859] = 0x00000ed55f7b9625UL;
   tf->codes[16860] = 0x00000edec06382b2UL;
   tf->codes[16861] = 0x00000f009b12d896UL;
   tf->codes[16862] = 0x00000f445071845eUL;
   tf->codes[16863] = 0x00000f6edc5bb580UL;
   tf->codes[16864] = 0x00000f7fc9b36072UL;
   tf->codes[16865] = 0x00000f84976ed99bUL;
   tf->codes[16866] = 0x00000f8b39a280ecUL;
   tf->codes[16867] = 0x00000fe7a3579bd0UL;
   tf->codes[16868] = 0x00000ff7a6732faeUL;
   tf->codes[16869] = 0x00001066d1f823acUL;
   tf->codes[16870] = 0x000010a3e5232823UL;
   tf->codes[16871] = 0x000010b6a6f3013dUL;
   tf->codes[16872] = 0x000010bea880cb2cUL;
   tf->codes[16873] = 0x000010c49b07612eUL;
   tf->codes[16874] = 0x000010d2548cbb5aUL;
   tf->codes[16875] = 0x000010d6729b2334UL;
   tf->codes[16876] = 0x000010dd14ceca85UL;
   tf->codes[16877] = 0x000010e9a98907d8UL;
   tf->codes[16878] = 0x0000110382aa93cdUL;
   tf->codes[16879] = 0x00001137e49abd06UL;
   tf->codes[16880] = 0x0000113c02a924e0UL;
   tf->codes[16881] = 0x0000113f710a7b6bUL;
   tf->codes[16882] = 0x000011594a2c0760UL;
   tf->codes[16883] = 0x0000115bce5146d7UL;
   tf->codes[16884] = 0x00001172ae2f87cbUL;
   tf->codes[16885] = 0x000011740d89aa69UL;
   tf->codes[16886] = 0x00001174f7c5c17dUL;
   tf->codes[16887] = 0x00001176cc3defa5UL;
   tf->codes[16888] = 0x0000119af0837f3bUL;
   tf->codes[16889] = 0x000011a6d590ab3fUL;
   tf->codes[16890] = 0x0000125e842fc42eUL;
   tf->codes[16891] = 0x000012973ebd5b06UL;
   tf->codes[16892] = 0x0000129f05bc1f30UL;
   tf->codes[16893] = 0x000012bc12affbebUL;
   tf->codes[16894] = 0x000012d8aa85cd1cUL;
   tf->codes[16895] = 0x000012d95a32de6bUL;
   tf->codes[16896] = 0x000012e036f58b81UL;
   tf->codes[16897] = 0x000012ea0cfb8398UL;
   tf->codes[16898] = 0x000012f9d58811b1UL;
   tf->codes[16899] = 0x000013045b3b1b17UL;
   tf->codes[16900] = 0x00001313e938a36bUL;
   tf->codes[16901] = 0x0000131c2555731fUL;
   tf->codes[16902] = 0x0000131f93b6c9aaUL;
   tf->codes[16903] = 0x00001328ba0fb072UL;
   tf->codes[16904] = 0x0000133bf0fd9516UL;
   tf->codes[16905] = 0x00001346ebceaa06UL;
   tf->codes[16906] = 0x00001379b3d5aadcUL;
   tf->codes[16907] = 0x000013834f4c9d2eUL;
   tf->codes[16908] = 0x000013855e53d11bUL;
   tf->codes[16909] = 0x00001386f83cf97eUL;
   tf->codes[16910] = 0x0000138ef9cac36dUL;
   tf->codes[16911] = 0x000013b567a68cb5UL;
   tf->codes[16912] = 0x000013c530331aceUL;
   tf->codes[16913] = 0x000013e5366a428aUL;
   tf->codes[16914] = 0x000013f32a7ea27bUL;
   tf->codes[16915] = 0x0000140fc25473acUL;
   tf->codes[16916] = 0x0000143e31be06e3UL;
   tf->codes[16917] = 0x000014528d770860UL;
   tf->codes[16918] = 0x0000145586ba5361UL;
   tf->codes[16919] = 0x0000146290929c3eUL;
   tf->codes[16920] = 0x00001466aea10418UL;
   tf->codes[16921] = 0x0000147acfcaffd0UL;
   tf->codes[16922] = 0x0000148b0d759973UL;
   tf->codes[16923] = 0x00001496f282c577UL;
   tf->codes[16924] = 0x000014a3c1cc088fUL;
   tf->codes[16925] = 0x000014ebcfc821f6UL;
   tf->codes[16926] = 0x000014f77a464835UL;
   tf->codes[16927] = 0x000015035f537439UL;
   tf->codes[16928] = 0x0000151327e00252UL;
   tf->codes[16929] = 0x00001519ca13a9a3UL;
   tf->codes[16930] = 0x00001552bf304640UL;
   tf->codes[16931] = 0x0000157eaa749a00UL;
   tf->codes[16932] = 0x000015875baf753eUL;
   tf->codes[16933] = 0x00001596748ef208UL;
   tf->codes[16934] = 0x0000159cdc339394UL;
   tf->codes[16935] = 0x000015a0fa41fb6eUL;
   tf->codes[16936] = 0x000015a16f6006f8UL;
   tf->codes[16937] = 0x000015a2ceba2996UL;
   tf->codes[16938] = 0x000015ad8efc38c1UL;
   tf->codes[16939] = 0x000015b605a80e3aUL;
   tf->codes[16940] = 0x000015cdcfc26642UL;
   tf->codes[16941] = 0x000015db4eb8baa9UL;
   tf->codes[16942] = 0x000015eec035a512UL;
   tf->codes[16943] = 0x00001603cb9bb7deUL;
   tf->codes[16944] = 0x0000160e8bddc709UL;
   tf->codes[16945] = 0x0000161b95b60fe6UL;
   tf->codes[16946] = 0x000016235cb4d410UL;
   tf->codes[16947] = 0x0000162ae9249275UL;
   tf->codes[16948] = 0x00001651cc1e6747UL;
   tf->codes[16949] = 0x0000165c51d170adUL;
   tf->codes[16950] = 0x0000167874893654UL;
   tf->codes[16951] = 0x0000167f8bdae92fUL;
   tf->codes[16952] = 0x00001697908446fcUL;
   tf->codes[16953] = 0x000016b671f051dfUL;
   tf->codes[16954] = 0x000016c724b8f70cUL;
   tf->codes[16955] = 0x000016cb42c75ee6UL;
   tf->codes[16956] = 0x000016fbc138260aUL;
   tf->codes[16957] = 0x0000170bc453b9e8UL;
   tf->codes[16958] = 0x00001717e3efebb1UL;
   tf->codes[16959] = 0x00001724b3392ec9UL;
   tf->codes[16960] = 0x00001733cc18ab93UL;
   tf->codes[16961] = 0x00001736ffeafc59UL;
   tf->codes[16962] = 0x0000174b5ba3fdd6UL;
   tf->codes[16963] = 0x0000175a74837aa0UL;
   tf->codes[16964] = 0x0000175e1d73d6f0UL;
   tf->codes[16965] = 0x0000176ab22e1443UL;
   tf->codes[16966] = 0x00001777f69562e5UL;
   tf->codes[16967] = 0x00001778e0d179f9UL;
   tf->codes[16968] = 0x00001784c5dea5fdUL;
   tf->codes[16969] = 0x00001789ce2924ebUL;
   tf->codes[16970] = 0x000017bf1a556538UL;
   tf->codes[16971] = 0x000017dc274941f3UL;
   tf->codes[16972] = 0x000017e6726d4594UL;
   tf->codes[16973] = 0x000017e6acfc4b59UL;
   tf->codes[16974] = 0x000017f3072782e7UL;
   tf->codes[16975] = 0x00001808128d95b3UL;
   tf->codes[16976] = 0x000018288de2c8f9UL;
   tf->codes[16977] = 0x00001842dc226078UL;
   tf->codes[16978] = 0x00001869848d2f85UL;
   tf->codes[16979] = 0x000018ba7e5329efUL;
   tf->codes[16980] = 0x000018bf4c0ea318UL;
   tf->codes[16981] = 0x000018d95fbf34d2UL;
   tf->codes[16982] = 0x000018e2fb362724UL;
   tf->codes[16983] = 0x000018e50a3d5b11UL;
   tf->codes[16984] = 0x000019007d480f69UL;
   tf->codes[16985] = 0x00001903eba965f4UL;
   tf->codes[16986] = 0x00001925513ab04eUL;
   tf->codes[16987] = 0x0000192e77939716UL;
   tf->codes[16988] = 0x0000194432a6bb31UL;
   tf->codes[16989] = 0x00001953c0a44385UL;
   tf->codes[16990] = 0x0000195ebb755875UL;
   tf->codes[16991] = 0x00001983c9f6ff1fUL;
   tf->codes[16992] = 0x000019a94d96b153UL;
   tf->codes[16993] = 0x000019b09f7769f3UL;
   tf->codes[16994] = 0x000019bfb856e6bdUL;
   tf->codes[16995] = 0x00001a0925ad22c2UL;
   tf->codes[16996] = 0x00001a14207e37b2UL;
   tf->codes[16997] = 0x00001a162f856b9fUL;
   tf->codes[16998] = 0x00001a5b443e3a05UL;
   tf->codes[16999] = 0x00001a60c1a6c47dUL;
   tf->codes[17000] = 0x00001a64a5262692UL;
   tf->codes[17001] = 0x00001a960dd304caUL;
   tf->codes[17002] = 0x00001a99b6c3611aUL;
   tf->codes[17003] = 0x00001a9c00599accUL;
   tf->codes[17004] = 0x00001ab85da06638UL;
   tf->codes[17005] = 0x00001ac61725c064UL;
   tf->codes[17006] = 0x00001ac94af8112aUL;
   tf->codes[17007] = 0x00001ae56dafd6d1UL;
   tf->codes[17008] = 0x00001ae7422804f9UL;
   tf->codes[17009] = 0x00001ae9512f38e6UL;
   tf->codes[17010] = 0x00001af277881faeUL;
   tf->codes[17011] = 0x00001b4545c64840UL;
   tf->codes[17012] = 0x00001b5a169d5547UL;
   tf->codes[17013] = 0x00001ba050214086UL;
   tf->codes[17014] = 0x00001be898ac5fb2UL;
   tf->codes[17015] = 0x00001c6458eb9103UL;
   tf->codes[17016] = 0x00001c7df77e1733UL;
   tf->codes[17017] = 0x00001d043d7051eaUL;
   tf->codes[17018] = 0x00001d0d9e583e77UL;
   tf->codes[17019] = 0x00001d12a6a2bd65UL;
   tf->codes[17020] = 0x00001d5b29bce256UL;
   tf->codes[17021] = 0x00001d7ed8e46662UL;
   tf->codes[17022] = 0x00001d82bc63c877UL;
   tf->codes[17023] = 0x00001d9d7fc16b80UL;
   tf->codes[17024] = 0x00001dd465d6d430UL;
   tf->codes[17025] = 0x00001de3f3d45c84UL;
   tf->codes[17026] = 0x00001e1f328732d3UL;
   tf->codes[17027] = 0x00001e3144a9fa9eUL;
   tf->codes[17028] = 0x00001e55de0d95beUL;
   tf->codes[17029] = 0x00001e5e8f4870fcUL;
   tf->codes[17030] = 0x00001e77b8bceba2UL;
   tf->codes[17031] = 0x00001ed5bc5b2ee9UL;
   tf->codes[17032] = 0x00001f0bb8348085UL;
   tf->codes[17033] = 0x00001f3559e29a93UL;
   tf->codes[17034] = 0x00001f3bfc1641e4UL;
   tf->codes[17035] = 0x00001f4388860049UL;
   tf->codes[17036] = 0x00001f4856417972UL;
   tf->codes[17037] = 0x00001f789a233ad1UL;
   tf->codes[17038] = 0x00001f927344c6c6UL;
   tf->codes[17039] = 0x00001f9c0ebbb918UL;
   tf->codes[17040] = 0x00001fa151953dcbUL;
   tf->codes[17041] = 0x00001fa276605aa4UL;
   tf->codes[17042] = 0x00001fc70fc3f5c4UL;
   tf->codes[17043] = 0x00001fd32f60278dUL;
   tf->codes[17044] = 0x000020037341e8ecUL;
   tf->codes[17045] = 0x0000200b3a40ad16UL;
   tf->codes[17046] = 0x0000200d83d6e6c8UL;
   tf->codes[17047] = 0x000020530dadc0b8UL;
   tf->codes[17048] = 0x000020567c0f1743UL;
   tf->codes[17049] = 0x00002084765a9ef0UL;
   tf->codes[17050] = 0x000020861043c753UL;
   tf->codes[17051] = 0x00002094b4053893UL;
   tf->codes[17052] = 0x0000209f39b841f9UL;
   tf->codes[17053] = 0x000020ae8d26c488UL;
   tf->codes[17054] = 0x000020b7b37fab50UL;
   tf->codes[17055] = 0x000020bde0954717UL;
   tf->codes[17056] = 0x00002102803009f3UL;
   tf->codes[17057] = 0x00002123361442feUL;
   tf->codes[17058] = 0x000021299db8e48aUL;
   tf->codes[17059] = 0x00002178c306b0ccUL;
   tf->codes[17060] = 0x000021b52684a3f4UL;
   tf->codes[17061] = 0x000021c85d728898UL;
   tf->codes[17062] = 0x000021d26e078674UL;
   tf->codes[17063] = 0x000021f35e7ac544UL;
   tf->codes[17064] = 0x000021f61d2f0a80UL;
   tf->codes[17065] = 0x000021f7f1a738a8UL;
   tf->codes[17066] = 0x000022462cb8edd6UL;
   tf->codes[17067] = 0x000022503d4debb2UL;
   tf->codes[17068] = 0x0000227f21d58a73UL;
   tf->codes[17069] = 0x0000228a91c4aaedUL;
   tf->codes[17070] = 0x00002298c06810a3UL;
   tf->codes[17071] = 0x0000229d19057e42UL;
   tf->codes[17072] = 0x000022c55b5975b2UL;
   tf->codes[17073] = 0x000022cbfd8d1d03UL;
   tf->codes[17074] = 0x000022cebc41623fUL;
   tf->codes[17075] = 0x000023318d9b1eafUL;
   tf->codes[17076] = 0x00002332b2663b88UL;
   tf->codes[17077] = 0x0000233aee830b3cUL;
   tf->codes[17078] = 0x000023470e1f3d05UL;
   tf->codes[17079] = 0x0000234b66bcaaa4UL;
   tf->codes[17080] = 0x0000237f18ffc28eUL;
   tf->codes[17081] = 0x000023987d0342f9UL;
   tf->codes[17082] = 0x00002398b79248beUL;
   tf->codes[17083] = 0x000023a377d457e9UL;
   tf->codes[17084] = 0x000023a8baaddc9cUL;
   tf->codes[17085] = 0x000023d7d9c48122UL;
   tf->codes[17086] = 0x000023fef74d5bb9UL;
   tf->codes[17087] = 0x00002409b78f6ae4UL;
   tf->codes[17088] = 0x0000241b1a052160UL;
   tf->codes[17089] = 0x0000243bcfe95a6bUL;
   tf->codes[17090] = 0x00002442acac0781UL;
   tf->codes[17091] = 0x000024806f841d47UL;
   tf->codes[17092] = 0x00002482f3a95cbeUL;
   tf->codes[17093] = 0x000024b790288bbcUL;
   tf->codes[17094] = 0x000024c12b9f7e0eUL;
   tf->codes[17095] = 0x000024c793441f9aUL;
   tf->codes[17096] = 0x000024dbeefd2117UL;
   tf->codes[17097] = 0x00002504a66f2411UL;
   tf->codes[17098] = 0x0000250bbdc0d6ecUL;
   tf->codes[17099] = 0x00002519b1d536ddUL;
   tf->codes[17100] = 0x0000252d5de1270bUL;
   tf->codes[17101] = 0x000025360f1c0249UL;
   tf->codes[17102] = 0x0000253942ee530fUL;
   tf->codes[17103] = 0x000025464cc69becUL;
   tf->codes[17104] = 0x0000255feb59221cUL;
   tf->codes[17105] = 0x000025b836ffd526UL;
   tf->codes[17106] = 0x000025cbe30bc554UL;
   tf->codes[17107] = 0x000025cea1c00a90UL;
   tf->codes[17108] = 0x000025d877c602a7UL;
   tf->codes[17109] = 0x000025e19e1ee96fUL;
   tf->codes[17110] = 0x000025e3e7b52321UL;
   tf->codes[17111] = 0x000025e7561679acUL;
   tf->codes[17112] = 0x0000261515d2fb94UL;
   tf->codes[17113] = 0x000026738e8f4a65UL;
   tf->codes[17114] = 0x000026823250bba5UL;
   tf->codes[17115] = 0x000026a656964b3bUL;
   tf->codes[17116] = 0x000026cf489753faUL;
   tf->codes[17117] = 0x000026d5008ee437UL;
   tf->codes[17118] = 0x000026d7bf432973UL;
   tf->codes[17119] = 0x000026e69d93a078UL;
   tf->codes[17120] = 0x000026e7c25ebd51UL;
   tf->codes[17121] = 0x000026f5b6731d42UL;
   tf->codes[17122] = 0x000026f7505c45a5UL;
   tf->codes[17123] = 0x00002742ccb9b597UL;
   tf->codes[17124] = 0x000027572872b714UL;
   tf->codes[17125] = 0x000027855d4d4486UL;
   tf->codes[17126] = 0x000027976f700c51UL;
   tf->codes[17127] = 0x000027aa6bceeb30UL;
   tf->codes[17128] = 0x000027ba6eea7f0eUL;
   tf->codes[17129] = 0x000027c2e5965487UL;
   tf->codes[17130] = 0x000027e117554e1bUL;
   tf->codes[17131] = 0x000028124573268eUL;
   tf->codes[17132] = 0x00002822f83bcbbbUL;
   tf->codes[17133] = 0x00002843e8af0a8bUL;
   tf->codes[17134] = 0x000028592ea4231cUL;
   tf->codes[17135] = 0x0000286a568ad3d3UL;
   tf->codes[17136] = 0x000028884dbac7a2UL;
   tf->codes[17137] = 0x000028aef62596afUL;
   tf->codes[17138] = 0x000028b8570d833cUL;
   tf->codes[17139] = 0x000028b906ba948bUL;
   tf->codes[17140] = 0x000028b941499a50UL;
   tf->codes[17141] = 0x000028ba2b85b164UL;
   tf->codes[17142] = 0x000028c4b138bacaUL;
   tf->codes[17143] = 0x000028d43f36431eUL;
   tf->codes[17144] = 0x000028df74965dd3UL;
   tf->codes[17145] = 0x0000290398dbed69UL;
   tf->codes[17146] = 0x0000294a0ceede6dUL;
   tf->codes[17147] = 0x00002952839ab3e6UL;
   tf->codes[17148] = 0x0000297cd4f5df43UL;
   tf->codes[17149] = 0x000029aa94b2612bUL;
   tf->codes[17150] = 0x000029c1af1fa7e4UL;
   tf->codes[17151] = 0x000029c34908d047UL;
   tf->codes[17152] = 0x000029da63761700UL;
   tf->codes[17153] = 0x000029f97f7127a8UL;
   tf->codes[17154] = 0x00002a0b1c75e3e9UL;
   tf->codes[17155] = 0x00002a15dcb7f314UL;
   tf->codes[17156] = 0x00002a17ebbf2701UL;
   tf->codes[17157] = 0x00002a1c09cd8edbUL;
   tf->codes[17158] = 0x00002a20d7890804UL;
   tf->codes[17159] = 0x00002a3867145a47UL;
   tf->codes[17160] = 0x00002a3ab0aa93f9UL;
   tf->codes[17161] = 0x00002a83e371ca39UL;
   tf->codes[17162] = 0x00002a857d5af29cUL;
   tf->codes[17163] = 0x00002abb041638aeUL;
   tf->codes[17164] = 0x00002ac723b26a77UL;
   tf->codes[17165] = 0x00002ae087b5eae2UL;
   tf->codes[17166] = 0x00002ae5900069d0UL;
   tf->codes[17167] = 0x00002b0b88be278eUL;
   tf->codes[17168] = 0x00002b23c7f68b20UL;
   tf->codes[17169] = 0x00002b2a2f9b2cacUL;
   tf->codes[17170] = 0x00002b7f81fe94b5UL;
   tf->codes[17171] = 0x00002b8ba19ac67eUL;
   tf->codes[17172] = 0x00002baabd95d726UL;
   tf->codes[17173] = 0x00002bb961574866UL;
   tf->codes[17174] = 0x00002bc45c285d56UL;
   tf->codes[17175] = 0x00002bd8f2706498UL;
   tf->codes[17176] = 0x00002be9301afe3bUL;
   tf->codes[17177] = 0x00002c016f5361cdUL;
   tf->codes[17178] = 0x00002c3596b48541UL;
   tf->codes[17179] = 0x00002c422b6ec294UL;
   tf->codes[17180] = 0x00002c685ebb8617UL;
   tf->codes[17181] = 0x00002c77027cf757UL;
   tf->codes[17182] = 0x00002caa0512fdf2UL;
   tf->codes[17183] = 0x00002cbffab527d2UL;
   tf->codes[17184] = 0x00002ceb364c6a43UL;
   tf->codes[17185] = 0x00002cfbe9150f70UL;
   tf->codes[17186] = 0x00002d08434046feUL;
   tf->codes[17187] = 0x00002d2724ac51e1UL;
   tf->codes[17188] = 0x00002d42d2460bfeUL;
   tf->codes[17189] = 0x00002d43f71128d7UL;
   tf->codes[17190] = 0x00002d4a5eb5ca63UL;
   tf->codes[17191] = 0x00002d5bfbba86a4UL;
   tf->codes[17192] = 0x00002d69efcee695UL;
   tf->codes[17193] = 0x00002d72db98c798UL;
   tf->codes[17194] = 0x00002d8bca7e3c79UL;
   tf->codes[17195] = 0x00002dab210852e6UL;
   tf->codes[17196] = 0x00002dac0b4469faUL;
   tf->codes[17197] = 0x00002dc1c6578e15UL;
   tf->codes[17198] = 0x00002dc5e465f5efUL;
   tf->codes[17199] = 0x00002e09d453a77cUL;
   tf->codes[17200] = 0x00002e43791d5568UL;
   tf->codes[17201] = 0x00002e45fd4294dfUL;
   tf->codes[17202] = 0x00002e4fd3488cf6UL;
   tf->codes[17203] = 0x00002e6a21882475UL;
   tf->codes[17204] = 0x00002e7eb7d02bb7UL;
   tf->codes[17205] = 0x00002ea6fa242327UL;
   tf->codes[17206] = 0x00002ea97e49629eUL;
   tf->codes[17207] = 0x00002eaa2df673edUL;
   tf->codes[17208] = 0x00002ed9fcba29c2UL;
   tf->codes[17209] = 0x00002ede55579761UL;
   tf->codes[17210] = 0x00002ee18929e827UL;
   tf->codes[17211] = 0x00002f04fdc2666eUL;
   tf->codes[17212] = 0x00002f34cc861c43UL;
   tf->codes[17213] = 0x00002f5bea0ef6daUL;
   tf->codes[17214] = 0x00002f607d3b6a3eUL;
   tf->codes[17215] = 0x00002f64d5d8d7ddUL;
   tf->codes[17216] = 0x00002f666fc20040UL;
   tf->codes[17217] = 0x00002f9d1b48632bUL;
   tf->codes[17218] = 0x00002f9e05847a3fUL;
   tf->codes[17219] = 0x00002fb6f469ef20UL;
   tf->codes[17220] = 0x00002fd38c3fc051UL;
   tf->codes[17221] = 0x00002fd81f6c33b5UL;
   tf->codes[17222] = 0x00002fe479976b43UL;
   tf->codes[17223] = 0x00002fefaef785f8UL;
   tf->codes[17224] = 0x00002ff68bba330eUL;
   tf->codes[17225] = 0x00003018666988f2UL;
   tf->codes[17226] = 0x0000302e5c0bb2d2UL;
   tf->codes[17227] = 0x0000305f8a298b45UL;
   tf->codes[17228] = 0x000030615ea1b96dUL;
   tf->codes[17229] = 0x0000306492740a33UL;
   tf->codes[17230] = 0x00003065b73f270cUL;
   tf->codes[17231] = 0x0000307ea6249bedUL;
   tf->codes[17232] = 0x000030933c6ca32fUL;
   tf->codes[17233] = 0x000030971fec0544UL;
   tf->codes[17234] = 0x0000309b036b6759UL;
   tf->codes[17235] = 0x0000309c28368432UL;
   tf->codes[17236] = 0x000030a16b1008e5UL;
   tf->codes[17237] = 0x000030a75d969ee7UL;
   tf->codes[17238] = 0x000030b3f250dc3aUL;
   tf->codes[17239] = 0x000030bca38bb778UL;
   tf->codes[17240] = 0x000030ca97a01769UL;
   tf->codes[17241] = 0x000030eb88135639UL;
   tf->codes[17242] = 0x000030f5d33759daUL;
   tf->codes[17243] = 0x0000311faf7479adUL;
   tf->codes[17244] = 0x000031270155324dUL;
   tf->codes[17245] = 0x0000313e56517ecbUL;
   tf->codes[17246] = 0x00003177fb1b2cb7UL;
   tf->codes[17247] = 0x000031a71a31d13dUL;
   tf->codes[17248] = 0x00003204a8b208faUL;
   tf->codes[17249] = 0x00003232dd8c966cUL;
   tf->codes[17250] = 0x00003248d32ec04cUL;
   tf->codes[17251] = 0x00003261fca33af2UL;
   tf->codes[17252] = 0x0000326de1b066f6UL;
   tf->codes[17253] = 0x0000327d6fadef4aUL;
   tf->codes[17254] = 0x0000328fbc5fbcdaUL;
   tf->codes[17255] = 0x000032aa7fbd5fe3UL;
   tf->codes[17256] = 0x000032b3a61646abUL;
   tf->codes[17257] = 0x000032bc575121e9UL;
   tf->codes[17258] = 0x000032c28466bdb0UL;
   tf->codes[17259] = 0x000032c62d571a00UL;
   tf->codes[17260] = 0x000032f6abc7e124UL;
   tf->codes[17261] = 0x000032fb04654ec3UL;
   tf->codes[17262] = 0x0000330f9aad5605UL;
   tf->codes[17263] = 0x000033288992cae6UL;
   tf->codes[17264] = 0x000033522b40e4f4UL;
   tf->codes[17265] = 0x00003371473bf59cUL;
   tf->codes[17266] = 0x00003383ce7cc8f1UL;
   tf->codes[17267] = 0x000033c6999f5da5UL;
   tf->codes[17268] = 0x000033c91dc49d1cUL;
   tf->codes[17269] = 0x0000343340ff122cUL;
   tf->codes[17270] = 0x00003443098ba045UL;
   tf->codes[17271] = 0x0000344b803775beUL;
   tf->codes[17272] = 0x000034734d6d61a4UL;
   tf->codes[17273] = 0x00003482664cde6eUL;
   tf->codes[17274] = 0x000034838b17fb47UL;
   tf->codes[17275] = 0x0000348b8ca5c536UL;
   tf->codes[17276] = 0x000034ab1dbee168UL;
   tf->codes[17277] = 0x000034e955b502b8UL;
   tf->codes[17278] = 0x000034fd76defe70UL;
   tf->codes[17279] = 0x000034ff85e6325dUL;
   tf->codes[17280] = 0x000035141c2e399fUL;
   tf->codes[17281] = 0x00003564db652e44UL;
   tf->codes[17282] = 0x0000356515f43409UL;
   tf->codes[17283] = 0x00003569a920a76dUL;
   tf->codes[17284] = 0x000035893a39c39fUL;
   tf->codes[17285] = 0x000035b31676e372UL;
   tf->codes[17286] = 0x000035c269e56601UL;
   tf->codes[17287] = 0x000035e5de7de448UL;
   tf->codes[17288] = 0x000035ea71aa57acUL;
   tf->codes[17289] = 0x000035fecd635929UL;
   tf->codes[17290] = 0x00003613291c5aa6UL;
   tf->codes[17291] = 0x000036274a46565eUL;
   tf->codes[17292] = 0x0000365d461fa7faUL;
   tf->codes[17293] = 0x00003663733543c1UL;
   tf->codes[17294] = 0x00003695c61e390dUL;
   tf->codes[17295] = 0x00003698f9f089d3UL;
   tf->codes[17296] = 0x000036b93ab6b754UL;
   tf->codes[17297] = 0x000036f26a6259b6UL;
   tf->codes[17298] = 0x0000375ed7330878UL;
   tf->codes[17299] = 0x00003762bab26a8dUL;
   tf->codes[17300] = 0x0000377e2dbd1ee5UL;
   tf->codes[17301] = 0x000037b54e618d5aUL;
   tf->codes[17302] = 0x000037f226fd8c0cUL;
   tf->codes[17303] = 0x000037fb87e57899UL;
   tf->codes[17304] = 0x0000380264a825afUL;
   tf->codes[17305] = 0x00003804ae3e5f61UL;
   tf->codes[17306] = 0x00003822305047a6UL;
   tf->codes[17307] = 0x00003858dbd6aa91UL;
   tf->codes[17308] = 0x000038623cbe971eUL;
   tf->codes[17309] = 0x00003888aa9a6066UL;
   tf->codes[17310] = 0x00003894551886a5UL;
   tf->codes[17311] = 0x0000389be188450aUL;
   tf->codes[17312] = 0x000038b19c9b6925UL;
   tf->codes[17313] = 0x000038cbb04bfadfUL;
   tf->codes[17314] = 0x000038d33cbbb944UL;
   tf->codes[17315] = 0x000038d6e5ac1594UL;
   tf->codes[17316] = 0x000039422db1a77dUL;
   tf->codes[17317] = 0x000039a0a66df64eUL;
   tf->codes[17318] = 0x000039a86d6cba78UL;
   tf->codes[17319] = 0x000039d667b84225UL;
   tf->codes[17320] = 0x00003a06e6290949UL;
   tf->codes[17321] = 0x00003a2293c2c366UL;
   tf->codes[17322] = 0x00003a45933d3623UL;
   tf->codes[17323] = 0x00003a47a2446a10UL;
   tf->codes[17324] = 0x00003a63ff8b357cUL;
   tf->codes[17325] = 0x00003a8c41df2cecUL;
   tf->codes[17326] = 0x00003a9da454e368UL;
   tf->codes[17327] = 0x00003aabd2f8491eUL;
   tf->codes[17328] = 0x00003abaebd7c5e8UL;
   tf->codes[17329] = 0x00003acb64116550UL;
   tf->codes[17330] = 0x00003ad70e8f8b8fUL;
   tf->codes[17331] = 0x00003ae502a3eb80UL;
   tf->codes[17332] = 0x00003b1fcc38b645UL;
   tf->codes[17333] = 0x00003b21a0b0e46dUL;
   tf->codes[17334] = 0x00003b2375291295UL;
   tf->codes[17335] = 0x00003b49a875d618UL;
   tf->codes[17336] = 0x00003b5886c64d1dUL;
   tf->codes[17337] = 0x00003b7ef4a21665UL;
   tf->codes[17338] = 0x00003b893fc61a06UL;
   tf->codes[17339] = 0x00003bd3223a6195UL;
   tf->codes[17340] = 0x00003bd7eff5dabeUL;
   tf->codes[17341] = 0x00003bea0218a289UL;
   tf->codes[17342] = 0x00003c174cb718e7UL;
   tf->codes[17343] = 0x00003c37185f3adeUL;
   tf->codes[17344] = 0x00003c4ac46b2b0cUL;
   tf->codes[17345] = 0x00003c571e96629aUL;
   tf->codes[17346] = 0x00003c5bec51dbc3UL;
   tf->codes[17347] = 0x00003c5d111cf89cUL;
   tf->codes[17348] = 0x00003c6169ba663bUL;
   tf->codes[17349] = 0x00003c6c648b7b2bUL;
   tf->codes[17350] = 0x00003ca434dcfaefUL;
   tf->codes[17351] = 0x00003cac366ac4deUL;
   tf->codes[17352] = 0x00003cb2638060a5UL;
   tf->codes[17353] = 0x00003cba2a7f24cfUL;
   tf->codes[17354] = 0x00003cc5d4fd4b0eUL;
   tf->codes[17355] = 0x00003ce2e1f127c9UL;
   tf->codes[17356] = 0x00003d17f38e6251UL;
   tf->codes[17357] = 0x00003d3b6826e098UL;
   tf->codes[17358] = 0x00003d3ffb5353fcUL;
   tf->codes[17359] = 0x00003d5a8421f140UL;
   tf->codes[17360] = 0x00003d5fc6fb75f3UL;
   tf->codes[17361] = 0x00003d6076a88742UL;
   tf->codes[17362] = 0x00003d854a9b2827UL;
   tf->codes[17363] = 0x00003da21cffff1dUL;
   tf->codes[17364] = 0x00003daa1e8dc90cUL;
   tf->codes[17365] = 0x00003db58e7ce986UL;
   tf->codes[17366] = 0x00003df97e6a9b13UL;
   tf->codes[17367] = 0x00003e1b93a8f6bcUL;
   tf->codes[17368] = 0x00003e54c354991eUL;
   tf->codes[17369] = 0x00003e78e79a28b4UL;
   tf->codes[17370] = 0x00003e86dbae88a5UL;
   tf->codes[17371] = 0x00003e9126d28c46UL;
   tf->codes[17372] = 0x00003e945aa4dd0cUL;
   tf->codes[17373] = 0x00003e9719592248UL;
   tf->codes[17374] = 0x00003e9d80fdc3d4UL;
   tf->codes[17375] = 0x00003ebc27dac8f2UL;
   tf->codes[17376] = 0x00003ec0f596421bUL;
   tf->codes[17377] = 0x00003ec5fde0c109UL;
   tf->codes[17378] = 0x00003ed3b7661b35UL;
   tf->codes[17379] = 0x00003ef7dbabaacbUL;
   tf->codes[17380] = 0x00003f1d99da62c4UL;
   tf->codes[17381] = 0x00003f1f33c38b27UL;
   tf->codes[17382] = 0x00003f22dcb3e777UL;
   tf->codes[17383] = 0x00003f27aa6f60a0UL;
   tf->codes[17384] = 0x00003f46514c65beUL;
   tf->codes[17385] = 0x00003f67f16cb5ddUL;
   tf->codes[17386] = 0x00003f7e96bbf10cUL;
   tf->codes[17387] = 0x00003f891c6efa72UL;
   tf->codes[17388] = 0x00003f8b66053424UL;
   tf->codes[17389] = 0x00003f8c15b24573UL;
   tf->codes[17390] = 0x00003fd632b592c7UL;
   tf->codes[17391] = 0x00003fd6e262a416UL;
   tf->codes[17392] = 0x00004023838b30e1UL;
   tf->codes[17393] = 0x00004080d77c62d9UL;
   tf->codes[17394] = 0x000040c3a29ef78dUL;
   tf->codes[17395] = 0x000040d0375934e0UL;
   tf->codes[17396] = 0x00004104242b528fUL;
   tf->codes[17397] = 0x0000410807aab4a4UL;
   tf->codes[17398] = 0x0000410fcea978ceUL;
   tf->codes[17399] = 0x0000416ebc83d329UL;
   tf->codes[17400] = 0x000041717b381865UL;
   tf->codes[17401] = 0x00004172a003353eUL;
   tf->codes[17402] = 0x000041810935a0b9UL;
   tf->codes[17403] = 0x000041822e00bd92UL;
   tf->codes[17404] = 0x000041c951c0bfe5UL;
   tf->codes[17405] = 0x000041d7baf32b60UL;
   tf->codes[17406] = 0x000041de97b5d876UL;
   tf->codes[17407] = 0x000042041b558aaaUL;
   tf->codes[17408] = 0x00004220b32b5bdbUL;
   tf->codes[17409] = 0x00004226e040f7a2UL;
   tf->codes[17410] = 0x0000427fdb94bbfbUL;
   tf->codes[17411] = 0x000042c26c284aeaUL;
   tf->codes[17412] = 0x000042e61b4fcef6UL;
   tf->codes[17413] = 0x000043044d0ec88aUL;
   tf->codes[17414] = 0x0000432ba526a8e6UL;
   tf->codes[17415] = 0x0000434d4546f905UL;
   tf->codes[17416] = 0x00004352fd3e8942UL;
   tf->codes[17417] = 0x0000437ee882dd02UL;
   tf->codes[17418] = 0x0000438291733952UL;
   tf->codes[17419] = 0x00004393443bde7fUL;
   tf->codes[17420] = 0x0000439602f023bbUL;
   tf->codes[17421] = 0x000043a9aefc13e9UL;
   tf->codes[17422] = 0x000043d97dbfc9beUL;
   tf->codes[17423] = 0x000043da67fbe0d2UL;
   tf->codes[17424] = 0x00004457879534c1UL;
   tf->codes[17425] = 0x0000446b33a124efUL;
   tf->codes[17426] = 0x0000446edc91813fUL;
   tf->codes[17427] = 0x00004482889d716dUL;
   tf->codes[17428] = 0x0000449460313373UL;
   tf->codes[17429] = 0x000044a428bdc18cUL;
   tf->codes[17430] = 0x000044a9e0b551c9UL;
   tf->codes[17431] = 0x000044d5916a9fc4UL;
   tf->codes[17432] = 0x000044fe48dca2beUL;
   tf->codes[17433] = 0x00004504b081444aUL;
   tf->codes[17434] = 0x0000453235aec06dUL;
   tf->codes[17435] = 0x0000454064522623UL;
   tf->codes[17436] = 0x00004546cbf6c7afUL;
   tf->codes[17437] = 0x000045e84a64b0f9UL;
   tf->codes[17438] = 0x000045eeec98584aUL;
   tf->codes[17439] = 0x0000462f6e24b34cUL;
   tf->codes[17440] = 0x0000463560ab494eUL;
   tf->codes[17441] = 0x000046509926f7e1UL;
   tf->codes[17442] = 0x0000465148d40930UL;
   tf->codes[17443] = 0x000046865a7143b8UL;
   tf->codes[17444] = 0x00004687b9cb6656UL;
   tf->codes[17445] = 0x0000469030773bcfUL;
   tf->codes[17446] = 0x00004698320505beUL;
   tf->codes[17447] = 0x000046a7c0028e12UL;
   tf->codes[17448] = 0x000046aded1829d9UL;
   tf->codes[17449] = 0x000046ae27a72f9eUL;
   tf->codes[17450] = 0x000046e2c4265e9cUL;
   tf->codes[17451] = 0x000047238041bf63UL;
   tf->codes[17452] = 0x0000475bc5b14ab1UL;
   tf->codes[17453] = 0x000047a82c4ad1b7UL;
   tf->codes[17454] = 0x000047c69898d110UL;
   tf->codes[17455] = 0x00004827d009651dUL;
   tf->codes[17456] = 0x0000484343141975UL;
   tf->codes[17457] = 0x0000484726937b8aUL;
   tf->codes[17458] = 0x00004879b40b769bUL;
   tf->codes[17459] = 0x00004881407b3500UL;
   tf->codes[17460] = 0x000048990a958d08UL;
   tf->codes[17461] = 0x000048aae2294f0eUL;
   tf->codes[17462] = 0x000048e82fe3594aUL;
   tf->codes[17463] = 0x000048f539bba227UL;
   tf->codes[17464] = 0x000048f832feed28UL;
   tf->codes[17465] = 0x0000491ba7976b6fUL;
   tf->codes[17466] = 0x0000493ac3927c17UL;
   tf->codes[17467] = 0x00004948b7a6dc08UL;
   tf->codes[17468] = 0x000049716f18df02UL;
   tf->codes[17469] = 0x000049a730632ad9UL;
   tf->codes[17470] = 0x000049c3c838fc0aUL;
   tf->codes[17471] = 0x000049d31ba77e99UL;
   tf->codes[17472] = 0x000049d405e395adUL;
   tf->codes[17473] = 0x000049ffb698e3a8UL;
   tf->codes[17474] = 0x00004a6a14625e7dUL;
   tf->codes[17475] = 0x00004a89305d6f25UL;
   tf->codes[17476] = 0x00004a9e3bc381f1UL;
   tf->codes[17477] = 0x00004ac72dc48ab0UL;
   tf->codes[17478] = 0x00004ae091c80b1bUL;
   tf->codes[17479] = 0x00004ae38b0b561cUL;
   tf->codes[17480] = 0x00004b6ba575befbUL;
   tf->codes[17481] = 0x00004b74cbcea5c3UL;
   tf->codes[17482] = 0x00004b7d427a7b3cUL;
   tf->codes[17483] = 0x00004b828553ffefUL;
   tf->codes[17484] = 0x00004bc42bab77caUL;
   tf->codes[17485] = 0x00004beb83c35826UL;
   tf->codes[17486] = 0x00004c6e5b543c52UL;
   tf->codes[17487] = 0x00004cab6e7f40c9UL;
   tf->codes[17488] = 0x00004cc03f564dd0UL;
   tf->codes[17489] = 0x00004ccbe9d4740fUL;
   tf->codes[17490] = 0x00004d1c6e7c62efUL;
   tf->codes[17491] = 0x00004d22d621047bUL;
   tf->codes[17492] = 0x00004d24aa9932a3UL;
   tf->codes[17493] = 0x00004d34e843cc46UL;
   tf->codes[17494] = 0x00004d5e14d3dacaUL;
   tf->codes[17495] = 0x00004d80d9bf47c2UL;
   tf->codes[17496] = 0x00004da11a857543UL;
   tf->codes[17497] = 0x00004da18fa380cdUL;
   tf->codes[17498] = 0x00004db9944cde9aUL;
   tf->codes[17499] = 0x00004dbfc1627a61UL;
   tf->codes[17500] = 0x00004dcba66fa665UL;
   tf->codes[17501] = 0x00004dcdb576da52UL;
   tf->codes[17502] = 0x00004dde683f7f7fUL;
   tf->codes[17503] = 0x00004de6a45c4f33UL;
   tf->codes[17504] = 0x00004de83e457796UL;
   tf->codes[17505] = 0x00004dfb3aa45675UL;
   tf->codes[17506] = 0x00004e1ee9cbda81UL;
   tf->codes[17507] = 0x00004e281024c149UL;
   tf->codes[17508] = 0x00004e342fc0f312UL;
   tf->codes[17509] = 0x00004e43bdbe7b66UL;
   tf->codes[17510] = 0x00004e73176425b1UL;
   tf->codes[17511] = 0x00004ea68f1837d6UL;
   tf->codes[17512] = 0x00004ea89e1f6bc3UL;
   tf->codes[17513] = 0x00004ec15275dadfUL;
   tf->codes[17514] = 0x00004ec7f4a98230UL;
   tf->codes[17515] = 0x00004ed48963bf83UL;
   tf->codes[17516] = 0x00004eda06cc49fbUL;
   tf->codes[17517] = 0x00004f10b252ace6UL;
   tf->codes[17518] = 0x00004f2c9a7b6cc8UL;
   tf->codes[17519] = 0x00004f676410378dUL;
   tf->codes[17520] = 0x00004f764260ae92UL;
   tf->codes[17521] = 0x00004fac78c905f3UL;
   tf->codes[17522] = 0x00004fbddb3ebc6fUL;
   tf->codes[17523] = 0x00004fcd2ead3efeUL;
   tf->codes[17524] = 0x00004fe18a66407bUL;
   tf->codes[17525] = 0x000050169c037b03UL;
   tf->codes[17526] = 0x000050215c458a2eUL;
   tf->codes[17527] = 0x00005065c1514745UL;
   tf->codes[17528] = 0x0000507e75a7b661UL;
   tf->codes[17529] = 0x000050984ec94256UL;
   tf->codes[17530] = 0x000050a2d47c4bbcUL;
   tf->codes[17531] = 0x000050bd97d9eec5UL;
   tf->codes[17532] = 0x000050cdd5848868UL;
   tf->codes[17533] = 0x000050d64c305de1UL;
   tf->codes[17534] = 0x000050d9ba91b46cUL;
   tf->codes[17535] = 0x000050f5dd497a13UL;
   tf->codes[17536] = 0x000050f9fb57e1edUL;
   tf->codes[17537] = 0x0000512830326f5fUL;
   tf->codes[17538] = 0x0000515839852af9UL;
   tf->codes[17539] = 0x000051636ee545aeUL;
   tf->codes[17540] = 0x000051703e2e88c6UL;
   tf->codes[17541] = 0x0000517162f9a59fUL;
   tf->codes[17542] = 0x000051abf1ff6a9fUL;
   tf->codes[17543] = 0x000051c1728388f5UL;
   tf->codes[17544] = 0x000051cc32c59820UL;
   tf->codes[17545] = 0x000051cd5790b4f9UL;
   tf->codes[17546] = 0x000051dd5aac48d7UL;
   tf->codes[17547] = 0x000051e4376ef5edUL;
   tf->codes[17548] = 0x00005204ed532ef8UL;
   tf->codes[17549] = 0x00005207e69679f9UL;
   tf->codes[17550] = 0x00005280ad926049UL;
   tf->codes[17551] = 0x0000528a83985860UL;
   tf->codes[17552] = 0x0000528b334569afUL;
   tf->codes[17553] = 0x000052b584a0950cUL;
   tf->codes[17554] = 0x000052c80be16861UL;
   tf->codes[17555] = 0x000052d37bd088dbUL;
   tf->codes[17556] = 0x000052d515b9b13eUL;
   tf->codes[17557] = 0x000052e25a20ffe0UL;
   tf->codes[17558] = 0x000052e84ca795e2UL;
   tf->codes[17559] = 0x000052eb8079e6a8UL;
   tf->codes[17560] = 0x0000531a2a727fa4UL;
   tf->codes[17561] = 0x00005335d80c39c1UL;
   tf->codes[17562] = 0x00005342a7557cd9UL;
   tf->codes[17563] = 0x000053602967651eUL;
   tf->codes[17564] = 0x00005368a0133a97UL;
   tf->codes[17565] = 0x0000537a77a6fc9dUL;
   tf->codes[17566] = 0x00005380df4b9e29UL;
   tf->codes[17567] = 0x0000538a7ac2907bUL;
   tf->codes[17568] = 0x000053a0aaf3c020UL;
   tf->codes[17569] = 0x000053b7fff00c9eUL;
   tf->codes[17570] = 0x000053eb02861339UL;
   tf->codes[17571] = 0x000053eb3d1518feUL;
   tf->codes[17572] = 0x000053eee605754eUL;
   tf->codes[17573] = 0x000053f9a6478479UL;
   tf->codes[17574] = 0x0000540e3c8f8bbbUL;
   tf->codes[17575] = 0x000054455d33fa30UL;
   tf->codes[17576] = 0x00005454761376faUL;
   tf->codes[17577] = 0x000054560ffc9f5dUL;
   tf->codes[17578] = 0x00005482705efea7UL;
   tf->codes[17579] = 0x000054969188fa5fUL;
   tf->codes[17580] = 0x000054d2ba77e7c2UL;
   tf->codes[17581] = 0x00005586c026a461UL;
   tf->codes[17582] = 0x00005586fab5aa26UL;
   tf->codes[17583] = 0x000055af027a9bd1UL;
   tf->codes[17584] = 0x000055c1c44a74ebUL;
   tf->codes[17585] = 0x0000560245d6cfedUL;
   tf->codes[17586] = 0x0000563582fbdc4dUL;
   tf->codes[17587] = 0x000056808a3b40b5UL;
   tf->codes[17588] = 0x0000568b0fee4a1bUL;
   tf->codes[17589] = 0x00005698c973a447UL;
   tf->codes[17590] = 0x000056a2da08a223UL;
   tf->codes[17591] = 0x000056b90a39d1c8UL;
   tf->codes[17592] = 0x000056e68f674debUL;
   tf->codes[17593] = 0x000056ed6c29fb01UL;
   tf->codes[17594] = 0x000056f53328bf2bUL;
   tf->codes[17595] = 0x000056fd34b6891aUL;
   tf->codes[17596] = 0x00005701c7e2fc7eUL;
   tf->codes[17597] = 0x0000572ba4201c51UL;
   tf->codes[17598] = 0x00005772c7e01ea4UL;
   tf->codes[17599] = 0x00005777207d8c43UL;
   tf->codes[17600] = 0x0000577bee39056cUL;
   tf->codes[17601] = 0x000057a0127e9502UL;
   tf->codes[17602] = 0x000057a380dfeb8dUL;
   tf->codes[17603] = 0x000057ab0d4fa9f2UL;
   tf->codes[17604] = 0x000057cce7feffd6UL;
   tf->codes[17605] = 0x000057ce0cca1cafUL;
   tf->codes[17606] = 0x000057e8207aae69UL;
   tf->codes[17607] = 0x000057efe7797293UL;
   tf->codes[17608] = 0x0000581b982ec08eUL;
   tf->codes[17609] = 0x0000582483f8a191UL;
   tf->codes[17610] = 0x00005858ab59c505UL;
   tf->codes[17611] = 0x000058ab7997ed97UL;
   tf->codes[17612] = 0x000058bf9ac1e94fUL;
   tf->codes[17613] = 0x000058d64011247eUL;
   tf->codes[17614] = 0x000058e93c70035dUL;
   tf->codes[17615] = 0x00005905d445d48eUL;
   tf->codes[17616] = 0x00005939fba6f802UL;
   tf->codes[17617] = 0x00005946caf03b1aUL;
   tf->codes[17618] = 0x000059502bd827a7UL;
   tf->codes[17619] = 0x000059a9d6d8fd4fUL;
   tf->codes[17620] = 0x000059ba148396f2UL;
   tf->codes[17621] = 0x000059bdbd73f342UL;
   tf->codes[17622] = 0x000059d5fcac56d4UL;
   tf->codes[17623] = 0x000059fd8f533cf5UL;
   tf->codes[17624] = 0x00005a188d3fe5c3UL;
   tf->codes[17625] = 0x00005a531c45aac3UL;
   tf->codes[17626] = 0x00005a74f6f500a7UL;
   tf->codes[17627] = 0x00005a856f2ea00fUL;
   tf->codes[17628] = 0x00005ab787888f96UL;
   tf->codes[17629] = 0x00005ad6de12a603UL;
   tf->codes[17630] = 0x00005adea5116a2dUL;
   tf->codes[17631] = 0x00005b34e1b0e94aUL;
   tf->codes[17632] = 0x00005b3fdc81fe3aUL;
   tf->codes[17633] = 0x00005b5ebdee091dUL;
   tf->codes[17634] = 0x00005b7b9052e013UL;
   tf->codes[17635] = 0x00005b847c1cc116UL;
   tf->codes[17636] = 0x00005baf4295f7fdUL;
   tf->codes[17637] = 0x00005bb39b33659cUL;
   tf->codes[17638] = 0x00005bc2eea1e82bUL;
   tf->codes[17639] = 0x00005bc44dfc0ac9UL;
   tf->codes[17640] = 0x00005bf506fbd7b2UL;
   tf->codes[17641] = 0x00005c03359f3d68UL;
   tf->codes[17642] = 0x00005c166c8d220cUL;
   tf->codes[17643] = 0x00005c1c5f13b80eUL;
   tf->codes[17644] = 0x00005c5a5c7ad399UL;
   tf->codes[17645] = 0x00005c75cf8587f1UL;
   tf->codes[17646] = 0x00005c97e4c3e39aUL;
   tf->codes[17647] = 0x00005cc6c94b825bUL;
   tf->codes[17648] = 0x00005cf3643ce76aUL;
   tf->codes[17649] = 0x00005d1abc54c7c6UL;
   tf->codes[17650] = 0x00005d37199b9332UL;
   tf->codes[17651] = 0x00005d3c5c7517e5UL;
   tf->codes[17652] = 0x00005d3e30ed460dUL;
   tf->codes[17653] = 0x00005d61a585c454UL;
   tf->codes[17654] = 0x00005d6638b237b8UL;
   tf->codes[17655] = 0x00005d6fd4292a0aUL;
   tf->codes[17656] = 0x00005d8729257688UL;
   tf->codes[17657] = 0x00005d88887f9926UL;
   tf->codes[17658] = 0x00005d8bbc51e9ecUL;
   tf->codes[17659] = 0x00005d9174497a29UL;
   tf->codes[17660] = 0x00005da88eb6c0e2UL;
   tf->codes[17661] = 0x00005db264bcb8f9UL;
   tf->codes[17662] = 0x00005db9b69d7199UL;
   tf->codes[17663] = 0x00005dbc0033ab4bUL;
   tf->codes[17664] = 0x00005de6c6ace232UL;
   tf->codes[17665] = 0x00005deb59d95596UL;
   tf->codes[17666] = 0x00005debcef76120UL;
   tf->codes[17667] = 0x00005e44552d19efUL;
   tf->codes[17668] = 0x00005e70b58f7939UL;
   tf->codes[17669] = 0x00005e87956dba2dUL;
   tf->codes[17670] = 0x00005e9a573d9347UL;
   tf->codes[17671] = 0x00005edad8c9ee49UL;
   tf->codes[17672] = 0x00005f047a780857UL;
   tf->codes[17673] = 0x00005f0948338180UL;
   tf->codes[17674] = 0x00005f3a3bc2542eUL;
   tf->codes[17675] = 0x00005f4b2919ff20UL;
   tf->codes[17676] = 0x00005f8333fa84a9UL;
   tf->codes[17677] = 0x00005f8961102070UL;
   tf->codes[17678] = 0x00005fa2ffa2a6a0UL;
   tf->codes[17679] = 0x00005faa8c126505UL;
   tf->codes[17680] = 0x00005fea9880b47dUL;
   tf->codes[17681] = 0x00005ff1afd26758UL;
   tf->codes[17682] = 0x00005ffce532820dUL;
   tf->codes[17683] = 0x00006003c1f52f23UL;
   tf->codes[17684] = 0x00006027711cb32fUL;
   tf->codes[17685] = 0x0000602f72aa7d1eUL;
   tf->codes[17686] = 0x000060377438470dUL;
   tf->codes[17687] = 0x0000604443818a25UL;
   tf->codes[17688] = 0x0000604fb370aa9fUL;
   tf->codes[17689] = 0x0000607e22da3dd6UL;
   tf->codes[17690] = 0x00006088336f3bb2UL;
   tf->codes[17691] = 0x00006092f3b14addUL;
   tf->codes[17692] = 0x000060966212a168UL;
   tf->codes[17693] = 0x000060ae2c2cf970UL;
   tf->codes[17694] = 0x000060b5f32bbd9aUL;
   tf->codes[17695] = 0x000060da8c8f58baUL;
   tf->codes[17696] = 0x0000613e48252c3eUL;
   tf->codes[17697] = 0x0000616565ae06d5UL;
   tf->codes[17698] = 0x00006178620ce5b4UL;
   tf->codes[17699] = 0x0000617fee7ca419UL;
   tf->codes[17700] = 0x0000619275bd776eUL;
   tf->codes[17701] = 0x000061a3d8332deaUL;
   tf->codes[17702] = 0x000061c99661e5e3UL;
   tf->codes[17703] = 0x000061fd48a4fdcdUL;
   tf->codes[17704] = 0x000062184691a69bUL;
   tf->codes[17705] = 0x0000623727fdb17eUL;
   tf->codes[17706] = 0x0000623c3048306cUL;
   tf->codes[17707] = 0x0000624bbe45b8c0UL;
   tf->codes[17708] = 0x00006271f1927c43UL;
   tf->codes[17709] = 0x000062755ff3d2ceUL;
   tf->codes[17710] = 0x0000628e89684d74UL;
   tf->codes[17711] = 0x000062a86289d969UL;
   tf->codes[17712] = 0x000062c360768237UL;
   tf->codes[17713] = 0x000062db2a90da3fUL;
   tf->codes[17714] = 0x000062f5b35f7783UL;
   tf->codes[17715] = 0x000063196286fb8fUL;
   tf->codes[17716] = 0x00006362cfdd3794UL;
   tf->codes[17717] = 0x00006374a770f99aUL;
   tf->codes[17718] = 0x0000639388dd047dUL;
   tf->codes[17719] = 0x000063a9096122d3UL;
   tf->codes[17720] = 0x000063b90c7cb6b1UL;
   tf->codes[17721] = 0x000063e39866e7d3UL;
   tf->codes[17722] = 0x0000640de9c21330UL;
   tf->codes[17723] = 0x000064106de752a7UL;
   tf->codes[17724] = 0x000064236a463186UL;
   tf->codes[17725] = 0x0000642af6b5efebUL;
   tf->codes[17726] = 0x00006449d821faceUL;
   tf->codes[17727] = 0x0000644b377c1d6cUL;
   tf->codes[17728] = 0x0000645bea44c299UL;
   tf->codes[17729] = 0x00006475fdf55453UL;
   tf->codes[17730] = 0x0000647f244e3b1bUL;
   tf->codes[17731] = 0x00006499e7abde24UL;
   tf->codes[17732] = 0x000064a1aeaaa24eUL;
   tf->codes[17733] = 0x000064c3fe7803bcUL;
   tf->codes[17734] = 0x000064f23352912eUL;
   tf->codes[17735] = 0x0000650320aa3c20UL;
   tf->codes[17736] = 0x000065040ae65334UL;
   tf->codes[17737] = 0x00006507ee65b549UL;
   tf->codes[17738] = 0x00006523617069a1UL;
   tf->codes[17739] = 0x0000652b9d8d3955UL;
   tf->codes[17740] = 0x0000656199668af1UL;
   tf->codes[17741] = 0x00006589a12b7c9cUL;
   tf->codes[17742] = 0x000065c7d9219decUL;
   tf->codes[17743] = 0x000065d46ddbdb3fUL;
   tf->codes[17744] = 0x000065d607c503a2UL;
   tf->codes[17745] = 0x0000662b94b77170UL;
   tf->codes[17746] = 0x0000664742512b8dUL;
   tf->codes[17747] = 0x0000667c8e7d6bdaUL;
   tf->codes[17748] = 0x00006684900b35c9UL;
   tf->codes[17749] = 0x00006687c3dd868fUL;
   tf->codes[17750] = 0x00006688ae199da3UL;
   tf->codes[17751] = 0x000066b792a13c64UL;
   tf->codes[17752] = 0x000066d46506135aUL;
   tf->codes[17753] = 0x000066e1e3fc67c1UL;
   tf->codes[17754] = 0x0000670817492b44UL;
   tf->codes[17755] = 0x00006713fc565748UL;
   tf->codes[17756] = 0x000067238a53df9cUL;
   tf->codes[17757] = 0x0000673f37ed99b9UL;
   tf->codes[17758] = 0x000067602860d889UL;
   tf->codes[17759] = 0x0000677a3c116a43UL;
   tf->codes[17760] = 0x00006795748d18d6UL;
   tf->codes[17761] = 0x000067b6650057a6UL;
   tf->codes[17762] = 0x000067db38f2f88bUL;
   tf->codes[17763] = 0x000067e33a80c27aUL;
   tf->codes[17764] = 0x000067e54987f667UL;
   tf->codes[17765] = 0x000067f2c87e4aceUL;
   tf->codes[17766] = 0x000067f5c1c195cfUL;
   tf->codes[17767] = 0x00006822974200a3UL;
   tf->codes[17768] = 0x0000689ff16a5a57UL;
   tf->codes[17769] = 0x000068a0668865e1UL;
   tf->codes[17770] = 0x000068d7c1bbda1bUL;
   tf->codes[17771] = 0x000068e78a486834UL;
   tf->codes[17772] = 0x00006919681351f6UL;
   tf->codes[17773] = 0x0000693a588690c6UL;
   tf->codes[17774] = 0x0000695815277ed0UL;
   tf->codes[17775] = 0x0000696a274a469bUL;
   tf->codes[17776] = 0x0000696fa4b2d113UL;
   tf->codes[17777] = 0x0000697bc44f02dcUL;
   tf->codes[17778] = 0x000069a85f4067ebUL;
   tf->codes[17779] = 0x000069bf3f1ea8dfUL;
   tf->codes[17780] = 0x000069c8da959b31UL;
   tf->codes[17781] = 0x000069df7fe4d660UL;
   tf->codes[17782] = 0x00006a0b309a245bUL;
   tf->codes[17783] = 0x00006a1c5880d512UL;
   tf->codes[17784] = 0x00006a1d42bcec26UL;
   tf->codes[17785] = 0x00006a1f51c42013UL;
   tf->codes[17786] = 0x00006a26a3a4d8b3UL;
   tf->codes[17787] = 0x00006a2a12062f3eUL;
   tf->codes[17788] = 0x00006a3631a26107UL;
   tf->codes[17789] = 0x00006a49ddae5135UL;
   tf->codes[17790] = 0x00006a54d87f6625UL;
   tf->codes[17791] = 0x00006a68f9a961ddUL;
   tf->codes[17792] = 0x00006a8b4976c34bUL;
   tf->codes[17793] = 0x00006a9e0b469c65UL;
   tf->codes[17794] = 0x00006ab107a57b44UL;
   tf->codes[17795] = 0x00006af61c5e49aaUL;
   tf->codes[17796] = 0x00006b023bfa7b73UL;
   tf->codes[17797] = 0x00006b395c9ee9e8UL;
   tf->codes[17798] = 0x00006b66e1cc660bUL;
   tf->codes[17799] = 0x00006b707d43585dUL;
   tf->codes[17800] = 0x00006b9f61caf71eUL;
   tf->codes[17801] = 0x00006ba25b0e421fUL;
   tf->codes[17802] = 0x00006bbce3dcdf63UL;
   tf->codes[17803] = 0x00006bd17a24e6a5UL;
   tf->codes[17804] = 0x00006bdc74f5fb95UL;
   tf->codes[17805] = 0x00006c75079a03dcUL;
   tf->codes[17806] = 0x00006c95f80d42acUL;
   tf->codes[17807] = 0x00006c96a7ba53fbUL;
   tf->codes[17808] = 0x00006cb4d9794d8fUL;
   tf->codes[17809] = 0x00006cd46a9269c1UL;
   tf->codes[17810] = 0x00006cfb4d8c3e93UL;
   tf->codes[17811] = 0x00006cfdd1b17e0aUL;
   tf->codes[17812] = 0x00006d55331c1a00UL;
   tf->codes[17813] = 0x00006d6152b84bc9UL;
   tf->codes[17814] = 0x00006d6361bf7fb6UL;
   tf->codes[17815] = 0x00006d719062e56cUL;
   tf->codes[17816] = 0x00006d786d259282UL;
   tf->codes[17817] = 0x00006d7b6668dd83UL;
   tf->codes[17818] = 0x00006d80e3d167fbUL;
   tf->codes[17819] = 0x00006d82b8499623UL;
   tf->codes[17820] = 0x00006da6a2001ff4UL;
   tf->codes[17821] = 0x00006dc6a83747b0UL;
   tf->codes[17822] = 0x00006dfbf46387fdUL;
   tf->codes[17823] = 0x00006e17dc8c47dfUL;
   tf->codes[17824] = 0x00006ee8ef2ee139UL;
   tf->codes[17825] = 0x00006f012e6744cbUL;
   tf->codes[17826] = 0x00006f281161199dUL;
   tf->codes[17827] = 0x00006f425fa0b11cUL;
   tf->codes[17828] = 0x00006f508e4416d2UL;
   tf->codes[17829] = 0x00006f7d29357be1UL;
   tf->codes[17830] = 0x00006f82a69e0659UL;
   tf->codes[17831] = 0x00006f831bbc11e3UL;
   tf->codes[17832] = 0x00006fdaf244b963UL;
   tf->codes[17833] = 0x00006fe11f5a552aUL;
   tf->codes[17834] = 0x00006fe4189da02bUL;
   tf->codes[17835] = 0x00006fe8abca138fUL;
   tf->codes[17836] = 0x00006fedeea39842UL;
   tf->codes[17837] = 0x00006fff8ba85483UL;
   tf->codes[17838] = 0x000070cb5b71692aUL;
   tf->codes[17839] = 0x000070fed3257b4fUL;
   tf->codes[17840] = 0x00007131260e709bUL;
   tf->codes[17841] = 0x00007133aa33b012UL;
   tf->codes[17842] = 0x000071696b7dfbe9UL;
   tf->codes[17843] = 0x000071b60ca688b4UL;
   tf->codes[17844] = 0x000071b681c4943eUL;
   tf->codes[17845] = 0x000071d85c73ea22UL;
   tf->codes[17846] = 0x000071f56967c6ddUL;
   tf->codes[17847] = 0x0000721de64ac412UL;
   tf->codes[17848] = 0x00007232f1b0d6deUL;
   tf->codes[17849] = 0x00007266a3f3eec8UL;
   tf->codes[17850] = 0x0000727dbe613581UL;
   tf->codes[17851] = 0x000072921a1a36feUL;
   tf->codes[17852] = 0x000072abb8acbd2eUL;
   tf->codes[17853] = 0x000072c51cb03d99UL;
   tf->codes[17854] = 0x000073064de9a9eaUL;
   tf->codes[17855] = 0x0000730b1ba52313UL;
   tf->codes[17856] = 0x0000734a034855b2UL;
   tf->codes[17857] = 0x0000736b2e4a9a47UL;
   tf->codes[17858] = 0x000073b75a551b88UL;
   tf->codes[17859] = 0x0000740b87ed66b8UL;
   tf->codes[17860] = 0x000074217d8f9098UL;
   tf->codes[17861] = 0x000074281fc337e9UL;
   tf->codes[17862] = 0x00007437e84fc602UL;
   tf->codes[17863] = 0x0000746b9a92ddecUL;
   tf->codes[17864] = 0x0000748573b469e1UL;
   tf->codes[17865] = 0x00007488e215c06cUL;
   tf->codes[17866] = 0x00007495ebee0949UL;
   tf->codes[17867] = 0x000074a3a5736375UL;
   tf->codes[17868] = 0x000074b15ef8bda1UL;
   tf->codes[17869] = 0x000074ea19865479UL;
   tf->codes[17870] = 0x000074f882b8bff4UL;
   tf->codes[17871] = 0x000074feea5d6180UL;
   tf->codes[17872] = 0x0000750133f39b32UL;
   tf->codes[17873] = 0x0000751d1c1c5b14UL;
   tf->codes[17874] = 0x00007521e9d7d43dUL;
   tf->codes[17875] = 0x00007538549809a7UL;
   tf->codes[17876] = 0x0000754857b39d85UL;
   tf->codes[17877] = 0x0000755b54127c64UL;
   tf->codes[17878] = 0x0000757b1fba9e5bUL;
   tf->codes[17879] = 0x0000759de4a60b53UL;
   tf->codes[17880] = 0x000075be5ffb3e99UL;
   tf->codes[17881] = 0x000075ddb6855506UL;
   tf->codes[17882] = 0x000075f6304cbe5dUL;
   tf->codes[17883] = 0x0000760beb5fe278UL;
   tf->codes[17884] = 0x000076467a65a778UL;
   tf->codes[17885] = 0x0000765bfae9c5ceUL;
   tf->codes[17886] = 0x00007677a8837febUL;
   tf->codes[17887] = 0x00007682a35494dbUL;
   tf->codes[17888] = 0x00007692e0ff2e7eUL;
   tf->codes[17889] = 0x000076a393c7d3abUL;
   tf->codes[17890] = 0x000076a9864e69adUL;
   tf->codes[17891] = 0x000076afedf30b39UL;
   tf->codes[17892] = 0x000076d70b7be5d0UL;
   tf->codes[17893] = 0x000076dc4e556a83UL;
   tf->codes[17894] = 0x0000773006cfaa29UL;
   tf->codes[17895] = 0x00007800a45437f9UL;
   tf->codes[17896] = 0x0000782db463a892UL;
   tf->codes[17897] = 0x0000783874a5b7bdUL;
   tf->codes[17898] = 0x00007843e494d837UL;
   tf->codes[17899] = 0x0000786f954a2632UL;
   tf->codes[17900] = 0x00007888bebea0d8UL;
   tf->codes[17901] = 0x000078d4008d0b05UL;
   tf->codes[17902] = 0x000078fb1e15e59cUL;
   tf->codes[17903] = 0x00007904f41bddb3UL;
   tf->codes[17904] = 0x00007961985ffe5cUL;
   tf->codes[17905] = 0x00007962480d0fabUL;
   tf->codes[17906] = 0x00007963e1f6380eUL;
   tf->codes[17907] = 0x0000799b77b8b20dUL;
   tf->codes[17908] = 0x000079bd526807f1UL;
   tf->codes[17909] = 0x000079ca96cf5693UL;
   tf->codes[17910] = 0x00007a289a6d99daUL;
   tf->codes[17911] = 0x00007a3d30b5a11cUL;
   tf->codes[17912] = 0x00007a6c8a5b4b67UL;
   tf->codes[17913] = 0x00007a7576252c6aUL;
   tf->codes[17914] = 0x00007a7c8d76df45UL;
   tf->codes[17915] = 0x00007a85b3cfc60dUL;
   tf->codes[17916] = 0x00007a8872840b49UL;
   tf->codes[17917] = 0x00007a8922311c98UL;
   tf->codes[17918] = 0x00007a9f52624c3dUL;
   tf->codes[17919] = 0x00007a9f8cf15202UL;
   tf->codes[17920] = 0x00007aa669b3ff18UL;
   tf->codes[17921] = 0x00007ab8f0f4d26dUL;
   tf->codes[17922] = 0x00007abbafa917a9UL;
   tf->codes[17923] = 0x00007acdfc5ae539UL;
   tf->codes[17924] = 0x00007ad1dfda474eUL;
   tf->codes[17925] = 0x00007ad63877b4edUL;
   tf->codes[17926] = 0x00007ad8f72bfa29UL;
   tf->codes[17927] = 0x00007b32679dca0cUL;
   tf->codes[17928] = 0x00007b4404a2864dUL;
   tf->codes[17929] = 0x00007b51f8b6e63eUL;
   tf->codes[17930] = 0x00007b55dc364853UL;
   tf->codes[17931] = 0x00007b6b5cba66a9UL;
   tf->codes[17932] = 0x00007b95e8a497cbUL;
   tf->codes[17933] = 0x00007ba5b13125e4UL;
   tf->codes[17934] = 0x00007bc5b7684da0UL;
   tf->codes[17935] = 0x00007bca1005bb3fUL;
   tf->codes[17936] = 0x00007be04036eae4UL;
   tf->codes[17937] = 0x00007bf54b9cfdb0UL;
   tf->codes[17938] = 0x00007c1dc87ffae5UL;
   tf->codes[17939] = 0x00007c32995707ecUL;
   tf->codes[17940] = 0x00007c69f48a7c26UL;
   tf->codes[17941] = 0x00007cb1c7f78fc8UL;
   tf->codes[17942] = 0x00007cb5e605f7a2UL;
   tf->codes[17943] = 0x00007d0b38695fabUL;
   tf->codes[17944] = 0x00007d6bfabbe82eUL;
   tf->codes[17945] = 0x00007dd4497e2f16UL;
   tf->codes[17946] = 0x00007dd708327452UL;
   tf->codes[17947] = 0x00007debd9098159UL;
   tf->codes[17948] = 0x00007e0aba758c3cUL;
   tf->codes[17949] = 0x00007e48082f9678UL;
   tf->codes[17950] = 0x00007ea178a1665bUL;
   tf->codes[17951] = 0x00007ef028d12713UL;
   tf->codes[17952] = 0x00007ef74022d9eeUL;
   tf->codes[17953] = 0x00007f1bd986750eUL;
   tf->codes[17954] = 0x00007f2b6783fd62UL;
   tf->codes[17955] = 0x00007f3a45d47467UL;
   tf->codes[17956] = 0x00007f5cd030db9aUL;
   tf->codes[17957] = 0x00007f8aca7c6347UL;
   tf->codes[17958] = 0x00007fdcae7e74c5UL;
   tf->codes[17959] = 0x00007fe7a94f89b5UL;
   tf->codes[17960] = 0x00007fffadf8e782UL;
   tf->codes[17961] = 0x00008001f78f2134UL;
   tf->codes[17962] = 0x0000803f45492b70UL;
   tf->codes[17963] = 0x000080465c9ade4bUL;
   tf->codes[17964] = 0x00008070e8850f6dUL;
   tf->codes[17965] = 0x00008076a07c9faaUL;
   tf->codes[17966] = 0x00008097cb7ee43fUL;
   tf->codes[17967] = 0x000080c2cc8720ebUL;
   tf->codes[17968] = 0x000080d25a84a93fUL;
   tf->codes[17969] = 0x000081029e666a9eUL;
   tf->codes[17970] = 0x0000810e48e490ddUL;
   tf->codes[17971] = 0x00008112a181fe7cUL;
   tf->codes[17972] = 0x00008113c64d1b55UL;
   tf->codes[17973] = 0x0000811b8d4bdf7fUL;
   tf->codes[17974] = 0x00008126c2abfa34UL;
   tf->codes[17975] = 0x000081435a81cb65UL;
   tf->codes[17976] = 0x0000814b21808f8fUL;
   tf->codes[17977] = 0x0000814f7a1dfd2eUL;
   tf->codes[17978] = 0x00008153d2bb6acdUL;
   tf->codes[17979] = 0x0000815ecd8c7fbdUL;
   tf->codes[17980] = 0x0000815fb7c896d1UL;
   tf->codes[17981] = 0x0000819d4011a6d2UL;
   tf->codes[17982] = 0x000081aa49e9efafUL;
   tf->codes[17983] = 0x000081d16772ca46UL;
   tf->codes[17984] = 0x000081d66fbd4934UL;
   tf->codes[17985] = 0x000081e96c1c2813UL;
   tf->codes[17986] = 0x0000822f6b110d8dUL;
   tf->codes[17987] = 0x000082317a18417aUL;
   tf->codes[17988] = 0x000082355d97a38fUL;
   tf->codes[17989] = 0x000082359826a954UL;
   tf->codes[17990] = 0x0000823d249667b9UL;
   tf->codes[17991] = 0x0000823d5f256d7eUL;
   tf->codes[17992] = 0x00008256137bdc9aUL;
   tf->codes[17993] = 0x0000826e18253a67UL;
   tf->codes[17994] = 0x000082714bf78b2dUL;
   tf->codes[17995] = 0x000082b48c382b6bUL;
   tf->codes[17996] = 0x000082c5eeade1e7UL;
   tf->codes[17997] = 0x000082d7c641a3edUL;
   tf->codes[17998] = 0x00008305c08d2b9aUL;
   tf->codes[17999] = 0x0000833d1bc09fd4UL;
   tf->codes[18000] = 0x0000834139cf07aeUL;
   tf->codes[18001] = 0x00008344a8305e39UL;
   tf->codes[18002] = 0x00008351b208a716UL;
   tf->codes[18003] = 0x00008368cc75edcfUL;
   tf->codes[18004] = 0x00008374b18319d3UL;
   tf->codes[18005] = 0x000083785a737623UL;
   tf->codes[18006] = 0x0000837895027be8UL;
   tf->codes[18007] = 0x000083968c326fb7UL;
   tf->codes[18008] = 0x000083d9cc730ff5UL;
   tf->codes[18009] = 0x00008406a1f37ac9UL;
   tf->codes[18010] = 0x000084124c71a108UL;
   tf->codes[18011] = 0x0000843dc297e93eUL;
   tf->codes[18012] = 0x000084776761972aUL;
   tf->codes[18013] = 0x000084bd2bc776dfUL;
   tf->codes[18014] = 0x000084e9c6b8dbeeUL;
   tf->codes[18015] = 0x000084f4c189f0deUL;
   tf->codes[18016] = 0x00008500e12622a7UL;
   tf->codes[18017] = 0x000085070e3bbe6eUL;
   tf->codes[18018] = 0x0000850f0fc9885dUL;
   tf->codes[18019] = 0x0000852d7c1787b6UL;
   tf->codes[18020] = 0x00008542877d9a82UL;
   tf->codes[18021] = 0x0000855f59e27178UL;
   tf->codes[18022] = 0x00008563b27fdf17UL;
   tf->codes[18023] = 0x00008565c1871304UL;
   tf->codes[18024] = 0x00008566abc32a18UL;
   tf->codes[18025] = 0x00008580fa02c197UL;
   tf->codes[18026] = 0x000085834398fb49UL;
   tf->codes[18027] = 0x00008590fd1e5575UL;
   tf->codes[18028] = 0x000085eec62d92f7UL;
   tf->codes[18029] = 0x000085fcba41f2e8UL;
   tf->codes[18030] = 0x00008605e09ad9b0UL;
   tf->codes[18031] = 0x0000862362acc1f5UL;
   tf->codes[18032] = 0x000086453d5c17d9UL;
   tf->codes[18033] = 0x00008657c49ceb2eUL;
   tf->codes[18034] = 0x0000867dbd5aa8ecUL;
   tf->codes[18035] = 0x000086a0824615e4UL;
   tf->codes[18036] = 0x000086ab7d172ad4UL;
   tf->codes[18037] = 0x000086d4a9a73958UL;
   tf->codes[18038] = 0x000086d4e4363f1dUL;
   tf->codes[18039] = 0x000087043ddbe968UL;
   tf->codes[18040] = 0x000087085bea5142UL;
   tf->codes[18041] = 0x0000870980b56e1bUL;
   tf->codes[18042] = 0x0000872409840b5fUL;
   tf->codes[18043] = 0x0000872911ce8a4dUL;
   tf->codes[18044] = 0x00008780e85731cdUL;
   tf->codes[18045] = 0x0000878122e63792UL;
   tf->codes[18046] = 0x0000878456b88858UL;
   tf->codes[18047] = 0x000087954410334aUL;
   tf->codes[18048] = 0x000087aee2a2b97aUL;
   tf->codes[18049] = 0x000087c6722e0bbdUL;
   tf->codes[18050] = 0x000087c846a639e5UL;
   tf->codes[18051] = 0x000087d132701ae8UL;
   tf->codes[18052] = 0x000087d6ea67ab25UL;
   tf->codes[18053] = 0x000088046f952748UL;
   tf->codes[18054] = 0x00008890e29cfdc6UL;
   tf->codes[18055] = 0x0000889db1e640deUL;
   tf->codes[18056] = 0x000088accac5bda8UL;
   tf->codes[18057] = 0x000088c8785f77c5UL;
   tf->codes[18058] = 0x000088e425f931e2UL;
   tf->codes[18059] = 0x000089184d5a5556UL;
   tf->codes[18060] = 0x0000895316ef201bUL;
   tf->codes[18061] = 0x00008959b922c76cUL;
   tf->codes[18062] = 0x000089752c2d7bc4UL;
   tf->codes[18063] = 0x0000897ddd685702UL;
   tf->codes[18064] = 0x000089c06dfbe5f1UL;
   tf->codes[18065] = 0x00008a49e7c0716eUL;
   tf->codes[18066] = 0x00008a634bc3f1d9UL;
   tf->codes[18067] = 0x00008a64e5ad1a3cUL;
   tf->codes[18068] = 0x00008a67def0653dUL;
   tf->codes[18069] = 0x00008a6f6b6023a2UL;
   tf->codes[18070] = 0x00008aaae4a1ffb6UL;
   tf->codes[18071] = 0x00008ab3d06be0b9UL;
   tf->codes[18072] = 0x00008af2f29e191dUL;
   tf->codes[18073] = 0x00008b3a8b7c26faUL;
   tf->codes[18074] = 0x00008b41dd5cdf9aUL;
   tf->codes[18075] = 0x00008b98c9a97006UL;
   tf->codes[18076] = 0x00008ba29faf681dUL;
   tf->codes[18077] = 0x00008bb6fb68699aUL;
   tf->codes[18078] = 0x00008bdec89e5580UL;
   tf->codes[18079] = 0x00008c63e9c5735eUL;
   tf->codes[18080] = 0x00008c7fd1ee3340UL;
   tf->codes[18081] = 0x00008cab0d8575b1UL;
   tf->codes[18082] = 0x00008d0a707ddb96UL;
   tf->codes[18083] = 0x00008d19895d5860UL;
   tf->codes[18084] = 0x00008d3fbcaa1be3UL;
   tf->codes[18085] = 0x00008d5243eaef38UL;
   tf->codes[18086] = 0x00008d66da32f67aUL;
   tf->codes[18087] = 0x00008d883fc440d4UL;
   tf->codes[18088] = 0x00008dc42e242872UL;
   tf->codes[18089] = 0x00008dc811a38a87UL;
   tf->codes[18090] = 0x00008dcad057cfc3UL;
   tf->codes[18091] = 0x00008df97a5068bfUL;
   tf->codes[18092] = 0x00008e1b1a70b8deUL;
   tf->codes[18093] = 0x00008e435cc4b04eUL;
   tf->codes[18094] = 0x00008e4aaea568eeUL;
   tf->codes[18095] = 0x00008e56ce419ab7UL;
   tf->codes[18096] = 0x00008e5f0a5e6a6bUL;
   tf->codes[18097] = 0x00008ebc5e4f9c63UL;
   tf->codes[18098] = 0x00008ec4254e608dUL;
   tf->codes[18099] = 0x00008ec8b87ad3f1UL;
   tf->codes[18100] = 0x00008ef1aa7bdcb0UL;
   tf->codes[18101] = 0x00008f151f145af7UL;
   tf->codes[18102] = 0x00008f4946757e6bUL;
   tf->codes[18103] = 0x00008f61108fd673UL;
   tf->codes[18104] = 0x00008f965cbc16c0UL;
   tf->codes[18105] = 0x00008fa65fd7aa9eUL;
   tf->codes[18106] = 0x00008fd9d78bbcc3UL;
   tf->codes[18107] = 0x00009018bf2eef62UL;
   tf->codes[18108] = 0x000090217069caa0UL;
   tf->codes[18109] = 0x0000902469ad15a1UL;
   tf->codes[18110] = 0x00009029ac869a54UL;
   tf->codes[18111] = 0x0000902f29ef24ccUL;
   tf->codes[18112] = 0x00009058cb9d3edaUL;
   tf->codes[18113] = 0x00009081830f41d4UL;
   tf->codes[18114] = 0x00009095dec84351UL;
   tf->codes[18115] = 0x000090be963a464bUL;
   tf->codes[18116] = 0x000090d06dce0851UL;
   tf->codes[18117] = 0x000090d71001afa2UL;
   tf->codes[18118] = 0x0000912510845f0bUL;
   tf->codes[18119] = 0x00009164e263a8beUL;
   tf->codes[18120] = 0x000091831422a252UL;
   tf->codes[18121] = 0x000091bcb8ec503eUL;
   tf->codes[18122] = 0x000091d2ae8e7a1eUL;
   tf->codes[18123] = 0x0000920a4450f41dUL;
   tf->codes[18124] = 0x0000921db5cdde86UL;
   tf->codes[18125] = 0x00009233e5ff0e2bUL;
   tf->codes[18126] = 0x00009243ae8b9c44UL;
   tf->codes[18127] = 0x0000928ce152d284UL;
   tf->codes[18128] = 0x000092c17dd20182UL;
   tf->codes[18129] = 0x000092edde3460ccUL;
   tf->codes[18130] = 0x000092f56aa41f31UL;
   tf->codes[18131] = 0x0000933e9d6b5571UL;
   tf->codes[18132] = 0x0000933f128960fbUL;
   tf->codes[18133] = 0x0000936b385cba80UL;
   tf->codes[18134] = 0x00009373af088ff9UL;
   tf->codes[18135] = 0x000093ff72635528UL;
   tf->codes[18136] = 0x0000945957f33095UL;
   tf->codes[18137] = 0x0000945d00e38ce5UL;
   tf->codes[18138] = 0x0000948f193d7c6cUL;
   tf->codes[18139] = 0x000094c5c4c3df57UL;
   tf->codes[18140] = 0x000094ce75feba95UL;
   tf->codes[18141] = 0x000094f175792d52UL;
   tf->codes[18142] = 0x00009526871667daUL;
   tf->codes[18143] = 0x0000956b26b12ab6UL;
   tf->codes[18144] = 0x0000959e9e653cdbUL;
   tf->codes[18145] = 0x0000961172da8d29UL;
   tf->codes[18146] = 0x00009644ea8e9f4eUL;
   tf->codes[18147] = 0x0000965f38ce36cdUL;
   tf->codes[18148] = 0x000096661590e3e3UL;
   tf->codes[18149] = 0x0000966d67719c83UL;
   tf->codes[18150] = 0x0000967feeb26fd8UL;
   tf->codes[18151] = 0x000096a70c3b4a6fUL;
   tf->codes[18152] = 0x000096af82e71fe8UL;
   tf->codes[18153] = 0x000096bab8473a9dUL;
   tf->codes[18154] = 0x000096e4cf136035UL;
   tf->codes[18155] = 0x000096f004737aeaUL;
   tf->codes[18156] = 0x000097033b615f8eUL;
   tf->codes[18157] = 0x0000971637c03e6dUL;
   tf->codes[18158] = 0x00009720bd7347d3UL;
   tf->codes[18159] = 0x00009721a7af5ee7UL;
   tf->codes[18160] = 0x00009729341f1d4cUL;
   tf->codes[18161] = 0x0000973bf5eef666UL;
   tf->codes[18162] = 0x0000973d55491904UL;
   tf->codes[18163] = 0x000097a40a223789UL;
   tf->codes[18164] = 0x000097a7eda1999eUL;
   tf->codes[18165] = 0x0000981d463c2963UL;
   tf->codes[18166] = 0x00009829daf666b6UL;
   tf->codes[18167] = 0x000098480cb5604aUL;
   tf->codes[18168] = 0x0000987e431db7abUL;
   tf->codes[18169] = 0x000098a3519f5e55UL;
   tf->codes[18170] = 0x000098b354baf233UL;
   tf->codes[18171] = 0x000098bd9fdef5d4UL;
   tf->codes[18172] = 0x000098df7a8e4bb8UL;
   tf->codes[18173] = 0x000098eaea7d6c32UL;
   tf->codes[18174] = 0x000098eb5f9b77bcUL;
   tf->codes[18175] = 0x0000992663bf4846UL;
   tf->codes[18176] = 0x0000994c21ee003fUL;
   tf->codes[18177] = 0x0000994dbbd728a2UL;
   tf->codes[18178] = 0x0000995791dd20b9UL;
   tf->codes[18179] = 0x00009962c73d3b6eUL;
   tf->codes[18180] = 0x000099867664bf7aUL;
   tf->codes[18181] = 0x000099cef97ee46bUL;
   tf->codes[18182] = 0x000099eb9154b59cUL;
   tf->codes[18183] = 0x000099fb59e143b5UL;
   tf->codes[18184] = 0x00009a02abc1fc55UL;
   tf->codes[18185] = 0x00009a161d3ee6beUL;
   tf->codes[18186] = 0x00009a18dbf32bfaUL;
   tf->codes[18187] = 0x00009a2e21e8448bUL;
   tf->codes[18188] = 0x00009a453c558b44UL;
   tf->codes[18189] = 0x00009a4af44d1b81UL;
   tf->codes[18190] = 0x00009a53a587f6bfUL;
   tf->codes[18191] = 0x00009a6b6fa24ec7UL;
   tf->codes[18192] = 0x00009aa798913c2aUL;
   tf->codes[18193] = 0x00009ac63f6e4148UL;
   tf->codes[18194] = 0x00009aca980baee7UL;
   tf->codes[18195] = 0x00009ad1af5d61c2UL;
   tf->codes[18196] = 0x00009add59db8801UL;
   tf->codes[18197] = 0x00009af97c934da8UL;
   tf->codes[18198] = 0x00009afebf6cd25bUL;
   tf->codes[18199] = 0x00009b252d489ba3UL;
   tf->codes[18200] = 0x00009b85055f0d12UL;
   tf->codes[18201] = 0x00009bcf5cf1602bUL;
   tf->codes[18202] = 0x00009bde75d0dcf5UL;
   tf->codes[18203] = 0x00009c3611ca7eb0UL;
   tf->codes[18204] = 0x00009c51bf6438cdUL;
   tf->codes[18205] = 0x00009c556854951dUL;
   tf->codes[18206] = 0x00009c823dd4fff1UL;
   tf->codes[18207] = 0x00009cc0b05a2706UL;
   tf->codes[18208] = 0x00009cdd482ff837UL;
   tf->codes[18209] = 0x00009ce3afd499c3UL;
   tf->codes[18210] = 0x00009d4a9f3cbe0dUL;
   tf->codes[18211] = 0x00009d6b1a91f153UL;
   tf->codes[18212] = 0x00009d7b583c8af6UL;
   tf->codes[18213] = 0x00009dbfbd48480dUL;
   tf->codes[18214] = 0x00009ddf88f06a04UL;
   tf->codes[18215] = 0x00009de1d286a3b6UL;
   tf->codes[18216] = 0x00009dfdf53e695dUL;
   tf->codes[18217] = 0x00009e207f9ad090UL;
   tf->codes[18218] = 0x00009e36ea5b05faUL;
   tf->codes[18219] = 0x00009e37d4971d0eUL;
   tf->codes[18220] = 0x00009e3e3c3bbe9aUL;
   tf->codes[18221] = 0x00009e7a652aabfdUL;
   tf->codes[18222] = 0x00009ecf07e102b7UL;
   tf->codes[18223] = 0x00009f124821a2f5UL;
   tf->codes[18224] = 0x00009f25b99e8d5eUL;
   tf->codes[18225] = 0x00009f2718f8affcUL;
   tf->codes[18226] = 0x00009f43763f7b68UL;
   tf->codes[18227] = 0x00009f59a670ab0dUL;
   tf->codes[18228] = 0x00009f5fd38646d4UL;
   tf->codes[18229] = 0x00009f6bf322789dUL;
   tf->codes[18230] = 0x00009f734503313dUL;
   tf->codes[18231] = 0x00009f7a5c54e418UL;
   tf->codes[18232] = 0x00009f7a96e3e9ddUL;
   tf->codes[18233] = 0x00009f7ca5eb1dcaUL;
   tf->codes[18234] = 0x00009f9d21405110UL;
   tf->codes[18235] = 0x00009faaa036a577UL;
   tf->codes[18236] = 0x00009fbfe62bbe08UL;
   tf->codes[18237] = 0x0000a0616499a752UL;
   tf->codes[18238] = 0x0000a065f7c61ab6UL;
   tf->codes[18239] = 0x0000a069db457ccbUL;
   tf->codes[18240] = 0x0000a0d4739dfd65UL;
   tf->codes[18241] = 0x0000a0ddd485e9f2UL;
   tf->codes[18242] = 0x0000a0f59ea041faUL;
   tf->codes[18243] = 0x0000a0f947909e4aUL;
   tf->codes[18244] = 0x0000a0fcb5f1f4d5UL;
   tf->codes[18245] = 0x0000a1223991a709UL;
   tf->codes[18246] = 0x0000a188794cba04UL;
   tf->codes[18247] = 0x0000a1beea44172aUL;
   tf->codes[18248] = 0x0000a1c3f28e9618UL;
   tf->codes[18249] = 0x0000a1cc2eab65ccUL;
   tf->codes[18250] = 0x0000a1e6425bf786UL;
   tf->codes[18251] = 0x0000a1f97949dc2aUL;
   tf->codes[18252] = 0x0000a236c703e666UL;
   tf->codes[18253] = 0x0000a2739f9fe518UL;
   tf->codes[18254] = 0x0000a27b2c0fa37dUL;
   tf->codes[18255] = 0x0000a2adf416a453UL;
   tf->codes[18256] = 0x0000a2cf59a7eeadUL;
   tf->codes[18257] = 0x0000a311afac77d7UL;
   tf->codes[18258] = 0x0000a324ac0b56b6UL;
   tf->codes[18259] = 0x0000a34dd89b653aUL;
   tf->codes[18260] = 0x0000a34fad139362UL;
   tf->codes[18261] = 0x0000a37ecc2a37e8UL;
   tf->codes[18262] = 0x0000a39278362816UL;
   tf->codes[18263] = 0x0000a3ba456c13fcUL;
   tf->codes[18264] = 0x0000a3baf519254bUL;
   tf->codes[18265] = 0x0000a3c36bc4fac4UL;
   tf->codes[18266] = 0x0000a3ebae18f234UL;
   tf->codes[18267] = 0x0000a445ce37d366UL;
   tf->codes[18268] = 0x0000a4472d91f604UL;
   tf->codes[18269] = 0x0000a466beab1236UL;
   tf->codes[18270] = 0x0000a4697d5f5772UL;
   tf->codes[18271] = 0x0000a4ea0b5a01ecUL;
   tf->codes[18272] = 0x0000a4ec54f03b9eUL;
   tf->codes[18273] = 0x0000a4f8e9aa78f1UL;
   tf->codes[18274] = 0x0000a4fdb765f21aUL;
   tf->codes[18275] = 0x0000a528f2fd348bUL;
   tf->codes[18276] = 0x0000a530f48afe7aUL;
   tf->codes[18277] = 0x0000a556b2b9b673UL;
   tf->codes[18278] = 0x0000a5abca8e18b7UL;
   tf->codes[18279] = 0x0000a5df42422adcUL;
   tf->codes[18280] = 0x0000a5e116ba5904UL;
   tf->codes[18281] = 0x0000a5e9c7f53442UL;
   tf->codes[18282] = 0x0000a60fc0b2f200UL;
   tf->codes[18283] = 0x0000a6220d64bf90UL;
   tf->codes[18284] = 0x0000a627ffeb5592UL;
   tf->codes[18285] = 0x0000a63a4c9d2322UL;
   tf->codes[18286] = 0x0000a643ad850fafUL;
   tf->codes[18287] = 0x0000a679344055c1UL;
   tf->codes[18288] = 0x0000a67a590b729aUL;
   tf->codes[18289] = 0x0000a67ace297e24UL;
   tf->codes[18290] = 0x0000a6e94a0160d3UL;
   tf->codes[18291] = 0x0000a772fe54f215UL;
   tf->codes[18292] = 0x0000a77547eb2bc7UL;
   tf->codes[18293] = 0x0000a780082d3af2UL;
   tf->codes[18294] = 0x0000a78a18c238ceUL;
   tf->codes[18295] = 0x0000a7bad1c205b7UL;
   tf->codes[18296] = 0x0000a854c3c0309cUL;
   tf->codes[18297] = 0x0000a88ea318e44dUL;
   tf->codes[18298] = 0x0000a8d3f260b878UL;
   tf->codes[18299] = 0x0000a901b21d3a60UL;
   tf->codes[18300] = 0x0000a9390d50ae9aUL;
   tf->codes[18301] = 0x0000a943cd92bdc5UL;
   tf->codes[18302] = 0x0000a9a196a1fb47UL;
   tf->codes[18303] = 0x0000a9a95da0bf71UL;
   tf->codes[18304] = 0x0000a9b8eb9e47c5UL;
   tf->codes[18305] = 0x0000a9c66a949c2cUL;
   tf->codes[18306] = 0x0000a9cb38501555UL;
   tf->codes[18307] = 0x0000a9cfcb7c88b9UL;
   tf->codes[18308] = 0x0000a9eb3e873d11UL;
   tf->codes[18309] = 0x0000aa3e47546b68UL;
   tf->codes[18310] = 0x0000aa414097b669UL;
   tf->codes[18311] = 0x0000aa5aa49b36d4UL;
   tf->codes[18312] = 0x0000aab48a2b1241UL;
   tf->codes[18313] = 0x0000aacdb39f8ce7UL;
   tf->codes[18314] = 0x0000aad4906239fdUL;
   tf->codes[18315] = 0x0000ab01a071aa96UL;
   tf->codes[18316] = 0x0000ab20bc6cbb3eUL;
   tf->codes[18317] = 0x0000ab23b5b0063fUL;
   tf->codes[18318] = 0x0000ab7e857bf8c0UL;
   tf->codes[18319] = 0x0000abaec95dba1fUL;
   tf->codes[18320] = 0x0000abc1c5bc98feUL;
   tf->codes[18321] = 0x0000abe7495c4b32UL;
   tf->codes[18322] = 0x0000abeffa972670UL;
   tf->codes[18323] = 0x0000abf159f1490eUL;
   tf->codes[18324] = 0x0000abf74c77df10UL;
   tf->codes[18325] = 0x0000abfd3efe7512UL;
   tf->codes[18326] = 0x0000ac3c26a1a7b1UL;
   tf->codes[18327] = 0x0000acff7fbee6dfUL;
   tf->codes[18328] = 0x0000ad0572457ce1UL;
   tf->codes[18329] = 0x0000ad39d435a61aUL;
   tf->codes[18330] = 0x0000ad4927a428a9UL;
   tf->codes[18331] = 0x0000ad584083a573UL;
   tf->codes[18332] = 0x0000ad61a16b9200UL;
   tf->codes[18333] = 0x0000ad6b02537e8dUL;
   tf->codes[18334] = 0x0000ad7428ac6555UL;
   tf->codes[18335] = 0x0000ad9a216a2313UL;
   tf->codes[18336] = 0x0000ae270990051bUL;
   tf->codes[18337] = 0x0000ae2953263ecdUL;
   tf->codes[18338] = 0x0000ae40a8228b4bUL;
   tf->codes[18339] = 0x0000ae599708002cUL;
   tf->codes[18340] = 0x0000ae5db5166806UL;
   tf->codes[18341] = 0x0000ae928c249cc9UL;
   tf->codes[18342] = 0x0000ae9eabc0ce92UL;
   tf->codes[18343] = 0x0000aea1df931f58UL;
   tf->codes[18344] = 0x0000aecbbbd03f2bUL;
   tf->codes[18345] = 0x0000aee1b172690bUL;
   tf->codes[18346] = 0x0000af076fa12104UL;
   tf->codes[18347] = 0x0000af0d6227b706UL;
   tf->codes[18348] = 0x0000af3e1b2783efUL;
   tf->codes[18349] = 0x0000af72f235b8b2UL;
   tf->codes[18350] = 0x0000afa495719cafUL;
   tf->codes[18351] = 0x0000afe049427e88UL;
   tf->codes[18352] = 0x0000afe1a89ca126UL;
   tf->codes[18353] = 0x0000afe307f6c3c4UL;
   tf->codes[18354] = 0x0000afe9aa2a6b15UL;
   tf->codes[18355] = 0x0000b00b84d9c0f9UL;
   tf->codes[18356] = 0x0000b0229f4707b2UL;
   tf->codes[18357] = 0x0000b048d293cb35UL;
   tf->codes[18358] = 0x0000b0691359f8b6UL;
   tf->codes[18359] = 0x0000b105c40c68d7UL;
   tf->codes[18360] = 0x0000b1a39989f5d1UL;
   tf->codes[18361] = 0x0000b1a707eb4c5cUL;
   tf->codes[18362] = 0x0000b1b5368eb212UL;
   tf->codes[18363] = 0x0000b1bd72ab81c6UL;
   tf->codes[18364] = 0x0000b1c44f6e2edcUL;
   tf->codes[18365] = 0x0000b1fa10b87ab3UL;
   tf->codes[18366] = 0x0000b22795e5f6d6UL;
   tf->codes[18367] = 0x0000b22a549a3c12UL;
   tf->codes[18368] = 0x0000b238833da1c8UL;
   tf->codes[18369] = 0x0000b249ab24527fUL;
   tf->codes[18370] = 0x0000b24a95606993UL;
   tf->codes[18371] = 0x0000b25e7bfb5f86UL;
   tf->codes[18372] = 0x0000b29b54975e38UL;
   tf->codes[18373] = 0x0000b2b14a398818UL;
   tf->codes[18374] = 0x0000b2bc450a9d08UL;
   tf->codes[18375] = 0x0000b2c40c096132UL;
   tf->codes[18376] = 0x0000b2e7f5bfeb03UL;
   tf->codes[18377] = 0x0000b31a0e19da8aUL;
   tf->codes[18378] = 0x0000b339d9c1fc81UL;
   tf->codes[18379] = 0x0000b34fcf642661UL;
   tf->codes[18380] = 0x0000b3751874d2d0UL;
   tf->codes[18381] = 0x0000b3a0540c1541UL;
   tf->codes[18382] = 0x0000b3a6f63fbc92UL;
   tf->codes[18383] = 0x0000b3d565a94fc9UL;
   tf->codes[18384] = 0x0000b3de8c023691UL;
   tf->codes[18385] = 0x0000b4712c1fa8d6UL;
   tf->codes[18386] = 0x0000b473b044e84dUL;
   tf->codes[18387] = 0x0000b5156941d75cUL;
   tf->codes[18388] = 0x0000b547f6b9d26dUL;
   tf->codes[18389] = 0x0000b568720f05b3UL;
   tf->codes[18390] = 0x0000b5bf5e5b961fUL;
   tf->codes[18391] = 0x0000b5d812b2053bUL;
   tf->codes[18392] = 0x0000b606f739a3fcUL;
   tf->codes[18393] = 0x0000b619f39882dbUL;
   tf->codes[18394] = 0x0000b641c0ce6ec1UL;
   tf->codes[18395] = 0x0000b69ccb296707UL;
   tf->codes[18396] = 0x0000b6a6dbbe64e3UL;
   tf->codes[18397] = 0x0000b6c50d7d5e77UL;
   tf->codes[18398] = 0x0000b6c9a0a9d1dbUL;
   tf->codes[18399] = 0x0000b6f00e859b23UL;
   tf->codes[18400] = 0x0000b70b0c7243f1UL;
   tf->codes[18401] = 0x0000b719b033b531UL;
   tf->codes[18402] = 0x0000b737a763a900UL;
   tf->codes[18403] = 0x0000b7452659fd67UL;
   tf->codes[18404] = 0x0000b76825d47024UL;
   tf->codes[18405] = 0x0000b78a3b12cbcdUL;
   tf->codes[18406] = 0x0000b7a2052d23d5UL;
   tf->codes[18407] = 0x0000b7a7bd24b412UL;
   tf->codes[18408] = 0x0000b7d6a1ac52d3UL;
   tf->codes[18409] = 0x0000b7e2fbd78a61UL;
   tf->codes[18410] = 0x0000b81d15bf43d7UL;
   tf->codes[18411] = 0x0000b8634f432f16UL;
   tf->codes[18412] = 0x0000b86aa123e7b6UL;
   tf->codes[18413] = 0x0000b86f34505b1aUL;
   tf->codes[18414] = 0x0000b876863113baUL;
   tf->codes[18415] = 0x0000b895a22c2462UL;
   tf->codes[18416] = 0x0000b910b2be4464UL;
   tf->codes[18417] = 0x0000b924d3e8401cUL;
   tf->codes[18418] = 0x0000b976083d404bUL;
   tf->codes[18419] = 0x0000b9a6118ffbe5UL;
   tf->codes[18420] = 0x0000b9f02e934939UL;
   tf->codes[18421] = 0x0000b9f2782982ebUL;
   tf->codes[18422] = 0x0000ba85c7f4067fUL;
   tf->codes[18423] = 0x0000ba8cdf45b95aUL;
   tf->codes[18424] = 0x0000badfad83e1ecUL;
   tf->codes[18425] = 0x0000bae4b5ce60daUL;
   tf->codes[18426] = 0x0000bb18681178c4UL;
   tf->codes[18427] = 0x0000bb4ba5368524UL;
   tf->codes[18428] = 0x0000bb88b861899bUL;
   tf->codes[18429] = 0x0000bbb63d8f05beUL;
   tf->codes[18430] = 0x0000bc4a027794dcUL;
   tf->codes[18431] = 0x0000bc64c5d537e5UL;
   tf->codes[18432] = 0x0000bca24e1e47e6UL;
   tf->codes[18433] = 0x0000bcafcd149c4dUL;
   tf->codes[18434] = 0x0000bcb759845ab2UL;
   tf->codes[18435] = 0x0000bd68db0dd7daUL;
   tf->codes[18436] = 0x0000bd7c4c8ac243UL;
   tf->codes[18437] = 0x0000bd8572e3a90bUL;
   tf->codes[18438] = 0x0000bd87f708e882UL;
   tf->codes[18439] = 0x0000bd9416a51a4bUL;
   tf->codes[18440] = 0x0000bd9d778d06d8UL;
   tf->codes[18441] = 0x0000bdb92526c0f5UL;
   tf->codes[18442] = 0x0000bdd79174c04eUL;
   tf->codes[18443] = 0x0000be5b5341bb8eUL;
   tf->codes[18444] = 0x0000be5b8dd0c153UL;
   tf->codes[18445] = 0x0000be91148c0765UL;
   tf->codes[18446] = 0x0000bec5767c309eUL;
   tf->codes[18447] = 0x0000becffc2f3a04UL;
   tf->codes[18448] = 0x0000bed41a3da1deUL;
   tf->codes[18449] = 0x0000bef2c11aa6fcUL;
   tf->codes[18450] = 0x0000bef3e5e5c3d5UL;
   tf->codes[18451] = 0x0000bf22554f570cUL;
   tf->codes[18452] = 0x0000bf6261bda684UL;
   tf->codes[18453] = 0x0000bf75d33a90edUL;
   tf->codes[18454] = 0x0000bf85d65624cbUL;
   tf->codes[18455] = 0x0000bfdfbbe60038UL;
   tf->codes[18456] = 0x0000bfe3d9f46812UL;
   tf->codes[18457] = 0x0000c01a105cbf73UL;
   tf->codes[18458] = 0x0000c01b6fb6e211UL;
   tf->codes[18459] = 0x0000c055c42da14cUL;
   tf->codes[18460] = 0x0000c06b44b1bfa2UL;
   tf->codes[18461] = 0x0000c0c982df08aeUL;
   tf->codes[18462] = 0x0000c18305f64fc5UL;
   tf->codes[18463] = 0x0000c186e975b1daUL;
   tf->codes[18464] = 0x0000c1a59052b6f8UL;
   tf->codes[18465] = 0x0000c1c680c5f5c8UL;
   tf->codes[18466] = 0x0000c1f1bc5d3839UL;
   tf->codes[18467] = 0x0000c1f68a18b162UL;
   tf->codes[18468] = 0x0000c2bca1ea35ccUL;
   tf->codes[18469] = 0x0000c2fa2a3345cdUL;
   tf->codes[18470] = 0x0000c332e4c0dca5UL;
   tf->codes[18471] = 0x0000c3644d6dbaddUL;
   tf->codes[18472] = 0x0000c372f12f2c1dUL;
   tf->codes[18473] = 0x0000c3c87e2199ebUL;
   tf->codes[18474] = 0x0000c3eb7d9c0ca8UL;
   tf->codes[18475] = 0x0000c40138af30c3UL;
   tf->codes[18476] = 0x0000c43fab3457d8UL;
   tf->codes[18477] = 0x0000c46110c5a232UL;
   tf->codes[18478] = 0x0000c51600b075e5UL;
   tf->codes[18479] = 0x0000c6099daf7672UL;
   tf->codes[18480] = 0x0000c63ca0457d0dUL;
   tf->codes[18481] = 0x0000c65295e7a6edUL;
   tf->codes[18482] = 0x0000c79a25efece5UL;
   tf->codes[18483] = 0x0000c7bef9e28dcaUL;
   tf->codes[18484] = 0x0000cacfccb8e10dUL;
   tf->codes[18485] = 0x0000cc45919bb477UL;
   tf->codes[18486] = 0x0000cc7943decc61UL;
   tf->codes[18487] = 0x0000cca35aaaf1f9UL;
   tf->codes[18488] = 0x0000ccc65a2564b6UL;
   tf->codes[18489] = 0x0000cd4a91106b80UL;
   tf->codes[18490] = 0x0000cd8c3767e35bUL;
   tf->codes[18491] = 0x0000cdc6514f9cd1UL;
   tf->codes[18492] = 0x0000cdd9131f75ebUL;
   tf->codes[18493] = 0x0000cde4f82ca1efUL;
   tf->codes[18494] = 0x0000cdecf9ba6bdeUL;
   tf->codes[18495] = 0x0000ce0d3a80995fUL;
   tf->codes[18496] = 0x0000cf83e99f83ddUL;
   tf->codes[18497] = 0x0000cfc67a3312ccUL;
   tf->codes[18498] = 0x0000d0314d1a992bUL;
   tf->codes[18499] = 0x0000d31ee5e773ecUL;
   tf->codes[18500] = 0x0000d3729e61b392UL;
   tf->codes[18501] = 0x0000d3864a6da3c0UL;
   tf->codes[18502] = 0x0000d3b619315995UL;
   tf->codes[18503] = 0x0000d419251a1bcaUL;
   tf->codes[18504] = 0x0000d4cfe97d1da5UL;
   tf->codes[18505] = 0x0000d5d6bd6a02d6UL;
   tf->codes[18506] = 0x0000d5e90a1bd066UL;
   tf->codes[18507] = 0x0000d6114c6fc7d6UL;
   tf->codes[18508] = 0x0000d6e7a1ebe5e3UL;
   tf->codes[18509] = 0x0000d7389bb1e04dUL;
   tf->codes[18510] = 0x0000d73fb3039328UL;
   tf->codes[18511] = 0x0000d776d3a8019dUL;
   tf->codes[18512] = 0x0000d7f6b1f59ac8UL;
   tf->codes[18513] = 0x0000d86c0a902a8dUL;
   tf->codes[18514] = 0x0000d92727909a07UL;
   tf->codes[18515] = 0x0000d984f09fd789UL;
   tf->codes[18516] = 0x0000d9a113579d30UL;
   tf->codes[18517] = 0x0000d9bc4bd34bc3UL;
   tf->codes[18518] = 0x0000da558e246559UL;
   tf->codes[18519] = 0x0000dab7afd1107aUL;
   tf->codes[18520] = 0x0000dac52ec764e1UL;
   tf->codes[18521] = 0x0000db383dcbbaf4UL;
   tf->codes[18522] = 0x0000db3a8761f4a6UL;
   tf->codes[18523] = 0x0000db8887e4a40fUL;
   tf->codes[18524] = 0x0000dbdeff1328f1UL;
   tf->codes[18525] = 0x0000dc54923cbe7bUL;
   tf->codes[18526] = 0x0000dc692884c5bdUL;
   tf->codes[18527] = 0x0000dd3a75b664dcUL;
   tf->codes[18528] = 0x0000dd8b34ed5981UL;
   tf->codes[18529] = 0x0000dd978f18910fUL;
   tf->codes[18530] = 0x0000dddb09e83712UL;
   tf->codes[18531] = 0x0000de0520b45caaUL;
   tf->codes[18532] = 0x0000de16f8481eb0UL;
   tf->codes[18533] = 0x0000de8a7c6a804dUL;
   tf->codes[18534] = 0x0000decdf73a2650UL;
   tf->codes[18535] = 0x0000df0cdedd58efUL;
   tf->codes[18536] = 0x0000df3bfdf3fd75UL;
   tf->codes[18537] = 0x0000df49f2085d66UL;
   tf->codes[18538] = 0x0000df8e57141a7dUL;
   tf->codes[18539] = 0x0000dff9d9a8b22bUL;
   tf->codes[18540] = 0x0000e00a17534bceUL;
   tf->codes[18541] = 0x0000e03294364903UL;
   tf->codes[18542] = 0x0000e171e821bf47UL;
   tf->codes[18543] = 0x0000e19437ef20b5UL;
   tf->codes[18544] = 0x0000e1c10d6f8b89UL;
   tf->codes[18545] = 0x0000e1cfebc0028eUL;
   tf->codes[18546] = 0x0000e298fcd4d1f9UL;
   tf->codes[18547] = 0x0000e327b972e229UL;
   tf->codes[18548] = 0x0000e32c12104fc8UL;
   tf->codes[18549] = 0x0000e3e9b335feb9UL;
   tf->codes[18550] = 0x0000e48a0cd8cb2aUL;
   tf->codes[18551] = 0x0000e518c976db5aUL;
   tf->codes[18552] = 0x0000e543ca7f1806UL;
   tf->codes[18553] = 0x0000e57ecea2e890UL;
   tf->codes[18554] = 0x0000e5844c0b7308UL;
   tf->codes[18555] = 0x0000e5919072c1aaUL;
   tf->codes[18556] = 0x0000e5d6300d8486UL;
   tf->codes[18557] = 0x0000e5f1a31838deUL;
   tf->codes[18558] = 0x0000e7eb64570d4dUL;
   tf->codes[18559] = 0x0000e8a3fd323d50UL;
   tf->codes[18560] = 0x0000e8c9bb60f549UL;
   tf->codes[18561] = 0x0000e8d85f226689UL;
   tf->codes[18562] = 0x0000e901c6417ad2UL;
   tf->codes[18563] = 0x0000e90aec9a619aUL;
   tf->codes[18564] = 0x0000e924160edc40UL;
   tf->codes[18565] = 0x0000e925ea870a68UL;
   tf->codes[18566] = 0x0000e939d122005bUL;
   tf->codes[18567] = 0x0000e940e873b336UL;
   tf->codes[18568] = 0x0000eb6067e13f9eUL;
   tf->codes[18569] = 0x0000eb6aed944904UL;
   tf->codes[18570] = 0x0000eb7e99a03932UL;
   tf->codes[18571] = 0x0000eb7ed42f3ef7UL;
   tf->codes[18572] = 0x0000eb8959e2485dUL;
   tf->codes[18573] = 0x0000ebb0b1fa28b9UL;
   tf->codes[18574] = 0x0000ebd42692a700UL;
   tf->codes[18575] = 0x0000ec5e500443ccUL;
   tf->codes[18576] = 0x0000ec714c6322abUL;
   tf->codes[18577] = 0x0000ec7e90ca714dUL;
   tf->codes[18578] = 0x0000ed968c9e0735UL;
   tf->codes[18579] = 0x0000edcfbc49a997UL;
   tf->codes[18580] = 0x0000ede193dd6b9dUL;
   tf->codes[18581] = 0x0000edfba78dfd57UL;
   tf->codes[18582] = 0x0000ee3a54a22a31UL;
   tf->codes[18583] = 0x0000ee5134806b25UL;
   tf->codes[18584] = 0x0000ee6ef121592fUL;
   tf->codes[18585] = 0x0000ee9b8c12be3eUL;
   tf->codes[18586] = 0x0000ef94a67a4943UL;
   tf->codes[18587] = 0x0000efa9ec6f61d4UL;
   tf->codes[18588] = 0x0000effa711750b4UL;
   tf->codes[18589] = 0x0000f0da9c9966d8UL;
   tf->codes[18590] = 0x0000f10a6b5d1cadUL;
   tf->codes[18591] = 0x0000f10ec3fa8a4cUL;
   tf->codes[18592] = 0x0000f144fa62e1adUL;
   tf->codes[18593] = 0x0000f1583150c651UL;
   tf->codes[18594] = 0x0000f17120363b32UL;
   tf->codes[18595] = 0x0000f19be6af7219UL;
   tf->codes[18596] = 0x0000f19c5bcd7da3UL;
   tf->codes[18597] = 0x0000f2540a6c9692UL;
   tf->codes[18598] = 0x0000f2c78e8ef82fUL;
   tf->codes[18599] = 0x0000f2dcd48410c0UL;
   tf->codes[18600] = 0x0000f2f33f44462aUL;
   tf->codes[18601] = 0x0000f30083ab94ccUL;
   tf->codes[18602] = 0x0000f4ee9a6c42fcUL;
   tf->codes[18603] = 0x0000f503a5d255c8UL;
   tf->codes[18604] = 0x0000f541a3397153UL;
   tf->codes[18605] = 0x0000f54f222fc5baUL;
   tf->codes[18606] = 0x0000f5658ceffb24UL;
   tf->codes[18607] = 0x0000f587a22e56cdUL;
   tf->codes[18608] = 0x0000f5d7b1b83a23UL;
   tf->codes[18609] = 0x0000f63a0df3eb09UL;
   tf->codes[18610] = 0x0000f682567f0a35UL;
   tf->codes[18611] = 0x0000f7750941f3aeUL;
   tf->codes[18612] = 0x0000f7adfe5e904bUL;
   tf->codes[18613] = 0x0000f814edc6b495UL;
   tf->codes[18614] = 0x0000f89715aa8772UL;
   tf->codes[18615] = 0x0000f89c931311eaUL;
   tf->codes[18616] = 0x0000f8d88172f988UL;
   tf->codes[18617] = 0x0000f8fad1405af6UL;
   tf->codes[18618] = 0x0000f90223211396UL;
   tf->codes[18619] = 0x0000f936fa2f4859UL;
   tf->codes[18620] = 0x0000f93c3d08cd0cUL;
   tf->codes[18621] = 0x0000f93e4c1000f9UL;
   tf->codes[18622] = 0x0000f95c08b0ef03UL;
   tf->codes[18623] = 0x0000f97aaf8df421UL;
   tf->codes[18624] = 0x0000f9b3df399683UL;
   tf->codes[18625] = 0x0000f9cba953ee8bUL;
   tf->codes[18626] = 0x0000f9d2c0a5a166UL;
   tf->codes[18627] = 0x0000fa05138e96b2UL;
   tf->codes[18628] = 0x0000fa81837ad952UL;
   tf->codes[18629] = 0x0000fae53f10acd6UL;
   tf->codes[18630] = 0x0000fb84395956a9UL;
   tf->codes[18631] = 0x0000fb87a7baad34UL;
   tf->codes[18632] = 0x0000fb890714cfd2UL;
   tf->codes[18633] = 0x0000fbbe5341101fUL;
   tf->codes[18634] = 0x0000fbf2b5313958UL;
   tf->codes[18635] = 0x0000fc2e2e73156cUL;
   tf->codes[18636] = 0x0000fc5d12fab42dUL;
   tf->codes[18637] = 0x0000fc95cd884b05UL;
   tf->codes[18638] = 0x0000fcc2dd97bb9eUL;
   tf->codes[18639] = 0x0000fd1f474cd682UL;
   tf->codes[18640] = 0x0000fd5a4b70a70cUL;
   tf->codes[18641] = 0x0000fd5be559cf6fUL;
   tf->codes[18642] = 0x0000fd5ccf95e683UL;
   tf->codes[18643] = 0x0000fd91e133210bUL;
   tf->codes[18644] = 0x0000fde97d2cc2c6UL;
   tf->codes[18645] = 0x0000fe3cc088f6e2UL;
   tf->codes[18646] = 0x0000fe59585ec813UL;
   tf->codes[18647] = 0x0000fe7e2c5168f8UL;
   tf->codes[18648] = 0x0000fe7f511c85d1UL;
   tf->codes[18649] = 0x0000fe803b589ce5UL;
   tf->codes[18650] = 0x0000fe819ab2bf83UL;
   tf->codes[18651] = 0x0000fe87181b49fbUL;
   tf->codes[18652] = 0x0000feadc0861908UL;
   tf->codes[18653] = 0x0000feb58784dd32UL;
   tf->codes[18654] = 0x0000febd4e83a15cUL;
   tf->codes[18655] = 0x0000fee605f5a456UL;
   tf->codes[18656] = 0x0000ff3983e0de37UL;
   tf->codes[18657] = 0x0000ff3cf24234c2UL;
   tf->codes[18658] = 0x0000ff4026148588UL;
   tf->codes[18659] = 0x0000ff540caf7b7bUL;
   tf->codes[18660] = 0x0000ff556c099e19UL;
   tf->codes[18661] = 0x0000ffc1292d3b8cUL;
   tf->codes[18662] = 0x0000fffb0885ef3dUL;
   tf->codes[18663] = 0x000100251f5214d5UL;
   tf->codes[18664] = 0x0001003fe2afb7deUL;
   tf->codes[18665] = 0x0001006b936505d9UL;
   tf->codes[18666] = 0x000100956fa225acUL;
   tf->codes[18667] = 0x000100d3a79846fcUL;
   tf->codes[18668] = 0x000101501784899cUL;
   tf->codes[18669] = 0x0001016b1571326aUL;
   tf->codes[18670] = 0x000102f7ba3246c8UL;
   tf->codes[18671] = 0x0001032a8239479eUL;
   tf->codes[18672] = 0x00010383b81c11bcUL;
   tf->codes[18673] = 0x000103eb1ca24190UL;
   tf->codes[18674] = 0x0001042411bede2dUL;
   tf->codes[18675] = 0x00010425aba80690UL;
   tf->codes[18676] = 0x000104683c3b957fUL;
   tf->codes[18677] = 0x000104cc6cef748dUL;
   tf->codes[18678] = 0x00010525dd614470UL;
   tf->codes[18679] = 0x000105ea95d8a63cUL;
   tf->codes[18680] = 0x000106093cb5ab5aUL;
   tf->codes[18681] = 0x0001065fee733601UL;
   tf->codes[18682] = 0x00010669c4792e18UL;
   tf->codes[18683] = 0x0001071e04b6f07cUL;
   tf->codes[18684] = 0x00010741794f6ec3UL;
   tf->codes[18685] = 0x000107ed7d706173UL;
   tf->codes[18686] = 0x000108ae17d95b65UL;
   tf->codes[18687] = 0x000109a73240e66aUL;
   tf->codes[18688] = 0x000109b17d64ea0bUL;
   tf->codes[18689] = 0x00010a1ed471afe1UL;
   tf->codes[18690] = 0x00010a27108e7f95UL;
   tf->codes[18691] = 0x00010ad17ac649e2UL;
   tf->codes[18692] = 0x00010ae43c9622fcUL;
   tf->codes[18693] = 0x00010af9828b3b8dUL;
   tf->codes[18694] = 0x00010ba5118e22b3UL;
   tf->codes[18695] = 0x00010bc00f7acb81UL;
   tf->codes[18696] = 0x00010c5e94a569caUL;
   tf->codes[18697] = 0x00010cb8b4c44afcUL;
   tf->codes[18698] = 0x00010cceaa6674dcUL;
   tf->codes[18699] = 0x00010ce3061f7659UL;
   tf->codes[18700] = 0x00010cea58002ef9UL;
   tf->codes[18701] = 0x00010da45035819aUL;
   tf->codes[18702] = 0x00010e054d170fe2UL;
   tf->codes[18703] = 0x00010e1465f68cacUL;
   tf->codes[18704] = 0x00010e2a9627bc51UL;
   tf->codes[18705] = 0x00010e4016abdaa7UL;
   tf->codes[18706] = 0x00010e74037df856UL;
   tf->codes[18707] = 0x00010e74789c03e0UL;
   tf->codes[18708] = 0x00010e7fadfc1e95UL;
   tf->codes[18709] = 0x00010f354d940397UL;
   tf->codes[18710] = 0x00010f6b83fc5af8UL;
   tf->codes[18711] = 0x00010fdc83f97d1eUL;
   tf->codes[18712] = 0x0001101b6b9cafbdUL;
   tf->codes[18713] = 0x00011065889ffd11UL;
   tf->codes[18714] = 0x0001108519b91943UL;
   tf->codes[18715] = 0x000110a769867ab1UL;
   tf->codes[18716] = 0x000110ee52b7773fUL;
   tf->codes[18717] = 0x000110f703f2527dUL;
   tf->codes[18718] = 0x000110f9c2a697b9UL;
   tf->codes[18719] = 0x0001110d6eb287e7UL;
   tf->codes[18720] = 0x000111265d97fcc8UL;
   tf->codes[18721] = 0x000111a9aa46ec7eUL;
   tf->codes[18722] = 0x000111e52388c892UL;
   tf->codes[18723] = 0x0001122b979bb996UL;
   tf->codes[18724] = 0x00011238dc030838UL;
   tf->codes[18725] = 0x00011292c192e3a5UL;
   tf->codes[18726] = 0x00011365a8adab27UL;
   tf->codes[18727] = 0x000113a9d32a6279UL;
   tf->codes[18728] = 0x000114443a4698e8UL;
   tf->codes[18729] = 0x00011465da66e907UL;
   tf->codes[18730] = 0x000114685e8c287eUL;
   tf->codes[18731] = 0x000114e160171493UL;
   tf->codes[18732] = 0x00011502c5a85eedUL;
   tf->codes[18733] = 0x000115221c32755aUL;
   tf->codes[18734] = 0x0001156ef7ea07eaUL;
   tf->codes[18735] = 0x0001157c3c51568cUL;
   tf->codes[18736] = 0x0001159c7d17840dUL;
   tf->codes[18737] = 0x000115bcbdddb18eUL;
   tf->codes[18738] = 0x0001161d80303a11UL;
   tf->codes[18739] = 0x0001164dc411fb70UL;
   tf->codes[18740] = 0x000117227fa4f11aUL;
   tf->codes[18741] = 0x00011727fd0d7b92UL;
   tf->codes[18742] = 0x000117315df5681fUL;
   tf->codes[18743] = 0x0001173f8c98cdd5UL;
   tf->codes[18744] = 0x000117671f3fb3f6UL;
   tf->codes[18745] = 0x0001178eb1e69a17UL;
   tf->codes[18746] = 0x00011835732e0814UL;
   tf->codes[18747] = 0x0001186b347853ebUL;
   tf->codes[18748] = 0x0001189d12433dadUL;
   tf->codes[18749] = 0x0001189d87614937UL;
   tf->codes[18750] = 0x000118bf27819956UL;
   tf->codes[18751] = 0x000118ea2889d602UL;
   tf->codes[18752] = 0x00011938d8b996baUL;
   tf->codes[18753] = 0x000119d75de43503UL;
   tf->codes[18754] = 0x000119d8f7cd5d66UL;
   tf->codes[18755] = 0x00011a14e62d4504UL;
   tf->codes[18756] = 0x00011a29075740bcUL;
   tf->codes[18757] = 0x00011a3e12bd5388UL;
   tf->codes[18758] = 0x00011bb8dfeaa5e0UL;
   tf->codes[18759] = 0x00011c504dc3914eUL;
   tf->codes[18760] = 0x00011c959d0b6579UL;
   tf->codes[18761] = 0x00011d0c8f8f1da1UL;
   tf->codes[18762] = 0x00011d257e749282UL;
   tf->codes[18763] = 0x00011d6e018eb773UL;
   tf->codes[18764] = 0x00011d78c1d0c69eUL;
   tf->codes[18765] = 0x00011d8b0e82942eUL;
   tf->codes[18766] = 0x00011dc0953dda40UL;
   tf->codes[18767] = 0x00011dda6e5f6635UL;
   tf->codes[18768] = 0x00011e21579062c3UL;
   tf->codes[18769] = 0x00011e3453ef41a2UL;
   tf->codes[18770] = 0x00011e43a75dc431UL;
   tf->codes[18771] = 0x00011e5e6abb673aUL;
   tf->codes[18772] = 0x00011f5ffbcec7b8UL;
   tf->codes[18773] = 0x00011f627ff4072fUL;
   tf->codes[18774] = 0x00011f6e9f9038f8UL;
   tf->codes[18775] = 0x00011fa217444b1dUL;
   tf->codes[18776] = 0x000120477931967cUL;
   tf->codes[18777] = 0x0001207cc55dd6c9UL;
   tf->codes[18778] = 0x00012083dcaf89a4UL;
   tf->codes[18779] = 0x00012087c02eebb9UL;
   tf->codes[18780] = 0x00012092bb0000a9UL;
   tf->codes[18781] = 0x0001209838688b21UL;
   tf->codes[18782] = 0x000120df219987afUL;
   tf->codes[18783] = 0x000121c5b4c03f5fUL;
   tf->codes[18784] = 0x0001220427456674UL;
   tf->codes[18785] = 0x00012236ef4c674aUL;
   tf->codes[18786] = 0x000122c5abea777aUL;
   tf->codes[18787] = 0x00012356b21ec15cUL;
   tf->codes[18788] = 0x000123584c07e9bfUL;
   tf->codes[18789] = 0x000123b47b2dfedeUL;
   tf->codes[18790] = 0x000123b59ff91bb7UL;
   tf->codes[18791] = 0x0001240ba209950fUL;
   tf->codes[18792] = 0x000124241bd0fe66UL;
   tf->codes[18793] = 0x000124d0950ffca0UL;
   tf->codes[18794] = 0x00012537847820eaUL;
   tf->codes[18795] = 0x00012591a497021cUL;
   tf->codes[18796] = 0x000125bb0bb61665UL;
   tf->codes[18797] = 0x0001265af03ad74cUL;
   tf->codes[18798] = 0x000126669ab8fd8bUL;
   tf->codes[18799] = 0x000126ffa27b115cUL;
   tf->codes[18800] = 0x00012716f7775ddaUL;
   tf->codes[18801] = 0x000127827a0bf588UL;
   tf->codes[18802] = 0x000127e0088c2d45UL;
   tf->codes[18803] = 0x000127f1e01fef4bUL;
   tf->codes[18804] = 0x00012858cf881395UL;
   tf->codes[18805] = 0x0001285ced967b6fUL;
   tf->codes[18806] = 0x00012951af6098d5UL;
   tf->codes[18807] = 0x000129b86439b75aUL;
   tf->codes[18808] = 0x000129be56c04d5cUL;
   tf->codes[18809] = 0x000129cb60989639UL;
   tf->codes[18810] = 0x00012a3a8c1d8a37UL;
   tf->codes[18811] = 0x00012ac47b00213eUL;
   tf->codes[18812] = 0x00012b2dee8d84ffUL;
   tf->codes[18813] = 0x00012bba9c246142UL;
   tf->codes[18814] = 0x00012bd2a0cdbf0fUL;
   tf->codes[18815] = 0x00012be9f5ca0b8dUL;
   tf->codes[18816] = 0x00012bf356b1f81aUL;
   tf->codes[18817] = 0x00012c2484cfd08dUL;
   tf->codes[18818] = 0x00012c88b583af9bUL;
   tf->codes[18819] = 0x00012d402993c2c5UL;
   tf->codes[18820] = 0x00012d6d74323923UL;
   tf->codes[18821] = 0x00012dc5102bdadeUL;
   tf->codes[18822] = 0x00012ddd89f34435UL;
   tf->codes[18823] = 0x00012de16d72a64aUL;
   tf->codes[18824] = 0x00012de7256a3687UL;
   tf->codes[18825] = 0x00012e2f33664feeUL;
   tf->codes[18826] = 0x00012e32a1c7a679UL;
   tf->codes[18827] = 0x00012eb0ab9d117cUL;
   tf->codes[18828] = 0x00012eca4a2f97acUL;
   tf->codes[18829] = 0x00012efb3dbe6a5aUL;
   tf->codes[18830] = 0x00012f7da03142fcUL;
   tf->codes[18831] = 0x00012f894aaf693bUL;
   tf->codes[18832] = 0x00012f9da6686ab8UL;
   tf->codes[18833] = 0x00012fd86ffd357dUL;
   tf->codes[18834] = 0x000130b776b42ec8UL;
   tf->codes[18835] = 0x000130c9c365fc58UL;
   tf->codes[18836] = 0x0001320867a4614dUL;
   tf->codes[18837] = 0x00013230e4875e82UL;
   tf->codes[18838] = 0x00013256dd451c40UL;
   tf->codes[18839] = 0x0001328aca1739efUL;
   tf->codes[18840] = 0x000132fadfd84501UL;
   tf->codes[18841] = 0x0001338b70ee8359UL;
   tf->codes[18842] = 0x000133cbb7ebd896UL;
   tf->codes[18843] = 0x0001341c3c93c776UL;
   tf->codes[18844] = 0x0001343b1dffd259UL;
   tf->codes[18845] = 0x0001360a8de37b6bUL;
   tf->codes[18846] = 0x0001363a22182b7bUL;
   tf->codes[18847] = 0x0001363a97363705UL;
   tf->codes[18848] = 0x0001365d21929e38UL;
   tf->codes[18849] = 0x00013679f3f7752eUL;
   tf->codes[18850] = 0x000136a5a4acc329UL;
   tf->codes[18851] = 0x000136b35e321d55UL;
   tf->codes[18852] = 0x000136ba0065c4a6UL;
   tf->codes[18853] = 0x000136d7f795b875UL;
   tf->codes[18854] = 0x000136f7fdcce031UL;
   tf->codes[18855] = 0x000137428fee390fUL;
   tf->codes[18856] = 0x00013750f920a48aUL;
   tf->codes[18857] = 0x0001378bc2b56f4fUL;
   tf->codes[18858] = 0x000137c89b516e01UL;
   tf->codes[18859] = 0x000137ef7e4b42d3UL;
   tf->codes[18860] = 0x000137f5ab60de9aUL;
   tf->codes[18861] = 0x0001382edb0c80fcUL;
   tf->codes[18862] = 0x000138837dc2d7b6UL;
   tf->codes[18863] = 0x0001389ce1c65821UL;
   tf->codes[18864] = 0x000138fd6989dadfUL;
   tf->codes[18865] = 0x00013905a5a6aa93UL;
   tf->codes[18866] = 0x0001392536bfc6c5UL;
   tf->codes[18867] = 0x00013961d4ccbfb2UL;
   tf->codes[18868] = 0x00013987cd8a7d70UL;
   tf->codes[18869] = 0x000139b84bfb4494UL;
   tf->codes[18870] = 0x000139f683f165e4UL;
   tf->codes[18871] = 0x00013a159fec768cUL;
   tf->codes[18872] = 0x00013a7ba51883c2UL;
   tf->codes[18873] = 0x00013a95091c042dUL;
   tf->codes[18874] = 0x00013abfcf953b14UL;
   tf->codes[18875] = 0x00013aeb0b2c7d85UL;
   tf->codes[18876] = 0x00013b17e0ace859UL;
   tf->codes[18877] = 0x00013b1d98a47896UL;
   tf->codes[18878] = 0x00013b5feea901c0UL;
   tf->codes[18879] = 0x00013b740fd2fd78UL;
   tf->codes[18880] = 0x00013b8bd9ed5580UL;
   tf->codes[18881] = 0x00013b97f9898749UL;
   tf->codes[18882] = 0x00013b9f4b6a3fe9UL;
   tf->codes[18883] = 0x00013bfe39449a44UL;
   tf->codes[18884] = 0x00013c59f34ca3d9UL;
   tf->codes[18885] = 0x00013cfdbb50c6d5UL;
   tf->codes[18886] = 0x00013d27d21cec6dUL;
   tf->codes[18887] = 0x00013d4d904ba466UL;
   tf->codes[18888] = 0x00013d4e0569aff0UL;
   tf->codes[18889] = 0x00013d5173cb067bUL;
   tf->codes[18890] = 0x00013dc5e2297f2cUL;
   tf->codes[18891] = 0x00013e05b408c8dfUL;
   tf->codes[18892] = 0x00013e32fea73f3dUL;
   tf->codes[18893] = 0x00013e3c5f8f2bcaUL;
   tf->codes[18894] = 0x00013e69aa2da228UL;
   tf->codes[18895] = 0x00013e808a0be31cUL;
   tf->codes[18896] = 0x00013e9b87f88beaUL;
   tf->codes[18897] = 0x00013e9d21e1b44dUL;
   tf->codes[18898] = 0x00013eb770214bccUL;
   tf->codes[18899] = 0x00013ee89e3f243fUL;
   tf->codes[18900] = 0x00013eef05e3c5cbUL;
   tf->codes[18901] = 0x00013f20a91fa9c8UL;
   tf->codes[18902] = 0x00013f320b956044UL;
   tf->codes[18903] = 0x00013f478c197e9aUL;
   tf->codes[18904] = 0x00013f98c06e7ec9UL;
   tf->codes[18905] = 0x00013fde4a4558b9UL;
   tf->codes[18906] = 0x00013fe6fb8033f7UL;
   tf->codes[18907] = 0x00013ff7e8d7dee9UL;
   tf->codes[18908] = 0x0001401480adb01aUL;
   tf->codes[18909] = 0x000140323d4e9e24UL;
   tf->codes[18910] = 0x0001407ea3e8252aUL;
   tf->codes[18911] = 0x000140996745c833UL;
   tf->codes[18912] = 0x000140a3b269cbd4UL;
   tf->codes[18913] = 0x000140d3f64b8d33UL;
   tf->codes[18914] = 0x0001410b16effba8UL;
   tf->codes[18915] = 0x0001417e25f451bbUL;
   tf->codes[18916] = 0x00014187c16b440dUL;
   tf->codes[18917] = 0x000141a493d01b03UL;
   tf->codes[18918] = 0x000141af19832469UL;
   tf->codes[18919] = 0x0001421100a0c9c5UL;
   tf->codes[18920] = 0x0001421d955b0718UL;
   tf->codes[18921] = 0x0001426359c0e6cdUL;
   tf->codes[18922] = 0x000142f49a843674UL;
   tf->codes[18923] = 0x000142fbb1d5e94fUL;
   tf->codes[18924] = 0x000143007f916278UL;
   tf->codes[18925] = 0x0001432309edc9abUL;
   tf->codes[18926] = 0x0001434d95d7facdUL;
   tf->codes[18927] = 0x0001438aa902ff44UL;
   tf->codes[18928] = 0x000143b44ab11952UL;
   tf->codes[18929] = 0x000143bb9c91d1f2UL;
   tf->codes[18930] = 0x000143e0ab13789cUL;
   tf->codes[18931] = 0x000143f332544bf1UL;
   tf->codes[18932] = 0x000143fd085a4408UL;
   tf->codes[18933] = 0x00014434d8abc3ccUL;
   tf->codes[18934] = 0x000144363805e66aUL;
   tf->codes[18935] = 0x000144a05b405b7aUL;
   tf->codes[18936] = 0x000144a4ee6ccedeUL;
   tf->codes[18937] = 0x000144c52f32fc5fUL;
   tf->codes[18938] = 0x00014501cd3ff54cUL;
   tf->codes[18939] = 0x0001451f4f51dd91UL;
   tf->codes[18940] = 0x0001453a4d3e865fUL;
   tf->codes[18941] = 0x00014586b3d80d65UL;
   tf->codes[18942] = 0x000145e3cd3a3998UL;
   tf->codes[18943] = 0x00014616cfd04033UL;
   tf->codes[18944] = 0x000146291c820dc3UL;
   tf->codes[18945] = 0x0001464a47845258UL;
   tf->codes[18946] = 0x00014685c0c62e6cUL;
   tf->codes[18947] = 0x0001472445f0ccb5UL;
   tf->codes[18948] = 0x0001473b605e136eUL;
   tf->codes[18949] = 0x0001474e5cbcf24dUL;
   tf->codes[18950] = 0x000147ab761f1e80UL;
   tf->codes[18951] = 0x000147bc28e7c3adUL;
   tf->codes[18952] = 0x000147c84883f576UL;
   tf->codes[18953] = 0x000147db0a53ce90UL;
   tf->codes[18954] = 0x000147f1afa309bfUL;
   tf->codes[18955] = 0x000147f81747ab4bUL;
   tf->codes[18956] = 0x000148047172e2d9UL;
   tf->codes[18957] = 0x0001484bcfc1eaf1UL;
   tf->codes[18958] = 0x0001485ecc20c9d0UL;
   tf->codes[18959] = 0x00014868a226c1e7UL;
   tf->codes[18960] = 0x00014887be21d28fUL;
   tf->codes[18961] = 0x0001488bdc303a69UL;
   tf->codes[18962] = 0x000148974c1f5ae3UL;
   tf->codes[18963] = 0x000148cfcc1debf6UL;
   tf->codes[18964] = 0x0001492817c49f00UL;
   tf->codes[18965] = 0x0001497c455cea30UL;
   tf->codes[18966] = 0x0001498ae91e5b70UL;
   tf->codes[18967] = 0x000149e668975f40UL;
   tf->codes[18968] = 0x00014a25ffe7a32eUL;
   tf->codes[18969] = 0x00014a3bbafac749UL;
   tf->codes[18970] = 0x00014a7b8cda10fcUL;
   tf->codes[18971] = 0x00014ab6566edbc1UL;
   tf->codes[18972] = 0x00014b19d775a980UL;
   tf->codes[18973] = 0x00014b87a3a07ae0UL;
   tf->codes[18974] = 0x00014b8bfc3de87fUL;
   tf->codes[18975] = 0x00014bab1838f927UL;
   tf->codes[18976] = 0x00014c091bd73c6eUL;
   tf->codes[18977] = 0x00014c0e5eb0c121UL;
   tf->codes[18978] = 0x00014c26d8782a78UL;
   tf->codes[18979] = 0x00014c5c24a46ac5UL;
   tf->codes[18980] = 0x00014c5ee358b001UL;
   tf->codes[18981] = 0x00014c800e5af496UL;
   tf->codes[18982] = 0x00014d3747dc01fbUL;
   tf->codes[18983] = 0x00014d45eb9d733bUL;
   tf->codes[18984] = 0x00014d7f55d81b62UL;
   tf->codes[18985] = 0x00014db0f913ff5fUL;
   tf->codes[18986] = 0x00014dbc2e741a14UL;
   tf->codes[18987] = 0x00014dea28bfa1c1UL;
   tf->codes[18988] = 0x00014e0476ff3940UL;
   tf->codes[18989] = 0x00014e3da6aadba2UL;
   tf->codes[18990] = 0x00014e4f43af97e3UL;
   tf->codes[18991] = 0x00014e56d01f5648UL;
   tf->codes[18992] = 0x00014edf5fa7cab1UL;
   tf->codes[18993] = 0x00014f0f2e6b8086UL;
   tf->codes[18994] = 0x00014f1227aecb87UL;
   tf->codes[18995] = 0x00014f1c72d2cf28UL;
   tf->codes[18996] = 0x00014f5ec8d75852UL;
   tf->codes[18997] = 0x00014fe0f0bb2b2fUL;
   tf->codes[18998] = 0x0001502e7c1fcf0eUL;
   tf->codes[18999] = 0x0001507c421378b2UL;
   tf->codes[19000] = 0x000150c62487c041UL;
   tf->codes[19001] = 0x000151184318d784UL;
   tf->codes[19002] = 0x000151a5daebcadbUL;
   tf->codes[19003] = 0x000151b47ead3c1bUL;
   tf->codes[19004] = 0x000151e4c28efd7aUL;
   tf->codes[19005] = 0x000152637c1179ccUL;
   tf->codes[19006] = 0x000152730a0f0220UL;
   tf->codes[19007] = 0x0001527b462bd1d4UL;
   tf->codes[19008] = 0x000152908c20ea65UL;
   tf->codes[19009] = 0x000152b1f1b234bfUL;
   tf->codes[19010] = 0x000152b560138b4aUL;
   tf->codes[19011] = 0x000152c05ae4a03aUL;
   tf->codes[19012] = 0x000152c6fd18478bUL;
   tf->codes[19013] = 0x00015373eb75514fUL;
   tf->codes[19014] = 0x000153c6f4427fa6UL;
   tf->codes[19015] = 0x000153c8539ca244UL;
   tf->codes[19016] = 0x000153df337ae338UL;
   tf->codes[19017] = 0x000154527d0e3f10UL;
   tf->codes[19018] = 0x0001545a440d033aUL;
   tf->codes[19019] = 0x000154862f5156faUL;
   tf->codes[19020] = 0x000154c1a893330eUL;
   tf->codes[19021] = 0x0001551d629b3ca3UL;
   tf->codes[19022] = 0x0001553cf3b458d5UL;
   tf->codes[19023] = 0x0001554863a3794fUL;
   tf->codes[19024] = 0x000155540e219f8eUL;
   tf->codes[19025] = 0x000155c2ff178dc7UL;
   tf->codes[19026] = 0x000155d5fb766ca6UL;
   tf->codes[19027] = 0x0001563b166662c8UL;
   tf->codes[19028] = 0x0001566776c8c212UL;
   tf->codes[19029] = 0x00015677ef02617aUL;
   tf->codes[19030] = 0x000156cccc47bdf9UL;
   tf->codes[19031] = 0x000156ea4e59a63eUL;
   tf->codes[19032] = 0x000157bf09ec9be8UL;
   tf->codes[19033] = 0x000157e4c81b53e1UL;
   tf->codes[19034] = 0x0001587ef4a8848bUL;
   tf->codes[19035] = 0x000158c394434767UL;
   tf->codes[19036] = 0x000159dbcaa5e314UL;
   tf->codes[19037] = 0x000159dc3fc3ee9eUL;
   tf->codes[19038] = 0x000159ff79cd6720UL;
   tf->codes[19039] = 0x00015a52f7b8a101UL;
   tf->codes[19040] = 0x00015a9463811317UL;
   tf->codes[19041] = 0x00015a9722355853UL;
   tf->codes[19042] = 0x00015ac93a8f47daUL;
   tf->codes[19043] = 0x00015ae597d61346UL;
   tf->codes[19044] = 0x00015ae647832495UL;
   tf->codes[19045] = 0x00015b611d863ed2UL;
   tf->codes[19046] = 0x00015b9f557c6022UL;
   tf->codes[19047] = 0x00015bb84461d503UL;
   tf->codes[19048] = 0x00015c74862d6156UL;
   tf->codes[19049] = 0x00015cc0b237e297UL;
   tf->codes[19050] = 0x00015cf5fe6422e4UL;
   tf->codes[19051] = 0x00015cfb413da797UL;
   tf->codes[19052] = 0x00015d49f16d684fUL;
   tf->codes[19053] = 0x00015da53657665aUL;
   tf->codes[19054] = 0x00015daaee4ef697UL;
   tf->codes[19055] = 0x00015db11b64925eUL;
   tf->codes[19056] = 0x00015dfbe814f101UL;
   tf->codes[19057] = 0x00015dff1be741c7UL;
   tf->codes[19058] = 0x00015e042431c0b5UL;
   tf->codes[19059] = 0x00015e5a9b604597UL;
   tf->codes[19060] = 0x00015e98d35666e7UL;
   tf->codes[19061] = 0x00015eb5a5bb3dddUL;
   tf->codes[19062] = 0x00015ec8678b16f7UL;
   tf->codes[19063] = 0x00015ed536d45a0fUL;
   tf->codes[19064] = 0x00015f25465e3d65UL;
   tf->codes[19065] = 0x00015f3c263c7e59UL;
   tf->codes[19066] = 0x00015f5c6702abdaUL;
   tf->codes[19067] = 0x00015fa3ffe0b9b7UL;
   tf->codes[19068] = 0x0001605dbd870693UL;
   tf->codes[19069] = 0x00016101106d1e05UL;
   tf->codes[19070] = 0x0001618a4fa2a3bdUL;
   tf->codes[19071] = 0x000161a379171e63UL;
   tf->codes[19072] = 0x000161c58e557a0cUL;
   tf->codes[19073] = 0x000161e1767e39eeUL;
   tf->codes[19074] = 0x0001620400daa121UL;
   tf->codes[19075] = 0x00016207e45a0336UL;
   tf->codes[19076] = 0x000162285faf367cUL;
   tf->codes[19077] = 0x000162a3e55f6208UL;
   tf->codes[19078] = 0x000162b21402c7beUL;
   tf->codes[19079] = 0x000162d30476068eUL;
   tf->codes[19080] = 0x000162edc7d3a997UL;
   tf->codes[19081] = 0x0001631ad7e31a30UL;
   tf->codes[19082] = 0x0001634020f3c69fUL;
   tf->codes[19083] = 0x000163a208116bfbUL;
   tf->codes[19084] = 0x000163abde176412UL;
   tf->codes[19085] = 0x000163e2febbd287UL;
   tf->codes[19086] = 0x00016403ef2f1157UL;
   tf->codes[19087] = 0x0001643b4a628591UL;
   tf->codes[19088] = 0x0001643fa2fff330UL;
   tf->codes[19089] = 0x000164643c638e50UL;
   tf->codes[19090] = 0x000164710bacd168UL;
   tf->codes[19091] = 0x000164d6d649d8d9UL;
   tf->codes[19092] = 0x000164eb3202da56UL;
   tf->codes[19093] = 0x000164ed410a0e43UL;
   tf->codes[19094] = 0x000165180783452aUL;
   tf->codes[19095] = 0x00016529a488016bUL;
   tf->codes[19096] = 0x0001656bbffd84d0UL;
   tf->codes[19097] = 0x000165881d44503cUL;
   tf->codes[19098] = 0x0001658907806750UL;
   tf->codes[19099] = 0x00016615056a3244UL;
   tf->codes[19100] = 0x0001661c1cbbe51fUL;
   tf->codes[19101] = 0x0001661f8b1d3baaUL;
   tf->codes[19102] = 0x0001662a10d04510UL;
   tf->codes[19103] = 0x000166371aa88dedUL;
   tf->codes[19104] = 0x0001665f5cfc855dUL;
   tf->codes[19105] = 0x00016661a692bf0fUL;
   tf->codes[19106] = 0x00016672595b643cUL;
   tf->codes[19107] = 0x000166d3cb5afe0eUL;
   tf->codes[19108] = 0x000166ee54299b52UL;
   tf->codes[19109] = 0x000166fda7981de1UL;
   tf->codes[19110] = 0x0001676afea4e3b7UL;
   tf->codes[19111] = 0x000167beb71f235dUL;
   tf->codes[19112] = 0x000167c08b975185UL;
   tf->codes[19113] = 0x0001684f82c4677aUL;
   tf->codes[19114] = 0x00016854c59dec2dUL;
   tf->codes[19115] = 0x000168ead41cb4fdUL;
   tf->codes[19116] = 0x000168f6f3b8e6c6UL;
   tf->codes[19117] = 0x0001691141f87e45UL;
   tf->codes[19118] = 0x0001693ae3a69853UL;
   tf->codes[19119] = 0x000169c45d6b23d0UL;
   tf->codes[19120] = 0x00016a3dd4141b6fUL;
   tf->codes[19121] = 0x00016a43c69ab171UL;
   tf->codes[19122] = 0x00016a5c7af1208dUL;
   tf->codes[19123] = 0x00016ac5ee7e844eUL;
   tf->codes[19124] = 0x00016ae92887fcd0UL;
   tf->codes[19125] = 0x00016afee39b20ebUL;
   tf->codes[19126] = 0x00016b242cabcd5aUL;
   tf->codes[19127] = 0x00016b488b8062b5UL;
   tf->codes[19128] = 0x00016c0f52fef86eUL;
   tf->codes[19129] = 0x00016c421b05f944UL;
   tf->codes[19130] = 0x00016c5f9d17e189UL;
   tf->codes[19131] = 0x00016c997c70953aUL;
   tf->codes[19132] = 0x00016ca059334250UL;
   tf->codes[19133] = 0x00016cbfea4c5e82UL;
   tf->codes[19134] = 0x00016d2ba76ffbf5UL;
   tf->codes[19135] = 0x00016d2e2b953b6cUL;
   tf->codes[19136] = 0x00016d2fc57e63cfUL;
   tf->codes[19137] = 0x00016d57582549f0UL;
   tf->codes[19138] = 0x00016d9ef10357cdUL;
   tf->codes[19139] = 0x00016dde88539bbbUL;
   tf->codes[19140] = 0x00016dfddeddb228UL;
   tf->codes[19141] = 0x00016e2de8306dc2UL;
   tf->codes[19142] = 0x00016e2e22bf7387UL;
   tf->codes[19143] = 0x00016e7d829c458eUL;
   tf->codes[19144] = 0x00016ebe3eb7a655UL;
   tf->codes[19145] = 0x00016edd2023b138UL;
   tf->codes[19146] = 0x00016f17e9b87bfdUL;
   tf->codes[19147] = 0x00016f22a9fa8b28UL;
   tf->codes[19148] = 0x00016f3f7c5f621eUL;
   tf->codes[19149] = 0x00016f6032439b29UL;
   tf->codes[19150] = 0x00016fc3039d5799UL;
   tf->codes[19151] = 0x00017020ccac951bUL;
   tf->codes[19152] = 0x00017039bb9209fcUL;
   tf->codes[19153] = 0x0001706ae9afe26fUL;
   tf->codes[19154] = 0x000170f428e56827UL;
   tf->codes[19155] = 0x000171063b082ff2UL;
   tf->codes[19156] = 0x000171125aa461bbUL;
   tf->codes[19157] = 0x0001715525c6f66fUL;
   tf->codes[19158] = 0x000172166fdd01b0UL;
   tf->codes[19159] = 0x00017221dfcc222aUL;
   tf->codes[19160] = 0x0001722acb96032dUL;
   tf->codes[19161] = 0x000172396f57746dUL;
   tf->codes[19162] = 0x00017246792fbd4aUL;
   tf->codes[19163] = 0x00017246ee4dc8d4UL;
   tf->codes[19164] = 0x000172c189c1dd4cUL;
   tf->codes[19165] = 0x000173663c02175cUL;
   tf->codes[19166] = 0x000173808a41aedbUL;
   tf->codes[19167] = 0x00017483efcd3d81UL;
   tf->codes[19168] = 0x0001749bf4769b4eUL;
   tf->codes[19169] = 0x00017500252a7a5cUL;
   tf->codes[19170] = 0x0001751ae8881d65UL;
   tf->codes[19171] = 0x0001752399c2f8a3UL;
   tf->codes[19172] = 0x000175880505dd76UL;
   tf->codes[19173] = 0x000175ca5b0a66a0UL;
   tf->codes[19174] = 0x000175ddcc875109UL;
   tf->codes[19175] = 0x000175e643332682UL;
   tf->codes[19176] = 0x000175f596a1a911UL;
   tf->codes[19177] = 0x000175f7e037e2c3UL;
   tf->codes[19178] = 0x0001768418b0b37cUL;
   tf->codes[19179] = 0x000176b1634f29daUL;
   tf->codes[19180] = 0x000176b6e0b7b452UL;
   tf->codes[19181] = 0x000176c5bf082b57UL;
   tf->codes[19182] = 0x000176d12ef74bd1UL;
   tf->codes[19183] = 0x000176d3788d8583UL;
   tf->codes[19184] = 0x000176e799b7813bUL;
   tf->codes[19185] = 0x000176fb8052772eUL;
   tf->codes[19186] = 0x0001770a2413e86eUL;
   tf->codes[19187] = 0x0001771e7fcce9ebUL;
   tf->codes[19188] = 0x000177839abce00dUL;
   tf->codes[19189] = 0x00017797f675e18aUL;
   tf->codes[19190] = 0x000177f9dd9386e6UL;
   tf->codes[19191] = 0x00017815509e3b3eUL;
   tf->codes[19192] = 0x00017828fcaa2b6cUL;
   tf->codes[19193] = 0x00017839ea01d65eUL;
   tf->codes[19194] = 0x000178a8a068bed2UL;
   tf->codes[19195] = 0x00017901612d7d66UL;
   tf->codes[19196] = 0x00017934d8e18f8bUL;
   tf->codes[19197] = 0x000179542f6ba5f8UL;
   tf->codes[19198] = 0x0001797b12657acaUL;
   tf->codes[19199] = 0x000179a89792f6edUL;
   tf->codes[19200] = 0x000179c703e0f646UL;
   tf->codes[19201] = 0x000179d7b6a99b73UL;
   tf->codes[19202] = 0x000179fcffba47e2UL;
   tf->codes[19203] = 0x00017a549bb3e99dUL;
   tf->codes[19204] = 0x00017a5a8e3a7f9fUL;
   tf->codes[19205] = 0x00017a65fe29a019UL;
   tf->codes[19206] = 0x00017a78bff97933UL;
   tf->codes[19207] = 0x00017a8bbc585812UL;
   tf->codes[19208] = 0x00017ab906f6ce70UL;
   tf->codes[19209] = 0x00017b0114f2e7d7UL;
   tf->codes[19210] = 0x00017b04bde34427UL;
   tf->codes[19211] = 0x00017b056d905576UL;
   tf->codes[19212] = 0x00017b082c449ab2UL;
   tf->codes[19213] = 0x00017b7a167dd3ecUL;
   tf->codes[19214] = 0x00017b80b8b17b3dUL;
   tf->codes[19215] = 0x00017b980dadc7bbUL;
   tf->codes[19216] = 0x00017ba7d63a55d4UL;
   tf->codes[19217] = 0x00017bad53a2e04cUL;
   tf->codes[19218] = 0x00017bb380b87c13UL;
   tf->codes[19219] = 0x00017c094839efa6UL;
   tf->codes[19220] = 0x00017c16178332beUL;
   tf->codes[19221] = 0x00017c3e94662ff3UL;
   tf->codes[19222] = 0x00017c4e5cf2be0cUL;
   tf->codes[19223] = 0x00017c58a816c1adUL;
   tf->codes[19224] = 0x00017c862d443dd0UL;
   tf->codes[19225] = 0x00017cbf2260da6dUL;
   tf->codes[19226] = 0x00017d67f2af7c57UL;
   tf->codes[19227] = 0x00017df75efa9dd6UL;
   tf->codes[19228] = 0x00017e3596f0bf26UL;
   tf->codes[19229] = 0x00017e64b60763acUL;
   tf->codes[19230] = 0x00017eb5ea5c63dbUL;
   tf->codes[19231] = 0x00017f2849b3a89fUL;
   tf->codes[19232] = 0x00017f81f4b47e47UL;
   tf->codes[19233] = 0x00017f89f6424836UL;
   tf->codes[19234] = 0x00017fe4c60e3ab7UL;
   tf->codes[19235] = 0x000180015de40be8UL;
   tf->codes[19236] = 0x0001805b4373e755UL;
   tf->codes[19237] = 0x000180a76f7e6896UL;
   tf->codes[19238] = 0x000180c566ae5c65UL;
   tf->codes[19239] = 0x000180f11763aa60UL;
   tf->codes[19240] = 0x0001813c1ea30ec8UL;
   tf->codes[19241] = 0x00018156e200b1d1UL;
   tf->codes[19242] = 0x00018193800daabeUL;
   tf->codes[19243] = 0x000181a6f18a9527UL;
   tf->codes[19244] = 0x000181ab4a2802c6UL;
   tf->codes[19245] = 0x000181ac346419daUL;
   tf->codes[19246] = 0x000181de4cbe0961UL;
   tf->codes[19247] = 0x000181f2a8770adeUL;
   tf->codes[19248] = 0x0001829720283f29UL;
   tf->codes[19249] = 0x00018299dedc8465UL;
   tf->codes[19250] = 0x000182e9042a50a7UL;
   tf->codes[19251] = 0x00018354c14dee1aUL;
   tf->codes[19252] = 0x000184aa456a9403UL;
   tf->codes[19253] = 0x000184c6682259aaUL;
   tf->codes[19254] = 0x000184f0f40c8accUL;
   tf->codes[19255] = 0x00018504daa780bfUL;
   tf->codes[19256] = 0x0001850a1d810572UL;
   tf->codes[19257] = 0x00018525cb1abf8fUL;
   tf->codes[19258] = 0x0001857f00fd89adUL;
   tf->codes[19259] = 0x000185e839fbe7a9UL;
   tf->codes[19260] = 0x000185fc95b4e926UL;
   tf->codes[19261] = 0x000186042224a78bUL;
   tf->codes[19262] = 0x00018607cb1503dbUL;
   tf->codes[19263] = 0x0001860d0dee888eUL;
   tf->codes[19264] = 0x0001862b3fad8222UL;
   tf->codes[19265] = 0x0001865e07b482f8UL;
   tf->codes[19266] = 0x0001868bc77104e0UL;
   tf->codes[19267] = 0x000186d0670bc7bcUL;
   tf->codes[19268] = 0x00018723e4f7019dUL;
   tf->codes[19269] = 0x00018726a3ab46d9UL;
   tf->codes[19270] = 0x0001873c5ebe6af4UL;
   tf->codes[19271] = 0x000187492e07ae0cUL;
   tf->codes[19272] = 0x000187b943c8b91eUL;
   tf->codes[19273] = 0x000187d26d3d33c4UL;
   tf->codes[19274] = 0x000188098de1a239UL;
   tf->codes[19275] = 0x00018822b7561cdfUL;
   tf->codes[19276] = 0x0001888881f32450UL;
   tf->codes[19277] = 0x000188e2dca10b47UL;
   tf->codes[19278] = 0x000188fb1bd96ed9UL;
   tf->codes[19279] = 0x000189444ea0a519UL;
   tf->codes[19280] = 0x000189c58c4860e2UL;
   tf->codes[19281] = 0x00018a00cafb3731UL;
   tf->codes[19282] = 0x00018a0b50ae4097UL;
   tf->codes[19283] = 0x00018a2bcc0373ddUL;
   tf->codes[19284] = 0x00018a4445cadd34UL;
   tf->codes[19285] = 0x00018a948fe3c64fUL;
   tf->codes[19286] = 0x00018abb72dd9b21UL;
   tf->codes[19287] = 0x00018abfcb7b08c0UL;
   tf->codes[19288] = 0x00018acdfa1e6e76UL;
   tf->codes[19289] = 0x00018adc28c1d42cUL;
   tf->codes[19290] = 0x00018ae673e5d7cdUL;
   tf->codes[19291] = 0x00018b0a982b6763UL;
   tf->codes[19292] = 0x00018b1bfaa11ddfUL;
   tf->codes[19293] = 0x00018b39f1d111aeUL;
   tf->codes[19294] = 0x00018b410922c489UL;
   tf->codes[19295] = 0x00018b7b98288989UL;
   tf->codes[19296] = 0x00018b95714a157eUL;
   tf->codes[19297] = 0x00018bb2091fe6afUL;
   tf->codes[19298] = 0x00018bff59f584c9UL;
   tf->codes[19299] = 0x00018c0beeafc21cUL;
   tf->codes[19300] = 0x00018c1340907abcUL;
   tf->codes[19301] = 0x00018c2761ba7674UL;
   tf->codes[19302] = 0x00018c2f9dd74628UL;
   tf->codes[19303] = 0x00018c3c3291837bUL;
   tf->codes[19304] = 0x00018c5053bb7f33UL;
   tf->codes[19305] = 0x00018c55d12409abUL;
   tf->codes[19306] = 0x00018c989c469e5fUL;
   tf->codes[19307] = 0x00018cb708949db8UL;
   tf->codes[19308] = 0x00018ce53d6f2b2aUL;
   tf->codes[19309] = 0x00018d0a4bf0d1d4UL;
   tf->codes[19310] = 0x00018d0a867fd799UL;
   tf->codes[19311] = 0x00018db1f77456e5UL;
   tf->codes[19312] = 0x00018dd705f5fd8fUL;
   tf->codes[19313] = 0x00018de4bf7b57bbUL;
   tf->codes[19314] = 0x00018eabc188f339UL;
   tf->codes[19315] = 0x00018f41d007bc09UL;
   tf->codes[19316] = 0x00018f50393a2784UL;
   tf->codes[19317] = 0x00018f562bc0bd86UL;
   tf->codes[19318] = 0x00018fb812de62e2UL;
   tf->codes[19319] = 0x00019013925766b2UL;
   tf->codes[19320] = 0x0001902fef9e321eUL;
   tf->codes[19321] = 0x000190b461183eadUL;
   tf->codes[19322] = 0x000190f93b42074eUL;
   tf->codes[19323] = 0x0001911264b681f4UL;
   tf->codes[19324] = 0x0001911adb62576dUL;
   tf->codes[19325] = 0x0001912ade7deb4bUL;
   tf->codes[19326] = 0x0001913613de0600UL;
   tf->codes[19327] = 0x0001913a31ec6ddaUL;
   tf->codes[19328] = 0x000191a196729daeUL;
   tf->codes[19329] = 0x00019283214ed670UL;
   tf->codes[19330] = 0x0001928864285b23UL;
   tf->codes[19331] = 0x0001928a38a0894bUL;
   tf->codes[19332] = 0x00019293d4177b9dUL;
   tf->codes[19333] = 0x000192a620c9492dUL;
   tf->codes[19334] = 0x000192f83f5a6070UL;
   tf->codes[19335] = 0x00019319a4ebaacaUL;
   tf->codes[19336] = 0x000193688faa7147UL;
   tf->codes[19337] = 0x000193a617f38148UL;
   tf->codes[19338] = 0x000193aae5aefa71UL;
   tf->codes[19339] = 0x000193c82d31dcf1UL;
   tf->codes[19340] = 0x000193d27855e092UL;
   tf->codes[19341] = 0x000193e4155a9cd3UL;
   tf->codes[19342] = 0x000193ef4abab788UL;
   tf->codes[19343] = 0x0001941a4bc2f434UL;
   tf->codes[19344] = 0x00019425f6411a73UL;
   tf->codes[19345] = 0x000194655302589cUL;
   tf->codes[19346] = 0x000194663d3e6fb0UL;
   tf->codes[19347] = 0x0001946b8017f463UL;
   tf->codes[19348] = 0x000194a106d33a75UL;
   tf->codes[19349] = 0x000194a475349100UL;
   tf->codes[19350] = 0x000194a4afc396c5UL;
   tf->codes[19351] = 0x000194d568c363aeUL;
   tf->codes[19352] = 0x000195663468a7cbUL;
   tf->codes[19353] = 0x000195de86468291UL;
   tf->codes[19354] = 0x000195fe8c7daa4dUL;
   tf->codes[19355] = 0x0001963c4f55c013UL;
   tf->codes[19356] = 0x00019721f84060afUL;
   tf->codes[19357] = 0x000197240747949cUL;
   tf->codes[19358] = 0x00019735dedb56a2UL;
   tf->codes[19359] = 0x0001974ecdc0cb83UL;
   tf->codes[19360] = 0x000197665d4c1dc6UL;
   tf->codes[19361] = 0x000197778532ce7dUL;
   tf->codes[19362] = 0x000197b0b4de70dfUL;
   tf->codes[19363] = 0x000197fc6bcae696UL;
   tf->codes[19364] = 0x00019807a12b014bUL;
   tf->codes[19365] = 0x00019866c994616bUL;
   tf->codes[19366] = 0x00019895e8ab05f1UL;
   tf->codes[19367] = 0x000198a1cdb831f5UL;
   tf->codes[19368] = 0x000198ddf6a71f58UL;
   tf->codes[19369] = 0x000199046482e8a0UL;
   tf->codes[19370] = 0x0001993eb8f9a7dbUL;
   tf->codes[19371] = 0x00019965616476e8UL;
   tf->codes[19372] = 0x00019976142d1c15UL;
   tf->codes[19373] = 0x00019a5bf7a6c276UL;
   tf->codes[19374] = 0x00019a97e606aa14UL;
   tf->codes[19375] = 0x00019b5c9e7e0be0UL;
   tf->codes[19376] = 0x00019b8d920cde8eUL;
   tf->codes[19377] = 0x00019bc3c87535efUL;
   tf->codes[19378] = 0x00019bdec661debdUL;
   tf->codes[19379] = 0x00019c01c5dc517aUL;
   tf->codes[19380] = 0x00019c1c4eaaeebeUL;
   tf->codes[19381] = 0x00019c921c638a0dUL;
   tf->codes[19382] = 0x00019c9a1df153fcUL;
   tf->codes[19383] = 0x00019cf6fcc47a6aUL;
   tf->codes[19384] = 0x00019d318bca3f6aUL;
   tf->codes[19385] = 0x00019d47816c694aUL;
   tf->codes[19386] = 0x00019d61cfac00c9UL;
   tf->codes[19387] = 0x00019ddbbb7303f2UL;
   tf->codes[19388] = 0x00019e03fdc6fb62UL;
   tf->codes[19389] = 0x00019e0472e506ecUL;
   tf->codes[19390] = 0x00019e682e7ada70UL;
   tf->codes[19391] = 0x00019e9ffecc5a34UL;
   tf->codes[19392] = 0x00019eb19bd11675UL;
   tf->codes[19393] = 0x00019edb3d7f3083UL;
   tf->codes[19394] = 0x00019f0a2206cf44UL;
   tf->codes[19395] = 0x00019f55294633acUL;
   tf->codes[19396] = 0x00019f602417489cUL;
   tf->codes[19397] = 0x00019f96cf9dab87UL;
   tf->codes[19398] = 0x00019fa65d9b33dbUL;
   tf->codes[19399] = 0x00019fe5453e667aUL;
   tf->codes[19400] = 0x0001a0175d985601UL;
   tf->codes[19401] = 0x0001a02b44334bf4UL;
   tf->codes[19402] = 0x0001a047dc091d25UL;
   tf->codes[19403] = 0x0001a0864e8e443aUL;
   tf->codes[19404] = 0x0001a0d1905cae67UL;
   tf->codes[19405] = 0x0001a0ddea87e5f5UL;
   tf->codes[19406] = 0x0001a0e6d651c6f8UL;
   tf->codes[19407] = 0x0001a1edaa3eac29UL;
   tf->codes[19408] = 0x0001a2078360381eUL;
   tf->codes[19409] = 0x0001a26a8f48fa53UL;
   tf->codes[19410] = 0x0001a281a9b6410cUL;
   tf->codes[19411] = 0x0001a31f0a15c27cUL;
   tf->codes[19412] = 0x0001a3657e28b380UL;
   tf->codes[19413] = 0x0001a3b518948b4cUL;
   tf->codes[19414] = 0x0001a41b1dc09882UL;
   tf->codes[19415] = 0x0001a42c80364efeUL;
   tf->codes[19416] = 0x0001a4996225094aUL;
   tf->codes[19417] = 0x0001a4dd1783b512UL;
   tf->codes[19418] = 0x0001a4eb0b981503UL;
   tf->codes[19419] = 0x0001a4f9e9e88c08UL;
   tf->codes[19420] = 0x0001a59b2dc76f8dUL;
   tf->codes[19421] = 0x0001a59e9c28c618UL;
   tf->codes[19422] = 0x0001a5e2518771e0UL;
   tf->codes[19423] = 0x0001a6b538a23962UL;
   tf->codes[19424] = 0x0001a6f2865c439eUL;
   tf->codes[19425] = 0x0001a6f6a46aab78UL;
   tf->codes[19426] = 0x0001a7a47d03cc50UL;
   tf->codes[19427] = 0x0001a7a52cb0dd9fUL;
   tf->codes[19428] = 0x0001a7c40e1ce882UL;
   tf->codes[19429] = 0x0001a80c1c1901e9UL;
   tf->codes[19430] = 0x0001a8337430e245UL;
   tf->codes[19431] = 0x0001a8d910ad3369UL;
   tf->codes[19432] = 0x0001a8e40b7e4859UL;
   tf->codes[19433] = 0x0001a960f0889683UL;
   tf->codes[19434] = 0x0001a9c4ac1e6a07UL;
   tf->codes[19435] = 0x0001aa4af210a4beUL;
   tf->codes[19436] = 0x0001aa65b56e47c7UL;
   tf->codes[19437] = 0x0001ab88ac12f29fUL;
   tf->codes[19438] = 0x0001aba9d7153734UL;
   tf->codes[19439] = 0x0001abd1a44b231aUL;
   tf->codes[19440] = 0x0001abfe04ad8264UL;
   tf->codes[19441] = 0x0001ac67b2c9ebeaUL;
   tf->codes[19442] = 0x0001ac9572866dd2UL;
   tf->codes[19443] = 0x0001acb3a4456766UL;
   tf->codes[19444] = 0x0001acd41f9a9aacUL;
   tf->codes[19445] = 0x0001acdbac0a5911UL;
   tf->codes[19446] = 0x0001ad81bda4b5bfUL;
   tf->codes[19447] = 0x0001adb709d0f60cUL;
   tf->codes[19448] = 0x0001adba78324c97UL;
   tf->codes[19449] = 0x0001ae050a53a575UL;
   tf->codes[19450] = 0x0001ae207d5e59cdUL;
   tf->codes[19451] = 0x0001ae42929cb576UL;
   tf->codes[19452] = 0x0001ae45c66f063cUL;
   tf->codes[19453] = 0x0001aebec7f9f251UL;
   tf->codes[19454] = 0x0001aec56a2d99a2UL;
   tf->codes[19455] = 0x0001af5b78ac6272UL;
   tf->codes[19456] = 0x0001afcb194f61faUL;
   tf->codes[19457] = 0x0001afe9859d6153UL;
   tf->codes[19458] = 0x0001b0018a46bf20UL;
   tf->codes[19459] = 0x0001b0056dc62135UL;
   tf->codes[19460] = 0x0001b0df31a395cdUL;
   tf->codes[19461] = 0x0001b16e9deeb74cUL;
   tf->codes[19462] = 0x0001b18db9e9c7f4UL;
   tf->codes[19463] = 0x0001b1bd138f723fUL;
   tf->codes[19464] = 0x0001b1d5c7e5e15bUL;
   tf->codes[19465] = 0x0001b1deb3afc25eUL;
   tf->codes[19466] = 0x0001b1e764ea9d9cUL;
   tf->codes[19467] = 0x0001b21684014222UL;
   tf->codes[19468] = 0x0001b25b239c04feUL;
   tf->codes[19469] = 0x0001b2a6da887ab5UL;
   tf->codes[19470] = 0x0001b2af5134502eUL;
   tf->codes[19471] = 0x0001b315cb7e68eeUL;
   tf->codes[19472] = 0x0001b32b4c028744UL;
   tf->codes[19473] = 0x0001b3977e443041UL;
   tf->codes[19474] = 0x0001b3a7815fc41fUL;
   tf->codes[19475] = 0x0001b3ba432f9d39UL;
   tf->codes[19476] = 0x0001b3dc1ddef31dUL;
   tf->codes[19477] = 0x0001b3f3e7f94b25UL;
   tf->codes[19478] = 0x0001b403b085d93eUL;
   tf->codes[19479] = 0x0001b426ea8f51c0UL;
   tf->codes[19480] = 0x0001b4634e0d44e8UL;
   tf->codes[19481] = 0x0001b51878871e60UL;
   tf->codes[19482] = 0x0001b55cdd92db77UL;
   tf->codes[19483] = 0x0001b5b0d09c20e2UL;
   tf->codes[19484] = 0x0001b686eb89392aUL;
   tf->codes[19485] = 0x0001b69c6c0d5780UL;
   tf->codes[19486] = 0x0001b6dced99b282UL;
   tf->codes[19487] = 0x0001b775f55bc653UL;
   tf->codes[19488] = 0x0001b782ff340f30UL;
   tf->codes[19489] = 0x0001b7866d9565bbUL;
   tf->codes[19490] = 0x0001b7ba94f6892fUL;
   tf->codes[19491] = 0x0001b7be3de6e57fUL;
   tf->codes[19492] = 0x0001b7cb47bf2e5cUL;
   tf->codes[19493] = 0x0001b7f857ce9ef5UL;
   tf->codes[19494] = 0x0001b809452649e7UL;
   tf->codes[19495] = 0x0001b84c4ad7e460UL;
   tf->codes[19496] = 0x0001b8670e358769UL;
   tf->codes[19497] = 0x0001b88505657b38UL;
   tf->codes[19498] = 0x0001b8a2c2066942UL;
   tf->codes[19499] = 0x0001b8e1348b9057UL;
   tf->codes[19500] = 0x0001b90a9baaa4a0UL;
   tf->codes[19501] = 0x0001b9243a3d2ad0UL;
   tf->codes[19502] = 0x0001b9d5bbc6a7f8UL;
   tf->codes[19503] = 0x0001b9e4d4a624c2UL;
   tf->codes[19504] = 0x0001bb246320a0cbUL;
   tf->codes[19505] = 0x0001bb7bff1a4286UL;
   tf->codes[19506] = 0x0001bb98d17f197cUL;
   tf->codes[19507] = 0x0001bbc82b24c3c7UL;
   tf->codes[19508] = 0x0001bbd868cf5d6aUL;
   tf->codes[19509] = 0x0001bc20b15a7c96UL;
   tf->codes[19510] = 0x0001bc6bb899e0feUL;
   tf->codes[19511] = 0x0001bca3c37a6687UL;
   tf->codes[19512] = 0x0001bca4732777d6UL;
   tf->codes[19513] = 0x0001bcf482b15b2cUL;
   tf->codes[19514] = 0x0001bcfbd49213ccUL;
   tf->codes[19515] = 0x0001bd0bd7ada7aaUL;
   tf->codes[19516] = 0x0001bd4507594a0cUL;
   tf->codes[19517] = 0x0001bd7d8757db1fUL;
   tf->codes[19518] = 0x0001bd9d52fffd16UL;
   tf->codes[19519] = 0x0001bdaf9fb1caa6UL;
   tf->codes[19520] = 0x0001be474819bbd9UL;
   tf->codes[19521] = 0x0001be6713c1ddd0UL;
   tf->codes[19522] = 0x0001bec16e6fc4c7UL;
   tf->codes[19523] = 0x0001becc6940d9b7UL;
   tf->codes[19524] = 0x0001bf1c78cabd0dUL;
   tf->codes[19525] = 0x0001bf382664772aUL;
   tf->codes[19526] = 0x0001bff602192be0UL;
   tf->codes[19527] = 0x0001c0229d0a90efUL;
   tf->codes[19528] = 0x0001c0355eda6a09UL;
   tf->codes[19529] = 0x0001c15596cacfa5UL;
   tf->codes[19530] = 0x0001c179bb105f3bUL;
   tf->codes[19531] = 0x0001c1a914b60986UL;
   tf->codes[19532] = 0x0001c1c74675031aUL;
   tf->codes[19533] = 0x0001c1dab7f1ed83UL;
   tf->codes[19534] = 0x0001c206a3364143UL;
   tf->codes[19535] = 0x0001c25d1a64c625UL;
   tf->codes[19536] = 0x0001c27d95b9f96bUL;
   tf->codes[19537] = 0x0001c302f1701d0eUL;
   tf->codes[19538] = 0x0001c31d3fafb48dUL;
   tf->codes[19539] = 0x0001c33962677a34UL;
   tf->codes[19540] = 0x0001c33d8075e20eUL;
   tf->codes[19541] = 0x0001c3b08f7a3821UL;
   tf->codes[19542] = 0x0001c411173dbadfUL;
   tf->codes[19543] = 0x0001c4445462c73fUL;
   tf->codes[19544] = 0x0001c4469df900f1UL;
   tf->codes[19545] = 0x0001c44f14a4d66aUL;
   tf->codes[19546] = 0x0001c47756f8cddaUL;
   tf->codes[19547] = 0x0001c477cc16d964UL;
   tf->codes[19548] = 0x0001c49a56734097UL;
   tf->codes[19549] = 0x0001c4c7dba0bcbaUL;
   tf->codes[19550] = 0x0001c4dd2195d54bUL;
   tf->codes[19551] = 0x0001c4e2d98d6588UL;
   tf->codes[19552] = 0x0001c542ec32dcbcUL;
   tf->codes[19553] = 0x0001c544fb3a10a9UL;
   tf->codes[19554] = 0x0001c550a5b836e8UL;
   tf->codes[19555] = 0x0001c55f4979a828UL;
   tf->codes[19556] = 0x0001c5f816acb634UL;
   tf->codes[19557] = 0x0001c6468c4d7127UL;
   tf->codes[19558] = 0x0001c64bcf26f5daUL;
   tf->codes[19559] = 0x0001c680e0c43062UL;
   tf->codes[19560] = 0x0001c6f37aaa7aebUL;
   tf->codes[19561] = 0x0001c72b858b0074UL;
   tf->codes[19562] = 0x0001c750ce9bace3UL;
   tf->codes[19563] = 0x0001c7b78374cb68UL;
   tf->codes[19564] = 0x0001c7bd75fb616aUL;
   tf->codes[19565] = 0x0001c7c3a310fd31UL;
   tf->codes[19566] = 0x0001c7cf881e2935UL;
   tf->codes[19567] = 0x0001c7d455d9a25eUL;
   tf->codes[19568] = 0x0001c7de2bdf9a75UL;
   tf->codes[19569] = 0x0001c8484f1a0f85UL;
   tf->codes[19570] = 0x0001c886fc2e3c5fUL;
   tf->codes[19571] = 0x0001c8a94bfb9dcdUL;
   tf->codes[19572] = 0x0001c8b3d1aea733UL;
   tf->codes[19573] = 0x0001c8e241183a6aUL;
   tf->codes[19574] = 0x0001c8ea7d350a1eUL;
   tf->codes[19575] = 0x0001c90fc645b68dUL;
   tf->codes[19576] = 0x0001c9124a6af604UL;
   tf->codes[19577] = 0x0001c91334a70d18UL;
   tf->codes[19578] = 0x0001c95e76757745UL;
   tf->codes[19579] = 0x0001c976f03ce09cUL;
   tf->codes[19580] = 0x0001c985ce8d57a1UL;
   tf->codes[19581] = 0x0001c9cae3462607UL;
   tf->codes[19582] = 0x0001c9e7b5aafcfdUL;
   tf->codes[19583] = 0x0001caab83e647b5UL;
   tf->codes[19584] = 0x0001caf391e2611cUL;
   tf->codes[19585] = 0x0001cb08d7d779adUL;
   tf->codes[19586] = 0x0001cb2b6233e0e0UL;
   tf->codes[19587] = 0x0001cb73702ffa47UL;
   tf->codes[19588] = 0x0001cbb7d53bb75eUL;
   tf->codes[19589] = 0x0001cbc763393fb2UL;
   tf->codes[19590] = 0x0001cbe6b9c3561fUL;
   tf->codes[19591] = 0x0001cc03c6b732daUL;
   tf->codes[19592] = 0x0001cc54fb0c3309UL;
   tf->codes[19593] = 0x0001cc644e7ab598UL;
   tf->codes[19594] = 0x0001cd1854297237UL;
   tf->codes[19595] = 0x0001cd1cacc6dfd6UL;
   tf->codes[19596] = 0x0001cd1dd191fcafUL;
   tf->codes[19597] = 0x0001cd4f3a3edae7UL;
   tf->codes[19598] = 0x0001cdd8ee926c29UL;
   tf->codes[19599] = 0x0001cde28a095e7bUL;
   tf->codes[19600] = 0x0001cdfd87f60749UL;
   tf->codes[19601] = 0x0001ce3fa36b8aaeUL;
   tf->codes[19602] = 0x0001ce759f44dc4aUL;
   tf->codes[19603] = 0x0001cec4c492a88cUL;
   tf->codes[19604] = 0x0001cec623eccb2aUL;
   tf->codes[19605] = 0x0001cec6990ad6b4UL;
   tf->codes[19606] = 0x0001cedb69e1e3bbUL;
   tf->codes[19607] = 0x0001cf22c830ebd3UL;
   tf->codes[19608] = 0x0001cf64a9176973UL;
   tf->codes[19609] = 0x0001cf7bfe13b5f1UL;
   tf->codes[19610] = 0x0001cfe23dcec8ecUL;
   tf->codes[19611] = 0x0001cff2f0976e19UL;
   tf->codes[19612] = 0x0001d03964aa5f1dUL;
   tf->codes[19613] = 0x0001d045f9649c70UL;
   tf->codes[19614] = 0x0001d063b6058a7aUL;
   tf->codes[19615] = 0x0001d076b2646959UL;
   tf->codes[19616] = 0x0001d08605d2ebe8UL;
   tf->codes[19617] = 0x0001d09c36041b8dUL;
   tf->codes[19618] = 0x0001d0f2ad32a06fUL;
   tf->codes[19619] = 0x0001d180f4b2a515UL;
   tf->codes[19620] = 0x0001d1be7cfbb516UL;
   tf->codes[19621] = 0x0001d1ec3cb836feUL;
   tf->codes[19622] = 0x0001d24ab57485cfUL;
   tf->codes[19623] = 0x0001d2896288b2a9UL;
   tf->codes[19624] = 0x0001d2bb40539c6bUL;
   tf->codes[19625] = 0x0001d2eb0f175240UL;
   tf->codes[19626] = 0x0001d2f88e0da6a7UL;
   tf->codes[19627] = 0x0001d31efbe96fefUL;
   tf->codes[19628] = 0x0001d31fab96813eUL;
   tf->codes[19629] = 0x0001d35189616b00UL;
   tf->codes[19630] = 0x0001d387bfc9c261UL;
   tf->codes[19631] = 0x0001d39d7adce67cUL;
   tf->codes[19632] = 0x0001d3d426634967UL;
   tf->codes[19633] = 0x0001d415922bbb7dUL;
   tf->codes[19634] = 0x0001d4481fa3b68eUL;
   tf->codes[19635] = 0x0001d44f71846f2eUL;
   tf->codes[19636] = 0x0001d4756a422cecUL;
   tf->codes[19637] = 0x0001d47ecb2a1979UL;
   tf->codes[19638] = 0x0001d4d0749d2532UL;
   tf->codes[19639] = 0x0001d4ff1e95be2eUL;
   tf->codes[19640] = 0x0001d53eb5e6021cUL;
   tf->codes[19641] = 0x0001d5601b774c76UL;
   tf->codes[19642] = 0x0001d5717ded02f2UL;
   tf->codes[19643] = 0x0001d57fac9068a8UL;
   tf->codes[19644] = 0x0001d587738f2cd2UL;
   tf->codes[19645] = 0x0001d5ddb02eabefUL;
   tf->codes[19646] = 0x0001d5f9d2e67196UL;
   tf->codes[19647] = 0x0001d60542d59210UL;
   tf->codes[19648] = 0x0001d612c1cbe677UL;
   tf->codes[19649] = 0x0001d668142f4e80UL;
   tf->codes[19650] = 0x0001d6ac793b0b97UL;
   tf->codes[19651] = 0x0001d6c4b8736f29UL;
   tf->codes[19652] = 0x0001d6d9c3d981f5UL;
   tf->codes[19653] = 0x0001d6da73869344UL;
   tf->codes[19654] = 0x0001d784ddbe5d91UL;
   tf->codes[19655] = 0x0001d7879c72a2cdUL;
   tf->codes[19656] = 0x0001d7eaa85b6502UL;
   tf->codes[19657] = 0x0001d7fbd04215b9UL;
   tf->codes[19658] = 0x0001d824c2431e78UL;
   tf->codes[19659] = 0x0001d82b6476c5c9UL;
   tf->codes[19660] = 0x0001d8a5503dc8f2UL;
   tf->codes[19661] = 0x0001d8a933bd2b07UL;
   tf->codes[19662] = 0x0001d8dbfbc42bddUL;
   tf->codes[19663] = 0x0001d8de455a658fUL;
   tf->codes[19664] = 0x0001d9936fd43f07UL;
   tf->codes[19665] = 0x0001d9a163e89ef8UL;
   tf->codes[19666] = 0x0001d9d8848d0d6dUL;
   tf->codes[19667] = 0x0001d9e971e4b85fUL;
   tf->codes[19668] = 0x0001d9f72b6a128bUL;
   tf->codes[19669] = 0x0001da5e8ff0425fUL;
   tf->codes[19670] = 0x0001da87bc8050e3UL;
   tf->codes[19671] = 0x0001dac7c8eea05bUL;
   tf->codes[19672] = 0x0001dae8b961df2bUL;
   tf->codes[19673] = 0x0001db44e887f44aUL;
   tf->codes[19674] = 0x0001db74f1daafe4UL;
   tf->codes[19675] = 0x0001dbef52bfbe97UL;
   tf->codes[19676] = 0x0001dbf45b0a3d85UL;
   tf->codes[19677] = 0x0001dc1bedb123a6UL;
   tf->codes[19678] = 0x0001dc41abdfdb9fUL;
   tf->codes[19679] = 0x0001dc6e0c423ae9UL;
   tf->codes[19680] = 0x0001dc7941a2559eUL;
   tf->codes[19681] = 0x0001dcab59fc4525UL;
   tf->codes[19682] = 0x0001dcc0656257f1UL;
   tf->codes[19683] = 0x0001dd46e5e3986dUL;
   tf->codes[19684] = 0x0001dd5131079c0eUL;
   tf->codes[19685] = 0x0001dd6b0a292803UL;
   tf->codes[19686] = 0x0001ddf18aaa687fUL;
   tf->codes[19687] = 0x0001de57ca657b7aUL;
   tf->codes[19688] = 0x0001de663397e6f5UL;
   tf->codes[19689] = 0x0001de9468727467UL;
   tf->codes[19690] = 0x0001dec5d11f529fUL;
   tf->codes[19691] = 0x0001defe168eddedUL;
   tf->codes[19692] = 0x0001df0f3e758ea4UL;
   tf->codes[19693] = 0x0001df58e65ad06eUL;
   tf->codes[19694] = 0x0001df695e946fd6UL;
   tf->codes[19695] = 0x0001dfddccf2e887UL;
   tf->codes[19696] = 0x0001dff521ef3505UL;
   tf->codes[19697] = 0x0001e014035b3fe8UL;
   tf->codes[19698] = 0x0001e0c54a55b74bUL;
   tf->codes[19699] = 0x0001e0d8f661a779UL;
   tf->codes[19700] = 0x0001e0f3b9bf4a82UL;
   tf->codes[19701] = 0x0001e1276c02626cUL;
   tf->codes[19702] = 0x0001e133c62d99faUL;
   tf->codes[19703] = 0x0001e13c77687538UL;
   tf->codes[19704] = 0x0001e160d63d0a93UL;
   tf->codes[19705] = 0x0001e187f3c5e52aUL;
   tf->codes[19706] = 0x0001e1c5f12d00b5UL;
   tf->codes[19707] = 0x0001e1ebaf5bb8aeUL;
   tf->codes[19708] = 0x0001e2075cf572cbUL;
   tf->codes[19709] = 0x0001e27ae117d468UL;
   tf->codes[19710] = 0x0001e2e2802d0a01UL;
   tf->codes[19711] = 0x0001e365924cf3f2UL;
   tf->codes[19712] = 0x0001e3e0a2df13f4UL;
   tf->codes[19713] = 0x0001e4471d292cb4UL;
   tf->codes[19714] = 0x0001e4825bdc0303UL;
   tf->codes[19715] = 0x0001e49607e7f331UL;
   tf->codes[19716] = 0x0001e4c3c7a47519UL;
   tf->codes[19717] = 0x0001e4ea35803e61UL;
   tf->codes[19718] = 0x0001e4ef7859c314UL;
   tf->codes[19719] = 0x0001e57c607fa51cUL;
   tf->codes[19720] = 0x0001e5812e3b1e45UL;
   tf->codes[19721] = 0x0001e619fb6e2c51UL;
   tf->codes[19722] = 0x0001e6e17299d359UL;
   tf->codes[19723] = 0x0001e749fbeb2006UL;
   tf->codes[19724] = 0x0001e77d739f322bUL;
   tf->codes[19725] = 0x0001e7886e70471bUL;
   tf->codes[19726] = 0x0001e799d0e5fd97UL;
   tf->codes[19727] = 0x0001e79f13bf824aUL;
   tf->codes[19728] = 0x0001e7e219711cc3UL;
   tf->codes[19729] = 0x0001e86b1e179cb6UL;
   tf->codes[19730] = 0x0001e878d79cf6e2UL;
   tf->codes[19731] = 0x0001e8f19e98dd32UL;
   tf->codes[19732] = 0x0001e929a97962bbUL;
   tf->codes[19733] = 0x0001e937286fb722UL;
   tf->codes[19734] = 0x0001e983c99843edUL;
   tf->codes[19735] = 0x0001ea392ea1232aUL;
   tf->codes[19736] = 0x0001ea54a1abd782UL;
   tf->codes[19737] = 0x0001eabcb5df18a5UL;
   tf->codes[19738] = 0x0001eabddaaa357eUL;
   tf->codes[19739] = 0x0001eb53e928fe4eUL;
   tf->codes[19740] = 0x0001eb66aaf8d768UL;
   tf->codes[19741] = 0x0001eb9729699e8cUL;
   tf->codes[19742] = 0x0001ebb3c13f6fbdUL;
   tf->codes[19743] = 0x0001ebe6c3d57658UL;
   tf->codes[19744] = 0x0001ec132437d5a2UL;
   tf->codes[19745] = 0x0001ec73abfb5860UL;
   tf->codes[19746] = 0x0001eca42a6c1f84UL;
   tf->codes[19747] = 0x0001ecd51dfaf232UL;
   tf->codes[19748] = 0x0001ecf599502578UL;
   tf->codes[19749] = 0x0001ed34bb825ddcUL;
   tf->codes[19750] = 0x0001ed3d6cbd391aUL;
   tf->codes[19751] = 0x0001ed3e1c6a4a69UL;
   tf->codes[19752] = 0x0001ed520305405cUL;
   tf->codes[19753] = 0x0001ed9877183160UL;
   tf->codes[19754] = 0x0001ed9f8e69e43bUL;
   tf->codes[19755] = 0x0001eda546617478UL;
   tf->codes[19756] = 0x0001edadf79c4fb6UL;
   tf->codes[19757] = 0x0001ee4b1d6ccb61UL;
   tf->codes[19758] = 0x0001ef096e3f8ba1UL;
   tf->codes[19759] = 0x0001ef75a081349eUL;
   tf->codes[19760] = 0x0001efa1c6548e23UL;
   tf->codes[19761] = 0x0001efa7f36a29eaUL;
   tf->codes[19762] = 0x0001efbe98b96519UL;
   tf->codes[19763] = 0x0001efc06d319341UL;
   tf->codes[19764] = 0x0001efe2f78dfa74UL;
   tf->codes[19765] = 0x0001f007cb809b59UL;
   tf->codes[19766] = 0x0001f00baefffd6eUL;
   tf->codes[19767] = 0x0001f0154a76efc0UL;
   tf->codes[19768] = 0x0001f04eef409dacUL;
   tf->codes[19769] = 0x0001f05bbe89e0c4UL;
   tf->codes[19770] = 0x0001f09b90692a77UL;
   tf->codes[19771] = 0x0001f0b9127b12bcUL;
   tf->codes[19772] = 0x0001f0ce58702b4dUL;
   tf->codes[19773] = 0x0001f1136d28f9b3UL;
   tf->codes[19774] = 0x0001f1ae49633bacUL;
   tf->codes[19775] = 0x0001f1b0586a6f99UL;
   tf->codes[19776] = 0x0001f222f250ba22UL;
   tf->codes[19777] = 0x0001f24a4a689a7eUL;
   tf->codes[19778] = 0x0001f2b25e9bdba1UL;
   tf->codes[19779] = 0x0001f2bef35618f4UL;
   tf->codes[19780] = 0x0001f399dbfeaa65UL;
   tf->codes[19781] = 0x0001f3af5c82c8bbUL;
   tf->codes[19782] = 0x0001f3cbb9c99427UL;
   tf->codes[19783] = 0x0001f40bc637e39fUL;
   tf->codes[19784] = 0x0001f43da402cd61UL;
   tf->codes[19785] = 0x0001f467f55df8beUL;
   tf->codes[19786] = 0x0001f47a420fc64eUL;
   tf->codes[19787] = 0x0001f4a99bb57099UL;
   tf->codes[19788] = 0x0001f4ba890d1b8bUL;
   tf->codes[19789] = 0x0001f500c29106caUL;
   tf->codes[19790] = 0x0001f508feadd67eUL;
   tf->codes[19791] = 0x0001f51a9bb292bfUL;
   tf->codes[19792] = 0x0001f561bf729512UL;
   tf->codes[19793] = 0x0001f594125b8a5eUL;
   tf->codes[19794] = 0x0001f5aa428cba03UL;
   tf->codes[19795] = 0x0001f5c4563d4bbdUL;
   tf->codes[19796] = 0x0001f5d36f1cc887UL;
   tf->codes[19797] = 0x0001f5e2c28b4b16UL;
   tf->codes[19798] = 0x0001f60f980bb5eaUL;
   tf->codes[19799] = 0x0001f62eb406c692UL;
   tf->codes[19800] = 0x0001f63222681d1dUL;
   tf->codes[19801] = 0x0001f63b835009aaUL;
   tf->codes[19802] = 0x0001f67946281f70UL;
   tf->codes[19803] = 0x0001f67a6af33c49UL;
   tf->codes[19804] = 0x0001f6a5316c7330UL;
   tf->codes[19805] = 0x0001f6d27c0ae98eUL;
   tf->codes[19806] = 0x0001f70dbabdbfddUL;
   tf->codes[19807] = 0x0001f7981ebe626eUL;
   tf->codes[19808] = 0x0001f7b47c052ddaUL;
   tf->codes[19809] = 0x0001f7f990bdfc40UL;
   tf->codes[19810] = 0x0001f7fb2aa724a3UL;
   tf->codes[19811] = 0x0001f812f4c17cabUL;
   tf->codes[19812] = 0x0001f83b3715741bUL;
   tf->codes[19813] = 0x0001f83be6c2856aUL;
   tf->codes[19814] = 0x0001f85e368fe6d8UL;
   tf->codes[19815] = 0x0001f8672259c7dbUL;
   tf->codes[19816] = 0x0001f8855418c16fUL;
   tf->codes[19817] = 0x0001f8a88e2239f1UL;
   tf->codes[19818] = 0x0001f8bfe31e866fUL;
   tf->codes[19819] = 0x0001f90aea5dead7UL;
   tf->codes[19820] = 0x0001f927bcc2c1cdUL;
   tf->codes[19821] = 0x0001f93e9ca102c1UL;
   tf->codes[19822] = 0x0001f9453ed4aa12UL;
   tf->codes[19823] = 0x0001f949977217b1UL;
   tf->codes[19824] = 0x0001f95039a5bf02UL;
   tf->codes[19825] = 0x0001f975bd457136UL;
   tf->codes[19826] = 0x0001f9ab0971b183UL;
   tf->codes[19827] = 0x0001f9b972a41cfeUL;
   tf->codes[19828] = 0x0001f9e3fe8e4e20UL;
   tf->codes[19829] = 0x0001f9e9f114e422UL;
   tf->codes[19830] = 0x0001fa1a6f85ab46UL;
   tf->codes[19831] = 0x0001fa27043fe899UL;
   tf->codes[19832] = 0x0001fa32742f0913UL;
   tf->codes[19833] = 0x0001fa68357954eaUL;
   tf->codes[19834] = 0x0001fa769eabc065UL;
   tf->codes[19835] = 0x0001fa787323ee8dUL;
   tf->codes[19836] = 0x0001fab7955626f1UL;
   tf->codes[19837] = 0x0001fae76419dcc6UL;
   tf->codes[19838] = 0x0001fb50d7a74087UL;
   tf->codes[19839] = 0x0001fb67f2148740UL;
   tf->codes[19840] = 0x0001fb6daa0c177dUL;
   tf->codes[19841] = 0x0001fb7bd8af7d33UL;
   tf->codes[19842] = 0x0001fb7cfd7a9a0cUL;
   tf->codes[19843] = 0x0001fb7fbc2edf48UL;
   tf->codes[19844] = 0x0001fba1d16d3af1UL;
   tf->codes[19845] = 0x0001fbb8ebda81aaUL;
   tf->codes[19846] = 0x0001fbe511addb2fUL;
   tf->codes[19847] = 0x0001fbf7d37db449UL;
   tf->codes[19848] = 0x0001fd02505af5caUL;
   tf->codes[19849] = 0x0001fd0b76b3dc92UL;
   tf->codes[19850] = 0x0001fd3dc99cd1deUL;
   tf->codes[19851] = 0x0001fd43bc2367e0UL;
   tf->codes[19852] = 0x0001fd6e829c9ec7UL;
   tf->codes[19853] = 0x0001fdb82a81e091UL;
   tf->codes[19854] = 0x0001fdd7f62a0288UL;
   tf->codes[19855] = 0x0001fdde5dcea414UL;
   tf->codes[19856] = 0x0001fdfba5518694UL;
   tf->codes[19857] = 0x0001fe400a5d43abUL;
   tf->codes[19858] = 0x0001fe5bf286038dUL;
   tf->codes[19859] = 0x0001fe7bbe2e2584UL;
   tf->codes[19860] = 0x0001fe86f38e4039UL;
   tf->codes[19861] = 0x0001fe9646fcc2c8UL;
   tf->codes[19862] = 0x0001fe9ce9306a19UL;
   tf->codes[19863] = 0x0001fed5a3be00f1UL;
   tf->codes[19864] = 0x0001ff14c5f03955UL;
   tf->codes[19865] = 0x0001ff2a81035d70UL;
   tf->codes[19866] = 0x0001ff7f5e48b9efUL;
   tf->codes[19867] = 0x0001ffadcdb24d26UL;
   tf->codes[19868] = 0x0001ffc68208bc42UL;
   tf->codes[19869] = 0x0001ffe7727bfb12UL;
   tf->codes[19870] = 0x00000087918fc1beUL;
   tf->codes[19871] = 0x0000008a15b50135UL;
   tf->codes[19872] = 0x000000bc689df681UL;
   tf->codes[19873] = 0x000001347feccb82UL;
   tf->codes[19874] = 0x000001444879599bUL;
   tf->codes[19875] = 0x0000015570600a52UL;
   tf->codes[19876] = 0x0000016a41371759UL;
   tf->codes[19877] = 0x000001b07abb0298UL;
   tf->codes[19878] = 0x000001e1a8d8db0bUL;
   tf->codes[19879] = 0x0000025cb96afb0dUL;
   tf->codes[19880] = 0x000002a208b2cf38UL;
   tf->codes[19881] = 0x000003685b135967UL;
   tf->codes[19882] = 0x00000393d139a19dUL;
   tf->codes[19883] = 0x000003a065f3def0UL;
   tf->codes[19884] = 0x000003c44faa68c1UL;
   tf->codes[19885] = 0x000003cb2c6d15d7UL;
   tf->codes[19886] = 0x000004228dd7b1cdUL;
   tf->codes[19887] = 0x00000456401ac9b7UL;
   tf->codes[19888] = 0x000004a05d1e170bUL;
   tf->codes[19889] = 0x000005045342f054UL;
   tf->codes[19890] = 0x00000543ea933442UL;
   tf->codes[19891] = 0x000005533e01b6d1UL;
   tf->codes[19892] = 0x000005ab89a869dbUL;
   tf->codes[19893] = 0x000005e4443600b3UL;
   tf->codes[19894] = 0x00000622419d1c3eUL;
   tf->codes[19895] = 0x000006521060d213UL;
   tf->codes[19896] = 0x000006c13be5c611UL;
   tf->codes[19897] = 0x000006e6fa147e0aUL;
   tf->codes[19898] = 0x00000701f80126d8UL;
   tf->codes[19899] = 0x0000076997165c71UL;
   tf->codes[19900] = 0x0000079b3a52406eUL;
   tf->codes[19901] = 0x000007a7947d77fcUL;
   tf->codes[19902] = 0x000007c79ab49fb8UL;
   tf->codes[19903] = 0x000007f72ee94fc8UL;
   tf->codes[19904] = 0x000007f9ed9d9504UL;
   tf->codes[19905] = 0x000008fd189a1de5UL;
   tf->codes[19906] = 0x000009125e8f3676UL;
   tf->codes[19907] = 0x000009210250a7b6UL;
   tf->codes[19908] = 0x000009231157dba3UL;
   tf->codes[19909] = 0x000009497f33a4ebUL;
   tf->codes[19910] = 0x0000095a31fc4a18UL;
   tf->codes[19911] = 0x0000098323fd52d7UL;
   tf->codes[19912] = 0x000009a2efa574ceUL;
   tf->codes[19913] = 0x000009e78f4037aaUL;
   tf->codes[19914] = 0x00000a297026b54aUL;
   tf->codes[19915] = 0x00000a67e2abdc5fUL;
   tf->codes[19916] = 0x00000a852a2ebedfUL;
   tf->codes[19917] = 0x00000ac39cb3e5f4UL;
   tf->codes[19918] = 0x00000ae53cd43613UL;
   tf->codes[19919] = 0x00000bdda78eafc9UL;
   tf->codes[19920] = 0x00000c5d10be3d6aUL;
   tf->codes[19921] = 0x00000c8a5b5cb3c8UL;
   tf->codes[19922] = 0x00000cfe549d20efUL;
   tf->codes[19923] = 0x00000d039776a5a2UL;
   tf->codes[19924] = 0x00000db9719d9069UL;
   tf->codes[19925] = 0x00000dfd9c1a47bbUL;
   tf->codes[19926] = 0x00000ea3e843aa2eUL;
   tf->codes[19927] = 0x00000eb8096da5e6UL;
   tf->codes[19928] = 0x00000ee1708cba2fUL;
   tf->codes[19929] = 0x00000f682b9d0070UL;
   tf->codes[19930] = 0x00000f7f80994ceeUL;
   tf->codes[19931] = 0x00000f93dc524e6bUL;
   tf->codes[19932] = 0x00000f96d595996cUL;
   tf->codes[19933] = 0x00000fa20af5b421UL;
   tf->codes[19934] = 0x00001026f18dcc3aUL;
   tf->codes[19935] = 0x000010293b2405ecUL;
   tf->codes[19936] = 0x0000108bd1eebc97UL;
   tf->codes[19937] = 0x000010aa78cbc1b5UL;
   tf->codes[19938] = 0x0000111969c1afeeUL;
   tf->codes[19939] = 0x0000112f99f2df93UL;
   tf->codes[19940] = 0x000011530e8b5ddaUL;
   tf->codes[19941] = 0x0000119b1c877741UL;
   tf->codes[19942] = 0x000011dab3d7bb2fUL;
   tf->codes[19943] = 0x000011df81933458UL;
   tf->codes[19944] = 0x000012350e85a226UL;
   tf->codes[19945] = 0x0000128a265a046aUL;
   tf->codes[19946] = 0x000012a0cba93f99UL;
   tf->codes[19947] = 0x00001318a8690ed5UL;
   tf->codes[19948] = 0x0000135929f569d7UL;
   tf->codes[19949] = 0x000013b9020bdb46UL;
   tf->codes[19950] = 0x000013d475168f9eUL;
   tf->codes[19951] = 0x00001473a9ee3f36UL;
   tf->codes[19952] = 0x0000148bae979d03UL;
   tf->codes[19953] = 0x000015256606c223UL;
   tf->codes[19954] = 0x0000155fba7d815eUL;
   tf->codes[19955] = 0x000015a494a749ffUL;
   tf->codes[19956] = 0x000015d3792ee8c0UL;
   tf->codes[19957] = 0x000015e4a1159977UL;
   tf->codes[19958] = 0x000016459df727bfUL;
   tf->codes[19959] = 0x000016dfca845869UL;
   tf->codes[19960] = 0x000016e50d5ddd1cUL;
   tf->codes[19961] = 0x00001707d2494a14UL;
   tf->codes[19962] = 0x0000179ecb0429f8UL;
   tf->codes[19963] = 0x000017a4bd8abffaUL;
   tf->codes[19964] = 0x0000185345d0f221UL;
   tf->codes[19965] = 0x0000186b0feb4a29UL;
   tf->codes[19966] = 0x00001872d6ea0e53UL;
   tf->codes[19967] = 0x0000188598b9e76dUL;
   tf->codes[19968] = 0x000018dcbf957d9eUL;
   tf->codes[19969] = 0x0000198a982e9e76UL;
   tf->codes[19970] = 0x000019b857eb205eUL;
   tf->codes[19971] = 0x000019d90dcf5969UL;
   tf->codes[19972] = 0x000019e31e645745UL;
   tf->codes[19973] = 0x000019f2ac61df99UL;
   tf->codes[19974] = 0x00001a7beb976551UL;
   tf->codes[19975] = 0x00001a8ac9e7dc56UL;
   tf->codes[19976] = 0x00001aab0aae09d7UL;
   tf->codes[19977] = 0x00001ac901ddfda6UL;
   tf->codes[19978] = 0x00001b1234a533e6UL;
   tf->codes[19979] = 0x00001c238e45227dUL;
   tf->codes[19980] = 0x00001c35a067ea48UL;
   tf->codes[19981] = 0x00001c36ffc20ce6UL;
   tf->codes[19982] = 0x00001cee39431a4bUL;
   tf->codes[19983] = 0x00001d02cf8b218dUL;
   tf->codes[19984] = 0x00001d1fdc7efe48UL;
   tf->codes[19985] = 0x00001d28c848df4bUL;
   tf->codes[19986] = 0x00001d7394f93deeUL;
   tf->codes[19987] = 0x00001d87f0b23f6bUL;
   tf->codes[19988] = 0x00001da7bc5a6162UL;
   tf->codes[19989] = 0x00001dc20a99f8e1UL;
   tf->codes[19990] = 0x00001e940778a94fUL;
   tf->codes[19991] = 0x00001f3c281a39eaUL;
   tf->codes[19992] = 0x00001f404628a1c4UL;
   tf->codes[19993] = 0x00001f7299119710UL;
   tf->codes[19994] = 0x00001fe1c4968b0eUL;
   tf->codes[19995] = 0x0000200364b6db2dUL;
   tf->codes[19996] = 0x00002028733881d7UL;
   tf->codes[19997] = 0x000020c2da54b846UL;
   tf->codes[19998] = 0x000020c8924c4883UL;
   tf->codes[19999] = 0x000020f94b4c156cUL;
   tf->codes[20000] = 0x00002125abae74b6UL;
   tf->codes[20001] = 0x000021344f6fe5f6UL;
   tf->codes[20002] = 0x00002178b47ba30dUL;
   tf->codes[20003] = 0x00002188b79736ebUL;
   tf->codes[20004] = 0x000021e76ae28b81UL;
   tf->codes[20005] = 0x000021fceb66a9d7UL;
   tf->codes[20006] = 0x0000228f50f51657UL;
   tf->codes[20007] = 0x0000229f5410aa35UL;
   tf->codes[20008] = 0x000022a7559e7424UL;
   tf->codes[20009] = 0x000022fb0e18b3caUL;
   tf->codes[20010] = 0x000023f6378772bcUL;
   tf->codes[20011] = 0x0000244905c59b4eUL;
   tf->codes[20012] = 0x00002465287d60f5UL;
   tf->codes[20013] = 0x00002499ff8b95b8UL;
   tf->codes[20014] = 0x000024b4fd783e86UL;
   tf->codes[20015] = 0x000024eba8fea171UL;
   tf->codes[20016] = 0x0000255a99f48faaUL;
   tf->codes[20017] = 0x000025876f74fa7eUL;
   tf->codes[20018] = 0x000025b395485403UL;
   tf->codes[20019] = 0x000025b94d3fe440UL;
   tf->codes[20020] = 0x000025c5324d1044UL;
   tf->codes[20021] = 0x000025f0a873587aUL;
   tf->codes[20022] = 0x00002670c14ff76aUL;
   tf->codes[20023] = 0x000026763eb881e2UL;
   tf->codes[20024] = 0x000026804f4d7fbeUL;
   tf->codes[20025] = 0x0000268174189c97UL;
   tf->codes[20026] = 0x000026a3fe7503caUL;
   tf->codes[20027] = 0x000026bfac0ebde7UL;
   tf->codes[20028] = 0x000026e89e0fc6a6UL;
   tf->codes[20029] = 0x000026ede0e94b59UL;
   tf->codes[20030] = 0x00002719570f938fUL;
   tf->codes[20031] = 0x0000273be16bfac2UL;
   tf->codes[20032] = 0x0000281704a391f8UL;
   tf->codes[20033] = 0x000028406bc2a641UL;
   tf->codes[20034] = 0x0000285b2f20494aUL;
   tf->codes[20035] = 0x00002864ca973b9cUL;
   tf->codes[20036] = 0x0000289f599d009cUL;
   tf->codes[20037] = 0x000028a1a3333a4eUL;
   tf->codes[20038] = 0x000028d0129ccd85UL;
   tf->codes[20039] = 0x00002983689e78d5UL;
   tf->codes[20040] = 0x00002986d6ffcf60UL;
   tf->codes[20041] = 0x0000299b6d47d6a2UL;
   tf->codes[20042] = 0x0000299f163832f2UL;
   tf->codes[20043] = 0x000029b78fff9c49UL;
   tf->codes[20044] = 0x00002a3b8c5b9d4eUL;
   tf->codes[20045] = 0x00002a477168c952UL;
   tf->codes[20046] = 0x00002a7237e20039UL;
   tf->codes[20047] = 0x00002a882d842a19UL;
   tf->codes[20048] = 0x00002acb6dc4ca57UL;
   tf->codes[20049] = 0x00002aff5a96e806UL;
   tf->codes[20050] = 0x00002b121c66c120UL;
   tf->codes[20051] = 0x00002b24a3a79475UL;
   tf->codes[20052] = 0x00002b576bae954bUL;
   tf->codes[20053] = 0x00002b66bf1d17daUL;
   tf->codes[20054] = 0x00002bab5eb7dab6UL;
   tf->codes[20055] = 0x00002c64e1cf21cdUL;
   tf->codes[20056] = 0x00002c876c2b8900UL;
   tf->codes[20057] = 0x00002c9943bf4b06UL;
   tf->codes[20058] = 0x00002cca71dd2379UL;
   tf->codes[20059] = 0x00002cdde35a0de2UL;
   tf->codes[20060] = 0x00002ce98dd83421UL;
   tf->codes[20061] = 0x00002d120abb3156UL;
   tf->codes[20062] = 0x00002d257c381bbfUL;
   tf->codes[20063] = 0x00002db9b63eb667UL;
   tf->codes[20064] = 0x00002dd59e677649UL;
   tf->codes[20065] = 0x00002e2c8ab406b5UL;
   tf->codes[20066] = 0x00002e3451b2cadfUL;
   tf->codes[20067] = 0x00002ee22a4bebb7UL;
   tf->codes[20068] = 0x00002f6e2835b6abUL;
   tf->codes[20069] = 0x00002f82be7dbdedUL;
   tf->codes[20070] = 0x00002f966a89ae1bUL;
   tf->codes[20071] = 0x00002fea9821f94bUL;
   tf->codes[20072] = 0x000030252727be4bUL;
   tf->codes[20073] = 0x00003028958914d6UL;
   tf->codes[20074] = 0x0000302d63448dffUL;
   tf->codes[20075] = 0x000030d8429a63d6UL;
   tf->codes[20076] = 0x000030fb7ca3dc58UL;
   tf->codes[20077] = 0x0000313437317330UL;
   tf->codes[20078] = 0x00003168d3b0a22eUL;
   tf->codes[20079] = 0x0000317a70b55e6fUL;
   tf->codes[20080] = 0x00003183d19d4afcUL;
   tf->codes[20081] = 0x00003248ff32b852UL;
   tf->codes[20082] = 0x0000328efe279dccUL;
   tf->codes[20083] = 0x000032ce9577e1baUL;
   tf->codes[20084] = 0x000032f57871b68cUL;
   tf->codes[20085] = 0x00003345fd19a56cUL;
   tf->codes[20086] = 0x000033bb90433af6UL;
   tf->codes[20087] = 0x000033c73ac16135UL;
   tf->codes[20088] = 0x000033f1518d86cdUL;
   tf->codes[20089] = 0x000034692e4d5609UL;
   tf->codes[20090] = 0x00003472c9c4485bUL;
   tf->codes[20091] = 0x0000348fd6b82516UL;
   tf->codes[20092] = 0x000034d092d385ddUL;
   tf->codes[20093] = 0x00003500270835edUL;
   tf->codes[20094] = 0x00003557fd90dd6dUL;
   tf->codes[20095] = 0x00003569600693e9UL;
   tf->codes[20096] = 0x0000358b7544ef92UL;
   tf->codes[20097] = 0x0000358e6e883a93UL;
   tf->codes[20098] = 0x0000359dfc85c2e7UL;
   tf->codes[20099] = 0x000035d1e957e096UL;
   tf->codes[20100] = 0x0000363d6bec7844UL;
   tf->codes[20101] = 0x0000365ed17dc29eUL;
   tf->codes[20102] = 0x0000366414574751UL;
   tf->codes[20103] = 0x000036e3f2a4e07cUL;
   tf->codes[20104] = 0x000037297c7bba6cUL;
   tf->codes[20105] = 0x00003743559d4661UL;
   tf->codes[20106] = 0x0000381bf4af9e20UL;
   tf->codes[20107] = 0x000038a6933f4676UL;
   tf->codes[20108] = 0x0000395d1d13428cUL;
   tf->codes[20109] = 0x0000398aa240beafUL;
   tf->codes[20110] = 0x0000399ec36aba67UL;
   tf->codes[20111] = 0x000039a1f73d0b2dUL;
   tf->codes[20112] = 0x000039d44a260079UL;
   tf->codes[20113] = 0x00003a13e1764467UL;
   tf->codes[20114] = 0x00003a55c25cc207UL;
   tf->codes[20115] = 0x00003a767840fb12UL;
   tf->codes[20116] = 0x00003a83478a3e2aUL;
   tf->codes[20117] = 0x00003a95943c0bbaUL;
   tf->codes[20118] = 0x00003aa73140c7fbUL;
   tf->codes[20119] = 0x00003b1f831ea2c1UL;
   tf->codes[20120] = 0x00003bb93a8dc7e1UL;
   tf->codes[20121] = 0x00003bf4b3cfa3f5UL;
   tf->codes[20122] = 0x00003c4d3a055cc4UL;
   tf->codes[20123] = 0x00003cbd4fc667d6UL;
   tf->codes[20124] = 0x00003d66201509c0UL;
   tf->codes[20125] = 0x00003d9be15f5597UL;
   tf->codes[20126] = 0x00003e52a5c25772UL;
   tf->codes[20127] = 0x00003f049c69e024UL;
   tf->codes[20128] = 0x00003f6bc6610a33UL;
   tf->codes[20129] = 0x00004107be90a120UL;
   tf->codes[20130] = 0x0000412f8bc68d06UL;
   tf->codes[20131] = 0x0000414f1cdfa938UL;
   tf->codes[20132] = 0x000041e9f919eb31UL;
   tf->codes[20133] = 0x0000421485041c53UL;
   tf->codes[20134] = 0x000042182df478a3UL;
   tf->codes[20135] = 0x00004239ce14c8c2UL;
   tf->codes[20136] = 0x00004313cc81431fUL;
   tf->codes[20137] = 0x0000439be6ebabfeUL;
   tf->codes[20138] = 0x000043aaffcb28c8UL;
   tf->codes[20139] = 0x000043b7cf146be0UL;
   tf->codes[20140] = 0x00004466cc78a991UL;
   tf->codes[20141] = 0x000044cf55c9f63eUL;
   tf->codes[20142] = 0x000045da8254490eUL;
   tf->codes[20143] = 0x000045e92615ba4eUL;
   tf->codes[20144] = 0x000045f9d8de5f7bUL;
   tf->codes[20145] = 0x0000463552203b8fUL;
   tf->codes[20146] = 0x0000469d66537cb2UL;
   tf->codes[20147] = 0x000046cde4c443d6UL;
   tf->codes[20148] = 0x000046e2407d4553UL;
   tf->codes[20149] = 0x000046e9925dfdf3UL;
   tf->codes[20150] = 0x000046f9d0089796UL;
   tf->codes[20151] = 0x00004717178b7a16UL;
   tf->codes[20152] = 0x0000473ee4c165fcUL;
   tf->codes[20153] = 0x0000478b10cbe73dUL;
   tf->codes[20154] = 0x000047d443931d7dUL;
   tf->codes[20155] = 0x000047e446aeb15bUL;
   tf->codes[20156] = 0x000047e98988360eUL;
   tf->codes[20157] = 0x000048186e0fd4cfUL;
   tf->codes[20158] = 0x000048c97a7b466dUL;
   tf->codes[20159] = 0x000048e144959e75UL;
   tf->codes[20160] = 0x0000490e1a160949UL;
   tf->codes[20161] = 0x00004916cb50e487UL;
   tf->codes[20162] = 0x0000492cc0f30e67UL;
   tf->codes[20163] = 0x000049987e16abdaUL;
   tf->codes[20164] = 0x000049b933fae4e5UL;
   tf->codes[20165] = 0x00004a1020477551UL;
   tf->codes[20166] = 0x00004aafca3d3073UL;
   tf->codes[20167] = 0x00004b16b9a554bdUL;
   tf->codes[20168] = 0x00004b18538e7d20UL;
   tf->codes[20169] = 0x00004bfdfc791dbcUL;
   tf->codes[20170] = 0x00004c2a224c7741UL;
   tf->codes[20171] = 0x00004d5813c23709UL;
   tf->codes[20172] = 0x00004d6a60740499UL;
   tf->codes[20173] = 0x00004d7f6bda1765UL;
   tf->codes[20174] = 0x00004d9944fba35aUL;
   tf->codes[20175] = 0x00004da7e8bd149aUL;
   tf->codes[20176] = 0x00004dd23a183ff7UL;
   tf->codes[20177] = 0x00004de3d71cfc38UL;
   tf->codes[20178] = 0x00004e14558dc35cUL;
   tf->codes[20179] = 0x00004e1a0d855399UL;
   tf->codes[20180] = 0x00004f33a34211e4UL;
   tf->codes[20181] = 0x0000504781073ff2UL;
   tf->codes[20182] = 0x00005068e6988a4cUL;
   tf->codes[20183] = 0x000050b462f5fa3eUL;
   tf->codes[20184] = 0x0000513da22b7ff6UL;
   tf->codes[20185] = 0x00005188344cd8d4UL;
   tf->codes[20186] = 0x000051f8f9baf535UL;
   tf->codes[20187] = 0x000052b99423ef27UL;
   tf->codes[20188] = 0x000052c0e604a7c7UL;
   tf->codes[20189] = 0x000052d4cc9f9dbaUL;
   tf->codes[20190] = 0x000053313654b89eUL;
   tf->codes[20191] = 0x0000533eefda12caUL;
   tf->codes[20192] = 0x00005365d2d3e79cUL;
   tf->codes[20193] = 0x00005397760fcb99UL;
   tf->codes[20194] = 0x000054380a419dcfUL;
   tf->codes[20195] = 0x00005451a8d423ffUL;
   tf->codes[20196] = 0x0000553751bec49bUL;
   tf->codes[20197] = 0x000055aa263414e9UL;
   tf->codes[20198] = 0x00005638332513caUL;
   tf->codes[20199] = 0x00005746ce10bd25UL;
   tf->codes[20200] = 0x000057dd8c3c9744UL;
   tf->codes[20201] = 0x0000582858ecf5e7UL;
   tf->codes[20202] = 0x0000582b523040e8UL;
   tf->codes[20203] = 0x00005840d2b45f3eUL;
   tf->codes[20204] = 0x0000589c522d630eUL;
   tf->codes[20205] = 0x000059e4cc71c01aUL;
   tf->codes[20206] = 0x00005b00e653bddcUL;
   tf->codes[20207] = 0x00005b321471964fUL;
   tf->codes[20208] = 0x00005bb4ec027a7bUL;
   tf->codes[20209] = 0x00005d653feb12e5UL;
   tf->codes[20210] = 0x00005d89d94eae05UL;
   tf->codes[20211] = 0x00005dc13482223fUL;
   tf->codes[20212] = 0x00005de9b1651f74UL;
   tf->codes[20213] = 0x00005e5de5349260UL;
   tf->codes[20214] = 0x00005e618e24eeb0UL;
   tf->codes[20215] = 0x00005e969fc22938UL;
   tf->codes[20216] = 0x00005eab360a307aUL;
   tf->codes[20217] = 0x00005eeb42787ff2UL;
   tf->codes[20218] = 0x00005f2fa7843d09UL;
   tf->codes[20219] = 0x00005f7cbdcad55eUL;
   tf->codes[20220] = 0x00005f877e0ce489UL;
   tf->codes[20221] = 0x00005fe50c8d1c46UL;
   tf->codes[20222] = 0x00005fffcfeabf4fUL;
   tf->codes[20223] = 0x0000607c7a6607b4UL;
   tf->codes[20224] = 0x0000608b58b67eb9UL;
   tf->codes[20225] = 0x000061379766772eUL;
   tf->codes[20226] = 0x00006150fb69f799UL;
   tf->codes[20227] = 0x000061a4ee733d04UL;
   tf->codes[20228] = 0x000061b1f84b85e1UL;
   tf->codes[20229] = 0x000061f697e648bdUL;
   tf->codes[20230] = 0x00006222bdb9a242UL;
   tf->codes[20231] = 0x00006257cf56dccaUL;
   tf->codes[20232] = 0x000062e56729d021UL;
   tf->codes[20233] = 0x000062f9c2e2d19eUL;
   tf->codes[20234] = 0x00006359606a3d48UL;
   tf->codes[20235] = 0x0000636a1332e275UL;
   tf->codes[20236] = 0x00006370eff58f8bUL;
   tf->codes[20237] = 0x000063ef6ee90618UL;
   tf->codes[20238] = 0x0000640ae1f3ba70UL;
   tf->codes[20239] = 0x00006450e0e89feaUL;
   tf->codes[20240] = 0x000064a6334c07f3UL;
   tf->codes[20241] = 0x000064dfd815b5dfUL;
   tf->codes[20242] = 0x0000652b547325d1UL;
   tf->codes[20243] = 0x000065b9616424b2UL;
   tf->codes[20244] = 0x000065c5f61e6205UL;
   tf->codes[20245] = 0x000065c7557884a3UL;
   tf->codes[20246] = 0x000066246edab0d6UL;
   tf->codes[20247] = 0x00006649083e4bf6UL;
   tf->codes[20248] = 0x0000664b17457fe3UL;
   tf->codes[20249] = 0x000066d6a0113f4dUL;
   tf->codes[20250] = 0x000066ed45607a7cUL;
   tf->codes[20251] = 0x00006787ac7cb0ebUL;
   tf->codes[20252] = 0x0000679aa8db8fcaUL;
   tf->codes[20253] = 0x000068885353fa55UL;
   tf->codes[20254] = 0x0000689313960980UL;
   tf->codes[20255] = 0x0000689b1523d36fUL;
   tf->codes[20256] = 0x0000690329571492UL;
   tf->codes[20257] = 0x0000697bb5c3f51dUL;
   tf->codes[20258] = 0x000069b3861574e1UL;
   tf->codes[20259] = 0x000069c1ef47e05cUL;
   tf->codes[20260] = 0x00006a1f08aa0c8fUL;
   tf->codes[20261] = 0x00006a52f57c2a3eUL;
   tf->codes[20262] = 0x00006a5abc7aee68UL;
   tf->codes[20263] = 0x00006a97cfa5f2dfUL;
   tf->codes[20264] = 0x00006a9f2186ab7fUL;
   tf->codes[20265] = 0x00006ae72f82c4e6UL;
   tf->codes[20266] = 0x00006af1efc4d411UL;
   tf->codes[20267] = 0x00006b090a321acaUL;
   tf->codes[20268] = 0x00006b147a213b44UL;
   tf->codes[20269] = 0x00006b4b9ac5a9b9UL;
   tf->codes[20270] = 0x00006ba0780b0638UL;
   tf->codes[20271] = 0x00006bf2217e11f1UL;
   tf->codes[20272] = 0x00006bf6ef398b1aUL;
   tf->codes[20273] = 0x00006c1e0cc265b1UL;
   tf->codes[20274] = 0x00006c3477829b1bUL;
   tf->codes[20275] = 0x00006c8fbc6c9926UL;
   tf->codes[20276] = 0x00006d07992c6862UL;
   tf->codes[20277] = 0x00006d30160f6597UL;
   tf->codes[20278] = 0x00006d6e4e0586e7UL;
   tf->codes[20279] = 0x00006dcd0150db7dUL;
   tf->codes[20280] = 0x00006df99c42408cUL;
   tf->codes[20281] = 0x00006e293076f09cUL;
   tf->codes[20282] = 0x00006e484c720144UL;
   tf->codes[20283] = 0x00006e655965ddffUL;
   tf->codes[20284] = 0x00006e86f9862e1eUL;
   tf->codes[20285] = 0x00006e9bca5d3b25UL;
   tf->codes[20286] = 0x00006ee955c1df04UL;
   tf->codes[20287] = 0x00006f20014841efUL;
   tf->codes[20288] = 0x00006f78c20d0083UL;
   tf->codes[20289] = 0x00006fbaa2f37e23UL;
   tf->codes[20290] = 0x00006ff61c355a37UL;
   tf->codes[20291] = 0x000070a3f4ce7b0fUL;
   tf->codes[20292] = 0x000071571041209aUL;
   tf->codes[20293] = 0x000071ea9a9aa9f3UL;
   tf->codes[20294] = 0x000071fa6327380cUL;
   tf->codes[20295] = 0x00007247b3fcd626UL;
   tf->codes[20296] = 0x0000725114e4c2b3UL;
   tf->codes[20297] = 0x0000732fe10cb639UL;
   tf->codes[20298] = 0x00007336f85e6914UL;
   tf->codes[20299] = 0x000073c2812a287eUL;
   tf->codes[20300] = 0x000073d5086afbd3UL;
   tf->codes[20301] = 0x0000742a203f5e17UL;
   tf->codes[20302] = 0x0000745f6c6b9e64UL;
   tf->codes[20303] = 0x00007464af452317UL;
   tf->codes[20304] = 0x000074c02ebe26e7UL;
   tf->codes[20305] = 0x000074d44fe8229fUL;
   tf->codes[20306] = 0x0000751ee2097b7dUL;
   tf->codes[20307] = 0x000075793cb76274UL;
   tf->codes[20308] = 0x0000760d019ff192UL;
   tf->codes[20309] = 0x0000767cdcd1f6dfUL;
   tf->codes[20310] = 0x000076972b118e5eUL;
   tf->codes[20311] = 0x000076a67e8010edUL;
   tf->codes[20312] = 0x000076c6bf463e6eUL;
   tf->codes[20313] = 0x000077bc6b4c72e8UL;
   tf->codes[20314] = 0x00007879d1e31c14UL;
   tf->codes[20315] = 0x0000788123c3d4b4UL;
   tf->codes[20316] = 0x00007882bdacfd17UL;
   tf->codes[20317] = 0x000078978e840a1eUL;
   tf->codes[20318] = 0x000078abea3d0b9bUL;
   tf->codes[20319] = 0x000078f17413e58bUL;
   tf->codes[20320] = 0x000078fd93b01754UL;
   tf->codes[20321] = 0x0000791229f81e96UL;
   tf->codes[20322] = 0x00007936c35bb9b6UL;
   tf->codes[20323] = 0x000079a15bb43a50UL;
   tf->codes[20324] = 0x00007a293b8f9d6aUL;
   tf->codes[20325] = 0x00007a789b6c6f71UL;
   tf->codes[20326] = 0x00007af83f2b02d7UL;
   tf->codes[20327] = 0x00007b187ff13058UL;
   tf->codes[20328] = 0x00007bc399d60bf4UL;
   tf->codes[20329] = 0x00007be32aef2826UL;
   tf->codes[20330] = 0x00007c91edc46012UL;
   tf->codes[20331] = 0x00007ca5d45f5605UL;
   tf->codes[20332] = 0x00007cc31be23885UL;
   tf->codes[20333] = 0x00007d0278a376aeUL;
   tf->codes[20334] = 0x00007d2c8f6f9c46UL;
   tf->codes[20335] = 0x00007d8933b3bcefUL;
   tf->codes[20336] = 0x00007da297b73d5aUL;
   tf->codes[20337] = 0x00007dccae8362f2UL;
   tf->codes[20338] = 0x00007ddefb353082UL;
   tf->codes[20339] = 0x00007e3a059028c8UL;
   tf->codes[20340] = 0x00007e615da80924UL;
   tf->codes[20341] = 0x00007f31c09d912fUL;
   tf->codes[20342] = 0x00007f340a33cae1UL;
   tf->codes[20343] = 0x00007f34f46fe1f5UL;
   tf->codes[20344] = 0x00007f3e1ac8c8bdUL;
   tf->codes[20345] = 0x00007f544af9f862UL;
   tf->codes[20346] = 0x00007f68e141ffa4UL;
   tf->codes[20347] = 0x00007fa45a83dbb8UL;
   tf->codes[20348] = 0x00007fe675f95f1dUL;
   tf->codes[20349] = 0x00007ffca62a8ec2UL;
   tf->codes[20350] = 0x000080273214bfe4UL;
   tf->codes[20351] = 0x0000806912fb3d84UL;
   tf->codes[20352] = 0x0000808919326540UL;
   tf->codes[20353] = 0x0000808dac5ed8a4UL;
   tf->codes[20354] = 0x000080b9d2323229UL;
   tf->codes[20355] = 0x000080e7575fae4cUL;
   tf->codes[20356] = 0x00008108f77ffe6bUL;
   tf->codes[20357] = 0x000081163be74d0dUL;
   tf->codes[20358] = 0x0000812bf6fa7128UL;
   tf->codes[20359] = 0x0000816944b47b64UL;
   tf->codes[20360] = 0x00008191c1977899UL;
   tf->codes[20361] = 0x000081f3e34423baUL;
   tf->codes[20362] = 0x00008231a61c3980UL;
   tf->codes[20363] = 0x0000829945316f19UL;
   tf->codes[20364] = 0x000082d9519fbe91UL;
   tf->codes[20365] = 0x000082ef81d0ee36UL;
   tf->codes[20366] = 0x0000831a0dbb1f58UL;
   tf->codes[20367] = 0x0000832e2ee51b10UL;
   tf->codes[20368] = 0x000083654f898985UL;
   tf->codes[20369] = 0x0000838e7c199809UL;
   tf->codes[20370] = 0x000083a60ba4ea4cUL;
   tf->codes[20371] = 0x00008416d11306adUL;
   tf->codes[20372] = 0x00008422b62032b1UL;
   tf->codes[20373] = 0x000084395b6f6de0UL;
   tf->codes[20374] = 0x00008469d9e03504UL;
   tf->codes[20375] = 0x000084c8529c83d5UL;
   tf->codes[20376] = 0x000084cb1150c911UL;
   tf->codes[20377] = 0x000084f0cf7f810aUL;
   tf->codes[20378] = 0x000085090eb7e49cUL;
   tf->codes[20379] = 0x0000857ea1e17a26UL;
   tf->codes[20380] = 0x00008588b2767802UL;
   tf->codes[20381] = 0x000085e0fe1d2b0cUL;
   tf->codes[20382] = 0x000086256328e823UL;
   tf->codes[20383] = 0x0000865398037595UL;
   tf->codes[20384] = 0x00008689594dc16cUL;
   tf->codes[20385] = 0x000087a32999857cUL;
   tf->codes[20386] = 0x000087a6d289e1ccUL;
   tf->codes[20387] = 0x00008826b0d77af7UL;
   tf->codes[20388] = 0x0000885b87e5afbaUL;
   tf->codes[20389] = 0x00008874b15a2a60UL;
   tf->codes[20390] = 0x000088af7aeef525UL;
   tf->codes[20391] = 0x00008932527fd951UL;
   tf->codes[20392] = 0x0000893795595e04UL;
   tf->codes[20393] = 0x000089651a86da27UL;
   tf->codes[20394] = 0x00008a5f1f2a7c40UL;
   tf->codes[20395] = 0x00008a837dff119bUL;
   tf->codes[20396] = 0x00008b866e6c94b7UL;
   tf->codes[20397] = 0x00008bbeb3dc2005UL;
   tf->codes[20398] = 0x00008bde44f53c37UL;
   tf->codes[20399] = 0x00008c27029e66edUL;
   tf->codes[20400] = 0x00008c33223a98b6UL;
   tf->codes[20401] = 0x00008d6397d597f5UL;
   tf->codes[20402] = 0x00008d92073f2b2cUL;
   tf->codes[20403] = 0x00008e204ebf2fd2UL;
   tf->codes[20404] = 0x00008e95323bb40dUL;
   tf->codes[20405] = 0x00008f2130257f01UL;
   tf->codes[20406] = 0x00008f97ad8b2b9fUL;
   tf->codes[20407] = 0x00009034d35ba74aUL;
   tf->codes[20408] = 0x00009117f821086fUL;
   tf->codes[20409] = 0x00009166a850c927UL;
   tf->codes[20410] = 0x0000921f7bbafeefUL;
   tf->codes[20411] = 0x00009304af879401UL;
   tf->codes[20412] = 0x0000931e138b146cUL;
   tf->codes[20413] = 0x000093c71e68bc1bUL;
   tf->codes[20414] = 0x000093c92d6ff008UL;
   tf->codes[20415] = 0x000093dd4e99ebc0UL;
   tf->codes[20416] = 0x00009446879849bcUL;
   tf->codes[20417] = 0x000094bba5a3d3bcUL;
   tf->codes[20418] = 0x000095743e7f03bfUL;
   tf->codes[20419] = 0x0000964675ecb9f2UL;
   tf->codes[20420] = 0x000096a8227b5989UL;
   tf->codes[20421] = 0x000096f39ed8c97bUL;
   tf->codes[20422] = 0x0000970af3d515f9UL;
   tf->codes[20423] = 0x0000979c349865a0UL;
   tf->codes[20424] = 0x000097b055c26158UL;
   tf->codes[20425] = 0x000097c64b648b38UL;
   tf->codes[20426] = 0x000098495d847529UL;
   tf->codes[20427] = 0x0000985db93d76a6UL;
   tf->codes[20428] = 0x000098a0beef111fUL;
   tf->codes[20429] = 0x000098e29fd58ebfUL;
   tf->codes[20430] = 0x000098e59918d9c0UL;
   tf->codes[20431] = 0x000098ec75db86d6UL;
   tf->codes[20432] = 0x0000999c980ae160UL;
   tf->codes[20433] = 0x000099b0b934dd18UL;
   tf->codes[20434] = 0x00009a489c2bd410UL;
   tf->codes[20435] = 0x00009a6ff443b46cUL;
   tf->codes[20436] = 0x00009a7e5d761fe7UL;
   tf->codes[20437] = 0x00009a811c2a6523UL;
   tf->codes[20438] = 0x00009aa8e9605109UL;
   tf->codes[20439] = 0x00009b07621c9fdaUL;
   tf->codes[20440] = 0x00009b0f9e396f8eUL;
   tf->codes[20441] = 0x00009b2b86622f70UL;
   tf->codes[20442] = 0x00009bf63160273eUL;
   tf->codes[20443] = 0x00009c0a8d1928bbUL;
   tf->codes[20444] = 0x00009c1796f17198UL;
   tf->codes[20445] = 0x00009c1b0552c823UL;
   tf->codes[20446] = 0x00009ccf801f904cUL;
   tf->codes[20447] = 0x00009ce241ef6966UL;
   tf->codes[20448] = 0x00009ce7f9e6f9a3UL;
   tf->codes[20449] = 0x00009d216421a1caUL;
   tf->codes[20450] = 0x00009d287b7354a5UL;
   tf->codes[20451] = 0x00009d5257b07478UL;
   tf->codes[20452] = 0x00009d7c33ed944bUL;
   tf->codes[20453] = 0x00009dd0d6a3eb05UL;
   tf->codes[20454] = 0x00009dde559a3f6cUL;
   tf->codes[20455] = 0x00009de40d91cfa9UL;
   tf->codes[20456] = 0x00009f1189e983e7UL;
   tf->codes[20457] = 0x00009f2277412ed9UL;
   tf->codes[20458] = 0x00009f812a8c836fUL;
   tf->codes[20459] = 0x00009f97954cb8d9UL;
   tf->codes[20460] = 0x00009f9cd8263d8cUL;
   tf->codes[20461] = 0x00009fa2558ec804UL;
   tf->codes[20462] = 0x00009fa33fcadf18UL;
   tf->codes[20463] = 0x00009fb551eda6e3UL;
   tf->codes[20464] = 0x00009fd8c686252aUL;
   tf->codes[20465] = 0x00009fde7e7db567UL;
   tf->codes[20466] = 0x0000a0820bf2d29eUL;
   tf->codes[20467] = 0x0000a087c3ea62dbUL;
   tf->codes[20468] = 0x0000a0a2c1d70ba9UL;
   tf->codes[20469] = 0x0000a0fd1c84f2a0UL;
   tf->codes[20470] = 0x0000a16ae8afc400UL;
   tf->codes[20471] = 0x0000a246f623724aUL;
   tf->codes[20472] = 0x0000a24730b2780fUL;
   tf->codes[20473] = 0x0000a261446309c9UL;
   tf->codes[20474] = 0x0000a2efc6721434UL;
   tf->codes[20475] = 0x0000a31f9535ca09UL;
   tf->codes[20476] = 0x0000a3263769715aUL;
   tf->codes[20477] = 0x0000a341aa7425b2UL;
   tf->codes[20478] = 0x0000a37cae97f63cUL;
   tf->codes[20479] = 0x0000a39b9004011fUL;
   tf->codes[20480] = 0x0000a3a949895b4bUL;
   tf->codes[20481] = 0x0000a3ac42cca64cUL;
   tf->codes[20482] = 0x0000a425b9759debUL;
   tf->codes[20483] = 0x0000a42edfce84b3UL;
   tf->codes[20484] = 0x0000a4e2705f35c8UL;
   tf->codes[20485] = 0x0000a54b6ece8dffUL;
   tf->codes[20486] = 0x0000a5b72bf22b72UL;
   tf->codes[20487] = 0x0000a5d55db12506UL;
   tf->codes[20488] = 0x0000a689635fe1a5UL;
   tf->codes[20489] = 0x0000a68a130cf2f4UL;
   tf->codes[20490] = 0x0000a6d2962717e5UL;
   tf->codes[20491] = 0x0000a72cf0d4fedcUL;
   tf->codes[20492] = 0x0000a742abe822f7UL;
   tf->codes[20493] = 0x0000a763273d563dUL;
   tf->codes[20494] = 0x0000a822624c2d91UL;
   tf->codes[20495] = 0x0000a829799de06cUL;
   tf->codes[20496] = 0x0000a8585e257f2dUL;
   tf->codes[20497] = 0x0000a90845c5d3f2UL;
   tf->codes[20498] = 0x0000a90ead6a757eUL;
   tf->codes[20499] = 0x0000a951edab15bcUL;
   tf->codes[20500] = 0x0000a96683f31cfeUL;
   tf->codes[20501] = 0x0000a9edeeb0748eUL;
   tf->codes[20502] = 0x0000aa0493ffafbdUL;
   tf->codes[20503] = 0x0000aa27ce09283fUL;
   tf->codes[20504] = 0x0000ab12f45c5353UL;
   tf->codes[20505] = 0x0000ab48408893a0UL;
   tf->codes[20506] = 0x0000ac56db743cfbUL;
   tf->codes[20507] = 0x0000ac928f451ed4UL;
   tf->codes[20508] = 0x0000acb603dd9d1bUL;
   tf->codes[20509] = 0x0000acf59b2de109UL;
   tf->codes[20510] = 0x0000ad21fb904053UL;
   tf->codes[20511] = 0x0000ad3d340beee6UL;
   tf->codes[20512] = 0x0000ad7d407a3e5eUL;
   tf->codes[20513] = 0x0000ada12a30c82fUL;
   tf->codes[20514] = 0x0000adc0f5d8ea26UL;
   tf->codes[20515] = 0x0000ae0a632f262bUL;
   tf->codes[20516] = 0x0000ae656d8a1e71UL;
   tf->codes[20517] = 0x0000aea579f86de9UL;
   tf->codes[20518] = 0x0000aea8e859c474UL;
   tf->codes[20519] = 0x0000aeaf156f603bUL;
   tf->codes[20520] = 0x0000aee4619ba088UL;
   tf->codes[20521] = 0x0000af522dc671e8UL;
   tf->codes[20522] = 0x0000afa44c57892bUL;
   tf->codes[20523] = 0x0000afb2406be91cUL;
   tf->codes[20524] = 0x0000afed7f1ebf6bUL;
   tf->codes[20525] = 0x0000b01c29175867UL;
   tf->codes[20526] = 0x0000b087e63af5daUL;
   tf->codes[20527] = 0x0000b09c0764f192UL;
   tf->codes[20528] = 0x0000b0e53a2c27d2UL;
   tf->codes[20529] = 0x0000b0fd79648b64UL;
   tf->codes[20530] = 0x0000b194e73d76d2UL;
   tf->codes[20531] = 0x0000b1bcb47362b8UL;
   tf->codes[20532] = 0x0000b1fcfb70b7f5UL;
   tf->codes[20533] = 0x0000b2654a32feddUL;
   tf->codes[20534] = 0x0000b265bf510a67UL;
   tf->codes[20535] = 0x0000b34b683bab03UL;
   tf->codes[20536] = 0x0000b35d05406744UL;
   tf->codes[20537] = 0x0000b371266a62fcUL;
   tf->codes[20538] = 0x0000b37285c4859aUL;
   tf->codes[20539] = 0x0000b46697e191b1UL;
   tf->codes[20540] = 0x0000b49a0f95a3d6UL;
   tf->codes[20541] = 0x0000b4d638849139UL;
   tf->codes[20542] = 0x0000b4dd8a6549d9UL;
   tf->codes[20543] = 0x0000b540964e0c0eUL;
   tf->codes[20544] = 0x0000b544b45c73e8UL;
   tf->codes[20545] = 0x0000b557eb4a588cUL;
   tf->codes[20546] = 0x0000b58aede05f27UL;
   tf->codes[20547] = 0x0000b5a576aefc6bUL;
   tf->codes[20548] = 0x0000b5dc5cc4651bUL;
   tf->codes[20549] = 0x0000b5eac5f6d096UL;
   tf->codes[20550] = 0x0000b5f844ed24fdUL;
   tf->codes[20551] = 0x0000b61f6275ff94UL;
   tf->codes[20552] = 0x0000b6276403c983UL;
   tf->codes[20553] = 0x0000b7300c68dcdcUL;
   tf->codes[20554] = 0x0000b743f303d2cfUL;
   tf->codes[20555] = 0x0000b77e820997cfUL;
   tf->codes[20556] = 0x0000b79c3eaa85d9UL;
   tf->codes[20557] = 0x0000b7f1567ee81dUL;
   tf->codes[20558] = 0x0000b8407bccb45fUL;
   tf->codes[20559] = 0x0000b87e3ea4ca25UL;
   tf->codes[20560] = 0x0000b88e41c05e03UL;
   tf->codes[20561] = 0x0000b8c7e68a0befUL;
   tf->codes[20562] = 0x0000b8dc42430d6cUL;
   tf->codes[20563] = 0x0000b903253ce23eUL;
   tf->codes[20564] = 0x0000b91ed2d69c5bUL;
   tf->codes[20565] = 0x0000b9c3bfa5dc30UL;
   tf->codes[20566] = 0x0000ba3cc130c845UL;
   tf->codes[20567] = 0x0000bb07319fba4eUL;
   tf->codes[20568] = 0x0000bb3fec2d5126UL;
   tf->codes[20569] = 0x0000bbad433a16fcUL;
   tf->codes[20570] = 0x0000bbfb092dc0a0UL;
   tf->codes[20571] = 0x0000bc86cc8885cfUL;
   tf->codes[20572] = 0x0000bcc788a3e696UL;
   tf->codes[20573] = 0x0000bd4975f8b3aeUL;
   tf->codes[20574] = 0x0000bd4bfa1df325UL;
   tf->codes[20575] = 0x0000bd97767b6317UL;
   tf->codes[20576] = 0x0000bdd573e27ea2UL;
   tf->codes[20577] = 0x0000bdd5ae718467UL;
   tf->codes[20578] = 0x0000be30f35b8272UL;
   tf->codes[20579] = 0x0000be49a7b1f18eUL;
   tf->codes[20580] = 0x0000beb7394dbd29UL;
   tf->codes[20581] = 0x0000bf1d3e79ca5fUL;
   tf->codes[20582] = 0x0000c0520cb2373dUL;
   tf->codes[20583] = 0x0000c09d4e80a16aUL;
   tf->codes[20584] = 0x0000c0b4a37cede8UL;
   tf->codes[20585] = 0x0000c0da9c3aaba6UL;
   tf->codes[20586] = 0x0000c1f4a715757bUL;
   tf->codes[20587] = 0x0000c240d31ff6bcUL;
   tf->codes[20588] = 0x0000c2d4980885daUL;
   tf->codes[20589] = 0x0000c32ad4a804f7UL;
   tf->codes[20590] = 0x0000c3408fbb2912UL;
   tf->codes[20591] = 0x0000c3abd7c0bafbUL;
   tf->codes[20592] = 0x0000c3e123ecfb48UL;
   tf->codes[20593] = 0x0000c3fe6b6fddc8UL;
   tf->codes[20594] = 0x0000c4484de42557UL;
   tf->codes[20595] = 0x0000c4c4bdd067f7UL;
   tf->codes[20596] = 0x0000c4df812e0b00UL;
   tf->codes[20597] = 0x0000c4ea7bff1ff0UL;
   tf->codes[20598] = 0x0000c52c5ce59d90UL;
   tf->codes[20599] = 0x0000c58a25f4db12UL;
   tf->codes[20600] = 0x0000c5bc03bfc4d4UL;
   tf->codes[20601] = 0x0000c5d73c3b7367UL;
   tf->codes[20602] = 0x0000c64249b1ff8bUL;
   tf->codes[20603] = 0x0000c65a4e5b5d58UL;
   tf->codes[20604] = 0x0000c747f8d3c7e3UL;
   tf->codes[20605] = 0x0000c7c9ab998f36UL;
   tf->codes[20606] = 0x0000ca2ad15e9379UL;
   tf->codes[20607] = 0x0000cdfd28d9f7c2UL;
   tf->codes[20608] = 0x0000ce5539f1a507UL;
   tf->codes[20609] = 0x0000d1a47f4d1f5fUL;
   tf->codes[20610] = 0x0000d230f254f5ddUL;
   tf->codes[20611] = 0x0000d4845e949ff4UL;
   tf->codes[20612] = 0x0000d4d4a8ad890fUL;
   tf->codes[20613] = 0x0000d5a929b178f4UL;
   tf->codes[20614] = 0x0000d5e468644f43UL;
   tf->codes[20615] = 0x0000d6dcd31ec8f9UL;
   tf->codes[20616] = 0x0000d72814ed3326UL;
   tf->codes[20617] = 0x0000d7413e61adccUL;
   tf->codes[20618] = 0x0000d7e9d42149f1UL;
   tf->codes[20619] = 0x0000d845190b47fcUL;
   tf->codes[20620] = 0x0000d8ab1e375532UL;
   tf->codes[20621] = 0x0000dac93e4abefcUL;
   tf->codes[20622] = 0x0000db9df9ddb4a6UL;
   tf->codes[20623] = 0x0000dbba1c957a4dUL;
   tf->codes[20624] = 0x0000dbe3492588d1UL;
   tf->codes[20625] = 0x0000dc6b9e1ef775UL;
   tf->codes[20626] = 0x0000dc98739f6249UL;
   tf->codes[20627] = 0x0000dca8ebd901b1UL;
   tf->codes[20628] = 0x0000dd226281f950UL;
   tf->codes[20629] = 0x0000dd8ff41dc4ebUL;
   tf->codes[20630] = 0x0000dda031c85e8eUL;
   tf->codes[20631] = 0x0000de44a97992d9UL;
   tf->codes[20632] = 0x0000de76c1d38260UL;
   tf->codes[20633] = 0x0000deb917d80b8aUL;
   tf->codes[20634] = 0x0000df1d488bea98UL;
   tf->codes[20635] = 0x0000df48f9413893UL;
   tf->codes[20636] = 0x0000df6fa1ac07a0UL;
   tf->codes[20637] = 0x0000dfaefe6d45c9UL;
   tf->codes[20638] = 0x0000dfe2eb3f6378UL;
   tf->codes[20639] = 0x0000e00f1112bcfdUL;
   tf->codes[20640] = 0x0000e23950c25890UL;
   tf->codes[20641] = 0x0000e267107eda78UL;
   tf->codes[20642] = 0x0000e2d7d5ecf6d9UL;
   tf->codes[20643] = 0x0000e3698bce520aUL;
   tf->codes[20644] = 0x0000e3aba743d56fUL;
   tf->codes[20645] = 0x0000e3ec28d03071UL;
   tf->codes[20646] = 0x0000e50165ef811dUL;
   tf->codes[20647] = 0x0000e72b30811126UL;
   tf->codes[20648] = 0x0000e7dec111c23bUL;
   tf->codes[20649] = 0x0000e8082830d684UL;
   tf->codes[20650] = 0x0000e80de02866c1UL;
   tf->codes[20651] = 0x0000e9423942c815UL;
   tf->codes[20652] = 0x0000e9611aaed2f8UL;
   tf->codes[20653] = 0x0000e99800c43ba8UL;
   tf->codes[20654] = 0x0000ea297c169114UL;
   tf->codes[20655] = 0x0000eaa994f33004UL;
   tf->codes[20656] = 0x0000eb137d9e9f4fUL;
   tf->codes[20657] = 0x0000eb204ce7e267UL;
   tf->codes[20658] = 0x0000eb24a5855006UL;
   tf->codes[20659] = 0x0000ebf36e91afaeUL;
   tf->codes[20660] = 0x0000ec809146977bUL;
   tf->codes[20661] = 0x0000edd47b7a1501UL;
   tf->codes[20662] = 0x0000ede7b267f9a5UL;
   tf->codes[20663] = 0x0000ee733b33b90fUL;
   tf->codes[20664] = 0x0000eea0c0613532UL;
   tf->codes[20665] = 0x0000eed10442f691UL;
   tf->codes[20666] = 0x0000eee4b04ee6bfUL;
   tf->codes[20667] = 0x0000ef06506f36deUL;
   tf->codes[20668] = 0x0000ef62ba2451c2UL;
   tf->codes[20669] = 0x0000f19cc2607b6eUL;
   tf->codes[20670] = 0x0000f1ebad1f41ebUL;
   tf->codes[20671] = 0x0000f261eff5e8c4UL;
   tf->codes[20672] = 0x0000f29358a2c6fcUL;
   tf->codes[20673] = 0x0000f31c22ba412aUL;
   tf->codes[20674] = 0x0000f3c0254d69ebUL;
   tf->codes[20675] = 0x0000f40574953e16UL;
   tf->codes[20676] = 0x0000f4450be58204UL;
   tf->codes[20677] = 0x0000f451a09fbf57UL;
   tf->codes[20678] = 0x0000f45758974f94UL;
   tf->codes[20679] = 0x0000f5c25d3813d3UL;
   tf->codes[20680] = 0x0000f6db4347c0cfUL;
   tf->codes[20681] = 0x0000f6f3f79e2febUL;
   tf->codes[20682] = 0x0000f760d98cea37UL;
   tf->codes[20683] = 0x0000f79c52cec64bUL;
   tf->codes[20684] = 0x0000f7a8726af814UL;
   tf->codes[20685] = 0x0000f7db7500feafUL;
   tf->codes[20686] = 0x0000f7e042bc77d8UL;
   tf->codes[20687] = 0x0000f801e2dcc7f7UL;
   tf->codes[20688] = 0x0000f83c37538732UL;
   tf->codes[20689] = 0x0000f864b4368467UL;
   tf->codes[20690] = 0x0000f87b9414c55bUL;
   tf->codes[20691] = 0x0000f89398be2328UL;
   tf->codes[20692] = 0x0000f89532a74b8bUL;
   tf->codes[20693] = 0x0000f8a44b86c855UL;
   tf->codes[20694] = 0x0000f956079f4b42UL;
   tf->codes[20695] = 0x0000f9597600a1cdUL;
   tf->codes[20696] = 0x0000fa21d7685fe9UL;
   tf->codes[20697] = 0x0000fa3a16a0c37bUL;
   tf->codes[20698] = 0x0000fa9a9e644639UL;
   tf->codes[20699] = 0x0000fb4a10e68f74UL;
   tf->codes[20700] = 0x0000fb6ac6cac87fUL;
   tf->codes[20701] = 0x0000fb8e3b6346c6UL;
   tf->codes[20702] = 0x0000fc4f85795207UL;
   tf->codes[20703] = 0x0000fce13b5aad38UL;
   tf->codes[20704] = 0x0000fcf0c958358cUL;
   tf->codes[20705] = 0x0000fde516044768UL;
   tf->codes[20706] = 0x0000fe1fdf99122dUL;
   tf->codes[20707] = 0x0000fe3a6867af71UL;
   tf->codes[20708] = 0x0000fe8f45ad0bf0UL;
   tf->codes[20709] = 0x0000ff4101c58eddUL;
   tf->codes[20710] = 0x0000ff4ad7cb86f4UL;
   tf->codes[20711] = 0x000100cbd20e7513UL;
   tf->codes[20712] = 0x000102c51e2f3df8UL;
   tf->codes[20713] = 0x00010301f6cb3caaUL;
   tf->codes[20714] = 0x0001037d7c7b6836UL;
   tf->codes[20715] = 0x000104589fb2ff6cUL;
   tf->codes[20716] = 0x000104a4569f7523UL;
   tf->codes[20717] = 0x00010641739a28e9UL;
   tf->codes[20718] = 0x000106fffefbeeeeUL;
   tf->codes[20719] = 0x00010700aea9003dUL;
   tf->codes[20720] = 0x0001075e029a3235UL;
   tf->codes[20721] = 0x000107b43f39b152UL;
   tf->codes[20722] = 0x000107c47ce44af5UL;
   tf->codes[20723] = 0x000109c63fb0e953UL;
   tf->codes[20724] = 0x00010a1aa7d83a48UL;
   tf->codes[20725] = 0x00010ac07ee39131UL;
   tf->codes[20726] = 0x00010acaca0794d2UL;
   tf->codes[20727] = 0x00010aeb455cc818UL;
   tf->codes[20728] = 0x00010c1c6aa4d8a6UL;
   tf->codes[20729] = 0x00010ce3e1d07faeUL;
   tf->codes[20730] = 0x00010d393433e7b7UL;
   tf->codes[20731] = 0x00010da1486728daUL;
   tf->codes[20732] = 0x00010daf3c7b88cbUL;
   tf->codes[20733] = 0x00010e42172800d5UL;
   tf->codes[20734] = 0x00010e4a18b5cac4UL;
   tf->codes[20735] = 0x00010e521a4394b3UL;
   tf->codes[20736] = 0x00010e960a314640UL;
   tf->codes[20737] = 0x00010ecc40999da1UL;
   tf->codes[20738] = 0x00010f170d49fc44UL;
   tf->codes[20739] = 0x00010fe1b847f412UL;
   tf->codes[20740] = 0x00010ff529c4de7bUL;
   tf->codes[20741] = 0x00010ff5d971efcaUL;
   tf->codes[20742] = 0x00010fff3a59dc57UL;
   tf->codes[20743] = 0x000110082623bd5aUL;
   tf->codes[20744] = 0x000110c37db33299UL;
   tf->codes[20745] = 0x000110c7d650a038UL;
   tf->codes[20746] = 0x000110d137388cc5UL;
   tf->codes[20747] = 0x0001110857dcfb3aUL;
   tf->codes[20748] = 0x00011230915b2ac5UL;
   tf->codes[20749] = 0x0001123683e1c0c7UL;
   tf->codes[20750] = 0x000112552abec5e5UL;
   tf->codes[20751] = 0x000112f5bef0981bUL;
   tf->codes[20752] = 0x000113622bc146ddUL;
   tf->codes[20753] = 0x00011431df09bd99UL;
   tf->codes[20754] = 0x00011447d4abe779UL;
   tf->codes[20755] = 0x000114581256811cUL;
   tf->codes[20756] = 0x00011561df86b14eUL;
   tf->codes[20757] = 0x00011625adc1fc06UL;
   tf->codes[20758] = 0x0001179fcb423d0fUL;
   tf->codes[20759] = 0x00011864f8d7aa65UL;
   tf->codes[20760] = 0x000118c28757e222UL;
   tf->codes[20761] = 0x0001191c3258b7caUL;
   tf->codes[20762] = 0x000119d998ef60f6UL;
   tf->codes[20763] = 0x00011a07933ae8a3UL;
   tf->codes[20764] = 0x00011acf7f849b35UL;
   tf->codes[20765] = 0x00011b05f07bf85bUL;
   tf->codes[20766] = 0x00011b96819236b3UL;
   tf->codes[20767] = 0x00011cb6446490c5UL;
   tf->codes[20768] = 0x00011cb9ed54ed15UL;
   tf->codes[20769] = 0x00011db58be1b791UL;
   tf->codes[20770] = 0x00011e231d7d832cUL;
   tf->codes[20771] = 0x00011e247cd7a5caUL;
   tf->codes[20772] = 0x00011e38d890a747UL;
   tf->codes[20773] = 0x00011e8ea0121adaUL;
   tf->codes[20774] = 0x00011ed0f616a404UL;
   tf->codes[20775] = 0x00011ee551cfa581UL;
   tf->codes[20776] = 0x00011efa97c4be12UL;
   tf->codes[20777] = 0x00011f9ff9b20971UL;
   tf->codes[20778] = 0x0001207f006902bcUL;
   tf->codes[20779] = 0x000120c11bde8621UL;
   tf->codes[20780] = 0x0001216050b635b9UL;
   tf->codes[20781] = 0x000121a10cd19680UL;
   tf->codes[20782] = 0x000121a440a3e746UL;
   tf->codes[20783] = 0x000121f3a080b94dUL;
   tf->codes[20784] = 0x00012221603d3b35UL;
   tf->codes[20785] = 0x0001224c9bd47da6UL;
   tf->codes[20786] = 0x0001232191f67915UL;
   tf->codes[20787] = 0x00012333698a3b1bUL;
   tf->codes[20788] = 0x0001239e3c71c17aUL;
   tf->codes[20789] = 0x000123dcaef6e88fUL;
   tf->codes[20790] = 0x000123dd2414f419UL;
   tf->codes[20791] = 0x0001241e1abf5aa5UL;
   tf->codes[20792] = 0x000124eb49e291eaUL;
   tf->codes[20793] = 0x0001255a756785e8UL;
   tf->codes[20794] = 0x00012579cbf19c55UL;
   tf->codes[20795] = 0x00012587c005fc46UL;
   tf->codes[20796] = 0x00012626ba4ea619UL;
   tf->codes[20797] = 0x0001273a9813d427UL;
   tf->codes[20798] = 0x000129274f7a5fb9UL;
   tf->codes[20799] = 0x000129faabb332c5UL;
   tf->codes[20800] = 0x00012a0272b1f6efUL;
   tf->codes[20801] = 0x00012a31cc57a13aUL;
   tf->codes[20802] = 0x00012a45034585deUL;
   tf->codes[20803] = 0x00012ae6bc4274edUL;
   tf->codes[20804] = 0x00012b394ff197baUL;
   tf->codes[20805] = 0x00012b9afc803751UL;
   tf->codes[20806] = 0x00012cebed7069d6UL;
   tf->codes[20807] = 0x00012d1bf6c32570UL;
   tf->codes[20808] = 0x00012d6ddac536eeUL;
   tf->codes[20809] = 0x00012dd997e8d461UL;
   tf->codes[20810] = 0x00012e07ccc361d3UL;
   tf->codes[20811] = 0x00012ea3cdc8c0a5UL;
   tf->codes[20812] = 0x00012ea4b804d7b9UL;
   tf->codes[20813] = 0x00012f1b6ff98a1cUL;
   tf->codes[20814] = 0x00012fa4e9be1599UL;
   tf->codes[20815] = 0x00012fe4467f53c2UL;
   tf->codes[20816] = 0x00013065beb61550UL;
   tf->codes[20817] = 0x000131bca22cddd7UL;
   tf->codes[20818] = 0x000131def1fa3f45UL;
   tf->codes[20819] = 0x00013270a7db9a76UL;
   tf->codes[20820] = 0x000132869d7dc456UL;
   tf->codes[20821] = 0x000133297b45d03eUL;
   tf->codes[20822] = 0x0001335b939fbfc5UL;
   tf->codes[20823] = 0x000133e9db1fc46bUL;
   tf->codes[20824] = 0x00013469b96d5d96UL;
   tf->codes[20825] = 0x000134aff2f148d5UL;
   tf->codes[20826] = 0x0001358b50b7e5d0UL;
   tf->codes[20827] = 0x000135e1c7e66ab2UL;
   tf->codes[20828] = 0x000135e39c5e98daUL;
   tf->codes[20829] = 0x000137dc73615635UL;
   tf->codes[20830] = 0x000138f9b20e70d0UL;
   tf->codes[20831] = 0x000139df206a0ba7UL;
   tf->codes[20832] = 0x00013a941054df5aUL;
   tf->codes[20833] = 0x00013aba43a1a2ddUL;
   tf->codes[20834] = 0x00013ac5b390c357UL;
   tf->codes[20835] = 0x00013ad0e8f0de0cUL;
   tf->codes[20836] = 0x00013b5853ae359cUL;
   tf->codes[20837] = 0x00013b6ef8fd70cbUL;
   tf->codes[20838] = 0x00013bd18fc82776UL;
   tf->codes[20839] = 0x00013c3585ed00bfUL;
   tf->codes[20840] = 0x00013ca5611f060cUL;
   tf->codes[20841] = 0x00013d2b31f33539UL;
   tf->codes[20842] = 0x00013deda0d45d53UL;
   tf->codes[20843] = 0x00013ebe3e58eb23UL;
   tf->codes[20844] = 0x00013ebfd8421386UL;
   tf->codes[20845] = 0x00013ed25f82e6dbUL;
   tf->codes[20846] = 0x00013f5ab47c557fUL;
   tf->codes[20847] = 0x00013fc93054382eUL;
   tf->codes[20848] = 0x000140c1d59db7a9UL;
   tf->codes[20849] = 0x00014109a90acb4bUL;
   tf->codes[20850] = 0x0001411c304b9ea0UL;
   tf->codes[20851] = 0x0001413c3682c65cUL;
   tf->codes[20852] = 0x0001415e865027caUL;
   tf->codes[20853] = 0x000142087b69e68dUL;
   tf->codes[20854] = 0x000142316d6aef4cUL;
   tf->codes[20855] = 0x0001423d52781b50UL;
   tf->codes[20856] = 0x0001429c405275abUL;
   tf->codes[20857] = 0x000142d709e74070UL;
   tf->codes[20858] = 0x000143071339fc0aUL;
   tf->codes[20859] = 0x000143ad99f26442UL;
   tf->codes[20860] = 0x00014452fbdfafa1UL;
   tf->codes[20861] = 0x000145c9e58d9fe4UL;
   tf->codes[20862] = 0x0001461aa4c49489UL;
   tf->codes[20863] = 0x00014664121ad08eUL;
   tf->codes[20864] = 0x000146753a018145UL;
   tf->codes[20865] = 0x000146871195434bUL;
   tf->codes[20866] = 0x0001471c7066faccUL;
   tf->codes[20867] = 0x00014748211c48c7UL;
   tf->codes[20868] = 0x000147c0386b1dc8UL;
   tf->codes[20869] = 0x0001485a2a6948adUL;
   tf->codes[20870] = 0x000148f83a75db6cUL;
   tf->codes[20871] = 0x0001490753555836UL;
   tf->codes[20872] = 0x00014949a959e160UL;
   tf->codes[20873] = 0x00014a487bb8fca2UL;
   tf->codes[20874] = 0x00014a5844458abbUL;
   tf->codes[20875] = 0x00014af5a4a50c2bUL;
   tf->codes[20876] = 0x00014b27f78e0177UL;
   tf->codes[20877] = 0x00014b2c502b6f16UL;
   tf->codes[20878] = 0x00014b871ff76197UL;
   tf->codes[20879] = 0x00014bb58f60f4ceUL;
   tf->codes[20880] = 0x00014bbef048e15bUL;
   tf->codes[20881] = 0x00014c00d12f5efbUL;
   tf->codes[20882] = 0x00014c0ae1c45cd7UL;
   tf->codes[20883] = 0x00014c31c4be31a9UL;
   tf->codes[20884] = 0x00014c757a1cdd71UL;
   tf->codes[20885] = 0x00014cc340108715UL;
   tf->codes[20886] = 0x00014cf592f97c61UL;
   tf->codes[20887] = 0x00014cfd59f8408bUL;
   tf->codes[20888] = 0x00014ee99c40c093UL;
   tf->codes[20889] = 0x00014f1044ab8fa0UL;
   tf->codes[20890] = 0x00014f69efac6548UL;
   tf->codes[20891] = 0x00015021292d72adUL;
   tf->codes[20892] = 0x000150496b816a1dUL;
   tf->codes[20893] = 0x00015050f7f12882UL;
   tf->codes[20894] = 0x0001509f3302ddb0UL;
   tf->codes[20895] = 0x000150a560187977UL;
   tf->codes[20896] = 0x000150fff5556633UL;
   tf->codes[20897] = 0x0001513f5216a45cUL;
   tf->codes[20898] = 0x000151780ca43b34UL;
   tf->codes[20899] = 0x000151e2df8bc193UL;
   tf->codes[20900] = 0x000152cb81b9ad30UL;
   tf->codes[20901] = 0x000153409fc53730UL;
   tf->codes[20902] = 0x00015364897bc101UL;
   tf->codes[20903] = 0x00015388adc15097UL;
   tf->codes[20904] = 0x000153b5f85fc6f5UL;
   tf->codes[20905] = 0x00015455a2558217UL;
   tf->codes[20906] = 0x000154d5f5c126ccUL;
   tf->codes[20907] = 0x000154e4d4119dd1UL;
   tf->codes[20908] = 0x0001550bf19a7868UL;
   tf->codes[20909] = 0x00015521e73ca248UL;
   tf->codes[20910] = 0x000155b20334d516UL;
   tf->codes[20911] = 0x000155cd763f896eUL;
   tf->codes[20912] = 0x0001562721405f16UL;
   tf->codes[20913] = 0x0001566225642fa0UL;
   tf->codes[20914] = 0x00015679ef7e87a8UL;
   tf->codes[20915] = 0x0001569c79daeedbUL;
   tf->codes[20916] = 0x000156e70bfc47b9UL;
   tf->codes[20917] = 0x000156f1cc3e56e4UL;
   tf->codes[20918] = 0x000157a5975e0dbeUL;
   tf->codes[20919] = 0x000157b8ce4bf262UL;
   tf->codes[20920] = 0x00015802011328a2UL;
   tf->codes[20921] = 0x0001587bb24b2606UL;
   tf->codes[20922] = 0x000158aa5c43bf02UL;
   tf->codes[20923] = 0x000158eaa341143fUL;
   tf->codes[20924] = 0x00015960ab88b553UL;
   tf->codes[20925] = 0x0001597a4a1b3b83UL;
   tf->codes[20926] = 0x00015a452fa83916UL;
   tf->codes[20927] = 0x00015a78323e3fb1UL;
   tf->codes[20928] = 0x00015af676a2b079UL;
   tf->codes[20929] = 0x00015b08fde383ceUL;
   tf->codes[20930] = 0x00015b96d0457ceaUL;
   tf->codes[20931] = 0x00015bfd4a8f95aaUL;
   tf->codes[20932] = 0x00015bfea9e9b848UL;
   tf->codes[20933] = 0x00015c2fd80790bbUL;
   tf->codes[20934] = 0x00015c3938ef7d48UL;
   tf->codes[20935] = 0x00015cd031aa5d2cUL;
   tf->codes[20936] = 0x00015d42cb90a7b5UL;
   tf->codes[20937] = 0x00015de325337426UL;
   tf->codes[20938] = 0x00015e1a45d7e29bUL;
   tf->codes[20939] = 0x00015e65fcc45852UL;
   tf->codes[20940] = 0x00015ee7ea19256aUL;
   tf->codes[20941] = 0x00015f645a05680aUL;
   tf->codes[20942] = 0x00015f7b39e3a8feUL;
   tf->codes[20943] = 0x00015f80b74c3376UL;
   tf->codes[20944] = 0x00015f84d55a9b50UL;
   tf->codes[20945] = 0x00015fbeef4254c6UL;
   tf->codes[20946] = 0x0001600ae0bdd042UL;
   tf->codes[20947] = 0x0001606d778886edUL;
   tf->codes[20948] = 0x0001611682662e9cUL;
   tf->codes[20949] = 0x0001613f39d83196UL;
   tf->codes[20950] = 0x00016160d9f881b5UL;
   tf->codes[20951] = 0x000161e5fb1f9f93UL;
   tf->codes[20952] = 0x0001623ad864fc12UL;
   tf->codes[20953] = 0x000162452388ffb3UL;
   tf->codes[20954] = 0x0001627183eb5efdUL;
   tf->codes[20955] = 0x000162bab6b2953dUL;
   tf->codes[20956] = 0x000162c45229878fUL;
   tf->codes[20957] = 0x0001631a19aafb22UL;
   tf->codes[20958] = 0x0001634bf775e4e4UL;
   tf->codes[20959] = 0x000163a1bef75877UL;
   tf->codes[20960] = 0x000163be56cd29a8UL;
   tf->codes[20961] = 0x0001646eb38b89f7UL;
   tf->codes[20962] = 0x000164846e9eae12UL;
   tf->codes[20963] = 0x000164917876f6efUL;
   tf->codes[20964] = 0x000164b2de084149UL;
   tf->codes[20965] = 0x000164bd292c44eaUL;
   tf->codes[20966] = 0x000164e481442546UL;
   tf->codes[20967] = 0x0001652f888389aeUL;
   tf->codes[20968] = 0x00016568f2be31d5UL;
   tf->codes[20969] = 0x0001659f9e4494c0UL;
   tf->codes[20970] = 0x000165f4066be5b5UL;
   tf->codes[20971] = 0x00016739124eec36UL;
   tf->codes[20972] = 0x000168b15b56ff17UL;
   tf->codes[20973] = 0x0001696b18fd4bf3UL;
   tf->codes[20974] = 0x000169fabfd77337UL;
   tf->codes[20975] = 0x000169fdf3a9c3fdUL;
   tf->codes[20976] = 0x00016a990a730bbbUL;
   tf->codes[20977] = 0x00016b77617cf3b7UL;
   tf->codes[20978] = 0x00016bdd2c19fb28UL;
   tf->codes[20979] = 0x00016bef3e3cc2f3UL;
   tf->codes[20980] = 0x00016c02752aa797UL;
   tf->codes[20981] = 0x00016c58773b20efUL;
   tf->codes[20982] = 0x00016d899c83317dUL;
   tf->codes[20983] = 0x00016d9fccb46122UL;
   tf->codes[20984] = 0x00016daac7857612UL;
   tf->codes[20985] = 0x00016de431c01e39UL;
   tf->codes[20986] = 0x00016e24eddb7f00UL;
   tf->codes[20987] = 0x00016e81921f9fa9UL;
   tf->codes[20988] = 0x00016eab33cdb9b7UL;
   tf->codes[20989] = 0x00016ed794301901UL;
   tf->codes[20990] = 0x00016f5c05aa2590UL;
   tf->codes[20991] = 0x00016fbcc7fcae13UL;
   tf->codes[20992] = 0x0001704ce3f4e0e1UL;
   tf->codes[20993] = 0x0001707267949315UL;
   tf->codes[20994] = 0x000170b1fee4d703UL;
   tf->codes[20995] = 0x0001719a6683bcdbUL;
   tf->codes[20996] = 0x00017218705927deUL;
   tf->codes[20997] = 0x0001724287254d76UL;
   tf->codes[20998] = 0x000172cd6043fb91UL;
   tf->codes[20999] = 0x00017351972f025bUL;
   tf->codes[21000] = 0x0001735be25305fcUL;
   tf->codes[21001] = 0x000173b3f36ab341UL;
   tf->codes[21002] = 0x000173e1edb63aeeUL;
   tf->codes[21003] = 0x000174427579bdacUL;
   tf->codes[21004] = 0x000174d16ca6d3a1UL;
   tf->codes[21005] = 0x00017510544a0640UL;
   tf->codes[21006] = 0x00017525d4ce2496UL;
   tf->codes[21007] = 0x00017562ad6a2348UL;
   tf->codes[21008] = 0x0001769029c1d786UL;
   tf->codes[21009] = 0x000176970684849cUL;
   tf->codes[21010] = 0x0001771f960cf905UL;
   tf->codes[21011] = 0x00017835484a553bUL;
   tf->codes[21012] = 0x000178a55e0b604dUL;
   tf->codes[21013] = 0x0001792576e7ff3dUL;
   tf->codes[21014] = 0x00017937fe28d292UL;
   tf->codes[21015] = 0x0001799b7f2fa051UL;
   tf->codes[21016] = 0x000179bcaa31e4e6UL;
   tf->codes[21017] = 0x00017a3cc30e83d6UL;
   tf->codes[21018] = 0x00017a83ac3f8064UL;
   tf->codes[21019] = 0x00017ab80e2fa99dUL;
   tf->codes[21020] = 0x00017b2390c4414bUL;
   tf->codes[21021] = 0x00017b4864b6e230UL;
   tf->codes[21022] = 0x00017b64c1fdad9cUL;
   tf->codes[21023] = 0x00017c23c27d7f2bUL;
   tf->codes[21024] = 0x00017c6777dc2af3UL;
   tf->codes[21025] = 0x00017d23b9a7b746UL;
   tf->codes[21026] = 0x00017d258e1fe56eUL;
   tf->codes[21027] = 0x00017d3e07e74ec5UL;
   tf->codes[21028] = 0x00017d41eb66b0daUL;
   tf->codes[21029] = 0x00017d426084bc64UL;
   tf->codes[21030] = 0x00017d6734775d49UL;
   tf->codes[21031] = 0x00017da5e18b8a23UL;
   tf->codes[21032] = 0x00017dba3d448ba0UL;
   tf->codes[21033] = 0x00017dd65ffc5147UL;
   tf->codes[21034] = 0x00017de8acae1ed7UL;
   tf->codes[21035] = 0x00017e1aff971423UL;
   tf->codes[21036] = 0x00017e24d59d0c3aUL;
   tf->codes[21037] = 0x00017e83fe066c5aUL;
   tf->codes[21038] = 0x00017e9d277ae700UL;
   tf->codes[21039] = 0x00017f10e62c4e62UL;
   tf->codes[21040] = 0x00017f21d383f954UL;
   tf->codes[21041] = 0x00017f2f17eb47f6UL;
   tf->codes[21042] = 0x00018068ee6e33c2UL;
   tf->codes[21043] = 0x00018158e27cd7ffUL;
   tf->codes[21044] = 0x00018189d60baaadUL;
   tf->codes[21045] = 0x0001825a7390387dUL;
   tf->codes[21046] = 0x000182a87412e7e6UL;
   tf->codes[21047] = 0x000182d87d65a380UL;
   tf->codes[21048] = 0x0001831c6d53550dUL;
   tf->codes[21049] = 0x0001837443dbfc8dUL;
   tf->codes[21050] = 0x00018385a651b309UL;
   tf->codes[21051] = 0x000183f965031a6bUL;
   tf->codes[21052] = 0x0001844d580c5fd6UL;
   tf->codes[21053] = 0x0001848144de7d85UL;
   tf->codes[21054] = 0x0001849cb7e931ddUL;
   tf->codes[21055] = 0x000184e91e82b8e3UL;
   tf->codes[21056] = 0x0001854e7401b4caUL;
   tf->codes[21057] = 0x0001861c8d610323UL;
   tf->codes[21058] = 0x00018621208d7687UL;
   tf->codes[21059] = 0x0001865f588397d7UL;
   tf->codes[21060] = 0x000186937fe4bb4bUL;
   tf->codes[21061] = 0x00018760af07f290UL;
   tf->codes[21062] = 0x00018765423465f4UL;
   tf->codes[21063] = 0x0001877f55e4f7aeUL;
   tf->codes[21064] = 0x000187a080e73c43UL;
   tf->codes[21065] = 0x00018865ae7ca999UL;
   tf->codes[21066] = 0x0001887f4d0f2fc9UL;
   tf->codes[21067] = 0x000188b50e597ba0UL;
   tf->codes[21068] = 0x000188ebf46ee450UL;
   tf->codes[21069] = 0x00018946148dc582UL;
   tf->codes[21070] = 0x000189a4182c08c9UL;
   tf->codes[21071] = 0x000189f5c19f1482UL;
   tf->codes[21072] = 0x00018a01318e34fcUL;
   tf->codes[21073] = 0x00018afa8684c5c6UL;
   tf->codes[21074] = 0x00018bcfb735c6faUL;
   tf->codes[21075] = 0x00018c0921706f21UL;
   tf->codes[21076] = 0x00018c0ffe331c37UL;
   tf->codes[21077] = 0x00018c241f5d17efUL;
   tf->codes[21078] = 0x00018ca13ef66bdeUL;
   tf->codes[21079] = 0x00018cc6c2961e12UL;
   tf->codes[21080] = 0x00018d86ad5206b5UL;
   tf->codes[21081] = 0x00018e8e6b7b02faUL;
   tf->codes[21082] = 0x00018ebb7b8a7393UL;
   tf->codes[21083] = 0x00018ee8c628e9f1UL;
   tf->codes[21084] = 0x00018f82b82714d6UL;
   tf->codes[21085] = 0x00018f92f5d1ae79UL;
   tf->codes[21086] = 0x0001903f6f10acb3UL;
   tf->codes[21087] = 0x00019122ce65139dUL;
   tf->codes[21088] = 0x000191413ab312f6UL;
   tf->codes[21089] = 0x0001916d25f766b6UL;
   tf->codes[21090] = 0x0001917611c147b9UL;
   tf->codes[21091] = 0x000191eba4eadd43UL;
   tf->codes[21092] = 0x000192271e2cb957UL;
   tf->codes[21093] = 0x00019284378ee58aUL;
   tf->codes[21094] = 0x000192ea7749f885UL;
   tf->codes[21095] = 0x0001933e6a533df0UL;
   tf->codes[21096] = 0x00019356e41aa747UL;
   tf->codes[21097] = 0x0001935c26f42bfaUL;
   tf->codes[21098] = 0x0001935f203776fbUL;
   tf->codes[21099] = 0x0001936a559791b0UL;
   tf->codes[21100] = 0x00019389ac21a81dUL;
   tf->codes[21101] = 0x000193bce946b47dUL;
   tf->codes[21102] = 0x000193ecb80a6a52UL;
   tf->codes[21103] = 0x00019453a7728e9cUL;
   tf->codes[21104] = 0x00019475bcb0ea45UL;
   tf->codes[21105] = 0x000194c1739d5ffcUL;
   tf->codes[21106] = 0x000195ab3a966872UL;
   tf->codes[21107] = 0x000195d58bf193cfUL;
   tf->codes[21108] = 0x00019643581c652fUL;
   tf->codes[21109] = 0x00019656547b440eUL;
   tf->codes[21110] = 0x00019674863a3da2UL;
   tf->codes[21111] = 0x000196a3a550e228UL;
   tf->codes[21112] = 0x000196d6a7e6e8c3UL;
   tf->codes[21113] = 0x00019768d2e64f7eUL;
   tf->codes[21114] = 0x000197791090e921UL;
   tf->codes[21115] = 0x000197ad7281125aUL;
   tf->codes[21116] = 0x000197e1d4713b93UL;
   tf->codes[21117] = 0x000197e6679daef7UL;
   tf->codes[21118] = 0x0001985b4b1a3332UL;
   tf->codes[21119] = 0x000198cfb978abe3UL;
   tf->codes[21120] = 0x000198e74903fe26UL;
   tf->codes[21121] = 0x000199157dde8b98UL;
   tf->codes[21122] = 0x00019920039194feUL;
   tf->codes[21123] = 0x000199829a5c4ba9UL;
   tf->codes[21124] = 0x00019a01c8fcd385UL;
   tf->codes[21125] = 0x00019a170ef1ec16UL;
   tf->codes[21126] = 0x00019a942e8b4005UL;
   tf->codes[21127] = 0x00019add9be17c0aUL;
   tf->codes[21128] = 0x00019b469a50d441UL;
   tf->codes[21129] = 0x00019b757ed87302UL;
   tf->codes[21130] = 0x00019bdd1deda89bUL;
   tf->codes[21131] = 0x00019d3a2e7a0ce9UL;
   tf->codes[21132] = 0x00019d95e882167eUL;
   tf->codes[21133] = 0x00019db454d015d7UL;
   tf->codes[21134] = 0x00019dcabf904b41UL;
   tf->codes[21135] = 0x00019e48c965b644UL;
   tf->codes[21136] = 0x00019e9320f8095dUL;
   tf->codes[21137] = 0x00019ef24961697dUL;
   tf->codes[21138] = 0x00019f6851a90a91UL;
   tf->codes[21139] = 0x00019f6a60b03e7eUL;
   tf->codes[21140] = 0x00019f897cab4f26UL;
   tf->codes[21141] = 0x00019fdd35258eccUL;
   tf->codes[21142] = 0x0001a0241e568b5aUL;
   tf->codes[21143] = 0x0001a05b7989ff94UL;
   tf->codes[21144] = 0x0001a127be711fc5UL;
   tf->codes[21145] = 0x0001a1763411dab8UL;
   tf->codes[21146] = 0x0001a20824823baeUL;
   tf->codes[21147] = 0x0001a2c34182ab28UL;
   tf->codes[21148] = 0x0001a34b967c19ccUL;
   tf->codes[21149] = 0x0001a3a5f12a00c3UL;
   tf->codes[21150] = 0x0001a3cac51ca1a8UL;
   tf->codes[21151] = 0x0001a3ce6e0cfdf8UL;
   tf->codes[21152] = 0x0001a3d12cc14334UL;
   tf->codes[21153] = 0x0001a4334e6dee55UL;
   tf->codes[21154] = 0x0001a4fe6e89f1adUL;
   tf->codes[21155] = 0x0001a502c7275f4cUL;
   tf->codes[21156] = 0x0001a529aa21341eUL;
   tf->codes[21157] = 0x0001a53345982670UL;
   tf->codes[21158] = 0x0001a5c77f9ec118UL;
   tf->codes[21159] = 0x0001a5ce96f073f3UL;
   tf->codes[21160] = 0x0001a62040637facUL;
   tf->codes[21161] = 0x0001a67b102f722dUL;
   tf->codes[21162] = 0x0001a6bb1c9dc1a5UL;
   tf->codes[21163] = 0x0001a722f641fd03UL;
   tf->codes[21164] = 0x0001a803d1712476UL;
   tf->codes[21165] = 0x0001a8223dbf23cfUL;
   tf->codes[21166] = 0x0001a864ce52b2beUL;
   tf->codes[21167] = 0x0001a869d69d31acUL;
   tf->codes[21168] = 0x0001a876a5e674c4UL;
   tf->codes[21169] = 0x0001a959558dca5fUL;
   tf->codes[21170] = 0x0001aa35287272e4UL;
   tf->codes[21171] = 0x0001aa36fceaa10cUL;
   tf->codes[21172] = 0x0001aa447be0f573UL;
   tf->codes[21173] = 0x0001aa55a3c7a62aUL;
   tf->codes[21174] = 0x0001ab13ba0b60a5UL;
   tf->codes[21175] = 0x0001ab8912a5f06aUL;
   tf->codes[21176] = 0x0001abb6d2627252UL;
   tf->codes[21177] = 0x0001abddb55c4724UL;
   tf->codes[21178] = 0x0001ac13ebc49e85UL;
   tf->codes[21179] = 0x0001ac19de4b3487UL;
   tf->codes[21180] = 0x0001ac1b78345ceaUL;
   tf->codes[21181] = 0x0001ac221a68043bUL;
   tf->codes[21182] = 0x0001ac8142d1645bUL;
   tf->codes[21183] = 0x0001ace3d99c1b06UL;
   tf->codes[21184] = 0x0001ad0330263173UL;
   tf->codes[21185] = 0x0001ad58f7a7a506UL;
   tf->codes[21186] = 0x0001ad5b7bcce47dUL;
   tf->codes[21187] = 0x0001ad876711383dUL;
   tf->codes[21188] = 0x0001addc445694bcUL;
   tf->codes[21189] = 0x0001ae29cfbb389bUL;
   tf->codes[21190] = 0x0001ae76ab72cb2bUL;
   tf->codes[21191] = 0x0001aec227d03b1dUL;
   tf->codes[21192] = 0x0001aeca9e7c1096UL;
   tf->codes[21193] = 0x0001aed60e6b3110UL;
   tf->codes[21194] = 0x0001af0ae57965d3UL;
   tf->codes[21195] = 0x0001af2399cfd4efUL;
   tf->codes[21196] = 0x0001af25e3660ea1UL;
   tf->codes[21197] = 0x0001af33625c6308UL;
   tf->codes[21198] = 0x0001af9584090e29UL;
   tf->codes[21199] = 0x0001afa302ff6290UL;
   tf->codes[21200] = 0x0001b003c551eb13UL;
   tf->codes[21201] = 0x0001b0827ed46765UL;
   tf->codes[21202] = 0x0001b09ccd13fee4UL;
   tf->codes[21203] = 0x0001b0c1db95a58eUL;
   tf->codes[21204] = 0x0001b0eb42b4b9d7UL;
   tf->codes[21205] = 0x0001b147ac69d4bbUL;
   tf->codes[21206] = 0x0001b15c7d40e1c2UL;
   tf->codes[21207] = 0x0001b162aa567d89UL;
   tf->codes[21208] = 0x0001b25bff4d0e53UL;
   tf->codes[21209] = 0x0001b27cb531475eUL;
   tf->codes[21210] = 0x0001b3876c9d8ea4UL;
   tf->codes[21211] = 0x0001b3abcb7223ffUL;
   tf->codes[21212] = 0x0001b3c7b39ae3e1UL;
   tf->codes[21213] = 0x0001b41663caa499UL;
   tf->codes[21214] = 0x0001b4e7766d3df3UL;
   tf->codes[21215] = 0x0001b52a7c1ed86cUL;
   tf->codes[21216] = 0x0001b5369bbb0a35UL;
   tf->codes[21217] = 0x0001b5a3431abebcUL;
   tf->codes[21218] = 0x0001b5a970305a83UL;
   tf->codes[21219] = 0x0001b5b7d962c5feUL;
   tf->codes[21220] = 0x0001b5d97983161dUL;
   tf->codes[21221] = 0x0001b678e8e9cb7aUL;
   tf->codes[21222] = 0x0001b6903de617f8UL;
   tf->codes[21223] = 0x0001b6afceff342aUL;
   tf->codes[21224] = 0x0001b72b8f3e657bUL;
   tf->codes[21225] = 0x0001b7535c745161UL;
   tf->codes[21226] = 0x0001b7bd7faec671UL;
   tf->codes[21227] = 0x0001b85a30613692UL;
   tf->codes[21228] = 0x0001b8b3db620c3aUL;
   tf->codes[21229] = 0x0001b901a155b5deUL;
   tf->codes[21230] = 0x0001b92724f56812UL;
   tf->codes[21231] = 0x0001b9c6945c1d6fUL;
   tf->codes[21232] = 0x0001b9e32c31eea0UL;
   tf->codes[21233] = 0x0001ba124b489326UL;
   tf->codes[21234] = 0x0001ba746cf53e47UL;
   tf->codes[21235] = 0x0001ba934e61492aUL;
   tf->codes[21236] = 0x0001ba9aa04201caUL;
   tf->codes[21237] = 0x0001baa94403730aUL;
   tf->codes[21238] = 0x0001bab772a6d8c0UL;
   tf->codes[21239] = 0x0001bab9bc3d1272UL;
   tf->codes[21240] = 0x0001bad236047bc9UL;
   tf->codes[21241] = 0x0001bb825833d653UL;
   tf->codes[21242] = 0x0001bb955492b532UL;
   tf->codes[21243] = 0x0001bbd610ae15f9UL;
   tf->codes[21244] = 0x0001bbfc096bd3b7UL;
   tf->codes[21245] = 0x0001bc3ed48e686bUL;
   tf->codes[21246] = 0x0001bc98ba1e43d8UL;
   tf->codes[21247] = 0x0001bca42a0d6452UL;
   tf->codes[21248] = 0x0001bcbc6945c7e4UL;
   tf->codes[21249] = 0x0001bdbac686d79cUL;
   tf->codes[21250] = 0x0001be364c370328UL;
   tf->codes[21251] = 0x0001beb037fe0651UL;
   tf->codes[21252] = 0x0001bed33778790eUL;
   tf->codes[21253] = 0x0001bf5b1753dc28UL;
   tf->codes[21254] = 0x0001bf8ddf5adcfeUL;
   tf->codes[21255] = 0x0001bf94bc1d8a14UL;
   tf->codes[21256] = 0x0001c034a0a24afbUL;
   tf->codes[21257] = 0x0001c0baac057fedUL;
   tf->codes[21258] = 0x0001c10921a63ae0UL;
   tf->codes[21259] = 0x0001c12be691a7d8UL;
   tf->codes[21260] = 0x0001c1433b8df456UL;
   tf->codes[21261] = 0x0001c1684a0f9b00UL;
   tf->codes[21262] = 0x0001c1e27065a3eeUL;
   tf->codes[21263] = 0x0001c1e4f48ae365UL;
   tf->codes[21264] = 0x0001c222b762f92bUL;
   tf->codes[21265] = 0x0001c268b657dea5UL;
   tf->codes[21266] = 0x0001c2b93affcd85UL;
   tf->codes[21267] = 0x0001c2c5cfba0ad8UL;
   tf->codes[21268] = 0x0001c2c978aa6728UL;
   tf->codes[21269] = 0x0001c2d4e89987a2UL;
   tf->codes[21270] = 0x0001c2e142c4bf30UL;
   tf->codes[21271] = 0x0001c300994ed59dUL;
   tf->codes[21272] = 0x0001c30358031ad9UL;
   tf->codes[21273] = 0x0001c3bf24b09ba2UL;
   tf->codes[21274] = 0x0001c47ba10b2dbaUL;
   tf->codes[21275] = 0x0001c51851bd9ddbUL;
   tf->codes[21276] = 0x0001c545d6eb19feUL;
   tf->codes[21277] = 0x0001c59ff709fb30UL;
   tf->codes[21278] = 0x0001c63137cd4ad7UL;
   tf->codes[21279] = 0x0001c6c3d7eabd1cUL;
   tf->codes[21280] = 0x0001c6c5ac62eb44UL;
   tf->codes[21281] = 0x0001c73f230be2e3UL;
   tf->codes[21282] = 0x0001c786815aeafbUL;
   tf->codes[21283] = 0x0001c8120a26aa65UL;
   tf->codes[21284] = 0x0001c86d1481a2abUL;
   tf->codes[21285] = 0x0001c922b41987adUL;
   tf->codes[21286] = 0x0001c93f867e5ea3UL;
   tf->codes[21287] = 0x0001c948e7664b30UL;
   tf->codes[21288] = 0x0001c999e12c459aUL;
   tf->codes[21289] = 0x0001c99c65518511UL;
   tf->codes[21290] = 0x0001c9aace83f08cUL;
   tf->codes[21291] = 0x0001c9e1b499593cUL;
   tf->codes[21292] = 0x0001c9e5d2a7c116UL;
   tf->codes[21293] = 0x0001ca28d8595b8fUL;
   tf->codes[21294] = 0x0001ca53d961983bUL;
   tf->codes[21295] = 0x0001ca65014848f2UL;
   tf->codes[21296] = 0x0001caa0056c197cUL;
   tf->codes[21297] = 0x0001cb48d5babb66UL;
   tf->codes[21298] = 0x0001cbb0af5ef6c4UL;
   tf->codes[21299] = 0x0001cbc3abbdd5a3UL;
   tf->codes[21300] = 0x0001cbe9a47b9361UL;
   tf->codes[21301] = 0x0001cc1087756833UL;
   tf->codes[21302] = 0x0001cc5bc943d260UL;
   tf->codes[21303] = 0x0001cc643fefa7d9UL;
   tf->codes[21304] = 0x0001cc9daa2a5000UL;
   tf->codes[21305] = 0x0001cda7ec788bbcUL;
   tf->codes[21306] = 0x0001cde27b7e50bcUL;
   tf->codes[21307] = 0x0001ce0abdd2482cUL;
   tf->codes[21308] = 0x0001ce6ca4efed88UL;
   tf->codes[21309] = 0x0001cecb583b421eUL;
   tf->codes[21310] = 0x0001cf2abb33a803UL;
   tf->codes[21311] = 0x0001cf879a06ce71UL;
   tf->codes[21312] = 0x0001d001faebdd24UL;
   tf->codes[21313] = 0x0001d012389676c7UL;
   tf->codes[21314] = 0x0001d081641b6ac5UL;
   tf->codes[21315] = 0x0001d0845d5eb5c6UL;
   tf->codes[21316] = 0x0001d09d11b524e2UL;
   tf->codes[21317] = 0x0001d19332d964e6UL;
   tf->codes[21318] = 0x0001d1df9972ebecUL;
   tf->codes[21319] = 0x0001d33d59ac6189UL;
   tf->codes[21320] = 0x0001d34470fe1464UL;
   tf->codes[21321] = 0x0001d349ee669edcUL;
   tf->codes[21322] = 0x0001d350560b4068UL;
   tf->codes[21323] = 0x0001d376c3e709b0UL;
   tf->codes[21324] = 0x0001d3eabd2776d7UL;
   tf->codes[21325] = 0x0001d4b8d686c530UL;
   tf->codes[21326] = 0x0001d5287729c4b8UL;
   tf->codes[21327] = 0x0001d53f570805acUL;
   tf->codes[21328] = 0x0001d5596ab89766UL;
   tf->codes[21329] = 0x0001d698841507e5UL;
   tf->codes[21330] = 0x0001d6d9403068acUL;
   tf->codes[21331] = 0x0001d6fdd99403ccUL;
   tf->codes[21332] = 0x0001d8043862dd73UL;
   tf->codes[21333] = 0x0001d8695352d395UL;
   tf->codes[21334] = 0x0001d8c547e9e2efUL;
   tf->codes[21335] = 0x0001d909e784a5cbUL;
   tf->codes[21336] = 0x0001d91f6808c421UL;
   tf->codes[21337] = 0x0001d939069b4a51UL;
   tf->codes[21338] = 0x0001d944768a6acbUL;
   tf->codes[21339] = 0x0001d952300fc4f7UL;
   tf->codes[21340] = 0x0001da137a25d038UL;
   tf->codes[21341] = 0x0001da4bfa24614bUL;
   tf->codes[21342] = 0x0001da97eb9fdcc7UL;
   tf->codes[21343] = 0x0001da9cf3ea5bb5UL;
   tf->codes[21344] = 0x0001daf071d59596UL;
   tf->codes[21345] = 0x0001dafb3217a4c1UL;
   tf->codes[21346] = 0x0001db56b190a891UL;
   tf->codes[21347] = 0x0001db9942243780UL;
   tf->codes[21348] = 0x0001dc3667f4b32bUL;
   tf->codes[21349] = 0x0001dc5b767659d5UL;
   tf->codes[21350] = 0x0001dc6dfdb72d2aUL;
   tf->codes[21351] = 0x0001dcb34cff0155UL;
   tf->codes[21352] = 0x0001dce390e0c2b4UL;
   tf->codes[21353] = 0x0001dcf2a9c03f7eUL;
   tf->codes[21354] = 0x0001dd56da741e8cUL;
   tf->codes[21355] = 0x0001ddd9b20502b8UL;
   tf->codes[21356] = 0x0001de81d2a69353UL;
   tf->codes[21357] = 0x0001de9459e766a8UL;
   tf->codes[21358] = 0x0001dee1e54c0a87UL;
   tf->codes[21359] = 0x0001df573de69a4cUL;
   tf->codes[21360] = 0x0001dfae2a332ab8UL;
   tf->codes[21361] = 0x0001dfd6a71627edUL;
   tf->codes[21362] = 0x0001dfe510489368UL;
   tf->codes[21363] = 0x0001e0ddf02118a8UL;
   tf->codes[21364] = 0x0001e105f7e60a53UL;
   tf->codes[21365] = 0x0001e290c82ef089UL;
   tf->codes[21366] = 0x0001e2d39351853dUL;
   tf->codes[21367] = 0x0001e2fc4ac38837UL;
   tf->codes[21368] = 0x0001e32193d434a6UL;
   tf->codes[21369] = 0x0001e349d6282c16UL;
   tf->codes[21370] = 0x0001e37b3ed50a4eUL;
   tf->codes[21371] = 0x0001e42ecf65bb63UL;
   tf->codes[21372] = 0x0001e447f8da3609UL;
   tf->codes[21373] = 0x0001e5915d5aaa29UL;
   tf->codes[21374] = 0x0001e5c3b0439f75UL;
   tf->codes[21375] = 0x0001e5d512b955f1UL;
   tf->codes[21376] = 0x0001e5fb80951f39UL;
   tf->codes[21377] = 0x0001e60222c8c68aUL;
   tf->codes[21378] = 0x0001e62ebdba2b99UL;
   tf->codes[21379] = 0x0001e6338b75a4c2UL;
   tf->codes[21380] = 0x0001e64478cd4fb4UL;
   tf->codes[21381] = 0x0001e66060f60f96UL;
   tf->codes[21382] = 0x0001e68e5b419743UL;
   tf->codes[21383] = 0x0001e6e4d2701c25UL;
   tf->codes[21384] = 0x0001e72812b0bc63UL;
   tf->codes[21385] = 0x0001e773547f2690UL;
   tf->codes[21386] = 0x0001e7889a743f21UL;
   tf->codes[21387] = 0x0001e78a345d6784UL;
   tf->codes[21388] = 0x0001e7ee2a8240cdUL;
   tf->codes[21389] = 0x0001e7fc1e96a0beUL;
   tf->codes[21390] = 0x0001ea0867164882UL;
   tf->codes[21391] = 0x0001ea30a96a3ff2UL;
   tf->codes[21392] = 0x0001eadad913047aUL;
   tf->codes[21393] = 0x0001eb12344678b4UL;
   tf->codes[21394] = 0x0001eb13ce2fa117UL;
   tf->codes[21395] = 0x0001eb5958067b07UL;
   tf->codes[21396] = 0x0001eb8801ff1403UL;
   tf->codes[21397] = 0x0001eb8ac0b3593fUL;
   tf->codes[21398] = 0x0001ebe2d1cb0684UL;
   tf->codes[21399] = 0x0001ec61c5dc889bUL;
   tf->codes[21400] = 0x0001ec6bd6718677UL;
   tf->codes[21401] = 0x0001ec7278a52dc8UL;
   tf->codes[21402] = 0x0001ece378a24feeUL;
   tf->codes[21403] = 0x0001ecebef4e2567UL;
   tf->codes[21404] = 0x0001ed9b9c5f7467UL;
   tf->codes[21405] = 0x0001edb157729882UL;
   tf->codes[21406] = 0x0001edf8b5c1a09aUL;
   tf->codes[21407] = 0x0001ee422317dc9fUL;
   tf->codes[21408] = 0x0001ee97757b44a8UL;
   tf->codes[21409] = 0x0001eefdefc55d68UL;
   tf->codes[21410] = 0x0001ef6519bc8777UL;
   tf->codes[21411] = 0x0001ef6fd9fe96a2UL;
   tf->codes[21412] = 0x0001efb31a3f36e0UL;
   tf->codes[21413] = 0x0001efd912fcf49eUL;
   tf->codes[21414] = 0x0001f030e9859c1eUL;
   tf->codes[21415] = 0x0001f06a8e4f4a0aUL;
   tf->codes[21416] = 0x0001f0bfa623ac4eUL;
   tf->codes[21417] = 0x0001f1306b91c8afUL;
   tf->codes[21418] = 0x0001f1762ff7a864UL;
   tf->codes[21419] = 0x0001f232e6e14041UL;
   tf->codes[21420] = 0x0001f23fb62a8359UL;
   tf->codes[21421] = 0x0001f29c94fda9c7UL;
   tf->codes[21422] = 0x0001f316f5e2b87aUL;
   tf->codes[21423] = 0x0001f3a836a60821UL;
   tf->codes[21424] = 0x0001f4308b9f76c5UL;
   tf->codes[21425] = 0x0001f4831f4e9992UL;
   tf->codes[21426] = 0x0001f49447354a49UL;
   tf->codes[21427] = 0x0001f538bee67e94UL;
   tf->codes[21428] = 0x0001f5425a5d70e6UL;
   tf->codes[21429] = 0x0001f572292126bbUL;
   tf->codes[21430] = 0x0001f5bf3f67bf10UL;
   tf->codes[21431] = 0x0001f5eb653b1895UL;
   tf->codes[21432] = 0x0001f6178b0e721aUL;
   tf->codes[21433] = 0x0001f6c772aec6dfUL;
   tf->codes[21434] = 0x0001f6d5dbe1325aUL;
   tf->codes[21435] = 0x0001f728e4ae60b1UL;
   tf->codes[21436] = 0x0001f777cf6d272eUL;
   tf->codes[21437] = 0x0001f77e71a0ce7fUL;
   tf->codes[21438] = 0x0001f78a1c1ef4beUL;
   tf->codes[21439] = 0x0001f7a5c9b8aedbUL;
   tf->codes[21440] = 0x0001f7e1f2a79c3eUL;
   tf->codes[21441] = 0x0001f7f947a3e8bcUL;
   tf->codes[21442] = 0x0001f98c54099ea6UL;
   tf->codes[21443] = 0x0001f9a751f64774UL;
   tf->codes[21444] = 0x0001f9ffd82c0043UL;
   tf->codes[21445] = 0x0001faf5bec13a82UL;
   tf->codes[21446] = 0x0001fb39741fe64aUL;
   tf->codes[21447] = 0x0001fb57a5dedfdeUL;
   tf->codes[21448] = 0x0001fb9aab907a57UL;
   tf->codes[21449] = 0x0001fc2b3ca6b8afUL;
   tf->codes[21450] = 0x0001fc4799ed841bUL;
   tf->codes[21451] = 0x0001fcffbdaaa894UL;
   tf->codes[21452] = 0x0001fd03dbb9106eUL;
   tf->codes[21453] = 0x0001fd3e6abed56eUL;
   tf->codes[21454] = 0x0001fd8971fe39d6UL;
   tf->codes[21455] = 0x0001fde73b0d7758UL;
   tf->codes[21456] = 0x0001ff48a4374945UL;
   tf->codes[21457] = 0x0001ff4a03916be3UL;
   tf->codes[21458] = 0x0001ff8a4a8ec120UL;
   tf->codes[21459] = 0x0001ff99d88c4974UL;
   tf->codes[21460] = 0x0000006f093d4aa8UL;
   tf->codes[21461] = 0x000001c2b8e1c269UL;
   tf->codes[21462] = 0x000001e5433e299cUL;
   tf->codes[21463] = 0x000001f964682554UL;
   tf->codes[21464] = 0x00000253bf160c4bUL;
   tf->codes[21465] = 0x0000034f5da2d6c7UL;
   tf->codes[21466] = 0x00000353f0cf4a2bUL;
   tf->codes[21467] = 0x00000381b08bcc13UL;
   tf->codes[21468] = 0x00000383fa2205c5UL;
   tf->codes[21469] = 0x000003e86564ea98UL;
   tf->codes[21470] = 0x000003f7f36272ecUL;
   tf->codes[21471] = 0x000004a51c4e8275UL;
   tf->codes[21472] = 0x000004ba62439b06UL;
   tf->codes[21473] = 0x000004f1f8061505UL;
   tf->codes[21474] = 0x00000502703fb46dUL;
   tf->codes[21475] = 0x00000595fa993dc6UL;
   tf->codes[21476] = 0x000005c6790a04eaUL;
   tf->codes[21477] = 0x000006686c95f9beUL;
   tf->codes[21478] = 0x0000068788910a66UL;
   tf->codes[21479] = 0x000006f5c9d9e750UL;
   tf->codes[21480] = 0x00000796237cb3c1UL;
   tf->codes[21481] = 0x0000081a1fd8b4c6UL;
   tf->codes[21482] = 0x000008313a45fb7fUL;
   tf->codes[21483] = 0x000008a86758b96cUL;
   tf->codes[21484] = 0x00000a0c54a7cad0UL;
   tf->codes[21485] = 0x00000a13e1178935UL;
   tf->codes[21486] = 0x00000afc0e276948UL;
   tf->codes[21487] = 0x00000b3def0de6e8UL;
   tf->codes[21488] = 0x00000b5fc9bd3cccUL;
   tf->codes[21489] = 0x00000bdb4f6d6858UL;
   tf->codes[21490] = 0x00000bec02360d85UL;
   tf->codes[21491] = 0x00000ca8f3aeab27UL;
   tf->codes[21492] = 0x00000d49fcfe88e7UL;
   tf->codes[21493] = 0x00000edd7e824a5bUL;
   tf->codes[21494] = 0x00000f02c792f6caUL;
   tf->codes[21495] = 0x00000f6c75af6050UL;
   tf->codes[21496] = 0x000010145bc1eb26UL;
   tf->codes[21497] = 0x000010df414ee8b9UL;
   tf->codes[21498] = 0x00001181e487eedcUL;
   tf->codes[21499] = 0x00001252bc9b8271UL;
   tf->codes[21500] = 0x000012812c0515a8UL;
   tf->codes[21501] = 0x000013231f910a7cUL;
   tf->codes[21502] = 0x0000148ff8a9fce3UL;
   tf->codes[21503] = 0x00001567e80f4353UL;
   tf->codes[21504] = 0x000015c367884723UL;
   tf->codes[21505] = 0x000015d15b9ca714UL;
   tf->codes[21506] = 0x000015f42088140cUL;
   tf->codes[21507] = 0x000015f62f8f47f9UL;
   tf->codes[21508] = 0x000016d27791fc08UL;
   tf->codes[21509] = 0x000017224c8cd999UL;
   tf->codes[21510] = 0x00001726300c3baeUL;
   tf->codes[21511] = 0x00001736a845db16UL;
   tf->codes[21512] = 0x0000176bb9e3159eUL;
   tf->codes[21513] = 0x000018148a31b788UL;
   tf->codes[21514] = 0x000018d9081a138fUL;
   tf->codes[21515] = 0x0000191e91f0ed7fUL;
   tf->codes[21516] = 0x0000193b9ee4ca3aUL;
   tf->codes[21517] = 0x00001960e7f576a9UL;
   tf->codes[21518] = 0x00001985f6771d53UL;
   tf->codes[21519] = 0x000019e4a9c271e9UL;
   tf->codes[21520] = 0x00001a74509c992dUL;
   tf->codes[21521] = 0x00001a811fe5dc45UL;
   tf->codes[21522] = 0x00001aa3aa424378UL;
   tf->codes[21523] = 0x00001ac460267c83UL;
   tf->codes[21524] = 0x00001b2905f8671bUL;
   tf->codes[21525] = 0x00001b51bd6a6a15UL;
   tf->codes[21526] = 0x00001b689d48ab09UL;
   tf->codes[21527] = 0x00001ba83498eef7UL;
   tf->codes[21528] = 0x00001c05c31926b4UL;
   tf->codes[21529] = 0x00001c1b7e2c4acfUL;
   tf->codes[21530] = 0x00001c8f3cddb231UL;
   tf->codes[21531] = 0x00001ce9978b9928UL;
   tf->codes[21532] = 0x00001da1462ab217UL;
   tf->codes[21533] = 0x00001e967d12db07UL;
   tf->codes[21534] = 0x00001f1dad412cd2UL;
   tf->codes[21535] = 0x00001fb1acb8c1b5UL;
   tf->codes[21536] = 0x00001ff1440905a3UL;
   tf->codes[21537] = 0x0000200ae29b8bd3UL;
   tf->codes[21538] = 0x0000201f78e39315UL;
   tf->codes[21539] = 0x0000209ee21320b6UL;
   tf->codes[21540] = 0x000020c63a2b0112UL;
   tf->codes[21541] = 0x0000212269511631UL;
   tf->codes[21542] = 0x000021d66effd2d0UL;
   tf->codes[21543] = 0x0000226ddcd8be3eUL;
   tf->codes[21544] = 0x00002329a9863f07UL;
   tf->codes[21545] = 0x0000235b875128c9UL;
   tf->codes[21546] = 0x000023b02a077f83UL;
   tf->codes[21547] = 0x000024ba6c55bb3fUL;
   tf->codes[21548] = 0x000024e0651378fdUL;
   tf->codes[21549] = 0x00002547547b9d47UL;
   tf->codes[21550] = 0x000025c6488d1f5eUL;
   tf->codes[21551] = 0x0000274275149454UL;
   tf->codes[21552] = 0x0000275e5d3d5436UL;
   tf->codes[21553] = 0x0000277a7ff519ddUL;
   tf->codes[21554] = 0x000027a03e23d1d6UL;
   tf->codes[21555] = 0x000027d8f8b168aeUL;
   tf->codes[21556] = 0x000028568d68c827UL;
   tf->codes[21557] = 0x0000289784132eb3UL;
   tf->codes[21558] = 0x00002a82dc1f97a7UL;
   tf->codes[21559] = 0x00002a99bbfdd89bUL;
   tf->codes[21560] = 0x00002a9cefd02961UL;
   tf->codes[21561] = 0x00002ab6c8f1b556UL;
   tf->codes[21562] = 0x00002ac6917e436fUL;
   tf->codes[21563] = 0x00002ba29ef1f1b9UL;
   tf->codes[21564] = 0x00002bde8d51d957UL;
   tf->codes[21565] = 0x00002d047d39cf30UL;
   tf->codes[21566] = 0x00002d34fbaa9654UL;
   tf->codes[21567] = 0x00002da043b0283dUL;
   tf->codes[21568] = 0x00002dd6b4a78563UL;
   tf->codes[21569] = 0x00002dde7ba6498dUL;
   tf->codes[21570] = 0x00002e5fb94e0556UL;
   tf->codes[21571] = 0x00002ec07ba08dd9UL;
   tf->codes[21572] = 0x00002f66181cdefdUL;
   tf->codes[21573] = 0x00002f8f0a1de7bcUL;
   tf->codes[21574] = 0x00002f92787f3e47UL;
   tf->codes[21575] = 0x0000307478798293UL;
   tf->codes[21576] = 0x0000310e2fe8a7b3UL;
   tf->codes[21577] = 0x0000311ea822471bUL;
   tf->codes[21578] = 0x00003124258ad193UL;
   tf->codes[21579] = 0x000031dcf8f5075bUL;
   tf->codes[21580] = 0x000032257c0f2c4cUL;
   tf->codes[21581] = 0x0000322a8459ab3aUL;
   tf->codes[21582] = 0x0000325c622494fcUL;
   tf->codes[21583] = 0x0000328c6b775096UL;
   tf->codes[21584] = 0x0000331c876f8364UL;
   tf->codes[21585] = 0x00003322ef1424f0UL;
   tf->codes[21586] = 0x000033db4d604f2eUL;
   tf->codes[21587] = 0x0000341b59ce9ea6UL;
   tf->codes[21588] = 0x0000342b97793849UL;
   tf->codes[21589] = 0x00003441c7aa67eeUL;
   tf->codes[21590] = 0x0000347db60a4f8cUL;
   tf->codes[21591] = 0x000034c3ef8e3acbUL;
   tf->codes[21592] = 0x00003559fe0d039bUL;
   tf->codes[21593] = 0x000035f0471ad230UL;
   tf->codes[21594] = 0x0000369e5a42f8cdUL;
   tf->codes[21595] = 0x000036a23dc25ae2UL;
   tf->codes[21596] = 0x000036ff1c958150UL;
   tf->codes[21597] = 0x0000370ac713a78fUL;
   tf->codes[21598] = 0x00003714628a99e1UL;
   tf->codes[21599] = 0x0000376b4ed72a4dUL;
   tf->codes[21600] = 0x0000377858af732aUL;
   tf->codes[21601] = 0x000037d487d58849UL;
   tf->codes[21602] = 0x000037de5ddb8060UL;
   tf->codes[21603] = 0x0000381752f81cfdUL;
   tf->codes[21604] = 0x0000381802a52e4cUL;
   tf->codes[21605] = 0x000038500d85b3d5UL;
   tf->codes[21606] = 0x000038a7a97f5590UL;
   tf->codes[21607] = 0x0000391bdd4ec87cUL;
   tf->codes[21608] = 0x00003963762cd659UL;
   tf->codes[21609] = 0x0000396a52ef836fUL;
   tf->codes[21610] = 0x000039e737f9d199UL;
   tf->codes[21611] = 0x000039f441d21a76UL;
   tf->codes[21612] = 0x00003a25e50dfe73UL;
   tf->codes[21613] = 0x00003a427ce3cfa4UL;
   tf->codes[21614] = 0x00003a4f86bc1881UL;
   tf->codes[21615] = 0x00003ab3f1fefd54UL;
   tf->codes[21616] = 0x00003ae9edd84ef0UL;
   tf->codes[21617] = 0x00003b3236636e1cUL;
   tf->codes[21618] = 0x00003cb490007ed9UL;
   tf->codes[21619] = 0x00003cdfcb97c14aUL;
   tf->codes[21620] = 0x00003d5d25c01afeUL;
   tf->codes[21621] = 0x00003d5e0ffc3212UL;
   tf->codes[21622] = 0x00003d9e56f9874fUL;
   tf->codes[21623] = 0x00003d9f06a6989eUL;
   tf->codes[21624] = 0x00003de789c0bd8fUL;
   tf->codes[21625] = 0x00003e1e6fd6263fUL;
   tf->codes[21626] = 0x00003e63f9ad002fUL;
   tf->codes[21627] = 0x00003e88cd9fa114UL;
   tf->codes[21628] = 0x00003ec69077b6daUL;
   tf->codes[21629] = 0x00003f07c1b1232bUL;
   tf->codes[21630] = 0x00003f220ff0baaaUL;
   tf->codes[21631] = 0x000041194d0a4fa2UL;
   tf->codes[21632] = 0x000041c42c602579UL;
   tf->codes[21633] = 0x000041efdd157374UL;
   tf->codes[21634] = 0x0000424d6b95ab31UL;
   tf->codes[21635] = 0x00004280e349bd56UL;
   tf->codes[21636] = 0x00004292badd7f5cUL;
   tf->codes[21637] = 0x0000433c004a2cd0UL;
   tf->codes[21638] = 0x000043422d5fc897UL;
   tf->codes[21639] = 0x00004367b0ff7acbUL;
   tf->codes[21640] = 0x000043bc53b5d185UL;
   tf->codes[21641] = 0x0000444a2617caa1UL;
   tf->codes[21642] = 0x0000444ad5c4dbf0UL;
   tf->codes[21643] = 0x000044d539c57e81UL;
   tf->codes[21644] = 0x000044f1d19b4fb2UL;
   tf->codes[21645] = 0x000044faf7f4367aUL;
   tf->codes[21646] = 0x000045493305eba8UL;
   tf->codes[21647] = 0x0000456221eb6089UL;
   tf->codes[21648] = 0x000045a17eac9eb2UL;
   tf->codes[21649] = 0x000046241bae7d19UL;
   tf->codes[21650] = 0x0000468f9e4314c7UL;
   tf->codes[21651] = 0x000046db552f8a7eUL;
   tf->codes[21652] = 0x000047595f04f581UL;
   tf->codes[21653] = 0x000047771ba5e38bUL;
   tf->codes[21654] = 0x000047775634e950UL;
   tf->codes[21655] = 0x000047a42bb55424UL;
   tf->codes[21656] = 0x000047d88da57d5dUL;
   tf->codes[21657] = 0x000047f4b05d4304UL;
   tf->codes[21658] = 0x00004819844fe3e9UL;
   tf->codes[21659] = 0x00004835a707a990UL;
   tf->codes[21660] = 0x0000488a844d060fUL;
   tf->codes[21661] = 0x000048b8440987f7UL;
   tf->codes[21662] = 0x000049343ed7bf0dUL;
   tf->codes[21663] = 0x0000499367411f2dUL;
   tf->codes[21664] = 0x000049d7cc4cdc44UL;
   tf->codes[21665] = 0x000049d92ba6fee2UL;
   tf->codes[21666] = 0x00004a2139a31849UL;
   tf->codes[21667] = 0x00004a25924085e8UL;
   tf->codes[21668] = 0x00004a2975bfe7fdUL;
   tf->codes[21669] = 0x00004b4b82287bc1UL;
   tf->codes[21670] = 0x00004bec50e953bcUL;
   tf->codes[21671] = 0x00004bf0a986c15bUL;
   tf->codes[21672] = 0x00004c9e821fe233UL;
   tf->codes[21673] = 0x00004cbe885709efUL;
   tf->codes[21674] = 0x00004ced6cdea8b0UL;
   tf->codes[21675] = 0x00004d7dfdf4e708UL;
   tf->codes[21676] = 0x00004dd76e66b6ebUL;
   tf->codes[21677] = 0x00004e0b5b38d49aUL;
   tf->codes[21678] = 0x00004e4c17543561UL;
   tf->codes[21679] = 0x00004e6edc3fa259UL;
   tf->codes[21680] = 0x00004e8b7415738aUL;
   tf->codes[21681] = 0x00004f783451c701UL;
   tf->codes[21682] = 0x00004fd51324ed6fUL;
   tf->codes[21683] = 0x00004fd58842f8f9UL;
   tf->codes[21684] = 0x00005069c24993a1UL;
   tf->codes[21685] = 0x000050c2bd9d57faUL;
   tf->codes[21686] = 0x000051f2838b45eaUL;
   tf->codes[21687] = 0x000053654f2ace53UL;
   tf->codes[21688] = 0x00005477cd95d9c3UL;
   tf->codes[21689] = 0x000054ec3bf45274UL;
   tf->codes[21690] = 0x00005519fbb0d45cUL;
   tf->codes[21691] = 0x00005583e45c43a7UL;
   tf->codes[21692] = 0x000055c8f915120dUL;
   tf->codes[21693] = 0x00005688a941f4ebUL;
   tf->codes[21694] = 0x000056cbe9829529UL;
   tf->codes[21695] = 0x00005738565343ebUL;
   tf->codes[21696] = 0x0000579c4c781d34UL;
   tf->codes[21697] = 0x000058216d9f3b12UL;
   tf->codes[21698] = 0x000058840469f1bdUL;
   tf->codes[21699] = 0x0000588897966521UL;
   tf->codes[21700] = 0x0000588947437670UL;
   tf->codes[21701] = 0x00005a2af76a9d9aUL;
   tf->codes[21702] = 0x00005a5966d430d1UL;
   tf->codes[21703] = 0x00005ac76d8e07f6UL;
   tf->codes[21704] = 0x00005ac7a81d0dbbUL;
   tf->codes[21705] = 0x00005b6afb03252dUL;
   tf->codes[21706] = 0x00005baf600ee244UL;
   tf->codes[21707] = 0x00005bd7dcf1df79UL;
   tf->codes[21708] = 0x00005c895e7b5ca1UL;
   tf->codes[21709] = 0x00005c95f33599f4UL;
   tf->codes[21710] = 0x00005c98023ccde1UL;
   tf->codes[21711] = 0x00005ce1e4b11570UL;
   tf->codes[21712] = 0x00005ce259cf20faUL;
   tf->codes[21713] = 0x00005db0389f698eUL;
   tf->codes[21714] = 0x00005dcac16e06d2UL;
   tf->codes[21715] = 0x00005e03416c97e5UL;
   tf->codes[21716] = 0x00005e847f1453aeUL;
   tf->codes[21717] = 0x00005ebab57cab0fUL;
   tf->codes[21718] = 0x00005ed2ba2608dcUL;
   tf->codes[21719] = 0x00005ee7c58c1ba8UL;
   tf->codes[21720] = 0x00005f372568edafUL;
   tf->codes[21721] = 0x00005f4603b964b4UL;
   tf->codes[21722] = 0x00005f59afc554e2UL;
   tf->codes[21723] = 0x00006079e7b5ba7eUL;
   tf->codes[21724] = 0x000060f91656425aUL;
   tf->codes[21725] = 0x000060fe93beccd2UL;
   tf->codes[21726] = 0x0000613b6c5acb84UL;
   tf->codes[21727] = 0x000061ad1c04fef9UL;
   tf->codes[21728] = 0x000061ef377a825eUL;
   tf->codes[21729] = 0x000062fd97d725f4UL;
   tf->codes[21730] = 0x000063370211ce1bUL;
   tf->codes[21731] = 0x00006339fb55191cUL;
   tf->codes[21732] = 0x00006380a9f70fe5UL;
   tf->codes[21733] = 0x000063853d238349UL;
   tf->codes[21734] = 0x000063f468a87747UL;
   tf->codes[21735] = 0x00006427e05c896cUL;
   tf->codes[21736] = 0x0000647cbda1e5ebUL;
   tf->codes[21737] = 0x000064b9211fd913UL;
   tf->codes[21738] = 0x00006524de437686UL;
   tf->codes[21739] = 0x00006531ad8cb99eUL;
   tf->codes[21740] = 0x0000655019dab8f7UL;
   tf->codes[21741] = 0x00006555222537e5UL;
   tf->codes[21742] = 0x0000659d3021514cUL;
   tf->codes[21743] = 0x00006628093fff67UL;
   tf->codes[21744] = 0x0000668597c03724UL;
   tf->codes[21745] = 0x0000669d61da8f2cUL;
   tf->codes[21746] = 0x00006740b4c0a69eUL;
   tf->codes[21747] = 0x000067c6fab2e155UL;
   tf->codes[21748] = 0x000067e6513cf7c2UL;
   tf->codes[21749] = 0x000067f2364a23c6UL;
   tf->codes[21750] = 0x000067f77923a879UL;
   tf->codes[21751] = 0x0000682a7bb9af14UL;
   tf->codes[21752] = 0x0000687d49f7d7a6UL;
   tf->codes[21753] = 0x00006888f475fde5UL;
   tf->codes[21754] = 0x000068c2993fabd1UL;
   tf->codes[21755] = 0x0000690ddb0e15feUL;
   tf->codes[21756] = 0x0000695f0f63162dUL;
   tf->codes[21757] = 0x0000698baa547b3cUL;
   tf->codes[21758] = 0x00006a806c1e98a2UL;
   tf->codes[21759] = 0x00006af3f040fa3fUL;
   tf->codes[21760] = 0x00006b16057f55e8UL;
   tf->codes[21761] = 0x00006b1a238dbdc2UL;
   tf->codes[21762] = 0x00006b272d66069fUL;
   tf->codes[21763] = 0x00006b4683f01d0cUL;
   tf->codes[21764] = 0x00006ba9ca67e506UL;
   tf->codes[21765] = 0x00006c0549e0e8d6UL;
   tf->codes[21766] = 0x00006c567e35e905UL;
   tf->codes[21767] = 0x00006c6a9f5fe4bdUL;
   tf->codes[21768] = 0x00006c7b522889eaUL;
   tf->codes[21769] = 0x00006cdaefaff594UL;
   tf->codes[21770] = 0x00006d1fc9d9be35UL;
   tf->codes[21771] = 0x00006d73f7720965UL;
   tf->codes[21772] = 0x00006d872e5fee09UL;
   tf->codes[21773] = 0x00006e37c5ad541dUL;
   tf->codes[21774] = 0x00006e800e387349UL;
   tf->codes[21775] = 0x00006f05a47d9cb1UL;
   tf->codes[21776] = 0x00006f7f1b269450UL;
   tf->codes[21777] = 0x00006f992ed7260aUL;
   tf->codes[21778] = 0x00006fb6eb781414UL;
   tf->codes[21779] = 0x00006fbc68e09e8cUL;
   tf->codes[21780] = 0x0000706fbee249dcUL;
   tf->codes[21781] = 0x000070e8fafc3bb6UL;
   tf->codes[21782] = 0x000070e9e53852caUL;
   tf->codes[21783] = 0x000071226536e3ddUL;
   tf->codes[21784] = 0x000071489883a760UL;
   tf->codes[21785] = 0x000071756e041234UL;
   tf->codes[21786] = 0x00007199ccd8a78fUL;
   tf->codes[21787] = 0x000072116f097106UL;
   tf->codes[21788] = 0x0000723d94dcca8bUL;
   tf->codes[21789] = 0x00007272a67a0513UL;
   tf->codes[21790] = 0x000072c3dacf0542UL;
   tf->codes[21791] = 0x000072ec57b20277UL;
   tf->codes[21792] = 0x0000731dc05ee0afUL;
   tf->codes[21793] = 0x00007366b897112aUL;
   tf->codes[21794] = 0x000073a10d0dd065UL;
   tf->codes[21795] = 0x000073dab1d77e51UL;
   tf->codes[21796] = 0x000073e78120c169UL;
   tf->codes[21797] = 0x0000741665a8602aUL;
   tf->codes[21798] = 0x0000743f92386eaeUL;
   tf->codes[21799] = 0x00007488ff8eaab3UL;
   tf->codes[21800] = 0x000074bcb1d1c29dUL;
   tf->codes[21801] = 0x000074c3540569eeUL;
   tf->codes[21802] = 0x000074de8c811881UL;
   tf->codes[21803] = 0x00007502011996c8UL;
   tf->codes[21804] = 0x0000751697619e0aUL;
   tf->codes[21805] = 0x000075ab81154a01UL;
   tf->codes[21806] = 0x000075df6de767b0UL;
   tf->codes[21807] = 0x000075e058237ec4UL;
   tf->codes[21808] = 0x0000762f42e24541UL;
   tf->codes[21809] = 0x00007654c681f775UL;
   tf->codes[21810] = 0x000076ce3d2aef14UL;
   tf->codes[21811] = 0x000076e51d093008UL;
   tf->codes[21812] = 0x000076f55ab3c9abUL;
   tf->codes[21813] = 0x0000776202137e32UL;
   tf->codes[21814] = 0x00007788356041b5UL;
   tf->codes[21815] = 0x0000778bde509e05UL;
   tf->codes[21816] = 0x000077a41d890197UL;
   tf->codes[21817] = 0x000077be6bc89916UL;
   tf->codes[21818] = 0x000078c15c361c32UL;
   tf->codes[21819] = 0x000078cabd1e08bfUL;
   tf->codes[21820] = 0x0000790586b2d384UL;
   tf->codes[21821] = 0x00007906ab7df05dUL;
   tf->codes[21822] = 0x0000793b47fd1f5bUL;
   tf->codes[21823] = 0x000079568078cdeeUL;
   tf->codes[21824] = 0x0000796bc66de67fUL;
   tf->codes[21825] = 0x00007a9c3c08e5beUL;
   tf->codes[21826] = 0x00007af39d7381b4UL;
   tf->codes[21827] = 0x00007b55f9af329aUL;
   tf->codes[21828] = 0x00007b73b65020a4UL;
   tf->codes[21829] = 0x00007b9939efd2d8UL;
   tf->codes[21830] = 0x00007bb0545d1991UL;
   tf->codes[21831] = 0x00007beec6e240a6UL;
   tf->codes[21832] = 0x00007bf6c8700a95UL;
   tf->codes[21833] = 0x00007c035d2a47e8UL;
   tf->codes[21834] = 0x00007c223e9652cbUL;
   tf->codes[21835] = 0x00007caf9bda405dUL;
   tf->codes[21836] = 0x00007d2a71dd5a9aUL;
   tf->codes[21837] = 0x00007d68a9d37beaUL;
   tf->codes[21838] = 0x00007e12d97c4072UL;
   tf->codes[21839] = 0x00007e385d1bf2a6UL;
   tf->codes[21840] = 0x00007e3d9ff57759UL;
   tf->codes[21841] = 0x00007e93a205f0b1UL;
   tf->codes[21842] = 0x00007ebf182c38e7UL;
   tf->codes[21843] = 0x00007ecee0b8c700UL;
   tf->codes[21844] = 0x00007f6230834a94UL;
   tf->codes[21845] = 0x00007fb8a7b1cf76UL;
   tf->codes[21846] = 0x00007fda47d21f95UL;
   tf->codes[21847] = 0x00007fde2b5181aaUL;
   tf->codes[21848] = 0x000080254f1183fdUL;
   tf->codes[21849] = 0x000080d1c8508237UL;
   tf->codes[21850] = 0x000080fcc958bee3UL;
   tf->codes[21851] = 0x0000812a4e863b06UL;
   tf->codes[21852] = 0x000081558a1d7d77UL;
   tf->codes[21853] = 0x000081e530f7a4bbUL;
   tf->codes[21854] = 0x000082abbde734afUL;
   tf->codes[21855] = 0x000082da2d50c7e6UL;
   tf->codes[21856] = 0x0000834af2bee447UL;
   tf->codes[21857] = 0x00008391dbefe0d5UL;
   tf->codes[21858] = 0x0000844a3a3c0b13UL;
   tf->codes[21859] = 0x00008579507ce7b4UL;
   tf->codes[21860] = 0x00008587f43e58f4UL;
   tf->codes[21861] = 0x0000858b9d2eb544UL;
   tf->codes[21862] = 0x000085a6d5aa63d7UL;
   tf->codes[21863] = 0x000085c750ff971dUL;
   tf->codes[21864] = 0x000088db923740ebUL;
   tf->codes[21865] = 0x00008930aa0ba32fUL;
   tf->codes[21866] = 0x0000895c5ac0f12aUL;
   tf->codes[21867] = 0x0000898218efa923UL;
   tf->codes[21868] = 0x00008a72f73a6474UL;
   tf->codes[21869] = 0x00008af1b0bce0c6UL;
   tf->codes[21870] = 0x00008bb99d069358UL;
   tf->codes[21871] = 0x00008bba4cb3a4a7UL;
   tf->codes[21872] = 0x00008bbb36efbbbbUL;
   tf->codes[21873] = 0x00008beb40427755UL;
   tf->codes[21874] = 0x00008c9bd78fdd69UL;
   tf->codes[21875] = 0x00008ce9d8128cd2UL;
   tf->codes[21876] = 0x00008e0db8f34ebeUL;
   tf->codes[21877] = 0x00008f05ae8fbceaUL;
   tf->codes[21878] = 0x00008f9a5db4631cUL;
   tf->codes[21879] = 0x00008f9f65fee20aUL;
   tf->codes[21880] = 0x00008fc907acfc18UL;
   tf->codes[21881] = 0x00008fde4da214a9UL;
   tf->codes[21882] = 0x000090536bad9ea9UL;
   tf->codes[21883] = 0x000091be704e62e8UL;
   tf->codes[21884] = 0x00009295b0069809UL;
   tf->codes[21885] = 0x000093e20dca572aUL;
   tf->codes[21886] = 0x00009442d01cdfadUL;
   tf->codes[21887] = 0x00009482a1fc2960UL;
   tf->codes[21888] = 0x000094a6c641b8f6UL;
   tf->codes[21889] = 0x000094bfb5272dd7UL;
   tf->codes[21890] = 0x000095960aa34be4UL;
   tf->codes[21891] = 0x000095cc067c9d80UL;
   tf->codes[21892] = 0x000095d3cd7b61aaUL;
   tf->codes[21893] = 0x0000962ba404092aUL;
   tf->codes[21894] = 0x00009670f34bdd55UL;
   tf->codes[21895] = 0x000096b8c6b8f0f7UL;
   tf->codes[21896] = 0x00009707ec06bd39UL;
   tf->codes[21897] = 0x000097089bb3ce88UL;
   tf->codes[21898] = 0x0000979ac6b33543UL;
   tf->codes[21899] = 0x00009858a267e9f9UL;
   tf->codes[21900] = 0x00009887fc0d9444UL;
   tf->codes[21901] = 0x000099b2f440090bUL;
   tf->codes[21902] = 0x000099fcd6b4509aUL;
   tf->codes[21903] = 0x00009b8b4fed9320UL;
   tf->codes[21904] = 0x00009baaa677a98dUL;
   tf->codes[21905] = 0x00009c16639b4700UL;
   tf->codes[21906] = 0x00009c22f8558453UL;
   tf->codes[21907] = 0x00009c424edf9ac0UL;
   tf->codes[21908] = 0x00009c43391bb1d4UL;
   tf->codes[21909] = 0x00009c5dfc7954ddUL;
   tf->codes[21910] = 0x00009c846a551e25UL;
   tf->codes[21911] = 0x00009c93f852a679UL;
   tf->codes[21912] = 0x00009ca3fb6e3a57UL;
   tf->codes[21913] = 0x00009cc9447ee6c6UL;
   tf->codes[21914] = 0x00009d0b25656466UL;
   tf->codes[21915] = 0x00009d31cdd03373UL;
   tf->codes[21916] = 0x00009da3f2987272UL;
   tf->codes[21917] = 0x00009e6dede958f1UL;
   tf->codes[21918] = 0x00009eb4d71a557fUL;
   tf->codes[21919] = 0x00009ec0bc278183UL;
   tf->codes[21920] = 0x00009f34b567eeaaUL;
   tf->codes[21921] = 0x00009fc80532723eUL;
   tf->codes[21922] = 0x0000a31416bb9bd0UL;
   tf->codes[21923] = 0x0000a38b7e5d5f82UL;
   tf->codes[21924] = 0x0000a3c9f0e28697UL;
   tf->codes[21925] = 0x0000a4f1b542aa98UL;
   tf->codes[21926] = 0x0000a52dde3197fbUL;
   tf->codes[21927] = 0x0000a57bdeb44764UL;
   tf->codes[21928] = 0x0000a5bc6040a266UL;
   tf->codes[21929] = 0x0000a6a5026e8e03UL;
   tf->codes[21930] = 0x0000a6c07579425bUL;
   tf->codes[21931] = 0x0000a6df1c564779UL;
   tf->codes[21932] = 0x0000a72b4860c8baUL;
   tf->codes[21933] = 0x0000a746464d7188UL;
   tf->codes[21934] = 0x0000a7ec57e7ce36UL;
   tf->codes[21935] = 0x0000a8463d77a9a3UL;
   tf->codes[21936] = 0x0000a866f35be2aeUL;
   tf->codes[21937] = 0x0000a878caefa4b4UL;
   tf->codes[21938] = 0x0000a973b9cf5de1UL;
   tf->codes[21939] = 0x0000ab00d3ae7dc9UL;
   tf->codes[21940] = 0x0000ab4e99a2276dUL;
   tf->codes[21941] = 0x0000abe51d3efbc7UL;
   tf->codes[21942] = 0x0000ac644bdf83a3UL;
   tf->codes[21943] = 0x0000ac6869edeb7dUL;
   tf->codes[21944] = 0x0000ac9713e68479UL;
   tf->codes[21945] = 0x0000acaafa817a6cUL;
   tf->codes[21946] = 0x0000ad647d98c183UL;
   tf->codes[21947] = 0x0000ada24070d749UL;
   tf->codes[21948] = 0x0000adbc54216903UL;
   tf->codes[21949] = 0x0000add9611545beUL;
   tf->codes[21950] = 0x0000aea94eecc23fUL;
   tf->codes[21951] = 0x0000aed32b29e212UL;
   tf->codes[21952] = 0x0000aef6da51661eUL;
   tf->codes[21953] = 0x0000af15f64c76c6UL;
   tf->codes[21954] = 0x0000af855c607089UL;
   tf->codes[21955] = 0x0000af99086c60b7UL;
   tf->codes[21956] = 0x0000afbd2cb1f04dUL;
   tf->codes[21957] = 0x0000b0ace6318ec5UL;
   tf->codes[21958] = 0x0000b102adb30258UL;
   tf->codes[21959] = 0x0000b1239e264128UL;
   tf->codes[21960] = 0x0000b12ab577f403UL;
   tf->codes[21961] = 0x0000b156662d41feUL;
   tf->codes[21962] = 0x0000b1858543e684UL;
   tf->codes[21963] = 0x0000b238db4591d4UL;
   tf->codes[21964] = 0x0000b2f7dbc56363UL;
   tf->codes[21965] = 0x0000b3661d0e404dUL;
   tf->codes[21966] = 0x0000b3e0b88254c5UL;
   tf->codes[21967] = 0x0000b3ef96d2cbcaUL;
   tf->codes[21968] = 0x0000b4f7ca19d399UL;
   tf->codes[21969] = 0x0000b5d69641c71fUL;
   tf->codes[21970] = 0x0000b616dd3f1c5cUL;
   tf->codes[21971] = 0x0000b67b4882012fUL;
   tf->codes[21972] = 0x0000b71e9b6818a1UL;
   tf->codes[21973] = 0x0000b783413a0339UL;
   tf->codes[21974] = 0x0000b79e3f26ac07UL;
   tf->codes[21975] = 0x0000b7c5222080d9UL;
   tf->codes[21976] = 0x0000b8344da574d7UL;
   tf->codes[21977] = 0x0000b84ba2a1c155UL;
   tf->codes[21978] = 0x0000b867503b7b72UL;
   tf->codes[21979] = 0x0000b87df58ab6a1UL;
   tf->codes[21980] = 0x0000b90057fd8f43UL;
   tf->codes[21981] = 0x0000b989d1c21ac0UL;
   tf->codes[21982] = 0x0000b99be3e4e28bUL;
   tf->codes[21983] = 0x0000b9a9284c312dUL;
   tf->codes[21984] = 0x0000b9e84a7e6991UL;
   tf->codes[21985] = 0x0000ba1a9d675eddUL;
   tf->codes[21986] = 0x0000bad62f85d9e1UL;
   tf->codes[21987] = 0x0000bb251a44a05eUL;
   tf->codes[21988] = 0x0000bb590716be0dUL;
   tf->codes[21989] = 0x0000bb60ce158237UL;
   tf->codes[21990] = 0x0000bb935b8d7d48UL;
   tf->codes[21991] = 0x0000bbdab9dc8560UL;
   tf->codes[21992] = 0x0000bd79e5de6d13UL;
   tf->codes[21993] = 0x0000bdb5d43e54b1UL;
   tf->codes[21994] = 0x0000bdd05d0cf1f5UL;
   tf->codes[21995] = 0x0000be7d10daf5f4UL;
   tf->codes[21996] = 0x0000bead54bcb753UL;
   tf->codes[21997] = 0x0000bf950cae8bdcUL;
   tf->codes[21998] = 0x0000bfe8c528cb82UL;
   tf->codes[21999] = 0x0000c199191163ecUL;
   tf->codes[22000] = 0x0000c255956bf604UL;
   tf->codes[22001] = 0x0000c2bb2579f7b0UL;
   tf->codes[22002] = 0x0000c2e501b71783UL;
   tf->codes[22003] = 0x0000c318044d1e1eUL;
   tf->codes[22004] = 0x0000c3813d4b7c1aUL;
   tf->codes[22005] = 0x0000c4a51e2c3e06UL;
   tf->codes[22006] = 0x0000c4c76df99f74UL;
   tf->codes[22007] = 0x0000c69d4581ea12UL;
   tf->codes[22008] = 0x0000c93810109c41UL;
   tf->codes[22009] = 0x0000c9fe27e220abUL;
   tf->codes[22010] = 0x0000caad5fd56421UL;
   tf->codes[22011] = 0x0000cb0b28e4a1a3UL;
   tf->codes[22012] = 0x0000cbed28dee5efUL;
   tf->codes[22013] = 0x0000ccc761da6611UL;
   tf->codes[22014] = 0x0000cd5c10ff0c43UL;
   tf->codes[22015] = 0x0000cd971522dccdUL;
   tf->codes[22016] = 0x0000ce81c657fc57UL;
   tf->codes[22017] = 0x0000ced78dd96feaUL;
   tf->codes[22018] = 0x0000cfb694906935UL;
   tf->codes[22019] = 0x0000cfdd026c327dUL;
   tf->codes[22020] = 0x0000d228e23c1e2fUL;
   tf->codes[22021] = 0x0000d3b5fc1b3e17UL;
   tf->codes[22022] = 0x0000d497c1867c9eUL;
   tf->codes[22023] = 0x0000d4f7d42bf3d2UL;
   tf->codes[22024] = 0x0000d5360c221522UL;
   tf->codes[22025] = 0x0000d64c337d7ce2UL;
   tf->codes[22026] = 0x0000d6c02cbdea09UL;
   tf->codes[22027] = 0x0000d9edd1f91442UL;
   tf->codes[22028] = 0x0000da39fe039583UL;
   tf->codes[22029] = 0x0000da3d31d5e649UL;
   tf->codes[22030] = 0x0000db2c76377937UL;
   tf->codes[22031] = 0x0000db6ae8bca04cUL;
   tf->codes[22032] = 0x0000dba7fbe7a4c3UL;
   tf->codes[22033] = 0x0000dbde6cdf01e9UL;
   tf->codes[22034] = 0x0000dc2605bd0fc6UL;
   tf->codes[22035] = 0x0000ddd7b8ffcaceUL;
   tf->codes[22036] = 0x0000de2a121fe7d6UL;
   tf->codes[22037] = 0x0000debe11977cb9UL;
   tf->codes[22038] = 0x0000df981003f716UL;
   tf->codes[22039] = 0x0000e0298b564c82UL;
   tf->codes[22040] = 0x0000e1bea6c33659UL;
   tf->codes[22041] = 0x0000e2510c51a2d9UL;
   tf->codes[22042] = 0x0000e26e8e638b1eUL;
   tf->codes[22043] = 0x0000e29c13910741UL;
   tf->codes[22044] = 0x0000e3970270c06eUL;
   tf->codes[22045] = 0x0000e4b6ffd22045UL;
   tf->codes[22046] = 0x0000e5bb4f99c5ffUL;
   tf->codes[22047] = 0x0000e5d8d1abae44UL;
   tf->codes[22048] = 0x0000e61d36b76b5bUL;
   tf->codes[22049] = 0x0000e66f8fd78863UL;
   tf->codes[22050] = 0x0000e6c6f1422459UL;
   tf->codes[22051] = 0x0000e882056ccbeeUL;
   tf->codes[22052] = 0x0000e8a19685e820UL;
   tf->codes[22053] = 0x0000e9b4c49e04dfUL;
   tf->codes[22054] = 0x0000e9eea3f6b890UL;
   tf->codes[22055] = 0x0000ea33f33e8cbbUL;
   tf->codes[22056] = 0x0000eb55ffa7207fUL;
   tf->codes[22057] = 0x0000eb6a20d11c37UL;
   tf->codes[22058] = 0x0000ebf708f6fe3fUL;
   tf->codes[22059] = 0x0000edda5f759d44UL;
   tf->codes[22060] = 0x0000edf1b471e9c2UL;
   tf->codes[22061] = 0x0000ee67479b7f4cUL;
   tf->codes[22062] = 0x0000ef15cfe1b173UL;
   tf->codes[22063] = 0x0000ef23fe851729UL;
   tf->codes[22064] = 0x0000efc4cd45ef24UL;
   tf->codes[22065] = 0x0000f13bb6f3df67UL;
   tf->codes[22066] = 0x0000f1530bf02be5UL;
   tf->codes[22067] = 0x0000f30484a3e128UL;
   tf->codes[22068] = 0x0000f31c4ebe3930UL;
   tf->codes[22069] = 0x0000f4a4d570e5b4UL;
   tf->codes[22070] = 0x0000f5770cde9be7UL;
   tf->codes[22071] = 0x0000f5bd0bd38161UL;
   tf->codes[22072] = 0x0000f64a2e88692eUL;
   tf->codes[22073] = 0x0000f87caa54d475UL;
   tf->codes[22074] = 0x0000f984a30cd67fUL;
   tf->codes[22075] = 0x0000fa9b3f8649c9UL;
   tf->codes[22076] = 0x0000fac97460d73bUL;
   tf->codes[22077] = 0x0000fc0d9607c6a8UL;
   tf->codes[22078] = 0x0000fc297e30868aUL;
   tf->codes[22079] = 0x0000fc547f38c336UL;
   tf->codes[22080] = 0x0000fc7c11dfa957UL;
   tf->codes[22081] = 0x0000fcff991d9ed2UL;
   tf->codes[22082] = 0x0000fdc41705fad9UL;
   tf->codes[22083] = 0x0000fecda9a72546UL;
   tf->codes[22084] = 0x0000ff120eb2e25dUL;
   tf->codes[22085] = 0x0000ff12f8eef971UL;
   tf->codes[22086] = 0x0000ff3e6f1541a7UL;
   tf->codes[22087] = 0x0000ffa8ccdebc7cUL;
   tf->codes[22088] = 0x0000ffefb60fb90aUL;
   tf->codes[22089] = 0x000100395df4fad4UL;
   tf->codes[22090] = 0x000103d5f4261346UL;
   tf->codes[22091] = 0x000104805e5ddd93UL;
   tf->codes[22092] = 0x0001048098ece358UL;
   tf->codes[22093] = 0x000105bfecd8599cUL;
   tf->codes[22094] = 0x0001063ee0e9dbb3UL;
   tf->codes[22095] = 0x0001063f1b78e178UL;
   tf->codes[22096] = 0x00010733dd42fedeUL;
   tf->codes[22097] = 0x000107a084a2b365UL;
   tf->codes[22098] = 0x00010826ca94ee1cUL;
   tf->codes[22099] = 0x00010857f8b2c68fUL;
   tf->codes[22100] = 0x00010b985fbdc9e2UL;
   tf->codes[22101] = 0x00010e9cd868e597UL;
   tf->codes[22102] = 0x00010fa8ef2f4f7bUL;
   tf->codes[22103] = 0x00010fbfcf0d906fUL;
   tf->codes[22104] = 0x0001106ecc71ce20UL;
   tf->codes[22105] = 0x0001111dc9d60bd1UL;
   tf->codes[22106] = 0x00011128ff362686UL;
   tf->codes[22107] = 0x0001120581c7e05aUL;
   tf->codes[22108] = 0x000114875d711da8UL;
   tf->codes[22109] = 0x000115ae37952a95UL;
   tf->codes[22110] = 0x000116c45ef09255UL;
   tf->codes[22111] = 0x000116ea1d1f4a4eUL;
   tf->codes[22112] = 0x000117293f5182b2UL;
   tf->codes[22113] = 0x000117f45f6d860aUL;
   tf->codes[22114] = 0x000119b26cdb78a0UL;
   tf->codes[22115] = 0x00011a97661907edUL;
   tf->codes[22116] = 0x00011ba8100be535UL;
   tf->codes[22117] = 0x00011de0b8edec43UL;
   tf->codes[22118] = 0x00011e225f45641eUL;
   tf->codes[22119] = 0x00011e71bf223625UL;
   tf->codes[22120] = 0x00011e97f26ef9a8UL;
   tf->codes[22121] = 0x00011f2848f6323bUL;
   tf->codes[22122] = 0x0001203d861582e7UL;
   tf->codes[22123] = 0x00012074e148f721UL;
   tf->codes[22124] = 0x0001207939e664c0UL;
   tf->codes[22125] = 0x000120de1a47551dUL;
   tf->codes[22126] = 0x000122949b45894eUL;
   tf->codes[22127] = 0x0001237b68fb46c3UL;
   tf->codes[22128] = 0x000123bc9a34b314UL;
   tf->codes[22129] = 0x000124ed84edbdddUL;
   tf->codes[22130] = 0x0001259c8251fb8eUL;
   tf->codes[22131] = 0x000125af7eb0da6dUL;
   tf->codes[22132] = 0x000125b3d74e480cUL;
   tf->codes[22133] = 0x000125ef50902420UL;
   tf->codes[22134] = 0x0001265fdb6f3abcUL;
   tf->codes[22135] = 0x000126964c6697e2UL;
   tf->codes[22136] = 0x0001269b1a22110bUL;
   tf->codes[22137] = 0x0001278b48bfbb0dUL;
   tf->codes[22138] = 0x000127a1ee0ef63cUL;
   tf->codes[22139] = 0x00012818e092ae64UL;
   tf->codes[22140] = 0x00012886e74c8589UL;
   tf->codes[22141] = 0x000128e56008d45aUL;
   tf->codes[22142] = 0x000129b1df7efa50UL;
   tf->codes[22143] = 0x000129e97541744fUL;
   tf->codes[22144] = 0x00012a008faebb08UL;
   tf->codes[22145] = 0x00012a1944052a24UL;
   tf->codes[22146] = 0x00012a7ba040db0aUL;
   tf->codes[22147] = 0x00012a932fcc2d4dUL;
   tf->codes[22148] = 0x00012b33896ef9beUL;
   tf->codes[22149] = 0x00012b71fbf420d3UL;
   tf->codes[22150] = 0x00012b95e5aaaaa4UL;
   tf->codes[22151] = 0x00012c434925bff2UL;
   tf->codes[22152] = 0x00012cfa0d88c1cdUL;
   tf->codes[22153] = 0x00012d23e9c5e1a0UL;
   tf->codes[22154] = 0x00012d2beb53ab8fUL;
   tf->codes[22155] = 0x00012e64d79a8047UL;
   tf->codes[22156] = 0x00012edc3f3c43f9UL;
   tf->codes[22157] = 0x00012f8a17d564d1UL;
   tf->codes[22158] = 0x00012f8dfb54c6e6UL;
   tf->codes[22159] = 0x000130c80c66b877UL;
   tf->codes[22160] = 0x000131eb3d9a6914UL;
   tf->codes[22161] = 0x000132638f7843daUL;
   tf->codes[22162] = 0x000133fdb32fac9fUL;
   tf->codes[22163] = 0x000134f35f35e119UL;
   tf->codes[22164] = 0x00013562159cc98dUL;
   tf->codes[22165] = 0x000135af667267a7UL;
   tf->codes[22166] = 0x0001364ab7cab52aUL;
   tf->codes[22167] = 0x00013685f67d8b79UL;
   tf->codes[22168] = 0x0001373e54c9b5b7UL;
   tf->codes[22169] = 0x0001379f51ab43ffUL;
   tf->codes[22170] = 0x000137ba8a26f292UL;
   tf->codes[22171] = 0x0001383a2de585f8UL;
   tf->codes[22172] = 0x000138cea27b2665UL;
   tf->codes[22173] = 0x00013a3bb6231e91UL;
   tf->codes[22174] = 0x00013a68c6328f2aUL;
   tf->codes[22175] = 0x00013a755aeccc7dUL;
   tf->codes[22176] = 0x00013a897c16c835UL;
   tf->codes[22177] = 0x00013a8adb70ead3UL;
   tf->codes[22178] = 0x00013afba0df0734UL;
   tf->codes[22179] = 0x00013c1411d0a8a6UL;
   tf->codes[22180] = 0x00013ddca4f1a4a2UL;
   tf->codes[22181] = 0x00013e770c0ddb11UL;
   tf->codes[22182] = 0x00013f104e5ef4a7UL;
   tf->codes[22183] = 0x0001429f6599b8b2UL;
   tf->codes[22184] = 0x000142b7df612209UL;
   tf->codes[22185] = 0x000142e82342e368UL;
   tf->codes[22186] = 0x000142f5a23937cfUL;
   tf->codes[22187] = 0x000143424361c49aUL;
   tf->codes[22188] = 0x00014379d9243e99UL;
   tf->codes[22189] = 0x0001437d0cf68f5fUL;
   tf->codes[22190] = 0x000143b84ba965aeUL;
   tf->codes[22191] = 0x00014484cb1f8ba4UL;
   tf->codes[22192] = 0x00014522db2c1e63UL;
   tf->codes[22193] = 0x00014576ce3563ceUL;
   tf->codes[22194] = 0x0001466c7a3b9848UL;
   tf->codes[22195] = 0x000146e2f7a144e6UL;
   tf->codes[22196] = 0x0001479946e63b37UL;
   tf->codes[22197] = 0x000147a8d4e3c38bUL;
   tf->codes[22198] = 0x000148466fd24ac0UL;
   tf->codes[22199] = 0x000148a01ad32068UL;
   tf->codes[22200] = 0x000148c8d2452362UL;
   tf->codes[22201] = 0x000148fde3e25deaUL;
   tf->codes[22202] = 0x0001497bedb7c8edUL;
   tf->codes[22203] = 0x000149da667417beUL;
   tf->codes[22204] = 0x00014a4f49f09bf9UL;
   tf->codes[22205] = 0x00014a78eb9eb607UL;
   tf->codes[22206] = 0x00014aa720794379UL;
   tf->codes[22207] = 0x00014ad0fcb6634cUL;
   tf->codes[22208] = 0x00014afd5d18c296UL;
   tf->codes[22209] = 0x00014ba83c6e986dUL;
   tf->codes[22210] = 0x00014d472de17a5bUL;
   tf->codes[22211] = 0x00014d705a7188dfUL;
   tf->codes[22212] = 0x00014deabb569792UL;
   tf->codes[22213] = 0x00014e521fdcc766UL;
   tf->codes[22214] = 0x00014e6ad4333682UL;
   tf->codes[22215] = 0x00014ee8a3799bc0UL;
   tf->codes[22216] = 0x00014f7bb8b5198fUL;
   tf->codes[22217] = 0x00014fbb50055d7dUL;
   tf->codes[22218] = 0x000150745dfe990aUL;
   tf->codes[22219] = 0x000150896964abd6UL;
   tf->codes[22220] = 0x0001515d002c84a7UL;
   tf->codes[22221] = 0x0001519e6bf4f6bdUL;
   tf->codes[22222] = 0x000151a66d82c0acUL;
   tf->codes[22223] = 0x000151cf24f4c3a6UL;
   tf->codes[22224] = 0x0001521090bd35bcUL;
   tf->codes[22225] = 0x00015211f017585aUL;
   tf->codes[22226] = 0x0001530b450de924UL;
   tf->codes[22227] = 0x000153b53a27a7e7UL;
   tf->codes[22228] = 0x00015415123e1956UL;
   tf->codes[22229] = 0x000154c44a315cccUL;
   tf->codes[22230] = 0x00015552cc406737UL;
   tf->codes[22231] = 0x0001557e07d7a9a8UL;
   tf->codes[22232] = 0x000155e40d03b6deUL;
   tf->codes[22233] = 0x000156015486995eUL;
   tf->codes[22234] = 0x0001561e9c097bdeUL;
   tf->codes[22235] = 0x00015642c04f0b74UL;
   tf->codes[22236] = 0x0001572d36f52539UL;
   tf->codes[22237] = 0x000158786fedc781UL;
   tf->codes[22238] = 0x000158c586345fd6UL;
   tf->codes[22239] = 0x0001599205aa85ccUL;
   tf->codes[22240] = 0x000159e6a860dc86UL;
   tf->codes[22241] = 0x00015ca1b3b5bc36UL;
   tf->codes[22242] = 0x00015ccaa5b6c4f5UL;
   tf->codes[22243] = 0x00015cdb1df0645dUL;
   tf->codes[22244] = 0x00015d916d355aaeUL;
   tf->codes[22245] = 0x00015e02a7c18299UL;
   tf->codes[22246] = 0x00015e1bd135fd3fUL;
   tf->codes[22247] = 0x00015e491bd4739dUL;
   tf->codes[22248] = 0x00015eba90efa14dUL;
   tf->codes[22249] = 0x00015f19443af5e3UL;
   tf->codes[22250] = 0x00015f623c73265eUL;
   tf->codes[22251] = 0x0001605b1c4bab9eUL;
   tf->codes[22252] = 0x000161af7b9d34aeUL;
   tf->codes[22253] = 0x0001629c3bd98825UL;
   tf->codes[22254] = 0x000162fde86827bcUL;
   tf->codes[22255] = 0x0001634128a8c7faUL;
   tf->codes[22256] = 0x0001636044a3d8a2UL;
   tf->codes[22257] = 0x0001636a1aa9d0b9UL;
   tf->codes[22258] = 0x000163755009eb6eUL;
   tf->codes[22259] = 0x000163b2d852fb6fUL;
   tf->codes[22260] = 0x000163caa26d5377UL;
   tf->codes[22261] = 0x000163f9c183f7fdUL;
   tf->codes[22262] = 0x0001646df5536ae9UL;
   tf->codes[22263] = 0x0001653740f74019UL;
   tf->codes[22264] = 0x000165669a9cea64UL;
   tf->codes[22265] = 0x000165f9002b56e4UL;
   tf->codes[22266] = 0x000166891c2389b2UL;
   tf->codes[22267] = 0x000167aaedfd17b1UL;
   tf->codes[22268] = 0x00016806e294270bUL;
   tf->codes[22269] = 0x0001682bb686c7f0UL;
   tf->codes[22270] = 0x00016876bdc62c58UL;
   tf->codes[22271] = 0x00016a612b967e38UL;
   tf->codes[22272] = 0x00016afcf20cd745UL;
   tf->codes[22273] = 0x00016b3412b145baUL;
   tf->codes[22274] = 0x00016b933b1aa5daUL;
   tf->codes[22275] = 0x00016c21480ba4bbUL;
   tf->codes[22276] = 0x00016c2e1754e7d3UL;
   tf->codes[22277] = 0x00016c88ac91d48fUL;
   tf->codes[22278] = 0x00016cf42f266c3dUL;
   tf->codes[22279] = 0x00016e04296c3836UL;
   tf->codes[22280] = 0x00016ea7f1705b32UL;
   tf->codes[22281] = 0x00016ee7fddeaaaaUL;
   tf->codes[22282] = 0x00016f6b851ca025UL;
   tf->codes[22283] = 0x00016f7fa6469bddUL;
   tf->codes[22284] = 0x00016fb910814404UL;
   tf->codes[22285] = 0x00016fc5301d75cdUL;
   tf->codes[22286] = 0x00017106cd9f25c3UL;
   tf->codes[22287] = 0x0001717dc022ddebUL;
   tf->codes[22288] = 0x000171ba98bedc9dUL;
   tf->codes[22289] = 0x000171f05a092874UL;
   tf->codes[22290] = 0x000171fb8f694329UL;
   tf->codes[22291] = 0x0001720bcd13dcccUL;
   tf->codes[22292] = 0x000172f67e48fc56UL;
   tf->codes[22293] = 0x000173a5411e3442UL;
   tf->codes[22294] = 0x000173c84098a6ffUL;
   tf->codes[22295] = 0x000174376c1d9afdUL;
   tf->codes[22296] = 0x000175926da2cb5eUL;
   tf->codes[22297] = 0x000176c3585bd627UL;
   tf->codes[22298] = 0x0001770af139e404UL;
   tf->codes[22299] = 0x000177834317becaUL;
   tf->codes[22300] = 0x0001783957cdaf56UL;
   tf->codes[22301] = 0x00017852814229fcUL;
   tf->codes[22302] = 0x000178d08b1794ffUL;
   tf->codes[22303] = 0x000178d0c5a69ac4UL;
   tf->codes[22304] = 0x000178dad63b98a0UL;
   tf->codes[22305] = 0x000178f140fbce0aUL;
   tf->codes[22306] = 0x00017924f33ee5f4UL;
   tf->codes[22307] = 0x0001795ab48931cbUL;
   tf->codes[22308] = 0x000179fb48bb0401UL;
   tf->codes[22309] = 0x00017a61887616fcUL;
   tf->codes[22310] = 0x00017ad0ee8a10bfUL;
   tf->codes[22311] = 0x00017aef956715ddUL;
   tf->codes[22312] = 0x00017b8a71a157d6UL;
   tf->codes[22313] = 0x00017b9531e36701UL;
   tf->codes[22314] = 0x00017c045d685affUL;
   tf->codes[22315] = 0x00017c89f3ad8467UL;
   tf->codes[22316] = 0x00017d4ac8a5841eUL;
   tf->codes[22317] = 0x00017e5495d5b450UL;
   tf->codes[22318] = 0x00017ea1e6ab526aUL;
   tf->codes[22319] = 0x00017f3c88568e9eUL;
   tf->codes[22320] = 0x00017fe299f0eb4cUL;
   tf->codes[22321] = 0x0001801945774e37UL;
   tf->codes[22322] = 0x00018043d1617f59UL;
   tf->codes[22323] = 0x000180848d7ce020UL;
   tf->codes[22324] = 0x0001808995c75f0eUL;
   tf->codes[22325] = 0x000180b1286e452fUL;
   tf->codes[22326] = 0x000180d2c88e954eUL;
   tf->codes[22327] = 0x0001819de8aa98a6UL;
   tf->codes[22328] = 0x00018208bb921f05UL;
   tf->codes[22329] = 0x000182ebe057802aUL;
   tf->codes[22330] = 0x0001847725be71eaUL;
   tf->codes[22331] = 0x000184f6545ef9c6UL;
   tf->codes[22332] = 0x000185086681c191UL;
   tf->codes[22333] = 0x000185536dc125f9UL;
   tf->codes[22334] = 0x00018621fc3e7fdcUL;
   tf->codes[22335] = 0x000186c8f814f39eUL;
   tf->codes[22336] = 0x00018703fc38c428UL;
   tf->codes[22337] = 0x0001873b91fb3e27UL;
   tf->codes[22338] = 0x000187bb7048d752UL;
   tf->codes[22339] = 0x000187ddfaa53e85UL;
   tf->codes[22340] = 0x000187e6715113feUL;
   tf->codes[22341] = 0x000188497d39d633UL;
   tf->codes[22342] = 0x0001884d60b93848UL;
   tf->codes[22343] = 0x00018898a287a275UL;
   tf->codes[22344] = 0x000189175c0a1ec7UL;
   tf->codes[22345] = 0x00018989f5f06950UL;
   tf->codes[22346] = 0x00018ac73ad4aba7UL;
   tf->codes[22347] = 0x00018b07bc6106a9UL;
   tf->codes[22348] = 0x00018b59a0631827UL;
   tf->codes[22349] = 0x00018c7f1b2d0276UL;
   tf->codes[22350] = 0x00018d2d2e552913UL;
   tf->codes[22351] = 0x00018d9afa7ffa73UL;
   tf->codes[22352] = 0x00018e134c5dd539UL;
   tf->codes[22353] = 0x00018e16babf2bc4UL;
   tf->codes[22354] = 0x00018e2b51073306UL;
   tf->codes[22355] = 0x00018e397faa98bcUL;
   tf->codes[22356] = 0x00018e75a899861fUL;
   tf->codes[22357] = 0x00018e811888a699UL;
   tf->codes[22358] = 0x00018e95e95fb3a0UL;
   tf->codes[22359] = 0x00018e9fbf65abb7UL;
   tf->codes[22360] = 0x00018ec6dcee864eUL;
   tf->codes[22361] = 0x0001906f69d85a8eUL;
   tf->codes[22362] = 0x00019106d7b145fcUL;
   tf->codes[22363] = 0x0001910ba56cbf25UL;
   tf->codes[22364] = 0x000191178a79eb29UL;
   tf->codes[22365] = 0x0001912543ff4555UL;
   tf->codes[22366] = 0x0001917f9ead2c4cUL;
   tf->codes[22367] = 0x000191972e387e8fUL;
   tf->codes[22368] = 0x000191cb9028a7c8UL;
   tf->codes[22369] = 0x000191cfae370fa2UL;
   tf->codes[22370] = 0x000191da33ea1908UL;
   tf->codes[22371] = 0x0001928ee945e6f6UL;
   tf->codes[22372] = 0x000194bfcb2929daUL;
   tf->codes[22373] = 0x00019537e277fedbUL;
   tf->codes[22374] = 0x000195a0a658514dUL;
   tf->codes[22375] = 0x000196213452fbc7UL;
   tf->codes[22376] = 0x0001967e13262235UL;
   tf->codes[22377] = 0x0001967f37f13f0eUL;
   tf->codes[22378] = 0x0001968898d92b9bUL;
   tf->codes[22379] = 0x0001969d69b038a2UL;
   tf->codes[22380] = 0x000196c65bb14161UL;
   tf->codes[22381] = 0x000197183fb352dfUL;
   tf->codes[22382] = 0x0001971f91940b7fUL;
   tf->codes[22383] = 0x000197876b3846ddUL;
   tf->codes[22384] = 0x000197a2a3b3f570UL;
   tf->codes[22385] = 0x00019805ea2bbd6aUL;
   tf->codes[22386] = 0x000198078414e5cdUL;
   tf->codes[22387] = 0x000198696b328b29UL;
   tf->codes[22388] = 0x000198a100f50528UL;
   tf->codes[22389] = 0x000199144a886100UL;
   tf->codes[22390] = 0x0001992955ee73ccUL;
   tf->codes[22391] = 0x0001997d8386befcUL;
   tf->codes[22392] = 0x000199916a21b4efUL;
   tf->codes[22393] = 0x000199954da11704UL;
   tf->codes[22394] = 0x000199e7a6c1340cUL;
   tf->codes[22395] = 0x00019a28284d8f0eUL;
   tf->codes[22396] = 0x00019a2d30980dfcUL;
   tf->codes[22397] = 0x00019aa8069b2839UL;
   tf->codes[22398] = 0x00019acb06159af6UL;
   tf->codes[22399] = 0x00019ae08699b94cUL;
   tf->codes[22400] = 0x00019b23172d483bUL;
   tf->codes[22401] = 0x00019b3ae147a043UL;
   tf->codes[22402] = 0x00019be71ff798b8UL;
   tf->codes[22403] = 0x00019c1e409c072dUL;
   tf->codes[22404] = 0x00019c7aaa512211UL;
   tf->codes[22405] = 0x00019c9da9cb94ceUL;
   tf->codes[22406] = 0x00019d697994a975UL;
   tf->codes[22407] = 0x00019dd91a37a8fdUL;
   tf->codes[22408] = 0x00019ef1160b3ee5UL;
   tf->codes[22409] = 0x00019f111c4266a1UL;
   tf->codes[22410] = 0x00019f6a8cb43684UL;
   tf->codes[22411] = 0x0001a00110510adeUL;
   tf->codes[22412] = 0x0001a01c0e3db3acUL;
   tf->codes[22413] = 0x0001a08b39c2a7aaUL;
   tf->codes[22414] = 0x0001a0d3824dc6d6UL;
   tf->codes[22415] = 0x0001a0d88a9845c4UL;
   tf->codes[22416] = 0x0001a1c3765c6b13UL;
   tf->codes[22417] = 0x0001a1dd4f7df708UL;
   tf->codes[22418] = 0x0001a2bfc49646deUL;
   tf->codes[22419] = 0x0001a2e6a7901bb0UL;
   tf->codes[22420] = 0x0001a32554a4488aUL;
   tf->codes[22421] = 0x0001a366c06cbaa0UL;
   tf->codes[22422] = 0x0001a380d41d4c5aUL;
   tf->codes[22423] = 0x0001a3e8adc187b8UL;
   tf->codes[22424] = 0x0001a410f0157f28UL;
   tf->codes[22425] = 0x0001a4584e648740UL;
   tf->codes[22426] = 0x0001a51a82b6a995UL;
   tf->codes[22427] = 0x0001a586ef875857UL;
   tf->codes[22428] = 0x0001a59a9b934885UL;
   tf->codes[22429] = 0x0001a5b55ef0eb8eUL;
   tf->codes[22430] = 0x0001a7340f9d9ffbUL;
   tf->codes[22431] = 0x0001a7fe457d8c3fUL;
   tf->codes[22432] = 0x0001a807a66578ccUL;
   tf->codes[22433] = 0x0001a969bf3c5c08UL;
   tf->codes[22434] = 0x0001a9918c7247eeUL;
   tf->codes[22435] = 0x0001a9e78e82c146UL;
   tf->codes[22436] = 0x0001aa722d12699cUL;
   tf->codes[22437] = 0x0001aafedaa945dfUL;
   tf->codes[22438] = 0x0001ab41a5cbda93UL;
   tf->codes[22439] = 0x0001abc5dcb6e15dUL;
   tf->codes[22440] = 0x0001ac649c70856bUL;
   tf->codes[22441] = 0x0001ac76397541acUL;
   tf->codes[22442] = 0x0001ac7f5fce2874UL;
   tf->codes[22443] = 0x0001ad0a737bdc54UL;
   tf->codes[22444] = 0x0001ad45b22eb2a3UL;
   tf->codes[22445] = 0x0001add3f9aeb749UL;
   tf->codes[22446] = 0x0001add8c76a3072UL;
   tf->codes[22447] = 0x0001ae5a3fa0f200UL;
   tf->codes[22448] = 0x0001b008bf115c42UL;
   tf->codes[22449] = 0x0001b03e0b3d9c8fUL;
   tf->codes[22450] = 0x0001b2a6485453adUL;
   tf->codes[22451] = 0x0001b562ed925bc0UL;
   tf->codes[22452] = 0x0001b5d7d10edffbUL;
   tf->codes[22453] = 0x0001b68bd6bd9c9aUL;
   tf->codes[22454] = 0x0001b69f483a8703UL;
   tf->codes[22455] = 0x0001b6bd3f6a7ad2UL;
   tf->codes[22456] = 0x0001b6ef1d356494UL;
   tf->codes[22457] = 0x0001b6efcce275e3UL;
   tf->codes[22458] = 0x0001b78bcde7d4b5UL;
   tf->codes[22459] = 0x0001b79e5528a80aUL;
   tf->codes[22460] = 0x0001b7e5ee06b5e7UL;
   tf->codes[22461] = 0x0001b8479a95557eUL;
   tf->codes[22462] = 0x0001b8917d099d0dUL;
   tf->codes[22463] = 0x0001b9cfe6b8fc3dUL;
   tf->codes[22464] = 0x0001b9ef3d4312aaUL;
   tf->codes[22465] = 0x0001baa7d61e42adUL;
   tf->codes[22466] = 0x0001bae5d3855e38UL;
   tf->codes[22467] = 0x0001bca41b825693UL;
   tf->codes[22468] = 0x0001bd272da24084UL;
   tf->codes[22469] = 0x0001bd610cfaf435UL;
   tf->codes[22470] = 0x0001be53bfbdddaeUL;
   tf->codes[22471] = 0x0001bef453efafe4UL;
   tf->codes[22472] = 0x0001bf813c1591ecUL;
   tf->codes[22473] = 0x0001bfe323333748UL;
   tf->codes[22474] = 0x0001c061dcb5b39aUL;
   tf->codes[22475] = 0x0001c0b60a4dfecaUL;
   tf->codes[22476] = 0x0001c122b1adb351UL;
   tf->codes[22477] = 0x0001c1cbf71a60c5UL;
   tf->codes[22478] = 0x0001c1d6b75c6ff0UL;
   tf->codes[22479] = 0x0001c287fe56e753UL;
   tf->codes[22480] = 0x0001c3c752425d97UL;
   tf->codes[22481] = 0x0001c3c7c7606921UL;
   tf->codes[22482] = 0x0001c400bc7d05beUL;
   tf->codes[22483] = 0x0001c45a2ceed5a1UL;
   tf->codes[22484] = 0x0001c4818506b5fdUL;
   tf->codes[22485] = 0x0001c4e0ad70161dUL;
   tf->codes[22486] = 0x0001c4f4ce9a11d5UL;
   tf->codes[22487] = 0x0001c55ef1d486e5UL;
   tf->codes[22488] = 0x0001c562d553e8faUL;
   tf->codes[22489] = 0x0001c59562cbe40bUL;
   tf->codes[22490] = 0x0001c5dfba5e3724UL;
   tf->codes[22491] = 0x0001c63c5ea257cdUL;
   tf->codes[22492] = 0x0001c6f61c48a4a9UL;
   tf->codes[22493] = 0x0001c797d54593b8UL;
   tf->codes[22494] = 0x0001c7e0cd7dc433UL;
   tf->codes[22495] = 0x0001c7e5261b31d2UL;
   tf->codes[22496] = 0x0001c7f2dfa08bfeUL;
   tf->codes[22497] = 0x0001c851585cdacfUL;
   tf->codes[22498] = 0x0001c997890afe29UL;
   tf->codes[22499] = 0x0001ca23c183cee2UL;
   tf->codes[22500] = 0x0001ca43529ceb14UL;
   tf->codes[22501] = 0x0001ca5e8b1899a7UL;
   tf->codes[22502] = 0x0001ca81ffb117eeUL;
   tf->codes[22503] = 0x0001ca861dbf7fc8UL;
   tf->codes[22504] = 0x0001cad33406181dUL;
   tf->codes[22505] = 0x0001cb76fc0a3b19UL;
   tf->codes[22506] = 0x0001cbcd38a9ba36UL;
   tf->codes[22507] = 0x0001cc07c7af7f36UL;
   tf->codes[22508] = 0x0001cc0ea4722c4cUL;
   tf->codes[22509] = 0x0001cc54a36711c6UL;
   tf->codes[22510] = 0x0001cc9a67ccf17bUL;
   tf->codes[22511] = 0x0001ccfb64ae7fc3UL;
   tf->codes[22512] = 0x0001cdcfab2369e3UL;
   tf->codes[22513] = 0x0001cf771342214aUL;
   tf->codes[22514] = 0x0001cffef31d8464UL;
   tf->codes[22515] = 0x0001d097fadf9835UL;
   tf->codes[22516] = 0x0001d09d032a1723UL;
   tf->codes[22517] = 0x0001d0bf186872ccUL;
   tf->codes[22518] = 0x0001d0c495d0fd44UL;
   tf->codes[22519] = 0x0001d0d5bdb7adfbUL;
   tf->codes[22520] = 0x0001d1923a124013UL;
   tf->codes[22521] = 0x0001d565b658c135UL;
   tf->codes[22522] = 0x0001d6a5b9f148c8UL;
   tf->codes[22523] = 0x0001d769fd4a9f0aUL;
   tf->codes[22524] = 0x0001d78953d4b577UL;
   tf->codes[22525] = 0x0001d80b7bb88854UL;
   tf->codes[22526] = 0x0001d811a8ce241bUL;
   tf->codes[22527] = 0x0001d835cd13b3b1UL;
   tf->codes[22528] = 0x0001d864b19b5272UL;
   tf->codes[22529] = 0x0001d8f57d40968fUL;
   tf->codes[22530] = 0x0001d95c6ca8bad9UL;
   tf->codes[22531] = 0x0001da43ea0b899dUL;
   tf->codes[22532] = 0x0001db1a3f87a7aaUL;
   tf->codes[22533] = 0x0001db784325eaf1UL;
   tf->codes[22534] = 0x0001dc1ddfa23c15UL;
   tf->codes[22535] = 0x0001dd0d5e92d4c8UL;
   tf->codes[22536] = 0x0001dd56915a0b08UL;
   tf->codes[22537] = 0x0001dd5a74d96d1dUL;
   tf->codes[22538] = 0x0001ddd426116a81UL;
   tf->codes[22539] = 0x0001df45cce5d611UL;
   tf->codes[22540] = 0x0001df4766cefe74UL;
   tf->codes[22541] = 0x0001df4a9aa14f3aUL;
   tf->codes[22542] = 0x0001df7f71af83fdUL;
   tf->codes[22543] = 0x0001df83ca4cf19cUL;
   tf->codes[22544] = 0x0001df88d297708aUL;
   tf->codes[22545] = 0x0001df9e188c891bUL;
   tf->codes[22546] = 0x0001dfc77fab9d64UL;
   tf->codes[22547] = 0x0001dfced18c5604UL;
   tf->codes[22548] = 0x0001dfd6988b1a2eUL;
   tf->codes[22549] = 0x0001e03d12d532eeUL;
   tf->codes[22550] = 0x0001e05b0a0526bdUL;
   tf->codes[22551] = 0x0001e0ef7e9ac72aUL;
   tf->codes[22552] = 0x0001e13e69598da7UL;
   tf->codes[22553] = 0x0001e172562bab56UL;
   tf->codes[22554] = 0x0001e273e73f0bd4UL;
   tf->codes[22555] = 0x0001e2c1ad32b578UL;
   tf->codes[22556] = 0x0001e2fe4b3fae65UL;
   tf->codes[22557] = 0x0001e335a673229fUL;
   tf->codes[22558] = 0x0001e43ae076df6dUL;
   tf->codes[22559] = 0x0001e4d2c36dd665UL;
   tf->codes[22560] = 0x0001e569bc28b649UL;
   tf->codes[22561] = 0x0001e5a23c27475cUL;
   tf->codes[22562] = 0x0001e6e0a5d6a68cUL;
   tf->codes[22563] = 0x0001e6efbeb62356UL;
   tf->codes[22564] = 0x0001e80695be9c65UL;
   tf->codes[22565] = 0x0001e80a793dfe7aUL;
   tf->codes[22566] = 0x0001e90aaaf73c5aUL;
   tf->codes[22567] = 0x0001ea02db22b04bUL;
   tf->codes[22568] = 0x0001eac54a03d865UL;
   tf->codes[22569] = 0x0001ead96b2dd41dUL;
   tf->codes[22570] = 0x0001eb025d2edcdcUL;
   tf->codes[22571] = 0x0001eb665353b625UL;
   tf->codes[22572] = 0x0001eb8ff501d033UL;
   tf->codes[22573] = 0x0001ebf28bcc86deUL;
   tf->codes[22574] = 0x0001ec24deb57c2aUL;
   tf->codes[22575] = 0x0001ed89b640a4a2UL;
   tf->codes[22576] = 0x0001ee2be45b9f3bUL;
   tf->codes[22577] = 0x0001ef26d33b5868UL;
   tf->codes[22578] = 0x0001ef2d756effb9UL;
   tf->codes[22579] = 0x0001ef58b106422aUL;
   tf->codes[22580] = 0x0001ef9b7c28d6deUL;
   tf->codes[22581] = 0x0001efb22178120dUL;
   tf->codes[22582] = 0x0001f03c8578b49eUL;
   tf->codes[22583] = 0x0001f08b70377b1bUL;
   tf->codes[22584] = 0x0001f101ed9d27b9UL;
   tf->codes[22585] = 0x0001f16a76ee7466UL;
   tf->codes[22586] = 0x0001f18ba1f0b8fbUL;
   tf->codes[22587] = 0x0001f248cdf85c62UL;
   tf->codes[22588] = 0x0001f2b27c14c5e8UL;
   tf->codes[22589] = 0x0001f475573e31a7UL;
   tf->codes[22590] = 0x0001f56b786271abUL;
   tf->codes[22591] = 0x0001f5ea6c73f3c2UL;
   tf->codes[22592] = 0x0001f6177c83645bUL;
   tf->codes[22593] = 0x0001f625e5b5cfd6UL;
   tf->codes[22594] = 0x0001f636987e7503UL;
   tf->codes[22595] = 0x0001f6745b568ac9UL;
   tf->codes[22596] = 0x0001f6871d2663e3UL;
   tf->codes[22597] = 0x0001f6a3b4fc3514UL;
   tf->codes[22598] = 0x0001f6ad50732766UL;
   tf->codes[22599] = 0x0001f71b91bc0450UL;
   tf->codes[22600] = 0x0001f951415ac05dUL;
   tf->codes[22601] = 0x0001fa06a6639f9aUL;
   tf->codes[22602] = 0x0001fa087adbcdc2UL;
   tf->codes[22603] = 0x0001fa2a901a296bUL;
   tf->codes[22604] = 0x0001fa5c33560d68UL;
   tf->codes[22605] = 0x0001fb048e86a3c8UL;
   tf->codes[22606] = 0x0001fb843245372eUL;
   tf->codes[22607] = 0x0001fbff42d75730UL;
   tf->codes[22608] = 0x0001fc28a9f66b79UL;
   tf->codes[22609] = 0x0001fd15df50ca7aUL;
   tf->codes[22610] = 0x0001fd406b3afb9cUL;
   tf->codes[22611] = 0x0001fdc37d5ae58dUL;
   tf->codes[22612] = 0x0001fe290d68e739UL;
   tf->codes[22613] = 0x0001fecb3b83e1d2UL;
   tf->codes[22614] = 0x0001ff5d6683488dUL;
   tf->codes[22615] = 0x0001ff72375a5594UL;
   tf->codes[22616] = 0x0001ff74f60e9ad0UL;
   tf->codes[22617] = 0x000000968d59230aUL;
   tf->codes[22618] = 0x00000107c7e54af5UL;
   tf->codes[22619] = 0x000001ff0dd4a7d2UL;
   tf->codes[22620] = 0x00000213698da94fUL;
   tf->codes[22621] = 0x000002cec11d1e8eUL;
   tf->codes[22622] = 0x0000031709a83dbaUL;
   tf->codes[22623] = 0x0000039f5ea1ac5eUL;
   tf->codes[22624] = 0x0000040ae136440cUL;
   tf->codes[22625] = 0x0000046c5335dddeUL;
   tf->codes[22626] = 0x000005bc1f5af38aUL;
   tf->codes[22627] = 0x00000609703091a4UL;
   tf->codes[22628] = 0x000006455e907942UL;
   tf->codes[22629] = 0x0000072514f483dcUL;
   tf->codes[22630] = 0x0000075ce54603a0UL;
   tf->codes[22631] = 0x000007709151f3ceUL;
   tf->codes[22632] = 0x000007a9115084e1UL;
   tf->codes[22633] = 0x000007cde54325c6UL;
   tf->codes[22634] = 0x00000809d3a30d64UL;
   tf->codes[22635] = 0x0000080b6d8c35c7UL;
   tf->codes[22636] = 0x000008349a1c444bUL;
   tf->codes[22637] = 0x0000083bebfcfcebUL;
   tf->codes[22638] = 0x000008822580e82aUL;
   tf->codes[22639] = 0x00000897a6050680UL;
   tf->codes[22640] = 0x000008a43abf43d3UL;
   tf->codes[22641] = 0x000008befe1ce6dcUL;
   tf->codes[22642] = 0x000008c68a8ca541UL;
   tf->codes[22643] = 0x000009462e4b38a7UL;
   tf->codes[22644] = 0x00000ae67f183d33UL;
   tf->codes[22645] = 0x00000b3b5c5d99b2UL;
   tf->codes[22646] = 0x00000caded6e1c56UL;
   tf->codes[22647] = 0x00000cba0d0a4e1fUL;
   tf->codes[22648] = 0x00000d4b133e9801UL;
   tf->codes[22649] = 0x00000d5090a72279UL;
   tf->codes[22650] = 0x00000d90d7a477b6UL;
   tf->codes[22651] = 0x00000da5335d7933UL;
   tf->codes[22652] = 0x00000e0be83697b8UL;
   tf->codes[22653] = 0x00000ee0a3c98d62UL;
   tf->codes[22654] = 0x00000f57964d458aUL;
   tf->codes[22655] = 0x00000f6cdc425e1bUL;
   tf->codes[22656] = 0x00000f7c2fb0e0aaUL;
   tf->codes[22657] = 0x00000f94e4074fc6UL;
   tf->codes[22658] = 0x00000fa1eddf98a3UL;
   tf->codes[22659] = 0x00000ffcbdab8b24UL;
   tf->codes[22660] = 0x0000100a3ca1df8bUL;
   tf->codes[22661] = 0x0000109082941a42UL;
   tf->codes[22662] = 0x00001111108ec4bcUL;
   tf->codes[22663] = 0x00001233cca469cfUL;
   tf->codes[22664] = 0x0000125de3708f67UL;
   tf->codes[22665] = 0x0000127a7b466098UL;
   tf->codes[22666] = 0x000012c92b762150UL;
   tf->codes[22667] = 0x000012dc27d5002fUL;
   tf->codes[22668] = 0x00001346859e7b04UL;
   tf->codes[22669] = 0x000013fcd4e37155UL;
   tf->codes[22670] = 0x000013fd849082a4UL;
   tf->codes[22671] = 0x00001415141bd4e7UL;
   tf->codes[22672] = 0x000014c39c62070eUL;
   tf->codes[22673] = 0x000015279286e057UL;
   tf->codes[22674] = 0x0000154b41ae6463UL;
   tf->codes[22675] = 0x0000158ad8fea851UL;
   tf->codes[22676] = 0x000015fdad73f89fUL;
   tf->codes[22677] = 0x00001655496d9a5aUL;
   tf->codes[22678] = 0x000016e1f704769dUL;
   tf->codes[22679] = 0x000016e6c4bfefc6UL;
   tf->codes[22680] = 0x000016fd6a0f2af5UL;
   tf->codes[22681] = 0x00001722b31fd764UL;
   tf->codes[22682] = 0x0000173c8c416359UL;
   tf->codes[22683] = 0x0000175fc64adbdbUL;
   tf->codes[22684] = 0x0000182a36b9cde4UL;
   tf->codes[22685] = 0x0000183aaef36d4cUL;
   tf->codes[22686] = 0x000018857ba3cbefUL;
   tf->codes[22687] = 0x000018a6a6a61084UL;
   tf->codes[22688] = 0x000018f7a06c0aeeUL;
   tf->codes[22689] = 0x000019a6634142daUL;
   tf->codes[22690] = 0x000019afc4292f67UL;
   tf->codes[22691] = 0x000019fd4f8dd346UL;
   tf->codes[22692] = 0x00001a6c05f4bbbaUL;
   tf->codes[22693] = 0x00001beb2bbf7bb1UL;
   tf->codes[22694] = 0x00001c2754ae6914UL;
   tf->codes[22695] = 0x00001ccfea6e0539UL;
   tf->codes[22696] = 0x00001d2a451bec30UL;
   tf->codes[22697] = 0x00001db60876b15fUL;
   tf->codes[22698] = 0x00001e4d764f9ccdUL;
   tf->codes[22699] = 0x00001e4deb6da857UL;
   tf->codes[22700] = 0x00001f2182358128UL;
   tf->codes[22701] = 0x00001fc3eadf8186UL;
   tf->codes[22702] = 0x000020d75386a40aUL;
   tf->codes[22703] = 0x00002257638d7b15UL;
   tf->codes[22704] = 0x0000237eed5e9951UL;
   tf->codes[22705] = 0x000023b76d5d2a64UL;
   tf->codes[22706] = 0x0000245df415929cUL;
   tf->codes[22707] = 0x00002530db305a1eUL;
   tf->codes[22708] = 0x00002558a8664604UL;
   tf->codes[22709] = 0x00002569209fe56cUL;
   tf->codes[22710] = 0x00002583e3fd8875UL;
   tf->codes[22711] = 0x0000265de26a02d2UL;
   tf->codes[22712] = 0x0000269ffddf8637UL;
   tf->codes[22713] = 0x00002763918bcb2aUL;
   tf->codes[22714] = 0x000028ff149d568dUL;
   tf->codes[22715] = 0x00002a5ea94efa52UL;
   tf->codes[22716] = 0x00002af47d3ebd5dUL;
   tf->codes[22717] = 0x00002b553f9145e0UL;
   tf->codes[22718] = 0x00002c6b2c5da7dbUL;
   tf->codes[22719] = 0x00002c836b960b6dUL;
   tf->codes[22720] = 0x00002da8e65ff5bcUL;
   tf->codes[22721] = 0x00002f7fa824576eUL;
   tf->codes[22722] = 0x0000313e653f5b53UL;
   tf->codes[22723] = 0x000032370a88daceUL;
   tf->codes[22724] = 0x000032c1e3a788e9UL;
   tf->codes[22725] = 0x000032fb887136d5UL;
   tf->codes[22726] = 0x000033a3e3a1cd35UL;
   tf->codes[22727] = 0x000034264614a5d7UL;
   tf->codes[22728] = 0x00003479c3ffdfb8UL;
   tf->codes[22729] = 0x00003479fe8ee57dUL;
   tf->codes[22730] = 0x00003579bb2a17d3UL;
   tf->codes[22731] = 0x000035e5ed6bc0d0UL;
   tf->codes[22732] = 0x0000367dd062b7c8UL;
   tf->codes[22733] = 0x0000370ed69701aaUL;
   tf->codes[22734] = 0x0000375f20afeac5UL;
   tf->codes[22735] = 0x0000389c65942d1cUL;
   tf->codes[22736] = 0x000038d819650ef5UL;
   tf->codes[22737] = 0x00003993ab8389f9UL;
   tf->codes[22738] = 0x0000399f5601b038UL;
   tf->codes[22739] = 0x000039da94b48687UL;
   tf->codes[22740] = 0x00003a53963f729cUL;
   tf->codes[22741] = 0x00003af0bc0fee47UL;
   tf->codes[22742] = 0x00003b85a5c39a3eUL;
   tf->codes[22743] = 0x00003b977d575c44UL;
   tf->codes[22744] = 0x00003bd57abe77cfUL;
   tf->codes[22745] = 0x00003e1e26bc12bbUL;
   tf->codes[22746] = 0x00003e42faaeb3a0UL;
   tf->codes[22747] = 0x00003e9bf60277f9UL;
   tf->codes[22748] = 0x000040aafd3664f9UL;
   tf->codes[22749] = 0x000040d54e919056UL;
   tf->codes[22750] = 0x000040f938481a27UL;
   tf->codes[22751] = 0x00004123148539faUL;
   tf->codes[22752] = 0x000041490d42f7b8UL;
   tf->codes[22753] = 0x000041a27db4c79bUL;
   tf->codes[22754] = 0x000041d3abd2a00eUL;
   tf->codes[22755] = 0x000041d9293b2a86UL;
   tf->codes[22756] = 0x00004224307a8eeeUL;
   tf->codes[22757] = 0x0000424b88926f4aUL;
   tf->codes[22758] = 0x000042ab2619daf4UL;
   tf->codes[22759] = 0x000042ad35210ee1UL;
   tf->codes[22760] = 0x00004394b283dda5UL;
   tf->codes[22761] = 0x000043e5e6d8ddd4UL;
   tf->codes[22762] = 0x000044b55f924ecbUL;
   tf->codes[22763] = 0x000044c8216227e5UL;
   tf->codes[22764] = 0x000045854d69cb4cUL;
   tf->codes[22765] = 0x000045cbfc0bc215UL;
   tf->codes[22766] = 0x00004616190f0f69UL;
   tf->codes[22767] = 0x000046d763251aaaUL;
   tf->codes[22768] = 0x000047210b0a5c74UL;
   tf->codes[22769] = 0x000047368b8e7acaUL;
   tf->codes[22770] = 0x0000488f7e0c773eUL;
   tf->codes[22771] = 0x000048c8adb819a0UL;
   tf->codes[22772] = 0x000048ea88676f84UL;
   tf->codes[22773] = 0x0000492d8e1909fdUL;
   tf->codes[22774] = 0x000049fea0bba357UL;
   tf->codes[22775] = 0x00004b1bdf68bdf2UL;
   tf->codes[22776] = 0x00004b487a5a2301UL;
   tf->codes[22777] = 0x00004b65874dffbcUL;
   tf->codes[22778] = 0x00004b793359efeaUL;
   tf->codes[22779] = 0x00004bdf731502e5UL;
   tf->codes[22780] = 0x00004beda1b8689bUL;
   tf->codes[22781] = 0x00004c6125daca38UL;
   tf->codes[22782] = 0x00004cc25d4b5e45UL;
   tf->codes[22783] = 0x00004d5ff839e57aUL;
   tf->codes[22784] = 0x00004d912657bdedUL;
   tf->codes[22785] = 0x00004dcacb216bd9UL;
   tf->codes[22786] = 0x00004dd9e400e8a3UL;
   tf->codes[22787] = 0x00004df30d756349UL;
   tf->codes[22788] = 0x00004e6323366e5bUL;
   tf->codes[22789] = 0x00004efe39ffb619UL;
   tf->codes[22790] = 0x00004fabd809d12cUL;
   tf->codes[22791] = 0x000051a140ab37fcUL;
   tf->codes[22792] = 0x00005230acf6597bUL;
   tf->codes[22793] = 0x00005313220ea951UL;
   tf->codes[22794] = 0x000053135c9daf16UL;
   tf->codes[22795] = 0x000053cc6a96eaa3UL;
   tf->codes[22796] = 0x000054dbefbeab12UL;
   tf->codes[22797] = 0x000054eace0f2217UL;
   tf->codes[22798] = 0x0000553aa309ffa8UL;
   tf->codes[22799] = 0x0000553c02642246UL;
   tf->codes[22800] = 0x0000557da8bb9a21UL;
   tf->codes[22801] = 0x00005620fba1b193UL;
   tf->codes[22802] = 0x000056a1feba6797UL;
   tf->codes[22803] = 0x000056c0e026727aUL;
   tf->codes[22804] = 0x0000576c349a53dbUL;
   tf->codes[22805] = 0x000057c27139d2f8UL;
   tf->codes[22806] = 0x00005945efa2008eUL;
   tf->codes[22807] = 0x000059621259c635UL;
   tf->codes[22808] = 0x0000598dfd9e19f5UL;
   tf->codes[22809] = 0x00005a23d18ddd00UL;
   tf->codes[22810] = 0x00005a240c1ce2c5UL;
   tf->codes[22811] = 0x00005a269042223cUL;
   tf->codes[22812] = 0x00005a6836999a17UL;
   tf->codes[22813] = 0x00005a7a0e2d5c1dUL;
   tf->codes[22814] = 0x00005b25d7bf4908UL;
   tf->codes[22815] = 0x00005b674387bb1eUL;
   tf->codes[22816] = 0x00005b8ab8203965UL;
   tf->codes[22817] = 0x00005ba1d28d801eUL;
   tf->codes[22818] = 0x00005c66c593e7afUL;
   tf->codes[22819] = 0x00005d313602d9b8UL;
   tf->codes[22820] = 0x00005d443261b897UL;
   tf->codes[22821] = 0x00005e58fa62fdb9UL;
   tf->codes[22822] = 0x00005fef3a9b0469UL;
   tf->codes[22823] = 0x0000606199f2492dUL;
   tf->codes[22824] = 0x0000609bee690868UL;
   tf->codes[22825] = 0x000060c8143c61edUL;
   tf->codes[22826] = 0x000060fc762c8b26UL;
   tf->codes[22827] = 0x00006288a5cf93faUL;
   tf->codes[22828] = 0x000063fc211c2db2UL;
   tf->codes[22829] = 0x00006479b5d38d2bUL;
   tf->codes[22830] = 0x000064c39847d4baUL;
   tf->codes[22831] = 0x00006537cc1747a6UL;
   tf->codes[22832] = 0x000065c10b4ccd5eUL;
   tf->codes[22833] = 0x000065c3ca01129aUL;
   tf->codes[22834] = 0x000065e4455645e0UL;
   tf->codes[22835] = 0x000066619f7e9f94UL;
   tf->codes[22836] = 0x000067a3778f554fUL;
   tf->codes[22837] = 0x000068205c99a379UL;
   tf->codes[22838] = 0x00006975e0b64962UL;
   tf->codes[22839] = 0x000069ea1485bc4eUL;
   tf->codes[22840] = 0x00006a676eae1602UL;
   tf->codes[22841] = 0x00006aa5a6a43752UL;
   tf->codes[22842] = 0x00006aa98a239967UL;
   tf->codes[22843] = 0x00006b25bf80d642UL;
   tf->codes[22844] = 0x00006c127fbd29b9UL;
   tf->codes[22845] = 0x00006cdc7b0e1038UL;
   tf->codes[22846] = 0x00006dd0529c168aUL;
   tf->codes[22847] = 0x00006e477faed477UL;
   tf->codes[22848] = 0x00006f389888958dUL;
   tf->codes[22849] = 0x00006fefd209a2f2UL;
   tf->codes[22850] = 0x00007023844cbadcUL;
   tf->codes[22851] = 0x000070388fb2cda8UL;
   tf->codes[22852] = 0x000070bd764ae5c1UL;
   tf->codes[22853] = 0x000070cdb3f57f64UL;
   tf->codes[22854] = 0x000070d62aa154ddUL;
   tf->codes[22855] = 0x000071c5a991ed90UL;
   tf->codes[22856] = 0x000071dd391d3fd3UL;
   tf->codes[22857] = 0x000071fd79e36d54UL;
   tf->codes[22858] = 0x00007336a0b947d1UL;
   tf->codes[22859] = 0x000073bf3041bc3aUL;
   tf->codes[22860] = 0x000074a8478db361UL;
   tf->codes[22861] = 0x00007523581fd363UL;
   tf->codes[22862] = 0x0000757367a9b6b9UL;
   tf->codes[22863] = 0x0000757e27ebc5e4UL;
   tf->codes[22864] = 0x000075c0b87f54d3UL;
   tf->codes[22865] = 0x0000772ad2e401feUL;
   tf->codes[22866] = 0x0000776bc98e688aUL;
   tf->codes[22867] = 0x0000780d0d6d4c0fUL;
   tf->codes[22868] = 0x000078e412967b6bUL;
   tf->codes[22869] = 0x000079d2e1da02cfUL;
   tf->codes[22870] = 0x00007a0ed039ea6dUL;
   tf->codes[22871] = 0x00007a36d7fedc18UL;
   tf->codes[22872] = 0x00007a48af929e1eUL;
   tf->codes[22873] = 0x00007a54949fca22UL;
   tf->codes[22874] = 0x00007abd1df116cfUL;
   tf->codes[22875] = 0x00007bbd8a395a74UL;
   tf->codes[22876] = 0x00007c285d20e0d3UL;
   tf->codes[22877] = 0x00007c3bce9dcb3cUL;
   tf->codes[22878] = 0x00007d08c331fcbcUL;
   tf->codes[22879] = 0x00007d19b089a7aeUL;
   tf->codes[22880] = 0x00007d252078c828UL;
   tf->codes[22881] = 0x00007d7cbc7269e3UL;
   tf->codes[22882] = 0x00007d923cf68839UL;
   tf->codes[22883] = 0x00007e381401df22UL;
   tf->codes[22884] = 0x00007ef7c42ec200UL;
   tf->codes[22885] = 0x00007f584bf244beUL;
   tf->codes[22886] = 0x000080a34a5be141UL;
   tf->codes[22887] = 0x00008114bf770ef1UL;
   tf->codes[22888] = 0x0000822da586bbedUL;
   tf->codes[22889] = 0x00008278acc62055UL;
   tf->codes[22890] = 0x000082a004de00b1UL;
   tf->codes[22891] = 0x000082b809875e7eUL;
   tf->codes[22892] = 0x000082c30458736eUL;
   tf->codes[22893] = 0x000083a32fda8992UL;
   tf->codes[22894] = 0x000083d3e8da567bUL;
   tf->codes[22895] = 0x0000840292d2ef77UL;
   tf->codes[22896] = 0x00008424a8114b20UL;
   tf->codes[22897] = 0x000084293b3dbe84UL;
   tf->codes[22898] = 0x00008653405e5452UL;
   tf->codes[22899] = 0x0000865a923f0cf2UL;
   tf->codes[22900] = 0x0000872243f9b9bfUL;
   tf->codes[22901] = 0x00008901074be560UL;
   tf->codes[22902] = 0x000089c12c96d3c8UL;
   tf->codes[22903] = 0x00008bc4142e8effUL;
   tf->codes[22904] = 0x00008c4b7eebe68fUL;
   tf->codes[22905] = 0x00008c8439797d67UL;
   tf->codes[22906] = 0x00008c9aa439b2d1UL;
   tf->codes[22907] = 0x00008d3afddc7f42UL;
   tf->codes[22908] = 0x00008d69e2641e03UL;
   tf->codes[22909] = 0x00008e53a95d2679UL;
   tf->codes[22910] = 0x00008e6f1c67dad1UL;
   tf->codes[22911] = 0x00008e8d88b5da2aUL;
   tf->codes[22912] = 0x00008effad7e1929UL;
   tf->codes[22913] = 0x00008fbd4ea3c81aUL;
   tf->codes[22914] = 0x00008fe939e81bdaUL;
   tf->codes[22915] = 0x00008fff6a194b7fUL;
   tf->codes[22916] = 0x000090cee2d2bc76UL;
   tf->codes[22917] = 0x0000922725a3a79bUL;
   tf->codes[22918] = 0x0000923728bf3b79UL;
   tf->codes[22919] = 0x0000928b565786a9UL;
   tf->codes[22920] = 0x000092a0d6dba4ffUL;
   tf->codes[22921] = 0x000093c5dc8783c4UL;
   tf->codes[22922] = 0x00009468ba4f8facUL;
   tf->codes[22923] = 0x000095f9b7ae11a9UL;
   tf->codes[22924] = 0x0000967871308dfbUL;
   tf->codes[22925] = 0x0000979cc72f5b71UL;
   tf->codes[22926] = 0x000097d5f6dafdd3UL;
   tf->codes[22927] = 0x0000983977e1cb92UL;
   tf->codes[22928] = 0x0000983a278edce1UL;
   tf->codes[22929] = 0x000098fb71a4e822UL;
   tf->codes[22930] = 0x0000999b1b9aa344UL;
   tf->codes[22931] = 0x000099b47f9e23afUL;
   tf->codes[22932] = 0x00009a3e6e80bab6UL;
   tf->codes[22933] = 0x00009a642caf72afUL;
   tf->codes[22934] = 0x00009c1a731ea11bUL;
   tf->codes[22935] = 0x00009c5cc9232a45UL;
   tf->codes[22936] = 0x00009c5fc2667546UL;
   tf->codes[22937] = 0x00009c703aa014aeUL;
   tf->codes[22938] = 0x00009c76dcd3bbffUL;
   tf->codes[22939] = 0x00009da0008e029eUL;
   tf->codes[22940] = 0x00009db6e06c4392UL;
   tf->codes[22941] = 0x00009de37b5da8a1UL;
   tf->codes[22942] = 0x00009de8be372d54UL;
   tf->codes[22943] = 0x00009e405a30cf0fUL;
   tf->codes[22944] = 0x00009e8ab1c32228UL;
   tf->codes[22945] = 0x00009eb1cf4bfcbfUL;
   tf->codes[22946] = 0x00009f4176262403UL;
   tf->codes[22947] = 0x0000a0dcbea8a9a1UL;
   tf->codes[22948] = 0x0000a0fed3e7054aUL;
   tf->codes[22949] = 0x0000a1c4769a7e2aUL;
   tf->codes[22950] = 0x0000a30fea222637UL;
   tf->codes[22951] = 0x0000a346d0378ee7UL;
   tf->codes[22952] = 0x0000a379d2cd9582UL;
   tf->codes[22953] = 0x0000a43c071fb7d7UL;
   tf->codes[22954] = 0x0000a45ecc0b24cfUL;
   tf->codes[22955] = 0x0000a4b926b90bc6UL;
   tf->codes[22956] = 0x0000a551443f0883UL;
   tf->codes[22957] = 0x0000a5b6249ff8e0UL;
   tf->codes[22958] = 0x0000a61b3f8fef02UL;
   tf->codes[22959] = 0x0000a6db9f69e32fUL;
   tf->codes[22960] = 0x0000a701d2b6a6b2UL;
   tf->codes[22961] = 0x0000a759e3ce53f7UL;
   tf->codes[22962] = 0x0000a8fc7e319235UL;
   tf->codes[22963] = 0x0000a91aaff08bc9UL;
   tf->codes[22964] = 0x0000a9b37d2399d5UL;
   tf->codes[22965] = 0x0000aa1faf6542d2UL;
   tf->codes[22966] = 0x0000aab7925c39caUL;
   tf->codes[22967] = 0x0000abbbe223df84UL;
   tf->codes[22968] = 0x0000ac36f2b5ff86UL;
   tf->codes[22969] = 0x0000acbbd94e179fUL;
   tf->codes[22970] = 0x0000ad8cebf0b0f9UL;
   tf->codes[22971] = 0x0000adb3945b8006UL;
   tf->codes[22972] = 0x0000ae772807c4f9UL;
   tf->codes[22973] = 0x0000af1ff85666e3UL;
   tf->codes[22974] = 0x0000af7b77cf6ab3UL;
   tf->codes[22975] = 0x0000afddd40b1b99UL;
   tf->codes[22976] = 0x0000b00148a399e0UL;
   tf->codes[22977] = 0x0000b12b5699f793UL;
   tf->codes[22978] = 0x0000b1331d98bbbdUL;
   tf->codes[22979] = 0x0000b1d12da54e7cUL;
   tf->codes[22980] = 0x0000b1f58c79e3d7UL;
   tf->codes[22981] = 0x0000b242dd4f81f1UL;
   tf->codes[22982] = 0x0000b26e5375ca27UL;
   tf->codes[22983] = 0x0000b2b66171e38eUL;
   tf->codes[22984] = 0x0000b31b7c61d9b0UL;
   tf->codes[22985] = 0x0000b32acfd05c3fUL;
   tf->codes[22986] = 0x0000b35854fdd862UL;
   tf->codes[22987] = 0x0000b35fe16d96c7UL;
   tf->codes[22988] = 0x0000b3b1fffeae0aUL;
   tf->codes[22989] = 0x0000b431692e3babUL;
   tf->codes[22990] = 0x0000b477dd412cafUL;
   tf->codes[22991] = 0x0000b4e40f82d5acUL;
   tf->codes[22992] = 0x0000b59fdc305675UL;
   tf->codes[22993] = 0x0000b5e1bd16d415UL;
   tf->codes[22994] = 0x0000b5ff0499b695UL;
   tf->codes[22995] = 0x0000b66f54e9c76cUL;
   tf->codes[22996] = 0x0000b693ee4d628cUL;
   tf->codes[22997] = 0x0000b6b1aaee5096UL;
   tf->codes[22998] = 0x0000b77f89be992aUL;
   tf->codes[22999] = 0x0000b7d4dc220133UL;
   tf->codes[23000] = 0x0000b857ee41eb24UL;
   tf->codes[23001] = 0x0000b88f84046523UL;
   tf->codes[23002] = 0x0000b945d3495b74UL;
   tf->codes[23003] = 0x0000b9ebaa54b25dUL;
   tf->codes[23004] = 0x0000ba63fc328d23UL;
   tf->codes[23005] = 0x0000baa701e4279cUL;
   tf->codes[23006] = 0x0000bb057aa0766dUL;
   tf->codes[23007] = 0x0000bc7d4e8a7dc4UL;
   tf->codes[23008] = 0x0000bd1447455da8UL;
   tf->codes[23009] = 0x0000bd25a9bb1424UL;
   tf->codes[23010] = 0x0000bd799cc4598fUL;
   tf->codes[23011] = 0x0000bd8a8a1c0481UL;
   tf->codes[23012] = 0x0000bdc7d7d60ebdUL;
   tf->codes[23013] = 0x0000bdf81bb7d01cUL;
   tf->codes[23014] = 0x0000bf08508ca1daUL;
   tf->codes[23015] = 0x0000bfb7c30eeb15UL;
   tf->codes[23016] = 0x0000c11966c7c2c7UL;
   tf->codes[23017] = 0x0000c29dcf6c0771UL;
   tf->codes[23018] = 0x0000c29ef437244aUL;
   tf->codes[23019] = 0x0000c3056e813d0aUL;
   tf->codes[23020] = 0x0000c323a040369eUL;
   tf->codes[23021] = 0x0000c351d51ac410UL;
   tf->codes[23022] = 0x0000c3b6405da8e3UL;
   tf->codes[23023] = 0x0000c3eb8c89e930UL;
   tf->codes[23024] = 0x0000c40da1c844d9UL;
   tf->codes[23025] = 0x0000c4261b8fae30UL;
   tf->codes[23026] = 0x0000c42b23da2d1eUL;
   tf->codes[23027] = 0x0000c4570f1e80deUL;
   tf->codes[23028] = 0x0000c4adfb6b114aUL;
   tf->codes[23029] = 0x0000c503885d7f18UL;
   tf->codes[23030] = 0x0000cab677a33d2aUL;
   tf->codes[23031] = 0x0000d163e0aaa8dfUL;
   tf->codes[23032] = 0x0000d1866b071012UL;
   tf->codes[23033] = 0x0000d1b8bdf0055eUL;
   tf->codes[23034] = 0x0000d26f0d34fbafUL;
   tf->codes[23035] = 0x0000d3f1a1611231UL;
   tf->codes[23036] = 0x0000d44b4c61e7d9UL;
   tf->codes[23037] = 0x0000d53a90c37ac7UL;
   tf->codes[23038] = 0x0000d5e5aaa85663UL;
   tf->codes[23039] = 0x0000d66acbcf7441UL;
   tf->codes[23040] = 0x0000d8dbf4b00c62UL;
   tf->codes[23041] = 0x0000d9640f1a7541UL;
   tf->codes[23042] = 0x0000dd0697d223b5UL;
   tf->codes[23043] = 0x0000dd3e2d949db4UL;
   tf->codes[23044] = 0x0000e09deb29b774UL;
   tf->codes[23045] = 0x0000e168d0b6b507UL;
   tf->codes[23046] = 0x0000e204220f028aUL;
   tf->codes[23047] = 0x0000e339da83867cUL;
   tf->codes[23048] = 0x0000e3725a82178fUL;
   tf->codes[23049] = 0x0000e3a2d8f2deb3UL;
   tf->codes[23050] = 0x0000e428a9c70de0UL;
   tf->codes[23051] = 0x0000e44a49e75dffUL;
   tf->codes[23052] = 0x0000e5b96c968a18UL;
   tf->codes[23053] = 0x0000e7234c6c317eUL;
   tf->codes[23054] = 0x0000e75aa79fa5b8UL;
   tf->codes[23055] = 0x0000e958c17be7c6UL;
   tf->codes[23056] = 0x0000eac5d523dff2UL;
   tf->codes[23057] = 0x0000eb716426c718UL;
   tf->codes[23058] = 0x0000ebd67f16bd3aUL;
   tf->codes[23059] = 0x0000edf7234f667bUL;
   tf->codes[23060] = 0x0000ef676ac9af6dUL;
   tf->codes[23061] = 0x0000f0183ca61b46UL;
   tf->codes[23062] = 0x0000f0ff0a5bd8bbUL;
   tf->codes[23063] = 0x0000f18bf281bac3UL;
   tf->codes[23064] = 0x0000f22952e13c33UL;
   tf->codes[23065] = 0x0000f28b39fee18fUL;
   tf->codes[23066] = 0x0000f2a2c98a33d2UL;
   tf->codes[23067] = 0x0000f2d51c73291eUL;
   tf->codes[23068] = 0x0000f4ceddb1fd8dUL;
   tf->codes[23069] = 0x0000f5e1218e0338UL;
   tf->codes[23070] = 0x0000f621688b5875UL;
   tf->codes[23071] = 0x0000f633b53d2605UL;
   tf->codes[23072] = 0x0000f7c01f6f349eUL;
   tf->codes[23073] = 0x0000f8206ca3b197UL;
   tf->codes[23074] = 0x0000f860b3a106d4UL;
   tf->codes[23075] = 0x0000f8ec3c6cc63eUL;
   tf->codes[23076] = 0x0000f92ff1cb7206UL;
   tf->codes[23077] = 0x0000f9beae698236UL;
   tf->codes[23078] = 0x0000fc06aaba0bd3UL;
   tf->codes[23079] = 0x0000fcb8dbf09a4aUL;
   tf->codes[23080] = 0x0000fdb90da9d82aUL;
   tf->codes[23081] = 0x0000fe4afe1a3920UL;
   tf->codes[23082] = 0x0000fe59674ca49bUL;
   tf->codes[23083] = 0x0000fe82ce6bb8e4UL;
   tf->codes[23084] = 0x0001041be48feb01UL;
   tf->codes[23085] = 0x000104366d5e8845UL;
   tf->codes[23086] = 0x000104616e66c4f1UL;
   tf->codes[23087] = 0x00010466b14049a4UL;
   tf->codes[23088] = 0x0001049595c7e865UL;
   tf->codes[23089] = 0x000108552b737394UL;
   tf->codes[23090] = 0x0001085aa8dbfe0cUL;
   tf->codes[23091] = 0x000108840ffb1255UL;
   tf->codes[23092] = 0x00010953139677c2UL;
   tf->codes[23093] = 0x00010b6b41234b8aUL;
   tf->codes[23094] = 0x00010d0564dab44fUL;
   tf->codes[23095] = 0x00010d85b8465904UL;
   tf->codes[23096] = 0x00010d9ee1bad3aaUL;
   tf->codes[23097] = 0x00010dfe44b3398fUL;
   tf->codes[23098] = 0x00010e9711e6479bUL;
   tf->codes[23099] = 0x00010ea247466250UL;
   tf->codes[23100] = 0x00010f809e504a4cUL;
   tf->codes[23101] = 0x000110237c185634UL;
   tf->codes[23102] = 0x000111b2df8dafceUL;
   tf->codes[23103] = 0x000112070d25fafeUL;
   tf->codes[23104] = 0x000112186f9bb17aUL;
   tf->codes[23105] = 0x0001124719944a76UL;
   tf->codes[23106] = 0x0001125a15f32955UL;
   tf->codes[23107] = 0x000112d9f440c280UL;
   tf->codes[23108] = 0x000113ea9e339fc8UL;
   tf->codes[23109] = 0x00011460e10a46a1UL;
   tf->codes[23110] = 0x0001146539a7b440UL;
   tf->codes[23111] = 0x000114d00c8f3a9fUL;
   tf->codes[23112] = 0x0001155d69d32831UL;
   tf->codes[23113] = 0x000115bccccb8e16UL;
   tf->codes[23114] = 0x000117d15168058eUL;
   tf->codes[23115] = 0x000118c26a41c6a4UL;
   tf->codes[23116] = 0x000119984a9fd927UL;
   tf->codes[23117] = 0x0001199f9c8091c7UL;
   tf->codes[23118] = 0x00011b35dcb89877UL;
   tf->codes[23119] = 0x00011b5de47d8a22UL;
   tf->codes[23120] = 0x00011bd28d6b0898UL;
   tf->codes[23121] = 0x00011d6265fe6dbcUL;
   tf->codes[23122] = 0x00011ea2a425fb14UL;
   tf->codes[23123] = 0x00011fa29b50332fUL;
   tf->codes[23124] = 0x00012193e5e33225UL;
   tf->codes[23125] = 0x000121cfd44319c3UL;
   tf->codes[23126] = 0x000122131483ba01UL;
   tf->codes[23127] = 0x00012288e23c5550UL;
   tf->codes[23128] = 0x00012329b0fd2d4bUL;
   tf->codes[23129] = 0x000123594531dd5bUL;
   tf->codes[23130] = 0x0001249c7c9cb5b4UL;
   tf->codes[23131] = 0x000124c69368db4cUL;
   tf->codes[23132] = 0x0001253a178b3ce9UL;
   tf->codes[23133] = 0x000125da712e095aUL;
   tf->codes[23134] = 0x000127b8f9f12f36UL;
   tf->codes[23135] = 0x000129a5ebe6c08dUL;
   tf->codes[23136] = 0x00012b7ce83a2804UL;
   tf->codes[23137] = 0x00012bc112b6df56UL;
   tf->codes[23138] = 0x00012cc9f5aaf874UL;
   tf->codes[23139] = 0x00012cf40c771e0cUL;
   tf->codes[23140] = 0x00012d1cc3e92106UL;
   tf->codes[23141] = 0x00012ddd5e521af8UL;
   tf->codes[23142] = 0x00012e21fdecddd4UL;
   tf->codes[23143] = 0x00012e7999e67f8fUL;
   tf->codes[23144] = 0x00012ffe77a8cfc3UL;
   tf->codes[23145] = 0x00013017dbac502eUL;
   tf->codes[23146] = 0x0001305cb5d618cfUL;
   tf->codes[23147] = 0x0001308fb86c1f6aUL;
   tf->codes[23148] = 0x000130b8e4fc2deeUL;
   tf->codes[23149] = 0x000130be27d5b2a1UL;
   tf->codes[23150] = 0x00013215806a86b2UL;
   tf->codes[23151] = 0x0001322a514193b9UL;
   tf->codes[23152] = 0x000133a51e6ee611UL;
   tf->codes[23153] = 0x000133b93f98e1c9UL;
   tf->codes[23154] = 0x00013541169e7cfeUL;
   tf->codes[23155] = 0x0001369d3ceeca38UL;
   tf->codes[23156] = 0x0001371170be3d24UL;
   tf->codes[23157] = 0x00013755261ce8ecUL;
   tf->codes[23158] = 0x00013826e86c9395UL;
   tf->codes[23159] = 0x000139aa2c45bb66UL;
   tf->codes[23160] = 0x000139f7f239650aUL;
   tf->codes[23161] = 0x00013a4b70249eebUL;
   tf->codes[23162] = 0x00013afddbea3327UL;
   tf->codes[23163] = 0x00013bbc674bf92cUL;
   tf->codes[23164] = 0x00013cc9dd6c85aeUL;
   tf->codes[23165] = 0x00013dbf8972ba28UL;
   tf->codes[23166] = 0x00013e5adacb07abUL;
   tf->codes[23167] = 0x00013f5d561a7f3dUL;
   tf->codes[23168] = 0x000140804cbf2a15UL;
   tf->codes[23169] = 0x00014131ce48a73dUL;
   tf->codes[23170] = 0x000141849c86cfcfUL;
   tf->codes[23171] = 0x000141d053734586UL;
   tf->codes[23172] = 0x000141d1783e625fUL;
   tf->codes[23173] = 0x0001430d985787ddUL;
   tf->codes[23174] = 0x00014384504c3a40UL;
   tf->codes[23175] = 0x0001449a77a7a200UL;
   tf->codes[23176] = 0x000144b3a11c1ca6UL;
   tf->codes[23177] = 0x000144d4cc1e613bUL;
   tf->codes[23178] = 0x000144ee6ab0e76bUL;
   tf->codes[23179] = 0x0001451c2a6d6953UL;
   tf->codes[23180] = 0x00014540fe600a38UL;
   tf->codes[23181] = 0x000145681be8e4cfUL;
   tf->codes[23182] = 0x000145f7c2c30c13UL;
   tf->codes[23183] = 0x000146036d413252UL;
   tf->codes[23184] = 0x00014673f82048eeUL;
   tf->codes[23185] = 0x0001467b0f71fbc9UL;
   tf->codes[23186] = 0x000147220b486f8bUL;
   tf->codes[23187] = 0x00014881da891915UL;
   tf->codes[23188] = 0x000148d30ede1944UL;
   tf->codes[23189] = 0x0001492393860824UL;
   tf->codes[23190] = 0x0001495cc331aa86UL;
   tf->codes[23191] = 0x0001497870cb64a3UL;
   tf->codes[23192] = 0x000149cbeeb69e84UL;
   tf->codes[23193] = 0x000149df9ac28eb2UL;
   tf->codes[23194] = 0x00014a2350213a7aUL;
   tf->codes[23195] = 0x00014a45da7da1adUL;
   tf->codes[23196] = 0x00014c2acae56915UL;
   tf->codes[23197] = 0x00014d596c083a2cUL;
   tf->codes[23198] = 0x00014d8173cd2bd7UL;
   tf->codes[23199] = 0x00014d9903587e1aUL;
   tf->codes[23200] = 0x00014ee3c73314d8UL;
   tf->codes[23201] = 0x00014ef9f764447dUL;
   tf->codes[23202] = 0x00014f66d952fec9UL;
   tf->codes[23203] = 0x00014fc79ba5874cUL;
   tf->codes[23204] = 0x000150285df80fcfUL;
   tf->codes[23205] = 0x000150791d2f0474UL;
   tf->codes[23206] = 0x0001514895e8756bUL;
   tf->codes[23207] = 0x0001514a6a60a393UL;
   tf->codes[23208] = 0x000151c0ad374a6cUL;
   tf->codes[23209] = 0x000151d62dbb68c2UL;
   tf->codes[23210] = 0x000151f6e39fa1cdUL;
   tf->codes[23211] = 0x00015208f5c26998UL;
   tf->codes[23212] = 0x000152947e8e2902UL;
   tf->codes[23213] = 0x000153a35408d822UL;
   tf->codes[23214] = 0x00015403dbcc5ae0UL;
   tf->codes[23215] = 0x0001541f896614fdUL;
   tf->codes[23216] = 0x000154fc8115da5bUL;
   tf->codes[23217] = 0x0001555db8866e68UL;
   tf->codes[23218] = 0x000155afd71785abUL;
   tf->codes[23219] = 0x000155e4e8b4c033UL;
   tf->codes[23220] = 0x000156b1682ae629UL;
   tf->codes[23221] = 0x000156df62766dd6UL;
   tf->codes[23222] = 0x000157176d56f35fUL;
   tf->codes[23223] = 0x0001585770ef7af2UL;
   tf->codes[23224] = 0x00015944e0d8dfb8UL;
   tf->codes[23225] = 0x000159781dfdec18UL;
   tf->codes[23226] = 0x00015a307c4a1656UL;
   tf->codes[23227] = 0x00015a42194ed297UL;
   tf->codes[23228] = 0x00015beb1b56b261UL;
   tf->codes[23229] = 0x00015c5fc44430d7UL;
   tf->codes[23230] = 0x00015c615e2d593aUL;
   tf->codes[23231] = 0x00015c69d4d92eb3UL;
   tf->codes[23232] = 0x00015dbfce13e026UL;
   tf->codes[23233] = 0x00015e3267fa2aafUL;
   tf->codes[23234] = 0x00015f82341f405bUL;
   tf->codes[23235] = 0x00015ff49376851fUL;
   tf->codes[23236] = 0x0001608bc6c06ac8UL;
   tf->codes[23237] = 0x0001628bb514dafeUL;
   tf->codes[23238] = 0x00016322e85ec0a7UL;
   tf->codes[23239] = 0x000163b8bc4e83b2UL;
   tf->codes[23240] = 0x000163f6f444a502UL;
   tf->codes[23241] = 0x00016435dbe7d7a1UL;
   tf->codes[23242] = 0x0001644cf6551e5aUL;
   tf->codes[23243] = 0x00016468de7dde3cUL;
   tf->codes[23244] = 0x0001647413ddf8f1UL;
   tf->codes[23245] = 0x000165be629a8425UL;
   tf->codes[23246] = 0x00016630c1f1c8e9UL;
   tf->codes[23247] = 0x000167099b93266dUL;
   tf->codes[23248] = 0x0001671580a05271UL;
   tf->codes[23249] = 0x0001681159bc22b2UL;
   tf->codes[23250] = 0x0001682490aa0756UL;
   tf->codes[23251] = 0x000168abc0d85921UL;
   tf->codes[23252] = 0x000168b5d16d56fdUL;
   tf->codes[23253] = 0x00016916ce4ee545UL;
   tf->codes[23254] = 0x000169336624b676UL;
   tf->codes[23255] = 0x00016966a349c2d6UL;
   tf->codes[23256] = 0x00016a2ddfe66419UL;
   tf->codes[23257] = 0x00016a56223a5b89UL;
   tf->codes[23258] = 0x00016b3d2a7f1ec3UL;
   tf->codes[23259] = 0x00016c4ebeae131fUL;
   tf->codes[23260] = 0x00016cf66a319830UL;
   tf->codes[23261] = 0x00016da0d469627dUL;
   tf->codes[23262] = 0x00016e13e36db890UL;
   tf->codes[23263] = 0x00016ed9c0b03735UL;
   tf->codes[23264] = 0x00016f8639ef356fUL;
   tf->codes[23265] = 0x00017066da8f571dUL;
   tf->codes[23266] = 0x0001711dd9815ebdUL;
   tf->codes[23267] = 0x0001721902f01dafUL;
   tf->codes[23268] = 0x0001722263d80a3cUL;
   tf->codes[23269] = 0x00017238940939e1UL;
   tf->codes[23270] = 0x00017243c9695496UL;
   tf->codes[23271] = 0x00017356bcf26b90UL;
   tf->codes[23272] = 0x000173956a06986aUL;
   tf->codes[23273] = 0x000174b5dc8603cbUL;
   tf->codes[23274] = 0x000174d7b73559afUL;
   tf->codes[23275] = 0x000175c4b200b2ebUL;
   tf->codes[23276] = 0x000175caa48748edUL;
   tf->codes[23277] = 0x000175e4088ac958UL;
   tf->codes[23278] = 0x000175fbd2a52160UL;
   tf->codes[23279] = 0x000176e683da40eaUL;
   tf->codes[23280] = 0x00017747bb4ad4f7UL;
   tf->codes[23281] = 0x0001775a428ba84cUL;
   tf->codes[23282] = 0x0001776a45a73c2aUL;
   tf->codes[23283] = 0x000178a19804e87fUL;
   tf->codes[23284] = 0x000179e210bb7b9cUL;
   tf->codes[23285] = 0x00017a7b530c9532UL;
   tf->codes[23286] = 0x00017a9148aebf12UL;
   tf->codes[23287] = 0x00017a9d684af0dbUL;
   tf->codes[23288] = 0x00017ab1fe92f81dUL;
   tf->codes[23289] = 0x00017bfff63fdfa1UL;
   tf->codes[23290] = 0x00017c20ac2418acUL;
   tf->codes[23291] = 0x00017d0779d9d621UL;
   tf->codes[23292] = 0x00017d1aeb56c08aUL;
   tf->codes[23293] = 0x00017d32f0001e57UL;
   tf->codes[23294] = 0x00017ef137fd16b2UL;
   tf->codes[23295] = 0x000180835a26b588UL;
   tf->codes[23296] = 0x0001819aa64d3a21UL;
   tf->codes[23297] = 0x000182955a9ded89UL;
   tf->codes[23298] = 0x000182ab50401769UL;
   tf->codes[23299] = 0x0001833f1528a687UL;
   tf->codes[23300] = 0x0001846b6cb53decUL;
   tf->codes[23301] = 0x000185368cd14144UL;
   tf->codes[23302] = 0x000185a0ea9abc19UL;
   tf->codes[23303] = 0x000185fc6a13bfe9UL;
   tf->codes[23304] = 0x000186589939d508UL;
   tf->codes[23305] = 0x000186b36905c789UL;
   tf->codes[23306] = 0x0001871465e755d1UL;
   tf->codes[23307] = 0x000187196e31d4bfUL;
   tf->codes[23308] = 0x000187c39dda9947UL;
   tf->codes[23309] = 0x000187d2419c0a87UL;
   tf->codes[23310] = 0x0001880e6a8af7eaUL;
   tf->codes[23311] = 0x000188801a352b5fUL;
   tf->codes[23312] = 0x000189ba65d622b5UL;
   tf->codes[23313] = 0x00018a18de927186UL;
   tf->codes[23314] = 0x00018a55f1bd75fdUL;
   tf->codes[23315] = 0x00018b043f74a25fUL;
   tf->codes[23316] = 0x00018b1651976a2aUL;
   tf->codes[23317] = 0x00018c03fc0fd4b5UL;
   tf->codes[23318] = 0x00018d434ffb4af9UL;
   tf->codes[23319] = 0x00018da9ca4563b9UL;
   tf->codes[23320] = 0x00018e0b76d40350UL;
   tf->codes[23321] = 0x00018e284938da46UL;
   tf->codes[23322] = 0x00018eef85d57b89UL;
   tf->codes[23323] = 0x00018f333b342751UL;
   tf->codes[23324] = 0x00018f5a934c07adUL;
   tf->codes[23325] = 0x00018fc6506fa520UL;
   tf->codes[23326] = 0x00019008e103340fUL;
   tf->codes[23327] = 0x00019068f3a8ab43UL;
   tf->codes[23328] = 0x000191a1dfef7ffbUL;
   tf->codes[23329] = 0x000191b2cd472aedUL;
   tf->codes[23330] = 0x000191e819736b3aUL;
   tf->codes[23331] = 0x0001922dddd94aefUL;
   tf->codes[23332] = 0x000192786ffaa3cdUL;
   tf->codes[23333] = 0x000192cdc25e0bd6UL;
   tf->codes[23334] = 0x000193bf15c6d2b1UL;
   tf->codes[23335] = 0x0001945b515b3748UL;
   tf->codes[23336] = 0x000194847deb45ccUL;
   tf->codes[23337] = 0x000194a5a8ed8a61UL;
   tf->codes[23338] = 0x000194b780814c67UL;
   tf->codes[23339] = 0x000195192d0febfeUL;
   tf->codes[23340] = 0x00019583504a610eUL;
   tf->codes[23341] = 0x00019597ac03628bUL;
   tf->codes[23342] = 0x000195cc48829189UL;
   tf->codes[23343] = 0x00019643eab35b00UL;
   tf->codes[23344] = 0x000196655044a55aUL;
   tf->codes[23345] = 0x00019a0bbc7bb5e3UL;
   tf->codes[23346] = 0x00019aaa7c3559f1UL;
   tf->codes[23347] = 0x00019d2038426576UL;
   tf->codes[23348] = 0x00019d27ff4129a0UL;
   tf->codes[23349] = 0x00019dd8d11d9579UL;
   tf->codes[23350] = 0x00019f3d6e19b82cUL;
   tf->codes[23351] = 0x0001a08ba055a575UL;
   tf->codes[23352] = 0x0001a0d6a79509ddUL;
   tf->codes[23353] = 0x0001a10eb2758f66UL;
   tf->codes[23354] = 0x0001a12bbf696c21UL;
   tf->codes[23355] = 0x0001a143c412c9eeUL;
   tf->codes[23356] = 0x0001a209dbe44e58UL;
   tf->codes[23357] = 0x0001a2fa0a81f85aUL;
   tf->codes[23358] = 0x0001a2fd03c5435bUL;
   tf->codes[23359] = 0x0001a31542fda6edUL;
   tf->codes[23360] = 0x0001a31c5a4f59c8UL;
   tf->codes[23361] = 0x0001a3cb92429d3eUL;
   tf->codes[23362] = 0x0001a418e3183b58UL;
   tf->codes[23363] = 0x0001a57dbaa363d0UL;
   tf->codes[23364] = 0x0001a5c6032e82fcUL;
   tf->codes[23365] = 0x0001a6f2954a2026UL;
   tf->codes[23366] = 0x0001a6fce06e23c7UL;
   tf->codes[23367] = 0x0001a78485ba811cUL;
   tf->codes[23368] = 0x0001a84d5c404ac2UL;
   tf->codes[23369] = 0x0001a94bb9815a7aUL;
   tf->codes[23370] = 0x0001a9f27ac8c877UL;
   tf->codes[23371] = 0x0001aa20afa355e9UL;
   tf->codes[23372] = 0x0001aa5b041a1524UL;
   tf->codes[23373] = 0x0001aa8bbd19e20dUL;
   tf->codes[23374] = 0x0001aaa4abff56eeUL;
   tf->codes[23375] = 0x0001ab7dfabebffcUL;
   tf->codes[23376] = 0x0001abafd889a9beUL;
   tf->codes[23377] = 0x0001ac5ed5ede76fUL;
   tf->codes[23378] = 0x0001ac6f88b68c9cUL;
   tf->codes[23379] = 0x0001ac85093aaaf2UL;
   tf->codes[23380] = 0x0001ac8be5fd5808UL;
   tf->codes[23381] = 0x0001ac9dbd911a0eUL;
   tf->codes[23382] = 0x0001acda5b9e12fbUL;
   tf->codes[23383] = 0x0001ad331c62d18fUL;
   tf->codes[23384] = 0x0001ae76193ea423UL;
   tf->codes[23385] = 0x0001aec53e8c7065UL;
   tf->codes[23386] = 0x0001aee80377dd5dUL;
   tf->codes[23387] = 0x0001afb82bde5fa3UL;
   tf->codes[23388] = 0x0001b01f55d589b2UL;
   tf->codes[23389] = 0x0001b108e23f8c63UL;
   tf->codes[23390] = 0x0001b179328f9d3aUL;
   tf->codes[23391] = 0x0001b1f567ecda15UL;
   tf->codes[23392] = 0x0001b36ba1edb909UL;
   tf->codes[23393] = 0x0001b466cb5c77fbUL;
   tf->codes[23394] = 0x0001b52a2479b729UL;
   tf->codes[23395] = 0x0001b5a0a1df63c7UL;
   tf->codes[23396] = 0x0001b63e3ccdeafcUL;
   tf->codes[23397] = 0x0001b664358ba8baUL;
   tf->codes[23398] = 0x0001b692df8441b6UL;
   tf->codes[23399] = 0x0001b6c02a22b814UL;
   tf->codes[23400] = 0x0001b7aadb57d79eUL;
   tf->codes[23401] = 0x0001b7f866bc7b7dUL;
   tf->codes[23402] = 0x0001b8241771c978UL;
   tf->codes[23403] = 0x0001b8e43cbcb7e0UL;
   tf->codes[23404] = 0x0001ba469022a0e1UL;
   tf->codes[23405] = 0x0001baf37e7faaa5UL;
   tf->codes[23406] = 0x0001bb7113370a1eUL;
   tf->codes[23407] = 0x0001bbe6e0efa56dUL;
   tf->codes[23408] = 0x0001bc1ca239f144UL;
   tf->codes[23409] = 0x0001bd28095349d9UL;
   tf->codes[23410] = 0x0001bd3f23c09092UL;
   tf->codes[23411] = 0x0001bea52016d5e3UL;
   tf->codes[23412] = 0x0001bf291c72d6e8UL;
   tf->codes[23413] = 0x0001bf36264b1fc5UL;
   tf->codes[23414] = 0x0001bf7757848c16UL;
   tf->codes[23415] = 0x0001c0c2907d2e5eUL;
   tf->codes[23416] = 0x0001c0d37dd4d950UL;
   tf->codes[23417] = 0x0001c118928da7b6UL;
   tf->codes[23418] = 0x0001c1c371e37d8dUL;
   tf->codes[23419] = 0x0001c208c12b51b8UL;
   tf->codes[23420] = 0x0001c24a2cf3c3ceUL;
   tf->codes[23421] = 0x0001c4bd2a4c8a17UL;
   tf->codes[23422] = 0x0001c4e3230a47d5UL;
   tf->codes[23423] = 0x0001c4e7b636bb39UL;
   tf->codes[23424] = 0x0001c59fd9f3dfb2UL;
   tf->codes[23425] = 0x0001c5e145bc51c8UL;
   tf->codes[23426] = 0x0001c621522aa140UL;
   tf->codes[23427] = 0x0001c631ca6440a8UL;
   tf->codes[23428] = 0x0001c67cd1a3a510UL;
   tf->codes[23429] = 0x0001c67f1b39dec2UL;
   tf->codes[23430] = 0x0001c68e6ea86151UL;
   tf->codes[23431] = 0x0001c723585c0d48UL;
   tf->codes[23432] = 0x0001c8f33d5dc1e4UL;
   tf->codes[23433] = 0x0001c9b153a17c5fUL;
   tf->codes[23434] = 0x0001c9ba79fa6327UL;
   tf->codes[23435] = 0x0001c9f075d3b4c3UL;
   tf->codes[23436] = 0x0001ca760c18de2bUL;
   tf->codes[23437] = 0x0001cb61326c093fUL;
   tf->codes[23438] = 0x0001cbca6b6a673bUL;
   tf->codes[23439] = 0x0001cc2500a753f7UL;
   tf->codes[23440] = 0x0001cd45e844cae2UL;
   tf->codes[23441] = 0x0001cdf10229a67eUL;
   tf->codes[23442] = 0x0001ce5b25641b8eUL;
   tf->codes[23443] = 0x0001cea03a1ce9f4UL;
   tf->codes[23444] = 0x0001ceeb7beb5421UL;
   tf->codes[23445] = 0x0001cf4d9d97ff42UL;
   tf->codes[23446] = 0x0001cf84491e622dUL;
   tf->codes[23447] = 0x0001cf9d7292dcd3UL;
   tf->codes[23448] = 0x0001cfc5ef75da08UL;
   tf->codes[23449] = 0x0001d029707ca7c7UL;
   tf->codes[23450] = 0x0001d0451e1661e4UL;
   tf->codes[23451] = 0x0001d054e6a2effdUL;
   tf->codes[23452] = 0x0001d0717e78c12eUL;
   tf->codes[23453] = 0x0001d1ce8f05257cUL;
   tf->codes[23454] = 0x0001d2250633aa5eUL;
   tf->codes[23455] = 0x0001d2816fe8c542UL;
   tf->codes[23456] = 0x0001d293f7299897UL;
   tf->codes[23457] = 0x0001d2e2e1e85f14UL;
   tf->codes[23458] = 0x0001d3766c41e86dUL;
   tf->codes[23459] = 0x0001d45de9a4b731UL;
   tf->codes[23460] = 0x0001d49d4665f55aUL;
   tf->codes[23461] = 0x0001d54e8d606cbdUL;
   tf->codes[23462] = 0x0001d6835b98d99bUL;
   tf->codes[23463] = 0x0001d7572cefb831UL;
   tf->codes[23464] = 0x0001d842c860eecfUL;
   tf->codes[23465] = 0x0001d87ef14fdc32UL;
   tf->codes[23466] = 0x0001d9450921609cUL;
   tf->codes[23467] = 0x0001d95337c4c652UL;
   tf->codes[23468] = 0x0001d9984c7d94b8UL;
   tf->codes[23469] = 0x0001da6123035e5eUL;
   tf->codes[23470] = 0x0001daa80c345aecUL;
   tf->codes[23471] = 0x0001db335a711491UL;
   tf->codes[23472] = 0x0001db435d8ca86fUL;
   tf->codes[23473] = 0x0001db665d071b2cUL;
   tf->codes[23474] = 0x0001dbeb439f3345UL;
   tf->codes[23475] = 0x0001dc0089944bd6UL;
   tf->codes[23476] = 0x0001dc9d3a46bbf7UL;
   tf->codes[23477] = 0x0001dd01e018a68fUL;
   tf->codes[23478] = 0x0001dd9e563c10ebUL;
   tf->codes[23479] = 0x0001de55ca4c2415UL;
   tf->codes[23480] = 0x0001dec40b9500ffUL;
   tf->codes[23481] = 0x0001e02bdc637478UL;
   tf->codes[23482] = 0x0001e06b3924b2a1UL;
   tf->codes[23483] = 0x0001e0a1aa1c0fc7UL;
   tf->codes[23484] = 0x0001e17d07e2acc2UL;
   tf->codes[23485] = 0x0001e1f1eb5f30fdUL;
   tf->codes[23486] = 0x0001e23f76c3d4dcUL;
   tf->codes[23487] = 0x0001e2d6aa0dba85UL;
   tf->codes[23488] = 0x0001e3c5795141e9UL;
   tf->codes[23489] = 0x0001e4e11e153421UL;
   tf->codes[23490] = 0x0001e5224f4ea072UL;
   tf->codes[23491] = 0x0001e63ede4ea9beUL;
   tf->codes[23492] = 0x0001e64c22b5f860UL;
   tf->codes[23493] = 0x0001e6ad94b59232UL;
   tf->codes[23494] = 0x0001e7048102229eUL;
   tf->codes[23495] = 0x0001e72de82136e7UL;
   tf->codes[23496] = 0x0001e78dc037a856UL;
   tf->codes[23497] = 0x0001e796e6908f1eUL;
   tf->codes[23498] = 0x0001e7af25c8f2b0UL;
   tf->codes[23499] = 0x0001e7c6b55444f3UL;
   tf->codes[23500] = 0x0001e7f8589028f0UL;
   tf->codes[23501] = 0x0001e817af1a3f5dUL;
   tf->codes[23502] = 0x0001e9a0e579fd30UL;
   tf->codes[23503] = 0x0001e9c2fab858d9UL;
   tf->codes[23504] = 0x0001e9cdf5896dc9UL;
   tf->codes[23505] = 0x0001ea5cecb683beUL;
   tf->codes[23506] = 0x0001ea7ae3e6778dUL;
   tf->codes[23507] = 0x0001eb254e1e41daUL;
   tf->codes[23508] = 0x0001eb4554556996UL;
   tf->codes[23509] = 0x0001eb497263d170UL;
   tf->codes[23510] = 0x0001ebc866755387UL;
   tf->codes[23511] = 0x0001ebd9193df8b4UL;
   tf->codes[23512] = 0x0001ed71687d3351UL;
   tf->codes[23513] = 0x0001edf94858966bUL;
   tf->codes[23514] = 0x0001eeba57df9be7UL;
   tf->codes[23515] = 0x0001eecb0aa84114UL;
   tf->codes[23516] = 0x0001ef78a8b25c27UL;
   tf->codes[23517] = 0x0001f0f12c4974cdUL;
   tf->codes[23518] = 0x0001f1f073c69b99UL;
   tf->codes[23519] = 0x0001f2ef0b96b116UL;
   tf->codes[23520] = 0x0001f43f8768d811UL;
   tf->codes[23521] = 0x0001f441d0ff11c3UL;
   tf->codes[23522] = 0x0001f4ef347a2711UL;
   tf->codes[23523] = 0x0001f53c1031b9a1UL;
   tf->codes[23524] = 0x0001f545aba8abf3UL;
   tf->codes[23525] = 0x0001f5d63cbeea4bUL;
   tf->codes[23526] = 0x0001f797437027e2UL;
   tf->codes[23527] = 0x0001f7ab649a239aUL;
   tf->codes[23528] = 0x0001f7b11c91b3d7UL;
   tf->codes[23529] = 0x0001f88353ff6a0aUL;
   tf->codes[23530] = 0x0001f885d824a981UL;
   tf->codes[23531] = 0x0001f97bf948e985UL;
   tf->codes[23532] = 0x0001fa27fd69dc35UL;
   tf->codes[23533] = 0x0001fba9e1e8e168UL;
   tf->codes[23534] = 0x0001fbcad25c2038UL;
   tf->codes[23535] = 0x0001fbe261e7727bUL;
   tf->codes[23536] = 0x0001fc2651d52408UL;
   tf->codes[23537] = 0x0001fce55254f597UL;
   tf->codes[23538] = 0x0001fd694eb0f69cUL;
   tf->codes[23539] = 0x0001fd6aae0b193aUL;
   tf->codes[23540] = 0x0001fdfb3f215792UL;
   tf->codes[23541] = 0x0001fe4d23236910UL;
   tf->codes[23542] = 0x0001fe5b8c55d48bUL;
   tf->codes[23543] = 0x0001fec833b58912UL;
   tf->codes[23544] = 0x0001fef961d36185UL;
   tf->codes[23545] = 0x0001ff09da0d00edUL;
   tf->codes[23546] = 0x0001ff917f595e42UL;
   tf->codes[23547] = 0x0000000d3f988f93UL;
   tf->codes[23548] = 0x00000181300334d5UL;
   tf->codes[23549] = 0x00000198fa1d8cddUL;
   tf->codes[23550] = 0x000002669e5ecfacUL;
   tf->codes[23551] = 0x000002912a4900ceUL;
   tf->codes[23552] = 0x000002a3ec18d9e8UL;
   tf->codes[23553] = 0x0000046701d14b6cUL;
   tf->codes[23554] = 0x00000478d9650d72UL;
   tf->codes[23555] = 0x000005652483555fUL;
   tf->codes[23556] = 0x0000059393ece896UL;
   tf->codes[23557] = 0x000005d83387ab72UL;
   tf->codes[23558] = 0x000005fb6d9123f4UL;
   tf->codes[23559] = 0x00000679b1f594bcUL;
   tf->codes[23560] = 0x000006b4f0a86b0bUL;
   tf->codes[23561] = 0x000007466bfac077UL;
   tf->codes[23562] = 0x0000076f988acefbUL;
   tf->codes[23563] = 0x000007f5de7d09b2UL;
   tf->codes[23564] = 0x00000838348192dcUL;
   tf->codes[23565] = 0x0000085ccde52dfcUL;
   tf->codes[23566] = 0x000008f59b183c08UL;
   tf->codes[23567] = 0x000008fbc82dd7cfUL;
   tf->codes[23568] = 0x000009983e51422bUL;
   tf->codes[23569] = 0x000009b8f4357b36UL;
   tf->codes[23570] = 0x00000a13897267f2UL;
   tf->codes[23571] = 0x00000a18cc4beca5UL;
   tf->codes[23572] = 0x00000a5b5cdf7b94UL;
   tf->codes[23573] = 0x00000abd7e8c26b5UL;
   tf->codes[23574] = 0x00000bcd3e42ece9UL;
   tf->codes[23575] = 0x00000bd3e076943aUL;
   tf->codes[23576] = 0x00000bf879da2f5aUL;
   tf->codes[23577] = 0x00000bfafdff6ed1UL;
   tf->codes[23578] = 0x00000cb6901de9d5UL;
   tf->codes[23579] = 0x00000f9a8d73d244UL;
   tf->codes[23580] = 0x00000fd815bce245UL;
   tf->codes[23581] = 0x000010068526757cUL;
   tf->codes[23582] = 0x00001100c4591d5aUL;
   tf->codes[23583] = 0x0000120a1c6b4202UL;
   tf->codes[23584] = 0x0000126526c63a48UL;
   tf->codes[23585] = 0x000012d11e78dd80UL;
   tf->codes[23586] = 0x000013a7ae840152UL;
   tf->codes[23587] = 0x000013fba18d46bdUL;
   tf->codes[23588] = 0x000015c1eb180907UL;
   tf->codes[23589] = 0x000015c7dd9e9f09UL;
   tf->codes[23590] = 0x000016548b357b4cUL;
   tf->codes[23591] = 0x0000166ffe402fa4UL;
   tf->codes[23592] = 0x000016e9af782d08UL;
   tf->codes[23593] = 0x000017001a386272UL;
   tf->codes[23594] = 0x000017138bb54cdbUL;
   tf->codes[23595] = 0x000017b928319dffUL;
   tf->codes[23596] = 0x000017edff3fd2c2UL;
   tf->codes[23597] = 0x000018ba7eb5f8b8UL;
   tf->codes[23598] = 0x000018e928ae91b4UL;
   tf->codes[23599] = 0x00001986890e1324UL;
   tf->codes[23600] = 0x000019b77c9ce5d2UL;
   tf->codes[23601] = 0x000019bece7d9e72UL;
   tf->codes[23602] = 0x00001a5f9d3e766dUL;
   tf->codes[23603] = 0x00001ad9c3947f5bUL;
   tf->codes[23604] = 0x00001b0783510143UL;
   tf->codes[23605] = 0x00001b17866c9521UL;
   tf->codes[23606] = 0x00001bbbc38ec3a7UL;
   tf->codes[23607] = 0x00001c353a37bb46UL;
   tf->codes[23608] = 0x00001c678d20b092UL;
   tf->codes[23609] = 0x00001cf649bec0c2UL;
   tf->codes[23610] = 0x00001cfbc7274b3aUL;
   tf->codes[23611] = 0x00001f16edf76a03UL;
   tf->codes[23612] = 0x00001fc8e49ef2b5UL;
   tf->codes[23613] = 0x00002048fd7b91a5UL;
   tf->codes[23614] = 0x0000209b912ab472UL;
   tf->codes[23615] = 0x000021433cae3983UL;
   tf->codes[23616] = 0x000021ca324d8589UL;
   tf->codes[23617] = 0x00002206d05a7e76UL;
   tf->codes[23618] = 0x0000223ccc33d012UL;
   tf->codes[23619] = 0x0000223d7be0e161UL;
   tf->codes[23620] = 0x000022ca9e95c92eUL;
   tf->codes[23621] = 0x00002362bc1bc5ebUL;
   tf->codes[23622] = 0x00002368aea25bedUL;
   tf->codes[23623] = 0x000023d30c6bd6c2UL;
   tf->codes[23624] = 0x00002416c1ca828aUL;
   tf->codes[23625] = 0x000024b07939a7aaUL;
   tf->codes[23626] = 0x0000252ef82d1e37UL;
   tf->codes[23627] = 0x0000271a5039872bUL;
   tf->codes[23628] = 0x0000272a53551b09UL;
   tf->codes[23629] = 0x00002789b64d80eeUL;
   tf->codes[23630] = 0x00002839d87cdb78UL;
   tf->codes[23631] = 0x0000283afd47f851UL;
   tf->codes[23632] = 0x000028d9bd019c5fUL;
   tf->codes[23633] = 0x00002916d02ca0d6UL;
   tf->codes[23634] = 0x000029737470c17fUL;
   tf->codes[23635] = 0x000029bbf78ae670UL;
   tf->codes[23636] = 0x00002afe44b9a7b5UL;
   tf->codes[23637] = 0x00002b639a38a39cUL;
   tf->codes[23638] = 0x00002bd92d623926UL;
   tf->codes[23639] = 0x00002d822f6a18f0UL;
   tf->codes[23640] = 0x00002d9bcdfc9f20UL;
   tf->codes[23641] = 0x00002ddcc4a705acUL;
   tf->codes[23642] = 0x00002e3d11db82a5UL;
   tf->codes[23643] = 0x00002e7b0f429e30UL;
   tf->codes[23644] = 0x00002ee61cb92a54UL;
   tf->codes[23645] = 0x00002fc10561bbc5UL;
   tf->codes[23646] = 0x0000311cb693fd75UL;
   tf->codes[23647] = 0x000031523d4f4387UL;
   tf->codes[23648] = 0x0000323c79665787UL;
   tf->codes[23649] = 0x000033fd0af98994UL;
   tf->codes[23650] = 0x00003407cb3b98bfUL;
   tf->codes[23651] = 0x0000348fe5a6019eUL;
   tf->codes[23652] = 0x00003539a030ba9cUL;
   tf->codes[23653] = 0x0000354bb2538267UL;
   tf->codes[23654] = 0x000035b2672ca0ecUL;
   tf->codes[23655] = 0x000035e5a451ad4cUL;
   tf->codes[23656] = 0x0000360694c4ec1cUL;
   tf->codes[23657] = 0x0000367e7184bb58UL;
   tf->codes[23658] = 0x00003712366d4a76UL;
   tf->codes[23659] = 0x000037214f4cc740UL;
   tf->codes[23660] = 0x0000372aeac3b992UL;
   tf->codes[23661] = 0x0000373b286e5335UL;
   tf->codes[23662] = 0x000038bdf7296f7cUL;
   tf->codes[23663] = 0x000039d075947aecUL;
   tf->codes[23664] = 0x000039f9679583abUL;
   tf->codes[23665] = 0x00003a012e9447d5UL;
   tf->codes[23666] = 0x00003a3ce26529aeUL;
   tf->codes[23667] = 0x00003afaf8a8e429UL;
   tf->codes[23668] = 0x00003cdb55e4382dUL;
   tf->codes[23669] = 0x00003cf7edba095eUL;
   tf->codes[23670] = 0x00003d07b6469777UL;
   tf->codes[23671] = 0x00003d311d65abc0UL;
   tf->codes[23672] = 0x00003d478825e12aUL;
   tf->codes[23673] = 0x00003e586ca7c437UL;
   tf->codes[23674] = 0x00003e7abc7525a5UL;
   tf->codes[23675] = 0x00003eb426afcdccUL;
   tf->codes[23676] = 0x00003ec33f8f4a96UL;
   tf->codes[23677] = 0x00003ec847d9c984UL;
   tf->codes[23678] = 0x00003ed3b7c8e9feUL;
   tf->codes[23679] = 0x00003f4f78081b4fUL;
   tf->codes[23680] = 0x00003f7a791057fbUL;
   tf->codes[23681] = 0x00003f8a7c2bebd9UL;
   tf->codes[23682] = 0x00003fb3a8bbfa5dUL;
   tf->codes[23683] = 0x000040213a57c5f8UL;
   tf->codes[23684] = 0x0000417c3bdcf659UL;
   tf->codes[23685] = 0x0000427f66d97f3aUL;
   tf->codes[23686] = 0x0000427fa16884ffUL;
   tf->codes[23687] = 0x0000430537adae67UL;
   tf->codes[23688] = 0x000043b38564dac9UL;
   tf->codes[23689] = 0x0000440110c97ea8UL;
   tf->codes[23690] = 0x00004468754fae7cUL;
   tf->codes[23691] = 0x00004480ef1717d3UL;
   tf->codes[23692] = 0x000045d33f616cf6UL;
   tf->codes[23693] = 0x0000460b4a41f27fUL;
   tf->codes[23694] = 0x00004657764c73c0UL;
   tf->codes[23695] = 0x00004663d077ab4eUL;
   tf->codes[23696] = 0x0000469dea5f64c4UL;
   tf->codes[23697] = 0x000047cbdbd5248cUL;
   tf->codes[23698] = 0x0000486817698923UL;
   tf->codes[23699] = 0x0000489c7959b25cUL;
   tf->codes[23700] = 0x000049c0cf587fd2UL;
   tf->codes[23701] = 0x000049db1d981751UL;
   tf->codes[23702] = 0x00004b05661d7ac9UL;
   tf->codes[23703] = 0x00004b3e95c91d2bUL;
   tf->codes[23704] = 0x00004ba0b775c84cUL;
   tf->codes[23705] = 0x00004bdd5582c139UL;
   tf->codes[23706] = 0x00004c068212cfbdUL;
   tf->codes[23707] = 0x00004c0b4fce48e6UL;
   tf->codes[23708] = 0x00004c5aea3a20b2UL;
   tf->codes[23709] = 0x00004c6b6273c01aUL;
   tf->codes[23710] = 0x00004ea9c34d5765UL;
   tf->codes[23711] = 0x00004f9a2c7a072cUL;
   tf->codes[23712] = 0x00004fb773fce9acUL;
   tf->codes[23713] = 0x000050bf3225e5f1UL;
   tf->codes[23714] = 0x000051996b216613UL;
   tf->codes[23715] = 0x000053640d4995fcUL;
   tf->codes[23716] = 0x000054fdf671f8fcUL;
   tf->codes[23717] = 0x000055f4c7434a4fUL;
   tf->codes[23718] = 0x000056048fcfd868UL;
   tf->codes[23719] = 0x000058b9a89e2216UL;
   tf->codes[23720] = 0x00005a0173356dd3UL;
   tf->codes[23721] = 0x00005a5ddcea88b7UL;
   tf->codes[23722] = 0x00005a8410374c3aUL;
   tf->codes[23723] = 0x00005a87b927a88aUL;
   tf->codes[23724] = 0x00005ac7c595f802UL;
   tf->codes[23725] = 0x00005aca49bb3779UL;
   tf->codes[23726] = 0x00005b15166b961cUL;
   tf->codes[23727] = 0x00005ba482b6b79bUL;
   tf->codes[23728] = 0x00005be071169f39UL;
   tf->codes[23729] = 0x00005c2426754b01UL;
   tf->codes[23730] = 0x00005c3e3a25dcbbUL;
   tf->codes[23731] = 0x00005c78c92ba1bbUL;
   tf->codes[23732] = 0x00005d43aeb89f4eUL;
   tf->codes[23733] = 0x00005d99eb581e6bUL;
   tf->codes[23734] = 0x00005dde8af2e147UL;
   tf->codes[23735] = 0x00005ea6021e884fUL;
   tf->codes[23736] = 0x00005edbc368d426UL;
   tf->codes[23737] = 0x00005f32ea446a57UL;
   tf->codes[23738] = 0x00005f42ed5ffe35UL;
   tf->codes[23739] = 0x00005fbb04aed336UL;
   tf->codes[23740] = 0x00006095ed5764a7UL;
   tf->codes[23741] = 0x00006146f9c2d645UL;
   tf->codes[23742] = 0x0000635c689b64d1UL;
   tf->codes[23743] = 0x000064733fa3dde0UL;
   tf->codes[23744] = 0x000064a6f1e6f5caUL;
   tf->codes[23745] = 0x0000661355e1dca7UL;
   tf->codes[23746] = 0x000066456e3bcc2eUL;
   tf->codes[23747] = 0x000066586a9aab0dUL;
   tf->codes[23748] = 0x000066c1de280eceUL;
   tf->codes[23749] = 0x0000675bd02639b3UL;
   tf->codes[23750] = 0x000067bba83cab22UL;
   tf->codes[23751] = 0x000069dcfc2265b2UL;
   tf->codes[23752] = 0x00006aefefab7cacUL;
   tf->codes[23753] = 0x00006ca1dd7d3d79UL;
   tf->codes[23754] = 0x00006eb7fc02dd54UL;
   tf->codes[23755] = 0x00006f7562998680UL;
   tf->codes[23756] = 0x00006f97b266e7eeUL;
   tf->codes[23757] = 0x0000705c304f43f5UL;
   tf->codes[23758] = 0x00007098ce5c3ce2UL;
   tf->codes[23759] = 0x0000709a2db65f80UL;
   tf->codes[23760] = 0x000071d7ad29a79cUL;
   tf->codes[23761] = 0x000071f47f8e7e92UL;
   tf->codes[23762] = 0x000072bd56144838UL;
   tf->codes[23763] = 0x000072d978cc0ddfUL;
   tf->codes[23764] = 0x000073240aed66bdUL;
   tf->codes[23765] = 0x00007345707eb117UL;
   tf->codes[23766] = 0x000073e3bb1a499bUL;
   tf->codes[23767] = 0x00007409ee670d1eUL;
   tf->codes[23768] = 0x000074264badd88aUL;
   tf->codes[23769] = 0x000074e3b24481b6UL;
   tf->codes[23770] = 0x00007567aea082bbUL;
   tf->codes[23771] = 0x000075d665076b2fUL;
   tf->codes[23772] = 0x00007626af20544aUL;
   tf->codes[23773] = 0x00007745c2459d0dUL;
   tf->codes[23774] = 0x000078e85ca8db4bUL;
   tf->codes[23775] = 0x0000797fca81c6b9UL;
   tf->codes[23776] = 0x00007aaafd434145UL;
   tf->codes[23777] = 0x00007bb5b4af888bUL;
   tf->codes[23778] = 0x00007bf79596062bUL;
   tf->codes[23779] = 0x00007c3fa3921f92UL;
   tf->codes[23780] = 0x00007cfedea0f6e6UL;
   tf->codes[23781] = 0x00007d18b7c282dbUL;
   tf->codes[23782] = 0x00007d96fc26f3a3UL;
   tf->codes[23783] = 0x00007da8992bafe4UL;
   tf->codes[23784] = 0x00007dfed5cb2f01UL;
   tf->codes[23785] = 0x00007e0a0b2b49b6UL;
   tf->codes[23786] = 0x00007efcf87d38f4UL;
   tf->codes[23787] = 0x00007f3f8910c7e3UL;
   tf->codes[23788] = 0x00007fad1aac937eUL;
   tf->codes[23789] = 0x00007ff85c7afdabUL;
   tf->codes[23790] = 0x000080b463b78439UL;
   tf->codes[23791] = 0x000080e97554bec1UL;
   tf->codes[23792] = 0x00008175adcd8f7aUL;
   tf->codes[23793] = 0x00008238573dbd59UL;
   tf->codes[23794] = 0x000082609991b4c9UL;
   tf->codes[23795] = 0x000082be9d2ff810UL;
   tf->codes[23796] = 0x000082cccbd35dc6UL;
   tf->codes[23797] = 0x000083df0faf6371UL;
   tf->codes[23798] = 0x0000848312428c32UL;
   tf->codes[23799] = 0x0000865b6df01647UL;
   tf->codes[23800] = 0x0000866668c12b37UL;
   tf->codes[23801] = 0x000086aa58aedcc4UL;
   tf->codes[23802] = 0x000086f22c1bf066UL;
   tf->codes[23803] = 0x000087185f68b3e9UL;
   tf->codes[23804] = 0x0000875f4899b077UL;
   tf->codes[23805] = 0x000087d725597fb3UL;
   tf->codes[23806] = 0x000088ba0f8fdb13UL;
   tf->codes[23807] = 0x000088f6387ec876UL;
   tf->codes[23808] = 0x00008917d89f1895UL;
   tf->codes[23809] = 0x00008ae4c45d8230UL;
   tf->codes[23810] = 0x00008b71e71269fdUL;
   tf->codes[23811] = 0x00008be2ac80865eUL;
   tf->codes[23812] = 0x00008c2452d7fe39UL;
   tf->codes[23813] = 0x00008d009adab248UL;
   tf->codes[23814] = 0x00008d40322af636UL;
   tf->codes[23815] = 0x00008ed5fd44f15cUL;
   tf->codes[23816] = 0x00008f252292bd9eUL;
   tf->codes[23817] = 0x00008f4b906e86e6UL;
   tf->codes[23818] = 0x00008f8953469cacUL;
   tf->codes[23819] = 0x00008fff5b8e3dc0UL;
   tf->codes[23820] = 0x000090a4485d7d95UL;
   tf->codes[23821] = 0x000090f07467fed6UL;
   tf->codes[23822] = 0x000090f8b084ce8aUL;
   tf->codes[23823] = 0x0000911ee3d1920dUL;
   tf->codes[23824] = 0x000092d85e13113fUL;
   tf->codes[23825] = 0x000092f913f74a4aUL;
   tf->codes[23826] = 0x0000931c1371bd07UL;
   tf->codes[23827] = 0x00009358ec0dbbb9UL;
   tf->codes[23828] = 0x000094470ba431ceUL;
   tf->codes[23829] = 0x000095544735b88bUL;
   tf->codes[23830] = 0x000095aea1e39f82UL;
   tf->codes[23831] = 0x000095c0b406674dUL;
   tf->codes[23832] = 0x000096376bfb19b0UL;
   tf->codes[23833] = 0x0000980ba99a3bebUL;
   tf->codes[23834] = 0x00009854674366a1UL;
   tf->codes[23835] = 0x0000985725f7abddUL;
   tf->codes[23836] = 0x00009989e528e4ceUL;
   tf->codes[23837] = 0x00009bc33db7fd2bUL;
   tf->codes[23838] = 0x00009c1fe1fc1dd4UL;
   tf->codes[23839] = 0x00009c20cc3834e8UL;
   tf->codes[23840] = 0x00009ce041d61201UL;
   tf->codes[23841] = 0x00009cf169bcc2b8UL;
   tf->codes[23842] = 0x00009cf6720741a6UL;
   tf->codes[23843] = 0x00009e280c6d5dbeUL;
   tf->codes[23844] = 0x00009e9f740f2170UL;
   tf->codes[23845] = 0x00009eaf772ab54eUL;
   tf->codes[23846] = 0x0000a0165dbd11b3UL;
   tf->codes[23847] = 0x0000a19ee46fbe37UL;
   tf->codes[23848] = 0x0000a25ab11d3f00UL;
   tf->codes[23849] = 0x0000a2bc5dabde97UL;
   tf->codes[23850] = 0x0000a2f2941435f8UL;
   tf->codes[23851] = 0x0000a37c4867c73aUL;
   tf->codes[23852] = 0x0000a3f6342eca63UL;
   tf->codes[23853] = 0x0000a3f6e3dbdbb2UL;
   tf->codes[23854] = 0x0000a45ce907e8e8UL;
   tf->codes[23855] = 0x0000a4bcfbad601cUL;
   tf->codes[23856] = 0x0000a530ba5ec77eUL;
   tf->codes[23857] = 0x0000a5bd2d669dfcUL;
   tf->codes[23858] = 0x0000a5fb655cbf4cUL;
   tf->codes[23859] = 0x0000a604c644abd9UL;
   tf->codes[23860] = 0x0000a61d7a9b1af5UL;
   tf->codes[23861] = 0x0000a64547d106dbUL;
   tf->codes[23862] = 0x0000a6a644b29523UL;
   tf->codes[23863] = 0x0000a6e4078aaae9UL;
   tf->codes[23864] = 0x0000a7b1abcbedb8UL;
   tf->codes[23865] = 0x0000a7cfdd8ae74cUL;
   tf->codes[23866] = 0x0000a7dfa6177565UL;
   tf->codes[23867] = 0x0000a7f476ee826cUL;
   tf->codes[23868] = 0x0000a98190cda254UL;
   tf->codes[23869] = 0x0000a9ba85ea3ef1UL;
   tf->codes[23870] = 0x0000aa85e095480eUL;
   tf->codes[23871] = 0x0000aa873fef6aacUL;
   tf->codes[23872] = 0x0000abf7c1f8b963UL;
   tf->codes[23873] = 0x0000ac5082bd77f7UL;
   tf->codes[23874] = 0x0000acf39b1489a4UL;
   tf->codes[23875] = 0x0000ad0697736883UL;
   tf->codes[23876] = 0x0000ae9510acab09UL;
   tf->codes[23877] = 0x0000aed88b7c510cUL;
   tf->codes[23878] = 0x0000af88388da00cUL;
   tf->codes[23879] = 0x0000afe133e16465UL;
   tf->codes[23880] = 0x0000b06779d39f1cUL;
   tf->codes[23881] = 0x0000b1d8e61904e7UL;
   tf->codes[23882] = 0x0000b1e69f9e5f13UL;
   tf->codes[23883] = 0x0000b21a17527138UL;
   tf->codes[23884] = 0x0000b2e44d325d7cUL;
   tf->codes[23885] = 0x0000b328b23e1a93UL;
   tf->codes[23886] = 0x0000b33755ff8bd3UL;
   tf->codes[23887] = 0x0000b33dbda42d5fUL;
   tf->codes[23888] = 0x0000b363f0f0f0e2UL;
   tf->codes[23889] = 0x0000b37b45ed3d60UL;
   tf->codes[23890] = 0x0000b3f7b5d98000UL;
   tf->codes[23891] = 0x0000b50775904634UL;
   tf->codes[23892] = 0x0000b55c52d5a2b3UL;
   tf->codes[23893] = 0x0000b5a30177997cUL;
   tf->codes[23894] = 0x0000b65f08b4200aUL;
   tf->codes[23895] = 0x0000b6a8760a5c0fUL;
   tf->codes[23896] = 0x0000b6fdc86dc418UL;
   tf->codes[23897] = 0x0000b71f688e1437UL;
   tf->codes[23898] = 0x0000b88bcc88fb14UL;
   tf->codes[23899] = 0x0000b8a2e6f641cdUL;
   tf->codes[23900] = 0x0000b902f99bb901UL;
   tf->codes[23901] = 0x0000ba66373db916UL;
   tf->codes[23902] = 0x0000bab76b92b945UL;
   tf->codes[23903] = 0x0000bacb179ea973UL;
   tf->codes[23904] = 0x0000bb01c3250c5eUL;
   tf->codes[23905] = 0x0000bc123288e3e1UL;
   tf->codes[23906] = 0x0000bd886c89c2d5UL;
   tf->codes[23907] = 0x0000bd93a1e9dd8aUL;
   tf->codes[23908] = 0x0000be7e188ff74fUL;
   tf->codes[23909] = 0x0000be7f77ea19edUL;
   tf->codes[23910] = 0x0000bea0dd7b6447UL;
   tf->codes[23911] = 0x0000bed99808fb1fUL;
   tf->codes[23912] = 0x0000bf1a19955621UL;
   tf->codes[23913] = 0x0000bf3cde80c319UL;
   tf->codes[23914] = 0x0000bfb2ac395e68UL;
   tf->codes[23915] = 0x0000bfb988fc0b7eUL;
   tf->codes[23916] = 0x0000bffbdf0094a8UL;
   tf->codes[23917] = 0x0000c0b059cd5cd1UL;
   tf->codes[23918] = 0x0000c1457e100e8dUL;
   tf->codes[23919] = 0x0000c1f2e18b23dbUL;
   tf->codes[23920] = 0x0000c2757e8d0242UL;
   tf->codes[23921] = 0x0000c30893c88011UL;
   tf->codes[23922] = 0x0000c40a99f9ec19UL;
   tf->codes[23923] = 0x0000c45e52742bbfUL;
   tf->codes[23924] = 0x0000c52f9fa5cadeUL;
   tf->codes[23925] = 0x0000c54e4682cffcUL;
   tf->codes[23926] = 0x0000c62eac93ebe5UL;
   tf->codes[23927] = 0x0000c6bdde50079fUL;
   tf->codes[23928] = 0x0000cad07cc8c125UL;
   tf->codes[23929] = 0x0000cb556360d93eUL;
   tf->codes[23930] = 0x0000cf46272a3ce0UL;
   tf->codes[23931] = 0x0000d00d63c6de23UL;
   tf->codes[23932] = 0x0000d1e9dd82d012UL;
   tf->codes[23933] = 0x0000d2184cec6349UL;
   tf->codes[23934] = 0x0000d2782502d4b8UL;
   tf->codes[23935] = 0x0000d28cf5d9e1bfUL;
   tf->codes[23936] = 0x0000d340c0f99899UL;
   tf->codes[23937] = 0x0000d5c9796582fdUL;
   tf->codes[23938] = 0x0000d6d30c06ad6aUL;
   tf->codes[23939] = 0x0000d70265ac57b5UL;
   tf->codes[23940] = 0x0000d8782a8f2b1fUL;
   tf->codes[23941] = 0x0000d8b9213991abUL;
   tf->codes[23942] = 0x0000dc41d0cfb42aUL;
   tf->codes[23943] = 0x0000df24e3e98585UL;
   tf->codes[23944] = 0x0000e0c40feb6d38UL;
   tf->codes[23945] = 0x0000e2a43297bb77UL;
   tf->codes[23946] = 0x0000e2daa38f189dUL;
   tf->codes[23947] = 0x0000e575a8acd091UL;
   tf->codes[23948] = 0x0000e5d9d960af9fUL;
   tf->codes[23949] = 0x0000e6e3e11fe596UL;
   tf->codes[23950] = 0x0000e77a9f4bbfb5UL;
   tf->codes[23951] = 0x0000ebd75ac7c68fUL;
   tf->codes[23952] = 0x0000ec986a4ecc0bUL;
   tf->codes[23953] = 0x0000ece5bb246a25UL;
   tf->codes[23954] = 0x0000ed28fb650a63UL;
   tf->codes[23955] = 0x0000eeabca2026aaUL;
   tf->codes[23956] = 0x0000eeb440cbfc23UL;
   tf->codes[23957] = 0x0000eef91af5c4c4UL;
   tf->codes[23958] = 0x0000ef8f64039359UL;
   tf->codes[23959] = 0x0000f01bd70b69d7UL;
   tf->codes[23960] = 0x0000f0faddc26322UL;
   tf->codes[23961] = 0x0000f11c08c4a7b7UL;
   tf->codes[23962] = 0x0000f124f48e88baUL;
   tf->codes[23963] = 0x0000f1e937e7defcUL;
   tf->codes[23964] = 0x0000f3a4fbbf97e0UL;
   tf->codes[23965] = 0x0000f406a84e3777UL;
   tf->codes[23966] = 0x0000f49f75814583UL;
   tf->codes[23967] = 0x0000f4d4fc3c8b95UL;
   tf->codes[23968] = 0x0000f562940f7eecUL;
   tf->codes[23969] = 0x0000f8fbbbdf40d3UL;
   tf->codes[23970] = 0x0000f90c3418e03bUL;
   tf->codes[23971] = 0x0000f93e4c72cfc2UL;
   tf->codes[23972] = 0x0000fa0638bc8254UL;
   tf->codes[23973] = 0x0000facc15ff00f9UL;
   tf->codes[23974] = 0x0000fced2f55b5c4UL;
   tf->codes[23975] = 0x0000fd73ea65fc05UL;
   tf->codes[23976] = 0x0000fe2397774b05UL;
   tf->codes[23977] = 0x0000ff2612c6c297UL;
   tf->codes[23978] = 0x0000ffadb8131fecUL;
   tf->codes[23979] = 0x000100497e8978f9UL;
   tf->codes[23980] = 0x000100a279dd3d52UL;
   tf->codes[23981] = 0x000106201cf6bb17UL;
   tf->codes[23982] = 0x000106a3dec3b657UL;
   tf->codes[23983] = 0x0001074b15292fdeUL;
   tf->codes[23984] = 0x000109eb97af724aUL;
   tf->codes[23985] = 0x00010bf76b110e84UL;
   tf->codes[23986] = 0x00010c4c48566b03UL;
   tf->codes[23987] = 0x00010d02d22a6719UL;
   tf->codes[23988] = 0x00010e19a932e028UL;
   tf->codes[23989] = 0x000110afe0951ef3UL;
   tf->codes[23990] = 0x0001113501bc3cd1UL;
   tf->codes[23991] = 0x000111f64bd24812UL;
   tf->codes[23992] = 0x000112ec32678251UL;
   tf->codes[23993] = 0x000114c2f42be403UL;
   tf->codes[23994] = 0x00011566bc3006ffUL;
   tf->codes[23995] = 0x00011628b5f3238fUL;
   tf->codes[23996] = 0x000116a43ba34f1bUL;
   tf->codes[23997] = 0x000116d1fb5fd103UL;
   tf->codes[23998] = 0x00011725794b0ae4UL;
   tf->codes[23999] = 0x0001179b0c74a06eUL;
   tf->codes[24000] = 0x000117e897d9444dUL;
   tf->codes[24001] = 0x000118009c82a21aUL;
   tf->codes[24002] = 0x000118b726569e30UL;
   tf->codes[24003] = 0x000118f941cc2195UL;
   tf->codes[24004] = 0x000119e5525b63bdUL;
   tf->codes[24005] = 0x00011a3561e54713UL;
   tf->codes[24006] = 0x00011a89ca0c9808UL;
   tf->codes[24007] = 0x00011ad371f1d9d2UL;
   tf->codes[24008] = 0x00011b4019518e59UL;
   tf->codes[24009] = 0x00011c1eaaea7c1aUL;
   tf->codes[24010] = 0x00011cf91e750201UL;
   tf->codes[24011] = 0x00011f69228a7d49UL;
   tf->codes[24012] = 0x00011fa0f2dbfd0dUL;
   tf->codes[24013] = 0x0001236a23fe7a8eUL;
   tf->codes[24014] = 0x0001242a0eba6331UL;
   tf->codes[24015] = 0x0001250447b5e353UL;
   tf->codes[24016] = 0x000125bbf654fc42UL;
   tf->codes[24017] = 0x000125dc371b29c3UL;
   tf->codes[24018] = 0x0001260354a4045aUL;
   tf->codes[24019] = 0x00012827673e0426UL;
   tf->codes[24020] = 0x0001282b4abd663bUL;
   tf->codes[24021] = 0x0001289d6f85a53aUL;
   tf->codes[24022] = 0x00012990d1f5a002UL;
   tf->codes[24023] = 0x00012ade8f1381c1UL;
   tf->codes[24024] = 0x00012af275ae77b4UL;
   tf->codes[24025] = 0x00012b1415cec7d3UL;
   tf->codes[24026] = 0x00012b43aa0377e3UL;
   tf->codes[24027] = 0x00012c724b2648faUL;
   tf->codes[24028] = 0x00012ee50df0097eUL;
   tf->codes[24029] = 0x00012f9bd2530b59UL;
   tf->codes[24030] = 0x00012fb4118b6eebUL;
   tf->codes[24031] = 0x000131a387a63fb9UL;
   tf->codes[24032] = 0x000132d1b3ab0546UL;
   tf->codes[24033] = 0x0001333dab5da87eUL;
   tf->codes[24034] = 0x000133586ebb4b87UL;
   tf->codes[24035] = 0x000133841f709982UL;
   tf->codes[24036] = 0x000133a8f3633a67UL;
   tf->codes[24037] = 0x00013408cb79abd6UL;
   tf->codes[24038] = 0x000135856d1f2c56UL;
   tf->codes[24039] = 0x00013a77fc8af63bUL;
   tf->codes[24040] = 0x00013afc3375fd05UL;
   tf->codes[24041] = 0x00013b9a43828fc4UL;
   tf->codes[24042] = 0x00013b9e9c1ffd63UL;
   tf->codes[24043] = 0x00013c6772a5c709UL;
   tf->codes[24044] = 0x00013d16e5281044UL;
   tf->codes[24045] = 0x00013d7682af7beeUL;
   tf->codes[24046] = 0x00013d885a433df4UL;
   tf->codes[24047] = 0x00013e454bbbdb96UL;
   tf->codes[24048] = 0x00013eb85ac031a9UL;
   tf->codes[24049] = 0x00013f0b9e1c65c5UL;
   tf->codes[24050] = 0x00013f896d62cb03UL;
   tf->codes[24051] = 0x000141273a0a9018UL;
   tf->codes[24052] = 0x0001413986bc5da8UL;
   tf->codes[24053] = 0x000141a877b24be1UL;
   tf->codes[24054] = 0x0001431c681cf123UL;
   tf->codes[24055] = 0x000143385045b105UL;
   tf->codes[24056] = 0x00014379f69d28e0UL;
   tf->codes[24057] = 0x000143b9535e6709UL;
   tf->codes[24058] = 0x000143e628ded1ddUL;
   tf->codes[24059] = 0x0001445bf6976d2cUL;
   tf->codes[24060] = 0x000145b97c41dd04UL;
   tf->codes[24061] = 0x0001463fc23417bbUL;
   tf->codes[24062] = 0x0001467c604110a8UL;
   tf->codes[24063] = 0x000147a5be8a5d0cUL;
   tf->codes[24064] = 0x000147c0f7060b9fUL;
   tf->codes[24065] = 0x00014808555513b7UL;
   tf->codes[24066] = 0x000148b7c7d75cf2UL;
   tf->codes[24067] = 0x00014993602cffb2UL;
   tf->codes[24068] = 0x00014ac61f5e38a3UL;
   tf->codes[24069] = 0x00014acde65cfccdUL;
   tf->codes[24070] = 0x00014f20cbd30b90UL;
   tf->codes[24071] = 0x000151aae3991892UL;
   tf->codes[24072] = 0x000151e69769fa6bUL;
   tf->codes[24073] = 0x00015216db4bbbcaUL;
   tf->codes[24074] = 0x000153583e3e65fbUL;
   tf->codes[24075] = 0x00015371a241e666UL;
   tf->codes[24076] = 0x0001553e53714a3cUL;
   tf->codes[24077] = 0x0001553fb2cb6cdaUL;
   tf->codes[24078] = 0x0001562854f95877UL;
   tf->codes[24079] = 0x00015640cec0c1ceUL;
   tf->codes[24080] = 0x000156b32e180692UL;
   tf->codes[24081] = 0x000156de2f20433eUL;
   tf->codes[24082] = 0x000156e58100fbdeUL;
   tf->codes[24083] = 0x0001573a23b75298UL;
   tf->codes[24084] = 0x00015856b2b75be4UL;
   tf->codes[24085] = 0x000159feca83249aUL;
   tf->codes[24086] = 0x00015bc5892bf26eUL;
   tf->codes[24087] = 0x00015bc96cab5483UL;
   tf->codes[24088] = 0x00015cf0815e6735UL;
   tf->codes[24089] = 0x00015d67e9002ae7UL;
   tf->codes[24090] = 0x00015dc6272d73f3UL;
   tf->codes[24091] = 0x00015e41724e99baUL;
   tf->codes[24092] = 0x00015fbc3f7bec12UL;
   tf->codes[24093] = 0x00015fce8c2db9a2UL;
   tf->codes[24094] = 0x0001618d0eb9b7c2UL;
   tf->codes[24095] = 0x0001623f3ff04639UL;
   tf->codes[24096] = 0x000162f3f54c1427UL;
   tf->codes[24097] = 0x000163234ef1be72UL;
   tf->codes[24098] = 0x000164abd5a46af6UL;
   tf->codes[24099] = 0x000164c44f6bd44dUL;
   tf->codes[24100] = 0x0001654fd83793b7UL;
   tf->codes[24101] = 0x000166c9f5b7d4c0UL;
   tf->codes[24102] = 0x00016722415e87caUL;
   tf->codes[24103] = 0x000167a9ac1bdf5aUL;
   tf->codes[24104] = 0x000168302c9d1fd6UL;
   tf->codes[24105] = 0x00016893ada3ed95UL;
   tf->codes[24106] = 0x000168eef28deba0UL;
   tf->codes[24107] = 0x00016a481f9aedd9UL;
   tf->codes[24108] = 0x00016b104673a630UL;
   tf->codes[24109] = 0x00016da1758b660dUL;
   tf->codes[24110] = 0x00016de6ff623ffdUL;
   tf->codes[24111] = 0x00016e60b09a3d61UL;
   tf->codes[24112] = 0x00016f0fadfe7b12UL;
   tf->codes[24113] = 0x00016f3b5eb3c90dUL;
   tf->codes[24114] = 0x00016fe9e6f9fb34UL;
   tf->codes[24115] = 0x000170e51068ba26UL;
   tf->codes[24116] = 0x000170f93192b5deUL;
   tf->codes[24117] = 0x0001713bc22644cdUL;
   tf->codes[24118] = 0x000171bcc53efad1UL;
   tf->codes[24119] = 0x0001723d5339a54bUL;
   tf->codes[24120] = 0x00017249e7f3e29eUL;
   tf->codes[24121] = 0x000172676a05cae3UL;
   tf->codes[24122] = 0x000173262ff696adUL;
   tf->codes[24123] = 0x0001733ac63e9defUL;
   tf->codes[24124] = 0x000173e913f5ca51UL;
   tf->codes[24125] = 0x0001740b293425faUL;
   tf->codes[24126] = 0x0001743abd68d60aUL;
   tf->codes[24127] = 0x00017540e1a8a9ecUL;
   tf->codes[24128] = 0x000176518b9b8734UL;
   tf->codes[24129] = 0x0001766a7a80fc15UL;
   tf->codes[24130] = 0x000176bf92555e59UL;
   tf->codes[24131] = 0x000177b1cffa3c48UL;
   tf->codes[24132] = 0x00017856f75881e2UL;
   tf->codes[24133] = 0x000178bd71a29aa2UL;
   tf->codes[24134] = 0x000179128976fce6UL;
   tf->codes[24135] = 0x0001792bb2eb778cUL;
   tf->codes[24136] = 0x000179a10b860751UL;
   tf->codes[24137] = 0x00017a1629919151UL;
   tf->codes[24138] = 0x00017b81dddf66dfUL;
   tf->codes[24139] = 0x00017bd979d9089aUL;
   tf->codes[24140] = 0x00017c9a89600e16UL;
   tf->codes[24141] = 0x00017ce6eff9951cUL;
   tf->codes[24142] = 0x00017e68d4789a4fUL;
   tf->codes[24143] = 0x00017e9cfbd9bdc3UL;
   tf->codes[24144] = 0x00018000e928cf27UL;
   tf->codes[24145] = 0x00018489555a23fcUL;
   tf->codes[24146] = 0x0001856821821782UL;
   tf->codes[24147] = 0x000185cd01e307dfUL;
   tf->codes[24148] = 0x000186bfb4a5f158UL;
   tf->codes[24149] = 0x00018713e23e3c88UL;
   tf->codes[24150] = 0x00018731d96e3057UL;
   tf->codes[24151] = 0x000188c3115bb819UL;
   tf->codes[24152] = 0x000188f1f5e356daUL;
   tf->codes[24153] = 0x00018a6ff6e2f9f8UL;
   tf->codes[24154] = 0x00018abf914ed1c4UL;
   tf->codes[24155] = 0x00018b376e0ea100UL;
   tf->codes[24156] = 0x00018ba191491610UL;
   tf->codes[24157] = 0x00018bbdee8fe17cUL;
   tf->codes[24158] = 0x00018bd1d52ad76fUL;
   tf->codes[24159] = 0x00018be6e090ea3bUL;
   tf->codes[24160] = 0x00018c02c8b9aa1dUL;
   tf->codes[24161] = 0x00018cb44a432745UL;
   tf->codes[24162] = 0x00018f16cf624e26UL;
   tf->codes[24163] = 0x00019004b469be76UL;
   tf->codes[24164] = 0x000190ba8e90a93dUL;
   tf->codes[24165] = 0x00019118579fe6bfUL;
   tf->codes[24166] = 0x0001916e943f65dcUL;
   tf->codes[24167] = 0x00019249b776fd12UL;
   tf->codes[24168] = 0x0001934bbda8691aUL;
   tf->codes[24169] = 0x0001954509c931ffUL;
   tf->codes[24170] = 0x00019602705fdb2bUL;
   tf->codes[24171] = 0x0001965872705483UL;
   tf->codes[24172] = 0x000196fbc5566bf5UL;
   tf->codes[24173] = 0x000197081f81a383UL;
   tf->codes[24174] = 0x000197252c75803eUL;
   tf->codes[24175] = 0x000197efd773780cUL;
   tf->codes[24176] = 0x0001982aa10842d1UL;
   tf->codes[24177] = 0x000198a7fb309c85UL;
   tf->codes[24178] = 0x00019946f5794658UL;
   tf->codes[24179] = 0x000199f717a8a0e2UL;
   tf->codes[24180] = 0x00019aeff7812622UL;
   tf->codes[24181] = 0x00019b19d3be45f5UL;
   tf->codes[24182] = 0x00019b3afec08a8aUL;
   tf->codes[24183] = 0x00019b5a1abb9b32UL;
   tf->codes[24184] = 0x00019c55b94865aeUL;
   tf->codes[24185] = 0x00019da1dc7d1f0aUL;
   tf->codes[24186] = 0x00019e5da92a9fd3UL;
   tf->codes[24187] = 0x00019e74c397e68cUL;
   tf->codes[24188] = 0x00019ef3f2386e68UL;
   tf->codes[24189] = 0x00019f802ab13f21UL;
   tf->codes[24190] = 0x00019f9f46ac4fc9UL;
   tf->codes[24191] = 0x00019fc3a580e524UL;
   tf->codes[24192] = 0x0001a0263c4b9bcfUL;
   tf->codes[24193] = 0x0001a04a260225a0UL;
   tf->codes[24194] = 0x0001a0e95ad9d538UL;
   tf->codes[24195] = 0x0001a447b914cc5aUL;
   tf->codes[24196] = 0x0001a4ea5c4dd27dUL;
   tf->codes[24197] = 0x0001a5e6e516b40dUL;
   tf->codes[24198] = 0x0001a675dc43ca02UL;
   tf->codes[24199] = 0x0001a6f4d0554c19UL;
   tf->codes[24200] = 0x0001a76ef6ab5507UL;
   tf->codes[24201] = 0x0001a879e8a6a212UL;
   tf->codes[24202] = 0x0001a89e820a3d32UL;
   tf->codes[24203] = 0x0001a94a4b9c2a1dUL;
   tf->codes[24204] = 0x0001aa02e4775a20UL;
   tf->codes[24205] = 0x0001abfc6b2728caUL;
   tf->codes[24206] = 0x0001ad4d96a66114UL;
   tf->codes[24207] = 0x0001ad74eebe4170UL;
   tf->codes[24208] = 0x0001ada741a736bcUL;
   tf->codes[24209] = 0x0001adc8e1c786dbUL;
   tf->codes[24210] = 0x0001aefab6bca8b8UL;
   tf->codes[24211] = 0x0001af2e2e70baddUL;
   tf->codes[24212] = 0x0001b07792f12efdUL;
   tf->codes[24213] = 0x0001b0eb1713909aUL;
   tf->codes[24214] = 0x0001b19d484a1f11UL;
   tf->codes[24215] = 0x0001b1f43496af7dUL;
   tf->codes[24216] = 0x0001b20a2a38d95dUL;
   tf->codes[24217] = 0x0001b2698d313f42UL;
   tf->codes[24218] = 0x0001b2aa494ca009UL;
   tf->codes[24219] = 0x0001b35687fc987eUL;
   tf->codes[24220] = 0x0001b3aaf023e973UL;
   tf->codes[24221] = 0x0001b3d8afe06b5bUL;
   tf->codes[24222] = 0x0001b4d7823f869dUL;
   tf->codes[24223] = 0x0001b5fdacb6823bUL;
   tf->codes[24224] = 0x0001b623e00345beUL;
   tf->codes[24225] = 0x0001b65841f36ef7UL;
   tf->codes[24226] = 0x0001b68467c6c87cUL;
   tf->codes[24227] = 0x0001b6ab854fa313UL;
   tf->codes[24228] = 0x0001b7bc2f42805bUL;
   tf->codes[24229] = 0x0001b83f7bf17011UL;
   tf->codes[24230] = 0x0001b859ca310790UL;
   tf->codes[24231] = 0x0001b8f556185ad8UL;
   tf->codes[24232] = 0x0001b9bba878e507UL;
   tf->codes[24233] = 0x0001bb28bc20dd33UL;
   tf->codes[24234] = 0x0001bcbec1c9de1eUL;
   tf->codes[24235] = 0x0001bcdcf388d7b2UL;
   tf->codes[24236] = 0x0001bd916e559fdbUL;
   tf->codes[24237] = 0x0001bee13a7ab587UL;
   tf->codes[24238] = 0x0001bf623d936b8bUL;
   tf->codes[24239] = 0x0001c05440a943b5UL;
   tf->codes[24240] = 0x0001c19778141c0eUL;
   tf->codes[24241] = 0x0001c22ee5ed077cUL;
   tf->codes[24242] = 0x0001c3c058699503UL;
   tf->codes[24243] = 0x0001c498825de138UL;
   tf->codes[24244] = 0x0001c53c4a620434UL;
   tf->codes[24245] = 0x0001c6285af1465cUL;
   tf->codes[24246] = 0x0001c66e1f572611UL;
   tf->codes[24247] = 0x0001c727a26e6d28UL;
   tf->codes[24248] = 0x0001c78da79a7a5eUL;
   tf->codes[24249] = 0x0001c8007c0fcaacUL;
   tf->codes[24250] = 0x0001c82c67541e6cUL;
   tf->codes[24251] = 0x0001c886c2020563UL;
   tf->codes[24252] = 0x0001c888215c2801UL;
   tf->codes[24253] = 0x0001c90d7d124ba4UL;
   tf->codes[24254] = 0x0001ca66e4ae53a2UL;
   tf->codes[24255] = 0x0001ca69ddf19ea3UL;
   tf->codes[24256] = 0x0001caa97541e291UL;
   tf->codes[24257] = 0x0001cb19c591f368UL;
   tf->codes[24258] = 0x0001cc4ece59660bUL;
   tf->codes[24259] = 0x0001ccbf93c7826cUL;
   tf->codes[24260] = 0x0001cdf302a5ccacUL;
   tf->codes[24261] = 0x0001ce3e7f033c9eUL;
   tf->codes[24262] = 0x0001cf0805361793UL;
   tf->codes[24263] = 0x0001cfb7b2476693UL;
   tf->codes[24264] = 0x0001d00194bbae22UL;
   tf->codes[24265] = 0x0001d0512f2785eeUL;
   tf->codes[24266] = 0x0001d083bc9f80ffUL;
   tf->codes[24267] = 0x0001d0f14e3b4c9aUL;
   tf->codes[24268] = 0x0001d1082e198d8eUL;
   tf->codes[24269] = 0x0001d10a77afc740UL;
   tf->codes[24270] = 0x0001d1483a87dd06UL;
   tf->codes[24271] = 0x0001d28bac81bb24UL;
   tf->codes[24272] = 0x0001d29cd4686bdbUL;
   tf->codes[24273] = 0x0001d2cd184a2d3aUL;
   tf->codes[24274] = 0x0001d2f644da3bbeUL;
   tf->codes[24275] = 0x0001d391d0c18f06UL;
   tf->codes[24276] = 0x0001d4389208fd03UL;
   tf->codes[24277] = 0x0001d4626e461cd6UL;
   tf->codes[24278] = 0x0001d4ba0a3fbe91UL;
   tf->codes[24279] = 0x0001d4bab9eccfe0UL;
   tf->codes[24280] = 0x0001d5180dde01d8UL;
   tf->codes[24281] = 0x0001d52b0a3ce0b7UL;
   tf->codes[24282] = 0x0001d58ae2535226UL;
   tf->codes[24283] = 0x0001d5e368890af5UL;
   tf->codes[24284] = 0x0001d6015fb8fec4UL;
   tf->codes[24285] = 0x0001d6fc1409b22cUL;
   tf->codes[24286] = 0x0001d73d7fd22442UL;
   tf->codes[24287] = 0x0001d7c2a0f94220UL;
   tf->codes[24288] = 0x0001d8d3c00a2af2UL;
   tf->codes[24289] = 0x0001d917aff7dc7fUL;
   tf->codes[24290] = 0x0001da83d963bd97UL;
   tf->codes[24291] = 0x0001dadcd4b781f0UL;
   tf->codes[24292] = 0x0001db7442906d5eUL;
   tf->codes[24293] = 0x0001dbea104908adUL;
   tf->codes[24294] = 0x0001dbf8ee997fb2UL;
   tf->codes[24295] = 0x0001dcf2b8ae1c06UL;
   tf->codes[24296] = 0x0001dd97a57d5bdbUL;
   tf->codes[24297] = 0x0001dde1fd0faef4UL;
   tf->codes[24298] = 0x0001de1ab79d45ccUL;
   tf->codes[24299] = 0x0001de3db717b889UL;
   tf->codes[24300] = 0x0001df34c2780fa1UL;
   tf->codes[24301] = 0x0001e005256d97acUL;
   tf->codes[24302] = 0x0001e017721f653cUL;
   tf->codes[24303] = 0x0001e0a83dc4a959UL;
   tf->codes[24304] = 0x0001e113fae846ccUL;
   tf->codes[24305] = 0x0001e136bfd3b3c4UL;
   tf->codes[24306] = 0x0001e3249c055c2fUL;
   tf->codes[24307] = 0x0001e32969c0d558UL;
   tf->codes[24308] = 0x0001e40d78c24d91UL;
   tf->codes[24309] = 0x0001e45bee630884UL;
   tf->codes[24310] = 0x0001e594a01ad777UL;
   tf->codes[24311] = 0x0001e6bbb4cdea29UL;
   tf->codes[24312] = 0x0001e74da53e4b1fUL;
   tf->codes[24313] = 0x0001e7853b00c51eUL;
   tf->codes[24314] = 0x0001e9555a917f7fUL;
   tf->codes[24315] = 0x0001ea59aa592539UL;
   tf->codes[24316] = 0x0001ea8ad876fdacUL;
   tf->codes[24317] = 0x0001eac77683f699UL;
   tf->codes[24318] = 0x0001eb024018c15eUL;
   tf->codes[24319] = 0x0001eb680ab5c8cfUL;
   tf->codes[24320] = 0x0001ebe8239267bfUL;
   tf->codes[24321] = 0x0001ebe898b07349UL;
   tf->codes[24322] = 0x0001ed2c4539572cUL;
   tf->codes[24323] = 0x0001ed3de23e136dUL;
   tf->codes[24324] = 0x0001edb300499d6dUL;
   tf->codes[24325] = 0x0001ee9d76efb732UL;
   tf->codes[24326] = 0x0001eebea1f1fbc7UL;
   tf->codes[24327] = 0x0001eee8f34d2724UL;
   tf->codes[24328] = 0x0001eeedc108a04dUL;
   tf->codes[24329] = 0x0001ef3176674c15UL;
   tf->codes[24330] = 0x0001ef9d338ae988UL;
   tf->codes[24331] = 0x0001f03c2dd3935bUL;
   tf->codes[24332] = 0x0001f13f1e411677UL;
   tf->codes[24333] = 0x0001f1c26af0062dUL;
   tf->codes[24334] = 0x0001f1c613e0627dUL;
   tf->codes[24335] = 0x0001f1cd65c11b1dUL;
   tf->codes[24336] = 0x0001f1f8dbe76353UL;
   tf->codes[24337] = 0x0001f2692c37742aUL;
   tf->codes[24338] = 0x0001f305dce9e44bUL;
   tf->codes[24339] = 0x0001f408cd576767UL;
   tf->codes[24340] = 0x0001f4b7559d998eUL;
   tf->codes[24341] = 0x0001f51016625822UL;
   tf->codes[24342] = 0x0001f5b3a3d77559UL;
   tf->codes[24343] = 0x0001f60303b44760UL;
   tf->codes[24344] = 0x0001f8716de09a45UL;
   tf->codes[24345] = 0x0001f8c7e50f1f27UL;
   tf->codes[24346] = 0x0001f8d2303322c8UL;
   tf->codes[24347] = 0x0001f91dac9092baUL;
   tf->codes[24348] = 0x0001f922052e0059UL;
   tf->codes[24349] = 0x0001f9d0c8033845UL;
   tf->codes[24350] = 0x0001fa9c5d3d4727UL;
   tf->codes[24351] = 0x0001fb3aa7d8dfabUL;
   tf->codes[24352] = 0x0001fb9ffd57db92UL;
   tf->codes[24353] = 0x0001fbdbb128bd6bUL;
   tf->codes[24354] = 0x0001fcdb3334e9fcUL;
   tf->codes[24355] = 0x0001fd1e38e68475UL;
   tf->codes[24356] = 0x0001fd9cb7d9fb02UL;
   tf->codes[24357] = 0x0001fdedec2efb31UL;
   tf->codes[24358] = 0x0001fe0282770273UL;
   tf->codes[24359] = 0x0001feebd451ff5fUL;
   tf->codes[24360] = 0x0001ff170fe941d0UL;
   tf->codes[24361] = 0x0000005abc7225b3UL;
   tf->codes[24362] = 0x0000015aee2b6393UL;
   tf->codes[24363] = 0x000002ba0dbefbceUL;
   tf->codes[24364] = 0x0000043f609f578cUL;
   tf->codes[24365] = 0x00000443f3cbcaf0UL;
   tf->codes[24366] = 0x0000046d205bd974UL;
   tf->codes[24367] = 0x0000079d844b48e9UL;
   tf->codes[24368] = 0x0000079f1e34714cUL;
   tf->codes[24369] = 0x000008435b569fd2UL;
   tf->codes[24370] = 0x0000092520c1de59UL;
   tf->codes[24371] = 0x00000c9ef20789d3UL;
   tf->codes[24372] = 0x00000d0c49144fa9UL;
   tf->codes[24373] = 0x00000d218f09683aUL;
   tf->codes[24374] = 0x00000d612659ac28UL;
   tf->codes[24375] = 0x00000ed0f8b5e990UL;
   tf->codes[24376] = 0x00000f0c3768bfdfUL;
   tf->codes[24377] = 0x00000fdf1e838761UL;
   tf->codes[24378] = 0x000010bc8b515849UL;
   tf->codes[24379] = 0x000011a9fb3abd0fUL;
   tf->codes[24380] = 0x000011ec8bce4bfeUL;
   tf->codes[24381] = 0x000013457e4c4872UL;
   tf->codes[24382] = 0x0000138f26318a3cUL;
   tf->codes[24383] = 0x000014339de2be87UL;
   tf->codes[24384] = 0x000014e9b298af13UL;
   tf->codes[24385] = 0x00001544bcf3a759UL;
   tf->codes[24386] = 0x00001547f0c5f81fUL;
   tf->codes[24387] = 0x00001614e55a299fUL;
   tf->codes[24388] = 0x0000164a6c156fb1UL;
   tf->codes[24389] = 0x0000180127a2a9a7UL;
   tf->codes[24390] = 0x000018cc0d2fa73aUL;
   tf->codes[24391] = 0x000018f48a12a46fUL;
   tf->codes[24392] = 0x0000191e664fc442UL;
   tf->codes[24393] = 0x00001a5718079335UL;
   tf->codes[24394] = 0x00001a77935cc67bUL;
   tf->codes[24395] = 0x00001b05dadccb21UL;
   tf->codes[24396] = 0x00001b774ff7f8d1UL;
   tf->codes[24397] = 0x00001c04e7caec28UL;
   tf->codes[24398] = 0x00001d67eadde678UL;
   tf->codes[24399] = 0x00001e27607bc391UL;
   tf->codes[24400] = 0x00001e835512d2ebUL;
   tf->codes[24401] = 0x00001ef7c3714b9cUL;
   tf->codes[24402] = 0x00001f13367bfff4UL;
   tf->codes[24403] = 0x000020e64f500556UL;
   tf->codes[24404] = 0x0000218967a71703UL;
   tf->codes[24405] = 0x0000222025d2f122UL;
   tf->codes[24406] = 0x00002382ee56e5adUL;
   tf->codes[24407] = 0x00002413f48b2f8fUL;
   tf->codes[24408] = 0x000026c7e88e5c64UL;
   tf->codes[24409] = 0x0000279049f61a80UL;
   tf->codes[24410] = 0x0000279c69924c49UL;
   tf->codes[24411] = 0x000027b25f347629UL;
   tf->codes[24412] = 0x0000293394066a0dUL;
   tf->codes[24413] = 0x000029a8eca0f9d2UL;
   tf->codes[24414] = 0x00002a4980d2cc08UL;
   tf->codes[24415] = 0x00002b0ee8f73f23UL;
   tf->codes[24416] = 0x00002b1a93756562UL;
   tf->codes[24417] = 0x00002b66bf7fe6a3UL;
   tf->codes[24418] = 0x00002c0b37311aeeUL;
   tf->codes[24419] = 0x00002c976fa9eba7UL;
   tf->codes[24420] = 0x00002df1c1820ab9UL;
   tf->codes[24421] = 0x00002df2e64d2792UL;
   tf->codes[24422] = 0x00002df52fe36144UL;
   tf->codes[24423] = 0x00002e2ba0dabe6aUL;
   tf->codes[24424] = 0x00002e2f49cb1abaUL;
   tf->codes[24425] = 0x00002e5c59da8b53UL;
   tf->codes[24426] = 0x00003044b8a3a946UL;
   tf->codes[24427] = 0x000031df16ea17d0UL;
   tf->codes[24428] = 0x000033075068475bUL;
   tf->codes[24429] = 0x0000338310a778acUL;
   tf->codes[24430] = 0x000033dcbba84e54UL;
   tf->codes[24431] = 0x000034315e5ea50eUL;
   tf->codes[24432] = 0x000034d8cf53245aUL;
   tf->codes[24433] = 0x000035dbfa4fad3bUL;
   tf->codes[24434] = 0x000036e9707039bdUL;
   tf->codes[24435] = 0x000039659421e6ceUL;
   tf->codes[24436] = 0x0000396ad6fb6b81UL;
   tf->codes[24437] = 0x000039b94c9c2674UL;
   tf->codes[24438] = 0x00003b9cdda9cb3eUL;
   tf->codes[24439] = 0x00003bdc74fa0f2cUL;
   tf->codes[24440] = 0x00003c0ae463a263UL;
   tf->codes[24441] = 0x00003ca301e99f20UL;
   tf->codes[24442] = 0x00003cb3050532feUL;
   tf->codes[24443] = 0x00003d5aeb17bdd4UL;
   tf->codes[24444] = 0x00003ec714839eecUL;
   tf->codes[24445] = 0x00003ff3a69f3c16UL;
   tf->codes[24446] = 0x00004179e3bbaee8UL;
   tf->codes[24447] = 0x00004196b62085deUL;
   tf->codes[24448] = 0x000041b890cfdbc2UL;
   tf->codes[24449] = 0x000042fb8dabae56UL;
   tf->codes[24450] = 0x000043dacef1ad66UL;
   tf->codes[24451] = 0x00004475709ce99aUL;
   tf->codes[24452] = 0x000044a45524885bUL;
   tf->codes[24453] = 0x000044d71d2b8931UL;
   tf->codes[24454] = 0x000044f882bcd38bUL;
   tf->codes[24455] = 0x00004526f22666c2UL;
   tf->codes[24456] = 0x000045818763537eUL;
   tf->codes[24457] = 0x00004593d415210eUL;
   tf->codes[24458] = 0x000045fd0d137f0aUL;
   tf->codes[24459] = 0x00004605f8dd600dUL;
   tf->codes[24460] = 0x00004661ed746f67UL;
   tf->codes[24461] = 0x000046d0a3db57dbUL;
   tf->codes[24462] = 0x00004803287d8b07UL;
   tf->codes[24463] = 0x000048e403acb27aUL;
   tf->codes[24464] = 0x00004914821d799eUL;
   tf->codes[24465] = 0x0000491e582371b5UL;
   tf->codes[24466] = 0x00004949ce49b9ebUL;
   tf->codes[24467] = 0x00004a335ab3bc9cUL;
   tf->codes[24468] = 0x00004af30ae09f7aUL;
   tf->codes[24469] = 0x00004be3740d4f41UL;
   tf->codes[24470] = 0x00004c86c6f366b3UL;
   tf->codes[24471] = 0x00004d0b72fc7907UL;
   tf->codes[24472] = 0x00004d9d636cd9fdUL;
   tf->codes[24473] = 0x00004df8a856d808UL;
   tf->codes[24474] = 0x00004dff0ffb7994UL;
   tf->codes[24475] = 0x00004f58b2268757UL;
   tf->codes[24476] = 0x00005221b18fc6f8UL;
   tf->codes[24477] = 0x00005479b0fbe473UL;
   tf->codes[24478] = 0x000054efb9438587UL;
   tf->codes[24479] = 0x000055257a8dd15eUL;
   tf->codes[24480] = 0x00005590c2936347UL;
   tf->codes[24481] = 0x0000564ffda23a9bUL;
   tf->codes[24482] = 0x0000565505ecb989UL;
   tf->codes[24483] = 0x00005825d52a8539UL;
   tf->codes[24484] = 0x000058a32f52deedUL;
   tf->codes[24485] = 0x00005b44618632a8UL;
   tf->codes[24486] = 0x00005cca9ea2a57aUL;
   tf->codes[24487] = 0x00005dcf9e175c83UL;
   tf->codes[24488] = 0x00005e78e38409f7UL;
   tf->codes[24489] = 0x00005f322c0c4b49UL;
   tf->codes[24490] = 0x00005fa6254cb870UL;
   tf->codes[24491] = 0x00006004d8980d06UL;
   tf->codes[24492] = 0x0000606b8d712b8bUL;
   tf->codes[24493] = 0x0000608b93a85347UL;
   tf->codes[24494] = 0x000060c030278245UL;
   tf->codes[24495] = 0x000061cfb54f42b4UL;
   tf->codes[24496] = 0x0000625ac8fcf694UL;
   tf->codes[24497] = 0x000063efa9dadaa6UL;
   tf->codes[24498] = 0x00006556cafc3cd0UL;
   tf->codes[24499] = 0x000065a95eab5f9dUL;
   tf->codes[24500] = 0x000065b4940b7a52UL;
   tf->codes[24501] = 0x0000670e70c58ddaUL;
   tf->codes[24502] = 0x000068cf7776cb71UL;
   tf->codes[24503] = 0x00006a2aee1a075cUL;
   tf->codes[24504] = 0x00006b094523ef58UL;
   tf->codes[24505] = 0x00006b1b1cb7b15eUL;
   tf->codes[24506] = 0x00006b65aed90a3cUL;
   tf->codes[24507] = 0x00006bf590423745UL;
   tf->codes[24508] = 0x00006c17e00f98b3UL;
   tf->codes[24509] = 0x00006c3f72b67ed4UL;
   tf->codes[24510] = 0x00006d4a64b1cbdfUL;
   tf->codes[24511] = 0x00006d63539740c0UL;
   tf->codes[24512] = 0x00007001c7164f3fUL;
   tf->codes[24513] = 0x00007016d27c620bUL;
   tf->codes[24514] = 0x0000702b68c4694dUL;
   tf->codes[24515] = 0x00007060ef7faf5fUL;
   tf->codes[24516] = 0x000070cf6b57920eUL;
   tf->codes[24517] = 0x000070dd5f6bf1ffUL;
   tf->codes[24518] = 0x0000722982a0ab5bUL;
   tf->codes[24519] = 0x0000723358a6a372UL;
   tf->codes[24520] = 0x00007306ef6e7c43UL;
   tf->codes[24521] = 0x0000737c0d7a0643UL;
   tf->codes[24522] = 0x000073b74c2cdc92UL;
   tf->codes[24523] = 0x000075a0cfc1175eUL;
   tf->codes[24524] = 0x000075b0984da577UL;
   tf->codes[24525] = 0x000075d7f06585d3UL;
   tf->codes[24526] = 0x000076091e835e46UL;
   tf->codes[24527] = 0x00007611952f33bfUL;
   tf->codes[24528] = 0x00007630b12a4467UL;
   tf->codes[24529] = 0x0000763c211964e1UL;
   tf->codes[24530] = 0x0000763ea53ea458UL;
   tf->codes[24531] = 0x000076ae0b529e1bUL;
   tf->codes[24532] = 0x00007782c6e593c5UL;
   tf->codes[24533] = 0x000078168bce22e3UL;
   tf->codes[24534] = 0x000079176d347212UL;
   tf->codes[24535] = 0x000079243c7db52aUL;
   tf->codes[24536] = 0x00007b6e82647879UL;
   tf->codes[24537] = 0x00007bb989a3dce1UL;
   tf->codes[24538] = 0x00007d48ed19367bUL;
   tf->codes[24539] = 0x00007d6375e7d3bfUL;
   tf->codes[24540] = 0x00007e6a8463beb5UL;
   tf->codes[24541] = 0x00007f75eb7d174aUL;
   tf->codes[24542] = 0x000081251a9a92dbUL;
   tf->codes[24543] = 0x0000814a63ab3f4aUL;
   tf->codes[24544] = 0x00008223b26aa858UL;
   tf->codes[24545] = 0x000082a405d64d0dUL;
   tf->codes[24546] = 0x00008315f00f8647UL;
   tf->codes[24547] = 0x000083ab8970438dUL;
   tf->codes[24548] = 0x000083ca6adc4e70UL;
   tf->codes[24549] = 0x000084645cda7955UL;
   tf->codes[24550] = 0x00008470f194b6a8UL;
   tf->codes[24551] = 0x00008485c26bc3afUL;
   tf->codes[24552] = 0x000085ba56152ac8UL;
   tf->codes[24553] = 0x0000864f3fc8d6bfUL;
   tf->codes[24554] = 0x00008775a4ced822UL;
   tf->codes[24555] = 0x000089041e081aa8UL;
   tf->codes[24556] = 0x00008b11c5e1e50aUL;
   tf->codes[24557] = 0x00008c8b33b514c4UL;
   tf->codes[24558] = 0x00008eb5e882bbe1UL;
   tf->codes[24559] = 0x00008f53be0048dbUL;
   tf->codes[24560] = 0x00008ff3dd140f87UL;
   tf->codes[24561] = 0x00008ff5b18c3dafUL;
   tf->codes[24562] = 0x00009064dd1131adUL;
   tf->codes[24563] = 0x000091e3532ee055UL;
   tf->codes[24564] = 0x0000930091dbfaf0UL;
   tf->codes[24565] = 0x000093a335150113UL;
   tf->codes[24566] = 0x000094aa0901e644UL;
   tf->codes[24567] = 0x000094fd86ed2025UL;
   tf->codes[24568] = 0x000096207d91cafdUL;
   tf->codes[24569] = 0x00009665ccd99f28UL;
   tf->codes[24570] = 0x0000973c9773c8bfUL;
   tf->codes[24571] = 0x0000974423e38724UL;
   tf->codes[24572] = 0x000097d31b109d19UL;
   tf->codes[24573] = 0x00009924f63ce6b2UL;
   tf->codes[24574] = 0x0000995fbfd1b177UL;
   tf->codes[24575] = 0x00009afbb8014864UL;
   tf->codes[24576] = 0x00009c330a5ef4b9UL;
   tf->codes[24577] = 0x00009c660cf4fb54UL;
   tf->codes[24578] = 0x00009e5d849d9611UL;
   tf->codes[24579] = 0x00009e733fb0ba2cUL;
   tf->codes[24580] = 0x00009ed108bff7aeUL;
   tf->codes[24581] = 0x00009fb2590d2aabUL;
   tf->codes[24582] = 0x0000a02b200910fbUL;
   tf->codes[24583] = 0x0000a20f2634c14fUL;
   tf->codes[24584] = 0x0000a3096567692dUL;
   tf->codes[24585] = 0x0000a347d7ec9042UL;
   tf->codes[24586] = 0x0000a35eb7cad136UL;
   tf->codes[24587] = 0x0000a38add9e2abbUL;
   tf->codes[24588] = 0x0000a4045447225aUL;
   tf->codes[24589] = 0x0000a4257f4966efUL;
   tf->codes[24590] = 0x0000a4492e70eafbUL;
   tf->codes[24591] = 0x0000a489affd45fdUL;
   tf->codes[24592] = 0x0000a532f569f371UL;
   tf->codes[24593] = 0x0000a58b7b9fac40UL;
   tf->codes[24594] = 0x0000a5c1b20803a1UL;
   tf->codes[24595] = 0x0000a5fcb62bd42bUL;
   tf->codes[24596] = 0x0000a5feffc20dddUL;
   tf->codes[24597] = 0x0000a6118702e132UL;
   tf->codes[24598] = 0x0000a6754298b4b6UL;
   tf->codes[24599] = 0x0000a68580434e59UL;
   tf->codes[24600] = 0x0000a703ff36c4e6UL;
   tf->codes[24601] = 0x0000a718d00dd1edUL;
   tf->codes[24602] = 0x0000a77d75dfbc85UL;
   tf->codes[24603] = 0x0000a7a7c73ae7e2UL;
   tf->codes[24604] = 0x0000a864f3428b49UL;
   tf->codes[24605] = 0x0000aa5eef10657dUL;
   tf->codes[24606] = 0x0000ab1ed9cc4e20UL;
   tf->codes[24607] = 0x0000ab7eb1e2bf8fUL;
   tf->codes[24608] = 0x0000ac3cc8267a0aUL;
   tf->codes[24609] = 0x0000ad7455132c24UL;
   tf->codes[24610] = 0x0000adabead5a623UL;
   tf->codes[24611] = 0x0000ae090437d256UL;
   tf->codes[24612] = 0x0000aede6f77d94fUL;
   tf->codes[24613] = 0x0000aef67421371cUL;
   tf->codes[24614] = 0x0000b0216c53abe3UL;
   tf->codes[24615] = 0x0000b1b09539ffb8UL;
   tf->codes[24616] = 0x0000b1d4b97f8f4eUL;
   tf->codes[24617] = 0x0000b22035dcff40UL;
   tf->codes[24618] = 0x0000b3a21a5c0473UL;
   tf->codes[24619] = 0x0000b43e55f0690aUL;
   tf->codes[24620] = 0x0000b4786fd82280UL;
   tf->codes[24621] = 0x0000b496a1971c14UL;
   tf->codes[24622] = 0x0000b76349f0b805UL;
   tf->codes[24623] = 0x0000b7c56b9d6326UL;
   tf->codes[24624] = 0x0000b7e780dbbecfUL;
   tf->codes[24625] = 0x0000b85a8fe014e2UL;
   tf->codes[24626] = 0x0000b90743ae18e1UL;
   tf->codes[24627] = 0x0000b960eeaeee89UL;
   tf->codes[24628] = 0x0000b9e56028fb18UL;
   tf->codes[24629] = 0x0000b9f4b3977da7UL;
   tf->codes[24630] = 0x0000b9ff394a870dUL;
   tf->codes[24631] = 0x0000ba147f3f9f9eUL;
   tf->codes[24632] = 0x0000baa33bddafceUL;
   tf->codes[24633] = 0x0000bb04734e43dbUL;
   tf->codes[24634] = 0x0000bb9a0caf0121UL;
   tf->codes[24635] = 0x0000bbbc970b6854UL;
   tf->codes[24636] = 0x0000bc088886e3d0UL;
   tf->codes[24637] = 0x0000bdca3ee532b6UL;
   tf->codes[24638] = 0x0000bf64280d95b6UL;
   tf->codes[24639] = 0x0000c2cee073c466UL;
   tf->codes[24640] = 0x0000c35ced64c347UL;
   tf->codes[24641] = 0x0000c643e3fdf6b7UL;
   tf->codes[24642] = 0x0000c6457de71f1aUL;
   tf->codes[24643] = 0x0000c86990811ee6UL;
   tf->codes[24644] = 0x0000ce7839cee68dUL;
   tf->codes[24645] = 0x0000ceaa8cb7dbd9UL;
   tf->codes[24646] = 0x0000cfc4d221ab73UL;
   tf->codes[24647] = 0x0000d1f195f6867dUL;
   tf->codes[24648] = 0x0000d1f4c9c8d743UL;
   tf->codes[24649] = 0x0000d583e1039b4eUL;
   tf->codes[24650] = 0x0000d5d2cbc261cbUL;
   tf->codes[24651] = 0x0000d5d465ab8a2eUL;
   tf->codes[24652] = 0x0000d90579480af2UL;
   tf->codes[24653] = 0x0000dc1aa4bbcbd4UL;
   tf->codes[24654] = 0x0000dc8a455ecb5cUL;
   tf->codes[24655] = 0x0000dcf9e601cae4UL;
   tf->codes[24656] = 0x0000de8565f7c269UL;
   tf->codes[24657] = 0x0000e008e45fefffUL;
   tf->codes[24658] = 0x0000e026db8fe3ceUL;
   tf->codes[24659] = 0x0000e04c24a0903dUL;
   tf->codes[24660] = 0x0000e17dbf06ac55UL;
   tf->codes[24661] = 0x0000e209f77f7d0eUL;
   tf->codes[24662] = 0x0000e538fc14c9e5UL;
   tf->codes[24663] = 0x0000e776ad414fe1UL;
   tf->codes[24664] = 0x0000e87f55a6633aUL;
   tf->codes[24665] = 0x0000e8d9b0544a31UL;
   tf->codes[24666] = 0x0000e8e769d9a45dUL;
   tf->codes[24667] = 0x0000eafc9e232d24UL;
   tf->codes[24668] = 0x0000eb9fb67a3ed1UL;
   tf->codes[24669] = 0x0000ebd69c8fa781UL;
   tf->codes[24670] = 0x0000ebdb6a4b20aaUL;
   tf->codes[24671] = 0x0000ec48fbe6ec45UL;
   tf->codes[24672] = 0x0000ece0a44edd78UL;
   tf->codes[24673] = 0x0000ede1c044326cUL;
   tf->codes[24674] = 0x0000ee60eee4ba48UL;
   tf->codes[24675] = 0x0000ee9675a0005aUL;
   tf->codes[24676] = 0x0000ef699749cda1UL;
   tf->codes[24677] = 0x0000f081588e5dc4UL;
   tf->codes[24678] = 0x0000f09872fba47dUL;
   tf->codes[24679] = 0x0000f12b4da81c87UL;
   tf->codes[24680] = 0x0000f2413a747e82UL;
   tf->codes[24681] = 0x0000f2782089e732UL;
   tf->codes[24682] = 0x0000f28cb6d1ee74UL;
   tf->codes[24683] = 0x0000f65c150a07bcUL;
   tf->codes[24684] = 0x0000f85476eeb98dUL;
   tf->codes[24685] = 0x0000f9233ffb1935UL;
   tf->codes[24686] = 0x0000fa069f4f801fUL;
   tf->codes[24687] = 0x0000faafaa2d27ceUL;
   tf->codes[24688] = 0x0000fade1996bb05UL;
   tf->codes[24689] = 0x0000fae7ef9cb31cUL;
   tf->codes[24690] = 0x0000fb3072b6d80dUL;
   tf->codes[24691] = 0x0000fce6f3b50c3eUL;
   tf->codes[24692] = 0x0000fd9d086afccaUL;
   tf->codes[24693] = 0x0000fe151fb9d1cbUL;
   tf->codes[24694] = 0x0000fe6987e122c0UL;
   tf->codes[24695] = 0x0000fe82ebe4a32bUL;
   tf->codes[24696] = 0x0000ff6142ee8b27UL;
   tf->codes[24697] = 0x0000ff96548bc5afUL;
   tf->codes[24698] = 0x00010004d063a85eUL;
   tf->codes[24699] = 0x000100ada0b24a48UL;
   tf->codes[24700] = 0x000100b233debdacUL;
   tf->codes[24701] = 0x000102b7da2abe1fUL;
   tf->codes[24702] = 0x00010352b6650018UL;
   tf->codes[24703] = 0x0001039d83155ebbUL;
   tf->codes[24704] = 0x00010404e79b8e8fUL;
   tf->codes[24705] = 0x0001062e02800d49UL;
   tf->codes[24706] = 0x0001085966fac5b5UL;
   tf->codes[24707] = 0x00010b4bcd83199fUL;
   tf->codes[24708] = 0x00010c4fa82cb3cfUL;
   tf->codes[24709] = 0x00010cded9e8cf89UL;
   tf->codes[24710] = 0x00010ec68904dc2dUL;
   tf->codes[24711] = 0x00010f454287587fUL;
   tf->codes[24712] = 0x0001118577d91df2UL;
   tf->codes[24713] = 0x0001122b14556f16UL;
   tf->codes[24714] = 0x0001123649b589cbUL;
   tf->codes[24715] = 0x000112f6a98f7df8UL;
   tf->codes[24716] = 0x000113c5e7b9e92aUL;
   tf->codes[24717] = 0x000113cff84ee706UL;
   tf->codes[24718] = 0x0001165f52ee78bbUL;
   tf->codes[24719] = 0x00011795bb100dfcUL;
   tf->codes[24720] = 0x00011bb90c516cafUL;
   tf->codes[24721] = 0x00011bca34381d66UL;
   tf->codes[24722] = 0x00011ce9bc7b71b3UL;
   tf->codes[24723] = 0x00011dd900dd04a1UL;
   tf->codes[24724] = 0x00011df891f620d3UL;
   tf->codes[24725] = 0x00011e48a1800429UL;
   tf->codes[24726] = 0x00011f0558699c06UL;
   tf->codes[24727] = 0x0001200bf1c77b72UL;
   tf->codes[24728] = 0x000120c9585e249eUL;
   tf->codes[24729] = 0x0001212a553fb2e6UL;
   tf->codes[24730] = 0x00012212bcde98beUL;
   tf->codes[24731] = 0x0001227bbb4df0f5UL;
   tf->codes[24732] = 0x000122ff428be670UL;
   tf->codes[24733] = 0x0001236ea89fe033UL;
   tf->codes[24734] = 0x0001247e2dc7a0a2UL;
   tf->codes[24735] = 0x000124e93b3e2cc6UL;
   tf->codes[24736] = 0x0001264e12c9553eUL;
   tf->codes[24737] = 0x00012739391c8052UL;
   tf->codes[24738] = 0x0001276adc58644fUL;
   tf->codes[24739] = 0x00012864a66d00a3UL;
   tf->codes[24740] = 0x000128e200955a57UL;
   tf->codes[24741] = 0x00012979e38c514fUL;
   tf->codes[24742] = 0x00012b9753f2a9caUL;
   tf->codes[24743] = 0x00012bdf9c7dc8f6UL;
   tf->codes[24744] = 0x00012d42da1fc90bUL;
   tf->codes[24745] = 0x00012d77b12dfdceUL;
   tf->codes[24746] = 0x00012e0807b53661UL;
   tf->codes[24747] = 0x00012edfbc8b770cUL;
   tf->codes[24748] = 0x00012edff71a7cd1UL;
   tf->codes[24749] = 0x00012fdb5b184188UL;
   tf->codes[24750] = 0x00012fe77ab47351UL;
   tf->codes[24751] = 0x00012fec0de0e6b5UL;
   tf->codes[24752] = 0x000130700a3ce7baUL;
   tf->codes[24753] = 0x000130c4726438afUL;
   tf->codes[24754] = 0x000130efe88a80e5UL;
   tf->codes[24755] = 0x000132518c435897UL;
   tf->codes[24756] = 0x00013259c860284bUL;
   tf->codes[24757] = 0x00013285b3a47c0bUL;
   tf->codes[24758] = 0x00013371c433be33UL;
   tf->codes[24759] = 0x0001344fe0aea06aUL;
   tf->codes[24760] = 0x00013577df9dca30UL;
   tf->codes[24761] = 0x000135c98910d5e9UL;
   tf->codes[24762] = 0x00013617147579c8UL;
   tf->codes[24763] = 0x00013728e33373e9UL;
   tf->codes[24764] = 0x00013b873898a326UL;
   tf->codes[24765] = 0x00013cfab3e53cdeUL;
   tf->codes[24766] = 0x00013d39266a63f3UL;
   tf->codes[24767] = 0x00013d692fbd1f8dUL;
   tf->codes[24768] = 0x00013d775e608543UL;
   tf->codes[24769] = 0x00013e0e91aa6aecUL;
   tf->codes[24770] = 0x00013e21c8984f90UL;
   tf->codes[24771] = 0x00013e7c98644211UL;
   tf->codes[24772] = 0x00013efb51e6be63UL;
   tf->codes[24773] = 0x00013fb50f8d0b3fUL;
   tf->codes[24774] = 0x00013fbe7074f7ccUL;
   tf->codes[24775] = 0x000141497b4ce3c7UL;
   tf->codes[24776] = 0x0001420373823668UL;
   tf->codes[24777] = 0x0001422f24378463UL;
   tf->codes[24778] = 0x0001428a6921826eUL;
   tf->codes[24779] = 0x000142df4666deedUL;
   tf->codes[24780] = 0x000142fe6261ef95UL;
   tf->codes[24781] = 0x000145ddcc8b64a0UL;
   tf->codes[24782] = 0x0001477f7cb28bcaUL;
   tf->codes[24783] = 0x00014781169bb42dUL;
   tf->codes[24784] = 0x0001483ef25068e3UL;
   tf->codes[24785] = 0x00014849ed217dd3UL;
   tf->codes[24786] = 0x000148c91bc205afUL;
   tf->codes[24787] = 0x00014a487c1bcb6bUL;
   tf->codes[24788] = 0x00014c04efa0959eUL;
   tf->codes[24789] = 0x00014e44754549c2UL;
   tf->codes[24790] = 0x00014fbb24643440UL;
   tf->codes[24791] = 0x000151633c2ffcf6UL;
   tf->codes[24792] = 0x0001516460fb19cfUL;
   tf->codes[24793] = 0x0001523bdb4254b5UL;
   tf->codes[24794] = 0x000153368f93081dUL;
   tf->codes[24795] = 0x0001565a2439347aUL;
   tf->codes[24796] = 0x0001569cef5bc92eUL;
   tf->codes[24797] = 0x000156a65043b5bbUL;
   tf->codes[24798] = 0x000156c61bebd7b2UL;
   tf->codes[24799] = 0x000157851c6ba941UL;
   tf->codes[24800] = 0x0001583ffedd12f6UL;
   tf->codes[24801] = 0x0001594e5f39b68cUL;
   tf->codes[24802] = 0x0001599498bda1cbUL;
   tf->codes[24803] = 0x00015ae49f71bd3cUL;
   tf->codes[24804] = 0x00015c16aef5e4deUL;
   tf->codes[24805] = 0x00015ccaef33a742UL;
   tf->codes[24806] = 0x00015f99a6947720UL;
   tf->codes[24807] = 0x00015fd819199e35UL;
   tf->codes[24808] = 0x000161310b979aa9UL;
   tf->codes[24809] = 0x000161b87654f239UL;
   tf->codes[24810] = 0x000161dc257c7645UL;
   tf->codes[24811] = 0x0001623c3821ed79UL;
   tf->codes[24812] = 0x000162e03ab5163aUL;
   tf->codes[24813] = 0x000162e2beda55b1UL;
   tf->codes[24814] = 0x000165070c035b42UL;
   tf->codes[24815] = 0x0001655ee28c02c2UL;
   tf->codes[24816] = 0x000165a7dac4333dUL;
   tf->codes[24817] = 0x00016625aa0a987bUL;
   tf->codes[24818] = 0x0001679af9cf605bUL;
   tf->codes[24819] = 0x000167a420284723UL;
   tf->codes[24820] = 0x000169ade482af70UL;
   tf->codes[24821] = 0x00016bbec02eca98UL;
   tf->codes[24822] = 0x00016be1fa38431aUL;
   tf->codes[24823] = 0x00016c162199668eUL;
   tf->codes[24824] = 0x00016c9933b9507fUL;
   tf->codes[24825] = 0x00016d0c42bda692UL;
   tf->codes[24826] = 0x00016dc4db98d695UL;
   tf->codes[24827] = 0x00016ee3eebe1f58UL;
   tf->codes[24828] = 0x00016f20c75a1e0aUL;
   tf->codes[24829] = 0x0001709e8dcabb63UL;
   tf->codes[24830] = 0x0001722b328bcfc1UL;
   tf->codes[24831] = 0x00017280bf7e3d8fUL;
   tf->codes[24832] = 0x00017338a8ac5c43UL;
   tf->codes[24833] = 0x000173812bc68134UL;
   tf->codes[24834] = 0x00017381db739283UL;
   tf->codes[24835] = 0x000173d43493af8bUL;
   tf->codes[24836] = 0x00017511ee95fd6cUL;
   tf->codes[24837] = 0x000175bf521112baUL;
   tf->codes[24838] = 0x000176535188a79dUL;
   tf->codes[24839] = 0x000176dbe1111c06UL;
   tf->codes[24840] = 0x000177300ea96736UL;
   tf->codes[24841] = 0x000177cc0faec608UL;
   tf->codes[24842] = 0x0001797dc2f18110UL;
   tf->codes[24843] = 0x000179f565224a87UL;
   tf->codes[24844] = 0x00017cda12254445UL;
   tf->codes[24845] = 0x00017d78974fe28eUL;
   tf->codes[24846] = 0x00017e233c16b2a0UL;
   tf->codes[24847] = 0x00017e6b84a1d1ccUL;
   tf->codes[24848] = 0x00017f011e028f12UL;
   tf->codes[24849] = 0x00017fb3c4572913UL;
   tf->codes[24850] = 0x00018453faa2d5f0UL;
   tf->codes[24851] = 0x000185c8d5499246UL;
   tf->codes[24852] = 0x000189a32e52c07eUL;
   tf->codes[24853] = 0x00018ab621dbd778UL;
   tf->codes[24854] = 0x00018b066bf4c093UL;
   tf->codes[24855] = 0x00018c32c38157f8UL;
   tf->codes[24856] = 0x00018c7220429621UL;
   tf->codes[24857] = 0x00018d97d59b8635UL;
   tf->codes[24858] = 0x00018db67c788b53UL;
   tf->codes[24859] = 0x00018db6f19696ddUL;
   tf->codes[24860] = 0x00018dc0527e836aUL;
   tf->codes[24861] = 0x00018e156a52e5aeUL;
   tf->codes[24862] = 0x00018e377f914157UL;
   tf->codes[24863] = 0x00018e68e83e1f8fUL;
   tf->codes[24864] = 0x00018eebfa5e0980UL;
   tf->codes[24865] = 0x00018ffa5abaad16UL;
   tf->codes[24866] = 0x000190d62d9f559bUL;
   tf->codes[24867] = 0x00019107964c33d3UL;
   tf->codes[24868] = 0x0001930366923c2fUL;
   tf->codes[24869] = 0x000194ee840f9f5eUL;
   tf->codes[24870] = 0x00019546cfb65268UL;
   tf->codes[24871] = 0x00019580af0f0619UL;
   tf->codes[24872] = 0x00019644b7d95696UL;
   tf->codes[24873] = 0x000197ca7fd7bddeUL;
   tf->codes[24874] = 0x000198ca7701f5f9UL;
   tf->codes[24875] = 0x000198f711f35b08UL;
   tf->codes[24876] = 0x000199fe958d5188UL;
   tf->codes[24877] = 0x00019a0b64d694a0UL;
   tf->codes[24878] = 0x00019acb4f927d43UL;
   tf->codes[24879] = 0x00019c5fbb5255cbUL;
   tf->codes[24880] = 0x00019c6ab6236abbUL;
   tf->codes[24881] = 0x00019caafd20bff8UL;
   tf->codes[24882] = 0x00019cda91557008UL;
   tf->codes[24883] = 0x00019e142d49560fUL;
   tf->codes[24884] = 0x00019f781a986773UL;
   tf->codes[24885] = 0x00019f8858430116UL;
   tf->codes[24886] = 0x0001a1270f26dd3fUL;
   tf->codes[24887] = 0x0001a21c460f062fUL;
   tf->codes[24888] = 0x0001a223d27ec494UL;
   tf->codes[24889] = 0x0001a2bf5e6617dcUL;
   tf->codes[24890] = 0x0001a3edc4f9e32eUL;
   tf->codes[24891] = 0x0001a515895a072fUL;
   tf->codes[24892] = 0x0001a735f303aaabUL;
   tf->codes[24893] = 0x0001a93481fdf843UL;
   tf->codes[24894] = 0x0001a95e5e3b1816UL;
   tf->codes[24895] = 0x0001a988af964373UL;
   tf->codes[24896] = 0x0001a9a87b3e656aUL;
   tf->codes[24897] = 0x0001aa56c8f591ccUL;
   tf->codes[24898] = 0x0001aabf8cd5e43eUL;
   tf->codes[24899] = 0x0001ab29b010594eUL;
   tf->codes[24900] = 0x0001acc2e98baaffUL;
   tf->codes[24901] = 0x0001adde8e4f9d37UL;
   tf->codes[24902] = 0x0001af0911640674UL;
   tf->codes[24903] = 0x0001afebfb9a61d4UL;
   tf->codes[24904] = 0x0001b073db75c4eeUL;
   tf->codes[24905] = 0x0001b0a459e68c12UL;
   tf->codes[24906] = 0x0001b19538314763UL;
   tf->codes[24907] = 0x0001b1d50a109116UL;
   tf->codes[24908] = 0x0001b46798827391UL;
   tf->codes[24909] = 0x0001b4e52d39d30aUL;
   tf->codes[24910] = 0x0001b5206beca959UL;
   tf->codes[24911] = 0x0001b65958337e11UL;
   tf->codes[24912] = 0x0001b8ff58224af5UL;
   tf->codes[24913] = 0x0001b947db3c6fe6UL;
   tf->codes[24914] = 0x0001b96682197504UL;
   tf->codes[24915] = 0x0001bb8a94b374d0UL;
   tf->codes[24916] = 0x0001bd06c13ae9c6UL;
   tf->codes[24917] = 0x0001bfc8e3e17c51UL;
   tf->codes[24918] = 0x0001c093c96e79e4UL;
   tf->codes[24919] = 0x0001c130b4afefcaUL;
   tf->codes[24920] = 0x0001c29c68fdc558UL;
   tf->codes[24921] = 0x0001c3f72ff3eff4UL;
   tf->codes[24922] = 0x0001c4435bfe7135UL;
   tf->codes[24923] = 0x0001c621e4c19711UL;
   tf->codes[24924] = 0x0001c62eb40ada29UL;
   tf->codes[24925] = 0x0001c66bc735dea0UL;
   tf->codes[24926] = 0x0001c836de7c1a13UL;
   tf->codes[24927] = 0x0001c9996c7108d9UL;
   tf->codes[24928] = 0x0001ca58e20ee5f2UL;
   tf->codes[24929] = 0x0001cabc2886adecUL;
   tf->codes[24930] = 0x0001cc673995c1a3UL;
   tf->codes[24931] = 0x0001ce46e7240458UL;
   tf->codes[24932] = 0x0001ce6dca1dd92aUL;
   tf->codes[24933] = 0x0001cea4eac2479fUL;
   tf->codes[24934] = 0x0001cfeaa6525f6fUL;
   tf->codes[24935] = 0x0001d1949296564dUL;
   tf->codes[24936] = 0x0001d1aac2c785f2UL;
   tf->codes[24937] = 0x0001d1d8828407daUL;
   tf->codes[24938] = 0x0001d1e9aa6ab891UL;
   tf->codes[24939] = 0x0001d221efda43dfUL;
   tf->codes[24940] = 0x0001d225d359a5f4UL;
   tf->codes[24941] = 0x0001d29698c7c255UL;
   tf->codes[24942] = 0x0001d52c5b0bf596UL;
   tf->codes[24943] = 0x0001d652c011f6f9UL;
   tf->codes[24944] = 0x0001d6abf5f4c117UL;
   tf->codes[24945] = 0x0001d6c13be9d9a8UL;
   tf->codes[24946] = 0x0001d7795fa6fe21UL;
   tf->codes[24947] = 0x0001da76fb8f6cc0UL;
   tf->codes[24948] = 0x0001dae5024943e5UL;
   tf->codes[24949] = 0x0001dbcae5c2ea46UL;
   tf->codes[24950] = 0x0001ddbeb47b28b3UL;
   tf->codes[24951] = 0x0001ddd8187ea91eUL;
   tf->codes[24952] = 0x0001de439b1340ccUL;
   tf->codes[24953] = 0x0001de978e1c8637UL;
   tf->codes[24954] = 0x0001df143897ce9cUL;
   tf->codes[24955] = 0x0001df24eb6073c9UL;
   tf->codes[24956] = 0x0001dfeb3dc0fdf8UL;
   tf->codes[24957] = 0x0001e06bcbbba872UL;
   tf->codes[24958] = 0x0001e1ef84b2dbcdUL;
   tf->codes[24959] = 0x0001e2c6c46b10eeUL;
   tf->codes[24960] = 0x0001e35a8953a00cUL;
   tf->codes[24961] = 0x0001e3e6121f5f76UL;
   tf->codes[24962] = 0x0001e4636c47b92aUL;
   tf->codes[24963] = 0x0001e61f6aae77d3UL;
   tf->codes[24964] = 0x0001e62b4fbba3d7UL;
   tf->codes[24965] = 0x0001e6eaffe886b5UL;
   tf->codes[24966] = 0x0001e70463ec0720UL;
   tf->codes[24967] = 0x0001e715c661bd9cUL;
   tf->codes[24968] = 0x0001e7201185c13dUL;
   tf->codes[24969] = 0x0001e7fd43c48c60UL;
   tf->codes[24970] = 0x0001e8dab0925d48UL;
   tf->codes[24971] = 0x0001e8f5e90e0bdbUL;
   tf->codes[24972] = 0x0001e9afa6b458b7UL;
   tf->codes[24973] = 0x0001e9f8645d836dUL;
   tf->codes[24974] = 0x0001ea28a83f44ccUL;
   tf->codes[24975] = 0x0001ea6a8925c26cUL;
   tf->codes[24976] = 0x0001eabef14d1361UL;
   tf->codes[24977] = 0x0001ec81cc767f20UL;
   tf->codes[24978] = 0x0001ec8dec12b0e9UL;
   tf->codes[24979] = 0x0001ecc5bc6430adUL;
   tf->codes[24980] = 0x0001ef7c348c9cf9UL;
   tf->codes[24981] = 0x0001efcd68e19d28UL;
   tf->codes[24982] = 0x0001f006236f3400UL;
   tf->codes[24983] = 0x0001f097d9508f31UL;
   tf->codes[24984] = 0x0001f0f9c06e348dUL;
   tf->codes[24985] = 0x0001f19253123cd4UL;
   tf->codes[24986] = 0x0001f2941eb4a317UL;
   tf->codes[24987] = 0x0001f2cf97f67f2bUL;
   tf->codes[24988] = 0x0001f3c62e38cab9UL;
   tf->codes[24989] = 0x0001f45c7746994eUL;
   tf->codes[24990] = 0x0001f53a593275c0UL;
   tf->codes[24991] = 0x0001f5c5a76f2f65UL;
   tf->codes[24992] = 0x0001f648f41e1f1bUL;
   tf->codes[24993] = 0x0001f6b73566fc05UL;
   tf->codes[24994] = 0x0001f6fd345be17fUL;
   tf->codes[24995] = 0x0001f7645e530b8eUL;
   tf->codes[24996] = 0x0001f7a46ac15b06UL;
   tf->codes[24997] = 0x0001f868ae1ab148UL;
   tf->codes[24998] = 0x0001f89d100ada81UL;
   tf->codes[24999] = 0x0001f8db82900196UL;
   tf->codes[25000] = 0x0001f928d3659fb0UL;
   tf->codes[25001] = 0x0001f9e1e15edb3dUL;
   tf->codes[25002] = 0x0001fa5e514b1dddUL;
   tf->codes[25003] = 0x0001fbd65fc42af9UL;
   tf->codes[25004] = 0x0001fc0a4c9648a8UL;
   tf->codes[25005] = 0x0001fc97a9da363aUL;
   tf->codes[25006] = 0x0001fd967c39517cUL;
   tf->codes[25007] = 0x0001fe49228deb7dUL;
   tf->codes[25008] = 0x0001fed93e861e4bUL;
   tf->codes[25009] = 0x0001fede0c419774UL;
   tf->codes[25010] = 0x0001ff6ba4148acbUL;
   tf->codes[25011] = 0x0001ffbb790f685cUL;
   tf->codes[25012] = 0x0000001d602d0db8UL;
   tf->codes[25013] = 0x00000309d42ecba0UL;
   tf->codes[25014] = 0x0000050e55afaf3aUL;
   tf->codes[25015] = 0x000006b548b05b17UL;
   tf->codes[25016] = 0x0000075d6951ebb2UL;
   tf->codes[25017] = 0x000008e5b5759271UL;
   tf->codes[25018] = 0x000009bc4580b643UL;
   tf->codes[25019] = 0x00000aa1ee6b56dfUL;
   tf->codes[25020] = 0x00000d83a22b059cUL;
   tf->codes[25021] = 0x00000e2bc2cc9637UL;
   tf->codes[25022] = 0x00000e94c13bee6eUL;
   tf->codes[25023] = 0x00000f43f92f31e4UL;
   tf->codes[25024] = 0x00000fefc2c11ecfUL;
   tf->codes[25025] = 0x00000ffc1cec565dUL;
   tf->codes[25026] = 0x0000104acd1c1715UL;
   tf->codes[25027] = 0x0000114ee254b70aUL;
   tf->codes[25028] = 0x0000119dcd137d87UL;
   tf->codes[25029] = 0x000012887e489d11UL;
   tf->codes[25030] = 0x000012a37c3545dfUL;
   tf->codes[25031] = 0x0000133f081c9927UL;
   tf->codes[25032] = 0x000013ae6e3092eaUL;
   tf->codes[25033] = 0x000014891c4a1e96UL;
   tf->codes[25034] = 0x0000150e02e236afUL;
   tf->codes[25035] = 0x0000162a1cc43471UL;
   tf->codes[25036] = 0x000016959f58cc1fUL;
   tf->codes[25037] = 0x000016b9fe2d617aUL;
   tf->codes[25038] = 0x0000175b420c44ffUL;
   tf->codes[25039] = 0x000017eaae57667eUL;
   tf->codes[25040] = 0x00001b397e94d54cUL;
   tf->codes[25041] = 0x00001c7e8a77dbcdUL;
   tf->codes[25042] = 0x00001dae8af4cf82UL;
   tf->codes[25043] = 0x00001dc6550f278aUL;
   tf->codes[25044] = 0x00001dd2e9c964ddUL;
   tf->codes[25045] = 0x00001eda32d45598UL;
   tf->codes[25046] = 0x00001fa3095a1f3eUL;
   tf->codes[25047] = 0x000021883450ec6bUL;
   tf->codes[25048] = 0x000022461005a121UL;
   tf->codes[25049] = 0x00002377354db1afUL;
   tf->codes[25050] = 0x000026b6ecaba3b3UL;
   tf->codes[25051] = 0x000027570bbf6a5fUL;
   tf->codes[25052] = 0x000028d45d11fc2eUL;
   tf->codes[25053] = 0x00002acbd4ba96ebUL;
   tf->codes[25054] = 0x00002c0c4d712a08UL;
   tf->codes[25055] = 0x00002c0f46b47509UL;
   tf->codes[25056] = 0x00002c67925b2813UL;
   tf->codes[25057] = 0x00002d6196feca2cUL;
   tf->codes[25058] = 0x00002db9a8167771UL;
   tf->codes[25059] = 0x00002e482a2581dcUL;
   tf->codes[25060] = 0x00002e5fb9b0d41fUL;
   tf->codes[25061] = 0x00002efca4f24a05UL;
   tf->codes[25062] = 0x00002f8066bf4545UL;
   tf->codes[25063] = 0x00003566589b09f2UL;
   tf->codes[25064] = 0x000035870e7f42fdUL;
   tf->codes[25065] = 0x000035c5f622759cUL;
   tf->codes[25066] = 0x00003609e6102729UL;
   tf->codes[25067] = 0x000036f1d8910177UL;
   tf->codes[25068] = 0x000036ff92165ba3UL;
   tf->codes[25069] = 0x0000378efe617d22UL;
   tf->codes[25070] = 0x000037b61bea57b9UL;
   tf->codes[25071] = 0x0000392eda107624UL;
   tf->codes[25072] = 0x000039f2e2dac6a1UL;
   tf->codes[25073] = 0x00003a70b2212bdfUL;
   tf->codes[25074] = 0x00003ae9ee3b1db9UL;
   tf->codes[25075] = 0x00003b19bcfed38eUL;
   tf->codes[25076] = 0x00003be8c09a38fbUL;
   tf->codes[25077] = 0x00003ca8ab56219eUL;
   tf->codes[25078] = 0x00003cf462429755UL;
   tf->codes[25079] = 0x00003d1f9dd9d9c6UL;
   tf->codes[25080] = 0x00003ec2ad5b238eUL;
   tf->codes[25081] = 0x00003f2babca7bc5UL;
   tf->codes[25082] = 0x000040649811507dUL;
   tf->codes[25083] = 0x000042d5c0f1e89eUL;
   tf->codes[25084] = 0x00004387b7997150UL;
   tf->codes[25085] = 0x000043a5743a5f5aUL;
   tf->codes[25086] = 0x0000445fa6feb7c0UL;
   tf->codes[25087] = 0x000044f789f5aeb8UL;
   tf->codes[25088] = 0x000045099c187683UL;
   tf->codes[25089] = 0x0000468b0b79702cUL;
   tf->codes[25090] = 0x0000471cc15acb5dUL;
   tf->codes[25091] = 0x000048771332ea6fUL;
   tf->codes[25092] = 0x000048fe43613c3aUL;
   tf->codes[25093] = 0x00004958d89e28f6UL;
   tf->codes[25094] = 0x000049e4d687f3eaUL;
   tf->codes[25095] = 0x00004bc77d5981a0UL;
   tf->codes[25096] = 0x00004c3b017be33dUL;
   tf->codes[25097] = 0x00004c872d86647eUL;
   tf->codes[25098] = 0x00004e47848a90c6UL;
   tf->codes[25099] = 0x00004e662b6795e4UL;
   tf->codes[25100] = 0x00004ecb0bc88641UL;
   tf->codes[25101] = 0x00004fb92b5efc56UL;
   tf->codes[25102] = 0x00004ff9e77a5d1dUL;
   tf->codes[25103] = 0x0000516561392ce6UL;
   tf->codes[25104] = 0x0000521b75ef1d72UL;
   tf->codes[25105] = 0x000052e18dc0a1dcUL;
   tf->codes[25106] = 0x00005325089047dfUL;
   tf->codes[25107] = 0x0000539901d0b506UL;
   tf->codes[25108] = 0x0000542f856d8960UL;
   tf->codes[25109] = 0x0000543abacda415UL;
   tf->codes[25110] = 0x0000545edf1333abUL;
   tf->codes[25111] = 0x0000546337b0a14aUL;
   tf->codes[25112] = 0x00005485125ff72eUL;
   tf->codes[25113] = 0x0000548bb4939e7fUL;
   tf->codes[25114] = 0x000054a29471df73UL;
   tf->codes[25115] = 0x0000550f766099bfUL;
   tf->codes[25116] = 0x0000555c52182c4fUL;
   tf->codes[25117] = 0x000055b0452171baUL;
   tf->codes[25118] = 0x000055c21cb533c0UL;
   tf->codes[25119] = 0x000056e3ee8ec1bfUL;
   tf->codes[25120] = 0x000057a7823b06b2UL;
   tf->codes[25121] = 0x000057be9ca84d6bUL;
   tf->codes[25122] = 0x00005899fa6eea66UL;
   tf->codes[25123] = 0x000058ab22559b1dUL;
   tf->codes[25124] = 0x000058ec538f076eUL;
   tf->codes[25125] = 0x00005ab730463d1cUL;
   tf->codes[25126] = 0x00005c2986c7b9fbUL;
   tf->codes[25127] = 0x00005c4c4bb326f3UL;
   tf->codes[25128] = 0x00005cab398d814eUL;
   tf->codes[25129] = 0x00005dd840c72a02UL;
   tf->codes[25130] = 0x00005e4ef8bbdc65UL;
   tf->codes[25131] = 0x00005fb270ece23fUL;
   tf->codes[25132] = 0x0000604e71f24111UL;
   tf->codes[25133] = 0x000060ca32317262UL;
   tf->codes[25134] = 0x000060fde4748a4cUL;
   tf->codes[25135] = 0x00006352ea9d5cc6UL;
   tf->codes[25136] = 0x000064fb77873106UL;
   tf->codes[25137] = 0x0000661f92f6f8b7UL;
   tf->codes[25138] = 0x0000662f5b8386d0UL;
   tf->codes[25139] = 0x0000665888139554UL;
   tf->codes[25140] = 0x000067d2a593d65dUL;
   tf->codes[25141] = 0x000068a37da769f2UL;
   tf->codes[25142] = 0x00006937b7ae049aUL;
   tf->codes[25143] = 0x00006940a377e59dUL;
   tf->codes[25144] = 0x000069d63cd8a2e3UL;
   tf->codes[25145] = 0x00006a8240f99593UL;
   tf->codes[25146] = 0x00006a948dab6323UL;
   tf->codes[25147] = 0x00006c9a33f76396UL;
   tf->codes[25148] = 0x00006cc485528ef3UL;
   tf->codes[25149] = 0x00006e4f1b0c6f64UL;
   tf->codes[25150] = 0x00006e6bed71465aUL;
   tf->codes[25151] = 0x00006eaca98ca721UL;
   tf->codes[25152] = 0x00006eb1022a14c0UL;
   tf->codes[25153] = 0x00006fdf68bde012UL;
   tf->codes[25154] = 0x0000705b638c1728UL;
   tf->codes[25155] = 0x000071385b3bdc86UL;
   tf->codes[25156] = 0x0000713adf611bfdUL;
   tf->codes[25157] = 0x0000722640434cd6UL;
   tf->codes[25158] = 0x000072e41bf8018cUL;
   tf->codes[25159] = 0x000072fbe6125994UL;
   tf->codes[25160] = 0x000073fc17cb9774UL;
   tf->codes[25161] = 0x0000744ac7fb582cUL;
   tf->codes[25162] = 0x000074dfb1af0423UL;
   tf->codes[25163] = 0x000075d81c697dd9UL;
   tf->codes[25164] = 0x0000764329e009fdUL;
   tf->codes[25165] = 0x00007701efd0d5c7UL;
   tf->codes[25166] = 0x00007727e88e9385UL;
   tf->codes[25167] = 0x000078213d85244fUL;
   tf->codes[25168] = 0x000078baba6543aaUL;
   tf->codes[25169] = 0x00007a48be807aa6UL;
   tf->codes[25170] = 0x00007a5b45c14dfbUL;
   tf->codes[25171] = 0x00007a9f703e054dUL;
   tf->codes[25172] = 0x00007ac47ebfabf7UL;
   tf->codes[25173] = 0x00007ce0553cdc0fUL;
   tf->codes[25174] = 0x00007d2703ded2d8UL;
   tf->codes[25175] = 0x00007da71cbb71c8UL;
   tf->codes[25176] = 0x00007f9065c0a6cfUL;
   tf->codes[25177] = 0x00008075998d3be1UL;
   tf->codes[25178] = 0x000082bdd06ccb43UL;
   tf->codes[25179] = 0x000082f14820dd68UL;
   tf->codes[25180] = 0x000083b3b7020582UL;
   tf->codes[25181] = 0x0000845276bba990UL;
   tf->codes[25182] = 0x00008474516aff74UL;
   tf->codes[25183] = 0x0000850bbf43eae2UL;
   tf->codes[25184] = 0x00008575e27e5ff2UL;
   tf->codes[25185] = 0x0000864227658023UL;
   tf->codes[25186] = 0x00008774ac07b34fUL;
   tf->codes[25187] = 0x000087d9174a9822UL;
   tf->codes[25188] = 0x0000883afe683d7eUL;
   tf->codes[25189] = 0x0000886bb7680a67UL;
   tf->codes[25190] = 0x00008894e3f818ebUL;
   tf->codes[25191] = 0x000088d52af56e28UL;
   tf->codes[25192] = 0x00008abe396b9d6aUL;
   tf->codes[25193] = 0x00008be80cd2f558UL;
   tf->codes[25194] = 0x00008bf58bc949bfUL;
   tf->codes[25195] = 0x00008ca2b4b55948UL;
   tf->codes[25196] = 0x00008ce50ab9e272UL;
   tf->codes[25197] = 0x00008d404fa3e07dUL;
   tf->codes[25198] = 0x00008da73f0c04c7UL;
   tf->codes[25199] = 0x00008df20bbc636aUL;
   tf->codes[25200] = 0x00008fd43d6fe596UL;
   tf->codes[25201] = 0x00008ff68d3d4704UL;
   tf->codes[25202] = 0x0000904662382495UL;
   tf->codes[25203] = 0x00009075bbddcee0UL;
   tf->codes[25204] = 0x000091ac5e8e69e6UL;
   tf->codes[25205] = 0x00009277f3c878c8UL;
   tf->codes[25206] = 0x000092ea1890b7c7UL;
   tf->codes[25207] = 0x00009342d955765bUL;
   tf->codes[25208] = 0x0000965c5d66a4dcUL;
   tf->codes[25209] = 0x00009987f39a9b28UL;
   tf->codes[25210] = 0x00009a0dc46eca55UL;
   tf->codes[25211] = 0x00009a568217f50bUL;
   tf->codes[25212] = 0x00009a5c3a0f8548UL;
   tf->codes[25213] = 0x00009b1f1e0eb8ecUL;
   tf->codes[25214] = 0x00009b55c9951bd7UL;
   tf->codes[25215] = 0x00009c779b6ea9d6UL;
   tf->codes[25216] = 0x00009d76a85ccaddUL;
   tf->codes[25217] = 0x00009ec340af8fc3UL;
   tf->codes[25218] = 0x00009efad67209c2UL;
   tf->codes[25219] = 0x00009f35da95da4cUL;
   tf->codes[25220] = 0x00009fcd486ec5baUL;
   tf->codes[25221] = 0x00009ffa930d3c18UL;
   tf->codes[25222] = 0x0000a0208bcaf9d6UL;
   tf->codes[25223] = 0x0000a0773d88847dUL;
   tf->codes[25224] = 0x0000a0ba7dc924bbUL;
   tf->codes[25225] = 0x0000a3086ca0445aUL;
   tf->codes[25226] = 0x0000a32838486651UL;
   tf->codes[25227] = 0x0000a46a4ae821d1UL;
   tf->codes[25228] = 0x0000a48e349eaba2UL;
   tf->codes[25229] = 0x0000a4b84b6ad13aUL;
   tf->codes[25230] = 0x0000a5461dccca56UL;
   tf->codes[25231] = 0x0000a589989c7059UL;
   tf->codes[25232] = 0x0000a6bc1d3ea385UL;
   tf->codes[25233] = 0x0000a716ed0a9606UL;
   tf->codes[25234] = 0x0000a851adc998e6UL;
   tf->codes[25235] = 0x0000a90f4eef47d7UL;
   tf->codes[25236] = 0x0000a97bf64efc5eUL;
   tf->codes[25237] = 0x0000a9dec7a8b8ceUL;
   tf->codes[25238] = 0x0000aac1ec6e19f3UL;
   tf->codes[25239] = 0x0000ab82fbf51f6fUL;
   tf->codes[25240] = 0x0000ada44fdad9ffUL;
   tf->codes[25241] = 0x0000afa269b71c0dUL;
   tf->codes[25242] = 0x0000b0967bd42824UL;
   tf->codes[25243] = 0x0000b0f40a545fe1UL;
   tf->codes[25244] = 0x0000b148e799bc60UL;
   tf->codes[25245] = 0x0000b152bd9fb477UL;
   tf->codes[25246] = 0x0000b1ab09466781UL;
   tf->codes[25247] = 0x0000b29336564794UL;
   tf->codes[25248] = 0x0000b344f26eca81UL;
   tf->codes[25249] = 0x0000b383da11fd20UL;
   tf->codes[25250] = 0x0000b440566c8f38UL;
   tf->codes[25251] = 0x0000b55d5a8aa40eUL;
   tf->codes[25252] = 0x0000b591475cc1bdUL;
   tf->codes[25253] = 0x0000b65799bd4becUL;
   tf->codes[25254] = 0x0000b663b9597db5UL;
   tf->codes[25255] = 0x0000b6976b9c959fUL;
   tf->codes[25256] = 0x0000b7ae081608e9UL;
   tf->codes[25257] = 0x0000b83ab5ace52cUL;
   tf->codes[25258] = 0x0000b9e726161b81UL;
   tf->codes[25259] = 0x0000baa4521dbee8UL;
   tf->codes[25260] = 0x0000bb7a6d0ad730UL;
   tf->codes[25261] = 0x0000bb9704e0a861UL;
   tf->codes[25262] = 0x0000bc3f60113ec1UL;
   tf->codes[25263] = 0x0000bc9b8f3753e0UL;
   tf->codes[25264] = 0x0000bcd39a17d969UL;
   tf->codes[25265] = 0x0000bce0a3f02246UL;
   tf->codes[25266] = 0x0000bd3003ccf44dUL;
   tf->codes[25267] = 0x0000bd487d945da4UL;
   tf->codes[25268] = 0x0000bd58bb3ef747UL;
   tf->codes[25269] = 0x0000bd658a883a5fUL;
   tf->codes[25270] = 0x0000be0b27048b83UL;
   tf->codes[25271] = 0x0000bed97af2dfa1UL;
   tf->codes[25272] = 0x0000bfa0f21e86a9UL;
   tf->codes[25273] = 0x0000c1331448257fUL;
   tf->codes[25274] = 0x0000c286895d977bUL;
   tf->codes[25275] = 0x0000c38645f8c9d1UL;
   tf->codes[25276] = 0x0000c39d9af5164fUL;
   tf->codes[25277] = 0x0000c4df7305cc0aUL;
   tf->codes[25278] = 0x0000c7b750bf82b0UL;
   tf->codes[25279] = 0x0000ca43ecaacf29UL;
   tf->codes[25280] = 0x0000cad39384f66dUL;
   tf->codes[25281] = 0x0000cafb262bdc8eUL;
   tf->codes[25282] = 0x0000cb3be2473d55UL;
   tf->codes[25283] = 0x0000cbf3cb755c09UL;
   tf->codes[25284] = 0x0000ccf9efb52febUL;
   tf->codes[25285] = 0x0000ceb9d19b50a9UL;
   tf->codes[25286] = 0x0000cf1e3cde357cUL;
   tf->codes[25287] = 0x0000cf8984e3c765UL;
   tf->codes[25288] = 0x0000d1120b9673e9UL;
   tf->codes[25289] = 0x0000d464f9e24a91UL;
   tf->codes[25290] = 0x0000dd48c23583a2UL;
   tf->codes[25291] = 0x0000ddd7f3f19f5cUL;
   tf->codes[25292] = 0x0000dee56a122bdeUL;
   tf->codes[25293] = 0x0000e139fb1cf2ceUL;
   tf->codes[25294] = 0x0000e6495ced93a9UL;
   tf->codes[25295] = 0x0000e68e37175c4aUL;
   tf->codes[25296] = 0x0000e69797ff48d7UL;
   tf->codes[25297] = 0x0000e90f63138849UL;
   tf->codes[25298] = 0x0000ea3eee727074UL;
   tf->codes[25299] = 0x0000ea7091ae5471UL;
   tf->codes[25300] = 0x0000ec88bf3b2839UL;
   tf->codes[25301] = 0x0000ecb2d6074dd1UL;
   tf->codes[25302] = 0x0000ee49c5ec65d0UL;
   tf->codes[25303] = 0x0000ef609cf4dedfUL;
   tf->codes[25304] = 0x0000f4e88b326045UL;
   tf->codes[25305] = 0x0000f51d9ccf9acdUL;
   tf->codes[25306] = 0x0000f753fc1b6829UL;
   tf->codes[25307] = 0x0000f7768677cf5cUL;
   tf->codes[25308] = 0x0000f7bff3ce0b61UL;
   tf->codes[25309] = 0x0000f7fb3280e1b0UL;
   tf->codes[25310] = 0x0000f83d13675f50UL;
   tf->codes[25311] = 0x0000f994316d2d9cUL;
   tf->codes[25312] = 0x0000f9c17c0ba3faUL;
   tf->codes[25313] = 0x0000fae81ba0ab22UL;
   tf->codes[25314] = 0x0000fb28629e005fUL;
   tf->codes[25315] = 0x0000fb98785f0b71UL;
   tf->codes[25316] = 0x0000fdaf4691bc9bUL;
   tf->codes[25317] = 0x0000fddaf7470a96UL;
   tf->codes[25318] = 0x0001017df51cc494UL;
   tf->codes[25319] = 0x000103841086d091UL;
   tf->codes[25320] = 0x000103a6d5723d89UL;
   tf->codes[25321] = 0x00010474b442861dUL;
   tf->codes[25322] = 0x000104df4c9b06b7UL;
   tf->codes[25323] = 0x0001053c2b6e2d25UL;
   tf->codes[25324] = 0x0001055679adc4a4UL;
   tf->codes[25325] = 0x0001063d81f287deUL;
   tf->codes[25326] = 0x000106ff069798e4UL;
   tf->codes[25327] = 0x000108e297a53daeUL;
   tf->codes[25328] = 0x00010a05192bdcfcUL;
   tf->codes[25329] = 0x00010a3905fdfaabUL;
   tf->codes[25330] = 0x00010b52d649bebbUL;
   tf->codes[25331] = 0x00010c9682d2a29eUL;
   tf->codes[25332] = 0x00010d7673c5b2fdUL;
   tf->codes[25333] = 0x00010da4a8a0406fUL;
   tf->codes[25334] = 0x000113846d666955UL;
   tf->codes[25335] = 0x000114b607cc856dUL;
   tf->codes[25336] = 0x000116448105c7f3UL;
   tf->codes[25337] = 0x00011754b5da99b1UL;
   tf->codes[25338] = 0x000117d0b0a8d0c7UL;
   tf->codes[25339] = 0x000118372af2e987UL;
   tf->codes[25340] = 0x000118b2eb321ad8UL;
   tf->codes[25341] = 0x0001190babf6d96cUL;
   tf->codes[25342] = 0x000119a0208c79d9UL;
   tf->codes[25343] = 0x00011aa5951f3c6cUL;
   tf->codes[25344] = 0x00011b954e9edae4UL;
   tf->codes[25345] = 0x00011c7ea079d7d0UL;
   tf->codes[25346] = 0x00011e66ff42f5c3UL;
   tf->codes[25347] = 0x00011e7cba5619deUL;
   tf->codes[25348] = 0x000120fd71343a53UL;
   tf->codes[25349] = 0x0001219f2a312962UL;
   tf->codes[25350] = 0x0001222276e01918UL;
   tf->codes[25351] = 0x000123577fa78bbbUL;
   tf->codes[25352] = 0x000123e5177a7f12UL;
   tf->codes[25353] = 0x00012400ffa33ef4UL;
   tf->codes[25354] = 0x0001243b8ea903f4UL;
   tf->codes[25355] = 0x000124aa0a80e6a3UL;
   tf->codes[25356] = 0x000124e7cd58fc69UL;
   tf->codes[25357] = 0x000124fb3ed5e6d2UL;
   tf->codes[25358] = 0x0001276799fb05caUL;
   tf->codes[25359] = 0x00012926571609afUL;
   tf->codes[25360] = 0x00012a9d40c3f9f2UL;
   tf->codes[25361] = 0x00012c88d35f68abUL;
   tf->codes[25362] = 0x00012d542e0a71c8UL;
   tf->codes[25363] = 0x00012dbb1d729612UL;
   tf->codes[25364] = 0x00012f17b8e0eed6UL;
   tf->codes[25365] = 0x0001302aac6a05d0UL;
   tf->codes[25366] = 0x00013168db8a5f3bUL;
   tf->codes[25367] = 0x00013209aa4b3736UL;
   tf->codes[25368] = 0x0001324adb84a387UL;
   tf->codes[25369] = 0x0001334e06812c68UL;
   tf->codes[25370] = 0x000133bae86fe6b4UL;
   tf->codes[25371] = 0x00013454da6e1199UL;
   tf->codes[25372] = 0x000134c59fdc2dfaUL;
   tf->codes[25373] = 0x000135bc70ad7f4dUL;
   tf->codes[25374] = 0x0001363f483e6379UL;
   tf->codes[25375] = 0x000136912c4074f7UL;
   tf->codes[25376] = 0x000136adc4164628UL;
   tf->codes[25377] = 0x000137498a8c9f35UL;
   tf->codes[25378] = 0x0001377c5293a00bUL;
   tf->codes[25379] = 0x0001378f4ef27eeaUL;
   tf->codes[25380] = 0x00013b2c5a41a2e6UL;
   tf->codes[25381] = 0x00013bbc7639d5b4UL;
   tf->codes[25382] = 0x00013c4db6fd255bUL;
   tf->codes[25383] = 0x00013c60b35c043aUL;
   tf->codes[25384] = 0x00013e27e722dd98UL;
   tf->codes[25385] = 0x00013e4e54fea6e0UL;
   tf->codes[25386] = 0x000141380a4c1f8cUL;
   tf->codes[25387] = 0x000141b6fe5da1a3UL;
   tf->codes[25388] = 0x000142c1061cd79aUL;
   tf->codes[25389] = 0x000143dd1ffed55cUL;
   tf->codes[25390] = 0x00014457bb72e9d4UL;
   tf->codes[25391] = 0x00014616036fe22fUL;
   tf->codes[25392] = 0x0001468da5a0aba6UL;
   tf->codes[25393] = 0x000148fb601fed3cUL;
   tf->codes[25394] = 0x000149d314f62de7UL;
   tf->codes[25395] = 0x00014bbcd3196e78UL;
   tf->codes[25396] = 0x00014dbbd731c79aUL;
   tf->codes[25397] = 0x00014e34639ea825UL;
   tf->codes[25398] = 0x00014e9092c4bd44UL;
   tf->codes[25399] = 0x00014fb3fe8773a6UL;
   tf->codes[25400] = 0x00014fcaa3d6aed5UL;
   tf->codes[25401] = 0x000150b0fc6e60c0UL;
   tf->codes[25402] = 0x00015115a2404b58UL;
   tf->codes[25403] = 0x00015160e40eb585UL;
   tf->codes[25404] = 0x000151f4e3864a68UL;
   tf->codes[25405] = 0x00015456b8f85ffaUL;
   tf->codes[25406] = 0x00015499bea9fa73UL;
   tf->codes[25407] = 0x0001552be9a9612eUL;
   tf->codes[25408] = 0x0001564a87b09e67UL;
   tf->codes[25409] = 0x00015809f478b39bUL;
   tf->codes[25410] = 0x00015892be902dc9UL;
   tf->codes[25411] = 0x000158e00f65cbe3UL;
   tf->codes[25412] = 0x00015a48ca705670UL;
   tf->codes[25413] = 0x00015a7b57e85181UL;
   tf->codes[25414] = 0x00015b2587911609UL;
   tf->codes[25415] = 0x00015c69e3c70b3bUL;
   tf->codes[25416] = 0x00015cbfe5d78493UL;
   tf->codes[25417] = 0x00015e244844a181UL;
   tf->codes[25418] = 0x00015e74925d8a9cUL;
   tf->codes[25419] = 0x00015fbd0ca1e7a8UL;
   tf->codes[25420] = 0x000160d667cfa02eUL;
   tf->codes[25421] = 0x000160eee1970985UL;
   tf->codes[25422] = 0x0001615a9ebaa6f8UL;
   tf->codes[25423] = 0x000162b2e18b921dUL;
   tf->codes[25424] = 0x000162e693ceaa07UL;
   tf->codes[25425] = 0x00016315b2e54e8dUL;
   tf->codes[25426] = 0x000163319b0e0e6fUL;
   tf->codes[25427] = 0x00016389e6b4c179UL;
   tf->codes[25428] = 0x000163c141e835b3UL;
   tf->codes[25429] = 0x0001640c49279a1bUL;
   tf->codes[25430] = 0x000166b66724ced9UL;
   tf->codes[25431] = 0x000169496ab4bcdeUL;
   tf->codes[25432] = 0x000169fb26cd3fcbUL;
   tf->codes[25433] = 0x00016b5a0bd1d241UL;
   tf->codes[25434] = 0x00016b871be142daUL;
   tf->codes[25435] = 0x00016e02ca74e461UL;
   tf->codes[25436] = 0x00016eeba731d5c3UL;
   tf->codes[25437] = 0x00016f713d76ff2bUL;
   tf->codes[25438] = 0x00016f8857e445e4UL;
   tf->codes[25439] = 0x00016fa9f8049603UL;
   tf->codes[25440] = 0x00016fdcfa9a9c9eUL;
   tf->codes[25441] = 0x00016fdf7ebfdc15UL;
   tf->codes[25442] = 0x000170f655c85524UL;
   tf->codes[25443] = 0x00017189e021de7dUL;
   tf->codes[25444] = 0x00017288b280f9bfUL;
   tf->codes[25445] = 0x000172b1a482027eUL;
   tf->codes[25446] = 0x000172febac89ad3UL;
   tf->codes[25447] = 0x000173160fc4e751UL;
   tf->codes[25448] = 0x00017335db6d0948UL;
   tf->codes[25449] = 0x000173accdf0c170UL;
   tf->codes[25450] = 0x0001775006558133UL;
   tf->codes[25451] = 0x0001776168cb37afUL;
   tf->codes[25452] = 0x000178077a65945dUL;
   tf->codes[25453] = 0x0001787630cc7cd1UL;
   tf->codes[25454] = 0x000178c605c75a62UL;
   tf->codes[25455] = 0x00017914f08620dfUL;
   tf->codes[25456] = 0x00017a3d9f225bf4UL;
   tf->codes[25457] = 0x00017a71c6837f68UL;
   tf->codes[25458] = 0x00017adfcd3d568dUL;
   tf->codes[25459] = 0x00017b222341dfb7UL;
   tf->codes[25460] = 0x00017bf6ded4d561UL;
   tf->codes[25461] = 0x00017ce06b3ed812UL;
   tf->codes[25462] = 0x00017d2d0c6764ddUL;
   tf->codes[25463] = 0x00017d31da22de06UL;
   tf->codes[25464] = 0x00017d76049f9558UL;
   tf->codes[25465] = 0x00017e8b41bee604UL;
   tf->codes[25466] = 0x00017ee9455d294bUL;
   tf->codes[25467] = 0x0001801aa5343f9eUL;
   tf->codes[25468] = 0x000181b27f556eb1UL;
   tf->codes[25469] = 0x000182c2eeb94634UL;
   tf->codes[25470] = 0x0001832969035ef4UL;
   tf->codes[25471] = 0x000183375d17bee5UL;
   tf->codes[25472] = 0x0001845c62c39daaUL;
   tf->codes[25473] = 0x000184763be5299fUL;
   tf->codes[25474] = 0x00018478857b6351UL;
   tf->codes[25475] = 0x000184d02175050cUL;
   tf->codes[25476] = 0x000185a134179e66UL;
   tf->codes[25477] = 0x00018614431bf479UL;
   tf->codes[25478] = 0x0001864bd8de6e78UL;
   tf->codes[25479] = 0x000186d9ab406794UL;
   tf->codes[25480] = 0x000187fa92ddde7fUL;
   tf->codes[25481] = 0x0001883a64bd2832UL;
   tf->codes[25482] = 0x00018a59347da34bUL;
   tf->codes[25483] = 0x00018a5d8d1b10eaUL;
   tf->codes[25484] = 0x00018abc40666580UL;
   tf->codes[25485] = 0x00018c5f1558a983UL;
   tf->codes[25486] = 0x00018e37e6243f22UL;
   tf->codes[25487] = 0x00018eff5d4fe62aUL;
   tf->codes[25488] = 0x0001908bc781f4c3UL;
   tf->codes[25489] = 0x00019122108fc358UL;
   tf->codes[25490] = 0x000193d679b0fbb7UL;
   tf->codes[25491] = 0x000193ebfa351a0dUL;
   tf->codes[25492] = 0x000194cbb09924a7UL;
   tf->codes[25493] = 0x000194eacc94354fUL;
   tf->codes[25494] = 0x000195ca82f83fe9UL;
   tf->codes[25495] = 0x000195ff94957a71UL;
   tf->codes[25496] = 0x000196a188216f45UL;
   tf->codes[25497] = 0x000196b2ea9725c1UL;
   tf->codes[25498] = 0x0001973f982e0204UL;
   tf->codes[25499] = 0x00019872575f3af5UL;
   tf->codes[25500] = 0x00019a78ad584cb7UL;
   tf->codes[25501] = 0x00019a999dcb8b87UL;
   tf->codes[25502] = 0x00019d39e5c2c82eUL;
   tf->codes[25503] = 0x00019d48fea244f8UL;
   tf->codes[25504] = 0x00019d8a2fdbb149UL;
   tf->codes[25505] = 0x00019ec7e9ddff2aUL;
   tf->codes[25506] = 0x00019ecda1d58f67UL;
   tf->codes[25507] = 0x00019fd266bb40abUL;
   tf->codes[25508] = 0x0001a02f458e6719UL;
   tf->codes[25509] = 0x0001a2586072e5d3UL;
   tf->codes[25510] = 0x0001a29ff950f3b0UL;
   tf->codes[25511] = 0x0001a2cf8d85a3c0UL;
   tf->codes[25512] = 0x0001a567d3ef1678UL;
   tf->codes[25513] = 0x0001a70984163da2UL;
   tf->codes[25514] = 0x0001a8a83afa19cbUL;
   tf->codes[25515] = 0x0001aa33f57f1715UL;
   tf->codes[25516] = 0x0001ad0cf803ea94UL;
   tf->codes[25517] = 0x0001ae25a38491cbUL;
   tf->codes[25518] = 0x0001b0a6cf80bdcaUL;
   tf->codes[25519] = 0x0001b0c7bff3fc9aUL;
   tf->codes[25520] = 0x0001b1e4c4121170UL;
   tf->codes[25521] = 0x0001b31957bb7889UL;
   tf->codes[25522] = 0x0001b3c64618824dUL;
   tf->codes[25523] = 0x0001b5143dc569d1UL;
   tf->codes[25524] = 0x0001b524b5ff0939UL;
   tf->codes[25525] = 0x0001b527af42543aUL;
   tf->codes[25526] = 0x0001b5cb02286bacUL;
   tf->codes[25527] = 0x0001b5fe79dc7dd1UL;
   tf->codes[25528] = 0x0001b6e6a6ec5de4UL;
   tf->codes[25529] = 0x0001b84bf39591e6UL;
   tf->codes[25530] = 0x0001b8b392aac77fUL;
   tf->codes[25531] = 0x0001b8bf77b7f383UL;
   tf->codes[25532] = 0x0001ba78424c6166UL;
   tf->codes[25533] = 0x0001baf5d703c0dfUL;
   tf->codes[25534] = 0x0001bbc5ff6a4325UL;
   tf->codes[25535] = 0x0001bcf8840c7651UL;
   tf->codes[25536] = 0x0001bd7bd0bb6607UL;
   tf->codes[25537] = 0x0001bde210767902UL;
   tf->codes[25538] = 0x0001bdef1a4ec1dfUL;
   tf->codes[25539] = 0x0001bf2806959697UL;
   tf->codes[25540] = 0x0001bf516db4aae0UL;
   tf->codes[25541] = 0x0001bfa6106b019aUL;
   tf->codes[25542] = 0x0001c01cc85fb3fdUL;
   tf->codes[25543] = 0x0001c09d1bcb58b2UL;
   tf->codes[25544] = 0x0001c0d4b18dd2b1UL;
   tf->codes[25545] = 0x0001c0f6c6cc2e5aUL;
   tf->codes[25546] = 0x0001c0ffed251522UL;
   tf->codes[25547] = 0x0001c100624320acUL;
   tf->codes[25548] = 0x0001c150ac5c09c7UL;
   tf->codes[25549] = 0x0001c16542a41109UL;
   tf->codes[25550] = 0x0001c19d88139c57UL;
   tf->codes[25551] = 0x0001c24cfa95e592UL;
   tf->codes[25552] = 0x0001c3ebb179c1bbUL;
   tf->codes[25553] = 0x0001c489c186547aUL;
   tf->codes[25554] = 0x0001c6219ba7838dUL;
   tf->codes[25555] = 0x0001c625b9b5eb67UL;
   tf->codes[25556] = 0x0001c64ee645f9ebUL;
   tf->codes[25557] = 0x0001c6eb21da5e82UL;
   tf->codes[25558] = 0x0001c715e8539569UL;
   tf->codes[25559] = 0x0001c8377f9e1da3UL;
   tf->codes[25560] = 0x0001c906f8578e9aUL;
   tf->codes[25561] = 0x0001c90b1665f674UL;
   tf->codes[25562] = 0x0001ca38cd4cb077UL;
   tf->codes[25563] = 0x0001cb69b805bb40UL;
   tf->codes[25564] = 0x0001ce83ebc3fb10UL;
   tf->codes[25565] = 0x0001ce8585ad2373UL;
   tf->codes[25566] = 0x0001ce85c03c2938UL;
   tf->codes[25567] = 0x0001d03230a55f8dUL;
   tf->codes[25568] = 0x0001d2bda7c58f2dUL;
   tf->codes[25569] = 0x0001d420e5678f42UL;
   tf->codes[25570] = 0x0001d5a00b324f39UL;
   tf->codes[25571] = 0x0001d60894839be6UL;
   tf->codes[25572] = 0x0001d62f3cee6af3UL;
   tf->codes[25573] = 0x0001d6732cdc1c80UL;
   tf->codes[25574] = 0x0001d73a2ee9b7feUL;
   tf->codes[25575] = 0x0001d969ec01de09UL;
   tf->codes[25576] = 0x0001d9bddf0b2374UL;
   tf->codes[25577] = 0x0001db70b718fb55UL;
   tf->codes[25578] = 0x0001dc53dbde5c7aUL;
   tf->codes[25579] = 0x0001dda2bdc75b12UL;
   tf->codes[25580] = 0x0001de814f6048d3UL;
   tf->codes[25581] = 0x0001df18bd393441UL;
   tf->codes[25582] = 0x0001df5d9762fce2UL;
   tf->codes[25583] = 0x0001df7bc921f676UL;
   tf->codes[25584] = 0x0001df7efcf4473cUL;
   tf->codes[25585] = 0x0001e128aea93855UL;
   tf->codes[25586] = 0x0001e1a08b690791UL;
   tf->codes[25587] = 0x0001e1a9ec50f41eUL;
   tf->codes[25588] = 0x0001e29d4ec0eee6UL;
   tf->codes[25589] = 0x0001e2a9e37b2c39UL;
   tf->codes[25590] = 0x0001e4cc5c2c03a2UL;
   tf->codes[25591] = 0x0001e50fd6fba9a5UL;
   tf->codes[25592] = 0x0001e58b5cabd531UL;
   tf->codes[25593] = 0x0001e8a0fd3da19dUL;
   tf->codes[25594] = 0x0001e8b1b00646caUL;
   tf->codes[25595] = 0x0001e8e2de241f3dUL;
   tf->codes[25596] = 0x0001e92f0a2ea07eUL;
   tf->codes[25597] = 0x0001ea24b634d4f8UL;
   tf->codes[25598] = 0x0001ea8ed96f4a08UL;
   tf->codes[25599] = 0x0001eb025d91aba5UL;
   tf->codes[25600] = 0x0001eb2ada74a8daUL;
   tf->codes[25601] = 0x0001ebfdfc1e7621UL;
   tf->codes[25602] = 0x0001ece7fda6845cUL;
   tf->codes[25603] = 0x0001eda43f7210afUL;
   tf->codes[25604] = 0x0001efc13aba5da0UL;
   tf->codes[25605] = 0x0001f1e6acae800aUL;
   tf->codes[25606] = 0x0001f200faee1789UL;
   tf->codes[25607] = 0x0001f2b0a7ff6689UL;
   tf->codes[25608] = 0x0001f462d0602d1bUL;
   tf->codes[25609] = 0x0001f464df676108UL;
   tf->codes[25610] = 0x0001f4bd2b0e1412UL;
   tf->codes[25611] = 0x0001f4c4425fc6edUL;
   tf->codes[25612] = 0x0001f504143f10a0UL;
   tf->codes[25613] = 0x0001f505e8b73ec8UL;
   tf->codes[25614] = 0x0001f5e2a5d7fe61UL;
   tf->codes[25615] = 0x0001f665084ad703UL;
   tf->codes[25616] = 0x0001f69461f0814eUL;
   tf->codes[25617] = 0x0001f6aa1d03a569UL;
   tf->codes[25618] = 0x0001f702a3395e38UL;
   tf->codes[25619] = 0x0001f765e9b12632UL;
   tf->codes[25620] = 0x0001f7dd8be1efa9UL;
   tf->codes[25621] = 0x0001fd8afdbf2343UL;
   tf->codes[25622] = 0x0001ff69fba054a9UL;
   tf->codes[25623] = 0x000001fa407bfd72UL;
   tf->codes[25624] = 0x000004e25be04dbbUL;
   tf->codes[25625] = 0x0000064b8c08e3d2UL;
   tf->codes[25626] = 0x00000884e497fc2fUL;
   tf->codes[25627] = 0x000008e6cbb5a18bUL;
   tf->codes[25628] = 0x0000092d3fc8928fUL;
   tf->codes[25629] = 0x00000c4d660d6861UL;
   tf->codes[25630] = 0x00000ca208c3bf1bUL;
   tf->codes[25631] = 0x00000d14681b03dfUL;
   tf->codes[25632] = 0x00000dd3689ad56eUL;
   tf->codes[25633] = 0x00000f5d14189ecbUL;
   tf->codes[25634] = 0x000010eb8d51e151UL;
   tf->codes[25635] = 0x00001133262fef2eUL;
   tf->codes[25636] = 0x0000175456be8a2aUL;
   tf->codes[25637] = 0x000017edd39ea985UL;
   tf->codes[25638] = 0x00001ba31e263113UL;
   tf->codes[25639] = 0x00001c454c412bacUL;
   tf->codes[25640] = 0x00001daf2c16d312UL;
   tf->codes[25641] = 0x000020b8727d67f0UL;
   tf->codes[25642] = 0x000021c6d2da0b86UL;
   tf->codes[25643] = 0x0000221f590fc455UL;
   tf->codes[25644] = 0x00002228b9f7b0e2UL;
   tf->codes[25645] = 0x00002399b11f0b23UL;
   tf->codes[25646] = 0x000023aebc851defUL;
   tf->codes[25647] = 0x00002419c9fbaa13UL;
   tf->codes[25648] = 0x000024abba6c0b09UL;
   tf->codes[25649] = 0x000024aeee3e5bcfUL;
   tf->codes[25650] = 0x0000253c10f3439cUL;
   tf->codes[25651] = 0x0000264359fe3457UL;
   tf->codes[25652] = 0x0000270ca5a20987UL;
   tf->codes[25653] = 0x00002774b9d54aaaUL;
   tf->codes[25654] = 0x00002808442ed403UL;
   tf->codes[25655] = 0x00002849004a34caUL;
   tf->codes[25656] = 0x0000285dd12141d1UL;
   tf->codes[25657] = 0x000028776fb3c801UL;
   tf->codes[25658] = 0x00002906a16fe3bbUL;
   tf->codes[25659] = 0x00002aefea7518c2UL;
   tf->codes[25660] = 0x00002cb58452c9bdUL;
   tf->codes[25661] = 0x00002cf1e7d0bce5UL;
   tf->codes[25662] = 0x00002d8a7a74c52cUL;
   tf->codes[25663] = 0x00002e3434ff7e2aUL;
   tf->codes[25664] = 0x00003063426a92e6UL;
   tf->codes[25665] = 0x00003086f19216f2UL;
   tf->codes[25666] = 0x000032135bc4258bUL;
   tf->codes[25667] = 0x00003216ca257c16UL;
   tf->codes[25668] = 0x000033cf94b9e9f9UL;
   tf->codes[25669] = 0x000033e8839f5edaUL;
   tf->codes[25670] = 0x000036960ffdea23UL;
   tf->codes[25671] = 0x000036a1ba7c1062UL;
   tf->codes[25672] = 0x000036b2e262c119UL;
   tf->codes[25673] = 0x0000382b65f9d9bfUL;
   tf->codes[25674] = 0x0000394a3e901cbdUL;
   tf->codes[25675] = 0x000039b7207ed709UL;
   tf->codes[25676] = 0x00003acea7346167UL;
   tf->codes[25677] = 0x00003b882a4ba87eUL;
   tf->codes[25678] = 0x00003bdb3318d6d5UL;
   tf->codes[25679] = 0x00003c5cab4f9863UL;
   tf->codes[25680] = 0x00003da400c8d896UL;
   tf->codes[25681] = 0x00003db1f4dd3887UL;
   tf->codes[25682] = 0x00003e0ed3b05ef5UL;
   tf->codes[25683] = 0x00003eb13c5a5f53UL;
   tf->codes[25684] = 0x00003f7df65f8b0eUL;
   tf->codes[25685] = 0x00003f93b172af29UL;
   tf->codes[25686] = 0x00003ff4e8e34336UL;
   tf->codes[25687] = 0x00004228145cbfccUL;
   tf->codes[25688] = 0x000043045c5f73dbUL;
   tf->codes[25689] = 0x000043859a072fa4UL;
   tf->codes[25690] = 0x0000447bf5ba756dUL;
   tf->codes[25691] = 0x000045872244c83dUL;
   tf->codes[25692] = 0x00004738606977bbUL;
   tf->codes[25693] = 0x000048fcd57c0bddUL;
   tf->codes[25694] = 0x00004b0366042364UL;
   tf->codes[25695] = 0x00004bd10a456633UL;
   tf->codes[25696] = 0x00004db92e7f7e61UL;
   tf->codes[25697] = 0x000050b4f5efbed8UL;
   tf->codes[25698] = 0x000051d94bee8c4eUL;
   tf->codes[25699] = 0x000054e7d52ea5dfUL;
   tf->codes[25700] = 0x0000550e087b6962UL;
   tf->codes[25701] = 0x00005532dc6e0a47UL;
   tf->codes[25702] = 0x000055bccb50a14eUL;
   tf->codes[25703] = 0x000055d19c27ae55UL;
   tf->codes[25704] = 0x000055efcde6a7e9UL;
   tf->codes[25705] = 0x0000563d1ebc4603UL;
   tf->codes[25706] = 0x0000569d6bf0c2fcUL;
   tf->codes[25707] = 0x000056c06b6b35b9UL;
   tf->codes[25708] = 0x000057563f5af8c4UL;
   tf->codes[25709] = 0x0000588221c9849fUL;
   tf->codes[25710] = 0x00005c44eb476094UL;
   tf->codes[25711] = 0x00005f74da18c47fUL;
   tf->codes[25712] = 0x00006145e3e595f4UL;
   tf->codes[25713] = 0x00006203bf9a4aaaUL;
   tf->codes[25714] = 0x000062088d55c3d3UL;
   tf->codes[25715] = 0x0000656e3d717395UL;
   tf->codes[25716] = 0x0000659470be3718UL;
   tf->codes[25717] = 0x0000672483e0a201UL;
   tf->codes[25718] = 0x0000681f72c05b2eUL;
   tf->codes[25719] = 0x0000684ff1312252UL;
   tf->codes[25720] = 0x0000688b2fe3f8a1UL;
   tf->codes[25721] = 0x000068941badd9a4UL;
   tf->codes[25722] = 0x000069794f7a6eb6UL;
   tf->codes[25723] = 0x000069c7ffaa2f6eUL;
   tf->codes[25724] = 0x00006d1cfcfd3a03UL;
   tf->codes[25725] = 0x00006d49d27da4d7UL;
   tf->codes[25726] = 0x00006d63e62e3691UL;
   tf->codes[25727] = 0x00006ee221bcdf74UL;
   tf->codes[25728] = 0x00006ff0f7378e94UL;
   tf->codes[25729] = 0x0000701a23c79d18UL;
   tf->codes[25730] = 0x00007154e4869ff8UL;
   tf->codes[25731] = 0x00007387d57116c9UL;
   tf->codes[25732] = 0x00007399ad04d8cfUL;
   tf->codes[25733] = 0x000073b7dec3d263UL;
   tf->codes[25734] = 0x00007847d764e59dUL;
   tf->codes[25735] = 0x000079c0206cf87eUL;
   tf->codes[25736] = 0x000079d1f800ba84UL;
   tf->codes[25737] = 0x00007a98bf7f503dUL;
   tf->codes[25738] = 0x00007ac2d64b75d5UL;
   tf->codes[25739] = 0x00007ad5d2aa54b4UL;
   tf->codes[25740] = 0x00007adce9fc078fUL;
   tf->codes[25741] = 0x00007bd84df9cc46UL;
   tf->codes[25742] = 0x00007d43180b8ac0UL;
   tf->codes[25743] = 0x00007e33bbc7404cUL;
   tf->codes[25744] = 0x00007f46e9df5d0bUL;
   tf->codes[25745] = 0x00008041d8bf1638UL;
   tf->codes[25746] = 0x000080f1c05f6afdUL;
   tf->codes[25747] = 0x0000810447a03e52UL;
   tf->codes[25748] = 0x000081b04bc13102UL;
   tf->codes[25749] = 0x000081c93aa6a5e3UL;
   tf->codes[25750] = 0x00008229c26a28a1UL;
   tf->codes[25751] = 0x0000831b5061f541UL;
   tf->codes[25752] = 0x0000832dd7a2c896UL;
   tf->codes[25753] = 0x000083bdf39afb64UL;
   tf->codes[25754] = 0x000085fcc9929e39UL;
   tf->codes[25755] = 0x00008623e71b78d0UL;
   tf->codes[25756] = 0x00008768f2fe7f51UL;
   tf->codes[25757] = 0x00008862f7a2216aUL;
   tf->codes[25758] = 0x0000895f0b4cf770UL;
   tf->codes[25759] = 0x000089ccd777c8d0UL;
   tf->codes[25760] = 0x00008a3d27c7d9a7UL;
   tf->codes[25761] = 0x00008a714f28fd1bUL;
   tf->codes[25762] = 0x00008aca0fedbbafUL;
   tf->codes[25763] = 0x00008b49791d4950UL;
   tf->codes[25764] = 0x00008bfe2e79173eUL;
   tf->codes[25765] = 0x00008c384860d0b4UL;
   tf->codes[25766] = 0x00008d2db9d7ff69UL;
   tf->codes[25767] = 0x00008dd5655b847aUL;
   tf->codes[25768] = 0x00008fb428adb01bUL;
   tf->codes[25769] = 0x0000901734967250UL;
   tf->codes[25770] = 0x000090a57c1676f6UL;
   tf->codes[25771] = 0x00009313abb3c416UL;
   tf->codes[25772] = 0x00009407f85fd5f2UL;
   tf->codes[25773] = 0x000094dfad36169dUL;
   tf->codes[25774] = 0x0000955923df0e3cUL;
   tf->codes[25775] = 0x000096418b7df414UL;
   tf->codes[25776] = 0x000096d37bee550aUL;
   tf->codes[25777] = 0x0000971fa7f8d64bUL;
   tf->codes[25778] = 0x000097dbe9c4629eUL;
   tf->codes[25779] = 0x0000989f42e1a1ccUL;
   tf->codes[25780] = 0x000098ca43e9de78UL;
   tf->codes[25781] = 0x0000998b18e1de2fUL;
   tf->codes[25782] = 0x0000999e8a5ec898UL;
   tf->codes[25783] = 0x00009b3e2b7ebbd5UL;
   tf->codes[25784] = 0x00009c3ed256053fUL;
   tf->codes[25785] = 0x00009c97588bbe0eUL;
   tf->codes[25786] = 0x00009dc33afa49e9UL;
   tf->codes[25787] = 0x00009dc54a017dd6UL;
   tf->codes[25788] = 0x00009f14db978dbdUL;
   tf->codes[25789] = 0x0000a0292e7ac755UL;
   tf->codes[25790] = 0x0000a0da0057332eUL;
   tf->codes[25791] = 0x0000a190c4ba3509UL;
   tf->codes[25792] = 0x0000a1c01e5fdf54UL;
   tf->codes[25793] = 0x0000a360a9bbe9a5UL;
   tf->codes[25794] = 0x0000a413ffbd94f5UL;
   tf->codes[25795] = 0x0000a446c7c495cbUL;
   tf->codes[25796] = 0x0000a46066571bfbUL;
   tf->codes[25797] = 0x0000a49c1a27fdd4UL;
   tf->codes[25798] = 0x0000a4b24a592d79UL;
   tf->codes[25799] = 0x0000a63eef1a41d7UL;
   tf->codes[25800] = 0x0000a67f70a69cd9UL;
   tf->codes[25801] = 0x0000a89ef0142941UL;
   tf->codes[25802] = 0x0000a8c4e8d1e6ffUL;
   tf->codes[25803] = 0x0000a8dbc8b027f3UL;
   tf->codes[25804] = 0x0000a937bd47374dUL;
   tf->codes[25805] = 0x0000ac04dabedec8UL;
   tf->codes[25806] = 0x0000ac104aadff42UL;
   tf->codes[25807] = 0x0000accf85bcd696UL;
   tf->codes[25808] = 0x0000afa6ee5881b2UL;
   tf->codes[25809] = 0x0000b0b33fadf15bUL;
   tf->codes[25810] = 0x0000b0c16e515711UL;
   tf->codes[25811] = 0x0000b1a78c5a0337UL;
   tf->codes[25812] = 0x0000b1c4242fd468UL;
   tf->codes[25813] = 0x0000b295abf0794cUL;
   tf->codes[25814] = 0x0000b49893883483UL;
   tf->codes[25815] = 0x0000b55d4bff964fUL;
   tf->codes[25816] = 0x0000b5ed67f7c91dUL;
   tf->codes[25817] = 0x0000b61bd7615c54UL;
   tf->codes[25818] = 0x0000b681676f5e00UL;
   tf->codes[25819] = 0x0000b80769fccb0dUL;
   tf->codes[25820] = 0x0000b91a5d85e207UL;
   tf->codes[25821] = 0x0000b96f755a444bUL;
   tf->codes[25822] = 0x0000b9b2b59ae489UL;
   tf->codes[25823] = 0x0000ba29e2ada276UL;
   tf->codes[25824] = 0x0000bbd6c834e455UL;
   tf->codes[25825] = 0x0000bbf2b05da437UL;
   tf->codes[25826] = 0x0000bc50ee8aed43UL;
   tf->codes[25827] = 0x0000beb12a13da72UL;
   tf->codes[25828] = 0x0000bedb0650fa45UL;
   tf->codes[25829] = 0x0000bfe792356fb3UL;
   tf->codes[25830] = 0x0000c1a8d375b30fUL;
   tf->codes[25831] = 0x0000c23a89570e40UL;
   tf->codes[25832] = 0x0000c2533dad7d5cUL;
   tf->codes[25833] = 0x0000c2d824459575UL;
   tf->codes[25834] = 0x0000c585eb332683UL;
   tf->codes[25835] = 0x0000c6623335da92UL;
   tf->codes[25836] = 0x0000d1a8f5c6460eUL;
   tf->codes[25837] = 0x0000d34fe8c6f1ebUL;
   tf->codes[25838] = 0x0000d438c583e34dUL;
   tf->codes[25839] = 0x0000d75ede4f4f21UL;
   tf->codes[25840] = 0x0000d7cf2e9f5ff8UL;
   tf->codes[25841] = 0x0000d97b64799088UL;
   tf->codes[25842] = 0x0000db3dca84f0bdUL;
   tf->codes[25843] = 0x0000df3ecbf8ee02UL;
   tf->codes[25844] = 0x0000e8b2b04459e1UL;
   tf->codes[25845] = 0x0000e9c4b99159c7UL;
   tf->codes[25846] = 0x0000eba8100ff8ccUL;
   tf->codes[25847] = 0x0000ebcc6ee48e27UL;
   tf->codes[25848] = 0x0000ec3aeabc70d6UL;
   tf->codes[25849] = 0x0000f0d569108d76UL;
   tf->codes[25850] = 0x0000f25db5343435UL;
   tf->codes[25851] = 0x0000f26491f6e14bUL;
   tf->codes[25852] = 0x0000f634654d061dUL;
   tf->codes[25853] = 0x0000f643439d7d22UL;
   tf->codes[25854] = 0x0000f6d56e9ce3ddUL;
   tf->codes[25855] = 0x0000f7a5d1926be8UL;
   tf->codes[25856] = 0x0000f7fde2aa192dUL;
   tf->codes[25857] = 0x0000f92f42812f80UL;
   tf->codes[25858] = 0x0000f9c80fb43d8cUL;
   tf->codes[25859] = 0x0000fcfa481bdb29UL;
   tf->codes[25860] = 0x0000fdb6ff057306UL;
   tf->codes[25861] = 0x0000fe59a23e7929UL;
   tf->codes[25862] = 0x0000ff766bcd883aUL;
   tf->codes[25863] = 0x000104b3c7e9b0c2UL;
   tf->codes[25864] = 0x000106eef4f0f747UL;
   tf->codes[25865] = 0x0001077fc0963b64UL;
   tf->codes[25866] = 0x000107a8b2974423UL;
   tf->codes[25867] = 0x00010bce12dfd6c3UL;
   tf->codes[25868] = 0x00010be4f2be17b7UL;
   tf->codes[25869] = 0x00010c17803612c8UL;
   tf->codes[25870] = 0x00010dabebf5eb50UL;
   tf->codes[25871] = 0x00010f4add68cd3eUL;
   tf->codes[25872] = 0x00010fd99a06dd6eUL;
   tf->codes[25873] = 0x000110db65a943b1UL;
   tf->codes[25874] = 0x000110eb68c4d78fUL;
   tf->codes[25875] = 0x000111584ab391dbUL;
   tf->codes[25876] = 0x00011230e9c5e99aUL;
   tf->codes[25877] = 0x0001178f365550f2UL;
   tf->codes[25878] = 0x000118663b7e804eUL;
   tf->codes[25879] = 0x00011b8f881c3ce8UL;
   tf->codes[25880] = 0x00011b92bbee8daeUL;
   tf->codes[25881] = 0x00011bd9dfae9001UL;
   tf->codes[25882] = 0x00011d4593fc658fUL;
   tf->codes[25883] = 0x00011e93168b4189UL;
   tf->codes[25884] = 0x00011fb59811e0d7UL;
   tf->codes[25885] = 0x000120b1abbcb6ddUL;
   tf->codes[25886] = 0x000122d50ea9a55aUL;
   tf->codes[25887] = 0x000122db3bbf4121UL;
   tf->codes[25888] = 0x00012406e39ec737UL;
   tf->codes[25889] = 0x0001243294541532UL;
   tf->codes[25890] = 0x000124f5785348d6UL;
   tf->codes[25891] = 0x000125bec3f71e06UL;
   tf->codes[25892] = 0x00012622ba1bf74fUL;
   tf->codes[25893] = 0x00012a79bda06decUL;
   tf->codes[25894] = 0x00012bb61848992fUL;
   tf->codes[25895] = 0x00012c25093e8768UL;
   tf->codes[25896] = 0x00012df64d9a5ea2UL;
   tf->codes[25897] = 0x00012e942317eb9cUL;
   tf->codes[25898] = 0x000130dd7ec297d7UL;
   tf->codes[25899] = 0x00013210eda0e217UL;
   tf->codes[25900] = 0x000133336f278165UL;
   tf->codes[25901] = 0x00013388fc19ef33UL;
   tf->codes[25902] = 0x00013435003ae1e3UL;
   tf->codes[25903] = 0x000135e603d08b9cUL;
   tf->codes[25904] = 0x000136bc93dbaf6eUL;
   tf->codes[25905] = 0x0001396bf4b268dfUL;
   tf->codes[25906] = 0x00013c1efe797ea0UL;
   tf->codes[25907] = 0x00013d39f3905f89UL;
   tf->codes[25908] = 0x000140345ba67d62UL;
   tf->codes[25909] = 0x0001419131a3dbebUL;
   tf->codes[25910] = 0x000142883d043303UL;
   tf->codes[25911] = 0x0001428f19c6e019UL;
   tf->codes[25912] = 0x0001435bd3cc0bd4UL;
   tf->codes[25913] = 0x000143cdf8944ad3UL;
   tf->codes[25914] = 0x00014406b321e1abUL;
   tf->codes[25915] = 0x0001444ec11dfb12UL;
   tf->codes[25916] = 0x000145bf432749c9UL;
   tf->codes[25917] = 0x0001466c3184538dUL;
   tf->codes[25918] = 0x0001469523855c4cUL;
   tf->codes[25919] = 0x00014951c8c3645fUL;
   tf->codes[25920] = 0x00014aa48e2bc50cUL;
   tf->codes[25921] = 0x00014bef17775605UL;
   tf->codes[25922] = 0x00014c97e7c5f7efUL;
   tf->codes[25923] = 0x00014d8a9a88e168UL;
   tf->codes[25924] = 0x00014f72bec2f996UL;
   tf->codes[25925] = 0x0001509fc5fca24aUL;
   tf->codes[25926] = 0x000151c36c4e5e71UL;
   tf->codes[25927] = 0x0001537a626a9e2cUL;
   tf->codes[25928] = 0x0001538fe2eebc82UL;
   tf->codes[25929] = 0x0001541f14aad83cUL;
   tf->codes[25930] = 0x000154e52c7c5ca6UL;
   tf->codes[25931] = 0x00015664c7652827UL;
   tf->codes[25932] = 0x0001569fcb88f8b1UL;
   tf->codes[25933] = 0x000156ed56ed9c90UL;
   tf->codes[25934] = 0x00015777f57d44e6UL;
   tf->codes[25935] = 0x0001583c7365a0edUL;
   tf->codes[25936] = 0x000158be262b6840UL;
   tf->codes[25937] = 0x0001594a5ea438f9UL;
   tf->codes[25938] = 0x00015ab528b5f773UL;
   tf->codes[25939] = 0x00015b67947b8bafUL;
   tf->codes[25940] = 0x00015b9f2a3e05aeUL;
   tf->codes[25941] = 0x00015baa9a2d2628UL;
   tf->codes[25942] = 0x00015f3349c348a7UL;
   tf->codes[25943] = 0x0001617ad0f5c6baUL;
   tf->codes[25944] = 0x0001623a0c049e0eUL;
   tf->codes[25945] = 0x000162c08c85de8aUL;
   tf->codes[25946] = 0x000163dca667dc4cUL;
   tf->codes[25947] = 0x000163e557a2b78aUL;
   tf->codes[25948] = 0x00016452e93e8325UL;
   tf->codes[25949] = 0x0001649d40d0d63eUL;
   tf->codes[25950] = 0x00016529ee67b281UL;
   tf->codes[25951] = 0x00016708ec48e3e7UL;
   tf->codes[25952] = 0x000167b10cea7482UL;
   tf->codes[25953] = 0x000167e8dd3bf446UL;
   tf->codes[25954] = 0x000169ee48f8eef4UL;
   tf->codes[25955] = 0x000169efe2e21757UL;
   tf->codes[25956] = 0x00016b9451bd83bdUL;
   tf->codes[25957] = 0x00016c4473ecde47UL;
   tf->codes[25958] = 0x00016df034a9034dUL;
   tf->codes[25959] = 0x00016e8b860150d0UL;
   tf->codes[25960] = 0x00016f63ea84a2caUL;
   tf->codes[25961] = 0x00017002aa3e46d8UL;
   tf->codes[25962] = 0x0001700feea5957aUL;
   tf->codes[25963] = 0x00017022eb047459UL;
   tf->codes[25964] = 0x0001708ee2b71791UL;
   tf->codes[25965] = 0x00017162b40df627UL;
   tf->codes[25966] = 0x000171bc247fc60aUL;
   tf->codes[25967] = 0x000173f2be5a992bUL;
   tf->codes[25968] = 0x000174cf7b7b58c4UL;
   tf->codes[25969] = 0x000175eae5b04537UL;
   tf->codes[25970] = 0x000176c25ff7801dUL;
   tf->codes[25971] = 0x000177deeef78969UL;
   tf->codes[25972] = 0x00017ba6fb4eea11UL;
   tf->codes[25973] = 0x00017c5ac66ea0ebUL;
   tf->codes[25974] = 0x00017d2fbc909c5aUL;
   tf->codes[25975] = 0x00017e0fe812b27eUL;
   tf->codes[25976] = 0x00017e76625ccb3eUL;
   tf->codes[25977] = 0x00017fd7cb869d2bUL;
   tf->codes[25978] = 0x00018034aa59c399UL;
   tf->codes[25979] = 0x000181fd3d7abf95UL;
   tf->codes[25980] = 0x000182a648586744UL;
   tf->codes[25981] = 0x00018426cd7d49d9UL;
   tf->codes[25982] = 0x000185502bc6963dUL;
   tf->codes[25983] = 0x000185d462b19d07UL;
   tf->codes[25984] = 0x000186297a85ff4bUL;
   tf->codes[25985] = 0x0001865440ff3632UL;
   tf->codes[25986] = 0x00018673226b4115UL;
   tf->codes[25987] = 0x000186a6250147b0UL;
   tf->codes[25988] = 0x000187ca05e2099cUL;
   tf->codes[25989] = 0x000187d959508c2bUL;
   tf->codes[25990] = 0x00018825fa7918f6UL;
   tf->codes[25991] = 0x000188292e4b69bcUL;
   tf->codes[25992] = 0x0001897b7e95bedfUL;
   tf->codes[25993] = 0x000189be84475958UL;
   tf->codes[25994] = 0x00018acd94510e3dUL;
   tf->codes[25995] = 0x00018b5fbf5074f8UL;
   tf->codes[25996] = 0x00018b65b1d70afaUL;
   tf->codes[25997] = 0x00018bc16bdf148fUL;
   tf->codes[25998] = 0x00018c54f6389de8UL;
   tf->codes[25999] = 0x00018cea8f995b2eUL;
   tf->codes[26000] = 0x00018d52de5ba216UL;
   tf->codes[26001] = 0x00018d556280e18dUL;
   tf->codes[26002] = 0x00018d5f3886d9a4UL;
   tf->codes[26003] = 0x00018e2bf28c055fUL;
   tf->codes[26004] = 0x00018f831091d3abUL;
   tf->codes[26005] = 0x00018fd7edd7302aUL;
   tf->codes[26006] = 0x0001900ba01a4814UL;
   tf->codes[26007] = 0x000191c763f200f8UL;
   tf->codes[26008] = 0x000192c21842b460UL;
   tf->codes[26009] = 0x0001970bd75fdc5bUL;
   tf->codes[26010] = 0x0001973b6b948c6bUL;
   tf->codes[26011] = 0x0001973f4f13ee80UL;
   tf->codes[26012] = 0x00019bc18e2fa78eUL;
   tf->codes[26013] = 0x00019e1360862942UL;
   tf->codes[26014] = 0x00019f37b684f6b8UL;
   tf->codes[26015] = 0x0001a09ded6a41ceUL;
   tf->codes[26016] = 0x0001a14b16565157UL;
   tf->codes[26017] = 0x0001a49a9640d174UL;
   tf->codes[26018] = 0x0001a5bd52567687UL;
   tf->codes[26019] = 0x0001a5f81beb414cUL;
   tf->codes[26020] = 0x0001a6060fffa13dUL;
   tf->codes[26021] = 0x0001a68e2a6a0a1cUL;
   tf->codes[26022] = 0x0001a74d2ae9dbabUL;
   tf->codes[26023] = 0x0001a792ef4fbb60UL;
   tf->codes[26024] = 0x0001a7e5bd8de3f2UL;
   tf->codes[26025] = 0x0001acbe39491c1dUL;
   tf->codes[26026] = 0x0001aebe9cbb97ddUL;
   tf->codes[26027] = 0x0001aef3e8e7d82aUL;
   tf->codes[26028] = 0x0001afb9c62a56cfUL;
   tf->codes[26029] = 0x0001afbaeaf573a8UL;
   tf->codes[26030] = 0x0001b198fe9a8dfaUL;
   tf->codes[26031] = 0x0001b214f968c510UL;
   tf->codes[26032] = 0x0001b279d9c9b56dUL;
   tf->codes[26033] = 0x0001b34a3cbf3d78UL;
   tf->codes[26034] = 0x0001b4c9d7a808f9UL;
   tf->codes[26035] = 0x0001b4fb7ae3ecf6UL;
   tf->codes[26036] = 0x0001b508f9da415dUL;
   tf->codes[26037] = 0x0001b5cfc158d716UL;
   tf->codes[26038] = 0x0001b641e6211615UL;
   tf->codes[26039] = 0x0001b86a51588380UL;
   tf->codes[26040] = 0x0001b916ca9781baUL;
   tf->codes[26041] = 0x0001bd35c33b72ceUL;
   tf->codes[26042] = 0x0001bd38bc7ebdcfUL;
   tf->codes[26043] = 0x0001bd9e4c8cbf7bUL;
   tf->codes[26044] = 0x0001bdd2395edd2aUL;
   tf->codes[26045] = 0x0001be675da18ee6UL;
   tf->codes[26046] = 0x0001c0674bf5ff1cUL;
   tf->codes[26047] = 0x0001c2b5755c2480UL;
   tf->codes[26048] = 0x0001c2f1292d0659UL;
   tf->codes[26049] = 0x0001c3cab27b752cUL;
   tf->codes[26050] = 0x0001c4428f3b4468UL;
   tf->codes[26051] = 0x0001c49caf5a259aUL;
   tf->codes[26052] = 0x0001c58b440ea739UL;
   tf->codes[26053] = 0x0001c5e613da99baUL;
   tf->codes[26054] = 0x0001c69d87eaace4UL;
   tf->codes[26055] = 0x0001c7e04a3779b3UL;
   tf->codes[26056] = 0x0001c99eccc377d3UL;
   tf->codes[26057] = 0x0001cc9e3d24149aUL;
   tf->codes[26058] = 0x0001ccb04f46dc65UL;
   tf->codes[26059] = 0x0001cf19ebb7b621UL;
   tf->codes[26060] = 0x0001cf4a6a287d45UL;
   tf->codes[26061] = 0x0001d03297385d58UL;
   tf->codes[26062] = 0x0001d138f60736ffUL;
   tf->codes[26063] = 0x0001d17a61cfa915UL;
   tf->codes[26064] = 0x0001d2830a34bc6eUL;
   tf->codes[26065] = 0x0001d318a39579b4UL;
   tf->codes[26066] = 0x0001d333dc112847UL;
   tf->codes[26067] = 0x0001d384d5d722b1UL;
   tf->codes[26068] = 0x0001d38b3d7bc43dUL;
   tf->codes[26069] = 0x0001d4c5891cbb93UL;
   tf->codes[26070] = 0x0001d532e0298169UL;
   tf->codes[26071] = 0x0001d5fd50987372UL;
   tf->codes[26072] = 0x0001d88ad6bfd6ffUL;
   tf->codes[26073] = 0x0001d94f8f3738cbUL;
   tf->codes[26074] = 0x0001d95ac4975380UL;
   tf->codes[26075] = 0x0001dad64171b727UL;
   tf->codes[26076] = 0x0001daf522ddc20aUL;
   tf->codes[26077] = 0x0001db7cc82a1f5fUL;
   tf->codes[26078] = 0x0001dd2c31d6a0b5UL;
   tf->codes[26079] = 0x0001dded7becabf6UL;
   tf->codes[26080] = 0x0001e0e38b655c30UL;
   tf->codes[26081] = 0x0001e11e8f892cbaUL;
   tf->codes[26082] = 0x0001e1b7974b408bUL;
   tf->codes[26083] = 0x0001e206f7281292UL;
   tf->codes[26084] = 0x0001e264108a3ec5UL;
   tf->codes[26085] = 0x0001e2a7c5e8ea8dUL;
   tf->codes[26086] = 0x0001e301e607cbbfUL;
   tf->codes[26087] = 0x0001e3689ae0ea44UL;
   tf->codes[26088] = 0x0001e4952cfc876eUL;
   tf->codes[26089] = 0x0001e498263fd26fUL;
   tf->codes[26090] = 0x0001e725e6f63bc1UL;
   tf->codes[26091] = 0x0001e7f3c5c68455UL;
   tf->codes[26092] = 0x0001e82ddfae3dcbUL;
   tf->codes[26093] = 0x0001e84a77840efcUL;
   tf->codes[26094] = 0x0001e87fc3b04f49UL;
   tf->codes[26095] = 0x0001ea9c49da90b0UL;
   tf->codes[26096] = 0x0001eaad71c14167UL;
   tf->codes[26097] = 0x0001eb13b17c5462UL;
   tf->codes[26098] = 0x0001eb760db80548UL;
   tf->codes[26099] = 0x0001eb8d9d43578bUL;
   tf->codes[26100] = 0x0001ec0ba718c28eUL;
   tf->codes[26101] = 0x0001ecbec28b6819UL;
   tf->codes[26102] = 0x0001ed692cc33266UL;
   tf->codes[26103] = 0x0001ed87991131bfUL;
   tf->codes[26104] = 0x0001edc0c8bcd421UL;
   tf->codes[26105] = 0x0001efb3e7c8013fUL;
   tf->codes[26106] = 0x0001f1a39871d7d2UL;
   tf->codes[26107] = 0x0001f255548a5abfUL;
   tf->codes[26108] = 0x0001f26766ad228aUL;
   tf->codes[26109] = 0x0001f6f00d6d7d24UL;
   tf->codes[26110] = 0x0001f738cb16a7daUL;
   tf->codes[26111] = 0x0001f7fc9951f292UL;
   tf->codes[26112] = 0x0001f82e771cdc54UL;
   tf->codes[26113] = 0x0001f82fd676fef2UL;
   tf->codes[26114] = 0x0001f96eb54469acUL;
   tf->codes[26115] = 0x0001fa48ee3fe9ceUL;
   tf->codes[26116] = 0x0001fbd08ab67f3eUL;
   tf->codes[26117] = 0x0001fc07363ce229UL;
   tf->codes[26118] = 0x0001fd2dd5d1e951UL;
   tf->codes[26119] = 0x0001ff5dcd791521UL;
   tf->codes[26120] = 0x0001ff608c2d5a5dUL;
   tf->codes[26121] = 0x0001ff78cb65bdefUL;
   tf->codes[26122] = 0x0001ffe11a2804d7UL;
   tf->codes[26123] = 0x000002e7dc695a3eUL;
   tf->codes[26124] = 0x000004a2f09401d3UL;
   tf->codes[26125] = 0x000004bf134bc77aUL;
   tf->codes[26126] = 0x000005873a247fd1UL;
   tf->codes[26127] = 0x00000692a13dd866UL;
   tf->codes[26128] = 0x000006bda2461512UL;
   tf->codes[26129] = 0x000006fab5711989UL;
   tf->codes[26130] = 0x00000b67ae97ba06UL;
   tf->codes[26131] = 0x00000d6bbafa9216UL;
   tf->codes[26132] = 0x00000df3d564faf5UL;
   tf->codes[26133] = 0x00000e4df583dc27UL;
   tf->codes[26134] = 0x00000eaa24a9f146UL;
   tf->codes[26135] = 0x000011f75afe37b1UL;
   tf->codes[26136] = 0x0000129913fb26c0UL;
   tf->codes[26137] = 0x000012b536b2ec67UL;
   tf->codes[26138] = 0x0000132ead5be406UL;
   tf->codes[26139] = 0x0000142284e9ea58UL;
   tf->codes[26140] = 0x00001428025274d0UL;
   tf->codes[26141] = 0x000014f2e7df7263UL;
   tf->codes[26142] = 0x000015562e573a5dUL;
   tf->codes[26143] = 0x00001556a37545e7UL;
   tf->codes[26144] = 0x000016c6b0608914UL;
   tf->codes[26145] = 0x0000173aa9a0f63bUL;
   tf->codes[26146] = 0x000018301b1824f0UL;
   tf->codes[26147] = 0x0000188114de1f5aUL;
   tf->codes[26148] = 0x00001a454f61adb7UL;
   tf->codes[26149] = 0x00001af9ca2e75e0UL;
   tf->codes[26150] = 0x00001bf4f39d34d2UL;
   tf->codes[26151] = 0x00001c1ff4a5717eUL;
   tf->codes[26152] = 0x00001c3ab8031487UL;
   tf->codes[26153] = 0x00001c43de5bfb4fUL;
   tf->codes[26154] = 0x00001c4ba55abf79UL;
   tf->codes[26155] = 0x00001ef797d0225fUL;
   tf->codes[26156] = 0x00001f517d5ffdccUL;
   tf->codes[26157] = 0x00002180c55a184dUL;
   tf->codes[26158] = 0x000022086aa675a2UL;
   tf->codes[26159] = 0x000022d942ba0937UL;
   tf->codes[26160] = 0x0000239e704f768dUL;
   tf->codes[26161] = 0x00002431faa8ffe6UL;
   tf->codes[26162] = 0x000024bb746d8b63UL;
   tf->codes[26163] = 0x000024c6a9cda618UL;
   tf->codes[26164] = 0x00002781efb18b8dUL;
   tf->codes[26165] = 0x000027c09cc5b867UL;
   tf->codes[26166] = 0x000027f4c426dbdbUL;
   tf->codes[26167] = 0x000029232abaa72dUL;
   tf->codes[26168] = 0x000029c08b1a289dUL;
   tf->codes[26169] = 0x00002a7281c1b14fUL;
   tf->codes[26170] = 0x00002c0553986174UL;
   tf->codes[26171] = 0x00002c70610eed98UL;
   tf->codes[26172] = 0x00002cb69a92d8d7UL;
   tf->codes[26173] = 0x00002cdc58c190d0UL;
   tf->codes[26174] = 0x00002ee7b7052180UL;
   tf->codes[26175] = 0x000030265b438675UL;
   tf->codes[26176] = 0x000030e3874b29dcUL;
   tf->codes[26177] = 0x000031aac3e7cb1fUL;
   tf->codes[26178] = 0x000032f3039d2266UL;
   tf->codes[26179] = 0x0000349b55f7f0e1UL;
   tf->codes[26180] = 0x0000357dcb1040b7UL;
   tf->codes[26181] = 0x000036687c456041UL;
   tf->codes[26182] = 0x000037f6baef9d02UL;
   tf->codes[26183] = 0x0000386f81eb8352UL;
   tf->codes[26184] = 0x000038cee4e3e937UL;
   tf->codes[26185] = 0x0000393e1068dd35UL;
   tf->codes[26186] = 0x00003941f3e83f4aUL;
   tf->codes[26187] = 0x00003ac6971b89b9UL;
   tf->codes[26188] = 0x00003ae035ae0fe9UL;
   tf->codes[26189] = 0x00003ccaa37e61c9UL;
   tf->codes[26190] = 0x00003e0e8a964b71UL;
   tf->codes[26191] = 0x00003e462058c570UL;
   tf->codes[26192] = 0x00003f31f65901d3UL;
   tf->codes[26193] = 0x000041d278df443fUL;
   tf->codes[26194] = 0x0000420b336cdb17UL;
   tf->codes[26195] = 0x000043457f0dd26dUL;
   tf->codes[26196] = 0x000043a432592703UL;
   tf->codes[26197] = 0x000045bc9a750090UL;
   tf->codes[26198] = 0x000046134c328b37UL;
   tf->codes[26199] = 0x00004613fbdf9c86UL;
   tf->codes[26200] = 0x0000495dfe61922bUL;
   tf->codes[26201] = 0x00004ab765fd9a29UL;
   tf->codes[26202] = 0x00004b439e766ae2UL;
   tf->codes[26203] = 0x00004bbb40a73459UL;
   tf->codes[26204] = 0x00004bc80ff07771UL;
   tf->codes[26205] = 0x00004bf93e0e4fe4UL;
   tf->codes[26206] = 0x00004c623c7da81bUL;
   tf->codes[26207] = 0x00004cf3f25f034cUL;
   tf->codes[26208] = 0x00004ddd443a0038UL;
   tf->codes[26209] = 0x00004e7736382b1dUL;
   tf->codes[26210] = 0x00004ec98f584825UL;
   tf->codes[26211] = 0x000050b890550d69UL;
   tf->codes[26212] = 0x000050f827a55157UL;
   tf->codes[26213] = 0x0000529d80bcd4d1UL;
   tf->codes[26214] = 0x000056746b64ac7eUL;
   tf->codes[26215] = 0x000057580548192dUL;
   tf->codes[26216] = 0x000057b30fa31173UL;
   tf->codes[26217] = 0x000058ea9c8fc38dUL;
   tf->codes[26218] = 0x0000591fe8bc03daUL;
   tf->codes[26219] = 0x00005a5b59281809UL;
   tf->codes[26220] = 0x00005a7e9331908bUL;
   tf->codes[26221] = 0x00005cbe8df45039UL;
   tf->codes[26222] = 0x00005d1a47fc59ceUL;
   tf->codes[26223] = 0x00005d9433c35cf7UL;
   tf->codes[26224] = 0x00005dbfa9e9a52dUL;
   tf->codes[26225] = 0x00005df864773c05UL;
   tf->codes[26226] = 0x00005ec9ec37e0e9UL;
   tf->codes[26227] = 0x0000611b49705713UL;
   tf->codes[26228] = 0x000061c24546cad5UL;
   tf->codes[26229] = 0x000065ce7c1ae2cfUL;
   tf->codes[26230] = 0x0000691b77e02375UL;
   tf->codes[26231] = 0x00006b06203f7b1aUL;
   tf->codes[26232] = 0x00006c2aeb5c541aUL;
   tf->codes[26233] = 0x00006c912b176715UL;
   tf->codes[26234] = 0x00006eb87183b7a7UL;
   tf->codes[26235] = 0x00006f4434de7cd6UL;
   tf->codes[26236] = 0x00006f472e21c7d7UL;
   tf->codes[26237] = 0x00006f83919fbaffUL;
   tf->codes[26238] = 0x000070785369d865UL;
   tf->codes[26239] = 0x000070ff0e7a1ea6UL;
   tf->codes[26240] = 0x000071006dd44144UL;
   tf->codes[26241] = 0x0000710158105858UL;
   tf->codes[26242] = 0x000071078525f41fUL;
   tf->codes[26243] = 0x0000729b7bc7c11dUL;
   tf->codes[26244] = 0x000072d5d03e8058UL;
   tf->codes[26245] = 0x000074117b399a4cUL;
   tf->codes[26246] = 0x000075f21303f415UL;
   tf->codes[26247] = 0x0000769c7d3bbe62UL;
   tf->codes[26248] = 0x0000779a9fedc855UL;
   tf->codes[26249] = 0x000079035af852e2UL;
   tf->codes[26250] = 0x00007d192d435d2eUL;
   tf->codes[26251] = 0x00007d2cd94f4d5cUL;
   tf->codes[26252] = 0x00007de44d5f6086UL;
   tf->codes[26253] = 0x00007df53ab70b78UL;
   tf->codes[26254] = 0x00007fa678dbbaf6UL;
   tf->codes[26255] = 0x0000822b4dc84345UL;
   tf->codes[26256] = 0x0000825bcc390a69UL;
   tf->codes[26257] = 0x000083263ca7fc72UL;
   tf->codes[26258] = 0x00008347a23946ccUL;
   tf->codes[26259] = 0x000084dbd36a198fUL;
   tf->codes[26260] = 0x000084f571fc9fbfUL;
   tf->codes[26261] = 0x0000851f13aab9cdUL;
   tf->codes[26262] = 0x000085419e072100UL;
   tf->codes[26263] = 0x000086a96ed59479UL;
   tf->codes[26264] = 0x000086f1f1efb96aUL;
   tf->codes[26265] = 0x000087ddc7eff5cdUL;
   tf->codes[26266] = 0x000089b698bb8b6cUL;
   tf->codes[26267] = 0x000089cc193fa9c2UL;
   tf->codes[26268] = 0x000089d7c3bdd001UL;
   tf->codes[26269] = 0x00008a484e9ce69dUL;
   tf->codes[26270] = 0x00008bfde55f03baUL;
   tf->codes[26271] = 0x00008da79713f4d3UL;
   tf->codes[26272] = 0x00008f28cbe5e8b7UL;
   tf->codes[26273] = 0x0000913e3abe7743UL;
   tf->codes[26274] = 0x00009373ea5d3350UL;
   tf->codes[26275] = 0x0000965eff04ce9aUL;
   tf->codes[26276] = 0x000099879bf579e5UL;
   tf->codes[26277] = 0x000099ab85ac03b6UL;
   tf->codes[26278] = 0x000099c73345bdd3UL;
   tf->codes[26279] = 0x0000a00f0c3f27dcUL;
   tf->codes[26280] = 0x0000a0d9f1cc256fUL;
   tf->codes[26281] = 0x0000a13ed22d15ccUL;
   tf->codes[26282] = 0x0000a35f3bd6b948UL;
   tf->codes[26283] = 0x0000a5c1c0f5e029UL;
   tf->codes[26284] = 0x0000a6b7326d0edeUL;
   tf->codes[26285] = 0x0000a760b268c217UL;
   tf->codes[26286] = 0x0000a7c0156127fcUL;
   tf->codes[26287] = 0x0000a817ebe9cf7cUL;
   tf->codes[26288] = 0x0000a9ca144a960eUL;
   tf->codes[26289] = 0x0000aae71868aae4UL;
   tf->codes[26290] = 0x0000ab6d5e5ae59bUL;
   tf->codes[26291] = 0x0000abe06d5f3baeUL;
   tf->codes[26292] = 0x0000ac2497dbf300UL;
   tf->codes[26293] = 0x0000ae8966915393UL;
   tf->codes[26294] = 0x0000ae8a163e64e2UL;
   tf->codes[26295] = 0x0000af518d6a0beaUL;
   tf->codes[26296] = 0x0000afde758fedf2UL;
   tf->codes[26297] = 0x0000b0dea7492bd2UL;
   tf->codes[26298] = 0x0000b11a5b1a0dabUL;
   tf->codes[26299] = 0x0000b1ddb4374cd9UL;
   tf->codes[26300] = 0x0000b1ff54579cf8UL;
   tf->codes[26301] = 0x0000b34e36409b90UL;
   tf->codes[26302] = 0x0000b36f6142e025UL;
   tf->codes[26303] = 0x0000b3b8597b10a0UL;
   tf->codes[26304] = 0x0000b4ddd444faefUL;
   tf->codes[26305] = 0x0000b80b0462199eUL;
   tf->codes[26306] = 0x0000b833814516d3UL;
   tf->codes[26307] = 0x0000b89f3e68b446UL;
   tf->codes[26308] = 0x0000b91c5e020835UL;
   tf->codes[26309] = 0x0000b9cb95f54babUL;
   tf->codes[26310] = 0x0000bb69280e0afbUL;
   tf->codes[26311] = 0x0000be27dc5346fbUL;
   tf->codes[26312] = 0x0000beb91d1696a2UL;
   tf->codes[26313] = 0x0000c08f69bceccaUL;
   tf->codes[26314] = 0x0000c245eabb20fbUL;
   tf->codes[26315] = 0x0000c29dfbd2ce40UL;
   tf->codes[26316] = 0x0000c37d0289c78bUL;
   tf->codes[26317] = 0x0000c43c7827a4a4UL;
   tf->codes[26318] = 0x0000c568cfb43c09UL;
   tf->codes[26319] = 0x0000c6b1bf16a49fUL;
   tf->codes[26320] = 0x0000c7d59ff7668bUL;
   tf->codes[26321] = 0x0000c973e1bd372aUL;
   tf->codes[26322] = 0x0000ca7a05fd0b0cUL;
   tf->codes[26323] = 0x0000d5bce50e1473UL;
   tf->codes[26324] = 0x0000d6e8c77ca04eUL;
   tf->codes[26325] = 0x0000da078e675382UL;
   tf->codes[26326] = 0x0000daa26aa1957bUL;
   tf->codes[26327] = 0x0000dd11847af9afUL;
   tf->codes[26328] = 0x0000dd2c0d4996f3UL;
   tf->codes[26329] = 0x0000ddc2cb757112UL;
   tf->codes[26330] = 0x0000ddfd5a7b3612UL;
   tf->codes[26331] = 0x0000def75f1ed82bUL;
   tf->codes[26332] = 0x0000e1ae11d64a3cUL;
   tf->codes[26333] = 0x0000e36f53168d98UL;
   tf->codes[26334] = 0x0000e55cba2a2a79UL;
   tf->codes[26335] = 0x0000e6f752ff9ec8UL;
   tf->codes[26336] = 0x0000eaad87c33d6aUL;
   tf->codes[26337] = 0x0000ebea1cfa6e72UL;
   tf->codes[26338] = 0x0000ec3907b934efUL;
   tf->codes[26339] = 0x0000ec5c0733a7acUL;
   tf->codes[26340] = 0x0000edce98442a50UL;
   tf->codes[26341] = 0x0000f0515e297eb2UL;
   tf->codes[26342] = 0x0000f166262ac3d4UL;
   tf->codes[26343] = 0x0000f27ff67687e4UL;
   tf->codes[26344] = 0x0000f2c420f33f36UL;
   tf->codes[26345] = 0x0000f2f6ae6b3a47UL;
   tf->codes[26346] = 0x0000f3e4ce01b05cUL;
   tf->codes[26347] = 0x0000f4d41263434aUL;
   tf->codes[26348] = 0x0000f52a8991c82cUL;
   tf->codes[26349] = 0x0000f6148b19d667UL;
   tf->codes[26350] = 0x0000fa00bbb6c6a5UL;
   tf->codes[26351] = 0x0000fa38c6974c2eUL;
   tf->codes[26352] = 0x0000fc813805e155UL;
   tf->codes[26353] = 0x0000fe0824cf6576UL;
   tf->codes[26354] = 0x0000ff24b3cf6ec2UL;
   tf->codes[26355] = 0x0001003ebeaa3897UL;
   tf->codes[26356] = 0x000103b2284b4285UL;
   tf->codes[26357] = 0x0001048a523f8ebaUL;
   tf->codes[26358] = 0x000106fb40912116UL;
   tf->codes[26359] = 0x00010848fdaf02d5UL;
   tf->codes[26360] = 0x000109542a3955a5UL;
   tf->codes[26361] = 0x00010994abc5b0a7UL;
   tf->codes[26362] = 0x00010c1c79f583f7UL;
   tf->codes[26363] = 0x00010cfd1a95a5a5UL;
   tf->codes[26364] = 0x00010ea74168a248UL;
   tf->codes[26365] = 0x00010f6223da0bfdUL;
   tf->codes[26366] = 0x00010f6bbf50fe4fUL;
   tf->codes[26367] = 0x00010f9dd7aaedd6UL;
   tf->codes[26368] = 0x0001108087524371UL;
   tf->codes[26369] = 0x00011387f940aa27UL;
   tf->codes[26370] = 0x000114d247fd355bUL;
   tf->codes[26371] = 0x000117cf6ec79870UL;
   tf->codes[26372] = 0x000117defcc520c4UL;
   tf->codes[26373] = 0x0001192f3e0841faUL;
   tf->codes[26374] = 0x00011a238ab453d6UL;
   tf->codes[26375] = 0x00011aec9bc92341UL;
   tf->codes[26376] = 0x00011d5b40847bebUL;
   tf->codes[26377] = 0x00011d6fd6cc832dUL;
   tf->codes[26378] = 0x00011db38c2b2ef5UL;
   tf->codes[26379] = 0x00011e08de8e96feUL;
   tf->codes[26380] = 0x00011e8513ebd3d9UL;
   tf->codes[26381] = 0x00011e88f76b35eeUL;
   tf->codes[26382] = 0x000120e6743fdde1UL;
   tf->codes[26383] = 0x0001231df856c816UL;
   tf->codes[26384] = 0x000126209c89b5a3UL;
   tf->codes[26385] = 0x0001265ed47fd6f3UL;
   tf->codes[26386] = 0x000126cca0aaa853UL;
   tf->codes[26387] = 0x000126f607c9bc9cUL;
   tf->codes[26388] = 0x000127de6f68a274UL;
   tf->codes[26389] = 0x000127f305b0a9b6UL;
   tf->codes[26390] = 0x000127fdc5f2b8e1UL;
   tf->codes[26391] = 0x000128251e0a993dUL;
   tf->codes[26392] = 0x0001290b01843f9eUL;
   tf->codes[26393] = 0x00012969052282e5UL;
   tf->codes[26394] = 0x00012d081f78daceUL;
   tf->codes[26395] = 0x00012defd76aaf57UL;
   tf->codes[26396] = 0x000131e7b285c5d4UL;
   tf->codes[26397] = 0x00013434b720ce5fUL;
   tf->codes[26398] = 0x0001362acf6f467eUL;
   tf->codes[26399] = 0x000136843fe11661UL;
   tf->codes[26400] = 0x000136e7113ad2d1UL;
   tf->codes[26401] = 0x0001373d886957b3UL;
   tf->codes[26402] = 0x00013a1d67b0d848UL;
   tf->codes[26403] = 0x00013af6f0ff471bUL;
   tf->codes[26404] = 0x00013baffef882a8UL;
   tf->codes[26405] = 0x00013bb7164a3583UL;
   tf->codes[26406] = 0x00013d7523b82819UL;
   tf->codes[26407] = 0x00013dab1f9179b5UL;
   tf->codes[26408] = 0x00013dd74564d33aUL;
   tf->codes[26409] = 0x00013e86f276223aUL;
   tf->codes[26410] = 0x000141df5e2a835aUL;
   tf->codes[26411] = 0x0001440afd34418bUL;
   tf->codes[26412] = 0x000145551161c6faUL;
   tf->codes[26413] = 0x0001458938c2ea6eUL;
   tf->codes[26414] = 0x000145e6522516a1UL;
   tf->codes[26415] = 0x000145f9fe3106cfUL;
   tf->codes[26416] = 0x000146e5248431e3UL;
   tf->codes[26417] = 0x000146f90b1f27d6UL;
   tf->codes[26418] = 0x00014746d112d17aUL;
   tf->codes[26419] = 0x0001482b8fc15b02UL;
   tf->codes[26420] = 0x00014bb1f5c143cfUL;
   tf->codes[26421] = 0x00014c2196644357UL;
   tf->codes[26422] = 0x00014e61cbb608caUL;
   tf->codes[26423] = 0x00014ea8ef760b1dUL;
   tf->codes[26424] = 0x0001508d6abfc6fbUL;
   tf->codes[26425] = 0x0001511d86b7f9c9UL;
   tf->codes[26426] = 0x0001513516434c0cUL;
   tf->codes[26427] = 0x000152f4487c5b7bUL;
   tf->codes[26428] = 0x000153bc34c60e0dUL;
   tf->codes[26429] = 0x000153ec0389c3e2UL;
   tf->codes[26430] = 0x00015418295d1d67UL;
   tf->codes[26431] = 0x0001557f850d8556UL;
   tf->codes[26432] = 0x0001570d8928bc52UL;
   tf->codes[26433] = 0x000157f5068b8b16UL;
   tf->codes[26434] = 0x0001591c55cda38dUL;
   tf->codes[26435] = 0x0001597eb2095473UL;
   tf->codes[26436] = 0x00015a84d6492855UL;
   tf->codes[26437] = 0x00015b23d091d228UL;
   tf->codes[26438] = 0x00015b48a484730dUL;
   tf->codes[26439] = 0x00015e48c4922123UL;
   tf->codes[26440] = 0x00015e831908e05eUL;
   tf->codes[26441] = 0x00015e94f09ca264UL;
   tf->codes[26442] = 0x00015f0edc63a58dUL;
   tf->codes[26443] = 0x00015f2baec87c83UL;
   tf->codes[26444] = 0x0001612151f8e918UL;
   tf->codes[26445] = 0x0001623d314be115UL;
   tf->codes[26446] = 0x0001627a7f05eb51UL;
   tf->codes[26447] = 0x000165e621a83115UL;
   tf->codes[26448] = 0x000165e70be44829UL;
   tf->codes[26449] = 0x0001663ee26cefa9UL;
   tf->codes[26450] = 0x0001666fd5fbc257UL;
   tf->codes[26451] = 0x000167b38284a63aUL;
   tf->codes[26452] = 0x000168627fe8e3ebUL;
   tf->codes[26453] = 0x000168fb87aaf7bcUL;
   tf->codes[26454] = 0x00016960a29aeddeUL;
   tf->codes[26455] = 0x0001698242bb3dfdUL;
   tf->codes[26456] = 0x00016cc7ec9fc603UL;
   tf->codes[26457] = 0x00016db7e0ae6a40UL;
   tf->codes[26458] = 0x00016e1a025b1561UL;
   tf->codes[26459] = 0x00016e53a724c34dUL;
   tf->codes[26460] = 0x0001721969e5ea43UL;
   tf->codes[26461] = 0x000172a7ebf4f4aeUL;
   tf->codes[26462] = 0x000172e7bdd43e61UL;
   tf->codes[26463] = 0x00017400a3e3eb5dUL;
   tf->codes[26464] = 0x000174a3bc3afd0aUL;
   tf->codes[26465] = 0x000175ebfbf05451UL;
   tf->codes[26466] = 0x000176957bec078aUL;
   tf->codes[26467] = 0x0001784ad81f1ee2UL;
   tf->codes[26468] = 0x00017a1505294341UL;
   tf->codes[26469] = 0x00017b4714ad6ae3UL;
   tf->codes[26470] = 0x00017c1fee4ec867UL;
   tf->codes[26471] = 0x00017c74cb9424e6UL;
   tf->codes[26472] = 0x00017c9337e2243fUL;
   tf->codes[26473] = 0x00017d7e5e354f53UL;
   tf->codes[26474] = 0x00017e809ef5c120UL;
   tf->codes[26475] = 0x00017e88db1290d4UL;
   tf->codes[26476] = 0x00017fe11de37bf9UL;
   tf->codes[26477] = 0x00018069384de4d8UL;
   tf->codes[26478] = 0x0001810698ad6648UL;
   tf->codes[26479] = 0x00018275463e86d7UL;
   tf->codes[26480] = 0x000182975b7ce280UL;
   tf->codes[26481] = 0x000183ff2c4b55f9UL;
   tf->codes[26482] = 0x000185c993e4801dUL;
   tf->codes[26483] = 0x00018659afdcb2ebUL;
   tf->codes[26484] = 0x000186881f464622UL;
   tf->codes[26485] = 0x00018963e07f5eddUL;
   tf->codes[26486] = 0x0001896fc58c8ae1UL;
   tf->codes[26487] = 0x00018a88367e2c53UL;
   tf->codes[26488] = 0x00018b285591f2ffUL;
   tf->codes[26489] = 0x00018d2cd712d699UL;
   tf->codes[26490] = 0x00018dd4bd25616fUL;
   tf->codes[26491] = 0x00018e027ce1e357UL;
   tf->codes[26492] = 0x00018eabfcdd9690UL;
   tf->codes[26493] = 0x00018ecb8df6b2c2UL;
   tf->codes[26494] = 0x00018ef56a33d295UL;
   tf->codes[26495] = 0x00018f436ab681feUL;
   tf->codes[26496] = 0x000192840c508b16UL;
   tf->codes[26497] = 0x000192c0aa5d8403UL;
   tf->codes[26498] = 0x00019365972cc3d8UL;
   tf->codes[26499] = 0x000194ebd44936aaUL;
   tf->codes[26500] = 0x00019563767a0021UL;
   tf->codes[26501] = 0x000195e096135410UL;
   tf->codes[26502] = 0x00019ad0a159de7eUL;
   tf->codes[26503] = 0x00019c645d6ca5b7UL;
   tf->codes[26504] = 0x00019dbb06546879UL;
   tf->codes[26505] = 0x00019dc6764388f3UL;
   tf->codes[26506] = 0x00019e1b8e17eb37UL;
   tf->codes[26507] = 0x00019e5de41c7461UL;
   tf->codes[26508] = 0x00019f4770867712UL;
   tf->codes[26509] = 0x0001a0593f447133UL;
   tf->codes[26510] = 0x0001a0dd3ba07238UL;
   tf->codes[26511] = 0x0001a0ff8b6dd3a6UL;
   tf->codes[26512] = 0x0001a1d7eff125a0UL;
   tf->codes[26513] = 0x0001a2f26fe9faffUL;
   tf->codes[26514] = 0x0001a3b22016ddddUL;
   tf->codes[26515] = 0x0001a42703936218UL;
   tf->codes[26516] = 0x0001a53eff66f800UL;
   tf->codes[26517] = 0x0001a61b4769ac0fUL;
   tf->codes[26518] = 0x0001a848baeb9868UL;
   tf->codes[26519] = 0x0001a8cbcd0b8259UL;
   tf->codes[26520] = 0x0001a92418b23563UL;
   tf->codes[26521] = 0x0001a987249af798UL;
   tf->codes[26522] = 0x0001aa3c1485cb4bUL;
   tf->codes[26523] = 0x0001aa4f4b73afefUL;
   tf->codes[26524] = 0x0001ab6363c7e3c2UL;
   tf->codes[26525] = 0x0001ac3d27a5585aUL;
   tf->codes[26526] = 0x0001ae158352e26fUL;
   tf->codes[26527] = 0x0001ae3eafe2f0f3UL;
   tf->codes[26528] = 0x0001b02365bbb296UL;
   tf->codes[26529] = 0x0001b79d13aa3e7cUL;
   tf->codes[26530] = 0x0001b802de4745edUL;
   tf->codes[26531] = 0x0001b81a3343926bUL;
   tf->codes[26532] = 0x0001bc16dc1a2211UL;
   tf->codes[26533] = 0x0001bc972f85c6c6UL;
   tf->codes[26534] = 0x0001bcd40821c578UL;
   tf->codes[26535] = 0x0001bcfc4a75bce8UL;
   tf->codes[26536] = 0x0001be5ffd35c887UL;
   tf->codes[26537] = 0x0001c03a67ea8689UL;
   tf->codes[26538] = 0x0001c0b32ee66cd9UL;
   tf->codes[26539] = 0x0001c107d19cc393UL;
   tf->codes[26540] = 0x0001c286f767838aUL;
   tf->codes[26541] = 0x0001c2eaed8c5cd3UL;
   tf->codes[26542] = 0x0001c3c64b52f9ceUL;
   tf->codes[26543] = 0x0001c4900c14da88UL;
   tf->codes[26544] = 0x0001c53a3bbd9f10UL;
   tf->codes[26545] = 0x0001c55190b9eb8eUL;
   tf->codes[26546] = 0x0001c55c8b8b007eUL;
   tf->codes[26547] = 0x0001c565b1e3e746UL;
   tf->codes[26548] = 0x0001c6a1224ffb75UL;
   tf->codes[26549] = 0x0001c6b3a990cecaUL;
   tf->codes[26550] = 0x0001c7559d1cc39eUL;
   tf->codes[26551] = 0x0001c7aff7caaa95UL;
   tf->codes[26552] = 0x0001c7ec5b489dbdUL;
   tf->codes[26553] = 0x0001c8154d49a67cUL;
   tf->codes[26554] = 0x0001c86e489d6ad5UL;
   tf->codes[26555] = 0x0001ca5cd47c248fUL;
   tf->codes[26556] = 0x0001cb4fc1ce13cdUL;
   tf->codes[26557] = 0x0001cbc8fde805a7UL;
   tf->codes[26558] = 0x0001cd20cb9ae542UL;
   tf->codes[26559] = 0x0001d051a4a86041UL;
   tf->codes[26560] = 0x0001d240e0342b4aUL;
   tf->codes[26561] = 0x0001d2c0be81c475UL;
   tf->codes[26562] = 0x0001d47aade14f31UL;
   tf->codes[26563] = 0x0001d5467daa63d8UL;
   tf->codes[26564] = 0x0001d65d54b2dce7UL;
   tf->codes[26565] = 0x0001d6a43de3d975UL;
   tf->codes[26566] = 0x0001d6b983d8f206UL;
   tf->codes[26567] = 0x0001d6c8d7477495UL;
   tf->codes[26568] = 0x0001d7bc39b76f5dUL;
   tf->codes[26569] = 0x0001d8ab7e19024bUL;
   tf->codes[26570] = 0x0001db5fe73a3aaaUL;
   tf->codes[26571] = 0x0001dc843d390820UL;
   tf->codes[26572] = 0x0001df391b784c09UL;
   tf->codes[26573] = 0x0001e1059218aa1aUL;
   tf->codes[26574] = 0x0001e54df1dbaf77UL;
   tf->codes[26575] = 0x0001e78157e431d2UL;
   tf->codes[26576] = 0x0001e92083e61985UL;
   tf->codes[26577] = 0x0001eb88866dcadeUL;
   tf->codes[26578] = 0x0001ecbbbabd0f59UL;
   tf->codes[26579] = 0x0001edfb49378b62UL;
   tf->codes[26580] = 0x0001ee431ca49f04UL;
   tf->codes[26581] = 0x0001ef14def449adUL;
   tf->codes[26582] = 0x0001ef87edf89fc0UL;
   tf->codes[26583] = 0x0001f01eac2479dfUL;
   tf->codes[26584] = 0x0001f1de537b94d8UL;
   tf->codes[26585] = 0x0001f1e8641092b4UL;
   tf->codes[26586] = 0x0001f2044c395296UL;
   tf->codes[26587] = 0x0001f4a0b0b12d28UL;
   tf->codes[26588] = 0x0001f6b1c6ec4e15UL;
   tf->codes[26589] = 0x0001f6b5aa6bb02aUL;
   tf->codes[26590] = 0x0001f73bb5cee51cUL;
   tf->codes[26591] = 0x0001f7fdea210771UL;
   tf->codes[26592] = 0x0001fb73283a3f87UL;
   tf->codes[26593] = 0x0001fcfc5e99fd5aUL;
   tf->codes[26594] = 0x0001fd5bc192633fUL;
   tf->codes[26595] = 0x0001fda8282bea45UL;
   tf->codes[26596] = 0x0001fe521d45a908UL;
   tf->codes[26597] = 0x0001fe54dbf9ee44UL;
   tf->codes[26598] = 0x0001fe96bce06be4UL;
   tf->codes[26599] = 0x0001ff1d3d61ac60UL;
   tf->codes[26600] = 0x0001ff8fd747f6e9UL;
   tf->codes[26601] = 0x0001ffda2eda4a02UL;
   tf->codes[26602] = 0x00000024fb8aa8a5UL;
   tf->codes[26603] = 0x0000003ba0d9e3d4UL;
   tf->codes[26604] = 0x0000022892cf752bUL;
   tf->codes[26605] = 0x000002da8976fdddUL;
   tf->codes[26606] = 0x0000041c9c16b95dUL;
   tf->codes[26607] = 0x0000053c5ee9136fUL;
   tf->codes[26608] = 0x00000684640f64f1UL;
   tf->codes[26609] = 0x0000071cbc246773UL;
   tf->codes[26610] = 0x000007899e1321bfUL;
   tf->codes[26611] = 0x00000921ed525c5cUL;
   tf->codes[26612] = 0x0000095ddbb243faUL;
   tf->codes[26613] = 0x0000098b60dfc01dUL;
   tf->codes[26614] = 0x00000a4f2f1b0ad5UL;
   tf->codes[26615] = 0x00000b1a14a80868UL;
   tf->codes[26616] = 0x00000b3a556e35e9UL;
   tf->codes[26617] = 0x00000b49e36bbe3dUL;
   tf->codes[26618] = 0x00000c73072604dcUL;
   tf->codes[26619] = 0x00000d1b62569b3cUL;
   tf->codes[26620] = 0x00000d49d1c02e73UL;
   tf->codes[26621] = 0x000014bbf33efbf4UL;
   tf->codes[26622] = 0x000015c1a260c44cUL;
   tf->codes[26623] = 0x0000163e124d06ecUL;
   tf->codes[26624] = 0x000016898eaa76deUL;
   tf->codes[26625] = 0x000017a2af49299fUL;
   tf->codes[26626] = 0x00001839a8040983UL;
   tf->codes[26627] = 0x000019a6468df625UL;
   tf->codes[26628] = 0x00001d058f05045bUL;
   tf->codes[26629] = 0x00001eba3b8b0a64UL;
   tf->codes[26630] = 0x00001fa22e0be4b2UL;
   tf->codes[26631] = 0x00001fb9bd9736f5UL;
   tf->codes[26632] = 0x000021c8c4cb23f5UL;
   tf->codes[26633] = 0x0000241bf67bc847UL;
   tf->codes[26634] = 0x000024c91f67d7d0UL;
   tf->codes[26635] = 0x000025237a15bec7UL;
   tf->codes[26636] = 0x0000259ddafacd7aUL;
   tf->codes[26637] = 0x000025e6d332fdf5UL;
   tf->codes[26638] = 0x00002736d9e71966UL;
   tf->codes[26639] = 0x000029a62e4f835fUL;
   tf->codes[26640] = 0x00002b759e332c71UL;
   tf->codes[26641] = 0x00002d7b09f0271fUL;
   tf->codes[26642] = 0x00002e357743854aUL;
   tf->codes[26643] = 0x00002fca92b06f21UL;
   tf->codes[26644] = 0x0000311b49119be1UL;
   tf->codes[26645] = 0x0000327058103640UL;
   tf->codes[26646] = 0x0000329183127ad5UL;
   tf->codes[26647] = 0x000032fdb55423d2UL;
   tf->codes[26648] = 0x0000359043c6064dUL;
   tf->codes[26649] = 0x0000383852bc071eUL;
   tf->codes[26650] = 0x00003bd8cc6c81a5UL;
   tf->codes[26651] = 0x00003cd6ef1e8b98UL;
   tf->codes[26652] = 0x00003d9df12c2716UL;
   tf->codes[26653] = 0x00003ee9d9d1daadUL;
   tf->codes[26654] = 0x00003efa520b7a15UL;
   tf->codes[26655] = 0x00003f196e068abdUL;
   tf->codes[26656] = 0x0000471000ff64cdUL;
   tf->codes[26657] = 0x0000471d7ff5b934UL;
   tf->codes[26658] = 0x000047c7750f77f7UL;
   tf->codes[26659] = 0x0000499f210ff0bdUL;
   tf->codes[26660] = 0x000049c6ee45dca3UL;
   tf->codes[26661] = 0x00004be07b2cd309UL;
   tf->codes[26662] = 0x00004d196773a7c1UL;
   tf->codes[26663] = 0x00004d3a9275ec56UL;
   tf->codes[26664] = 0x000050e9afe7d81dUL;
   tf->codes[26665] = 0x000051b5ba3ff289UL;
   tf->codes[26666] = 0x000051ec2b374fafUL;
   tf->codes[26667] = 0x0000528ab061edf8UL;
   tf->codes[26668] = 0x000052b2f2b5e568UL;
   tf->codes[26669] = 0x000054e1c591f45fUL;
   tf->codes[26670] = 0x000055fb95ddb86fUL;
   tf->codes[26671] = 0x00005707378616c9UL;
   tf->codes[26672] = 0x000058013c29b8e2UL;
   tf->codes[26673] = 0x0000583981994430UL;
   tf->codes[26674] = 0x000058a9975a4f42UL;
   tf->codes[26675] = 0x0000599cbf3b4445UL;
   tf->codes[26676] = 0x000059c91f9da38fUL;
   tf->codes[26677] = 0x00005be237668e6bUL;
   tf->codes[26678] = 0x00005ddfa195bf2aUL;
   tf->codes[26679] = 0x00005df76bb01732UL;
   tf->codes[26680] = 0x00005dfb4f2f7947UL;
   tf->codes[26681] = 0x00005e8a0bcd8977UL;
   tf->codes[26682] = 0x00005f01e88d58b3UL;
   tf->codes[26683] = 0x00005f1cabeafbbcUL;
   tf->codes[26684] = 0x00005f343b764dffUL;
   tf->codes[26685] = 0x00005f6828486baeUL;
   tf->codes[26686] = 0x00005ff6aa577619UL;
   tf->codes[26687] = 0x000062a7a51757edUL;
   tf->codes[26688] = 0x000063980e4407b4UL;
   tf->codes[26689] = 0x000066172b38ffc6UL;
   tf->codes[26690] = 0x000066a0a4fd8b43UL;
   tf->codes[26691] = 0x000068a108700703UL;
   tf->codes[26692] = 0x000068d7ee856fb3UL;
   tf->codes[26693] = 0x000069a64273c3d1UL;
   tf->codes[26694] = 0x00006b2359374fdbUL;
   tf->codes[26695] = 0x00006b40db493820UL;
   tf->codes[26696] = 0x00006c9699f4e3ceUL;
   tf->codes[26697] = 0x00006cf4d8222cdaUL;
   tf->codes[26698] = 0x00006db02fb1a219UL;
   tf->codes[26699] = 0x00006e216a3dca04UL;
   tf->codes[26700] = 0x00006eb1c0c50297UL;
   tf->codes[26701] = 0x00007161d148cd57UL;
   tf->codes[26702] = 0x00007276242c06efUL;
   tf->codes[26703] = 0x000073159392bc4cUL;
   tf->codes[26704] = 0x000074fb6e369ac8UL;
   tf->codes[26705] = 0x000075dff2561e8bUL;
   tf->codes[26706] = 0x0000764f1ddb1289UL;
   tf->codes[26707] = 0x000076a08cbf187dUL;
   tf->codes[26708] = 0x0000775ba9bf87f7UL;
   tf->codes[26709] = 0x0000778585fca7caUL;
   tf->codes[26710] = 0x000078dbf45564c7UL;
   tf->codes[26711] = 0x000079e75b6ebd5cUL;
   tf->codes[26712] = 0x00007b00f12b7ba7UL;
   tf->codes[26713] = 0x00007b175bebb111UL;
   tf->codes[26714] = 0x00007b797d985c32UL;
   tf->codes[26715] = 0x00007bd203ce1501UL;
   tf->codes[26716] = 0x00007f102142dea2UL;
   tf->codes[26717] = 0x00007f20997c7e0aUL;
   tf->codes[26718] = 0x00008236e9bb5bc5UL;
   tf->codes[26719] = 0x000082a68a5e5b4dUL;
   tf->codes[26720] = 0x0000855f4c1d014bUL;
   tf->codes[26721] = 0x000087b95a9052b3UL;
   tf->codes[26722] = 0x000088e2f368a4dcUL;
   tf->codes[26723] = 0x00008a419dde318dUL;
   tf->codes[26724] = 0x00008b111697a284UL;
   tf->codes[26725] = 0x00008b362519492eUL;
   tf->codes[26726] = 0x00008cca1bbb162cUL;
   tf->codes[26727] = 0x00008d6a755de29dUL;
   tf->codes[26728] = 0x000090a34ff9278bUL;
   tf->codes[26729] = 0x000090da709d9600UL;
   tf->codes[26730] = 0x00009108a5782372UL;
   tf->codes[26731] = 0x00009212e7c65f2eUL;
   tf->codes[26732] = 0x00009306bf546580UL;
   tf->codes[26733] = 0x0000937575bb4df4UL;
   tf->codes[26734] = 0x000094aaf3a0cc21UL;
   tf->codes[26735] = 0x000095472f3530b8UL;
   tf->codes[26736] = 0x0000987bb1330807UL;
   tf->codes[26737] = 0x000098f35363d17eUL;
   tf->codes[26738] = 0x00009b28c87387c6UL;
   tf->codes[26739] = 0x00009c9da31a441cUL;
   tf->codes[26740] = 0x00009cdf4971bbf7UL;
   tf->codes[26741] = 0x00009f4bdf25e0b4UL;
   tf->codes[26742] = 0x0000a185acd3049bUL;
   tf->codes[26743] = 0x0000a3c1c4166234UL;
   tf->codes[26744] = 0x0000a4242052131aUL;
   tf->codes[26745] = 0x0000a44eac3c443cUL;
   tf->codes[26746] = 0x0000a4c43f65d9c6UL;
   tf->codes[26747] = 0x0000a4dcf3bc48e2UL;
   tf->codes[26748] = 0x0000a589326c4157UL;
   tf->codes[26749] = 0x0000a59f629d70fcUL;
   tf->codes[26750] = 0x0000a73234742121UL;
   tf->codes[26751] = 0x0000a77af21d4bd7UL;
   tf->codes[26752] = 0x0000a7ba896d8fc5UL;
   tf->codes[26753] = 0x0000ab8a9752ba5cUL;
   tf->codes[26754] = 0x0000abb31435b791UL;
   tf->codes[26755] = 0x0000abbbc57092cfUL;
   tf->codes[26756] = 0x0000abe52c8fa718UL;
   tf->codes[26757] = 0x0000ac9bf0f2a8f3UL;
   tf->codes[26758] = 0x0000afa4128e20f8UL;
   tf->codes[26759] = 0x0000b0546f4c8147UL;
   tf->codes[26760] = 0x0000b127cb855453UL;
   tf->codes[26761] = 0x0000b1cf7708d964UL;
   tf->codes[26762] = 0x0000b1f4faa88b98UL;
   tf->codes[26763] = 0x0000b22d05891121UL;
   tf->codes[26764] = 0x0000b29a9724dcbcUL;
   tf->codes[26765] = 0x0000b43b979ef297UL;
   tf->codes[26766] = 0x0000b550d4be4343UL;
   tf->codes[26767] = 0x0000b585abcc7806UL;
   tf->codes[26768] = 0x0000b5924086b559UL;
   tf->codes[26769] = 0x0000b5f0b943042aUL;
   tf->codes[26770] = 0x0000b6744080f9a5UL;
   tf->codes[26771] = 0x0000b7ee98904073UL;
   tf->codes[26772] = 0x0000b80a0b9af4cbUL;
   tf->codes[26773] = 0x0000b897ddfcede7UL;
   tf->codes[26774] = 0x0000b8cae092f482UL;
   tf->codes[26775] = 0x0000b94282c3bdf9UL;
   tf->codes[26776] = 0x0000b99cdd71a4f0UL;
   tf->codes[26777] = 0x0000ba073b3b1fc5UL;
   tf->codes[26778] = 0x0000ba4f83c63ef1UL;
   tf->codes[26779] = 0x0000bad604477f6dUL;
   tf->codes[26780] = 0x0000bb7ba0c3d091UL;
   tf->codes[26781] = 0x0000bc2ef6c57be1UL;
   tf->codes[26782] = 0x0000bc5b91b6e0f0UL;
   tf->codes[26783] = 0x0000bdc1537e207cUL;
   tf->codes[26784] = 0x0000be14d1695a5dUL;
   tf->codes[26785] = 0x0000bed989e0bc29UL;
   tf->codes[26786] = 0x0000bf65fce892a7UL;
   tf->codes[26787] = 0x0000bfaa61f44fbeUL;
   tf->codes[26788] = 0x0000c184578b0236UL;
   tf->codes[26789] = 0x0000c3543c8cb6d2UL;
   tf->codes[26790] = 0x0000c397423e514bUL;
   tf->codes[26791] = 0x0000c484027aa4c2UL;
   tf->codes[26792] = 0x0000c645092be259UL;
   tf->codes[26793] = 0x0000c7c46985a815UL;
   tf->codes[26794] = 0x0000c8e3f1c8fc62UL;
   tf->codes[26795] = 0x0000cc1d06f34715UL;
   tf->codes[26796] = 0x0000cdcf69e3136cUL;
   tf->codes[26797] = 0x0000d511bc9e2b18UL;
   tf->codes[26798] = 0x0000d91df3724312UL;
   tf->codes[26799] = 0x0000ddc8e9ffff1aUL;
   tf->codes[26800] = 0x0000e0d5d956f048UL;
   tf->codes[26801] = 0x0000e352acb5aea8UL;
   tf->codes[26802] = 0x0000e4acfe8dcdbaUL;
   tf->codes[26803] = 0x0000e5968af7d06bUL;
   tf->codes[26804] = 0x0000e84f87457c2eUL;
   tf->codes[26805] = 0x0000e8adc572c53aUL;
   tf->codes[26806] = 0x0000e9ffa09f0ed3UL;
   tf->codes[26807] = 0x0000eb4053e4a7b5UL;
   tf->codes[26808] = 0x0000ebb7bb866b67UL;
   tf->codes[26809] = 0x0000ef49917574aeUL;
   tf->codes[26810] = 0x0000ef86df2f7eeaUL;
   tf->codes[26811] = 0x0000f326e3c1ede7UL;
   tf->codes[26812] = 0x0000f386bbd85f56UL;
   tf->codes[26813] = 0x0000f39faabdd437UL;
   tf->codes[26814] = 0x0000f3b147c29078UL;
   tf->codes[26815] = 0x0000f4c22c447385UL;
   tf->codes[26816] = 0x0000f53c180b76aeUL;
   tf->codes[26817] = 0x0000f6ba8e292556UL;
   tf->codes[26818] = 0x0000f995652626fdUL;
   tf->codes[26819] = 0x0000fb0cfe81288fUL;
   tf->codes[26820] = 0x0000fb98122edc6fUL;
   tf->codes[26821] = 0x0000fc0fb45fa5e6UL;
   tf->codes[26822] = 0x0000fe07dbb551f2UL;
   tf->codes[26823] = 0x0000fe10c77f32f5UL;
   tf->codes[26824] = 0x0001002cd88b68d2UL;
   tf->codes[26825] = 0x000100b6c76dffd9UL;
   tf->codes[26826] = 0x000101b4ea2009ccUL;
   tf->codes[26827] = 0x000101f3d1c33c6bUL;
   tf->codes[26828] = 0x00010278f2ea5a49UL;
   tf->codes[26829] = 0x000103df29cfa55fUL;
   tf->codes[26830] = 0x000105079ddcdaafUL;
   tf->codes[26831] = 0x0001056aa9c59ce4UL;
   tf->codes[26832] = 0x000105c4c9e47e16UL;
   tf->codes[26833] = 0x000106697c24b826UL;
   tf->codes[26834] = 0x00010708b0fc67beUL;
   tf->codes[26835] = 0x000107b7394299e5UL;
   tf->codes[26836] = 0x00011196659397adUL;
   tf->codes[26837] = 0x000113873b088b19UL;
   tf->codes[26838] = 0x000113b9c880862aUL;
   tf->codes[26839] = 0x0001159b0ff7f142UL;
   tf->codes[26840] = 0x0001169f5fbf96fcUL;
   tf->codes[26841] = 0x0001173a7688debaUL;
   tf->codes[26842] = 0x000117c75eaec0c2UL;
   tf->codes[26843] = 0x0001180471d9c539UL;
   tf->codes[26844] = 0x00011afc55caa39bUL;
   tf->codes[26845] = 0x00011c7d157e8bf5UL;
   tf->codes[26846] = 0x00011ca900c2dfb5UL;
   tf->codes[26847] = 0x00011ccb16013b5eUL;
   tf->codes[26848] = 0x00012045d182fdecUL;
   tf->codes[26849] = 0x00012421ff045a4cUL;
   tf->codes[26850] = 0x0001249c5fe968ffUL;
   tf->codes[26851] = 0x00012a28e1535dc9UL;
   tf->codes[26852] = 0x00012a6719497f19UL;
   tf->codes[26853] = 0x0001305163c2b165UL;
   tf->codes[26854] = 0x00013053383adf8dUL;
   tf->codes[26855] = 0x000132c0f2ba2123UL;
   tf->codes[26856] = 0x00013382775f3229UL;
   tf->codes[26857] = 0x000135c864a887d9UL;
   tf->codes[26858] = 0x0001378672167a6fUL;
   tf->codes[26859] = 0x000137988439423aUL;
   tf->codes[26860] = 0x000139c2c3e8ddcdUL;
   tf->codes[26861] = 0x00013aab6616c96aUL;
   tf->codes[26862] = 0x00013c057d5fe2b7UL;
   tf->codes[26863] = 0x00013cf78075bae1UL;
   tf->codes[26864] = 0x00013d59dcb16bc7UL;
   tf->codes[26865] = 0x00013e0446e93614UL;
   tf->codes[26866] = 0x00013e60b09e50f8UL;
   tf->codes[26867] = 0x00013f9df582934fUL;
   tf->codes[26868] = 0x0001410a597d7a2cUL;
   tf->codes[26869] = 0x00014431971402d9UL;
   tf->codes[26870] = 0x0001457c957d9f5cUL;
   tf->codes[26871] = 0x00014598b8356503UL;
   tf->codes[26872] = 0x00014628d42d97d1UL;
   tf->codes[26873] = 0x00014674508b07c3UL;
   tf->codes[26874] = 0x0001475febfc3e61UL;
   tf->codes[26875] = 0x00014824a473a02dUL;
   tf->codes[26876] = 0x000148bdac35b3feUL;
   tf->codes[26877] = 0x0001498264ad15caUL;
   tf->codes[26878] = 0x00014b666ad8c61eUL;
   tf->codes[26879] = 0x00014c7d7c7044f2UL;
   tf->codes[26880] = 0x000150c2e2efff4eUL;
   tf->codes[26881] = 0x000151c9b6dce47fUL;
   tf->codes[26882] = 0x000152432d85dc1eUL;
   tf->codes[26883] = 0x000154b5f04f9ca2UL;
   tf->codes[26884] = 0x000155af45462d6cUL;
   tf->codes[26885] = 0x000155bbda006abfUL;
   tf->codes[26886] = 0x000155c0a7bbe3e8UL;
   tf->codes[26887] = 0x000156375fb0964bUL;
   tf->codes[26888] = 0x0001567681e2ceafUL;
   tf->codes[26889] = 0x00015760836adceaUL;
   tf->codes[26890] = 0x00015770fba47c52UL;
   tf->codes[26891] = 0x00015786419994e3UL;
   tf->codes[26892] = 0x000158c67fc1223bUL;
   tf->codes[26893] = 0x0001593e21f1ebb2UL;
   tf->codes[26894] = 0x00015a7d3b4e5c31UL;
   tf->codes[26895] = 0x00015b373383aed2UL;
   tf->codes[26896] = 0x00015b8200340d75UL;
   tf->codes[26897] = 0x00015bb8712b6a9bUL;
   tf->codes[26898] = 0x00015c230983eb35UL;
   tf->codes[26899] = 0x00015d1338219537UL;
   tf->codes[26900] = 0x00015d458b0a8a83UL;
   tf->codes[26901] = 0x00015e2924edf732UL;
   tf->codes[26902] = 0x000162e15fe301dcUL;
   tf->codes[26903] = 0x00016adc86084f50UL;
   tf->codes[26904] = 0x000170a40b9614a4UL;
   tf->codes[26905] = 0x000170ced20f4b8bUL;
   tf->codes[26906] = 0x000172a88d16f83eUL;
   tf->codes[26907] = 0x0001741fb153ee46UL;
   tf->codes[26908] = 0x000174978e13bd82UL;
   tf->codes[26909] = 0x0001758c4fdddae8UL;
   tf->codes[26910] = 0x0001760eecdfb94fUL;
   tf->codes[26911] = 0x00017692e93bba54UL;
   tf->codes[26912] = 0x000176b573982187UL;
   tf->codes[26913] = 0x000177b027e8d4efUL;
   tf->codes[26914] = 0x000179e9f595f8d6UL;
   tf->codes[26915] = 0x00017ab1a750a5a3UL;
   tf->codes[26916] = 0x00017b9665ff2f2bUL;
   tf->codes[26917] = 0x00017c0fdca826caUL;
   tf->codes[26918] = 0x00017ce92b678fd8UL;
   tf->codes[26919] = 0x00017e29a41e22f5UL;
   tf->codes[26920] = 0x00017eee22067efcUL;
   tf->codes[26921] = 0x0001826151188325UL;
   tf->codes[26922] = 0x000182ef237a7c41UL;
   tf->codes[26923] = 0x000182f34188e41bUL;
   tf->codes[26924] = 0x000184b4483a21b2UL;
   tf->codes[26925] = 0x000185041d34ff43UL;
   tf->codes[26926] = 0x000185b89801c76cUL;
   tf->codes[26927] = 0x000186a93bbd7cf8UL;
   tf->codes[26928] = 0x000187c221cd29f4UL;
   tf->codes[26929] = 0x0001881e8b8244d8UL;
   tf->codes[26930] = 0x00018917e078d5a2UL;
   tf->codes[26931] = 0x00018cbdd791daa1UL;
   tf->codes[26932] = 0x00018f373c8f4276UL;
   tf->codes[26933] = 0x000192c0d6617c09UL;
   tf->codes[26934] = 0x000193c1f256d0fdUL;
   tf->codes[26935] = 0x0001941a788c89ccUL;
   tf->codes[26936] = 0x00019476a7b29eebUL;
   tf->codes[26937] = 0x00019495fe3cb558UL;
   tf->codes[26938] = 0x000194b0870b529cUL;
   tf->codes[26939] = 0x000195b2181eb31aUL;
   tf->codes[26940] = 0x0001983c6a73c5e1UL;
   tf->codes[26941] = 0x00019856439551d6UL;
   tf->codes[26942] = 0x00019860c9485b3cUL;
   tf->codes[26943] = 0x00019942c9429f88UL;
   tf->codes[26944] = 0x00019a7e39aeb3b7UL;
   tf->codes[26945] = 0x00019a9d9038ca24UL;
   tf->codes[26946] = 0x00019ae90c963a16UL;
   tf->codes[26947] = 0x00019bfbc5904b4bUL;
   tf->codes[26948] = 0x00019c6ab6863984UL;
   tf->codes[26949] = 0x00019c8997f24467UL;
   tf->codes[26950] = 0x00019ee7c473fda9UL;
   tf->codes[26951] = 0x00019f30821d285fUL;
   tf->codes[26952] = 0x00019f363a14b89cUL;
   tf->codes[26953] = 0x00019ff53a948a2bUL;
   tf->codes[26954] = 0x0001a03e6d5bc06bUL;
   tf->codes[26955] = 0x0001a236cf40723cUL;
   tf->codes[26956] = 0x0001a2ea9a602916UL;
   tf->codes[26957] = 0x0001a3aba9e72e92UL;
   tf->codes[26958] = 0x0001a42bfd52d347UL;
   tf->codes[26959] = 0x0001a5be1f7c721dUL;
   tf->codes[26960] = 0x0001a6280827e168UL;
   tf->codes[26961] = 0x0001ab06014ba40bUL;
   tf->codes[26962] = 0x0001ac05f875dc26UL;
   tf->codes[26963] = 0x0001acc951931b54UL;
   tf->codes[26964] = 0x0001ad1ac0772148UL;
   tf->codes[26965] = 0x0001ade8d9d66fa1UL;
   tf->codes[26966] = 0x0001ae684305fd42UL;
   tf->codes[26967] = 0x0001b03b214afcdfUL;
   tf->codes[26968] = 0x0001b2d576bba384UL;
   tf->codes[26969] = 0x0001b419d2f198b6UL;
   tf->codes[26970] = 0x0001b489e8b2a3c8UL;
   tf->codes[26971] = 0x0001b94ef2f0f18aUL;
   tf->codes[26972] = 0x0001bb1208a9630eUL;
   tf->codes[26973] = 0x0001bb8d53ca88d5UL;
   tf->codes[26974] = 0x0001bb98892aa38aUL;
   tf->codes[26975] = 0x0001bc1fb958f555UL;
   tf->codes[26976] = 0x0001bca1318fb6e3UL;
   tf->codes[26977] = 0x0001bce4e6ee62abUL;
   tf->codes[26978] = 0x0001bd68e34a63b0UL;
   tf->codes[26979] = 0x0001be886b8db7fdUL;
   tf->codes[26980] = 0x0001bf7e8cb1f801UL;
   tf->codes[26981] = 0x0001c1fa00b693c3UL;
   tf->codes[26982] = 0x0001c1fd3488e489UL;
   tf->codes[26983] = 0x0001c21f845645f7UL;
   tf->codes[26984] = 0x0001c388b47edc0eUL;
   tf->codes[26985] = 0x0001c641763d820cUL;
   tf->codes[26986] = 0x0001c694f428bbedUL;
   tf->codes[26987] = 0x0001c6bcfbedad98UL;
   tf->codes[26988] = 0x0001c6f83aa083e7UL;
   tf->codes[26989] = 0x0001c7233ba8c093UL;
   tf->codes[26990] = 0x0001c7813f4703daUL;
   tf->codes[26991] = 0x0001c8a26173808aUL;
   tf->codes[26992] = 0x0001c941d0da35e7UL;
   tf->codes[26993] = 0x0001cb37397b9cb7UL;
   tf->codes[26994] = 0x0001cc91c5e2c18eUL;
   tf->codes[26995] = 0x0001cd38c1b93550UL;
   tf->codes[26996] = 0x0001cdfa0bcf4091UL;
   tf->codes[26997] = 0x0001d0933c74ca5dUL;
   tf->codes[26998] = 0x0001d129c0119eb7UL;
   tf->codes[26999] = 0x0001d285e661ebf1UL;
   tf->codes[27000] = 0x0001d2a243a8b75dUL;
   tf->codes[27001] = 0x0001d3a2aff0fb02UL;
   tf->codes[27002] = 0x0001d483160216ebUL;
   tf->codes[27003] = 0x0001d96cb9a3ffcdUL;
   tf->codes[27004] = 0x0001dba0cf599377UL;
   tf->codes[27005] = 0x0001dbea3cafcf7cUL;
   tf->codes[27006] = 0x0001de7f89d5f733UL;
   tf->codes[27007] = 0x0001e15015aef539UL;
   tf->codes[27008] = 0x0001e1d2b2b0d3a0UL;
   tf->codes[27009] = 0x0001e5a370430f86UL;
   tf->codes[27010] = 0x0001e63859f6bb7dUL;
   tf->codes[27011] = 0x0001e6a53be575c9UL;
   tf->codes[27012] = 0x0001e726eeab3d1cUL;
   tf->codes[27013] = 0x0001e7552385ca8eUL;
   tf->codes[27014] = 0x0001e89dd8592d5fUL;
   tf->codes[27015] = 0x0001e9faae568be8UL;
   tf->codes[27016] = 0x0001ea28e331195aUL;
   tf->codes[27017] = 0x0001eb9a4f767f25UL;
   tf->codes[27018] = 0x0001ec9996f3a5f1UL;
   tf->codes[27019] = 0x0001ee260125b48aUL;
   tf->codes[27020] = 0x0001ef1dbc331cf1UL;
   tf->codes[27021] = 0x0001ef4d8af6d2c6UL;
   tf->codes[27022] = 0x0001f047550b6f1aUL;
   tf->codes[27023] = 0x0001f0eb922d9da0UL;
   tf->codes[27024] = 0x0001f2aafef5b2d4UL;
   tf->codes[27025] = 0x0001f348d4733fceUL;
   tf->codes[27026] = 0x0001f48653e687eaUL;
   tf->codes[27027] = 0x0001f4c7851ff43bUL;
   tf->codes[27028] = 0x0001f4c994272828UL;
   tf->codes[27029] = 0x0001f63beaa8a507UL;
   tf->codes[27030] = 0x0001f7c6f5809102UL;
   tf->codes[27031] = 0x0001f7ffb00e27daUL;
   tf->codes[27032] = 0x0001f9f1e4dd3de4UL;
   tf->codes[27033] = 0x0001fa9c4f150831UL;
   tf->codes[27034] = 0x0001fafa182445b3UL;
   tf->codes[27035] = 0x0001fbbcc1947392UL;
   tf->codes[27036] = 0x0001febad29aedbbUL;
   tf->codes[27037] = 0x0001fef1f33f5c30UL;
   tf->codes[27038] = 0x0001ff6d03d17c32UL;
   tf->codes[27039] = 0x0000014b52059c49UL;
   tf->codes[27040] = 0x000002f69da3b5c5UL;
   tf->codes[27041] = 0x000003219eabf271UL;
   tf->codes[27042] = 0x000003fa784d4ff5UL;
   tf->codes[27043] = 0x0000048eb253ea9dUL;
   tf->codes[27044] = 0x0000073820a40e0cUL;
   tf->codes[27045] = 0x00000785e697b7b0UL;
   tf->codes[27046] = 0x000007886abcf727UL;
   tf->codes[27047] = 0x0000097054680990UL;
   tf->codes[27048] = 0x00000c08d560820dUL;
   tf->codes[27049] = 0x00000e4770c91f1dUL;
   tf->codes[27050] = 0x00000fe5b28eefbcUL;
   tf->codes[27051] = 0x0000108b899a46a5UL;
   tf->codes[27052] = 0x000012ab0907d30dUL;
   tf->codes[27053] = 0x0000130897880acaUL;
   tf->codes[27054] = 0x000013eeb590b6f0UL;
   tf->codes[27055] = 0x000013fe7e1d4509UL;
   tf->codes[27056] = 0x000014514c5b6d9bUL;
   tf->codes[27057] = 0x000014bd097f0b0eUL;
   tf->codes[27058] = 0x000014f255ab4b5bUL;
   tf->codes[27059] = 0x0000150049bfab4cUL;
   tf->codes[27060] = 0x0000150bb9aecbc6UL;
   tf->codes[27061] = 0x00001511ac3561c8UL;
   tf->codes[27062] = 0x000015aa79686fd4UL;
   tf->codes[27063] = 0x000015f63054e58bUL;
   tf->codes[27064] = 0x000016358d1623b4UL;
   tf->codes[27065] = 0x00001773bc367d1fUL;
   tf->codes[27066] = 0x0000193119f75e66UL;
   tf->codes[27067] = 0x00001938a6671ccbUL;
   tf->codes[27068] = 0x00001b94c3e1a220UL;
   tf->codes[27069] = 0x00001bb454fabe52UL;
   tf->codes[27070] = 0x00001c472fa7365cUL;
   tf->codes[27071] = 0x00001d69ebbcdb6fUL;
   tf->codes[27072] = 0x00001d98d0447a30UL;
   tf->codes[27073] = 0x00001ed948fb0d4dUL;
   tf->codes[27074] = 0x00002143cfa7fe1dUL;
   tf->codes[27075] = 0x000021927fd7bed5UL;
   tf->codes[27076] = 0x0000223f6e34c899UL;
   tf->codes[27077] = 0x000023843f88c955UL;
   tf->codes[27078] = 0x000023c82f767ae2UL;
   tf->codes[27079] = 0x0000243a543eb9e1UL;
   tf->codes[27080] = 0x000027b9685dea0eUL;
   tf->codes[27081] = 0x00002a36764bae33UL;
   tf->codes[27082] = 0x00002eee3c22ad53UL;
   tf->codes[27083] = 0x000030493da7ddb4UL;
   tf->codes[27084] = 0x0000312809cfd13aUL;
   tf->codes[27085] = 0x000032e77697e66eUL;
   tf->codes[27086] = 0x0000335ea3aaa45bUL;
   tf->codes[27087] = 0x00003482848b6647UL;
   tf->codes[27088] = 0x000034ea5e2fa1a5UL;
   tf->codes[27089] = 0x0000354d6a1863daUL;
   tf->codes[27090] = 0x0000355c82f7e0a4UL;
   tf->codes[27091] = 0x000035a0e8039dbbUL;
   tf->codes[27092] = 0x000035a1d23fb4cfUL;
   tf->codes[27093] = 0x000037af7a197f31UL;
   tf->codes[27094] = 0x000038e35e15d4fbUL;
   tf->codes[27095] = 0x000038f65a74b3daUL;
   tf->codes[27096] = 0x000039d17dac4b10UL;
   tf->codes[27097] = 0x00003a4ab9c63ceaUL;
   tf->codes[27098] = 0x00003a59d2a5b9b4UL;
   tf->codes[27099] = 0x00003b48dc7846ddUL;
   tf->codes[27100] = 0x00003c798ca24be1UL;
   tf->codes[27101] = 0x00003f4cd72f8f23UL;
   tf->codes[27102] = 0x000040336a5646d3UL;
   tf->codes[27103] = 0x0000403872a0c5c1UL;
   tf->codes[27104] = 0x000040be08e5ef29UL;
   tf->codes[27105] = 0x0000410392bcc919UL;
   tf->codes[27106] = 0x000041369552cfb4UL;
   tf->codes[27107] = 0x000042d9df631f41UL;
   tf->codes[27108] = 0x000042ddfd71871bUL;
   tf->codes[27109] = 0x0000454fd5ff308bUL;
   tf->codes[27110] = 0x00004853646e352cUL;
   tf->codes[27111] = 0x00004a41409fdd97UL;
   tf->codes[27112] = 0x00004bf9d0a545b5UL;
   tf->codes[27113] = 0x00004d9d55449b07UL;
   tf->codes[27114] = 0x00004da8c533bb81UL;
   tf->codes[27115] = 0x00004e1da8b03fbcUL;
   tf->codes[27116] = 0x00004ed93acebac0UL;
   tf->codes[27117] = 0x00005005ccea57eaUL;
   tf->codes[27118] = 0x00005074f86f4be8UL;
   tf->codes[27119] = 0x000050b838afec26UL;
   tf->codes[27120] = 0x0000512eb61598c4UL;
   tf->codes[27121] = 0x0000514386eca5cbUL;
   tf->codes[27122] = 0x0000516686671888UL;
   tf->codes[27123] = 0x0000579aede39828UL;
   tf->codes[27124] = 0x00005893589e11deUL;
   tf->codes[27125] = 0x00005be55cadd172UL;
   tf->codes[27126] = 0x00005c6d01fa2ec7UL;
   tf->codes[27127] = 0x00005e4d24a67d06UL;
   tf->codes[27128] = 0x00006458d4b0f9acUL;
   tf->codes[27129] = 0x0000671d40edc5e9UL;
   tf->codes[27130] = 0x0000686ea6fc03f8UL;
   tf->codes[27131] = 0x00006b0727f47c75UL;
   tf->codes[27132] = 0x00006b23fa59536bUL;
   tf->codes[27133] = 0x00006b4350e369d8UL;
   tf->codes[27134] = 0x00006baff8431e5fUL;
   tf->codes[27135] = 0x00006bbd3caa6d01UL;
   tf->codes[27136] = 0x00006c0759adba55UL;
   tf->codes[27137] = 0x00006c7d276655a4UL;
   tf->codes[27138] = 0x00006d90557e7263UL;
   tf->codes[27139] = 0x00006dbe153af44bUL;
   tf->codes[27140] = 0x00006dcfecceb651UL;
   tf->codes[27141] = 0x00006de14f446ccdUL;
   tf->codes[27142] = 0x00006f05a5433a43UL;
   tf->codes[27143] = 0x00006f487065cef7UL;
   tf->codes[27144] = 0x00007007ab74a64bUL;
   tf->codes[27145] = 0x00007269bb75c1a2UL;
   tf->codes[27146] = 0x000072ae20817eb9UL;
   tf->codes[27147] = 0x00007447948bd62fUL;
   tf->codes[27148] = 0x000075271060db04UL;
   tf->codes[27149] = 0x0000752ffc2abc07UL;
   tf->codes[27150] = 0x000075692bd65e69UL;
   tf->codes[27151] = 0x000075937d3189c6UL;
   tf->codes[27152] = 0x0000775c4ae18b87UL;
   tf->codes[27153] = 0x0000776cfdaa30b4UL;
   tf->codes[27154] = 0x000077f468678844UL;
   tf->codes[27155] = 0x00007826f5df8355UL;
   tf->codes[27156] = 0x000078bfc3129161UL;
   tf->codes[27157] = 0x000079b74390f403UL;
   tf->codes[27158] = 0x00007ac4b9b18085UL;
   tf->codes[27159] = 0x00007ad9ffa69916UL;
   tf->codes[27160] = 0x00007b99ea6281b9UL;
   tf->codes[27161] = 0x00007ca2cd569ad7UL;
   tf->codes[27162] = 0x00007cc607601359UL;
   tf->codes[27163] = 0x00007eaf15d6429bUL;
   tf->codes[27164] = 0x0000807faa850886UL;
   tf->codes[27165] = 0x0000817d581906efUL;
   tf->codes[27166] = 0x000081ad616bc289UL;
   tf->codes[27167] = 0x000081b2ded44d01UL;
   tf->codes[27168] = 0x0000833279bd1882UL;
   tf->codes[27169] = 0x00008352ba834603UL;
   tf->codes[27170] = 0x00008388b65c979fUL;
   tf->codes[27171] = 0x000088e89cd5275aUL;
   tf->codes[27172] = 0x0000895a4c7f5acfUL;
   tf->codes[27173] = 0x000089c34aeeb306UL;
   tf->codes[27174] = 0x00008a50e2c1a65dUL;
   tf->codes[27175] = 0x00008a6c1b3d54f0UL;
   tf->codes[27176] = 0x00008bbd814b92ffUL;
   tf->codes[27177] = 0x00008cf757ce7ecbUL;
   tf->codes[27178] = 0x00008d2b0a1196b5UL;
   tf->codes[27179] = 0x00008e772d465011UL;
   tf->codes[27180] = 0x00008ea85b642884UL;
   tf->codes[27181] = 0x00008edb988934e4UL;
   tf->codes[27182] = 0x00008eff823fbeb5UL;
   tf->codes[27183] = 0x000090c93a2bd78aUL;
   tf->codes[27184] = 0x000090fec0e71d9cUL;
   tf->codes[27185] = 0x000091d79a887b20UL;
   tf->codes[27186] = 0x0000963af838294bUL;
   tf->codes[27187] = 0x000096c64674e2f0UL;
   tf->codes[27188] = 0x0000975c8f82b185UL;
   tf->codes[27189] = 0x000097fe0df09acfUL;
   tf->codes[27190] = 0x000098ab36dcaa58UL;
   tf->codes[27191] = 0x00009c2333aa27aaUL;
   tf->codes[27192] = 0x00009ca2d768bb10UL;
   tf->codes[27193] = 0x00009cdc07145d72UL;
   tf->codes[27194] = 0x00009d2ab7441e2aUL;
   tf->codes[27195] = 0x00009d6e3213c42dUL;
   tf->codes[27196] = 0x00009e95bbe4e269UL;
   tf->codes[27197] = 0x00009ea4d4c45f33UL;
   tf->codes[27198] = 0x00009edf293b1e6eUL;
   tf->codes[27199] = 0x0000a0590c2c59b2UL;
   tf->codes[27200] = 0x0000a12b7e2915aaUL;
   tf->codes[27201] = 0x0000a14606f7b2eeUL;
   tf->codes[27202] = 0x0000a16731f9f783UL;
   tf->codes[27203] = 0x0000a4492048ac05UL;
   tf->codes[27204] = 0x0000a7961c0decabUL;
   tf->codes[27205] = 0x0000a85bf9506b50UL;
   tf->codes[27206] = 0x0000a93dbebba9d7UL;
   tf->codes[27207] = 0x0000aa666d57e4ecUL;
   tf->codes[27208] = 0x0000ab7db97e6985UL;
   tf->codes[27209] = 0x0000ac09b7683479UL;
   tf->codes[27210] = 0x0000ac394b9ce489UL;
   tf->codes[27211] = 0x0000accb3c0d457fUL;
   tf->codes[27212] = 0x0000accee4fda1cfUL;
   tf->codes[27213] = 0x0000acea58085627UL;
   tf->codes[27214] = 0x0000ae44e46f7afeUL;
   tf->codes[27215] = 0x0000aeb6cea8b438UL;
   tf->codes[27216] = 0x0000afa5d87b4161UL;
   tf->codes[27217] = 0x0000afc653d074a7UL;
   tf->codes[27218] = 0x0000b02073ef55d9UL;
   tf->codes[27219] = 0x0000b1f22d69389dUL;
   tf->codes[27220] = 0x0000b1f6c095ac01UL;
   tf->codes[27221] = 0x0000b299293fac5fUL;
   tf->codes[27222] = 0x0000b3c804f1833bUL;
   tf->codes[27223] = 0x0000b6b5632f5837UL;
   tf->codes[27224] = 0x0000b6cd67d8b604UL;
   tf->codes[27225] = 0x0000b72921e0bf99UL;
   tf->codes[27226] = 0x0000b7e64de86300UL;
   tf->codes[27227] = 0x0000b8a080acbb66UL;
   tf->codes[27228] = 0x0000b8f1ef90c15aUL;
   tf->codes[27229] = 0x0000b9391350c3adUL;
   tf->codes[27230] = 0x0000b9bdf9e8dbc6UL;
   tf->codes[27231] = 0x0000bc672da9f970UL;
   tf->codes[27232] = 0x0000bdb141d77edfUL;
   tf->codes[27233] = 0x0000bf1fef689f6eUL;
   tf->codes[27234] = 0x0000c0a4cd2aefa2UL;
   tf->codes[27235] = 0x0000c0f3083ca4d0UL;
   tf->codes[27236] = 0x0000c4ba9f75f9eeUL;
   tf->codes[27237] = 0x0000c621c0975c18UL;
   tf->codes[27238] = 0x0000c7818fd805a2UL;
   tf->codes[27239] = 0x0000cabfe7dbd508UL;
   tf->codes[27240] = 0x0000cd91987fefe7UL;
   tf->codes[27241] = 0x0000cea8e4a67480UL;
   tf->codes[27242] = 0x0000d043085ddd45UL;
   tf->codes[27243] = 0x0000d04f9d181a98UL;
   tf->codes[27244] = 0x0000d09e12b8d58bUL;
   tf->codes[27245] = 0x0000d682a53a779aUL;
   tf->codes[27246] = 0x0000d7078bd28fb3UL;
   tf->codes[27247] = 0x0000d7730e672761UL;
   tf->codes[27248] = 0x0000d894e040b560UL;
   tf->codes[27249] = 0x0000dd655a6e239cUL;
   tf->codes[27250] = 0x0000dea31470717dUL;
   tf->codes[27251] = 0x0000e1fc2fd1e3ecUL;
   tf->codes[27252] = 0x0000e2079fc10466UL;
   tf->codes[27253] = 0x0000e285347863dfUL;
   tf->codes[27254] = 0x0000e2f66f048bcaUL;
   tf->codes[27255] = 0x0000e393cf640d3aUL;
   tf->codes[27256] = 0x0000e3ca7aea7025UL;
   tf->codes[27257] = 0x0000e4cecab215dfUL;
   tf->codes[27258] = 0x0000ea2933c21b22UL;
   tf->codes[27259] = 0x0000ea9bcda865abUL;
   tf->codes[27260] = 0x0000eae11cf039d6UL;
   tf->codes[27261] = 0x0000ecdcb2a73c6dUL;
   tf->codes[27262] = 0x0000ed65422fb0d6UL;
   tf->codes[27263] = 0x0000ee3320fff96aUL;
   tf->codes[27264] = 0x0000ee7dedb0580dUL;
   tf->codes[27265] = 0x0000ef5fb31b9694UL;
   tf->codes[27266] = 0x0000f1994639b4b6UL;
   tf->codes[27267] = 0x0000f20c1aaf0504UL;
   tf->codes[27268] = 0x0000f4073b47fc11UL;
   tf->codes[27269] = 0x0000f637e29c3930UL;
   tf->codes[27270] = 0x0000fcca884601dcUL;
   tf->codes[27271] = 0x000102d54e14676eUL;
   tf->codes[27272] = 0x000102fca62c47caUL;
   tf->codes[27273] = 0x00010332677693a1UL;
   tf->codes[27274] = 0x000104130816b54fUL;
   tf->codes[27275] = 0x000105c9c3a3ef45UL;
   tf->codes[27276] = 0x000106946ea1e713UL;
   tf->codes[27277] = 0x0001074fc6315c52UL;
   tf->codes[27278] = 0x00010809f8f5b4b8UL;
   tf->codes[27279] = 0x000109ddfc05d12eUL;
   tf->codes[27280] = 0x00010aa6d28b9ad4UL;
   tf->codes[27281] = 0x00010c71e9d1d647UL;
   tf->codes[27282] = 0x00010cefb9183b85UL;
   tf->codes[27283] = 0x00010d596734a50bUL;
   tf->codes[27284] = 0x00010db0c89f4101UL;
   tf->codes[27285] = 0x00010db312357ab3UL;
   tf->codes[27286] = 0x00010ea9e306cc06UL;
   tf->codes[27287] = 0x00010ece41db6161UL;
   tf->codes[27288] = 0x00010fe55372e035UL;
   tf->codes[27289] = 0x00011014ad188a80UL;
   tf->codes[27290] = 0x0001101a2a8114f8UL;
   tf->codes[27291] = 0x000110ce6abed75cUL;
   tf->codes[27292] = 0x000112d3d67bd20aUL;
   tf->codes[27293] = 0x000112dbd8099bf9UL;
   tf->codes[27294] = 0x000113219c6f7baeUL;
   tf->codes[27295] = 0x0001163aab629ea5UL;
   tf->codes[27296] = 0x00011695b5bd96ebUL;
   tf->codes[27297] = 0x000116a1d559c8b4UL;
   tf->codes[27298] = 0x000116b5f683c46cUL;
   tf->codes[27299] = 0x000116bbe90a5a6eUL;
   tf->codes[27300] = 0x00011888251bb2baUL;
   tf->codes[27301] = 0x000119f2b49e6b6fUL;
   tf->codes[27302] = 0x00011a07fa938400UL;
   tf->codes[27303] = 0x00011b99a79f174cUL;
   tf->codes[27304] = 0x00011ddb76da0522UL;
   tf->codes[27305] = 0x00011e9ecff74450UL;
   tf->codes[27306] = 0x00011f00b714e9acUL;
   tf->codes[27307] = 0x00011ff1955fa4fdUL;
   tf->codes[27308] = 0x000120ba315668deUL;
   tf->codes[27309] = 0x000121d610a960dbUL;
   tf->codes[27310] = 0x000124eac6ff1633UL;
   tf->codes[27311] = 0x00012659af1f3c87UL;
   tf->codes[27312] = 0x00012772952ee983UL;
   tf->codes[27313] = 0x000128b30de57ca0UL;
   tf->codes[27314] = 0x000129005ebb1abaUL;
   tf->codes[27315] = 0x0001299dbf1a9c2aUL;
   tf->codes[27316] = 0x000129a426bf3db6UL;
   tf->codes[27317] = 0x00012a009074589aUL;
   tf->codes[27318] = 0x00012a391072e9adUL;
   tf->codes[27319] = 0x00012a5d6f477f08UL;
   tf->codes[27320] = 0x00012b28c9f28825UL;
   tf->codes[27321] = 0x00012b3c75fe7853UL;
   tf->codes[27322] = 0x00012ebf330e04d0UL;
   tf->codes[27323] = 0x00013063675a6b71UL;
   tf->codes[27324] = 0x00013109ee12d3a9UL;
   tf->codes[27325] = 0x000131ef96fd7445UL;
   tf->codes[27326] = 0x00013276520dba86UL;
   tf->codes[27327] = 0x00013755aa8b9fc7UL;
   tf->codes[27328] = 0x0001378838039ad8UL;
   tf->codes[27329] = 0x000137a335f043a6UL;
   tf->codes[27330] = 0x00013cf1b9f31ce5UL;
   tf->codes[27331] = 0x00013d45e78b6815UL;
   tf->codes[27332] = 0x00013eb41ffe7d1aUL;
   tf->codes[27333] = 0x0001417e7ec1df59UL;
   tf->codes[27334] = 0x000143771b3596efUL;
   tf->codes[27335] = 0x000145e5bff0ef99UL;
   tf->codes[27336] = 0x00014678257f5c19UL;
   tf->codes[27337] = 0x0001467bce6fb869UL;
   tf->codes[27338] = 0x000146b6d29388f3UL;
   tf->codes[27339] = 0x00014850bbbbebf3UL;
   tf->codes[27340] = 0x000148c10c0bfccaUL;
   tf->codes[27341] = 0x000149341b1052ddUL;
   tf->codes[27342] = 0x00014a871b07b94fUL;
   tf->codes[27343] = 0x00014e0f1af0ca7fUL;
   tf->codes[27344] = 0x00014e1c99e71ee6UL;
   tf->codes[27345] = 0x00014e859856771dUL;
   tf->codes[27346] = 0x00014f8ad25a33ebUL;
   tf->codes[27347] = 0x000150c1af99d4b6UL;
   tf->codes[27348] = 0x0001520bfe565feaUL;
   tf->codes[27349] = 0x0001528156f0efafUL;
   tf->codes[27350] = 0x00015855e656fde0UL;
   tf->codes[27351] = 0x000158d9e2b2fee5UL;
   tf->codes[27352] = 0x0001598a3f715f34UL;
   tf->codes[27353] = 0x00015ac7bee4a750UL;
   tf->codes[27354] = 0x00015b78cb5018eeUL;
   tf->codes[27355] = 0x00015cf3235f5fbcUL;
   tf->codes[27356] = 0x00015dba256cfb3aUL;
   tf->codes[27357] = 0x000161676e66b8d9UL;
   tf->codes[27358] = 0x000162d238787753UL;
   tf->codes[27359] = 0x00016360f5168783UL;
   tf->codes[27360] = 0x000163dfe928099aUL;
   tf->codes[27361] = 0x000164e6f7a3f490UL;
   tf->codes[27362] = 0x000167101288734aUL;
   tf->codes[27363] = 0x0001696762477f76UL;
   tf->codes[27364] = 0x00016a99ac5aacddUL;
   tf->codes[27365] = 0x00016af441979999UL;
   tf->codes[27366] = 0x00016baee979fd89UL;
   tf->codes[27367] = 0x00016ea56e10b94dUL;
   tf->codes[27368] = 0x00016fdcfafd6b67UL;
   tf->codes[27369] = 0x00017265b36955cbUL;
   tf->codes[27370] = 0x0001736151f62047UL;
   tf->codes[27371] = 0x00017492b1cd369aUL;
   tf->codes[27372] = 0x000176116279eb07UL;
   tf->codes[27373] = 0x000176de919d224cUL;
   tf->codes[27374] = 0x0001770a42527047UL;
   tf->codes[27375] = 0x000177d1b97e174fUL;
   tf->codes[27376] = 0x000178495baee0c6UL;
   tf->codes[27377] = 0x00017900952fee2bUL;
   tf->codes[27378] = 0x00017a9c1841798eUL;
   tf->codes[27379] = 0x00017c3b44436141UL;
   tf->codes[27380] = 0x00017cd77fd7c5d8UL;
   tf->codes[27381] = 0x00017e3998aea914UL;
   tf->codes[27382] = 0x00017f32eda539deUL;
   tf->codes[27383] = 0x00017ff4724a4ae4UL;
   tf->codes[27384] = 0x0001826058515e52UL;
   tf->codes[27385] = 0x000184a01885183bUL;
   tf->codes[27386] = 0x000184a2d7395d77UL;
   tf->codes[27387] = 0x0001867c57b20465UL;
   tf->codes[27388] = 0x000187d7ce554050UL;
   tf->codes[27389] = 0x00018a2fcdc15dcbUL;
   tf->codes[27390] = 0x00018bfc4461bbdcUL;
   tf->codes[27391] = 0x000191da6f3ebc5fUL;
   tf->codes[27392] = 0x0001922959fd82dcUL;
   tf->codes[27393] = 0x0001925719ba04c4UL;
   tf->codes[27394] = 0x00019396a83480cdUL;
   tf->codes[27395] = 0x00019497c429d5c1UL;
   tf->codes[27396] = 0x0001955b1d4714efUL;
   tf->codes[27397] = 0x000195a1cbe90bb8UL;
   tf->codes[27398] = 0x0001979e4bdc2563UL;
   tf->codes[27399] = 0x0001995ba99d06aaUL;
   tf->codes[27400] = 0x00019a8ccee51738UL;
   tf->codes[27401] = 0x00019d4590a3bd36UL;
   tf->codes[27402] = 0x00019e3c9c04144eUL;
   tf->codes[27403] = 0x0001a05788452d52UL;
   tf->codes[27404] = 0x0001a0641cff6aa5UL;
   tf->codes[27405] = 0x0001a3d19419de91UL;
   tf->codes[27406] = 0x0001a3e6da0ef722UL;
   tf->codes[27407] = 0x0001a425872323fcUL;
   tf->codes[27408] = 0x0001a6098d4ed450UL;
   tf->codes[27409] = 0x0001a653aa5221a4UL;
   tf->codes[27410] = 0x0001a85e9377a6caUL;
   tf->codes[27411] = 0x0001a97445b50300UL;
   tf->codes[27412] = 0x0001aad5744fcf28UL;
   tf->codes[27413] = 0x0001aaff508ceefbUL;
   tf->codes[27414] = 0x0001ae01ba30d6c3UL;
   tf->codes[27415] = 0x0001af6f0867d4b4UL;
   tf->codes[27416] = 0x0001b35ac3e6b968UL;
   tf->codes[27417] = 0x0001b47d456d58b6UL;
   tf->codes[27418] = 0x0001b537ed4fbca6UL;
   tf->codes[27419] = 0x0001b7b1c76b3005UL;
   tf->codes[27420] = 0x0001b9241decace4UL;
   tf->codes[27421] = 0x0001b9d689b24120UL;
   tf->codes[27422] = 0x0001ba2a7cbb868bUL;
   tf->codes[27423] = 0x0001ba3d3e8b5fa5UL;
   tf->codes[27424] = 0x0001bae17bad8e2bUL;
   tf->codes[27425] = 0x0001bb57f9133ac9UL;
   tf->codes[27426] = 0x0001bc43cf13772cUL;
   tf->codes[27427] = 0x0001bdfb3a4dc271UL;
   tf->codes[27428] = 0x0001beae904f6dc1UL;
   tf->codes[27429] = 0x0001c3b0e847c5bfUL;
   tf->codes[27430] = 0x0001c678fd74ee4cUL;
   tf->codes[27431] = 0x0001cb4e455dd5b1UL;
   tf->codes[27432] = 0x0001cb8406a82188UL;
   tf->codes[27433] = 0x0001d17652af1dc3UL;
   tf->codes[27434] = 0x0001d3350fca21a8UL;
   tf->codes[27435] = 0x0001d7f377d4c819UL;
   tf->codes[27436] = 0x0001d824e081a651UL;
   tf->codes[27437] = 0x0001d8481a8b1ed3UL;
   tf->codes[27438] = 0x0001d9855f6f612aUL;
   tf->codes[27439] = 0x0001d99d9ea7c4bcUL;
   tf->codes[27440] = 0x0001d99f731ff2e4UL;
   tf->codes[27441] = 0x0001dbc55a3220d8UL;
   tf->codes[27442] = 0x0001dc81616ea766UL;
   tf->codes[27443] = 0x0001dda124410178UL;
   tf->codes[27444] = 0x0001de2ef6a2fa94UL;
   tf->codes[27445] = 0x0001de4e129e0b3cUL;
   tf->codes[27446] = 0x0001df5bc34d9d83UL;
   tf->codes[27447] = 0x0001dfbf44546b42UL;
   tf->codes[27448] = 0x0001dfe4c7f41d76UL;
   tf->codes[27449] = 0x0001e3240a3403f0UL;
   tf->codes[27450] = 0x0001e6f7c1098ad7UL;
   tf->codes[27451] = 0x0001e7f35f965553UL;
   tf->codes[27452] = 0x0001e8842b3b9970UL;
   tf->codes[27453] = 0x0001e8880ebafb85UL;
   tf->codes[27454] = 0x0001ea570980990dUL;
   tf->codes[27455] = 0x0001ed02c166f62eUL;
   tf->codes[27456] = 0x0001ef291d972facUL;
   tf->codes[27457] = 0x0001f1fa591d3f01UL;
   tf->codes[27458] = 0x0001f9e5b6b5fe5cUL;
   tf->codes[27459] = 0x0001fddc3276f23bUL;
   tf->codes[27460] = 0x0001ffd83d4c005cUL;
   tf->codes[27461] = 0x00000137225092d2UL;
   tf->codes[27462] = 0x0000042da6e74e96UL;
   tf->codes[27463] = 0x000006e7185305e3UL;
   tf->codes[27464] = 0x0000074013a6ca3cUL;
   tf->codes[27465] = 0x00000878ffed9ef4UL;
   tf->codes[27466] = 0x000008ca6ed1a4e8UL;
   tf->codes[27467] = 0x00000c5cf46dbf7eUL;
   tf->codes[27468] = 0x00000fe3cf8bb3d5UL;
   tf->codes[27469] = 0x00001069a05fe302UL;
   tf->codes[27470] = 0x000010ed622cde42UL;
   tf->codes[27471] = 0x00001344b1ebea6eUL;
   tf->codes[27472] = 0x000014080b09299cUL;
   tf->codes[27473] = 0x00001424684ff508UL;
   tf->codes[27474] = 0x000014367a72bcd3UL;
   tf->codes[27475] = 0x000015725ffcdc8cUL;
   tf->codes[27476] = 0x00001588cabd11f6UL;
   tf->codes[27477] = 0x000016086e7ba55cUL;
   tf->codes[27478] = 0x000016946c657050UL;
   tf->codes[27479] = 0x000017846074148dUL;
   tf->codes[27480] = 0x00001911053528ebUL;
   tf->codes[27481] = 0x00001a6c06ba594cUL;
   tf->codes[27482] = 0x00001b4a9853470dUL;
   tf->codes[27483] = 0x00001bfffd5c264aUL;
   tf->codes[27484] = 0x00001cbefddbf7d9UL;
   tf->codes[27485] = 0x00001d38af13f53dUL;
   tf->codes[27486] = 0x00001dbfdf424708UL;
   tf->codes[27487] = 0x00001f69cb863de6UL;
   tf->codes[27488] = 0x00002116b10d7fc5UL;
   tf->codes[27489] = 0x00002183586d344cUL;
   tf->codes[27490] = 0x0000253de5ce408dUL;
   tf->codes[27491] = 0x000026d5856069dbUL;
   tf->codes[27492] = 0x000029d61a8c237bUL;
   tf->codes[27493] = 0x000029df0656047eUL;
   tf->codes[27494] = 0x00002a98144f400bUL;
   tf->codes[27495] = 0x00002bbd19fb1ed0UL;
   tf->codes[27496] = 0x00002bc46bdbd770UL;
   tf->codes[27497] = 0x00002d317f83cf9cUL;
   tf->codes[27498] = 0x00002fb94db3a2ecUL;
   tf->codes[27499] = 0x00002fef498cf488UL;
   tf->codes[27500] = 0x000032819d6fd13eUL;
   tf->codes[27501] = 0x00003341c2babfa6UL;
   tf->codes[27502] = 0x000034dbe672286bUL;
   tf->codes[27503] = 0x0000359f7a1e6d5eUL;
   tf->codes[27504] = 0x00003a477768de65UL;
   tf->codes[27505] = 0x00003ba4c2844878UL;
   tf->codes[27506] = 0x00003fa4649e231fUL;
   tf->codes[27507] = 0x0000405620b6a60cUL;
   tf->codes[27508] = 0x0000426efdf08b23UL;
   tf->codes[27509] = 0x000043c94fc8aa35UL;
   tf->codes[27510] = 0x0000442b71755556UL;
   tf->codes[27511] = 0x00004445fa43f29aUL;
   tf->codes[27512] = 0x0000466fff648868UL;
   tf->codes[27513] = 0x000049becfa1f736UL;
   tf->codes[27514] = 0x000049f9d3c5c7c0UL;
   tf->codes[27515] = 0x00004d3691e06ec3UL;
   tf->codes[27516] = 0x00004e7f8142d759UL;
   tf->codes[27517] = 0x00004eef21e5d6e1UL;
   tf->codes[27518] = 0x00004fbe9a9f47d8UL;
   tf->codes[27519] = 0x000050d4fc89b55dUL;
   tf->codes[27520] = 0x0000538baf41276eUL;
   tf->codes[27521] = 0x000055a50199180fUL;
   tf->codes[27522] = 0x000056768959bcf3UL;
   tf->codes[27523] = 0x000057576488e466UL;
   tf->codes[27524] = 0x00005a14f403038dUL;
   tf->codes[27525] = 0x00005b55e1d7a234UL;
   tf->codes[27526] = 0x00005d488bc4c3c8UL;
   tf->codes[27527] = 0x00005e57613f72e8UL;
   tf->codes[27528] = 0x00005ff1bf85e172UL;
   tf->codes[27529] = 0x000061dbf2c72d8dUL;
   tf->codes[27530] = 0x0000624d2d535578UL;
   tf->codes[27531] = 0x000065f8a1d4e4efUL;
   tf->codes[27532] = 0x000066712e41c57aUL;
   tf->codes[27533] = 0x000066bf2ec474e3UL;
   tf->codes[27534] = 0x00006856ce569e31UL;
   tf->codes[27535] = 0x00006867bbae4923UL;
   tf->codes[27536] = 0x000068e3415e74afUL;
   tf->codes[27537] = 0x00006a0fd37a11d9UL;
   tf->codes[27538] = 0x00006ac279ceabdaUL;
   tf->codes[27539] = 0x00006b4083a416ddUL;
   tf->codes[27540] = 0x00006de4af1ab599UL;
   tf->codes[27541] = 0x00006defa9ebca89UL;
   tf->codes[27542] = 0x00006e3a017e1da2UL;
   tf->codes[27543] = 0x000070ecd0b62d9eUL;
   tf->codes[27544] = 0x0000718f39602dfcUL;
   tf->codes[27545] = 0x000075b1a065759bUL;
   tf->codes[27546] = 0x00007632de0d3164UL;
   tf->codes[27547] = 0x000078c56c7f13dfUL;
   tf->codes[27548] = 0x00007c11f32648fbUL;
   tf->codes[27549] = 0x00007c4396622cf8UL;
   tf->codes[27550] = 0x00007d9a3f49efbaUL;
   tf->codes[27551] = 0x00007ef83a126b1cUL;
   tf->codes[27552] = 0x0000841296b420e7UL;
   tf->codes[27553] = 0x00008599f89bb092UL;
   tf->codes[27554] = 0x0000865b42b1bbd3UL;
   tf->codes[27555] = 0x000089173842b297UL;
   tf->codes[27556] = 0x000089fc6c0f47a9UL;
   tf->codes[27557] = 0x00008a6186ff3dcbUL;
   tf->codes[27558] = 0x00008ad2fc1a6b7bUL;
   tf->codes[27559] = 0x00008b9cbcdc4c35UL;
   tf->codes[27560] = 0x00008bef15fc693dUL;
   tf->codes[27561] = 0x00008c4bba4089e6UL;
   tf->codes[27562] = 0x00008e02b05cc9a1UL;
   tf->codes[27563] = 0x00008e2b67cecc9bUL;
   tf->codes[27564] = 0x00008e3d3f628ea1UL;
   tf->codes[27565] = 0x00008ee7e4295eb3UL;
   tf->codes[27566] = 0x00008f256c726eb4UL;
   tf->codes[27567] = 0x000090259e2bac94UL;
   tf->codes[27568] = 0x000091004c453840UL;
   tf->codes[27569] = 0x0000917c0c846991UL;
   tf->codes[27570] = 0x00009188a13ea6e4UL;
   tf->codes[27571] = 0x00009428e935e38bUL;
   tf->codes[27572] = 0x0000954836ea3213UL;
   tf->codes[27573] = 0x00009573ad107a49UL;
   tf->codes[27574] = 0x000095e34db379d1UL;
   tf->codes[27575] = 0x000096bd4c1ff42eUL;
   tf->codes[27576] = 0x00009927983ddf39UL;
   tf->codes[27577] = 0x00009a283f1528a3UL;
   tf->codes[27578] = 0x00009a2bad767f2eUL;
   tf->codes[27579] = 0x00009dc92de3aeb4UL;
   tf->codes[27580] = 0x00009fdfc1875a19UL;
   tf->codes[27581] = 0x0000a04eb27d4852UL;
   tf->codes[27582] = 0x0000a57ae6b2c023UL;
   tf->codes[27583] = 0x0000a608b914b93fUL;
   tf->codes[27584] = 0x0000a804143cb611UL;
   tf->codes[27585] = 0x0000a8412767ba88UL;
   tf->codes[27586] = 0x0000a84879487328UL;
   tf->codes[27587] = 0x0000ac14de3d416fUL;
   tf->codes[27588] = 0x0000acda0bd2aec5UL;
   tf->codes[27589] = 0x0000ad9c4024d11aUL;
   tf->codes[27590] = 0x0000b2fee551a611UL;
   tf->codes[27591] = 0x0000b5ee8d25b4bfUL;
   tf->codes[27592] = 0x0000b6515e7f712fUL;
   tf->codes[27593] = 0x0000bae91e1f4893UL;
   tf->codes[27594] = 0x0000bb23e7b41358UL;
   tf->codes[27595] = 0x0000bc32bd2ec278UL;
   tf->codes[27596] = 0x0000bc6e70ffa451UL;
   tf->codes[27597] = 0x0000bcf5dbbcfbe1UL;
   tf->codes[27598] = 0x0000bd3e99662697UL;
   tf->codes[27599] = 0x0000bda1a54ee8ccUL;
   tf->codes[27600] = 0x0000be2a34d75d35UL;
   tf->codes[27601] = 0x0000bf3fe714b96bUL;
   tf->codes[27602] = 0x0000c040535cfd10UL;
   tf->codes[27603] = 0x0000c25d89344fc6UL;
   tf->codes[27604] = 0x0000c48be6f25333UL;
   tf->codes[27605] = 0x0000c48d80db7b96UL;
   tf->codes[27606] = 0x0000c58208169337UL;
   tf->codes[27607] = 0x0000c66d2e69be4bUL;
   tf->codes[27608] = 0x0000c8c3ce7bb928UL;
   tf->codes[27609] = 0x0000cc4c4382d5e2UL;
   tf->codes[27610] = 0x0000cd14df7999c3UL;
   tf->codes[27611] = 0x0000da9a7801a814UL;
   tf->codes[27612] = 0x0000dae9d7de7a1bUL;
   tf->codes[27613] = 0x0000dbc0a278a3b2UL;
   tf->codes[27614] = 0x0000dd8e78732461UL;
   tf->codes[27615] = 0x0000ded67d9975e3UL;
   tf->codes[27616] = 0x0000df67493eba00UL;
   tf->codes[27617] = 0x0000e37d90a7cfd6UL;
   tf->codes[27618] = 0x0000e3abc5825d48UL;
   tf->codes[27619] = 0x0000e577c704afcfUL;
   tf->codes[27620] = 0x0000e6a80210a949UL;
   tf->codes[27621] = 0x0000e79746723c37UL;
   tf->codes[27622] = 0x0000e8e503901df6UL;
   tf->codes[27623] = 0x0000eaaa62dec92cUL;
   tf->codes[27624] = 0x0000ecc51490dc6bUL;
   tf->codes[27625] = 0x0000edb6dd17aed0UL;
   tf->codes[27626] = 0x0000ee09e5e4dd27UL;
   tf->codes[27627] = 0x0000efabd09b0a16UL;
   tf->codes[27628] = 0x0000f1a6f1340123UL;
   tf->codes[27629] = 0x0000f25ba68fcf11UL;
   tf->codes[27630] = 0x0000f31bcbdabd79UL;
   tf->codes[27631] = 0x0000f323584a7bdeUL;
   tf->codes[27632] = 0x0000f4f1a3630817UL;
   tf->codes[27633] = 0x0000f52ef11d1253UL;
   tf->codes[27634] = 0x0000f5d69ca09764UL;
   tf->codes[27635] = 0x0000f6396dfa53d4UL;
   tf->codes[27636] = 0x0000f86b74a8b391UL;
   tf->codes[27637] = 0x0000fa570744224aUL;
   tf->codes[27638] = 0x0000fca7052275d6UL;
   tf->codes[27639] = 0x0000fcf12225c32aUL;
   tf->codes[27640] = 0x0001007c1b521f5bUL;
   tf->codes[27641] = 0x0001065d04e3651aUL;
   tf->codes[27642] = 0x00010ab4b814ed06UL;
   tf->codes[27643] = 0x00010bfde2065b61UL;
   tf->codes[27644] = 0x00010cf7ac1af7b5UL;
   tf->codes[27645] = 0x0001101379c25fe8UL;
   tf->codes[27646] = 0x0001107efc56f796UL;
   tf->codes[27647] = 0x0001121d78abcdfaUL;
   tf->codes[27648] = 0x000112e4059b5deeUL;
   tf->codes[27649] = 0x000113933d8ea164UL;
   tf->codes[27650] = 0x000113dc7055d7a4UL;
   tf->codes[27651] = 0x00011425ddac13a9UL;
   tf->codes[27652] = 0x0001160a1e66c9c2UL;
   tf->codes[27653] = 0x000116d20ab07c54UL;
   tf->codes[27654] = 0x000116eabf06eb70UL;
   tf->codes[27655] = 0x0001171a533b9b80UL;
   tf->codes[27656] = 0x0001183a509cfb57UL;
   tf->codes[27657] = 0x000119bf68ee5150UL;
   tf->codes[27658] = 0x00011b1980376a9dUL;
   tf->codes[27659] = 0x00011bfa20d78c4bUL;
   tf->codes[27660] = 0x00011cdcd07ee1e6UL;
   tf->codes[27661] = 0x00011d6b17fee68cUL;
   tf->codes[27662] = 0x00011dc86bf01884UL;
   tf->codes[27663] = 0x00011e192b270d29UL;
   tf->codes[27664] = 0x00011ef329938786UL;
   tf->codes[27665] = 0x00011fea6f82e463UL;
   tf->codes[27666] = 0x00012461ee5c8e46UL;
   tf->codes[27667] = 0x000124b82afc0d63UL;
   tf->codes[27668] = 0x00012625ee5116deUL;
   tf->codes[27669] = 0x0001265e33c0a22cUL;
   tf->codes[27670] = 0x000127014c17b3d9UL;
   tf->codes[27671] = 0x0001284448f3866dUL;
   tf->codes[27672] = 0x00012bcb5ea08089UL;
   tf->codes[27673] = 0x00012e38de90bc5aUL;
   tf->codes[27674] = 0x00012f518a116391UL;
   tf->codes[27675] = 0x00012f89cf80eedfUL;
   tf->codes[27676] = 0x0001320ea46d772eUL;
   tf->codes[27677] = 0x00013398155c3ac6UL;
   tf->codes[27678] = 0x0001349ee9491ff7UL;
   tf->codes[27679] = 0x0001353c49a8a167UL;
   tf->codes[27680] = 0x00013b43dba4b633UL;
   tf->codes[27681] = 0x00013cb1d988c573UL;
   tf->codes[27682] = 0x00013d213f9cbf36UL;
   tf->codes[27683] = 0x00013e1dc865a0c6UL;
   tf->codes[27684] = 0x00013f2b03f72783UL;
   tf->codes[27685] = 0x00013fd483f2dabcUL;
   tf->codes[27686] = 0x00013fd8dc90485bUL;
   tf->codes[27687] = 0x00013fdab1087683UL;
   tf->codes[27688] = 0x0001417967ec52acUL;
   tf->codes[27689] = 0x0001422f078437aeUL;
   tf->codes[27690] = 0x00014257bef63aa8UL;
   tf->codes[27691] = 0x0001459c440fa5d5UL;
   tf->codes[27692] = 0x0001464673b86a5dUL;
   tf->codes[27693] = 0x000147cbc698c61bUL;
   tf->codes[27694] = 0x000149e76286f06eUL;
   tf->codes[27695] = 0x00014ac83db617e1UL;
   tf->codes[27696] = 0x00014d3b3b0ede2aUL;
   tf->codes[27697] = 0x00014f3e5d359f26UL;
   tf->codes[27698] = 0x00014f92503ee491UL;
   tf->codes[27699] = 0x0001536a9a40dedcUL;
   tf->codes[27700] = 0x000154e9fa9aa498UL;
   tf->codes[27701] = 0x0001553deda3ea03UL;
   tf->codes[27702] = 0x0001559a575904e7UL;
   tf->codes[27703] = 0x0001570a9ed34dd9UL;
   tf->codes[27704] = 0x000159493a3beae9UL;
   tf->codes[27705] = 0x0001598020515399UL;
   tf->codes[27706] = 0x00015a39a3689ab0UL;
   tf->codes[27707] = 0x00015c6b6f87f4a8UL;
   tf->codes[27708] = 0x00015dd49fb08abfUL;
   tf->codes[27709] = 0x000161a6bc9ce943UL;
   tf->codes[27710] = 0x00016224515448bcUL;
   tf->codes[27711] = 0x000162c1b1b3ca2cUL;
   tf->codes[27712] = 0x0001654c0408dcf3UL;
   tf->codes[27713] = 0x000166284c0b9102UL;
   tf->codes[27714] = 0x00016726a94ca0baUL;
   tf->codes[27715] = 0x00016a1f77799630UL;
   tf->codes[27716] = 0x00016cca0a94d678UL;
   tf->codes[27717] = 0x00016fd400a87ca5UL;
   tf->codes[27718] = 0x000172606204c359UL;
   tf->codes[27719] = 0x0001739ecbb42289UL;
   tf->codes[27720] = 0x0001748ebfc2c6c6UL;
   tf->codes[27721] = 0x0001772e929bf7e3UL;
   tf->codes[27722] = 0x000178ff274abdceUL;
   tf->codes[27723] = 0x00017b228a37ac4bUL;
   tf->codes[27724] = 0x00017cf9116d0838UL;
   tf->codes[27725] = 0x000180baf0aecd19UL;
   tf->codes[27726] = 0x00018275552c635fUL;
   tf->codes[27727] = 0x000184395520ebf7UL;
   tf->codes[27728] = 0x000185e5506c16c2UL;
   tf->codes[27729] = 0x00018797edeae8deUL;
   tf->codes[27730] = 0x000188eff62cce3eUL;
   tf->codes[27731] = 0x00018a65f59ea76dUL;
   tf->codes[27732] = 0x00018a6c97d24ebeUL;
   tf->codes[27733] = 0x00018ae474921dfaUL;
   tf->codes[27734] = 0x00018bbdc3518708UL;
   tf->codes[27735] = 0x00018be1ad0810d9UL;
   tf->codes[27736] = 0x00018c84c55f2286UL;
   tf->codes[27737] = 0x00018cc5f6988ed7UL;
   tf->codes[27738] = 0x00018d1ad3ddeb56UL;
   tf->codes[27739] = 0x00018d4cec37daddUL;
   tf->codes[27740] = 0x00018dddb7dd1efaUL;
   tf->codes[27741] = 0x00018e826a1d590aUL;
   tf->codes[27742] = 0x00018f59e46493f0UL;
   tf->codes[27743] = 0x0001914a44bb7bd2UL;
   tf->codes[27744] = 0x0001915fffce9fedUL;
   tf->codes[27745] = 0x0001927b2f74869bUL;
   tf->codes[27746] = 0x000194037b982d5aUL;
   tf->codes[27747] = 0x0001944a2a3a2423UL;
   tf->codes[27748] = 0x000194c99369b1c4UL;
   tf->codes[27749] = 0x000195a9845cc223UL;
   tf->codes[27750] = 0x000195e2ee976a4aUL;
   tf->codes[27751] = 0x000197a6b3fced1dUL;
   tf->codes[27752] = 0x000197f180ad4bc0UL;
   tf->codes[27753] = 0x0001993c4487e27eUL;
   tf->codes[27754] = 0x00019bff8bf991e2UL;
   tf->codes[27755] = 0x00019c38bba53444UL;
   tf->codes[27756] = 0x00019c78c81383bcUL;
   tf->codes[27757] = 0x00019c7b4c38c333UL;
   tf->codes[27758] = 0x00019da08c73a7bdUL;
   tf->codes[27759] = 0x00019df912a9608cUL;
   tf->codes[27760] = 0x00019eb6794009b8UL;
   tf->codes[27761] = 0x00019f41525eb7d3UL;
   tf->codes[27762] = 0x0001a0f255f4618cUL;
   tf->codes[27763] = 0x0001a2968a40c82dUL;
   tf->codes[27764] = 0x0001a2f06fd0a39aUL;
   tf->codes[27765] = 0x0001a321d87d81d2UL;
   tf->codes[27766] = 0x0001a372d2437c3cUL;
   tf->codes[27767] = 0x0001a50b96a0c263UL;
   tf->codes[27768] = 0x0001a754b7bc68d9UL;
   tf->codes[27769] = 0x0001a9e0696b9e3eUL;
   tf->codes[27770] = 0x0001aa224a521bdeUL;
   tf->codes[27771] = 0x0001ab123e60c01bUL;
   tf->codes[27772] = 0x0001abb298038c8cUL;
   tf->codes[27773] = 0x0001abee4bd46e65UL;
   tf->codes[27774] = 0x0001acb588710fa8UL;
   tf->codes[27775] = 0x0001ad5cbed6892fUL;
   tf->codes[27776] = 0x0001ad64faf358e3UL;
   tf->codes[27777] = 0x0001ad6a785be35bUL;
   tf->codes[27778] = 0x0001adcac5906054UL;
   tf->codes[27779] = 0x0001aec713ca3c1fUL;
   tf->codes[27780] = 0x0001af09a45dcb0eUL;
   tf->codes[27781] = 0x0001b0b9832857eeUL;
   tf->codes[27782] = 0x0001b1127e7c1c47UL;
   tf->codes[27783] = 0x0001b2327bdd7c1eUL;
   tf->codes[27784] = 0x0001b361ccad5e84UL;
   tf->codes[27785] = 0x0001b54906ab5f9eUL;
   tf->codes[27786] = 0x0001b5fc5cad0aeeUL;
   tf->codes[27787] = 0x0001b6c86705255aUL;
   tf->codes[27788] = 0x0001b7697055031aUL;
   tf->codes[27789] = 0x0001b7f77d4601fbUL;
   tf->codes[27790] = 0x0001ba4b5ea3b79cUL;
   tf->codes[27791] = 0x0001bac79400f477UL;
   tf->codes[27792] = 0x0001baf37f454837UL;
   tf->codes[27793] = 0x0001bd337a0807e5UL;
   tf->codes[27794] = 0x0001bdaaa71ac5d2UL;
   tf->codes[27795] = 0x0001bf1c13602b9dUL;
   tf->codes[27796] = 0x0001bf415c70d80cUL;
   tf->codes[27797] = 0x0001c23e48ac355cUL;
   tf->codes[27798] = 0x0001c2668b002cccUL;
   tf->codes[27799] = 0x0001c3c44b39a269UL;
   tf->codes[27800] = 0x0001c5cc008cd6c9UL;
   tf->codes[27801] = 0x0001c6e81a6ed48bUL;
   tf->codes[27802] = 0x0001c7444994e9aaUL;
   tf->codes[27803] = 0x0001c89f4b1a1a0bUL;
   tf->codes[27804] = 0x0001cc5ee0c5a53aUL;
   tf->codes[27805] = 0x0001d2148ebfa888UL;
   tf->codes[27806] = 0x0001d2b90670dcd3UL;
   tf->codes[27807] = 0x0001d2dec49f94ccUL;
   tf->codes[27808] = 0x0001d2fd6b7c99eaUL;
   tf->codes[27809] = 0x0001d6e6a2d63f27UL;
   tf->codes[27810] = 0x0001d9bd5bc4d8f4UL;
   tf->codes[27811] = 0x0001dba286bba621UL;
   tf->codes[27812] = 0x0001dc7d6f643792UL;
   tf->codes[27813] = 0x0001df1c5801519bUL;
   tf->codes[27814] = 0x0001df9ad6f4c828UL;
   tf->codes[27815] = 0x0001e2c6a7b7c439UL;
   tf->codes[27816] = 0x0001e3861d55a152UL;
   tf->codes[27817] = 0x0001e3cba72c7b42UL;
   tf->codes[27818] = 0x0001e425c74b5c74UL;
   tf->codes[27819] = 0x0001e51d0d3ab951UL;
   tf->codes[27820] = 0x0001e554dd8c3915UL;
   tf->codes[27821] = 0x0001e57bfb1513acUL;
   tf->codes[27822] = 0x0001e64755c01cc9UL;
   tf->codes[27823] = 0x0001e6bd2378b818UL;
   tf->codes[27824] = 0x0001e7a96e970005UL;
   tf->codes[27825] = 0x0001e81406ef809fUL;
   tf->codes[27826] = 0x0001e904358d2aa1UL;
   tf->codes[27827] = 0x0001eac417734b5fUL;
   tf->codes[27828] = 0x0001edabbdb9901eUL;
   tf->codes[27829] = 0x0001ede612304f59UL;
   tf->codes[27830] = 0x0001eee434e2594cUL;
   tf->codes[27831] = 0x0001ef8a0bedb035UL;
   tf->codes[27832] = 0x0001f13a9a654e64UL;
   tf->codes[27833] = 0x0001f1ab5fd36ac5UL;
   tf->codes[27834] = 0x0001f1ef4fc11c52UL;
   tf->codes[27835] = 0x0001f32df3ff8147UL;
   tf->codes[27836] = 0x0001f5ca1de85614UL;
   tf->codes[27837] = 0x0001faeb91dbbebaUL;
   tf->codes[27838] = 0x0001fb5c1cbad556UL;
   tf->codes[27839] = 0x0001fc895e8383cfUL;
   tf->codes[27840] = 0x0001fcc671ae8846UL;
   tf->codes[27841] = 0x0001ff3257b59bb4UL;
   tf->codes[27842] = 0x0001ff5ce39fccd6UL;
   tf->codes[27843] = 0x00000291dabbafafUL;
   tf->codes[27844] = 0x00000351c5779852UL;
   tf->codes[27845] = 0x000003f5c80ac113UL;
   tf->codes[27846] = 0x00000649e3f77c79UL;
   tf->codes[27847] = 0x00001229e8d9018bUL;
   tf->codes[27848] = 0x0000142802b54399UL;
   tf->codes[27849] = 0x0000149caba2c20fUL;
   tf->codes[27850] = 0x000016b96c5c093bUL;
   tf->codes[27851] = 0x000017b6a4d1fc1aUL;
   tf->codes[27852] = 0x0000182311a2aadcUL;
   tf->codes[27853] = 0x00001a12129f7020UL;
   tf->codes[27854] = 0x00001e8f0ee1a47bUL;
   tf->codes[27855] = 0x00001f773bf1848eUL;
   tf->codes[27856] = 0x0000209390628815UL;
   tf->codes[27857] = 0x0000258a3ddcb9d4UL;
   tf->codes[27858] = 0x000026fc59cf30eeUL;
   tf->codes[27859] = 0x000027bcf4382ae0UL;
   tf->codes[27860] = 0x00002a757b67cb19UL;
   tf->codes[27861] = 0x00002ad1e51ce5fdUL;
   tf->codes[27862] = 0x00002af88d87b50aUL;
   tf->codes[27863] = 0x00002ca9568e58feUL;
   tf->codes[27864] = 0x00002ce544ee409cUL;
   tf->codes[27865] = 0x00002d5cac90044eUL;
   tf->codes[27866] = 0x00002f1c19581982UL;
   tf->codes[27867] = 0x00002fc3ff6aa458UL;
   tf->codes[27868] = 0x000031e344492afbUL;
   tf->codes[27869] = 0x000032bba8cc7cf5UL;
   tf->codes[27870] = 0x000034c40dccc2a4UL;
   tf->codes[27871] = 0x000034d44b775c47UL;
   tf->codes[27872] = 0x00003a1291cf9be3UL;
   tf->codes[27873] = 0x00003abc4c5a54e1UL;
   tf->codes[27874] = 0x00003db25bd3051bUL;
   tf->codes[27875] = 0x00003dc174b281e5UL;
   tf->codes[27876] = 0x00003deaa1429069UL;
   tf->codes[27877] = 0x00003e173c33f578UL;
   tf->codes[27878] = 0x0000409a021949daUL;
   tf->codes[27879] = 0x00004188d15cd13eUL;
   tf->codes[27880] = 0x00004247974d9d08UL;
   tf->codes[27881] = 0x00004301ca11f56eUL;
   tf->codes[27882] = 0x00004353ae1406ecUL;
   tf->codes[27883] = 0x000043858bdef0aeUL;
   tf->codes[27884] = 0x000044d8c6655ce5UL;
   tf->codes[27885] = 0x000046108de114c4UL;
   tf->codes[27886] = 0x000046fac9f828c4UL;
   tf->codes[27887] = 0x000048b9c1a2326eUL;
   tf->codes[27888] = 0x000048d8a30e3d51UL;
   tf->codes[27889] = 0x00004ab22386e43fUL;
   tf->codes[27890] = 0x00004bb6addd8fbeUL;
   tf->codes[27891] = 0x00004caafa89a19aUL;
   tf->codes[27892] = 0x00004cc8077d7e55UL;
   tf->codes[27893] = 0x00004cef250658ecUL;
   tf->codes[27894] = 0x00004e7f3828c3d5UL;
   tf->codes[27895] = 0x00004ea14d671f7eUL;
   tf->codes[27896] = 0x00004f48f8eaa48fUL;
   tf->codes[27897] = 0x00005158753c9d19UL;
   tf->codes[27898] = 0x000052dd8d8df312UL;
   tf->codes[27899] = 0x000053bea34c204aUL;
   tf->codes[27900] = 0x000054a118647020UL;
   tf->codes[27901] = 0x00005577e2fe99b7UL;
   tf->codes[27902] = 0x000055e7f8bfa4c9UL;
   tf->codes[27903] = 0x00005628052df441UL;
   tf->codes[27904] = 0x000056cae2f60029UL;
   tf->codes[27905] = 0x0000583119db4b3fUL;
   tf->codes[27906] = 0x00005b0ca0855e35UL;
   tf->codes[27907] = 0x00005b54e9107d61UL;
   tf->codes[27908] = 0x00005dcefdbaf685UL;
   tf->codes[27909] = 0x00005dcf72d9020fUL;
   tf->codes[27910] = 0x00005dfd329583f7UL;
   tf->codes[27911] = 0x00005e46da7ac5c1UL;
   tf->codes[27912] = 0x00005f23227d79d0UL;
   tf->codes[27913] = 0x00005f62b9cdbdbeUL;
   tf->codes[27914] = 0x0000628bcbdc7493UL;
   tf->codes[27915] = 0x000064faab26d302UL;
   tf->codes[27916] = 0x0000672add5d0497UL;
   tf->codes[27917] = 0x000067dc99758784UL;
   tf->codes[27918] = 0x0000688912b485beUL;
   tf->codes[27919] = 0x000068fdf63109f9UL;
   tf->codes[27920] = 0x0000697941522fc0UL;
   tf->codes[27921] = 0x000069801e14dcd6UL;
   tf->codes[27922] = 0x00006e69fc45cb7dUL;
   tf->codes[27923] = 0x00006fd6d55ebde4UL;
   tf->codes[27924] = 0x0000703b06129cf2UL;
   tf->codes[27925] = 0x00007041332838b9UL;
   tf->codes[27926] = 0x0000707e0bc4376bUL;
   tf->codes[27927] = 0x000070dde3daa8daUL;
   tf->codes[27928] = 0x000070e1c75a0aefUL;
   tf->codes[27929] = 0x000071804c84a938UL;
   tf->codes[27930] = 0x000071e985830734UL;
   tf->codes[27931] = 0x00007365b20a7c2aUL;
   tf->codes[27932] = 0x000073bf227c4c0dUL;
   tf->codes[27933] = 0x0000740521713187UL;
   tf->codes[27934] = 0x000074827b998b3bUL;
   tf->codes[27935] = 0x0000761dfeab169eUL;
   tf->codes[27936] = 0x0000764bf8f69e4bUL;
   tf->codes[27937] = 0x00007774a792d960UL;
   tf->codes[27938] = 0x0000785f9356feafUL;
   tf->codes[27939] = 0x00007a8b6cefc2a5UL;
   tf->codes[27940] = 0x00007b8412394220UL;
   tf->codes[27941] = 0x00007e1ccdc0c062UL;
   tf->codes[27942] = 0x00007e2a87461a8eUL;
   tf->codes[27943] = 0x00007efbd477b9adUL;
   tf->codes[27944] = 0x00007f45073eefedUL;
   tf->codes[27945] = 0x00007fa9e79fe04aUL;
   tf->codes[27946] = 0x00007fc8195ed9deUL;
   tf->codes[27947] = 0x000081598bdb6765UL;
   tf->codes[27948] = 0x0000825773fe6b93UL;
   tf->codes[27949] = 0x0000839ddf3b94b2UL;
   tf->codes[27950] = 0x0000840a117d3dafUL;
   tf->codes[27951] = 0x000084f44d9451afUL;
   tf->codes[27952] = 0x0000851f892b9420UL;
   tf->codes[27953] = 0x000088305c01e763UL;
   tf->codes[27954] = 0x000088ee37b69c19UL;
   tf->codes[27955] = 0x000089fc5d8439eaUL;
   tf->codes[27956] = 0x00008ae156c1c937UL;
   tf->codes[27957] = 0x00008b42191451baUL;
   tf->codes[27958] = 0x00008be2ad4623f0UL;
   tf->codes[27959] = 0x00008d887b7bb2f4UL;
   tf->codes[27960] = 0x00008dabf014313bUL;
   tf->codes[27961] = 0x00008fc8eb5c7e2cUL;
   tf->codes[27962] = 0x000090dfc264f73bUL;
   tf->codes[27963] = 0x00009264dab64d34UL;
   tf->codes[27964] = 0x000096f289c126bcUL;
   tf->codes[27965] = 0x000099780e5ac05aUL;
   tf->codes[27966] = 0x00009abd54cccca0UL;
   tf->codes[27967] = 0x00009ac297a65153UL;
   tf->codes[27968] = 0x00009cdc99ab5343UL;
   tf->codes[27969] = 0x00009cf21a2f7199UL;
   tf->codes[27970] = 0x00009d3e4639f2daUL;
   tf->codes[27971] = 0x00009d3f6b050fb3UL;
   tf->codes[27972] = 0x00009fd6c7326b57UL;
   tf->codes[27973] = 0x0000a24989fc2bdbUL;
   tf->codes[27974] = 0x0000a3b0708e8840UL;
   tf->codes[27975] = 0x0000a3b921c9637eUL;
   tf->codes[27976] = 0x0000a46ec1614880UL;
   tf->codes[27977] = 0x0000a7291d0916e1UL;
   tf->codes[27978] = 0x0000a76a4e428332UL;
   tf->codes[27979] = 0x0000a7a6ec4f7c1fUL;
   tf->codes[27980] = 0x0000a866275e5373UL;
   tf->codes[27981] = 0x0000a9205a22abd9UL;
   tf->codes[27982] = 0x0000a933cb9f9642UL;
   tf->codes[27983] = 0x0000a98ba2283dc2UL;
   tf->codes[27984] = 0x0000a9a6a014e690UL;
   tf->codes[27985] = 0x0000a9e07f6d9a41UL;
   tf->codes[27986] = 0x0000a9fa931e2bfbUL;
   tf->codes[27987] = 0x0000aa7394a91810UL;
   tf->codes[27988] = 0x0000aaf50cdfd99eUL;
   tf->codes[27989] = 0x0000acc5dc1da54eUL;
   tf->codes[27990] = 0x0000af975232ba68UL;
   tf->codes[27991] = 0x0000b2316d145b48UL;
   tf->codes[27992] = 0x0000b24553af513bUL;
   tf->codes[27993] = 0x0000b2d8a379d4cfUL;
   tf->codes[27994] = 0x0000b377d8518467UL;
   tf->codes[27995] = 0x0000b37ce09c0355UL;
   tf->codes[27996] = 0x0000b4ed9d3457d1UL;
   tf->codes[27997] = 0x0000b5248349c081UL;
   tf->codes[27998] = 0x0000b5ba5739838cUL;
   tf->codes[27999] = 0x0000b759bdca7104UL;
   tf->codes[28000] = 0x0000b818be4a4293UL;
   tf->codes[28001] = 0x0000b9a4eded4b67UL;
   tf->codes[28002] = 0x0000bc0e4fcf1f5eUL;
   tf->codes[28003] = 0x0000bc8eddc9c9d8UL;
   tf->codes[28004] = 0x0000bddea9eedf84UL;
   tf->codes[28005] = 0x0000c0dd6aa26afcUL;
   tf->codes[28006] = 0x0000c3289ac5455fUL;
   tf->codes[28007] = 0x0000c3d3b4aa20fbUL;
   tf->codes[28008] = 0x0000c4c50812e7d6UL;
   tf->codes[28009] = 0x0000c719d3acb48bUL;
   tf->codes[28010] = 0x0000cd78176653feUL;
   tf->codes[28011] = 0x0000d29e1e863008UL;
   tf->codes[28012] = 0x0000d48f69192efeUL;
   tf->codes[28013] = 0x0000d76ab5343c2fUL;
   tf->codes[28014] = 0x0000dbaebc59d3edUL;
   tf->codes[28015] = 0x0000df20c6a0bb3dUL;
   tf->codes[28016] = 0x0000e6a44a953f3aUL;
   tf->codes[28017] = 0x0000e83c5f457412UL;
   tf->codes[28018] = 0x0000e8af6e49ca25UL;
   tf->codes[28019] = 0x0000ea3ed1bf23bfUL;
   tf->codes[28020] = 0x0000ea6c917ba5a7UL;
   tf->codes[28021] = 0x0000ee99b8c2fc71UL;
   tf->codes[28022] = 0x0000f661dc52434aUL;
   tf->codes[28023] = 0x0000faa533cac9b9UL;
   tf->codes[28024] = 0x0000fac9929f5f14UL;
   tf->codes[28025] = 0x0000ff28d240a565UL;
   tf->codes[28026] = 0x000102bc4218d70fUL;
   tf->codes[28027] = 0x0001057ba60b245eUL;
   tf->codes[28028] = 0x00010655a4779ebbUL;
   tf->codes[28029] = 0x000108e9ccd2a999UL;
   tf->codes[28030] = 0x00010a8256a0e9fbUL;
   tf->codes[28031] = 0x00010af18225ddf9UL;
   tf->codes[28032] = 0x00010b4af297addcUL;
   tf->codes[28033] = 0x00010be176348236UL;
   tf->codes[28034] = 0x00010c4656957293UL;
   tf->codes[28035] = 0x00010ce550de1c66UL;
   tf->codes[28036] = 0x00010f8055fbd45aUL;
   tf->codes[28037] = 0x0001120f00ee54c0UL;
   tf->codes[28038] = 0x000114401d609d69UL;
   tf->codes[28039] = 0x0001154ad4cce4afUL;
   tf->codes[28040] = 0x000117b4abccc430UL;
   tf->codes[28041] = 0x000117dcb391b5dbUL;
   tf->codes[28042] = 0x0001183d75e43e5eUL;
   tf->codes[28043] = 0x00011c187e9a7de5UL;
   tf->codes[28044] = 0x00011d943603e751UL;
   tf->codes[28045] = 0x00011e4b34f5eef1UL;
   tf->codes[28046] = 0x00011e8bb68249f3UL;
   tf->codes[28047] = 0x00011ed105ca1e1eUL;
   tf->codes[28048] = 0x000120b3720ca60fUL;
   tf->codes[28049] = 0x00012442c3d66fdfUL;
   tf->codes[28050] = 0x0001256e6bb5f5f5UL;
   tf->codes[28051] = 0x000126feb96766a3UL;
   tf->codes[28052] = 0x0001284aa20d1a3aUL;
   tf->codes[28053] = 0x00012b169ab9a4dcUL;
   tf->codes[28054] = 0x00012d836afccf5eUL;
   tf->codes[28055] = 0x0001302378650640UL;
   tf->codes[28056] = 0x0001307bc40bb94aUL;
   tf->codes[28057] = 0x000131278d9da635UL;
   tf->codes[28058] = 0x000131929b143259UL;
   tf->codes[28059] = 0x000135c873966461UL;
   tf->codes[28060] = 0x0001372808480826UL;
   tf->codes[28061] = 0x00013a7663676b6aUL;
   tf->codes[28062] = 0x00013c86c9f57b08UL;
   tf->codes[28063] = 0x00013cc69bd4c4bbUL;
   tf->codes[28064] = 0x00013d50ffd5674cUL;
   tf->codes[28065] = 0x00013d55cd90e075UL;
   tf->codes[28066] = 0x00013fca9f61d4e6UL;
   tf->codes[28067] = 0x00014085474438d6UL;
   tf->codes[28068] = 0x0001408b7459d49dUL;
   tf->codes[28069] = 0x0001415b27a24b59UL;
   tf->codes[28070] = 0x0001425cf344b19cUL;
   tf->codes[28071] = 0x000143146754c4c6UL;
   tf->codes[28072] = 0x0001441b3b41a9f7UL;
   tf->codes[28073] = 0x000144b0d4a2673dUL;
   tf->codes[28074] = 0x00014ba4772dbe31UL;
   tf->codes[28075] = 0x00014ca976a2753aUL;
   tf->codes[28076] = 0x0001535df6fb93caUL;
   tf->codes[28077] = 0x00015381a62317d6UL;
   tf->codes[28078] = 0x000153ea2f746483UL;
   tf->codes[28079] = 0x000154871ab5da69UL;
   tf->codes[28080] = 0x000155748a9f3f2fUL;
   tf->codes[28081] = 0x00015665a3790045UL;
   tf->codes[28082] = 0x00015ae17af017c7UL;
   tf->codes[28083] = 0x00015b19faeea8daUL;
   tf->codes[28084] = 0x00015f679d8b32eaUL;
   tf->codes[28085] = 0x0001613e24c08ed7UL;
   tf->codes[28086] = 0x000161636dd13b46UL;
   tf->codes[28087] = 0x000161a96cc620c0UL;
   tf->codes[28088] = 0x00016212e0538481UL;
   tf->codes[28089] = 0x000162c6e6024120UL;
   tf->codes[28090] = 0x000162d75e3be088UL;
   tf->codes[28091] = 0x0001646a6aa19672UL;
   tf->codes[28092] = 0x000165342b63772cUL;
   tf->codes[28093] = 0x000166c8d1b25579UL;
   tf->codes[28094] = 0x000166c9bbee6c8dUL;
   tf->codes[28095] = 0x00016974feb6be24UL;
   tf->codes[28096] = 0x00016dfda57718beUL;
   tf->codes[28097] = 0x00016ee906594997UL;
   tf->codes[28098] = 0x0001712a9b0531a8UL;
   tf->codes[28099] = 0x0001716948195e82UL;
   tf->codes[28100] = 0x000172dfbca9433bUL;
   tf->codes[28101] = 0x0001739c3903d553UL;
   tf->codes[28102] = 0x00017450b3d09d7cUL;
   tf->codes[28103] = 0x000176786f5af998UL;
   tf->codes[28104] = 0x000177eb006b7c3cUL;
   tf->codes[28105] = 0x00017a7ca4a147a3UL;
   tf->codes[28106] = 0x00017bb1ad68ba46UL;
   tf->codes[28107] = 0x00017c2cf889e00dUL;
   tf->codes[28108] = 0x00017e92ec0a5d79UL;
   tf->codes[28109] = 0x00017f2bb93d6b85UL;
   tf->codes[28110] = 0x0001817081bba45cUL;
   tf->codes[28111] = 0x0001828a8c966e31UL;
   tf->codes[28112] = 0x000182f2db58b519UL;
   tf->codes[28113] = 0x000186d5ab0db8caUL;
   tf->codes[28114] = 0x000189411bf6c0aeUL;
   tf->codes[28115] = 0x00018b146f59cbd5UL;
   tf->codes[28116] = 0x00018de9194131b5UL;
   tf->codes[28117] = 0x00018f1e2208a458UL;
   tf->codes[28118] = 0x00019020283a1060UL;
   tf->codes[28119] = 0x0001948e0b9cc7f1UL;
   tf->codes[28120] = 0x000194a81f4d59abUL;
   tf->codes[28121] = 0x00019574643479dcUL;
   tf->codes[28122] = 0x0001971f75438d93UL;
   tf->codes[28123] = 0x0001976f84cd70e9UL;
   tf->codes[28124] = 0x0001999e923885a5UL;
   tf->codes[28125] = 0x00019ce22d15d9beUL;
   tf->codes[28126] = 0x00019d85ba8af6f5UL;
   tf->codes[28127] = 0x00019fc5402fab19UL;
   tf->codes[28128] = 0x0001a0c1194b7b5aUL;
   tf->codes[28129] = 0x0001a25b7791e9e4UL;
   tf->codes[28130] = 0x0001a2b97b302d2bUL;
   tf->codes[28131] = 0x0001a2bf6db6c32dUL;
   tf->codes[28132] = 0x0001a2c38bc52b07UL;
   tf->codes[28133] = 0x0001a37b3a6443f6UL;
   tf->codes[28134] = 0x0001a59835ac90e7UL;
   tf->codes[28135] = 0x0001a66ddb7b9da5UL;
   tf->codes[28136] = 0x0001abd6adbe0e63UL;
   tf->codes[28137] = 0x0001ac6ff00f27f9UL;
   tf->codes[28138] = 0x0001ad230b81cd84UL;
   tf->codes[28139] = 0x0001b00d707c577fUL;
   tf->codes[28140] = 0x0001b09ca2387339UL;
   tf->codes[28141] = 0x0001b1c1a7e451feUL;
   tf->codes[28142] = 0x0001b2a66692db86UL;
   tf->codes[28143] = 0x0001b2a6dbb0e710UL;
   tf->codes[28144] = 0x0001ba59f3da1b1dUL;
   tf->codes[28145] = 0x0001ba9ece03e3beUL;
   tf->codes[28146] = 0x0001bc1b6fa9643eUL;
   tf->codes[28147] = 0x0001bde5d7428e62UL;
   tf->codes[28148] = 0x0001c562095659bfUL;
   tf->codes[28149] = 0x0001c6b8b23e1c81UL;
   tf->codes[28150] = 0x0001cb08d8ffe608UL;
   tf->codes[28151] = 0x0001cbfc3b6fe0d0UL;
   tf->codes[28152] = 0x0001d15ea60db002UL;
   tf->codes[28153] = 0x0001d22483502ea7UL;
   tf->codes[28154] = 0x0001d27c9467dbecUL;
   tf->codes[28155] = 0x0001d6c8d7aa435eUL;
   tf->codes[28156] = 0x0001d743388f5211UL;
   tf->codes[28157] = 0x0001d7ae0b76d870UL;
   tf->codes[28158] = 0x0001d9f6425667d2UL;
   tf->codes[28159] = 0x0001da9bded2b8f6UL;
   tf->codes[28160] = 0x0001daf256013dd8UL;
   tf->codes[28161] = 0x0001db9c85aa0260UL;
   tf->codes[28162] = 0x0001dbb4153554a3UL;
   tf->codes[28163] = 0x0001dc0424bf37f9UL;
   tf->codes[28164] = 0x0001dc13030faefeUL;
   tf->codes[28165] = 0x0001dc49ae9611e9UL;
   tf->codes[28166] = 0x0001dc69ef5c3f6aUL;
   tf->codes[28167] = 0x0001dd5e3c085146UL;
   tf->codes[28168] = 0x0001df25354024dfUL;
   tf->codes[28169] = 0x0001df31c9fa6232UL;
   tf->codes[28170] = 0x0001e06f0edea489UL;
   tf->codes[28171] = 0x0001e1c3e34e3923UL;
   tf->codes[28172] = 0x0001e3bec9582a6bUL;
   tf->codes[28173] = 0x0001e41abdef39c5UL;
   tf->codes[28174] = 0x0001e5311fd9a74aUL;
   tf->codes[28175] = 0x0001e72cb590a9e1UL;
   tf->codes[28176] = 0x0001e7d92ecfa81bUL;
   tf->codes[28177] = 0x0001ea751e297723UL;
   tf->codes[28178] = 0x0001ed3f07cecdd8UL;
   tf->codes[28179] = 0x0001efa6201a681dUL;
   tf->codes[28180] = 0x0001f0acb9784789UL;
   tf->codes[28181] = 0x0001f0c4490399ccUL;
   tf->codes[28182] = 0x0001f302a9dd3117UL;
   tf->codes[28183] = 0x0001f4b5475c0333UL;
   tf->codes[28184] = 0x0001f55b938565a6UL;
   tf->codes[28185] = 0x0001f59990ec8131UL;
   tf->codes[28186] = 0x0001f660586b16eaUL;
   tf->codes[28187] = 0x0001f69f400e4989UL;
   tf->codes[28188] = 0x0001f94fc5b01fd3UL;
   tf->codes[28189] = 0x0001f959d6451dafUL;
   tf->codes[28190] = 0x0001fa13595c64c6UL;
   tf->codes[28191] = 0x0001fa69d08ae9a8UL;
   tf->codes[28192] = 0x0001fa795e8871fcUL;
   tf->codes[28193] = 0x0001fba3a70dd574UL;
   tf->codes[28194] = 0x0001fe66b3f07f13UL;
   tf->codes[28195] = 0x0000054585a4c900UL;
   tf->codes[28196] = 0x000005c529635c66UL;
   tf->codes[28197] = 0x00000688f79ea71eUL;
   tf->codes[28198] = 0x00000773a8d3c6a8UL;
   tf->codes[28199] = 0x00000b212c5c8a0cUL;
   tf->codes[28200] = 0x00000c257c242fc6UL;
   tf->codes[28201] = 0x00000d7ac5b1cfeaUL;
   tf->codes[28202] = 0x00000f8f4a4e4762UL;
   tf->codes[28203] = 0x0000109cfafdd9a9UL;
   tf->codes[28204] = 0x000011030029e6dfUL;
   tf->codes[28205] = 0x000013758864a19eUL;
   tf->codes[28206] = 0x000013fd684004b8UL;
   tf->codes[28207] = 0x000016a9cfd37328UL;
   tf->codes[28208] = 0x00001a332f16a6f6UL;
   tf->codes[28209] = 0x00001be3bd8e4525UL;
   tf->codes[28210] = 0x00001cf810717ebdUL;
   tf->codes[28211] = 0x00001dae25276f49UL;
   tf->codes[28212] = 0x00001ed5746987c0UL;
   tf->codes[28213] = 0x0000207a5862ffb0UL;
   tf->codes[28214] = 0x000022105e0c009bUL;
   tf->codes[28215] = 0x00002227b3084d19UL;
   tf->codes[28216] = 0x000023a32fe2b0c0UL;
   tf->codes[28217] = 0x000025c7427cb08cUL;
   tf->codes[28218] = 0x000025d74598446aUL;
   tf->codes[28219] = 0x000027604168fc78UL;
   tf->codes[28220] = 0x0000299df2958274UL;
   tf->codes[28221] = 0x00002a8a3db3ca61UL;
   tf->codes[28222] = 0x00002ae8b6701932UL;
   tf->codes[28223] = 0x00002b304f4e270fUL;
   tf->codes[28224] = 0x00002b55985ed37eUL;
   tf->codes[28225] = 0x00002d3ac355a0abUL;
   tf->codes[28226] = 0x00002e3b2f9de450UL;
   tf->codes[28227] = 0x00003021b9eed41bUL;
   tf->codes[28228] = 0x00003052385f9b3fUL;
   tf->codes[28229] = 0x00003344d976f4eeUL;
   tf->codes[28230] = 0x000035156e25bad9UL;
   tf->codes[28231] = 0x00003520a385d58eUL;
   tf->codes[28232] = 0x000035d51e529db7UL;
   tf->codes[28233] = 0x0000364f0a19a0e0UL;
   tf->codes[28234] = 0x000038d9d18cbf31UL;
   tf->codes[28235] = 0x00003a66764dd38fUL;
   tf->codes[28236] = 0x00003ac897fa7eb0UL;
   tf->codes[28237] = 0x00003be3528259d4UL;
   tf->codes[28238] = 0x00003c3b290b0154UL;
   tf->codes[28239] = 0x00003f5fa7ed44c5UL;
   tf->codes[28240] = 0x00004201feebb559UL;
   tf->codes[28241] = 0x000042f5d679bbabUL;
   tf->codes[28242] = 0x00004325301f65f6UL;
   tf->codes[28243] = 0x000043a5f8a91635UL;
   tf->codes[28244] = 0x0000442527499e11UL;
   tf->codes[28245] = 0x00004434b5472665UL;
   tf->codes[28246] = 0x000045151b58424eUL;
   tf->codes[28247] = 0x00004654a9d2be57UL;
   tf->codes[28248] = 0x000046d5e77a7a20UL;
   tf->codes[28249] = 0x000046ff4e998e69UL;
   tf->codes[28250] = 0x00004aca54343a12UL;
   tf->codes[28251] = 0x00004b98e2b193f5UL;
   tf->codes[28252] = 0x00004d1c268abbc6UL;
   tf->codes[28253] = 0x00004ec6fd0ac9b8UL;
   tf->codes[28254] = 0x00004fce0b86b4aeUL;
   tf->codes[28255] = 0x000054f362f97f69UL;
   tf->codes[28256] = 0x0000559ad3edfeb5UL;
   tf->codes[28257] = 0x000055e31c791de1UL;
   tf->codes[28258] = 0x00005b1801e970f0UL;
   tf->codes[28259] = 0x00005b199bd29953UL;
   tf->codes[28260] = 0x00005caa99311b50UL;
   tf->codes[28261] = 0x000062c5d739204aUL;
   tf->codes[28262] = 0x00006454c5906e5aUL;
   tf->codes[28263] = 0x00006477ff99e6dcUL;
   tf->codes[28264] = 0x0000649b39a35f5eUL;
   tf->codes[28265] = 0x000066f7571de4b3UL;
   tf->codes[28266] = 0x000067db661f5cecUL;
   tf->codes[28267] = 0x000068dd6c50c8f4UL;
   tf->codes[28268] = 0x00006aa42af996c8UL;
   tf->codes[28269] = 0x00006ce7598ea73cUL;
   tf->codes[28270] = 0x00006d9ecd9eba66UL;
   tf->codes[28271] = 0x00006dfa1288b871UL;
   tf->codes[28272] = 0x00006f7e060ef191UL;
   tf->codes[28273] = 0x00006fc2308ba8e3UL;
   tf->codes[28274] = 0x0000700e2207245fUL;
   tf->codes[28275] = 0x000070792f7db083UL;
   tf->codes[28276] = 0x0000729a0e455f89UL;
   tf->codes[28277] = 0x000074c18f40b5e0UL;
   tf->codes[28278] = 0x0000753c6543d01dUL;
   tf->codes[28279] = 0x0000780cb68dc85eUL;
   tf->codes[28280] = 0x0000789ac37ec73fUL;
   tf->codes[28281] = 0x00007ab70f1a02e1UL;
   tf->codes[28282] = 0x00007b8bcaacf88bUL;
   tf->codes[28283] = 0x00007be241db7d6dUL;
   tf->codes[28284] = 0x00007c5c6831865bUL;
   tf->codes[28285] = 0x00007cb528f644efUL;
   tf->codes[28286] = 0x00007ec679c06ba1UL;
   tf->codes[28287] = 0x000081330f74905eUL;
   tf->codes[28288] = 0x0000813dcfb69f89UL;
   tf->codes[28289] = 0x00008466a7365099UL;
   tf->codes[28290] = 0x0000867155cccffaUL;
   tf->codes[28291] = 0x000086dcd86167a8UL;
   tf->codes[28292] = 0x00008795e65aa335UL;
   tf->codes[28293] = 0x000088e8abc303e2UL;
   tf->codes[28294] = 0x0000898646b18b17UL;
   tf->codes[28295] = 0x00008a1ba5834298UL;
   tf->codes[28296] = 0x00008b0ae9e4d586UL;
   tf->codes[28297] = 0x00008ee99b8b715dUL;
   tf->codes[28298] = 0x0000911833d87a8fUL;
   tf->codes[28299] = 0x0000914334e0b73bUL;
   tf->codes[28300] = 0x000092dc6e5c08ecUL;
   tf->codes[28301] = 0x0000934c498e0e39UL;
   tf->codes[28302] = 0x0000979bc0a2c671UL;
   tf->codes[28303] = 0x000098bd1d5e48e6UL;
   tf->codes[28304] = 0x000098cef4f20aecUL;
   tf->codes[28305] = 0x00009b11394b044cUL;
   tf->codes[28306] = 0x00009ba0a59625cbUL;
   tf->codes[28307] = 0x00009bfbaff11e11UL;
   tf->codes[28308] = 0x00009f22b2f8a0f9UL;
   tf->codes[28309] = 0x00009f23d7c3bdd2UL;
   tf->codes[28310] = 0x0000a5023d2fc41aUL;
   tf->codes[28311] = 0x0000a6341224e5f7UL;
   tf->codes[28312] = 0x0000a75c86321b47UL;
   tf->codes[28313] = 0x0000a92469a605f4UL;
   tf->codes[28314] = 0x0000a96351493893UL;
   tf->codes[28315] = 0x0000a9b326441624UL;
   tf->codes[28316] = 0x0000abbf6ec3bde8UL;
   tf->codes[28317] = 0x0000ae770bb7470dUL;
   tf->codes[28318] = 0x0000af7e8f513d8dUL;
   tf->codes[28319] = 0x0000b00d4bef4dbdUL;
   tf->codes[28320] = 0x0000b0a394fd1c52UL;
   tf->codes[28321] = 0x0000b0eb2ddb2a2fUL;
   tf->codes[28322] = 0x0000b2fb946939cdUL;
   tf->codes[28323] = 0x0000b33dafdebd32UL;
   tf->codes[28324] = 0x0000b5986dff1fe9UL;
   tf->codes[28325] = 0x0000b63fdef39f35UL;
   tf->codes[28326] = 0x0000b64bc400cb39UL;
   tf->codes[28327] = 0x0000b721a45eddbcUL;
   tf->codes[28328] = 0x0000b811234f766fUL;
   tf->codes[28329] = 0x0000baf595c36a68UL;
   tf->codes[28330] = 0x0000bcfe6fe1bba1UL;
   tf->codes[28331] = 0x0000bded04963d40UL;
   tf->codes[28332] = 0x0000c5c9494f7fd1UL;
   tf->codes[28333] = 0x0000c787cbdb7df1UL;
   tf->codes[28334] = 0x0000cc115cd7ef9fUL;
   tf->codes[28335] = 0x0000cf66cf4905beUL;
   tf->codes[28336] = 0x0000d704dc0c26ffUL;
   tf->codes[28337] = 0x0000d965c742257dUL;
   tf->codes[28338] = 0x0000e23708548b39UL;
   tf->codes[28339] = 0x0000e29dbd2da9beUL;
   tf->codes[28340] = 0x0000e3c66bc9e4d3UL;
   tf->codes[28341] = 0x0000e436bc19f5aaUL;
   tf->codes[28342] = 0x0000e9394ea1536dUL;
   tf->codes[28343] = 0x0000ee9ca37b39b3UL;
   tf->codes[28344] = 0x0000ef619681a144UL;
   tf->codes[28345] = 0x0000efde40fce9a9UL;
   tf->codes[28346] = 0x0000f43d809e2ffaUL;
   tf->codes[28347] = 0x0000f47e3cb990c1UL;
   tf->codes[28348] = 0x0000f5040d8dbfeeUL;
   tf->codes[28349] = 0x0000f612335b5dbfUL;
   tf->codes[28350] = 0x0000f73e8ae7f524UL;
   tf->codes[28351] = 0x0000f81a985ba36eUL;
   tf->codes[28352] = 0x0000f8fee1ec216cUL;
   tf->codes[28353] = 0x0000fa48bb8aa116UL;
   tf->codes[28354] = 0x0000fc311a53bf09UL;
   tf->codes[28355] = 0x0000fc391be188f8UL;
   tf->codes[28356] = 0x0000fdcdc2306745UL;
   tf->codes[28357] = 0x0000fe735eacb869UL;
   tf->codes[28358] = 0x0000fe8aee380aacUL;
   tf->codes[28359] = 0x0000fe9d3ae9d83cUL;
   tf->codes[28360] = 0x0000fea11e693a51UL;
   tf->codes[28361] = 0x0001082923dea1e8UL;
   tf->codes[28362] = 0x00010c9bd4fcd2a2UL;
   tf->codes[28363] = 0x00010d52995fd47dUL;
   tf->codes[28364] = 0x00010e6acfc2702aUL;
   tf->codes[28365] = 0x00010e88c6f263f9UL;
   tf->codes[28366] = 0x00010ef9174274d0UL;
   tf->codes[28367] = 0x00010fa0fd54ffa6UL;
   tf->codes[28368] = 0x000110b37bc00b16UL;
   tf->codes[28369] = 0x0001119ea213362aUL;
   tf->codes[28370] = 0x0001126912822833UL;
   tf->codes[28371] = 0x00011874c28ca4d9UL;
   tf->codes[28372] = 0x00011a0c278fc862UL;
   tf->codes[28373] = 0x00011a7c3d50d374UL;
   tf->codes[28374] = 0x00011a9cb8a606baUL;
   tf->codes[28375] = 0x00011afccb4b7deeUL;
   tf->codes[28376] = 0x00011b7d59462868UL;
   tf->codes[28377] = 0x00011d3e5ff765ffUL;
   tf->codes[28378] = 0x000122e2e60ab896UL;
   tf->codes[28379] = 0x000123adcb97b629UL;
   tf->codes[28380] = 0x000125969f7edfa6UL;
   tf->codes[28381] = 0x000125b5f608f613UL;
   tf->codes[28382] = 0x000126397d46eb8eUL;
   tf->codes[28383] = 0x000129fde0adefe6UL;
   tf->codes[28384] = 0x00012a9eaf6ec7e1UL;
   tf->codes[28385] = 0x00012b541477a71eUL;
   tf->codes[28386] = 0x00012bfa60a10991UL;
   tf->codes[28387] = 0x00012d0f63315478UL;
   tf->codes[28388] = 0x00012d36f5d83a99UL;
   tf->codes[28389] = 0x00012d827235aa8bUL;
   tf->codes[28390] = 0x00012e3bf54cf1a2UL;
   tf->codes[28391] = 0x00012fd2aaa303dcUL;
   tf->codes[28392] = 0x000130a9001f21e9UL;
   tf->codes[28393] = 0x000134308aea278fUL;
   tf->codes[28394] = 0x0001374abea8675fUL;
   tf->codes[28395] = 0x000138f9b336dd2bUL;
   tf->codes[28396] = 0x00013ab6d668b8adUL;
   tf->codes[28397] = 0x00013b505348d808UL;
   tf->codes[28398] = 0x000140134e7ff1ddUL;
   tf->codes[28399] = 0x000141df15733e9fUL;
   tf->codes[28400] = 0x00014345c176953fUL;
   tf->codes[28401] = 0x000144a13819d12aUL;
   tf->codes[28402] = 0x000144a51b99333fUL;
   tf->codes[28403] = 0x000148bdac9882c7UL;
   tf->codes[28404] = 0x000149b184268919UL;
   tf->codes[28405] = 0x000149e570f8a6c8UL;
   tf->codes[28406] = 0x00014c22e79626ffUL;
   tf->codes[28407] = 0x00014c2b98d1023dUL;
   tf->codes[28408] = 0x00014fd782709d3eUL;
   tf->codes[28409] = 0x000150ed6f3cff39UL;
   tf->codes[28410] = 0x000151c05657c6bbUL;
   tf->codes[28411] = 0x00015224870ba5c9UL;
   tf->codes[28412] = 0x000154c7532821e7UL;
   tf->codes[28413] = 0x000154e7595f49a3UL;
   tf->codes[28414] = 0x000155eb3408e3d3UL;
   tf->codes[28415] = 0x00015828e53569cfUL;
   tf->codes[28416] = 0x00015a7ffa657036UL;
   tf->codes[28417] = 0x00015b794f5c0100UL;
   tf->codes[28418] = 0x00015d23762efda3UL;
   tf->codes[28419] = 0x000160b9df4a7a4eUL;
   tf->codes[28420] = 0x0001613d66886fc9UL;
   tf->codes[28421] = 0x00016512f1d624d8UL;
   tf->codes[28422] = 0x000166b00ed0d89eUL;
   tf->codes[28423] = 0x000167dbb6b05eb4UL;
   tf->codes[28424] = 0x000168b49051bc38UL;
   tf->codes[28425] = 0x0001696d9e4af7c5UL;
   tf->codes[28426] = 0x00016ae02f5b7a69UL;
   tf->codes[28427] = 0x00016bc0204e8ac8UL;
   tf->codes[28428] = 0x00016e8fc1eb71baUL;
   tf->codes[28429] = 0x000170a77a5a39f8UL;
   tf->codes[28430] = 0x000171729a763d50UL;
   tf->codes[28431] = 0x000171d56bcff9c0UL;
   tf->codes[28432] = 0x000172a8185bbb7dUL;
   tf->codes[28433] = 0x000172cd9bfb6db1UL;
   tf->codes[28434] = 0x0001745956806afbUL;
   tf->codes[28435] = 0x000174de77a788d9UL;
   tf->codes[28436] = 0x0001767233ba5012UL;
   tf->codes[28437] = 0x0001769657ffdfa8UL;
   tf->codes[28438] = 0x00017722cb07b626UL;
   tf->codes[28439] = 0x000178e4bbf50ad1UL;
   tf->codes[28440] = 0x000179d3c5c797faUL;
   tf->codes[28441] = 0x00017b6572d32b46UL;
   tf->codes[28442] = 0x00017bc28c355779UL;
   tf->codes[28443] = 0x00017cb15b78deddUL;
   tf->codes[28444] = 0x00017d9e1bb53254UL;
   tf->codes[28445] = 0x00017f62cb56cc3bUL;
   tf->codes[28446] = 0x00017ffe1caf19beUL;
   tf->codes[28447] = 0x0001811da4f26e0bUL;
   tf->codes[28448] = 0x000181c306dfb96aUL;
   tf->codes[28449] = 0x000183918c874b68UL;
   tf->codes[28450] = 0x0001842b43f67088UL;
   tf->codes[28451] = 0x000184a619f98ac5UL;
   tf->codes[28452] = 0x000184c7ba19dae4UL;
   tf->codes[28453] = 0x00018537954be031UL;
   tf->codes[28454] = 0x0001854e3a9b1b60UL;
   tf->codes[28455] = 0x00018867498e3e57UL;
   tf->codes[28456] = 0x00018b1809bf1a66UL;
   tf->codes[28457] = 0x00018bc8a10c807aUL;
   tf->codes[28458] = 0x00018fe883ec88a2UL;
   tf->codes[28459] = 0x0001950e507d5ee7UL;
   tf->codes[28460] = 0x000195e8145ad37fUL;
   tf->codes[28461] = 0x000199a476340de8UL;
   tf->codes[28462] = 0x00019a9b81946500UL;
   tf->codes[28463] = 0x00019b7b7287755fUL;
   tf->codes[28464] = 0x00019bf1efed21fdUL;
   tf->codes[28465] = 0x00019c9124c4d195UL;
   tf->codes[28466] = 0x00019d07a22a7e33UL;
   tf->codes[28467] = 0x00019e690b545020UL;
   tf->codes[28468] = 0x0001a1b01492fac4UL;
   tf->codes[28469] = 0x0001a52a9585b78dUL;
   tf->codes[28470] = 0x0001a5914a5ed612UL;
   tf->codes[28471] = 0x0001a656b283492dUL;
   tf->codes[28472] = 0x0001a76f5e03f064UL;
   tf->codes[28473] = 0x0001a91ddd745aa6UL;
   tf->codes[28474] = 0x0001a9cbf09c8143UL;
   tf->codes[28475] = 0x0001ac0165ac378bUL;
   tf->codes[28476] = 0x0001ac3a9557d9edUL;
   tf->codes[28477] = 0x0001ad5f25e5ad28UL;
   tf->codes[28478] = 0x0001ada9f2960bcbUL;
   tf->codes[28479] = 0x0001aea8c4f5270dUL;
   tf->codes[28480] = 0x0001af91a1b2186fUL;
   tf->codes[28481] = 0x0001b11fa5cd4f6bUL;
   tf->codes[28482] = 0x0001b169fd5fa284UL;
   tf->codes[28483] = 0x0001b1bb6c43a878UL;
   tf->codes[28484] = 0x0001b64697294289UL;
   tf->codes[28485] = 0x0001b67ba8c67d11UL;
   tf->codes[28486] = 0x0001b6a0f1d72980UL;
   tf->codes[28487] = 0x0001b74b5c0ef3cdUL;
   tf->codes[28488] = 0x0001b93d90de09d7UL;
   tf->codes[28489] = 0x0001b9467ca7eadaUL;
   tf->codes[28490] = 0x0001b99ec84e9de4UL;
   tf->codes[28491] = 0x0001b9bb60246f15UL;
   tf->codes[28492] = 0x0001ba99b72e5711UL;
   tf->codes[28493] = 0x0001bac09a282be3UL;
   tf->codes[28494] = 0x0001baf277f315a5UL;
   tf->codes[28495] = 0x0001bb419d40e1e7UL;
   tf->codes[28496] = 0x0001bcb811d0c6a0UL;
   tf->codes[28497] = 0x0001beaa812ee26fUL;
   tf->codes[28498] = 0x0001bf740761bd64UL;
   tf->codes[28499] = 0x0001c122fbf03330UL;
   tf->codes[28500] = 0x0001c19052fcf906UL;
   tf->codes[28501] = 0x0001caadfaa8e5c8UL;
   tf->codes[28502] = 0x0001cbcb73e50628UL;
   tf->codes[28503] = 0x0001cc36bbea9811UL;
   tf->codes[28504] = 0x0001cc96ce900f45UL;
   tf->codes[28505] = 0x0001ccf581db63dbUL;
   tf->codes[28506] = 0x0001cd61b41d0cd8UL;
   tf->codes[28507] = 0x0001cd9aa939a975UL;
   tf->codes[28508] = 0x0001cf958f439abdUL;
   tf->codes[28509] = 0x0001d109ba3d45c4UL;
   tf->codes[28510] = 0x0001d1a8b485ef97UL;
   tf->codes[28511] = 0x0001d1fbf7e223b3UL;
   tf->codes[28512] = 0x0001d429e0821b96UL;
   tf->codes[28513] = 0x0001d68ee9c681eeUL;
   tf->codes[28514] = 0x0001d77be491db2aUL;
   tf->codes[28515] = 0x0001d9c5403c8765UL;
   tf->codes[28516] = 0x0001d9f6e3786b62UL;
   tf->codes[28517] = 0x0001da7f3871da06UL;
   tf->codes[28518] = 0x0001dce441b6405eUL;
   tf->codes[28519] = 0x0001ddd7a4263b26UL;
   tf->codes[28520] = 0x0001ded63bf650a3UL;
   tf->codes[28521] = 0x0001df4e18b61fdfUL;
   tf->codes[28522] = 0x0001e09483f348feUL;
   tf->codes[28523] = 0x0001e11c293fa653UL;
   tf->codes[28524] = 0x0001e155ce09543fUL;
   tf->codes[28525] = 0x0001e280c63bc906UL;
   tf->codes[28526] = 0x0001e478b3026f4dUL;
   tf->codes[28527] = 0x0001e84e03c11e97UL;
   tf->codes[28528] = 0x0001e8d23aac2561UL;
   tf->codes[28529] = 0x0001e9884f6215edUL;
   tf->codes[28530] = 0x0001e9a7a5ec2c5aUL;
   tf->codes[28531] = 0x0001ebcb08d91ad7UL;
   tf->codes[28532] = 0x0001ebffdfe74f9aUL;
   tf->codes[28533] = 0x0001ecaedd4b8d4bUL;
   tf->codes[28534] = 0x0001ee0c2866f75eUL;
   tf->codes[28535] = 0x0001eef2466fa384UL;
   tf->codes[28536] = 0x0001ef23e9ab8781UL;
   tf->codes[28537] = 0x0001f0f9fbc2d7e4UL;
   tf->codes[28538] = 0x0001f1a465faa231UL;
   tf->codes[28539] = 0x0001f1b08596d3faUL;
   tf->codes[28540] = 0x0001f23ecd16d8a0UL;
   tf->codes[28541] = 0x0001f3c92841b34cUL;
   tf->codes[28542] = 0x0001f424a7bab71cUL;
   tf->codes[28543] = 0x0001f48395951177UL;
   tf->codes[28544] = 0x0001f8014a5a1f06UL;
   tf->codes[28545] = 0x0001f9247b8dcfa3UL;
   tf->codes[28546] = 0x0001f9df988e3f1dUL;
   tf->codes[28547] = 0x0001fe699ea8bc55UL;
   tf->codes[28548] = 0x000000cbe938dd71UL;
   tf->codes[28549] = 0x0000044f55f57b3dUL;
   tf->codes[28550] = 0x000006d724254e8dUL;
   tf->codes[28551] = 0x0000096ad7624de1UL;
   tf->codes[28552] = 0x00000b5e30fc80c4UL;
   tf->codes[28553] = 0x00000e6da478b169UL;
   tf->codes[28554] = 0x00001468672b831dUL;
   tf->codes[28555] = 0x000014c127f041b1UL;
   tf->codes[28556] = 0x000016a1852b95b5UL;
   tf->codes[28557] = 0x0000171125ce953dUL;
   tf->codes[28558] = 0x00001b01e997f8dfUL;
   tf->codes[28559] = 0x00001c8c0a33cdc6UL;
   tf->codes[28560] = 0x000021be30efdb99UL;
   tf->codes[28561] = 0x00002344e32a59f5UL;
   tf->codes[28562] = 0x000027085c554739UL;
   tf->codes[28563] = 0x000028f4640ec17cUL;
   tf->codes[28564] = 0x00002a943fbdba7eUL;
   tf->codes[28565] = 0x00002d18da1b3d08UL;
   tf->codes[28566] = 0x00002f2054df6ba3UL;
   tf->codes[28567] = 0x00002f94fdccea19UL;
   tf->codes[28568] = 0x000032053c716b26UL;
   tf->codes[28569] = 0x000032d6fec115cfUL;
   tf->codes[28570] = 0x000032f14d00ad4eUL;
   tf->codes[28571] = 0x000033cfde999b0fUL;
   tf->codes[28572] = 0x00003937c69ff4b9UL;
   tf->codes[28573] = 0x00003ab84bc4d74eUL;
   tf->codes[28574] = 0x00003cb7154e2aabUL;
   tf->codes[28575] = 0x00003e8909571334UL;
   tf->codes[28576] = 0x00003f1ea2b7d07aUL;
   tf->codes[28577] = 0x00004023a22c8783UL;
   tf->codes[28578] = 0x000040ba605861a2UL;
   tf->codes[28579] = 0x000040d76d4c3e5dUL;
   tf->codes[28580] = 0x0000415208c052d5UL;
   tf->codes[28581] = 0x000041d67a3a5f64UL;
   tf->codes[28582] = 0x000045a613017e71UL;
   tf->codes[28583] = 0x0000479f24934191UL;
   tf->codes[28584] = 0x00004a84f6615828UL;
   tf->codes[28585] = 0x00004b890b99f81dUL;
   tf->codes[28586] = 0x00004cd5a3ecbd03UL;
   tf->codes[28587] = 0x00004e5245923d83UL;
   tf->codes[28588] = 0x00004f0f7199e0eaUL;
   tf->codes[28589] = 0x000050d5460697aaUL;
   tf->codes[28590] = 0x00005121e72f2475UL;
   tf->codes[28591] = 0x000051263fcc9214UL;
   tf->codes[28592] = 0x000051517b63d485UL;
   tf->codes[28593] = 0x0000515aa1bcbb4dUL;
   tf->codes[28594] = 0x000052eb9f1b3d4aUL;
   tf->codes[28595] = 0x0000532334ddb749UL;
   tf->codes[28596] = 0x0000557be3f6e613UL;
   tf->codes[28597] = 0x00005649fd56346cUL;
   tf->codes[28598] = 0x0000565741bd830eUL;
   tf->codes[28599] = 0x000056682f152e00UL;
   tf->codes[28600] = 0x000057902e0457c6UL;
   tf->codes[28601] = 0x000057e6dfc1e26dUL;
   tf->codes[28602] = 0x0000580009365d13UL;
   tf->codes[28603] = 0x00005c6a43a8b854UL;
   tf->codes[28604] = 0x00005d89915d06dcUL;
   tf->codes[28605] = 0x00005de80a1955adUL;
   tf->codes[28606] = 0x00005f86fb8c379bUL;
   tf->codes[28607] = 0x0000603a518de2ebUL;
   tf->codes[28608] = 0x000060580e2ed0f5UL;
   tf->codes[28609] = 0x000060f23abc019fUL;
   tf->codes[28610] = 0x0000614df4c40b34UL;
   tf->codes[28611] = 0x000061c6f64ef749UL;
   tf->codes[28612] = 0x0000647d33e85dd0UL;
   tf->codes[28613] = 0x00006616a7f2b546UL;
   tf->codes[28614] = 0x000067eb953ee8d0UL;
   tf->codes[28615] = 0x000069a9681dd5a1UL;
   tf->codes[28616] = 0x000069b7d150411cUL;
   tf->codes[28617] = 0x00006c9d2e004c29UL;
   tf->codes[28618] = 0x00006e30ea131362UL;
   tf->codes[28619] = 0x00006ece0fe38f0dUL;
   tf->codes[28620] = 0x00006edadf2cd225UL;
   tf->codes[28621] = 0x00007132a409e9dbUL;
   tf->codes[28622] = 0x0000739e14f2f1bfUL;
   tf->codes[28623] = 0x00007487a15cf470UL;
   tf->codes[28624] = 0x000075478c18dd13UL;
   tf->codes[28625] = 0x000077b92a1780beUL;
   tf->codes[28626] = 0x000078c2f747b0f0UL;
   tf->codes[28627] = 0x00007913f10dab5aUL;
   tf->codes[28628] = 0x00007a5f64955367UL;
   tf->codes[28629] = 0x00007cbce169fb5aUL;
   tf->codes[28630] = 0x00007cd55b3164b1UL;
   tf->codes[28631] = 0x00007d29fde7bb6bUL;
   tf->codes[28632] = 0x00007e1733421a6cUL;
   tf->codes[28633] = 0x00007e3948807615UL;
   tf->codes[28634] = 0x00007e410f7f3a3fUL;
   tf->codes[28635] = 0x00008086c2398a2aUL;
   tf->codes[28636] = 0x0000815d5244adfcUL;
   tf->codes[28637] = 0x000081846fcd8893UL;
   tf->codes[28638] = 0x00008419f782b60fUL;
   tf->codes[28639] = 0x000084eacf9649a4UL;
   tf->codes[28640] = 0x000086eb3308c564UL;
   tf->codes[28641] = 0x000087551bb434afUL;
   tf->codes[28642] = 0x000087b65324c8bcUL;
   tf->codes[28643] = 0x0000881122f0bb3dUL;
   tf->codes[28644] = 0x000089541fcc8dd1UL;
   tf->codes[28645] = 0x00008c85a8871a1fUL;
   tf->codes[28646] = 0x00008de27e8478a8UL;
   tf->codes[28647] = 0x00008e1df7c654bcUL;
   tf->codes[28648] = 0x00008e9858ab636fUL;
   tf->codes[28649] = 0x00008f5375abd2e9UL;
   tf->codes[28650] = 0x00008f88c1d81336UL;
   tf->codes[28651] = 0x00008fb905b9d495UL;
   tf->codes[28652] = 0x000090244dbf667eUL;
   tf->codes[28653] = 0x000092f5894575d3UL;
   tf->codes[28654] = 0x000093ff9104abcaUL;
   tf->codes[28655] = 0x000094676aa8e728UL;
   tf->codes[28656] = 0x000095ad2638fef8UL;
   tf->codes[28657] = 0x0000961699c662b9UL;
   tf->codes[28658] = 0x00009622b9629482UL;
   tf->codes[28659] = 0x000096958dd7e4d0UL;
   tf->codes[28660] = 0x000097a75c95def1UL;
   tf->codes[28661] = 0x000098226d27fef3UL;
   tf->codes[28662] = 0x0000991853bd3932UL;
   tf->codes[28663] = 0x00009ac39f5b52aeUL;
   tf->codes[28664] = 0x00009ad32d58db02UL;
   tf->codes[28665] = 0x00009af7c6bc7622UL;
   tf->codes[28666] = 0x00009c91ea73dee7UL;
   tf->codes[28667] = 0x00009e8be641b91bUL;
   tf->codes[28668] = 0x00009e954729a5a8UL;
   tf->codes[28669] = 0x0000a379a7f209d7UL;
   tf->codes[28670] = 0x0000a7e5b6dc9340UL;
   tf->codes[28671] = 0x0000aa896d352672UL;
   tf->codes[28672] = 0x0000aabf2e7f7249UL;
   tf->codes[28673] = 0x0000aac26251c30fUL;
   tf->codes[28674] = 0x0000abadfdc2f9adUL;
   tf->codes[28675] = 0x0000ac42ace79fdfUL;
   tf->codes[28676] = 0x0000adbffe3a31aeUL;
   tf->codes[28677] = 0x0000ae304e8a4285UL;
   tf->codes[28678] = 0x0000b05e372a3a68UL;
   tf->codes[28679] = 0x0000b0d31aa6bea3UL;
   tf->codes[28680] = 0x0000b0eb946e27faUL;
   tf->codes[28681] = 0x0000b0f1fc12c986UL;
   tf->codes[28682] = 0x0000b121cad67f5bUL;
   tf->codes[28683] = 0x0000b19acc616b70UL;
   tf->codes[28684] = 0x0000b1e140745c74UL;
   tf->codes[28685] = 0x0000b321097dde42UL;
   tf->codes[28686] = 0x0000b3f16c73664dUL;
   tf->codes[28687] = 0x0000b4c15a4ae2ceUL;
   tf->codes[28688] = 0x0000b8177c690a3cUL;
   tf->codes[28689] = 0x0000b8ee470333d3UL;
   tf->codes[28690] = 0x0000ba4146fa9a45UL;
   tf->codes[28691] = 0x0000ba80692cd2a9UL;
   tf->codes[28692] = 0x0000bac0759b2221UL;
   tf->codes[28693] = 0x0000bb24a64f012fUL;
   tf->codes[28694] = 0x0000bde9c238debbUL;
   tf->codes[28695] = 0x0000bed438def880UL;
   tf->codes[28696] = 0x0000c03233a773e2UL;
   tf->codes[28697] = 0x0000c0e8bd7b6ff8UL;
   tf->codes[28698] = 0x0000c1b4c7d38a64UL;
   tf->codes[28699] = 0x0000c2989c45fcd8UL;
   tf->codes[28700] = 0x0000c9280e1d74beUL;
   tf->codes[28701] = 0x0000ca87dd5e1e48UL;
   tf->codes[28702] = 0x0000cffa85a6871dUL;
   tf->codes[28703] = 0x0000d28ee89097c0UL;
   tf->codes[28704] = 0x0000d68da06e5b53UL;
   tf->codes[28705] = 0x0000d7ab19aa7bb3UL;
   tf->codes[28706] = 0x0000dabf95712b46UL;
   tf->codes[28707] = 0x0000de40b8978f60UL;
   tf->codes[28708] = 0x0000e387eab9afffUL;
   tf->codes[28709] = 0x0000e9ca464a8f90UL;
   tf->codes[28710] = 0x0000ed8f1ecf9f72UL;
   tf->codes[28711] = 0x0000ee77115079c0UL;
   tf->codes[28712] = 0x0000f639f2063be6UL;
   tf->codes[28713] = 0x0000f71eb0b4c56eUL;
   tf->codes[28714] = 0x0000faa133354c26UL;
   tf->codes[28715] = 0x0000fb11be1462c2UL;
   tf->codes[28716] = 0x0000fb8b6f4c6026UL;
   tf->codes[28717] = 0x0000fc618a39786eUL;
   tf->codes[28718] = 0x0000ffa8ce0728d7UL;
   tf->codes[28719] = 0x000100c8cb6888aeUL;
   tf->codes[28720] = 0x000102b5bd5e1a05UL;
   tf->codes[28721] = 0x000104889ba319a2UL;
   tf->codes[28722] = 0x0001051eaa21e272UL;
   tf->codes[28723] = 0x000105551b193f98UL;
   tf->codes[28724] = 0x00010790f7cd976cUL;
   tf->codes[28725] = 0x00010792cc45c594UL;
   tf->codes[28726] = 0x000109bc96d7559dUL;
   tf->codes[28727] = 0x00010ccf78b4dccdUL;
   tf->codes[28728] = 0x00010cf536e394c6UL;
   tf->codes[28729] = 0x00010d837e63996cUL;
   tf->codes[28730] = 0x00011354d9f756d7UL;
   tf->codes[28731] = 0x00011494dd8fde6aUL;
   tf->codes[28732] = 0x000115de7c9f584fUL;
   tf->codes[28733] = 0x0001162824849a19UL;
   tf->codes[28734] = 0x000118bf4622eff8UL;
   tf->codes[28735] = 0x000119f7f7dabeebUL;
   tf->codes[28736] = 0x00011f6aa02327c0UL;
   tf->codes[28737] = 0x00011fb6570f9d77UL;
   tf->codes[28738] = 0x0001236b2c79197bUL;
   tf->codes[28739] = 0x000125e7159bc0c7UL;
   tf->codes[28740] = 0x000125e874f5e365UL;
   tf->codes[28741] = 0x000126af3c74791eUL;
   tf->codes[28742] = 0x000126c61c52ba12UL;
   tf->codes[28743] = 0x0001279e0bb80082UL;
   tf->codes[28744] = 0x00012944feb8ac5fUL;
   tf->codes[28745] = 0x00012a29f7f63bacUL;
   tf->codes[28746] = 0x00012b3b51962a43UL;
   tf->codes[28747] = 0x00012b87b82fb149UL;
   tf->codes[28748] = 0x00012c21e4bce1f3UL;
   tf->codes[28749] = 0x00012c3bf86d73adUL;
   tf->codes[28750] = 0x0001347a99626724UL;
   tf->codes[28751] = 0x000134a3c5f275a8UL;
   tf->codes[28752] = 0x000137b498c8c8ebUL;
   tf->codes[28753] = 0x00013be6c85a9ea3UL;
   tf->codes[28754] = 0x00013c25ea8cd707UL;
   tf->codes[28755] = 0x00013dfe0bab5b57UL;
   tf->codes[28756] = 0x00013f5f3a46277fUL;
   tf->codes[28757] = 0x00013f906863fff2UL;
   tf->codes[28758] = 0x0001430f07652495UL;
   tf->codes[28759] = 0x000144ab74b2c70cUL;
   tf->codes[28760] = 0x000147897f821979UL;
   tf->codes[28761] = 0x000147fdede0922aUL;
   tf->codes[28762] = 0x0001494717d20085UL;
   tf->codes[28763] = 0x00014a799c7433b1UL;
   tf->codes[28764] = 0x00014c77f0df7b84UL;
   tf->codes[28765] = 0x00014da6577346d6UL;
   tf->codes[28766] = 0x00014e997f543bd9UL;
   tf->codes[28767] = 0x00014ecae8011a11UL;
   tf->codes[28768] = 0x00014f99eb9c7f7eUL;
   tf->codes[28769] = 0x0001576667c933f6UL;
   tf->codes[28770] = 0x0001589284c6c596UL;
   tf->codes[28771] = 0x00015fbd828590c4UL;
   tf->codes[28772] = 0x00016130fdd22a7cUL;
   tf->codes[28773] = 0x000167e5439c4347UL;
   tf->codes[28774] = 0x000167e752a37734UL;
   tf->codes[28775] = 0x00016855595d4e59UL;
   tf->codes[28776] = 0x00016c159eb5ead7UL;
   tf->codes[28777] = 0x00016c7710b584a9UL;
   tf->codes[28778] = 0x00016dd1628da3bbUL;
   tf->codes[28779] = 0x00016dd19d1ca980UL;
   tf->codes[28780] = 0x00016fe781134396UL;
   tf->codes[28781] = 0x0001713d3fbeef44UL;
   tf->codes[28782] = 0x000172061644b8eaUL;
   tf->codes[28783] = 0x000172209f13562eUL;
   tf->codes[28784] = 0x0001740f2af20fe8UL;
   tf->codes[28785] = 0x0001742261dff48cUL;
   tf->codes[28786] = 0x00017662d1c0bfc4UL;
   tf->codes[28787] = 0x000176ffbd0235aaUL;
   tf->codes[28788] = 0x0001791cf2d98860UL;
   tf->codes[28789] = 0x0001799286031deaUL;
   tf->codes[28790] = 0x00017995f4647475UL;
   tf->codes[28791] = 0x00017c77a8242332UL;
   tf->codes[28792] = 0x00017f7f54a18fadUL;
   tf->codes[28793] = 0x000180d672a75df9UL;
   tf->codes[28794] = 0x0001859b4256a5f6UL;
   tf->codes[28795] = 0x000185b590963d75UL;
   tf->codes[28796] = 0x0001880eef5c7d8eUL;
   tf->codes[28797] = 0x00018831eed6f04bUL;
   tf->codes[28798] = 0x00018a63baf64a43UL;
   tf->codes[28799] = 0x00018b2a0d56d472UL;
   tf->codes[28800] = 0x00018bdb19c24610UL;
   tf->codes[28801] = 0x00018bf52d72d7caUL;
   tf->codes[28802] = 0x00018c8842ae5599UL;
   tf->codes[28803] = 0x00018eaaf5ee32c7UL;
   tf->codes[28804] = 0x000190c532823a7cUL;
   tf->codes[28805] = 0x000191f6cce85694UL;
   tf->codes[28806] = 0x000192842a2c4426UL;
   tf->codes[28807] = 0x0001932c4acdd4c1UL;
   tf->codes[28808] = 0x000194a99c206690UL;
   tf->codes[28809] = 0x000195a3663502e4UL;
   tf->codes[28810] = 0x0001978731d1ad73UL;
   tf->codes[28811] = 0x000198e31d92f4e8UL;
   tf->codes[28812] = 0x00019a47f51e1d60UL;
   tf->codes[28813] = 0x00019a591d04ce17UL;
   tf->codes[28814] = 0x00019cef8ef612a7UL;
   tf->codes[28815] = 0x0001a0ffe3d8927bUL;
   tf->codes[28816] = 0x0001a200ffcde76fUL;
   tf->codes[28817] = 0x0001a286961310d7UL;
   tf->codes[28818] = 0x0001a316777c3de0UL;
   tf->codes[28819] = 0x0001a3a3d4c02b72UL;
   tf->codes[28820] = 0x0001a3bde870bd2cUL;
   tf->codes[28821] = 0x0001a9547a6fafd2UL;
   tf->codes[28822] = 0x0001aab8a24dc6fbUL;
   tf->codes[28823] = 0x0001ab1d481fb193UL;
   tf->codes[28824] = 0x0001ab664057e20eUL;
   tf->codes[28825] = 0x0001aca0c687df29UL;
   tf->codes[28826] = 0x0001aefca9735eb9UL;
   tf->codes[28827] = 0x0001af41490e2195UL;
   tf->codes[28828] = 0x0001b0af0c632b10UL;
   tf->codes[28829] = 0x0001b20be2608999UL;
   tf->codes[28830] = 0x0001b41b994187e8UL;
   tf->codes[28831] = 0x0001b5ea59781fabUL;
   tf->codes[28832] = 0x0001b8b9fb15069dUL;
   tf->codes[28833] = 0x0001bab72ab53197UL;
   tf->codes[28834] = 0x0001c37f456eb08bUL;
   tf->codes[28835] = 0x0001c487edd3c3e4UL;
   tf->codes[28836] = 0x0001ca5fb10c22dbUL;
   tf->codes[28837] = 0x0001cb61421f8359UL;
   tf->codes[28838] = 0x0001ce95898e54e3UL;
   tf->codes[28839] = 0x0001d0a0e7d1e593UL;
   tf->codes[28840] = 0x0001d2196b68fe39UL;
   tf->codes[28841] = 0x0001d21eae4282ecUL;
   tf->codes[28842] = 0x0001d25559c8e5d7UL;
   tf->codes[28843] = 0x0001d2c0673f71fbUL;
   tf->codes[28844] = 0x0001d396f74a95cdUL;
   tf->codes[28845] = 0x0001d4106df38d6cUL;
   tf->codes[28846] = 0x0001d473eefa5b2bUL;
   tf->codes[28847] = 0x0001d5a9e1fde4e2UL;
   tf->codes[28848] = 0x0001d64a762fb718UL;
   tf->codes[28849] = 0x0001d84dd2e57dd9UL;
   tf->codes[28850] = 0x0001d84f323fa077UL;
   tf->codes[28851] = 0x0001d881bfb79b88UL;
   tf->codes[28852] = 0x0001dac8973d084cUL;
   tf->codes[28853] = 0x0001df573083f8e8UL;
   tf->codes[28854] = 0x0001e01bae6c54efUL;
   tf->codes[28855] = 0x0001e023ea8924a3UL;
   tf->codes[28856] = 0x0001e154602423e2UL;
   tf->codes[28857] = 0x0001e22ff879c6a2UL;
   tf->codes[28858] = 0x0001e26a877f8ba2UL;
   tf->codes[28859] = 0x0001e347f44d5c8aUL;
   tf->codes[28860] = 0x0001e4122a2d48ceUL;
   tf->codes[28861] = 0x0001e4b87656ab41UL;
   tf->codes[28862] = 0x0001e4d4d39d76adUL;
   tf->codes[28863] = 0x0001ec116e60fe1cUL;
   tf->codes[28864] = 0x0001ecbf46fa1ef4UL;
   tf->codes[28865] = 0x0001ecf876a5c156UL;
   tf->codes[28866] = 0x0001ed46b1b77684UL;
   tf->codes[28867] = 0x0001edfaf1f538e8UL;
   tf->codes[28868] = 0x0001ee87da1b1af0UL;
   tf->codes[28869] = 0x0001efeadd2e1540UL;
   tf->codes[28870] = 0x0001f14ae6fdc48fUL;
   tf->codes[28871] = 0x0001f186603fa0a3UL;
   tf->codes[28872] = 0x0001f2d83b6bea3cUL;
   tf->codes[28873] = 0x0001f2e12735cb3fUL;
   tf->codes[28874] = 0x0001f3a2e669e20aUL;
   tf->codes[28875] = 0x0001f5796d9f3df7UL;
   tf->codes[28876] = 0x0001f5d9bad3baf0UL;
   tf->codes[28877] = 0x0001f83687fb5194UL;
   tf->codes[28878] = 0x0001f8bd7d9a9d9aUL;
   tf->codes[28879] = 0x0001fa9738a24a4dUL;
   tf->codes[28880] = 0x0001fad869dbb69eUL;
   tf->codes[28881] = 0x0001fae53924f9b6UL;
   tf->codes[28882] = 0x0001fbeda6fb074aUL;
   tf->codes[28883] = 0x0001ff4efe79496dUL;
   tf->codes[28884] = 0x0001ff861f1db7e2UL;
   tf->codes[28885] = 0x0001ffc12341886cUL;
   tf->codes[28886] = 0x0000000b05b5cffbUL;
   tf->codes[28887] = 0x0000002a5c3fe668UL;
   tf->codes[28888] = 0x00000268f7a88378UL;
   tf->codes[28889] = 0x0000050d983d2dbeUL;
   tf->codes[28890] = 0x00000510cc0f7e84UL;
   tf->codes[28891] = 0x000005ae66fe05b9UL;
   tf->codes[28892] = 0x0000079a6eb77ffcUL;
   tf->codes[28893] = 0x000007fabbebfcf5UL;
   tf->codes[28894] = 0x0000099b81d70d0bUL;
   tf->codes[28895] = 0x00000c4f3b4b341bUL;
   tf->codes[28896] = 0x00000c941574fcbcUL;
   tf->codes[28897] = 0x00000e2846a5cf7fUL;
   tf->codes[28898] = 0x00000e688da324bcUL;
   tf->codes[28899] = 0x00000fba2e406890UL;
   tf->codes[28900] = 0x0000112483341b80UL;
   tf->codes[28901] = 0x000011c1a904972bUL;
   tf->codes[28902] = 0x0000121735f704f9UL;
   tf->codes[28903] = 0x0000135ae27fe8dcUL;
   tf->codes[28904] = 0x000014864fd0692dUL;
   tf->codes[28905] = 0x0000155e04a6a9d8UL;
   tf->codes[28906] = 0x000016dcb5535e45UL;
   tf->codes[28907] = 0x000018dbf3fabd2cUL;
   tf->codes[28908] = 0x000018e0fc453c1aUL;
   tf->codes[28909] = 0x000019bd09b8ea64UL;
   tf->codes[28910] = 0x000019dc604300d1UL;
   tf->codes[28911] = 0x00001a3c38597240UL;
   tf->codes[28912] = 0x00001a76c75f3740UL;
   tf->codes[28913] = 0x00001c9b4f174296UL;
   tf->codes[28914] = 0x00001e68aff3b7bbUL;
   tf->codes[28915] = 0x0000202f6e9c858fUL;
   tf->codes[28916] = 0x000020969893af9eUL;
   tf->codes[28917] = 0x000020a6269137f2UL;
   tf->codes[28918] = 0x00002117268e5a18UL;
   tf->codes[28919] = 0x00002165d6be1ad0UL;
   tf->codes[28920] = 0x0000227b88fb7706UL;
   tf->codes[28921] = 0x0000238b0e233775UL;
   tf->codes[28922] = 0x0000249b0869036eUL;
   tf->codes[28923] = 0x000026ad08e03b6fUL;
   tf->codes[28924] = 0x000026bc21bfb839UL;
   tf->codes[28925] = 0x000027329f2564d7UL;
   tf->codes[28926] = 0x0000287fe7253b0cUL;
   tf->codes[28927] = 0x000028a2e69fadc9UL;
   tf->codes[28928] = 0x000029ab5475bb5dUL;
   tf->codes[28929] = 0x00002bfb52540ee9UL;
   tf->codes[28930] = 0x00002ea15242dbcdUL;
   tf->codes[28931] = 0x00002f246462c5beUL;
   tf->codes[28932] = 0x00002fa408215924UL;
   tf->codes[28933] = 0x00003084e3508097UL;
   tf->codes[28934] = 0x000033df237d0fdfUL;
   tf->codes[28935] = 0x000034ac1811415fUL;
   tf->codes[28936] = 0x000035b1c73309b7UL;
   tf->codes[28937] = 0x0000367d96fc1e5eUL;
   tf->codes[28938] = 0x00003828e29a37daUL;
   tf->codes[28939] = 0x000038520f2a465eUL;
   tf->codes[28940] = 0x00003882187d01f8UL;
   tf->codes[28941] = 0x00003ac0b3e59f08UL;
   tf->codes[28942] = 0x0000413c04931b36UL;
   tf->codes[28943] = 0x000044b1f259649bUL;
   tf->codes[28944] = 0x00004614804e5361UL;
   tf->codes[28945] = 0x000046a168743569UL;
   tf->codes[28946] = 0x00004a1df86e261fUL;
   tf->codes[28947] = 0x00004ad322e7ff97UL;
   tf->codes[28948] = 0x00004f6689ea695cUL;
   tf->codes[28949] = 0x000053f13fb1f7e3UL;
   tf->codes[28950] = 0x0000572302fb89f6UL;
   tf->codes[28951] = 0x000057ff858d43caUL;
   tf->codes[28952] = 0x000059f6fd35de87UL;
   tf->codes[28953] = 0x00005a09f994bd66UL;
   tf->codes[28954] = 0x00005a444e0b7ca1UL;
   tf->codes[28955] = 0x00005addcaeb9bfcUL;
   tf->codes[28956] = 0x00005b7f49598546UL;
   tf->codes[28957] = 0x00005b811dd1b36eUL;
   tf->codes[28958] = 0x00005cd20ec1e5f3UL;
   tf->codes[28959] = 0x00005e6d57446b91UL;
   tf->codes[28960] = 0x0000609169de6b5dUL;
   tf->codes[28961] = 0x000060a0f7dbf3b1UL;
   tf->codes[28962] = 0x00006466800e14e2UL;
   tf->codes[28963] = 0x0000647a66a90ad5UL;
   tf->codes[28964] = 0x00006633e0ea8a07UL;
   tf->codes[28965] = 0x00006649616ea85dUL;
   tf->codes[28966] = 0x000067a0f4928233UL;
   tf->codes[28967] = 0x000069d62f1332b6UL;
   tf->codes[28968] = 0x00006bd7b750cb4fUL;
   tf->codes[28969] = 0x0000706a6ea623c5UL;
   tf->codes[28970] = 0x00007109de0cd922UL;
   tf->codes[28971] = 0x00007140feb14797UL;
   tf->codes[28972] = 0x00007246e86215b4UL;
   tf->codes[28973] = 0x000072dbd215c1abUL;
   tf->codes[28974] = 0x000073111e4201f8UL;
   tf->codes[28975] = 0x0000739a5d7787b0UL;
   tf->codes[28976] = 0x000073e31b20b266UL;
   tf->codes[28977] = 0x0000767150f52742UL;
   tf->codes[28978] = 0x000076e584c49a2eUL;
   tf->codes[28979] = 0x00007f61ae029da6UL;
   tf->codes[28980] = 0x0000809dce1bc324UL;
   tf->codes[28981] = 0x00008127f78d5ff0UL;
   tf->codes[28982] = 0x00008132b7cf6f1bUL;
   tf->codes[28983] = 0x00008500b6ad65c5UL;
   tf->codes[28984] = 0x00008597e9f74b6eUL;
   tf->codes[28985] = 0x000085e8a92e4013UL;
   tf->codes[28986] = 0x000085f92167df7bUL;
   tf->codes[28987] = 0x00008614cf019998UL;
   tf->codes[28988] = 0x000087b67f28c0c2UL;
   tf->codes[28989] = 0x00008c781b05b7f9UL;
   tf->codes[28990] = 0x0000906a3e293e39UL;
   tf->codes[28991] = 0x000090a83b9059c4UL;
   tf->codes[28992] = 0x000090e49f0e4cecUL;
   tf->codes[28993] = 0x000091d4cdabf6eeUL;
   tf->codes[28994] = 0x000091df535f0054UL;
   tf->codes[28995] = 0x000096bbb2999a94UL;
   tf->codes[28996] = 0x000096e63e83cbb6UL;
   tf->codes[28997] = 0x000097081933219aUL;
   tf->codes[28998] = 0x00009a5305f12e53UL;
   tf->codes[28999] = 0x00009be771b106dbUL;
   tf->codes[29000] = 0x00009d1d64b49092UL;
   tf->codes[29001] = 0x00009ec507624dbeUL;
   tf->codes[29002] = 0x00009ffd7e8b16ecUL;
   tf->codes[29003] = 0x0000a151a34d9a37UL;
   tf->codes[29004] = 0x0000a1960859574eUL;
   tf->codes[29005] = 0x0000a27e35693761UL;
   tf->codes[29006] = 0x0000a6f579b3db7fUL;
   tf->codes[29007] = 0x0000a88726bf6ecbUL;
   tf->codes[29008] = 0x0000a88a9520c556UL;
   tf->codes[29009] = 0x0000a96284860bc6UL;
   tf->codes[29010] = 0x0000aa04ed300c24UL;
   tf->codes[29011] = 0x0000ab41bcf642f1UL;
   tf->codes[29012] = 0x0000acc6d54798eaUL;
   tf->codes[29013] = 0x0000affae22764afUL;
   tf->codes[29014] = 0x0000b0f73061407aUL;
   tf->codes[29015] = 0x0000b1feee8a3cbfUL;
   tf->codes[29016] = 0x0000b3dfc0e39c4dUL;
   tf->codes[29017] = 0x0000b64d0644d259UL;
   tf->codes[29018] = 0x0000b6cb853848e6UL;
   tf->codes[29019] = 0x0000b6f43caa4be0UL;
   tf->codes[29020] = 0x0000b7e13775a51cUL;
   tf->codes[29021] = 0x0000b8bf53f08753UL;
   tf->codes[29022] = 0x0000ba7c0204574bUL;
   tf->codes[29023] = 0x0000babc0e72a6c3UL;
   tf->codes[29024] = 0x0000bce3c9fd02dfUL;
   tf->codes[29025] = 0x0000be001e6e0666UL;
   tf->codes[29026] = 0x0000be5b63580471UL;
   tf->codes[29027] = 0x0000cdbf0f852d14UL;
   tf->codes[29028] = 0x0000d017840f5619UL;
   tf->codes[29029] = 0x0000d15d3f9f6de9UL;
   tf->codes[29030] = 0x0000d67761b21defUL;
   tf->codes[29031] = 0x0000d78aca594073UL;
   tf->codes[29032] = 0x0000dd424ccb71e9UL;
   tf->codes[29033] = 0x0000e0b5f0fb819cUL;
   tf->codes[29034] = 0x0000e35f24bc9f46UL;
   tf->codes[29035] = 0x0000e3fb25c1fe18UL;
   tf->codes[29036] = 0x0000e5f7e0441d88UL;
   tf->codes[29037] = 0x0000e69f16a9970fUL;
   tf->codes[29038] = 0x0000e756ffd7b5c3UL;
   tf->codes[29039] = 0x0000e9e535ac2a9fUL;
   tf->codes[29040] = 0x0000eb92cae07dcdUL;
   tf->codes[29041] = 0x0000f3a16282b5aaUL;
   tf->codes[29042] = 0x0000f4769333b6deUL;
   tf->codes[29043] = 0x0000f63ca22f7363UL;
   tf->codes[29044] = 0x0000f8a79dfa6fbdUL;
   tf->codes[29045] = 0x0000fb21ed33eea6UL;
   tf->codes[29046] = 0x0000fd78c7d4ef48UL;
   tf->codes[29047] = 0x0000fdb68aad050eUL;
   tf->codes[29048] = 0x0000fe1f13fe51bbUL;
   tf->codes[29049] = 0x000100b80a14d5c2UL;
   tf->codes[29050] = 0x00010305493ee412UL;
   tf->codes[29051] = 0x000103de5d6f475bUL;
   tf->codes[29052] = 0x000106866c65482cUL;
   tf->codes[29053] = 0x00010691dc5468a6UL;
   tf->codes[29054] = 0x000108b48f9445d4UL;
   tf->codes[29055] = 0x00010904648f2365UL;
   tf->codes[29056] = 0x00010b4842d14528UL;
   tf->codes[29057] = 0x0001101847e0a7daUL;
   tf->codes[29058] = 0x0001158d744e5026UL;
   tf->codes[29059] = 0x00011816dc674bd9UL;
   tf->codes[29060] = 0x0001197720c600edUL;
   tf->codes[29061] = 0x00011b8abb266151UL;
   tf->codes[29062] = 0x00011c4b558f5b43UL;
   tf->codes[29063] = 0x00011d66fa534d7bUL;
   tf->codes[29064] = 0x00011e81ef6a2e64UL;
   tf->codes[29065] = 0x0001216ba4b7a710UL;
   tf->codes[29066] = 0x000121c1a6c82068UL;
   tf->codes[29067] = 0x0001266586042995UL;
   tf->codes[29068] = 0x00012a8d6a71fbacUL;
   tf->codes[29069] = 0x00012bdde64422a7UL;
   tf->codes[29070] = 0x00012d395ce75e92UL;
   tf->codes[29071] = 0x00012e40e0815512UL;
   tf->codes[29072] = 0x00012eb21b0d7cfdUL;
   tf->codes[29073] = 0x00012faa4b38f0eeUL;
   tf->codes[29074] = 0x00012fc07b6a2093UL;
   tf->codes[29075] = 0x00012fd1dddfd70fUL;
   tf->codes[29076] = 0x000131c02f2f8b04UL;
   tf->codes[29077] = 0x000133380319925bUL;
   tf->codes[29078] = 0x0001355538f0e511UL;
   tf->codes[29079] = 0x000135cd503fba12UL;
   tf->codes[29080] = 0x00013649107eeb63UL;
   tf->codes[29081] = 0x000136718d61e898UL;
   tf->codes[29082] = 0x00013cc794feb857UL;
   tf->codes[29083] = 0x00013d22d9e8b662UL;
   tf->codes[29084] = 0x00013d7114fa6b90UL;
   tf->codes[29085] = 0x00013da2f2c55552UL;
   tf->codes[29086] = 0x00013e137da46beeUL;
   tf->codes[29087] = 0x000140be85ddb7c0UL;
   tf->codes[29088] = 0x000140c5d7be7060UL;
   tf->codes[29089] = 0x000140c6c1fa8774UL;
   tf->codes[29090] = 0x000141749a93a84cUL;
   tf->codes[29091] = 0x000144c997e6b2e1UL;
   tf->codes[29092] = 0x000145d5e93c228aUL;
   tf->codes[29093] = 0x000146a2ddd0540aUL;
   tf->codes[29094] = 0x000147c684221031UL;
   tf->codes[29095] = 0x0001481e201bb1ecUL;
   tf->codes[29096] = 0x00014ce1caffdd10UL;
   tf->codes[29097] = 0x00014df0a07a8c30UL;
   tf->codes[29098] = 0x00014e2c8eda73ceUL;
   tf->codes[29099] = 0x00014e8bb743d3eeUL;
   tf->codes[29100] = 0x00015260cd737d73UL;
   tf->codes[29101] = 0x0001557ee4b11f58UL;
   tf->codes[29102] = 0x0001560aa80be487UL;
   tf->codes[29103] = 0x000157fa58b5bb1aUL;
   tf->codes[29104] = 0x00015845256619bdUL;
   tf->codes[29105] = 0x000158b4165c07f6UL;
   tf->codes[29106] = 0x000158b7f9db6a0bUL;
   tf->codes[29107] = 0x000158d457223577UL;
   tf->codes[29108] = 0x00015ace8d7f1570UL;
   tf->codes[29109] = 0x00015b3c1f1ae10bUL;
   tf->codes[29110] = 0x00015db8083d8857UL;
   tf->codes[29111] = 0x00015ed1d8894c67UL;
   tf->codes[29112] = 0x00015fb955ec1b2bUL;
   tf->codes[29113] = 0x00015fd578a3e0d2UL;
   tf->codes[29114] = 0x00016086bf9e5835UL;
   tf->codes[29115] = 0x00016189ea9ae116UL;
   tf->codes[29116] = 0x000161fde3db4e3dUL;
   tf->codes[29117] = 0x0001633fbbec03f8UL;
   tf->codes[29118] = 0x000164fe3e780218UL;
   tf->codes[29119] = 0x0001669e54b600dfUL;
   tf->codes[29120] = 0x000167062e5a3c3dUL;
   tf->codes[29121] = 0x000167dda8a17723UL;
   tf->codes[29122] = 0x000169244e6da607UL;
   tf->codes[29123] = 0x00016a2a381e7424UL;
   tf->codes[29124] = 0x00016ab37753f9dcUL;
   tf->codes[29125] = 0x00016b0d9772db0eUL;
   tf->codes[29126] = 0x00016d7cebdb4507UL;
   tf->codes[29127] = 0x00016face38270d7UL;
   tf->codes[29128] = 0x00016fbc717ff92bUL;
   tf->codes[29129] = 0x000171c2525aff63UL;
   tf->codes[29130] = 0x000173c5e99fcbe9UL;
   tf->codes[29131] = 0x0001745137dc858eUL;
   tf->codes[29132] = 0x000174a61521e20dUL;
   tf->codes[29133] = 0x00017625ea99b353UL;
   tf->codes[29134] = 0x00017647159bf7e8UL;
   tf->codes[29135] = 0x0001768dfeccf476UL;
   tf->codes[29136] = 0x000177dd9063045dUL;
   tf->codes[29137] = 0x000178a99abb1ec9UL;
   tf->codes[29138] = 0x00017a1e7561db1fUL;
   tf->codes[29139] = 0x00017c89712cd779UL;
   tf->codes[29140] = 0x000182c7e93e54f5UL;
   tf->codes[29141] = 0x0001847d0ae26688UL;
   tf->codes[29142] = 0x0001855f7ffab65eUL;
   tf->codes[29143] = 0x000185eb7de48152UL;
   tf->codes[29144] = 0x00018a7374f7ca9dUL;
   tf->codes[29145] = 0x00018be765626fdfUL;
   tf->codes[29146] = 0x00018cda18255958UL;
   tf->codes[29147] = 0x00018fbf74d56465UL;
   tf->codes[29148] = 0x000190ab10469b03UL;
   tf->codes[29149] = 0x000191e55be79259UL;
   tf->codes[29150] = 0x000193e6e4252af2UL;
   tf->codes[29151] = 0x000193eac7a48d07UL;
   tf->codes[29152] = 0x00019880ed5b3c08UL;
   tf->codes[29153] = 0x00019973a01e2581UL;
   tf->codes[29154] = 0x000199a83c9d547fUL;
   tf->codes[29155] = 0x00019aea14ae0a3aUL;
   tf->codes[29156] = 0x00019b47a32e41f7UL;
   tf->codes[29157] = 0x00019e45eec3c1e5UL;
   tf->codes[29158] = 0x00019e6719c6067aUL;
   tf->codes[29159] = 0x00019f043f968225UL;
   tf->codes[29160] = 0x0001a09b6a0a9fe9UL;
   tf->codes[29161] = 0x0001a1be9b3e5086UL;
   tf->codes[29162] = 0x0001a1e961b7876dUL;
   tf->codes[29163] = 0x0001a289bb5a53deUL;
   tf->codes[29164] = 0x0001a2b1c31f4589UL;
   tf->codes[29165] = 0x0001a375915a9041UL;
   tf->codes[29166] = 0x0001a4be80bcf8d7UL;
   tf->codes[29167] = 0x0001a4e4045cab0bUL;
   tf->codes[29168] = 0x0001a62c0982fc8dUL;
   tf->codes[29169] = 0x0001a63320d4af68UL;
   tf->codes[29170] = 0x0001a693e32737ebUL;
   tf->codes[29171] = 0x0001a759c069b690UL;
   tf->codes[29172] = 0x0001a7a24383db81UL;
   tf->codes[29173] = 0x0001a8d69c9e3cd5UL;
   tf->codes[29174] = 0x0001ab4332526192UL;
   tf->codes[29175] = 0x0001aba4a451fb64UL;
   tf->codes[29176] = 0x0001aca3ebcf2230UL;
   tf->codes[29177] = 0x0001ad07a764f5b4UL;
   tf->codes[29178] = 0x0001ae5e504cb876UL;
   tf->codes[29179] = 0x0001aefdfa427398UL;
   tf->codes[29180] = 0x0001b14afedd7c23UL;
   tf->codes[29181] = 0x0001b1dc7a2fd18fUL;
   tf->codes[29182] = 0x0001b34a7813e0cfUL;
   tf->codes[29183] = 0x0001b6425c04bf31UL;
   tf->codes[29184] = 0x0001b898fc16ba0eUL;
   tf->codes[29185] = 0x0001bc6267c83d54UL;
   tf->codes[29186] = 0x0001bc681fbfcd91UL;
   tf->codes[29187] = 0x0001bde7f5379ed7UL;
   tf->codes[29188] = 0x0001c10e0e030aabUL;
   tf->codes[29189] = 0x0001c15865955dc4UL;
   tf->codes[29190] = 0x0001c4b982849a22UL;
   tf->codes[29191] = 0x0001c60a7374cca7UL;
   tf->codes[29192] = 0x0001c72ec9739a1dUL;
   tf->codes[29193] = 0x0001c7606caf7e1aUL;
   tf->codes[29194] = 0x0001c7cbb4b51003UL;
   tf->codes[29195] = 0x0001c955d550e4eaUL;
   tf->codes[29196] = 0x0001cc4ccf05ac38UL;
   tf->codes[29197] = 0x0001cf5a337aa8f0UL;
   tf->codes[29198] = 0x0001d207bfd93439UL;
   tf->codes[29199] = 0x0001d2c894d133f0UL;
   tf->codes[29200] = 0x0001d391a5e6035bUL;
   tf->codes[29201] = 0x0001d5848a622ab4UL;
   tf->codes[29202] = 0x0001d5dac701a9d1UL;
   tf->codes[29203] = 0x0001d9816dc7c01fUL;
   tf->codes[29204] = 0x0001dd230c43577fUL;
   tf->codes[29205] = 0x0001de1d4b75ff5dUL;
   tf->codes[29206] = 0x0001de228e4f8410UL;
   tf->codes[29207] = 0x0001df3c5e9b4820UL;
   tf->codes[29208] = 0x0001dff3981c5585UL;
   tf->codes[29209] = 0x0001e21bc8c4bd2bUL;
   tf->codes[29210] = 0x0001e3417e1dad3fUL;
   tf->codes[29211] = 0x0001e3431806d5a2UL;
   tf->codes[29212] = 0x0001e483562e62faUL;
   tf->codes[29213] = 0x0001e4e502bd0291UL;
   tf->codes[29214] = 0x0001e4eb6a61a41dUL;
   tf->codes[29215] = 0x0001e6bc742e7592UL;
   tf->codes[29216] = 0x0001e8c379d498a3UL;
   tf->codes[29217] = 0x0001eae333d12ad0UL;
   tf->codes[29218] = 0x0001ecd94c1fa2efUL;
   tf->codes[29219] = 0x0001ed1debba65cbUL;
   tf->codes[29220] = 0x0001edd5d4e8847fUL;
   tf->codes[29221] = 0x0001ee370c59188cUL;
   tf->codes[29222] = 0x0001f4b64085f6cfUL;
   tf->codes[29223] = 0x0001f7e8ee0b9ff6UL;
   tf->codes[29224] = 0x0001f80a8e2bf015UL;
   tf->codes[29225] = 0x0001f8ef4cda799dUL;
   tf->codes[29226] = 0x0001fa3a10b5105bUL;
   tf->codes[29227] = 0x0001fa6795e28c7eUL;
   tf->codes[29228] = 0x0001fd456622d926UL;
   tf->codes[29229] = 0x0001fea7446ab69dUL;
   tf->codes[29230] = 0x0001ff22ca1ae229UL;
   tf->codes[29231] = 0x000002a80b4fae1dUL;
   tf->codes[29232] = 0x0000032147699ff7UL;
   tf->codes[29233] = 0x00000541eba24938UL;
   tf->codes[29234] = 0x00000597b323bccbUL;
   tf->codes[29235] = 0x00000824c42d14ceUL;
   tf->codes[29236] = 0x00000a47776cf1fcUL;
   tf->codes[29237] = 0x00000aea5534fde4UL;
   tf->codes[29238] = 0x00000ba3632e3971UL;
   tf->codes[29239] = 0x00000beb712a52d8UL;
   tf->codes[29240] = 0x00000c4765c16232UL;
   tf->codes[29241] = 0x00000c7dd6b8bf58UL;
   tf->codes[29242] = 0x00000e3457b6f389UL;
   tf->codes[29243] = 0x00000e41d6ad47f0UL;
   tf->codes[29244] = 0x00000e6ac8ae50afUL;
   tf->codes[29245] = 0x00000f992f421c01UL;
   tf->codes[29246] = 0x0000110a9b8781ccUL;
   tf->codes[29247] = 0x000011a69c8ce09eUL;
   tf->codes[29248] = 0x0000135ad3f4db1dUL;
   tf->codes[29249] = 0x000014c43eac76f9UL;
   tf->codes[29250] = 0x00001704e91c47f6UL;
   tf->codes[29251] = 0x000019c5ac68b7e3UL;
   tf->codes[29252] = 0x00001b8b80d56ea3UL;
   tf->codes[29253] = 0x00001ca675ec4f8cUL;
   tf->codes[29254] = 0x00001d4de6e0ced8UL;
   tf->codes[29255] = 0x00001e9501cb0946UL;
   tf->codes[29256] = 0x000022039db09a0bUL;
   tf->codes[29257] = 0x00002493e28c42d4UL;
   tf->codes[29258] = 0x00002736398ab368UL;
   tf->codes[29259] = 0x0000282d0a5c04bbUL;
   tf->codes[29260] = 0x00002948e9aefcb8UL;
   tf->codes[29261] = 0x00002d726805f732UL;
   tf->codes[29262] = 0x00003029554c6f08UL;
   tf->codes[29263] = 0x000030a0bcee32baUL;
   tf->codes[29264] = 0x000031921056f995UL;
   tf->codes[29265] = 0x000031f222fc70c9UL;
   tf->codes[29266] = 0x00003663af4f84aaUL;
   tf->codes[29267] = 0x00003791db544a37UL;
   tf->codes[29268] = 0x000038ae2fc54dbeUL;
   tf->codes[29269] = 0x00003962aa9215e7UL;
   tf->codes[29270] = 0x00003b2a8e060094UL;
   tf->codes[29271] = 0x00003bd2e93696f4UL;
   tf->codes[29272] = 0x00003d00daac56bcUL;
   tf->codes[29273] = 0x00003ebead8b438dUL;
   tf->codes[29274] = 0x000041358e636bebUL;
   tf->codes[29275] = 0x0000433cce9894c1UL;
   tf->codes[29276] = 0x00004508958be183UL;
   tf->codes[29277] = 0x000048c5e1a13300UL;
   tf->codes[29278] = 0x00004c8f12c3b081UL;
   tf->codes[29279] = 0x00004c9a0d94c571UL;
   tf->codes[29280] = 0x00004d13f95bc89aUL;
   tf->codes[29281] = 0x0000532944dd3792UL;
   tf->codes[29282] = 0x000059047676ed14UL;
   tf->codes[29283] = 0x000059da9164055cUL;
   tf->codes[29284] = 0x00005b476a7cf7c3UL;
   tf->codes[29285] = 0x00005bc1cb620676UL;
   tf->codes[29286] = 0x00005c7471b6a077UL;
   tf->codes[29287] = 0x00005cfa07fbc9dfUL;
   tf->codes[29288] = 0x00005e2366451643UL;
   tf->codes[29289] = 0x00005e7c6198da9cUL;
   tf->codes[29290] = 0x00005f8afc8483f7UL;
   tf->codes[29291] = 0x00006341e0f533e8UL;
   tf->codes[29292] = 0x000063de91a7a409UL;
   tf->codes[29293] = 0x000065aeb1385e6aUL;
   tf->codes[29294] = 0x0000664b9c79d450UL;
   tf->codes[29295] = 0x0000667d7a44be12UL;
   tf->codes[29296] = 0x000067b1d35f1f66UL;
   tf->codes[29297] = 0x000067e510842bc6UL;
   tf->codes[29298] = 0x00006b17837acf28UL;
   tf->codes[29299] = 0x00006b66e357a12fUL;
   tf->codes[29300] = 0x00006e456344ff26UL;
   tf->codes[29301] = 0x00006f27633f4372UL;
   tf->codes[29302] = 0x00006f2bbbdcb111UL;
   tf->codes[29303] = 0x00006f4bc213d8cdUL;
   tf->codes[29304] = 0x00006f9cbbd9d337UL;
   tf->codes[29305] = 0x00007188fe22533fUL;
   tf->codes[29306] = 0x0000761c2a95b73fUL;
   tf->codes[29307] = 0x000077b773183cddUL;
   tf->codes[29308] = 0x0000784928f9980eUL;
   tf->codes[29309] = 0x00007abac6f83bb9UL;
   tf->codes[29310] = 0x00007dd82e88cc4fUL;
   tf->codes[29311] = 0x00007e6a1ef92d45UL;
   tf->codes[29312] = 0x00007ee35b131f1fUL;
   tf->codes[29313] = 0x0000844a936c677aUL;
   tf->codes[29314] = 0x00008460890e915aUL;
   tf->codes[29315] = 0x000084aefeaf4c4dUL;
   tf->codes[29316] = 0x000085148ebd4df9UL;
   tf->codes[29317] = 0x000085ed685eab7dUL;
   tf->codes[29318] = 0x000086441a1c3624UL;
   tf->codes[29319] = 0x000087391675594fUL;
   tf->codes[29320] = 0x000087d885dc0eacUL;
   tf->codes[29321] = 0x0000889a0a811fb2UL;
   tf->codes[29322] = 0x00008ad572176bfcUL;
   tf->codes[29323] = 0x00008b77a0326695UL;
   tf->codes[29324] = 0x00008c5e6de8240aUL;
   tf->codes[29325] = 0x00008e8d40c43301UL;
   tf->codes[29326] = 0x00008f281cfe74faUL;
   tf->codes[29327] = 0x00009221d5678184UL;
   tf->codes[29328] = 0x00009232fd4e323bUL;
   tf->codes[29329] = 0x000092e8d7751d02UL;
   tf->codes[29330] = 0x0000942f0823405cUL;
   tf->codes[29331] = 0x0000952ec4be72b2UL;
   tf->codes[29332] = 0x0000967c0cbe48e7UL;
   tf->codes[29333] = 0x000098a09476543dUL;
   tf->codes[29334] = 0x00009a9dc4167f37UL;
   tf->codes[29335] = 0x00009ae4ad477bc5UL;
   tf->codes[29336] = 0x00009b247f26c578UL;
   tf->codes[29337] = 0x00009e7e84c44efbUL;
   tf->codes[29338] = 0x00009ee70e159ba8UL;
   tf->codes[29339] = 0x0000a064d4863901UL;
   tf->codes[29340] = 0x0000a09677c21cfeUL;
   tf->codes[29341] = 0x0000a0a6b56cb6a1UL;
   tf->codes[29342] = 0x0000a2c216cbdb2fUL;
   tf->codes[29343] = 0x0000a5f4c4518456UL;
   tf->codes[29344] = 0x0000ad16612862f7UL;
   tf->codes[29345] = 0x0000add2dd82f50fUL;
   tf->codes[29346] = 0x0000b147e10d2760UL;
   tf->codes[29347] = 0x0000b3c59ea7fcd4UL;
   tf->codes[29348] = 0x0000b41dea4eafdeUL;
   tf->codes[29349] = 0x0000b5f521311d1aUL;
   tf->codes[29350] = 0x0000b747ac0a7802UL;
   tf->codes[29351] = 0x0000ba2abf24495dUL;
   tf->codes[29352] = 0x0000bcbb03fff226UL;
   tf->codes[29353] = 0x0000bcde3e096aa8UL;
   tf->codes[29354] = 0x0000bd176db50d0aUL;
   tf->codes[29355] = 0x0000bd77bae98a03UL;
   tf->codes[29356] = 0x0000bdf3f046c6deUL;
   tf->codes[29357] = 0x0000bf0758ede962UL;
   tf->codes[29358] = 0x0000c5364301de8aUL;
   tf->codes[29359] = 0x0000c5452152558fUL;
   tf->codes[29360] = 0x0000c58e8ea89194UL;
   tf->codes[29361] = 0x0000d4e237ba2659UL;
   tf->codes[29362] = 0x0000de2d64938f3eUL;
   tf->codes[29363] = 0x0000e08180804aa4UL;
   tf->codes[29364] = 0x0000e0826abc61b8UL;
   tf->codes[29365] = 0x0000e166b44cdfb6UL;
   tf->codes[29366] = 0x0000e278bd99df9cUL;
   tf->codes[29367] = 0x0000e2bd97c3a83dUL;
   tf->codes[29368] = 0x0000e2cadc2af6dfUL;
   tf->codes[29369] = 0x0000e3386dc6c27aUL;
   tf->codes[29370] = 0x0000e391de38925dUL;
   tf->codes[29371] = 0x0000e404781edce6UL;
   tf->codes[29372] = 0x0000e577092f5f8aUL;
   tf->codes[29373] = 0x0000e748c2a9424eUL;
   tf->codes[29374] = 0x0000e8bd62c0f8dfUL;
   tf->codes[29375] = 0x0000e91957580839UL;
   tf->codes[29376] = 0x0000e98d50987560UL;
   tf->codes[29377] = 0x0000edffc727a055UL;
   tf->codes[29378] = 0x0000f113cdd0445eUL;
   tf->codes[29379] = 0x0000f16c5405fd2dUL;
   tf->codes[29380] = 0x0000f1a84265e4cbUL;
   tf->codes[29381] = 0x0000f3517efcca5aUL;
   tf->codes[29382] = 0x0000f368d3f916d8UL;
   tf->codes[29383] = 0x0000f4f871fd7637UL;
   tf->codes[29384] = 0x0000fb801cd629f3UL;
   tf->codes[29385] = 0x0000fbcc0e51a56fUL;
   tf->codes[29386] = 0x0000fd095335e7c6UL;
   tf->codes[29387] = 0x0001025e796c6856UL;
   tf->codes[29388] = 0x000103a902b7f94fUL;
   tf->codes[29389] = 0x000103cfab22c85cUL;
   tf->codes[29390] = 0x00010417f3ade788UL;
   tf->codes[29391] = 0x000105d21d9c7809UL;
   tf->codes[29392] = 0x000105d76075fcbcUL;
   tf->codes[29393] = 0x000105d7d5940846UL;
   tf->codes[29394] = 0x000106a0e6a8d7b1UL;
   tf->codes[29395] = 0x000107f6303677d5UL;
   tf->codes[29396] = 0x0001083fd81bb99fUL;
   tf->codes[29397] = 0x00010f07c9f1c298UL;
   tf->codes[29398] = 0x00011206c53453d5UL;
   tf->codes[29399] = 0x000113b8ed951a67UL;
   tf->codes[29400] = 0x000116d988f7fbc3UL;
   tf->codes[29401] = 0x00011a47afbf80feUL;
   tf->codes[29402] = 0x00011b5107d1a5a6UL;
   tf->codes[29403] = 0x00011cde21b0c58eUL;
   tf->codes[29404] = 0x00011f38dfd12845UL;
   tf->codes[29405] = 0x00011ffad99444d5UL;
   tf->codes[29406] = 0x000122e7c2b40e47UL;
   tf->codes[29407] = 0x000123a947591f4dUL;
   tf->codes[29408] = 0x00012504f88b60fdUL;
   tf->codes[29409] = 0x00012509c646da26UL;
   tf->codes[29410] = 0x00012a2ea89b9957UL;
   tf->codes[29411] = 0x00012b7ee9deba8dUL;
   tf->codes[29412] = 0x00012bbef64d0a05UL;
   tf->codes[29413] = 0x00012bf91034c37bUL;
   tf->codes[29414] = 0x00012f88276f8786UL;
   tf->codes[29415] = 0x0001304d8f93faa1UL;
   tf->codes[29416] = 0x000135025c27aec0UL;
   tf->codes[29417] = 0x00013620bf9fe634UL;
   tf->codes[29418] = 0x000136db67824a24UL;
   tf->codes[29419] = 0x00013807847fdbc4UL;
   tf->codes[29420] = 0x0001393d7783657bUL;
   tf->codes[29421] = 0x00013e074f7d2c66UL;
   tf->codes[29422] = 0x00013f1f4b50c24eUL;
   tf->codes[29423] = 0x0001408b74bca366UL;
   tf->codes[29424] = 0x0001455253731f50UL;
   tf->codes[29425] = 0x0001455fd26973b7UL;
   tf->codes[29426] = 0x00014d99e031f3caUL;
   tf->codes[29427] = 0x00014e949482a732UL;
   tf->codes[29428] = 0x00014e9878020947UL;
   tf->codes[29429] = 0x0001501e05716acaUL;
   tf->codes[29430] = 0x000150408fcdd1fdUL;
   tf->codes[29431] = 0x00015063c9d74a7fUL;
   tf->codes[29432] = 0x00015067e7e5b259UL;
   tf->codes[29433] = 0x000151c09fd4a908UL;
   tf->codes[29434] = 0x000155456beb6972UL;
   tf->codes[29435] = 0x00015627a674b383UL;
   tf->codes[29436] = 0x000157597b69d560UL;
   tf->codes[29437] = 0x0001581df9523167UL;
   tf->codes[29438] = 0x00015bb1a3b968d6UL;
   tf->codes[29439] = 0x00015bc80e799e40UL;
   tf->codes[29440] = 0x00015ca92437cb78UL;
   tf->codes[29441] = 0x0001617d81e49bc9UL;
   tf->codes[29442] = 0x000161c76458e358UL;
   tf->codes[29443] = 0x000161d9015d9f99UL;
   tf->codes[29444] = 0x0001644b89985a58UL;
   tf->codes[29445] = 0x000164d7fca030d6UL;
   tf->codes[29446] = 0x000165fa7e26d024UL;
   tf->codes[29447] = 0x000165fed6c43dc3UL;
   tf->codes[29448] = 0x0001664e7130158fUL;
   tf->codes[29449] = 0x000168f72fd327afUL;
   tf->codes[29450] = 0x00016a5823deee12UL;
   tf->codes[29451] = 0x00016c26a9868010UL;
   tf->codes[29452] = 0x00016f026abf98cbUL;
   tf->codes[29453] = 0x000170c7ca0e4401UL;
   tf->codes[29454] = 0x000170ef97442fe7UL;
   tf->codes[29455] = 0x0001717aaaf1e3c7UL;
   tf->codes[29456] = 0x0001735e017082ccUL;
   tf->codes[29457] = 0x00017b8c64badca0UL;
   tf->codes[29458] = 0x000182a0829b66daUL;
   tf->codes[29459] = 0x000183b3eb42895eUL;
   tf->codes[29460] = 0x00018446c5ef0168UL;
   tf->codes[29461] = 0x000186ea07298910UL;
   tf->codes[29462] = 0x00018887d3d14e25UL;
   tf->codes[29463] = 0x0001889dc9737805UL;
   tf->codes[29464] = 0x000189f5972657a0UL;
   tf->codes[29465] = 0x00018abc5ea4ed59UL;
   tf->codes[29466] = 0x00018d3dffbf24e2UL;
   tf->codes[29467] = 0x00018fb8fea5b51aUL;
   tf->codes[29468] = 0x0001921ce31efe99UL;
   tf->codes[29469] = 0x0001924f3607f3e5UL;
   tf->codes[29470] = 0x000192be618ce7e3UL;
   tf->codes[29471] = 0x0001941e6b5c9732UL;
   tf->codes[29472] = 0x00019582933aae5bUL;
   tf->codes[29473] = 0x00019679640bffaeUL;
   tf->codes[29474] = 0x0001975cfdef6c5dUL;
   tf->codes[29475] = 0x00019a39a9649c2cUL;
   tf->codes[29476] = 0x00019a4bf61669bcUL;
   tf->codes[29477] = 0x00019ad4c02de3eaUL;
   tf->codes[29478] = 0x00019de59304372dUL;
   tf->codes[29479] = 0x0001a05e0dc587eeUL;
   tf->codes[29480] = 0x0001a0aae97d1a7eUL;
   tf->codes[29481] = 0x0001a33451961631UL;
   tf->codes[29482] = 0x0001a661f6d1406aUL;
   tf->codes[29483] = 0x0001a6bbdc611bd7UL;
   tf->codes[29484] = 0x0001aa4a7e7dd458UL;
   tf->codes[29485] = 0x0001aa812a043743UL;
   tf->codes[29486] = 0x0001aa82895e59e1UL;
   tf->codes[29487] = 0x0001aac30aeab4e3UL;
   tf->codes[29488] = 0x0001ab3e1b7cd4e5UL;
   tf->codes[29489] = 0x0001ab5e21b3fca1UL;
   tf->codes[29490] = 0x0001ac7399625312UL;
   tf->codes[29491] = 0x0001ad06740ecb1cUL;
   tf->codes[29492] = 0x0001ae2ee81c006cUL;
   tf->codes[29493] = 0x0001b169221167f8UL;
   tf->codes[29494] = 0x0001b275e884e32bUL;
   tf->codes[29495] = 0x0001b3840e5280fcUL;
   tf->codes[29496] = 0x0001b51371c7da96UL;
   tf->codes[29497] = 0x0001b89a1256c928UL;
   tf->codes[29498] = 0x0001b8d3f1af7cd9UL;
   tf->codes[29499] = 0x0001b9c7c93d832bUL;
   tf->codes[29500] = 0x0001bbf2437c2483UL;
   tf->codes[29501] = 0x0001bfcf95c89dbcUL;
   tf->codes[29502] = 0x0001c0965d473375UL;
   tf->codes[29503] = 0x0001c0a74a9ede67UL;
   tf->codes[29504] = 0x0001c15f6e5c02e0UL;
   tf->codes[29505] = 0x0001c27520995f16UL;
   tf->codes[29506] = 0x0001c2ac7bccd350UL;
   tf->codes[29507] = 0x0001c3aef71c4ae2UL;
   tf->codes[29508] = 0x0001c458b1a703e0UL;
   tf->codes[29509] = 0x0001c497242c2af5UL;
   tf->codes[29510] = 0x0001c4ed9b5aafd7UL;
   tf->codes[29511] = 0x0001c5c465f4d96eUL;
   tf->codes[29512] = 0x0001c7d2485da995UL;
   tf->codes[29513] = 0x0001c7d6db8a1cf9UL;
   tf->codes[29514] = 0x0001ca36a1f4fe9eUL;
   tf->codes[29515] = 0x0001ca38eb8b3850UL;
   tf->codes[29516] = 0x0001cae85e0d818bUL;
   tf->codes[29517] = 0x0001ceb6d20983bfUL;
   tf->codes[29518] = 0x0001d1227d819168UL;
   tf->codes[29519] = 0x0001d571ba0743dbUL;
   tf->codes[29520] = 0x0001d6a0d048207cUL;
   tf->codes[29521] = 0x0001d766ad8a9f21UL;
   tf->codes[29522] = 0x0001d87a8b4fcd2fUL;
   tf->codes[29523] = 0x0001db497d3fa2d2UL;
   tf->codes[29524] = 0x0001dc2c6775fe32UL;
   tf->codes[29525] = 0x0001e3393375cfccUL;
   tf->codes[29526] = 0x0001e3a05d6cf9dbUL;
   tf->codes[29527] = 0x0001e3d708f35cc6UL;
   tf->codes[29528] = 0x0001e4fb5ef22a3cUL;
   tf->codes[29529] = 0x0001e6c725e576feUL;
   tf->codes[29530] = 0x0001e798ada61be2UL;
   tf->codes[29531] = 0x0001e8e287449b8cUL;
   tf->codes[29532] = 0x0001e9b2ea3a2397UL;
   tf->codes[29533] = 0x0001eba977a6a740UL;
   tf->codes[29534] = 0x0001f1a9b7c2036cUL;
   tf->codes[29535] = 0x0001f26a8cba0323UL;
   tf->codes[29536] = 0x0001f28bb7bc47b8UL;
   tf->codes[29537] = 0x0001f8236e865737UL;
   tf->codes[29538] = 0x0001fa67fc758a49UL;
   tf->codes[29539] = 0x0001fb498751c30bUL;
   tf->codes[29540] = 0x0001fb6a77c501dbUL;
   tf->codes[29541] = 0x0001fc6ae40d4580UL;
   tf->codes[29542] = 0x0001ffc7a85f143fUL;
   tf->codes[29543] = 0x000000b886a9cf90UL;
   tf->codes[29544] = 0x0000028b2a5fc968UL;
   tf->codes[29545] = 0x0000057972d9b578UL;
   tf->codes[29546] = 0x000007ae383c5a71UL;
   tf->codes[29547] = 0x000009b4191760a9UL;
   tf->codes[29548] = 0x00000a05c28a6c62UL;
   tf->codes[29549] = 0x00000be44b4d923eUL;
   tf->codes[29550] = 0x00000c9eb8a0f069UL;
   tf->codes[29551] = 0x00000f79550eec4bUL;
   tf->codes[29552] = 0x00000fc6a5e48a65UL;
   tf->codes[29553] = 0x0000108b23cce66cUL;
   tf->codes[29554] = 0x000010b5752811c9UL;
   tf->codes[29555] = 0x00001118bb9fd9c3UL;
   tf->codes[29556] = 0x0000127606bb43d6UL;
   tf->codes[29557] = 0x0000131e61ebda36UL;
   tf->codes[29558] = 0x00001322456b3c4bUL;
   tf->codes[29559] = 0x000015131ae02fb7UL;
   tf->codes[29560] = 0x0000169ab756c527UL;
   tf->codes[29561] = 0x00001cd6e5d208f1UL;
   tf->codes[29562] = 0x00001cf30889ce98UL;
   tf->codes[29563] = 0x00001d389260a888UL;
   tf->codes[29564] = 0x000025f48d7df5b3UL;
   tf->codes[29565] = 0x00002741605fc05eUL;
   tf->codes[29566] = 0x000028ebc1c1c2c6UL;
   tf->codes[29567] = 0x00002c3a57702bcfUL;
   tf->codes[29568] = 0x00002cfcc65153e9UL;
   tf->codes[29569] = 0x00002daebcf8dc9bUL;
   tf->codes[29570] = 0x00002dbdd5d85965UL;
   tf->codes[29571] = 0x0000303b1e55234fUL;
   tf->codes[29572] = 0x000033442a2cb268UL;
   tf->codes[29573] = 0x0000337fddfd9441UL;
   tf->codes[29574] = 0x000033f65b6340dfUL;
   tf->codes[29575] = 0x000034e1bc4571b8UL;
   tf->codes[29576] = 0x0000359c9eb6db6dUL;
   tf->codes[29577] = 0x000035e054158735UL;
   tf->codes[29578] = 0x000036f84fe91d1dUL;
   tf->codes[29579] = 0x0000379b2db12905UL;
   tf->codes[29580] = 0x00003b5df72f04faUL;
   tf->codes[29581] = 0x00003df309c626ecUL;
   tf->codes[29582] = 0x00003f840724a8e9UL;
   tf->codes[29583] = 0x000040fbdb0eb040UL;
   tf->codes[29584] = 0x00004169a73981a0UL;
   tf->codes[29585] = 0x000041e89b4b03b7UL;
   tf->codes[29586] = 0x00004240e6f1b6c1UL;
   tf->codes[29587] = 0x0000424b6ca4c027UL;
   tf->codes[29588] = 0x00004389613613cdUL;
   tf->codes[29589] = 0x000043da958b13fcUL;
   tf->codes[29590] = 0x0000459c4be962e2UL;
   tf->codes[29591] = 0x0000469f3c56e5feUL;
   tf->codes[29592] = 0x0000491a3b3d7636UL;
   tf->codes[29593] = 0x00004a2fed7ad26cUL;
   tf->codes[29594] = 0x00004d7905c0b0fdUL;
   tf->codes[29595] = 0x00004e94356697abUL;
   tf->codes[29596] = 0x00004ffe153c3f11UL;
   tf->codes[29597] = 0x00005259bd98b8dcUL;
   tf->codes[29598] = 0x000053fd42380e2eUL;
   tf->codes[29599] = 0x000056c9b002a45aUL;
   tf->codes[29600] = 0x00005ac9178d793cUL;
   tf->codes[29601] = 0x00005b00e7def900UL;
   tf->codes[29602] = 0x00005b7ca81e2a51UL;
   tf->codes[29603] = 0x00005e0e4c53f5b8UL;
   tf->codes[29604] = 0x00005eb3ae414117UL;
   tf->codes[29605] = 0x00005f8c4d5398d6UL;
   tf->codes[29606] = 0x0000616349a7004dUL;
   tf->codes[29607] = 0x000061daebd7c9c4UL;
   tf->codes[29608] = 0x000063118e8864caUL;
   tf->codes[29609] = 0x00006442ee5f7b1dUL;
   tf->codes[29610] = 0x00006d9e9372836aUL;
   tf->codes[29611] = 0x00006e6b4d77af25UL;
   tf->codes[29612] = 0x00006ff91703e05cUL;
   tf->codes[29613] = 0x000072c5f9ec8212UL;
   tf->codes[29614] = 0x000074a064a14014UL;
   tf->codes[29615] = 0x000075192b9d2664UL;
   tf->codes[29616] = 0x0000764423cf9b2bUL;
   tf->codes[29617] = 0x000077fa2fafc3d2UL;
   tf->codes[29618] = 0x000078b427e51673UL;
   tf->codes[29619] = 0x000079ea5577a5efUL;
   tf->codes[29620] = 0x00007a18ff703eebUL;
   tf->codes[29621] = 0x00007cbf39ee1194UL;
   tf->codes[29622] = 0x00007e799e6ba7daUL;
   tf->codes[29623] = 0x00007f64ff4dd8b3UL;
   tf->codes[29624] = 0x00007ffe419ef249UL;
   tf->codes[29625] = 0x000082990c2da478UL;
   tf->codes[29626] = 0x000082c98a9e6b9cUL;
   tf->codes[29627] = 0x000083fc845eaa52UL;
   tf->codes[29628] = 0x0000844a4a5253f6UL;
   tf->codes[29629] = 0x000085235e82b73fUL;
   tf->codes[29630] = 0x000085f9b3fed54cUL;
   tf->codes[29631] = 0x0000863233fd665fUL;
   tf->codes[29632] = 0x000087856e83d296UL;
   tf->codes[29633] = 0x00008a412985c395UL;
   tf->codes[29634] = 0x00008b4abc26ee02UL;
   tf->codes[29635] = 0x00009325dc1513baUL;
   tf->codes[29636] = 0x000095b0de1737d0UL;
   tf->codes[29637] = 0x000096bb95837f16UL;
   tf->codes[29638] = 0x0000981fbd61963fUL;
   tf->codes[29639] = 0x0000987f2059fc24UL;
   tf->codes[29640] = 0x00009a5c84520527UL;
   tf->codes[29641] = 0x00009b4770162a76UL;
   tf->codes[29642] = 0x00009be3711b8948UL;
   tf->codes[29643] = 0x00009c9cf432d05fUL;
   tf->codes[29644] = 0x0000a2a2b1b6b703UL;
   tf->codes[29645] = 0x0000a706f9a27c42UL;
   tf->codes[29646] = 0x0000a742e80263e0UL;
   tf->codes[29647] = 0x0000adc1e1a03c5eUL;
   tf->codes[29648] = 0x0000adf9b1f1bc22UL;
   tf->codes[29649] = 0x0000ae1d268a3a69UL;
   tf->codes[29650] = 0x0000af8a3a323295UL;
   tf->codes[29651] = 0x0000b00a187fcbc0UL;
   tf->codes[29652] = 0x0000b086134e02d6UL;
   tf->codes[29653] = 0x0000b292d0ebb624UL;
   tf->codes[29654] = 0x0000b8e988359732UL;
   tf->codes[29655] = 0x0000ba74cd9c88f2UL;
   tf->codes[29656] = 0x0000bc1eb9e07fd0UL;
   tf->codes[29657] = 0x0000bef488930289UL;
   tf->codes[29658] = 0x0000befb2ac6a9daUL;
   tf->codes[29659] = 0x0000c1be37a95379UL;
   tf->codes[29660] = 0x0000c603d8b8139aUL;
   tf->codes[29661] = 0x0000ca697ffdfb77UL;
   tf->codes[29662] = 0x0000d0ce65eb423bUL;
   tf->codes[29663] = 0x0000d3357e36dc80UL;
   tf->codes[29664] = 0x0000d61731f68b3dUL;
   tf->codes[29665] = 0x0000d6540a9289efUL;
   tf->codes[29666] = 0x0000d861b26c5451UL;
   tf->codes[29667] = 0x0000d9d73cc021f6UL;
   tf->codes[29668] = 0x0000da2a458d504dUL;
   tf->codes[29669] = 0x0000dea82c0b9bbcUL;
   tf->codes[29670] = 0x0000e0074b9f33f7UL;
   tf->codes[29671] = 0x0000e12ab761ea59UL;
   tf->codes[29672] = 0x0000e927b1ff65f5UL;
   tf->codes[29673] = 0x0000ec5bbedf31baUL;
   tf->codes[29674] = 0x0000f03f78d04c7fUL;
   tf->codes[29675] = 0x0000f0e04791247aUL;
   tf->codes[29676] = 0x0000f25b4f4d7c97UL;
   tf->codes[29677] = 0x0000f2f1985b4b2cUL;
   tf->codes[29678] = 0x0000f43d0be2f339UL;
   tf->codes[29679] = 0x0000f92a5875386bUL;
   tf->codes[29680] = 0x0000fa22c32fb221UL;
   tf->codes[29681] = 0x0000fac357618457UL;
   tf->codes[29682] = 0x0000fafb27b3041bUL;
   tf->codes[29683] = 0x0001040e49abe777UL;
   tf->codes[29684] = 0x00010627d692ddddUL;
   tf->codes[29685] = 0x000106c9ca1ed2b1UL;
   tf->codes[29686] = 0x000108b1ee58eadfUL;
   tf->codes[29687] = 0x000109ef6dcc32fbUL;
   tf->codes[29688] = 0x00010c690d58a095UL;
   tf->codes[29689] = 0x00010cd789308344UL;
   tf->codes[29690] = 0x0001143f24fc475fUL;
   tf->codes[29691] = 0x00011578866127a1UL;
   tf->codes[29692] = 0x00011a8479d071f1UL;
   tf->codes[29693] = 0x00011ac2b1c69341UL;
   tf->codes[29694] = 0x00011b354bacddcaUL;
   tf->codes[29695] = 0x00011b5258a0ba85UL;
   tf->codes[29696] = 0x00011fb07376e3fdUL;
   tf->codes[29697] = 0x00012455ec9c158dUL;
   tf->codes[29698] = 0x000128ce9040dc49UL;
   tf->codes[29699] = 0x0001292039b3e802UL;
   tf->codes[29700] = 0x00012973f22e27a8UL;
   tf->codes[29701] = 0x000129e651856c6cUL;
   tf->codes[29702] = 0x00012cc5811fdbb2UL;
   tf->codes[29703] = 0x00012eda404b58efUL;
   tf->codes[29704] = 0x00012ee366a43fb7UL;
   tf->codes[29705] = 0x000131d3839659efUL;
   tf->codes[29706] = 0x0001336271eda7ffUL;
   tf->codes[29707] = 0x000133fee811125bUL;
   tf->codes[29708] = 0x0001356852c8ae37UL;
   tf->codes[29709] = 0x000136019519c7cdUL;
   tf->codes[29710] = 0x00013691eba10060UL;
   tf->codes[29711] = 0x0001399f8aa502ddUL;
   tf->codes[29712] = 0x00013d633e5ef5e6UL;
   tf->codes[29713] = 0x00013d9a24745e96UL;
   tf->codes[29714] = 0x00013f9878dfa669UL;
   tf->codes[29715] = 0x0001431be59c4435UL;
   tf->codes[29716] = 0x000147740debd7abUL;
   tf->codes[29717] = 0x000148b65b1a98f0UL;
   tf->codes[29718] = 0x00014bbca83de2cdUL;
   tf->codes[29719] = 0x00014cd81272cf40UL;
   tf->codes[29720] = 0x00014d290c38c9aaUL;
   tf->codes[29721] = 0x00014da78b2c4037UL;
   tf->codes[29722] = 0x00014f5b880534f1UL;
   tf->codes[29723] = 0x00014f9f02d4daf4UL;
   tf->codes[29724] = 0x00015494c612f59fUL;
   tf->codes[29725] = 0x000156d9197322ecUL;
   tf->codes[29726] = 0x000158f9831cc668UL;
   tf->codes[29727] = 0x00015b5c083bed49UL;
   tf->codes[29728] = 0x00015c1fd6773801UL;
   tf->codes[29729] = 0x00015c7a31251ef8UL;
   tf->codes[29730] = 0x00015dc1869e5f2bUL;
   tf->codes[29731] = 0x000160144330f7f3UL;
   tf->codes[29732] = 0x00016028645af3abUL;
   tf->codes[29733] = 0x000162d83a4fb8a6UL;
   tf->codes[29734] = 0x0001636fa828a414UL;
   tf->codes[29735] = 0x000163910db9ee6eUL;
   tf->codes[29736] = 0x000163e2420eee9dUL;
   tf->codes[29737] = 0x0001640ccdf91fbfUL;
   tf->codes[29738] = 0x00016491ef203d9dUL;
   tf->codes[29739] = 0x000165b769ea27ecUL;
   tf->codes[29740] = 0x000167d305d8523fUL;
   tf->codes[29741] = 0x00016a23edf2bcdfUL;
   tf->codes[29742] = 0x00016a964d4a01a3UL;
   tf->codes[29743] = 0x00016ce59b7b43e0UL;
   tf->codes[29744] = 0x000173d4e5692d35UL;
   tf->codes[29745] = 0x00017817181696cbUL;
   tf->codes[29746] = 0x000179428567171cUL;
   tf->codes[29747] = 0x00017b46573ae967UL;
   tf->codes[29748] = 0x00017c160a836023UL;
   tf->codes[29749] = 0x00017c9205519739UL;
   tf->codes[29750] = 0x00017ce966bc332fUL;
   tf->codes[29751] = 0x00017d493ed2a49eUL;
   tf->codes[29752] = 0x00017ed8dcd703fdUL;
   tf->codes[29753] = 0x00017f8889e852fdUL;
   tf->codes[29754] = 0x00017f94a98484c6UL;
   tf->codes[29755] = 0x00017fe5a34a7f30UL;
   tf->codes[29756] = 0x000183998e77e420UL;
   tf->codes[29757] = 0x00018535fbc58697UL;
   tf->codes[29758] = 0x00018710667a4499UL;
   tf->codes[29759] = 0x000188bdfbae97c7UL;
   tf->codes[29760] = 0x000189fa90e5c8cfUL;
   tf->codes[29761] = 0x00018d8848c66a3cUL;
   tf->codes[29762] = 0x00018d9ad0073d91UL;
   tf->codes[29763] = 0x0001905e8c96f87fUL;
   tf->codes[29764] = 0x000190ea1562b7e9UL;
   tf->codes[29765] = 0x00019200022f19e4UL;
   tf->codes[29766] = 0x00019317c373aa07UL;
   tf->codes[29767] = 0x000193f187511e9fUL;
   tf->codes[29768] = 0x0001948b794f4984UL;
   tf->codes[29769] = 0x0001956b2fb3541eUL;
   tf->codes[29770] = 0x00019685afac297dUL;
   tf->codes[29771] = 0x0001979a3d1e68daUL;
   tf->codes[29772] = 0x00019944d90f7107UL;
   tf->codes[29773] = 0x00019b3573f55eaeUL;
   tf->codes[29774] = 0x00019bf907a1a3a1UL;
   tf->codes[29775] = 0x00019c957dc50dfdUL;
   tf->codes[29776] = 0x00019e2a9931f7d4UL;
   tf->codes[29777] = 0x00019e44725383c9UL;
   tf->codes[29778] = 0x00019fec150140f5UL;
   tf->codes[29779] = 0x0001a1728cacb98cUL;
   tf->codes[29780] = 0x0001a2862fe2e1d5UL;
   tf->codes[29781] = 0x0001a521e4adab18UL;
   tf->codes[29782] = 0x0001a6e1c693cbd6UL;
   tf->codes[29783] = 0x0001a74373226b6dUL;
   tf->codes[29784] = 0x0001a7a1b14fb479UL;
   tf->codes[29785] = 0x0001a9e58f91d63cUL;
   tf->codes[29786] = 0x0001aabac042d770UL;
   tf->codes[29787] = 0x0001ac8109cd99baUL;
   tf->codes[29788] = 0x0001aca89c747fdbUL;
   tf->codes[29789] = 0x0001adde1a59fe08UL;
   tf->codes[29790] = 0x0001b0570a395a53UL;
   tf->codes[29791] = 0x0001b24bc32dafd4UL;
   tf->codes[29792] = 0x0001b3be8ecd383dUL;
   tf->codes[29793] = 0x0001b87d3166e473UL;
   tf->codes[29794] = 0x0001b98355a6b855UL;
   tf->codes[29795] = 0x0001ba071773b395UL;
   tf->codes[29796] = 0x0001ba50f9e7fb24UL;
   tf->codes[29797] = 0x0001ba938a7b8a13UL;
   tf->codes[29798] = 0x0001bb625387e9bbUL;
   tf->codes[29799] = 0x0001c0c0a0175113UL;
   tf->codes[29800] = 0x0001c24284965646UL;
   tf->codes[29801] = 0x0001c2d2db1d8ed9UL;
   tf->codes[29802] = 0x0001c61b43b65c1bUL;
   tf->codes[29803] = 0x0001c6c44e9403caUL;
   tf->codes[29804] = 0x0001c8be4a61ddfeUL;
   tf->codes[29805] = 0x0001d0e7a561b8e4UL;
   tf->codes[29806] = 0x0001d175b252b7c5UL;
   tf->codes[29807] = 0x0001d1c636faa6a5UL;
   tf->codes[29808] = 0x0001d3494044c8b1UL;
   tf->codes[29809] = 0x0001d46a9d004b26UL;
   tf->codes[29810] = 0x0001d4b653ecc0ddUL;
   tf->codes[29811] = 0x0001d5c2302424fcUL;
   tf->codes[29812] = 0x0001d5e7b3c3d730UL;
   tf->codes[29813] = 0x0001d744c4503b7eUL;
   tf->codes[29814] = 0x0001dae7c225f57cUL;
   tf->codes[29815] = 0x0001dc2541993d98UL;
   tf->codes[29816] = 0x0001dd06cc75765aUL;
   tf->codes[29817] = 0x0001e027a2675d7bUL;
   tf->codes[29818] = 0x0001e1e4c59938fdUL;
   tf->codes[29819] = 0x0001e598eb55a3b2UL;
   tf->codes[29820] = 0x0001e69ba1342109UL;
   tf->codes[29821] = 0x0001e7ebe277423fUL;
   tf->codes[29822] = 0x0001eb256cbf987cUL;
   tf->codes[29823] = 0x0001ec97c341155bUL;
   tf->codes[29824] = 0x0001ed78d8ff4293UL;
   tf->codes[29825] = 0x0001edc57a27cf5eUL;
   tf->codes[29826] = 0x0001edd333ad298aUL;
   tf->codes[29827] = 0x0001f20f73d3fd1eUL;
   tf->codes[29828] = 0x0001f45ec2053f5bUL;
   tf->codes[29829] = 0x0001f5121806eaabUL;
   tf->codes[29830] = 0x0001f6da3609db1dUL;
   tf->codes[29831] = 0x0001fb08f73a5a4aUL;
   tf->codes[29832] = 0x0001fd30ed53bc2bUL;
   tf->codes[29833] = 0x0001fe420c64a4fdUL;
   tf->codes[29834] = 0x0001fee9b7e82a0eUL;
   tf->codes[29835] = 0x0001ffc0bd11596aUL;
   tf->codes[29836] = 0x0001ffe640b10b9eUL;
   tf->codes[29837] = 0x000000a83a74282eUL;
   tf->codes[29838] = 0x0000063b98a0ca0eUL;
   tf->codes[29839] = 0x00000a219c281e85UL;
   tf->codes[29840] = 0x00001128eabf65a7UL;
   tf->codes[29841] = 0x000013aa8bd99d30UL;
   tf->codes[29842] = 0x000015021efd7706UL;
   tf->codes[29843] = 0x00001504ddb1bc42UL;
   tf->codes[29844] = 0x0000156feb284866UL;
   tf->codes[29845] = 0x0000167cec2ac95eUL;
   tf->codes[29846] = 0x000016a4f3efbb09UL;
   tf->codes[29847] = 0x0000179a6566e9beUL;
   tf->codes[29848] = 0x000019887c2797eeUL;
   tf->codes[29849] = 0x000019c79e59d052UL;
   tf->codes[29850] = 0x00001a791fe34d7aUL;
   tf->codes[29851] = 0x00001b7b60a3bf47UL;
   tf->codes[29852] = 0x00001d776b78cd68UL;
   tf->codes[29853] = 0x00001ef91568ccd6UL;
   tf->codes[29854] = 0x000022cba77336e4UL;
   tf->codes[29855] = 0x0000260397d264beUL;
   tf->codes[29856] = 0x000026a63b0b6ae1UL;
   tf->codes[29857] = 0x0000284bceb1f420UL;
   tf->codes[29858] = 0x00002932d6f6b75aUL;
   tf->codes[29859] = 0x00002af6d6eb3ff2UL;
   tf->codes[29860] = 0x00002c9b8055b21dUL;
   tf->codes[29861] = 0x00002cd0cc81f26aUL;
   tf->codes[29862] = 0x000032696d8818fdUL;
   tf->codes[29863] = 0x000035786be63e18UL;
   tf->codes[29864] = 0x00003618506afeffUL;
   tf->codes[29865] = 0x0000377610a4749cUL;
   tf->codes[29866] = 0x00003964276522ccUL;
   tf->codes[29867] = 0x00003aab424f5d3aUL;
   tf->codes[29868] = 0x00003baac45b89cbUL;
   tf->codes[29869] = 0x00003dfd465f1cceUL;
   tf->codes[29870] = 0x00003e228f6fc93dUL;
   tf->codes[29871] = 0x000041e1756e431dUL;
   tf->codes[29872] = 0x00004226c4b61748UL;
   tf->codes[29873] = 0x000044d48ba3a856UL;
   tf->codes[29874] = 0x000045b3925aa1a1UL;
   tf->codes[29875] = 0x000047f0ce691c13UL;
   tf->codes[29876] = 0x00004c7f2d2106eaUL;
   tf->codes[29877] = 0x00004e96ab00c963UL;
   tf->codes[29878] = 0x00004f4f43dbf966UL;
   tf->codes[29879] = 0x00004fb4995af54dUL;
   tf->codes[29880] = 0x000052a1bd09c484UL;
   tf->codes[29881] = 0x00005308e700ee93UL;
   tf->codes[29882] = 0x000054671c586fbaUL;
   tf->codes[29883] = 0x0000550099388f15UL;
   tf->codes[29884] = 0x000056be6c177be6UL;
   tf->codes[29885] = 0x000058868a1a6c58UL;
   tf->codes[29886] = 0x00005cb809ff30c1UL;
   tf->codes[29887] = 0x00005fb5a5e79f60UL;
   tf->codes[29888] = 0x00006068fbe94ab0UL;
   tf->codes[29889] = 0x000061df70792f69UL;
   tf->codes[29890] = 0x000063bf93257da8UL;
   tf->codes[29891] = 0x0000679f69973658UL;
   tf->codes[29892] = 0x000067c821093952UL;
   tf->codes[29893] = 0x00006860791e3bd4UL;
   tf->codes[29894] = 0x000069a9a30faa2fUL;
   tf->codes[29895] = 0x00006b9aeda2a925UL;
   tf->codes[29896] = 0x00006c08b9cd7a85UL;
   tf->codes[29897] = 0x00006ee7e967e9cbUL;
   tf->codes[29898] = 0x00006ef9c0fbabd1UL;
   tf->codes[29899] = 0x00006f96ac3d21b7UL;
   tf->codes[29900] = 0x00006fead9d56ce7UL;
   tf->codes[29901] = 0x0000724856aa14daUL;
   tf->codes[29902] = 0x0000742929037468UL;
   tf->codes[29903] = 0x0000742afd7ba290UL;
   tf->codes[29904] = 0x000074b317e60b6fUL;
   tf->codes[29905] = 0x000075b299f23800UL;
   tf->codes[29906] = 0x000075c645fe282eUL;
   tf->codes[29907] = 0x0000760f3e3658a9UL;
   tf->codes[29908] = 0x0000763ed26b08b9UL;
   tf->codes[29909] = 0x0000765627675537UL;
   tf->codes[29910] = 0x0000776a3fbb890aUL;
   tf->codes[29911] = 0x000077874caf65c5UL;
   tf->codes[29912] = 0x000077978a59ff68UL;
   tf->codes[29913] = 0x0000779f5158c392UL;
   tf->codes[29914] = 0x0000783c020b33b3UL;
   tf->codes[29915] = 0x00007ae77f628b0fUL;
   tf->codes[29916] = 0x00007b8e40a9f90cUL;
   tf->codes[29917] = 0x00007c37c0a5ac45UL;
   tf->codes[29918] = 0x00007caeedb86a32UL;
   tf->codes[29919] = 0x00007db3b29e1b76UL;
   tf->codes[29920] = 0x00007fcc1ab9f503UL;
   tf->codes[29921] = 0x00007feb36b505abUL;
   tf->codes[29922] = 0x00007ffbe97daad8UL;
   tf->codes[29923] = 0x0000803f29be4b16UL;
   tf->codes[29924] = 0x00008234925fb1e6UL;
   tf->codes[29925] = 0x000082692edee0e4UL;
   tf->codes[29926] = 0x000083068f3e6254UL;
   tf->codes[29927] = 0x00008837912f534eUL;
   tf->codes[29928] = 0x00008b7e5fdef82dUL;
   tf->codes[29929] = 0x00008c98dfd7cd8cUL;
   tf->codes[29930] = 0x00008e22c5e49caeUL;
   tf->codes[29931] = 0x000091c72314794aUL;
   tf->codes[29932] = 0x00009513349da2dcUL;
   tf->codes[29933] = 0x000099552cbc06adUL;
   tf->codes[29934] = 0x0000995c7e9cbf4dUL;
   tf->codes[29935] = 0x0000998b9db363d3UL;
   tf->codes[29936] = 0x00009b2e72a5a7d6UL;
   tf->codes[29937] = 0x00009b6558bb1086UL;
   tf->codes[29938] = 0x00009c41662ebed0UL;
   tf->codes[29939] = 0x00009dd76bd7bfbbUL;
   tf->codes[29940] = 0x00009e58a97f7b84UL;
   tf->codes[29941] = 0x0000a2b823afc79aUL;
   tf->codes[29942] = 0x0000aeac49bb4864UL;
   tf->codes[29943] = 0x0000b2bb3f43a59aUL;
   tf->codes[29944] = 0x0000b2e605bcdc81UL;
   tf->codes[29945] = 0x0000b3539758a81cUL;
   tf->codes[29946] = 0x0000b5ab5c35bfd2UL;
   tf->codes[29947] = 0x0000b8c296b0b4a1UL;
   tf->codes[29948] = 0x0000b9a12849a262UL;
   tf->codes[29949] = 0x0000bcf53b6095e3UL;
   tf->codes[29950] = 0x0000bfb464c3dd6dUL;
   tf->codes[29951] = 0x0000bfbfd4b2fde7UL;
   tf->codes[29952] = 0x0000bfdb47bdb23fUL;
   tf->codes[29953] = 0x0000c16b5ae01d28UL;
   tf->codes[29954] = 0x0000c1927868f7bfUL;
   tf->codes[29955] = 0x0000c41ba5f2edadUL;
   tf->codes[29956] = 0x0000c6b670819fdcUL;
   tf->codes[29957] = 0x0000c6f3be3baa18UL;
   tf->codes[29958] = 0x0000c871bf3b4d36UL;
   tf->codes[29959] = 0x0000cbb594a7a714UL;
   tf->codes[29960] = 0x0000d35db1ffc631UL;
   tf->codes[29961] = 0x0000e523339f0466UL;
   tf->codes[29962] = 0x0000e57e036af6e7UL;
   tf->codes[29963] = 0x0000eb4e74c29d3eUL;
   tf->codes[29964] = 0x0000ef64470da78aUL;
   tf->codes[29965] = 0x0000f2ca31b85d11UL;
   tf->codes[29966] = 0x0000f5ef25b8ac0cUL;
   tf->codes[29967] = 0x0000f6b712025e9eUL;
   tf->codes[29968] = 0x0000f8767eca73d2UL;
   tf->codes[29969] = 0x0000f99c342363e6UL;
   tf->codes[29970] = 0x0000fa70b52753cbUL;
   tf->codes[29971] = 0x0000fbf67d25bb13UL;
   tf->codes[29972] = 0x0000fc4fed978af6UL;
   tf->codes[29973] = 0x0000fc84c4a5bfb9UL;
   tf->codes[29974] = 0x0000ff8b86e71520UL;
   tf->codes[29975] = 0x00010152f53cf443UL;
   tf->codes[29976] = 0x0001049c82a0de5eUL;
   tf->codes[29977] = 0x000106bb17d253b2UL;
   tf->codes[29978] = 0x0001071746f868d1UL;
   tf->codes[29979] = 0x0001077ee60d9e6aUL;
   tf->codes[29980] = 0x000107e22c856664UL;
   tf->codes[29981] = 0x00010a6e8de1ad18UL;
   tf->codes[29982] = 0x00010a791394b67eUL;
   tf->codes[29983] = 0x00010c49a8437c69UL;
   tf->codes[29984] = 0x00010f29fca90888UL;
   tf->codes[29985] = 0x000110fa56c8c8aeUL;
   tf->codes[29986] = 0x0001138d5a58b6b3UL;
   tf->codes[29987] = 0x000115f9f00cdb70UL;
   tf->codes[29988] = 0x0001163fb472bb25UL;
   tf->codes[29989] = 0x00011649155aa7b2UL;
   tf->codes[29990] = 0x000116791ead634cUL;
   tf->codes[29991] = 0x0001177ecdcf2ba4UL;
   tf->codes[29992] = 0x00011b54ce3aec3dUL;
   tf->codes[29993] = 0x0001236365dd241aUL;
   tf->codes[29994] = 0x0001251f6443e2c3UL;
   tf->codes[29995] = 0x000127eb226167a0UL;
   tf->codes[29996] = 0x0001281e9a1579c5UL;
   tf->codes[29997] = 0x00012930ddf17f70UL;
   tf->codes[29998] = 0x00012d86f739def9UL;
   tf->codes[29999] = 0x000130a9a1a3f442UL;
   tf->codes[30000] = 0x000131d5bea185e2UL;
   tf->codes[30001] = 0x000132ae2324d7dcUL;
   tf->codes[30002] = 0x0001389af1c3499fUL;
   tf->codes[30003] = 0x00013f982fc592e5UL;
   tf->codes[30004] = 0x00014018bdc03d5fUL;
   tf->codes[30005] = 0x000142934788c20dUL;
   tf->codes[30006] = 0x0001436f1a6d6a92UL;
   tf->codes[30007] = 0x00014423201c2731UL;
   tf->codes[30008] = 0x000146c8705de2c6UL;
   tf->codes[30009] = 0x0001485724262b11UL;
   tf->codes[30010] = 0x000148cf760405d7UL;
   tf->codes[30011] = 0x00014d77addd7ca3UL;
   tf->codes[30012] = 0x00014ffaae51d6caUL;
   tf->codes[30013] = 0x0001508169621d0bUL;
   tf->codes[30014] = 0x000151fbc17163d9UL;
   tf->codes[30015] = 0x0001533f6dfa47bcUL;
   tf->codes[30016] = 0x000153d666b527a0UL;
   tf->codes[30017] = 0x00015c74a53186c1UL;
   tf->codes[30018] = 0x00015ee6b84e35f6UL;
   tf->codes[30019] = 0x00015f04af7e29c5UL;
   tf->codes[30020] = 0x0001660bfe1570e7UL;
   tf->codes[30021] = 0x00016918784e568bUL;
   tf->codes[30022] = 0x00016a1f86ca4181UL;
   tf->codes[30023] = 0x00016d573c9a6996UL;
   tf->codes[30024] = 0x00016eea838f2545UL;
   tf->codes[30025] = 0x00017059312045d4UL;
   tf->codes[30026] = 0x000170b107a8ed54UL;
   tf->codes[30027] = 0x000175a61b39f6b0UL;
   tf->codes[30028] = 0x0001789672bb16adUL;
   tf->codes[30029] = 0x000179aea91db25aUL;
   tf->codes[30030] = 0x0001806782143e89UL;
   tf->codes[30031] = 0x000180a335e52062UL;
   tf->codes[30032] = 0x000180a753f3883cUL;
   tf->codes[30033] = 0x00018303e68c191bUL;
   tf->codes[30034] = 0x0001840af5080411UL;
   tf->codes[30035] = 0x000185f771df89deUL;
   tf->codes[30036] = 0x000186653e0a5b3eUL;
   tf->codes[30037] = 0x000186e6b6411cccUL;
   tf->codes[30038] = 0x000186f13bf42632UL;
   tf->codes[30039] = 0x00018923f24f973eUL;
   tf->codes[30040] = 0x00018d90eb7637bbUL;
   tf->codes[30041] = 0x00019127c9afbff0UL;
   tf->codes[30042] = 0x000192eb19f73739UL;
   tf->codes[30043] = 0x000195523242d17eUL;
   tf->codes[30044] = 0x000195c4570b107dUL;
   tf->codes[30045] = 0x00019751365b2aa0UL;
   tf->codes[30046] = 0x000198e9859a653dUL;
   tf->codes[30047] = 0x000198f2abf34c05UL;
   tf->codes[30048] = 0x00019b1733ab575bUL;
   tf->codes[30049] = 0x00019c5d29ca74f0UL;
   tf->codes[30050] = 0x00019d588dc839a7UL;
   tf->codes[30051] = 0x00019dc5aa45f9b8UL;
   tf->codes[30052] = 0x0001a3c7844a7e47UL;
   tf->codes[30053] = 0x0001a4b5de6ffa21UL;
   tf->codes[30054] = 0x0001a81efced006eUL;
   tf->codes[30055] = 0x0001a8b83f3e1a04UL;
   tf->codes[30056] = 0x0001a906ef6ddabcUL;
   tf->codes[30057] = 0x0001ab2b3c96e04dUL;
   tf->codes[30058] = 0x0001ac3ac1bea0bcUL;
   tf->codes[30059] = 0x0001ade0556529fbUL;
   tf->codes[30060] = 0x0001ae5fbe94b79cUL;
   tf->codes[30061] = 0x0001af3ec54bb0e7UL;
   tf->codes[30062] = 0x0001b2f9181db763UL;
   tf->codes[30063] = 0x0001b66b9782aa3dUL;
   tf->codes[30064] = 0x0001b9aef7d0f891UL;
   tf->codes[30065] = 0x0001b9c2694de2faUL;
   tf->codes[30066] = 0x0001ba8d8969e652UL;
   tf->codes[30067] = 0x0001bb1f3f4b4183UL;
   tf->codes[30068] = 0x0001bc29bc288304UL;
   tf->codes[30069] = 0x0001bdb785b4b43bUL;
   tf->codes[30070] = 0x0001be3f65901755UL;
   tf->codes[30071] = 0x0001c107b54c45a7UL;
   tf->codes[30072] = 0x0001c132b6548253UL;
   tf->codes[30073] = 0x0001c38af04fa593UL;
   tf->codes[30074] = 0x0001c4818691f121UL;
   tf->codes[30075] = 0x0001c6a5992bf0edUL;
   tf->codes[30076] = 0x0001c6bf37be771dUL;
   tf->codes[30077] = 0x0001cce7ba2dcab9UL;
   tf->codes[30078] = 0x0001cd0bde735a4fUL;
   tf->codes[30079] = 0x0001d43d43d6c709UL;
   tf->codes[30080] = 0x0001d623ce27b6d4UL;
   tf->codes[30081] = 0x0001d733534f7743UL;
   tf->codes[30082] = 0x0001db2a099f70e7UL;
   tf->codes[30083] = 0x0001db56df1fdbbbUL;
   tf->codes[30084] = 0x0001dc8f5648a4e9UL;
   tf->codes[30085] = 0x0001df121c2df94bUL;
   tf->codes[30086] = 0x0001df6f701f2b43UL;
   tf->codes[30087] = 0x0001e24872a3fec2UL;
   tf->codes[30088] = 0x0001e31567383042UL;
   tf->codes[30089] = 0x0001e41aa13bed10UL;
   tf->codes[30090] = 0x0001e597b7ff791aUL;
   tf->codes[30091] = 0x0001e93ba0114a2cUL;
   tf->codes[30092] = 0x0001ea54fb3f02b2UL;
   tf->codes[30093] = 0x0001eca0a07fe89fUL;
   tf->codes[30094] = 0x0001f0aac84cccacUL;
   tf->codes[30095] = 0x0001f14a37b38209UL;
   tf->codes[30096] = 0x0001f1ad439c443eUL;
   tf->codes[30097] = 0x0001f27c4737a9abUL;
   tf->codes[30098] = 0x0001f41f9147f938UL;
   tf->codes[30099] = 0x0001f7f1ae3457bcUL;
   tf->codes[30100] = 0x0001f7fd58b27dfbUL;
   tf->codes[30101] = 0x0001fcd9084006ecUL;
   tf->codes[30102] = 0x0001ff49bc029383UL;
   tf->codes[30103] = 0x0001ff8e5b9d565fUL;
   tf->codes[30104] = 0x0001ff9b65759f3cUL;
   tf->codes[30105] = 0x0001ffb50408256cUL;
   tf->codes[30106] = 0x000002d9485b6318UL;
   tf->codes[30107] = 0x000003a81167c2c0UL;
   tf->codes[30108] = 0x000003e141136522UL;
   tf->codes[30109] = 0x00000654ee193cbaUL;
   tf->codes[30110] = 0x000006559dc64e09UL;
   tf->codes[30111] = 0x00000771b7a84bcbUL;
   tf->codes[30112] = 0x0000081754249cefUL;
   tf->codes[30113] = 0x000009abbfe47577UL;
   tf->codes[30114] = 0x00000a053056455aUL;
   tf->codes[30115] = 0x00000dfa122e10d6UL;
   tf->codes[30116] = 0x00000e3c68329a00UL;
   tf->codes[30117] = 0x00000f7fda2c781eUL;
   tf->codes[30118] = 0x00000fbb536e5432UL;
   tf->codes[30119] = 0x000012394b982f6bUL;
   tf->codes[30120] = 0x000014986255ffc1UL;
   tf->codes[30121] = 0x00001a1fdb75759dUL;
   tf->codes[30122] = 0x00001fb9a146b909UL;
   tf->codes[30123] = 0x00001fdcdb50318bUL;
   tf->codes[30124] = 0x0000279b63688612UL;
   tf->codes[30125] = 0x0000295761cf44bbUL;
   tf->codes[30126] = 0x00002a35b8d92cb7UL;
   tf->codes[30127] = 0x00002e096faeb39eUL;
   tf->codes[30128] = 0x00002eca0a17ad90UL;
   tf->codes[30129] = 0x0000329250fe13fdUL;
   tf->codes[30130] = 0x000034076633d618UL;
   tf->codes[30131] = 0x000034740d938a9fUL;
   tf->codes[30132] = 0x00003527639535efUL;
   tf->codes[30133] = 0x000039c257075e19UL;
   tf->codes[30134] = 0x00003a44445c2b31UL;
   tf->codes[30135] = 0x00003bf87bc425b0UL;
   tf->codes[30136] = 0x00003d74e2daa06bUL;
   tf->codes[30137] = 0x00003dcb1f7a1f88UL;
   tf->codes[30138] = 0x00003e0698bbfb9cUL;
   tf->codes[30139] = 0x00004124aff99d81UL;
   tf->codes[30140] = 0x00004383c6b76dd7UL;
   tf->codes[30141] = 0x000045a84e6f792dUL;
   tf->codes[30142] = 0x000045fe507ff285UL;
   tf->codes[30143] = 0x00004ecafe65e4ddUL;
   tf->codes[30144] = 0x00004f46f9341bf3UL;
   tf->codes[30145] = 0x000051a1b7547eaaUL;
   tf->codes[30146] = 0x0000578f702f0781UL;
   tf->codes[30147] = 0x000058303eefdf7cUL;
   tf->codes[30148] = 0x00005b04392a340dUL;
   tf->codes[30149] = 0x00005b409ca82735UL;
   tf->codes[30150] = 0x00005d5ebcbb90ffUL;
   tf->codes[30151] = 0x00005e07c79938aeUL;
   tf->codes[30152] = 0x0000625b974b5e85UL;
   tf->codes[30153] = 0x0000627b28647ab7UL;
   tf->codes[30154] = 0x000064a23441c584UL;
   tf->codes[30155] = 0x000065e9149cfa2dUL;
   tf->codes[30156] = 0x000068164d8fe0c1UL;
   tf->codes[30157] = 0x0000685a780c9813UL;
   tf->codes[30158] = 0x0000686a4099262cUL;
   tf->codes[30159] = 0x000068cdc19ff3ebUL;
   tf->codes[30160] = 0x00006935d5d3350eUL;
   tf->codes[30161] = 0x0000699a7ba51fa6UL;
   tf->codes[30162] = 0x00006a41777b9368UL;
   tf->codes[30163] = 0x00006da8c1806b8dUL;
   tf->codes[30164] = 0x00006f24ee07e083UL;
   tf->codes[30165] = 0x000075e42ea30e3eUL;
   tf->codes[30166] = 0x000078b0d6fcaa2fUL;
   tf->codes[30167] = 0x000079533fa6aa8dUL;
   tf->codes[30168] = 0x00007b9006971975UL;
   tf->codes[30169] = 0x00007f5519ab2f1cUL;
   tf->codes[30170] = 0x00008092991e7738UL;
   tf->codes[30171] = 0x0000827f15f5fd05UL;
   tf->codes[30172] = 0x000083dd10be7867UL;
   tf->codes[30173] = 0x000085843e4e2a09UL;
   tf->codes[30174] = 0x000086f8a3d6dad5UL;
   tf->codes[30175] = 0x0000874f90236b41UL;
   tf->codes[30176] = 0x00008b64ed506a03UL;
   tf->codes[30177] = 0x00008cca7488a3caUL;
   tf->codes[30178] = 0x00008e7f210ea9d3UL;
   tf->codes[30179] = 0x00008ee351c288e1UL;
   tf->codes[30180] = 0x0000910fa0795861UL;
   tf->codes[30181] = 0x000095d4aab7a623UL;
   tf->codes[30182] = 0x000097f9326fb179UL;
   tf->codes[30183] = 0x00009a96bbb2a8e4UL;
   tf->codes[30184] = 0x00009bd7a987478bUL;
   tf->codes[30185] = 0x00009cd7a0b17fa6UL;
   tf->codes[30186] = 0x0000a319fc425f37UL;
   tf->codes[30187] = 0x0000a47ff898a488UL;
   tf->codes[30188] = 0x0000a52f6b1aedc3UL;
   tf->codes[30189] = 0x0000a5573850d9a9UL;
   tf->codes[30190] = 0x0000a69fed243c7aUL;
   tf->codes[30191] = 0x0000aa4e95781cb7UL;
   tf->codes[30192] = 0x0000ab1ebdde9efdUL;
   tf->codes[30193] = 0x0000ad9aa7014649UL;
   tf->codes[30194] = 0x0000b112de5dc960UL;
   tf->codes[30195] = 0x0000b12bcd433e41UL;
   tf->codes[30196] = 0x0000b1c793b9974eUL;
   tf->codes[30197] = 0x0000b38b1e90145cUL;
   tf->codes[30198] = 0x0000b61de790fc9cUL;
   tf->codes[30199] = 0x0000b80bc3c2a507UL;
   tf->codes[30200] = 0x0000b9251ef05d8dUL;
   tf->codes[30201] = 0x0000b93d98b7c6e4UL;
   tf->codes[30202] = 0x0000bbbb90e1a21dUL;
   tf->codes[30203] = 0x0000bd9a19a4c7f9UL;
   tf->codes[30204] = 0x0000be35e01b2106UL;
   tf->codes[30205] = 0x0000bf5ae5c6ffcbUL;
   tf->codes[30206] = 0x0000bfe63403b970UL;
   tf->codes[30207] = 0x0000c398bfd6fbc2UL;
   tf->codes[30208] = 0x0000c4052ca7aa84UL;
   tf->codes[30209] = 0x0000c445ae340586UL;
   tf->codes[30210] = 0x0000c522a5e3cae4UL;
   tf->codes[30211] = 0x0000c6a0a6e36e02UL;
   tf->codes[30212] = 0x0000c6aa7ce96619UL;
   tf->codes[30213] = 0x0000cbcd15a7eb98UL;
   tf->codes[30214] = 0x0000cd7da41f89c7UL;
   tf->codes[30215] = 0x0000cf7c6da8dd24UL;
   tf->codes[30216] = 0x0000d2e37d1eaf84UL;
   tf->codes[30217] = 0x0000d38bd84f45e4UL;
   tf->codes[30218] = 0x0000d4d6d6b8e267UL;
   tf->codes[30219] = 0x0000d6b3c592dfe0UL;
   tf->codes[30220] = 0x0000d6c9bb3509c0UL;
   tf->codes[30221] = 0x0000d9b1617b4e7fUL;
   tf->codes[30222] = 0x0000dba6ca1cb54fUL;
   tf->codes[30223] = 0x0000e0c0ec2f6555UL;
   tf->codes[30224] = 0x0000e0df930c6a73UL;
   tf->codes[30225] = 0x0000e13ce6fd9c6bUL;
   tf->codes[30226] = 0x0000e2e4148d4e0dUL;
   tf->codes[30227] = 0x0000e93dffa97fe1UL;
   tf->codes[30228] = 0x0000ebd8ca383210UL;
   tf->codes[30229] = 0x0000edf6752d9050UL;
   tf->codes[30230] = 0x0000ee4d26eb1af7UL;
   tf->codes[30231] = 0x0000efbf084e8c4cUL;
   tf->codes[30232] = 0x0000f46113126751UL;
   tf->codes[30233] = 0x0000f5aff4fb65e9UL;
   tf->codes[30234] = 0x0000fd7b11cdf7c3UL;
   tf->codes[30235] = 0x0000fdbc43076414UL;
   tf->codes[30236] = 0x0000feba65b96e07UL;
   tf->codes[30237] = 0x0000ff55b711bb8aUL;
   tf->codes[30238] = 0x0001020d19763eeaUL;
   tf->codes[30239] = 0x000105a1738a87a8UL;
   tf->codes[30240] = 0x000107ea5a172859UL;
   tf->codes[30241] = 0x00010dbf5e9b4214UL;
   tf->codes[30242] = 0x0001141182b8afbeUL;
   tf->codes[30243] = 0x000115953bafe319UL;
   tf->codes[30244] = 0x0001160b09687e68UL;
   tf->codes[30245] = 0x000118d9863a4881UL;
   tf->codes[30246] = 0x00011a140c6a459cUL;
   tf->codes[30247] = 0x00011a34c24e7ea7UL;
   tf->codes[30248] = 0x00011e0fcb04be2eUL;
   tf->codes[30249] = 0x00011f46e2d364beUL;
   tf->codes[30250] = 0x00012316410b7e06UL;
   tf->codes[30251] = 0x000129e49a86288bUL;
   tf->codes[30252] = 0x00012a2765a8bd3fUL;
   tf->codes[30253] = 0x00012c41a23cc4f4UL;
   tf->codes[30254] = 0x000130490b5563c5UL;
   tf->codes[30255] = 0x000131be95a9316aUL;
   tf->codes[30256] = 0x000133407a28369dUL;
   tf->codes[30257] = 0x000135ae6f367df8UL;
   tf->codes[30258] = 0x00013b3e9990cf12UL;
   tf->codes[30259] = 0x00013d2d9a8d9456UL;
   tf->codes[30260] = 0x00013fa147936beeUL;
   tf->codes[30261] = 0x00013fa7e9c7133fUL;
   tf->codes[30262] = 0x00014002b99305c0UL;
   tf->codes[30263] = 0x0001412784afdec0UL;
   tf->codes[30264] = 0x00014232ebc93755UL;
   tf->codes[30265] = 0x0001445982887698UL;
   tf->codes[30266] = 0x0001451255f2ac60UL;
   tf->codes[30267] = 0x00014606680fb877UL;
   tf->codes[30268] = 0x0001467977140e8aUL;
   tf->codes[30269] = 0x000149240a2f4ed2UL;
   tf->codes[30270] = 0x00014d0330f3f633UL;
   tf->codes[30271] = 0x000150f1e5b625e8UL;
   tf->codes[30272] = 0x000156b3eddb60c4UL;
   tf->codes[30273] = 0x0001590ee68ac940UL;
   tf->codes[30274] = 0x00015929e477720eUL;
   tf->codes[30275] = 0x000159360413a3d7UL;
   tf->codes[30276] = 0x00015d210fe5773cUL;
   tf->codes[30277] = 0x0001605d9371187aUL;
   tf->codes[30278] = 0x0001617eb59d952aUL;
   tf->codes[30279] = 0x0001635d3e60bb06UL;
   tf->codes[30280] = 0x0001636196fe28a5UL;
   tf->codes[30281] = 0x00016471cbd2fa63UL;
   tf->codes[30282] = 0x000166a40d105fe5UL;
   tf->codes[30283] = 0x000167b392382054UL;
   tf->codes[30284] = 0x0001693d3db5e9b1UL;
   tf->codes[30285] = 0x00016961276c7382UL;
   tf->codes[30286] = 0x00016ac5c4689635UL;
   tf->codes[30287] = 0x00016bc9d9a1362aUL;
   tf->codes[30288] = 0x00016bd5beae622eUL;
   tf->codes[30289] = 0x00016c08fbd36e8eUL;
   tf->codes[30290] = 0x00016c85a64eb6f3UL;
   tf->codes[30291] = 0x00016f50b4bf2a81UL;
   tf->codes[30292] = 0x0001702b9d67bbf2UL;
   tf->codes[30293] = 0x000171732d7001eaUL;
   tf->codes[30294] = 0x0001732137c260a2UL;
   tf->codes[30295] = 0x0001735efa9a7668UL;
   tf->codes[30296] = 0x000176170cac0b17UL;
   tf->codes[30297] = 0x0001777e685c7306UL;
   tf->codes[30298] = 0x000178f9aaa7d0e8UL;
   tf->codes[30299] = 0x00017a3bbd478c68UL;
   tf->codes[30300] = 0x00017dbe05390d5bUL;
   tf->codes[30301] = 0x00018997a275f0e1UL;
   tf->codes[30302] = 0x00018b607025f2a2UL;
   tf->codes[30303] = 0x00018c7cc496f629UL;
   tf->codes[30304] = 0x00018ef19667ea9aUL;
   tf->codes[30305] = 0x000190804a3032e5UL;
   tf->codes[30306] = 0x000190ffb35fc086UL;
   tf->codes[30307] = 0x000193e968ad3932UL;
   tf->codes[30308] = 0x000198d5cb036750UL;
   tf->codes[30309] = 0x000199c5f9a11152UL;
   tf->codes[30310] = 0x000199ea5875a6adUL;
   tf->codes[30311] = 0x0001a0c755b1c272UL;
   tf->codes[30312] = 0x0001a389ed766087UL;
   tf->codes[30313] = 0x0001a4070d0fb476UL;
   tf->codes[30314] = 0x0001a86aa54e6866UL;
   tf->codes[30315] = 0x0001aabe118e127dUL;
   tf->codes[30316] = 0x0001ad66d031249dUL;
   tf->codes[30317] = 0x0001aeddb9df14e0UL;
   tf->codes[30318] = 0x0001af64ea0d66abUL;
   tf->codes[30319] = 0x0001afc53741e3a4UL;
   tf->codes[30320] = 0x0001b01079104dd1UL;
   tf->codes[30321] = 0x0001b0c9fc2794e8UL;
   tf->codes[30322] = 0x0001b32bd199aa7aUL;
   tf->codes[30323] = 0x0001b3c96c8831afUL;
   tf->codes[30324] = 0x0001b770c2fb594cUL;
   tf->codes[30325] = 0x0001be85cb17fa9aUL;
   tf->codes[30326] = 0x0001c327d5dbd59fUL;
   tf->codes[30327] = 0x0001c3bd6f3c92e5UL;
   tf->codes[30328] = 0x0001c3f8e87e6ef9UL;
   tf->codes[30329] = 0x0001ca4b472ae268UL;
   tf->codes[30330] = 0x0001cb84a88fc2aaUL;
   tf->codes[30331] = 0x0001cc9a955c24a5UL;
   tf->codes[30332] = 0x0001d2b34f3eea28UL;
   tf->codes[30333] = 0x0001d2e651d4f0c3UL;
   tf->codes[30334] = 0x0001d4491a58e54eUL;
   tf->codes[30335] = 0x0001d50e47ee52a4UL;
   tf->codes[30336] = 0x0001d6272dfdffa0UL;
   tf->codes[30337] = 0x0001d7551f73bf68UL;
   tf->codes[30338] = 0x0001d9b5d01ab821UL;
   tf->codes[30339] = 0x0001de8e4bd5f04cUL;
   tf->codes[30340] = 0x0001e01d3a2d3e5cUL;
   tf->codes[30341] = 0x0001e1cbf42cae63UL;
   tf->codes[30342] = 0x0001e3673caf3401UL;
   tf->codes[30343] = 0x0001e389c70b9b34UL;
   tf->codes[30344] = 0x0001f095393da097UL;
   tf->codes[30345] = 0x0001f541c9b48502UL;
   tf->codes[30346] = 0x0001f55c17f41c81UL;
   tf->codes[30347] = 0x0001f5ac277dffd7UL;
   tf->codes[30348] = 0x0001f6e9e1804db8UL;
   tf->codes[30349] = 0x0001f6fbb9140fbeUL;
   tf->codes[30350] = 0x0001f913ac11ddc1UL;
   tf->codes[30351] = 0x0001f91afdf29661UL;
   tf->codes[30352] = 0x0001f936e61b5643UL;
   tf->codes[30353] = 0x0001f9d655820ba0UL;
   tf->codes[30354] = 0x0001fe902a603eadUL;
   tf->codes[30355] = 0x000005488e38bf52UL;
   tf->codes[30356] = 0x000005f3e2aca0b3UL;
   tf->codes[30357] = 0x000009878d13d822UL;
   tf->codes[30358] = 0x00000a001980b8adUL;
   tf->codes[30359] = 0x00000aabe312a598UL;
   tf->codes[30360] = 0x00000b5144fff0f7UL;
   tf->codes[30361] = 0x00000bb8e4152690UL;
   tf->codes[30362] = 0x00000df8a448e079UL;
   tf->codes[30363] = 0x00000f1ff38af8f0UL;
   tf->codes[30364] = 0x00001165a64548dbUL;
   tf->codes[30365] = 0x000012865353ba01UL;
   tf->codes[30366] = 0x00001393c9744683UL;
   tf->codes[30367] = 0x0000159eed28d16eUL;
   tf->codes[30368] = 0x000018614a5e69beUL;
   tf->codes[30369] = 0x000019a7b59b92ddUL;
   tf->codes[30370] = 0x000019caefa50b5fUL;
   tf->codes[30371] = 0x00001a86bc528c28UL;
   tf->codes[30372] = 0x00001adaaf5bd193UL;
   tf->codes[30373] = 0x00001db795600727UL;
   tf->codes[30374] = 0x00001ed758326139UL;
   tf->codes[30375] = 0x000020bc0e0b22dcUL;
   tf->codes[30376] = 0x000027a6c4cc98cdUL;
   tf->codes[30377] = 0x00002af176fb9fc1UL;
   tf->codes[30378] = 0x00002ca4feb688f1UL;
   tf->codes[30379] = 0x00002f56a9237c14UL;
   tf->codes[30380] = 0x0000313915660405UL;
   tf->codes[30381] = 0x0000315b2aa45faeUL;
   tf->codes[30382] = 0x000031f72ba9be80UL;
   tf->codes[30383] = 0x00003524d0e4e8b9UL;
   tf->codes[30384] = 0x00003573f632b4fbUL;
   tf->codes[30385] = 0x000035a9425ef548UL;
   tf->codes[30386] = 0x000037eb4c28e8e3UL;
   tf->codes[30387] = 0x0000384740bff83dUL;
   tf->codes[30388] = 0x000041989aaefce9UL;
   tf->codes[30389] = 0x000041d747c329c3UL;
   tf->codes[30390] = 0x000042c9856807b2UL;
   tf->codes[30391] = 0x0000439d914dec0dUL;
   tf->codes[30392] = 0x00004535e08d26aaUL;
   tf->codes[30393] = 0x000045bf5a51b227UL;
   tf->codes[30394] = 0x00004967d58ff69dUL;
   tf->codes[30395] = 0x00004b7a10963463UL;
   tf->codes[30396] = 0x00004cad7f747ea3UL;
   tf->codes[30397] = 0x00004d0137eebe49UL;
   tf->codes[30398] = 0x00004e3fdc2d233eUL;
   tf->codes[30399] = 0x00004e9827d3d648UL;
   tf->codes[30400] = 0x000051069200292dUL;
   tf->codes[30401] = 0x000051eaa101a166UL;
   tf->codes[30402] = 0x000052c75e2260ffUL;
   tf->codes[30403] = 0x0000536fb952f75fUL;
   tf->codes[30404] = 0x000053fd8bb4f07bUL;
   tf->codes[30405] = 0x0000544b8c379fe4UL;
   tf->codes[30406] = 0x000054a571c77b51UL;
   tf->codes[30407] = 0x000054b0a7279606UL;
   tf->codes[30408] = 0x0000581c49c9dbcaUL;
   tf->codes[30409] = 0x000059a45b5e7cc4UL;
   tf->codes[30410] = 0x00005ab7fe94a50dUL;
   tf->codes[30411] = 0x00005cbcbaa48e6cUL;
   tf->codes[30412] = 0x00005ed8cbb0c449UL;
   tf->codes[30413] = 0x000060335817e920UL;
   tf->codes[30414] = 0x00006053d36d1c66UL;
   tf->codes[30415] = 0x000061c4ca9476a7UL;
   tf->codes[30416] = 0x0000621c668e1862UL;
   tf->codes[30417] = 0x0000627059975dcdUL;
   tf->codes[30418] = 0x000064dc7a2d7700UL;
   tf->codes[30419] = 0x0000663f7d407150UL;
   tf->codes[30420] = 0x000067761ff10c56UL;
   tf->codes[30421] = 0x00006820c4b7dc68UL;
   tf->codes[30422] = 0x00006cb0f7e7f567UL;
   tf->codes[30423] = 0x00007009639c5687UL;
   tf->codes[30424] = 0x0000710c8e98df68UL;
   tf->codes[30425] = 0x0000714549267640UL;
   tf->codes[30426] = 0x00007469185ba862UL;
   tf->codes[30427] = 0x000077bc413684cfUL;
   tf->codes[30428] = 0x00007822bb809d8fUL;
   tf->codes[30429] = 0x0000786bb3b8ce0aUL;
   tf->codes[30430] = 0x0000799c9e71d8d3UL;
   tf->codes[30431] = 0x000080de7c0ee4f5UL;
   tf->codes[30432] = 0x00008325c8b25d43UL;
   tf->codes[30433] = 0x0000841e336cd6f9UL;
   tf->codes[30434] = 0x00008445c613bd1aUL;
   tf->codes[30435] = 0x00008556e524a5ecUL;
   tf->codes[30436] = 0x000088414a1f2fe7UL;
   tf->codes[30437] = 0x00008afabb8ae734UL;
   tf->codes[30438] = 0x00008dbdc86d90d3UL;
   tf->codes[30439] = 0x00008e674869440cUL;
   tf->codes[30440] = 0x00008fa1ce994127UL;
   tf->codes[30441] = 0x00008ffc63d62de3UL;
   tf->codes[30442] = 0x0000906736bdb442UL;
   tf->codes[30443] = 0x000091bc45bc4ea1UL;
   tf->codes[30444] = 0x000092074cfbb309UL;
   tf->codes[30445] = 0x000092696ea85e2aUL;
   tf->codes[30446] = 0x0000960bbcd106d9UL;
   tf->codes[30447] = 0x0000961e7ea0dff3UL;
   tf->codes[30448] = 0x00009c14ae273e43UL;
   tf->codes[30449] = 0x00009c7a3e353fefUL;
   tf->codes[30450] = 0x00009d540212b487UL;
   tf->codes[30451] = 0x00009e3517d0e1bfUL;
   tf->codes[30452] = 0x00009e990df5bb08UL;
   tf->codes[30453] = 0x0000a0751293a16dUL;
   tf->codes[30454] = 0x0000a3b95d1e06d5UL;
   tf->codes[30455] = 0x0000a43a25a7b714UL;
   tf->codes[30456] = 0x0000a441b2177579UL;
   tf->codes[30457] = 0x0000a4eaf78422edUL;
   tf->codes[30458] = 0x0000a8073a4996aaUL;
   tf->codes[30459] = 0x0000aab24282e27cUL;
   tf->codes[30460] = 0x0000ae411f2ea0c2UL;
   tf->codes[30461] = 0x0000af2b5b45b4c2UL;
   tf->codes[30462] = 0x0000b4f47abca279UL;
   tf->codes[30463] = 0x0000bc9cd2a3c75bUL;
   tf->codes[30464] = 0x0000bd359fd6d567UL;
   tf->codes[30465] = 0x0000c30561816a6fUL;
   tf->codes[30466] = 0x0000c64b45f4f83aUL;
   tf->codes[30467] = 0x0000c75ee92b2083UL;
   tf->codes[30468] = 0x0000cb694b870a55UL;
   tf->codes[30469] = 0x0000d28913e5baceUL;
   tf->codes[30470] = 0x0000d7d1a561fe0bUL;
   tf->codes[30471] = 0x0000da646e62e64bUL;
   tf->codes[30472] = 0x0000dcb51bee4b26UL;
   tf->codes[30473] = 0x0000dfc0715c13f1UL;
   tf->codes[30474] = 0x0000e0ffffd68ffaUL;
   tf->codes[30475] = 0x0000e28fd869f51eUL;
   tf->codes[30476] = 0x0000e44ab20596eeUL;
   tf->codes[30477] = 0x0000e8ae4a444adeUL;
   tf->codes[30478] = 0x0000e9a555a4a1f6UL;
   tf->codes[30479] = 0x0000eb8deefcc5aeUL;
   tf->codes[30480] = 0x0000f424db986c2fUL;
   tf->codes[30481] = 0x0000f795fba33c6bUL;
   tf->codes[30482] = 0x0000f8732de2078eUL;
   tf->codes[30483] = 0x0000f8a71ab4253dUL;
   tf->codes[30484] = 0x0000f8b28aa345b7UL;
   tf->codes[30485] = 0x0000fa5aa26f0e6dUL;
   tf->codes[30486] = 0x0000faea0eba2fecUL;
   tf->codes[30487] = 0x0000fc7b46a7b7aeUL;
   tf->codes[30488] = 0x0000fcf866410b9dUL;
   tf->codes[30489] = 0x0000fe19fd8b93d7UL;
   tf->codes[30490] = 0x0000ff24b4f7db1dUL;
   tf->codes[30491] = 0x0000ffa667bda270UL;
   tf->codes[30492] = 0x000102563db2676bUL;
   tf->codes[30493] = 0x000105e2d0c7ebffUL;
   tf->codes[30494] = 0x000108ef1071cbdeUL;
   tf->codes[30495] = 0x00010b984432e988UL;
   tf->codes[30496] = 0x00011254166cc0b8UL;
   tf->codes[30497] = 0x00011430cab7b86cUL;
   tf->codes[30498] = 0x00011523085c965bUL;
   tf->codes[30499] = 0x000116fe97dc7136UL;
   tf->codes[30500] = 0x000118139a6cbc1dUL;
   tf->codes[30501] = 0x0001184503199a55UL;
   tf->codes[30502] = 0x0001184a45f31f08UL;
   tf->codes[30503] = 0x000119983da0068cUL;
   tf->codes[30504] = 0x00011c2ca08a172fUL;
   tf->codes[30505] = 0x00011d22120145e4UL;
   tf->codes[30506] = 0x00011d35f89c3bd7UL;
   tf->codes[30507] = 0x00011f61d234ffcdUL;
   tf->codes[30508] = 0x00011f85815c83d9UL;
   tf->codes[30509] = 0x00011fd13848f990UL;
   tf->codes[30510] = 0x000120d463458271UL;
   tf->codes[30511] = 0x000122f800c176b3UL;
   tf->codes[30512] = 0x000124c2685aa0d7UL;
   tf->codes[30513] = 0x000125dce8537636UL;
   tf->codes[30514] = 0x00012ac1f8c8ebb4UL;
   tf->codes[30515] = 0x00012b75c3e8a28eUL;
   tf->codes[30516] = 0x00012bbdd1e4bbf5UL;
   tf->codes[30517] = 0x00012cf38a593fe7UL;
   tf->codes[30518] = 0x00012d1898dae691UL;
   tf->codes[30519] = 0x00012ed337e7829cUL;
   tf->codes[30520] = 0x00012f1f9e8109a2UL;
   tf->codes[30521] = 0x00013158bc811c3aUL;
   tf->codes[30522] = 0x0001344ecbf9cc74UL;
   tf->codes[30523] = 0x000136263d6b3f75UL;
   tf->codes[30524] = 0x0001377bc187e55eUL;
   tf->codes[30525] = 0x0001388bf65cb71cUL;
   tf->codes[30526] = 0x000139c7dbe6d6d5UL;
   tf->codes[30527] = 0x00013b9e288d2cfdUL;
   tf->codes[30528] = 0x00013d04d490839dUL;
   tf->codes[30529] = 0x000140e34ba819afUL;
   tf->codes[30530] = 0x000142c249894b15UL;
   tf->codes[30531] = 0x000143da0acddb38UL;
   tf->codes[30532] = 0x000143fa4b9408b9UL;
   tf->codes[30533] = 0x00014564a087bba9UL;
   tf->codes[30534] = 0x00014602eb23542dUL;
   tf->codes[30535] = 0x000149ef564f4a30UL;
   tf->codes[30536] = 0x00014a4f2e65bb9fUL;
   tf->codes[30537] = 0x00014ed96f0f3e9cUL;
   tf->codes[30538] = 0x000150948339e631UL;
   tf->codes[30539] = 0x000154a721b29fb7UL;
   tf->codes[30540] = 0x0001567bd46fcd7cUL;
   tf->codes[30541] = 0x00015680679c40e0UL;
   tf->codes[30542] = 0x000156fc27db7231UL;
   tf->codes[30543] = 0x000159c4ecb5ac0dUL;
   tf->codes[30544] = 0x00015ac2252b9eecUL;
   tf->codes[30545] = 0x000163e2166dc560UL;
   tf->codes[30546] = 0x000165066c6c92d6UL;
   tf->codes[30547] = 0x000165dfbb2bfbe4UL;
   tf->codes[30548] = 0x0001661e684028beUL;
   tf->codes[30549] = 0x000169b337727d06UL;
   tf->codes[30550] = 0x00016d02b75cfd23UL;
   tf->codes[30551] = 0x0001703cb6c35eeaUL;
   tf->codes[30552] = 0x000170d2ffd12d7fUL;
   tf->codes[30553] = 0x00017175dd993967UL;
   tf->codes[30554] = 0x000176674839e673UL;
   tf->codes[30555] = 0x000176ebb9b3f302UL;
   tf->codes[30556] = 0x00017a8d92be9027UL;
   tf->codes[30557] = 0x00017cc9e490f385UL;
   tf->codes[30558] = 0x0001821f7fe57f9fUL;
   tf->codes[30559] = 0x0001842aa39a0a8aUL;
   tf->codes[30560] = 0x0001857d69026b37UL;
   tf->codes[30561] = 0x00018ee09a8531e9UL;
   tf->codes[30562] = 0x00018f2ba1c49651UL;
   tf->codes[30563] = 0x00019257e7a59decUL;
   tf->codes[30564] = 0x0001925d650e2864UL;
   tf->codes[30565] = 0x00019526d995738fUL;
   tf->codes[30566] = 0x000195c2657cc6d7UL;
   tf->codes[30567] = 0x000199343534a862UL;
   tf->codes[30568] = 0x00019d9a17099604UL;
   tf->codes[30569] = 0x0001ad3901e994f6UL;
   tf->codes[30570] = 0x0001b016d229e19eUL;
   tf->codes[30571] = 0x0001b4f331647bdeUL;
   tf->codes[30572] = 0x0001b61ffe0f1ecdUL;
   tf->codes[30573] = 0x0001b77965ab26cbUL;
   tf->codes[30574] = 0x0001b9eb03a9ca76UL;
   tf->codes[30575] = 0x0001bb1d884bfda2UL;
   tf->codes[30576] = 0x0001bb80cec3c59cUL;
   tf->codes[30577] = 0x0001bcd47e683d5dUL;
   tf->codes[30578] = 0x0001be448b53808aUL;
   tf->codes[30579] = 0x0001c0ddbbf90a56UL;
   tf->codes[30580] = 0x0001c3eb958c1298UL;
   tf->codes[30581] = 0x0001c6285c7c8180UL;
   tf->codes[30582] = 0x0001c6d7946fc4f6UL;
   tf->codes[30583] = 0x0001cc0b8fa400f1UL;
   tf->codes[30584] = 0x0001ccf3f742e6c9UL;
   tf->codes[30585] = 0x0001cf49e7a7d057UL;
   tf->codes[30586] = 0x0001d02bad130edeUL;
   tf->codes[30587] = 0x0001d0d1f93c7151UL;
   tf->codes[30588] = 0x0001d11d7599e143UL;
   tf->codes[30589] = 0x0001d1ae413f2560UL;
   tf->codes[30590] = 0x0001d3235674e77bUL;
   tf->codes[30591] = 0x0001d39f16b418ccUL;
   tf->codes[30592] = 0x0001d6258589c97eUL;
   tf->codes[30593] = 0x0001d68aa079bfa0UL;
   tf->codes[30594] = 0x0001d8e2da74e2e0UL;
   tf->codes[30595] = 0x0001e1317e856a35UL;
   tf->codes[30596] = 0x0001e4b943df75a0UL;
   tf->codes[30597] = 0x0001e7ec66832a51UL;
   tf->codes[30598] = 0x0001e8443d0bd1d1UL;
   tf->codes[30599] = 0x0001e92f635efce5UL;
   tf->codes[30600] = 0x0001ebcadd9ac063UL;
   tf->codes[30601] = 0x0001f6279ea31da4UL;
   tf->codes[30602] = 0x0001fac0487f0c1cUL;
   tf->codes[30603] = 0x0001feb1f68486d2UL;
   tf->codes[30604] = 0x00000322989b839fUL;
   tf->codes[30605] = 0x000003ae5bf648ceUL;
   tf->codes[30606] = 0x0000042bb61ea282UL;
   tf->codes[30607] = 0x0000081bca3af4d5UL;
   tf->codes[30608] = 0x00000caad89ff0fbUL;
   tf->codes[30609] = 0x00000e382d0e16a8UL;
   tf->codes[30610] = 0x00000e465bb17c5eUL;
   tf->codes[30611] = 0x00000e8b35db44ffUL;
   tf->codes[30612] = 0x00000f029d7d08b1UL;
   tf->codes[30613] = 0x00001589238a9f94UL;
   tf->codes[30614] = 0x0000163cb41b50a9UL;
   tf->codes[30615] = 0x00001953045a2e64UL;
   tf->codes[30616] = 0x0000197eef9e8224UL;
   tf->codes[30617] = 0x00001abf2dc60f7cUL;
   tf->codes[30618] = 0x00001b4a7c02c921UL;
   tf->codes[30619] = 0x00001c6b9e2f45d1UL;
   tf->codes[30620] = 0x00002097db3a8587UL;
   tf->codes[30621] = 0x0000236b6056ce8eUL;
   tf->codes[30622] = 0x0000237a3ea74593UL;
   tf->codes[30623] = 0x000027b3c019d3ebUL;
   tf->codes[30624] = 0x00002fbd8a00929fUL;
   tf->codes[30625] = 0x000033b6c475cbbaUL;
   tf->codes[30626] = 0x0000348fd8a62f03UL;
   tf->codes[30627] = 0x000036cb05ad7588UL;
   tf->codes[30628] = 0x0000398611025538UL;
   tf->codes[30629] = 0x00003af274fd3c15UL;
   tf->codes[30630] = 0x00003b06d0b63d92UL;
   tf->codes[30631] = 0x00003c2f44c372e2UL;
   tf->codes[30632] = 0x00004073115a04dbUL;
   tf->codes[30633] = 0x000040f48990c669UL;
   tf->codes[30634] = 0x0000419a609c1d52UL;
   tf->codes[30635] = 0x0000427a518f2db1UL;
   tf->codes[30636] = 0x000045a5e7c323fdUL;
   tf->codes[30637] = 0x000048b9042fb0f2UL;
   tf->codes[30638] = 0x000048fd693b6e09UL;
   tf->codes[30639] = 0x00004b4b92a1936dUL;
   tf->codes[30640] = 0x00004e7f2a6353a8UL;
   tf->codes[30641] = 0x00004fdadb959558UL;
   tf->codes[30642] = 0x0000504a7c3894e0UL;
   tf->codes[30643] = 0x0000537528307418UL;
   tf->codes[30644] = 0x000053a77b196964UL;
   tf->codes[30645] = 0x000053ff8c3116a9UL;
   tf->codes[30646] = 0x000054bf76ecff4cUL;
   tf->codes[30647] = 0x0000569513e64425UL;
   tf->codes[30648] = 0x000058347a77319dUL;
   tf->codes[30649] = 0x00005f222a7bf28fUL;
   tf->codes[30650] = 0x00005fecd579ea5dUL;
   tf->codes[30651] = 0x0000603caa74c7eeUL;
   tf->codes[30652] = 0x000060a02b7b95adUL;
   tf->codes[30653] = 0x00006287da97a251UL;
   tf->codes[30654] = 0x000064a54afdfaccUL;
   tf->codes[30655] = 0x00006a2b64c34e0aUL;
   tf->codes[30656] = 0x00006af6bf6e5727UL;
   tf->codes[30657] = 0x00006b9bac3d96fcUL;
   tf->codes[30658] = 0x00006d6f74beadadUL;
   tf->codes[30659] = 0x00006e3467c5153eUL;
   tf->codes[30660] = 0x00006ff5a905589aUL;
   tf->codes[30661] = 0x00007450557a2b87UL;
   tf->codes[30662] = 0x000075b05f49dad6UL;
   tf->codes[30663] = 0x00007a23c0151cdfUL;
   tf->codes[30664] = 0x00007b4b847540e0UL;
   tf->codes[30665] = 0x00007dc3c4a78bdcUL;
   tf->codes[30666] = 0x000085b1a6658aaeUL;
   tf->codes[30667] = 0x000086c5842ab8bcUL;
   tf->codes[30668] = 0x0000878bd68b42ebUL;
   tf->codes[30669] = 0x000087ab67a45f1dUL;
   tf->codes[30670] = 0x00009280b5199ce9UL;
   tf->codes[30671] = 0x00009a6e21b99031UL;
   tf->codes[30672] = 0x00009a7a7be4c7bfUL;
   tf->codes[30673] = 0x00009a98ada3c153UL;
   tf->codes[30674] = 0x00009aa8eb4e5af6UL;
   tf->codes[30675] = 0x00009ae6e8b57681UL;
   tf->codes[30676] = 0x00009f43dec08320UL;
   tf->codes[30677] = 0x0000a165e2534effUL;
   tf->codes[30678] = 0x0000a25093886e89UL;
   tf->codes[30679] = 0x0000a3572ce64df5UL;
   tf->codes[30680] = 0x0000a5b175e8a522UL;
   tf->codes[30681] = 0x0000a6c0fb106591UL;
   tf->codes[30682] = 0x0000acb04dd416cbUL;
   tf->codes[30683] = 0x0000adb63784e4e8UL;
   tf->codes[30684] = 0x0000ae33571e38d7UL;
   tf->codes[30685] = 0x0000aee88198124fUL;
   tf->codes[30686] = 0x0000af67b0389a2bUL;
   tf->codes[30687] = 0x0000b089bca12defUL;
   tf->codes[30688] = 0x0000b2a9b12cc5e1UL;
   tf->codes[30689] = 0x0000b405d77d131bUL;
   tf->codes[30690] = 0x0000b57cfbba0923UL;
   tf->codes[30691] = 0x0000b5d163e15a18UL;
   tf->codes[30692] = 0x0000b60516247202UL;
   tf->codes[30693] = 0x0000b95f90e0070fUL;
   tf->codes[30694] = 0x0000bb3c0a9bf8feUL;
   tf->codes[30695] = 0x0000bc4ae016a81eUL;
   tf->codes[30696] = 0x0000bdc86bf83fb2UL;
   tf->codes[30697] = 0x0000be6eb821a225UL;
   tf->codes[30698] = 0x0000c193ac21f120UL;
   tf->codes[30699] = 0x0000c3db6de374f8UL;
   tf->codes[30700] = 0x0000c4d15478af37UL;
   tf->codes[30701] = 0x0000c56eb4d830a7UL;
   tf->codes[30702] = 0x0000c61a43db17cdUL;
   tf->codes[30703] = 0x0000cc30eeb6a963UL;
   tf->codes[30704] = 0x0000d32abe579c1eUL;
   tf->codes[30705] = 0x0000d55a0651b69fUL;
   tf->codes[30706] = 0x0000d58fc79c0276UL;
   tf->codes[30707] = 0x0000d8e86ddf695bUL;
   tf->codes[30708] = 0x0000e04ac6d1a8c3UL;
   tf->codes[30709] = 0x0000e7e85e76be7aUL;
   tf->codes[30710] = 0x0000e9418b83c0b3UL;
   tf->codes[30711] = 0x0000ee2835e25e94UL;
   tf->codes[30712] = 0x0000ee395dc90f4bUL;
   tf->codes[30713] = 0x0000ee9c69b1d180UL;
   tf->codes[30714] = 0x0000f0e0bd11fecdUL;
   tf->codes[30715] = 0x0000f129402c23beUL;
   tf->codes[30716] = 0x0000f22010fd7511UL;
   tf->codes[30717] = 0x0000f61e192e2755UL;
   tf->codes[30718] = 0x0000fe9e607a92a7UL;
   tf->codes[30719] = 0x0000fec2bf4f2802UL;
   tf->codes[30720] = 0x0001044445e807dcUL;
   tf->codes[30721] = 0x000104878628a81aUL;
   tf->codes[30722] = 0x0001065bc3c7ca55UL;
   tf->codes[30723] = 0x00010688242a299fUL;
   tf->codes[30724] = 0x00010aca1c488d70UL;
   tf->codes[30725] = 0x00010ee5a68b27f9UL;
   tf->codes[30726] = 0x0001123f370aa5f2UL;
   tf->codes[30727] = 0x000112a5ebe3c477UL;
   tf->codes[30728] = 0x0001149f72939321UL;
   tf->codes[30729] = 0x000114b393bd8ed9UL;
   tf->codes[30730] = 0x0001151e2c160f73UL;
   tf->codes[30731] = 0x00011a7108b65651UL;
   tf->codes[30732] = 0x000121a8d5be6497UL;
   tf->codes[30733] = 0x00012398114a2fa0UL;
   tf->codes[30734] = 0x00012662700d91dfUL;
   tf->codes[30735] = 0x0001292baa05d745UL;
   tf->codes[30736] = 0x00012b83e400fa85UL;
   tf->codes[30737] = 0x00012e3678aa04bcUL;
   tf->codes[30738] = 0x00012e5ad77e9a17UL;
   tf->codes[30739] = 0x0001301c18bedd73UL;
   tf->codes[30740] = 0x00013063b19ceb50UL;
   tf->codes[30741] = 0x000131cbf7896a53UL;
   tf->codes[30742] = 0x000133bd421c6949UL;
   tf->codes[30743] = 0x00013621d642c417UL;
   tf->codes[30744] = 0x000136bd622a175fUL;
   tf->codes[30745] = 0x000138b9a78e2b45UL;
   tf->codes[30746] = 0x00013ed226e1eb03UL;
   tf->codes[30747] = 0x000142b77abc2e2bUL;
   tf->codes[30748] = 0x000145be778c8957UL;
   tf->codes[30749] = 0x000146bc9a3e934aUL;
   tf->codes[30750] = 0x0001477a3b64423bUL;
   tf->codes[30751] = 0x0001485f34a1d188UL;
   tf->codes[30752] = 0x0001489cbceae189UL;
   tf->codes[30753] = 0x000148bb9e56ec6cUL;
   tf->codes[30754] = 0x0001493b7ca48597UL;
   tf->codes[30755] = 0x000149db9bb84c43UL;
   tf->codes[30756] = 0x00014b519b2a2572UL;
   tf->codes[30757] = 0x00014da925783763UL;
   tf->codes[30758] = 0x00014e93618f4b63UL;
   tf->codes[30759] = 0x00014eaab68b97e1UL;
   tf->codes[30760] = 0x0001525506420a7fUL;
   tf->codes[30761] = 0x0001535de936239dUL;
   tf->codes[30762] = 0x0001539e303378daUL;
   tf->codes[30763] = 0x0001546a751a990bUL;
   tf->codes[30764] = 0x0001561fd14db063UL;
   tf->codes[30765] = 0x000158253d0aab11UL;
   tf->codes[30766] = 0x00015c5647d163f0UL;
   tf->codes[30767] = 0x00015f09170973ecUL;
   tf->codes[30768] = 0x000162735a519712UL;
   tf->codes[30769] = 0x00016330fb774603UL;
   tf->codes[30770] = 0x00016aac434efa4cUL;
   tf->codes[30771] = 0x00016c3c56716535UL;
   tf->codes[30772] = 0x00016dd6b4b7d3bfUL;
   tf->codes[30773] = 0x000170c6971ae832UL;
   tf->codes[30774] = 0x0001723fca5f1227UL;
   tf->codes[30775] = 0x0001736719a12a9eUL;
   tf->codes[30776] = 0x000176814d5f6a6eUL;
   tf->codes[30777] = 0x00017837593f9315UL;
   tf->codes[30778] = 0x00017984dbce6f0fUL;
   tf->codes[30779] = 0x00017a8dbec2882dUL;
   tf->codes[30780] = 0x00017c7cfa4e5336UL;
   tf->codes[30781] = 0x00017cfe37f60effUL;
   tf->codes[30782] = 0x00017e6fa43b74caUL;
   tf->codes[30783] = 0x00017f3b74048971UL;
   tf->codes[30784] = 0x00018086e78c317eUL;
   tf->codes[30785] = 0x000182a4cd109583UL;
   tf->codes[30786] = 0x0001835f3a63f3aeUL;
   tf->codes[30787] = 0x000183a91cd83b3dUL;
   tf->codes[30788] = 0x0001843764583fe3UL;
   tf->codes[30789] = 0x0001860bdc8667e3UL;
   tf->codes[30790] = 0x00018765f3cf8130UL;
   tf->codes[30791] = 0x00018cba2fc9eaacUL;
   tf->codes[30792] = 0x00018eabef7af52cUL;
   tf->codes[30793] = 0x00019185dc3bdfbfUL;
   tf->codes[30794] = 0x0001953e5a95b813UL;
   tf->codes[30795] = 0x000197e41ff57f32UL;
   tf->codes[30796] = 0x00019bc8c422b10bUL;
   tf->codes[30797] = 0x0001a3c793385acfUL;
   tf->codes[30798] = 0x0001a7bcaf9f2c10UL;
   tf->codes[30799] = 0x0001a82a7bc9fd70UL;
   tf->codes[30800] = 0x0001a8a8c02e6e38UL;
   tf->codes[30801] = 0x0001a90bcc17306dUL;
   tf->codes[30802] = 0x0001abf2c2b063ddUL;
   tf->codes[30803] = 0x0001b297055ee8caUL;
   tf->codes[30804] = 0x0001bf004975f394UL;
   tf->codes[30805] = 0x0001c2e2a40cebbbUL;
   tf->codes[30806] = 0x0001c2ff3be2bcecUL;
   tf->codes[30807] = 0x0001c333d861ebeaUL;
   tf->codes[30808] = 0x0001c71f93e0d09eUL;
   tf->codes[30809] = 0x0001c9b1ad34a78fUL;
   tf->codes[30810] = 0x0001cb44447c51efUL;
   tf->codes[30811] = 0x0001cc3f335c0b1cUL;
   tf->codes[30812] = 0x0001cd446d5fc7eaUL;
   tf->codes[30813] = 0x0001d3873e0eb305UL;
   tf->codes[30814] = 0x0001d46101ec279dUL;
   tf->codes[30815] = 0x0001d4bcbbf43132UL;
   tf->codes[30816] = 0x0001d68e0050086cUL;
   tf->codes[30817] = 0x0001d6e143ac3c88UL;
   tf->codes[30818] = 0x0001d7de7c222f67UL;
   tf->codes[30819] = 0x0001dd515ef99e01UL;
   tf->codes[30820] = 0x0001debbb3ed50f1UL;
   tf->codes[30821] = 0x0001df4fedf3eb99UL;
   tf->codes[30822] = 0x0001dfb877453846UL;
   tf->codes[30823] = 0x0001e1e450ddfc3cUL;
   tf->codes[30824] = 0x0001e224d26a573eUL;
   tf->codes[30825] = 0x0001e7f3a9d8d532UL;
   tf->codes[30826] = 0x0001e7ffc97506fbUL;
   tf->codes[30827] = 0x0001f221fb779f3cUL;
   tf->codes[30828] = 0x0001f2cf2463aec5UL;
   tf->codes[30829] = 0x0001f356c9b00c1aUL;
   tf->codes[30830] = 0x0001f3d66d6e9f80UL;
   tf->codes[30831] = 0x0001f41dcbbda798UL;
   tf->codes[30832] = 0x0001f88ac4e44815UL;
   tf->codes[30833] = 0x0001fb8024afe700UL;
   tf->codes[30834] = 0x0001fbd5ec315a93UL;
   tf->codes[30835] = 0x000001be27a358f2UL;
   tf->codes[30836] = 0x000004b2d7c1e68eUL;
   tf->codes[30837] = 0x00000653d83bfc69UL;
   tf->codes[30838] = 0x0000066191c15695UL;
   tf->codes[30839] = 0x000008ccc81b58b4UL;
   tf->codes[30840] = 0x00000c9bb1356672UL;
   tf->codes[30841] = 0x00000e07daa1478aUL;
   tf->codes[30842] = 0x0000103eaf0b2070UL;
   tf->codes[30843] = 0x000012e0cb7a8b3fUL;
   tf->codes[30844] = 0x000014c92a43a932UL;
   tf->codes[30845] = 0x000017f3611d7ce0UL;
   tf->codes[30846] = 0x00001bc5437ad59fUL;
   tf->codes[30847] = 0x00001ce41c11189dUL;
   tf->codes[30848] = 0x00001dae8c800aa6UL;
   tf->codes[30849] = 0x00001e0454017e39UL;
   tf->codes[30850] = 0x00001e829865ef01UL;
   tf->codes[30851] = 0x00001fbbbf3bc97eUL;
   tf->codes[30852] = 0x000020fd5cbd7974UL;
   tf->codes[30853] = 0x000021298290d2f9UL;
   tf->codes[30854] = 0x00002512b9ea7836UL;
   tf->codes[30855] = 0x000028a504f78d07UL;
   tf->codes[30856] = 0x000029694850e349UL;
   tf->codes[30857] = 0x000029744321f839UL;
   tf->codes[30858] = 0x000029ab63c666aeUL;
   tf->codes[30859] = 0x00002a3970b7658fUL;
   tf->codes[30860] = 0x00002ddf67d06a8eUL;
   tf->codes[30861] = 0x00002fc83bb7940bUL;
   tf->codes[30862] = 0x0000308910af93c2UL;
   tf->codes[30863] = 0x000030ebe2095032UL;
   tf->codes[30864] = 0x000032c736fa2548UL;
   tf->codes[30865] = 0x000033348e06eb1eUL;
   tf->codes[30866] = 0x0000368239793d13UL;
   tf->codes[30867] = 0x00003717984af494UL;
   tf->codes[30868] = 0x000037f7893e04f3UL;
   tf->codes[30869] = 0x0000387593136ff6UL;
   tf->codes[30870] = 0x00003a07efcc1491UL;
   tf->codes[30871] = 0x00003a26218b0e25UL;
   tf->codes[30872] = 0x00003b895f2d0e3aUL;
   tf->codes[30873] = 0x00003ddc90ddb28cUL;
   tf->codes[30874] = 0x00003f9dd21df5e8UL;
   tf->codes[30875] = 0x000040232dd4198bUL;
   tf->codes[30876] = 0x0000425aec7a0985UL;
   tf->codes[30877] = 0x000043794ff240f9UL;
   tf->codes[30878] = 0x00004471f53bc074UL;
   tf->codes[30879] = 0x0000470fb90dbda4UL;
   tf->codes[30880] = 0x000048cd515da4b0UL;
   tf->codes[30881] = 0x000049c6313629f0UL;
   tf->codes[30882] = 0x00004afa4fc1857fUL;
   tf->codes[30883] = 0x00004ba68e717df4UL;
   tf->codes[30884] = 0x00004bb39849c6d1UL;
   tf->codes[30885] = 0x00004e1657f7f377UL;
   tf->codes[30886] = 0x00004f64ff51ec4aUL;
   tf->codes[30887] = 0x00005a05009ae9c9UL;
   tf->codes[30888] = 0x00005b156ffec14cUL;
   tf->codes[30889] = 0x00005c67109c0520UL;
   tf->codes[30890] = 0x00005dc19d0329f7UL;
   tf->codes[30891] = 0x00005f94b5d72f59UL;
   tf->codes[30892] = 0x0000608fdf45ee4bUL;
   tf->codes[30893] = 0x00006253a4ab711eUL;
   tf->codes[30894] = 0x000063915eadbeffUL;
   tf->codes[30895] = 0x000065ba3f0337f4UL;
   tf->codes[30896] = 0x000068dd23fc5302UL;
   tf->codes[30897] = 0x00006a0dd4265806UL;
   tf->codes[30898] = 0x00006b4a695d890eUL;
   tf->codes[30899] = 0x00006dd2e73a6dadUL;
   tf->codes[30900] = 0x00006f599974ec09UL;
   tf->codes[30901] = 0x000074496a2c70b2UL;
   tf->codes[30902] = 0x0000786ae6f5a13dUL;
   tf->codes[30903] = 0x000078bdb533c9cfUL;
   tf->codes[30904] = 0x00007ab7b101a403UL;
   tf->codes[30905] = 0x00007db1de88bc17UL;
   tf->codes[30906] = 0x00007de5cb5ad9c6UL;
   tf->codes[30907] = 0x00007e903592a413UL;
   tf->codes[30908] = 0x000080d65d6aff88UL;
   tf->codes[30909] = 0x000082120866197cUL;
   tf->codes[30910] = 0x000085c210141c57UL;
   tf->codes[30911] = 0x00008607d479fc0cUL;
   tf->codes[30912] = 0x000089bef379b1c2UL;
   tf->codes[30913] = 0x00008ce546d4235bUL;
   tf->codes[30914] = 0x00008e38bbe99557UL;
   tf->codes[30915] = 0x00008f0a091b3476UL;
   tf->codes[30916] = 0x0000911da37b94daUL;
   tf->codes[30917] = 0x0000914411575e22UL;
   tf->codes[30918] = 0x0000917280c0f159UL;
   tf->codes[30919] = 0x000091e938b5a3bcUL;
   tf->codes[30920] = 0x00009cb8591545c1UL;
   tf->codes[30921] = 0x00009db8ffec8f2bUL;
   tf->codes[30922] = 0x00009eb16aa708e1UL;
   tf->codes[30923] = 0x0000a04a699354cdUL;
   tf->codes[30924] = 0x0000a0c87368bfd0UL;
   tf->codes[30925] = 0x0000a1fb3299f8c1UL;
   tf->codes[30926] = 0x0000a3a2d547b5edUL;
   tf->codes[30927] = 0x0000a431cc74cbe2UL;
   tf->codes[30928] = 0x0000a6db3ac4ef51UL;
   tf->codes[30929] = 0x0000a9b6c16f0247UL;
   tf->codes[30930] = 0x0000ac2650667205UL;
   tf->codes[30931] = 0x0000b12624398a8cUL;
   tf->codes[30932] = 0x0000b1a1a9e9b618UL;
   tf->codes[30933] = 0x0000b4626d362605UL;
   tf->codes[30934] = 0x0000b4edbb72dfaaUL;
   tf->codes[30935] = 0x0000b8f1f0b92db5UL;
   tf->codes[30936] = 0x0000bb8c4629d45aUL;
   tf->codes[30937] = 0x0000bdd4427a5df7UL;
   tf->codes[30938] = 0x0000bf58e5ada866UL;
   tf->codes[30939] = 0x0000c12521bf00b2UL;
   tf->codes[30940] = 0x0000c2ee29fe0838UL;
   tf->codes[30941] = 0x0000d567ebdb08d1UL;
   tf->codes[30942] = 0x0000d749a8707f73UL;
   tf->codes[30943] = 0x0000d885536b9967UL;
   tf->codes[30944] = 0x0000dd7ceb21e23aUL;
   tf->codes[30945] = 0x0000ddc8677f522cUL;
   tf->codes[30946] = 0x0000de549ff822e5UL;
   tf->codes[30947] = 0x0000dfc90580d3b1UL;
   tf->codes[30948] = 0x0000e02c4bf89babUL;
   tf->codes[30949] = 0x0000e75624ec4a00UL;
   tf->codes[30950] = 0x0000ec7c669b2bcfUL;
   tf->codes[30951] = 0x0000efda152911a2UL;
   tf->codes[30952] = 0x0000f162d66ac3ebUL;
   tf->codes[30953] = 0x0000f29d9729c6cbUL;
   tf->codes[30954] = 0x0000fd84f6c1cc62UL;
   tf->codes[30955] = 0x0000ffc984b0ff74UL;
   tf->codes[30956] = 0x000106dc08a8614bUL;
   tf->codes[30957] = 0x000109a6dc89cf14UL;
   tf->codes[30958] = 0x000111b24059b62bUL;
   tf->codes[30959] = 0x0001124d91b203aeUL;
   tf->codes[30960] = 0x0001159dfbd89adfUL;
   tf->codes[30961] = 0x000115c9e71cee9fUL;
   tf->codes[30962] = 0x000116d49e8935e5UL;
   tf->codes[30963] = 0x00011761c13e1db2UL;
   tf->codes[30964] = 0x00011a0b6a1d46e6UL;
   tf->codes[30965] = 0x000120bc41860926UL;
   tf->codes[30966] = 0x00012304ed83a412UL;
   tf->codes[30967] = 0x000123586b6eddf3UL;
   tf->codes[30968] = 0x0001262dff925ae7UL;
   tf->codes[30969] = 0x00012e2e68912d0eUL;
   tf->codes[30970] = 0x00012f89a4a56334UL;
   tf->codes[30971] = 0x00013153972081ceUL;
   tf->codes[30972] = 0x00013198e66855f9UL;
   tf->codes[30973] = 0x000131c71b42e36bUL;
   tf->codes[30974] = 0x000132468472710cUL;
   tf->codes[30975] = 0x0001325efe39da63UL;
   tf->codes[30976] = 0x000132f4979a97a9UL;
   tf->codes[30977] = 0x000135d9449d9167UL;
   tf->codes[30978] = 0x0001375695f02336UL;
   tf->codes[30979] = 0x000138d66b67f47cUL;
   tf->codes[30980] = 0x00013d14ba95fbfdUL;
   tf->codes[30981] = 0x000140b7b86bb5fbUL;
   tf->codes[30982] = 0x000141041f053d01UL;
   tf->codes[30983] = 0x00014331cd162f1fUL;
   tf->codes[30984] = 0x000143f8cf23ca9dUL;
   tf->codes[30985] = 0x000145426e334482UL;
   tf->codes[30986] = 0x00014a3c14f0c142UL;
   tf->codes[30987] = 0x00014c373589b84fUL;
   tf->codes[30988] = 0x00014c3a2ecd0350UL;
   tf->codes[30989] = 0x00014f834712e1e1UL;
   tf->codes[30990] = 0x000151f2265d4050UL;
   tf->codes[30991] = 0x000155c8615806aeUL;
   tf->codes[30992] = 0x000157ac6783b702UL;
   tf->codes[30993] = 0x0001580bca7c1ce7UL;
   tf->codes[30994] = 0x000159656ca72aaaUL;
   tf->codes[30995] = 0x00015a288b356413UL;
   tf->codes[30996] = 0x00015dc64631995eUL;
   tf->codes[30997] = 0x00015f022bbbb917UL;
   tf->codes[30998] = 0x00015f9665c253bfUL;
   tf->codes[30999] = 0x000161447014b277UL;
   tf->codes[31000] = 0x000162eb63155e54UL;
   tf->codes[31001] = 0x0001646df74174d6UL;
   tf->codes[31002] = 0x00016762a7600272UL;
   tf->codes[31003] = 0x00016be0c86d53a6UL;
   tf->codes[31004] = 0x00016e13b957ca77UL;
   tf->codes[31005] = 0x00016ef927b3654eUL;
   tf->codes[31006] = 0x000171374dfdf6d4UL;
   tf->codes[31007] = 0x0001719b0993ca58UL;
   tf->codes[31008] = 0x000177616a5672d3UL;
   tf->codes[31009] = 0x0001785e2dae5a28UL;
   tf->codes[31010] = 0x000178b5c9a7fbe3UL;
   tf->codes[31011] = 0x00017a0018648717UL;
   tf->codes[31012] = 0x00017c1b04a5a01bUL;
   tf->codes[31013] = 0x00017f37bc891f62UL;
   tf->codes[31014] = 0x0001818b6357cf3eUL;
   tf->codes[31015] = 0x000182626880fe9aUL;
   tf->codes[31016] = 0x00018290d7ea91d1UL;
   tf->codes[31017] = 0x0001839059f6be62UL;
   tf->codes[31018] = 0x000183c35c8cc4fdUL;
   tf->codes[31019] = 0x00018c40e524eb13UL;
   tf->codes[31020] = 0x00018d36912b1f8dUL;
   tf->codes[31021] = 0x00018d4ff52e9ff8UL;
   tf->codes[31022] = 0x00018e7709e1b2aaUL;
   tf->codes[31023] = 0x000191784eba7d99UL;
   tf->codes[31024] = 0x000191e4466d20d1UL;
   tf->codes[31025] = 0x000192ea6aacf4b3UL;
   tf->codes[31026] = 0x0001947ed66ccd3bUL;
   tf->codes[31027] = 0x000194b9da909dc5UL;
   tf->codes[31028] = 0x0001977819b7ce3bUL;
   tf->codes[31029] = 0x000197a404fc21fbUL;
   tf->codes[31030] = 0x00019a6711decb9aUL;
   tf->codes[31031] = 0x00019c03f44a799bUL;
   tf->codes[31032] = 0x00019ea1086f657cUL;
   tf->codes[31033] = 0x0001a0282fc7ef62UL;
   tf->codes[31034] = 0x0001a21f32527e95UL;
   tf->codes[31035] = 0x0001a48a68ac80b4UL;
   tf->codes[31036] = 0x0001a61e99dd5377UL;
   tf->codes[31037] = 0x0001acf44538b69cUL;
   tf->codes[31038] = 0x0001ae5e9a2c698cUL;
   tf->codes[31039] = 0x0001afc42164a353UL;
   tf->codes[31040] = 0x0001afca890944dfUL;
   tf->codes[31041] = 0x0001c09974663786UL;
   tf->codes[31042] = 0x0001c201f4e1bc4eUL;
   tf->codes[31043] = 0x0001ca2b8a709cf9UL;
   tf->codes[31044] = 0x0001cc63f8c39e42UL;
   tf->codes[31045] = 0x0001cccc8214eaefUL;
   tf->codes[31046] = 0x0001d55d7c29fb6eUL;
   tf->codes[31047] = 0x0001d83f2fe9aa2bUL;
   tf->codes[31048] = 0x0001d86b1b2dfdebUL;
   tf->codes[31049] = 0x0001d8f6a3f9bd55UL;
   tf->codes[31050] = 0x0001db8a1ca7b6e4UL;
   tf->codes[31051] = 0x0001dbc8c9bbe3beUL;
   tf->codes[31052] = 0x0001dc9b3bb89fb6UL;
   tf->codes[31053] = 0x0001dd7cc694d878UL;
   tf->codes[31054] = 0x0001df83cc3afb89UL;
   tf->codes[31055] = 0x0001e0421d0dbbc9UL;
   tf->codes[31056] = 0x0001e151a2357c38UL;
   tf->codes[31057] = 0x0001e3d517c7e1e9UL;
   tf->codes[31058] = 0x0001e5f50c5379dbUL;
   tf->codes[31059] = 0x0001ea5c4d828a1bUL;
   tf->codes[31060] = 0x0001ed21696c67a7UL;
   tf->codes[31061] = 0x0001ef291ebf9c07UL;
   tf->codes[31062] = 0x0001f3601c0ceae8UL;
   tf->codes[31063] = 0x0001f3a73fcced3bUL;
   tf->codes[31064] = 0x0001f489ef7442d6UL;
   tf->codes[31065] = 0x0001f5dd6489b4d2UL;
   tf->codes[31066] = 0x0001f84c43d41341UL;
   tf->codes[31067] = 0x0001f8ef5c2b24eeUL;
   tf->codes[31068] = 0x0001fb5fd55eabc0UL;
   tf->codes[31069] = 0x000006a3641cc676UL;
   tf->codes[31070] = 0x000006e8b3649aa1UL;
   tf->codes[31071] = 0x000008e5e304c59bUL;
   tf->codes[31072] = 0x00000ee70d5c38dbUL;
   tf->codes[31073] = 0x000011e8523503caUL;
   tf->codes[31074] = 0x000013390896308aUL;
   tf->codes[31075] = 0x000013c9d43b74a7UL;
   tf->codes[31076] = 0x0000160f4c66becdUL;
   tf->codes[31077] = 0x0000184b9e39222bUL;
   tf->codes[31078] = 0x0000188df43dab55UL;
   tf->codes[31079] = 0x000018d72704e195UL;
   tf->codes[31080] = 0x000019f799844cf6UL;
   tf->codes[31081] = 0x00001a435070c2adUL;
   tf->codes[31082] = 0x00001a5d9eb05a2cUL;
   tf->codes[31083] = 0x00001bbf07da2c19UL;
   tf->codes[31084] = 0x00001d41d6954860UL;
   tf->codes[31085] = 0x00001e92c7857ae5UL;
   tf->codes[31086] = 0x00001f05d689d0f8UL;
   tf->codes[31087] = 0x00001f8246761398UL;
   tf->codes[31088] = 0x00001feb44e56bcfUL;
   tf->codes[31089] = 0x000020b74f3d863bUL;
   tf->codes[31090] = 0x000021dbdfcb5976UL;
   tf->codes[31091] = 0x00002262d56aa57cUL;
   tf->codes[31092] = 0x0000239cabed9148UL;
   tf->codes[31093] = 0x000025ca59fe8366UL;
   tf->codes[31094] = 0x0000268c53c19ff6UL;
   tf->codes[31095] = 0x00002ea0a35b6810UL;
   tf->codes[31096] = 0x00002ef9d93e322eUL;
   tf->codes[31097] = 0x0000324dec5525afUL;
   tf->codes[31098] = 0x000037207589c7d8UL;
   tf->codes[31099] = 0x000038b55667abeaUL;
   tf->codes[31100] = 0x000038c13b74d7eeUL;
   tf->codes[31101] = 0x00003980eba1baccUL;
   tf->codes[31102] = 0x00003a41860ab4beUL;
   tf->codes[31103] = 0x00003f930350d8feUL;
   tf->codes[31104] = 0x00003fa6e9ebcef1UL;
   tf->codes[31105] = 0x000042bd74b9b271UL;
   tf->codes[31106] = 0x000043da03b9bbbdUL;
   tf->codes[31107] = 0x000044219c97c99aUL;
   tf->codes[31108] = 0x00004433aeba9165UL;
   tf->codes[31109] = 0x00004566335cc491UL;
   tf->codes[31110] = 0x000046712558119cUL;
   tf->codes[31111] = 0x000047c1dbb93e5cUL;
   tf->codes[31112] = 0x000049d71002c723UL;
   tf->codes[31113] = 0x000051a1429941e9UL;
   tf->codes[31114] = 0x00005235b72ee256UL;
   tf->codes[31115] = 0x000053beed8ea029UL;
   tf->codes[31116] = 0x0000567d2cb5d09fUL;
   tf->codes[31117] = 0x000057c40d110548UL;
   tf->codes[31118] = 0x00005a0cf39da5f9UL;
   tf->codes[31119] = 0x00005af9794af3abUL;
   tf->codes[31120] = 0x00005cf1db2fa57cUL;
   tf->codes[31121] = 0x00005f09ce2d737fUL;
   tf->codes[31122] = 0x000066a7daf094c0UL;
   tf->codes[31123] = 0x000066d4b070ff94UL;
   tf->codes[31124] = 0x000068874defd1b0UL;
   tf->codes[31125] = 0x000069fd87f0b0a4UL;
   tf->codes[31126] = 0x00006afac066a383UL;
   tf->codes[31127] = 0x00006b956211dfb7UL;
   tf->codes[31128] = 0x00006ba356263fa8UL;
   tf->codes[31129] = 0x00006bfbdc5bf877UL;
   tf->codes[31130] = 0x00006db81551bce5UL;
   tf->codes[31131] = 0x00006df10a6e5982UL;
   tf->codes[31132] = 0x000070aa06bc0545UL;
   tf->codes[31133] = 0x0000758247e837abUL;
   tf->codes[31134] = 0x0000772b847f1d3aUL;
   tf->codes[31135] = 0x00007c8787784ae0UL;
   tf->codes[31136] = 0x00007dc3e2207623UL;
   tf->codes[31137] = 0x000080cec2703364UL;
   tf->codes[31138] = 0x000082abebd936a2UL;
   tf->codes[31139] = 0x00008444eac5828eUL;
   tf->codes[31140] = 0x000087e56475fd15UL;
   tf->codes[31141] = 0x00008a8b6464c9f9UL;
   tf->codes[31142] = 0x00008d27c8dca48bUL;
   tf->codes[31143] = 0x00008ecc37b810f1UL;
   tf->codes[31144] = 0x000090682fe7a7deUL;
   tf->codes[31145] = 0x000091e9d9d7a74cUL;
   tf->codes[31146] = 0x00009209a57fc943UL;
   tf->codes[31147] = 0x0000996b8953fd21UL;
   tf->codes[31148] = 0x00009a8176205f1cUL;
   tf->codes[31149] = 0x00009b75fd5b76bdUL;
   tf->codes[31150] = 0x00009d933332c973UL;
   tf->codes[31151] = 0x00009f460b40a154UL;
   tf->codes[31152] = 0x0000a00f1c5570bfUL;
   tf->codes[31153] = 0x0000a1bc3c6bb863UL;
   tf->codes[31154] = 0x0000a8816f8d7c20UL;
   tf->codes[31155] = 0x0000ab97bfcc59dbUL;
   tf->codes[31156] = 0x0000ac4d24d53918UL;
   tf->codes[31157] = 0x0000b1f30a42ae4dUL;
   tf->codes[31158] = 0x0000b476f4f31f88UL;
   tf->codes[31159] = 0x0000b63a0aab910cUL;
   tf->codes[31160] = 0x0000b7586e23c880UL;
   tf->codes[31161] = 0x0000b8310d36203fUL;
   tf->codes[31162] = 0x0000b84a7139a0aaUL;
   tf->codes[31163] = 0x0000b94e4be33adaUL;
   tf->codes[31164] = 0x0000beec2fc2e620UL;
   tf->codes[31165] = 0x0000c6b32e871020UL;
   tf->codes[31166] = 0x0000cab8c32780c9UL;
   tf->codes[31167] = 0x0000cd3a9ed0be17UL;
   tf->codes[31168] = 0x0000cee36649981cUL;
   tf->codes[31169] = 0x0000d18a15e5764fUL;
   tf->codes[31170] = 0x0000d1967010adddUL;
   tf->codes[31171] = 0x0000d3e42458c7b7UL;
   tf->codes[31172] = 0x0000d3e8b7853b1bUL;
   tf->codes[31173] = 0x0000d64b3ca461fcUL;
   tf->codes[31174] = 0x0000d7975fd91b58UL;
   tf->codes[31175] = 0x0000db74b2259491UL;
   tf->codes[31176] = 0x0000e38dcf7ad5d4UL;
   tf->codes[31177] = 0x0000e52150fe9748UL;
   tf->codes[31178] = 0x0000e87fe9c8942fUL;
   tf->codes[31179] = 0x0000ef3d907a9987UL;
   tf->codes[31180] = 0x0000f06f9ffec129UL;
   tf->codes[31181] = 0x0000f34150a2dc08UL;
   tf->codes[31182] = 0x0000f38edc077fe7UL;
   tf->codes[31183] = 0x0000f3e259f2b9c8UL;
   tf->codes[31184] = 0x0000f67522f3a208UL;
   tf->codes[31185] = 0x0000fa7b67412400UL;
   tf->codes[31186] = 0x0000fcf8752ee825UL;
   tf->codes[31187] = 0x0000fdc52f3413e0UL;
   tf->codes[31188] = 0x000104e7f0d60f5aUL;
   tf->codes[31189] = 0x000105b97896b43eUL;
   tf->codes[31190] = 0x0001063a7baf6a42UL;
   tf->codes[31191] = 0x00010895e97cde48UL;
   tf->codes[31192] = 0x000109809ab1fdd2UL;
   tf->codes[31193] = 0x00010b93bff452acUL;
   tf->codes[31194] = 0x00010bab4f7fa4efUL;
   tf->codes[31195] = 0x000110263cbaa55dUL;
   tf->codes[31196] = 0x000110e48d8d659dUL;
   tf->codes[31197] = 0x00011129a2463403UL;
   tf->codes[31198] = 0x00011577f48fcf62UL;
   tf->codes[31199] = 0x000115f6e8a15179UL;
   tf->codes[31200] = 0x0001191699c81bc1UL;
   tf->codes[31201] = 0x00011995c868a39dUL;
   tf->codes[31202] = 0x00011e442d57b630UL;
   tf->codes[31203] = 0x00012482a56933acUL;
   tf->codes[31204] = 0x000124b657ac4b96UL;
   tf->codes[31205] = 0x000127954cb7b517UL;
   tf->codes[31206] = 0x00012aa5e4ff0295UL;
   tf->codes[31207] = 0x00012d60b5c4dc80UL;
   tf->codes[31208] = 0x00012fd8464a162dUL;
   tf->codes[31209] = 0x00013056ffcc927fUL;
   tf->codes[31210] = 0x0001376c07e933cdUL;
   tf->codes[31211] = 0x000138db652765abUL;
   tf->codes[31212] = 0x00013d55a2b554caUL;
   tf->codes[31213] = 0x0001412af3740414UL;
   tf->codes[31214] = 0x000141f5d90101a7UL;
   tf->codes[31215] = 0x0001423ed1393222UL;
   tf->codes[31216] = 0x000146e5e4478c15UL;
   tf->codes[31217] = 0x000149182584f197UL;
   tf->codes[31218] = 0x00015460476f7fb1UL;
   tf->codes[31219] = 0x00015ee71f44028aUL;
   tf->codes[31220] = 0x000160ded17ba30cUL;
   tf->codes[31221] = 0x000165baf6273787UL;
   tf->codes[31222] = 0x00016695a440c333UL;
   tf->codes[31223] = 0x000168872962c7eeUL;
   tf->codes[31224] = 0x00016c99182e7025UL;
   tf->codes[31225] = 0x00016d2dc7531657UL;
   tf->codes[31226] = 0x00016e9f6e2781e7UL;
   tf->codes[31227] = 0x0001706a104fb1d0UL;
   tf->codes[31228] = 0x00017d85fabb569bUL;
   tf->codes[31229] = 0x00017e83a84f5504UL;
   tf->codes[31230] = 0x00017fb99b52debbUL;
   tf->codes[31231] = 0x00018140881c62dcUL;
   tf->codes[31232] = 0x000183b385752925UL;
   tf->codes[31233] = 0x000185e8bff5d9a8UL;
   tf->codes[31234] = 0x00018ce2ca25d228UL;
   tf->codes[31235] = 0x00018d85e27ce3d5UL;
   tf->codes[31236] = 0x00018dc20b6bd138UL;
   tf->codes[31237] = 0x000190dec34f507fUL;
   tf->codes[31238] = 0x000194cab95d3af8UL;
   tf->codes[31239] = 0x000195dcc2aa3adeUL;
   tf->codes[31240] = 0x00019820a0ec5ca1UL;
   tf->codes[31241] = 0x00019f9c5de21c74UL;
   tf->codes[31242] = 0x0001a35dc805d5cbUL;
   tf->codes[31243] = 0x0001a38853f006edUL;
   tf->codes[31244] = 0x0001a44afd6034ccUL;
   tf->codes[31245] = 0x0001a656d0c1d106UL;
   tf->codes[31246] = 0x0001a79af268c073UL;
   tf->codes[31247] = 0x0001ab41d3bddc86UL;
   tf->codes[31248] = 0x0001ab441d541638UL;
   tf->codes[31249] = 0x0001ac05a1f9273eUL;
   tf->codes[31250] = 0x0001af61b69de4aeUL;
   tf->codes[31251] = 0x0001b0931674fb01UL;
   tf->codes[31252] = 0x0001b3b6ab1b275eUL;
   tf->codes[31253] = 0x0001b574436b0e6aUL;
   tf->codes[31254] = 0x0001b69b581e211cUL;
   tf->codes[31255] = 0x0001b850b4513874UL;
   tf->codes[31256] = 0x0001bacb78a8c2e7UL;
   tf->codes[31257] = 0x0001bd2c63dec165UL;
   tf->codes[31258] = 0x0001be8a9936428cUL;
   tf->codes[31259] = 0x0001bf35788c1863UL;
   tf->codes[31260] = 0x0001c148633f6778UL;
   tf->codes[31261] = 0x0001c19d4084c3f7UL;
   tf->codes[31262] = 0x0001c24e12612fd0UL;
   tf->codes[31263] = 0x0001c2ec5cfcc854UL;
   tf->codes[31264] = 0x0001c7b9a357e5caUL;
   tf->codes[31265] = 0x0001cbbe884b4524UL;
   tf->codes[31266] = 0x0001cc69a23020c0UL;
   tf->codes[31267] = 0x0001d59c5542204eUL;
   tf->codes[31268] = 0x0001d5f63ad1fbbbUL;
   tf->codes[31269] = 0x0001d63caee4ecbfUL;
   tf->codes[31270] = 0x0001d98676d7dc9fUL;
   tf->codes[31271] = 0x0001dbabae3cf944UL;
   tf->codes[31272] = 0x0001e041244696f6UL;
   tf->codes[31273] = 0x0001e19d1007de6bUL;
   tf->codes[31274] = 0x0001e33aa2209dbbUL;
   tf->codes[31275] = 0x0001e5bf01ef1a80UL;
   tf->codes[31276] = 0x0001eba777f01ea4UL;
   tf->codes[31277] = 0x0001ee52bab8703bUL;
   tf->codes[31278] = 0x0001ef8f15609b7eUL;
   tf->codes[31279] = 0x0001efa0ecf45d84UL;
   tf->codes[31280] = 0x0001efb5f85a7050UL;
   tf->codes[31281] = 0x0001efd3b4fb5e5aUL;
   tf->codes[31282] = 0x0001eff1719c4c64UL;
   tf->codes[31283] = 0x0001f35930bf3013UL;
   tf->codes[31284] = 0x0001f4441c835562UL;
   tf->codes[31285] = 0x0001f4b1e8ae26c2UL;
   tf->codes[31286] = 0x0001f55d77b10de8UL;
   tf->codes[31287] = 0x0001f675e8a2af5aUL;
   tf->codes[31288] = 0x0001f6b8b3c5440eUL;
   tf->codes[31289] = 0x0001f6fc2e94ea11UL;
   tf->codes[31290] = 0x0001f82b0a46c0edUL;
   tf->codes[31291] = 0x0001fc1b1e631340UL;
   tf->codes[31292] = 0x00000799b144fe80UL;
   tf->codes[31293] = 0x0000080ecf508880UL;
   tf->codes[31294] = 0x0000088aca1ebf96UL;
   tf->codes[31295] = 0x0000091443e34b13UL;
   tf->codes[31296] = 0x00000cc1524e02edUL;
   tf->codes[31297] = 0x00000df82f8da3b8UL;
   tf->codes[31298] = 0x0000109be5e636eaUL;
   tf->codes[31299] = 0x000011e793fce4bcUL;
   tf->codes[31300] = 0x00001321a50ed64dUL;
   tf->codes[31301] = 0x000015628a0dad0fUL;
   tf->codes[31302] = 0x000015d942025f72UL;
   tf->codes[31303] = 0x000018c36c6de3a8UL;
   tf->codes[31304] = 0x0000198b93469bffUL;
   tf->codes[31305] = 0x00001a258544c6e4UL;
   tf->codes[31306] = 0x00001fb11c72a49aUL;
   tf->codes[31307] = 0x000024b12ad4c2e6UL;
   tf->codes[31308] = 0x0000257a76789816UL;
   tf->codes[31309] = 0x0000257fb9521cc9UL;
   tf->codes[31310] = 0x0000268aab4d69d4UL;
   tf->codes[31311] = 0x000027efbd679811UL;
   tf->codes[31312] = 0x000028a5d21d889dUL;
   tf->codes[31313] = 0x00002a398e304fd6UL;
   tf->codes[31314] = 0x00002b214622245fUL;
   tf->codes[31315] = 0x000032d0efea01e1UL;
   tf->codes[31316] = 0x000033158f84c4bdUL;
   tf->codes[31317] = 0x00003323490a1ee9UL;
   tf->codes[31318] = 0x00003bab1cc648a0UL;
   tf->codes[31319] = 0x000047a56fe76531UL;
   tf->codes[31320] = 0x00004946e57f8696UL;
   tf->codes[31321] = 0x00004a86396afcdaUL;
   tf->codes[31322] = 0x00004b6072667cfcUL;
   tf->codes[31323] = 0x00004c540f657d89UL;
   tf->codes[31324] = 0x00005317a89e18e3UL;
   tf->codes[31325] = 0x0000539db4014dd5UL;
   tf->codes[31326] = 0x00005410fd94a9adUL;
   tf->codes[31327] = 0x00005441f1237c5bUL;
   tf->codes[31328] = 0x0000545e13db4202UL;
   tf->codes[31329] = 0x00005635bfdbbac8UL;
   tf->codes[31330] = 0x000057c43914fd4eUL;
   tf->codes[31331] = 0x0000588d84b8d27eUL;
   tf->codes[31332] = 0x000059deb0380ac8UL;
   tf->codes[31333] = 0x00005df532302663UL;
   tf->codes[31334] = 0x00005e144e2b370bUL;
   tf->codes[31335] = 0x00005faa8e633dbbUL;
   tf->codes[31336] = 0x000061547aa73499UL;
   tf->codes[31337] = 0x000065a00e3c8abcUL;
   tf->codes[31338] = 0x00006721087f78dbUL;
   tf->codes[31339] = 0x00006a9a64a718cbUL;
   tf->codes[31340] = 0x00006b13663204e0UL;
   tf->codes[31341] = 0x00006bd9f32194d4UL;
   tf->codes[31342] = 0x000071d5658177d7UL;
   tf->codes[31343] = 0x00007206939f504aUL;
   tf->codes[31344] = 0x0000786b046e8b84UL;
   tf->codes[31345] = 0x000078930c337d2fUL;
   tf->codes[31346] = 0x00007af1e86247c0UL;
   tf->codes[31347] = 0x00007afdcd6f73c4UL;
   tf->codes[31348] = 0x00007d622706c8cdUL;
   tf->codes[31349] = 0x00007da2a89323cfUL;
   tf->codes[31350] = 0x00007db062187dfbUL;
   tf->codes[31351] = 0x00007e0a82375f2dUL;
   tf->codes[31352] = 0x00007f27c0e479c8UL;
   tf->codes[31353] = 0x00008050e49ec067UL;
   tf->codes[31354] = 0x0000816ff7c4092aUL;
   tf->codes[31355] = 0x00008229404c4a7cUL;
   tf->codes[31356] = 0x0000823c021c2396UL;
   tf->codes[31357] = 0x000082791547280dUL;
   tf->codes[31358] = 0x000083e74dba3d12UL;
   tf->codes[31359] = 0x000086c851ccda80UL;
   tf->codes[31360] = 0x00008898e67ba06bUL;
   tf->codes[31361] = 0x00008c545e18c3c0UL;
   tf->codes[31362] = 0x00008f0bfb0c4ce5UL;
   tf->codes[31363] = 0x000092a4adbe0342UL;
   tf->codes[31364] = 0x000093687bf94dfaUL;
   tf->codes[31365] = 0x000096252137560dUL;
   tf->codes[31366] = 0x000098f5ad105413UL;
   tf->codes[31367] = 0x00009a4419db4721UL;
   tf->codes[31368] = 0x00009b4869a2ecdbUL;
   tf->codes[31369] = 0x00009f1bab5a6838UL;
   tf->codes[31370] = 0x00009fa43ae2dca1UL;
   tf->codes[31371] = 0x0000a8799a03aa37UL;
   tf->codes[31372] = 0x0000a9c9db46cb6dUL;
   tf->codes[31373] = 0x0000abd86d5cace3UL;
   tf->codes[31374] = 0x0000ade356823209UL;
   tf->codes[31375] = 0x0000ae471218058dUL;
   tf->codes[31376] = 0x0000af017f6b63b8UL;
   tf->codes[31377] = 0x0000afa19e7f2a64UL;
   tf->codes[31378] = 0x0000b28bc8eaae9aUL;
   tf->codes[31379] = 0x0000b8c5e85ebe77UL;
   tf->codes[31380] = 0x0000ba8137186bd1UL;
   tf->codes[31381] = 0x0000bb098c11da75UL;
   tf->codes[31382] = 0x0000bda3e182811aUL;
   tf->codes[31383] = 0x0000bdd9a2ccccf1UL;
   tf->codes[31384] = 0x0000c6f625ad9cdaUL;
   tf->codes[31385] = 0x0000cc76877b5fdbUL;
   tf->codes[31386] = 0x0000ce27c5a00f59UL;
   tf->codes[31387] = 0x0000ce33701e3598UL;
   tf->codes[31388] = 0x0000d2fdf7c50dd2UL;
   tf->codes[31389] = 0x0000de40d6d61739UL;
   tf->codes[31390] = 0x0000dea4ccfaf082UL;
   tf->codes[31391] = 0x0000e01673cf5c12UL;
   tf->codes[31392] = 0x0000e679fa628038UL;
   tf->codes[31393] = 0x0000e6a8deea1ef9UL;
   tf->codes[31394] = 0x0000e94a863b7e3eUL;
   tf->codes[31395] = 0x0000eac37ef0a26eUL;
   tf->codes[31396] = 0x0000ec017381f614UL;
   tf->codes[31397] = 0x0000ec78db23b9c6UL;
   tf->codes[31398] = 0x0000efcdd876c45bUL;
   tf->codes[31399] = 0x0000effecc059709UL;
   tf->codes[31400] = 0x0000f2155fa9426eUL;
   tf->codes[31401] = 0x0000f2bea515efe2UL;
   tf->codes[31402] = 0x0000f3ddb83b38a5UL;
   tf->codes[31403] = 0x0000f7f056b3f22bUL;
   tf->codes[31404] = 0x0000f98781280fefUL;
   tf->codes[31405] = 0x0000fc0b31497b65UL;
   tf->codes[31406] = 0x0000fee6b7f38e5bUL;
   tf->codes[31407] = 0x00010aa591d2ced8UL;
   tf->codes[31408] = 0x00010bb1337b2d32UL;
   tf->codes[31409] = 0x00010d4614591144UL;
   tf->codes[31410] = 0x00010dbb32649b44UL;
   tf->codes[31411] = 0x00010fc9c47a7cbaUL;
   tf->codes[31412] = 0x0001169faa64e5a4UL;
   tf->codes[31413] = 0x000116fb29dde974UL;
   tf->codes[31414] = 0x000117bf32a839f1UL;
   tf->codes[31415] = 0x000117ff3f168969UL;
   tf->codes[31416] = 0x00011a2e4c819e25UL;
   tf->codes[31417] = 0x0001202615f124d8UL;
   tf->codes[31418] = 0x0001261d6a42a001UL;
   tf->codes[31419] = 0x0001287e55789e7fUL;
   tf->codes[31420] = 0x000134038a8e3110UL;
   tf->codes[31421] = 0x0001354821532c07UL;
   tf->codes[31422] = 0x00013627280a2552UL;
   tf->codes[31423] = 0x00013677379408a8UL;
   tf->codes[31424] = 0x0001383be735a28fUL;
   tf->codes[31425] = 0x000139332d24ff6cUL;
   tf->codes[31426] = 0x00013b8240c73be4UL;
   tf->codes[31427] = 0x0001433fa4147392UL;
   tf->codes[31428] = 0x00014cbef84effebUL;
   tf->codes[31429] = 0x00014cf35a3f2924UL;
   tf->codes[31430] = 0x00014d06569e0803UL;
   tf->codes[31431] = 0x00014f37731050acUL;
   tf->codes[31432] = 0x00014f6b25536896UL;
   tf->codes[31433] = 0x0001539678229138UL;
   tf->codes[31434] = 0x0001539ca5382cffUL;
   tf->codes[31435] = 0x000154a7d1c27fcfUL;
   tf->codes[31436] = 0x0001562a65ee9651UL;
   tf->codes[31437] = 0x00015d2261175ae4UL;
   tf->codes[31438] = 0x00015e9fecf8f278UL;
   tf->codes[31439] = 0x00015ef20b8a09bbUL;
   tf->codes[31440] = 0x000162d2cc37d97fUL;
   tf->codes[31441] = 0x00016648b9fe22e4UL;
   tf->codes[31442] = 0x000167f614a3704dUL;
   tf->codes[31443] = 0x00016846d3da64f2UL;
   tf->codes[31444] = 0x000168a5fc43c512UL;
   tf->codes[31445] = 0x00016a5d677e1057UL;
   tf->codes[31446] = 0x00016cab56552ff6UL;
   tf->codes[31447] = 0x00016ce201db92e1UL;
   tf->codes[31448] = 0x00016d5585fdf47eUL;
   tf->codes[31449] = 0x00016f98ef220ab7UL;
   tf->codes[31450] = 0x00016fa25009f744UL;
   tf->codes[31451] = 0x0001711ad3a10feaUL;
   tf->codes[31452] = 0x000175420861d0b2UL;
   tf->codes[31453] = 0x000176574581215eUL;
   tf->codes[31454] = 0x000179c7b5dee04bUL;
   tf->codes[31455] = 0x00017d43962bbfb2UL;
   tf->codes[31456] = 0x00018082634d9aa2UL;
   tf->codes[31457] = 0x00018135b94f45f2UL;
   tf->codes[31458] = 0x00018682ddf7fc93UL;
   tf->codes[31459] = 0x000186859cac41cfUL;
   tf->codes[31460] = 0x0001873a177909f8UL;
   tf->codes[31461] = 0x000187f7f32dbeaeUL;
   tf->codes[31462] = 0x000188b225f21714UL;
   tf->codes[31463] = 0x00018ab1649975fbUL;
   tf->codes[31464] = 0x00018da1f6a99bbdUL;
   tf->codes[31465] = 0x000190f3859b4fc7UL;
   tf->codes[31466] = 0x0001921f2d7ad5ddUL;
   tf->codes[31467] = 0x0001984a340f68f0UL;
   tf->codes[31468] = 0x00019bc096f3bddfUL;
   tf->codes[31469] = 0x0001a19894bb229bUL;
   tf->codes[31470] = 0x0001a587497d5250UL;
   tf->codes[31471] = 0x0001a68cf89f1aa8UL;
   tf->codes[31472] = 0x0001aabd53b8c238UL;
   tf->codes[31473] = 0x0001ac4440824659UL;
   tf->codes[31474] = 0x0001afa9b60ef056UL;
   tf->codes[31475] = 0x0001b8afce2f8ad5UL;
   tf->codes[31476] = 0x0001b959139c3849UL;
   tf->codes[31477] = 0x0001ba5aa4af98c7UL;
   tf->codes[31478] = 0x0001bbe95877e112UL;
   tf->codes[31479] = 0x0001bc3bec2703dfUL;
   tf->codes[31480] = 0x0001bd20e564932cUL;
   tf->codes[31481] = 0x0001bd9b0bba9c1aUL;
   tf->codes[31482] = 0x0001bfcbed9ddefeUL;
   tf->codes[31483] = 0x0001c1fd7f2e3331UL;
   tf->codes[31484] = 0x0001c2fa42861a86UL;
   tf->codes[31485] = 0x0001c9bf3b18d87eUL;
   tf->codes[31486] = 0x0001ceb3d98bd650UL;
   tf->codes[31487] = 0x0001d1fa6dac756aUL;
   tf->codes[31488] = 0x0001d8d85524a843UL;
   tf->codes[31489] = 0x0001dbe8032fdeadUL;
   tf->codes[31490] = 0x0001dccc874f6270UL;
   tf->codes[31491] = 0x0001de545e54fda5UL;
   tf->codes[31492] = 0x0001e1f75c2ab7a3UL;
   tf->codes[31493] = 0x0001e4278e60e938UL;
   tf->codes[31494] = 0x0001eae1c6b19805UL;
   tf->codes[31495] = 0x0001eef6e94f9102UL;
   tf->codes[31496] = 0x0001f11e6a4ae759UL;
   tf->codes[31497] = 0x0001f22fc3ead5f0UL;
   tf->codes[31498] = 0x0001f271df605955UL;
   tf->codes[31499] = 0x0001f4e1e375d49dUL;
   tf->codes[31500] = 0x0001f52b163d0addUL;
   tf->codes[31501] = 0x0001f5556798363aUL;
   tf->codes[31502] = 0x0001f5e37489351bUL;
   tf->codes[31503] = 0x0001f66aa4b786e6UL;
   tf->codes[31504] = 0x0001f717cda3966fUL;
   tf->codes[31505] = 0x0001f8cefe4edbefUL;
   tf->codes[31506] = 0x0001f95c5b92c981UL;
   tf->codes[31507] = 0x0001fcd8b0fdb472UL;
   tf->codes[31508] = 0x0001fd8f0042aac3UL;
   tf->codes[31509] = 0x00000143d5ac26c7UL;
   tf->codes[31510] = 0x00000264482b9228UL;
   tf->codes[31511] = 0x000002c6a467430eUL;
   tf->codes[31512] = 0x000003eccede3eacUL;
   tf->codes[31513] = 0x0000070618606768UL;
   tf->codes[31514] = 0x00000a1c2e103f5eUL;
   tf->codes[31515] = 0x00000a2b817ec1edUL;
   tf->codes[31516] = 0x00000d20e14a60d8UL;
   tf->codes[31517] = 0x00000e0d66f7ae8aUL;
   tf->codes[31518] = 0x000011f7888d6adbUL;
   tf->codes[31519] = 0x00001b23d3fac8ddUL;
   tf->codes[31520] = 0x00001bb5c46b29d3UL;
   tf->codes[31521] = 0x00001d539112eee8UL;
   tf->codes[31522] = 0x00001f4b7dd9952fUL;
   tf->codes[31523] = 0x000021dad87926e4UL;
   tf->codes[31524] = 0x00002b1a204563c5UL;
   tf->codes[31525] = 0x00002c1c2676cfcdUL;
   tf->codes[31526] = 0x00002dc9468d1771UL;
   tf->codes[31527] = 0x00002e8f23cf9616UL;
   tf->codes[31528] = 0x0000349297bd4308UL;
   tf->codes[31529] = 0x00003dc1674fe081UL;
   tf->codes[31530] = 0x00003f65267e3b98UL;
   tf->codes[31531] = 0x0000404bb9a4f348UL;
   tf->codes[31532] = 0x00004408560d3376UL;
   tf->codes[31533] = 0x00004441109aca4eUL;
   tf->codes[31534] = 0x000044727947a886UL;
   tf->codes[31535] = 0x0000447781922774UL;
   tf->codes[31536] = 0x000044c8f0762d68UL;
   tf->codes[31537] = 0x000047876a2c63a3UL;
   tf->codes[31538] = 0x00004981db184961UL;
   tf->codes[31539] = 0x000049e1789fb50bUL;
   tf->codes[31540] = 0x00004f8b06fd8690UL;
   tf->codes[31541] = 0x000051c6e3b1de64UL;
   tf->codes[31542] = 0x000052fd8662796aUL;
   tf->codes[31543] = 0x00005ebbb094a898UL;
   tf->codes[31544] = 0x0000663d9aa00432UL;
   tf->codes[31545] = 0x00006db1cb2605a0UL;
   tf->codes[31546] = 0x00006db8e277b87bUL;
   tf->codes[31547] = 0x00006dc193b293b9UL;
   tf->codes[31548] = 0x00006e0583a04546UL;
   tf->codes[31549] = 0x00006ebd323f5e35UL;
   tf->codes[31550] = 0x000070984ca12d86UL;
   tf->codes[31551] = 0x000071357271a931UL;
   tf->codes[31552] = 0x0000721fae88bd31UL;
   tf->codes[31553] = 0x00007349f70e20a9UL;
   tf->codes[31554] = 0x000073e96674d606UL;
   tf->codes[31555] = 0x0000740a1c590f11UL;
   tf->codes[31556] = 0x0000771de872ad55UL;
   tf->codes[31557] = 0x0000796694704841UL;
   tf->codes[31558] = 0x00007b2f9caf4fc7UL;
   tf->codes[31559] = 0x00007c154599f063UL;
   tf->codes[31560] = 0x00007c767d0a8470UL;
   tf->codes[31561] = 0x00007cfb9e31a24eUL;
   tf->codes[31562] = 0x00007e469c9b3ed1UL;
   tf->codes[31563] = 0x00007f8a0e951cefUL;
   tf->codes[31564] = 0x00008335f834b7f0UL;
   tf->codes[31565] = 0x0000845d8205d62cUL;
   tf->codes[31566] = 0x000084f146ee654aUL;
   tf->codes[31567] = 0x000085fc38e9b255UL;
   tf->codes[31568] = 0x000086d33e12e1b1UL;
   tf->codes[31569] = 0x00008a7dc8585a14UL;
   tf->codes[31570] = 0x00008e652b39d129UL;
   tf->codes[31571] = 0x00008e839787d082UL;
   tf->codes[31572] = 0x00008eca0b9ac186UL;
   tf->codes[31573] = 0x000090e4482ec93bUL;
   tf->codes[31574] = 0x000093d0f6bf8ce8UL;
   tf->codes[31575] = 0x0000951d8f1251ceUL;
   tf->codes[31576] = 0x0000959f41d81921UL;
   tf->codes[31577] = 0x000095fbe61c39caUL;
   tf->codes[31578] = 0x00009612c5fa7abeUL;
   tf->codes[31579] = 0x0000976a591e5494UL;
   tf->codes[31580] = 0x00009e7eb18de493UL;
   tf->codes[31581] = 0x00009ff267698410UL;
   tf->codes[31582] = 0x0000a1832a390048UL;
   tf->codes[31583] = 0x0000a66f177122dcUL;
   tf->codes[31584] = 0x0000a94fe0f4ba85UL;
   tf->codes[31585] = 0x0000a9965507ab89UL;
   tf->codes[31586] = 0x0000ab2f8e82fd3aUL;
   tf->codes[31587] = 0x0000ad3d365cc79cUL;
   tf->codes[31588] = 0x0000afa91c63db0aUL;
   tf->codes[31589] = 0x0000b2bfe1c0c44fUL;
   tf->codes[31590] = 0x0000b5d7cbe8ca6dUL;
   tf->codes[31591] = 0x0000bd8b93bf0fc9UL;
   tf->codes[31592] = 0x0000bf29d584e068UL;
   tf->codes[31593] = 0x0000c2e9a5bf715cUL;
   tf->codes[31594] = 0x0000c5d40ab9fb57UL;
   tf->codes[31595] = 0x0000c77b3849acf9UL;
   tf->codes[31596] = 0x0000cbafec00c228UL;
   tf->codes[31597] = 0x0000d49b7b52bf63UL;
   tf->codes[31598] = 0x0000d5211197e8cbUL;
   tf->codes[31599] = 0x0000d65ecb9a36acUL;
   tf->codes[31600] = 0x0000da666f41db42UL;
   tf->codes[31601] = 0x0000ed5b7c4001a2UL;
   tf->codes[31602] = 0x0000edb7e5f51c86UL;
   tf->codes[31603] = 0x0000f2d5014b178dUL;
   tf->codes[31604] = 0x0000f2fd439f0efdUL;
   tf->codes[31605] = 0x0000f446a81f831dUL;
   tf->codes[31606] = 0x0000f7bdbab0e95bUL;
   tf->codes[31607] = 0x0000f82559c61ef4UL;
   tf->codes[31608] = 0x0000f838cb43095dUL;
   tf->codes[31609] = 0x0000f9e1582cdd9dUL;
   tf->codes[31610] = 0x0000fa2e33e4702dUL;
   tf->codes[31611] = 0x0000fb0a7be7243cUL;
   tf->codes[31612] = 0x0000fc79297844cbUL;
   tf->codes[31613] = 0x0000ffcf11076674UL;
   tf->codes[31614] = 0x0001014585974b2dUL;
   tf->codes[31615] = 0x00010221cd99ff3cUL;
   tf->codes[31616] = 0x0001074849d7e6d0UL;
   tf->codes[31617] = 0x00010f9469c32eaeUL;
   tf->codes[31618] = 0x0001147fe1dd45b8UL;
   tf->codes[31619] = 0x0001180cea10d5d6UL;
   tf->codes[31620] = 0x00011ceb5852a403UL;
   tf->codes[31621] = 0x00011eb5855cc862UL;
   tf->codes[31622] = 0x000121da795d175dUL;
   tf->codes[31623] = 0x000122e7ef7da3dfUL;
   tf->codes[31624] = 0x000123227e8368dfUL;
   tf->codes[31625] = 0x000123d68432257eUL;
   tf->codes[31626] = 0x0001299433b9f2bbUL;
   tf->codes[31627] = 0x00012c9be0375f36UL;
   tf->codes[31628] = 0x00012d3b8a2d1a58UL;
   tf->codes[31629] = 0x00012d740a2bab6bUL;
   tf->codes[31630] = 0x00012f71aee9e1efUL;
   tf->codes[31631] = 0x000131be3e66def0UL;
   tf->codes[31632] = 0x00013530f85ad78fUL;
   tf->codes[31633] = 0x0001359e4f679d65UL;
   tf->codes[31634] = 0x0001381779d5ff75UL;
   tf->codes[31635] = 0x000138339c8dc51cUL;
   tf->codes[31636] = 0x000139daca1d76beUL;
   tf->codes[31637] = 0x00013eb79e761c88UL;
   tf->codes[31638] = 0x00013f03ca809dc9UL;
   tf->codes[31639] = 0x00013fe25c198b8aUL;
   tf->codes[31640] = 0x00014175dd9d4cfeUL;
   tf->codes[31641] = 0x000146aee11c07e7UL;
   tf->codes[31642] = 0x00014d14b14565bfUL;
   tf->codes[31643] = 0x00014d94ca2204afUL;
   tf->codes[31644] = 0x00014e113a0e474fUL;
   tf->codes[31645] = 0x00014f196d554f1eUL;
   tf->codes[31646] = 0x00014fd57491d5acUL;
   tf->codes[31647] = 0x0001503cd9180580UL;
   tf->codes[31648] = 0x000151aad6fc14c0UL;
   tf->codes[31649] = 0x00015347b967c2c1UL;
   tf->codes[31650] = 0x00015486231721f1UL;
   tf->codes[31651] = 0x000156a09a3a2f6bUL;
   tf->codes[31652] = 0x00015877216f8b58UL;
   tf->codes[31653] = 0x000158ac6d9bcba5UL;
   tf->codes[31654] = 0x00015c6dd7bf84fcUL;
   tf->codes[31655] = 0x00015fb590ab40efUL;
   tf->codes[31656] = 0x000161c213b9ee78UL;
   tf->codes[31657] = 0x0001620b0bf21ef3UL;
   tf->codes[31658] = 0x00016289c5749b45UL;
   tf->codes[31659] = 0x000162998e01295eUL;
   tf->codes[31660] = 0x00016678b4c5d0bfUL;
   tf->codes[31661] = 0x000167e1aa5f6111UL;
   tf->codes[31662] = 0x000168edfbb4d0baUL;
   tf->codes[31663] = 0x00016ac98b34ab95UL;
   tf->codes[31664] = 0x00016cbb8574bbdaUL;
   tf->codes[31665] = 0x00016fb20a0b779eUL;
   tf->codes[31666] = 0x000172bc753d2955UL;
   tf->codes[31667] = 0x000174783914e239UL;
   tf->codes[31668] = 0x000176a203a67242UL;
   tf->codes[31669] = 0x000176e3a9fdea1dUL;
   tf->codes[31670] = 0x00017db571d9eb2dUL;
   tf->codes[31671] = 0x00018056a40d3ee8UL;
   tf->codes[31672] = 0x0001814bdaf567d8UL;
   tf->codes[31673] = 0x000184abd319875dUL;
   tf->codes[31674] = 0x00018600e21821bcUL;
   tf->codes[31675] = 0x00018960da3c4141UL;
   tf->codes[31676] = 0x000189a69ea220f6UL;
   tf->codes[31677] = 0x00018b634cb5f0eeUL;
   tf->codes[31678] = 0x00018c1d0a5c3dcaUL;
   tf->codes[31679] = 0x0001906f40253b3eUL;
   tf->codes[31680] = 0x000191ba791ddd86UL;
   tf->codes[31681] = 0x00019496af7501cbUL;
   tf->codes[31682] = 0x0001951cf5673c82UL;
   tf->codes[31683] = 0x000196f3420d92aaUL;
   tf->codes[31684] = 0x000197d0aedb6392UL;
   tf->codes[31685] = 0x00019e95a76e218aUL;
   tf->codes[31686] = 0x00019f693e35fa5bUL;
   tf->codes[31687] = 0x0001a47ff1e753d6UL;
   tf->codes[31688] = 0x0001a6f99173c170UL;
   tf->codes[31689] = 0x0001a7925ea6cf7cUL;
   tf->codes[31690] = 0x0001a7c944bc382cUL;
   tf->codes[31691] = 0x0001aa9f136ebae5UL;
   tf->codes[31692] = 0x0001abe03bd25f51UL;
   tf->codes[31693] = 0x0001ac7525860b48UL;
   tf->codes[31694] = 0x0001ade8db61aac5UL;
   tf->codes[31695] = 0x0001ae5b3ab8ef89UL;
   tf->codes[31696] = 0x0001b09d7f11e8e9UL;
   tf->codes[31697] = 0x0001b4387b59d8f8UL;
   tf->codes[31698] = 0x0001bc47fd3827e9UL;
   tf->codes[31699] = 0x0001c1387d9cbde1UL;
   tf->codes[31700] = 0x0001c7fe25dc8d28UL;
   tf->codes[31701] = 0x0001c8651544b172UL;
   tf->codes[31702] = 0x0001c8e409563389UL;
   tf->codes[31703] = 0x0001cd1a918576e0UL;
   tf->codes[31704] = 0x0001cdd623a3f1e4UL;
   tf->codes[31705] = 0x0001cff5dda08411UL;
   tf->codes[31706] = 0x0001d50280bcdfb0UL;
   tf->codes[31707] = 0x0001d7be764dd674UL;
   tf->codes[31708] = 0x0001d7c37e985562UL;
   tf->codes[31709] = 0x0001d9ea4fe69a6aUL;
   tf->codes[31710] = 0x0001dc763c24d594UL;
   tf->codes[31711] = 0x0001dda63ca1c949UL;
   tf->codes[31712] = 0x0001ddb8fe71a263UL;
   tf->codes[31713] = 0x0001ddd904a8ca1fUL;
   tf->codes[31714] = 0x0001df2bca112accUL;
   tf->codes[31715] = 0x0001dff5504405c1UL;
   tf->codes[31716] = 0x0001e5097fd01fc5UL;
   tf->codes[31717] = 0x0001e70b080db85eUL;
   tf->codes[31718] = 0x0001e8efbde67a01UL;
   tf->codes[31719] = 0x0001ee4c35fdb331UL;
   tf->codes[31720] = 0x0001f5e27bc21048UL;
   tf->codes[31721] = 0x0001f7ca9ffc2876UL;
   tf->codes[31722] = 0x0001f882892a472aUL;
   tf->codes[31723] = 0x0001fdb7340b9474UL;
   tf->codes[31724] = 0x0001fe9c2d4923c1UL;
   tf->codes[31725] = 0x0001fff3fafc035cUL;
   tf->codes[31726] = 0x000003dcf7c6a2d4UL;
   tf->codes[31727] = 0x000005e0c99a751fUL;
   tf->codes[31728] = 0x0000117f9d428de0UL;
   tf->codes[31729] = 0x000011dda0e0d127UL;
   tf->codes[31730] = 0x00001979d92bc440UL;
   tf->codes[31731] = 0x000019a08196934dUL;
   tf->codes[31732] = 0x00001bb15d42ae75UL;
   tf->codes[31733] = 0x00001c89fc550634UL;
   tf->codes[31734] = 0x00001d83514b96feUL;
   tf->codes[31735] = 0x00001db3952d585dUL;
   tf->codes[31736] = 0x000025011d488abeUL;
   tf->codes[31737] = 0x00002758e225a274UL;
   tf->codes[31738] = 0x000029eedef8db7aUL;
   tf->codes[31739] = 0x00002a230659feeeUL;
   tf->codes[31740] = 0x00002ed255852895UL;
   tf->codes[31741] = 0x00002f8277b4831fUL;
   tf->codes[31742] = 0x0000335ea535df7fUL;
   tf->codes[31743] = 0x000034d60401db4cUL;
   tf->codes[31744] = 0x000035d92efe642dUL;
   tf->codes[31745] = 0x00003888554617d9UL;
   tf->codes[31746] = 0x0000390b676601caUL;
   tf->codes[31747] = 0x00003a78b59cffbbUL;
   tf->codes[31748] = 0x00003b3113e929f9UL;
   tf->codes[31749] = 0x00003ca74dea08edUL;
   tf->codes[31750] = 0x00003db5e8d5b248UL;
   tf->codes[31751] = 0x00003e1969dc8007UL;
   tf->codes[31752] = 0x000048ee4233b249UL;
   tf->codes[31753] = 0x00004ba09c4db6bbUL;
   tf->codes[31754] = 0x00004be7857eb349UL;
   tf->codes[31755] = 0x00004c007464282aUL;
   tf->codes[31756] = 0x00004cd236b3d2d3UL;
   tf->codes[31757] = 0x00004d79e23757e4UL;
   tf->codes[31758] = 0x00004ec6efa82854UL;
   tf->codes[31759] = 0x00004f45e3b9aa6bUL;
   tf->codes[31760] = 0x00005149f01c827bUL;
   tf->codes[31761] = 0x000054c177cbf443UL;
   tf->codes[31762] = 0x00005906a3bca8daUL;
   tf->codes[31763] = 0x00005999094b155aUL;
   tf->codes[31764] = 0x00005c55ae891d6dUL;
   tf->codes[31765] = 0x00005dce6caf3bd8UL;
   tf->codes[31766] = 0x00005f3e799a7f05UL;
   tf->codes[31767] = 0x00005f89f5f7eef7UL;
   tf->codes[31768] = 0x0000616fd09bcd73UL;
   tf->codes[31769] = 0x000065de63ab9653UL;
   tf->codes[31770] = 0x000067ef79e6b740UL;
   tf->codes[31771] = 0x000068ef3681e996UL;
   tf->codes[31772] = 0x00006caf06bc7a8aUL;
   tf->codes[31773] = 0x00006dedaafadf7fUL;
   tf->codes[31774] = 0x00006ec81e856566UL;
   tf->codes[31775] = 0x000070d2cd1be4c7UL;
   tf->codes[31776] = 0x000072bbdb921409UL;
   tf->codes[31777] = 0x000076641c4152baUL;
   tf->codes[31778] = 0x000079cfbee3987eUL;
   tf->codes[31779] = 0x00007d2a742e3350UL;
   tf->codes[31780] = 0x00007d59cdd3dd9bUL;
   tf->codes[31781] = 0x00007e4060fa954bUL;
   tf->codes[31782] = 0x000081daad95740bUL;
   tf->codes[31783] = 0x00008250b5dd151fUL;
   tf->codes[31784] = 0x0000834577a73285UL;
   tf->codes[31785] = 0x00008890c7d7bafeUL;
   tf->codes[31786] = 0x00008980f6756500UL;
   tf->codes[31787] = 0x000091d5c79b881cUL;
   tf->codes[31788] = 0x0000962120a1d87aUL;
   tf->codes[31789] = 0x0000967c2afcd0c0UL;
   tf->codes[31790] = 0x0000967d8a56f35eUL;
   tf->codes[31791] = 0x000097c58f7d44e0UL;
   tf->codes[31792] = 0x00009c2b36c32cbdUL;
   tf->codes[31793] = 0x00009c71e5652386UL;
   tf->codes[31794] = 0x00009d524b763f6fUL;
   tf->codes[31795] = 0x00009eb6ade35c5dUL;
   tf->codes[31796] = 0x00009f8c8e416ee0UL;
   tf->codes[31797] = 0x00009fb62fef88eeUL;
   tf->codes[31798] = 0x0000a29bc72e99c0UL;
   tf->codes[31799] = 0x0000a36dfe9c4ff3UL;
   tf->codes[31800] = 0x0000a3e6c5983643UL;
   tf->codes[31801] = 0x0000aa9d1a6982fbUL;
   tf->codes[31802] = 0x0000aac85600c56cUL;
   tf->codes[31803] = 0x0000b4b959e5853aUL;
   tf->codes[31804] = 0x0000b91231e229ffUL;
   tf->codes[31805] = 0x0000c5f31829fe40UL;
   tf->codes[31806] = 0x0000d59b63f1e9bfUL;
   tf->codes[31807] = 0x0000dab96983fbdaUL;
   tf->codes[31808] = 0x0000dcec94fd7870UL;
   tf->codes[31809] = 0x0000e25cf3afa793UL;
   tf->codes[31810] = 0x0000e447617ff973UL;
   tf->codes[31811] = 0x0000eb92da93f7e7UL;
   tf->codes[31812] = 0x0000ec36dd2720a8UL;
   tf->codes[31813] = 0x0000ede1ee36345fUL;
   tf->codes[31814] = 0x0000ee085c11fda7UL;
   tf->codes[31815] = 0x0000f391a9a9a1abUL;
   tf->codes[31816] = 0x0000f7e195dc656dUL;
   tf->codes[31817] = 0x0000f8bb59b9da05UL;
   tf->codes[31818] = 0x0000fb6452ebf1eaUL;
   tf->codes[31819] = 0x0000fb9287c67f5cUL;
   tf->codes[31820] = 0x0000fd9e5b281b96UL;
   tf->codes[31821] = 0x0000fe8b90827a97UL;
   tf->codes[31822] = 0x0001032599b88badUL;
   tf->codes[31823] = 0x000108aa8eb2c212UL;
   tf->codes[31824] = 0x00010967baba6579UL;
   tf->codes[31825] = 0x000112b7efde4d4cUL;
   tf->codes[31826] = 0x000119ab1d4b98b6UL;
   tf->codes[31827] = 0x00011a34d19f29f8UL;
   tf->codes[31828] = 0x0001218c6a4f5a35UL;
   tf->codes[31829] = 0x000123b5fa51e479UL;
   tf->codes[31830] = 0x0001264430265955UL;
   tf->codes[31831] = 0x00012660184f1937UL;
   tf->codes[31832] = 0x00012ab2fdc527faUL;
   tf->codes[31833] = 0x00012c0f24157534UL;
   tf->codes[31834] = 0x00012c805ea19d1fUL;
   tf->codes[31835] = 0x00012e680dbda9c3UL;
   tf->codes[31836] = 0x00013593460b7ab6UL;
   tf->codes[31837] = 0x00013773ddd5d47fUL;
   tf->codes[31838] = 0x00013af8e47b9aaeUL;
   tf->codes[31839] = 0x00013b938626d6e2UL;
   tf->codes[31840] = 0x00013bfde3f051b7UL;
   tf->codes[31841] = 0x00013cea699d9f69UL;
   tf->codes[31842] = 0x00013fa32b5c4567UL;
   tf->codes[31843] = 0x00014014db0678dcUL;
   tf->codes[31844] = 0x000141fc8a228580UL;
   tf->codes[31845] = 0x000143e31473754bUL;
   tf->codes[31846] = 0x00014415dc7a7621UL;
   tf->codes[31847] = 0x00014b80ac188b02UL;
   tf->codes[31848] = 0x00014d8f3e2e6c78UL;
   tf->codes[31849] = 0x0001515ed6f58b85UL;
   tf->codes[31850] = 0x000152c6a7c3fefeUL;
   tf->codes[31851] = 0x0001545d228b0b73UL;
   tf->codes[31852] = 0x000154fa82ea8ce3UL;
   tf->codes[31853] = 0x000155646b95fc2eUL;
   tf->codes[31854] = 0x00015760766b0a4fUL;
   tf->codes[31855] = 0x00015ac576d9a8c2UL;
   tf->codes[31856] = 0x00015c03e08907f2UL;
   tf->codes[31857] = 0x00015c7e7bfd1c6aUL;
   tf->codes[31858] = 0x00015ce2acb0fb78UL;
   tf->codes[31859] = 0x00015f38d7a4eacbUL;
   tf->codes[31860] = 0x000161f12445853fUL;
   tf->codes[31861] = 0x0001653daaecba5bUL;
   tf->codes[31862] = 0x00016e79bee6a676UL;
   tf->codes[31863] = 0x00016f1042837ad0UL;
   tf->codes[31864] = 0x00016f3bf338c8cbUL;
   tf->codes[31865] = 0x00016f86103c161fUL;
   tf->codes[31866] = 0x00017445d7a0df2eUL;
   tf->codes[31867] = 0x0001752971844bddUL;
   tf->codes[31868] = 0x000176429222fe9eUL;
   tf->codes[31869] = 0x000176f8a6d8ef2aUL;
   tf->codes[31870] = 0x000177ca2e99940eUL;
   tf->codes[31871] = 0x000179e84eacfdd8UL;
   tf->codes[31872] = 0x00017b267dcd5743UL;
   tf->codes[31873] = 0x00017b906678c68eUL;
   tf->codes[31874] = 0x00017e22453d97baUL;
   tf->codes[31875] = 0x000181bb327e53dcUL;
   tf->codes[31876] = 0x00018701ef8268f1UL;
   tf->codes[31877] = 0x000189e9d057b375UL;
   tf->codes[31878] = 0x00018a8a648985abUL;
   tf->codes[31879] = 0x00018d2ae70fc817UL;
   tf->codes[31880] = 0x00019138081ff725UL;
   tf->codes[31881] = 0x000194b92b465b3fUL;
   tf->codes[31882] = 0x0001966efc977e21UL;
   tf->codes[31883] = 0x0001985a1a14e150UL;
   tf->codes[31884] = 0x0001988fa0d02762UL;
   tf->codes[31885] = 0x00019b45694b825fUL;
   tf->codes[31886] = 0x00019eac03a34935UL;
   tf->codes[31887] = 0x00019ebc7bdce89dUL;
   tf->codes[31888] = 0x0001a10945e8eb63UL;
   tf->codes[31889] = 0x0001a2cb716545d3UL;
   tf->codes[31890] = 0x0001a4dde6fa895eUL;
   tf->codes[31891] = 0x0001a7369613b828UL;
   tf->codes[31892] = 0x0001b0401c95a932UL;
   tf->codes[31893] = 0x0001b1a2aa8a97f8UL;
   tf->codes[31894] = 0x0001b278c577b040UL;
   tf->codes[31895] = 0x0001b29ce9bd3fd6UL;
   tf->codes[31896] = 0x0001b2e35dd030daUL;
   tf->codes[31897] = 0x0001bdc9d32c1f5dUL;
   tf->codes[31898] = 0x0001bf5eb40a036fUL;
   tf->codes[31899] = 0x0001bfef7faf478cUL;
   tf->codes[31900] = 0x0001c1f4eb6c423aUL;
   tf->codes[31901] = 0x0001c237b68ed6eeUL;
   tf->codes[31902] = 0x0001c4e8b14eb8c2UL;
   tf->codes[31903] = 0x0001c59b92325888UL;
   tf->codes[31904] = 0x0001c6e2e7ab98bbUL;
   tf->codes[31905] = 0x0001c91981866bdcUL;
   tf->codes[31906] = 0x0001cb2763ef3c03UL;
   tf->codes[31907] = 0x0001cc5f2b6af3e2UL;
   tf->codes[31908] = 0x0001cda646552e50UL;
   tf->codes[31909] = 0x0001cfab026517afUL;
   tf->codes[31910] = 0x0001d3e5a8a2c2e0UL;
   tf->codes[31911] = 0x0001d43801c2dfe8UL;
   tf->codes[31912] = 0x0001d7f37960033dUL;
   tf->codes[31913] = 0x0001dac8d2f47a6cUL;
   tf->codes[31914] = 0x0001de54f0ebf376UL;
   tf->codes[31915] = 0x0001deb1cfbf19e4UL;
   tf->codes[31916] = 0x0001df24a4346a32UL;
   tf->codes[31917] = 0x0001dfa32327e0bfUL;
   tf->codes[31918] = 0x0001eaec2f4e85edUL;
   tf->codes[31919] = 0x0001ebdd82b74cc8UL;
   tf->codes[31920] = 0x0001ee2afc7060ddUL;
   tf->codes[31921] = 0x0001f01e560a93c0UL;
   tf->codes[31922] = 0x0001f11b19627b15UL;
   tf->codes[31923] = 0x0001f3852af1605bUL;
   tf->codes[31924] = 0x0001f3c5375fafd3UL;
   tf->codes[31925] = 0x0001f964b528837cUL;
   tf->codes[31926] = 0x0001fcf391d441c2UL;
   tf->codes[31927] = 0x000001e7809a2e45UL;
   tf->codes[31928] = 0x0000049cd3f77db8UL;
   tf->codes[31929] = 0x000004b80c732c4bUL;
   tf->codes[31930] = 0x00000c4f3c73a076UL;
   tf->codes[31931] = 0x00000f8a26161951UL;
   tf->codes[31932] = 0x000012c8f337f441UL;
   tf->codes[31933] = 0x000017699ea1aca8UL;
   tf->codes[31934] = 0x000018186176e494UL;
   tf->codes[31935] = 0x00001dd97f60085cUL;
   tf->codes[31936] = 0x000024b2d3abc7d1UL;
   tf->codes[31937] = 0x000024cfa6109ec7UL;
   tf->codes[31938] = 0x000028cfbd4884f8UL;
   tf->codes[31939] = 0x00002a8469ce8b01UL;
   tf->codes[31940] = 0x00002aa01768451eUL;
   tf->codes[31941] = 0x00002b17f428145aUL;
   tf->codes[31942] = 0x00002f23f06d268fUL;
   tf->codes[31943] = 0x000033068593247bUL;
   tf->codes[31944] = 0x00003480dda26b49UL;
   tf->codes[31945] = 0x0000358c7f4ac9a3UL;
   tf->codes[31946] = 0x0000369aa5186774UL;
   tf->codes[31947] = 0x000036fd0154185aUL;
   tf->codes[31948] = 0x00003a01b48e39d4UL;
   tf->codes[31949] = 0x00003e1c5494bd49UL;
   tf->codes[31950] = 0x00003f7790a8f36fUL;
   tf->codes[31951] = 0x000040da592ce7faUL;
   tf->codes[31952] = 0x00004272334e170dUL;
   tf->codes[31953] = 0x00004287b3d23563UL;
   tf->codes[31954] = 0x000042b329f87d99UL;
   tf->codes[31955] = 0x000045c596b7f93fUL;
   tf->codes[31956] = 0x00004a3bb6378084UL;
   tf->codes[31957] = 0x00004b7885fdb751UL;
   tf->codes[31958] = 0x00004b8a5d917957UL;
   tf->codes[31959] = 0x00004bf68fd32254UL;
   tf->codes[31960] = 0x0000536542f0994aUL;
   tf->codes[31961] = 0x0000549dba196278UL;
   tf->codes[31962] = 0x00005aceedc39152UL;
   tf->codes[31963] = 0x00005d30c335a6e4UL;
   tf->codes[31964] = 0x00005d7fe8837326UL;
   tf->codes[31965] = 0x00005e7559faa1dbUL;
   tf->codes[31966] = 0x00005f946d1fea9eUL;
   tf->codes[31967] = 0x00005ff619ae8a35UL;
   tf->codes[31968] = 0x000060270d3d5ce3UL;
   tf->codes[31969] = 0x00006088b9cbfc7aUL;
   tf->codes[31970] = 0x00006200c8450996UL;
   tf->codes[31971] = 0x000064e0326e7ea1UL;
   tf->codes[31972] = 0x0000685e96e09d7fUL;
   tf->codes[31973] = 0x000068e7d6162337UL;
   tf->codes[31974] = 0x00006b075583af9fUL;
   tf->codes[31975] = 0x00006b39a86ca4ebUL;
   tf->codes[31976] = 0x00006e55b0a312e3UL;
   tf->codes[31977] = 0x00006f5aeaa6cfb1UL;
   tf->codes[31978] = 0x0000752eca5fcc93UL;
   tf->codes[31979] = 0x000076129ed23f07UL;
   tf->codes[31980] = 0x0000767fbb4fff18UL;
   tf->codes[31981] = 0x000076b20e38f464UL;
   tf->codes[31982] = 0x000078080773a5d7UL;
   tf->codes[31983] = 0x00007a47c7a75fc0UL;
   tf->codes[31984] = 0x00007eb1c78ab53cUL;
   tf->codes[31985] = 0x00007f84741676f9UL;
   tf->codes[31986] = 0x00008346c8764764UL;
   tf->codes[31987] = 0x0000843caf0b81a3UL;
   tf->codes[31988] = 0x00008490a214c70eUL;
   tf->codes[31989] = 0x0000889b798ebc6aUL;
   tf->codes[31990] = 0x00008b52a1643a05UL;
   tf->codes[31991] = 0x00008e47c6a0d32bUL;
   tf->codes[31992] = 0x0000905b9b903954UL;
   tf->codes[31993] = 0x00009583ec464f10UL;
   tf->codes[31994] = 0x000096adfa3cacc3UL;
   tf->codes[31995] = 0x0000975cf7a0ea74UL;
   tf->codes[31996] = 0x00009997af8a256fUL;
   tf->codes[31997] = 0x00009acc08a486c3UL;
   tf->codes[31998] = 0x00009e5ae5504509UL;
   tf->codes[31999] = 0x00009f33f980a852UL;
   tf->codes[32000] = 0x00009fa8a26e26c8UL;
   tf->codes[32001] = 0x0000a393ae3ffa2dUL;
   tf->codes[32002] = 0x0000ac65d98e76fdUL;
   tf->codes[32003] = 0x0000ad71b5c5db1cUL;
   tf->codes[32004] = 0x0000aea599c230e6UL;
   tf->codes[32005] = 0x0000af1a7d3eb521UL;
   tf->codes[32006] = 0x0000b55e72b8bd15UL;
   tf->codes[32007] = 0x0000b725a67f9673UL;
   tf->codes[32008] = 0x0000b742b373732eUL;
   tf->codes[32009] = 0x0000ba555ac1f499UL;
   tf->codes[32010] = 0x0000bfa74d262463UL;
   tf->codes[32011] = 0x0000c25c65f46e11UL;
   tf->codes[32012] = 0x0000c7c06a7b65a6UL;
   tf->codes[32013] = 0x0000c7c70caf0cf7UL;
   tf->codes[32014] = 0x0000d60c5563fe26UL;
   tf->codes[32015] = 0x0000dab8ab4bdcccUL;
   tf->codes[32016] = 0x0000db6056cf61ddUL;
   tf->codes[32017] = 0x0000dcd4473a071fUL;
   tf->codes[32018] = 0x0000e2b02880cdf0UL;
   tf->codes[32019] = 0x0000e4bf2fb4baf0UL;
   tf->codes[32020] = 0x0000e562bd29d827UL;
   tf->codes[32021] = 0x0000f02966dda4b3UL;
   tf->codes[32022] = 0x0000f68e8759f13cUL;
   tf->codes[32023] = 0x0000fb94c2d1ab4fUL;
   tf->codes[32024] = 0x0000fc76c2cbef9bUL;
   tf->codes[32025] = 0x000103e5eb07721bUL;
   tf->codes[32026] = 0x000109ef16ecaf4aUL;
   tf->codes[32027] = 0x0001118f6d460a3dUL;
   tf->codes[32028] = 0x00011cd077dee57cUL;
   tf->codes[32029] = 0x00011d76c40847efUL;
   tf->codes[32030] = 0x000122d71f9ee334UL;
   tf->codes[32031] = 0x000123e8793ed1cbUL;
   tf->codes[32032] = 0x00012800952015c9UL;
   tf->codes[32033] = 0x00012de3189a83ebUL;
   tf->codes[32034] = 0x00012ecdc9cfa375UL;
   tf->codes[32035] = 0x000132b56740204fUL;
   tf->codes[32036] = 0x00013323336af1afUL;
   tf->codes[32037] = 0x0001369ffdf3e82aUL;
   tf->codes[32038] = 0x00013891f833f86fUL;
   tf->codes[32039] = 0x00013be31207a0efUL;
   tf->codes[32040] = 0x00013c3ae890486fUL;
   tf->codes[32041] = 0x00013e313b6dc653UL;
   tf->codes[32042] = 0x000144e421ddbc80UL;
   tf->codes[32043] = 0x00014f9dfc4845f4UL;
   tf->codes[32044] = 0x00014fe17717ebf7UL;
   tf->codes[32045] = 0x0001550f0aa78666UL;
   tf->codes[32046] = 0x0001553d7a11199dUL;
   tf->codes[32047] = 0x00015a036e8b7e73UL;
   tf->codes[32048] = 0x00015b4c235ee144UL;
   tf->codes[32049] = 0x00015bd22ec21636UL;
   tf->codes[32050] = 0x00015cd46f828803UL;
   tf->codes[32051] = 0x00015ea419f536daUL;
   tf->codes[32052] = 0x00016356d781b70cUL;
   tf->codes[32053] = 0x00016417375bab39UL;
   tf->codes[32054] = 0x00016c1c6e15f689UL;
   tf->codes[32055] = 0x00016c689a2077caUL;
   tf->codes[32056] = 0x000171418af9bb7fUL;
   tf->codes[32057] = 0x000172217beccbdeUL;
   tf->codes[32058] = 0x000173000d85b99fUL;
   tf->codes[32059] = 0x0001749a6bcc2829UL;
   tf->codes[32060] = 0x0001768bf0ee2ce4UL;
   tf->codes[32061] = 0x000176e6c0ba1f65UL;
   tf->codes[32062] = 0x0001778287307872UL;
   tf->codes[32063] = 0x00017a29abea622fUL;
   tf->codes[32064] = 0x00017c5a533e9f4eUL;
   tf->codes[32065] = 0x00017d0189a418d5UL;
   tf->codes[32066] = 0x00017d96e875d056UL;
   tf->codes[32067] = 0x000180c3a374e37bUL;
   tf->codes[32068] = 0x0001822a8a073fe0UL;
   tf->codes[32069] = 0x00018334cc557b9cUL;
   tf->codes[32070] = 0x0001847f1b1206d0UL;
   tf->codes[32071] = 0x00018d9bd881dc7eUL;
   tf->codes[32072] = 0x000190d980d89a95UL;
   tf->codes[32073] = 0x00019168ed23bc14UL;
   tf->codes[32074] = 0x0001930644ad759fUL;
   tf->codes[32075] = 0x00019346511bc517UL;
   tf->codes[32076] = 0x000196779f474ba0UL;
   tf->codes[32077] = 0x00019cafafb42790UL;
   tf->codes[32078] = 0x0001a0a247f5b95aUL;
   tf->codes[32079] = 0x0001a39f6ec01c6fUL;
   tf->codes[32080] = 0x0001a59dfdba6a07UL;
   tf->codes[32081] = 0x0001a9776c87812bUL;
   tf->codes[32082] = 0x0001aa2bacc5438fUL;
   tf->codes[32083] = 0x0001ac67c408a128UL;
   tf->codes[32084] = 0x0001ad202254cb66UL;
   tf->codes[32085] = 0x0001ae42694c64efUL;
   tf->codes[32086] = 0x0001b05eef76a656UL;
   tf->codes[32087] = 0x0001b120e939c2e6UL;
   tf->codes[32088] = 0x0001b663c2be75e6UL;
   tf->codes[32089] = 0x0001b73d117ddef4UL;
   tf->codes[32090] = 0x0001b76ce04194c9UL;
   tf->codes[32091] = 0x0001bbe92cd6b7d5UL;
   tf->codes[32092] = 0x0001bfe97e9da3cbUL;
   tf->codes[32093] = 0x0001c1386086a263UL;
   tf->codes[32094] = 0x0001c22fa675ff40UL;
   tf->codes[32095] = 0x0001c4f5e72af9a5UL;
   tf->codes[32096] = 0x0001c790772aa60fUL;
   tf->codes[32097] = 0x0001c879c905a2fbUL;
   tf->codes[32098] = 0x0001cd4fc09b9bafUL;
   tf->codes[32099] = 0x0001cd641c549d2cUL;
   tf->codes[32100] = 0x0001cd6ba8c45b91UL;
   tf->codes[32101] = 0x0001ce832f79e5efUL;
   tf->codes[32102] = 0x0001cf0bf991601dUL;
   tf->codes[32103] = 0x0001d04595854624UL;
   tf->codes[32104] = 0x0001d223e3b9663bUL;
   tf->codes[32105] = 0x0001d3b381bdc59aUL;
   tf->codes[32106] = 0x0001d94755087304UL;
   tf->codes[32107] = 0x0001d9ca67285cf5UL;
   tf->codes[32108] = 0x0001e5eed1159f1eUL;
   tf->codes[32109] = 0x0001e829fe1ce5a3UL;
   tf->codes[32110] = 0x0001e90d22e246c8UL;
   tf->codes[32111] = 0x0001e9811c22b3efUL;
   tf->codes[32112] = 0x0001ec2baf3df437UL;
   tf->codes[32113] = 0x0001eeda60679c59UL;
   tf->codes[32114] = 0x000001399975ffaeUL;
   tf->codes[32115] = 0x000004a19327e922UL;
   tf->codes[32116] = 0x00000672d783c05cUL;
   tf->codes[32117] = 0x00000bd71699bdb6UL;
   tf->codes[32118] = 0x00000c6bc5be63e8UL;
   tf->codes[32119] = 0x00000cf713fb1d8dUL;
   tf->codes[32120] = 0x00001175aa267a4bUL;
   tf->codes[32121] = 0x000015abf7c6b7ddUL;
   tf->codes[32122] = 0x00001608d699de4bUL;
   tf->codes[32123] = 0x00001889c8070485UL;
   tf->codes[32124] = 0x00001bace78f2558UL;
   tf->codes[32125] = 0x00001ed5f99ddc2dUL;
   tf->codes[32126] = 0x0000220413f711f0UL;
   tf->codes[32127] = 0x00002362f8fba466UL;
   tf->codes[32128] = 0x000025a0350a1ed8UL;
   tf->codes[32129] = 0x0000280a0c09fe59UL;
   tf->codes[32130] = 0x0000336c07161868UL;
   tf->codes[32131] = 0x000036712f6e456cUL;
   tf->codes[32132] = 0x000037b42c4a1800UL;
   tf->codes[32133] = 0x00003c830c8e5dd9UL;
   tf->codes[32134] = 0x00003d044a3619a2UL;
   tf->codes[32135] = 0x00003f974dc607a7UL;
   tf->codes[32136] = 0x000046e3eba522f4UL;
   tf->codes[32137] = 0x0000499b4e09a654UL;
   tf->codes[32138] = 0x0000499fa6a713f3UL;
   tf->codes[32139] = 0x00004aa0c29c68e7UL;
   tf->codes[32140] = 0x00004bc5532a3c22UL;
   tf->codes[32141] = 0x000053b3e4954c43UL;
   tf->codes[32142] = 0x00005a185564877dUL;
   tf->codes[32143] = 0x00005d0ffec6601aUL;
   tf->codes[32144] = 0x00005f1aad5cdf7bUL;
   tf->codes[32145] = 0x00005f6af775c896UL;
   tf->codes[32146] = 0x00005f79d5c63f9bUL;
   tf->codes[32147] = 0x000061ba80361098UL;
   tf->codes[32148] = 0x000065cf684503d0UL;
   tf->codes[32149] = 0x00006a7e7ce127b2UL;
   tf->codes[32150] = 0x00006bcfe2ef65c1UL;
   tf->codes[32151] = 0x00006f956b2186f2UL;
   tf->codes[32152] = 0x00006fc190f4e077UL;
   tf->codes[32153] = 0x0000710502eebe95UL;
   tf->codes[32154] = 0x000076116b7c146fUL;
   tf->codes[32155] = 0x0000762b449da064UL;
   tf->codes[32156] = 0x000076f69f48a981UL;
   tf->codes[32157] = 0x000077a1f3bc8ae2UL;
   tf->codes[32158] = 0x0000782edbe26ceaUL;
   tf->codes[32159] = 0x000078faabab8191UL;
   tf->codes[32160] = 0x0000793ed62838e3UL;
   tf->codes[32161] = 0x00007bd3ae305510UL;
   tf->codes[32162] = 0x00007cb9cc390136UL;
   tf->codes[32163] = 0x00007e5accb31711UL;
   tf->codes[32164] = 0x000082d3e575e957UL;
   tf->codes[32165] = 0x00008586ef3cff18UL;
   tf->codes[32166] = 0x000085badc0f1cc7UL;
   tf->codes[32167] = 0x000086aa958ebb3fUL;
   tf->codes[32168] = 0x00008c419cabb96fUL;
   tf->codes[32169] = 0x00008c74d9d0c5cfUL;
   tf->codes[32170] = 0x00008e6af21f3deeUL;
   tf->codes[32171] = 0x000093d5d368e299UL;
   tf->codes[32172] = 0x00009567bb037baaUL;
   tf->codes[32173] = 0x00009a5df35fa1dfUL;
   tf->codes[32174] = 0x0000a2064b46c6c1UL;
   tf->codes[32175] = 0x0000aafa8bd39f3aUL;
   tf->codes[32176] = 0x0000ab9ae5766babUL;
   tf->codes[32177] = 0x0000ae15a9cdf61eUL;
   tf->codes[32178] = 0x0000b2c91707879fUL;
   tf->codes[32179] = 0x0000b4c9055bf7d5UL;
   tf->codes[32180] = 0x0000b62fb15f4e75UL;
   tf->codes[32181] = 0x0000b6b547a477ddUL;
   tf->codes[32182] = 0x0000bd2ae05a63ceUL;
   tf->codes[32183] = 0x0000bea2b4446b25UL;
   tf->codes[32184] = 0x0000c17a91fe21cbUL;
   tf->codes[32185] = 0x0000c38d42226b1bUL;
   tf->codes[32186] = 0x0000c3f5cb73b7c8UL;
   tf->codes[32187] = 0x0000c99dbfe860eaUL;
   tf->codes[32188] = 0x0000d05240417f7aUL;
   tf->codes[32189] = 0x0000d1e5c1c540eeUL;
   tf->codes[32190] = 0x0000db61a79e76bcUL;
   tf->codes[32191] = 0x0000dc6ac521959fUL;
   tf->codes[32192] = 0x0000e30b996ec401UL;
   tf->codes[32193] = 0x0000e50853f0e371UL;
   tf->codes[32194] = 0x0000e5db3b0baaf3UL;
   tf->codes[32195] = 0x0000e69a761a8247UL;
   tf->codes[32196] = 0x0000f3481f3d4a28UL;
   tf->codes[32197] = 0x0000f7a3f07d39eeUL;
   tf->codes[32198] = 0x00010159f03e2932UL;
   tf->codes[32199] = 0x00010622ddfbd909UL;
   tf->codes[32200] = 0x00010e31eabc1c70UL;
   tf->codes[32201] = 0x00010f200a529285UL;
   tf->codes[32202] = 0x000110df01fc9c2fUL;
   tf->codes[32203] = 0x0001114248746429UL;
   tf->codes[32204] = 0x0001118acb8e891aUL;
   tf->codes[32205] = 0x0001155a9ee4adecUL;
   tf->codes[32206] = 0x000116df0788f296UL;
   tf->codes[32207] = 0x000117a1b0f92075UL;
   tf->codes[32208] = 0x000119e4a4ff2b24UL;
   tf->codes[32209] = 0x00011ab5f230ca43UL;
   tf->codes[32210] = 0x00011bc0347f05ffUL;
   tf->codes[32211] = 0x00011d5eb0d3dc63UL;
   tf->codes[32212] = 0x000120711d935809UL;
   tf->codes[32213] = 0x000125b5cb903931UL;
   tf->codes[32214] = 0x00012754bd031b1fUL;
   tf->codes[32215] = 0x00012b860258d9c3UL;
   tf->codes[32216] = 0x00012c6be5d28024UL;
   tf->codes[32217] = 0x00012c6c5af08baeUL;
   tf->codes[32218] = 0x00012d40dbf47b93UL;
   tf->codes[32219] = 0x000133f2630a4f22UL;
   tf->codes[32220] = 0x0001341144765a05UL;
   tf->codes[32221] = 0x00013b9ed8ffdbdeUL;
   tf->codes[32222] = 0x00013ea9f3de9ee4UL;
   tf->codes[32223] = 0x0001447d99089601UL;
   tf->codes[32224] = 0x00014505b372fee0UL;
   tf->codes[32225] = 0x000148895abea271UL;
   tf->codes[32226] = 0x000149252134fb7eUL;
   tf->codes[32227] = 0x00014c3be691e4c3UL;
   tf->codes[32228] = 0x000152157e4271e2UL;
   tf->codes[32229] = 0x000157aecef5a9c4UL;
   tf->codes[32230] = 0x000159e110330f46UL;
   tf->codes[32231] = 0x00015a1a7a6db76dUL;
   tf->codes[32232] = 0x00015f74a8eeb6ebUL;
   tf->codes[32233] = 0x00015fbb921fb379UL;
   tf->codes[32234] = 0x00015fd446762295UL;
   tf->codes[32235] = 0x000160754fc60055UL;
   tf->codes[32236] = 0x000160837e69660bUL;
   tf->codes[32237] = 0x000162010a4afd9fUL;
   tf->codes[32238] = 0x00016631da82b0b9UL;
   tf->codes[32239] = 0x000168f5d1a1716cUL;
   tf->codes[32240] = 0x00016a75e1a84877UL;
   tf->codes[32241] = 0x00016b37db6b6507UL;
   tf->codes[32242] = 0x00016d8bbcc91aa8UL;
   tf->codes[32243] = 0x000172a47f81a810UL;
   tf->codes[32244] = 0x00017339a3c459ccUL;
   tf->codes[32245] = 0x0001735bb902b575UL;
   tf->codes[32246] = 0x0001779ed5ec361fUL;
   tf->codes[32247] = 0x00017af7f14da88eUL;
   tf->codes[32248] = 0x00017b3f4f9cb0a6UL;
   tf->codes[32249] = 0x00017f05c20ae8ebUL;
   tf->codes[32250] = 0x000184d33a1f4441UL;
   tf->codes[32251] = 0x00018ac54b973ab7UL;
   tf->codes[32252] = 0x00018cc748f2dedaUL;
   tf->codes[32253] = 0x00018fd906054931UL;
   tf->codes[32254] = 0x000190239826a20fUL;
   tf->codes[32255] = 0x0001903326242a63UL;
   tf->codes[32256] = 0x000191f63bdc9be7UL;
   tf->codes[32257] = 0x000192d92612f747UL;
   tf->codes[32258] = 0x000193caee99c9acUL;
   tf->codes[32259] = 0x00019528e962450eUL;
   tf->codes[32260] = 0x0001998bd1f3e7afUL;
   tf->codes[32261] = 0x00019b8fde56bfbfUL;
   tf->codes[32262] = 0x00019bbb8f0c0dbaUL;
   tf->codes[32263] = 0x00019cbef4979c60UL;
   tf->codes[32264] = 0x00019fe6322e250dUL;
   tf->codes[32265] = 0x0001a0246a24465dUL;
   tf->codes[32266] = 0x0001a062dca96d72UL;
   tf->codes[32267] = 0x0001a76682505844UL;
   tf->codes[32268] = 0x0001ad790f1d8200UL;
   tf->codes[32269] = 0x0001ae973806b3afUL;
   tf->codes[32270] = 0x0001aee7821f9ccaUL;
   tf->codes[32271] = 0x0001b45ef8237ec8UL;
   tf->codes[32272] = 0x0001b498d77c3279UL;
   tf->codes[32273] = 0x0001b57bfc41939eUL;
   tf->codes[32274] = 0x0001b9806c16e76eUL;
   tf->codes[32275] = 0x0001bebcddf6f8e2UL;
   tf->codes[32276] = 0x0001bf5bd83fa2b5UL;
   tf->codes[32277] = 0x0001c0bbe20f5204UL;
   tf->codes[32278] = 0x0001c10b41ec240bUL;
   tf->codes[32279] = 0x0001c4f3c998b7f9UL;
   tf->codes[32280] = 0x0001c539536f91e9UL;
   tf->codes[32281] = 0x0001ccf223905633UL;
   tf->codes[32282] = 0x0001ce1f2ac9fee7UL;
   tf->codes[32283] = 0x0001d344823cc9a2UL;
   tf->codes[32284] = 0x0001da618be734dfUL;
   tf->codes[32285] = 0x0001db16414302cdUL;
   tf->codes[32286] = 0x0001dd5a1f852490UL;
   tf->codes[32287] = 0x0001ddc4b7dda52aUL;
   tf->codes[32288] = 0x0001de45f58560f3UL;
   tf->codes[32289] = 0x0001e204a0f4d50eUL;
   tf->codes[32290] = 0x0001e2a4c0089bbaUL;
   tf->codes[32291] = 0x0001e5616546a3cdUL;
   tf->codes[32292] = 0x0001eb4e33e51590UL;
   tf->codes[32293] = 0x0001f027d46b6a94UL;
   tf->codes[32294] = 0x0001f4435eae051dUL;
   tf->codes[32295] = 0x0001fa01bde2e3a9UL;
   tf->codes[32296] = 0x0001fa261cb77904UL;
   tf->codes[32297] = 0x0001fa298b18cf8fUL;
   tf->codes[32298] = 0x0001fac4dc711d12UL;
   tf->codes[32299] = 0x0001fc9695eaffd6UL;
   tf->codes[32300] = 0x0000060f47f1e4deUL;
   tf->codes[32301] = 0x00000838d7f46f22UL;
   tf->codes[32302] = 0x00000887c2b3359fUL;
   tf->codes[32303] = 0x00000c107249581eUL;
   tf->codes[32304] = 0x00000e073a44e18cUL;
   tf->codes[32305] = 0x000012e61da4bb43UL;
   tf->codes[32306] = 0x0000143e9b04ac2dUL;
   tf->codes[32307] = 0x0000183258115ad0UL;
   tf->codes[32308] = 0x00001f03e55e561bUL;
   tf->codes[32309] = 0x000022c2563ec471UL;
   tf->codes[32310] = 0x0000230bc3950076UL;
   tf->codes[32311] = 0x000024bed631de1cUL;
   tf->codes[32312] = 0x000027b2d6a35a69UL;
   tf->codes[32313] = 0x000028e64581a4a9UL;
   tf->codes[32314] = 0x00002e3af69a19afUL;
   tf->codes[32315] = 0x000031b36885a28bUL;
   tf->codes[32316] = 0x000031d8ec2554bfUL;
   tf->codes[32317] = 0x00003287e9899270UL;
   tf->codes[32318] = 0x000037d24f7e03d5UL;
   tf->codes[32319] = 0x00003f472fb11692UL;
   tf->codes[32320] = 0x00003f7b91a13fcbUL;
   tf->codes[32321] = 0x000041b1413ffbd8UL;
   tf->codes[32322] = 0x0000489b4854607aUL;
   tf->codes[32323] = 0x000049b1aa3ecdffUL;
   tf->codes[32324] = 0x00004a0d29b7d1cfUL;
   tf->codes[32325] = 0x00004b8cff2fa315UL;
   tf->codes[32326] = 0x00004e87dc63cc78UL;
   tf->codes[32327] = 0x00004eac00a95c0eUL;
   tf->codes[32328] = 0x000053e4c9991132UL;
   tf->codes[32329] = 0x000057d00ff9ea5cUL;
   tf->codes[32330] = 0x0000595980e8adf4UL;
   tf->codes[32331] = 0x00005aab96a3fd52UL;
   tf->codes[32332] = 0x00005aded3c909b2UL;
   tf->codes[32333] = 0x00005b06db8dfb5dUL;
   tf->codes[32334] = 0x00005b0edd1bc54cUL;
   tf->codes[32335] = 0x00005e657457f844UL;
   tf->codes[32336] = 0x000061fa438a4c8cUL;
   tf->codes[32337] = 0x0000621875494620UL;
   tf->codes[32338] = 0x000065e75e6353deUL;
   tf->codes[32339] = 0x00006612d4899c14UL;
   tf->codes[32340] = 0x000066eb390cee0eUL;
   tf->codes[32341] = 0x000067e5ed5da176UL;
   tf->codes[32342] = 0x000069bc7492fd63UL;
   tf->codes[32343] = 0x00006dbbdc1dd245UL;
   tf->codes[32344] = 0x00006e5f2f03e9b7UL;
   tf->codes[32345] = 0x00006f3041a68311UL;
   tf->codes[32346] = 0x000071d72bd16709UL;
   tf->codes[32347] = 0x00007451407be02dUL;
   tf->codes[32348] = 0x000076eb95ec86d2UL;
   tf->codes[32349] = 0x0000781f79e8dc9cUL;
   tf->codes[32350] = 0x000078abb261ad55UL;
   tf->codes[32351] = 0x00007a11e946f86bUL;
   tf->codes[32352] = 0x00007bea44f48280UL;
   tf->codes[32353] = 0x00008b44cac8c45bUL;
   tf->codes[32354] = 0x000092b6ec4791dcUL;
   tf->codes[32355] = 0x0000930b19dfdd0cUL;
   tf->codes[32356] = 0x000093586ab57b26UL;
   tf->codes[32357] = 0x000093674905f22bUL;
   tf->codes[32358] = 0x0000955aa2a0250eUL;
   tf->codes[32359] = 0x0000956a309dad62UL;
   tf->codes[32360] = 0x000095e36cb79f3cUL;
   tf->codes[32361] = 0x00009613760a5ad6UL;
   tf->codes[32362] = 0x0000a0d467c69725UL;
   tf->codes[32363] = 0x0000a59ca5d735adUL;
   tf->codes[32364] = 0x0000a6ed21a95ca8UL;
   tf->codes[32365] = 0x0000ac2784823a2fUL;
   tf->codes[32366] = 0x0000ad0ec756032eUL;
   tf->codes[32367] = 0x0000b0408a9f9541UL;
   tf->codes[32368] = 0x0000b2aad6bd804cUL;
   tf->codes[32369] = 0x0000b92a0aea5e8fUL;
   tf->codes[32370] = 0x0000bad6b5e29aa9UL;
   tf->codes[32371] = 0x0000bafebda78c54UL;
   tf->codes[32372] = 0x0000bb84195daff7UL;
   tf->codes[32373] = 0x0000bf9c6fcdf9baUL;
   tf->codes[32374] = 0x0000c23615918f10UL;
   tf->codes[32375] = 0x0000c608327ded94UL;
   tf->codes[32376] = 0x0000cd6df9d18387UL;
   tf->codes[32377] = 0x0000d6aabd7880f1UL;
   tf->codes[32378] = 0x0000e1d97b5f8ea0UL;
   tf->codes[32379] = 0x0000e1e8cece112fUL;
   tf->codes[32380] = 0x0000e4fc9ae7af73UL;
   tf->codes[32381] = 0x0000e6b2a6c7d81aUL;
   tf->codes[32382] = 0x0000ed6bba4d6a0eUL;
   tf->codes[32383] = 0x0000f1bf14e1845bUL;
   tf->codes[32384] = 0x0000fa9bc5e30a91UL;
   tf->codes[32385] = 0x0000fbc3ff613a1cUL;
   tf->codes[32386] = 0x0001027c28aab4fcUL;
   tf->codes[32387] = 0x000107cfb4f80d29UL;
   tf->codes[32388] = 0x000114bc0b2f01e4UL;
   tf->codes[32389] = 0x0001155dfebaf6b8UL;
   tf->codes[32390] = 0x0001200a94be318aUL;
   tf->codes[32391] = 0x000124bf9be0eb6eUL;
   tf->codes[32392] = 0x000125dbf051eef5UL;
   tf->codes[32393] = 0x000127659bcfb852UL;
   tf->codes[32394] = 0x00012a3368f4711cUL;
   tf->codes[32395] = 0x00012a88bb57d925UL;
   tf->codes[32396] = 0x00012b94d21e4309UL;
   tf->codes[32397] = 0x000135019f17fc0dUL;
   tf->codes[32398] = 0x00013a001390f1f6UL;
   tf->codes[32399] = 0x00013d6a1c4a0f57UL;
   tf->codes[32400] = 0x00013fa71dc98404UL;
   tf->codes[32401] = 0x00014238c1ff4f6bUL;
   tf->codes[32402] = 0x000147bd41db7a46UL;
   tf->codes[32403] = 0x000148e7c4efe383UL;
   tf->codes[32404] = 0x00014c62f58fb19bUL;
   tf->codes[32405] = 0x00014c669e800debUL;
   tf->codes[32406] = 0x00014cf34c16ea2eUL;
   tf->codes[32407] = 0x000150307f4f9cbbUL;
   tf->codes[32408] = 0x00015235eb0c9769UL;
   tf->codes[32409] = 0x000158a7a0432145UL;
   tf->codes[32410] = 0x00015f4c1d80abf7UL;
   tf->codes[32411] = 0x000162898b486449UL;
   tf->codes[32412] = 0x0001635ad87a0368UL;
   tf->codes[32413] = 0x000163890d5490daUL;
   tf->codes[32414] = 0x00016d76dd66ffe2UL;
   tf->codes[32415] = 0x00016f1d5b49a035UL;
   tf->codes[32416] = 0x00017048c89a2086UL;
   tf->codes[32417] = 0x000170576c5b91c6UL;
   tf->codes[32418] = 0x0001731b9e09583eUL;
   tf->codes[32419] = 0x00017dd7c20a1b64UL;
   tf->codes[32420] = 0x00017f82d3192f1bUL;
   tf->codes[32421] = 0x00018075fafa241eUL;
   tf->codes[32422] = 0x00018197ccd3b21dUL;
   tf->codes[32423] = 0x00018789692d9d09UL;
   tf->codes[32424] = 0x00018dfa6eb71596UL;
   tf->codes[32425] = 0x00018f04b1055152UL;
   tf->codes[32426] = 0x0001918a702df0b5UL;
   tf->codes[32427] = 0x00019a0e606ab857UL;
   tf->codes[32428] = 0x00019a2db6f4cec4UL;
   tf->codes[32429] = 0x0001a10a0483d93aUL;
   tf->codes[32430] = 0x0001a1578fe87d19UL;
   tf->codes[32431] = 0x0001ac3d55975a4dUL;
   tf->codes[32432] = 0x0001b8a11c45da9fUL;
   tf->codes[32433] = 0x0001bfe1256ab899UL;
   tf->codes[32434] = 0x0001c2a0c3ec0badUL;
   tf->codes[32435] = 0x0001c44f7deb7bb4UL;
   tf->codes[32436] = 0x0001c56aad916262UL;
   tf->codes[32437] = 0x0001c66b5468abccUL;
   tf->codes[32438] = 0x0001c6a9c6edd2e1UL;
   tf->codes[32439] = 0x0001caa251b5faadUL;
   tf->codes[32440] = 0x0001cd0b7908c8dfUL;
   tf->codes[32441] = 0x0001d32f2dbca352UL;
   tf->codes[32442] = 0x0001d3b8e2103494UL;
   tf->codes[32443] = 0x0001d4a7ebe2c1bdUL;
   tf->codes[32444] = 0x0001de97cafc64b2UL;
   tf->codes[32445] = 0x0001e1092e6c0298UL;
   tf->codes[32446] = 0x0001e31c53ae5772UL;
   tf->codes[32447] = 0x0001ec22e0ecfd7bUL;
   tf->codes[32448] = 0x0001edcedc382846UL;
   tf->codes[32449] = 0x0001ee96c881dad8UL;
   tf->codes[32450] = 0x0001ef17567c8552UL;
   tf->codes[32451] = 0x0001eff91be7c3d9UL;
   tf->codes[32452] = 0x0001f59391661894UL;
   tf->codes[32453] = 0x0001f8f1b51209f1UL;
   tf->codes[32454] = 0x0001fe27f9dc7f9eUL;
   tf->codes[32455] = 0x0001fe2b2daed064UL;
   tf->codes[32456] = 0x0000014f3773084bUL;
   tf->codes[32457] = 0x00000321db290223UL;
   tf->codes[32458] = 0x000003c26f5ad459UL;
   tf->codes[32459] = 0x000006c33f1593beUL;
   tf->codes[32460] = 0x000007d5bd809f2eUL;
   tf->codes[32461] = 0x0000082557ec76faUL;
   tf->codes[32462] = 0x00000b020361a6c9UL;
   tf->codes[32463] = 0x0000102f5c623b73UL;
   tf->codes[32464] = 0x00001039e21544d9UL;
   tf->codes[32465] = 0x000019265ba35928UL;
   tf->codes[32466] = 0x00001aa790754d0cUL;
   tf->codes[32467] = 0x00002b83108c7d06UL;
   tf->codes[32468] = 0x00002ee58cd5dc02UL;
   tf->codes[32469] = 0x00002eef9d6ad9deUL;
   tf->codes[32470] = 0x00003383eea95ab7UL;
   tf->codes[32471] = 0x0000346be12a3505UL;
   tf->codes[32472] = 0x000035b3e6508687UL;
   tf->codes[32473] = 0x0000366f786f018bUL;
   tf->codes[32474] = 0x00003a67c8a82392UL;
   tf->codes[32475] = 0x00003a9a1b9118deUL;
   tf->codes[32476] = 0x00003b2bd172740fUL;
   tf->codes[32477] = 0x00003bcee9c985bcUL;
   tf->codes[32478] = 0x00003f83bf3301c0UL;
   tf->codes[32479] = 0x000044da0a349f29UL;
   tf->codes[32480] = 0x000045e86a9142bfUL;
   tf->codes[32481] = 0x00004e4dee800b08UL;
   tf->codes[32482] = 0x00004f45e41c7934UL;
   tf->codes[32483] = 0x00004f4b26f5fde7UL;
   tf->codes[32484] = 0x00005164794dee88UL;
   tf->codes[32485] = 0x000053e7b4514e74UL;
   tf->codes[32486] = 0x000055669f8d08a6UL;
   tf->codes[32487] = 0x0000597853c9ab18UL;
   tf->codes[32488] = 0x000060b9472aa026UL;
   tf->codes[32489] = 0x0000659cbdb6ed41UL;
   tf->codes[32490] = 0x000065e83a145d33UL;
   tf->codes[32491] = 0x0000660baeacdb7aUL;
   tf->codes[32492] = 0x0000679051e025e9UL;
   tf->codes[32493] = 0x00006f721401f2f2UL;
   tf->codes[32494] = 0x000070aa160cb096UL;
   tf->codes[32495] = 0x0000750aef971f4aUL;
   tf->codes[32496] = 0x0000769c6213acd1UL;
   tf->codes[32497] = 0x0000771faec29c87UL;
   tf->codes[32498] = 0x00008049760abb12UL;
   tf->codes[32499] = 0x000081a4778feb73UL;
   tf->codes[32500] = 0x00008340aa4e8825UL;
   tf->codes[32501] = 0x000084fe429e6f31UL;
   tf->codes[32502] = 0x0000850b4c76b80eUL;
   tf->codes[32503] = 0x00008d4385c709f9UL;
   tf->codes[32504] = 0x00008fa0185f9ad8UL;
   tf->codes[32505] = 0x0000918d44e431f4UL;
   tf->codes[32506] = 0x0000958e46582f39UL;
   tf->codes[32507] = 0x0000975f8ab40673UL;
   tf->codes[32508] = 0x0000982b950c20dfUL;
   tf->codes[32509] = 0x000099ffd2ab431aUL;
   tf->codes[32510] = 0x0000a0bdb3ec4e37UL;
   tf->codes[32511] = 0x0000a1d48af4c746UL;
   tf->codes[32512] = 0x0000a46077330270UL;
   tf->codes[32513] = 0x0000a73312133463UL;
   tf->codes[32514] = 0x0000a83f6368a40cUL;
   tf->codes[32515] = 0x0000af1f59e80ad2UL;
   tf->codes[32516] = 0x0000b65134698316UL;
   tf->codes[32517] = 0x0000b7837e7cb07dUL;
   tf->codes[32518] = 0x0000b9ce39817f56UL;
   tf->codes[32519] = 0x0000bae6e502268dUL;
   tf->codes[32520] = 0x0000bb66fddec57dUL;
   tf->codes[32521] = 0x0000bcfcc8f8c0a3UL;
   tf->codes[32522] = 0x0000bd6fd7fd16b6UL;
   tf->codes[32523] = 0x0000be15af086d9fUL;
   tf->codes[32524] = 0x0000be6d10730995UL;
   tf->codes[32525] = 0x0000c0c0f1d0bf36UL;
   tf->codes[32526] = 0x0000c266fa9553ffUL;
   tf->codes[32527] = 0x0000c6c291463e00UL;
   tf->codes[32528] = 0x0000c72c3f62a786UL;
   tf->codes[32529] = 0x0000ccfbc67e36c9UL;
   tf->codes[32530] = 0x0000d016a9e987e8UL;
   tf->codes[32531] = 0x0000d64b86841312UL;
   tf->codes[32532] = 0x0000d77ebad3578dUL;
   tf->codes[32533] = 0x0000db34ef96f62fUL;
   tf->codes[32534] = 0x0000e09ee6a483c6UL;
   tf->codes[32535] = 0x0000e141c46c8faeUL;
   tf->codes[32536] = 0x0000ea237db894d2UL;
   tf->codes[32537] = 0x0000ee144181f874UL;
   tf->codes[32538] = 0x0000f29f31d88cc0UL;
   tf->codes[32539] = 0x0000f603829a19e4UL;
   tf->codes[32540] = 0x0000f9ca2f9757eeUL;
   tf->codes[32541] = 0x0000fc2269927b2eUL;
   tf->codes[32542] = 0x0001015c1cbe4766UL;
   tf->codes[32543] = 0x000105a357b62feaUL;
   tf->codes[32544] = 0x000106b85a467ad1UL;
   tf->codes[32545] = 0x0001083cfd79c540UL;
   tf->codes[32546] = 0x00011846f5d05056UL;
   tf->codes[32547] = 0x0001197178e4b993UL;
   tf->codes[32548] = 0x0001205c6a353549UL;
   tf->codes[32549] = 0x0001222e23af180dUL;
   tf->codes[32550] = 0x000122ebff63ccc3UL;
   tf->codes[32551] = 0x000126e20606b518UL;
   tf->codes[32552] = 0x00012c2fda5c7d08UL;
   tf->codes[32553] = 0x00012db47d8fc777UL;
   tf->codes[32554] = 0x000132025abb574cUL;
   tf->codes[32555] = 0x000136c46bb65a0dUL;
   tf->codes[32556] = 0x000137b8b8626be9UL;
   tf->codes[32557] = 0x00013a8b18b39817UL;
   tf->codes[32558] = 0x000143a30867f49cUL;
   tf->codes[32559] = 0x000144f3bec9215cUL;
   tf->codes[32560] = 0x000144f9b14fb75eUL;
   tf->codes[32561] = 0x0001453d66ae6326UL;
   tf->codes[32562] = 0x000145c5bba7d1caUL;
   tf->codes[32563] = 0x00014615cb31b520UL;
   tf->codes[32564] = 0x0001465dd92dce87UL;
   tf->codes[32565] = 0x00014acc6c3d9767UL;
   tf->codes[32566] = 0x00014d00bc8230d6UL;
   tf->codes[32567] = 0x0001527dea7da311UL;
   tf->codes[32568] = 0x000155e91801dd4bUL;
   tf->codes[32569] = 0x00015a79c05001d4UL;
   tf->codes[32570] = 0x00015cb527e64e1eUL;
   tf->codes[32571] = 0x00015fb2c3cebcbdUL;
   tf->codes[32572] = 0x0001623b7c3aa721UL;
   tf->codes[32573] = 0x0001660bff3ddd42UL;
   tf->codes[32574] = 0x000166d008082dbfUL;
   tf->codes[32575] = 0x0001691ac30cfc98UL;
   tf->codes[32576] = 0x000169981d35564cUL;
   tf->codes[32577] = 0x00016ea8a3d11400UL;
   tf->codes[32578] = 0x00016fd869bf01f0UL;
   tf->codes[32579] = 0x00017102b2446568UL;
   tf->codes[32580] = 0x000172f85574d1fdUL;
   tf->codes[32581] = 0x000174a53afc13dcUL;
   tf->codes[32582] = 0x00017be9622f59b0UL;
   tf->codes[32583] = 0x00017e858c182e7dUL;
   tf->codes[32584] = 0x000181cccfe5dee6UL;
   tf->codes[32585] = 0x0001871cedd1e088UL;
   tf->codes[32586] = 0x000187a0750fd603UL;
   tf->codes[32587] = 0x00018c9797a8134cUL;
   tf->codes[32588] = 0x00019025ff35c608UL;
   tf->codes[32589] = 0x000192362b34cfe1UL;
   tf->codes[32590] = 0x00019c0bbc0edb57UL;
   tf->codes[32591] = 0x00019feb57f18e42UL;
   tf->codes[32592] = 0x0001a0871e67e74fUL;
   tf->codes[32593] = 0x0001a3f161b00a75UL;
   tf->codes[32594] = 0x0001a90a5ef79da2UL;
   tf->codes[32595] = 0x0001aa488e17f70dUL;
   tf->codes[32596] = 0x0001abf44ed41c13UL;
   tf->codes[32597] = 0x0001ad807e7724e7UL;
   tf->codes[32598] = 0x0001af0387c146f3UL;
   tf->codes[32599] = 0x0001b0ade923495bUL;
   tf->codes[32600] = 0x0001b278c5da7f09UL;
   tf->codes[32601] = 0x0001b405a52a992cUL;
   tf->codes[32602] = 0x0001b7d662bcd512UL;
   tf->codes[32603] = 0x0001ba86adcfa597UL;
   tf->codes[32604] = 0x0001bbd888fbef30UL;
   tf->codes[32605] = 0x0001bdef572ea05aUL;
   tf->codes[32606] = 0x0001c1ff36f314a4UL;
   tf->codes[32607] = 0x0001c67297be56adUL;
   tf->codes[32608] = 0x0001c9cbb31fc91cUL;
   tf->codes[32609] = 0x0001cbbcfdb2c812UL;
   tf->codes[32610] = 0x0001cbd661b6487dUL;
   tf->codes[32611] = 0x0001cfeb8454417aUL;
   tf->codes[32612] = 0x0001d3808e159b87UL;
   tf->codes[32613] = 0x0001d6dace422acfUL;
   tf->codes[32614] = 0x0001d7a0e613af39UL;
   tf->codes[32615] = 0x0001d8da0ce989b6UL;
   tf->codes[32616] = 0x0001db111be26861UL;
   tf->codes[32617] = 0x0001df0797a35c40UL;
   tf->codes[32618] = 0x0001e0c1c191ecc1UL;
   tf->codes[32619] = 0x0001e2eb51947705UL;
   tf->codes[32620] = 0x0001e482b6979a8eUL;
   tf->codes[32621] = 0x0001e5abda51e12dUL;
   tf->codes[32622] = 0x0001e63ca5f7254aUL;
   tf->codes[32623] = 0x0001e704cccfdda1UL;
   tf->codes[32624] = 0x0001e99252f7412eUL;
   tf->codes[32625] = 0x0001eb2f6ff1f4f4UL;
   tf->codes[32626] = 0x0001eded748a1fa5UL;
   tf->codes[32627] = 0x0001f2c36c201859UL;
   tf->codes[32628] = 0x0001f5922380e837UL;
   tf->codes[32629] = 0x0001f6a5c6b71080UL;
   tf->codes[32630] = 0x0001f8a2bbc835b5UL;
   tf->codes[32631] = 0x0001fad0a4682d98UL;
   tf->codes[32632] = 0x0001fb041c1c3fbdUL;
   tf->codes[32633] = 0x00000391e25eff76UL;
   tf->codes[32634] = 0x0000053ec7e64155UL;
   tf->codes[32635] = 0x00000a66de0d514cUL;
   tf->codes[32636] = 0x00000e626218c419UL;
   tf->codes[32637] = 0x00000fab8c0a3274UL;
   tf->codes[32638] = 0x000016f44669ebacUL;
   tf->codes[32639] = 0x00001901ee43b60eUL;
   tf->codes[32640] = 0x00001afac5467369UL;
   tf->codes[32641] = 0x00001cf2ec9c1f75UL;
   tf->codes[32642] = 0x0000222a5631b1fbUL;
   tf->codes[32643] = 0x000023eecb44461dUL;
   tf->codes[32644] = 0x0000259b3bad7c72UL;
   tf->codes[32645] = 0x000027146ef1a667UL;
   tf->codes[32646] = 0x00002a5b03124581UL;
   tf->codes[32647] = 0x00002d1e8512faaaUL;
   tf->codes[32648] = 0x00002ea9555be0e0UL;
   tf->codes[32649] = 0x000037236f92b06bUL;
   tf->codes[32650] = 0x000037b7347b3f89UL;
   tf->codes[32651] = 0x00003cae1c84770dUL;
   tf->codes[32652] = 0x00003d679f9bbe24UL;
   tf->codes[32653] = 0x00003f587510b190UL;
   tf->codes[32654] = 0x00003f6509caeee3UL;
   tf->codes[32655] = 0x000047561f5b3e7bUL;
   tf->codes[32656] = 0x0000484fe96fdacfUL;
   tf->codes[32657] = 0x00004b3c98009e7cUL;
   tf->codes[32658] = 0x00004b6a1d2e1a9fUL;
   tf->codes[32659] = 0x00004d67123f3fd4UL;
   tf->codes[32660] = 0x00004ddb809db885UL;
   tf->codes[32661] = 0x00005c7481cce95aUL;
   tf->codes[32662] = 0x00005dfe2d4ab2b7UL;
   tf->codes[32663] = 0x00005f12babcf214UL;
   tf->codes[32664] = 0x00005f1d406ffb7aUL;
   tf->codes[32665] = 0x00005f56701b9ddcUL;
   tf->codes[32666] = 0x00006b3f9b5609b6UL;
   tf->codes[32667] = 0x00006c6132a091f0UL;
   tf->codes[32668] = 0x00006dbb0f5aa578UL;
   tf->codes[32669] = 0x00006ed4a51763c3UL;
   tf->codes[32670] = 0x00006fb963c5ed4bUL;
   tf->codes[32671] = 0x0000719d69f19d9fUL;
   tf->codes[32672] = 0x000072c777e7fb52UL;
   tf->codes[32673] = 0x0000738b0b944045UL;
   tf->codes[32674] = 0x000074b0c0ed3059UL;
   tf->codes[32675] = 0x000076b2492ac8f2UL;
   tf->codes[32676] = 0x00007c53264dbf39UL;
   tf->codes[32677] = 0x00007c9e681c2966UL;
   tf->codes[32678] = 0x00007cc844594939UL;
   tf->codes[32679] = 0x000080e3597dd838UL;
   tf->codes[32680] = 0x0000816c98b35df0UL;
   tf->codes[32681] = 0x000083774749dd51UL;
   tf->codes[32682] = 0x000085b323fe3525UL;
   tf->codes[32683] = 0x000085e3a26efc49UL;
   tf->codes[32684] = 0x000089f640e7b5cfUL;
   tf->codes[32685] = 0x00008ed2dab155d4UL;
   tf->codes[32686] = 0x00008ff93fb75737UL;
   tf->codes[32687] = 0x0000906d38f7c45eUL;
   tf->codes[32688] = 0x000096e79f692978UL;
   tf->codes[32689] = 0x000097b6dd9394aaUL;
   tf->codes[32690] = 0x0000984c76f451f0UL;
   tf->codes[32691] = 0x000098e160a7fde7UL;
   tf->codes[32692] = 0x00009bc1b50d8a06UL;
   tf->codes[32693] = 0x00009c636e0a7915UL;
   tf->codes[32694] = 0x0000a52312182290UL;
   tf->codes[32695] = 0x0000a82edca3f6e5UL;
   tf->codes[32696] = 0x0000ad1fd2269867UL;
   tf->codes[32697] = 0x0000af39d42b9a57UL;
   tf->codes[32698] = 0x0000b31eed76d7baUL;
   tf->codes[32699] = 0x0000ba5854680e63UL;
   tf->codes[32700] = 0x0000ba7aa4356fd1UL;
   tf->codes[32701] = 0x0000bb1a139c252eUL;
   tf->codes[32702] = 0x0000bc00a6c2dcdeUL;
   tf->codes[32703] = 0x0000bf514b7879d4UL;
   tf->codes[32704] = 0x0000c6b69dae043dUL;
   tf->codes[32705] = 0x0000cbd0fa4fba08UL;
   tf->codes[32706] = 0x0000cc509e0e4d6eUL;
   tf->codes[32707] = 0x0000d63c248a82c4UL;
   tf->codes[32708] = 0x0000db3d57b7bde9UL;
   tf->codes[32709] = 0x0000dcb70019f368UL;
   tf->codes[32710] = 0x0000e70557efe52eUL;
   tf->codes[32711] = 0x0000e84d5d1636b0UL;
   tf->codes[32712] = 0x0000ea6ca1f4bd53UL;
   tf->codes[32713] = 0x0000ecae712fab29UL;
   tf->codes[32714] = 0x0000ed04e85e300bUL;
   tf->codes[32715] = 0x0000ed4e1b25664bUL;
   tf->codes[32716] = 0x0000edf5518adfd2UL;
   tf->codes[32717] = 0x0000eeb4177bab9cUL;
   tf->codes[32718] = 0x0000ef85d9cb5645UL;
   tf->codes[32719] = 0x0000f2c1e838ebf9UL;
   tf->codes[32720] = 0x0000f6c2748eddb4UL;
   tf->codes[32721] = 0x0000f6c5334322f0UL;
   tf->codes[32722] = 0x0000fe091fe762ffUL;
   tf->codes[32723] = 0x0000ff3fc297fe05UL;
   tf->codes[32724] = 0x000106b4683c0afdUL;
   tf->codes[32725] = 0x0001092fa1b1a0faUL;
   tf->codes[32726] = 0x00010a6bc1cac678UL;
   tf->codes[32727] = 0x00010f42690dd07bUL;
   tf->codes[32728] = 0x000119f7b04be68bUL;
   tf->codes[32729] = 0x00011bebb9932abdUL;
   tf->codes[32730] = 0x00011d5a67244b4cUL;
   tf->codes[32731] = 0x000123d751baefddUL;
   tf->codes[32732] = 0x000124f8e9057817UL;
   tf->codes[32733] = 0x00012c03a5fe15c4UL;
   tf->codes[32734] = 0x00012f51c68e7343UL;
   tf->codes[32735] = 0x00012fa57f08b2e9UL;
   tf->codes[32736] = 0x0001357f8bd74b92UL;
   tf->codes[32737] = 0x00013d7a024f87b7UL;
   tf->codes[32738] = 0x00013ef78e311f4bUL;
   tf->codes[32739] = 0x000145faf9490458UL;
   tf->codes[32740] = 0x000146b2a7e81d47UL;
   tf->codes[32741] = 0x0001484997cd3546UL;
   tf->codes[32742] = 0x000148ce094741d5UL;
   tf->codes[32743] = 0x00014942b234c04bUL;
   tf->codes[32744] = 0x00014ae0444d7f9bUL;
   tf->codes[32745] = 0x00015441dbe71deaUL;
   tf->codes[32746] = 0x0001567edd669297UL;
   tf->codes[32747] = 0x0001594558aa92c1UL;
   tf->codes[32748] = 0x00015bb97ace75e3UL;
   tf->codes[32749] = 0x00015cad8ceb81faUL;
   tf->codes[32750] = 0x00015f14a5371c3fUL;
   tf->codes[32751] = 0x000166e2f5dbfedfUL;
   tf->codes[32752] = 0x0001678bc62aa0c9UL;
   tf->codes[32753] = 0x00016a7456acfc9cUL;
   tf->codes[32754] = 0x000173b9cb8ed544UL;
   tf->codes[32755] = 0x000176048693a41dUL;
   tf->codes[32756] = 0x0001802a618698aeUL;
   tf->codes[32757] = 0x0001810375b6fbf7UL;
   tf->codes[32758] = 0x0001838a1f1bb26eUL;
   tf->codes[32759] = 0x000185ba5151e403UL;
   tf->codes[32760] = 0x000186b122233556UL;
   tf->codes[32761] = 0x00018d2a9e58835cUL;
   tf->codes[32762] = 0x00018f69e96e31bbUL;
   tf->codes[32763] = 0x000192e3bab3dd35UL;
   tf->codes[32764] = 0x00019a8dac842a7aUL;
   tf->codes[32765] = 0x00019cafb016f659UL;
   tf->codes[32766] = 0x00019e34c8684c52UL;
   tf->codes[32767] = 0x00019ef6127e5793UL;
   tf->codes[32768] = 0x00019f71d2bd88e4UL;
   tf->codes[32769] = 0x0001a0d0f251211fUL;
   tf->codes[32770] = 0x0001a28aa721a616UL;
   tf->codes[32771] = 0x0001a3119cc0f21cUL;
   tf->codes[32772] = 0x0001a52830649d81UL;
   tf->codes[32773] = 0x0001a7b8ea5e51d4UL;
   tf->codes[32774] = 0x0001a83017710fc1UL;
   tf->codes[32775] = 0x0001a98ec1e69c72UL;
   tf->codes[32776] = 0x0001a992a565fe87UL;
   tf->codes[32777] = 0x0001adc71e8e0df1UL;
   tf->codes[32778] = 0x0001aeabdd3c9779UL;
   tf->codes[32779] = 0x0001b0b6c6621c9fUL;
   tf->codes[32780] = 0x0001b0dab018a670UL;
   tf->codes[32781] = 0x0001b278b74f714aUL;
   tf->codes[32782] = 0x0001b673c63cd88dUL;
   tf->codes[32783] = 0x0001b73bed1590e4UL;
   tf->codes[32784] = 0x0001bcbe235b820dUL;
   tf->codes[32785] = 0x0001bd5a5eefe6a4UL;
   tf->codes[32786] = 0x0001c80ad872838bUL;
   tf->codes[32787] = 0x0001ca087d30ba0fUL;
   tf->codes[32788] = 0x0001cd1865caf63eUL;
   tf->codes[32789] = 0x0001cdd46d077cccUL;
   tf->codes[32790] = 0x0001d0fbaa9e0579UL;
   tf->codes[32791] = 0x0001d2da6df0311aUL;
   tf->codes[32792] = 0x0001d38b7a5ba2b8UL;
   tf->codes[32793] = 0x0001d4f5cf4f55a8UL;
   tf->codes[32794] = 0x0001d57f83a2e6eaUL;
   tf->codes[32795] = 0x0001e13dadd51618UL;
   tf->codes[32796] = 0x0001e2e88455240aUL;
   tf->codes[32797] = 0x0001e356507ff56aUL;
   tf->codes[32798] = 0x0001e40d8a0102cfUL;
   tf->codes[32799] = 0x0001e93a6de38befUL;
   tf->codes[32800] = 0x0001e9d54a1dcde8UL;
   tf->codes[32801] = 0x0001ec5516bfd749UL;
   tf->codes[32802] = 0x0001ef0e4d9c88d1UL;
   tf->codes[32803] = 0x0001f49cde0db188UL;
   tf->codes[32804] = 0x0001f54030f3c8faUL;
   tf->codes[32805] = 0x0001f8154ff93a64UL;
   tf->codes[32806] = 0x00000143aa6dcc53UL;
   tf->codes[32807] = 0x000004410bc7352dUL;
   tf->codes[32808] = 0x0000052f2b5dab42UL;
   tf->codes[32809] = 0x000005f801e374e8UL;
   tf->codes[32810] = 0x000007d9be78eb8aUL;
   tf->codes[32811] = 0x000008b089131521UL;
   tf->codes[32812] = 0x00000ce3dd7007b2UL;
   tf->codes[32813] = 0x0000123f6b4b29ceUL;
   tf->codes[32814] = 0x000012417a525dbbUL;
   tf->codes[32815] = 0x0000138a2f25c08cUL;
   tf->codes[32816] = 0x000015879954f14bUL;
   tf->codes[32817] = 0x0000176b64f19bdaUL;
   tf->codes[32818] = 0x00001885353d5feaUL;
   tf->codes[32819] = 0x00001912cd105341UL;
   tf->codes[32820] = 0x00001b7acf98049aUL;
   tf->codes[32821] = 0x00002197e21837bcUL;
   tf->codes[32822] = 0x00002425dd5da6d3UL;
   tf->codes[32823] = 0x0000275173919d1fUL;
   tf->codes[32824] = 0x000028cbcba0e3edUL;
   tf->codes[32825] = 0x0000299f27d9b6f9UL;
   tf->codes[32826] = 0x00002b98e9188b68UL;
   tf->codes[32827] = 0x00002bb929deb8e9UL;
   tf->codes[32828] = 0x00002d384fa978e0UL;
   tf->codes[32829] = 0x00002ddb2d7184c8UL;
   tf->codes[32830] = 0x000034edb168e69fUL;
   tf->codes[32831] = 0x000036dfe637fca9UL;
   tf->codes[32832] = 0x000039a6d69a085dUL;
   tf->codes[32833] = 0x00003a826eefab1dUL;
   tf->codes[32834] = 0x00003b4343e7aad4UL;
   tf->codes[32835] = 0x00003b6b111d96baUL;
   tf->codes[32836] = 0x000044b04b70699dUL;
   tf->codes[32837] = 0x0000465da615b706UL;
   tf->codes[32838] = 0x000046e1a271b80bUL;
   tf->codes[32839] = 0x00004726b72a8671UL;
   tf->codes[32840] = 0x00004b3aef8c685aUL;
   tf->codes[32841] = 0x00004e54739d96dbUL;
   tf->codes[32842] = 0x0000519515379ff3UL;
   tf->codes[32843] = 0x000051958a55ab7dUL;
   tf->codes[32844] = 0x000054d87585ee47UL;
   tf->codes[32845] = 0x000055864e1f0f1fUL;
   tf->codes[32846] = 0x000055fa81ee820bUL;
   tf->codes[32847] = 0x0000566f9ffa0c0bUL;
   tf->codes[32848] = 0x00005b096ea1175cUL;
   tf->codes[32849] = 0x00005b14de9037d6UL;
   tf->codes[32850] = 0x00005b4905f15b4aUL;
   tf->codes[32851] = 0x00005cb061a1c339UL;
   tf->codes[32852] = 0x00006075af44dea5UL;
   tf->codes[32853] = 0x000060f04ab8f31dUL;
   tf->codes[32854] = 0x00006176cb3a3399UL;
   tf->codes[32855] = 0x00006188a2cdf59fUL;
   tf->codes[32856] = 0x0000621eebdbc434UL;
   tf->codes[32857] = 0x0000647bf392609dUL;
   tf->codes[32858] = 0x00006491e9348a7dUL;
   tf->codes[32859] = 0x0000658b78ba210cUL;
   tf->codes[32860] = 0x00006615679cb813UL;
   tf->codes[32861] = 0x00006647ba85ad5fUL;
   tf->codes[32862] = 0x0000667071f7b059UL;
   tf->codes[32863] = 0x000067c580f64ab8UL;
   tf->codes[32864] = 0x000069d0a4aad5a3UL;
   tf->codes[32865] = 0x00006a45882759deUL;
   tf->codes[32866] = 0x00006b3df2e1d394UL;
   tf->codes[32867] = 0x00006b4b37492236UL;
   tf->codes[32868] = 0x00006d7d03687c2eUL;
   tf->codes[32869] = 0x000074b5801d9bc3UL;
   tf->codes[32870] = 0x0000773a1a7b1e4dUL;
   tf->codes[32871] = 0x00007c0b7ee4a39dUL;
   tf->codes[32872] = 0x0000831fd754339cUL;
   tf->codes[32873] = 0x000084f2f02838feUL;
   tf->codes[32874] = 0x00008bcaaa8ad010UL;
   tf->codes[32875] = 0x00008c14c78e1d64UL;
   tf->codes[32876] = 0x00008e3cbda77f45UL;
   tf->codes[32877] = 0x000096fdc10f4b5eUL;
   tf->codes[32878] = 0x000097d74a5dba31UL;
   tf->codes[32879] = 0x000098eb2822e83fUL;
   tf->codes[32880] = 0x00009cf256ac814bUL;
   tf->codes[32881] = 0x00009d8ae9508992UL;
   tf->codes[32882] = 0x00009d93d51a6a95UL;
   tf->codes[32883] = 0x0000a1bc69354dfbUL;
   tf->codes[32884] = 0x0000a5e91b5e993bUL;
   tf->codes[32885] = 0x0000ac68ff3888cdUL;
   tf->codes[32886] = 0x0000ad1f4e7d7f1eUL;
   tf->codes[32887] = 0x0000afe8fd93d00eUL;
   tf->codes[32888] = 0x0000b0f7d30e7f2eUL;
   tf->codes[32889] = 0x0000b296c481611cUL;
   tf->codes[32890] = 0x0000b3f7436f1bf5UL;
   tf->codes[32891] = 0x0000b913e9a70b72UL;
   tf->codes[32892] = 0x0000bbe76ec35479UL;
   tf->codes[32893] = 0x0000c4823ede5d0fUL;
   tf->codes[32894] = 0x0000c63516ec34f0UL;
   tf->codes[32895] = 0x0000c99ee5164c8cUL;
   tf->codes[32896] = 0x0000d2edf56f1786UL;
   tf->codes[32897] = 0x0000db4843fdc51aUL;
   tf->codes[32898] = 0x0000e21ed9953f53UL;
   tf->codes[32899] = 0x0000e4bac8ef0e5bUL;
   tf->codes[32900] = 0x0000e591938937f2UL;
   tf->codes[32901] = 0x0000e5ea8edcfc4bUL;
   tf->codes[32902] = 0x0000e6b7be003390UL;
   tf->codes[32903] = 0x0000e788d0a2cceaUL;
   tf->codes[32904] = 0x0000eafcaf61e262UL;
   tf->codes[32905] = 0x0000ee8a2cb37e0aUL;
   tf->codes[32906] = 0x0000f1f93db71a59UL;
   tf->codes[32907] = 0x0000f4572fa9cdd6UL;
   tf->codes[32908] = 0x0000f5aefd5cad71UL;
   tf->codes[32909] = 0x0000fbcd34a7fd6cUL;
   tf->codes[32910] = 0x0000fe55ed13e7d0UL;
   tf->codes[32911] = 0x000105cf9b0273b6UL;
   tf->codes[32912] = 0x0001085fa54f16baUL;
   tf->codes[32913] = 0x00010dff5da6f028UL;
   tf->codes[32914] = 0x0001129f59639740UL;
   tf->codes[32915] = 0x000113c583da92deUL;
   tf->codes[32916] = 0x000114146e99595bUL;
   tf->codes[32917] = 0x00011487087fa3e4UL;
   tf->codes[32918] = 0x000114dfc9446278UL;
   tf->codes[32919] = 0x000116b9bedb14f0UL;
   tf->codes[32920] = 0x00011b434fd7869eUL;
   tf->codes[32921] = 0x00012120cb0775d2UL;
   tf->codes[32922] = 0x00012b5d85d8ab57UL;
   tf->codes[32923] = 0x00012b754ff3035fUL;
   tf->codes[32924] = 0x00013f33e32404b4UL;
   tf->codes[32925] = 0x00013ff94b4877cfUL;
   tf->codes[32926] = 0x0001432eb7826632UL;
   tf->codes[32927] = 0x000145c56402b087UL;
   tf->codes[32928] = 0x00014f3a6d19393fUL;
   tf->codes[32929] = 0x00014f974bec5fadUL;
   tf->codes[32930] = 0x0001535756b5f666UL;
   tf->codes[32931] = 0x0001542ff5c84e25UL;
   tf->codes[32932] = 0x000157acc05144a0UL;
   tf->codes[32933] = 0x00015e61f057747fUL;
   tf->codes[32934] = 0x00016273df231cb6UL;
   tf->codes[32935] = 0x00016535c73aa97cUL;
   tf->codes[32936] = 0x00016538c07df47dUL;
   tf->codes[32937] = 0x00016f8a4c263709UL;
   tf->codes[32938] = 0x000176b63421194bUL;
   tf->codes[32939] = 0x000178543b57e425UL;
   tf->codes[32940] = 0x00017b34552e6a7fUL;
   tf->codes[32941] = 0x00017c31188651d4UL;
   tf->codes[32942] = 0x00017c736e8adafeUL;
   tf->codes[32943] = 0x000182f43ca0e1a4UL;
   tf->codes[32944] = 0x000185a53760c378UL;
   tf->codes[32945] = 0x00018ca9c743c55eUL;
   tf->codes[32946] = 0x00018e6c67de2b58UL;
   tf->codes[32947] = 0x000199fee15b0c8bUL;
   tf->codes[32948] = 0x00019ea9283bb744UL;
   tf->codes[32949] = 0x0001a0163be3af70UL;
   tf->codes[32950] = 0x0001a11e6f2ab73fUL;
   tf->codes[32951] = 0x0001a140bef818adUL;
   tf->codes[32952] = 0x0001a2ea361e0401UL;
   tf->codes[32953] = 0x0001aebf402e7423UL;
   tf->codes[32954] = 0x0001b07bb3b33e56UL;
   tf->codes[32955] = 0x0001b29839dd7fbdUL;
   tf->codes[32956] = 0x0001b3df8f56bff0UL;
   tf->codes[32957] = 0x0001b5321a301ad8UL;
   tf->codes[32958] = 0x0001bbe70fa744f2UL;
   tf->codes[32959] = 0x0001c100820ce3a9UL;
   tf->codes[32960] = 0x0001c434545da9a9UL;
   tf->codes[32961] = 0x0001cbd43598f912UL;
   tf->codes[32962] = 0x0001ccd885609eccUL;
   tf->codes[32963] = 0x0001d2357295e386UL;
   tf->codes[32964] = 0x0001d61a51521b24UL;
   tf->codes[32965] = 0x0001d7f82a682fb1UL;
   tf->codes[32966] = 0x0001dafb092a2303UL;
   tf->codes[32967] = 0x0001dc0c62ca119aUL;
   tf->codes[32968] = 0x0001dd128709e57cUL;
   tf->codes[32969] = 0x0001de98c426584eUL;
   tf->codes[32970] = 0x0001e813fa527ccdUL;
   tf->codes[32971] = 0x0001e881c67d4e2dUL;
   tf->codes[32972] = 0x0001e913b6edaf23UL;
   tf->codes[32973] = 0x0001eaca727ae919UL;
   tf->codes[32974] = 0x0001eb43e923e0b8UL;
   tf->codes[32975] = 0x0001ebbdd4eae3e1UL;
   tf->codes[32976] = 0x0001ee7487a255f2UL;
   tf->codes[32977] = 0x0001f58cc3914806UL;
   tf->codes[32978] = 0x0001f6f8ecfd291eUL;
   tf->codes[32979] = 0x0001f7aae3a4b1d0UL;
   tf->codes[32980] = 0x0001f87bbbb84565UL;
   tf->codes[32981] = 0x0001fb85773ce5cdUL;
   tf->codes[32982] = 0x0001fdbf0a5b03efUL;
   tf->codes[32983] = 0x0001fdc91af001cbUL;
   tf->codes[32984] = 0x0001fea9f61f293eUL;
   tf->codes[32985] = 0x0001ff27fff49441UL;
   tf->codes[32986] = 0x0001ff61a4be422dUL;
   tf->codes[32987] = 0x000005349a3b27fbUL;
   tf->codes[32988] = 0x00000978dbefc57eUL;
   tf->codes[32989] = 0x00000e0bcdd423b9UL;
   tf->codes[32990] = 0x00001863fbb00d96UL;
   tf->codes[32991] = 0x00001880ce14e48cUL;
   tf->codes[32992] = 0x000019a34f9b83daUL;
   tf->codes[32993] = 0x00001b933ad46032UL;
   tf->codes[32994] = 0x00001d2856414a09UL;
   tf->codes[32995] = 0x00001e26b38259c1UL;
   tf->codes[32996] = 0x00001e42611c13deUL;
   tf->codes[32997] = 0x00001efa84d93857UL;
   tf->codes[32998] = 0x00001ff4145ecee6UL;
   tf->codes[32999] = 0x000020d564ac01e3UL;
   tf->codes[33000] = 0x00002109c69c2b1cUL;
   tf->codes[33001] = 0x000025e1cd3957bdUL;
   tf->codes[33002] = 0x00002a34782060bbUL;
   tf->codes[33003] = 0x00002b4646de5adcUL;
   tf->codes[33004] = 0x00002b8409b670a2UL;
   tf->codes[33005] = 0x00002fb63948465aUL;
   tf->codes[33006] = 0x000031b19470432cUL;
   tf->codes[33007] = 0x000034b6f75775f5UL;
   tf->codes[33008] = 0x000034e0d39495c8UL;
   tf->codes[33009] = 0x000036474508e6a3UL;
   tf->codes[33010] = 0x0000389de51ae180UL;
   tf->codes[33011] = 0x000038cf4dc7bfb8UL;
   tf->codes[33012] = 0x00003aa2669bc51aUL;
   tf->codes[33013] = 0x00003bb46fe8c500UL;
   tf->codes[33014] = 0x00003e3b53dc813cUL;
   tf->codes[33015] = 0x0000471964382a10UL;
   tf->codes[33016] = 0x000047307ea570c9UL;
   tf->codes[33017] = 0x0000499fd30ddac2UL;
   tf->codes[33018] = 0x00004aeeef85df1fUL;
   tf->codes[33019] = 0x00004e37581eac61UL;
   tf->codes[33020] = 0x00004eaadc410dfeUL;
   tf->codes[33021] = 0x00004efbd6070868UL;
   tf->codes[33022] = 0x000050f55cb6d712UL;
   tf->codes[33023] = 0x0000512ec6f17f39UL;
   tf->codes[33024] = 0x0000537d2ae6aa62UL;
   tf->codes[33025] = 0x00005535f57b1845UL;
   tf->codes[33026] = 0x000056056e34893cUL;
   tf->codes[33027] = 0x000057147e3e3e21UL;
   tf->codes[33028] = 0x000057de798f24a0UL;
   tf->codes[33029] = 0x0000599e20e63f99UL;
   tf->codes[33030] = 0x00005b25bd5cd509UL;
   tf->codes[33031] = 0x00005ca0156c1bd7UL;
   tf->codes[33032] = 0x000060914e538b03UL;
   tf->codes[33033] = 0x000064127179ef1dUL;
   tf->codes[33034] = 0x00006492ff749997UL;
   tf->codes[33035] = 0x0000679827ccc69bUL;
   tf->codes[33036] = 0x00006f02824ccff2UL;
   tf->codes[33037] = 0x00006fad61a2a5c9UL;
   tf->codes[33038] = 0x000076554d418706UL;
   tf->codes[33039] = 0x00007a5b1c70fd74UL;
   tf->codes[33040] = 0x00007fde77820b76UL;
   tf->codes[33041] = 0x000081cbde95a857UL;
   tf->codes[33042] = 0x000082216b881625UL;
   tf->codes[33043] = 0x000084cbc41450a8UL;
   tf->codes[33044] = 0x0000851f7c8e904eUL;
   tf->codes[33045] = 0x0000860add70c127UL;
   tf->codes[33046] = 0x000088ab2567fdceUL;
   tf->codes[33047] = 0x000089b31e1fffd8UL;
   tf->codes[33048] = 0x00008daf51d883f4UL;
   tf->codes[33049] = 0x00008e8b99db3803UL;
   tf->codes[33050] = 0x00008f7d9cf1102dUL;
   tf->codes[33051] = 0x000090cd2e872014UL;
   tf->codes[33052] = 0x000092933d82dc99UL;
   tf->codes[33053] = 0x0000945359f8031cUL;
   tf->codes[33054] = 0x00009529ea0326eeUL;
   tf->codes[33055] = 0x000096d98e3eae09UL;
   tf->codes[33056] = 0x00009a732b2c7b7aUL;
   tf->codes[33057] = 0x00009b14347c593aUL;
   tf->codes[33058] = 0x00009e445ddcc2eaUL;
   tf->codes[33059] = 0x00009ebe49a3c613UL;
   tf->codes[33060] = 0x0000a18bdc397918UL;
   tf->codes[33061] = 0x0000a2e877a7d1dcUL;
   tf->codes[33062] = 0x0000a487a3a9b98fUL;
   tf->codes[33063] = 0x0000a55d0ee9c088UL;
   tf->codes[33064] = 0x0000a8e967703f57UL;
   tf->codes[33065] = 0x0000b034e0843dcbUL;
   tf->codes[33066] = 0x0000b3c0c3ecb110UL;
   tf->codes[33067] = 0x0000b6fd4778524eUL;
   tf->codes[33068] = 0x0000b89228563660UL;
   tf->codes[33069] = 0x0000b997d777feb8UL;
   tf->codes[33070] = 0x0000ba7718bdfdc8UL;
   tf->codes[33071] = 0x0000bae3c01db24fUL;
   tf->codes[33072] = 0x0000bb7decaae2f9UL;
   tf->codes[33073] = 0x0000bc4c40993717UL;
   tf->codes[33074] = 0x0000bc983214b293UL;
   tf->codes[33075] = 0x0000bd9b228235afUL;
   tf->codes[33076] = 0x0000bdd11e5b874bUL;
   tf->codes[33077] = 0x0000bf7f633cebc8UL;
   tf->codes[33078] = 0x0000c0e1f131da8eUL;
   tf->codes[33079] = 0x0000c2fb08fac56aUL;
   tf->codes[33080] = 0x0000cb74ae13896bUL;
   tf->codes[33081] = 0x0000cc3df9b75e9bUL;
   tf->codes[33082] = 0x0000d7505a57a0deUL;
   tf->codes[33083] = 0x0000dadb5383fd0fUL;
   tf->codes[33084] = 0x0000eaa48fbf275eUL;
   tf->codes[33085] = 0x0000eac62fdf777dUL;
   tf->codes[33086] = 0x0000eb81fc8cf846UL;
   tf->codes[33087] = 0x0000ec6a9ebae3e3UL;
   tf->codes[33088] = 0x0000f5a0859f3437UL;
   tf->codes[33089] = 0x0000f5e60f760e27UL;
   tf->codes[33090] = 0x0000f83aa080d517UL;
   tf->codes[33091] = 0x0000fab85e1baa8bUL;
   tf->codes[33092] = 0x0000fce08ec41231UL;
   tf->codes[33093] = 0x00010155145a7113UL;
   tf->codes[33094] = 0x000105b996d53c17UL;
   tf->codes[33095] = 0x00010915e608ff4cUL;
   tf->codes[33096] = 0x00010ec1bdfd0a83UL;
   tf->codes[33097] = 0x000112ff22eefaf0UL;
   tf->codes[33098] = 0x0001186cfd7bea9cUL;
   tf->codes[33099] = 0x00011ca97831c3f5UL;
   tf->codes[33100] = 0x00011e07e8184ae1UL;
   tf->codes[33101] = 0x00011f3180f09d0aUL;
   tf->codes[33102] = 0x000123ca2acc8b82UL;
   tf->codes[33103] = 0x000126c1d42e641fUL;
   tf->codes[33104] = 0x000127b3622630bfUL;
   tf->codes[33105] = 0x00012a9a1e305e6aUL;
   tf->codes[33106] = 0x00012c7831d578bcUL;
   tf->codes[33107] = 0x000132a5f71e510bUL;
   tf->codes[33108] = 0x0001350f1e711f3dUL;
   tf->codes[33109] = 0x0001393e54bfa9f4UL;
   tf->codes[33110] = 0x00013ac62bc54529UL;
   tf->codes[33111] = 0x00013f7f8b856cacUL;
   tf->codes[33112] = 0x000141a2b3e35564UL;
   tf->codes[33113] = 0x0001439c752229d3UL;
   tf->codes[33114] = 0x000145d2d46df72fUL;
   tf->codes[33115] = 0x000148bf486fb517UL;
   tf->codes[33116] = 0x00014b4f52bc581bUL;
   tf->codes[33117] = 0x00014c30dd9890ddUL;
   tf->codes[33118] = 0x0001522e5effa7cdUL;
   tf->codes[33119] = 0x000153ab75c333d7UL;
   tf->codes[33120] = 0x00015c1f9d736d60UL;
   tf->codes[33121] = 0x00015d00edc0a05dUL;
   tf->codes[33122] = 0x00015e2961cdd5adUL;
   tf->codes[33123] = 0x000162c4ca5e0961UL;
   tf->codes[33124] = 0x00016934e5ab6adaUL;
   tf->codes[33125] = 0x00016bb3c8115d27UL;
   tf->codes[33126] = 0x0001703641bc1bfaUL;
   tf->codes[33127] = 0x000171cf40a867e6UL;
   tf->codes[33128] = 0x000178f8a47e0ab1UL;
   tf->codes[33129] = 0x000179a46e0ff79cUL;
   tf->codes[33130] = 0x00017de1d301e809UL;
   tf->codes[33131] = 0x00017e3725655012UL;
   tf->codes[33132] = 0x000182bcd2e25fabUL;
   tf->codes[33133] = 0x0001847e8940ae91UL;
   tf->codes[33134] = 0x000186abfcc29aeaUL;
   tf->codes[33135] = 0x00018c87de0961bbUL;
   tf->codes[33136] = 0x00018f4e1ebe5c20UL;
   tf->codes[33137] = 0x000193bfab117001UL;
   tf->codes[33138] = 0x000193c52879fa79UL;
   tf->codes[33139] = 0x000194debe36b8c4UL;
   tf->codes[33140] = 0x000197030b5fbe55UL;
   tf->codes[33141] = 0x0001970345eec41aUL;
   tf->codes[33142] = 0x000197b6d67f752fUL;
   tf->codes[33143] = 0x00019ac4eaa18336UL;
   tf->codes[33144] = 0x00019bb678994fd6UL;
   tf->codes[33145] = 0x0001a155f662237fUL;
   tf->codes[33146] = 0x0001a15dbd60e7a9UL;
   tf->codes[33147] = 0x0001a78f6629220dUL;
   tf->codes[33148] = 0x0001a9fe80028641UL;
   tf->codes[33149] = 0x0001aa561bfc27fcUL;
   tf->codes[33150] = 0x0001b4d2e33bacf9UL;
   tf->codes[33151] = 0x0001b87c83450e48UL;
   tf->codes[33152] = 0x0001c29e7ab8a0c4UL;
   tf->codes[33153] = 0x0001c4e1342fa5aeUL;
   tf->codes[33154] = 0x0001c669f57157f7UL;
   tf->codes[33155] = 0x0001ca9b003810d6UL;
   tf->codes[33156] = 0x0001cc6aaaaabfadUL;
   tf->codes[33157] = 0x0001cec39452f43cUL;
   tf->codes[33158] = 0x0001d3710f05efbbUL;
   tf->codes[33159] = 0x0001d476be27b813UL;
   tf->codes[33160] = 0x0001d8ab374fc77dUL;
   tf->codes[33161] = 0x0001d8fa5c9d93bfUL;
   tf->codes[33162] = 0x0001d9f7cfa28c63UL;
   tf->codes[33163] = 0x0001daa866eff277UL;
   tf->codes[33164] = 0x0001dafea38f7194UL;
   tf->codes[33165] = 0x0001df44449e31b5UL;
   tf->codes[33166] = 0x0001e059bc4c8826UL;
   tf->codes[33167] = 0x0001e457c47d3a6aUL;
   tf->codes[33168] = 0x0001ea3b3233bfa0UL;
   tf->codes[33169] = 0x0001ea5336dd1d6dUL;
   tf->codes[33170] = 0x0001f0b60dc33044UL;
   tf->codes[33171] = 0x0001f326c185bcdbUL;
   tf->codes[33172] = 0x0001f6b1f5411ed1UL;
   tf->codes[33173] = 0x0001fd2be6947861UL;
   tf->codes[33174] = 0x0000003d2e88d72eUL;
   tf->codes[33175] = 0x0000013efa2b3d71UL;
   tf->codes[33176] = 0x0000097adc6bebacUL;
   tf->codes[33177] = 0x000009e7f8e9abbdUL;
   tf->codes[33178] = 0x00000a3633fb60ebUL;
   tf->codes[33179] = 0x00000a63f3b7e2d3UL;
   tf->codes[33180] = 0x00000cb4dbd24d73UL;
   tf->codes[33181] = 0x00000d09b917a9f2UL;
   tf->codes[33182] = 0x00000da2864ab7feUL;
   tf->codes[33183] = 0x000012f5285bf917UL;
   tf->codes[33184] = 0x0000145865fdf92cUL;
   tf->codes[33185] = 0x00001bd66c89f2b1UL;
   tf->codes[33186] = 0x0000296b1df17dccUL;
   tf->codes[33187] = 0x00002a676c2b5997UL;
   tf->codes[33188] = 0x00002ab5e1cc148aUL;
   tf->codes[33189] = 0x00002e686d9f56dcUL;
   tf->codes[33190] = 0x00003388f756a86eUL;
   tf->codes[33191] = 0x0000339e77dac6c4UL;
   tf->codes[33192] = 0x00003b5ba098f8adUL;
   tf->codes[33193] = 0x00003d7c0a429c29UL;
   tf->codes[33194] = 0x00003da7f586efe9UL;
   tf->codes[33195] = 0x00003e42d1c131e2UL;
   tf->codes[33196] = 0x000040039de369b4UL;
   tf->codes[33197] = 0x000041ffe3477d9aUL;
   tf->codes[33198] = 0x00004504d110a4d9UL;
   tf->codes[33199] = 0x000046466e9254cfUL;
   tf->codes[33200] = 0x00004ac95d5b1f2cUL;
   tf->codes[33201] = 0x00004f3cf8b566faUL;
   tf->codes[33202] = 0x0000567749e2b4b7UL;
   tf->codes[33203] = 0x000057a9ce84e7e3UL;
   tf->codes[33204] = 0x000058179aafb943UL;
   tf->codes[33205] = 0x0000595c6c03b9ffUL;
   tf->codes[33206] = 0x00005ca6e3a3bb2eUL;
   tf->codes[33207] = 0x000060a058a7fa0eUL;
   tf->codes[33208] = 0x000068e6860cabeaUL;
   tf->codes[33209] = 0x00006d4b43167cb3UL;
   tf->codes[33210] = 0x00006e3f553388caUL;
   tf->codes[33211] = 0x000070fd945ab940UL;
   tf->codes[33212] = 0x0000711a2c308a71UL;
   tf->codes[33213] = 0x000071a3a5f515eeUL;
   tf->codes[33214] = 0x0000743ee5a1d3a7UL;
   tf->codes[33215] = 0x00007b27183e0a21UL;
   tf->codes[33216] = 0x00007d2aaf82d6a7UL;
   tf->codes[33217] = 0x00007ebf9060bab9UL;
   tf->codes[33218] = 0x0000800dc29ca802UL;
   tf->codes[33219] = 0x00008057a510ef91UL;
   tf->codes[33220] = 0x000081dde22d6263UL;
   tf->codes[33221] = 0x00008338e3b292c4UL;
   tf->codes[33222] = 0x000086a0a2d57673UL;
   tf->codes[33223] = 0x00008d81be1ffa12UL;
   tf->codes[33224] = 0x00008d98d88d40cbUL;
   tf->codes[33225] = 0x0000938398247ea1UL;
   tf->codes[33226] = 0x000094601ab63875UL;
   tf->codes[33227] = 0x000094af7a930a7cUL;
   tf->codes[33228] = 0x000094c4fb1728d2UL;
   tf->codes[33229] = 0x00009825685953e1UL;
   tf->codes[33230] = 0x000099067e178119UL;
   tf->codes[33231] = 0x0000a07d6d51c7c3UL;
   tf->codes[33232] = 0x0000a2337931f06aUL;
   tf->codes[33233] = 0x0000b0ea7191150eUL;
   tf->codes[33234] = 0x0000b144cc3efc05UL;
   tf->codes[33235] = 0x0000b2cdc80fb413UL;
   tf->codes[33236] = 0x0000b31f7182bfccUL;
   tf->codes[33237] = 0x0000bfb4a0de1e56UL;
   tf->codes[33238] = 0x0000c080e5c53e87UL;
   tf->codes[33239] = 0x0000c779cb2a1a2eUL;
   tf->codes[33240] = 0x0000d351ce7dd551UL;
   tf->codes[33241] = 0x0000d649ecfdb978UL;
   tf->codes[33242] = 0x0000d800a88af36eUL;
   tf->codes[33243] = 0x0000d9650af8105cUL;
   tf->codes[33244] = 0x0000daeb82a388f3UL;
   tf->codes[33245] = 0x0000dc84f6ade069UL;
   tf->codes[33246] = 0x0000e8f00f3d195bUL;
   tf->codes[33247] = 0x0000e92b887ef56fUL;
   tf->codes[33248] = 0x0000e9caf7e5aaccUL;
   tf->codes[33249] = 0x0000efd0404b85e6UL;
   tf->codes[33250] = 0x0000f3a6f06457ceUL;
   tf->codes[33251] = 0x0000f77d65ee23f1UL;
   tf->codes[33252] = 0x0000faeb5226a367UL;
   tf->codes[33253] = 0x0000faf269785642UL;
   tf->codes[33254] = 0x0000fe4fa2e8308bUL;
   tf->codes[33255] = 0x00010495324b60e2UL;
   tf->codes[33256] = 0x0001057d5f5b40f5UL;
   tf->codes[33257] = 0x000106bf71fafc75UL;
   tf->codes[33258] = 0x00010704fbd1d665UL;
   tf->codes[33259] = 0x000108904138c825UL;
   tf->codes[33260] = 0x000110a0e7e233efUL;
   tf->codes[33261] = 0x000111882ab5fceeUL;
   tf->codes[33262] = 0x0001138b876bc3afUL;
   tf->codes[33263] = 0x0001162358b72addUL;
   tf->codes[33264] = 0x00012841d5aa2d6bUL;
   tf->codes[33265] = 0x00012c1a1fac27b6UL;
   tf->codes[33266] = 0x00012ca4491dc482UL;
   tf->codes[33267] = 0x00013f531c97ffa3UL;
   tf->codes[33268] = 0x0001404310a6a3e0UL;
   tf->codes[33269] = 0x000143291d03c03cUL;
   tf->codes[33270] = 0x00014c70665dc70cUL;
   tf->codes[33271] = 0x000152f9360197a1UL;
   tf->codes[33272] = 0x000154b3d50e33acUL;
   tf->codes[33273] = 0x000154dc8c8036a6UL;
   tf->codes[33274] = 0x0001553acaad7fb2UL;
   tf->codes[33275] = 0x000156aebb1824f4UL;
   tf->codes[33276] = 0x000158a6a7decb3bUL;
   tf->codes[33277] = 0x000159a53faee0b8UL;
   tf->codes[33278] = 0x0001642ab82940f3UL;
   tf->codes[33279] = 0x000167fac60e6b8aUL;
   tf->codes[33280] = 0x000171462d76da34UL;
   tf->codes[33281] = 0x00017742ff30dfd5UL;
   tf->codes[33282] = 0x00017d55c68d0f56UL;
   tf->codes[33283] = 0x00017eefea44781bUL;
   tf->codes[33284] = 0x00018309da9dea41UL;
   tf->codes[33285] = 0x00018b4213ee3c2cUL;
   tf->codes[33286] = 0x0001966945658b76UL;
   tf->codes[33287] = 0x000198df017296fbUL;
   tf->codes[33288] = 0x0001a03241855999UL;
   tf->codes[33289] = 0x0001a2410e2a40d4UL;
   tf->codes[33290] = 0x0001a5c1bc329964UL;
   tf->codes[33291] = 0x0001a610a6f15fe1UL;
   tf->codes[33292] = 0x0001aa19a9f32715UL;
   tf->codes[33293] = 0x0001ae9c239de5e8UL;
   tf->codes[33294] = 0x0001aebd4ea02a7dUL;
   tf->codes[33295] = 0x0001b3a4e33adf72UL;
   tf->codes[33296] = 0x0001b5340c213347UL;
   tf->codes[33297] = 0x0001bcadf49ec4f2UL;
   tf->codes[33298] = 0x0001c1a29311c2c4UL;
   tf->codes[33299] = 0x0001c39a0aba5d81UL;
   tf->codes[33300] = 0x0001d18e59a95446UL;
   tf->codes[33301] = 0x0001d2a35c399f2dUL;
   tf->codes[33302] = 0x0001d2b02b82e245UL;
   tf->codes[33303] = 0x0001d5a5c5dd86f5UL;
   tf->codes[33304] = 0x0001d5e8567115e4UL;
   tf->codes[33305] = 0x0001da01971d76bbUL;
   tf->codes[33306] = 0x0001dad26f310a50UL;
   tf->codes[33307] = 0x0001e0be539364ffUL;
   tf->codes[33308] = 0x0001e573cfd42a6dUL;
   tf->codes[33309] = 0x0001e5f7cc302b72UL;
   tf->codes[33310] = 0x0001e75c692c4e25UL;
   tf->codes[33311] = 0x0001e802efe4b65dUL;
   tf->codes[33312] = 0x0001eb27a955ff93UL;
   tf->codes[33313] = 0x0001eb7743c1d75fUL;
   tf->codes[33314] = 0x0001ec747c37ca3eUL;
   tf->codes[33315] = 0x0001ec873e07a358UL;
   tf->codes[33316] = 0x0001ecdba62ef44dUL;
   tf->codes[33317] = 0x0001ee53b4a80169UL;
   tf->codes[33318] = 0x0001ef3071c8c102UL;
   tf->codes[33319] = 0x0001f7a7cd4b4b51UL;
   tf->codes[33320] = 0x0001fb27cba69292UL;
   tf->codes[33321] = 0x000001cde2cd45a7UL;
   tf->codes[33322] = 0x00000c614f5c05d3UL;
   tf->codes[33323] = 0x0000114192160228UL;
   tf->codes[33324] = 0x000016a4e6efe86eUL;
   tf->codes[33325] = 0x00001c558c9f6cceUL;
   tf->codes[33326] = 0x00001f55378f0f5aUL;
   tf->codes[33327] = 0x00002003bfd54181UL;
   tf->codes[33328] = 0x000021814bb6d915UL;
   tf->codes[33329] = 0x00002360beb61605UL;
   tf->codes[33330] = 0x00002a345b0a453dUL;
   tf->codes[33331] = 0x00002c78ae6a728aUL;
   tf->codes[33332] = 0x000033fb82b1e538UL;
   tf->codes[33333] = 0x00003474843cd14dUL;
   tf->codes[33334] = 0x0000352a5e63bc14UL;
   tf->codes[33335] = 0x00003578245765b8UL;
   tf->codes[33336] = 0x0000375d4f4e32e5UL;
   tf->codes[33337] = 0x000040841d53066fUL;
   tf->codes[33338] = 0x000041473be13fd8UL;
   tf->codes[33339] = 0x000044658dade782UL;
   tf->codes[33340] = 0x0000460c0b9087d5UL;
   tf->codes[33341] = 0x00004f8a3afff755UL;
   tf->codes[33342] = 0x000050ca04097923UL;
   tf->codes[33343] = 0x00005601e2bd1733UL;
   tf->codes[33344] = 0x00005741e6559ec6UL;
   tf->codes[33345] = 0x0000585b4183574cUL;
   tf->codes[33346] = 0x00005a8ac40c7792UL;
   tf->codes[33347] = 0x00005c1902b6b453UL;
   tf->codes[33348] = 0x00005d00f5378ea1UL;
   tf->codes[33349] = 0x00005feaaa85074dUL;
   tf->codes[33350] = 0x00006241fa441379UL;
   tf->codes[33351] = 0x0000688c1cd3b734UL;
   tf->codes[33352] = 0x000068bb3bea5bbaUL;
   tf->codes[33353] = 0x000069a4c8545e6bUL;
   tf->codes[33354] = 0x00006f582cb82807UL;
   tf->codes[33355] = 0x000070f6e39c0430UL;
   tf->codes[33356] = 0x00007832ceb27a50UL;
   tf->codes[33357] = 0x000078417273eb90UL;
   tf->codes[33358] = 0x00007cbc251fe639UL;
   tf->codes[33359] = 0x00007ee5b522707dUL;
   tf->codes[33360] = 0x00008273e2211d74UL;
   tf->codes[33361] = 0x00008944853201abUL;
   tf->codes[33362] = 0x0000954037ad40daUL;
   tf->codes[33363] = 0x000099ad30d3e157UL;
   tf->codes[33364] = 0x000099c201aaee5eUL;
   tf->codes[33365] = 0x00009f9865892ab7UL;
   tf->codes[33366] = 0x0000a1e988329b1cUL;
   tf->codes[33367] = 0x0000a3377fdf82a0UL;
   tf->codes[33368] = 0x0000a3febc7c23e3UL;
   tf->codes[33369] = 0x0000a8f0d6c9e23eUL;
   tf->codes[33370] = 0x0000aec7afc62a21UL;
   tf->codes[33371] = 0x0000b18b31c6df4aUL;
   tf->codes[33372] = 0x0000b2f670f6a94eUL;
   tf->codes[33373] = 0x0000b3d53d1e9cd4UL;
   tf->codes[33374] = 0x0000b42218d62f64UL;
   tf->codes[33375] = 0x0000b568f931640dUL;
   tf->codes[33376] = 0x0000b5bec0b2d7a0UL;
   tf->codes[33377] = 0x0000bb23ea04ec0eUL;
   tf->codes[33378] = 0x0000c5c6aa022ec9UL;
   tf->codes[33379] = 0x0000cb6abaf775d6UL;
   tf->codes[33380] = 0x0000d70a3e4c9fe6UL;
   tf->codes[33381] = 0x0000dc6d1e087aa2UL;
   tf->codes[33382] = 0x0000e7397fb3d76bUL;
   tf->codes[33383] = 0x0000eb637328dd6fUL;
   tf->codes[33384] = 0x0000ef68cd3a4853UL;
   tf->codes[33385] = 0x0000efaa3902ba69UL;
   tf->codes[33386] = 0x0000f07817d302fdUL;
   tf->codes[33387] = 0x0000f29eae924240UL;
   tf->codes[33388] = 0x0000fcdffc8feb29UL;
   tf->codes[33389] = 0x000106ca23b1fde1UL;
   tf->codes[33390] = 0x0001079961dc6913UL;
   tf->codes[33391] = 0x00010f4c7a059d20UL;
   tf->codes[33392] = 0x000118a525d55a6cUL;
   tf->codes[33393] = 0x000125bb58496efaUL;
   tf->codes[33394] = 0x000127a5c619c0daUL;
   tf->codes[33395] = 0x00012f1d2a72130eUL;
   tf->codes[33396] = 0x0001338fa1013e03UL;
   tf->codes[33397] = 0x000137bf4c6dd444UL;
   tf->codes[33398] = 0x00013afd2f539820UL;
   tf->codes[33399] = 0x00013c31134fedeaUL;
   tf->codes[33400] = 0x00013e1e3fd48506UL;
   tf->codes[33401] = 0x00013f4b819d337fUL;
   tf->codes[33402] = 0x0001414df416e32cUL;
   tf->codes[33403] = 0x000141bfa3c116a1UL;
   tf->codes[33404] = 0x0001470b2e80a4dfUL;
   tf->codes[33405] = 0x00014a2e1379bfedUL;
   tf->codes[33406] = 0x00014a87f9099b5aUL;
   tf->codes[33407] = 0x000151948a7a672fUL;
   tf->codes[33408] = 0x000152072460b1b8UL;
   tf->codes[33409] = 0x0001525733ea950eUL;
   tf->codes[33410] = 0x0001611edf125edfUL;
   tf->codes[33411] = 0x0001647ed7367e64UL;
   tf->codes[33412] = 0x000166ee662dee22UL;
   tf->codes[33413] = 0x00016779eef9ad8cUL;
   tf->codes[33414] = 0x00016b7cff74debeUL;
   tf->codes[33415] = 0x00016bfc2e15669aUL;
   tf->codes[33416] = 0x00016cd2be208a6cUL;
   tf->codes[33417] = 0x00017213fdbc1509UL;
   tf->codes[33418] = 0x000173e15e988a2eUL;
   tf->codes[33419] = 0x00018369699a482cUL;
   tf->codes[33420] = 0x0001847cd2416ab0UL;
   tf->codes[33421] = 0x00018688a5a306eaUL;
   tf->codes[33422] = 0x000188ec4f8d4aa4UL;
   tf->codes[33423] = 0x00018922c084a7caUL;
   tf->codes[33424] = 0x00018954d8de9751UL;
   tf->codes[33425] = 0x00018c8db379dc3fUL;
   tf->codes[33426] = 0x0001919b0643492dUL;
   tf->codes[33427] = 0x00019408863384feUL;
   tf->codes[33428] = 0x00019416ef65f079UL;
   tf->codes[33429] = 0x00019542d1d47c54UL;
   tf->codes[33430] = 0x00019a217aa55046UL;
   tf->codes[33431] = 0x00019be62a46ea2dUL;
   tf->codes[33432] = 0x00019c6225152143UL;
   tf->codes[33433] = 0x00019ccae8f573b5UL;
   tf->codes[33434] = 0x0001a44d82ade09eUL;
   tf->codes[33435] = 0x0001a648ddd5dd70UL;
   tf->codes[33436] = 0x0001aaeda74dfdb1UL;
   tf->codes[33437] = 0x0001ad1a3093d2f6UL;
   tf->codes[33438] = 0x0001ad75005fc577UL;
   tf->codes[33439] = 0x0001b0fa07058ba6UL;
   tf->codes[33440] = 0x0001b4a62b342c6cUL;
   tf->codes[33441] = 0x0001b6f53ed668e4UL;
   tf->codes[33442] = 0x0001b81d7854986fUL;
   tf->codes[33443] = 0x0001bbb3e170151aUL;
   tf->codes[33444] = 0x0001bc747bd90f0cUL;
   tf->codes[33445] = 0x0001bf1dea29327bUL;
   tf->codes[33446] = 0x0001c0a3b22799c3UL;
   tf->codes[33447] = 0x0001c98396fb70bfUL;
   tf->codes[33448] = 0x0001cb036c734205UL;
   tf->codes[33449] = 0x0001cf67b45f0744UL;
   tf->codes[33450] = 0x0001d06059a886bfUL;
   tf->codes[33451] = 0x0001d1233da7ba63UL;
   tf->codes[33452] = 0x0001d88a29c66d2fUL;
   tf->codes[33453] = 0x0001d93b70c0e492UL;
   tf->codes[33454] = 0x0001d9a4e44e4853UL;
   tf->codes[33455] = 0x0001e023ddec20d1UL;
   tf->codes[33456] = 0x0001eb8eff5121a8UL;
   tf->codes[33457] = 0x0001ef289c3eef19UL;
   tf->codes[33458] = 0x0001ef2c0aa045a4UL;
   tf->codes[33459] = 0x0001f13e45a6836aUL;
   tf->codes[33460] = 0x0001f1dc1b241064UL;
   tf->codes[33461] = 0x0001f4c311bd43d4UL;
   tf->codes[33462] = 0x0001f64f7bef526dUL;
   tf->codes[33463] = 0x0001f6d5fc7092e9UL;
   tf->codes[33464] = 0x0001f9a479425d02UL;
   tf->codes[33465] = 0x0001fa1ba6551aefUL;
   tf->codes[33466] = 0x00000abee0fcbf9bUL;
   tf->codes[33467] = 0x0000137f6f46802aUL;
   tf->codes[33468] = 0x0000163e238bbc2aUL;
   tf->codes[33469] = 0x0000175a77fcbfb1UL;
   tf->codes[33470] = 0x000017f888095270UL;
   tf->codes[33471] = 0x00001b737e1a1ac3UL;
   tf->codes[33472] = 0x00001c5717fd8772UL;
   tf->codes[33473] = 0x00001f397b6a477eUL;
   tf->codes[33474] = 0x00002337f8b9054cUL;
   tf->codes[33475] = 0x000024895ec7435bUL;
   tf->codes[33476] = 0x00002492fa3e35adUL;
   tf->codes[33477] = 0x000024e8c1bfa940UL;
   tf->codes[33478] = 0x000027363b78bd55UL;
   tf->codes[33479] = 0x0000294e2e768b58UL;
   tf->codes[33480] = 0x00002e9a2e542520UL;
   tf->codes[33481] = 0x000031d970940b9aUL;
   tf->codes[33482] = 0x000032791a89c6bcUL;
   tf->codes[33483] = 0x0000332b864f5af8UL;
   tf->codes[33484] = 0x0000377dbc18586cUL;
   tf->codes[33485] = 0x0000380f376aadd8UL;
   tf->codes[33486] = 0x00003a201316c900UL;
   tf->codes[33487] = 0x00003cc4ee3a790bUL;
   tf->codes[33488] = 0x00003dab816130bbUL;
   tf->codes[33489] = 0x00003f42e6645444UL;
   tf->codes[33490] = 0x000043f2aaad8975UL;
   tf->codes[33491] = 0x0000486bc3705bbbUL;
   tf->codes[33492] = 0x00004cfe05a7a8a7UL;
   tf->codes[33493] = 0x00004f788f702d55UL;
   tf->codes[33494] = 0x00004fc8646b0ae6UL;
   tf->codes[33495] = 0x000051469ff9b3c9UL;
   tf->codes[33496] = 0x000053abe3cd1fe6UL;
   tf->codes[33497] = 0x00005a8b9fbd80e7UL;
   tf->codes[33498] = 0x00005ac544872ed3UL;
   tf->codes[33499] = 0x00005bbf0e9bcb27UL;
   tf->codes[33500] = 0x00005fc8fbd9a96fUL;
   tf->codes[33501] = 0x000064262c73bbd3UL;
   tf->codes[33502] = 0x000064a9ee40b713UL;
   tf->codes[33503] = 0x0000693ca5960f89UL;
   tf->codes[33504] = 0x00006a1ea59053d5UL;
   tf->codes[33505] = 0x00006afaed9307e4UL;
   tf->codes[33506] = 0x000070909555e376UL;
   tf->codes[33507] = 0x000070caaf3d9cecUL;
   tf->codes[33508] = 0x0000740ceac0ce67UL;
   tf->codes[33509] = 0x0000744c47820c90UL;
   tf->codes[33510] = 0x000077917c48890cUL;
   tf->codes[33511] = 0x000077a90bd3db4fUL;
   tf->codes[33512] = 0x000077fb9f82fe1cUL;
   tf->codes[33513] = 0x00007937850d1dd5UL;
   tf->codes[33514] = 0x00007cb2408ee063UL;
   tf->codes[33515] = 0x00007cb36559fd3cUL;
   tf->codes[33516] = 0x000082668f2ec113UL;
   tf->codes[33517] = 0x000083529fbe033bUL;
   tf->codes[33518] = 0x0000859cab15c0c5UL;
   tf->codes[33519] = 0x000087565fe645bcUL;
   tf->codes[33520] = 0x000087bc651252f2UL;
   tf->codes[33521] = 0x00008b917b41fc77UL;
   tf->codes[33522] = 0x00008e6db19920bcUL;
   tf->codes[33523] = 0x0000910ee3cc7477UL;
   tf->codes[33524] = 0x000091e4147d75abUL;
   tf->codes[33525] = 0x0000920838c30541UL;
   tf->codes[33526] = 0x0000a053e91c97fcUL;
   tf->codes[33527] = 0x0000a87507ffa32eUL;
   tf->codes[33528] = 0x0000b0b458a1a7f4UL;
   tf->codes[33529] = 0x0000b1a7bb11a2bcUL;
   tf->codes[33530] = 0x0000b54a093a4b6bUL;
   tf->codes[33531] = 0x0000b5f17a2ecab7UL;
   tf->codes[33532] = 0x0000b6f25b9519e6UL;
   tf->codes[33533] = 0x0000b7343c7b9786UL;
   tf->codes[33534] = 0x0000c429095e61baUL;
   tf->codes[33535] = 0x0000c7c02226efb4UL;
   tf->codes[33536] = 0x0000c9b6ea227922UL;
   tf->codes[33537] = 0x0000ca2b1df1ec0eUL;
   tf->codes[33538] = 0x0000d08c5aeed682UL;
   tf->codes[33539] = 0x0000d96f3905f87fUL;
   tf->codes[33540] = 0x0000da747309b54dUL;
   tf->codes[33541] = 0x0000dafe275d468fUL;
   tf->codes[33542] = 0x0000e30ff2d1cf32UL;
   tf->codes[33543] = 0x0000e318de9bb035UL;
   tf->codes[33544] = 0x0000e3c6b734d10dUL;
   tf->codes[33545] = 0x0000eb7c18f43eccUL;
   tf->codes[33546] = 0x0000eb93a87f910fUL;
   tf->codes[33547] = 0x0000ed43874a1defUL;
   tf->codes[33548] = 0x0000ef13e169de15UL;
   tf->codes[33549] = 0x0000f2238f75147fUL;
   tf->codes[33550] = 0x0000f2dbb33238f8UL;
   tf->codes[33551] = 0x0000f67fd5d30fcfUL;
   tf->codes[33552] = 0x0000fcdae5ba5e7cUL;
   tf->codes[33553] = 0x0001020c5cc95b00UL;
   tf->codes[33554] = 0x000103e861674165UL;
   tf->codes[33555] = 0x00010772e575920cUL;
   tf->codes[33556] = 0x000110fb6009052dUL;
   tf->codes[33557] = 0x000111930870f660UL;
   tf->codes[33558] = 0x0001148f0a703c9cUL;
   tf->codes[33559] = 0x0001180d6ee25b7aUL;
   tf->codes[33560] = 0x000118bb477b7c52UL;
   tf->codes[33561] = 0x00011dd5deac37e2UL;
   tf->codes[33562] = 0x00011fd30e4c62dcUL;
   tf->codes[33563] = 0x000120857a11f718UL;
   tf->codes[33564] = 0x000121e80806e5deUL;
   tf->codes[33565] = 0x000124f61c28f3e5UL;
   tf->codes[33566] = 0x00012747ee7f7599UL;
   tf->codes[33567] = 0x0001283d5ff6a44eUL;
   tf->codes[33568] = 0x000130e8332d40c2UL;
   tf->codes[33569] = 0x0001319f6cae4e27UL;
   tf->codes[33570] = 0x000133ac9f6a0cffUL;
   tf->codes[33571] = 0x000137fab724a299UL;
   tf->codes[33572] = 0x00013808361af700UL;
   tf->codes[33573] = 0x00014723d44c063cUL;
   tf->codes[33574] = 0x0001479a8c40b89fUL;
   tf->codes[33575] = 0x000149e45d097064UL;
   tf->codes[33576] = 0x00014b35136a9d24UL;
   tf->codes[33577] = 0x00014dd6459df0dfUL;
   tf->codes[33578] = 0x0001555d37f3cb67UL;
   tf->codes[33579] = 0x000156be668e978fUL;
   tf->codes[33580] = 0x000158342b716af9UL;
   tf->codes[33581] = 0x00015891b9f1a2b6UL;
   tf->codes[33582] = 0x0001595fd350f10fUL;
   tf->codes[33583] = 0x00015a420dda3b20UL;
   tf->codes[33584] = 0x00015c47eeb54158UL;
   tf->codes[33585] = 0x00015cebb6b96454UL;
   tf->codes[33586] = 0x0001603f54b24c4bUL;
   tf->codes[33587] = 0x000160e9beea1698UL;
   tf->codes[33588] = 0x000170b126ad12bfUL;
   tf->codes[33589] = 0x00017221339855ecUL;
   tf->codes[33590] = 0x00017527bb4aa58eUL;
   tf->codes[33591] = 0x000178bf83c044d7UL;
   tf->codes[33592] = 0x00017c9a51e77e99UL;
   tf->codes[33593] = 0x00017ed12651577fUL;
   tf->codes[33594] = 0x00017f2b0be132ecUL;
   tf->codes[33595] = 0x0001842aa52545aeUL;
   tf->codes[33596] = 0x00018837c63574bcUL;
   tf->codes[33597] = 0x0001894ba3faa2caUL;
   tf->codes[33598] = 0x00018b01ea69d136UL;
   tf->codes[33599] = 0x00018b691460fb45UL;
   tf->codes[33600] = 0x000192a2f0703d78UL;
   tf->codes[33601] = 0x000192eac3dd511aUL;
   tf->codes[33602] = 0x000194e8ddb99328UL;
   tf->codes[33603] = 0x00019a29331906b1UL;
   tf->codes[33604] = 0x00019b72d2288096UL;
   tf->codes[33605] = 0x00019f81c7b0ddccUL;
   tf->codes[33606] = 0x0001a1ff854bb340UL;
   tf->codes[33607] = 0x0001a71e7519dc6fUL;
   tf->codes[33608] = 0x0001a99764f938baUL;
   tf->codes[33609] = 0x0001ad1345461821UL;
   tf->codes[33610] = 0x0001b0583f7d8ed8UL;
   tf->codes[33611] = 0x0001b34896feaed5UL;
   tf->codes[33612] = 0x0001b805da3e386dUL;
   tf->codes[33613] = 0x0001bc53b769c842UL;
   tf->codes[33614] = 0x0001c40f0bafcc03UL;
   tf->codes[33615] = 0x0001c43ccb6c4debUL;
   tf->codes[33616] = 0x0001c4d76d178a1fUL;
   tf->codes[33617] = 0x0001c5b255c01b90UL;
   tf->codes[33618] = 0x0001c6e04735db58UL;
   tf->codes[33619] = 0x0001cd352a078e3eUL;
   tf->codes[33620] = 0x0001cda20bf6488aUL;
   tf->codes[33621] = 0x0001ce2593343e05UL;
   tf->codes[33622] = 0x0001d0784fc6d6cdUL;
   tf->codes[33623] = 0x0001d158f066f87bUL;
   tf->codes[33624] = 0x0001d215323284ceUL;
   tf->codes[33625] = 0x0001d2391be90e9fUL;
   tf->codes[33626] = 0x0001d539b114c83fUL;
   tf->codes[33627] = 0x0001d6042183ba48UL;
   tf->codes[33628] = 0x0001d73bae706c62UL;
   tf->codes[33629] = 0x0001d8bc6e2454bcUL;
   tf->codes[33630] = 0x0001e21519f41208UL;
   tf->codes[33631] = 0x0001e2581fa5ac81UL;
   tf->codes[33632] = 0x0001e3cb9af24639UL;
   tf->codes[33633] = 0x0001e4a01bf6361eUL;
   tf->codes[33634] = 0x0001e6aa556ea9f5UL;
   tf->codes[33635] = 0x0001ea04207d2db3UL;
   tf->codes[33636] = 0x0001ef4d9c358804UL;
   tf->codes[33637] = 0x0001f1e114e38193UL;
   tf->codes[33638] = 0x0001f8a8919b7f02UL;
   tf->codes[33639] = 0x0001fe316a15177cUL;
   tf->codes[33640] = 0x000000ef6ead422dUL;
   tf->codes[33641] = 0x000003aed29f8f7cUL;
   tf->codes[33642] = 0x00000b0421b98607UL;
   tf->codes[33643] = 0x0000116c00ea17ccUL;
   tf->codes[33644] = 0x0000116efa2d62cdUL;
   tf->codes[33645] = 0x0000147d48de7699UL;
   tf->codes[33646] = 0x000014aa937cecf7UL;
   tf->codes[33647] = 0x00001789136a4aeeUL;
   tf->codes[33648] = 0x000018fcc945ea6bUL;
   tf->codes[33649] = 0x00001a7a8fb687c4UL;
   tf->codes[33650] = 0x00001c3c0b85d0e5UL;
   tf->codes[33651] = 0x00001cdc65289d56UL;
   tf->codes[33652] = 0x00002aae9ed93872UL;
   tf->codes[33653] = 0x00002c9f744e2bdeUL;
   tf->codes[33654] = 0x0000311fa462b0ffUL;
   tf->codes[33655] = 0x0000339e4c399d87UL;
   tf->codes[33656] = 0x00003871bfaa56c4UL;
   tf->codes[33657] = 0x00003ae9c54d9bfbUL;
   tf->codes[33658] = 0x00004203d5b4bc37UL;
   tf->codes[33659] = 0x000042db4ffbf71dUL;
   tf->codes[33660] = 0x00004554054c4da3UL;
   tf->codes[33661] = 0x000045882cad7117UL;
   tf->codes[33662] = 0x00004c0f62681949UL;
   tf->codes[33663] = 0x00005351efb236baUL;
   tf->codes[33664] = 0x000055b4e9ef6925UL;
   tf->codes[33665] = 0x00005fd631b5ea52UL;
   tf->codes[33666] = 0x0000663858eeebdaUL;
   tf->codes[33667] = 0x0000751d86289df0UL;
   tf->codes[33668] = 0x000076bd61d796f2UL;
   tf->codes[33669] = 0x00007798bf9e33edUL;
   tf->codes[33670] = 0x000078c0f91c6378UL;
   tf->codes[33671] = 0x00007e949e465a95UL;
   tf->codes[33672] = 0x0000865d36f3acf8UL;
   tf->codes[33673] = 0x00008f25171e2627UL;
   tf->codes[33674] = 0x00009102f0343ab4UL;
   tf->codes[33675] = 0x0000924af55a8c36UL;
   tf->codes[33676] = 0x000095bb2b29455eUL;
   tf->codes[33677] = 0x000098dfe49a8e94UL;
   tf->codes[33678] = 0x00009c9aac8aa09aUL;
   tf->codes[33679] = 0x00009d31302774f4UL;
   tf->codes[33680] = 0x00009e053c0d594fUL;
   tf->codes[33681] = 0x0000a056d3d4d53eUL;
   tf->codes[33682] = 0x0000a4c65120b532UL;
   tf->codes[33683] = 0x0000aac9156150d5UL;
   tf->codes[33684] = 0x0000ad19133fa461UL;
   tf->codes[33685] = 0x0000adb514450333UL;
   tf->codes[33686] = 0x0000ae4ff07f452cUL;
   tf->codes[33687] = 0x0000af2436f42f4cUL;
   tf->codes[33688] = 0x0000afd57deea6afUL;
   tf->codes[33689] = 0x0000b03ef17c0a70UL;
   tf->codes[33690] = 0x0000b77b8c3f91dfUL;
   tf->codes[33691] = 0x0000b8cae3469c01UL;
   tf->codes[33692] = 0x0000b8f5e44ed8adUL;
   tf->codes[33693] = 0x0000b93edc870928UL;
   tf->codes[33694] = 0x0000b966a9bcf50eUL;
   tf->codes[33695] = 0x0000bc2f6e972eeaUL;
   tf->codes[33696] = 0x0000bec8d9cbbe7bUL;
   tf->codes[33697] = 0x0000cd8465575683UL;
   tf->codes[33698] = 0x0000d67203b087abUL;
   tf->codes[33699] = 0x0000df77a6b316a0UL;
   tf->codes[33700] = 0x0000e0f8db850a84UL;
   tf->codes[33701] = 0x0000eb89144179eaUL;
   tf->codes[33702] = 0x0000ecccfb596392UL;
   tf->codes[33703] = 0x0000f43422071c23UL;
   tf->codes[33704] = 0x0000f6177885bb28UL;
   tf->codes[33705] = 0x0000f66ffebb73f7UL;
   tf->codes[33706] = 0x0000f6be745c2eeaUL;
   tf->codes[33707] = 0x0000f9fa0dabb914UL;
   tf->codes[33708] = 0x0000fd15663515bdUL;
   tf->codes[33709] = 0x0000fdfa24e39f45UL;
   tf->codes[33710] = 0x000102ca648207bcUL;
   tf->codes[33711] = 0x000108bf34ae436eUL;
   tf->codes[33712] = 0x00010b1c76f3e59cUL;
   tf->codes[33713] = 0x00010d3170ae689eUL;
   tf->codes[33714] = 0x000114a05e5ae559UL;
   tf->codes[33715] = 0x000117e3841a2de8UL;
   tf->codes[33716] = 0x00011a8b1df2232fUL;
   tf->codes[33717] = 0x00011a9cbaf6df70UL;
   tf->codes[33718] = 0x00011fc4d11def67UL;
   tf->codes[33719] = 0x0001222ea81dcee8UL;
   tf->codes[33720] = 0x0001237dff24d90aUL;
   tf->codes[33721] = 0x0001283e3ba7ada3UL;
   tf->codes[33722] = 0x000130c141a85e31UL;
   tf->codes[33723] = 0x000131b93744cc5dUL;
   tf->codes[33724] = 0x000134385439c46fUL;
   tf->codes[33725] = 0x00013634999dd855UL;
   tf->codes[33726] = 0x0001373a834ea672UL;
   tf->codes[33727] = 0x0001388e32f31e33UL;
   tf->codes[33728] = 0x0001409abb8e2223UL;
   tf->codes[33729] = 0x00014147a9eb2be7UL;
   tf->codes[33730] = 0x000145f6f916558eUL;
   tf->codes[33731] = 0x0001492304685764UL;
   tf->codes[33732] = 0x00014a4e71b8d7b5UL;
   tf->codes[33733] = 0x00014e8aec6eb10eUL;
   tf->codes[33734] = 0x00014ed3e4a6e189UL;
   tf->codes[33735] = 0x00014eed48aa61f4UL;
   tf->codes[33736] = 0x0001510c186add0dUL;
   tf->codes[33737] = 0x00015244ca22ac00UL;
   tf->codes[33738] = 0x0001544b9539c94cUL;
   tf->codes[33739] = 0x00015759a95bd753UL;
   tf->codes[33740] = 0x00015b9b2c5c2f9aUL;
   tf->codes[33741] = 0x00015ec0205c7e95UL;
   tf->codes[33742] = 0x00015f37c28d480cUL;
   tf->codes[33743] = 0x000162e1d7b4b4e5UL;
   tf->codes[33744] = 0x0001662538030339UL;
   tf->codes[33745] = 0x00016b8f699f9695UL;
   tf->codes[33746] = 0x000171d6585ce98aUL;
   tf->codes[33747] = 0x000174878dabd123UL;
   tf->codes[33748] = 0x00017844d9c122a0UL;
   tf->codes[33749] = 0x00017ba6313f64c3UL;
   tf->codes[33750] = 0x000184d69abb2a9fUL;
   tf->codes[33751] = 0x00018785fb91e410UL;
   tf->codes[33752] = 0x00018ca3c694f066UL;
   tf->codes[33753] = 0x000195e7a18da0abUL;
   tf->codes[33754] = 0x00019df4d9d5b5eaUL;
   tf->codes[33755] = 0x0001a5c3da27a9d9UL;
   tf->codes[33756] = 0x0001a81f828423a4UL;
   tf->codes[33757] = 0x0001ac0d127b3680UL;
   tf->codes[33758] = 0x0001ac1b411e9c36UL;
   tf->codes[33759] = 0x0001afdfdf14a653UL;
   tf->codes[33760] = 0x0001b28b5c6bfdafUL;
   tf->codes[33761] = 0x0001b54d7f12903aUL;
   tf->codes[33762] = 0x0001b697cdcf1b6eUL;
   tf->codes[33763] = 0x0001c29b47491ec7UL;
   tf->codes[33764] = 0x0001c4a78fc8c68bUL;
   tf->codes[33765] = 0x0001c97a538c6e79UL;
   tf->codes[33766] = 0x0001ce98ce3c8c1eUL;
   tf->codes[33767] = 0x0001db36aed2c5e6UL;
   tf->codes[33768] = 0x0001e51f769ab600UL;
   tf->codes[33769] = 0x0001e759b965e571UL;
   tf->codes[33770] = 0x0001f346c81fb360UL;
   tf->codes[33771] = 0x0001f4e87846da8aUL;
   tf->codes[33772] = 0x0001f78eed53b2f8UL;
   tf->codes[33773] = 0x0001f927b1b0f91fUL;
   tf->codes[33774] = 0x0001fdb81f7017e3UL;
   tf->codes[33775] = 0x0001ff88eeade393UL;
   tf->codes[33776] = 0x0000029e8f3fafffUL;
   tf->codes[33777] = 0x000004a3c06da4e8UL;
   tf->codes[33778] = 0x000004ce4c57d60aUL;
   tf->codes[33779] = 0x00000791593a7fa9UL;
   tf->codes[33780] = 0x00000c1b99e402a6UL;
   tf->codes[33781] = 0x000012036037f57bUL;
   tf->codes[33782] = 0x000014e130784223UL;
   tf->codes[33783] = 0x000014f79b38778dUL;
   tf->codes[33784] = 0x000016408a9ae023UL;
   tf->codes[33785] = 0x000016d156402440UL;
   tf->codes[33786] = 0x00001715f5dae71cUL;
   tf->codes[33787] = 0x0000191d36100ff2UL;
   tf->codes[33788] = 0x000019b3448ed8c2UL;
   tf->codes[33789] = 0x00001c40559830c5UL;
   tf->codes[33790] = 0x00001eaceb4c5582UL;
   tf->codes[33791] = 0x000021ab36e1d570UL;
   tf->codes[33792] = 0x00002758a8bf090aUL;
   tf->codes[33793] = 0x000027cbb7c35f1dUL;
   tf->codes[33794] = 0x00002866596e9b51UL;
   tf->codes[33795] = 0x00002a7d9cbf5805UL;
   tf->codes[33796] = 0x000030e1987087b5UL;
   tf->codes[33797] = 0x00003208ad239a67UL;
   tf->codes[33798] = 0x000037bed03ba93fUL;
   tf->codes[33799] = 0x0000398d1b543578UL;
   tf->codes[33800] = 0x000039f9c2b3e9ffUL;
   tf->codes[33801] = 0x00003a0273eec53dUL;
   tf->codes[33802] = 0x00003a89deac1ccdUL;
   tf->codes[33803] = 0x0000488c5c3e7948UL;
   tf->codes[33804] = 0x000048df9f9aad64UL;
   tf->codes[33805] = 0x00004983dcbcdbeaUL;
   tf->codes[33806] = 0x00004bbab126b4d0UL;
   tf->codes[33807] = 0x00004cc94c125e2bUL;
   tf->codes[33808] = 0x00004ec9af84d9ebUL;
   tf->codes[33809] = 0x00005468088290bbUL;
   tf->codes[33810] = 0x000055b1e2211065UL;
   tf->codes[33811] = 0x000056be6e0585d3UL;
   tf->codes[33812] = 0x0000577f086e7fc5UL;
   tf->codes[33813] = 0x00005a9b85c2f947UL;
   tf->codes[33814] = 0x00005da7504ecd9cUL;
   tf->codes[33815] = 0x00005dc8063306a7UL;
   tf->codes[33816] = 0x00005f0a5361c7ecUL;
   tf->codes[33817] = 0x0000643353c4eef7UL;
   tf->codes[33818] = 0x00006acc2684536aUL;
   tf->codes[33819] = 0x00006b2a2a2296b1UL;
   tf->codes[33820] = 0x00006d11d93ea355UL;
   tf->codes[33821] = 0x00006f12ec5e3064UL;
   tf->codes[33822] = 0x0000705f0f92e9c0UL;
   tf->codes[33823] = 0x00007075053513a0UL;
   tf->codes[33824] = 0x000076e6454d91f2UL;
   tf->codes[33825] = 0x000077d8f8107b6bUL;
   tf->codes[33826] = 0x00007876cd8e0865UL;
   tf->codes[33827] = 0x000079ded8eb81a3UL;
   tf->codes[33828] = 0x00007d4413e925dbUL;
   tf->codes[33829] = 0x00007f6701b808ceUL;
   tf->codes[33830] = 0x000080c39d266192UL;
   tf->codes[33831] = 0x000083dfa55ccf8aUL;
   tf->codes[33832] = 0x000083e4731848b3UL;
   tf->codes[33833] = 0x000086d5b4d57fc4UL;
   tf->codes[33834] = 0x0000882003920af8UL;
   tf->codes[33835] = 0x00008950b3bc0ffcUL;
   tf->codes[33836] = 0x00008c8ed130d99dUL;
   tf->codes[33837] = 0x000097e6f636fb95UL;
   tf->codes[33838] = 0x00009ec1e46be36dUL;
   tf->codes[33839] = 0x0000a283891ea289UL;
   tf->codes[33840] = 0x0000a68992dd1ebcUL;
   tf->codes[33841] = 0x0000a809dd72fb8cUL;
   tf->codes[33842] = 0x0000aac0cab97362UL;
   tf->codes[33843] = 0x0000b30e0f6fd819UL;
   tf->codes[33844] = 0x0000b45d2be7dc76UL;
   tf->codes[33845] = 0x0000b5fb331ea750UL;
   tf->codes[33846] = 0x0000b7bbc4b1d95dUL;
   tf->codes[33847] = 0x0000bb4732fc4118UL;
   tf->codes[33848] = 0x0000c2c8a7e99128UL;
   tf->codes[33849] = 0x0000c40159a1601bUL;
   tf->codes[33850] = 0x0000cd1bcd7afc17UL;
   tf->codes[33851] = 0x0000e559a6846b79UL;
   tf->codes[33852] = 0x0000e67b033fedeeUL;
   tf->codes[33853] = 0x0000ec06d4fcd169UL;
   tf->codes[33854] = 0x0000ecc4eb408be4UL;
   tf->codes[33855] = 0x0000ed3416c57fe2UL;
   tf->codes[33856] = 0x0000ef8a072a6970UL;
   tf->codes[33857] = 0x0000f3d90921161eUL;
   tf->codes[33858] = 0x0000fc3232e4a6d9UL;
   tf->codes[33859] = 0x0000fd7cf6bf3d97UL;
   tf->codes[33860] = 0x0000fec2ecde5b2cUL;
   tf->codes[33861] = 0x000101dfa4c1da73UL;
   tf->codes[33862] = 0x000111cfc3f6d994UL;
   tf->codes[33863] = 0x0001162c44e3daa9UL;
   tf->codes[33864] = 0x000119c4f7959106UL;
   tf->codes[33865] = 0x00011ca009219872UL;
   tf->codes[33866] = 0x00012083c312b337UL;
   tf->codes[33867] = 0x000121a853a08672UL;
   tf->codes[33868] = 0x00012527a24ebc64UL;
   tf->codes[33869] = 0x00013a408757dccbUL;
   tf->codes[33870] = 0x00013d70b0b8467bUL;
   tf->codes[33871] = 0x00013df2637e0dceUL;
   tf->codes[33872] = 0x000144240c464832UL;
   tf->codes[33873] = 0x00014bb7cde565d2UL;
   tf->codes[33874] = 0x00014c544408d02eUL;
   tf->codes[33875] = 0x00014d05507441ccUL;
   tf->codes[33876] = 0x00014fd5a1be3a0dUL;
   tf->codes[33877] = 0x0001536e19e0eaa5UL;
   tf->codes[33878] = 0x0001707b0dbda5a5UL;
   tf->codes[33879] = 0x00017129d092dd91UL;
   tf->codes[33880] = 0x00017163ea7a9707UL;
   tf->codes[33881] = 0x000175c832665c46UL;
   tf->codes[33882] = 0x000177219a026444UL;
   tf->codes[33883] = 0x00017736a5687710UL;
   tf->codes[33884] = 0x00017804f956cb2eUL;
   tf->codes[33885] = 0x000178077d7c0aa5UL;
   tf->codes[33886] = 0x0001862ab0f2a02bUL;
   tf->codes[33887] = 0x0001866abd60efa3UL;
   tf->codes[33888] = 0x00018ecac3e72d74UL;
   tf->codes[33889] = 0x00019a23989a60bbUL;
   tf->codes[33890] = 0x00019f2abe4e31e2UL;
   tf->codes[33891] = 0x0001a106fd7b1e0cUL;
   tf->codes[33892] = 0x0001a62453601ed8UL;
   tf->codes[33893] = 0x0001a8deaf07ed39UL;
   tf->codes[33894] = 0x0001b002d0040b51UL;
   tf->codes[33895] = 0x0001b237cff5b60fUL;
   tf->codes[33896] = 0x0001b266b47d54d0UL;
   tf->codes[33897] = 0x0001b3da6a58f44dUL;
   tf->codes[33898] = 0x0001b5f2d274cddaUL;
   tf->codes[33899] = 0x0001b828821389e7UL;
   tf->codes[33900] = 0x0001b89564024433UL;
   tf->codes[33901] = 0x0001b9f77cd9276fUL;
   tf->codes[33902] = 0x0001bae9ba7e055eUL;
   tf->codes[33903] = 0x0001bb04f2f9b3f1UL;
   tf->codes[33904] = 0x0001bcf7d775db4aUL;
   tf->codes[33905] = 0x0001bd35d4dcf6d5UL;
   tf->codes[33906] = 0x0001bec9cb7ec3d3UL;
   tf->codes[33907] = 0x0001bfb860334572UL;
   tf->codes[33908] = 0x0001c0846a8b5fdeUL;
   tf->codes[33909] = 0x0001c1311e5963ddUL;
   tf->codes[33910] = 0x0001ce33a4c1883dUL;
   tf->codes[33911] = 0x0001dae5a681bdbdUL;
   tf->codes[33912] = 0x0001dcf731daea34UL;
   tf->codes[33913] = 0x0001e242820b72adUL;
   tf->codes[33914] = 0x0001e2707c56fa5aUL;
   tf->codes[33915] = 0x0001e3cf9bea9295UL;
   tf->codes[33916] = 0x0001e6952cf27babUL;
   tf->codes[33917] = 0x0001e83458f4635eUL;
   tf->codes[33918] = 0x0001ed0164c07b0fUL;
   tf->codes[33919] = 0x0001f267b2ddac56UL;
   tf->codes[33920] = 0x0001f33e7d77d5edUL;
   tf->codes[33921] = 0x0001f4b6c67fe8ceUL;
   tf->codes[33922] = 0x0001f7b5c1c27a0bUL;
   tf->codes[33923] = 0x0001fa8404053e5fUL;
   tf->codes[33924] = 0x0001fb421a48f8daUL;
   tf->codes[33925] = 0x0001fc01ca75dbb8UL;
   tf->codes[33926] = 0x0001fc2a4758d8edUL;
   tf->codes[33927] = 0x0001fd3489a714a9UL;
   tf->codes[33928] = 0x0001fed3b5a8fc5cUL;
   tf->codes[33929] = 0x0001ff77088f13ceUL;
   tf->codes[33930] = 0x0000006a6aff0e96UL;
   tf->codes[33931] = 0x000000d578759abaUL;
   tf->codes[33932] = 0x00000477518037dfUL;
   tf->codes[33933] = 0x000005523a28c950UL;
   tf->codes[33934] = 0x0000075730c7b874UL;
   tf->codes[33935] = 0x000007f99971b8d2UL;
   tf->codes[33936] = 0x00000a457941a484UL;
   tf->codes[33937] = 0x00000a59d4faa601UL;
   tf->codes[33938] = 0x00000d184eb0dc3cUL;
   tf->codes[33939] = 0x00000ffdab60e749UL;
   tf->codes[33940] = 0x000013d002dc4b92UL;
   tf->codes[33941] = 0x00001a41f2a1db33UL;
   tf->codes[33942] = 0x0000228770597bc0UL;
   tf->codes[33943] = 0x00002416993fcf95UL;
   tf->codes[33944] = 0x000024f5da85cea5UL;
   tf->codes[33945] = 0x0000263ae668d526UL;
   tf->codes[33946] = 0x00002771c3a875f1UL;
   tf->codes[33947] = 0x000028e9227471beUL;
   tf->codes[33948] = 0x00002eaa05ce8fc1UL;
   tf->codes[33949] = 0x000035664d26727bUL;
   tf->codes[33950] = 0x000035ce9be8b963UL;
   tf->codes[33951] = 0x000035d578ab6679UL;
   tf->codes[33952] = 0x00004046cffbcafcUL;
   tf->codes[33953] = 0x000047e5c6fb0351UL;
   tf->codes[33954] = 0x00004974b5525161UL;
   tf->codes[33955] = 0x000054eb0c176cedUL;
   tf->codes[33956] = 0x0000564105521e60UL;
   tf->codes[33957] = 0x000057da043e6a4cUL;
   tf->codes[33958] = 0x000058ff44794ed6UL;
   tf->codes[33959] = 0x00005b95f0f9992bUL;
   tf->codes[33960] = 0x00005d40c779a71dUL;
   tf->codes[33961] = 0x00005f337166c8b1UL;
   tf->codes[33962] = 0x000060e64974a092UL;
   tf->codes[33963] = 0x00006ae5b68bcbdbUL;
   tf->codes[33964] = 0x000070feaafd9723UL;
   tf->codes[33965] = 0x000071ee29ee2fd6UL;
   tf->codes[33966] = 0x000073f73e9b86d4UL;
   tf->codes[33967] = 0x000074bb4765d751UL;
   tf->codes[33968] = 0x00007e1e78e89e03UL;
   tf->codes[33969] = 0x00007fd35ffda9d1UL;
   tf->codes[33970] = 0x00008008370bde94UL;
   tf->codes[33971] = 0x00008576fbd4e554UL;
   tf->codes[33972] = 0x000085c4c1c88ef8UL;
   tf->codes[33973] = 0x0000869adcb5a740UL;
   tf->codes[33974] = 0x00008895883092c3UL;
   tf->codes[33975] = 0x0000897454588649UL;
   tf->codes[33976] = 0x00008a969b501fd2UL;
   tf->codes[33977] = 0x000095cb112ebdbeUL;
   tf->codes[33978] = 0x00009d07e6814af2UL;
   tf->codes[33979] = 0x00009ff2860adab2UL;
   tf->codes[33980] = 0x0000a3a9a50a9068UL;
   tf->codes[33981] = 0x0000a83f903239a4UL;
   tf->codes[33982] = 0x0000a8646424da89UL;
   tf->codes[33983] = 0x0000ad7893b0f48dUL;
   tf->codes[33984] = 0x0000af3283107f49UL;
   tf->codes[33985] = 0x0000b04a09c609a7UL;
   tf->codes[33986] = 0x0000b21a9e74cf92UL;
   tf->codes[33987] = 0x0000b78d814c3e2cUL;
   tf->codes[33988] = 0x0000b92645a98453UL;
   tf->codes[33989] = 0x0000bb0be5be5d0aUL;
   tf->codes[33990] = 0x0000bd933ed024d0UL;
   tf->codes[33991] = 0x0000c4298d6a49ccUL;
   tf->codes[33992] = 0x0000c47f1a5cb79aUL;
   tf->codes[33993] = 0x0000c609eaa59dd0UL;
   tf->codes[33994] = 0x0000cd8b9a21f3a5UL;
   tf->codes[33995] = 0x0000d02455a971e7UL;
   tf->codes[33996] = 0x0000d2477e075a9fUL;
   tf->codes[33997] = 0x0000d8f730a50006UL;
   tf->codes[33998] = 0x0000e18b5e8c614bUL;
   tf->codes[33999] = 0x0000e36e055def01UL;
   tf->codes[34000] = 0x0000e4295ced6440UL;
   tf->codes[34001] = 0x0000e582ff187203UL;
   tf->codes[34002] = 0x0000e93c67ae616bUL;
   tf->codes[34003] = 0x0000ec9bb0256fa1UL;
   tf->codes[34004] = 0x0000f22e993405f7UL;
   tf->codes[34005] = 0x0000f91a3a3192fcUL;
   tf->codes[34006] = 0x0000fe972d9dff72UL;
   tf->codes[34007] = 0x0001076749e54855UL;
   tf->codes[34008] = 0x00010bc0d18efe69UL;
   tf->codes[34009] = 0x00011a274546342dUL;
   tf->codes[34010] = 0x00011e4010d4897aUL;
   tf->codes[34011] = 0x000120a7292023bfUL;
   tf->codes[34012] = 0x000121fcad3cc9a8UL;
   tf->codes[34013] = 0x000122347d8e496cUL;
   tf->codes[34014] = 0x000122a876ceb693UL;
   tf->codes[34015] = 0x00012a98a222ef17UL;
   tf->codes[34016] = 0x00013580ebf70bc2UL;
   tf->codes[34017] = 0x0001365b9a10976eUL;
   tf->codes[34018] = 0x0001371dce62b9c3UL;
   tf->codes[34019] = 0x00013bf2dbbc9b63UL;
   tf->codes[34020] = 0x00015149f8bbdd1aUL;
   tf->codes[34021] = 0x000156a0b8db860dUL;
   tf->codes[34022] = 0x000159c328b69591UL;
   tf->codes[34023] = 0x000159db67eef923UL;
   tf->codes[34024] = 0x00015d72f5d592a7UL;
   tf->codes[34025] = 0x00015f455efc86baUL;
   tf->codes[34026] = 0x000166eea11fc2b0UL;
   tf->codes[34027] = 0x00016b36c653c248UL;
   tf->codes[34028] = 0x00016b9a475a9007UL;
   tf->codes[34029] = 0x00016f628e40f674UL;
   tf->codes[34030] = 0x0001708f205c939eUL;
   tf->codes[34031] = 0x000172e9695eeacbUL;
   tf->codes[34032] = 0x000175203dc8c3b1UL;
   tf->codes[34033] = 0x000176a30c83dff8UL;
   tf->codes[34034] = 0x000177b6752b027cUL;
   tf->codes[34035] = 0x00017a2295c11bafUL;
   tf->codes[34036] = 0x00017acb660fbd99UL;
   tf->codes[34037] = 0x00017db64028531eUL;
   tf->codes[34038] = 0x00017ee5cb873b49UL;
   tf->codes[34039] = 0x000188ab1eb6ad1cUL;
   tf->codes[34040] = 0x000189c59eaf827bUL;
   tf->codes[34041] = 0x00018e2bbb1375e2UL;
   tf->codes[34042] = 0x00018f5e0526a349UL;
   tf->codes[34043] = 0x000192318a42ec50UL;
   tf->codes[34044] = 0x00019343ce1ef1fbUL;
   tf->codes[34045] = 0x0001979eb522caadUL;
   tf->codes[34046] = 0x00019b87ec7c6feaUL;
   tf->codes[34047] = 0x00019d4bec70f882UL;
   tf->codes[34048] = 0x0001a09f154bd4efUL;
   tf->codes[34049] = 0x0001a4e2a7536123UL;
   tf->codes[34050] = 0x0001a9a1bf0b18e3UL;
   tf->codes[34051] = 0x0001aa26e03236c1UL;
   tf->codes[34052] = 0x0001ab4ea4925ac2UL;
   tf->codes[34053] = 0x0001ad5360a24421UL;
   tf->codes[34054] = 0x0001af137d176aa4UL;
   tf->codes[34055] = 0x0001b21f823244beUL;
   tf->codes[34056] = 0x0001b4a15ddb820cUL;
   tf->codes[34057] = 0x0001b618f736839eUL;
   tf->codes[34058] = 0x0001b83ede48b192UL;
   tf->codes[34059] = 0x0001b8be47783f33UL;
   tf->codes[34060] = 0x0001b8ca2c856b37UL;
   tf->codes[34061] = 0x0001bd17cf21f547UL;
   tf->codes[34062] = 0x0001c1dbb4952630UL;
   tf->codes[34063] = 0x0001c245282289f1UL;
   tf->codes[34064] = 0x0001c2a9cdf47489UL;
   tf->codes[34065] = 0x0001c37c05622abcUL;
   tf->codes[34066] = 0x0001c3cab591eb74UL;
   tf->codes[34067] = 0x0001c4bae42f9576UL;
   tf->codes[34068] = 0x0001c7f2d48ec350UL;
   tf->codes[34069] = 0x0001cfbfc5d98352UL;
   tf->codes[34070] = 0x0001cffac9fd53dcUL;
   tf->codes[34071] = 0x0001d12671dcd9f2UL;
   tf->codes[34072] = 0x0001d3206daab426UL;
   tf->codes[34073] = 0x0001d3f31a3675e3UL;
   tf->codes[34074] = 0x0001d564fb99e738UL;
   tf->codes[34075] = 0x0001d641090d9582UL;
   tf->codes[34076] = 0x0001d66b5a68c0dfUL;
   tf->codes[34077] = 0x0001d92491457267UL;
   tf->codes[34078] = 0x0001d984695be3d6UL;
   tf->codes[34079] = 0x0001e26413a0b50dUL;
   tf->codes[34080] = 0x0001e337354a8254UL;
   tf->codes[34081] = 0x0001efd933ef23f6UL;
   tf->codes[34082] = 0x0001f025256a9f72UL;
   tf->codes[34083] = 0x0001f2c82c162155UL;
   tf->codes[34084] = 0x0001f3fa3b9a48f7UL;
   tf->codes[34085] = 0x0001f6482a716896UL;
   tf->codes[34086] = 0x0001f6899639daacUL;
   tf->codes[34087] = 0x0001fc218792eff0UL;
   tf->codes[34088] = 0x0001ff2ca271b2f6UL;
   tf->codes[34089] = 0x0001ff429813dcd6UL;
   tf->codes[34090] = 0x0000002f1dc12a88UL;
   tf->codes[34091] = 0x0000004a1badd356UL;
   tf->codes[34092] = 0x00000271d7382f72UL;
   tf->codes[34093] = 0x000003dd50f6ff3bUL;
   tf->codes[34094] = 0x00000427a8895254UL;
   tf->codes[34095] = 0x000009be75174abfUL;
   tf->codes[34096] = 0x00000a8d3e23aa67UL;
   tf->codes[34097] = 0x00001070714b29d8UL;
   tf->codes[34098] = 0x0000143f5a653796UL;
   tf->codes[34099] = 0x00001528372228f8UL;
   tf->codes[34100] = 0x000016b37c891ab8UL;
   tf->codes[34101] = 0x0000198442f11e83UL;
   tf->codes[34102] = 0x0000295be85eb44dUL;
   tf->codes[34103] = 0x0000326d35df6981UL;
   tf->codes[34104] = 0x0000352f1df6f647UL;
   tf->codes[34105] = 0x000037d0159b443dUL;
   tf->codes[34106] = 0x000037e81a44a20aUL;
   tf->codes[34107] = 0x000041af075d3c40UL;
   tf->codes[34108] = 0x000042dff2164709UL;
   tf->codes[34109] = 0x000043b9f082c166UL;
   tf->codes[34110] = 0x000049c2322be781UL;
   tf->codes[34111] = 0x00004cca8e56654bUL;
   tf->codes[34112] = 0x00004e1a5a7b7af7UL;
   tf->codes[34113] = 0x0000529c5f082e40UL;
   tf->codes[34114] = 0x0000547e1b9da4e2UL;
   tf->codes[34115] = 0x000057a51ea527caUL;
   tf->codes[34116] = 0x0000670054267af4UL;
   tf->codes[34117] = 0x00006cc3bba5d86eUL;
   tf->codes[34118] = 0x00006cc430c3e3f8UL;
   tf->codes[34119] = 0x00007e342570b45fUL;
   tf->codes[34120] = 0x00008085bd38304eUL;
   tf->codes[34121] = 0x0000876defd466c8UL;
   tf->codes[34122] = 0x00008a1eea94489cUL;
   tf->codes[34123] = 0x00008c024112e7a1UL;
   tf->codes[34124] = 0x000093e6123be897UL;
   tf->codes[34125] = 0x000096338bf4fcacUL;
   tf->codes[34126] = 0x00009740c7868369UL;
   tf->codes[34127] = 0x000097ce5f5976c0UL;
   tf->codes[34128] = 0x00009aa761de4a3fUL;
   tf->codes[34129] = 0x00009dfb74f53dc0UL;
   tf->codes[34130] = 0x00009f4dffce98a8UL;
   tf->codes[34131] = 0x0000a5ba379c980cUL;
   tf->codes[34132] = 0x0000a80393474447UL;
   tf->codes[34133] = 0x0000a8f2d7a8d735UL;
   tf->codes[34134] = 0x0000aa3faa8aa1e0UL;
   tf->codes[34135] = 0x0000ad383e289191UL;
   tf->codes[34136] = 0x0000b197f2e7e36cUL;
   tf->codes[34137] = 0x0000bbcc370d4378UL;
   tf->codes[34138] = 0x0000c00dba0d9bbfUL;
   tf->codes[34139] = 0x0000c1024148b360UL;
   tf->codes[34140] = 0x0000c11fc35a9ba5UL;
   tf->codes[34141] = 0x0000d244763901dfUL;
   tf->codes[34142] = 0x0000d9c70ff16ec8UL;
   tf->codes[34143] = 0x0000dddca7ad734fUL;
   tf->codes[34144] = 0x0000ded9e023662eUL;
   tf->codes[34145] = 0x0000e7216ce23aa8UL;
   tf->codes[34146] = 0x0000e7652240e670UL;
   tf->codes[34147] = 0x0000f2a5b7bbb625UL;
   tf->codes[34148] = 0x0000f5a1f44a0226UL;
   tf->codes[34149] = 0x0000f627c51e3153UL;
   tf->codes[34150] = 0x000106edff4048bcUL;
   tf->codes[34151] = 0x000107dbe447b90cUL;
   tf->codes[34152] = 0x00010969e862f008UL;
   tf->codes[34153] = 0x00010cd2cc50f090UL;
   tf->codes[34154] = 0x0001107d91256eb8UL;
   tf->codes[34155] = 0x00011431b6e1d96dUL;
   tf->codes[34156] = 0x00011af5c5388051UL;
   tf->codes[34157] = 0x00011d371f55629dUL;
   tf->codes[34158] = 0x00012153ce6319ffUL;
   tf->codes[34159] = 0x00012beddd25817cUL;
   tf->codes[34160] = 0x00012c10dc9ff439UL;
   tf->codes[34161] = 0x00012d7788a34ad9UL;
   tf->codes[34162] = 0x0001363b10305669UL;
   tf->codes[34163] = 0x00013692e6b8fde9UL;
   tf->codes[34164] = 0x00013719dc5849efUL;
   tf->codes[34165] = 0x00013a7ccdbfb475UL;
   tf->codes[34166] = 0x00014c378f1ce37fUL;
   tf->codes[34167] = 0x00015018ff77c492UL;
   tf->codes[34168] = 0x00015209253fa6afUL;
   tf->codes[34169] = 0x000155539cdfa7deUL;
   tf->codes[34170] = 0x00015946352139a8UL;
   tf->codes[34171] = 0x00015ab81684aafdUL;
   tf->codes[34172] = 0x000162c9a76a2ddbUL;
   tf->codes[34173] = 0x00016407616c7bbcUL;
   tf->codes[34174] = 0x0001660f16bfb01cUL;
   tf->codes[34175] = 0x00016e8befaac4e3UL;
   tf->codes[34176] = 0x00016efb904dc46bUL;
   tf->codes[34177] = 0x00017375934cadc5UL;
   tf->codes[34178] = 0x0001762c46041fd6UL;
   tf->codes[34179] = 0x000177a5ee665555UL;
   tf->codes[34180] = 0x00017a83f935a7c2UL;
   tf->codes[34181] = 0x00017b7b79b40a64UL;
   tf->codes[34182] = 0x00018002868b3c9bUL;
   tf->codes[34183] = 0x00018726e2166078UL;
   tf->codes[34184] = 0x000189dbfae4aa26UL;
   tf->codes[34185] = 0x00018b509afc60b7UL;
   tf->codes[34186] = 0x00018cbb650e1f31UL;
   tf->codes[34187] = 0x0001939f799bedd1UL;
   tf->codes[34188] = 0x0001961d71c5c90aUL;
   tf->codes[34189] = 0x000199fbe8dd5f1cUL;
   tf->codes[34190] = 0x00019d4f11b83b89UL;
   tf->codes[34191] = 0x00019f3ec262121cUL;
   tf->codes[34192] = 0x00019fc07527d96fUL;
   tf->codes[34193] = 0x0001a40566898841UL;
   tf->codes[34194] = 0x0001a4098497f01bUL;
   tf->codes[34195] = 0x0001a4803c8ca27eUL;
   tf->codes[34196] = 0x0001a56c4d1be4a6UL;
   tf->codes[34197] = 0x0001aeaf3dd87dd7UL;
   tf->codes[34198] = 0x0001b445cfd7707dUL;
   tf->codes[34199] = 0x0001b5f24040a6d2UL;
   tf->codes[34200] = 0x0001ba65667ce316UL;
   tf->codes[34201] = 0x0001bc0ba9d07da4UL;
   tf->codes[34202] = 0x0001bdbfa6a9725eUL;
   tf->codes[34203] = 0x0001bf7a8045142eUL;
   tf->codes[34204] = 0x0001c0d5f6e85019UL;
   tf->codes[34205] = 0x0001c1a56fa1c110UL;
   tf->codes[34206] = 0x0001c4c2d73251a6UL;
   tf->codes[34207] = 0x0001c4e526ffb314UL;
   tf->codes[34208] = 0x0001c79830c6c8d5UL;
   tf->codes[34209] = 0x0001ce7cba72a2ffUL;
   tf->codes[34210] = 0x0001d05dc75b0852UL;
   tf->codes[34211] = 0x0001d3665e148be1UL;
   tf->codes[34212] = 0x0001d7c17fa76a58UL;
   tf->codes[34213] = 0x0001daeeea538eccUL;
   tf->codes[34214] = 0x0001dc26b1cf46abUL;
   tf->codes[34215] = 0x0001e2894e2653bdUL;
   tf->codes[34216] = 0x0001e9559899ca55UL;
   tf->codes[34217] = 0x0001e9c4898fb88eUL;
   tf->codes[34218] = 0x0001ebf7ef983ae9UL;
   tf->codes[34219] = 0x0001ef46bfd5a9b7UL;
   tf->codes[34220] = 0x0001efc0367ea156UL;
   tf->codes[34221] = 0x0001f3533138c776UL;
   tf->codes[34222] = 0x0001fd35cbeb1bc9UL;
   tf->codes[34223] = 0x0001fe1a8a99a551UL;
   tf->codes[34224] = 0x0001fe584d71bb17UL;
   tf->codes[34225] = 0x00000120280fdddfUL;
   tf->codes[34226] = 0x00000a8025c053cbUL;
   tf->codes[34227] = 0x00000d3fc441a6dfUL;
   tf->codes[34228] = 0x00000e19881f1b77UL;
   tf->codes[34229] = 0x000010d33419d889UL;
   tf->codes[34230] = 0x00001ad908d5a55eUL;
   tf->codes[34231] = 0x00001d5c43d9054aUL;
   tf->codes[34232] = 0x00001dd5f51102aeUL;
   tf->codes[34233] = 0x00001ea61d7784f4UL;
   tf->codes[34234] = 0x00002388e456c0c0UL;
   tf->codes[34235] = 0x00002496cf9558ccUL;
   tf->codes[34236] = 0x00002a791880c129UL;
   tf->codes[34237] = 0x00002bb7bcbf261eUL;
   tf->codes[34238] = 0x00002cfffc747d65UL;
   tf->codes[34239] = 0x00002efb922b7ffcUL;
   tf->codes[34240] = 0x00002f07021aa076UL;
   tf->codes[34241] = 0x0000394013fb79abUL;
   tf->codes[34242] = 0x00003f44379637ecUL;
   tf->codes[34243] = 0x000040addcdcd98dUL;
   tf->codes[34244] = 0x000044bee16c6ab0UL;
   tf->codes[34245] = 0x000044c1daafb5b1UL;
   tf->codes[34246] = 0x00004728434e3ea7UL;
   tf->codes[34247] = 0x0000487bb863b0a3UL;
   tf->codes[34248] = 0x00004a3d6ec1ff89UL;
   tf->codes[34249] = 0x00004a4f4655c18fUL;
   tf->codes[34250] = 0x00004b101b4dc146UL;
   tf->codes[34251] = 0x00004ecaa8aecd87UL;
   tf->codes[34252] = 0x00004ff1f7f0e5feUL;
   tf->codes[34253] = 0x0000502c4c67a539UL;
   tf->codes[34254] = 0x000051518ca289c3UL;
   tf->codes[34255] = 0x0000535a66c0dafcUL;
   tf->codes[34256] = 0x000057bb7ada4f75UL;
   tf->codes[34257] = 0x00005ae7fb4a5cd5UL;
   tf->codes[34258] = 0x00005b2b3b8afd13UL;
   tf->codes[34259] = 0x00005ec7220f0436UL;
   tf->codes[34260] = 0x0000636f947780c7UL;
   tf->codes[34261] = 0x000064aa553683a7UL;
   tf->codes[34262] = 0x0000677d6534c124UL;
   tf->codes[34263] = 0x00006b8d7f883b33UL;
   tf->codes[34264] = 0x0000702245e4c796UL;
   tf->codes[34265] = 0x0000764fd09e9a20UL;
   tf->codes[34266] = 0x000078161a295c6aUL;
   tf->codes[34267] = 0x000078d0877cba95UL;
   tf->codes[34268] = 0x00007b42257b5e40UL;
   tf->codes[34269] = 0x000084dbc7f58218UL;
   tf->codes[34270] = 0x0000883f6909fdedUL;
   tf->codes[34271] = 0x00008c24bce44115UL;
   tf->codes[34272] = 0x00008d29f6e7fde3UL;
   tf->codes[34273] = 0x00008d8d3d5fc5ddUL;
   tf->codes[34274] = 0x00008ed667513438UL;
   tf->codes[34275] = 0x000095a8a44b40d2UL;
   tf->codes[34276] = 0x000098f7af17b565UL;
   tf->codes[34277] = 0x00009ea4abd6dd75UL;
   tf->codes[34278] = 0x0000abdc094d3698UL;
   tf->codes[34279] = 0x0000b078218a7b9bUL;
   tf->codes[34280] = 0x0000b2c64af0a0ffUL;
   tf->codes[34281] = 0x0000b55b5d87c2f1UL;
   tf->codes[34282] = 0x0000b593a2f74e3fUL;
   tf->codes[34283] = 0x0000b63dd2a012c7UL;
   tf->codes[34284] = 0x0000b6cc54af1d32UL;
   tf->codes[34285] = 0x0000b73ca4ff2e09UL;
   tf->codes[34286] = 0x0000c53f5d209049UL;
   tf->codes[34287] = 0x0000ce0c0b0682a1UL;
   tf->codes[34288] = 0x0000d1b869c4292cUL;
   tf->codes[34289] = 0x0000d23464926042UL;
   tf->codes[34290] = 0x0000de5e1159271eUL;
   tf->codes[34291] = 0x0000e7e47ce56652UL;
   tf->codes[34292] = 0x0000ea17a85ee2e8UL;
   tf->codes[34293] = 0x0000ecb3d247b7b5UL;
   tf->codes[34294] = 0x0000f3cc0e36a9c9UL;
   tf->codes[34295] = 0x0000f7bfcb43586cUL;
   tf->codes[34296] = 0x0000fa4f9b00f5abUL;
   tf->codes[34297] = 0x0000fd18254c29c2UL;
   tf->codes[34298] = 0x0000fd20d6870500UL;
   tf->codes[34299] = 0x0001077ad8db1d05UL;
   tf->codes[34300] = 0x00010f976491b4d3UL;
   tf->codes[34301] = 0x00011619cc90e3dcUL;
   tf->codes[34302] = 0x000116c5d0b1d68cUL;
   tf->codes[34303] = 0x000119b1cf9588eaUL;
   tf->codes[34304] = 0x00011f8ab79904baUL;
   tf->codes[34305] = 0x00012a07b9678f7cUL;
   tf->codes[34306] = 0x00012aec3d87133fUL;
   tf->codes[34307] = 0x00012cc5f88ebff2UL;
   tf->codes[34308] = 0x00012f5f293449beUL;
   tf->codes[34309] = 0x00013d2508b9ad4cUL;
   tf->codes[34310] = 0x00013de1bfa34529UL;
   tf->codes[34311] = 0x00013efc050d14c3UL;
   tf->codes[34312] = 0x000140435a8654f6UL;
   tf->codes[34313] = 0x00014808f9f05c58UL;
   tf->codes[34314] = 0x000148638f2d4914UL;
   tf->codes[34315] = 0x000151dfea248a6cUL;
   tf->codes[34316] = 0x0001570fc74a5e8dUL;
   tf->codes[34317] = 0x00015b2ebfee4fa1UL;
   tf->codes[34318] = 0x00015e449b0f21d2UL;
   tf->codes[34319] = 0x000162a91d89ecd6UL;
   tf->codes[34320] = 0x0001679be784bc80UL;
   tf->codes[34321] = 0x000167eb47618e87UL;
   tf->codes[34322] = 0x000169db329a6adfUL;
   tf->codes[34323] = 0x00016ce0d010a36dUL;
   tf->codes[34324] = 0x00016f9c15f488e2UL;
   tf->codes[34325] = 0x000171107b7d39aeUL;
   tf->codes[34326] = 0x00017154a5f9f100UL;
   tf->codes[34327] = 0x000171f5af49cec0UL;
   tf->codes[34328] = 0x0001739082ae48d4UL;
   tf->codes[34329] = 0x00017812fc5907a7UL;
   tf->codes[34330] = 0x000179997404803eUL;
   tf->codes[34331] = 0x000179a29a5d6706UL;
   tf->codes[34332] = 0x000180821bbec242UL;
   tf->codes[34333] = 0x000182a8ed0d074aUL;
   tf->codes[34334] = 0x00018471babd090bUL;
   tf->codes[34335] = 0x000184be96749b9bUL;
   tf->codes[34336] = 0x00018e15333d24faUL;
   tf->codes[34337] = 0x00019db876ba918bUL;
   tf->codes[34338] = 0x00019e438a68456bUL;
   tf->codes[34339] = 0x0001a5f8ec27b32aUL;
   tf->codes[34340] = 0x0001a76d17215e31UL;
   tf->codes[34341] = 0x0001a79eba5d422eUL;
   tf->codes[34342] = 0x0001a94b65557e48UL;
   tf->codes[34343] = 0x0001ae362dc28403UL;
   tf->codes[34344] = 0x0001ae94a67ed2d4UL;
   tf->codes[34345] = 0x0001b7d7d1ca71caUL;
   tf->codes[34346] = 0x0001bbc6fbaaad09UL;
   tf->codes[34347] = 0x0001bc89a51adae8UL;
   tf->codes[34348] = 0x0001bf37e1267780UL;
   tf->codes[34349] = 0x0001c9c13d2039d0UL;
   tf->codes[34350] = 0x0001cb515042a4b9UL;
   tf->codes[34351] = 0x0001cb8194246618UL;
   tf->codes[34352] = 0x0001cbaf1951e23bUL;
   tf->codes[34353] = 0x0001ce7609b3edefUL;
   tf->codes[34354] = 0x0001d3fdf7f16f55UL;
   tf->codes[34355] = 0x0001d89283bef5f3UL;
   tf->codes[34356] = 0x0001dcb7a97882ceUL;
   tf->codes[34357] = 0x0001deebbf2e1678UL;
   tf->codes[34358] = 0x0001dffeb2b72d72UL;
   tf->codes[34359] = 0x0001e295d4558351UL;
   tf->codes[34360] = 0x0001e4e9f0423eb7UL;
   tf->codes[34361] = 0x0001e83d191d1b24UL;
   tf->codes[34362] = 0x0001e8bda717c59eUL;
   tf->codes[34363] = 0x0001f0f02870874cUL;
   tf->codes[34364] = 0x0001f1d312a6e2acUL;
   tf->codes[34365] = 0x0001fe583ee6ad58UL;
   tf->codes[34366] = 0x000001d9d72b1cfcUL;
   tf->codes[34367] = 0x0000025313450ed6UL;
   tf->codes[34368] = 0x0000031f582c2f07UL;
   tf->codes[34369] = 0x000005e598e1296cUL;
   tf->codes[34370] = 0x00000602e0640becUL;
   tf->codes[34371] = 0x000006fb4b1e85a2UL;
   tf->codes[34372] = 0x0000090ac7707e2cUL;
   tf->codes[34373] = 0x00000a145a11a899UL;
   tf->codes[34374] = 0x00000a5fd66f188bUL;
   tf->codes[34375] = 0x00000c0f7aaa9fa6UL;
   tf->codes[34376] = 0x0000151c6f8de73bUL;
   tf->codes[34377] = 0x0000165ad93d466bUL;
   tf->codes[34378] = 0x000017ce8f18e5e8UL;
   tf->codes[34379] = 0x000018d0954a51f0UL;
   tf->codes[34380] = 0x00001952bd2e24cdUL;
   tf->codes[34381] = 0x00001c6aa7562aebUL;
   tf->codes[34382] = 0x0000203fbd85d470UL;
   tf->codes[34383] = 0x0000253d47c2b345UL;
   tf->codes[34384] = 0x00002c70f6bc59b1UL;
   tf->codes[34385] = 0x00002f3687c442c7UL;
   tf->codes[34386] = 0x00002f41bd245d7cUL;
   tf->codes[34387] = 0x0000345f13095e48UL;
   tf->codes[34388] = 0x00003895d5c7a764UL;
   tf->codes[34389] = 0x000042d8f83d7e75UL;
   tf->codes[34390] = 0x00004e15351ae08bUL;
   tf->codes[34391] = 0x000050d841fd8a2aUL;
   tf->codes[34392] = 0x000053fcfb6ed360UL;
   tf->codes[34393] = 0x000055c76307fd84UL;
   tf->codes[34394] = 0x000058ba793d62bdUL;
   tf->codes[34395] = 0x00005be7343c75e2UL;
   tf->codes[34396] = 0x0000600199b3f392UL;
   tf->codes[34397] = 0x0000640818907b4fUL;
   tf->codes[34398] = 0x0000692951f4de30UL;
   tf->codes[34399] = 0x00007054c4d1b4e8UL;
   tf->codes[34400] = 0x000070f3f9a96480UL;
   tf->codes[34401] = 0x00007457259fd4cbUL;
   tf->codes[34402] = 0x00007483c09139daUL;
   tf->codes[34403] = 0x000078468a0f15cfUL;
   tf->codes[34404] = 0x00007a54a706ebbbUL;
   tf->codes[34405] = 0x00007c34c9b339faUL;
   tf->codes[34406] = 0x0000851c3af6cf5bUL;
   tf->codes[34407] = 0x000086baf1daab84UL;
   tf->codes[34408] = 0x000087f48dce918bUL;
   tf->codes[34409] = 0x00008dc8a8169432UL;
   tf->codes[34410] = 0x00008fde517e2883UL;
   tf->codes[34411] = 0x000090e2dbd4d402UL;
   tf->codes[34412] = 0x00009510ed5841e0UL;
   tf->codes[34413] = 0x000095e9174c8e15UL;
   tf->codes[34414] = 0x00009e5c8f4fb64fUL;
   tf->codes[34415] = 0x0000a706032c3025UL;
   tf->codes[34416] = 0x0000aee4cc0ab22dUL;
   tf->codes[34417] = 0x0000afa1f8125594UL;
   tf->codes[34418] = 0x0000b09226afff96UL;
   tf->codes[34419] = 0x0000b527279b91beUL;
   tf->codes[34420] = 0x0000b76672b1401dUL;
   tf->codes[34421] = 0x0000b9f224607582UL;
   tf->codes[34422] = 0x0000bfdd93a4c4a7UL;
   tf->codes[34423] = 0x0000c692c3aaf486UL;
   tf->codes[34424] = 0x0000cd7f4ee4989fUL;
   tf->codes[34425] = 0x0000d01f21bdc9bcUL;
   tf->codes[34426] = 0x0000d52e838e6a97UL;
   tf->codes[34427] = 0x0000d549f6991eefUL;
   tf->codes[34428] = 0x0000d5a2f1ece348UL;
   tf->codes[34429] = 0x0000d5caf9b1d4f3UL;
   tf->codes[34430] = 0x0000d63348741bdbUL;
   tf->codes[34431] = 0x0000dc36f6f0ce92UL;
   tf->codes[34432] = 0x0000dcfd0ec252fcUL;
   tf->codes[34433] = 0x0000f03d981de94eUL;
   tf->codes[34434] = 0x0000f44bddf93535UL;
   tf->codes[34435] = 0x0000f7b7bb2a80beUL;
   tf->codes[34436] = 0x0000f8cb23d1a342UL;
   tf->codes[34437] = 0x00010800260632e9UL;
   tf->codes[34438] = 0x0001082f451cd76fUL;
   tf->codes[34439] = 0x00010b8b59c194dfUL;
   tf->codes[34440] = 0x00010c3d8af82356UL;
   tf->codes[34441] = 0x000110661f1306bcUL;
   tf->codes[34442] = 0x000111ff1dff52a8UL;
   tf->codes[34443] = 0x000114d59c5ee6b0UL;
   tf->codes[34444] = 0x000116df60b94efdUL;
   tf->codes[34445] = 0x000117de33186a3fUL;
   tf->codes[34446] = 0x000118fbe6e39064UL;
   tf->codes[34447] = 0x00011c25a89f5888UL;
   tf->codes[34448] = 0x00011dbfcc56c14dUL;
   tf->codes[34449] = 0x00011e417f1c88a0UL;
   tf->codes[34450] = 0x00011fcc4f656ed6UL;
   tf->codes[34451] = 0x0001271509c5280eUL;
   tf->codes[34452] = 0x000128a8c5d7ef47UL;
   tf->codes[34453] = 0x00012c868d42740aUL;
   tf->codes[34454] = 0x0001372fef735e16UL;
   tf->codes[34455] = 0x00013c81322a7c91UL;
   tf->codes[34456] = 0x0001431696888a79UL;
   tf->codes[34457] = 0x0001431d734b378fUL;
   tf->codes[34458] = 0x00014b4e9549d69fUL;
   tf->codes[34459] = 0x000158975535e63eUL;
   tf->codes[34460] = 0x00015aa830e20166UL;
   tf->codes[34461] = 0x00015fce7290e335UL;
   tf->codes[34462] = 0x00016538a42d7691UL;
   tf->codes[34463] = 0x0001657fc7ed78e4UL;
   tf->codes[34464] = 0x000167c0e77b556bUL;
   tf->codes[34465] = 0x000167e8b4b14151UL;
   tf->codes[34466] = 0x00016b8809969effUL;
   tf->codes[34467] = 0x00016bf94422c6eaUL;
   tf->codes[34468] = 0x00016c2d6b83ea5eUL;
   tf->codes[34469] = 0x00016f087d0ff1caUL;
   tf->codes[34470] = 0x0001747398e89c3aUL;
   tf->codes[34471] = 0x000176296a39bf1cUL;
   tf->codes[34472] = 0x00017fc6f0334509UL;
   tf->codes[34473] = 0x00018075ed9782baUL;
   tf->codes[34474] = 0x00018257aa2cf95cUL;
   tf->codes[34475] = 0x00018413a893b805UL;
   tf->codes[34476] = 0x00018549d6264781UL;
   tf->codes[34477] = 0x000186ceee779d7aUL;
   tf->codes[34478] = 0x000186da5e66bdf4UL;
   tf->codes[34479] = 0x00018ccfde400af5UL;
   tf->codes[34480] = 0x00018d7c577f092fUL;
   tf->codes[34481] = 0x00018f24e468dd6fUL;
   tf->codes[34482] = 0x0001943062ba1c35UL;
   tf->codes[34483] = 0x0001952a2cceb889UL;
   tf->codes[34484] = 0x0001962590cc7d40UL;
   tf->codes[34485] = 0x0001986725786551UL;
   tf->codes[34486] = 0x0001996806deb480UL;
   tf->codes[34487] = 0x0001a1fa604de79dUL;
   tf->codes[34488] = 0x0001a3217500fa4fUL;
   tf->codes[34489] = 0x0001a5c61595a495UL;
   tf->codes[34490] = 0x0001adbbbe526791UL;
   tf->codes[34491] = 0x0001afb16182d426UL;
   tf->codes[34492] = 0x0001b5e469a53128UL;
   tf->codes[34493] = 0x0001b68a40b08811UL;
   tf->codes[34494] = 0x0001b8b70485631bUL;
   tf->codes[34495] = 0x0001bfc94dedbf2dUL;
   tf->codes[34496] = 0x0001c1c30f2c939cUL;
   tf->codes[34497] = 0x0001cabba856d9b4UL;
   tf->codes[34498] = 0x0001cf52f2d8a58eUL;
   tf->codes[34499] = 0x0001cfac634a7571UL;
   tf->codes[34500] = 0x0001d087c111126cUL;
   tf->codes[34501] = 0x0001d0b0eda120f0UL;
   tf->codes[34502] = 0x0001d0e9e2bdbd8dUL;
   tf->codes[34503] = 0x0001d3a1452240edUL;
   tf->codes[34504] = 0x0001e42cf03e9356UL;
   tf->codes[34505] = 0x0001e4e255477293UL;
   tf->codes[34506] = 0x0001e9bf29a0185dUL;
   tf->codes[34507] = 0x0001ec1fda471116UL;
   tf->codes[34508] = 0x0001f200c3d856d5UL;
   tf->codes[34509] = 0x0001f5e9c0a2f64dUL;
   tf->codes[34510] = 0x0001f9355d0e1455UL;
   tf->codes[34511] = 0x0001fed80ea938c4UL;
   tf->codes[34512] = 0x0001ffdea8071830UL;
   tf->codes[34513] = 0x0000014dcab64449UL;
   tf->codes[34514] = 0x00000620195be0adUL;
   tf->codes[34515] = 0x000008eab2ae48b1UL;
   tf->codes[34516] = 0x00000ea568f2caedUL;
   tf->codes[34517] = 0x000012b8076b8473UL;
   tf->codes[34518] = 0x00001c788cdf7d1dUL;
   tf->codes[34519] = 0x000023d184e9cff8UL;
   tf->codes[34520] = 0x0000268a46a875f6UL;
   tf->codes[34521] = 0x000029a8d3042365UL;
   tf->codes[34522] = 0x00002b191a7e6c57UL;
   tf->codes[34523] = 0x00002d90e592abc9UL;
   tf->codes[34524] = 0x0000300716bdc2d8UL;
   tf->codes[34525] = 0x00003103da15aa2dUL;
   tf->codes[34526] = 0x000031dbc97af09dUL;
   tf->codes[34527] = 0x0000324034bdd570UL;
   tf->codes[34528] = 0x000035790f591a5eUL;
   tf->codes[34529] = 0x0000369fe97d274bUL;
   tf->codes[34530] = 0x000036fbde1436a5UL;
   tf->codes[34531] = 0x00003b7eccdd0102UL;
   tf->codes[34532] = 0x00003d13732bdf4fUL;
   tf->codes[34533] = 0x00003fea66a97ee1UL;
   tf->codes[34534] = 0x0000490848e47168UL;
   tf->codes[34535] = 0x00004c5d46377bfdUL;
   tf->codes[34536] = 0x000051e6ce5e25c6UL;
   tf->codes[34537] = 0x00005d1d18b4f1daUL;
   tf->codes[34538] = 0x000066aef4305188UL;
   tf->codes[34539] = 0x00006e95497e91f5UL;
   tf->codes[34540] = 0x000073d1464097dfUL;
   tf->codes[34541] = 0x000076b493e96effUL;
   tf->codes[34542] = 0x000077c0e53edea8UL;
   tf->codes[34543] = 0x00007ae14612ba3fUL;
   tf->codes[34544] = 0x000081dbc560be49UL;
   tf->codes[34545] = 0x00008201f8ad81ccUL;
   tf->codes[34546] = 0x00008509300ce2bdUL;
   tf->codes[34547] = 0x00008f19ff99c482UL;
   tf->codes[34548] = 0x00008f9634f7015dUL;
   tf->codes[34549] = 0x000092a6cd3e4edbUL;
   tf->codes[34550] = 0x000092dfc25aeb78UL;
   tf->codes[34551] = 0x000093ad669c2e47UL;
   tf->codes[34552] = 0x0000957d862ce8a8UL;
   tf->codes[34553] = 0x00009d6e9bbd3840UL;
   tf->codes[34554] = 0x0000a0d18d24a2c6UL;
   tf->codes[34555] = 0x0000a2bb85d6e91cUL;
   tf->codes[34556] = 0x0000a4da902669faUL;
   tf->codes[34557] = 0x0000a7aeff7eca15UL;
   tf->codes[34558] = 0x0000ad37d7f8628fUL;
   tf->codes[34559] = 0x0000b4fd776269f1UL;
   tf->codes[34560] = 0x0000b683b47edcc3UL;
   tf->codes[34561] = 0x0000b71395e809ccUL;
   tf->codes[34562] = 0x0000bb39e06cb380UL;
   tf->codes[34563] = 0x0000bf08c986c13eUL;
   tf->codes[34564] = 0x0000c62523841b2cUL;
   tf->codes[34565] = 0x0000c6d2c18e363fUL;
   tf->codes[34566] = 0x0000d644d6edca5dUL;
   tf->codes[34567] = 0x0000d8921617d8adUL;
   tf->codes[34568] = 0x0000dfbc9eb89851UL;
   tf->codes[34569] = 0x0000e42af7395b6cUL;
   tf->codes[34570] = 0x0000e6b1660f0c1eUL;
   tf->codes[34571] = 0x0000e6ddc6716b68UL;
   tf->codes[34572] = 0x0000efec553ddb60UL;
   tf->codes[34573] = 0x0000f96541d3c62dUL;
   tf->codes[34574] = 0x0000fbd6a5436413UL;
   tf->codes[34575] = 0x0000fdfd3c02a356UL;
   tf->codes[34576] = 0x00010423e9f9c8caUL;
   tf->codes[34577] = 0x000104ca70b23102UL;
   tf->codes[34578] = 0x000107f8507c6100UL;
   tf->codes[34579] = 0x00010e59c8085139UL;
   tf->codes[34580] = 0x000113a30931a5c5UL;
   tf->codes[34581] = 0x00011acb483c2bb7UL;
   tf->codes[34582] = 0x00011cbf16f46a24UL;
   tf->codes[34583] = 0x000129974c016327UL;
   tf->codes[34584] = 0x0001341a405683ebUL;
   tf->codes[34585] = 0x00013e225ea88a72UL;
   tf->codes[34586] = 0x000140b2de133900UL;
   tf->codes[34587] = 0x000140df3e75984aUL;
   tf->codes[34588] = 0x0001476b075cb3e0UL;
   tf->codes[34589] = 0x000147c73682c8ffUL;
   tf->codes[34590] = 0x00014bc87285cc09UL;
   tf->codes[34591] = 0x00014c68cc28987aUL;
   tf->codes[34592] = 0x000154db59efa9a0UL;
   tf->codes[34593] = 0x000158f9dd758f2aUL;
   tf->codes[34594] = 0x00015a0d80abb773UL;
   tf->codes[34595] = 0x00015cd0c81d66d7UL;
   tf->codes[34596] = 0x00015fa621b1de06UL;
   tf->codes[34597] = 0x000169044aea25caUL;
   tf->codes[34598] = 0x00017340909d4fc5UL;
   tf->codes[34599] = 0x000175bceede029bUL;
   tf->codes[34600] = 0x00017b0336c40c26UL;
   tf->codes[34601] = 0x00017dc3bf81764eUL;
   tf->codes[34602] = 0x00018388fb7901f0UL;
   tf->codes[34603] = 0x0001892afd671510UL;
   tf->codes[34604] = 0x00018b4fbfae262bUL;
   tf->codes[34605] = 0x00018ddb36ce55cbUL;
   tf->codes[34606] = 0x0001908b4752208bUL;
   tf->codes[34607] = 0x00019195c42f620cUL;
   tf->codes[34608] = 0x000192c7992483e9UL;
   tf->codes[34609] = 0x000199adf7488c3bUL;
   tf->codes[34610] = 0x00019f256d4c6e39UL;
   tf->codes[34611] = 0x0001aa2a4ef65c15UL;
   tf->codes[34612] = 0x0001ab4b3693d300UL;
   tf->codes[34613] = 0x0001ad832fc8c8bfUL;
   tf->codes[34614] = 0x0001adbf58b7b622UL;
   tf->codes[34615] = 0x0001bd8b8e362b72UL;
   tf->codes[34616] = 0x0001cbc616a90d76UL;
   tf->codes[34617] = 0x0001cc1c53488c93UL;
   tf->codes[34618] = 0x0001d87a61ff7ca8UL;
   tf->codes[34619] = 0x0001dbdc692ad01aUL;
   tf->codes[34620] = 0x0001dc8ab6e1fc7cUL;
   tf->codes[34621] = 0x0001dcf798d0b6c8UL;
   tf->codes[34622] = 0x0001e65d8907c2b6UL;
   tf->codes[34623] = 0x0001eea2cc305d7eUL;
   tf->codes[34624] = 0x0001f959ad579bf1UL;
   tf->codes[34625] = 0x0001fadddb6cdad6UL;
   tf->codes[34626] = 0x0001fb5c5a605163UL;
   tf->codes[34627] = 0x0001fce381b8db49UL;
   tf->codes[34628] = 0x0000073005169ee7UL;
   tf->codes[34629] = 0x000007a76cb86299UL;
   tf->codes[34630] = 0x000007bb8de25e51UL;
   tf->codes[34631] = 0x000009b255dde7bfUL;
   tf->codes[34632] = 0x000010098245d457UL;
   tf->codes[34633] = 0x0000121dcc53460aUL;
   tf->codes[34634] = 0x000014bd649d7162UL;
   tf->codes[34635] = 0x000014d5a3d5d4f4UL;
   tf->codes[34636] = 0x00001ee7230fc808UL;
   tf->codes[34637] = 0x0000205ebc6ac99aUL;
   tf->codes[34638] = 0x000020759c490a8eUL;
   tf->codes[34639] = 0x000023f6f9fe746dUL;
   tf->codes[34640] = 0x000027137752edefUL;
   tf->codes[34641] = 0x00002e280a5183b3UL;
   tf->codes[34642] = 0x000031db45d1d754UL;
   tf->codes[34643] = 0x00003cb7aa98c7fbUL;
   tf->codes[34644] = 0x00003f09b77e4f74UL;
   tf->codes[34645] = 0x000045b2183b3c3bUL;
   tf->codes[34646] = 0x000047fb3956e2b1UL;
   tf->codes[34647] = 0x00004891bcf3b70bUL;
   tf->codes[34648] = 0x0000493b3cef6a44UL;
   tf->codes[34649] = 0x00004ce51787d158UL;
   tf->codes[34650] = 0x00004e52dadcdad3UL;
   tf->codes[34651] = 0x0000507d551b7c2bUL;
   tf->codes[34652] = 0x000052e592323349UL;
   tf->codes[34653] = 0x00005551ed575241UL;
   tf->codes[34654] = 0x000057c64a0a3b28UL;
   tf->codes[34655] = 0x00005c947aa16fb2UL;
   tf->codes[34656] = 0x00005cc449652587UL;
   tf->codes[34657] = 0x00005d9c735971bcUL;
   tf->codes[34658] = 0x000060168803eae0UL;
   tf->codes[34659] = 0x000066586e76bee7UL;
   tf->codes[34660] = 0x00007194e5e326c2UL;
   tf->codes[34661] = 0x0000737493716977UL;
   tf->codes[34662] = 0x000075fdfb8a652aUL;
   tf->codes[34663] = 0x0000766351096111UL;
   tf->codes[34664] = 0x00007714d292de39UL;
   tf->codes[34665] = 0x00007b4c0a6f32dfUL;
   tf->codes[34666] = 0x00007b527213d46bUL;
   tf->codes[34667] = 0x00007b9ed8ad5b71UL;
   tf->codes[34668] = 0x00007cff579b164aUL;
   tf->codes[34669] = 0x00007d8c3fc0f852UL;
   tf->codes[34670] = 0x00007ea4b0b299c4UL;
   tf->codes[34671] = 0x00008367abe9b399UL;
   tf->codes[34672] = 0x00008427d134a201UL;
   tf->codes[34673] = 0x000084b235354492UL;
   tf->codes[34674] = 0x000086d59822330fUL;
   tf->codes[34675] = 0x00008827734e7ca8UL;
   tf->codes[34676] = 0x00008a096a72f90fUL;
   tf->codes[34677] = 0x00008b20b6997da8UL;
   tf->codes[34678] = 0x00008b7d204e988cUL;
   tf->codes[34679] = 0x00008de22992fee4UL;
   tf->codes[34680] = 0x00008e26540fb636UL;
   tf->codes[34681] = 0x00008e4f4610bef5UL;
   tf->codes[34682] = 0x00009694fe576547UL;
   tf->codes[34683] = 0x0000acd1c441479aUL;
   tf->codes[34684] = 0x0000aecbfa9e2793UL;
   tf->codes[34685] = 0x0000b42a472d8eebUL;
   tf->codes[34686] = 0x0000b6d42a9bbde4UL;
   tf->codes[34687] = 0x0000bb13d923e803UL;
   tf->codes[34688] = 0x0000c088907384c5UL;
   tf->codes[34689] = 0x0000c4f1a61ac32dUL;
   tf->codes[34690] = 0x0000c55f37b68ec8UL;
   tf->codes[34691] = 0x0000d0a12c8b811bUL;
   tf->codes[34692] = 0x0000d242dcb2a845UL;
   tf->codes[34693] = 0x0000da05bd686a6bUL;
   tf->codes[34694] = 0x0000da08b6abb56cUL;
   tf->codes[34695] = 0x0000da572c4c705fUL;
   tf->codes[34696] = 0x0000dd99dcedad64UL;
   tf->codes[34697] = 0x0000ee1f958369cbUL;
   tf->codes[34698] = 0x0000f2bf56b10b1eUL;
   tf->codes[34699] = 0x0000f42f290d4886UL;
   tf->codes[34700] = 0x0000f5a687d94453UL;
   tf->codes[34701] = 0x0000fea33f11f245UL;
   tf->codes[34702] = 0x000102f783e223a6UL;
   tf->codes[34703] = 0x00010540a4fdca1cUL;
   tf->codes[34704] = 0x000108e48d0f9b2eUL;
   tf->codes[34705] = 0x00010ee8eb395f34UL;
   tf->codes[34706] = 0x000113bd0e5729c0UL;
   tf->codes[34707] = 0x0001176d16052c9bUL;
   tf->codes[34708] = 0x00011c229245f209UL;
   tf->codes[34709] = 0x00011d3c6291b619UL;
   tf->codes[34710] = 0x00011e253f4ea77bUL;
   tf->codes[34711] = 0x0001289c14079676UL;
   tf->codes[34712] = 0x000128c281e35fbeUL;
   tf->codes[34713] = 0x000128fac752eb0cUL;
   tf->codes[34714] = 0x000129276244501bUL;
   tf->codes[34715] = 0x00012c53e2b45d7bUL;
   tf->codes[34716] = 0x0001307aa25712b9UL;
   tf->codes[34717] = 0x000139bbf92a8387UL;
   tf->codes[34718] = 0x00013cd2be876cccUL;
   tf->codes[34719] = 0x000141491895f9d6UL;
   tf->codes[34720] = 0x000141611d3f57a3UL;
   tf->codes[34721] = 0x0001446ef6d25fe5UL;
   tf->codes[34722] = 0x00014b6a25cd753eUL;
   tf->codes[34723] = 0x00015088a07d92e3UL;
   tf->codes[34724] = 0x00015395ca6389d6UL;
   tf->codes[34725] = 0x0001591be428dd14UL;
   tf->codes[34726] = 0x0001677f240dc212UL;
   tf->codes[34727] = 0x000169af1bb4ede2UL;
   tf->codes[34728] = 0x00016ba8a264bc8cUL;
   tf->codes[34729] = 0x00016d54d83eed1cUL;
   tf->codes[34730] = 0x0001705c4a2d53d2UL;
   tf->codes[34731] = 0x0001767db54af493UL;
   tf->codes[34732] = 0x0001773981f8755cUL;
   tf->codes[34733] = 0x0001782557f8b1bfUL;
   tf->codes[34734] = 0x00017a06d9ff229cUL;
   tf->codes[34735] = 0x00017b6c61375c63UL;
   tf->codes[34736] = 0x000183277aee5a5fUL;
   tf->codes[34737] = 0x000185bdb250992aUL;
   tf->codes[34738] = 0x00018aef295f95aeUL;
   tf->codes[34739] = 0x00018d1cd77087ccUL;
   tf->codes[34740] = 0x000198c8ef7fef2fUL;
   tf->codes[34741] = 0x00019e89232cfbe3UL;
   tf->codes[34742] = 0x0001aa9acb4a64f2UL;
   tf->codes[34743] = 0x0001ab503053442fUL;
   tf->codes[34744] = 0x0001ac5bd1fba289UL;
   tf->codes[34745] = 0x0001afca33522d89UL;
   tf->codes[34746] = 0x0001b14b6824216dUL;
   tf->codes[34747] = 0x0001b2f04c1d995dUL;
   tf->codes[34748] = 0x0001b39cffeb9d5cUL;
   tf->codes[34749] = 0x0001b3d4d03d1d20UL;
   tf->codes[34750] = 0x0001b7c6f360a360UL;
   tf->codes[34751] = 0x0001b7e6f997cb1cUL;
   tf->codes[34752] = 0x0001bf0109feeb58UL;
   tf->codes[34753] = 0x0001c1c959bb19aaUL;
   tf->codes[34754] = 0x0001c391029ffe92UL;
   tf->codes[34755] = 0x0001c4078005ab30UL;
   tf->codes[34756] = 0x0001c609f27f5addUL;
   tf->codes[34757] = 0x0001c7a9939f4e1aUL;
   tf->codes[34758] = 0x0001ca28b094462cUL;
   tf->codes[34759] = 0x0001cee57eb5c43aUL;
   tf->codes[34760] = 0x0001cf817fbb230cUL;
   tf->codes[34761] = 0x0001cfb35d860cceUL;
   tf->codes[34762] = 0x0001d0f44b5aab75UL;
   tf->codes[34763] = 0x0001d354c1729e69UL;
   tf->codes[34764] = 0x0001d35b63a645baUL;
   tf->codes[34765] = 0x0001d6b4f425c3b3UL;
   tf->codes[34766] = 0x0001d743eb52d9a8UL;
   tf->codes[34767] = 0x0001de2be3600a5dUL;
   tf->codes[34768] = 0x0001e1656da8609aUL;
   tf->codes[34769] = 0x0001e1c754c605f6UL;
   tf->codes[34770] = 0x0001e3755f1864aeUL;
   tf->codes[34771] = 0x0001e38d9e50c840UL;
   tf->codes[34772] = 0x0001e6b257c21176UL;
   tf->codes[34773] = 0x0001e793a80f4473UL;
   tf->codes[34774] = 0x0001e86da67bbed0UL;
   tf->codes[34775] = 0x0001eafb67322822UL;
   tf->codes[34776] = 0x0001eb0f133e1850UL;
   tf->codes[34777] = 0x0001eb6082221e44UL;
   tf->codes[34778] = 0x0001ec6ea7efbc15UL;
   tf->codes[34779] = 0x0001ef6cb8f6363eUL;
   tf->codes[34780] = 0x0001f1ba6d3e5018UL;
   tf->codes[34781] = 0x0001f3e1ee39a66fUL;
   tf->codes[34782] = 0x0001f518cb79473aUL;
   tf->codes[34783] = 0x0001f76c37b8f151UL;
   tf->codes[34784] = 0x0001f998c0fec696UL;
   tf->codes[34785] = 0x0001f9eb8f3cef28UL;
   tf->codes[34786] = 0x0001f9faa81c6bf2UL;
   tf->codes[34787] = 0x000004ce5ba8815bUL;
   tf->codes[34788] = 0x00000525bd131d51UL;
   tf->codes[34789] = 0x000006e2e044f8d3UL;
   tf->codes[34790] = 0x0000085b9e6b173eUL;
   tf->codes[34791] = 0x00000a6c04f926dcUL;
   tf->codes[34792] = 0x00000ad9d123f83cUL;
   tf->codes[34793] = 0x00000cb1f2427c8cUL;
   tf->codes[34794] = 0x00001a5f580076c3UL;
   tf->codes[34795] = 0x00001aa8ffe5b88dUL;
   tf->codes[34796] = 0x0000206eeb8a557eUL;
   tf->codes[34797] = 0x000024ef1b9eda9fUL;
   tf->codes[34798] = 0x0000277d51734f7bUL;
   tf->codes[34799] = 0x00002d9e4772e4b2UL;
   tf->codes[34800] = 0x0000321048e4041dUL;
   tf->codes[34801] = 0x000033062f793e5cUL;
   tf->codes[34802] = 0x00003374ab51210bUL;
   tf->codes[34803] = 0x00003431623ab8e8UL;
   tf->codes[34804] = 0x00003647f5de644dUL;
   tf->codes[34805] = 0x00003e461546fcc2UL;
   tf->codes[34806] = 0x0000439ee46dd9a2UL;
   tf->codes[34807] = 0x000044ad0a3b7773UL;
   tf->codes[34808] = 0x000046d7847a18cbUL;
   tf->codes[34809] = 0x0000473a55d3d53bUL;
   tf->codes[34810] = 0x00004787e138791aUL;
   tf->codes[34811] = 0x0000511ddac240a2UL;
   tf->codes[34812] = 0x0000528e223c8994UL;
   tf->codes[34813] = 0x00005c3be5e0a924UL;
   tf->codes[34814] = 0x00005d980c30f65eUL;
   tf->codes[34815] = 0x00005f70a26d8638UL;
   tf->codes[34816] = 0x00005fe4268fe7d5UL;
   tf->codes[34817] = 0x00006697821de98cUL;
   tf->codes[34818] = 0x00006b14b8ef23acUL;
   tf->codes[34819] = 0x00006c9d7a30d5f5UL;
   tf->codes[34820] = 0x000070a3f90d5db2UL;
   tf->codes[34821] = 0x00007c2ee61a8080UL;
   tf->codes[34822] = 0x0000878a0463ed79UL;
   tf->codes[34823] = 0x00008a2cd0806997UL;
   tf->codes[34824] = 0x00008a4d11469718UL;
   tf->codes[34825] = 0x00008a6d8c9bca5eUL;
   tf->codes[34826] = 0x00008cd6795f92cbUL;
   tf->codes[34827] = 0x000091fae6964672UL;
   tf->codes[34828] = 0x0000a1827c79f8e6UL;
   tf->codes[34829] = 0x0000a47c6f720b35UL;
   tf->codes[34830] = 0x0000a68eaa7848fbUL;
   tf->codes[34831] = 0x0000a8cbabf7bda8UL;
   tf->codes[34832] = 0x0000b503c1f0efffUL;
   tf->codes[34833] = 0x0000b8c61650c06aUL;
   tf->codes[34834] = 0x0000bd16ecbf9b40UL;
   tf->codes[34835] = 0x0000cc3ac70d7a30UL;
   tf->codes[34836] = 0x0000ce46d4fe1c2fUL;
   tf->codes[34837] = 0x0000d159f16aa924UL;
   tf->codes[34838] = 0x0000d5b25449425fUL;
   tf->codes[34839] = 0x0000d665352ce225UL;
   tf->codes[34840] = 0x0000d981ed10616cUL;
   tf->codes[34841] = 0x0000da341e46efe3UL;
   tf->codes[34842] = 0x0000eaf5158f8299UL;
   tf->codes[34843] = 0x0000f19c16f24cc2UL;
   tf->codes[34844] = 0x0000f25ec0627aa1UL;
   tf->codes[34845] = 0x0000f65bde5715d1UL;
   tf->codes[34846] = 0x0000fc99e14a87c3UL;
   tf->codes[34847] = 0x00010a6035edf6dbUL;
   tf->codes[34848] = 0x000113873e81d02aUL;
   tf->codes[34849] = 0x000115dae5508006UL;
   tf->codes[34850] = 0x000116ebc9d26313UL;
   tf->codes[34851] = 0x00011b4676473600UL;
   tf->codes[34852] = 0x000120cbe05f77efUL;
   tf->codes[34853] = 0x0001237eaf9787ebUL;
   tf->codes[34854] = 0x0001301a46978801UL;
   tf->codes[34855] = 0x0001375cd3e1a572UL;
   tf->codes[34856] = 0x00013c458d477740UL;
   tf->codes[34857] = 0x00013ec0519f01b3UL;
   tf->codes[34858] = 0x000140c6327a07ebUL;
   tf->codes[34859] = 0x0001451f4505b275UL;
   tf->codes[34860] = 0x00014bb67ddbee85UL;
   tf->codes[34861] = 0x00015744299d568fUL;
   tf->codes[34862] = 0x000159386d73a086UL;
   tf->codes[34863] = 0x00015c2a996ceeabUL;
   tf->codes[34864] = 0x00015e7dcb1d92fdUL;
   tf->codes[34865] = 0x00015f4542493a05UL;
   tf->codes[34866] = 0x000164d77baabf0cUL;
   tf->codes[34867] = 0x000166bf6555d175UL;
   tf->codes[34868] = 0x000168072fed1d32UL;
   tf->codes[34869] = 0x000169c662262ca1UL;
   tf->codes[34870] = 0x00016cf1833c1763UL;
   tf->codes[34871] = 0x00016ddb0fa61a14UL;
   tf->codes[34872] = 0x00017034e38a65b7UL;
   tf->codes[34873] = 0x0001725d8950d8e7UL;
   tf->codes[34874] = 0x00017a33db838576UL;
   tf->codes[34875] = 0x00017b014535c280UL;
   tf->codes[34876] = 0x00017c48601ffceeUL;
   tf->codes[34877] = 0x0001861ccc2eeb8bUL;
   tf->codes[34878] = 0x0001878fd25d79b9UL;
   tf->codes[34879] = 0x00018d607e4425d5UL;
   tf->codes[34880] = 0x000190f6724196f6UL;
   tf->codes[34881] = 0x0001917f3c591124UL;
   tf->codes[34882] = 0x00019764b916ca47UL;
   tf->codes[34883] = 0x0001a52a237e224bUL;
   tf->codes[34884] = 0x0001a5fd4527ef92UL;
   tf->codes[34885] = 0x0001a65a5e8a1bc5UL;
   tf->codes[34886] = 0x0001ad40bcae2417UL;
   tf->codes[34887] = 0x0001b2ebe4f51dffUL;
   tf->codes[34888] = 0x0001b41c20011779UL;
   tf->codes[34889] = 0x0001bbeb957116f2UL;
   tf->codes[34890] = 0x0001c4418b6256e7UL;
   tf->codes[34891] = 0x0001c6b6d25156e2UL;
   tf->codes[34892] = 0x0001c979a4a4fabcUL;
   tf->codes[34893] = 0x0001ca0cb9e0788bUL;
   tf->codes[34894] = 0x0001cd681ed824acUL;
   tf->codes[34895] = 0x0001d9a8e60c3241UL;
   tf->codes[34896] = 0x0001e211d85c5115UL;
   tf->codes[34897] = 0x0001e4595f8ecf28UL;
   tf->codes[34898] = 0x0001e481dc71cc5dUL;
   tf->codes[34899] = 0x0001e96ad066a3f0UL;
   tf->codes[34900] = 0x000000a78d7abe5eUL;
   tf->codes[34901] = 0x0000048a5d2fc20fUL;
   tf->codes[34902] = 0x00000bdfe6d8be5fUL;
   tf->codes[34903] = 0x00000c9d87fe6d50UL;
   tf->codes[34904] = 0x00000f661249a167UL;
   tf->codes[34905] = 0x00001065cee4d3bdUL;
   tf->codes[34906] = 0x000010c9155c9bb7UL;
   tf->codes[34907] = 0x000010e6976e83fcUL;
   tf->codes[34908] = 0x000019c0c44acabbUL;
   tf->codes[34909] = 0x00001de91dd6a85cUL;
   tf->codes[34910] = 0x000022004f7bd546UL;
   tf->codes[34911] = 0x000026b6b5f8b1c8UL;
   tf->codes[34912] = 0x00002bfd72fcc6ddUL;
   tf->codes[34913] = 0x000034b3f0b18990UL;
   tf->codes[34914] = 0x00003adfe18233b7UL;
   tf->codes[34915] = 0x00004324af8cc2f5UL;
   tf->codes[34916] = 0x000048c4dd02a7edUL;
   tf->codes[34917] = 0x000049218146c896UL;
   tf->codes[34918] = 0x00004b9a36971f1cUL;
   tf->codes[34919] = 0x000050ac1c8cff6eUL;
   tf->codes[34920] = 0x0000572fa9574b50UL;
   tf->codes[34921] = 0x0000576062571839UL;
   tf->codes[34922] = 0x0000591165ecc1f2UL;
   tf->codes[34923] = 0x0000613877566326UL;
   tf->codes[34924] = 0x00006d51abe38a9aUL;
   tf->codes[34925] = 0x00006f596136befaUL;
   tf->codes[34926] = 0x0000724a2dd5ea81UL;
   tf->codes[34927] = 0x000077c587592e94UL;
   tf->codes[34928] = 0x000077f3f6c2c1cbUL;
   tf->codes[34929] = 0x00007846c500ea5dUL;
   tf->codes[34930] = 0x000078ed112a4cd0UL;
   tf->codes[34931] = 0x00007e1561e0628cUL;
   tf->codes[34932] = 0x000081cae6f6efdfUL;
   tf->codes[34933] = 0x000086edba447b23UL;
   tf->codes[34934] = 0x000088e2adc7d669UL;
   tf->codes[34935] = 0x000092f2cda7a6dfUL;
   tf->codes[34936] = 0x00009638026e235bUL;
   tf->codes[34937] = 0x00009cd68d25180bUL;
   tf->codes[34938] = 0x00009d5755aec84aUL;
   tf->codes[34939] = 0x0000a3859015ac23UL;
   tf->codes[34940] = 0x0000a78d6e4c567eUL;
   tf->codes[34941] = 0x0000ab742180bc44UL;
   tf->codes[34942] = 0x0000add790dbfa39UL;
   tf->codes[34943] = 0x0000b4753156d7d5UL;
   tf->codes[34944] = 0x0000b8069227d592UL;
   tf->codes[34945] = 0x0000ba5ae8a396bdUL;
   tf->codes[34946] = 0x0000bb2b8628248dUL;
   tf->codes[34947] = 0x0000c35bbdeaac89UL;
   tf->codes[34948] = 0x0000c972a35543e4UL;
   tf->codes[34949] = 0x0000d17a98c3d470UL;
   tf->codes[34950] = 0x0000d1b109bb3196UL;
   tf->codes[34951] = 0x0000d885cada7da7UL;
   tf->codes[34952] = 0x0000dfe5651877d3UL;
   tf->codes[34953] = 0x0000e00f7be49d6bUL;
   tf->codes[34954] = 0x0000e1cc29f86d63UL;
   tf->codes[34955] = 0x0000e24cf2821da2UL;
   tf->codes[34956] = 0x0000e4096606e7d5UL;
   tf->codes[34957] = 0x0000e83e8edc088eUL;
   tf->codes[34958] = 0x0000e87db10e40f2UL;
   tf->codes[34959] = 0x0000f408638c5dfbUL;
   tf->codes[34960] = 0x0000f5d0f6ad59f7UL;
   tf->codes[34961] = 0x0000f7c3a09a7b8bUL;
   tf->codes[34962] = 0x0000f9a597bef7f2UL;
   tf->codes[34963] = 0x0000fe2cdf252feeUL;
   tf->codes[34964] = 0x00010eb1e80ddb06UL;
   tf->codes[34965] = 0x000114006c10b445UL;
   tf->codes[34966] = 0x000115603b515dcfUL;
   tf->codes[34967] = 0x000118e6dbe04c61UL;
   tf->codes[34968] = 0x00011ad31e28cc69UL;
   tf->codes[34969] = 0x00012d9a30db6b1cUL;
   tf->codes[34970] = 0x00012eabff99653dUL;
   tf->codes[34971] = 0x0001302b25642534UL;
   tf->codes[34972] = 0x0001316a794f9b78UL;
   tf->codes[34973] = 0x0001336524ca86fbUL;
   tf->codes[34974] = 0x0001354ea85ec1c7UL;
   tf->codes[34975] = 0x00013882efcd9351UL;
   tf->codes[34976] = 0x00014ecf0925f833UL;
   tf->codes[34977] = 0x00014f5c6669e5c5UL;
   tf->codes[34978] = 0x00015153de128082UL;
   tf->codes[34979] = 0x000156c0ce63591aUL;
   tf->codes[34980] = 0x00015b1dc46e65b9UL;
   tf->codes[34981] = 0x000172f68287def9UL;
   tf->codes[34982] = 0x00017403be1965b6UL;
   tf->codes[34983] = 0x00017490a63f47beUL;
   tf->codes[34984] = 0x000178a5c8dd40bbUL;
   tf->codes[34985] = 0x00018494e69e4297UL;
   tf->codes[34986] = 0x00018e5481d6242dUL;
   tf->codes[34987] = 0x0001937580ab8149UL;
   tf->codes[34988] = 0x0001941e166b1d6eUL;
   tf->codes[34989] = 0x00019a07018a2d1cUL;
   tf->codes[34990] = 0x00019ba15fd09ba6UL;
   tf->codes[34991] = 0x00019ee918bc5799UL;
   tf->codes[34992] = 0x00019f78fa2584a2UL;
   tf->codes[34993] = 0x0001a4ded324aa5fUL;
   tf->codes[34994] = 0x0001aee4a7e07734UL;
   tf->codes[34995] = 0x0001b152625fb8caUL;
   tf->codes[34996] = 0x0001b289b4bd651fUL;
   tf->codes[34997] = 0x0001b5035449d2b9UL;
   tf->codes[34998] = 0x0001b61bffca79f0UL;
   tf->codes[34999] = 0x0001b8ded21e1dcaUL;
   tf->codes[35000] = 0x0001ba87d425fd94UL;
   tf->codes[35001] = 0x0001c087d9b253fbUL;
   tf->codes[35002] = 0x0001c2235cc3df5eUL;
   tf->codes[35003] = 0x0001c6287c46447dUL;
   tf->codes[35004] = 0x0001cb401a33b50cUL;
   tf->codes[35005] = 0x0001cc5f67e80394UL;
   tf->codes[35006] = 0x0001d2b151766b79UL;
   tf->codes[35007] = 0x0001d9f27f66664cUL;
   tf->codes[35008] = 0x0001ed74e9a87a3eUL;
   tf->codes[35009] = 0x0001f4897ca71002UL;
   tf->codes[35010] = 0x0001f8d1674c09d5UL;
   tf->codes[35011] = 0x0001f9d507669e40UL;
   tf->codes[35012] = 0x0001fa6090325daaUL;
   tf->codes[35013] = 0x0001fe64505aa02bUL;
   tf->codes[35014] = 0x0001ff9575a2b0b9UL;
   tf->codes[35015] = 0x0000131521307f6fUL;
   tf->codes[35016] = 0x000017828f752b76UL;
   tf->codes[35017] = 0x00001a8ab110a37bUL;
   tf->codes[35018] = 0x0000213854a714f5UL;
   tf->codes[35019] = 0x000027b28089744aUL;
   tf->codes[35020] = 0x00002bb3476e6bcaUL;
   tf->codes[35021] = 0x00002cdd1ad5c3b8UL;
   tf->codes[35022] = 0x000030e1ffc92312UL;
   tf->codes[35023] = 0x00003454f44c2176UL;
   tf->codes[35024] = 0x0000364ad20b93d0UL;
   tf->codes[35025] = 0x00003683520a24e3UL;
   tf->codes[35026] = 0x00003d5f650a2994UL;
   tf->codes[35027] = 0x000044f5aace86abUL;
   tf->codes[35028] = 0x00004b0f897c6907UL;
   tf->codes[35029] = 0x00004e8034692db9UL;
   tf->codes[35030] = 0x000053b1365a1eb3UL;
   tf->codes[35031] = 0x0000584d4e9763b6UL;
   tf->codes[35032] = 0x000059550cc05ffbUL;
   tf->codes[35033] = 0x00006221458846c9UL;
   tf->codes[35034] = 0x00006b826803d98eUL;
   tf->codes[35035] = 0x00006e6505ff9f5fUL;
   tf->codes[35036] = 0x00006ea044b275aeUL;
   tf->codes[35037] = 0x00007374a25f45ffUL;
   tf->codes[35038] = 0x000083a2846c5ae6UL;
   tf->codes[35039] = 0x00008d751c031b5bUL;
   tf->codes[35040] = 0x00008fcb46f70aaeUL;
   tf->codes[35041] = 0x000093659391e96eUL;
   tf->codes[35042] = 0x000096916454e57fUL;
   tf->codes[35043] = 0x00009813f880fc01UL;
   tf->codes[35044] = 0x00009b5e3591f76bUL;
   tf->codes[35045] = 0x0000a1d14a22a3e5UL;
   tf->codes[35046] = 0x0000a33d738e84fdUL;
   tf->codes[35047] = 0x0000a43d3029b753UL;
   tf->codes[35048] = 0x0000a8f271db76fcUL;
   tf->codes[35049] = 0x0000afab1042fd66UL;
   tf->codes[35050] = 0x0000bf577a1950bfUL;
   tf->codes[35051] = 0x0000cbd1e6170c40UL;
   tf->codes[35052] = 0x0000ddb43a1b216bUL;
   tf->codes[35053] = 0x0000e37ef37b3785UL;
   tf->codes[35054] = 0x0000e5e60bc6d1caUL;
   tf->codes[35055] = 0x0000e7baf9130554UL;
   tf->codes[35056] = 0x0000e970ca642836UL;
   tf->codes[35057] = 0x0000ea20ec9382c0UL;
   tf->codes[35058] = 0x0000eb16d328bcffUL;
   tf->codes[35059] = 0x0000eba4a58ab61bUL;
   tf->codes[35060] = 0x0000ebe9ba438481UL;
   tf->codes[35061] = 0x0000ece08b14d5d4UL;
   tf->codes[35062] = 0x0000edcbebf706adUL;
   tf->codes[35063] = 0x0000ef0c2a1e9405UL;
   tf->codes[35064] = 0x0000ef9f3f5a11d4UL;
   tf->codes[35065] = 0x0000f165fe02dfa8UL;
   tf->codes[35066] = 0x0000f395f5aa0b78UL;
   tf->codes[35067] = 0x0000f56d671b7e79UL;
   tf->codes[35068] = 0x0000f8fe52ce70acUL;
   tf->codes[35069] = 0x0000fb2efa22adcbUL;
   tf->codes[35070] = 0x0000fd40105dceb8UL;
   tf->codes[35071] = 0x000101723fefa470UL;
   tf->codes[35072] = 0x000106c9ea4b6477UL;
   tf->codes[35073] = 0x000108ffd4792649UL;
   tf->codes[35074] = 0x0001131f0d387389UL;
   tf->codes[35075] = 0x000119d64c45d755UL;
   tf->codes[35076] = 0x00011f8ca9ecebf2UL;
   tf->codes[35077] = 0x0001207f5cafd56bUL;
   tf->codes[35078] = 0x000122eacd98dd4fUL;
   tf->codes[35079] = 0x000134cb1295be8dUL;
   tf->codes[35080] = 0x00013808805d76dfUL;
   tf->codes[35081] = 0x00013fc8dcedf98eUL;
   tf->codes[35082] = 0x0001409e482e0087UL;
   tf->codes[35083] = 0x000146a823c04f05UL;
   tf->codes[35084] = 0x00014801c5eb5cc8UL;
   tf->codes[35085] = 0x00014ac9db188555UL;
   tf->codes[35086] = 0x00014d45148e1b52UL;
   tf->codes[35087] = 0x000150c0452de96aUL;
   tf->codes[35088] = 0x000152bfbe644e16UL;
   tf->codes[35089] = 0x00015638304fd6f2UL;
   tf->codes[35090] = 0x00015c828d6e8072UL;
   tf->codes[35091] = 0x00015cc38418e6feUL;
   tf->codes[35092] = 0x000165fc29b17c8eUL;
   tf->codes[35093] = 0x000166790ebbcab8UL;
   tf->codes[35094] = 0x00016f480637f6c2UL;
   tf->codes[35095] = 0x0001710bcb9d7995UL;
   tf->codes[35096] = 0x000171af93a19c91UL;
   tf->codes[35097] = 0x0001793aa405def3UL;
   tf->codes[35098] = 0x00017c96f339a228UL;
   tf->codes[35099] = 0x00017f3aa992355aUL;
   tf->codes[35100] = 0x000184ca243f7525UL;
   tf->codes[35101] = 0x000185094671ad89UL;
   tf->codes[35102] = 0x00018b0d2f7d6605UL;
   tf->codes[35103] = 0x00019065c4153d20UL;
   tf->codes[35104] = 0x00019163371a35c4UL;
   tf->codes[35105] = 0x000192bb79eb20e9UL;
   tf->codes[35106] = 0x000195e86f7939d3UL;
   tf->codes[35107] = 0x000198365e505972UL;
   tf->codes[35108] = 0x000199a00396fb13UL;
   tf->codes[35109] = 0x0001a1ae60aa2d2bUL;
   tf->codes[35110] = 0x0001a1c6da719682UL;
   tf->codes[35111] = 0x0001a55c1ec1f654UL;
   tf->codes[35112] = 0x0001a8c034f47db3UL;
   tf->codes[35113] = 0x0001ad8c56847e50UL;
   tf->codes[35114] = 0x0001b014d46162efUL;
   tf->codes[35115] = 0x0001b5ca0d3d5ab3UL;
   tf->codes[35116] = 0x0001ba53291bc0d7UL;
   tf->codes[35117] = 0x0001bb390c956738UL;
   tf->codes[35118] = 0x0001bee4bba5fc74UL;
   tf->codes[35119] = 0x0001bfa889e1472cUL;
   tf->codes[35120] = 0x0001c2eb3a828431UL;
   tf->codes[35121] = 0x0001c7ce0161bffdUL;
   tf->codes[35122] = 0x0001c85c48e1c4a3UL;
   tf->codes[35123] = 0x0001c9b9ce8c347bUL;
   tf->codes[35124] = 0x0001ca5cac544063UL;
   tf->codes[35125] = 0x0001d49807cb534aUL;
   tf->codes[35126] = 0x0001d5bea7605a72UL;
   tf->codes[35127] = 0x0001d8c569a1afd9UL;
   tf->codes[35128] = 0x0001e05d83de3b18UL;
   tf->codes[35129] = 0x0001e20c034ea55aUL;
   tf->codes[35130] = 0x0001e5a64fe9841aUL;
   tf->codes[35131] = 0x0001e634d1f88e85UL;
   tf->codes[35132] = 0x0001efa71c5ad201UL;
   tf->codes[35133] = 0x0001f187b4252bcaUL;
   tf->codes[35134] = 0x0001f89aad3a992bUL;
   tf->codes[35135] = 0x0001f93673b0f238UL;
   tf->codes[35136] = 0x0001fbaeb3e33d34UL;
   tf->codes[35137] = 0x0001fbd34d46d854UL;
   tf->codes[35138] = 0x0001fc8752f594f3UL;
   tf->codes[35139] = 0x0001ff58c90aaa0dUL;
   tf->codes[35140] = 0x0000023748f80804UL;
   tf->codes[35141] = 0x000007d89b3909d5UL;
   tf->codes[35142] = 0x00000ac9a2673b21UL;
   tf->codes[35143] = 0x0000173cbc843e02UL;
   tf->codes[35144] = 0x00001a8a2d678a32UL;
   tf->codes[35145] = 0x00002700f074e963UL;
   tf->codes[35146] = 0x0000280f8b6092beUL;
   tf->codes[35147] = 0x0000295afee83acbUL;
   tf->codes[35148] = 0x00002d5b50af26c1UL;
   tf->codes[35149] = 0x00003b367629a2e0UL;
   tf->codes[35150] = 0x00003c80ff7533d9UL;
   tf->codes[35151] = 0x00003eb2cb948dd1UL;
   tf->codes[35152] = 0x0000411a58fe33a0UL;
   tf->codes[35153] = 0x00004495899e01b8UL;
   tf->codes[35154] = 0x000044b380cdf587UL;
   tf->codes[35155] = 0x000047d7ffb038f8UL;
   tf->codes[35156] = 0x00004a3f8d19dec7UL;
   tf->codes[35157] = 0x00004bb258b96730UL;
   tf->codes[35158] = 0x00004bb676c7cf0aUL;
   tf->codes[35159] = 0x00005652cf207039UL;
   tf->codes[35160] = 0x00005b66898e7eb3UL;
   tf->codes[35161] = 0x00005de7b58aaab2UL;
   tf->codes[35162] = 0x000062093253db3dUL;
   tf->codes[35163] = 0x000063212e277125UL;
   tf->codes[35164] = 0x00006e9c18190015UL;
   tf->codes[35165] = 0x000072dc01302ff9UL;
   tf->codes[35166] = 0x000075c15de03b06UL;
   tf->codes[35167] = 0x0000791a0423a1ebUL;
   tf->codes[35168] = 0x00007f9b81e6b9e0UL;
   tf->codes[35169] = 0x000080265b0567fbUL;
   tf->codes[35170] = 0x000085d148bd5c1eUL;
   tf->codes[35171] = 0x0000863a81bbba1aUL;
   tf->codes[35172] = 0x000086b30e289aa5UL;
   tf->codes[35173] = 0x00008a47dd5aeeedUL;
   tf->codes[35174] = 0x00008b9908da2737UL;
   tf->codes[35175] = 0x000097d06f26483fUL;
   tf->codes[35176] = 0x0000997bbac461bbUL;
   tf->codes[35177] = 0x00009c924592453bUL;
   tf->codes[35178] = 0x0000a3c62f1af16cUL;
   tf->codes[35179] = 0x0000a8892a520b41UL;
   tf->codes[35180] = 0x0000aa8e960f05efUL;
   tf->codes[35181] = 0x0000abbcfca2d141UL;
   tf->codes[35182] = 0x0000ae5d449a0de8UL;
   tf->codes[35183] = 0x0000b4f9109cbd5cUL;
   tf->codes[35184] = 0x0000b9b3cfb7077dUL;
   tf->codes[35185] = 0x0000bc302df7ba53UL;
   tf->codes[35186] = 0x0000bdf134a8f7eaUL;
   tf->codes[35187] = 0x0000ce3755ee7063UL;
   tf->codes[35188] = 0x0000cf85882a5dacUL;
   tf->codes[35189] = 0x0000d18242ac7d1cUL;
   tf->codes[35190] = 0x0000da73ff14161eUL;
   tf->codes[35191] = 0x0000db278fa4c733UL;
   tf->codes[35192] = 0x0000db5b0758d958UL;
   tf->codes[35193] = 0x0000e5fa58f4c588UL;
   tf->codes[35194] = 0x0000efecf6c2adb9UL;
   tf->codes[35195] = 0x0000f113d0e6baa6UL;
   tf->codes[35196] = 0x0000f351bca24667UL;
   tf->codes[35197] = 0x000100d5f5d0321aUL;
   tf->codes[35198] = 0x00010dc5454a71d6UL;
   tf->codes[35199] = 0x00011934bf4ce04cUL;
   tf->codes[35200] = 0x00011f1e1f89fb84UL;
   tf->codes[35201] = 0x0001346f4a02a739UL;
   tf->codes[35202] = 0x00013560284d628aUL;
   tf->codes[35203] = 0x00013b456a7c15e8UL;
   tf->codes[35204] = 0x00013b5239c55900UL;
   tf->codes[35205] = 0x00013f22f75794e6UL;
   tf->codes[35206] = 0x000142de3465b276UL;
   tf->codes[35207] = 0x00014361bba3a7f1UL;
   tf->codes[35208] = 0x00014812a4b7f9fbUL;
   tf->codes[35209] = 0x000149e0b541806fUL;
   tf->codes[35210] = 0x00014aef8abc2f8fUL;
   tf->codes[35211] = 0x00014b1e34b4c88bUL;
   tf->codes[35212] = 0x000151430e33bfd7UL;
   tf->codes[35213] = 0x000153dc044a43deUL;
   tf->codes[35214] = 0x000153fd2f4c8873UL;
   tf->codes[35215] = 0x000157c8aa053fa6UL;
   tf->codes[35216] = 0x000159f35ed2e6c3UL;
   tf->codes[35217] = 0x0001609433201525UL;
   tf->codes[35218] = 0x0001673e2dc62a4fUL;
   tf->codes[35219] = 0x00016e60052c0eb5UL;
   tf->codes[35220] = 0x000171d3a95c1e68UL;
   tf->codes[35221] = 0x000173249a4c50edUL;
   tf->codes[35222] = 0x0001806767b1ca8aUL;
   tf->codes[35223] = 0x000189006354a4f8UL;
   tf->codes[35224] = 0x0001891a770536b2UL;
   tf->codes[35225] = 0x00018e73f5d924e1UL;
   tf->codes[35226] = 0x0001940afcf62311UL;
   tf->codes[35227] = 0x00019588c366c06aUL;
   tf->codes[35228] = 0x00019eba8c3ca8e4UL;
   tf->codes[35229] = 0x0001a3ef371df62eUL;
   tf->codes[35230] = 0x0001b8adfc083563UL;
   tf->codes[35231] = 0x0001c18e55fa17e9UL;
   tf->codes[35232] = 0x0001c99e12676c9fUL;
   tf->codes[35233] = 0x0001cbe9f2375851UL;
   tf->codes[35234] = 0x0001cf91bdc88b78UL;
   tf->codes[35235] = 0x0001d4e3eabbc107UL;
   tf->codes[35236] = 0x0001d5e6db294423UL;
   tf->codes[35237] = 0x0001da6b9e6a3ca8UL;
   tf->codes[35238] = 0x0001dcdd01d9da8eUL;
   tf->codes[35239] = 0x0001e05c15f90abbUL;
   tf->codes[35240] = 0x0001e0f7dc6f63c8UL;
   tf->codes[35241] = 0x0001ecb606a192f6UL;
   tf->codes[35242] = 0x0001ee2c7b3177afUL;
   tf->codes[35243] = 0x0001f270f7751af7UL;
   tf->codes[35244] = 0x0001fab8f951fafbUL;
   tf->codes[35245] = 0x00000197cb0644e8UL;
   tf->codes[35246] = 0x00000ea6e628a69bUL;
   tf->codes[35247] = 0x000015d517b9c28fUL;
   tf->codes[35248] = 0x000017060272cd58UL;
   tf->codes[35249] = 0x000027f89cf7440bUL;
   tf->codes[35250] = 0x000029026a27743dUL;
   tf->codes[35251] = 0x00002bc0e3ddaa78UL;
   tf->codes[35252] = 0x00002bf8b42f2a3cUL;
   tf->codes[35253] = 0x0000316270adb20eUL;
   tf->codes[35254] = 0x000032f4cd6656a9UL;
   tf->codes[35255] = 0x0000343804d12f02UL;
   tf->codes[35256] = 0x00003a8f6bc8215fUL;
   tf->codes[35257] = 0x00003e531f821468UL;
   tf->codes[35258] = 0x000043ab798ae5beUL;
   tf->codes[35259] = 0x00005599780d2128UL;
   tf->codes[35260] = 0x00005c2e674d2386UL;
   tf->codes[35261] = 0x000062df7944eb8bUL;
   tf->codes[35262] = 0x0000646d084216fdUL;
   tf->codes[35263] = 0x0000653de055aa92UL;
   tf->codes[35264] = 0x00006c786c11fe14UL;
   tf->codes[35265] = 0x00006d94c083019bUL;
   tf->codes[35266] = 0x0000749482aa8a58UL;
   tf->codes[35267] = 0x000078aa8f849a69UL;
   tf->codes[35268] = 0x00007dc97f52c398UL;
   tf->codes[35269] = 0x00007deda398532eUL;
   tf->codes[35270] = 0x0000809577ff4e3aUL;
   tf->codes[35271] = 0x000086e2ce6142bbUL;
   tf->codes[35272] = 0x0000884fe2093ae7UL;
   tf->codes[35273] = 0x00008bc9b34ee661UL;
   tf->codes[35274] = 0x00008d732a74d1b5UL;
   tf->codes[35275] = 0x000091f235be39fdUL;
   tf->codes[35276] = 0x00009304799a3fa8UL;
   tf->codes[35277] = 0x0000947a03ee0d4dUL;
   tf->codes[35278] = 0x000094f00c35ae61UL;
   tf->codes[35279] = 0x0000984ac1804933UL;
   tf->codes[35280] = 0x00009b08c61873e4UL;
   tf->codes[35281] = 0x0000acc8ca4f27a1UL;
   tf->codes[35282] = 0x0000b16223d82768UL;
   tf->codes[35283] = 0x0000b916263d7289UL;
   tf->codes[35284] = 0x0000b94d8170e6c3UL;
   tf->codes[35285] = 0x0000bd44724fe62cUL;
   tf->codes[35286] = 0x0000c027bff8bd4cUL;
   tf->codes[35287] = 0x0000c0545aea225bUL;
   tf->codes[35288] = 0x0000c24988fc8366UL;
   tf->codes[35289] = 0x0000c3c41b9acff9UL;
   tf->codes[35290] = 0x0000c65f5b478db2UL;
   tf->codes[35291] = 0x0000cb251532ecc3UL;
   tf->codes[35292] = 0x0000df78cca69fd4UL;
   tf->codes[35293] = 0x0000e2abef4a5485UL;
   tf->codes[35294] = 0x0000e439b8d685bcUL;
   tf->codes[35295] = 0x0000e79b4ae3cda4UL;
   tf->codes[35296] = 0x0000e95cc6b316c5UL;
   tf->codes[35297] = 0x0000f7d511fe0e8fUL;
   tf->codes[35298] = 0x0000f85cb74a6be4UL;
   tf->codes[35299] = 0x0001003a95ecd6d8UL;
   tf->codes[35300] = 0x00010bd54b8687bfUL;
   tf->codes[35301] = 0x000119c123c9a90bUL;
   tf->codes[35302] = 0x00012439926bc069UL;
   tf->codes[35303] = 0x000124b04a6072ccUL;
   tf->codes[35304] = 0x000131f35254f22eUL;
   tf->codes[35305] = 0x000134cb300ea8d4UL;
   tf->codes[35306] = 0x000139001e54c3c8UL;
   tf->codes[35307] = 0x00013eb6f119e3efUL;
   tf->codes[35308] = 0x0001410b8224aadfUL;
   tf->codes[35309] = 0x00014a7e7c33ffaaUL;
   tf->codes[35310] = 0x00014f6bc8c644dcUL;
   tf->codes[35311] = 0x00014fbdacc8565aUL;
   tf->codes[35312] = 0x00014fc65e033198UL;
   tf->codes[35313] = 0x00015494c9296be7UL;
   tf->codes[35314] = 0x0001579cb035de27UL;
   tf->codes[35315] = 0x000157bb91a1e90aUL;
   tf->codes[35316] = 0x00015a75782babe1UL;
   tf->codes[35317] = 0x00015f5be7fb43fdUL;
   tf->codes[35318] = 0x00015fddd5501115UL;
   tf->codes[35319] = 0x00017a07b612fabaUL;
   tf->codes[35320] = 0x000181f7a6d82d79UL;
   tf->codes[35321] = 0x00018233201a098dUL;
   tf->codes[35322] = 0x00018cf36229348dUL;
   tf->codes[35323] = 0x00018d63ed084b29UL;
   tf->codes[35324] = 0x0001971f2fa2bf20UL;
   tf->codes[35325] = 0x000199baa9de829eUL;
   tf->codes[35326] = 0x00019d9f4e0bb477UL;
   tf->codes[35327] = 0x0001a171e0161e85UL;
   tf->codes[35328] = 0x0001a5dcca358b15UL;
   tf->codes[35329] = 0x0001a6024dd53d49UL;
   tf->codes[35330] = 0x0001a6fed69e1ed9UL;
   tf->codes[35331] = 0x0001add7b5cbd2c4UL;
   tf->codes[35332] = 0x0001bbfeccc1ca5fUL;
   tf->codes[35333] = 0x0001bd9e6de1bd9cUL;
   tf->codes[35334] = 0x0001c0aa72fc97b6UL;
   tf->codes[35335] = 0x0001c218e5feb280UL;
   tf->codes[35336] = 0x0001c483a73aa915UL;
   tf->codes[35337] = 0x0001c594c64b91e7UL;
   tf->codes[35338] = 0x0001d2ab6dddb1ffUL;
   tf->codes[35339] = 0x0001d76ccf2ba371UL;
   tf->codes[35340] = 0x0001da1d1a3e73f6UL;
   tf->codes[35341] = 0x0001dcf1c425d9d6UL;
   tf->codes[35342] = 0x0001e23d89746dd9UL;
   tf->codes[35343] = 0x0001e58a101ba2f5UL;
   tf->codes[35344] = 0x0001ec75016c1eabUL;
   tf->codes[35345] = 0x0001f1286ea5b02cUL;
   tf->codes[35346] = 0x0001faec627aff61UL;
   tf->codes[35347] = 0x0001fcd39c79007bUL;
   tf->codes[35348] = 0x0001ff2a3c8afb58UL;
   tf->codes[35349] = 0x00000bf6176cbccdUL;
   tf->codes[35350] = 0x00000ebb6de5a01eUL;
   tf->codes[35351] = 0x0000154527c587c7UL;
   tf->codes[35352] = 0x0000164f2f84bdbeUL;
   tf->codes[35353] = 0x000016fe67780134UL;
   tf->codes[35354] = 0x00001dc1c62196c9UL;
   tf->codes[35355] = 0x000020aacbc1fe26UL;
   tf->codes[35356] = 0x000025f6cb9f97eeUL;
   tf->codes[35357] = 0x0000273fbb020084UL;
   tf->codes[35358] = 0x000029f19ffdf96cUL;
   tf->codes[35359] = 0x00002bb4f04570b5UL;
   tf->codes[35360] = 0x000044852edd4c97UL;
   tf->codes[35361] = 0x0000449238b59574UL;
   tf->codes[35362] = 0x00004bda43683d5dUL;
   tf->codes[35363] = 0x0000522674ff1505UL;
   tf->codes[35364] = 0x000053cb1e698730UL;
   tf->codes[35365] = 0x00005575f4e99522UL;
   tf->codes[35366] = 0x00005bd856b19c6fUL;
   tf->codes[35367] = 0x00005c4a7b79db6eUL;
   tf->codes[35368] = 0x00005cc1e31b9f20UL;
   tf->codes[35369] = 0x00006b9cffc0535aUL;
   tf->codes[35370] = 0x000071f8f9e3b91bUL;
   tf->codes[35371] = 0x000072b5eb5c56bdUL;
   tf->codes[35372] = 0x00007542c1d6a8fbUL;
   tf->codes[35373] = 0x000079a61f865726UL;
   tf->codes[35374] = 0x0000869e203b7220UL;
   tf->codes[35375] = 0x000090bf2d72ed88UL;
   tf->codes[35376] = 0x000094c6d11a921eUL;
   tf->codes[35377] = 0x000097e438ab22b4UL;
   tf->codes[35378] = 0x0000993f74bf58daUL;
   tf->codes[35379] = 0x0000a04ec4e469ebUL;
   tf->codes[35380] = 0x0000a80b3df58a85UL;
   tf->codes[35381] = 0x0000ac61573dea0eUL;
   tf->codes[35382] = 0x0000afcda98d4121UL;
   tf->codes[35383] = 0x0000b28337799659UL;
   tf->codes[35384] = 0x0000b367467b0e92UL;
   tf->codes[35385] = 0x0000be2997916d7fUL;
   tf->codes[35386] = 0x0000cf82ac5ffcf2UL;
   tf->codes[35387] = 0x0000d2a67b952f14UL;
   tf->codes[35388] = 0x0000dcc1212808f0UL;
   tf->codes[35389] = 0x0000def5abfba824UL;
   tf->codes[35390] = 0x0000e39691f46650UL;
   tf->codes[35391] = 0x0000e6e85b75201fUL;
   tf->codes[35392] = 0x0000f642a6ba5c35UL;
   tf->codes[35393] = 0x0000f6568d555228UL;
   tf->codes[35394] = 0x0000ffdf4277cb0eUL;
   tf->codes[35395] = 0x000104a86ac480aaUL;
   tf->codes[35396] = 0x000106fb9c7524fcUL;
   tf->codes[35397] = 0x00010a818d57023fUL;
   tf->codes[35398] = 0x00011133146cd5ceUL;
   tf->codes[35399] = 0x00011a18b1383d07UL;
   tf->codes[35400] = 0x00011c82fd562812UL;
   tf->codes[35401] = 0x000123836f2ac21eUL;
   tf->codes[35402] = 0x00012d92df5d8145UL;
   tf->codes[35403] = 0x00012f749bf2f7e7UL;
   tf->codes[35404] = 0x00013060e7113fd4UL;
   tf->codes[35405] = 0x0001323d60cd31c3UL;
   tf->codes[35406] = 0x0001328449fe2e51UL;
   tf->codes[35407] = 0x0001340be674c3c1UL;
   tf->codes[35408] = 0x00013de5cfec3cd6UL;
   tf->codes[35409] = 0x000149721c538242UL;
   tf->codes[35410] = 0x00014b5ab5aba5faUL;
   tf->codes[35411] = 0x0001599db4ca5d77UL;
   tf->codes[35412] = 0x00015b0f5b9ec907UL;
   tf->codes[35413] = 0x00015de02206ccd2UL;
   tf->codes[35414] = 0x00015e0f411d7158UL;
   tf->codes[35415] = 0x000160197a95e52fUL;
   tf->codes[35416] = 0x000160ad7a0d7a12UL;
   tf->codes[35417] = 0x0001689e8f9dc9aaUL;
   tf->codes[35418] = 0x00016a8e05b89a78UL;
   tf->codes[35419] = 0x000175267a91d992UL;
   tf->codes[35420] = 0x0001772b7130c8b6UL;
   tf->codes[35421] = 0x000178db156c4fd1UL;
   tf->codes[35422] = 0x0001791c46a5bc22UL;
   tf->codes[35423] = 0x0001847172689319UL;
   tf->codes[35424] = 0x00018bc9f554da6aUL;
   tf->codes[35425] = 0x00018c6be8e0cf3eUL;
   tf->codes[35426] = 0x0001908822d07b16UL;
   tf->codes[35427] = 0x000190b065247286UL;
   tf->codes[35428] = 0x00019e27947a155cUL;
   tf->codes[35429] = 0x0001a2c66b6b9f9bUL;
   tf->codes[35430] = 0x0001a4d44dd46fc2UL;
   tf->codes[35431] = 0x0001ad87d245e774UL;
   tf->codes[35432] = 0x0001afc3746b3983UL;
   tf->codes[35433] = 0x0001bd3e122232e4UL;
   tf->codes[35434] = 0x0001bd609c7e9a17UL;
   tf->codes[35435] = 0x0001be34e2f38437UL;
   tf->codes[35436] = 0x0001c240a4a990a7UL;
   tf->codes[35437] = 0x0001c51c2b53a39dUL;
   tf->codes[35438] = 0x0001c7e68a1705dcUL;
   tf->codes[35439] = 0x0001c9a87b045a87UL;
   tf->codes[35440] = 0x0001cb0f2707b127UL;
   tf->codes[35441] = 0x0001ce746205555fUL;
   tf->codes[35442] = 0x0001d423e2e9bce6UL;
   tf->codes[35443] = 0x0001d45d4d24650dUL;
   tf->codes[35444] = 0x0001ea3a0068d02cUL;
   tf->codes[35445] = 0x0001eca411f7b572UL;
   tf->codes[35446] = 0x0001f926f4a1466cUL;
   tf->codes[35447] = 0x0001f981fefc3eb2UL;
   tf->codes[35448] = 0x0001fafccc29910aUL;
   tf->codes[35449] = 0x0001fe13cc158014UL;
   tf->codes[35450] = 0x0001fe6032af071aUL;
   tf->codes[35451] = 0x000002fd6fb768f6UL;
   tf->codes[35452] = 0x00000c97c1de9e1dUL;
   tf->codes[35453] = 0x00000feaeab97a8aUL;
   tf->codes[35454] = 0x0000118339f8b527UL;
   tf->codes[35455] = 0x000012fe0726077fUL;
   tf->codes[35456] = 0x0000150631974769UL;
   tf->codes[35457] = 0x000017383845a726UL;
   tf->codes[35458] = 0x00002c77509b8b10UL;
   tf->codes[35459] = 0x00002d765d89ac17UL;
   tf->codes[35460] = 0x00002de5c39da5daUL;
   tf->codes[35461] = 0x0000311fc30407a1UL;
   tf->codes[35462] = 0x000039206691df8dUL;
   tf->codes[35463] = 0x00003b62705bd328UL;
   tf->codes[35464] = 0x00003fa79c4c87bfUL;
   tf->codes[35465] = 0x000043da7b8b6ec6UL;
   tf->codes[35466] = 0x00004ae23f40c172UL;
   tf->codes[35467] = 0x000058b43e6256c9UL;
   tf->codes[35468] = 0x000059295c6de0c9UL;
   tf->codes[35469] = 0x0000627e99dc478aUL;
   tf->codes[35470] = 0x000062aa85209b4aUL;
   tf->codes[35471] = 0x000062b7c987e9ecUL;
   tf->codes[35472] = 0x000067799ff3e6e8UL;
   tf->codes[35473] = 0x00006780b74599c3UL;
   tf->codes[35474] = 0x00006ba0d4b4a7b0UL;
   tf->codes[35475] = 0x00006e94257912aeUL;
   tf->codes[35476] = 0x00006f7dec721b24UL;
   tf->codes[35477] = 0x000074265eda97b5UL;
   tf->codes[35478] = 0x000074dbc3e376f2UL;
   tf->codes[35479] = 0x000079a735c66640UL;
   tf->codes[35480] = 0x0000803a8b1d403bUL;
   tf->codes[35481] = 0x00008b54782d40e3UL;
   tf->codes[35482] = 0x0000945219a205e9UL;
   tf->codes[35483] = 0x000094f656c4346fUL;
   tf->codes[35484] = 0x0000969bea6abdaeUL;
   tf->codes[35485] = 0x00009e0b4d3545f3UL;
   tf->codes[35486] = 0x00009e9ffc59ec25UL;
   tf->codes[35487] = 0x00009fe2bea6b8f4UL;
   tf->codes[35488] = 0x00009ff8eed7e899UL;
   tf->codes[35489] = 0x0000ac49f3b68fd1UL;
   tf->codes[35490] = 0x0000b321738a211eUL;
   tf->codes[35491] = 0x0000c0cc8fb1e1a3UL;
   tf->codes[35492] = 0x0000c3a7dbcceed4UL;
   tf->codes[35493] = 0x0000cd5d2be0ccc9UL;
   tf->codes[35494] = 0x0000cdf374ee9b5eUL;
   tf->codes[35495] = 0x0000d32e87748a34UL;
   tf->codes[35496] = 0x0000d7c7e0fd89fbUL;
   tf->codes[35497] = 0x0000d9ef9c87e617UL;
   tf->codes[35498] = 0x0000e11a5fb7ab80UL;
   tf->codes[35499] = 0x0000e66fc07d31d5UL;
   tf->codes[35500] = 0x0000eb4333edeb12UL;
   tf->codes[35501] = 0x0000ef76132cd219UL;
   tf->codes[35502] = 0x0000f296ae8fb375UL;
   tf->codes[35503] = 0x000100eb1024216eUL;
   tf->codes[35504] = 0x000101f04a27de3cUL;
   tf->codes[35505] = 0x000102e7caa640deUL;
   tf->codes[35506] = 0x000104463a8cc7caUL;
   tf->codes[35507] = 0x000106f894a6cc3cUL;
   tf->codes[35508] = 0x000107e58f722578UL;
   tf->codes[35509] = 0x00010ccc745fc91eUL;
   tf->codes[35510] = 0x000129f60012554fUL;
   tf->codes[35511] = 0x0001345be7739958UL;
   tf->codes[35512] = 0x000138175f10bcadUL;
   tf->codes[35513] = 0x00013ab5d28fcb2cUL;
   tf->codes[35514] = 0x00013c13cd58468eUL;
   tf->codes[35515] = 0x00014486d03d633eUL;
   tf->codes[35516] = 0x000148a6b31d6b66UL;
   tf->codes[35517] = 0x000148b4a731cb57UL;
   tf->codes[35518] = 0x000149f1b18707e9UL;
   tf->codes[35519] = 0x00014ae4d967fcecUL;
   tf->codes[35520] = 0x00014d813ddfd77eUL;
   tf->codes[35521] = 0x00014e65c1ff5b41UL;
   tf->codes[35522] = 0x000156816379dbfbUL;
   tf->codes[35523] = 0x000158841082916dUL;
   tf->codes[35524] = 0x0001589a40b3c112UL;
   tf->codes[35525] = 0x000162a767504687UL;
   tf->codes[35526] = 0x00016659b8948314UL;
   tf->codes[35527] = 0x000166a534f1f306UL;
   tf->codes[35528] = 0x0001707fce167d6aUL;
   tf->codes[35529] = 0x0001719df6ffaf19UL;
   tf->codes[35530] = 0x000171a8f1d0c409UL;
   tf->codes[35531] = 0x00017aff8e994d68UL;
   tf->codes[35532] = 0x00017e72488d4607UL;
   tf->codes[35533] = 0x00017fa75154b8aaUL;
   tf->codes[35534] = 0x0001871bbc69bfddUL;
   tf->codes[35535] = 0x00018a8f260ac9cbUL;
   tf->codes[35536] = 0x00018b98b8abf438UL;
   tf->codes[35537] = 0x00018c24b695bf2cUL;
   tf->codes[35538] = 0x000192b462fc3cd7UL;
   tf->codes[35539] = 0x000195c744d9c407UL;
   tf->codes[35540] = 0x00019658107f0824UL;
   tf->codes[35541] = 0x00019b09e3cf7142UL;
   tf->codes[35542] = 0x0001a0f5c831cbf1UL;
   tf->codes[35543] = 0x0001abaf2d7e49dbUL;
   tf->codes[35544] = 0x0001b08a2d5ec17dUL;
   tf->codes[35545] = 0x0001bc6efffbbfb8UL;
   tf->codes[35546] = 0x0001bdd5abff1658UL;
   tf->codes[35547] = 0x0001c0e51f7b46fdUL;
   tf->codes[35548] = 0x0001c566e978f481UL;
   tf->codes[35549] = 0x0001c8210a91bd1dUL;
   tf->codes[35550] = 0x0001ce9f19f37e87UL;
   tf->codes[35551] = 0x0001d0c91f141455UL;
   tf->codes[35552] = 0x0001d155578ce50eUL;
   tf->codes[35553] = 0x0001d25e3a80fe2cUL;
   tf->codes[35554] = 0x0001d587871ebac6UL;
   tf->codes[35555] = 0x0001dd9484d7ca40UL;
   tf->codes[35556] = 0x0001e13f49ac4868UL;
   tf->codes[35557] = 0x0001e79f9c6d1bc8UL;
   tf->codes[35558] = 0x0001ead7523d43ddUL;
   tf->codes[35559] = 0x0001f4b17643c2b7UL;
   tf->codes[35560] = 0x0001f88e18e32aa1UL;
   tf->codes[35561] = 0x0001fd6aed3bd06bUL;
   tf->codes[35562] = 0x0001fe8f7dc9a3a6UL;
   tf->codes[35563] = 0x0000084baaa02eb1UL;
   tf->codes[35564] = 0x00000eb29f94a962UL;
   tf->codes[35565] = 0x00000ec7706bb669UL;
   tf->codes[35566] = 0x0000171f75642a4bUL;
   tf->codes[35567] = 0x000018255f14f868UL;
   tf->codes[35568] = 0x0000186f06fa3a32UL;
   tf->codes[35569] = 0x0000199447351ebcUL;
   tf->codes[35570] = 0x00001a0ac49acb5aUL;
   tf->codes[35571] = 0x00001d3aedfb350aUL;
   tf->codes[35572] = 0x00001f07d9b99ea5UL;
   tf->codes[35573] = 0x00001fb9d0612757UL;
   tf->codes[35574] = 0x000026610c52f745UL;
   tf->codes[35575] = 0x00002922f46a840bUL;
   tf->codes[35576] = 0x00002e32cb593070UL;
   tf->codes[35577] = 0x00003002b05ae50cUL;
   tf->codes[35578] = 0x00003367eb588944UL;
   tf->codes[35579] = 0x000037b887385e55UL;
   tf->codes[35580] = 0x00003bd4fbb70ff2UL;
   tf->codes[35581] = 0x00003fa459ef293aUL;
   tf->codes[35582] = 0x00004153fe2ab055UL;
   tf->codes[35583] = 0x000047355cda019eUL;
   tf->codes[35584] = 0x00004b4f4d3373c4UL;
   tf->codes[35585] = 0x0000546409157f83UL;
   tf->codes[35586] = 0x0000596a7f1c3f5bUL;
   tf->codes[35587] = 0x00005d3a5272642dUL;
   tf->codes[35588] = 0x000065f38edb6c1cUL;
   tf->codes[35589] = 0x00006af955351aa5UL;
   tf->codes[35590] = 0x00006c24fd14a0bbUL;
   tf->codes[35591] = 0x000070192f3f5ae8UL;
   tf->codes[35592] = 0x000070cb25e6e39aUL;
   tf->codes[35593] = 0x00007520ca113799UL;
   tf->codes[35594] = 0x0000757bd46c2fdfUL;
   tf->codes[35595] = 0x000075cf525769c0UL;
   tf->codes[35596] = 0x000076e5b441d745UL;
   tf->codes[35597] = 0x00007c09373c73d8UL;
   tf->codes[35598] = 0x000081874f73fd27UL;
   tf->codes[35599] = 0x00008f93dd9b577eUL;
   tf->codes[35600] = 0x00009021affd509aUL;
   tf->codes[35601] = 0x00009062a6a7b726UL;
   tf->codes[35602] = 0x000090ce9e5a5a5eUL;
   tf->codes[35603] = 0x0000913ca5143183UL;
   tf->codes[35604] = 0x000099f70648564bUL;
   tf->codes[35605] = 0x00009cb1d70e3036UL;
   tf->codes[35606] = 0x0000a1e229520fe1UL;
   tf->codes[35607] = 0x0000a49d34a6ef91UL;
   tf->codes[35608] = 0x0000a56f6c14a5c4UL;
   tf->codes[35609] = 0x0000abe69eb3ba18UL;
   tf->codes[35610] = 0x0000ac27955e20a4UL;
   tf->codes[35611] = 0x0000b6bdc0a1260cUL;
   tf->codes[35612] = 0x0000b89d6e2f68c1UL;
   tf->codes[35613] = 0x0000d5893709df2cUL;
   tf->codes[35614] = 0x0000d8770a65bfb2UL;
   tf->codes[35615] = 0x0000dd4ba2a195c8UL;
   tf->codes[35616] = 0x0000e29643250cf2UL;
   tf->codes[35617] = 0x0000e98f2889e899UL;
   tf->codes[35618] = 0x0000edf6a447fe9eUL;
   tf->codes[35619] = 0x0000ef4b3e288d73UL;
   tf->codes[35620] = 0x0000f7ba22ff4249UL;
   tf->codes[35621] = 0x0001011f28fa3723UL;
   tf->codes[35622] = 0x000102c740c5ffd9UL;
   tf->codes[35623] = 0x00010b2cc4b4c822UL;
   tf->codes[35624] = 0x00010e2174d355beUL;
   tf->codes[35625] = 0x0001133a721ae8ebUL;
   tf->codes[35626] = 0x00011aa123aa95f2UL;
   tf->codes[35627] = 0x000124be87f1b50aUL;
   tf->codes[35628] = 0x00012b43aea5294fUL;
   tf->codes[35629] = 0x00012f334da37018UL;
   tf->codes[35630] = 0x00012ff790fcc65aUL;
   tf->codes[35631] = 0x0001335e2b548d30UL;
   tf->codes[35632] = 0x000135b78a1acd49UL;
   tf->codes[35633] = 0x000135ea8cb0d3e4UL;
   tf->codes[35634] = 0x00014321af982742UL;
   tf->codes[35635] = 0x000145c983ff224eUL;
   tf->codes[35636] = 0x000149193e78a830UL;
   tf->codes[35637] = 0x00014dbeb79dd9c0UL;
   tf->codes[35638] = 0x000152b18198a96aUL;
   tf->codes[35639] = 0x000153e8d3f655bfUL;
   tf->codes[35640] = 0x0001545df201dfbfUL;
   tf->codes[35641] = 0x00015b1397261b28UL;
   tf->codes[35642] = 0x000162987a74c1c3UL;
   tf->codes[35643] = 0x000167d1436476e7UL;
   tf->codes[35644] = 0x00016807eeead9d2UL;
   tf->codes[35645] = 0x0001717446c6874cUL;
   tf->codes[35646] = 0x0001790e700a4678UL;
   tf->codes[35647] = 0x00017ffe2f163b57UL;
   tf->codes[35648] = 0x000188199601b64cUL;
   tf->codes[35649] = 0x00018b644830bd40UL;
   tf->codes[35650] = 0x00018dd7baa78f13UL;
   tf->codes[35651] = 0x0001911fe8b15690UL;
   tf->codes[35652] = 0x00019a8981d8beceUL;
   tf->codes[35653] = 0x0001a20ccb3e3d06UL;
   tf->codes[35654] = 0x0001c32b73579a78UL;
   tf->codes[35655] = 0x0001c59584e67fbeUL;
   tf->codes[35656] = 0x0001d3abae84cc67UL;
   tf->codes[35657] = 0x0001d8170dc24481UL;
   tf->codes[35658] = 0x0001e3bd334b15e2UL;
   tf->codes[35659] = 0x0001e6d25ebed6c4UL;
   tf->codes[35660] = 0x0001ed548c2f0008UL;
   tf->codes[35661] = 0x0001f7bde1f19a9cUL;
   tf->codes[35662] = 0x0001f88a9bf6c657UL;
   tf->codes[35663] = 0x0001ff94e3d1587aUL;
   tf->codes[35664] = 0x0001ffe26f35fc59UL;
   tf->codes[35665] = 0x0001ffe89c4b9820UL;
   tf->codes[35666] = 0x00000496c6aba4eeUL;
   tf->codes[35667] = 0x000007e521cb0832UL;
   tf->codes[35668] = 0x00000e987d5909e9UL;
   tf->codes[35669] = 0x0000186b14efca5eUL;
   tf->codes[35670] = 0x00001ec958a969d1UL;
   tf->codes[35671] = 0x0000235fb8ef1e97UL;
   tf->codes[35672] = 0x0000241d1f85c7c3UL;
   tf->codes[35673] = 0x00002521a9dc7342UL;
   tf->codes[35674] = 0x00002629dd237b11UL;
   tf->codes[35675] = 0x00002be0ea77a0fdUL;
   tf->codes[35676] = 0x00003d04eda8f5e8UL;
   tf->codes[35677] = 0x00004505cbc5d399UL;
   tf->codes[35678] = 0x0000451ce6331a52UL;
   tf->codes[35679] = 0x000047a479d3e7ddUL;
   tf->codes[35680] = 0x000047bd2e2a56f9UL;
   tf->codes[35681] = 0x00004b9787338531UL;
   tf->codes[35682] = 0x00004d430d60a472UL;
   tf->codes[35683] = 0x00004fb645487080UL;
   tf->codes[35684] = 0x000050a6e904260cUL;
   tf->codes[35685] = 0x000058518a8184a0UL;
   tf->codes[35686] = 0x00005d8301908124UL;
   tf->codes[35687] = 0x0000649460bcc622UL;
   tf->codes[35688] = 0x000068797a080385UL;
   tf->codes[35689] = 0x00006d0295e669a9UL;
   tf->codes[35690] = 0x00007027c475be69UL;
   tf->codes[35691] = 0x000073698adae45aUL;
   tf->codes[35692] = 0x0000857b3884a3d0UL;
   tf->codes[35693] = 0x00008610d1e56116UL;
   tf->codes[35694] = 0x000088f494ac43c0UL;
   tf->codes[35695] = 0x00008e7b238fa288UL;
   tf->codes[35696] = 0x00008ff36c97b569UL;
   tf->codes[35697] = 0x000093d601bdb355UL;
   tf->codes[35698] = 0x000097f70968d856UL;
   tf->codes[35699] = 0x00009bf6e611b8c2UL;
   tf->codes[35700] = 0x00009d74e7115be0UL;
   tf->codes[35701] = 0x0000a0c3f1ddd073UL;
   tf->codes[35702] = 0x0000ad54537db5d4UL;
   tf->codes[35703] = 0x0000b018100d70c2UL;
   tf->codes[35704] = 0x0000b4c3b6483e19UL;
   tf->codes[35705] = 0x0000b899f1430477UL;
   tf->codes[35706] = 0x0000bebf3fe0074dUL;
   tf->codes[35707] = 0x0000bf38416af362UL;
   tf->codes[35708] = 0x0000c40a1af2843cUL;
   tf->codes[35709] = 0x0000cbcf7fcd85d9UL;
   tf->codes[35710] = 0x0000d453e5285905UL;
   tf->codes[35711] = 0x0000dd06f47bc52dUL;
   tf->codes[35712] = 0x0000dd490ff14892UL;
   tf->codes[35713] = 0x0000e1e6fca6bbbdUL;
   tf->codes[35714] = 0x0000e5a916778663UL;
   tf->codes[35715] = 0x0000e64b449280fcUL;
   tf->codes[35716] = 0x0000eeff0392fe73UL;
   tf->codes[35717] = 0x0000f2605b114096UL;
   tf->codes[35718] = 0x0000f508a496472cUL;
   tf->codes[35719] = 0x0000ff0259b5e238UL;
   tf->codes[35720] = 0x000106cdeba67f9cUL;
   tf->codes[35721] = 0x000110879457cb30UL;
   tf->codes[35722] = 0x000127ffcaadc1b2UL;
   tf->codes[35723] = 0x000128f0a8f87d03UL;
   tf->codes[35724] = 0x00012eb56fd1fd1bUL;
   tf->codes[35725] = 0x00013242b29492feUL;
   tf->codes[35726] = 0x000136c775d58b83UL;
   tf->codes[35727] = 0x000138a9a7890dafUL;
   tf->codes[35728] = 0x00013b3e7f9129dcUL;
   tf->codes[35729] = 0x00013cf69a788670UL;
   tf->codes[35730] = 0x00013fc551d9564eUL;
   tf->codes[35731] = 0x000150db60f64b48UL;
   tf->codes[35732] = 0x0001547956818658UL;
   tf->codes[35733] = 0x0001576d9182086aUL;
   tf->codes[35734] = 0x00015be1676b55fdUL;
   tf->codes[35735] = 0x00015c267c242463UL;
   tf->codes[35736] = 0x00015c8fefb18824UL;
   tf->codes[35737] = 0x00015cd713718a77UL;
   tf->codes[35738] = 0x000160c2cef06f2bUL;
   tf->codes[35739] = 0x000168b78d711b13UL;
   tf->codes[35740] = 0x00016ce98273eb06UL;
   tf->codes[35741] = 0x00016ea3ac627b87UL;
   tf->codes[35742] = 0x00017da02e987a1bUL;
   tf->codes[35743] = 0x000180a138e23f45UL;
   tf->codes[35744] = 0x000183ee34a77febUL;
   tf->codes[35745] = 0x00018764226dc950UL;
   tf->codes[35746] = 0x00018808d4ae0360UL;
   tf->codes[35747] = 0x00018e8d4bb46656UL;
   tf->codes[35748] = 0x00019635a39b8b38UL;
   tf->codes[35749] = 0x00019865d5d1bccdUL;
   tf->codes[35750] = 0x00019fc3d6268e96UL;
   tf->codes[35751] = 0x0001a107bd3e783eUL;
   tf->codes[35752] = 0x0001a4839d8b57a5UL;
   tf->codes[35753] = 0x0001a8b139f0b9f9UL;
   tf->codes[35754] = 0x0001a96c91802f38UL;
   tf->codes[35755] = 0x0001a9db47e717acUL;
   tf->codes[35756] = 0x0001aad3ed309727UL;
   tf->codes[35757] = 0x0001b7d046831fc0UL;
   tf->codes[35758] = 0x0001b8b629fcc621UL;
   tf->codes[35759] = 0x0001b8bd414e78fcUL;
   tf->codes[35760] = 0x0001bc3996b963edUL;
   tf->codes[35761] = 0x0001c047dc94afd4UL;
   tf->codes[35762] = 0x0001c3e054b7606cUL;
   tf->codes[35763] = 0x0001cc2bff849cc0UL;
   tf->codes[35764] = 0x0001cfa05361bdc2UL;
   tf->codes[35765] = 0x0001dad03613e84aUL;
   tf->codes[35766] = 0x0001db713f63c60aUL;
   tf->codes[35767] = 0x0001df686ad1cb38UL;
   tf->codes[35768] = 0x0001ed4230f224b9UL;
   tf->codes[35769] = 0x0001f3cf93c268b2UL;
   tf->codes[35770] = 0x0001fd196141aef9UL;
   tf->codes[35771] = 0x0001fe8e3be86b4fUL;
   tf->codes[35772] = 0x0000073ec7169800UL;
   tf->codes[35773] = 0x000014a493f6845aUL;
   tf->codes[35774] = 0x000015fb024f4157UL;
   tf->codes[35775] = 0x0000174dc7b7a204UL;
   tf->codes[35776] = 0x00001c06ece8c3c2UL;
   tf->codes[35777] = 0x000026d7321382a0UL;
   tf->codes[35778] = 0x000028b371406ecaUL;
   tf->codes[35779] = 0x000034ecac04bdfaUL;
   tf->codes[35780] = 0x00003c4b5c06a112UL;
   tf->codes[35781] = 0x00003e404f89fc58UL;
   tf->codes[35782] = 0x00003f97e2add62eUL;
   tf->codes[35783] = 0x0000469436740860UL;
   tf->codes[35784] = 0x000051b8341906e4UL;
   tf->codes[35785] = 0x000058b5378c4a65UL;
   tf->codes[35786] = 0x00005b1bdab9d920UL;
   tf->codes[35787] = 0x00005bb9008a54cbUL;
   tf->codes[35788] = 0x00005f7094a8160bUL;
   tf->codes[35789] = 0x000068fe1786081aUL;
   tf->codes[35790] = 0x00006f58b24f4b3dUL;
   tf->codes[35791] = 0x00006f6f922d8c31UL;
   tf->codes[35792] = 0x00006fc2d589c04dUL;
   tf->codes[35793] = 0x00007269100792f6UL;
   tf->codes[35794] = 0x0000796a31893e51UL;
   tf->codes[35795] = 0x00007a1a19299316UL;
   tf->codes[35796] = 0x00007a3760ac7596UL;
   tf->codes[35797] = 0x00007ad1c7c8ac05UL;
   tf->codes[35798] = 0x00007e26156ea54bUL;
   tf->codes[35799] = 0x00008034a78486c1UL;
   tf->codes[35800] = 0x00008064eb664820UL;
   tf->codes[35801] = 0x000083e5d3fda675UL;
   tf->codes[35802] = 0x000087ada5c60158UL;
   tf->codes[35803] = 0x00008cbfc64ae76fUL;
   tf->codes[35804] = 0x00008d3a9c4e01acUL;
   tf->codes[35805] = 0x00008f25b9cb64dbUL;
   tf->codes[35806] = 0x0000919e348cb59cUL;
   tf->codes[35807] = 0x00009435cb491705UL;
   tf->codes[35808] = 0x0000945d2360f761UL;
   tf->codes[35809] = 0x000094ae57b5f790UL;
   tf->codes[35810] = 0x0000954fd623e0daUL;
   tf->codes[35811] = 0x00009e67c5d83d5fUL;
   tf->codes[35812] = 0x00009ed8c5d55f85UL;
   tf->codes[35813] = 0x00009f3fefcc8994UL;
   tf->codes[35814] = 0x0000a15ebf8d04adUL;
   tf->codes[35815] = 0x0000a3f98a1bb6dcUL;
   tf->codes[35816] = 0x0000a4044a5dc607UL;
   tf->codes[35817] = 0x0000a527410270dfUL;
   tf->codes[35818] = 0x0000a56abbd216e2UL;
   tf->codes[35819] = 0x0000a99a2cafa75eUL;
   tf->codes[35820] = 0x0000ac7ba5e05056UL;
   tf->codes[35821] = 0x0000b132817b3862UL;
   tf->codes[35822] = 0x0000b2b1a745f859UL;
   tf->codes[35823] = 0x0000b2f89076f4e7UL;
   tf->codes[35824] = 0x0000be70bbb43e9bUL;
   tf->codes[35825] = 0x0000bf4193c7d230UL;
   tf->codes[35826] = 0x0000cf3680b84a7aUL;
   tf->codes[35827] = 0x0000de9599b8ffb9UL;
   tf->codes[35828] = 0x0000e27c4ced657fUL;
   tf->codes[35829] = 0x0000e3417a82d2d5UL;
   tf->codes[35830] = 0x0000e7e6f3a80465UL;
   tf->codes[35831] = 0x0000f85ef2b866a0UL;
   tf->codes[35832] = 0x0001034bcfb8f6afUL;
   tf->codes[35833] = 0x00010e733bbf4bbeUL;
   tf->codes[35834] = 0x000111bbdee71ec5UL;
   tf->codes[35835] = 0x00011450074229a3UL;
   tf->codes[35836] = 0x00011d3235ac3a51UL;
   tf->codes[35837] = 0x0001213580b67148UL;
   tf->codes[35838] = 0x000127e18a63ba5fUL;
   tf->codes[35839] = 0x0001329c4f0a5ae7UL;
   tf->codes[35840] = 0x000139be26703f4dUL;
   tf->codes[35841] = 0x000150b3fa535d2dUL;
   tf->codes[35842] = 0x00015fb46008bdd6UL;
   tf->codes[35843] = 0x00016b50ea1a9ce5UL;
   tf->codes[35844] = 0x00016b7ac657bcb8UL;
   tf->codes[35845] = 0x000179209fa5f88aUL;
   tf->codes[35846] = 0x00017b87f2809894UL;
   tf->codes[35847] = 0x0001822a2627e994UL;
   tf->codes[35848] = 0x000187097ea5ced5UL;
   tf->codes[35849] = 0x00018a760b842badUL;
   tf->codes[35850] = 0x00018bc4b2de2480UL;
   tf->codes[35851] = 0x00019937899659b7UL;
   tf->codes[35852] = 0x000199858a190920UL;
   tf->codes[35853] = 0x00019d947fa16656UL;
   tf->codes[35854] = 0x0001a09a57a6a4a9UL;
   tf->codes[35855] = 0x0001b05739b6976aUL;
   tf->codes[35856] = 0x0001c1e59ab1672aUL;
   tf->codes[35857] = 0x0001d30bace9f002UL;
   tf->codes[35858] = 0x0001dec752f6dfb9UL;
   tf->codes[35859] = 0x0001e5afc0221bf8UL;
   tf->codes[35860] = 0x0001ea51cae5f6fdUL;
   tf->codes[35861] = 0x0001f53dbdaa6ff8UL;
   tf->codes[35862] = 0x0001fd996b93402aUL;
   tf->codes[35863] = 0x0001fee9acd66160UL;
   tf->codes[35864] = 0x000003b72dc0849bUL;
   tf->codes[35865] = 0x000003ed6428dbfcUL;
   tf->codes[35866] = 0x0000078825e1c646UL;
   tf->codes[35867] = 0x000009fecc2ae8dfUL;
   tf->codes[35868] = 0x00000d9aed3df5c7UL;
   tf->codes[35869] = 0x000012dc67688629UL;
   tf->codes[35870] = 0x00001e0c0f8baaecUL;
   tf->codes[35871] = 0x000021455f44fb64UL;
   tf->codes[35872] = 0x000023cec75df717UL;
   tf->codes[35873] = 0x000024979de3c0bdUL;
   tf->codes[35874] = 0x00003081b35a43abUL;
   tf->codes[35875] = 0x0000340978b44f16UL;
   tf->codes[35876] = 0x000037b109b67c78UL;
   tf->codes[35877] = 0x0000414cbb37d43dUL;
   tf->codes[35878] = 0x0000499447f6a8b7UL;
   tf->codes[35879] = 0x00005443621f2300UL;
   tf->codes[35880] = 0x000055c805526d6fUL;
   tf->codes[35881] = 0x000058a59b03b452UL;
   tf->codes[35882] = 0x00005a5abca7c5e5UL;
   tf->codes[35883] = 0x0000658bfeb4130bUL;
   tf->codes[35884] = 0x000065d4f6ec4386UL;
   tf->codes[35885] = 0x000067e0ca4ddfc0UL;
   tf->codes[35886] = 0x000074fec3c0b878UL;
   tf->codes[35887] = 0x000075d344c4a85dUL;
   tf->codes[35888] = 0x000076d844395f66UL;
   tf->codes[35889] = 0x00007893586406fbUL;
   tf->codes[35890] = 0x00007f092ba8f8b1UL;
   tf->codes[35891] = 0x00008155bb25f5b2UL;
   tf->codes[35892] = 0x00008446fce32cc3UL;
   tf->codes[35893] = 0x000085bf807a4569UL;
   tf->codes[35894] = 0x00008782d0c1bcb2UL;
   tf->codes[35895] = 0x00008929c3c2688fUL;
   tf->codes[35896] = 0x00009599e49c206fUL;
   tf->codes[35897] = 0x00009c68edc3dc43UL;
   tf->codes[35898] = 0x0000a0c53421d793UL;
   tf->codes[35899] = 0x0000a1157e3ac0aeUL;
   tf->codes[35900] = 0x0000ad200f0676e2UL;
   tf->codes[35901] = 0x0000af0fbfb04d75UL;
   tf->codes[35902] = 0x0000b406e2488abeUL;
   tf->codes[35903] = 0x0000b6220918a987UL;
   tf->codes[35904] = 0x0000b91cabbdcd25UL;
   tf->codes[35905] = 0x0000b9b74d690959UL;
   tf->codes[35906] = 0x0000b9ff95f42885UL;
   tf->codes[35907] = 0x0000c087063dd67cUL;
   tf->codes[35908] = 0x0000d0f27093fb64UL;
   tf->codes[35909] = 0x0000dc65ce15cbefUL;
   tf->codes[35910] = 0x0000defb9059ff30UL;
   tf->codes[35911] = 0x0000e487d734ee35UL;
   tf->codes[35912] = 0x0000e53db15bd8fcUL;
   tf->codes[35913] = 0x0000f6e86f9d7428UL;
   tf->codes[35914] = 0x0000f70a4a4cca0cUL;
   tf->codes[35915] = 0x00010064ca94b580UL;
   tf->codes[35916] = 0x0001060741a0d42aUL;
   tf->codes[35917] = 0x000106b42ffdddeeUL;
   tf->codes[35918] = 0x00010742025fd70aUL;
   tf->codes[35919] = 0x0001156b62ec0857UL;
   tf->codes[35920] = 0x000116f66dc3f452UL;
   tf->codes[35921] = 0x00011cf4d9672256UL;
   tf->codes[35922] = 0x00012a8f42c63daeUL;
   tf->codes[35923] = 0x00013072eb0bc8a9UL;
   tf->codes[35924] = 0x0001398fa87b9e57UL;
   tf->codes[35925] = 0x00014611db781e02UL;
   tf->codes[35926] = 0x000148e859d7b20aUL;
   tf->codes[35927] = 0x00014982c0f3e879UL;
   tf->codes[35928] = 0x00014b3d9a8f8a49UL;
   tf->codes[35929] = 0x00014b76551d2121UL;
   tf->codes[35930] = 0x00014df5e73024bdUL;
   tf->codes[35931] = 0x0001517f81025e50UL;
   tf->codes[35932] = 0x000154c4061bc97dUL;
   tf->codes[35933] = 0x0001598e8dc2a1b7UL;
   tf->codes[35934] = 0x00015eb78e25c8c2UL;
   tf->codes[35935] = 0x0001632b640f1655UL;
   tf->codes[35936] = 0x000164afccb35affUL;
   tf->codes[35937] = 0x000166fb71f440ecUL;
   tf->codes[35938] = 0x00017deefc41251aUL;
   tf->codes[35939] = 0x000185862c419945UL;
   tf->codes[35940] = 0x000188a6c7a47aa1UL;
   tf->codes[35941] = 0x000193ca502b6d9bUL;
   tf->codes[35942] = 0x00019ef7399a4d22UL;
   tf->codes[35943] = 0x0001a3943c13a939UL;
   tf->codes[35944] = 0x0001a75de2543244UL;
   tf->codes[35945] = 0x0001ac9eacd1b157UL;
   tf->codes[35946] = 0x0001b5a1911ffb10UL;
   tf->codes[35947] = 0x0001bc29eba5c01bUL;
   tf->codes[35948] = 0x0001c00cf5e9c991UL;
   tf->codes[35949] = 0x0001c06db83c5214UL;
   tf->codes[35950] = 0x0001c1786fa8995aUL;
   tf->codes[35951] = 0x0001c65718796d4cUL;
   tf->codes[35952] = 0x0001c7dad170a0a7UL;
   tf->codes[35953] = 0x0001cb3a5476b4a2UL;
   tf->codes[35954] = 0x0001d0e2837a6389UL;
   tf->codes[35955] = 0x0001d5a7c847b710UL;
   tf->codes[35956] = 0x0001d5ababc71925UL;
   tf->codes[35957] = 0x0001da4789755863UL;
   tf->codes[35958] = 0x0001df97a7615a05UL;
   tf->codes[35959] = 0x0001e6e35b045e3eUL;
   tf->codes[35960] = 0x0001ecc9c1fe2e75UL;
   tf->codes[35961] = 0x0001ef8074b5a086UL;
   tf->codes[35962] = 0x0001f1d490a25becUL;
   tf->codes[35963] = 0x0001f3e2730b2c13UL;
   tf->codes[35964] = 0x0001f8ddee40d6fbUL;
   tf->codes[35965] = 0x0001f8e664ecac74UL;
   tf->codes[35966] = 0x0001fb16d1b1e3ceUL;
   tf->codes[35967] = 0x0001fbbbf9102968UL;
   tf->codes[35968] = 0x000003ceaec0c91fUL;
   tf->codes[35969] = 0x000003cfd38be5f8UL;
   tf->codes[35970] = 0x00000702f62f9aa9UL;
   tf->codes[35971] = 0x0000097f8eff5344UL;
   tf->codes[35972] = 0x000009c7626c66e6UL;
   tf->codes[35973] = 0x00000cb6cfb16fcfUL;
   tf->codes[35974] = 0x00000f7a8c412abdUL;
   tf->codes[35975] = 0x00001d21c4e9892dUL;
   tf->codes[35976] = 0x00001e55a8e5def7UL;
   tf->codes[35977] = 0x00001f1a26ce3afeUL;
   tf->codes[35978] = 0x0000254f3df7cbedUL;
   tf->codes[35979] = 0x00002b539c218ff3UL;
   tf->codes[35980] = 0x00002b9baa1da95aUL;
   tf->codes[35981] = 0x00003516a5bac814UL;
   tf->codes[35982] = 0x000039029bc8b28dUL;
   tf->codes[35983] = 0x00003c01d19a498fUL;
   tf->codes[35984] = 0x00003d3f8b9c9770UL;
   tf->codes[35985] = 0x00003fa3e533ec79UL;
   tf->codes[35986] = 0x0000445ededd3c5fUL;
   tf->codes[35987] = 0x0000457999651783UL;
   tf->codes[35988] = 0x000045f5cec2545eUL;
   tf->codes[35989] = 0x0000538f135652ddUL;
   tf->codes[35990] = 0x000056a319fef6e6UL;
   tf->codes[35991] = 0x00005846640f4673UL;
   tf->codes[35992] = 0x00005c00b6e14cefUL;
   tf->codes[35993] = 0x00005ce450c4b99eUL;
   tf->codes[35994] = 0x00005d9b8a45c703UL;
   tf->codes[35995] = 0x00006269f56c0152UL;
   tf->codes[35996] = 0x00006287ec9bf521UL;
   tf->codes[35997] = 0x000065d9066f9da1UL;
   tf->codes[35998] = 0x00006ab68a7554baUL;
   tf->codes[35999] = 0x00006e352976795dUL;
   tf->codes[36000] = 0x000070890ad42efeUL;
   tf->codes[36001] = 0x000075d49593bd3cUL;
   tf->codes[36002] = 0x00007dd364a96700UL;
   tf->codes[36003] = 0x00007e5eb2e620a5UL;
   tf->codes[36004] = 0x00007f842db00af4UL;
   tf->codes[36005] = 0x0000846bc24abfe9UL;
   tf->codes[36006] = 0x000084c77c52c97eUL;
   tf->codes[36007] = 0x00008588c668d4bfUL;
   tf->codes[36008] = 0x000096a69c848de3UL;
   tf->codes[36009] = 0x000096fc2976fbb1UL;
   tf->codes[36010] = 0x00009b5db2ae7bb4UL;
   tf->codes[36011] = 0x00009dbd03fb51cfUL;
   tf->codes[36012] = 0x0000a9ed8d84c5c1UL;
   tf->codes[36013] = 0x0000b01dd6f2dd87UL;
   tf->codes[36014] = 0x0000b15f39e587b8UL;
   tf->codes[36015] = 0x0000bae5e000ccb1UL;
   tf->codes[36016] = 0x0000c97a88928fe7UL;
   tf->codes[36017] = 0x0000cbd19dc2964eUL;
   tf->codes[36018] = 0x0000cd49371d97e0UL;
   tf->codes[36019] = 0x0000e0fe2ed7a6e3UL;
   tf->codes[36020] = 0x0000e777ab0cf4e9UL;
   tf->codes[36021] = 0x0000ec80dfc7f9fdUL;
   tf->codes[36022] = 0x0000fa246f7ffc1dUL;
   tf->codes[36023] = 0x000106727b1b5854UL;
   tf->codes[36024] = 0x00010ee9d69de2a3UL;
   tf->codes[36025] = 0x000111e17fffbb40UL;
   tf->codes[36026] = 0x0001181e5e281059UL;
   tf->codes[36027] = 0x00011bfc60219ae1UL;
   tf->codes[36028] = 0x00012a5e061d577cUL;
   tf->codes[36029] = 0x00012eadb7c11579UL;
   tf->codes[36030] = 0x00012ed2c642bc23UL;
   tf->codes[36031] = 0x000133427e1da1dcUL;
   tf->codes[36032] = 0x0001347dee89b60bUL;
   tf->codes[36033] = 0x00013ac084a99b61UL;
   tf->codes[36034] = 0x00013b974f43c4f8UL;
   tf->codes[36035] = 0x000140091625de9eUL;
   tf->codes[36036] = 0x00014453fa0e2372UL;
   tf->codes[36037] = 0x0001459bff3474f4UL;
   tf->codes[36038] = 0x000148f13716854eUL;
   tf->codes[36039] = 0x00014c660011b1daUL;
   tf->codes[36040] = 0x0001506fb2c08a5dUL;
   tf->codes[36041] = 0x00015d0a24f56d9aUL;
   tf->codes[36042] = 0x000169a003fddd73UL;
   tf->codes[36043] = 0x000169e887180264UL;
   tf->codes[36044] = 0x0001773e164d551bUL;
   tf->codes[36045] = 0x0001797faaf93d2cUL;
   tf->codes[36046] = 0x000181bf362a47b7UL;
   tf->codes[36047] = 0x00018c3ad89eafdbUL;
   tf->codes[36048] = 0x00018f5dbd97cae9UL;
   tf->codes[36049] = 0x000195eb95861a6cUL;
   tf->codes[36050] = 0x000197757b92e98eUL;
   tf->codes[36051] = 0x000198db3d5a291aUL;
   tf->codes[36052] = 0x00019a04268569f4UL;
   tf->codes[36053] = 0x00019ba01eb500e1UL;
   tf->codes[36054] = 0x0001a1e030afa6c0UL;
   tf->codes[36055] = 0x0001a2157cdbe70dUL;
   tf->codes[36056] = 0x0001a245fb4cae31UL;
   tf->codes[36057] = 0x0001a71f6143fd70UL;
   tf->codes[36058] = 0x0001a96638c96a34UL;
   tf->codes[36059] = 0x0001abdb4529646aUL;
   tf->codes[36060] = 0x0001ade24acf877bUL;
   tf->codes[36061] = 0x0001b063ebe9bf04UL;
   tf->codes[36062] = 0x0001b51b3ca2b29aUL;
   tf->codes[36063] = 0x0001b7728c61bec6UL;
   tf->codes[36064] = 0x0001ba0ce1d2656bUL;
   tf->codes[36065] = 0x0001cadf0101a8d8UL;
   tf->codes[36066] = 0x0001cb3bdfd4cf46UL;
   tf->codes[36067] = 0x0001d962bc3bc11cUL;
   tf->codes[36068] = 0x0001da8abb2aeae2UL;
   tf->codes[36069] = 0x0001dc78223e87c3UL;
   tf->codes[36070] = 0x0001e347a0844f21UL;
   tf->codes[36071] = 0x0001e688421e5839UL;
   tf->codes[36072] = 0x0001eff8f2977352UL;
   tf->codes[36073] = 0x0001f064afbb10c5UL;
   tf->codes[36074] = 0x0001f314c03edb85UL;
   tf->codes[36075] = 0x0001f554f590a0f8UL;
   tf->codes[36076] = 0x0001f59208bba56fUL;
   tf->codes[36077] = 0x0001f922f46e97a2UL;
   tf->codes[36078] = 0x0001f97d4f1c7e99UL;
   tf->codes[36079] = 0x0001f9e5d86dcb46UL;
   tf->codes[36080] = 0x0000002ba2600162UL;
   tf->codes[36081] = 0x000004c98f15748dUL;
   tf->codes[36082] = 0x0000063508d44456UL;
   tf->codes[36083] = 0x00001415abb74aedUL;
   tf->codes[36084] = 0x000015bb79ecd9f1UL;
   tf->codes[36085] = 0x000027d38f3b3af3UL;
   tf->codes[36086] = 0x0000288bb2f85f6cUL;
   tf->codes[36087] = 0x00002e3b6e6bccb8UL;
   tf->codes[36088] = 0x000035c4e4e6e6b7UL;
   tf->codes[36089] = 0x000039425f1cee81UL;
   tf->codes[36090] = 0x00003bfec9cbf0cfUL;
   tf->codes[36091] = 0x00003f1d1b989879UL;
   tf->codes[36092] = 0x000042d091a7f1dfUL;
   tf->codes[36093] = 0x000045b7c2d02b14UL;
   tf->codes[36094] = 0x000045c15e471d66UL;
   tf->codes[36095] = 0x0000471ee3f18d3eUL;
   tf->codes[36096] = 0x00004b08caf843caUL;
   tf->codes[36097] = 0x00004edb5d02add8UL;
   tf->codes[36098] = 0x0000570233dd4947UL;
   tf->codes[36099] = 0x00006daba126e021UL;
   tf->codes[36100] = 0x00007261cd14b6deUL;
   tf->codes[36101] = 0x000072e63e8ec36dUL;
   tf->codes[36102] = 0x0000785d3f7499e1UL;
   tf->codes[36103] = 0x000078a49dc3a1f9UL;
   tf->codes[36104] = 0x00007ceed1fed57eUL;
   tf->codes[36105] = 0x0000899eff46dcd6UL;
   tf->codes[36106] = 0x00008b3edaf5d5d8UL;
   tf->codes[36107] = 0x00008d3fb3865d22UL;
   tf->codes[36108] = 0x0000986dfc4f5f47UL;
   tf->codes[36109] = 0x00009a34f58732e0UL;
   tf->codes[36110] = 0x0000a2d5430ac5eeUL;
   tf->codes[36111] = 0x0000a4bc4279c143UL;
   tf->codes[36112] = 0x0000a578bed4535bUL;
   tf->codes[36113] = 0x0000a59297f5df50UL;
   tf->codes[36114] = 0x0000a9998bf07297UL;
   tf->codes[36115] = 0x0000ad28ddba3c67UL;
   tf->codes[36116] = 0x0000b15605019331UL;
   tf->codes[36117] = 0x0000b2ffb6b6844aUL;
   tf->codes[36118] = 0x0000b3536f30c3f0UL;
   tf->codes[36119] = 0x0000ba25719bcac5UL;
   tf->codes[36120] = 0x0000bd434e4a66e5UL;
   tf->codes[36121] = 0x0000bea9fa4dbd85UL;
   tf->codes[36122] = 0x0000c2eeb1206692UL;
   tf->codes[36123] = 0x0000d719769310e4UL;
   tf->codes[36124] = 0x0000e0407f26ea33UL;
   tf->codes[36125] = 0x0000e886ac8b9c0fUL;
   tf->codes[36126] = 0x0000e9f08c614375UL;
   tf->codes[36127] = 0x0000eb0a221e01c0UL;
   tf->codes[36128] = 0x0000f5624ff9eb9dUL;
   tf->codes[36129] = 0x00010f65c2e10bfaUL;
   tf->codes[36130] = 0x00010f6eaeaaecfdUL;
   tf->codes[36131] = 0x00011004480baa43UL;
   tf->codes[36132] = 0x000113aab442baccUL;
   tf->codes[36133] = 0x00011892f88a8110UL;
   tf->codes[36134] = 0x00011e971c253f51UL;
   tf->codes[36135] = 0x00011f4d30db2fddUL;
   tf->codes[36136] = 0x0001204ced766233UL;
   tf->codes[36137] = 0x000123faab8e2b5cUL;
   tf->codes[36138] = 0x00012443de55619cUL;
   tf->codes[36139] = 0x00012596692ebc84UL;
   tf->codes[36140] = 0x000126c370686538UL;
   tf->codes[36141] = 0x000128ee9a5417dfUL;
   tf->codes[36142] = 0x00012ae094942824UL;
   tf->codes[36143] = 0x0001313f87fad8e6UL;
   tf->codes[36144] = 0x00013c0840b5d95fUL;
   tf->codes[36145] = 0x00013d959523ff0cUL;
   tf->codes[36146] = 0x00014726866347a6UL;
   tf->codes[36147] = 0x00014ccad1e79478UL;
   tf->codes[36148] = 0x00014ff62d8c84ffUL;
   tf->codes[36149] = 0x0001501499da8458UL;
   tf->codes[36150] = 0x000157a89608a7bdUL;
   tf->codes[36151] = 0x00015fed9ea23cc0UL;
   tf->codes[36152] = 0x000163ea8207d22bUL;
   tf->codes[36153] = 0x000164050ad66f6fUL;
   tf->codes[36154] = 0x000164ef46ed836fUL;
   tf->codes[36155] = 0x00016757be934052UL;
   tf->codes[36156] = 0x00016e37b512a718UL;
   tf->codes[36157] = 0x00018d20386f3cf3UL;
   tf->codes[36158] = 0x00018d63b33ee2f6UL;
   tf->codes[36159] = 0x00018dd6129627baUL;
   tf->codes[36160] = 0x00018ed4aa663d37UL;
   tf->codes[36161] = 0x0001956874db22bcUL;
   tf->codes[36162] = 0x000197d1619eeb29UL;
   tf->codes[36163] = 0x00019833bdda9c0fUL;
   tf->codes[36164] = 0x00019a7308f04a6eUL;
   tf->codes[36165] = 0x00019e56c2e16533UL;
   tf->codes[36166] = 0x00019ea279cddaeaUL;
   tf->codes[36167] = 0x0001a4f5c2b6656dUL;
   tf->codes[36168] = 0x0001a56737d1931dUL;
   tf->codes[36169] = 0x0001a6342c65c49dUL;
   tf->codes[36170] = 0x0001aa2405f3112bUL;
   tf->codes[36171] = 0x0001aae0824da343UL;
   tf->codes[36172] = 0x0001abe5bc516011UL;
   tf->codes[36173] = 0x0001b3e9ce408e88UL;
   tf->codes[36174] = 0x0001b507820bb4adUL;
   tf->codes[36175] = 0x0001bb7a5c0d5b62UL;
   tf->codes[36176] = 0x0001bc46db838158UL;
   tf->codes[36177] = 0x0001c0080b1834eaUL;
   tf->codes[36178] = 0x0001c208e3a8bc34UL;
   tf->codes[36179] = 0x0001c2ddd9cab7a3UL;
   tf->codes[36180] = 0x0001c4d13364ea86UL;
   tf->codes[36181] = 0x0001c5f16b555022UL;
   tf->codes[36182] = 0x0001cce9667e14b5UL;
   tf->codes[36183] = 0x0001d3bf86f78364UL;
   tf->codes[36184] = 0x0001daa11760128dUL;
   tf->codes[36185] = 0x0001db08b6754826UL;
   tf->codes[36186] = 0x0001dc99b3d3ca23UL;
   tf->codes[36187] = 0x0001e0ad3c889abdUL;
   tf->codes[36188] = 0x0001e47c25a2a87bUL;
   tf->codes[36189] = 0x0001e65de2381f1dUL;
   tf->codes[36190] = 0x0001e6953d6b9357UL;
   tf->codes[36191] = 0x0001f0107397b7d6UL;
   tf->codes[36192] = 0x0001f8a58bbb302fUL;
   tf->codes[36193] = 0x0001f8fbc85aaf4cUL;
   tf->codes[36194] = 0x0000044f5a345de0UL;
   tf->codes[36195] = 0x0000237cf249c221UL;
   tf->codes[36196] = 0x0000249e14763ed1UL;
   tf->codes[36197] = 0x00002b2e35fac806UL;
   tf->codes[36198] = 0x00003c4fef95e33fUL;
   tf->codes[36199] = 0x00003e47a1cd83c1UL;
   tf->codes[36200] = 0x000041d4aa0113dfUL;
   tf->codes[36201] = 0x00004e8a1a229feaUL;
   tf->codes[36202] = 0x000053f0a2ced6f6UL;
   tf->codes[36203] = 0x00005857a96ee171UL;
   tf->codes[36204] = 0x00005922c98ae4c9UL;
   tf->codes[36205] = 0x00005a93fb4144cfUL;
   tf->codes[36206] = 0x000065918b0a7a0bUL;
   tf->codes[36207] = 0x000065a8e006c689UL;
   tf->codes[36208] = 0x000065d839ac70d4UL;
   tf->codes[36209] = 0x0000674378dc3ad8UL;
   tf->codes[36210] = 0x00006ebf70610070UL;
   tf->codes[36211] = 0x0000715e938d203eUL;
   tf->codes[36212] = 0x000075b5971196dbUL;
   tf->codes[36213] = 0x000078cac28557bdUL;
   tf->codes[36214] = 0x00007921aed1e829UL;
   tf->codes[36215] = 0x00007de6f39f3bb0UL;
   tf->codes[36216] = 0x000081a7e8a4e97dUL;
   tf->codes[36217] = 0x000083d6f60ffe39UL;
   tf->codes[36218] = 0x000084e4e14e9645UL;
   tf->codes[36219] = 0x000086fc99bd5e83UL;
   tf->codes[36220] = 0x00008d847f251804UL;
   tf->codes[36221] = 0x000090b7dc57d27aUL;
   tf->codes[36222] = 0x0000934f731433e3UL;
   tf->codes[36223] = 0x000099e302fa13a3UL;
   tf->codes[36224] = 0x0000a39c711c5972UL;
   tf->codes[36225] = 0x0000a64320b837a5UL;
   tf->codes[36226] = 0x0000a79b638922caUL;
   tf->codes[36227] = 0x0000ab90ba7ef9d0UL;
   tf->codes[36228] = 0x0000ac22aaef5ac6UL;
   tf->codes[36229] = 0x0000aeb364e90f19UL;
   tf->codes[36230] = 0x0000b025bb6a8bf8UL;
   tf->codes[36231] = 0x0000bba2eef2549aUL;
   tf->codes[36232] = 0x0000c4c8d2bb1110UL;
   tf->codes[36233] = 0x0000d5c8b1a6d665UL;
   tf->codes[36234] = 0x0000d658cd9f0933UL;
   tf->codes[36235] = 0x0000d7a2a73d88ddUL;
   tf->codes[36236] = 0x0000d9ebc8592f53UL;
   tf->codes[36237] = 0x0000dfaad73b1f2eUL;
   tf->codes[36238] = 0x0000eb2009351de1UL;
   tf->codes[36239] = 0x0000f1f53f72757cUL;
   tf->codes[36240] = 0x0000fbc886b64740UL;
   tf->codes[36241] = 0x0000fbf4376b953bUL;
   tf->codes[36242] = 0x000102afcf1666a6UL;
   tf->codes[36243] = 0x000108cca7079403UL;
   tf->codes[36244] = 0x00010e15ada1e2caUL;
   tf->codes[36245] = 0x00010e1b2b0a6d42UL;
   tf->codes[36246] = 0x0001111ce50143bbUL;
   tf->codes[36247] = 0x000115b1ab5dd01eUL;
   tf->codes[36248] = 0x00011c432c3c7bf1UL;
   tf->codes[36249] = 0x00012816d6f2c975UL;
   tf->codes[36250] = 0x000131915d71dca5UL;
   tf->codes[36251] = 0x0001323b8d1aa12dUL;
   tf->codes[36252] = 0x000132e0b478e6c7UL;
   tf->codes[36253] = 0x000138b24a9ba9f7UL;
   tf->codes[36254] = 0x00013b16dec204c5UL;
   tf->codes[36255] = 0x00013b20ef5702a1UL;
   tf->codes[36256] = 0x00013c2997bc15faUL;
   tf->codes[36257] = 0x00013e04778edf86UL;
   tf->codes[36258] = 0x00013ff253c087f1UL;
   tf->codes[36259] = 0x0001586f146d29f2UL;
   tf->codes[36260] = 0x00015d269fb5234dUL;
   tf->codes[36261] = 0x000165d84fae6cd7UL;
   tf->codes[36262] = 0x000166962b63218dUL;
   tf->codes[36263] = 0x00016d1fe5430936UL;
   tf->codes[36264] = 0x00016d32e1a1e815UL;
   tf->codes[36265] = 0x00017493661bf955UL;
   tf->codes[36266] = 0x0001785ac2c648aeUL;
   tf->codes[36267] = 0x00017a3e8e62f33dUL;
   tf->codes[36268] = 0x00017dbc432800ccUL;
   tf->codes[36269] = 0x00017e84a48fbee8UL;
   tf->codes[36270] = 0x00017fb8888c14b2UL;
   tf->codes[36271] = 0x000180aa1683e152UL;
   tf->codes[36272] = 0x000184ed336d61fcUL;
   tf->codes[36273] = 0x0001855e336a8422UL;
   tf->codes[36274] = 0x000185bebb2e06e0UL;
   tf->codes[36275] = 0x00018874491a5c18UL;
   tf->codes[36276] = 0x0001a1532b73a93aUL;
   tf->codes[36277] = 0x0001a577dc0f2a8bUL;
   tf->codes[36278] = 0x0001aad2451f2fceUL;
   tf->codes[36279] = 0x0001b3a13c9b5bd8UL;
   tf->codes[36280] = 0x0001bb98b9d04cfcUL;
   tf->codes[36281] = 0x0001bfe4c283aea9UL;
   tf->codes[36282] = 0x0001c43857a6cebbUL;
   tf->codes[36283] = 0x0001c57d6389d53cUL;
   tf->codes[36284] = 0x0001ca14e89aa6dbUL;
   tf->codes[36285] = 0x0001d03b5c02c68aUL;
   tf->codes[36286] = 0x0001d73d67c088f9UL;
   tf->codes[36287] = 0x0001d8d6dbcae06fUL;
   tf->codes[36288] = 0x0001dd6f1088c35dUL;
   tf->codes[36289] = 0x0001dde16fe00821UL;
   tf->codes[36290] = 0x0001e3b1a6a8a8b3UL;
   tf->codes[36291] = 0x0001e4b80577825aUL;
   tf->codes[36292] = 0x0001e86a56bbbee7UL;
   tf->codes[36293] = 0x0001ebeb3f531d3cUL;
   tf->codes[36294] = 0x0001f151c7ff5448UL;
   tf->codes[36295] = 0x0001f23402889e59UL;
   tf->codes[36296] = 0x0001f37f3b8140a1UL;
   tf->codes[36297] = 0x0001f3d6d77ae25cUL;
   tf->codes[36298] = 0x0001f7168ed8d460UL;
   tf->codes[36299] = 0x0001f9490aa53fa7UL;
   tf->codes[36300] = 0x000000bb66b312edUL;
   tf->codes[36301] = 0x000005d54e36bd2eUL;
   tf->codes[36302] = 0x00000639445b9677UL;
   tf->codes[36303] = 0x0000069190024981UL;
   tf->codes[36304] = 0x0000096465718139UL;
   tf->codes[36305] = 0x00000aefaad872f9UL;
   tf->codes[36306] = 0x00000ca62bd6a72aUL;
   tf->codes[36307] = 0x00000cdfd0a05516UL;
   tf->codes[36308] = 0x00000d9067edbb2aUL;
   tf->codes[36309] = 0x00001487edf87433UL;
   tf->codes[36310] = 0x0000180617db8d4cUL;
   tf->codes[36311] = 0x00001d283b7c0741UL;
   tf->codes[36312] = 0x000023cbce7d7adfUL;
   tf->codes[36313] = 0x00002608956de9c7UL;
   tf->codes[36314] = 0x000026b2ffa5b414UL;
   tf->codes[36315] = 0x00002de3403e03f5UL;
   tf->codes[36316] = 0x00002efd85a7d38fUL;
   tf->codes[36317] = 0x00003a081f4951a8UL;
   tf->codes[36318] = 0x00004a46b41f0bbcUL;
   tf->codes[36319] = 0x00004d61d21962a0UL;
   tf->codes[36320] = 0x00004fc15df53e80UL;
   tf->codes[36321] = 0x0000656b0ea3a304UL;
   tf->codes[36322] = 0x0000686cc89a797dUL;
   tf->codes[36323] = 0x00006b61b3480cdeUL;
   tf->codes[36324] = 0x000070539306c574UL;
   tf->codes[36325] = 0x00008b9cc17dfda1UL;
   tf->codes[36326] = 0x0000903321c3b267UL;
   tf->codes[36327] = 0x000095eb8e71faf1UL;
   tf->codes[36328] = 0x0000976c1396dd86UL;
   tf->codes[36329] = 0x000097d0444abc94UL;
   tf->codes[36330] = 0x00009b0ffba8ae98UL;
   tf->codes[36331] = 0x00009ec78fc66fd8UL;
   tf->codes[36332] = 0x00009f267da0ca33UL;
   tf->codes[36333] = 0x0000a0f9d103d55aUL;
   tf->codes[36334] = 0x0000a1449db433fdUL;
   tf->codes[36335] = 0x0000aa678839a572UL;
   tf->codes[36336] = 0x0000aec9c11e36c4UL;
   tf->codes[36337] = 0x0000b04244b54f6aUL;
   tf->codes[36338] = 0x0000b15363c6383cUL;
   tf->codes[36339] = 0x0000bc13a5d5633cUL;
   tf->codes[36340] = 0x0000bdf9bb08477dUL;
   tf->codes[36341] = 0x0000c407b4a8fdd5UL;
   tf->codes[36342] = 0x0000d7ccaf7ea0b6UL;
   tf->codes[36343] = 0x0000f36419078e11UL;
   tf->codes[36344] = 0x0000f3d085d83cd3UL;
   tf->codes[36345] = 0x0000f53d998034ffUL;
   tf->codes[36346] = 0x0000f5b6607c1b4fUL;
   tf->codes[36347] = 0x0000f5e78e99f3c2UL;
   tf->codes[36348] = 0x0000f94577b6df5aUL;
   tf->codes[36349] = 0x00010432c9d57af3UL;
   tf->codes[36350] = 0x0001152982685980UL;
   tf->codes[36351] = 0x000116dbe55825d7UL;
   tf->codes[36352] = 0x0001182b01d02a34UL;
   tf->codes[36353] = 0x00011898cdfafb94UL;
   tf->codes[36354] = 0x00011a7129a885a9UL;
   tf->codes[36355] = 0x0001201ed614bf08UL;
   tf->codes[36356] = 0x00012733a3a25a91UL;
   tf->codes[36357] = 0x0001301fe2a1691bUL;
   tf->codes[36358] = 0x000131ab9d266665UL;
   tf->codes[36359] = 0x000133d6176507bdUL;
   tf->codes[36360] = 0x000137d9626f3eb4UL;
   tf->codes[36361] = 0x00013a654ead79deUL;
   tf->codes[36362] = 0x00013b07f1e68001UL;
   tf->codes[36363] = 0x00013cee7c376fccUL;
   tf->codes[36364] = 0x00014188104f7558UL;
   tf->codes[36365] = 0x0001442c3bc61414UL;
   tf->codes[36366] = 0x000153cbd6532455UL;
   tf->codes[36367] = 0x00015c206cea41acUL;
   tf->codes[36368] = 0x00015fb5b13aa17eUL;
   tf->codes[36369] = 0x000160c068a6e8c4UL;
   tf->codes[36370] = 0x0001610d09cf758fUL;
   tf->codes[36371] = 0x000163dcab6c5c81UL;
   tf->codes[36372] = 0x000169aeb6ad2b3bUL;
   tf->codes[36373] = 0x000169cb89120231UL;
   tf->codes[36374] = 0x0001716ed8aea825UL;
   tf->codes[36375] = 0x0001739b61f47d6aUL;
   tf->codes[36376] = 0x0001779e37e0a8d7UL;
   tf->codes[36377] = 0x00017a14690bbfe6UL;
   tf->codes[36378] = 0x00017b0fcd09849dUL;
   tf->codes[36379] = 0x00017e50a932937aUL;
   tf->codes[36380] = 0x00017e984210a157UL;
   tf->codes[36381] = 0x000186874899bd02UL;
   tf->codes[36382] = 0x00018a5840bafeadUL;
   tf->codes[36383] = 0x00018b1029e91d61UL;
   tf->codes[36384] = 0x00018b40333bd8fbUL;
   tf->codes[36385] = 0x00018bbd8d6432afUL;
   tf->codes[36386] = 0x00018c18d24e30baUL;
   tf->codes[36387] = 0x00018dcbe4eb0e60UL;
   tf->codes[36388] = 0x00019a405e6233dfUL;
   tf->codes[36389] = 0x0001a2da44412561UL;
   tf->codes[36390] = 0x0001a46acc819bd4UL;
   tf->codes[36391] = 0x0001ae88e075cc3bUL;
   tf->codes[36392] = 0x0001b07179cdeff3UL;
   tf->codes[36393] = 0x0001b91cc22297f1UL;
   tf->codes[36394] = 0x0001b93c8dcab9e8UL;
   tf->codes[36395] = 0x0001b9f3179eb5feUL;
   tf->codes[36396] = 0x0001bfa7663e96aeUL;
   tf->codes[36397] = 0x0001c31d5404e013UL;
   tf->codes[36398] = 0x0001db0774940fcfUL;
   tf->codes[36399] = 0x0001dba3eab77a2bUL;
   tf->codes[36400] = 0x0001e005ae7dfff3UL;
   tf->codes[36401] = 0x0001e2182413437eUL;
   tf->codes[36402] = 0x0001e2298688f9faUL;
   tf->codes[36403] = 0x0001e4db30f5ed1dUL;
   tf->codes[36404] = 0x0001eb012f400142UL;
   tf->codes[36405] = 0x0001ee5d43e4beb2UL;
   tf->codes[36406] = 0x0001f6a545c19eb6UL;
   tf->codes[36407] = 0x0001fe293ed42e3dUL;
   tf->codes[36408] = 0x000000bda1be3ee0UL;
   tf->codes[36409] = 0x000001d10a656164UL;
   tf->codes[36410] = 0x0000079e8279bcbaUL;
   tf->codes[36411] = 0x0000081f10746734UL;
   tf->codes[36412] = 0x00001129f6507adcUL;
   tf->codes[36413] = 0x0000181019e57d69UL;
   tf->codes[36414] = 0x000029b5202f8858UL;
   tf->codes[36415] = 0x000032d7d025f408UL;
   tf->codes[36416] = 0x000037dcac438b7dUL;
   tf->codes[36417] = 0x00003927358f1c76UL;
   tf->codes[36418] = 0x00003f748bf110f7UL;
   tf->codes[36419] = 0x0000431505a18b7eUL;
   tf->codes[36420] = 0x000043aa29e43d3aUL;
   tf->codes[36421] = 0x00004829aa4bb10cUL;
   tf->codes[36422] = 0x000052194ed64e3cUL;
   tf->codes[36423] = 0x000053b03ebb663bUL;
   tf->codes[36424] = 0x00005871657a51e8UL;
   tf->codes[36425] = 0x000066d1ac1bebe5UL;
   tf->codes[36426] = 0x00006801377ad410UL;
   tf->codes[36427] = 0x00007c7e909ca12fUL;
   tf->codes[36428] = 0x000086cbfe367be1UL;
   tf->codes[36429] = 0x00008a4d5bebe5c0UL;
   tf->codes[36430] = 0x00008ea45f705c5dUL;
   tf->codes[36431] = 0x0000916f6de0cfebUL;
   tf->codes[36432] = 0x00009b3f815250e9UL;
   tf->codes[36433] = 0x0000a79135de0970UL;
   tf->codes[36434] = 0x0000a83782076be3UL;
   tf->codes[36435] = 0x0000ac64e3ddc872UL;
   tf->codes[36436] = 0x0000b3525953839fUL;
   tf->codes[36437] = 0x0000b4b855a9c8f0UL;
   tf->codes[36438] = 0x0000b73e89f073ddUL;
   tf->codes[36439] = 0x0000b7d2fe86144aUL;
   tf->codes[36440] = 0x0000bada70747b00UL;
   tf->codes[36441] = 0x0000c09e1282de3fUL;
   tf->codes[36442] = 0x0000c56bcdfc073fUL;
   tf->codes[36443] = 0x0000d0031e0a2980UL;
   tf->codes[36444] = 0x0000d1e4da9fa022UL;
   tf->codes[36445] = 0x0000d4aefed3fc9cUL;
   tf->codes[36446] = 0x0000dcd4eb7280f7UL;
   tf->codes[36447] = 0x0000e80e699b9dd1UL;
   tf->codes[36448] = 0x0000eaa9a9485b8aUL;
   tf->codes[36449] = 0x0000eb565d165f89UL;
   tf->codes[36450] = 0x0000f439b04b8d10UL;
   tf->codes[36451] = 0x0001022acb68330fUL;
   tf->codes[36452] = 0x000102525e0f1930UL;
   tf->codes[36453] = 0x00010764b923050cUL;
   tf->codes[36454] = 0x00010c2d31c2a959UL;
   tf->codes[36455] = 0x00010f9a6e4e1780UL;
   tf->codes[36456] = 0x000114f92ffb8a62UL;
   tf->codes[36457] = 0x00011d3e7324252aUL;
   tf->codes[36458] = 0x0001209df62a3925UL;
   tf->codes[36459] = 0x000124a942c23a0bUL;
   tf->codes[36460] = 0x00012ef0834678f6UL;
   tf->codes[36461] = 0x0001376978b22ba8UL;
   tf->codes[36462] = 0x000138ed31a95f03UL;
   tf->codes[36463] = 0x000146df37021c16UL;
   tf->codes[36464] = 0x0001551cb8b8491bUL;
   tf->codes[36465] = 0x00015793247265efUL;
   tf->codes[36466] = 0x000159fff4b59071UL;
   tf->codes[36467] = 0x000160acae0fead7UL;
   tf->codes[36468] = 0x0001651f5f2e1b91UL;
   tf->codes[36469] = 0x00016d61e3a2711dUL;
   tf->codes[36470] = 0x000170d169c418f6UL;
   tf->codes[36471] = 0x00017d10d19e03edUL;
   tf->codes[36472] = 0x0001830825ef7f16UL;
   tf->codes[36473] = 0x000186e3a3c3ca27UL;
   tf->codes[36474] = 0x000191e1338cff63UL;
   tf->codes[36475] = 0x000196e9437ce79eUL;
   tf->codes[36476] = 0x0001984b96e2d09fUL;
   tf->codes[36477] = 0x00019bd6ca9e3295UL;
   tf->codes[36478] = 0x00019d474ca7814cUL;
   tf->codes[36479] = 0x00019eb12c7d28b2UL;
   tf->codes[36480] = 0x0001a36ac6cc55faUL;
   tf->codes[36481] = 0x0001a5117f3dfc12UL;
   tf->codes[36482] = 0x0001aacb10b76175UL;
   tf->codes[36483] = 0x0001afdf05b475b4UL;
   tf->codes[36484] = 0x0001bac3a698360fUL;
   tf->codes[36485] = 0x0001bc79ed07647bUL;
   tf->codes[36486] = 0x0001bd621a17448eUL;
   tf->codes[36487] = 0x0001c1fc5ddc5b69UL;
   tf->codes[36488] = 0x0001cec66445eeb6UL;
   tf->codes[36489] = 0x0001d146e0950966UL;
   tf->codes[36490] = 0x0001d2c88a8508d4UL;
   tf->codes[36491] = 0x0001d7d8d691c0c3UL;
   tf->codes[36492] = 0x0001e813c2771e87UL;
   tf->codes[36493] = 0x0001e9e8001640c2UL;
   tf->codes[36494] = 0x0001ea96fd7a7e73UL;
   tf->codes[36495] = 0x0001ec2ffc66ca5fUL;
   tf->codes[36496] = 0x0001f01b42c7a389UL;
   tf->codes[36497] = 0x0001ff475932522dUL;
   tf->codes[36498] = 0x00000c4d888ad2ddUL;
   tf->codes[36499] = 0x000011f5b78e81c4UL;
   tf->codes[36500] = 0x0000125ef08cdfc0UL;
   tf->codes[36501] = 0x00001260c5050de8UL;
   tf->codes[36502] = 0x0000165e1d88aeddUL;
   tf->codes[36503] = 0x000019a43c8b426dUL;
   tf->codes[36504] = 0x00001cda1de33c5aUL;
   tf->codes[36505] = 0x00001d5702ed8a84UL;
   tf->codes[36506] = 0x00001fba37b9c2b4UL;
   tf->codes[36507] = 0x0000233bcffe3258UL;
   tf->codes[36508] = 0x000023e58a88eb56UL;
   tf->codes[36509] = 0x0000276ee9cc1f24UL;
   tf->codes[36510] = 0x000044e9a9d3ab84UL;
   tf->codes[36511] = 0x00004553cd0e2094UL;
   tf->codes[36512] = 0x00004a9213666030UL;
   tf->codes[36513] = 0x00005413ebc62c00UL;
   tf->codes[36514] = 0x000057156b2dfcb4UL;
   tf->codes[36515] = 0x00005a5bff4e9bceUL;
   tf->codes[36516] = 0x00005f0bfe26d6c4UL;
   tf->codes[36517] = 0x00005f17a8a4fd03UL;
   tf->codes[36518] = 0x00006925f40c9f51UL;
   tf->codes[36519] = 0x00006c665b17a2a4UL;
   tf->codes[36520] = 0x00006fe98d453aabUL;
   tf->codes[36521] = 0x000076f275c5aa30UL;
   tf->codes[36522] = 0x000078e7de671100UL;
   tf->codes[36523] = 0x0000792650ec3815UL;
   tf->codes[36524] = 0x00007a3c3db89a10UL;
   tf->codes[36525] = 0x000087a69dc4f9ceUL;
   tf->codes[36526] = 0x00008c4a7d0102fbUL;
   tf->codes[36527] = 0x000092583c12b38eUL;
   tf->codes[36528] = 0x0000957827c8839bUL;
   tf->codes[36529] = 0x0000aa4a98beb2feUL;
   tf->codes[36530] = 0x0000ac61a18069edUL;
   tf->codes[36531] = 0x0000aff8ba48f7e7UL;
   tf->codes[36532] = 0x0000c0d4af7e336bUL;
   tf->codes[36533] = 0x0000db9acbd581a7UL;
   tf->codes[36534] = 0x0000e7fe1d65f66fUL;
   tf->codes[36535] = 0x0000ed075220fb83UL;
   tf->codes[36536] = 0x0000ff28c8574912UL;
   tf->codes[36537] = 0x0001073dc79e227bUL;
   tf->codes[36538] = 0x00010da35d387a8eUL;
   tf->codes[36539] = 0x0001132817a3ab2eUL;
   tf->codes[36540] = 0x000117d8167be624UL;
   tf->codes[36541] = 0x00011ab3d7b4fedfUL;
   tf->codes[36542] = 0x00012f8857b2622fUL;
   tf->codes[36543] = 0x00013560ca97d275UL;
   tf->codes[36544] = 0x000141794f77e89aUL;
   tf->codes[36545] = 0x000143ad2a9e767fUL;
   tf->codes[36546] = 0x00014724b24de847UL;
   tf->codes[36547] = 0x00014ebfc5cdbe87UL;
   tf->codes[36548] = 0x000151efef2e2837UL;
   tf->codes[36549] = 0x000152457c209605UL;
   tf->codes[36550] = 0x00015be1dd4eff19UL;
   tf->codes[36551] = 0x0001657e3e7d682dUL;
   tf->codes[36552] = 0x0001695f7449437bUL;
   tf->codes[36553] = 0x00016b5885db069bUL;
   tf->codes[36554] = 0x00016c315f7c641fUL;
   tf->codes[36555] = 0x00017367929b4a02UL;
   tf->codes[36556] = 0x000176c20d56df0fUL;
   tf->codes[36557] = 0x00017871b192662aUL;
   tf->codes[36558] = 0x00017d9275d8bd81UL;
   tf->codes[36559] = 0x000180fb59c6be09UL;
   tf->codes[36560] = 0x000185551bff79e2UL;
   tf->codes[36561] = 0x00018b617bb707d7UL;
   tf->codes[36562] = 0x00018dd22f79946eUL;
   tf->codes[36563] = 0x0001905445b1d781UL;
   tf->codes[36564] = 0x000191d62a30dcb4UL;
   tf->codes[36565] = 0x000193c565bca7bdUL;
   tf->codes[36566] = 0x0001967c53031f93UL;
   tf->codes[36567] = 0x0001a7b17e1b2535UL;
   tf->codes[36568] = 0x0001aaa36f856d95UL;
   tf->codes[36569] = 0x0001ad13e8b8f467UL;
   tf->codes[36570] = 0x0001b1c0792fd8d2UL;
   tf->codes[36571] = 0x0001b600624708b6UL;
   tf->codes[36572] = 0x0001bb86f12a677eUL;
   tf->codes[36573] = 0x0001bc93f22ce876UL;
   tf->codes[36574] = 0x0001bd1a381f232dUL;
   tf->codes[36575] = 0x0001c23edfe4dc99UL;
   tf->codes[36576] = 0x0001ce1b3bd6055bUL;
   tf->codes[36577] = 0x0001cf15f026b8c3UL;
   tf->codes[36578] = 0x0001d8131c7d723fUL;
   tf->codes[36579] = 0x0001d99c184e2a4dUL;
   tf->codes[36580] = 0x0001dbdb6363d8acUL;
   tf->codes[36581] = 0x0001e0b7c29e72ecUL;
   tf->codes[36582] = 0x0001eabc38001d23UL;
   tf->codes[36583] = 0x0001fa93a2dead28UL;
   tf->codes[36584] = 0x0001fc7c01a7cb1bUL;
   tf->codes[36585] = 0x000001b629f1a2ddUL;
   tf->codes[36586] = 0x00000befb0f0879cUL;
   tf->codes[36587] = 0x00000e29f3bbb70dUL;
   tf->codes[36588] = 0x00000f58cf6d8de9UL;
   tf->codes[36589] = 0x0000104bbcbf7d27UL;
   tf->codes[36590] = 0x0000105bfa6a16caUL;
   tf->codes[36591] = 0x000014a0018fae88UL;
   tf->codes[36592] = 0x00002bfa0626ab76UL;
   tf->codes[36593] = 0x00003207ffc761ceUL;
   tf->codes[36594] = 0x0000360ad5b38d3bUL;
   tf->codes[36595] = 0x00004262b754e189UL;
   tf->codes[36596] = 0x00004269598888daUL;
   tf->codes[36597] = 0x0000462be8775f0aUL;
   tf->codes[36598] = 0x00004a459e41cb6bUL;
   tf->codes[36599] = 0x00004c7ad8c27beeUL;
   tf->codes[36600] = 0x00004fd0c0519d97UL;
   tf->codes[36601] = 0x00005abc788710cdUL;
   tf->codes[36602] = 0x0000653f324d2bccUL;
   tf->codes[36603] = 0x0000656231c79e89UL;
   tf->codes[36604] = 0x00006b4739674c22UL;
   tf->codes[36605] = 0x00006c184c09e57cUL;
   tf->codes[36606] = 0x00006c3608aad386UL;
   tf->codes[36607] = 0x00006e73b9d75982UL;
   tf->codes[36608] = 0x000075e0987ca250UL;
   tf->codes[36609] = 0x00007e5ff58cf68eUL;
   tf->codes[36610] = 0x0000885d8e2bf3afUL;
   tf->codes[36611] = 0x0000891cc93acb03UL;
   tf->codes[36612] = 0x00008ca6d82b1020UL;
   tf->codes[36613] = 0x00008eded16005dfUL;
   tf->codes[36614] = 0x0000928c1a59c37eUL;
   tf->codes[36615] = 0x00009b330a10fdddUL;
   tf->codes[36616] = 0x00009f644f66bc81UL;
   tf->codes[36617] = 0x0000a12939975c2dUL;
   tf->codes[36618] = 0x0000a5c79b6adae2UL;
   tf->codes[36619] = 0x0000a8fba84aa6a7UL;
   tf->codes[36620] = 0x0000adbc59eb86caUL;
   tf->codes[36621] = 0x0000b7032e278210UL;
   tf->codes[36622] = 0x0000b7dec67d24d0UL;
   tf->codes[36623] = 0x0000b870b6ed85c6UL;
   tf->codes[36624] = 0x0000ce5de26b904dUL;
   tf->codes[36625] = 0x0000d89a62adc00dUL;
   tf->codes[36626] = 0x0000d98fd424eec2UL;
   tf->codes[36627] = 0x0000dfa176b6016aUL;
   tf->codes[36628] = 0x0000f9a6be154fefUL;
   tf->codes[36629] = 0x0000fe8860296ee2UL;
   tf->codes[36630] = 0x0000ffbd2e61dbc0UL;
   tf->codes[36631] = 0x0001035b5e7c1c95UL;
   tf->codes[36632] = 0x000115a00ebbe2a6UL;
   tf->codes[36633] = 0x000118b8a890fa13UL;
   tf->codes[36634] = 0x00011ad5a3d94704UL;
   tf->codes[36635] = 0x00011f12591e2622UL;
   tf->codes[36636] = 0x00012961d5bf34c1UL;
   tf->codes[36637] = 0x00012cf6df808eceUL;
   tf->codes[36638] = 0x00013c64d6d1bb12UL;
   tf->codes[36639] = 0x0001492a849de0c0UL;
   tf->codes[36640] = 0x00015a3a66a539f3UL;
   tf->codes[36641] = 0x00015b0670fd545fUL;
   tf->codes[36642] = 0x00016a5ee7ca624dUL;
   tf->codes[36643] = 0x00016ec2ba981c02UL;
   tf->codes[36644] = 0x000179194e8add7cUL;
   tf->codes[36645] = 0x00017da26a6943a0UL;
   tf->codes[36646] = 0x000185cfa8e8809bUL;
   tf->codes[36647] = 0x00018979f89ef339UL;
   tf->codes[36648] = 0x00018c1de9868c30UL;
   tf->codes[36649] = 0x00018c2ffba953fbUL;
   tf->codes[36650] = 0x000193a4a14d60f3UL;
   tf->codes[36651] = 0x00019ebc7f562daeUL;
   tf->codes[36652] = 0x0001a9a5edf56732UL;
   tf->codes[36653] = 0x0001b4fface4b18dUL;
   tf->codes[36654] = 0x0001c2548c6cf2f5UL;
   tf->codes[36655] = 0x0001c338d5fd70f3UL;
   tf->codes[36656] = 0x0001c5cab4c2421fUL;
   tf->codes[36657] = 0x0001cfbb7e17fc28UL;
   tf->codes[36658] = 0x0001d35c6ce68239UL;
   tf->codes[36659] = 0x0001d5b88a61078eUL;
   tf->codes[36660] = 0x0001dc7be90a9d23UL;
   tf->codes[36661] = 0x0001e332b2f9f565UL;
   tf->codes[36662] = 0x0001eb4b5b312b1eUL;
   tf->codes[36663] = 0x0001eedda63e3fefUL;
   tf->codes[36664] = 0x0001ef3507a8dbe5UL;
   tf->codes[36665] = 0x0001ef7673714dfbUL;
   tf->codes[36666] = 0x0001fb292db45cafUL;
   tf->codes[36667] = 0x0000014814acbdf9UL;
   tf->codes[36668] = 0x0000076f7250f4bcUL;
   tf->codes[36669] = 0x000014230dfa529fUL;
   tf->codes[36670] = 0x00001b2eb52f0760UL;
   tf->codes[36671] = 0x00001bd99484dd37UL;
   tf->codes[36672] = 0x0000237641eddbdaUL;
   tf->codes[36673] = 0x0000259e38073dbbUL;
   tf->codes[36674] = 0x00002acc0625ddefUL;
   tf->codes[36675] = 0x00002bb5cd1ee665UL;
   tf->codes[36676] = 0x00002eca0e569033UL;
   tf->codes[36677] = 0x0000308ada78c805UL;
   tf->codes[36678] = 0x000031bd99aa00f6UL;
   tf->codes[36679] = 0x0000358b5df8f1dbUL;
   tf->codes[36680] = 0x0000368fadc09795UL;
   tf->codes[36681] = 0x0000384a123e2ddbUL;
   tf->codes[36682] = 0x00003ad04684d8c8UL;
   tf->codes[36683] = 0x00003e8a9956df44UL;
   tf->codes[36684] = 0x000041414c0e5155UL;
   tf->codes[36685] = 0x00004bc9833cf6ccUL;
   tf->codes[36686] = 0x00004fcf8cfb72ffUL;
   tf->codes[36687] = 0x000050488e865f14UL;
   tf->codes[36688] = 0x000052fcbd1891aeUL;
   tf->codes[36689] = 0x000058ad9d571bd3UL;
   tf->codes[36690] = 0x00005d3fa4ff62faUL;
   tf->codes[36691] = 0x00006d2f89a55c56UL;
   tf->codes[36692] = 0x00006dbd21784fadUL;
   tf->codes[36693] = 0x00006e09c2a0dc78UL;
   tf->codes[36694] = 0x00006e47105ae6b4UL;
   tf->codes[36695] = 0x00007067b4938ff5UL;
   tf->codes[36696] = 0x000071e12266bfafUL;
   tf->codes[36697] = 0x000073e270155283UL;
   tf->codes[36698] = 0x000079c1fa4c75a4UL;
   tf->codes[36699] = 0x00007a274fcb718bUL;
   tf->codes[36700] = 0x00007d87bd0d9c9aUL;
   tf->codes[36701] = 0x00007e4b162adbc8UL;
   tf->codes[36702] = 0x00007e914faec707UL;
   tf->codes[36703] = 0x00007f38c0a34653UL;
   tf->codes[36704] = 0x000080092398ce5eUL;
   tf->codes[36705] = 0x00008168432c6699UL;
   tf->codes[36706] = 0x0000869ec285e20bUL;
   tf->codes[36707] = 0x0000894bd9c661caUL;
   tf->codes[36708] = 0x0000924a2ae8381fUL;
   tf->codes[36709] = 0x00009b1d7b01d1c8UL;
   tf->codes[36710] = 0x00009fbc8c8261ccUL;
   tf->codes[36711] = 0x0000a5870b537221UL;
   tf->codes[36712] = 0x0000aee5e438cb34UL;
   tf->codes[36713] = 0x0000b1795ce6c4c3UL;
   tf->codes[36714] = 0x0000c5978d9f31c2UL;
   tf->codes[36715] = 0x0000cc6d38fa94e7UL;
   tf->codes[36716] = 0x0000d160b2a275e0UL;
   tf->codes[36717] = 0x0000d2da2075a59aUL;
   tf->codes[36718] = 0x0000e6a791f71df4UL;
   tf->codes[36719] = 0x0000e7948cc27730UL;
   tf->codes[36720] = 0x0000e8230ed1819bUL;
   tf->codes[36721] = 0x0000ed4a3abc7a7eUL;
   tf->codes[36722] = 0x0000f08bc6929aaaUL;
   tf->codes[36723] = 0x0000f74eb01e24b5UL;
   tf->codes[36724] = 0x00010acb6268a86aUL;
   tf->codes[36725] = 0x0001145c8e36f6c9UL;
   tf->codes[36726] = 0x0001192df2a07c19UL;
   tf->codes[36727] = 0x00011a51d3813e05UL;
   tf->codes[36728] = 0x00011e67e05b4e16UL;
   tf->codes[36729] = 0x0001272032883ef1UL;
   tf->codes[36730] = 0x000127dfa8261c0aUL;
   tf->codes[36731] = 0x00012ab5b167a488UL;
   tf->codes[36732] = 0x00012e47c1e5b394UL;
   tf->codes[36733] = 0x00012f57819c79c8UL;
   tf->codes[36734] = 0x000136b87b349692UL;
   tf->codes[36735] = 0x0001441bfe7e493aUL;
   tf->codes[36736] = 0x0001441ef7c1943bUL;
   tf->codes[36737] = 0x00014cbc1172d683UL;
   tf->codes[36738] = 0x00014dc2aad0b5efUL;
   tf->codes[36739] = 0x00014fe85753de1eUL;
   tf->codes[36740] = 0x0001515f0672c89cUL;
   tf->codes[36741] = 0x0001530f1fcc5b41UL;
   tf->codes[36742] = 0x0001576782aaf47cUL;
   tf->codes[36743] = 0x00015d18285a78dcUL;
   tf->codes[36744] = 0x00015f21b225db64UL;
   tf->codes[36745] = 0x000162be4856f3d6UL;
   tf->codes[36746] = 0x000163089fe946efUL;
   tf->codes[36747] = 0x000174d1555ad5eaUL;
   tf->codes[36748] = 0x00017fec6735f36bUL;
   tf->codes[36749] = 0x000180c2f741173dUL;
   tf->codes[36750] = 0x000181ca404c07f8UL;
   tf->codes[36751] = 0x000187267dd43b63UL;
   tf->codes[36752] = 0x00018837d77429faUL;
   tf->codes[36753] = 0x00019c4c6cb5a4a7UL;
   tf->codes[36754] = 0x0001ad56d1547362UL;
   tf->codes[36755] = 0x0001b5965c857dedUL;
   tf->codes[36756] = 0x0001bac639ab520eUL;
   tf->codes[36757] = 0x0001bbf75ef3629cUL;
   tf->codes[36758] = 0x0001bee74156770fUL;
   tf->codes[36759] = 0x0001c765047da2eaUL;
   tf->codes[36760] = 0x0001c91e44301c57UL;
   tf->codes[36761] = 0x0001cae8713a40b6UL;
   tf->codes[36762] = 0x0001d7058946ca3fUL;
   tf->codes[36763] = 0x0001dd27dea08214UL;
   tf->codes[36764] = 0x0001dd8e58ea9ad4UL;
   tf->codes[36765] = 0x0001e0c1b61d554aUL;
   tf->codes[36766] = 0x0001e264c59e9f12UL;
   tf->codes[36767] = 0x0001e33ae08bb75aUL;
   tf->codes[36768] = 0x0001f68a82c6ca76UL;
   tf->codes[36769] = 0x0001f7b7c48f78efUL;
   tf->codes[36770] = 0x0001f88060863cd0UL;
   tf->codes[36771] = 0x000017a3385991e6UL;
   tf->codes[36772] = 0x000030eade93317aUL;
   tf->codes[36773] = 0x000038cb06cbd620UL;
   tf->codes[36774] = 0x00005976da6fe344UL;
   tf->codes[36775] = 0x00005e83b81b44a8UL;
   tf->codes[36776] = 0x00005f5037916a9eUL;
   tf->codes[36777] = 0x00005f8b3bb53b28UL;
   tf->codes[36778] = 0x000069952e7f6fd7UL;
   tf->codes[36779] = 0x00006df4e33ec1b2UL;
   tf->codes[36780] = 0x000077c4f6b042b0UL;
   tf->codes[36781] = 0x000081ae33963e54UL;
   tf->codes[36782] = 0x00008d7e355c2f88UL;
   tf->codes[36783] = 0x0000913c6bad9819UL;
   tf->codes[36784] = 0x000098b68eba2f89UL;
   tf->codes[36785] = 0x00009908382d3b42UL;
   tf->codes[36786] = 0x0000994f5bed3d95UL;
   tf->codes[36787] = 0x00009bfa9eb58f2cUL;
   tf->codes[36788] = 0x0000a25d007d9679UL;
   tf->codes[36789] = 0x0000af553bc1b738UL;
   tf->codes[36790] = 0x0000b49d92aef4b0UL;
   tf->codes[36791] = 0x0000ba4009bb135aUL;
   tf->codes[36792] = 0x0000d9a7bbb83111UL;
   tf->codes[36793] = 0x0000dacc4c46044cUL;
   tf->codes[36794] = 0x0000dd2695485b79UL;
   tf->codes[36795] = 0x0000de644f4aa95aUL;
   tf->codes[36796] = 0x0000de703457d55eUL;
   tf->codes[36797] = 0x0000e0f78d699d24UL;
   tf->codes[36798] = 0x0000e54f060c1f4bUL;
   tf->codes[36799] = 0x0000f5de1f89c83fUL;
   tf->codes[36800] = 0x000105fef7be9449UL;
   tf->codes[36801] = 0x0001062a6de4dc7fUL;
   tf->codes[36802] = 0x00010a148f7a98d0UL;
   tf->codes[36803] = 0x00010c63688dcf83UL;
   tf->codes[36804] = 0x00011c47a2b5a2a0UL;
   tf->codes[36805] = 0x00011efbd147d53aUL;
   tf->codes[36806] = 0x000123a1bf8b1254UL;
   tf->codes[36807] = 0x000129172687c065UL;
   tf->codes[36808] = 0x000142d49a79fb48UL;
   tf->codes[36809] = 0x000145f1525d7a8fUL;
   tf->codes[36810] = 0x0001470c0ce555b3UL;
   tf->codes[36811] = 0x00014737bd9aa3aeUL;
   tf->codes[36812] = 0x0001487f8831ef6bUL;
   tf->codes[36813] = 0x00015aca2af84b7eUL;
   tf->codes[36814] = 0x00015cc2524df78aUL;
   tf->codes[36815] = 0x00015f42ce9d123aUL;
   tf->codes[36816] = 0x00015f9c799de7e2UL;
   tf->codes[36817] = 0x00016234105a494bUL;
   tf->codes[36818] = 0x000166c09a9a05faUL;
   tf->codes[36819] = 0x0001671d044f20deUL;
   tf->codes[36820] = 0x00016c221afbbe18UL;
   tf->codes[36821] = 0x00017843c634bb05UL;
   tf->codes[36822] = 0x000179db2b37de8eUL;
   tf->codes[36823] = 0x00017ed497665589UL;
   tf->codes[36824] = 0x000180476305ddf2UL;
   tf->codes[36825] = 0x000181c38f8d52e8UL;
   tf->codes[36826] = 0x00018904f80c5380UL;
   tf->codes[36827] = 0x0001897d0f5b2881UL;
   tf->codes[36828] = 0x00018bed888eaf53UL;
   tf->codes[36829] = 0x0001937823d4e62bUL;
   tf->codes[36830] = 0x000196bb0f0528f5UL;
   tf->codes[36831] = 0x000196c7a3bf6648UL;
   tf->codes[36832] = 0x0001a3c855af5c80UL;
   tf->codes[36833] = 0x0001a8afea4a1175UL;
   tf->codes[36834] = 0x0001a8c704b7582eUL;
   tf->codes[36835] = 0x0001ad68d4ec2d6eUL;
   tf->codes[36836] = 0x0001aee69b5ccac7UL;
   tf->codes[36837] = 0x0001b872bee09a38UL;
   tf->codes[36838] = 0x0001b89583cc0730UL;
   tf->codes[36839] = 0x0001bd12f52c4715UL;
   tf->codes[36840] = 0x0001bdf445797a12UL;
   tf->codes[36841] = 0x0001c3df0510b7e8UL;
   tf->codes[36842] = 0x0001c4692e8254b4UL;
   tf->codes[36843] = 0x0001c56248e9dfb9UL;
   tf->codes[36844] = 0x0001c6b16561e416UL;
   tf->codes[36845] = 0x0001d1566ef56083UL;
   tf->codes[36846] = 0x0001d581121777d6UL;
   tf->codes[36847] = 0x0001d5c0e3f6c189UL;
   tf->codes[36848] = 0x0001d762ceacee78UL;
   tf->codes[36849] = 0x0001d8692d7bc81fUL;
   tf->codes[36850] = 0x0001d97df57d0d41UL;
   tf->codes[36851] = 0x0001e0807658db3aUL;
   tf->codes[36852] = 0x0001e130236a2a3aUL;
   tf->codes[36853] = 0x0001f4c54f7c1746UL;
   tf->codes[36854] = 0x000003877d3b569fUL;
   tf->codes[36855] = 0x00000d0b9f315c21UL;
   tf->codes[36856] = 0x0000119b22b463d1UL;
   tf->codes[36857] = 0x000016b753ce47c4UL;
   tf->codes[36858] = 0x0000203b00a641bcUL;
   tf->codes[36859] = 0x0000232a335c44e0UL;
   tf->codes[36860] = 0x000026997eeee6f4UL;
   tf->codes[36861] = 0x00003a838846307fUL;
   tf->codes[36862] = 0x00003afd740d33a8UL;
   tf->codes[36863] = 0x00003d64173ac263UL;
   tf->codes[36864] = 0x000040d65c10af78UL;
   tf->codes[36865] = 0x00004548d29fda6dUL;
   tf->codes[36866] = 0x00004784e9e33806UL;
   tf->codes[36867] = 0x000048c56299cb23UL;
   tf->codes[36868] = 0x00004b29471314a2UL;
   tf->codes[36869] = 0x00004ec3ce3cf927UL;
   tf->codes[36870] = 0x00004f59a22cbc32UL;
   tf->codes[36871] = 0x00004f66e6940ad4UL;
   tf->codes[36872] = 0x000050ca99541673UL;
   tf->codes[36873] = 0x0000525ae7058721UL;
   tf->codes[36874] = 0x000053fc5c9da886UL;
   tf->codes[36875] = 0x0000567796133e83UL;
   tf->codes[36876] = 0x0000575abad89fa8UL;
   tf->codes[36877] = 0x000063b67ff9560bUL;
   tf->codes[36878] = 0x00006969e45d1fa7UL;
   tf->codes[36879] = 0x00006af947d27941UL;
   tf->codes[36880] = 0x00006b5ffcab97c6UL;
   tf->codes[36881] = 0x00006e0637296a6fUL;
   tf->codes[36882] = 0x000077d107c166baUL;
   tf->codes[36883] = 0x000078b3f1f7c21aUL;
   tf->codes[36884] = 0x000084c858c97065UL;
   tf->codes[36885] = 0x00008fd3dca70592UL;
   tf->codes[36886] = 0x000090b233b0ed8eUL;
   tf->codes[36887] = 0x0000961c654d80eaUL;
   tf->codes[36888] = 0x00009a7d3ed7ef9eUL;
   tf->codes[36889] = 0x0000acc26435c139UL;
   tf->codes[36890] = 0x0000b9713223a5f3UL;
   tf->codes[36891] = 0x0000bf020c2b085cUL;
   tf->codes[36892] = 0x0000c724154a2aa2UL;
   tf->codes[36893] = 0x0000cae24b9b9333UL;
   tf->codes[36894] = 0x0000d08de90098a5UL;
   tf->codes[36895] = 0x0000d3516b014dceUL;
   tf->codes[36896] = 0x0000d412efa65ed4UL;
   tf->codes[36897] = 0x0000d46a8ba0008fUL;
   tf->codes[36898] = 0x0000e267513acccdUL;
   tf->codes[36899] = 0x0000e450d4cf0799UL;
   tf->codes[36900] = 0x0000e5685b8491f7UL;
   tf->codes[36901] = 0x0000ed8521ca2f8aUL;
   tf->codes[36902] = 0x0000f35b85a86be3UL;
   tf->codes[36903] = 0x0000fd2c48c6fe30UL;
   tf->codes[36904] = 0x0001031951f475b8UL;
   tf->codes[36905] = 0x00010c9aefc53bc3UL;
   tf->codes[36906] = 0x00011b560632c841UL;
   tf->codes[36907] = 0x00012baa1b8ca0abUL;
   tf->codes[36908] = 0x00012c2984bc2e4cUL;
   tf->codes[36909] = 0x000131d4e7922df9UL;
   tf->codes[36910] = 0x00013f9d85cbd6c3UL;
   tf->codes[36911] = 0x000141fa8d82732cUL;
   tf->codes[36912] = 0x0001439ced56aba5UL;
   tf->codes[36913] = 0x00014ec961a77fa2UL;
   tf->codes[36914] = 0x0001505fa1df8652UL;
   tf->codes[36915] = 0x0001558f09e74ee9UL;
   tf->codes[36916] = 0x000162a1936b0727UL;
   tf->codes[36917] = 0x000171d7f4f9b96cUL;
   tf->codes[36918] = 0x00017a8b796b311eUL;
   tf->codes[36919] = 0x00017dab6521012bUL;
   tf->codes[36920] = 0x0001863289301993UL;
   tf->codes[36921] = 0x000190cdf74ca3aeUL;
   tf->codes[36922] = 0x00019380c684b3aaUL;
   tf->codes[36923] = 0x000193e69121bb1bUL;
   tf->codes[36924] = 0x00019888d6749be5UL;
   tf->codes[36925] = 0x0001a1c05742149cUL;
   tf->codes[36926] = 0x0001baa441e5e0acUL;
   tf->codes[36927] = 0x0001d5212b75f8a8UL;
   tf->codes[36928] = 0x0001d7aeec2c61faUL;
   tf->codes[36929] = 0x0001dbc065d9fea7UL;
   tf->codes[36930] = 0x0001e1fabfdd1449UL;
   tf->codes[36931] = 0x0001e603c2dedb7dUL;
   tf->codes[36932] = 0x0001e810807c8ecbUL;
   tf->codes[36933] = 0x0001ea24556bf4f4UL;
   tf->codes[36934] = 0x0001eddd8372de97UL;
   tf->codes[36935] = 0x0001f166a8270ca0UL;
   tf->codes[36936] = 0x0001f19f28259db3UL;
   tf->codes[36937] = 0x0001f363d7c7379aUL;
   tf->codes[36938] = 0x0001f3b4d18d3204UL;
   tf->codes[36939] = 0x0001fb8446fd317dUL;
   tf->codes[36940] = 0x0001fe963e9ea199UL;
   tf->codes[36941] = 0x00000349abd8331aUL;
   tf->codes[36942] = 0x0000078ab9ba7fd7UL;
   tf->codes[36943] = 0x000008df8e2a1471UL;
   tf->codes[36944] = 0x000009fbe29b17f8UL;
   tf->codes[36945] = 0x000013bdc7693340UL;
   tf->codes[36946] = 0x000013c63e1508b9UL;
   tf->codes[36947] = 0x0000147e9c6132f7UL;
   tf->codes[36948] = 0x00001594892d94f2UL;
   tf->codes[36949] = 0x00001f12b89d0472UL;
   tf->codes[36950] = 0x0000238c467de242UL;
   tf->codes[36951] = 0x00002556738806a1UL;
   tf->codes[36952] = 0x00002bcc815bfe1cUL;
   tf->codes[36953] = 0x000032266c782ff0UL;
   tf->codes[36954] = 0x00003ad8cc1e8ac9UL;
   tf->codes[36955] = 0x00003e57e03dbaf6UL;
   tf->codes[36956] = 0x00003e7fad73a6dcUL;
   tf->codes[36957] = 0x00004122eeae2e84UL;
   tf->codes[36958] = 0x000041833be2ab7dUL;
   tf->codes[36959] = 0x00004e1362f38b19UL;
   tf->codes[36960] = 0x000053b6148eaf88UL;
   tf->codes[36961] = 0x000053bc41a44b4fUL;
   tf->codes[36962] = 0x000056c637b7f17cUL;
   tf->codes[36963] = 0x00005c2449b8530fUL;
   tf->codes[36964] = 0x000060ffbeb6d63bUL;
   tf->codes[36965] = 0x000062ea67162de0UL;
   tf->codes[36966] = 0x000068a6b743d87fUL;
   tf->codes[36967] = 0x000072a70e971adcUL;
   tf->codes[36968] = 0x000072b8710cd158UL;
   tf->codes[36969] = 0x000073abd37ccc20UL;
   tf->codes[36970] = 0x00007ab61b575e43UL;
   tf->codes[36971] = 0x000081e5e6d1a29aUL;
   tf->codes[36972] = 0x00008781bbaa19f3UL;
   tf->codes[36973] = 0x00008c69c562da72UL;
   tf->codes[36974] = 0x00008e36b121440dUL;
   tf->codes[36975] = 0x00009703247830a0UL;
   tf->codes[36976] = 0x0000a0573d1b7a88UL;
   tf->codes[36977] = 0x0000a29b55eca210UL;
   tf->codes[36978] = 0x0000a97768eca6c1UL;
   tf->codes[36979] = 0x0000afbcf84fd718UL;
   tf->codes[36980] = 0x0000b2819f1ba91aUL;
   tf->codes[36981] = 0x0000b2e177321a89UL;
   tf->codes[36982] = 0x0000bfe1b4040537UL;
   tf->codes[36983] = 0x0000c31d87e29526UL;
   tf->codes[36984] = 0x0000d1955e0f8166UL;
   tf->codes[36985] = 0x0000e274fc35193aUL;
   tf->codes[36986] = 0x0000e3ad735de268UL;
   tf->codes[36987] = 0x0000ec6257297cb8UL;
   tf->codes[36988] = 0x0000eed6b3dc659fUL;
   tf->codes[36989] = 0x0000fd8067d43ba1UL;
   tf->codes[36990] = 0x0001089ee810afadUL;
   tf->codes[36991] = 0x000111cb6e0d1374UL;
   tf->codes[36992] = 0x000113938c1003e6UL;
   tf->codes[36993] = 0x0001166502251900UL;
   tf->codes[36994] = 0x00011bb5cfbe2bf1UL;
   tf->codes[36995] = 0x000121f8a06d170cUL;
   tf->codes[36996] = 0x0001267b1a17d5dfUL;
   tf->codes[36997] = 0x0001275d54a11ff0UL;
   tf->codes[36998] = 0x000135ae0d453199UL;
   tf->codes[36999] = 0x000139dd7e22c215UL;
   tf->codes[37000] = 0x00013a655dfe252fUL;
   tf->codes[37001] = 0x000145f8c1b71d76UL;
   tf->codes[37002] = 0x00014fef087561f7UL;
   tf->codes[37003] = 0x000151696084a8c5UL;
   tf->codes[37004] = 0x00015875b7666ed5UL;
   tf->codes[37005] = 0x00015ab711835121UL;
   tf->codes[37006] = 0x0001701ee14b3805UL;
   tf->codes[37007] = 0x0001a6c599f2a9dcUL;
   tf->codes[37008] = 0x0001ac83497a7719UL;
   tf->codes[37009] = 0x0001b858c8a8f2c5UL;
   tf->codes[37010] = 0x0001b925bd3d2445UL;
   tf->codes[37011] = 0x0001bc69581a785eUL;
   tf->codes[37012] = 0x0001c50253bd52ccUL;
   tf->codes[37013] = 0x0001c932e9660021UL;
   tf->codes[37014] = 0x0001c98d7ea2ecddUL;
   tf->codes[37015] = 0x0001cb37e004ef45UL;
   tf->codes[37016] = 0x0001ce712fbe3fbdUL;
   tf->codes[37017] = 0x0001d3e2edca917eUL;
   tf->codes[37018] = 0x0001d5cf6aa2174bUL;
   tf->codes[37019] = 0x0001f94b1a721126UL;
   tf->codes[37020] = 0x0001fc8604148a01UL;
   tf->codes[37021] = 0x0001fce31d76b634UL;
   tf->codes[37022] = 0x0000096b086ac61cUL;
   tf->codes[37023] = 0x00001609d33d16f8UL;
   tf->codes[37024] = 0x0000252e97c70cfcUL;
   tf->codes[37025] = 0x000033f6f29be81cUL;
   tf->codes[37026] = 0x0000418ba4037337UL;
   tf->codes[37027] = 0x000042a70e385faaUL;
   tf->codes[37028] = 0x000048cbe7b756f6UL;
   tf->codes[37029] = 0x00005ee44ecca3eeUL;
   tf->codes[37030] = 0x0000649b2191c415UL;
   tf->codes[37031] = 0x0000679464dcc515UL;
   tf->codes[37032] = 0x00006b39372aad3bUL;
   tf->codes[37033] = 0x000072ef8326320eUL;
   tf->codes[37034] = 0x00007e452407148fUL;
   tf->codes[37035] = 0x000080e322681784UL;
   tf->codes[37036] = 0x0000822b621d6ecbUL;
   tf->codes[37037] = 0x00009334a1f120adUL;
   tf->codes[37038] = 0x000093dcfd21b70dUL;
   tf->codes[37039] = 0x00009ccbfad50ad3UL;
   tf->codes[37040] = 0x0000a2d735c17befUL;
   tf->codes[37041] = 0x0000af378e0ea5b6UL;
   tf->codes[37042] = 0x0000b7bace9e5c09UL;
   tf->codes[37043] = 0x0000bf19b92f44e6UL;
   tf->codes[37044] = 0x0000bf95ee8c81c1UL;
   tf->codes[37045] = 0x0000d95d3884b4bbUL;
   tf->codes[37046] = 0x0000dc2846f52849UL;
   tf->codes[37047] = 0x0000e2384f9d128eUL;
   tf->codes[37048] = 0x0000e507b6aaf3bbUL;
   tf->codes[37049] = 0x0000f689f80991b2UL;
   tf->codes[37050] = 0x0000f69f036fa47eUL;
   tf->codes[37051] = 0x00011dbab7d20d56UL;
   tf->codes[37052] = 0x0001272a43800b96UL;
   tf->codes[37053] = 0x00012c06dd49ab9bUL;
   tf->codes[37054] = 0x00013c699664f545UL;
   tf->codes[37055] = 0x00014133e37cc7baUL;
   tf->codes[37056] = 0x0001429587359f6cUL;
   tf->codes[37057] = 0x00014b923e6e4d5eUL;
   tf->codes[37058] = 0x00014e500877724aUL;
   tf->codes[37059] = 0x0001552c90958285UL;
   tf->codes[37060] = 0x000167d9ca269543UL;
   tf->codes[37061] = 0x000168b4b2cf26b4UL;
   tf->codes[37062] = 0x00016b8070ecab91UL;
   tf->codes[37063] = 0x0001750283db7d26UL;
   tf->codes[37064] = 0x0001778eaaa8be15UL;
   tf->codes[37065] = 0x00017944b688e6bcUL;
   tf->codes[37066] = 0x00018135cc193654UL;
   tf->codes[37067] = 0x0001828f6e444417UL;
   tf->codes[37068] = 0x00018b9a542057bfUL;
   tf->codes[37069] = 0x00018d3f3819cfafUL;
   tf->codes[37070] = 0x00019ff522e5bdabUL;
   tf->codes[37071] = 0x0001aff6df1f790dUL;
   tf->codes[37072] = 0x0001baeb0e00c1bcUL;
   tf->codes[37073] = 0x0001c7df2b367aa1UL;
   tf->codes[37074] = 0x0001d0b7490b8d73UL;
   tf->codes[37075] = 0x0001d1f9211c432eUL;
   tf->codes[37076] = 0x0001d574172d0b81UL;
   tf->codes[37077] = 0x0001d59457f33902UL;
   tf->codes[37078] = 0x0001e52638faef17UL;
   tf->codes[37079] = 0x0001e687a224c104UL;
   tf->codes[37080] = 0x0001e880ee4589e9UL;
   tf->codes[37081] = 0x0001f9651f979521UL;
   tf->codes[37082] = 0x0001fab6fac3debaUL;
   tf->codes[37083] = 0x0001fd6954dde32cUL;
   tf->codes[37084] = 0x000000a1f4ea2255UL;
   tf->codes[37085] = 0x00000df0a75cc7f6UL;
   tf->codes[37086] = 0x0000188ab61f2f73UL;
   tf->codes[37087] = 0x00001febafb74c3dUL;
   tf->codes[37088] = 0x000026d5f15ab6a4UL;
   tf->codes[37089] = 0x00002d6ae09ab902UL;
   tf->codes[37090] = 0x00002d80611ed758UL;
   tf->codes[37091] = 0x000032017b6f738dUL;
   tf->codes[37092] = 0x000036e825ce116eUL;
   tf->codes[37093] = 0x00003f92f904ade2UL;
   tf->codes[37094] = 0x00003fdd8b2606c0UL;
   tf->codes[37095] = 0x0000427521e26829UL;
   tf->codes[37096] = 0x00004626fe08992cUL;
   tf->codes[37097] = 0x0000487e8856ab1dUL;
   tf->codes[37098] = 0x000051efadedd1c0UL;
   tf->codes[37099] = 0x000054ca4a5bcda2UL;
   tf->codes[37100] = 0x00005ba86c630640UL;
   tf->codes[37101] = 0x000065de0fe288eaUL;
   tf->codes[37102] = 0x00006b951d36aed6UL;
   tf->codes[37103] = 0x00006c545845862aUL;
   tf->codes[37104] = 0x00006d7a482d7c03UL;
   tf->codes[37105] = 0x00006e3d66bbb56cUL;
   tf->codes[37106] = 0x00006e870ea0f736UL;
   tf->codes[37107] = 0x00006ed87d84fd2aUL;
   tf->codes[37108] = 0x0000831d1c193371UL;
   tf->codes[37109] = 0x0000831e06554a85UL;
   tf->codes[37110] = 0x00008e591e678fc2UL;
   tf->codes[37111] = 0x000097b2ef0269e7UL;
   tf->codes[37112] = 0x00009825c377ba35UL;
   tf->codes[37113] = 0x000098c56d6d7557UL;
   tf->codes[37114] = 0x00009ec8a6cc1c84UL;
   tf->codes[37115] = 0x0000a4b0e23e1ae3UL;
   tf->codes[37116] = 0x0000a7abfa014a0bUL;
   tf->codes[37117] = 0x0000b23fdbae15c1UL;
   tf->codes[37118] = 0x0000b3ec4c174c16UL;
   tf->codes[37119] = 0x0000ba730cb3e8beUL;
   tf->codes[37120] = 0x0000bbd351129dd2UL;
   tf->codes[37121] = 0x0000db02488224b1UL;
   tf->codes[37122] = 0x0000e1faf357fa93UL;
   tf->codes[37123] = 0x0000ed861af42326UL;
   tf->codes[37124] = 0x0000f4a1c5446bc5UL;
   tf->codes[37125] = 0x0000f8d937afc630UL;
   tf->codes[37126] = 0x00010a157a197eadUL;
   tf->codes[37127] = 0x0001172753f0259cUL;
   tf->codes[37128] = 0x000119b932b4f6c8UL;
   tf->codes[37129] = 0x00012364e751e26bUL;
   tf->codes[37130] = 0x0001254fca403fd5UL;
   tf->codes[37131] = 0x00012bf94fc84975UL;
   tf->codes[37132] = 0x00012ce8ceb8e228UL;
   tf->codes[37133] = 0x000139bd20467916UL;
   tf->codes[37134] = 0x0001415b6798a01cUL;
   tf->codes[37135] = 0x000148a1d8621fa2UL;
   tf->codes[37136] = 0x00014bc14ef9e425UL;
   tf->codes[37137] = 0x000151063785cb12UL;
   tf->codes[37138] = 0x00015220b77ea071UL;
   tf->codes[37139] = 0x0001680531c1cfbaUL;
   tf->codes[37140] = 0x000174c7abbba4a2UL;
   tf->codes[37141] = 0x00018033423eb103UL;
   tf->codes[37142] = 0x0001816dc86eae1eUL;
   tf->codes[37143] = 0x000183e13ae57ff1UL;
   tf->codes[37144] = 0x00018a4a045228caUL;
   tf->codes[37145] = 0x00018e3759ba35e1UL;
   tf->codes[37146] = 0x00018fa089e2cbf8UL;
   tf->codes[37147] = 0x000193329a60db04UL;
   tf->codes[37148] = 0x00019ade9b385c36UL;
   tf->codes[37149] = 0x0001aeced1a54188UL;
   tf->codes[37150] = 0x0001b030755e193aUL;
   tf->codes[37151] = 0x0001b4a2ebed442fUL;
   tf->codes[37152] = 0x0001b52a56aa9bbfUL;
   tf->codes[37153] = 0x0001b88ea76c28e3UL;
   tf->codes[37154] = 0x0001bd767695e39dUL;
   tf->codes[37155] = 0x0001befec2b98a5cUL;
   tf->codes[37156] = 0x0001c2b398230660UL;
   tf->codes[37157] = 0x0001c5b2cdf49d62UL;
   tf->codes[37158] = 0x0001e38f7519cf1eUL;
   tf->codes[37159] = 0x0001e3ab97d194c5UL;
   tf->codes[37160] = 0x0001e6e6bc031365UL;
   tf->codes[37161] = 0x0001f61a996c8633UL;
   tf->codes[37162] = 0x0001f8e866913efdUL;
   tf->codes[37163] = 0x000008c673a37653UL;
   tf->codes[37164] = 0x00000eead8046215UL;
   tf->codes[37165] = 0x00001eb5ae28b4c7UL;
   tf->codes[37166] = 0x0000242aa007574eUL;
   tf->codes[37167] = 0x000025e9d24066bdUL;
   tf->codes[37168] = 0x0000298493f95107UL;
   tf->codes[37169] = 0x000029b28e44d8b4UL;
   tf->codes[37170] = 0x00002d20ef9b63b4UL;
   tf->codes[37171] = 0x00003037ef8752beUL;
   tf->codes[37172] = 0x0000303e1c9cee85UL;
   tf->codes[37173] = 0x00003516233a1b26UL;
   tf->codes[37174] = 0x000038547b3dea8cUL;
   tf->codes[37175] = 0x000039429ad460a1UL;
   tf->codes[37176] = 0x00003e4393729601UL;
   tf->codes[37177] = 0x00003f99521e41afUL;
   tf->codes[37178] = 0x0000492ab87b95d3UL;
   tf->codes[37179] = 0x00004cdb3547a438UL;
   tf->codes[37180] = 0x00005068780a3a1bUL;
   tf->codes[37181] = 0x000054a7ec035e75UL;
   tf->codes[37182] = 0x000057ece63ad52cUL;
   tf->codes[37183] = 0x00005f4e1a61f7bbUL;
   tf->codes[37184] = 0x0000696b441a110eUL;
   tf->codes[37185] = 0x00006bbca1528738UL;
   tf->codes[37186] = 0x00007a9ba1769d87UL;
   tf->codes[37187] = 0x00007ce36338215fUL;
   tf->codes[37188] = 0x00009288462b0cbaUL;
   tf->codes[37189] = 0x000095a0a5711e62UL;
   tf->codes[37190] = 0x000096a8639a1aa7UL;
   tf->codes[37191] = 0x00009d843c0b1993UL;
   tf->codes[37192] = 0x0000a265a39032c1UL;
   tf->codes[37193] = 0x0000a30e73ded4abUL;
   tf->codes[37194] = 0x0000a318bf02d84cUL;
   tf->codes[37195] = 0x0000c397bd267a9cUL;
   tf->codes[37196] = 0x0000c4764ebf685dUL;
   tf->codes[37197] = 0x0000c6471dfd340dUL;
   tf->codes[37198] = 0x0000dadcb65764beUL;
   tf->codes[37199] = 0x0000e668c82fa465UL;
   tf->codes[37200] = 0x0000e6e44ddfcff1UL;
   tf->codes[37201] = 0x0000f57d4f0f00c6UL;
   tf->codes[37202] = 0x0000f59bbb5d001fUL;
   tf->codes[37203] = 0x00010af3fd275eafUL;
   tf->codes[37204] = 0x00010c3dd6c5de59UL;
   tf->codes[37205] = 0x000110d4370b931fUL;
   tf->codes[37206] = 0x000111fa26f388f8UL;
   tf->codes[37207] = 0x00011261165bad42UL;
   tf->codes[37208] = 0x00011a9da8496cccUL;
   tf->codes[37209] = 0x00011d9d53390f58UL;
   tf->codes[37210] = 0x000127bfbfcaad5eUL;
   tf->codes[37211] = 0x00012bff33c3d1b8UL;
   tf->codes[37212] = 0x0001311ab530a45cUL;
   tf->codes[37213] = 0x00013f6874916b04UL;
   tf->codes[37214] = 0x000143fd757cfd2cUL;
   tf->codes[37215] = 0x00014563ac624842UL;
   tf->codes[37216] = 0x0001460c0792dea2UL;
   tf->codes[37217] = 0x00014c32b58a0416UL;
   tf->codes[37218] = 0x00014cde448ceb3cUL;
   tf->codes[37219] = 0x00015bfeb07973a1UL;
   tf->codes[37220] = 0x000162614cd080b3UL;
   tf->codes[37221] = 0x0001676defecdc52UL;
   tf->codes[37222] = 0x00016cb89070537cUL;
   tf->codes[37223] = 0x00016f53206fffe6UL;
   tf->codes[37224] = 0x0001788d9a80c39eUL;
   tf->codes[37225] = 0x00017f18040dbc96UL;
   tf->codes[37226] = 0x000180378c5110e3UL;
   tf->codes[37227] = 0x0001818bb113942eUL;
   tf->codes[37228] = 0x000192fc8ffc7ba9UL;
   tf->codes[37229] = 0x000198aecf95286cUL;
   tf->codes[37230] = 0x000198c0320adee8UL;
   tf->codes[37231] = 0x00019cb3ef178d8bUL;
   tf->codes[37232] = 0x00019fb5a90e6404UL;
   tf->codes[37233] = 0x0001a2ed244f8654UL;
   tf->codes[37234] = 0x0001a63602065f20UL;
   tf->codes[37235] = 0x0001abf0b84ae15cUL;
   tf->codes[37236] = 0x0001ae1789992664UL;
   tf->codes[37237] = 0x0001b178a68862c2UL;
   tf->codes[37238] = 0x0001c2319c432b89UL;
   tf->codes[37239] = 0x0001c572b2fb402bUL;
   tf->codes[37240] = 0x0001c785289083b6UL;
   tf->codes[37241] = 0x0001d09725be4a39UL;
   tf->codes[37242] = 0x0001d8b2c738caf3UL;
   tf->codes[37243] = 0x0001dc1802366f2bUL;
   tf->codes[37244] = 0x0001e67d39eaa1e5UL;
   tf->codes[37245] = 0x0001e9f27803d9fbUL;
   tf->codes[37246] = 0x0001ea4e6c9ae955UL;
   tf->codes[37247] = 0x0001eb1cc0893d73UL;
   tf->codes[37248] = 0x0001f1599eb1928cUL;
   tf->codes[37249] = 0x0001f27bab1a2650UL;
   tf->codes[37250] = 0x0001f4ee3354e10fUL;
   tf->codes[37251] = 0x0001fb2e0ac08129UL;
   tf->codes[37252] = 0x0001fc379d61ab96UL;
   tf->codes[37253] = 0x0000098e51621b26UL;
   tf->codes[37254] = 0x00000ba3c03aa9b2UL;
   tf->codes[37255] = 0x000011779ff3a694UL;
   tf->codes[37256] = 0x00001eec1095042eUL;
   tf->codes[37257] = 0x00002f2bca35db1bUL;
   tf->codes[37258] = 0x00003152d61325e8UL;
   tf->codes[37259] = 0x000031fe9fa512d3UL;
   tf->codes[37260] = 0x00003f76f3c5d282UL;
   tf->codes[37261] = 0x0000409b49c49ff8UL;
   tf->codes[37262] = 0x000048f648005edbUL;
   tf->codes[37263] = 0x00004b09a7d1b97aUL;
   tf->codes[37264] = 0x00004e0151339217UL;
   tf->codes[37265] = 0x000051317a93fbc7UL;
   tf->codes[37266] = 0x00005b7636f2fb3bUL;
   tf->codes[37267] = 0x000061ee53ce26a3UL;
   tf->codes[37268] = 0x00006ed98539fe85UL;
   tf->codes[37269] = 0x0000737cb4c8f663UL;
   tf->codes[37270] = 0x00007d109f4b89feUL;
   tf->codes[37271] = 0x000080a77d851233UL;
   tf->codes[37272] = 0x000085017a4cd3d1UL;
   tf->codes[37273] = 0x0000854c46fd3274UL;
   tf->codes[37274] = 0x00008896be9d33a3UL;
   tf->codes[37275] = 0x000099570638b50aUL;
   tf->codes[37276] = 0x00009b7909cb80e9UL;
   tf->codes[37277] = 0x00009de689bbbcbaUL;
   tf->codes[37278] = 0x0000a36f27a64f6fUL;
   tf->codes[37279] = 0x0000a6623ddbb4a8UL;
   tf->codes[37280] = 0x0000a801defba7e5UL;
   tf->codes[37281] = 0x0000a8ce23e2c816UL;
   tf->codes[37282] = 0x0000aa9dce5576edUL;
   tf->codes[37283] = 0x0000b3d589b1f569UL;
   tf->codes[37284] = 0x0000bf60ebdd23c1UL;
   tf->codes[37285] = 0x0000d478ac1b274fUL;
   tf->codes[37286] = 0x0000dee4fb210ce4UL;
   tf->codes[37287] = 0x0000e2d793629eaeUL;
   tf->codes[37288] = 0x0000feb8a4d0cdd3UL;
   tf->codes[37289] = 0x0000ffbae5913fa0UL;
   tf->codes[37290] = 0x000110f58e11cfbaUL;
   tf->codes[37291] = 0x0001153d3e27c3c8UL;
   tf->codes[37292] = 0x0001210f4ef4e8e9UL;
   tf->codes[37293] = 0x000124d9a4e28343UL;
   tf->codes[37294] = 0x0001298dfc582bd8UL;
   tf->codes[37295] = 0x00012b0dd1cffd1eUL;
   tf->codes[37296] = 0x000134d1c5a54c53UL;
   tf->codes[37297] = 0x00013508abbab503UL;
   tf->codes[37298] = 0x00013a413a1b6462UL;
   tf->codes[37299] = 0x00013c070e881b22UL;
   tf->codes[37300] = 0x00013d453da8748dUL;
   tf->codes[37301] = 0x0001493a887f1230UL;
   tf->codes[37302] = 0x000149cc03d1679cUL;
   tf->codes[37303] = 0x00014fd7042ed2f3UL;
   tf->codes[37304] = 0x00015b15501368f6UL;
   tf->codes[37305] = 0x00015bc6970de059UL;
   tf->codes[37306] = 0x00015cc8282140d7UL;
   tf->codes[37307] = 0x0001607cc2fbb716UL;
   tf->codes[37308] = 0x000165c5c99605ddUL;
   tf->codes[37309] = 0x00016f95dd0786dbUL;
   tf->codes[37310] = 0x000176f95ac4e31cUL;
   tf->codes[37311] = 0x00017886af3308c9UL;
   tf->codes[37312] = 0x00017c34e268dd7cUL;
   tf->codes[37313] = 0x00017ec9f4ffff6eUL;
   tf->codes[37314] = 0x00018c84d9b44e0cUL;
   tf->codes[37315] = 0x000195264c02fdf3UL;
   tf->codes[37316] = 0x00019e7dd3079e66UL;
   tf->codes[37317] = 0x00019eec14507b50UL;
   tf->codes[37318] = 0x0001a5bda19d769bUL;
   tf->codes[37319] = 0x0001a997c0179f0eUL;
   tf->codes[37320] = 0x0001aacdedaa2e8aUL;
   tf->codes[37321] = 0x0001aba86134b471UL;
   tf->codes[37322] = 0x0001b0861fc9714fUL;
   tf->codes[37323] = 0x0001b4a7d721a79fUL;
   tf->codes[37324] = 0x0001bbb6ecb7b2ebUL;
   tf->codes[37325] = 0x0001bcb9dd253607UL;
   tf->codes[37326] = 0x0001c53a998face3UL;
   tf->codes[37327] = 0x0001ccee9bf4f804UL;
   tf->codes[37328] = 0x0001d2075ead856cUL;
   tf->codes[37329] = 0x0001d79037271de6UL;
   tf->codes[37330] = 0x0001def9a76b1029UL;
   tf->codes[37331] = 0x0001df19e8313daaUL;
   tf->codes[37332] = 0x0001e455e4f34394UL;
   tf->codes[37333] = 0x0001ea126faff3f8UL;
   tf->codes[37334] = 0x0001f2e07cf008eeUL;
   tf->codes[37335] = 0x0001f2e3b0c259b4UL;
   tf->codes[37336] = 0x0001fd99e23c86d8UL;
   tf->codes[37337] = 0x00000b96a7d75316UL;
   tf->codes[37338] = 0x00000cfa5a975eb5UL;
   tf->codes[37339] = 0x00000f0718351203UL;
   tf->codes[37340] = 0x00001035f3e6e8dfUL;
   tf->codes[37341] = 0x000011dd21769a81UL;
   tf->codes[37342] = 0x00001227ee26f924UL;
   tf->codes[37343] = 0x00001d39648b2453UL;
   tf->codes[37344] = 0x000021055461e710UL;
   tf->codes[37345] = 0x000027dbaf6a5b84UL;
   tf->codes[37346] = 0x000029ce59577d18UL;
   tf->codes[37347] = 0x00002b72c832e97eUL;
   tf->codes[37348] = 0x00002b86e95ce536UL;
   tf->codes[37349] = 0x00003c7ddc7ec988UL;
   tf->codes[37350] = 0x000045c2dc4296a6UL;
   tf->codes[37351] = 0x000053a5c8bbd6efUL;
   tf->codes[37352] = 0x00005739adb21423UL;
   tf->codes[37353] = 0x000059274f54b6c9UL;
   tf->codes[37354] = 0x00006478227a2021UL;
   tf->codes[37355] = 0x00006c3dc1e42783UL;
   tf->codes[37356] = 0x00006c93c3f4a0dbUL;
   tf->codes[37357] = 0x00007ce84e6c84cfUL;
   tf->codes[37358] = 0x00008433526277b9UL;
   tf->codes[37359] = 0x00008605466b6042UL;
   tf->codes[37360] = 0x0000967459b1e17aUL;
   tf->codes[37361] = 0x0000985fb1be4a6eUL;
   tf->codes[37362] = 0x000098b78846f1eeUL;
   tf->codes[37363] = 0x00009e5e927f83fcUL;
   tf->codes[37364] = 0x0000a97b3e43c9e0UL;
   tf->codes[37365] = 0x0000ac8b9bfc1199UL;
   tf->codes[37366] = 0x0000b009c5df2ab2UL;
   tf->codes[37367] = 0x0000b3be60b9a0f1UL;
   tf->codes[37368] = 0x0000c0e5f5a36bfbUL;
   tf->codes[37369] = 0x0000c6e008a92c60UL;
   tf->codes[37370] = 0x0000c7b4148f10bbUL;
   tf->codes[37371] = 0x0000c96a5afe3f27UL;
   tf->codes[37372] = 0x0000ca04126d6447UL;
   tf->codes[37373] = 0x0000d25a42edaa01UL;
   tf->codes[37374] = 0x0000d906fc480467UL;
   tf->codes[37375] = 0x0000d9e0c02578ffUL;
   tf->codes[37376] = 0x0000d9f6f056a8a4UL;
   tf->codes[37377] = 0x0000db69f68536d2UL;
   tf->codes[37378] = 0x0000e30c5be5c5b2UL;
   tf->codes[37379] = 0x0000e36c6e8b3ce6UL;
   tf->codes[37380] = 0x0000f3dd5649ec46UL;
   tf->codes[37381] = 0x0001104d24562b9bUL;
   tf->codes[37382] = 0x000111b68f0dc777UL;
   tf->codes[37383] = 0x00011702c97a6704UL;
   tf->codes[37384] = 0x000117ddb222f875UL;
   tf->codes[37385] = 0x00011ab2d12869dfUL;
   tf->codes[37386] = 0x00011afdd867ce47UL;
   tf->codes[37387] = 0x00011bda206a8256UL;
   tf->codes[37388] = 0x0001245e85c55582UL;
   tf->codes[37389] = 0x0001249da7f78de6UL;
   tf->codes[37390] = 0x000125f450df50a8UL;
   tf->codes[37391] = 0x0001287b34d30ce4UL;
   tf->codes[37392] = 0x0001294b5d398f2aUL;
   tf->codes[37393] = 0x00012d6045488262UL;
   tf->codes[37394] = 0x00012d988ab80db0UL;
   tf->codes[37395] = 0x00012e4ccaf5d014UL;
   tf->codes[37396] = 0x0001320dfa8a83a6UL;
   tf->codes[37397] = 0x00013c5a4359417fUL;
   tf->codes[37398] = 0x000140d56b2347b2UL;
   tf->codes[37399] = 0x0001477d91512eb4UL;
   tf->codes[37400] = 0x00014f4db66e3f7cUL;
   tf->codes[37401] = 0x00014f60ed5c2420UL;
   tf->codes[37402] = 0x000151473d1e0e26UL;
   tf->codes[37403] = 0x000152564d27c30bUL;
   tf->codes[37404] = 0x000155e6c3bca9b4UL;
   tf->codes[37405] = 0x000157857aa085ddUL;
   tf->codes[37406] = 0x00015ae4136a82c4UL;
   tf->codes[37407] = 0x00015b967f301700UL;
   tf->codes[37408] = 0x00015d34fb84ed64UL;
   tf->codes[37409] = 0x00016664efe2a7b6UL;
   tf->codes[37410] = 0x00016f2f8ec16621UL;
   tf->codes[37411] = 0x0001705459de3f21UL;
   tf->codes[37412] = 0x000177c7dab72f40UL;
   tf->codes[37413] = 0x00017ba5dcb0b9c8UL;
   tf->codes[37414] = 0x000188b40d970467UL;
   tf->codes[37415] = 0x000194832520de87UL;
   tf->codes[37416] = 0x000196a77249e418UL;
   tf->codes[37417] = 0x00019ae795f019c1UL;
   tf->codes[37418] = 0x0001b17d572dc06dUL;
   tf->codes[37419] = 0x0001b51bc1d70707UL;
   tf->codes[37420] = 0x0001c3e3e21cdc62UL;
   tf->codes[37421] = 0x0001ce8e2e89dd82UL;
   tf->codes[37422] = 0x0001d6d5bb48b1fcUL;
   tf->codes[37423] = 0x0001d6fd4def981dUL;
   tf->codes[37424] = 0x0001dee243e3b5ecUL;
   tf->codes[37425] = 0x0001e74f19b336d5UL;
   tf->codes[37426] = 0x0001f1a11a7984ebUL;
   tf->codes[37427] = 0x0001f4d477ac3f61UL;
   tf->codes[37428] = 0x0001fe00888a979eUL;
   tf->codes[37429] = 0x00000b92f05be907UL;
   tf->codes[37430] = 0x00000c661205b64eUL;
   tf->codes[37431] = 0x000014421c2ff31aUL;
   tf->codes[37432] = 0x000016c13924eb2cUL;
   tf->codes[37433] = 0x000024a3b0801febUL;
   tf->codes[37434] = 0x000025eeaee9bc6eUL;
   tf->codes[37435] = 0x000027116aff6181UL;
   tf->codes[37436] = 0x00002c21075f0821UL;
   tf->codes[37437] = 0x00002de0aeb6231aUL;
   tf->codes[37438] = 0x00003c0a84605ff1UL;
   tf->codes[37439] = 0x00003e63e326a00aUL;
   tf->codes[37440] = 0x00004671908cc0d3UL;
   tf->codes[37441] = 0x0000474770ead356UL;
   tf->codes[37442] = 0x00004f47d9e9a57dUL;
   tf->codes[37443] = 0x000052ec71a887deUL;
   tf->codes[37444] = 0x000055534f651c5eUL;
   tf->codes[37445] = 0x00005a8decccffaaUL;
   tf->codes[37446] = 0x00005ae8477ae6a1UL;
   tf->codes[37447] = 0x00005c472c7f7917UL;
   tf->codes[37448] = 0x00005fcfdc159b96UL;
   tf->codes[37449] = 0x000062f45af7df07UL;
   tf->codes[37450] = 0x000068084ff4f346UL;
   tf->codes[37451] = 0x00006dd8119f884eUL;
   tf->codes[37452] = 0x0000717eb8659e9cUL;
   tf->codes[37453] = 0x000074fb485f8f52UL;
   tf->codes[37454] = 0x00007621e7f4967aUL;
   tf->codes[37455] = 0x00007698655a4318UL;
   tf->codes[37456] = 0x0000769cf886b67cUL;
   tf->codes[37457] = 0x00007e81043ebd37UL;
   tf->codes[37458] = 0x00007f66729a580eUL;
   tf->codes[37459] = 0x00008581b0a25d08UL;
   tf->codes[37460] = 0x0000869e7a316c19UL;
   tf->codes[37461] = 0x00008cc2a4035216UL;
   tf->codes[37462] = 0x00008d47500c646aUL;
   tf->codes[37463] = 0x000092d481236a83UL;
   tf->codes[37464] = 0x000093e18225eb7bUL;
   tf->codes[37465] = 0x00009ca2858db794UL;
   tf->codes[37466] = 0x0000a62df96475b6UL;
   tf->codes[37467] = 0x0000a707f7d0f013UL;
   tf->codes[37468] = 0x0000a8520bfe7582UL;
   tf->codes[37469] = 0x0000b7e586ef53faUL;
   tf->codes[37470] = 0x0000ba4e73b31c67UL;
   tf->codes[37471] = 0x0000bc1064a07112UL;
   tf->codes[37472] = 0x0000bc5ccb39f818UL;
   tf->codes[37473] = 0x0000d5a1ed4e5835UL;
   tf->codes[37474] = 0x0000f12f464247b4UL;
   tf->codes[37475] = 0x0000f89ee39bd5beUL;
   tf->codes[37476] = 0x0000f9b495d931f4UL;
   tf->codes[37477] = 0x0000fac4558ff828UL;
   tf->codes[37478] = 0x0000fe3ab8744d17UL;
   tf->codes[37479] = 0x000102551debcac7UL;
   tf->codes[37480] = 0x0001026f319c5c81UL;
   tf->codes[37481] = 0x00010ecdf0005de5UL;
   tf->codes[37482] = 0x00012436aa045bddUL;
   tf->codes[37483] = 0x00012a2f983eff69UL;
   tf->codes[37484] = 0x0001364c009e77a3UL;
   tf->codes[37485] = 0x0001372589ece676UL;
   tf->codes[37486] = 0x000139d22c0f5aabUL;
   tf->codes[37487] = 0x0001439ed11f851eUL;
   tf->codes[37488] = 0x000143dd7e33b1f8UL;
   tf->codes[37489] = 0x0001450074d85cd0UL;
   tf->codes[37490] = 0x000147dce5be86daUL;
   tf->codes[37491] = 0x000148ee3f5e7571UL;
   tf->codes[37492] = 0x00014f44bc1950baUL;
   tf->codes[37493] = 0x00015b0a72bb3e4dUL;
   tf->codes[37494] = 0x00015fbfb46cfdf6UL;
   tf->codes[37495] = 0x00016e33e1a98de6UL;
   tf->codes[37496] = 0x0001740f13434368UL;
   tf->codes[37497] = 0x000174ff0751e7a5UL;
   tf->codes[37498] = 0x00017768de51c726UL;
   tf->codes[37499] = 0x00017a7dcf368243UL;
   tf->codes[37500] = 0x00017ab9f8256fa6UL;
   tf->codes[37501] = 0x000184b92aad952aUL;
   tf->codes[37502] = 0x00018b181e1445ecUL;
   tf->codes[37503] = 0x00018c94100cb51dUL;
   tf->codes[37504] = 0x00018daaac862867UL;
   tf->codes[37505] = 0x0001940be98312dbUL;
   tf->codes[37506] = 0x000199aa4280c9abUL;
   tf->codes[37507] = 0x00019a60cc54c5c1UL;
   tf->codes[37508] = 0x0001a4fe497883c9UL;
   tf->codes[37509] = 0x0001a67448ea5cf8UL;
   tf->codes[37510] = 0x0001a6f4d6e50772UL;
   tf->codes[37511] = 0x0001a8254c8006b1UL;
   tf->codes[37512] = 0x0001a91b6da446b5UL;
   tf->codes[37513] = 0x0001b658bda135daUL;
   tf->codes[37514] = 0x0001c2d06aeaac1fUL;
   tf->codes[37515] = 0x0001c3449eba1f0bUL;
   tf->codes[37516] = 0x0001c8fb717f3f32UL;
   tf->codes[37517] = 0x0001cbcb4dab2be9UL;
   tf->codes[37518] = 0x0001cd2b577adb38UL;
   tf->codes[37519] = 0x0001cf8983fc947aUL;
   tf->codes[37520] = 0x0001d525cdf3175dUL;
   tf->codes[37521] = 0x0001d71753151c18UL;
   tf->codes[37522] = 0x0001e905c6b5630cUL;
   tf->codes[37523] = 0x0001ea458fbee4daUL;
   tf->codes[37524] = 0x0001f2908adf0fdfUL;
   tf->codes[37525] = 0x0001fa86339bd2dbUL;
   tf->codes[37526] = 0x0001fa9d137a13cfUL;
   tf->codes[37527] = 0x0001fefd77e676f9UL;
   tf->codes[37528] = 0x000003347533c5daUL;
   tf->codes[37529] = 0x0000162c7b75373bUL;
   tf->codes[37530] = 0x00001d173236ad2cUL;
   tf->codes[37531] = 0x00001d78a43646feUL;
   tf->codes[37532] = 0x00002390e8fb00f7UL;
   tf->codes[37533] = 0x000025e2bb5182abUL;
   tf->codes[37534] = 0x000026959c352271UL;
   tf->codes[37535] = 0x00002aef98fce40fUL;
   tf->codes[37536] = 0x000037a8777fc6a5UL;
   tf->codes[37537] = 0x00004709da16b596UL;
   tf->codes[37538] = 0x00004c0dcbf835f7UL;
   tf->codes[37539] = 0x00004dbde551c89cUL;
   tf->codes[37540] = 0x0000594e1538701dUL;
   tf->codes[37541] = 0x000059cb6f60c9d1UL;
   tf->codes[37542] = 0x00005ef8c8615e7bUL;
   tf->codes[37543] = 0x0000604944338576UL;
   tf->codes[37544] = 0x00006129aa44a15fUL;
   tf->codes[37545] = 0x000069b43cb51052UL;
   tf->codes[37546] = 0x00007861999d42a4UL;
   tf->codes[37547] = 0x00007dbc02ad47e7UL;
   tf->codes[37548] = 0x000091fcf85121deUL;
   tf->codes[37549] = 0x0000959ab34d5729UL;
   tf->codes[37550] = 0x0000a4ebd839ac77UL;
   tf->codes[37551] = 0x0000a9dea2347c21UL;
   tf->codes[37552] = 0x0000a9f3ad9a8eedUL;
   tf->codes[37553] = 0x0000ab7850cdd95cUL;
   tf->codes[37554] = 0x0000b3704320d60aUL;
   tf->codes[37555] = 0x0000b4abee1beffeUL;
   tf->codes[37556] = 0x0000b5dead4d28efUL;
   tf->codes[37557] = 0x0000b737653c1f9eUL;
   tf->codes[37558] = 0x0000bbe84e5071a8UL;
   tf->codes[37559] = 0x0000bf9c740cdc5dUL;
   tf->codes[37560] = 0x0000c5249cd96388UL;
   tf->codes[37561] = 0x0000cd2edbde2dc6UL;
   tf->codes[37562] = 0x0000e3a9d9be3169UL;
   tf->codes[37563] = 0x0000e6a3ccb643b8UL;
   tf->codes[37564] = 0x0000f41a11cfcf7aUL;
   tf->codes[37565] = 0x000107dc1362275aUL;
   tf->codes[37566] = 0x000108c823f16982UL;
   tf->codes[37567] = 0x00010c3b8d927370UL;
   tf->codes[37568] = 0x0001108fd262a4d1UL;
   tf->codes[37569] = 0x0001119581846d29UL;
   tf->codes[37570] = 0x00012f1b01ce08b4UL;
   tf->codes[37571] = 0x000133fc695321e2UL;
   tf->codes[37572] = 0x00013ebf2f878c59UL;
   tf->codes[37573] = 0x0001415fec9cd48aUL;
   tf->codes[37574] = 0x00014e185601ab96UL;
   tf->codes[37575] = 0x0001546f8269982eUL;
   tf->codes[37576] = 0x00015962c1827362UL;
   tf->codes[37577] = 0x00016ba2a406c04aUL;
   tf->codes[37578] = 0x00017f26a831fc9fUL;
   tf->codes[37579] = 0x00018736d9bd5cdfUL;
   tf->codes[37580] = 0x0001909c8f656308UL;
   tf->codes[37581] = 0x000193e1febae549UL;
   tf->codes[37582] = 0x0001946bed9d7c50UL;
   tf->codes[37583] = 0x0001b0beaeb5deeaUL;
   tf->codes[37584] = 0x0001bc1d75efa833UL;
   tf->codes[37585] = 0x0001c21edad62138UL;
   tf->codes[37586] = 0x0001cde491780ecbUL;
   tf->codes[37587] = 0x0001e0eb7609f731UL;
   tf->codes[37588] = 0x0001e82601c64ab3UL;
   tf->codes[37589] = 0x0001e8d2f0235477UL;
   tf->codes[37590] = 0x0001e92807f7b6bbUL;
   tf->codes[37591] = 0x0001e9e5e3ac6b71UL;
   tf->codes[37592] = 0x0001fde14f796b78UL;
   tf->codes[37593] = 0x000005d3c463ddaeUL;
   tf->codes[37594] = 0x000007548417c608UL;
   tf->codes[37595] = 0x00000b780fe82a80UL;
   tf->codes[37596] = 0x00000cc4e2c9f52bUL;
   tf->codes[37597] = 0x00001111609b6262UL;
   tf->codes[37598] = 0x00001514e6349f1eUL;
   tf->codes[37599] = 0x00001d2517bfff5eUL;
   tf->codes[37600] = 0x00001f73f0d33611UL;
   tf->codes[37601] = 0x000026d7a91f9817UL;
   tf->codes[37602] = 0x00002c592fb877f1UL;
   tf->codes[37603] = 0x00003c5de5357e54UL;
   tf->codes[37604] = 0x00003cdc6428f4e1UL;
   tf->codes[37605] = 0x0000438156848b1dUL;
   tf->codes[37606] = 0x000054f35a388f71UL;
   tf->codes[37607] = 0x000057991f985690UL;
   tf->codes[37608] = 0x000057ebedd67f22UL;
   tf->codes[37609] = 0x000058d95dbfe3e8UL;
   tf->codes[37610] = 0x00005bf73a6e8008UL;
   tf->codes[37611] = 0x00006761e6b57555UL;
   tf->codes[37612] = 0x00007300f4ec93dbUL;
   tf->codes[37613] = 0x000075df3a4aec0dUL;
   tf->codes[37614] = 0x0000779ac3939f2cUL;
   tf->codes[37615] = 0x000078122b3562deUL;
   tf->codes[37616] = 0x00007cb17744f8a7UL;
   tf->codes[37617] = 0x000083aa9738da13UL;
   tf->codes[37618] = 0x0000a230be59bf08UL;
   tf->codes[37619] = 0x0000a6565931576dUL;
   tf->codes[37620] = 0x0000a66b64976a39UL;
   tf->codes[37621] = 0x0000a83c33d535e9UL;
   tf->codes[37622] = 0x0000ab32434de623UL;
   tf->codes[37623] = 0x0000ab6127d584e4UL;
   tf->codes[37624] = 0x0000af07597d8fa8UL;
   tf->codes[37625] = 0x0000bbfb01953d03UL;
   tf->codes[37626] = 0x0000c3fd047d378dUL;
   tf->codes[37627] = 0x0000c96dd84d723aUL;
   tf->codes[37628] = 0x0000d31ff48eff69UL;
   tf->codes[37629] = 0x0000dae7dd8f407dUL;
   tf->codes[37630] = 0x0000fd3d62e83ebaUL;
   tf->codes[37631] = 0x00010613e6d42929UL;
   tf->codes[37632] = 0x000106e7b82b07bfUL;
   tf->codes[37633] = 0x00010d89ebd258bfUL;
   tf->codes[37634] = 0x000112dc53549413UL;
   tf->codes[37635] = 0x000113e86a1afdf7UL;
   tf->codes[37636] = 0x000116d16fbb6554UL;
   tf->codes[37637] = 0x00011cc5903a8fb7UL;
   tf->codes[37638] = 0x0001206a628877ddUL;
   tf->codes[37639] = 0x000126ed3fa5b270UL;
   tf->codes[37640] = 0x00012af6b7c5852eUL;
   tf->codes[37641] = 0x000131131a98a701UL;
   tf->codes[37642] = 0x00013380256ad748UL;
   tf->codes[37643] = 0x00013e1a342d3ec5UL;
   tf->codes[37644] = 0x000143b8c7b9fb5aUL;
   tf->codes[37645] = 0x00014f2a163497f8UL;
   tf->codes[37646] = 0x000154e666624297UL;
   tf->codes[37647] = 0x00015d14c9ac9c6bUL;
   tf->codes[37648] = 0x00015e77ccbf96bbUL;
   tf->codes[37649] = 0x00015fa549174af9UL;
   tf->codes[37650] = 0x00016380173e84bbUL;
   tf->codes[37651] = 0x000168ff54412ae3UL;
   tf->codes[37652] = 0x00016e04a57ccde2UL;
   tf->codes[37653] = 0x00016e5f3ab9ba9eUL;
   tf->codes[37654] = 0x00017db52d618915UL;
   tf->codes[37655] = 0x0001806f89095776UL;
   tf->codes[37656] = 0x0001869d13c32a00UL;
   tf->codes[37657] = 0x00018878a34304dbUL;
   tf->codes[37658] = 0x0001887952f0162aUL;
   tf->codes[37659] = 0x00018ca087b0d6f2UL;
   tf->codes[37660] = 0x00018e6aef4a0116UL;
   tf->codes[37661] = 0x00019584c5221b8dUL;
   tf->codes[37662] = 0x00019fd1830ee4f0UL;
   tf->codes[37663] = 0x0001a29e65f786a6UL;
   tf->codes[37664] = 0x0001a4d9586fc766UL;
   tf->codes[37665] = 0x0001a5de1d5578aaUL;
   tf->codes[37666] = 0x0001a6efec1372cbUL;
   tf->codes[37667] = 0x0001ac17528d7173UL;
   tf->codes[37668] = 0x0001b607a6c51ff2UL;
   tf->codes[37669] = 0x0001b77e1b5504abUL;
   tf->codes[37670] = 0x0001c03b3b3d6eafUL;
   tf->codes[37671] = 0x0001c11deae4c44aUL;
   tf->codes[37672] = 0x0001ca26c1b9a405UL;
   tf->codes[37673] = 0x0001ca7e23243ffbUL;
   tf->codes[37674] = 0x0001d04aeb8b8a02UL;
   tf->codes[37675] = 0x0001d41a8452a90fUL;
   tf->codes[37676] = 0x0001da82d8a1465eUL;
   tf->codes[37677] = 0x0001eaa54abf3acbUL;
   tf->codes[37678] = 0x0001eae6f116b2a6UL;
   tf->codes[37679] = 0x0001eda1874d86ccUL;
   tf->codes[37680] = 0x0001ee46398dc0dcUL;
   tf->codes[37681] = 0x0001ef3a111bc72eUL;
   tf->codes[37682] = 0x0001f07128ea6dbeUL;
   tf->codes[37683] = 0x0001f49982764b5fUL;
   tf->codes[37684] = 0x0001f73f82651843UL;
   tf->codes[37685] = 0x0001fcb140716a04UL;
   tf->codes[37686] = 0x000009de52c3bf86UL;
   tf->codes[37687] = 0x00000c73da78ed02UL;
   tf->codes[37688] = 0x00000fa7acc9b302UL;
   tf->codes[37689] = 0x00002129790a456fUL;
   tf->codes[37690] = 0x0000258300b3fb83UL;
   tf->codes[37691] = 0x00002635a7089584UL;
   tf->codes[37692] = 0x000029019fb52026UL;
   tf->codes[37693] = 0x00002de6759b8fdfUL;
   tf->codes[37694] = 0x00002e978207017dUL;
   tf->codes[37695] = 0x000034231934df33UL;
   tf->codes[37696] = 0x00003ac3ed820d95UL;
   tf->codes[37697] = 0x00003bbf16f0cc87UL;
   tf->codes[37698] = 0x00003e0fc47c3162UL;
   tf->codes[37699] = 0x000043ba02871436UL;
   tf->codes[37700] = 0x00004a94b62cf649UL;
   tf->codes[37701] = 0x00004fcac0686631UL;
   tf->codes[37702] = 0x00005260bd3b9f37UL;
   tf->codes[37703] = 0x0000527010aa21c6UL;
   tf->codes[37704] = 0x000057effd59d93dUL;
   tf->codes[37705] = 0x0000663e6c67b134UL;
   tf->codes[37706] = 0x00006654d727e69eUL;
   tf->codes[37707] = 0x00006a77039e2878UL;
   tf->codes[37708] = 0x00006f7662533575UL;
   tf->codes[37709] = 0x000071cb687c07efUL;
   tf->codes[37710] = 0x0000745286fec9f0UL;
   tf->codes[37711] = 0x000077aab824254bUL;
   tf->codes[37712] = 0x000079ed719b2a35UL;
   tf->codes[37713] = 0x00007babb9982290UL;
   tf->codes[37714] = 0x000080a3514e6b63UL;
   tf->codes[37715] = 0x000088758572b018UL;
   tf->codes[37716] = 0x00008c438450a6c2UL;
   tf->codes[37717] = 0x00008f65b99cb081UL;
   tf->codes[37718] = 0x0000908e2da9e5d1UL;
   tf->codes[37719] = 0x0000909a87d51d5fUL;
   tf->codes[37720] = 0x000092a0ddce2f21UL;
   tf->codes[37721] = 0x000092eb3560823aUL;
   tf->codes[37722] = 0x0000a34dee7bcbe4UL;
   tf->codes[37723] = 0x0000a611ab0b86d2UL;
   tf->codes[37724] = 0x0000a9a67a3ddb1aUL;
   tf->codes[37725] = 0x0000c6dc258c9914UL;
   tf->codes[37726] = 0x0000d924b94bc13aUL;
   tf->codes[37727] = 0x0000da67f0b69993UL;
   tf->codes[37728] = 0x0000e25940d5eef0UL;
   tf->codes[37729] = 0x0000f51a9b90fd66UL;
   tf->codes[37730] = 0x0000f9e0900b623cUL;
   tf->codes[37731] = 0x0000fd045f40945eUL;
   tf->codes[37732] = 0x00010cb29d8f15dfUL;
   tf->codes[37733] = 0x00011018131bbfdcUL;
   tf->codes[37734] = 0x00011378805deaebUL;
   tf->codes[37735] = 0x000124afba7d247aUL;
   tf->codes[37736] = 0x000125b7edc42c49UL;
   tf->codes[37737] = 0x000131e9d6a7c2d9UL;
   tf->codes[37738] = 0x000137811853c6ceUL;
   tf->codes[37739] = 0x00014e59a4b4022eUL;
   tf->codes[37740] = 0x000150c58abb159cUL;
   tf->codes[37741] = 0x00015ab6c92edb2fUL;
   tf->codes[37742] = 0x000161c0615c5c03UL;
   tf->codes[37743] = 0x00018e98a07b753fUL;
   tf->codes[37744] = 0x0001a28b959c9fcdUL;
   tf->codes[37745] = 0x0001a3f99380af0dUL;
   tf->codes[37746] = 0x0001acf1b78ce99bUL;
   tf->codes[37747] = 0x0001afd74ecbfa6dUL;
   tf->codes[37748] = 0x0001b1c9f8b91c01UL;
   tf->codes[37749] = 0x0001b5a86fd0b213UL;
   tf->codes[37750] = 0x0001b800a9cbd553UL;
   tf->codes[37751] = 0x0001c9cb33b59276UL;
   tf->codes[37752] = 0x0001d57e2887a6efUL;
   tf->codes[37753] = 0x0001db4ed46e530bUL;
   tf->codes[37754] = 0x0001dd4b19d266f1UL;
   tf->codes[37755] = 0x0001dd9153565230UL;
   tf->codes[37756] = 0x0001e1a6eb1256b7UL;
   tf->codes[37757] = 0x0001edd90e84f30cUL;
   tf->codes[37758] = 0x0001ef99daa72adeUL;
   tf->codes[37759] = 0x0001fcd3bc42c378UL;
   tf->codes[37760] = 0x0001fd827f17fb64UL;
   tf->codes[37761] = 0x0001ffba784cf123UL;
   tf->codes[37762] = 0x0000086008aa08e4UL;
   tf->codes[37763] = 0x0000186bd578c222UL;
   tf->codes[37764] = 0x00001ccebe0a64c3UL;
   tf->codes[37765] = 0x00001e7451b0ee02UL;
   tf->codes[37766] = 0x00001faf878dfc6cUL;
   tf->codes[37767] = 0x0000228fa16482c6UL;
   tf->codes[37768] = 0x00002b14414e5bb7UL;
   tf->codes[37769] = 0x00002d79fa3fd35eUL;
   tf->codes[37770] = 0x000031e100dfddd9UL;
   tf->codes[37771] = 0x000037c88ca4cae9UL;
   tf->codes[37772] = 0x0000402e4b2298f7UL;
   tf->codes[37773] = 0x0000402fe50bc15aUL;
   tf->codes[37774] = 0x00004e7393d78a26UL;
   tf->codes[37775] = 0x000051d01d9a5320UL;
   tf->codes[37776] = 0x0000562636e2b2a9UL;
   tf->codes[37777] = 0x00005699f5941a0bUL;
   tf->codes[37778] = 0x000056f8a8df6ea1UL;
   tf->codes[37779] = 0x00006860d68d7adeUL;
   tf->codes[37780] = 0x00006e9d3f97c46dUL;
   tf->codes[37781] = 0x00007008443888acUL;
   tf->codes[37782] = 0x0000799e3dc25034UL;
   tf->codes[37783] = 0x000079ecedf210ecUL;
   tf->codes[37784] = 0x00007a20dac42e9bUL;
   tf->codes[37785] = 0x00007d27d79489c7UL;
   tf->codes[37786] = 0x00007dd5759ea4daUL;
   tf->codes[37787] = 0x000082fb422f7b1fUL;
   tf->codes[37788] = 0x0000864a126ce9edUL;
   tf->codes[37789] = 0x000090668c77f1f1UL;
   tf->codes[37790] = 0x000090a91d0b80e0UL;
   tf->codes[37791] = 0x0000958541b7155bUL;
   tf->codes[37792] = 0x000098149c56a710UL;
   tf->codes[37793] = 0x0000a5d2b4dd4674UL;
   tf->codes[37794] = 0x0000a8a0bc910503UL;
   tf->codes[37795] = 0x0000b164098f0aceUL;
   tf->codes[37796] = 0x0000b1735cfd8d5dUL;
   tf->codes[37797] = 0x0000bcaeea2dde24UL;
   tf->codes[37798] = 0x0000c29e3cf18f5eUL;
   tf->codes[37799] = 0x0000ed7568f11b8bUL;
   tf->codes[37800] = 0x0000f061dcf2d973UL;
   tf->codes[37801] = 0x0000f989cfc2c9d6UL;
   tf->codes[37802] = 0x0001042ba583f57dUL;
   tf->codes[37803] = 0x000112c297abf265UL;
   tf->codes[37804] = 0x00012f2ce84fa742UL;
   tf->codes[37805] = 0x00013a3154db8994UL;
   tf->codes[37806] = 0x00013e608b2a144bUL;
   tf->codes[37807] = 0x0001474deef43faeUL;
   tf->codes[37808] = 0x000157058e2aadbcUL;
   tf->codes[37809] = 0x00015eb6222ea252UL;
   tf->codes[37810] = 0x00015eca43589e0aUL;
   tf->codes[37811] = 0x00015f9b1b6c319fUL;
   tf->codes[37812] = 0x0001626a827a12ccUL;
   tf->codes[37813] = 0x000163b5f601bad9UL;
   tf->codes[37814] = 0x00017d95b9c1572aUL;
   tf->codes[37815] = 0x0001900fb62d5d88UL;
   tf->codes[37816] = 0x000193bb9fccf889UL;
   tf->codes[37817] = 0x00019610e084d0c8UL;
   tf->codes[37818] = 0x0001a95f5df4c70bUL;
   tf->codes[37819] = 0x0001a9760344023aUL;
   tf->codes[37820] = 0x0001a9ed6ae5c5ecUL;
   tf->codes[37821] = 0x0001ab332675ddbcUL;
   tf->codes[37822] = 0x0001add751ec7c78UL;
   tf->codes[37823] = 0x0001b407263c88b4UL;
   tf->codes[37824] = 0x0001bae42378a479UL;
   tf->codes[37825] = 0x0001c397a7ea1c2bUL;
   tf->codes[37826] = 0x0001c600cf3cea5dUL;
   tf->codes[37827] = 0x0001cf3b494dae15UL;
   tf->codes[37828] = 0x0001d2a133f8639cUL;
   tf->codes[37829] = 0x0001d64dcd450fecUL;
   tf->codes[37830] = 0x0001d672a137b0d1UL;
   tf->codes[37831] = 0x0001d7a859ac34c3UL;
   tf->codes[37832] = 0x0001dd5fa18f6074UL;
   tf->codes[37833] = 0x0001dfde83f552c1UL;
   tf->codes[37834] = 0x0001e1623cec861cUL;
   tf->codes[37835] = 0x0001f3b76565eb95UL;
   tf->codes[37836] = 0x0001fc1ada4d7ff1UL;
   tf->codes[37837] = 0x0001fe6ebbab3592UL;
   tf->codes[37838] = 0x000002b4d1d8013dUL;
   tf->codes[37839] = 0x00000baae6dd07deUL;
   tf->codes[37840] = 0x00000de180b7daffUL;
   tf->codes[37841] = 0x00001039bab2fe3fUL;
   tf->codes[37842] = 0x000016185aae0a4cUL;
   tf->codes[37843] = 0x000018c65c2aa11fUL;
   tf->codes[37844] = 0x00001e359611b369UL;
   tf->codes[37845] = 0x00002a85eb434952UL;
   tf->codes[37846] = 0x00002e96efd2da75UL;
   tf->codes[37847] = 0x000046ec58679c1aUL;
   tf->codes[37848] = 0x00004afa2924dc77UL;
   tf->codes[37849] = 0x00004b3da3f4827aUL;
   tf->codes[37850] = 0x000057907d4b57daUL;
   tf->codes[37851] = 0x000059bea07a5582UL;
   tf->codes[37852] = 0x00005cce891491b1UL;
   tf->codes[37853] = 0x00005d374cf4e423UL;
   tf->codes[37854] = 0x00006e9863513d85UL;
   tf->codes[37855] = 0x000072c256c64389UL;
   tf->codes[37856] = 0x00007426441554edUL;
   tf->codes[37857] = 0x0000746357405964UL;
   tf->codes[37858] = 0x000075722cbb0884UL;
   tf->codes[37859] = 0x00008562867f0d6aUL;
   tf->codes[37860] = 0x00008aeb5ef8a5e4UL;
   tf->codes[37861] = 0x00008f297397a7a0UL;
   tf->codes[37862] = 0x000091fb243bc27fUL;
   tf->codes[37863] = 0x0000925962690b8bUL;
   tf->codes[37864] = 0x00009a7fc4259b70UL;
   tf->codes[37865] = 0x00009c8a382d150cUL;
   tf->codes[37866] = 0x00009f6549b91c78UL;
   tf->codes[37867] = 0x0000a0d3822c317dUL;
   tf->codes[37868] = 0x0000a4d0daafd272UL;
   tf->codes[37869] = 0x0000a5eae58a9c47UL;
   tf->codes[37870] = 0x0000ad79d96e40beUL;
   tf->codes[37871] = 0x0000b3f9f7d73615UL;
   tf->codes[37872] = 0x0000bba339fa720bUL;
   tf->codes[37873] = 0x0000c581f12d6449UL;
   tf->codes[37874] = 0x0000d3efb6c552adUL;
   tf->codes[37875] = 0x0000d8fb6fa59738UL;
   tf->codes[37876] = 0x0000e0062c9e34e5UL;
   tf->codes[37877] = 0x0000effe4d60fdf5UL;
   tf->codes[37878] = 0x0000f22817f28dfeUL;
   tf->codes[37879] = 0x0000fd2741a4eb9dUL;
   tf->codes[37880] = 0x0000ffaf84f2ca77UL;
   tf->codes[37881] = 0x00010401babbc7ebUL;
   tf->codes[37882] = 0x00010fd2319fc4a9UL;
   tf->codes[37883] = 0x00011b3eb25ee81eUL;
   tf->codes[37884] = 0x00011d0c133b5d43UL;
   tf->codes[37885] = 0x000122f86cbbc37cUL;
   tf->codes[37886] = 0x00012b92c7b8c088UL;
   tf->codes[37887] = 0x000131ee4cbe1abfUL;
   tf->codes[37888] = 0x0001362a5255e88eUL;
   tf->codes[37889] = 0x000145044a2f7fefUL;
   tf->codes[37890] = 0x0001482e467a4dd8UL;
   tf->codes[37891] = 0x00014e966039e562UL;
   tf->codes[37892] = 0x0001515acc76b19fUL;
   tf->codes[37893] = 0x0001591cc2f05cb1UL;
   tf->codes[37894] = 0x00015b7696d4a854UL;
   tf->codes[37895] = 0x0001607c229f5118UL;
   tf->codes[37896] = 0x000171a9fbd69e1aUL;
   tf->codes[37897] = 0x000171e415be5790UL;
   tf->codes[37898] = 0x000172aaa2ade784UL;
   tf->codes[37899] = 0x00017511baf981c9UL;
   tf->codes[37900] = 0x00017819dc94f9ceUL;
   tf->codes[37901] = 0x000179fb240c64e6UL;
   tf->codes[37902] = 0x00017cd635986c52UL;
   tf->codes[37903] = 0x00017ed539b0c574UL;
   tf->codes[37904] = 0x000196d883b46fd6UL;
   tf->codes[37905] = 0x0001af846377b65dUL;
   tf->codes[37906] = 0x0001af875cbb015eUL;
   tf->codes[37907] = 0x0001b5e82499e048UL;
   tf->codes[37908] = 0x0001bdf34ddac19aUL;
   tf->codes[37909] = 0x0001bdfe833adc4fUL;
   tf->codes[37910] = 0x0001c8b2308fc9fcUL;
   tf->codes[37911] = 0x0001c8c6172abfefUL;
   tf->codes[37912] = 0x0001cb28272bdb46UL;
   tf->codes[37913] = 0x0001d15d03c66670UL;
   tf->codes[37914] = 0x0001d635ba10a460UL;
   tf->codes[37915] = 0x0001e6ea1c9ef9c3UL;
   tf->codes[37916] = 0x0001e8c7809702c6UL;
   tf->codes[37917] = 0x0001f3a99d5583aaUL;
   tf->codes[37918] = 0x0001fd8ce7b4e94cUL;
   tf->codes[37919] = 0x000001cac1c4e543UL;
   tf->codes[37920] = 0x000007414d8cb02dUL;
   tf->codes[37921] = 0x000009e3df1a2686UL;
   tf->codes[37922] = 0x00000ed4d49cc808UL;
   tf->codes[37923] = 0x0000165f3553f91bUL;
   tf->codes[37924] = 0x00001705817d5b8eUL;
   tf->codes[37925] = 0x00001ca5e982464bUL;
   tf->codes[37926] = 0x00002334e63bb2a7UL;
   tf->codes[37927] = 0x00002371f966b71eUL;
   tf->codes[37928] = 0x000038216ae273c4UL;
   tf->codes[37929] = 0x00003b323db8c707UL;
   tf->codes[37930] = 0x0000415542bf902bUL;
   tf->codes[37931] = 0x000046428f51d55dUL;
   tf->codes[37932] = 0x00004679aff643d2UL;
   tf->codes[37933] = 0x000052eb6ab92415UL;
   tf->codes[37934] = 0x00005f5ceaecfe93UL;
   tf->codes[37935] = 0x00006dff12751630UL;
   tf->codes[37936] = 0x00006e0d41187be6UL;
   tf->codes[37937] = 0x000070ab3f797edbUL;
   tf->codes[37938] = 0x00007156595e5a77UL;
   tf->codes[37939] = 0x00007403e5bce5c0UL;
   tf->codes[37940] = 0x00007acb27e5dd6aUL;
   tf->codes[37941] = 0x00007cbdd1d2fefeUL;
   tf->codes[37942] = 0x00007f682a5f3981UL;
   tf->codes[37943] = 0x00007fe6e3e1b5d3UL;
   tf->codes[37944] = 0x000085218149991fUL;
   tf->codes[37945] = 0x000086397d1d2f07UL;
   tf->codes[37946] = 0x0000870dc3921927UL;
   tf->codes[37947] = 0x00009153a4bc3574UL;
   tf->codes[37948] = 0x00009932a829bd41UL;
   tf->codes[37949] = 0x0000a0eb3dbb7bc6UL;
   tf->codes[37950] = 0x0000aaec44bbcf72UL;
   tf->codes[37951] = 0x0000c592cffa017cUL;
   tf->codes[37952] = 0x0000ce3f028ac08eUL;
   tf->codes[37953] = 0x0000d44ff56ec1e7UL;
   tf->codes[37954] = 0x0000dd517a62e902UL;
   tf->codes[37955] = 0x0000de92dd559333UL;
   tf->codes[37956] = 0x0000f5611e91caf2UL;
   tf->codes[37957] = 0x0000f6059642ff3dUL;
   tf->codes[37958] = 0x0000fdd804f649b7UL;
   tf->codes[37959] = 0x0000fed0aa3fc932UL;
   tf->codes[37960] = 0x0001010b2799fe68UL;
   tf->codes[37961] = 0x000109ea2231be50UL;
   tf->codes[37962] = 0x000111f301dc65f0UL;
   tf->codes[37963] = 0x000116fa27903717UL;
   tf->codes[37964] = 0x00011885e2153461UL;
   tf->codes[37965] = 0x0001199cf3acb335UL;
   tf->codes[37966] = 0x00011b8293c18becUL;
   tf->codes[37967] = 0x00011e87f6a8beb5UL;
   tf->codes[37968] = 0x00014168ca3e7697UL;
   tf->codes[37969] = 0x0001417b517f49ecUL;
   tf->codes[37970] = 0x0001468dac9335c8UL;
   tf->codes[37971] = 0x00014e74b18e8784UL;
   tf->codes[37972] = 0x000154e15e7a9272UL;
   tf->codes[37973] = 0x00015ba7b6677308UL;
   tf->codes[37974] = 0x000162673191a688UL;
   tf->codes[37975] = 0x0001629098b0bad1UL;
   tf->codes[37976] = 0x000162bb99b8f77dUL;
   tf->codes[37977] = 0x00016a9bc1f19c23UL;
   tf->codes[37978] = 0x00016c0e18731902UL;
   tf->codes[37979] = 0x000176ded2bbe36aUL;
   tf->codes[37980] = 0x0001833a5d4d9408UL;
   tf->codes[37981] = 0x0001868d86287075UL;
   tf->codes[37982] = 0x00018e8712649586UL;
   tf->codes[37983] = 0x0001a1780154540cUL;
   tf->codes[37984] = 0x0001a27cc63a0550UL;
   tf->codes[37985] = 0x0001a4a914f0d4d0UL;
   tf->codes[37986] = 0x0001a693483220ebUL;
   tf->codes[37987] = 0x0001aac20962a018UL;
   tf->codes[37988] = 0x0001ac37ce457382UL;
   tf->codes[37989] = 0x0001ac872e224589UL;
   tf->codes[37990] = 0x0001ac9ce93569a4UL;
   tf->codes[37991] = 0x0001b6222ff68bffUL;
   tf->codes[37992] = 0x0001b774bacfe6e7UL;
   tf->codes[37993] = 0x0001be5894ceafc2UL;
   tf->codes[37994] = 0x0001bff5021c5239UL;
   tf->codes[37995] = 0x0001c398751017c1UL;
   tf->codes[37996] = 0x0001c4e338eaae7fUL;
   tf->codes[37997] = 0x0001c5e663e73760UL;
   tf->codes[37998] = 0x0001c7822187c888UL;
   tf->codes[37999] = 0x0001c98543ae8984UL;
   tf->codes[38000] = 0x0001ce75c4131f7cUL;
   tf->codes[38001] = 0x0001d1bc1da4b8d1UL;
   tf->codes[38002] = 0x0001d2731c96c071UL;
   tf->codes[38003] = 0x0001ef83f3f2dd86UL;
   tf->codes[38004] = 0x000003f68cd29b7aUL;
   tf->codes[38005] = 0x000006ddf889da74UL;
   tf->codes[38006] = 0x000007b18f51b345UL;
   tf->codes[38007] = 0x000015c56f59c63cUL;
   tf->codes[38008] = 0x000023e3d514e299UL;
   tf->codes[38009] = 0x000023e7b89444aeUL;
   tf->codes[38010] = 0x000026753ebba83bUL;
   tf->codes[38011] = 0x000029f5b234fb06UL;
   tf->codes[38012] = 0x00002fef8aabb5a6UL;
   tf->codes[38013] = 0x000036676cf7db49UL;
   tf->codes[38014] = 0x00003a6c175c34deUL;
   tf->codes[38015] = 0x00003ae7627d5aa5UL;
   tf->codes[38016] = 0x00003e70fc4f9438UL;
   tf->codes[38017] = 0x000041748abe98d9UL;
   tf->codes[38018] = 0x0000465baa3b4244UL;
   tf->codes[38019] = 0x0000498bd39babf4UL;
   tf->codes[38020] = 0x000049f4225df2dcUL;
   tf->codes[38021] = 0x000054af96b1a4b3UL;
   tf->codes[38022] = 0x0000631ce72b878dUL;
   tf->codes[38023] = 0x00006352e304d929UL;
   tf->codes[38024] = 0x0000657d97d28046UL;
   tf->codes[38025] = 0x00006a3d5f374955UL;
   tf->codes[38026] = 0x00007aa93eab79c7UL;
   tf->codes[38027] = 0x00008ddda86ade50UL;
   tf->codes[38028] = 0x00009031fee69f7bUL;
   tf->codes[38029] = 0x000090719636e369UL;
   tf->codes[38030] = 0x00009a990b13005dUL;
   tf->codes[38031] = 0x00009c4f8c11348eUL;
   tf->codes[38032] = 0x0000a998868c49f2UL;
   tf->codes[38033] = 0x0000b5855ab7121cUL;
   tf->codes[38034] = 0x0000b71c4a9c2a1bUL;
   tf->codes[38035] = 0x0000bbdb27c4dc16UL;
   tf->codes[38036] = 0x0000bc069deb244cUL;
   tf->codes[38037] = 0x0000d3259e5e50b0UL;
   tf->codes[38038] = 0x0000dbfcd1f74c6eUL;
   tf->codes[38039] = 0x0000de419a758545UL;
   tf->codes[38040] = 0x0000ed4693575952UL;
   tf->codes[38041] = 0x0000f702c02de45dUL;
   tf->codes[38042] = 0x0000f9507475fe37UL;
   tf->codes[38043] = 0x0000fa45ab5e2727UL;
   tf->codes[38044] = 0x0000fccb2ff7c0c5UL;
   tf->codes[38045] = 0x000107382eaab7a9UL;
   tf->codes[38046] = 0x00010964b7f08ceeUL;
   tf->codes[38047] = 0x00011cd1671f7cc5UL;
   tf->codes[38048] = 0x000124de2a49867aUL;
   tf->codes[38049] = 0x000131514466895bUL;
   tf->codes[38050] = 0x0001348a941fd9d3UL;
   tf->codes[38051] = 0x00013bf5d8dbfa3eUL;
   tf->codes[38052] = 0x0001400000a8de4bUL;
   tf->codes[38053] = 0x00015381bb3de0eeUL;
   tf->codes[38054] = 0x00015d177a38a2b1UL;
   tf->codes[38055] = 0x0001689522de76ddUL;
   tf->codes[38056] = 0x00016eee98dc9d27UL;
   tf->codes[38057] = 0x00016f7e7a45ca30UL;
   tf->codes[38058] = 0x0001712f434c6e24UL;
   tf->codes[38059] = 0x000171348625f2d7UL;
   tf->codes[38060] = 0x00017688fcaf6218UL;
   tf->codes[38061] = 0x00018032a24519ceUL;
   tf->codes[38062] = 0x00018aaad6582b67UL;
   tf->codes[38063] = 0x00018b41cf130b4bUL;
   tf->codes[38064] = 0x0001986df72949b9UL;
   tf->codes[38065] = 0x0001a73ec8a9fa52UL;
   tf->codes[38066] = 0x0001ab05eac543e6UL;
   tf->codes[38067] = 0x0001b96b39b15cd1UL;
   tf->codes[38068] = 0x0001ba08d49fe406UL;
   tf->codes[38069] = 0x0001bbfb43fdffd5UL;
   tf->codes[38070] = 0x0001c4bf061a112aUL;
   tf->codes[38071] = 0x0001c73362ccfa11UL;
   tf->codes[38072] = 0x0001d662e798ff40UL;
   tf->codes[38073] = 0x0001d6e33b04a3f5UL;
   tf->codes[38074] = 0x0001db5ffcb7d28bUL;
   tf->codes[38075] = 0x0001e089e75710aaUL;
   tf->codes[38076] = 0x0001e0c1b7a8906eUL;
   tf->codes[38077] = 0x0001e96ff940836dUL;
   tf->codes[38078] = 0x0001ecedae0590fcUL;
   tf->codes[38079] = 0x0001f12fe0b2fa92UL;
   tf->codes[38080] = 0x00001cbf6afeb0fdUL;
   tf->codes[38081] = 0x00002a0aaf100013UL;
   tf->codes[38082] = 0x000030ac6d994589UL;
   tf->codes[38083] = 0x00003a229b7aeb1aUL;
   tf->codes[38084] = 0x00003ade68286be3UL;
   tf->codes[38085] = 0x00003f06fc434f49UL;
   tf->codes[38086] = 0x00004361a8b82236UL;
   tf->codes[38087] = 0x00004c03cab3e36cUL;
   tf->codes[38088] = 0x00004ecf13b35cbfUL;
   tf->codes[38089] = 0x000064a524c4208dUL;
   tf->codes[38090] = 0x00007b5a01fcd7e1UL;
   tf->codes[38091] = 0x00007b6a3fa77184UL;
   tf->codes[38092] = 0x00007bba4f3154daUL;
   tf->codes[38093] = 0x00007d9a374e9d54UL;
   tf->codes[38094] = 0x0000827d38bcdee5UL;
   tf->codes[38095] = 0x0000852213e08ef0UL;
   tf->codes[38096] = 0x000086a1743a54acUL;
   tf->codes[38097] = 0x00008707796661e2UL;
   tf->codes[38098] = 0x000088dc66b2956cUL;
   tf->codes[38099] = 0x000088e2ce5736f8UL;
   tf->codes[38100] = 0x0000919c454f44acUL;
   tf->codes[38101] = 0x000091e15a081312UL;
   tf->codes[38102] = 0x000093f98794e6daUL;
   tf->codes[38103] = 0x00009db0ac20f2f7UL;
   tf->codes[38104] = 0x00009e3b10219588UL;
   tf->codes[38105] = 0x0000a9309e5d00d5UL;
   tf->codes[38106] = 0x0000ad4f5c71ec24UL;
   tf->codes[38107] = 0x0000b2da43f2b88bUL;
   tf->codes[38108] = 0x0000bc7f565bfcddUL;
   tf->codes[38109] = 0x0000ce95d1c1357cUL;
   tf->codes[38110] = 0x0000ea8dfd9cab5aUL;
   tf->codes[38111] = 0x0000ef22fe883d82UL;
   tf->codes[38112] = 0x0000f58b52d6dad1UL;
   tf->codes[38113] = 0x0000f7687c3fde0fUL;
   tf->codes[38114] = 0x0000ff4b9dbbcdb6UL;
   tf->codes[38115] = 0x0000ff59574127e2UL;
   tf->codes[38116] = 0x000115698239a526UL;
   tf->codes[38117] = 0x000116c8a1cd3d61UL;
   tf->codes[38118] = 0x00011e737dd9a1baUL;
   tf->codes[38119] = 0x00013d99c40e4d5bUL;
   tf->codes[38120] = 0x000140a011319738UL;
   tf->codes[38121] = 0x000148fbbf1a676aUL;
   tf->codes[38122] = 0x0001547f5a46d198UL;
   tf->codes[38123] = 0x000156983780b6afUL;
   tf->codes[38124] = 0x00015ff660b8fe73UL;
   tf->codes[38125] = 0x000177001b371246UL;
   tf->codes[38126] = 0x00017ac1103cc013UL;
   tf->codes[38127] = 0x000181a97d67fc52UL;
   tf->codes[38128] = 0x00018c459b3197bcUL;
   tf->codes[38129] = 0x000190c7652f4540UL;
   tf->codes[38130] = 0x000194200b72ac25UL;
   tf->codes[38131] = 0x0001953ea979e95eUL;
   tf->codes[38132] = 0x000197ddcca6092cUL;
   tf->codes[38133] = 0x0001a1c6946df946UL;
   tf->codes[38134] = 0x0001a72431504f4fUL;
   tf->codes[38135] = 0x0001aad5d2e77a8dUL;
   tf->codes[38136] = 0x0001af3f231dbebaUL;
   tf->codes[38137] = 0x0001b47ec8d020f4UL;
   tf->codes[38138] = 0x0001bebca86c7352UL;
   tf->codes[38139] = 0x0001c2a3962fdeddUL;
   tf->codes[38140] = 0x0001c7e8099dba40UL;
   tf->codes[38141] = 0x0001d6ad30a0449aUL;
   tf->codes[38142] = 0x0001dc7a6e259a2bUL;
   tf->codes[38143] = 0x0001dd2f23816819UL;
   tf->codes[38144] = 0x0001e3681e2a5b1dUL;
   tf->codes[38145] = 0x0001e5f7b358f297UL;
   tf->codes[38146] = 0x0001ecf7b00f8119UL;
   tf->codes[38147] = 0x0001f545a472f71fUL;
   tf->codes[38148] = 0x00000517cc780271UL;
   tf->codes[38149] = 0x00000ceff322dd28UL;
   tf->codes[38150] = 0x000011c8344f0f8eUL;
   tf->codes[38151] = 0x0000270e2967a08eUL;
   tf->codes[38152] = 0x00003c63ac7db9e2UL;
   tf->codes[38153] = 0x00003cd4e709e1cdUL;
   tf->codes[38154] = 0x000046ba7aff8121UL;
   tf->codes[38155] = 0x00004826defa67feUL;
   tf->codes[38156] = 0x00004e23b0b46d9fUL;
   tf->codes[38157] = 0x00004fc5264c8f04UL;
   tf->codes[38158] = 0x00004fe0d3e64921UL;
   tf->codes[38159] = 0x000050a63c0abc3cUL;
   tf->codes[38160] = 0x000055a1079355d5UL;
   tf->codes[38161] = 0x00005bca743ec085UL;
   tf->codes[38162] = 0x00005cf40d1712aeUL;
   tf->codes[38163] = 0x00006a61db84c8f7UL;
   tf->codes[38164] = 0x00006cef271d26bfUL;
   tf->codes[38165] = 0x0000788a51d4e330UL;
   tf->codes[38166] = 0x00007ff3fca7db38UL;
   tf->codes[38167] = 0x000093c8857b066dUL;
   tf->codes[38168] = 0x000094c8078732feUL;
   tf->codes[38169] = 0x0000952b136ff533UL;
   tf->codes[38170] = 0x00009beee7379652UL;
   tf->codes[38171] = 0x00009e4b3f41216cUL;
   tf->codes[38172] = 0x0000a421ddae638aUL;
   tf->codes[38173] = 0x0000a5af6cab8efcUL;
   tf->codes[38174] = 0x0000a8aaf98cc9aeUL;
   tf->codes[38175] = 0x0000b1c5e2847134UL;
   tf->codes[38176] = 0x0000b43a3f375a1bUL;
   tf->codes[38177] = 0x0000b6bf1423e26aUL;
   tf->codes[38178] = 0x0000bbdeee2e22adUL;
   tf->codes[38179] = 0x0000c0503ff230c9UL;
   tf->codes[38180] = 0x0000c528468f5d6aUL;
   tf->codes[38181] = 0x0000c5e8314b460dUL;
   tf->codes[38182] = 0x0000d308e9726401UL;
   tf->codes[38183] = 0x0000db7375abab38UL;
   tf->codes[38184] = 0x0000e0a94558155bUL;
   tf->codes[38185] = 0x0000ed8ebecc5d00UL;
   tf->codes[38186] = 0x0000f23b14b43ba6UL;
   tf->codes[38187] = 0x0000f92fdc0aaf73UL;
   tf->codes[38188] = 0x0000ff6b2049dc29UL;
   tf->codes[38189] = 0x000105b9d605f348UL;
   tf->codes[38190] = 0x000106dd0739a3e5UL;
   tf->codes[38191] = 0x0001147cee0149b5UL;
   tf->codes[38192] = 0x0001170c0e11d5a5UL;
   tf->codes[38193] = 0x000119823f3cecb4UL;
   tf->codes[38194] = 0x00011d248d659563UL;
   tf->codes[38195] = 0x0001213b847bbc88UL;
   tf->codes[38196] = 0x0001279c11cb95adUL;
   tf->codes[38197] = 0x00012d6c0e05307aUL;
   tf->codes[38198] = 0x000136c14b73973bUL;
   tf->codes[38199] = 0x00014720962d8a5aUL;
   tf->codes[38200] = 0x000149ce228c15a3UL;
   tf->codes[38201] = 0x0001574acf4a42f1UL;
   tf->codes[38202] = 0x00015c7de04267d8UL;
   tf->codes[38203] = 0x000169a1cc3bd692UL;
   tf->codes[38204] = 0x00016d5eddc2224aUL;
   tf->codes[38205] = 0x00017704da677db0UL;
   tf->codes[38206] = 0x000178c238285ef7UL;
   tf->codes[38207] = 0x00017cf676c1689cUL;
   tf->codes[38208] = 0x00018dcefd954d95UL;
   tf->codes[38209] = 0x00018f9fccd31945UL;
   tf->codes[38210] = 0x000198172855a394UL;
   tf->codes[38211] = 0x00019c4af1d0a1afUL;
   tf->codes[38212] = 0x0001a93155810068UL;
   tf->codes[38213] = 0x0001abe66e4f4a16UL;
   tf->codes[38214] = 0x0001ae8b0ee3f45cUL;
   tf->codes[38215] = 0x0001b89fc1f03836UL;
   tf->codes[38216] = 0x0001c1a85e36122cUL;
   tf->codes[38217] = 0x0001c2f4f688d712UL;
   tf->codes[38218] = 0x0001c8ec4ada523bUL;
   tf->codes[38219] = 0x0001d27833cf1be7UL;
   tf->codes[38220] = 0x0001d6378eeba151UL;
   tf->codes[38221] = 0x0001d86dee376eadUL;
   tf->codes[38222] = 0x0001db071edcf879UL;
   tf->codes[38223] = 0x0001dd483e6ad500UL;
   tf->codes[38224] = 0x0001de6eddffdc28UL;
   tf->codes[38225] = 0x0001e3e270845c11UL;
   tf->codes[38226] = 0x0001e5cb7efa8b53UL;
   tf->codes[38227] = 0x0001f1c388856e32UL;
   tf->codes[38228] = 0x0001f26d43102730UL;
   tf->codes[38229] = 0x0001fb87f178c8f1UL;
   tf->codes[38230] = 0x000001405e27117bUL;
   tf->codes[38231] = 0x0000081b4c5bf953UL;
   tf->codes[38232] = 0x00000c26d382fffeUL;
   tf->codes[38233] = 0x0000118b87b708e2UL;
   tf->codes[38234] = 0x0000145de8083510UL;
   tf->codes[38235] = 0x00001c1d94eba670UL;
   tf->codes[38236] = 0x0000258fa4bee427UL;
   tf->codes[38237] = 0x000026633b86bcf8UL;
   tf->codes[38238] = 0x0000290bfa29cf18UL;
   tf->codes[38239] = 0x00002cc17f405c6bUL;
   tf->codes[38240] = 0x0000334630d5c526UL;
   tf->codes[38241] = 0x000036ea8e05a1c2UL;
   tf->codes[38242] = 0x0000397938f82228UL;
   tf->codes[38243] = 0x00003db50400ea32UL;
   tf->codes[38244] = 0x0000418b798ab655UL;
   tf->codes[38245] = 0x0000429546bae687UL;
   tf->codes[38246] = 0x000043a71578e0a8UL;
   tf->codes[38247] = 0x0000463cd7bd13e9UL;
   tf->codes[38248] = 0x000057390db87ceeUL;
   tf->codes[38249] = 0x0000594c6d89d78dUL;
   tf->codes[38250] = 0x00006b920805b4b2UL;
   tf->codes[38251] = 0x00007307d274de83UL;
   tf->codes[38252] = 0x00007b3c62d4d41eUL;
   tf->codes[38253] = 0x0000814728a339b0UL;
   tf->codes[38254] = 0x000083f39036a820UL;
   tf->codes[38255] = 0x00008e93cc0eab64UL;
   tf->codes[38256] = 0x0000a76703e9d247UL;
   tf->codes[38257] = 0x0000aadb1d37ed84UL;
   tf->codes[38258] = 0x0000b043b4eb587dUL;
   tf->codes[38259] = 0x0000d8ca6dee8594UL;
   tf->codes[38260] = 0x0000e20c39e001ecUL;
   tf->codes[38261] = 0x0000e812e19fffa4UL;
   tf->codes[38262] = 0x0000f387295de743UL;
   tf->codes[38263] = 0x0000f5987a280df5UL;
   tf->codes[38264] = 0x0000fa078255e25fUL;
   tf->codes[38265] = 0x0000fc2149cbde8aUL;
   tf->codes[38266] = 0x000108cad4e03e91UL;
   tf->codes[38267] = 0x0001090a31a17cbaUL;
   tf->codes[38268] = 0x00010bf0788d9edbUL;
   tf->codes[38269] = 0x00011cc939f08999UL;
   tf->codes[38270] = 0x0001220a3efd0e71UL;
   tf->codes[38271] = 0x00013be6945b5437UL;
   tf->codes[38272] = 0x000142e1c3566990UL;
   tf->codes[38273] = 0x000144399109492bUL;
   tf->codes[38274] = 0x000146a2433e0bd3UL;
   tf->codes[38275] = 0x000151792a9c7202UL;
   tf->codes[38276] = 0x000153a4548824a9UL;
   tf->codes[38277] = 0x00016154ee186fa6UL;
   tf->codes[38278] = 0x0001724c56585f82UL;
   tf->codes[38279] = 0x000178f4b7154c49UL;
   tf->codes[38280] = 0x00017f0534db4218UL;
   tf->codes[38281] = 0x00018479ec2adedaUL;
   tf->codes[38282] = 0x00018706fd3436ddUL;
   tf->codes[38283] = 0x00018c374f781688UL;
   tf->codes[38284] = 0x00018fb5043d2417UL;
   tf->codes[38285] = 0x00019070965b9f1bUL;
   tf->codes[38286] = 0x000199233090ffb9UL;
   tf->codes[38287] = 0x00019a18677928a9UL;
   tf->codes[38288] = 0x00019ba4d1ab3742UL;
   tf->codes[38289] = 0x0001a04be4b99135UL;
   tf->codes[38290] = 0x0001a8a5f8b93904UL;
   tf->codes[38291] = 0x0001ad4fca7bd833UL;
   tf->codes[38292] = 0x0001b368beeda37bUL;
   tf->codes[38293] = 0x0001b9036efafdfbUL;
   tf->codes[38294] = 0x0001c4ab2e6cf7bfUL;
   tf->codes[38295] = 0x0001d6b30610bf1eUL;
   tf->codes[38296] = 0x0001dc2ed4b20ebbUL;
   tf->codes[38297] = 0x0001dfe19b1456d2UL;
   tf->codes[38298] = 0x0001e1019875b6a9UL;
   tf->codes[38299] = 0x0001e8133231016cUL;
   tf->codes[38300] = 0x0001e843b0a1c890UL;
   tf->codes[38301] = 0x0001eff2702d8efeUL;
   tf->codes[38302] = 0x0001f13de3b5370bUL;
   tf->codes[38303] = 0x0001f2043615c13aUL;
   tf->codes[38304] = 0x0001f9b713afef82UL;
   tf->codes[38305] = 0x0001fa2171796a57UL;
   tf->codes[38306] = 0x0000029ebf828aa8UL;
   tf->codes[38307] = 0x000005d1a7973994UL;
   tf->codes[38308] = 0x00000e096bc97ff5UL;
   tf->codes[38309] = 0x00000f64a7ddb61bUL;
   tf->codes[38310] = 0x0000123c85976cc1UL;
   tf->codes[38311] = 0x00001362b00e685fUL;
   tf->codes[38312] = 0x000016688813a6b2UL;
   tf->codes[38313] = 0x00001788fa931213UL;
   tf->codes[38314] = 0x00001849cf8b11caUL;
   tf->codes[38315] = 0x000031b7e3a07aa6UL;
   tf->codes[38316] = 0x00003d89f46d9fc7UL;
   tf->codes[38317] = 0x00003f6792f4ae8fUL;
   tf->codes[38318] = 0x0000537252303125UL;
   tf->codes[38319] = 0x0000538f99b313a5UL;
   tf->codes[38320] = 0x0000545bde9a33d6UL;
   tf->codes[38321] = 0x0000627ba3af72d1UL;
   tf->codes[38322] = 0x00006f85f1165b5bUL;
   tf->codes[38323] = 0x000071dbe17b44e9UL;
   tf->codes[38324] = 0x00007de5fd28ef93UL;
   tf->codes[38325] = 0x000084d24dd38de7UL;
   tf->codes[38326] = 0x000091b508939050UL;
   tf->codes[38327] = 0x000092da835d7a9fUL;
   tf->codes[38328] = 0x0000a5d1d9f1dab1UL;
   tf->codes[38329] = 0x0000a75e0994e385UL;
   tf->codes[38330] = 0x0000bd9d1914ff8aUL;
   tf->codes[38331] = 0x0000bff9abad9069UL;
   tf->codes[38332] = 0x0000c94dc450da51UL;
   tf->codes[38333] = 0x0000d2e139b56262UL;
   tf->codes[38334] = 0x0000d652944f3863UL;
   tf->codes[38335] = 0x0000e6d553a1a9c9UL;
   tf->codes[38336] = 0x0000e7594ffdaaceUL;
   tf->codes[38337] = 0x0000f24801766905UL;
   tf->codes[38338] = 0x0000fc1814e7ea03UL;
   tf->codes[38339] = 0x0000ff8b096ae867UL;
   tf->codes[38340] = 0x00011d025b111e3cUL;
   tf->codes[38341] = 0x000127d265acd755UL;
   tf->codes[38342] = 0x00012a0bbe3befb2UL;
   tf->codes[38343] = 0x00013463ec17d98fUL;
   tf->codes[38344] = 0x000148a64115d624UL;
   tf->codes[38345] = 0x0001518a7e871abfUL;
   tf->codes[38346] = 0x000154713a91486aUL;
   tf->codes[38347] = 0x000154b7aea4396eUL;
   tf->codes[38348] = 0x00015ef58e408bccUL;
   tf->codes[38349] = 0x00016cee705bf5f5UL;
   tf->codes[38350] = 0x00017b1dfdfdc309UL;
   tf->codes[38351] = 0x00017da8ffffe71fUL;
   tf->codes[38352] = 0x00017f912439ff4dUL;
   tf->codes[38353] = 0x00018b102c39f617UL;
   tf->codes[38354] = 0x00019344f728f177UL;
   tf->codes[38355] = 0x00019fe05399ebc8UL;
   tf->codes[38356] = 0x0001a53c5693196eUL;
   tf->codes[38357] = 0x0001b15eb17927aaUL;
   tf->codes[38358] = 0x0001b67f3b30793cUL;
   tf->codes[38359] = 0x0001b6cfbfd8681cUL;
   tf->codes[38360] = 0x0001b767a2cf5f14UL;
   tf->codes[38361] = 0x0001b7f0a775df07UL;
   tf->codes[38362] = 0x0001bf479078fdf5UL;
   tf->codes[38363] = 0x0001c1544e16b143UL;
   tf->codes[38364] = 0x0001c878a9a1d520UL;
   tf->codes[38365] = 0x0001caeabcbe8455UL;
   tf->codes[38366] = 0x0001cb959c145a2cUL;
   tf->codes[38367] = 0x0001d0fdf938bf60UL;
   tf->codes[38368] = 0x0001d8789163625aUL;
   tf->codes[38369] = 0x0001df15bcc0346cUL;
   tf->codes[38370] = 0x0001e19bb677d994UL;
   tf->codes[38371] = 0x0001e2cc2c12d8d3UL;
   tf->codes[38372] = 0x0001eb3eb9d9e9f9UL;
   tf->codes[38373] = 0x0001f44a4f630ef0UL;
   tf->codes[38374] = 0x0001f6603359a906UL;
   tf->codes[38375] = 0x000003ffdf924911UL;
   tf->codes[38376] = 0x000007dae8488898UL;
   tf->codes[38377] = 0x00000dd695377160UL;
   tf->codes[38378] = 0x000014d82bd72845UL;
   tf->codes[38379] = 0x000015e4080e8c64UL;
   tf->codes[38380] = 0x00001c4dbbb74c51UL;
   tf->codes[38381] = 0x00001d07b3ec9ef2UL;
   tf->codes[38382] = 0x00001dd851712cc2UL;
   tf->codes[38383] = 0x00002b21867b47ebUL;
   tf->codes[38384] = 0x00003d7c66ec3da1UL;
   tf->codes[38385] = 0x00003e845fa43fabUL;
   tf->codes[38386] = 0x000041e283503108UL;
   tf->codes[38387] = 0x0000526d7ebf7222UL;
   tf->codes[38388] = 0x000055a82dd2e538UL;
   tf->codes[38389] = 0x00005ac33a21ac52UL;
   tf->codes[38390] = 0x00005e220d7aaefeUL;
   tf->codes[38391] = 0x000062a8dfc2db70UL;
   tf->codes[38392] = 0x00006be8621e1e16UL;
   tf->codes[38393] = 0x00007d23f4dac544UL;
   tf->codes[38394] = 0x0000899c51d14cd8UL;
   tf->codes[38395] = 0x00008ce1fbb5d4deUL;
   tf->codes[38396] = 0x00009bbe0296a02cUL;
   tf->codes[38397] = 0x0000a55ebc6276dfUL;
   tf->codes[38398] = 0x0000adcae284e679UL;
   tf->codes[38399] = 0x0000b14354706f55UL;
   tf->codes[38400] = 0x0000b5d2284665b6UL;
   tf->codes[38401] = 0x0000d2ed85558c31UL;
   tf->codes[38402] = 0x0000ecbedfe2bd07UL;
   tf->codes[38403] = 0x0000f46f3957abd8UL;
   tf->codes[38404] = 0x0001040030234ad9UL;
   tf->codes[38405] = 0x0001094fd8f140f1UL;
   tf->codes[38406] = 0x000109a356dc7ad2UL;
   tf->codes[38407] = 0x00011bf75a8ac372UL;
   tf->codes[38408] = 0x0001252f8b054d78UL;
   tf->codes[38409] = 0x00012dc2ceb097a9UL;
   tf->codes[38410] = 0x000130a741248ba2UL;
   tf->codes[38411] = 0x00013790d31ae4baUL;
   tf->codes[38412] = 0x00013b1bcc4740ebUL;
   tf->codes[38413] = 0x00014d091b1c6b06UL;
   tf->codes[38414] = 0x00014d563163035bUL;
   tf->codes[38415] = 0x000158c4c1295abdUL;
   tf->codes[38416] = 0x00015afb20752819UL;
   tf->codes[38417] = 0x00015e5ced1175c6UL;
   tf->codes[38418] = 0x0001622ecf6ece85UL;
   tf->codes[38419] = 0x00016241913ea79fUL;
   tf->codes[38420] = 0x000165e92240d501UL;
   tf->codes[38421] = 0x000168678f88bbc4UL;
   tf->codes[38422] = 0x00016a4ec986bcdeUL;
   tf->codes[38423] = 0x000175266092345cUL;
   tf->codes[38424] = 0x000179aff18ea60aUL;
   tf->codes[38425] = 0x00017ca1334bdd1bUL;
   tf->codes[38426] = 0x0001876a2695e359UL;
   tf->codes[38427] = 0x00018d97b14fb5e3UL;
   tf->codes[38428] = 0x000199a6d547df7bUL;
   tf->codes[38429] = 0x00019c7f281fa1abUL;
   tf->codes[38430] = 0x00019d7c9b249a4fUL;
   tf->codes[38431] = 0x00019e958134474bUL;
   tf->codes[38432] = 0x0001bdcfae03e8dfUL;
   tf->codes[38433] = 0x0001c33ac9dc934fUL;
   tf->codes[38434] = 0x0001c3cc0a9fe2f6UL;
   tf->codes[38435] = 0x0001c41502d81371UL;
   tf->codes[38436] = 0x0001c59428a2d368UL;
   tf->codes[38437] = 0x0001c919a466a521UL;
   tf->codes[38438] = 0x0001ca56e94ae778UL;
   tf->codes[38439] = 0x0001cacaa7fc4edaUL;
   tf->codes[38440] = 0x0001e1cdc046bb5cUL;
   tf->codes[38441] = 0x0001eda21aaa1a2fUL;
   tf->codes[38442] = 0x0001f0058a055824UL;
   tf->codes[38443] = 0x0001f5452fb7ba5eUL;
   tf->codes[38444] = 0x0001f840f727fad5UL;
   tf->codes[38445] = 0x0001ffb402e2df6aUL;
   tf->codes[38446] = 0x00000c271cffe24bUL;
   tf->codes[38447] = 0x0000115266f94308UL;
   tf->codes[38448] = 0x000015669f5b24f1UL;
   tf->codes[38449] = 0x000016a2fa035034UL;
   tf->codes[38450] = 0x00002303c76e8585UL;
   tf->codes[38451] = 0x0000347ca7e536efUL;
   tf->codes[38452] = 0x00003716c2c6d7cfUL;
   tf->codes[38453] = 0x000044e294d2d15fUL;
   tf->codes[38454] = 0x000046bcc4f8899cUL;
   tf->codes[38455] = 0x000046fe30c0fbb2UL;
   tf->codes[38456] = 0x00004b14b2b9174dUL;
   tf->codes[38457] = 0x00004d9862da82c3UL;
   tf->codes[38458] = 0x0000522b8f4de6c3UL;
   tf->codes[38459] = 0x000052fa1dcb40a6UL;
   tf->codes[38460] = 0x00007259591c88e4UL;
   tf->codes[38461] = 0x0000742f6b33d947UL;
   tf->codes[38462] = 0x00007ffd236390c9UL;
   tf->codes[38463] = 0x000086c9e2f512ebUL;
   tf->codes[38464] = 0x00008c93026c00a2UL;
   tf->codes[38465] = 0x0000a1fca6ac15aeUL;
   tf->codes[38466] = 0x0000aee58e81b3deUL;
   tf->codes[38467] = 0x0000bca4cbd3701bUL;
   tf->codes[38468] = 0x0000c489121a7c9bUL;
   tf->codes[38469] = 0x0000cc28f355cc04UL;
   tf->codes[38470] = 0x0000d1bb2cb7510bUL;
   tf->codes[38471] = 0x0000d1c995e9bc86UL;
   tf->codes[38472] = 0x0000da0a8074e9afUL;
   tf->codes[38473] = 0x0000f7cc9ecb7e27UL;
   tf->codes[38474] = 0x0000f959b8aa9e0fUL;
   tf->codes[38475] = 0x0000fc55baa9e44bUL;
   tf->codes[38476] = 0x0001092f89a005b1UL;
   tf->codes[38477] = 0x0001094fca663332UL;
   tf->codes[38478] = 0x000109fd2de14880UL;
   tf->codes[38479] = 0x000123bfaa1e0251UL;
   tf->codes[38480] = 0x0001241f0d166836UL;
   tf->codes[38481] = 0x00013390e7e6f68fUL;
   tf->codes[38482] = 0x000133c7cdfc5f3fUL;
   tf->codes[38483] = 0x000139fbc05ad355UL;
   tf->codes[38484] = 0x000143f625277fb0UL;
   tf->codes[38485] = 0x000145b014870a6cUL;
   tf->codes[38486] = 0x00014e9a09efdf44UL;
   tf->codes[38487] = 0x0001505299f54762UL;
   tf->codes[38488] = 0x000159607914a60bUL;
   tf->codes[38489] = 0x000170923b57ab89UL;
   tf->codes[38490] = 0x0001758490346fa9UL;
   tf->codes[38491] = 0x000182491935787eUL;
   tf->codes[38492] = 0x000186b094f38e83UL;
   tf->codes[38493] = 0x00019126b9ff6c2fUL;
   tf->codes[38494] = 0x00019349a7ce4f22UL;
   tf->codes[38495] = 0x0001960f38d63838UL;
   tf->codes[38496] = 0x000198914f0e7b4bUL;
   tf->codes[38497] = 0x000198b0307a862eUL;
   tf->codes[38498] = 0x000199afb286b2bfUL;
   tf->codes[38499] = 0x000199f7fb11d1ebUL;
   tf->codes[38500] = 0x00019cac64330a4aUL;
   tf->codes[38501] = 0x0001a868b9ed0b50UL;
   tf->codes[38502] = 0x0001a9227793582cUL;
   tf->codes[38503] = 0x0001aa2d2eff9f72UL;
   tf->codes[38504] = 0x0001aba3de1e89f0UL;
   tf->codes[38505] = 0x0001acdffe37af6eUL;
   tf->codes[38506] = 0x0001d3ad026a578eUL;
   tf->codes[38507] = 0x0001d5db25995536UL;
   tf->codes[38508] = 0x0001d7603deaab2fUL;
   tf->codes[38509] = 0x0001d7bf2bc5058aUL;
   tf->codes[38510] = 0x0001da82adc5bab3UL;
   tf->codes[38511] = 0x0001dd6a540bff72UL;
   tf->codes[38512] = 0x0001e689d0301a5cUL;
   tf->codes[38513] = 0x0001e69f162532edUL;
   tf->codes[38514] = 0x0001e6e7d3ce5da3UL;
   tf->codes[38515] = 0x0001f188f9e277fbUL;
   tf->codes[38516] = 0x0001f45c446fbb3dUL;
   tf->codes[38517] = 0x0001fd1b735f592eUL;
   tf->codes[38518] = 0x0001ff6dbad3e66cUL;
   tf->codes[38519] = 0x00000a1b0084328dUL;
   tf->codes[38520] = 0x00000a404994defcUL;
   tf->codes[38521] = 0x00000d35a9607de7UL;
   tf->codes[38522] = 0x00000f4d61cf4625UL;
   tf->codes[38523] = 0x0000105fe03a5195UL;
   tf->codes[38524] = 0x00001242fc29ead5UL;
   tf->codes[38525] = 0x00001b0c011f80ddUL;
   tf->codes[38526] = 0x00001cfd86418598UL;
   tf->codes[38527] = 0x00002310130eaf54UL;
   tf->codes[38528] = 0x000037d5b4bb9b9fUL;
   tf->codes[38529] = 0x00003f1ac62af887UL;
   tf->codes[38530] = 0x00004656b1416ea7UL;
   tf->codes[38531] = 0x000051ebaee38f51UL;
   tf->codes[38532] = 0x00005bb3111a3511UL;
   tf->codes[38533] = 0x00005bb9eddce227UL;
   tf->codes[38534] = 0x00005f689630c264UL;
   tf->codes[38535] = 0x0000666265d1b51fUL;
   tf->codes[38536] = 0x00007454309b6c6dUL;
   tf->codes[38537] = 0x0000820e65a2a9bcUL;
   tf->codes[38538] = 0x00008d51f460c472UL;
   tf->codes[38539] = 0x0000906ac8c4e1a4UL;
   tf->codes[38540] = 0x00009266d399efc5UL;
   tf->codes[38541] = 0x0000934f00a9cfd8UL;
   tf->codes[38542] = 0x00009a82ea327c09UL;
   tf->codes[38543] = 0x0000a2df47c85d8aUL;
   tf->codes[38544] = 0x0000a602a1df8422UL;
   tf->codes[38545] = 0x0000a85a66bc9bd8UL;
   tf->codes[38546] = 0x0000a9a1f6c4e1d0UL;
   tf->codes[38547] = 0x0000aa654fe220feUL;
   tf->codes[38548] = 0x0000aeeb727d3c21UL;
   tf->codes[38549] = 0x0000b5aa78896417UL;
   tf->codes[38550] = 0x0000b68685fd1261UL;
   tf->codes[38551] = 0x0000b882cb612647UL;
   tf->codes[38552] = 0x0000bbf8f3b67571UL;
   tf->codes[38553] = 0x0000d7a7b23baf4aUL;
   tf->codes[38554] = 0x0000df195e9c7141UL;
   tf->codes[38555] = 0x0000df3337bdfd36UL;
   tf->codes[38556] = 0x0000ecdf78b0da94UL;
   tf->codes[38557] = 0x0000f82b08fcbf39UL;
   tf->codes[38558] = 0x0000fe86537313abUL;
   tf->codes[38559] = 0x00010656b31f2a38UL;
   tf->codes[38560] = 0x00010a0ce7e2c8daUL;
   tf->codes[38561] = 0x000114c3195cf5feUL;
   tf->codes[38562] = 0x0001176a78a5e580UL;
   tf->codes[38563] = 0x00011816f1e4e3baUL;
   tf->codes[38564] = 0x00011ce263c7d308UL;
   tf->codes[38565] = 0x00012282913db800UL;
   tf->codes[38566] = 0x000128141af22bb8UL;
   tf->codes[38567] = 0x00012b2896b8db4bUL;
   tf->codes[38568] = 0x000134addd79fda6UL;
   tf->codes[38569] = 0x0001495c64b9a338UL;
   tf->codes[38570] = 0x0001564f5d243f44UL;
   tf->codes[38571] = 0x00015d4b765b6bb1UL;
   tf->codes[38572] = 0x0001786585bbff58UL;
   tf->codes[38573] = 0x00017afd1c7860c1UL;
   tf->codes[38574] = 0x0001884b59ccfad8UL;
   tf->codes[38575] = 0x00018bbefdfd0a8bUL;
   tf->codes[38576] = 0x000191ccbd0ebb1eUL;
   tf->codes[38577] = 0x0001a1a3ed5e455eUL;
   tf->codes[38578] = 0x0001a7b81414977dUL;
   tf->codes[38579] = 0x0001af9d7f26c0d6UL;
   tf->codes[38580] = 0x0001bc620827c9abUL;
   tf->codes[38581] = 0x0001c736a5eff628UL;
   tf->codes[38582] = 0x0001cb05c99909abUL;
   tf->codes[38583] = 0x0001eb87c0fff6fcUL;
   tf->codes[38584] = 0x000001121b244513UL;
   tf->codes[38585] = 0x00000d64f47b1a73UL;
   tf->codes[38586] = 0x00001e48010208d2UL;
   tf->codes[38587] = 0x00003f2995f061cdUL;
   tf->codes[38588] = 0x00003fe2695a9795UL;
   tf->codes[38589] = 0x0000448ef9d17c00UL;
   tf->codes[38590] = 0x0000501553b22b6aUL;
   tf->codes[38591] = 0x0000531af12863f8UL;
   tf->codes[38592] = 0x000063d287890a21UL;
   tf->codes[38593] = 0x00006543f3ce6fecUL;
   tf->codes[38594] = 0x0000862f5ec2c0feUL;
   tf->codes[38595] = 0x000089fa29ce66e2UL;
   tf->codes[38596] = 0x00008d8c3a4c75eeUL;
   tf->codes[38597] = 0x00008e580a158a95UL;
   tf->codes[38598] = 0x000090ce3b40a1a4UL;
   tf->codes[38599] = 0x00009898334816a5UL;
   tf->codes[38600] = 0x0000b2c0b4b0ddacUL;
   tf->codes[38601] = 0x0000b6e8991eafc3UL;
   tf->codes[38602] = 0x0000bb13ebedd865UL;
   tf->codes[38603] = 0x0000c1007ffd4463UL;
   tf->codes[38604] = 0x0000c4954f2f98abUL;
   tf->codes[38605] = 0x0000c5e0130a2f69UL;
   tf->codes[38606] = 0x0000d678c7fecaafUL;
   tf->codes[38607] = 0x0000d7e70071dfb4UL;
   tf->codes[38608] = 0x0000daba10701d31UL;
   tf->codes[38609] = 0x0000ed8c5882d699UL;
   tf->codes[38610] = 0x0000ed957edbbd61UL;
   tf->codes[38611] = 0x0000f28e3b5d230dUL;
   tf->codes[38612] = 0x0000f32de552de2fUL;
   tf->codes[38613] = 0x0000fb94c89bc916UL;
   tf->codes[38614] = 0x0000fbe1a4535ba6UL;
   tf->codes[38615] = 0x000104d7f3e7680cUL;
   tf->codes[38616] = 0x000109f9a269d677UL;
   tf->codes[38617] = 0x00010a697d9bdbc4UL;
   tf->codes[38618] = 0x000110cc19f2e8d6UL;
   tf->codes[38619] = 0x000118e4127d0d40UL;
   tf->codes[38620] = 0x00012b19e46c5c4cUL;
   tf->codes[38621] = 0x00012c75959e9dfcUL;
   tf->codes[38622] = 0x00012c99f4733357UL;
   tf->codes[38623] = 0x00012ca6fe4b7c34UL;
   tf->codes[38624] = 0x00014f47c572e49eUL;
   tf->codes[38625] = 0x00015709f67b9575UL;
   tf->codes[38626] = 0x00015c0cfe20fec2UL;
   tf->codes[38627] = 0x00016c64bc6b337cUL;
   tf->codes[38628] = 0x00016ececdfa18c2UL;
   tf->codes[38629] = 0x000175103f4ee13fUL;
   tf->codes[38630] = 0x000177df313eb6e2UL;
   tf->codes[38631] = 0x00017e550483a898UL;
   tf->codes[38632] = 0x000184fb56396172UL;
   tf->codes[38633] = 0x000186bf1b9ee445UL;
   tf->codes[38634] = 0x00018e52a2aefc20UL;
   tf->codes[38635] = 0x0001955e8472b6a6UL;
   tf->codes[38636] = 0x0001a9ccff440cc0UL;
   tf->codes[38637] = 0x0001b178506e7ca3UL;
   tf->codes[38638] = 0x0001b19fa8865cffUL;
   tf->codes[38639] = 0x0001b680605e64deUL;
   tf->codes[38640] = 0x0001b7801cf99734UL;
   tf->codes[38641] = 0x0001b980806c12f4UL;
   tf->codes[38642] = 0x0001bbbac3374265UL;
   tf->codes[38643] = 0x0001c0cad4b4f48fUL;
   tf->codes[38644] = 0x0001c1f348c229dfUL;
   tf->codes[38645] = 0x0001cb3ca123649cUL;
   tf->codes[38646] = 0x0001d0e8ee357b5dUL;
   tf->codes[38647] = 0x0001d7c451886ebfUL;
   tf->codes[38648] = 0x0001dd360f94c080UL;
   tf->codes[38649] = 0x0001de68cec5f971UL;
   tf->codes[38650] = 0x0001def80082152bUL;
   tf->codes[38651] = 0x0001e2541526d29bUL;
   tf->codes[38652] = 0x0001e3ef98385dfeUL;
   tf->codes[38653] = 0x0001f4988ad792e7UL;
   tf->codes[38654] = 0x0001f6a2c45006beUL;
   tf->codes[38655] = 0x0001fae063d0fcf0UL;
   tf->codes[38656] = 0x0001fc0185fd79a0UL;
   tf->codes[38657] = 0x0001fec9260c96a3UL;
   tf->codes[38658] = 0x0000025d4591d99cUL;
   tf->codes[38659] = 0x000005bf4cbd2d0eUL;
   tf->codes[38660] = 0x000006284b2c8545UL;
   tf->codes[38661] = 0x00001e9baaf13ab9UL;
   tf->codes[38662] = 0x000022ebd1b30440UL;
   tf->codes[38663] = 0x00002827ce750a2aUL;
   tf->codes[38664] = 0x00004876c345f0e0UL;
   tf->codes[38665] = 0x000055443810dab8UL;
   tf->codes[38666] = 0x000062efc956a6c7UL;
   tf->codes[38667] = 0x000074e728c0cebeUL;
   tf->codes[38668] = 0x000076a2ec9887a2UL;
   tf->codes[38669] = 0x0000783d4adef62cUL;
   tf->codes[38670] = 0x00007bed528cf907UL;
   tf->codes[38671] = 0x000081bf5dcdc7c1UL;
   tf->codes[38672] = 0x000085ca3547bd1dUL;
   tf->codes[38673] = 0x00008afc2174c52bUL;
   tf->codes[38674] = 0x00008b22c9df9438UL;
   tf->codes[38675] = 0x00008c9f6b8514b8UL;
   tf->codes[38676] = 0x00009498bd323404UL;
   tf->codes[38677] = 0x00009c138febdcc3UL;
   tf->codes[38678] = 0x0000a69c01a987ffUL;
   tf->codes[38679] = 0x0000a734cedc960bUL;
   tf->codes[38680] = 0x0000aa6398e2dd1dUL;
   tf->codes[38681] = 0x0000aec1040bf546UL;
   tf->codes[38682] = 0x0000b0e9e4616e3bUL;
   tf->codes[38683] = 0x0000b7bac2015837UL;
   tf->codes[38684] = 0x0000bd3d32d64f25UL;
   tf->codes[38685] = 0x0000cef201ace82dUL;
   tf->codes[38686] = 0x0000de043ef60adcUL;
   tf->codes[38687] = 0x0000ee2133ab74d1UL;
   tf->codes[38688] = 0x0000ee58544fe346UL;
   tf->codes[38689] = 0x0000f9df986ca9c4UL;
   tf->codes[38690] = 0x000114702e08b1eeUL;
   tf->codes[38691] = 0x000117acec2358f1UL;
   tf->codes[38692] = 0x00011f9c67ca8026UL;
   tf->codes[38693] = 0x0001201fb4796fdcUL;
   tf->codes[38694] = 0x00012b80c54972d7UL;
   tf->codes[38695] = 0x00012ba857f058f8UL;
   tf->codes[38696] = 0x00012e50a1755f8eUL;
   tf->codes[38697] = 0x00013028fd22e9a3UL;
   tf->codes[38698] = 0x00013047de8ef486UL;
   tf->codes[38699] = 0x00013ddcca858566UL;
   tf->codes[38700] = 0x0001481f02bf4563UL;
   tf->codes[38701] = 0x00014888012e9d9aUL;
   tf->codes[38702] = 0x000154d1b42c8c32UL;
   tf->codes[38703] = 0x00015d614ee77a13UL;
   tf->codes[38704] = 0x000164ca849c6691UL;
   tf->codes[38705] = 0x00016e4077ef065dUL;
   tf->codes[38706] = 0x00016e5f93ea1705UL;
   tf->codes[38707] = 0x00018f23a6c687bbUL;
   tf->codes[38708] = 0x000197202c45f7cdUL;
   tf->codes[38709] = 0x00019a01a576a0c5UL;
   tf->codes[38710] = 0x00019a4f30db44a4UL;
   tf->codes[38711] = 0x00019cf94ed87962UL;
   tf->codes[38712] = 0x0001a9f5e2ba07c0UL;
   tf->codes[38713] = 0x0001aa851476237aUL;
   tf->codes[38714] = 0x0001e2e581ee1a48UL;
   tf->codes[38715] = 0x0001e32dca793974UL;
   tf->codes[38716] = 0x0001e7c4da6bff89UL;
   tf->codes[38717] = 0x0001eabf07f3179dUL;
   tf->codes[38718] = 0x0001f164a9fbbf28UL;
   tf->codes[38719] = 0x0001feedeb7429c9UL;
   tf->codes[38720] = 0x0000015996ec3772UL;
   tf->codes[38721] = 0x0000057ad9266238UL;
   tf->codes[38722] = 0x00000fe937337bbaUL;
   tf->codes[38723] = 0x0000119e1e488788UL;
   tf->codes[38724] = 0x000019ee21b3317bUL;
   tf->codes[38725] = 0x00001d89cda832d9UL;
   tf->codes[38726] = 0x00001e81c344a105UL;
   tf->codes[38727] = 0x000023639fe7c5bdUL;
   tf->codes[38728] = 0x000024f84636a40aUL;
   tf->codes[38729] = 0x00003c8846a6f294UL;
   tf->codes[38730] = 0x00004feb5a5ef019UL;
   tf->codes[38731] = 0x000050348d262659UL;
   tf->codes[38732] = 0x00005407cedda1b6UL;
   tf->codes[38733] = 0x00005482df6fc1b8UL;
   tf->codes[38734] = 0x0000583cf7b2c26fUL;
   tf->codes[38735] = 0x00006e049f911ac2UL;
   tf->codes[38736] = 0x00007930d952e8faUL;
   tf->codes[38737] = 0x0000894382e44f4eUL;
   tf->codes[38738] = 0x00009ae8fe4c65c7UL;
   tf->codes[38739] = 0x00009e2baeeda2ccUL;
   tf->codes[38740] = 0x0000a5b81eac07ccUL;
   tf->codes[38741] = 0x0000a5e73dc2ac52UL;
   tf->codes[38742] = 0x0000b494258cd31aUL;
   tf->codes[38743] = 0x0000b6213f6bf302UL;
   tf->codes[38744] = 0x0000b79e562f7f0cUL;
   tf->codes[38745] = 0x0000bda9cbaaf5edUL;
   tf->codes[38746] = 0x0000be9f02931eddUL;
   tf->codes[38747] = 0x0000c373d55dfab8UL;
   tf->codes[38748] = 0x0000c53048e2c4ebUL;
   tf->codes[38749] = 0x0000ec9c475e16deUL;
   tf->codes[38750] = 0x0000f198e75ede9fUL;
   tf->codes[38751] = 0x0000f5e02256c723UL;
   tf->codes[38752] = 0x0000fa463ebaba8aUL;
   tf->codes[38753] = 0x0001019f36c50d65UL;
   tf->codes[38754] = 0x0001030866eda37cUL;
   tf->codes[38755] = 0x00010d5dd615481dUL;
   tf->codes[38756] = 0x00011bbc483eb3f2UL;
   tf->codes[38757] = 0x00011c66ed058404UL;
   tf->codes[38758] = 0x000127f8f16459adUL;
   tf->codes[38759] = 0x00012ae1bc75bb45UL;
   tf->codes[38760] = 0x0001319cdf028126UL;
   tf->codes[38761] = 0x00013383de717c7bUL;
   tf->codes[38762] = 0x0001349e98f9579fUL;
   tf->codes[38763] = 0x00013523ba20757dUL;
   tf->codes[38764] = 0x000142bf0dbba7e9UL;
   tf->codes[38765] = 0x000144afa8a19590UL;
   tf->codes[38766] = 0x00014634fb81f14eUL;
   tf->codes[38767] = 0x000154d847d525c4UL;
   tf->codes[38768] = 0x000162c8b344ba74UL;
   tf->codes[38769] = 0x000170e45a4b9195UL;
   tf->codes[38770] = 0x000174c8c3e9bda9UL;
   tf->codes[38771] = 0x0001792afcce4efbUL;
   tf->codes[38772] = 0x00017a3036d20bc9UL;
   tf->codes[38773] = 0x00017f94b0770ee8UL;
   tf->codes[38774] = 0x00019e3560669121UL;
   tf->codes[38775] = 0x0001a4b927bfe2c8UL;
   tf->codes[38776] = 0x0001ad7647a84cccUL;
   tf->codes[38777] = 0x0001b05870860713UL;
   tf->codes[38778] = 0x0001b3f41c7b0871UL;
   tf->codes[38779] = 0x0001cf5e3b657f6eUL;
   tf->codes[38780] = 0x0001daae996cdd3cUL;
   tf->codes[38781] = 0x0001dbbcf9c980d2UL;
   tf->codes[38782] = 0x0001e10132a85670UL;
   tf->codes[38783] = 0x0001e57b35a73fcaUL;
   tf->codes[38784] = 0x0001e812574595a9UL;
   tf->codes[38785] = 0x0001f52590765f36UL;
   tf->codes[38786] = 0x0001ff7f1dac6bb1UL;
   tf->codes[38787] = 0x0001ff804277888aUL;
   tf->codes[38788] = 0x0000018e5f6f5e76UL;
   tf->codes[38789] = 0x000005d2a123fbf9UL;
   tf->codes[38790] = 0x0000072441c13fcdUL;
   tf->codes[38791] = 0x00000a40f9a4bf14UL;
   tf->codes[38792] = 0x00001d2e7a33270fUL;
   tf->codes[38793] = 0x000034595fb37f77UL;
   tf->codes[38794] = 0x0000370601d5f3acUL;
   tf->codes[38795] = 0x00004b747ca749c6UL;
   tf->codes[38796] = 0x00004d551471a38fUL;
   tf->codes[38797] = 0x0000518a3d46c448UL;
   tf->codes[38798] = 0x0000560bccb56c07UL;
   tf->codes[38799] = 0x0000587cbb06fe63UL;
   tf->codes[38800] = 0x0000615a56449badUL;
   tf->codes[38801] = 0x00008325027eebcfUL;
   tf->codes[38802] = 0x00008348ec3575a0UL;
   tf->codes[38803] = 0x00008391e46da61bUL;
   tf->codes[38804] = 0x00008716b0846685UL;
   tf->codes[38805] = 0x000091f524528b19UL;
   tf->codes[38806] = 0x000097be43c978d0UL;
   tf->codes[38807] = 0x000098519393fc64UL;
   tf->codes[38808] = 0x000099326ec323d7UL;
   tf->codes[38809] = 0x00009ce0a1f8f88aUL;
   tf->codes[38810] = 0x0000a1752dc67f28UL;
   tf->codes[38811] = 0x0000a1b2f09e94eeUL;
   tf->codes[38812] = 0x0000b3e58ebb9334UL;
   tf->codes[38813] = 0x0000c1ca8a3c076aUL;
   tf->codes[38814] = 0x0000c1e07fde314aUL;
   tf->codes[38815] = 0x0000c612af700702UL;
   tf->codes[38816] = 0x0000d3dbc2c7bb56UL;
   tf->codes[38817] = 0x0000d96042a3e631UL;
   tf->codes[38818] = 0x0000de5ad39d7a05UL;
   tf->codes[38819] = 0x0000f38221d905e7UL;
   tf->codes[38820] = 0x0000f3913ab882b1UL;
   tf->codes[38821] = 0x0000f8c8a44e1537UL;
   tf->codes[38822] = 0x0000fba515343f41UL;
   tf->codes[38823] = 0x00010301b62eee6cUL;
   tf->codes[38824] = 0x00010e99ad145a17UL;
   tf->codes[38825] = 0x000111ac5462db82UL;
   tf->codes[38826] = 0x000112abd66f0813UL;
   tf->codes[38827] = 0x00011679602ef333UL;
   tf->codes[38828] = 0x00011de0fbfab74eUL;
   tf->codes[38829] = 0x000129fe140740d7UL;
   tf->codes[38830] = 0x00012a8babda342eUL;
   tf->codes[38831] = 0x00012f20acc5c656UL;
   tf->codes[38832] = 0x0001379ee50afdbbUL;
   tf->codes[38833] = 0x000141dbda6b3905UL;
   tf->codes[38834] = 0x0001501af60a8e6dUL;
   tf->codes[38835] = 0x00015c4468424f84UL;
   tf->codes[38836] = 0x0001697a2bcf8044UL;
   tf->codes[38837] = 0x00016b9d542d68fcUL;
   tf->codes[38838] = 0x00016d043abfc561UL;
   tf->codes[38839] = 0x00016db5f6d8484eUL;
   tf->codes[38840] = 0x000173b3032153b4UL;
   tf->codes[38841] = 0x000178b55b19abb2UL;
   tf->codes[38842] = 0x00017c92e7f52ab0UL;
   tf->codes[38843] = 0x00017d634aeab2bbUL;
   tf->codes[38844] = 0x00018a2f605b79f5UL;
   tf->codes[38845] = 0x000199ee16e39adeUL;
   tf->codes[38846] = 0x00019d8270f7e39cUL;
   tf->codes[38847] = 0x0001a112726ebebbUL;
   tf->codes[38848] = 0x0001a650f356041cUL;
   tf->codes[38849] = 0x0001ab905e796091UL;
   tf->codes[38850] = 0x0001ac2e6e85f350UL;
   tf->codes[38851] = 0x0001b24135e222d1UL;
   tf->codes[38852] = 0x0001b3ed6bbc5361UL;
   tf->codes[38853] = 0x0001b9629829fbadUL;
   tf->codes[38854] = 0x0001c5852d9f0faeUL;
   tf->codes[38855] = 0x0001c7db932204c6UL;
   tf->codes[38856] = 0x0001d37ebf678b26UL;
   tf->codes[38857] = 0x0001d5b050f7df59UL;
   tf->codes[38858] = 0x0001d6c0faeabca1UL;
   tf->codes[38859] = 0x0001ecddba9d7738UL;
   tf->codes[38860] = 0x0001f2d165fe9611UL;
   tf->codes[38861] = 0x0001f7c1abd42644UL;
   tf->codes[38862] = 0x0001fb5e7c94447bUL;
   tf->codes[38863] = 0x0001fc46a9a4248eUL;
   tf->codes[38864] = 0x00000708c02b7db6UL;
   tf->codes[38865] = 0x00000bb00dc8dd6eUL;
   tf->codes[38866] = 0x000012b8469c3ba4UL;
   tf->codes[38867] = 0x00001a4e8c6098bbUL;
   tf->codes[38868] = 0x000023f18fc2a920UL;
   tf->codes[38869] = 0x00002f64b2b573e6UL;
   tf->codes[38870] = 0x00003ddb6417434dUL;
   tf->codes[38871] = 0x00003f92cf518e92UL;
   tf->codes[38872] = 0x0000465ea4a6f9a0UL;
   tf->codes[38873] = 0x00004eb66f1067bdUL;
   tf->codes[38874] = 0x000055d8810551e8UL;
   tf->codes[38875] = 0x00005c15249ea13cUL;
   tf->codes[38876] = 0x0000631596733b48UL;
   tf->codes[38877] = 0x0000661b6e78799bUL;
   tf->codes[38878] = 0x00006801be3a63a1UL;
   tf->codes[38879] = 0x00006f4e218a7929UL;
   tf->codes[38880] = 0x000075a045a7e6d3UL;
   tf->codes[38881] = 0x00007b9884357910UL;
   tf->codes[38882] = 0x00007cdbf62f572eUL;
   tf->codes[38883] = 0x00007dbf1af4b853UL;
   tf->codes[38884] = 0x00008309465a23f3UL;
   tf->codes[38885] = 0x0000899215fdf488UL;
   tf->codes[38886] = 0x000096453c8946e1UL;
   tf->codes[38887] = 0x00009946816211d0UL;
   tf->codes[38888] = 0x00009c29cf0ae8f0UL;
   tf->codes[38889] = 0x0000a4a966aa42f3UL;
   tf->codes[38890] = 0x0000a74c6d55c4d6UL;
   tf->codes[38891] = 0x0000ab79cf2c2165UL;
   tf->codes[38892] = 0x0000ae8dd5d4c56eUL;
   tf->codes[38893] = 0x0000b1903f78ad36UL;
   tf->codes[38894] = 0x0000b5f4124666ebUL;
   tf->codes[38895] = 0x0000b64ee212596cUL;
   tf->codes[38896] = 0x0000c23d15974434UL;
   tf->codes[38897] = 0x0000cf25884ed6daUL;
   tf->codes[38898] = 0x0000d0d6c6738658UL;
   tf->codes[38899] = 0x0000d4c8af0806d3UL;
   tf->codes[38900] = 0x0000e9e368895562UL;
   tf->codes[38901] = 0x0000ffc68372620dUL;
   tf->codes[38902] = 0x00010ce9fa4dc53dUL;
   tf->codes[38903] = 0x00011482c43761cbUL;
   tf->codes[38904] = 0x000116857140173dUL;
   tf->codes[38905] = 0x0001240fd7839eb7UL;
   tf->codes[38906] = 0x000125bc47ecd50cUL;
   tf->codes[38907] = 0x000128899ff3824cUL;
   tf->codes[38908] = 0x00013dea5869b655UL;
   tf->codes[38909] = 0x000143f1ea65cb21UL;
   tf->codes[38910] = 0x000151bb384c853aUL;
   tf->codes[38911] = 0x000154d65646dc1eUL;
   tf->codes[38912] = 0x00015bba6ad4aabeUL;
   tf->codes[38913] = 0x00015bdda4de2340UL;
   tf->codes[38914] = 0x000160f03a8114e1UL;
   tf->codes[38915] = 0x00016715fe3c2341UL;
   tf->codes[38916] = 0x0001677f373a813dUL;
   tf->codes[38917] = 0x0001679aaa453595UL;
   tf->codes[38918] = 0x00016c0016fc17adUL;
   tf->codes[38919] = 0x000178d04a7b46c1UL;
   tf->codes[38920] = 0x00017bd3293d3a13UL;
   tf->codes[38921] = 0x00018139b1e9711fUL;
   tf->codes[38922] = 0x00018ea44c84d6a2UL;
   tf->codes[38923] = 0x00018ecb6a0db139UL;
   tf->codes[38924] = 0x00019341146f2cf4UL;
   tf->codes[38925] = 0x000193ccd7c9f223UL;
   tf->codes[38926] = 0x00019bc504abf496UL;
   tf->codes[38927] = 0x00019fae76949f98UL;
   tf->codes[38928] = 0x0001aa3eaf510efeUL;
   tf->codes[38929] = 0x0001b00167235b29UL;
   tf->codes[38930] = 0x0001b71425a9c2c5UL;
   tf->codes[38931] = 0x0001b90a0369351fUL;
   tf->codes[38932] = 0x0001ba84d0968777UL;
   tf->codes[38933] = 0x0001be2c6198b4d9UL;
   tf->codes[38934] = 0x0001c0e85729ab9dUL;
   tf->codes[38935] = 0x0001caacfaac0c21UL;
   tf->codes[38936] = 0x0001ce8ea595f2f9UL;
   tf->codes[38937] = 0x0001dbf4e793eaddUL;
   tf->codes[38938] = 0x0001dc5116b9fffcUL;
   tf->codes[38939] = 0x0001e12e9abfb715UL;
   tf->codes[38940] = 0x0001e3915a6de3bbUL;
   tf->codes[38941] = 0x0001e479c20cc993UL;
   tf->codes[38942] = 0x0001fc724bce64caUL;
   tf->codes[38943] = 0x0000087799c0964bUL;
   tf->codes[38944] = 0x000026e7cb3f5160UL;
   tf->codes[38945] = 0x00002b2ae828d20aUL;
   tf->codes[38946] = 0x0000469ea28a3b59UL;
   tf->codes[38947] = 0x00004b6c23745e94UL;
   tf->codes[38948] = 0x00004ce173392674UL;
   tf->codes[38949] = 0x000053474362844cUL;
   tf->codes[38950] = 0x000055f878b16be5UL;
   tf->codes[38951] = 0x00005c2c3080da36UL;
   tf->codes[38952] = 0x00005c659abb825dUL;
   tf->codes[38953] = 0x000062ade8d2f7f0UL;
   tf->codes[38954] = 0x0000669d87d13eb9UL;
   tf->codes[38955] = 0x00006a84eab2b5ceUL;
   tf->codes[38956] = 0x000074bb786e4f8cUL;
   tf->codes[38957] = 0x000083459b4d095cUL;
   tf->codes[38958] = 0x00008e5b2fbf9c65UL;
   tf->codes[38959] = 0x00008f01f1070a62UL;
   tf->codes[38960] = 0x00009034008b3204UL;
   tf->codes[38961] = 0x0000a7c64a91ba40UL;
   tf->codes[38962] = 0x0000b01dda6c2298UL;
   tf->codes[38963] = 0x0000b1d754ada1caUL;
   tf->codes[38964] = 0x0000b33bb71abeb8UL;
   tf->codes[38965] = 0x0000b4e0d5a33c6dUL;
   tf->codes[38966] = 0x0000b821ec5b510fUL;
   tf->codes[38967] = 0x0000c02bb6420fc3UL;
   tf->codes[38968] = 0x0000c22aba5a68e5UL;
   tf->codes[38969] = 0x0000d0df2e944e12UL;
   tf->codes[38970] = 0x0000d5f7b6bdd5b5UL;
   tf->codes[38971] = 0x0000d6098e5197bbUL;
   tf->codes[38972] = 0x0000e6dac344c414UL;
   tf->codes[38973] = 0x0000ecfb099747fcUL;
   tf->codes[38974] = 0x0000f94188c2e5ceUL;
   tf->codes[38975] = 0x000103be15736506UL;
   tf->codes[38976] = 0x0001193f0eafc690UL;
   tf->codes[38977] = 0x00011d4a5b47c776UL;
   tf->codes[38978] = 0x00011df5000e9788UL;
   tf->codes[38979] = 0x00011f637310b252UL;
   tf->codes[38980] = 0x00013a796462de1fUL;
   tf->codes[38981] = 0x0001458aa0380389UL;
   tf->codes[38982] = 0x00015fc1fff14195UL;
   tf->codes[38983] = 0x00016de4f8d8d156UL;
   tf->codes[38984] = 0x0001703c4897dd82UL;
   tf->codes[38985] = 0x0001729fb7f31b77UL;
   tf->codes[38986] = 0x00018417e8bcbb92UL;
   tf->codes[38987] = 0x00018a7ba9dee57dUL;
   tf->codes[38988] = 0x00018b8f12860801UL;
   tf->codes[38989] = 0x000197e93dbd9601UL;
   tf->codes[38990] = 0x00019d06ce319c92UL;
   tf->codes[38991] = 0x00019f389a50f68aUL;
   tf->codes[38992] = 0x0001ac19bb27d090UL;
   tf->codes[38993] = 0x0001be8c2b241889UL;
   tf->codes[38994] = 0x0001c0e3b5722a7aUL;
   tf->codes[38995] = 0x0001c90cd5e2ff9bUL;
   tf->codes[38996] = 0x0001cd19bc6428e4UL;
   tf->codes[38997] = 0x0001cf19e5479edfUL;
   tf->codes[38998] = 0x0001d8cb8c6b2084UL;
   tf->codes[38999] = 0x0001dbbba95d3abcUL;
   tf->codes[39000] = 0x0001ee1614b024e8UL;
   tf->codes[39001] = 0x0001fffdab8dbec6UL;
   tf->codes[39002] = 0x000001d3bda50f29UL;
   tf->codes[39003] = 0x00000f0a6b6e56fdUL;
   tf->codes[39004] = 0x000015f9efeb4617UL;
   tf->codes[39005] = 0x00002314406dc27fUL;
   tf->codes[39006] = 0x00002be6312d398aUL;
   tf->codes[39007] = 0x00003140251f3343UL;
   tf->codes[39008] = 0x00003cc6b98ee872UL;
   tf->codes[39009] = 0x000046cc192ca9bdUL;
   tf->codes[39010] = 0x00004a87cb58d2d7UL;
   tf->codes[39011] = 0x000056b7a535357aUL;
   tf->codes[39012] = 0x00005fc7cdeacdd5UL;
   tf->codes[39013] = 0x0000661a2c974144UL;
   tf->codes[39014] = 0x000071e9b93f26eeUL;
   tf->codes[39015] = 0x0000748f440fe848UL;
   tf->codes[39016] = 0x00009f5582b7c983UL;
   tf->codes[39017] = 0x0000a504196019f6UL;
   tf->codes[39018] = 0x0000b643550d1d74UL;
   tf->codes[39019] = 0x0000b6e8074d5784UL;
   tf->codes[39020] = 0x0000be48513862ffUL;
   tf->codes[39021] = 0x0000c039613c5c30UL;
   tf->codes[39022] = 0x0000c16a11666134UL;
   tf->codes[39023] = 0x0000c2d6ea7f539bUL;
   tf->codes[39024] = 0x0000c4c48c21f641UL;
   tf->codes[39025] = 0x0000cbc6d26ebe75UL;
   tf->codes[39026] = 0x0000d10bbafaa562UL;
   tf->codes[39027] = 0x0000dca33cc20583UL;
   tf->codes[39028] = 0x0000ddfeb365416eUL;
   tf->codes[39029] = 0x0000e2b63ead3ac9UL;
   tf->codes[39030] = 0x000100823309c758UL;
   tf->codes[39031] = 0x00011c76b5f4e0e6UL;
   tf->codes[39032] = 0x00011f29bfbbf6a7UL;
   tf->codes[39033] = 0x000133389d05e117UL;
   tf->codes[39034] = 0x0001380aebab7d7bUL;
   tf->codes[39035] = 0x00014480c47cc598UL;
   tf->codes[39036] = 0x000149a02968fa51UL;
   tf->codes[39037] = 0x00014bbbc55724a4UL;
   tf->codes[39038] = 0x0001549d7ea329c8UL;
   tf->codes[39039] = 0x000157a097f422dfUL;
   tf->codes[39040] = 0x00016248603be488UL;
   tf->codes[39041] = 0x0001689073c45456UL;
   tf->codes[39042] = 0x000179c947ccb648UL;
   tf->codes[39043] = 0x00017e5e83474e35UL;
   tf->codes[39044] = 0x0001808d56235d2cUL;
   tf->codes[39045] = 0x00018403095aa0ccUL;
   tf->codes[39046] = 0x0001848914bdd5beUL;
   tf->codes[39047] = 0x0001907ba0e02e25UL;
   tf->codes[39048] = 0x00019154ef9f9733UL;
   tf->codes[39049] = 0x000194c97e0bbdfaUL;
   tf->codes[39050] = 0x0001a9e68123463bUL;
   tf->codes[39051] = 0x0001ba2acdf0908cUL;
   tf->codes[39052] = 0x0001bd26cfefd6c8UL;
   tf->codes[39053] = 0x0001bd553f5969ffUL;
   tf->codes[39054] = 0x0001be5de7be7d58UL;
   tf->codes[39055] = 0x0001cbb4612fe723UL;
   tf->codes[39056] = 0x0001cc3738c0cb4fUL;
   tf->codes[39057] = 0x0001d680884c3e27UL;
   tf->codes[39058] = 0x0001da7bd1c8ab2fUL;
   tf->codes[39059] = 0x0001dc1a4e1d8193UL;
   tf->codes[39060] = 0x0001df23cf131c36UL;
   tf->codes[39061] = 0x0001e86bc81a3455UL;
   tf->codes[39062] = 0x0001efc4c0248730UL;
   tf->codes[39063] = 0x0001f94030dfb174UL;
   tf->codes[39064] = 0x0001fa43d0fa45dfUL;
   tf->codes[39065] = 0x0000042ea7c969e6UL;
   tf->codes[39066] = 0x00000994bb579568UL;
   tf->codes[39067] = 0x00000a61afebc6e8UL;
   tf->codes[39068] = 0x00000d9422e26a4aUL;
   tf->codes[39069] = 0x000010ebdee9ba1bUL;
   tf->codes[39070] = 0x000014686ee3aad1UL;
   tf->codes[39071] = 0x000014a0b453361fUL;
   tf->codes[39072] = 0x000016cb2e91d777UL;
   tf->codes[39073] = 0x000019d683ffa042UL;
   tf->codes[39074] = 0x0000219b392d9090UL;
   tf->codes[39075] = 0x00002720ddd4d844UL;
   tf->codes[39076] = 0x000027a34047b0e6UL;
   tf->codes[39077] = 0x000031d749de0b2dUL;
   tf->codes[39078] = 0x00003ca545729059UL;
   tf->codes[39079] = 0x00003d008a5c8e64UL;
   tf->codes[39080] = 0x000041f9bbfbff9aUL;
   tf->codes[39081] = 0x0000459149e2991eUL;
   tf->codes[39082] = 0x000046acb4178591UL;
   tf->codes[39083] = 0x00004c608d995ab7UL;
   tf->codes[39084] = 0x00005c36991dc81eUL;
   tf->codes[39085] = 0x00005f576f0faf3fUL;
   tf->codes[39086] = 0x00006548212d8317UL;
   tf->codes[39087] = 0x0000667cb4d6ea30UL;
   tf->codes[39088] = 0x00006f17bf80f88bUL;
   tf->codes[39089] = 0x00007ea92b6aa316UL;
   tf->codes[39090] = 0x000086906af4fa97UL;
   tf->codes[39091] = 0x0000a4c0ca946bf9UL;
   tf->codes[39092] = 0x0000a65e5cad2b49UL;
   tf->codes[39093] = 0x0000af0253211aa7UL;
   tf->codes[39094] = 0x0000be0034b13bd9UL;
   tf->codes[39095] = 0x0000bee7b2140a9dUL;
   tf->codes[39096] = 0x0000d49d47cf9b25UL;
   tf->codes[39097] = 0x0000d553d1a3973bUL;
   tf->codes[39098] = 0x0000da9d87eaf751UL;
   tf->codes[39099] = 0x0000daac663b6e56UL;
   tf->codes[39100] = 0x0000dc029a05258eUL;
   tf->codes[39101] = 0x0000ecc3cbdcbe09UL;
   tf->codes[39102] = 0x0000f30f88558a27UL;
   tf->codes[39103] = 0x0000f5be740e380eUL;
   tf->codes[39104] = 0x0000f6409bf20aebUL;
   tf->codes[39105] = 0x0000fad945cdf963UL;
   tf->codes[39106] = 0x0000fc79217cf265UL;
   tf->codes[39107] = 0x000101462d490a16UL;
   tf->codes[39108] = 0x000109fbc0c1b5b5UL;
   tf->codes[39109] = 0x00010aff264d445bUL;
   tf->codes[39110] = 0x00011349ac4f63d6UL;
   tf->codes[39111] = 0x00011a38811f41a1UL;
   tf->codes[39112] = 0x00011a829e228ef5UL;
   tf->codes[39113] = 0x000124d7d2bb2dd1UL;
   tf->codes[39114] = 0x00012628fe3a661bUL;
   tf->codes[39115] = 0x00013b9d62bc8a52UL;
   tf->codes[39116] = 0x00013ce8d644325fUL;
   tf->codes[39117] = 0x000146b4cba74b83UL;
   tf->codes[39118] = 0x00014a14c3cb6b08UL;
   tf->codes[39119] = 0x000154d789ffd57fUL;
   tf->codes[39120] = 0x000156c182b21bd5UL;
   tf->codes[39121] = 0x00015efae0cd8a99UL;
   tf->codes[39122] = 0x00016b775bd27a07UL;
   tf->codes[39123] = 0x0001750e3f9858a3UL;
   tf->codes[39124] = 0x000194be74af9b4bUL;
   tf->codes[39125] = 0x000198479963c954UL;
   tf->codes[39126] = 0x0001a1e4aa3f43b7UL;
   tf->codes[39127] = 0x0001a90fe28d14aaUL;
   tf->codes[39128] = 0x0001ac2423c4be78UL;
   tf->codes[39129] = 0x0001adb13da3de60UL;
   tf->codes[39130] = 0x0001b00eba788653UL;
   tf->codes[39131] = 0x0001b0b999ce5c2aUL;
   tf->codes[39132] = 0x0001b6b5f66a5641UL;
   tf->codes[39133] = 0x0001b7bed95e6f5fUL;
   tf->codes[39134] = 0x0001d47088512c54UL;
   tf->codes[39135] = 0x0001d6a1df527ac2UL;
   tf->codes[39136] = 0x0001d6cf29f0f120UL;
   tf->codes[39137] = 0x0001dce2a0fa31f0UL;
   tf->codes[39138] = 0x0001e96b762a58ecUL;
   tf->codes[39139] = 0x0001eebf7795bca3UL;
   tf->codes[39140] = 0x0001eee7f478b9d8UL;
   tf->codes[39141] = 0x0001efea6fc8316aUL;
   tf->codes[39142] = 0x0001f439ac4de3ddUL;
   tf->codes[39143] = 0x0001f8606bf0991bUL;
   tf->codes[39144] = 0x0001ff58dc376938UL;
   tf->codes[39145] = 0x0001ff7155fed28fUL;
   tf->codes[39146] = 0x0001ffeeeab63208UL;
   tf->codes[39147] = 0x000011ba5edc063fUL;
   tf->codes[39148] = 0x0000131bc805d82cUL;
   tf->codes[39149] = 0x00001830e1ce0944UL;
   tf->codes[39150] = 0x0000230c21c9dd12UL;
   tf->codes[39151] = 0x00002494e30b8f5bUL;
   tf->codes[39152] = 0x000029d5386b02e4UL;
   tf->codes[39153] = 0x00002c5ba740b396UL;
   tf->codes[39154] = 0x000030c09ed98a24UL;
   tf->codes[39155] = 0x00003ba36b451c57UL;
   tf->codes[39156] = 0x0000407f5561ab0dUL;
   tf->codes[39157] = 0x000042f54bfdbc57UL;
   tf->codes[39158] = 0x00004b3bb3f173f8UL;
   tf->codes[39159] = 0x000050f6a4c4fbf9UL;
   tf->codes[39160] = 0x000059a9b4186821UL;
   tf->codes[39161] = 0x00005b02a6966495UL;
   tf->codes[39162] = 0x00006cd09ee17843UL;
   tf->codes[39163] = 0x000071f3379ffdc2UL;
   tf->codes[39164] = 0x00007302f756c3f6UL;
   tf->codes[39165] = 0x000074fe527ec0c8UL;
   tf->codes[39166] = 0x0000759460fd8998UL;
   tf->codes[39167] = 0x000078b696499357UL;
   tf->codes[39168] = 0x00007c4a7b3fd08bUL;
   tf->codes[39169] = 0x000084765a64eae8UL;
   tf->codes[39170] = 0x00008b6aac9d532bUL;
   tf->codes[39171] = 0x00008d87a7e5a01cUL;
   tf->codes[39172] = 0x00009456b10d5bf0UL;
   tf->codes[39173] = 0x000095ff788635f5UL;
   tf->codes[39174] = 0x0000a4b75b2171adUL;
   tf->codes[39175] = 0x0000a5138a4786ccUL;
   tf->codes[39176] = 0x0000b0e525f6a063UL;
   tf->codes[39177] = 0x0000bda939d99daeUL;
   tf->codes[39178] = 0x0000c61c3cbeba5eUL;
   tf->codes[39179] = 0x0000c6b285cc88f3UL;
   tf->codes[39180] = 0x0000d1e561c1fe7cUL;
   tf->codes[39181] = 0x0000eb12b9bc0691UL;
   tf->codes[39182] = 0x0000ecf3c6a46be4UL;
   tf->codes[39183] = 0x0000f341ccb371b4UL;
   tf->codes[39184] = 0x0000f581525825d8UL;
   tf->codes[39185] = 0x0000f80d3e966102UL;
   tf->codes[39186] = 0x0000fc2ad7e02f78UL;
   tf->codes[39187] = 0x0000ffaf2ed8e458UL;
   tf->codes[39188] = 0x00010440fbf225baUL;
   tf->codes[39189] = 0x0001055c6627122dUL;
   tf->codes[39190] = 0x00010c1872efef22UL;
   tf->codes[39191] = 0x00010ef3f99a0218UL;
   tf->codes[39192] = 0x0001153d31ed8ebfUL;
   tf->codes[39193] = 0x00011d5614b3ca3dUL;
   tf->codes[39194] = 0x00012402937f1edeUL;
   tf->codes[39195] = 0x00012cde1fb5883bUL;
   tf->codes[39196] = 0x00013c282d502aaeUL;
   tf->codes[39197] = 0x0001469fb1b62af8UL;
   tf->codes[39198] = 0x00014858f168a465UL;
   tf->codes[39199] = 0x00014f23dc81f85fUL;
   tf->codes[39200] = 0x00014f6339433688UL;
   tf->codes[39201] = 0x0001515707fb74f5UL;
   tf->codes[39202] = 0x0001544675407ddeUL;
   tf->codes[39203] = 0x000154d61c1aa522UL;
   tf->codes[39204] = 0x0001584651e95e4aUL;
   tf->codes[39205] = 0x00015d824eab6434UL;
   tf->codes[39206] = 0x000163ed271f40faUL;
   tf->codes[39207] = 0x00016fc181829fcdUL;
   tf->codes[39208] = 0x000173402083c470UL;
   tf->codes[39209] = 0x000177dd22fd2087UL;
   tf->codes[39210] = 0x00018152dbc0ba8eUL;
   tf->codes[39211] = 0x0001866b295b3c6cUL;
   tf->codes[39212] = 0x00019c7e4d9704b1UL;
   tf->codes[39213] = 0x0001ad5415b6a46eUL;
   tf->codes[39214] = 0x0001af3ada9699feUL;
   tf->codes[39215] = 0x0001bcdafbed4593UL;
   tf->codes[39216] = 0x0001bfc142d967b4UL;
   tf->codes[39217] = 0x0001ca581dc97e6bUL;
   tf->codes[39218] = 0x0001d0d9266e8ad6UL;
   tf->codes[39219] = 0x0001d11dc6094db2UL;
   tf->codes[39220] = 0x0001d91d44cc08c5UL;
   tf->codes[39221] = 0x0001da8c2cec2f19UL;
   tf->codes[39222] = 0x0001db86a6addcbcUL;
   tf->codes[39223] = 0x0001dceb091af9aaUL;
   tf->codes[39224] = 0x0001e101c5a21b0aUL;
   tf->codes[39225] = 0x0001e34a3710b031UL;
   tf->codes[39226] = 0x00000160f81d9b63UL;
   tf->codes[39227] = 0x0000066892ef7814UL;
   tf->codes[39228] = 0x00000e504797db1fUL;
   tf->codes[39229] = 0x000012da13235292UL;
   tf->codes[39230] = 0x00001741545262d2UL;
   tf->codes[39231] = 0x00001e8e674f89a9UL;
   tf->codes[39232] = 0x000024cd547f12afUL;
   tf->codes[39233] = 0x00002d91c6483553UL;
   tf->codes[39234] = 0x000042f6d75bd6fbUL;
   tf->codes[39235] = 0x0000469457c90681UL;
   tf->codes[39236] = 0x00004d4b21b85ec3UL;
   tf->codes[39237] = 0x0000501ac35545b5UL;
   tf->codes[39238] = 0x0000510f4a905d56UL;
   tf->codes[39239] = 0x000058d4af6b5ef3UL;
   tf->codes[39240] = 0x00006235d1e6f1b8UL;
   tf->codes[39241] = 0x000065b72f9c5b97UL;
   tf->codes[39242] = 0x0000729f2d35e2b3UL;
   tf->codes[39243] = 0x00007668d3766bbeUL;
   tf->codes[39244] = 0x00007a05a43689f5UL;
   tf->codes[39245] = 0x00007b24b75bd2b8UL;
   tf->codes[39246] = 0x00007ea90e548798UL;
   tf->codes[39247] = 0x000080a67883b857UL;
   tf->codes[39248] = 0x00008aa117df6a77UL;
   tf->codes[39249] = 0x000091f28379feedUL;
   tf->codes[39250] = 0x00009208b3ab2e92UL;
   tf->codes[39251] = 0x00009354d6dfe7eeUL;
   tf->codes[39252] = 0x00009a7046a12ac8UL;
   tf->codes[39253] = 0x0000a2491cf916ceUL;
   tf->codes[39254] = 0x0000ad2a4f7b809eUL;
   tf->codes[39255] = 0x0000ae1e9c27927aUL;
   tf->codes[39256] = 0x0000aef407679973UL;
   tf->codes[39257] = 0x0000c08d9dc283e8UL;
   tf->codes[39258] = 0x0000ceb7adfbc684UL;
   tf->codes[39259] = 0x0000eff487d41d8aUL;
   tf->codes[39260] = 0x0000fa8cfcad5ca4UL;
   tf->codes[39261] = 0x0001081bbb8e51bdUL;
   tf->codes[39262] = 0x0001179a65a8232eUL;
   tf->codes[39263] = 0x00011805388fa98dUL;
   tf->codes[39264] = 0x00012b73bc36c78cUL;
   tf->codes[39265] = 0x00012c3282279356UL;
   tf->codes[39266] = 0x000133b51be0003fUL;
   tf->codes[39267] = 0x00013485f3f393d4UL;
   tf->codes[39268] = 0x00013c7ed082a796UL;
   tf->codes[39269] = 0x00013f387c7d64a8UL;
   tf->codes[39270] = 0x00013f6293498a40UL;
   tf->codes[39271] = 0x00014def3a4d8387UL;
   tf->codes[39272] = 0x00014ef2da6817f2UL;
   tf->codes[39273] = 0x000156a0afb7c74cUL;
   tf->codes[39274] = 0x0001626506ff9241UL;
   tf->codes[39275] = 0x000166d7b81dc2fbUL;
   tf->codes[39276] = 0x000166fdb0db80b9UL;
   tf->codes[39277] = 0x000177a4947381b5UL;
   tf->codes[39278] = 0x00017c66305078ecUL;
   tf->codes[39279] = 0x00017d27b4f589f2UL;
   tf->codes[39280] = 0x00018750fe49d50eUL;
   tf->codes[39281] = 0x0001932224dae31bUL;
   tf->codes[39282] = 0x000198e6769657a9UL;
   tf->codes[39283] = 0x00019bb6c7e04feaUL;
   tf->codes[39284] = 0x0001ac35a3b35f3bUL;
   tf->codes[39285] = 0x0001b0cefd3c5f02UL;
   tf->codes[39286] = 0x0001b5bfb82ffabfUL;
   tf->codes[39287] = 0x0001b8c087eaba24UL;
   tf->codes[39288] = 0x0001c795b208d85cUL;
   tf->codes[39289] = 0x0001cd7b69559744UL;
   tf->codes[39290] = 0x0001cdf0fc7f2cceUL;
   tf->codes[39291] = 0x0001cff7c7964a1aUL;
   tf->codes[39292] = 0x0001dad16da8f585UL;
   tf->codes[39293] = 0x0001ea67a74e1939UL;
   tf->codes[39294] = 0x0001ecbbfdc9da64UL;
   tf->codes[39295] = 0x00000db472967453UL;
   tf->codes[39296] = 0x000013b01f855d1bUL;
   tf->codes[39297] = 0x000019aa6d1a2345UL;
   tf->codes[39298] = 0x00001be94311c61aUL;
   tf->codes[39299] = 0x00002008b0d3c2b8UL;
   tf->codes[39300] = 0x00002041a5f05f55UL;
   tf->codes[39301] = 0x000022419444cf8bUL;
   tf->codes[39302] = 0x0000288dc5dba733UL;
   tf->codes[39303] = 0x00003ad868a20346UL;
   tf->codes[39304] = 0x00003b16a0982496UL;
   tf->codes[39305] = 0x000040eabae0273dUL;
   tf->codes[39306] = 0x000043bf9f5692e2UL;
   tf->codes[39307] = 0x000047133d4f7ad9UL;
   tf->codes[39308] = 0x00004ca0a8f586b7UL;
   tf->codes[39309] = 0x000050f8219808deUL;
   tf->codes[39310] = 0x000053d800df8973UL;
   tf->codes[39311] = 0x00005be8e217fb02UL;
   tf->codes[39312] = 0x00006458769bc127UL;
   tf->codes[39313] = 0x00006a88857ad328UL;
   tf->codes[39314] = 0x00006bc25bfdbef4UL;
   tf->codes[39315] = 0x00006be72ff05fd9UL;
   tf->codes[39316] = 0x000070575ce9511cUL;
   tf->codes[39317] = 0x0000708e7d8dbf91UL;
   tf->codes[39318] = 0x00007b25cd9be1d2UL;
   tf->codes[39319] = 0x00008014b4174f67UL;
   tf->codes[39320] = 0x0000819ab6a4bc74UL;
   tf->codes[39321] = 0x0000825ef9fe12b6UL;
   tf->codes[39322] = 0x000085ddd38e3d1eUL;
   tf->codes[39323] = 0x00008b315fdb954bUL;
   tf->codes[39324] = 0x000090b5dfb7c026UL;
   tf->codes[39325] = 0x0000941cb49e8cc1UL;
   tf->codes[39326] = 0x00009e00aeab03b2UL;
   tf->codes[39327] = 0x0000a9c714fa0294UL;
   tf->codes[39328] = 0x0000aac70c243aafUL;
   tf->codes[39329] = 0x0000afe6368169a3UL;
   tf->codes[39330] = 0x0000b06948a15394UL;
   tf->codes[39331] = 0x0000b128be3f30adUL;
   tf->codes[39332] = 0x0000b5b632bb0470UL;
   tf->codes[39333] = 0x0000b66e91072eaeUL;
   tf->codes[39334] = 0x0000baaf645a75a6UL;
   tf->codes[39335] = 0x0000beeb2f633db0UL;
   tf->codes[39336] = 0x0000d4796d06eddcUL;
   tf->codes[39337] = 0x0000e4f1e1355ba1UL;
   tf->codes[39338] = 0x0000ee428b774efeUL;
   tf->codes[39339] = 0x0000fb2580c6572cUL;
   tf->codes[39340] = 0x00011154180cd3c9UL;
   tf->codes[39341] = 0x00011e4367871385UL;
   tf->codes[39342] = 0x000122e7bbe1283cUL;
   tf->codes[39343] = 0x0001263b1f4b0a6eUL;
   tf->codes[39344] = 0x00012b66a3d370f0UL;
   tf->codes[39345] = 0x000135fa4af136e1UL;
   tf->codes[39346] = 0x00013a6b62263f38UL;
   tf->codes[39347] = 0x00013d5d8e1f8d5dUL;
   tf->codes[39348] = 0x0001462ff3fd0ff2UL;
   tf->codes[39349] = 0x00014e4e542bd5e8UL;
   tf->codes[39350] = 0x00015b22309b614cUL;
   tf->codes[39351] = 0x0001648059d3a910UL;
   tf->codes[39352] = 0x00017e9cf62f4413UL;
   tf->codes[39353] = 0x000181224039d7ecUL;
   tf->codes[39354] = 0x000192ffc68273eeUL;
   tf->codes[39355] = 0x000197d792909acaUL;
   tf->codes[39356] = 0x00019edbad559126UL;
   tf->codes[39357] = 0x0001a2766f0e7b70UL;
   tf->codes[39358] = 0x0001aca4fb3c4b3fUL;
   tf->codes[39359] = 0x0001afbbfb283a49UL;
   tf->codes[39360] = 0x0001b0e434a669d4UL;
   tf->codes[39361] = 0x0001be8a4883ab6bUL;
   tf->codes[39362] = 0x0001c4924f9dcbc1UL;
   tf->codes[39363] = 0x0001e27523d89944UL;
   tf->codes[39364] = 0x0001e30af7c85c4fUL;
   tf->codes[39365] = 0x0001e5c6031d3bffUL;
   tf->codes[39366] = 0x0001ec6d799e11b2UL;
   tf->codes[39367] = 0x0001fc88d46a5344UL;
   tf->codes[39368] = 0x00000040a3171a49UL;
   tf->codes[39369] = 0x00000732e6484e9fUL;
   tf->codes[39370] = 0x00000f8aeb40c281UL;
   tf->codes[39371] = 0x000011e8a2a47039UL;
   tf->codes[39372] = 0x00001fc820bc59f7UL;
   tf->codes[39373] = 0x00002a1eef3e2136UL;
   tf->codes[39374] = 0x00002c03a516e2d9UL;
   tf->codes[39375] = 0x00002e49ccef3e4eUL;
   tf->codes[39376] = 0x00002fc71e41d01dUL;
   tf->codes[39377] = 0x00003ffed654dd1bUL;
   tf->codes[39378] = 0x0000482a405bebeeUL;
   tf->codes[39379] = 0x00004e3a0e74d06eUL;
   tf->codes[39380] = 0x0000500316b3d7f4UL;
   tf->codes[39381] = 0x00005ac910ba9331UL;
   tf->codes[39382] = 0x000064bd0de29e00UL;
   tf->codes[39383] = 0x000080ef8e34d319UL;
   tf->codes[39384] = 0x0000871cde5f9fdeUL;
   tf->codes[39385] = 0x00008d71fbc05889UL;
   tf->codes[39386] = 0x0000954d563d8406UL;
   tf->codes[39387] = 0x000096c47a7a7a0eUL;
   tf->codes[39388] = 0x000097bf695a333bUL;
   tf->codes[39389] = 0x0000988cd30c7045UL;
   tf->codes[39390] = 0x00009a5e8c865309UL;
   tf->codes[39391] = 0x0000a224a10e65f5UL;
   tf->codes[39392] = 0x0000b8a72b5e27fdUL;
   tf->codes[39393] = 0x0000c1c164a8be34UL;
   tf->codes[39394] = 0x0000c99532b62b4cUL;
   tf->codes[39395] = 0x0000d8f8dee353efUL;
   tf->codes[39396] = 0x0000e4e4c8d20505UL;
   tf->codes[39397] = 0x0000e535fd270534UL;
   tf->codes[39398] = 0x0000efdf99e6f505UL;
   tf->codes[39399] = 0x0000ff3bf4336508UL;
   tf->codes[39400] = 0x00010436100eed52UL;
   tf->codes[39401] = 0x00010bb11d579bd6UL;
   tf->codes[39402] = 0x00010e462feebdc8UL;
   tf->codes[39403] = 0x0001107d045896aeUL;
   tf->codes[39404] = 0x000118c03879fd89UL;
   tf->codes[39405] = 0x00011c3b2e8ac5dcUL;
   tf->codes[39406] = 0x00011f431597381cUL;
   tf->codes[39407] = 0x00011fff5762c46fUL;
   tf->codes[39408] = 0x00012596990ec864UL;
   tf->codes[39409] = 0x00012bb50ae91e24UL;
   tf->codes[39410] = 0x0001324b1ef43d5bUL;
   tf->codes[39411] = 0x00013949bc50a93fUL;
   tf->codes[39412] = 0x0001406bce45936aUL;
   tf->codes[39413] = 0x0001509d594304a1UL;
   tf->codes[39414] = 0x000166a50d8fac6cUL;
   tf->codes[39415] = 0x00016ae8650832dbUL;
   tf->codes[39416] = 0x00016c78ed48a94eUL;
   tf->codes[39417] = 0x0001715d88a01342UL;
   tf->codes[39418] = 0x0001726f91ed1328UL;
   tf->codes[39419] = 0x000174c8410641f2UL;
   tf->codes[39420] = 0x00017a92102a40f8UL;
   tf->codes[39421] = 0x00017ed184236552UL;
   tf->codes[39422] = 0x00018d56d946a5f9UL;
   tf->codes[39423] = 0x0001b77de316d79cUL;
   tf->codes[39424] = 0x0001bdc45cb61f07UL;
   tf->codes[39425] = 0x0001de0dd41e7b45UL;
   tf->codes[39426] = 0x0001edbb62bfeb77UL;
   tf->codes[39427] = 0x0001f04f15fceacbUL;
   tf->codes[39428] = 0x0001f297c1fa85b7UL;
   tf->codes[39429] = 0x0001f6ff032995f7UL;
   tf->codes[39430] = 0x00000870573088fcUL;
   tf->codes[39431] = 0x0000169474e33596UL;
   tf->codes[39432] = 0x00001b28c621b66fUL;
   tf->codes[39433] = 0x00001e83f08a5ccbUL;
   tf->codes[39434] = 0x000027df5b0e5f53UL;
   tf->codes[39435] = 0x00002def9e454f5dUL;
   tf->codes[39436] = 0x0000369b2128fd20UL;
   tf->codes[39437] = 0x00003cea11741a04UL;
   tf->codes[39438] = 0x00003d03b006a034UL;
   tf->codes[39439] = 0x000049dd09deb610UL;
   tf->codes[39440] = 0x0000561fe019f792UL;
   tf->codes[39441] = 0x000058860e297ac3UL;
   tf->codes[39442] = 0x00005ce67295ddedUL;
   tf->codes[39443] = 0x0000716aa87a5822UL;
   tf->codes[39444] = 0x0000750c8184f547UL;
   tf->codes[39445] = 0x00008dfc16a6e796UL;
   tf->codes[39446] = 0x00008f165c10b730UL;
   tf->codes[39447] = 0x00009369f133d742UL;
   tf->codes[39448] = 0x00009ebee267a874UL;
   tf->codes[39449] = 0x0000a2c4ec2624a7UL;
   tf->codes[39450] = 0x0000a63c394690aaUL;
   tf->codes[39451] = 0x0000a8eb5f8e4456UL;
   tf->codes[39452] = 0x0000abc4621317d5UL;
   tf->codes[39453] = 0x0000aeec14c7ac0cUL;
   tf->codes[39454] = 0x0000ca1c54596f58UL;
   tf->codes[39455] = 0x0000e76c1358bf0cUL;
   tf->codes[39456] = 0x0001079cd66aac2eUL;
   tf->codes[39457] = 0x000110aff8638f8aUL;
   tf->codes[39458] = 0x00012af5fbde3ed6UL;
   tf->codes[39459] = 0x00012ef6fd523c1bUL;
   tf->codes[39460] = 0x000137e4268d61b9UL;
   tf->codes[39461] = 0x00014e63f228de85UL;
   tf->codes[39462] = 0x000150fb4e563a29UL;
   tf->codes[39463] = 0x00015c4928385880UL;
   tf->codes[39464] = 0x0001607614f0a985UL;
   tf->codes[39465] = 0x0001629b4c55c62aUL;
   tf->codes[39466] = 0x000165b5801405faUL;
   tf->codes[39467] = 0x00016aff365b6610UL;
   tf->codes[39468] = 0x00016b5cc4db9dcdUL;
   tf->codes[39469] = 0x000182ccf9a3ca60UL;
   tf->codes[39470] = 0x0001876d2fef773dUL;
   tf->codes[39471] = 0x000196ea05911a86UL;
   tf->codes[39472] = 0x0001989b7e44cfc9UL;
   tf->codes[39473] = 0x0001a29ab0ccf54dUL;
   tf->codes[39474] = 0x0001b1a3529f25aaUL;
   tf->codes[39475] = 0x0001b93edb3d0774UL;
   tf->codes[39476] = 0x0001bbb4222c076fUL;
   tf->codes[39477] = 0x0001bd4385a16109UL;
   tf->codes[39478] = 0x0001be212cfe37b6UL;
   tf->codes[39479] = 0x0001c5207a07b4e9UL;
   tf->codes[39480] = 0x0001c9aa45932c5cUL;
   tf->codes[39481] = 0x0001d69af4678eb6UL;
   tf->codes[39482] = 0x0001de826e80ebfcUL;
   tf->codes[39483] = 0x0001e077d72252ccUL;
   tf->codes[39484] = 0x0001ed6d1923288aUL;
   tf->codes[39485] = 0x0001f2230a81f982UL;
   tf->codes[39486] = 0x0001f2afb818d5c5UL;
   tf->codes[39487] = 0x0001f75b5e53a31cUL;
   tf->codes[39488] = 0x0001fa7816372263UL;
   tf->codes[39489] = 0x0001fc270ac5982fUL;
   tf->codes[39490] = 0x000009153574bb12UL;
   tf->codes[39491] = 0x000009ab7e8289a7UL;
   tf->codes[39492] = 0x00000acc2b90facdUL;
   tf->codes[39493] = 0x0000193a6646f4bbUL;
   tf->codes[39494] = 0x000019f7ccdd9de7UL;
   tf->codes[39495] = 0x00001c3ac0e3a896UL;
   tf->codes[39496] = 0x000025f8c23261c9UL;
   tf->codes[39497] = 0x00002a52f989292cUL;
   tf->codes[39498] = 0x00002c9def1cfdcaUL;
   tf->codes[39499] = 0x0000370aedcff4aeUL;
   tf->codes[39500] = 0x00003b06e6f97305UL;
   tf->codes[39501] = 0x00004d6a78a543f9UL;
   tf->codes[39502] = 0x0000533447c942ffUL;
   tf->codes[39503] = 0x00005bc541de537eUL;
   tf->codes[39504] = 0x000064b1464e5c43UL;
   tf->codes[39505] = 0x000065943084b7a3UL;
   tf->codes[39506] = 0x0000660bd2b5811aUL;
   tf->codes[39507] = 0x000074b7d04390ceUL;
   tf->codes[39508] = 0x00009b2cfded916eUL;
   tf->codes[39509] = 0x00009bf4afa83e3bUL;
   tf->codes[39510] = 0x0000a83a4497c4f9UL;
   tf->codes[39511] = 0x0000abb7f95cd288UL;
   tf->codes[39512] = 0x0000b6c292fe50a1UL;
   tf->codes[39513] = 0x0000b7be318b1b1dUL;
   tf->codes[39514] = 0x0000ba49e33a5082UL;
   tf->codes[39515] = 0x0000baccbacb34aeUL;
   tf->codes[39516] = 0x0000bd0aa686c06fUL;
   tf->codes[39517] = 0x0000d17def138fb2UL;
   tf->codes[39518] = 0x0000db187bc9ca9eUL;
   tf->codes[39519] = 0x0000f904eb7b8a73UL;
   tf->codes[39520] = 0x0001063cf89ef4e5UL;
   tf->codes[39521] = 0x00010abbc9595768UL;
   tf->codes[39522] = 0x00011dacf2d81bb3UL;
   tf->codes[39523] = 0x00012c00df4e7e22UL;
   tf->codes[39524] = 0x00013404b6aea6d4UL;
   tf->codes[39525] = 0x000136e19cb2dc68UL;
   tf->codes[39526] = 0x00014bc8de8018d2UL;
   tf->codes[39527] = 0x00016306faee55deUL;
   tf->codes[39528] = 0x000167c17f799a3aUL;
   tf->codes[39529] = 0x0001891f49c53010UL;
   tf->codes[39530] = 0x00018b786dfc6a64UL;
   tf->codes[39531] = 0x000190a760e62771UL;
   tf->codes[39532] = 0x000191f3841ae0cdUL;
   tf->codes[39533] = 0x0001ad06f147cd23UL;
   tf->codes[39534] = 0x0001af19dbfb1c38UL;
   tf->codes[39535] = 0x0001bad288c4c0eeUL;
   tf->codes[39536] = 0x0001c2fcce00b2e8UL;
   tf->codes[39537] = 0x0001cd2567a7ecb5UL;
   tf->codes[39538] = 0x0001d28c65722f4bUL;
   tf->codes[39539] = 0x0001e498209558bfUL;
   tf->codes[39540] = 0x0001f81c5f4f9ad9UL;
   tf->codes[39541] = 0x000013e91504c881UL;
   tf->codes[39542] = 0x0000245b96aca044UL;
   tf->codes[39543] = 0x000030d811b18fb2UL;
   tf->codes[39544] = 0x0000349bc56b82bbUL;
   tf->codes[39545] = 0x00003731fccdc186UL;
   tf->codes[39546] = 0x0000383318c3167aUL;
   tf->codes[39547] = 0x0000424ac512a555UL;
   tf->codes[39548] = 0x000050157253820cUL;
   tf->codes[39549] = 0x0000517541942b96UL;
   tf->codes[39550] = 0x00005373d08e792eUL;
   tf->codes[39551] = 0x000055772d443fefUL;
   tf->codes[39552] = 0x000056357e17002fUL;
   tf->codes[39553] = 0x000056fe1a0dc410UL;
   tf->codes[39554] = 0x00006647ed1960beUL;
   tf->codes[39555] = 0x00006912fb89d44cUL;
   tf->codes[39556] = 0x000076a5d879313fUL;
   tf->codes[39557] = 0x00007ce8e3b7221fUL;
   tf->codes[39558] = 0x00008c0de2d01de8UL;
   tf->codes[39559] = 0x0000924afb8778c6UL;
   tf->codes[39560] = 0x0000a226847470a5UL;
   tf->codes[39561] = 0x0000a3f753b23c55UL;
   tf->codes[39562] = 0x0000b15bc1380611UL;
   tf->codes[39563] = 0x0000b20ccda377afUL;
   tf->codes[39564] = 0x0000b2a76f4eb3e3UL;
   tf->codes[39565] = 0x0000b7dbdfa0fb68UL;
   tf->codes[39566] = 0x0000bb4a066880a3UL;
   tf->codes[39567] = 0x0000c56f6c3d69aaUL;
   tf->codes[39568] = 0x0000cddcb72af61dUL;
   tf->codes[39569] = 0x0000eacd4dc0e5b1UL;
   tf->codes[39570] = 0x0000ee41670f00eeUL;
   tf->codes[39571] = 0x0000ee9594a74c1eUL;
   tf->codes[39572] = 0x0000f7ac5f908bcaUL;
   tf->codes[39573] = 0x00010b59904bd6a3UL;
   tf->codes[39574] = 0x00010e22ca441c09UL;
   tf->codes[39575] = 0x000114839222faf3UL;
   tf->codes[39576] = 0x000117e892919966UL;
   tf->codes[39577] = 0x00013b8e592db8d9UL;
   tf->codes[39578] = 0x00013bdc1f21627dUL;
   tf->codes[39579] = 0x00013cc6d0568207UL;
   tf->codes[39580] = 0x00013d0a4b26280aUL;
   tf->codes[39581] = 0x000140465993bdbeUL;
   tf->codes[39582] = 0x000149f20e30a961UL;
   tf->codes[39583] = 0x00014bc94513169dUL;
   tf->codes[39584] = 0x00015a2a75f0c7aeUL;
   tf->codes[39585] = 0x00015bce6fae288aUL;
   tf->codes[39586] = 0x00016a2171e873e5UL;
   tf->codes[39587] = 0x00016c9bfbb0f893UL;
   tf->codes[39588] = 0x00016d750fe15bdcUL;
   tf->codes[39589] = 0x0001797e7be1f537UL;
   tf->codes[39590] = 0x00017d8ed0c4750bUL;
   tf->codes[39591] = 0x00018237b84afd26UL;
   tf->codes[39592] = 0x000194e8603d666fUL;
   tf->codes[39593] = 0x0001971ceb1105a3UL;
   tf->codes[39594] = 0x00019fe4cb3b7ed2UL;
   tf->codes[39595] = 0x0001c7304e619d7fUL;
   tf->codes[39596] = 0x0001d28af78cfeeeUL;
   tf->codes[39597] = 0x0001d49237c227c4UL;
   tf->codes[39598] = 0x0001dc09618b7433UL;
   tf->codes[39599] = 0x0001ded1019a9136UL;
   tf->codes[39600] = 0x0001e52ff50141f8UL;
   tf->codes[39601] = 0x0001e6c07d41b86bUL;
   tf->codes[39602] = 0x0001f44615c9c6bcUL;
   tf->codes[39603] = 0x0001fe758c33ad9fUL;
   tf->codes[39604] = 0x00000af70f831bfbUL;
   tf->codes[39605] = 0x000016fb38aa30a3UL;
   tf->codes[39606] = 0x00001f512e9b7098UL;
   tf->codes[39607] = 0x00003718c4ce3921UL;
   tf->codes[39608] = 0x00003f8316787a93UL;
   tf->codes[39609] = 0x00003fc531edfdf8UL;
   tf->codes[39610] = 0x00004581821ba897UL;
   tf->codes[39611] = 0x00004ac3abf34a48UL;
   tf->codes[39612] = 0x00005afd730d8b33UL;
   tf->codes[39613] = 0x00006342068914acUL;
   tf->codes[39614] = 0x00006496a069a381UL;
   tf->codes[39615] = 0x0000662a970b707fUL;
   tf->codes[39616] = 0x00007a92aa38250dUL;
   tf->codes[39617] = 0x00007c4affae8766UL;
   tf->codes[39618] = 0x00007ef1e9d96b5eUL;
   tf->codes[39619] = 0x000082f7095bd07dUL;
   tf->codes[39620] = 0x0000853395bd39a0UL;
   tf->codes[39621] = 0x000093f88230be35UL;
   tf->codes[39622] = 0x000099d3ee59797cUL;
   tf->codes[39623] = 0x00009a1594b0f157UL;
   tf->codes[39624] = 0x00009acf17c8386eUL;
   tf->codes[39625] = 0x0000a0d5bf883626UL;
   tf->codes[39626] = 0x0000a0e0ba594b16UL;
   tf->codes[39627] = 0x0000a0e9e0b231deUL;
   tf->codes[39628] = 0x0000ac094b2abcfeUL;
   tf->codes[39629] = 0x0000bae21e393786UL;
   tf->codes[39630] = 0x0000bea81b896441UL;
   tf->codes[39631] = 0x0000cf686324e5a8UL;
   tf->codes[39632] = 0x0000d8cda3aee047UL;
   tf->codes[39633] = 0x0000e2523ac2f153UL;
   tf->codes[39634] = 0x000101f3cc18c2bbUL;
   tf->codes[39635] = 0x00010ca1fc0525f0UL;
   tf->codes[39636] = 0x0001161ae89b10bdUL;
   tf->codes[39637] = 0x000120c82e4b5cdeUL;
   tf->codes[39638] = 0x0001212affa5194eUL;
   tf->codes[39639] = 0x0001375e64a70f14UL;
   tf->codes[39640] = 0x00013aeb324b996dUL;
   tf->codes[39641] = 0x00014c544a35bcbeUL;
   tf->codes[39642] = 0x00015099eb447cdfUL;
   tf->codes[39643] = 0x000151b1ac890d02UL;
   tf->codes[39644] = 0x0001541088b7d793UL;
   tf->codes[39645] = 0x000155be930a364bUL;
   tf->codes[39646] = 0x00015af6372ece96UL;
   tf->codes[39647] = 0x0001625e0d899876UL;
   tf->codes[39648] = 0x00016e2140064692UL;
   tf->codes[39649] = 0x00016eab2ee8dd99UL;
   tf->codes[39650] = 0x000174205b5685e5UL;
   tf->codes[39651] = 0x00017b6b24bd730aUL;
   tf->codes[39652] = 0x000191fa09386ca0UL;
   tf->codes[39653] = 0x000192cbcb881749UL;
   tf->codes[39654] = 0x000194b00c42cd62UL;
   tf->codes[39655] = 0x0001996d4f8256faUL;
   tf->codes[39656] = 0x0001c912718a11ecUL;
   tf->codes[39657] = 0x0001c9506ef12d77UL;
   tf->codes[39658] = 0x0001cde151ce57c5UL;
   tf->codes[39659] = 0x0001ce278b524304UL;
   tf->codes[39660] = 0x0001da3724687826UL;
   tf->codes[39661] = 0x0001f1d79d126618UL;
   tf->codes[39662] = 0x0001f61ffcd56b75UL;
   tf->codes[39663] = 0x0001f70028578199UL;
   tf->codes[39664] = 0x0001f8356badfa01UL;
   tf->codes[39665] = 0x0001f934789c1b08UL;
   tf->codes[39666] = 0x0001fb0ea8c1d345UL;
   tf->codes[39667] = 0x0001fc6f9ccd99a8UL;
   tf->codes[39668] = 0x0001fcb093780034UL;
   tf->codes[39669] = 0x0001fd15ae67f656UL;
   tf->codes[39670] = 0x000001a8a04c5491UL;
   tf->codes[39671] = 0x00000ac9f0e89da3UL;
   tf->codes[39672] = 0x00000ec783fb445dUL;
   tf->codes[39673] = 0x00001c59ebcc95c6UL;
   tf->codes[39674] = 0x000029ddea6b7bb4UL;
   tf->codes[39675] = 0x00002ceb145172a7UL;
   tf->codes[39676] = 0x00003250ed509864UL;
   tf->codes[39677] = 0x000041f2d173e257UL;
   tf->codes[39678] = 0x0000421d97ed193eUL;
   tf->codes[39679] = 0x0000432b489cab85UL;
   tf->codes[39680] = 0x000048e13125b498UL;
   tf->codes[39681] = 0x00004fe252a75ff3UL;
   tf->codes[39682] = 0x000053bd95eca53fUL;
   tf->codes[39683] = 0x0000751bd556469fUL;
   tf->codes[39684] = 0x00008fc7ddfd0321UL;
   tf->codes[39685] = 0x0000950ffa5b3ad4UL;
   tf->codes[39686] = 0x0000a10669fcf550UL;
   tf->codes[39687] = 0x0000b37cf807a523UL;
   tf->codes[39688] = 0x0000b83de4378b0bUL;
   tf->codes[39689] = 0x0000c0f302922b20UL;
   tf->codes[39690] = 0x0000dc304bfc3749UL;
   tf->codes[39691] = 0x0000ffafdf4b9339UL;
   tf->codes[39692] = 0x00010169598d126bUL;
   tf->codes[39693] = 0x00010b94ec779739UL;
   tf->codes[39694] = 0x000114b7d6fd08aeUL;
   tf->codes[39695] = 0x000127af68206e85UL;
   tf->codes[39696] = 0x00012b5f353f6b9bUL;
   tf->codes[39697] = 0x00012d3df891973cUL;
   tf->codes[39698] = 0x00013cf647751699UL;
   tf->codes[39699] = 0x000146d8e2276aecUL;
   tf->codes[39700] = 0x000150b9e2f096dcUL;
   tf->codes[39701] = 0x000150ffe1e57c56UL;
   tf->codes[39702] = 0x00015c14518cf286UL;
   tf->codes[39703] = 0x00015d29c93b48f7UL;
   tf->codes[39704] = 0x0001875b58be8400UL;
   tf->codes[39705] = 0x00018e5c7a402f5bUL;
   tf->codes[39706] = 0x00019071ae89b822UL;
   tf->codes[39707] = 0x000192370dd86358UL;
   tf->codes[39708] = 0x000194a74c7ce465UL;
   tf->codes[39709] = 0x0001979e4631abb3UL;
   tf->codes[39710] = 0x0001aea15e7c1835UL;
   tf->codes[39711] = 0x0001aef16e05fb8bUL;
   tf->codes[39712] = 0x0001b17175370ab1UL;
   tf->codes[39713] = 0x0001ce22747cb657UL;
   tf->codes[39714] = 0x0001dba5fdfd90bbUL;
   tf->codes[39715] = 0x0001e5413a60dcf6UL;
   tf->codes[39716] = 0x0001e7612eec74e8UL;
   tf->codes[39717] = 0x0001e7ee171256f0UL;
   tf->codes[39718] = 0x0001e8699cc2827cUL;
   tf->codes[39719] = 0x0001e8e681ccd0a6UL;
   tf->codes[39720] = 0x0001ea3faed9d2dfUL;
   tf->codes[39721] = 0x0001ee2f88671f6dUL;
   tf->codes[39722] = 0x0001fe3f73444085UL;
   tf->codes[39723] = 0x0000010ba67fd0ecUL;
   tf->codes[39724] = 0x0000063d1d8ecd70UL;
   tf->codes[39725] = 0x000023d8937a92dbUL;
   tf->codes[39726] = 0x00002a55b8a03d31UL;
   tf->codes[39727] = 0x00003871d4c51fdcUL;
   tf->codes[39728] = 0x00003e503a312624UL;
   tf->codes[39729] = 0x000043141fa4570dUL;
   tf->codes[39730] = 0x000044403ca1e8adUL;
   tf->codes[39731] = 0x00004d8ffca7c4f6UL;
   tf->codes[39732] = 0x0000571be59c8ea2UL;
   tf->codes[39733] = 0x00005d9cee419b0dUL;
   tf->codes[39734] = 0x00006fb453e2eac0UL;
   tf->codes[39735] = 0x0000737b75fe3454UL;
   tf->codes[39736] = 0x000077697b1352baUL;
   tf->codes[39737] = 0x000079b3fb891bceUL;
   tf->codes[39738] = 0x00007a3b6646735eUL;
   tf->codes[39739] = 0x00007db70c044d00UL;
   tf->codes[39740] = 0x00008d0203db0687UL;
   tf->codes[39741] = 0x00008d157557f0f0UL;
   tf->codes[39742] = 0x000092fed5950c28UL;
   tf->codes[39743] = 0x00009596e16f791bUL;
   tf->codes[39744] = 0x000097b3dcb7c60cUL;
   tf->codes[39745] = 0x00009a93f68e4c66UL;
   tf->codes[39746] = 0x0000a4a8347c84b6UL;
   tf->codes[39747] = 0x0000a9105fe7ac0aUL;
   tf->codes[39748] = 0x0000abe1d5fcc124UL;
   tf->codes[39749] = 0x0000aef7ebac991aUL;
   tf->codes[39750] = 0x0000baeff5377bf9UL;
   tf->codes[39751] = 0x0000bb04166177b1UL;
   tf->codes[39752] = 0x0000d2f75d498e35UL;
   tf->codes[39753] = 0x0000d464e60f91ebUL;
   tf->codes[39754] = 0x0000df4a712f695aUL;
   tf->codes[39755] = 0x0000df60a16098ffUL;
   tf->codes[39756] = 0x0000e56db0c53843UL;
   tf->codes[39757] = 0x0000edd668865152UL;
   tf->codes[39758] = 0x0000face693b6c4cUL;
   tf->codes[39759] = 0x000103e4f995a633UL;
   tf->codes[39760] = 0x000106ead19ae486UL;
   tf->codes[39761] = 0x000111dc41c7e7f9UL;
   tf->codes[39762] = 0x000113068a4d4b71UL;
   tf->codes[39763] = 0x00011acdc3a07b36UL;
   tf->codes[39764] = 0x00011ebc03449f61UL;
   tf->codes[39765] = 0x00011f2501b3f798UL;
   tf->codes[39766] = 0x0001256080822a13UL;
   tf->codes[39767] = 0x0001381e6cdbe1feUL;
   tf->codes[39768] = 0x00013df71a505809UL;
   tf->codes[39769] = 0x000145be53a387ceUL;
   tf->codes[39770] = 0x0001463ee19e3248UL;
   tf->codes[39771] = 0x00015087bc0b9996UL;
   tf->codes[39772] = 0x00015e4b8c89c937UL;
   tf->codes[39773] = 0x00016f53a7925e40UL;
   tf->codes[39774] = 0x00018f758c53d45dUL;
   tf->codes[39775] = 0x000192e84647ccfcUL;
   tf->codes[39776] = 0x00019a15187ec652UL;
   tf->codes[39777] = 0x0001afc6559ce93bUL;
   tf->codes[39778] = 0x0001b452302f949bUL;
   tf->codes[39779] = 0x0001b95a7aae829bUL;
   tf->codes[39780] = 0x0001bc2acbf87adcUL;
   tf->codes[39781] = 0x0001c0e6afdde1d6UL;
   tf->codes[39782] = 0x0001c4bb8b7e8596UL;
   tf->codes[39783] = 0x0001c9d65d3e46ebUL;
   tf->codes[39784] = 0x0001cd043d0876e9UL;
   tf->codes[39785] = 0x0001cef9308bd22fUL;
   tf->codes[39786] = 0x0001d7ba6e82a40dUL;
   tf->codes[39787] = 0x0001ee05630fec16UL;
   tf->codes[39788] = 0x0001f763172a2850UL;
   tf->codes[39789] = 0x0000109f8803ad2fUL;
   tf->codes[39790] = 0x000014d9f3b2529bUL;
   tf->codes[39791] = 0x00001982661acf2cUL;
   tf->codes[39792] = 0x00001c4b65840ecdUL;
   tf->codes[39793] = 0x00001cf9b33b3b2fUL;
   tf->codes[39794] = 0x000020b7746e9836UL;
   tf->codes[39795] = 0x0000290f0449008eUL;
   tf->codes[39796] = 0x00002d7f3141f1d1UL;
   tf->codes[39797] = 0x00002ea3fc5ecad1UL;
   tf->codes[39798] = 0x000032a18f71718bUL;
   tf->codes[39799] = 0x00003b6a59d801ceUL;
   tf->codes[39800] = 0x00005d1b2cf0c5fbUL;
   tf->codes[39801] = 0x00005d369ffb7a53UL;
   tf->codes[39802] = 0x0000688897ec0084UL;
   tf->codes[39803] = 0x00006c0d6402c0eeUL;
   tf->codes[39804] = 0x0000716e6f466d82UL;
   tf->codes[39805] = 0x000077eb1f4e0c4eUL;
   tf->codes[39806] = 0x00007f94d68f53ceUL;
   tf->codes[39807] = 0x000080e4a2b4697aUL;
   tf->codes[39808] = 0x000081f7963d8074UL;
   tf->codes[39809] = 0x000088edf77d1ca4UL;
   tf->codes[39810] = 0x00008be2a79baa40UL;
   tf->codes[39811] = 0x000091f39a7fab99UL;
   tf->codes[39812] = 0x0000a2d92b2bd96fUL;
   tf->codes[39813] = 0x0000a721505fd907UL;
   tf->codes[39814] = 0x0000ad0c0ff716ddUL;
   tf->codes[39815] = 0x0000bdabdc3d64feUL;
   tf->codes[39816] = 0x0000c4be6034c6d5UL;
   tf->codes[39817] = 0x0000cb64023d6e60UL;
   tf->codes[39818] = 0x0000cd37cabe8511UL;
   tf->codes[39819] = 0x0000d8e83b6b5a13UL;
   tf->codes[39820] = 0x0000e7178e7e2162UL;
   tf->codes[39821] = 0x00011581b537d3afUL;
   tf->codes[39822] = 0x00011cfd722d9382UL;
   tf->codes[39823] = 0x00012257a0ae9300UL;
   tf->codes[39824] = 0x00012a8e7aa4c24dUL;
   tf->codes[39825] = 0x00013a2c40b9a466UL;
   tf->codes[39826] = 0x00014ceec03fcfb5UL;
   tf->codes[39827] = 0x00014e24b343596cUL;
   tf->codes[39828] = 0x00014ea57bcd09abUL;
   tf->codes[39829] = 0x00015ba41eb5cbf6UL;
   tf->codes[39830] = 0x0001612e1bfa8149UL;
   tf->codes[39831] = 0x000166fe52c321dbUL;
   tf->codes[39832] = 0x000188f47523ba33UL;
   tf->codes[39833] = 0x00019c719c8c4972UL;
   tf->codes[39834] = 0x0001a468a4a32f0cUL;
   tf->codes[39835] = 0x0001a8825a6d9b6dUL;
   tf->codes[39836] = 0x0001ab3e4ffe9231UL;
   tf->codes[39837] = 0x0001ac1d56b58b7cUL;
   tf->codes[39838] = 0x0001b1d0f5a85addUL;
   tf->codes[39839] = 0x0001b81efbb760adUL;
   tf->codes[39840] = 0x0001bcafde948afbUL;
   tf->codes[39841] = 0x0001bd79d9e5717aUL;
   tf->codes[39842] = 0x0001c7f57c59d99eUL;
   tf->codes[39843] = 0x0001c970f9343d45UL;
   tf->codes[39844] = 0x0001d92b1c8feacaUL;
   tf->codes[39845] = 0x0001e6544b62de37UL;
   tf->codes[39846] = 0x00000d92c4b0b407UL;
   tf->codes[39847] = 0x00001289379be001UL;
   tf->codes[39848] = 0x00001b4114aac552UL;
   tf->codes[39849] = 0x00001ec7401ba85aUL;
   tf->codes[39850] = 0x0000205f1a3cd76dUL;
   tf->codes[39851] = 0x0000213360b1c18dUL;
   tf->codes[39852] = 0x00002144137a66baUL;
   tf->codes[39853] = 0x00002c224cb98589UL;
   tf->codes[39854] = 0x00003d301fb9aacfUL;
   tf->codes[39855] = 0x000042b9a7e05498UL;
   tf->codes[39856] = 0x000044918e6fd323UL;
   tf->codes[39857] = 0x0000557bb248745dUL;
   tf->codes[39858] = 0x0000569d0f03f6d2UL;
   tf->codes[39859] = 0x00005c871eee2359UL;
   tf->codes[39860] = 0x00006325e4341dceUL;
   tf->codes[39861] = 0x00006979a23ab3dbUL;
   tf->codes[39862] = 0x00006acf265759c4UL;
   tf->codes[39863] = 0x00007bb9f9dd0c4dUL;
   tf->codes[39864] = 0x00007ea9a1b11afbUL;
   tf->codes[39865] = 0x00008177e3f3df4fUL;
   tf->codes[39866] = 0x000081e450c48e11UL;
   tf->codes[39867] = 0x000082136fdb3297UL;
   tf->codes[39868] = 0x000093cc22312db4UL;
   tf->codes[39869] = 0x0000a1234b4fa8ceUL;
   tf->codes[39870] = 0x0000a653630482b4UL;
   tf->codes[39871] = 0x0000a6878a65a628UL;
   tf->codes[39872] = 0x0000c4fb9f63c352UL;
   tf->codes[39873] = 0x0000d1b826d70238UL;
   tf->codes[39874] = 0x0000d2e5689fb0b1UL;
   tf->codes[39875] = 0x0000d855c751dfd4UL;
   tf->codes[39876] = 0x0000e9af8bcd8096UL;
   tf->codes[39877] = 0x0000f79b6410a1e2UL;
   tf->codes[39878] = 0x0001164bdc8cb234UL;
   tf->codes[39879] = 0x000122e4b4d86d0eUL;
   tf->codes[39880] = 0x000137e88e7b7aa9UL;
   tf->codes[39881] = 0x00014e049e8123f1UL;
   tf->codes[39882] = 0x00017ae937cb74bbUL;
   tf->codes[39883] = 0x000184e98f1eb718UL;
   tf->codes[39884] = 0x00018d3f0ff1eb83UL;
   tf->codes[39885] = 0x000192a7a7a5567cUL;
   tf->codes[39886] = 0x0001a8f67fb2009aUL;
   tf->codes[39887] = 0x0001af314ed321c6UL;
   tf->codes[39888] = 0x0001be0d1b24e74fUL;
   tf->codes[39889] = 0x0001c6713fb98cfaUL;
   tf->codes[39890] = 0x0001c81b668c899dUL;
   tf->codes[39891] = 0x0001c8c0535bc972UL;
   tf->codes[39892] = 0x0001cae0f79472b3UL;
   tf->codes[39893] = 0x0001d4fab2eb357bUL;
   tf->codes[39894] = 0x0001e4cee9f774baUL;
   tf->codes[39895] = 0x0001e8a524f23b18UL;
   tf->codes[39896] = 0x0001f15db1ae31b8UL;
   tf->codes[39897] = 0x0001f1a460502881UL;
   tf->codes[39898] = 0x0001f85f484de89dUL;
   tf->codes[39899] = 0x0001fa66136505e9UL;
   tf->codes[39900] = 0x0001fb396f9dd8f5UL;
   tf->codes[39901] = 0x00000666590cb87cUL;
   tf->codes[39902] = 0x00000a2c1bcddf72UL;
   tf->codes[39903] = 0x000014a3dac2e581UL;
   tf->codes[39904] = 0x00001f44c647fa14UL;
   tf->codes[39905] = 0x000035a91ed8c288UL;
   tf->codes[39906] = 0x00003cc0e5a9a912UL;
   tf->codes[39907] = 0x0000532f1440699dUL;
   tf->codes[39908] = 0x000054f3fe710949UL;
   tf->codes[39909] = 0x00005662e6912f9dUL;
   tf->codes[39910] = 0x0000572087b6de8eUL;
   tf->codes[39911] = 0x00005ce8f780baf6UL;
   tf->codes[39912] = 0x00005f2e6fac051cUL;
   tf->codes[39913] = 0x000068896511fc1aUL;
   tf->codes[39914] = 0x00006e6be88c6a3cUL;
   tf->codes[39915] = 0x0000794c6b61c2bdUL;
   tf->codes[39916] = 0x00008fb34817caa8UL;
   tf->codes[39917] = 0x000091d217d845c1UL;
   tf->codes[39918] = 0x0000968bb2277309UL;
   tf->codes[39919] = 0x00009b45fc23b1a0UL;
   tf->codes[39920] = 0x0000a054ae47412cUL;
   tf->codes[39921] = 0x0000ac9a4336c7eaUL;
   tf->codes[39922] = 0x0000b1e51e4944d9UL;
   tf->codes[39923] = 0x0000b25ab172da63UL;
   tf->codes[39924] = 0x0000bdebcb9598f8UL;
   tf->codes[39925] = 0x0000bf27ebaebe76UL;
   tf->codes[39926] = 0x0000c13bfb2d2a64UL;
   tf->codes[39927] = 0x0000ce97f2071ea7UL;
   tf->codes[39928] = 0x0000d200d5f51f2fUL;
   tf->codes[39929] = 0x0000d43e8721a52bUL;
   tf->codes[39930] = 0x0000db381c339221UL;
   tf->codes[39931] = 0x0000e3647076b808UL;
   tf->codes[39932] = 0x0000ec5c9482f296UL;
   tf->codes[39933] = 0x0000f479cfe69bb3UL;
   tf->codes[39934] = 0x0000f635ce4d5a5cUL;
   tf->codes[39935] = 0x0000fee7b8d5a9abUL;
   tf->codes[39936] = 0x000107411d28402bUL;
   tf->codes[39937] = 0x00010d3418dc4db5UL;
   tf->codes[39938] = 0x000120299af87f9fUL;
   tf->codes[39939] = 0x0001216fcba6a2f9UL;
   tf->codes[39940] = 0x0001237487b68c58UL;
   tf->codes[39941] = 0x000127d944c05d21UL;
   tf->codes[39942] = 0x00012a702bcfad3bUL;
   tf->codes[39943] = 0x00014a28d792c55cUL;
   tf->codes[39944] = 0x00015cd3c78d9e68UL;
   tf->codes[39945] = 0x0001628d1e77fe06UL;
   tf->codes[39946] = 0x000164da9831121bUL;
   tf->codes[39947] = 0x0001766e017660c9UL;
   tf->codes[39948] = 0x000184533785dac4UL;
   tf->codes[39949] = 0x000188a82c031d74UL;
   tf->codes[39950] = 0x00018c0899454883UL;
   tf->codes[39951] = 0x0001a28b23950a8bUL;
   tf->codes[39952] = 0x0001a378ce0d7516UL;
   tf->codes[39953] = 0x0001aa5605d896a0UL;
   tf->codes[39954] = 0x0001ab3e6d777c78UL;
   tf->codes[39955] = 0x0001c9ddbe0cdc13UL;
   tf->codes[39956] = 0x0001d299440c1db4UL;
   tf->codes[39957] = 0x0001d3d7732c771fUL;
   tf->codes[39958] = 0x0001da60f27d5903UL;
   tf->codes[39959] = 0x0001dbc4301f5918UL;
   tf->codes[39960] = 0x0001dd8f81f49a50UL;
   tf->codes[39961] = 0x0001dfd694090cd9UL;
   tf->codes[39962] = 0x0001e8c30d972128UL;
   tf->codes[39963] = 0x0001ebc8e59c5f7bUL;
   tf->codes[39964] = 0x0001ef38312f018fUL;
   tf->codes[39965] = 0x000001c47a4cd57dUL;
   tf->codes[39966] = 0x0000104033f923d2UL;
   tf->codes[39967] = 0x0000191299d6a667UL;
   tf->codes[39968] = 0x00001c56e4610bcfUL;
   tf->codes[39969] = 0x000031e81b4806fcUL;
   tf->codes[39970] = 0x000042246687875eUL;
   tf->codes[39971] = 0x00004844acda0b46UL;
   tf->codes[39972] = 0x000048cf4b69b39cUL;
   tf->codes[39973] = 0x00004e626f074fb7UL;
   tf->codes[39974] = 0x000064e77d7c5136UL;
   tf->codes[39975] = 0x00006a0005a5d8d9UL;
   tf->codes[39976] = 0x00008d925ac50de3UL;
   tf->codes[39977] = 0x0000911b7f793becUL;
   tf->codes[39978] = 0x000097ed0cc63737UL;
   tf->codes[39979] = 0x00009bfcb1fba5bcUL;
   tf->codes[39980] = 0x0000a0d826fa28e8UL;
   tf->codes[39981] = 0x0000a5b36169a64fUL;
   tf->codes[39982] = 0x0000a605456bb7cdUL;
   tf->codes[39983] = 0x0000ab73cfa5b8c8UL;
   tf->codes[39984] = 0x0000b13a6af76708UL;
   tf->codes[39985] = 0x0000b6e015d5d678UL;
   tf->codes[39986] = 0x0000be90e468d0d3UL;
   tf->codes[39987] = 0x0000c6a82d45e3eeUL;
   tf->codes[39988] = 0x0000dda468cda35aUL;
   tf->codes[39989] = 0x0000e7e5071e3af4UL;
   tf->codes[39990] = 0x0000e8781c59b8c3UL;
   tf->codes[39991] = 0x0000e968faa47414UL;
   tf->codes[39992] = 0x0000ea9cdea0c9deUL;
   tf->codes[39993] = 0x0000f7b6f4944081UL;
   tf->codes[39994] = 0x0000fb1ad037c21bUL;
   tf->codes[39995] = 0x000105519882619eUL;
   tf->codes[39996] = 0x00010677c2f95d3cUL;
   tf->codes[39997] = 0x00010c031f98352dUL;
   tf->codes[39998] = 0x00011e50bba1dc41UL;
   tf->codes[39999] = 0x00011ed3cdc1c632UL;
   tf->codes[40000] = 0x00011f0570fdaa2fUL;
   tf->codes[40001] = 0x000121294908a436UL;
   tf->codes[40002] = 0x0001279a4e921cc3UL;
   tf->codes[40003] = 0x00013d618152698cUL;
   tf->codes[40004] = 0x00014af9dbaa50f7UL;
   tf->codes[40005] = 0x0001529a3203abeaUL;
   tf->codes[40006] = 0x000156373d52cfe6UL;
   tf->codes[40007] = 0x00015b63e6a65341UL;
   tf->codes[40008] = 0x00018575356360c9UL;
   tf->codes[40009] = 0x00018e5938459f9fUL;
   tf->codes[40010] = 0x00019ef60b48a2bfUL;
   tf->codes[40011] = 0x0001ac3d6bda8fc0UL;
   tf->codes[40012] = 0x0001b13787b6180aUL;
   tf->codes[40013] = 0x0001c9d3645dcab3UL;
   tf->codes[40014] = 0x0001dd30c01e37fbUL;
   tf->codes[40015] = 0x0001de7e7d3c19baUL;
   tf->codes[40016] = 0x0001f515d862e8c9UL;
   tf->codes[40017] = 0x0001f88c3b473db8UL;
   tf->codes[40018] = 0x0000047232af58ccUL;
   tf->codes[40019] = 0x000015a9a75d9820UL;
   tf->codes[40020] = 0x00001d06bd7652d5UL;
   tf->codes[40021] = 0x00001f346b8744f3UL;
   tf->codes[40022] = 0x0000314cf5f3b17fUL;
   tf->codes[40023] = 0x000038b99a09f488UL;
   tf->codes[40024] = 0x000039659e2ae738UL;
   tf->codes[40025] = 0x000050fcb5ece89dUL;
   tf->codes[40026] = 0x00005776e1cf47f2UL;
   tf->codes[40027] = 0x00005fb5f7e246f3UL;
   tf->codes[40028] = 0x000066cc5f590adfUL;
   tf->codes[40029] = 0x00008fd1d1deb448UL;
   tf->codes[40030] = 0x0000945cc2354894UL;
   tf->codes[40031] = 0x00009ccfc51a6544UL;
   tf->codes[40032] = 0x00009e228a82c5f1UL;
   tf->codes[40033] = 0x00009f76af45493cUL;
   tf->codes[40034] = 0x0000a3b2ef6c1cd0UL;
   tf->codes[40035] = 0x0000a4b5a54a9a27UL;
   tf->codes[40036] = 0x0000a8f4deb4b8bcUL;
   tf->codes[40037] = 0x0000ab608a2cc665UL;
   tf->codes[40038] = 0x0000bbe0c559f854UL;
   tf->codes[40039] = 0x0000d4700d476daaUL;
   tf->codes[40040] = 0x0000def9de5f3b84UL;
   tf->codes[40041] = 0x0000df50caabcbf0UL;
   tf->codes[40042] = 0x0000ec9c83db2690UL;
   tf->codes[40043] = 0x0000fc15b08c6d89UL;
   tf->codes[40044] = 0x0000fe46926fb06dUL;
   tf->codes[40045] = 0x00010b02df53e98eUL;
   tf->codes[40046] = 0x000115772fe79912UL;
   tf->codes[40047] = 0x000118553ab6eb7fUL;
   tf->codes[40048] = 0x00011ad332e0c6b8UL;
   tf->codes[40049] = 0x000124c13d823b85UL;
   tf->codes[40050] = 0x00012e4684435de0UL;
   tf->codes[40051] = 0x00013a5bd551233fUL;
   tf->codes[40052] = 0x00013d75596251c0UL;
   tf->codes[40053] = 0x00013f1c86f20362UL;
   tf->codes[40054] = 0x000141ebb370decaUL;
   tf->codes[40055] = 0x0001492763f84f25UL;
   tf->codes[40056] = 0x00014eaf5235d08bUL;
   tf->codes[40057] = 0x00014ffe6eadd4e8UL;
   tf->codes[40058] = 0x000151015f1b5804UL;
   tf->codes[40059] = 0x0001764f781245f2UL;
   tf->codes[40060] = 0x00017f2511c2194dUL;
   tf->codes[40061] = 0x00018120325b105aUL;
   tf->codes[40062] = 0x0001855fe0e33a79UL;
   tf->codes[40063] = 0x000188bd1a5314c2UL;
   tf->codes[40064] = 0x0001927dda561331UL;
   tf->codes[40065] = 0x0001928b594c6798UL;
   tf->codes[40066] = 0x0001952a7c788766UL;
   tf->codes[40067] = 0x0001cf9e8450de98UL;
   tf->codes[40068] = 0x0001d293e41c7d83UL;
   tf->codes[40069] = 0x0001e4b052084c24UL;
   tf->codes[40070] = 0x0001e58f1e303faaUL;
   tf->codes[40071] = 0x0001ead85f599436UL;
   tf->codes[40072] = 0x0001f11e9e69d5dcUL;
   tf->codes[40073] = 0x0001f422a1f6e607UL;
   tf->codes[40074] = 0x0001f440d3b5df9bUL;
   tf->codes[40075] = 0x0001f6f2b8b1d883UL;
   tf->codes[40076] = 0x0001f8e5629efa17UL;
   tf->codes[40077] = 0x00000eebb7917f44UL;
   tf->codes[40078] = 0x000013c3be2eabe5UL;
   tf->codes[40079] = 0x000013ca25d34d71UL;
   tf->codes[40080] = 0x00002550fa5e5eccUL;
   tf->codes[40081] = 0x00002b476473c2e1UL;
   tf->codes[40082] = 0x00002f8be0b76629UL;
   tf->codes[40083] = 0x000031279e57f751UL;
   tf->codes[40084] = 0x0000349bf2351853UL;
   tf->codes[40085] = 0x000034c0167aa7e9UL;
   tf->codes[40086] = 0x000041e4b22127f2UL;
   tf->codes[40087] = 0x00004f7c975b03d3UL;
   tf->codes[40088] = 0x000058dbaacf62abUL;
   tf->codes[40089] = 0x0000755d506f6406UL;
   tf->codes[40090] = 0x00007915943a3695UL;
   tf->codes[40091] = 0x00007bee96bf0a14UL;
   tf->codes[40092] = 0x000089a1b4749488UL;
   tf->codes[40093] = 0x00008da3dab3aea6UL;
   tf->codes[40094] = 0x00009fc30753c283UL;
   tf->codes[40095] = 0x0000b65594bf1869UL;
   tf->codes[40096] = 0x0000bf6d0f556964UL;
   tf->codes[40097] = 0x0000c13567e75f9bUL;
   tf->codes[40098] = 0x0000d2a3c2ab079fUL;
   tf->codes[40099] = 0x0000dea73c250af8UL;
   tf->codes[40100] = 0x0000e27ed679f3f4UL;
   tf->codes[40101] = 0x0000f018cabb03c2UL;
   tf->codes[40102] = 0x0000fed69fdcd57cUL;
   tf->codes[40103] = 0x00010049a60b63aaUL;
   tf->codes[40104] = 0x000101f700b0b113UL;
   tf->codes[40105] = 0x000108f4b3d105e3UL;
   tf->codes[40106] = 0x000109cb7e6b2f7aUL;
   tf->codes[40107] = 0x00010ea4e4627eb9UL;
   tf->codes[40108] = 0x00010fe76c2045c3UL;
   tf->codes[40109] = 0x000110348266de18UL;
   tf->codes[40110] = 0x0001171ae08ae66aUL;
   tf->codes[40111] = 0x00011b0a7f892d33UL;
   tf->codes[40112] = 0x00011bce88537db0UL;
   tf->codes[40113] = 0x000120d0309ec45fUL;
   tf->codes[40114] = 0x00012599ce098585UL;
   tf->codes[40115] = 0x00012cd334fabc2eUL;
   tf->codes[40116] = 0x00013320c5ebb674UL;
   tf->codes[40117] = 0x00013b2671c40d4eUL;
   tf->codes[40118] = 0x00013d7e71302ac9UL;
   tf->codes[40119] = 0x000141790aff8682UL;
   tf->codes[40120] = 0x00014a9a5b9bcf94UL;
   tf->codes[40121] = 0x00014f681714f894UL;
   tf->codes[40122] = 0x00015a7dab878b9dUL;
   tf->codes[40123] = 0x00015b45d26043f4UL;
   tf->codes[40124] = 0x0001653367e3ad37UL;
   tf->codes[40125] = 0x00016b0f492a7408UL;
   tf->codes[40126] = 0x00016ccfdabda615UL;
   tf->codes[40127] = 0x00017056062e891dUL;
   tf->codes[40128] = 0x00017257194e162cUL;
   tf->codes[40129] = 0x000174bdbc7ba4e7UL;
   tf->codes[40130] = 0x00018d014d7ca486UL;
   tf->codes[40131] = 0x00019593e17add68UL;
   tf->codes[40132] = 0x00019cdd10f8a22aUL;
   tf->codes[40133] = 0x00019d255983c156UL;
   tf->codes[40134] = 0x0001a3459fd6453eUL;
   tf->codes[40135] = 0x0001a48b5b665d0eUL;
   tf->codes[40136] = 0x0001c0f4873ef512UL;
   tf->codes[40137] = 0x0001c259243b17c5UL;
   tf->codes[40138] = 0x0001c29671f52201UL;
   tf->codes[40139] = 0x0001c30896bd6100UL;
   tf->codes[40140] = 0x0001c37369a4e75fUL;
   tf->codes[40141] = 0x0001c9b933971d7bUL;
   tf->codes[40142] = 0x0001cbd50a144d93UL;
   tf->codes[40143] = 0x0001daded0b19ac9UL;
   tf->codes[40144] = 0x0001eb2cf384dd31UL;
   tf->codes[40145] = 0x0001f526a8a4783dUL;
   tf->codes[40146] = 0x0001f9122994572cUL;
   tf->codes[40147] = 0x0001fce2377981c3UL;
   tf->codes[40148] = 0x000007d491e29c4aUL;
   tf->codes[40149] = 0x00000ebbda42bbb0UL;
   tf->codes[40150] = 0x00001522cf373661UL;
   tf->codes[40151] = 0x0000185edda4cc15UL;
   tf->codes[40152] = 0x00001ae378024e9fUL;
   tf->codes[40153] = 0x00001ba5ac5470f4UL;
   tf->codes[40154] = 0x00001cf0e54d133cUL;
   tf->codes[40155] = 0x0000251b9fa710c0UL;
   tf->codes[40156] = 0x00003c9ff599390bUL;
   tf->codes[40157] = 0x00003ed9fdd562b7UL;
   tf->codes[40158] = 0x0000443e777a65d6UL;
   tf->codes[40159] = 0x0000482cb71e8a01UL;
   tf->codes[40160] = 0x00005395545e4b61UL;
   tf->codes[40161] = 0x000061b37f8a61f9UL;
   tf->codes[40162] = 0x000067bfa4b2ea29UL;
   tf->codes[40163] = 0x00006ef52824bebdUL;
   tf->codes[40164] = 0x000077818f0d5bd8UL;
   tf->codes[40165] = 0x000078d0ab856035UL;
   tf->codes[40166] = 0x00007b211e81bf4bUL;
   tf->codes[40167] = 0x000093d3a078ad23UL;
   tf->codes[40168] = 0x0000c1522bc128d2UL;
   tf->codes[40169] = 0x0000cc8fc7f8ad86UL;
   tf->codes[40170] = 0x0000dc6b50e5a565UL;
   tf->codes[40171] = 0x0000de951b77356eUL;
   tf->codes[40172] = 0x0000e5165eab479eUL;
   tf->codes[40173] = 0x0000f8b401690a23UL;
   tf->codes[40174] = 0x0000fb01f04029c2UL;
   tf->codes[40175] = 0x0000ff8ad18f8a21UL;
   tf->codes[40176] = 0x000105cda23e753cUL;
   tf->codes[40177] = 0x00010e9547d9e8a6UL;
   tf->codes[40178] = 0x00011067b100dcb9UL;
   tf->codes[40179] = 0x0001195e3b23eee4UL;
   tf->codes[40180] = 0x00011e41b1b03bffUL;
   tf->codes[40181] = 0x0001231d613dc4f0UL;
   tf->codes[40182] = 0x00012995b8a7f61dUL;
   tf->codes[40183] = 0x0001387618262f0aUL;
   tf->codes[40184] = 0x00013beb1bb0615bUL;
   tf->codes[40185] = 0x00013c5872bd2731UL;
   tf->codes[40186] = 0x00014dbda727e86dUL;
   tf->codes[40187] = 0x000153af7e10d91eUL;
   tf->codes[40188] = 0x000157b6e72977efUL;
   tf->codes[40189] = 0x00016160c74e356aUL;
   tf->codes[40190] = 0x00016c5cf7bd4808UL;
   tf->codes[40191] = 0x00017d3d0b00eb66UL;
   tf->codes[40192] = 0x000180857399b8a8UL;
   tf->codes[40193] = 0x000183908e787baeUL;
   tf->codes[40194] = 0x00019f098bb369b0UL;
   tf->codes[40195] = 0x0001b425df1de0a2UL;
   tf->codes[40196] = 0x0001bf43751e3d9aUL;
   tf->codes[40197] = 0x0001bf6a92a71831UL;
   tf->codes[40198] = 0x0001cbddacc41b12UL;
   tf->codes[40199] = 0x0001d60ebd172a58UL;
   tf->codes[40200] = 0x0001eb59455c2ebcUL;
   tf->codes[40201] = 0x0001ee383a67983dUL;
   tf->codes[40202] = 0x0001ef383191d058UL;
   tf->codes[40203] = 0x0001f3df44a02a4bUL;
   tf->codes[40204] = 0x0001f788aa1a85d5UL;
   tf->codes[40205] = 0x000003e852ba9e4dUL;
   tf->codes[40206] = 0x00000ab2c8b5e6bdUL;
   tf->codes[40207] = 0x000017d8c3b68964UL;
   tf->codes[40208] = 0x00001c8eefa46021UL;
   tf->codes[40209] = 0x000021d91b09cbc1UL;
   tf->codes[40210] = 0x00002244d82d6934UL;
   tf->codes[40211] = 0x0000294a17bd7c69UL;
   tf->codes[40212] = 0x00003191a47c50e3UL;
   tf->codes[40213] = 0x000043e8a16de484UL;
   tf->codes[40214] = 0x000052900bcf80d4UL;
   tf->codes[40215] = 0x00005bfbb3fe1cffUL;
   tf->codes[40216] = 0x00005c638da2585dUL;
   tf->codes[40217] = 0x00007598e72a2a61UL;
   tf->codes[40218] = 0x000086d180a3868eUL;
   tf->codes[40219] = 0x00009153c54b9603UL;
   tf->codes[40220] = 0x0000b1a4c923b0a6UL;
   tf->codes[40221] = 0x0000b23f303fe715UL;
   tf->codes[40222] = 0x0000b8844a850be2UL;
   tf->codes[40223] = 0x0000bc66a51c0409UL;
   tf->codes[40224] = 0x0000c115b9b827ebUL;
   tf->codes[40225] = 0x0000c72a1afd7fcfUL;
   tf->codes[40226] = 0x0000fbeaf901132aUL;
   tf->codes[40227] = 0x00010a1ac131e603UL;
   tf->codes[40228] = 0x00010d80abdc9b8aUL;
   tf->codes[40229] = 0x00010f26b4a13053UL;
   tf->codes[40230] = 0x00011a214b271a8eUL;
   tf->codes[40231] = 0x0001266be861203aUL;
   tf->codes[40232] = 0x00012ca13a19b6eeUL;
   tf->codes[40233] = 0x0001338cdb1743f3UL;
   tf->codes[40234] = 0x00013a15e54a1a4dUL;
   tf->codes[40235] = 0x00013abf6545cd86UL;
   tf->codes[40236] = 0x000157d99d89d728UL;
   tf->codes[40237] = 0x00015d1cec2c95b2UL;
   tf->codes[40238] = 0x0001683b6c6909beUL;
   tf->codes[40239] = 0x00016922e9cbd882UL;
   tf->codes[40240] = 0x00016d66f0f17040UL;
   tf->codes[40241] = 0x00017cabf64193c5UL;
   tf->codes[40242] = 0x00017d444e569647UL;
   tf->codes[40243] = 0x00019e8c5d8f0802UL;
   tf->codes[40244] = 0x00019f081dce3953UL;
   tf->codes[40245] = 0x0001a4c51da8f541UL;
   tf->codes[40246] = 0x0001b03cd3c8336bUL;
   tf->codes[40247] = 0x0001caf7babf66f2UL;
   tf->codes[40248] = 0x0001f78d2ebbeb7aUL;
   tf->codes[40249] = 0x0001fc2020a049b5UL;
   tf->codes[40250] = 0x00000218249ed62dUL;
   tf->codes[40251] = 0x00000ea63ca881dcUL;
   tf->codes[40252] = 0x0000182a240f8199UL;
   tf->codes[40253] = 0x00001f36406241e4UL;
   tf->codes[40254] = 0x000029486f494647UL;
   tf->codes[40255] = 0x00002fad8fc592d0UL;
   tf->codes[40256] = 0x00003b48f50c5506UL;
   tf->codes[40257] = 0x00004deabeae474aUL;
   tf->codes[40258] = 0x000056d7ad5a6723UL;
   tf->codes[40259] = 0x000065495671b79cUL;
   tf->codes[40260] = 0x000066bafd46232cUL;
   tf->codes[40261] = 0x00006806e5ebd6c3UL;
   tf->codes[40262] = 0x00006c632c49d213UL;
   tf->codes[40263] = 0x000076233c9fbf33UL;
   tf->codes[40264] = 0x000076d2e9b10e33UL;
   tf->codes[40265] = 0x000082dd055eb8ddUL;
   tf->codes[40266] = 0x00008460f8e4f1fdUL;
   tf->codes[40267] = 0x000089be20a93c7cUL;
   tf->codes[40268] = 0x000098c687ec6714UL;
   tf->codes[40269] = 0x00009b3e8d8fac4bUL;
   tf->codes[40270] = 0x00009b83dcd78076UL;
   tf->codes[40271] = 0x0000a57b0dd1dc0bUL;
   tf->codes[40272] = 0x0000afdc2777a6ebUL;
   tf->codes[40273] = 0x0000b08866279f60UL;
   tf->codes[40274] = 0x0000b6d5f71899a6UL;
   tf->codes[40275] = 0x0000b759f3749aabUL;
   tf->codes[40276] = 0x0000c2ab012909c8UL;
   tf->codes[40277] = 0x0000da53b5efc76eUL;
   tf->codes[40278] = 0x0000e2b1e7fdd717UL;
   tf->codes[40279] = 0x0000e63763c1a8d0UL;
   tf->codes[40280] = 0x0001013724e2a4f8UL;
   tf->codes[40281] = 0x00012d770becbbb2UL;
   tf->codes[40282] = 0x00013e54607c19d4UL;
   tf->codes[40283] = 0x0001489db0078cacUL;
   tf->codes[40284] = 0x00014adde559521fUL;
   tf->codes[40285] = 0x00014fcbe198a8a0UL;
   tf->codes[40286] = 0x000150d69904efe6UL;
   tf->codes[40287] = 0x00015b48a00265b8UL;
   tf->codes[40288] = 0x000171ae1d5e4b05UL;
   tf->codes[40289] = 0x000175ac258efd49UL;
   tf->codes[40290] = 0x00017600189842b4UL;
   tf->codes[40291] = 0x000188750cb9ca24UL;
   tf->codes[40292] = 0x0001905485455d7bUL;
   tf->codes[40293] = 0x0001a38496675465UL;
   tf->codes[40294] = 0x0001bdc9ea34f262UL;
   tf->codes[40295] = 0x0001c2cf75ff9b26UL;
   tf->codes[40296] = 0x0001c71b4423f70eUL;
   tf->codes[40297] = 0x0001d76a5133508aUL;
   tf->codes[40298] = 0x0001d78673eb1631UL;
   tf->codes[40299] = 0x0001f4cd81af8aa7UL;
   tf->codes[40300] = 0x0001fa1528efb6d0UL;
   tf->codes[40301] = 0x00000da0446ca600UL;
   tf->codes[40302] = 0x000010885fd0f649UL;
   tf->codes[40303] = 0x000016d8af7635cbUL;
   tf->codes[40304] = 0x00001940b1fde724UL;
   tf->codes[40305] = 0x0000209e77c3b328UL;
   tf->codes[40306] = 0x0000271bd7786343UL;
   tf->codes[40307] = 0x0000298c50abea15UL;
   tf->codes[40308] = 0x00002beaf24baee1UL;
   tf->codes[40309] = 0x00002efe83d64760UL;
   tf->codes[40310] = 0x00003f2f5f26a748UL;
   tf->codes[40311] = 0x00004c054a9d6699UL;
   tf->codes[40312] = 0x00006187a333eac1UL;
   tf->codes[40313] = 0x000062362b7a1ce8UL;
   tf->codes[40314] = 0x0000641981f8bbedUL;
   tf->codes[40315] = 0x000075fcc038e82cUL;
   tf->codes[40316] = 0x000077df670a75e2UL;
   tf->codes[40317] = 0x0000b27a174d9c21UL;
   tf->codes[40318] = 0x0000cfe792edd9dfUL;
   tf->codes[40319] = 0x0000d57cc592a9e7UL;
   tf->codes[40320] = 0x0000db78e79f9e39UL;
   tf->codes[40321] = 0x0000ddf421153436UL;
   tf->codes[40322] = 0x0000e737c17edeb6UL;
   tf->codes[40323] = 0x0000eb2e77ced85aUL;
   tf->codes[40324] = 0x0000f2b8d886096dUL;
   tf->codes[40325] = 0x0000fde30340a3b8UL;
   tf->codes[40326] = 0x0000ff593d4182acUL;
   tf->codes[40327] = 0x00010278b3d9472fUL;
   tf->codes[40328] = 0x000125eac8324eb8UL;
   tf->codes[40329] = 0x00013ae62b2986daUL;
   tf->codes[40330] = 0x00013e2aead1f7ccUL;
   tf->codes[40331] = 0x00014d932a2b93d3UL;
   tf->codes[40332] = 0x000158e4acfe0e7aUL;
   tf->codes[40333] = 0x000169154dbf689dUL;
   tf->codes[40334] = 0x00017e4bef69770eUL;
   tf->codes[40335] = 0x00018ccec067783eUL;
   tf->codes[40336] = 0x0001b51d33fb1a07UL;
   tf->codes[40337] = 0x0001c1bbfecd6ae3UL;
   tf->codes[40338] = 0x0001c494c6c3389dUL;
   tf->codes[40339] = 0x0001c7ba6a7098e7UL;
   tf->codes[40340] = 0x0001d0168d7774a3UL;
   tf->codes[40341] = 0x0001d1ac58916fc9UL;
   tf->codes[40342] = 0x0001e12759bae4eaUL;
   tf->codes[40343] = 0x0001eb164e9870cbUL;
   tf->codes[40344] = 0x0001ed790e469d71UL;
   tf->codes[40345] = 0x0001f0e6bff01722UL;
   tf->codes[40346] = 0x0001fd79e04441bfUL;
   tf->codes[40347] = 0x0001fdeae04163e5UL;
   tf->codes[40348] = 0x000003737e2bf69aUL;
   tf->codes[40349] = 0x00000750d0786fd3UL;
   tf->codes[40350] = 0x000032a84fe3a0b5UL;
   tf->codes[40351] = 0x000032e6c268c7caUL;
   tf->codes[40352] = 0x00003b468e5fffd6UL;
   tf->codes[40353] = 0x000041f6066e9f78UL;
   tf->codes[40354] = 0x000048db0538852cUL;
   tf->codes[40355] = 0x000049167e7a6140UL;
   tf->codes[40356] = 0x00004c7eed4a563eUL;
   tf->codes[40357] = 0x000056a244180b58UL;
   tf->codes[40358] = 0x000062ec31a4ffb5UL;
   tf->codes[40359] = 0x00006ed9f00bdef3UL;
   tf->codes[40360] = 0x0000748d8efeae54UL;
   tf->codes[40361] = 0x000082bc32646454UL;
   tf->codes[40362] = 0x000085f50cffa942UL;
   tf->codes[40363] = 0x00008f4be4573866UL;
   tf->codes[40364] = 0x000093ac8352a155UL;
   tf->codes[40365] = 0x0000940509885a24UL;
   tf->codes[40366] = 0x00009c61a1ad416aUL;
   tf->codes[40367] = 0x0000a87e449bbf69UL;
   tf->codes[40368] = 0x0000aada9ca54a83UL;
   tf->codes[40369] = 0x0000aaef6d7c578aUL;
   tf->codes[40370] = 0x0000b90ce8fb5cd3UL;
   tf->codes[40371] = 0x0000c6a4ce3538b4UL;
   tf->codes[40372] = 0x0000cc469594460fUL;
   tf->codes[40373] = 0x0000d1c856bc2baeUL;
   tf->codes[40374] = 0x0000e8281c2080beUL;
   tf->codes[40375] = 0x0000fa186438f5daUL;
   tf->codes[40376] = 0x0001036f3b9084feUL;
   tf->codes[40377] = 0x00010aa3d4c6427eUL;
   tf->codes[40378] = 0x000122aeab39ab45UL;
   tf->codes[40379] = 0x0001396a2aa609eaUL;
   tf->codes[40380] = 0x00013e5617de2c7eUL;
   tf->codes[40381] = 0x000141b7e47a7a2bUL;
   tf->codes[40382] = 0x000149206a82555aUL;
   tf->codes[40383] = 0x00015b70ffcf476fUL;
   tf->codes[40384] = 0x00015e394f8b75c1UL;
   tf->codes[40385] = 0x00015e70702fe436UL;
   tf->codes[40386] = 0x000168cd6bc7473cUL;
   tf->codes[40387] = 0x000182e48aba57c7UL;
   tf->codes[40388] = 0x000190847181fd97UL;
   tf->codes[40389] = 0x0001918a95c1d179UL;
   tf->codes[40390] = 0x00019537a42c8953UL;
   tf->codes[40391] = 0x0001a05e9b14d2d8UL;
   tf->codes[40392] = 0x0001b310a2615ebfUL;
   tf->codes[40393] = 0x0001b72131d2e458UL;
   tf->codes[40394] = 0x0001bb4a759ad90dUL;
   tf->codes[40395] = 0x0001bc53cdacfdb5UL;
   tf->codes[40396] = 0x0001bf62cc0b22d0UL;
   tf->codes[40397] = 0x0001d45b704e15b6UL;
   tf->codes[40398] = 0x0001de9113cd9860UL;
   tf->codes[40399] = 0x0001e05c65a2d998UL;
   tf->codes[40400] = 0x0001f9a9c3d40969UL;
   tf->codes[40401] = 0x0001ff096fbd935fUL;
   tf->codes[40402] = 0x0000157f2ac4124fUL;
   tf->codes[40403] = 0x0000199203cbd19aUL;
   tf->codes[40404] = 0x000025b87cc047b0UL;
   tf->codes[40405] = 0x0000283b42a59c12UL;
   tf->codes[40406] = 0x00002ccb3b46af4cUL;
   tf->codes[40407] = 0x000032fca97fe3ebUL;
   tf->codes[40408] = 0x00003733e15c3891UL;
   tf->codes[40409] = 0x00003c0c5d1770bcUL;
   tf->codes[40410] = 0x00004514843f3f28UL;
   tf->codes[40411] = 0x00005197dc06dbacUL;
   tf->codes[40412] = 0x0000549e63b92b4eUL;
   tf->codes[40413] = 0x0000594785ceb92eUL;
   tf->codes[40414] = 0x0000598bb04b7080UL;
   tf->codes[40415] = 0x00009f38fbbddec7UL;
   tf->codes[40416] = 0x0000be8749b77c13UL;
   tf->codes[40417] = 0x0000c2a0c4f2e2afUL;
   tf->codes[40418] = 0x0000cf23e22b796eUL;
   tf->codes[40419] = 0x0000d0e5236bbccaUL;
   tf->codes[40420] = 0x0000d1ece194b90fUL;
   tf->codes[40421] = 0x0000f08a9840f047UL;
   tf->codes[40422] = 0x0000fba2eb67c88cUL;
   tf->codes[40423] = 0x00010e81c834bf47UL;
   tf->codes[40424] = 0x00012c584244553cUL;
   tf->codes[40425] = 0x000130d2ba614a20UL;
   tf->codes[40426] = 0x000146f865dde5baUL;
   tf->codes[40427] = 0x00015d623bd738a6UL;
   tf->codes[40428] = 0x00016fd90470ee3eUL;
   tf->codes[40429] = 0x00017df6ba7ef94cUL;
   tf->codes[40430] = 0x0001810bab63b469UL;
   tf->codes[40431] = 0x00018dce9a7b94dbUL;
   tf->codes[40432] = 0x00019778efbe5de0UL;
   tf->codes[40433] = 0x00019b905bf2908fUL;
   tf->codes[40434] = 0x00019f93a6fcc786UL;
   tf->codes[40435] = 0x0001a22d874f62a1UL;
   tf->codes[40436] = 0x0001d566c8dc608cUL;
   tf->codes[40437] = 0x0001e37c7d5ca1abUL;
   tf->codes[40438] = 0x000000f1fa8aa958UL;
   tf->codes[40439] = 0x0000043a9db27c5fUL;
   tf->codes[40440] = 0x00000fc933affb7dUL;
   tf->codes[40441] = 0x000010be6a98246dUL;
   tf->codes[40442] = 0x000011caf67c99dbUL;
   tf->codes[40443] = 0x000014751479ce99UL;
   tf->codes[40444] = 0x00001fb69430b562UL;
   tf->codes[40445] = 0x0000278f6a88a168UL;
   tf->codes[40446] = 0x0000295b6c0af3efUL;
   tf->codes[40447] = 0x00002d083fe6a604UL;
   tf->codes[40448] = 0x000032bcc9158c79UL;
   tf->codes[40449] = 0x000033f3e0e43309UL;
   tf->codes[40450] = 0x000041cb97fd589dUL;
   tf->codes[40451] = 0x00004f642ce445cdUL;
   tf->codes[40452] = 0x000089431079eb43UL;
   tf->codes[40453] = 0x00008f7ec9d72383UL;
   tf->codes[40454] = 0x0000962d9238b1d6UL;
   tf->codes[40455] = 0x00009f558508a239UL;
   tf->codes[40456] = 0x0000b5c12f7a234dUL;
   tf->codes[40457] = 0x0000d905bea5aeb3UL;
   tf->codes[40458] = 0x0000e0033736fdbeUL;
   tf->codes[40459] = 0x0000ea15a0ad07e6UL;
   tf->codes[40460] = 0x0000f4764534c73cUL;
   tf->codes[40461] = 0x0001055a3bf7ccafUL;
   tf->codes[40462] = 0x00010d1296fa856fUL;
   tf->codes[40463] = 0x000111fe49a3a23eUL;
   tf->codes[40464] = 0x00012fc8698800a5UL;
   tf->codes[40465] = 0x0001386548aa3d28UL;
   tf->codes[40466] = 0x00013fb2d0c56f89UL;
   tf->codes[40467] = 0x0001519733d0b8a1UL;
   tf->codes[40468] = 0x00015201919a3376UL;
   tf->codes[40469] = 0x0001539dc458d028UL;
   tf->codes[40470] = 0x000162c631d3227cUL;
   tf->codes[40471] = 0x000174345207c4bbUL;
   tf->codes[40472] = 0x000193f7f89bf1ccUL;
   tf->codes[40473] = 0x000196df9ee2368bUL;
   tf->codes[40474] = 0x00019780331408c1UL;
   tf->codes[40475] = 0x00019c6d4517482eUL;
   tf->codes[40476] = 0x0001accb6b061e74UL;
   tf->codes[40477] = 0x0001d63f5963aa8cUL;
   tf->codes[40478] = 0x0001dacccddf7e4fUL;
   tf->codes[40479] = 0x0001e0117bdc5f77UL;
   tf->codes[40480] = 0x0001e9e9564ca49fUL;
   tf->codes[40481] = 0x0001fb8f46d2c6a2UL;
   tf->codes[40482] = 0x0001fe1d421835b9UL;
   tf->codes[40483] = 0x000019b88f208529UL;
   tf->codes[40484] = 0x000020e352504a92UL;
   tf->codes[40485] = 0x00002ff51a7b61b7UL;
   tf->codes[40486] = 0x000030e549190bb9UL;
   tf->codes[40487] = 0x0000432a6e76dd54UL;
   tf->codes[40488] = 0x00004c2257f4121dUL;
   tf->codes[40489] = 0x000057c549aa92b8UL;
   tf->codes[40490] = 0x000066517b908075UL;
   tf->codes[40491] = 0x00006ad4df77565cUL;
   tf->codes[40492] = 0x0000739a00ed8a4fUL;
   tf->codes[40493] = 0x00007a229602551fUL;
   tf->codes[40494] = 0x00007c4d1040f677UL;
   tf->codes[40495] = 0x00007e8f1a0aea12UL;
   tf->codes[40496] = 0x000086201cf5c276UL;
   tf->codes[40497] = 0x00008eb5aa374659UL;
   tf->codes[40498] = 0x000093eee8450707UL;
   tf->codes[40499] = 0x00009797d8a15707UL;
   tf->codes[40500] = 0x00009be331a7a765UL;
   tf->codes[40501] = 0x00009f4d74efca8bUL;
   tf->codes[40502] = 0x0000a184f906b4c0UL;
   tf->codes[40503] = 0x0000a21305f7b3a1UL;
   tf->codes[40504] = 0x0000ab816cda9508UL;
   tf->codes[40505] = 0x0000bbaa469d2b01UL;
   tf->codes[40506] = 0x0000bd4ef0079d2cUL;
   tf->codes[40507] = 0x0000c24896c519ecUL;
   tf->codes[40508] = 0x0000c4b56708446eUL;
   tf->codes[40509] = 0x0000eec297b6ea1cUL;
   tf->codes[40510] = 0x0000f524f97ef169UL;
   tf->codes[40511] = 0x0001142ac45e69c4UL;
   tf->codes[40512] = 0x00012cc83aef44d0UL;
   tf->codes[40513] = 0x00013183a9b6a040UL;
   tf->codes[40514] = 0x00013aa7f3963453UL;
   tf->codes[40515] = 0x00013c219bf869d2UL;
   tf->codes[40516] = 0x00014e55d3fe907bUL;
   tf->codes[40517] = 0x000157d38e4ff471UL;
   tf->codes[40518] = 0x00015c97ae522b1fUL;
   tf->codes[40519] = 0x00015df9177bfd0cUL;
   tf->codes[40520] = 0x00016680b0a920feUL;
   tf->codes[40521] = 0x00017002c397f293UL;
   tf->codes[40522] = 0x00017afbc034b46bUL;
   tf->codes[40523] = 0x00018fe87f6a7b4dUL;
   tf->codes[40524] = 0x000195ca18a8d25bUL;
   tf->codes[40525] = 0x00019908361d9bfcUL;
   tf->codes[40526] = 0x0001bc55eba20e2aUL;
   tf->codes[40527] = 0x0001bcab78947bf8UL;
   tf->codes[40528] = 0x0001beda85ff90b4UL;
   tf->codes[40529] = 0x0001bfc9ca6123a2UL;
   tf->codes[40530] = 0x0001c0558dbbe8d1UL;
   tf->codes[40531] = 0x0001c18971b83e9bUL;
   tf->codes[40532] = 0x0001c2536d09251aUL;
   tf->codes[40533] = 0x0001c41adb5f043dUL;
   tf->codes[40534] = 0x0001dc139fafa539UL;
   tf->codes[40535] = 0x0001df13852e4d8aUL;
   tf->codes[40536] = 0x0001eb64ff2b004cUL;
   tf->codes[40537] = 0x0001f4f6daa65ffaUL;
   tf->codes[40538] = 0x0001fbfe9e5bb2a6UL;
   tf->codes[40539] = 0x000000b66432b1c6UL;
   tf->codes[40540] = 0x00001ae463040345UL;
   tf->codes[40541] = 0x00002306a6b22b50UL;
   tf->codes[40542] = 0x0000465964811c6cUL;
   tf->codes[40543] = 0x00004f19088ec5e7UL;
   tf->codes[40544] = 0x00005116382ef0e1UL;
   tf->codes[40545] = 0x000052ac3dd7f1ccUL;
   tf->codes[40546] = 0x00006d487df22035UL;
   tf->codes[40547] = 0x000078d8add8c7b6UL;
   tf->codes[40548] = 0x00007a91786d3599UL;
   tf->codes[40549] = 0x000086358eeed30dUL;
   tf->codes[40550] = 0x00008b2e4b7038b9UL;
   tf->codes[40551] = 0x000090d381309c9fUL;
   tf->codes[40552] = 0x0000989034d0c2feUL;
   tf->codes[40553] = 0x0000997c7fef0aebUL;
   tf->codes[40554] = 0x0000a31488800660UL;
   tf->codes[40555] = 0x0000c34c2854a098UL;
   tf->codes[40556] = 0x0000cf6890b418d2UL;
   tf->codes[40557] = 0x0000f0ec192e66a1UL;
   tf->codes[40558] = 0x0000f6408fb7d5e2UL;
   tf->codes[40559] = 0x0001263f223160b7UL;
   tf->codes[40560] = 0x0001292f79b280b4UL;
   tf->codes[40561] = 0x00012ff6bbdb785eUL;
   tf->codes[40562] = 0x00013125978d4f3aUL;
   tf->codes[40563] = 0x00013fb02f8a1494UL;
   tf->codes[40564] = 0x000140e74758bb24UL;
   tf->codes[40565] = 0x00016bd9abd3f5e4UL;
   tf->codes[40566] = 0x00017a2680f8a578UL;
   tf->codes[40567] = 0x000183a01d3ba194UL;
   tf->codes[40568] = 0x000197d6180e669bUL;
   tf->codes[40569] = 0x0001a46e40ad1026UL;
   tf->codes[40570] = 0x0001b7caecc06c1fUL;
   tf->codes[40571] = 0x0001c016226f9ce9UL;
   tf->codes[40572] = 0x0001c17db8af0a9dUL;
   tf->codes[40573] = 0x0001cae5b7ed4a78UL;
   tf->codes[40574] = 0x0001cd519df45de6UL;
   tf->codes[40575] = 0x0001d66ab273d744UL;
   tf->codes[40576] = 0x0001da3a4b3af651UL;
   tf->codes[40577] = 0x0001e124524f5af3UL;
   tf->codes[40578] = 0x0001f9bab18e8324UL;
   tf->codes[40579] = 0x0001fb5c2726a489UL;
   tf->codes[40580] = 0x0001fe96268d0650UL;
   tf->codes[40581] = 0x00000b8a43c2bf35UL;
   tf->codes[40582] = 0x0000141d4cdf03a1UL;
   tf->codes[40583] = 0x000022637fd00be4UL;
   tf->codes[40584] = 0x000028ef83462d3fUL;
   tf->codes[40585] = 0x0000322bd1cf1f1fUL;
   tf->codes[40586] = 0x00003e624ddf2913UL;
   tf->codes[40587] = 0x00004140933d8145UL;
   tf->codes[40588] = 0x0000515dfd10f6c4UL;
   tf->codes[40589] = 0x0000522d75ca67bbUL;
   tf->codes[40590] = 0x00005dcecd97bff3UL;
   tf->codes[40591] = 0x000065d3c9c3057eUL;
   tf->codes[40592] = 0x00006a5fa455b0deUL;
   tf->codes[40593] = 0x00007849a820a402UL;
   tf->codes[40594] = 0x0000911fd93f15e6UL;
   tf->codes[40595] = 0x00009a2d7dcf6ecaUL;
   tf->codes[40596] = 0x00009c9a4e12994cUL;
   tf->codes[40597] = 0x0000a14ea58841e1UL;
   tf->codes[40598] = 0x0000af57ffdd4b72UL;
   tf->codes[40599] = 0x0000caf38774a0a7UL;
   tf->codes[40600] = 0x0000d24826e185e3UL;
   tf->codes[40601] = 0x0000dbd8dd91c8b8UL;
   tf->codes[40602] = 0x0000de01f8764772UL;
   tf->codes[40603] = 0x0000edf79513d10bUL;
   tf->codes[40604] = 0x0000f52083cb684cUL;
   tf->codes[40605] = 0x000109a9c1fa616fUL;
   tf->codes[40606] = 0x00011c9daa2d6af6UL;
   tf->codes[40607] = 0x00012040a80324f4UL;
   tf->codes[40608] = 0x000121f086cdb1d4UL;
   tf->codes[40609] = 0x00012ae835bbe0d8UL;
   tf->codes[40610] = 0x00015e1ca98d659aUL;
   tf->codes[40611] = 0x00016472017d240aUL;
   tf->codes[40612] = 0x000164ea535afed0UL;
   tf->codes[40613] = 0x000168462d70b67bUL;
   tf->codes[40614] = 0x00016a285f2438a7UL;
   tf->codes[40615] = 0x000189c13f3f2ed1UL;
   tf->codes[40616] = 0x00019c55ff08d838UL;
   tf->codes[40617] = 0x00019cde19734117UL;
   tf->codes[40618] = 0x0001a14819569693UL;
   tf->codes[40619] = 0x0001aeab9ca0493bUL;
   tf->codes[40620] = 0x0001b13c91290353UL;
   tf->codes[40621] = 0x0001b5d7849b2b7dUL;
   tf->codes[40622] = 0x0001bfcf2ab3929cUL;
   tf->codes[40623] = 0x0001cc05a6c39c90UL;
   tf->codes[40624] = 0x0001ccfa688db9f6UL;
   tf->codes[40625] = 0x0001d009a17ae4d6UL;
   tf->codes[40626] = 0x0001e058ae8a3e52UL;
   tf->codes[40627] = 0x0001e198b222c5e5UL;
   tf->codes[40628] = 0x0001e207dda7b9e3UL;
   tf->codes[40629] = 0x0001e2eac7de1543UL;
   tf->codes[40630] = 0x0001e5d651a3bc17UL;
   tf->codes[40631] = 0x0001e7fd22f2011fUL;
   tf->codes[40632] = 0x000007db17c5c5afUL;
   tf->codes[40633] = 0x000010b3aab8e40bUL;
   tf->codes[40634] = 0x0000163b23d859e7UL;
   tf->codes[40635] = 0x00001e6ec9fc386eUL;
   tf->codes[40636] = 0x000020484a74df5cUL;
   tf->codes[40637] = 0x000036265d136d19UL;
   tf->codes[40638] = 0x0000396ddb702347UL;
   tf->codes[40639] = 0x00003a1f226a9aaaUL;
   tf->codes[40640] = 0x000042ace8ad5a63UL;
   tf->codes[40641] = 0x00004551c3d10a6eUL;
   tf->codes[40642] = 0x000052ca8d0fd5a7UL;
   tf->codes[40643] = 0x00006c0b1bf7c260UL;
   tf->codes[40644] = 0x00006d2402076f5cUL;
   tf->codes[40645] = 0x000070b528496754UL;
   tf->codes[40646] = 0x000074281ccc65b8UL;
   tf->codes[40647] = 0x0000767103590669UL;
   tf->codes[40648] = 0x00007e2d41db213eUL;
   tf->codes[40649] = 0x000082a0a2a66347UL;
   tf->codes[40650] = 0x00009352bb9e7ef8UL;
   tf->codes[40651] = 0x0000977104955ebdUL;
   tf->codes[40652] = 0x00009d49777acf03UL;
   tf->codes[40653] = 0x0000a6733ec2ed8eUL;
   tf->codes[40654] = 0x0000a875ebcba300UL;
   tf->codes[40655] = 0x0000b2442ac4f5d6UL;
   tf->codes[40656] = 0x0000c251cc0bdd3cUL;
   tf->codes[40657] = 0x0000ce775ac43c3eUL;
   tf->codes[40658] = 0x0000e297d512e2efUL;
   tf->codes[40659] = 0x0000f957ad1caf33UL;
   tf->codes[40660] = 0x0001079a371d5b26UL;
   tf->codes[40661] = 0x000109dcb6055a4bUL;
   tf->codes[40662] = 0x00011117b6dfb957UL;
   tf->codes[40663] = 0x0001202267b91da1UL;
   tf->codes[40664] = 0x000121497c6c3053UL;
   tf->codes[40665] = 0x000129292f86c96fUL;
   tf->codes[40666] = 0x00012a760268941aUL;
   tf->codes[40667] = 0x00012cb96b8caa53UL;
   tf->codes[40668] = 0x00012fe69ba9c902UL;
   tf->codes[40669] = 0x000146fc3b3508d9UL;
   tf->codes[40670] = 0x00014ad7095c429bUL;
   tf->codes[40671] = 0x000169cb3736feb5UL;
   tf->codes[40672] = 0x0001712887debf2fUL;
   tf->codes[40673] = 0x0001890c40c94d5fUL;
   tf->codes[40674] = 0x000189c130b42112UL;
   tf->codes[40675] = 0x00018d2b73fc4438UL;
   tf->codes[40676] = 0x000190fc6c1d85e3UL;
   tf->codes[40677] = 0x00019127a7b4c854UL;
   tf->codes[40678] = 0x0001c5e96ff472c3UL;
   tf->codes[40679] = 0x0001d5aae530d8e8UL;
   tf->codes[40680] = 0x0001e911dc683882UL;
   tf->codes[40681] = 0x0001e9c56cf8e997UL;
   tf->codes[40682] = 0x0001ed42e72ef161UL;
   tf->codes[40683] = 0x0001ff63adb82da1UL;
   tf->codes[40684] = 0x0000071e52512013UL;
   tf->codes[40685] = 0x000008238c54dce1UL;
   tf->codes[40686] = 0x00000a1f5c9ae53dUL;
   tf->codes[40687] = 0x00001490795c43fbUL;
   tf->codes[40688] = 0x00001b523e1cb12dUL;
   tf->codes[40689] = 0x00001f475a83826eUL;
   tf->codes[40690] = 0x000028e72a13420dUL;
   tf->codes[40691] = 0x00004a706a852019UL;
   tf->codes[40692] = 0x0000658dadb80486UL;
   tf->codes[40693] = 0x00006c34af1aceafUL;
   tf->codes[40694] = 0x00007597e09d9561UL;
   tf->codes[40695] = 0x00008eef4f63c30eUL;
   tf->codes[40696] = 0x00009427ddc4726dUL;
   tf->codes[40697] = 0x00009df8db720a7fUL;
   tf->codes[40698] = 0x0000a04779f63b6dUL;
   tf->codes[40699] = 0x0000a4997530331cUL;
   tf->codes[40700] = 0x0000a6256a44362bUL;
   tf->codes[40701] = 0x0000a7fbf1799218UL;
   tf->codes[40702] = 0x0000aaffba779c7eUL;
   tf->codes[40703] = 0x0000e6319e04a866UL;
   tf->codes[40704] = 0x0000ee89686e1683UL;
   tf->codes[40705] = 0x0000f38ce5318b5aUL;
   tf->codes[40706] = 0x0000f73addd85a48UL;
   tf->codes[40707] = 0x0000f7a6d58afd80UL;
   tf->codes[40708] = 0x0000fc8cd03c8a12UL;
   tf->codes[40709] = 0x00010e8eb559bb6fUL;
   tf->codes[40710] = 0x0001106af486a799UL;
   tf->codes[40711] = 0x0001149dd3c58ea0UL;
   tf->codes[40712] = 0x0001190a57ce2393UL;
   tf->codes[40713] = 0x00011d14f4b9132aUL;
   tf->codes[40714] = 0x000152c4a2002de9UL;
   tf->codes[40715] = 0x00016a5e03586900UL;
   tf->codes[40716] = 0x0001733cc3612323UL;
   tf->codes[40717] = 0x000174cbec4776f8UL;
   tf->codes[40718] = 0x000177a1baf9f9b1UL;
   tf->codes[40719] = 0x00017ea81f5529bfUL;
   tf->codes[40720] = 0x0001810352939800UL;
   tf->codes[40721] = 0x000189c62a739241UL;
   tf->codes[40722] = 0x0001aecf6940b78eUL;
   tf->codes[40723] = 0x0001b279f3862ff1UL;
   tf->codes[40724] = 0x0001b723502ac396UL;
   tf->codes[40725] = 0x0001bc7c59e0a63bUL;
   tf->codes[40726] = 0x0001c0b09879afe0UL;
   tf->codes[40727] = 0x0001c119d1780ddcUL;
   tf->codes[40728] = 0x0001c6037519f6beUL;
   tf->codes[40729] = 0x0001c79019db0b1cUL;
   tf->codes[40730] = 0x0001d01bd11696e8UL;
   tf->codes[40731] = 0x0001d8197b6123d3UL;
   tf->codes[40732] = 0x0001e0ff8d4a9696UL;
   tf->codes[40733] = 0x0001e195d658652bUL;
   tf->codes[40734] = 0x0001fa3053a5f536UL;
   tf->codes[40735] = 0x0000015b5164c064UL;
   tf->codes[40736] = 0x0000057db86a0803UL;
   tf->codes[40737] = 0x00000a303b678270UL;
   tf->codes[40738] = 0x00000a56a9434bb8UL;
   tf->codes[40739] = 0x00000bb21fe687a3UL;
   tf->codes[40740] = 0x000022690c2672e4UL;
   tf->codes[40741] = 0x00002a579d918305UL;
   tf->codes[40742] = 0x000030255034e420UL;
   tf->codes[40743] = 0x00003883f760ff53UL;
   tf->codes[40744] = 0x00004421e0cd0100UL;
   tf->codes[40745] = 0x00004d0e1fcc0f8aUL;
   tf->codes[40746] = 0x000054fd26552b35UL;
   tf->codes[40747] = 0x00006407621083f5UL;
   tf->codes[40748] = 0x0000680f7ad63415UL;
   tf->codes[40749] = 0x00006881da2d78d9UL;
   tf->codes[40750] = 0x000079050e9df5c9UL;
   tf->codes[40751] = 0x00007fbf0c5f9ed1UL;
   tf->codes[40752] = 0x00007fe69f0684f2UL;
   tf->codes[40753] = 0x0000816acd1bc3d7UL;
   tf->codes[40754] = 0x000094d323ad460fUL;
   tf->codes[40755] = 0x0000967d0ff13cedUL;
   tf->codes[40756] = 0x0000973399c53903UL;
   tf->codes[40757] = 0x000099a02f795dc0UL;
   tf->codes[40758] = 0x0000a6b3a3392d12UL;
   tf->codes[40759] = 0x0000a82a17c911cbUL;
   tf->codes[40760] = 0x0000ad4c3b698bc0UL;
   tf->codes[40761] = 0x0000adaa3f07cf07UL;
   tf->codes[40762] = 0x0000baaed4772754UL;
   tf->codes[40763] = 0x0000c27b8b32e191UL;
   tf->codes[40764] = 0x0000c6deae5389f7UL;
   tf->codes[40765] = 0x0001041dff2b5a7cUL;
   tf->codes[40766] = 0x00010a59436a8732UL;
   tf->codes[40767] = 0x00014d7d6152ff8bUL;
   tf->codes[40768] = 0x0001513f0605bea7UL;
   tf->codes[40769] = 0x00015760369459a3UL;
   tf->codes[40770] = 0x000161f74c13761fUL;
   tf->codes[40771] = 0x000171b79c84bf6bUL;
   tf->codes[40772] = 0x00017949148da359UL;
   tf->codes[40773] = 0x000190ca36ad7adeUL;
   tf->codes[40774] = 0x0001916512e7bcd7UL;
   tf->codes[40775] = 0x000193d00eb2b931UL;
   tf->codes[40776] = 0x000199949afd3384UL;
   tf->codes[40777] = 0x00019c55d367aefbUL;
   tf->codes[40778] = 0x0001a4434007a243UL;
   tf->codes[40779] = 0x0001aa1fd0fb7a63UL;
   tf->codes[40780] = 0x0001ab7d1c16e476UL;
   tf->codes[40781] = 0x0001b169eab55639UL;
   tf->codes[40782] = 0x0001b2c38ce063fcUL;
   tf->codes[40783] = 0x0001d5b5885ccc95UL;
   tf->codes[40784] = 0x0001ea176e73e55cUL;
   tf->codes[40785] = 0x0001fb75166ee833UL;
   tf->codes[40786] = 0x0001ff042da9ac3eUL;
   tf->codes[40787] = 0x0000155c669e42e9UL;
   tf->codes[40788] = 0x00001a8a34bce31dUL;
   tf->codes[40789] = 0x00003197d2ba5905UL;
   tf->codes[40790] = 0x000043c234ba8797UL;
   tf->codes[40791] = 0x00006df264e3a002UL;
   tf->codes[40792] = 0x00007244d53ba33bUL;
   tf->codes[40793] = 0x000073c9ed8cf934UL;
   tf->codes[40794] = 0x0000780b35fe4bb6UL;
   tf->codes[40795] = 0x000086554c6eb60eUL;
   tf->codes[40796] = 0x000094bce4f108abUL;
   tf->codes[40797] = 0x000095fdd2c5a752UL;
   tf->codes[40798] = 0x0000ac19331e3f4bUL;
   tf->codes[40799] = 0x0000b03273caa022UL;
   tf->codes[40800] = 0x0000b465c82792b3UL;
   tf->codes[40801] = 0x0000c40478788be0UL;
   tf->codes[40802] = 0x0000c6a485e0c2c2UL;
   tf->codes[40803] = 0x0000c9c103353c44UL;
   tf->codes[40804] = 0x0000d8ec2f63d3d4UL;
   tf->codes[40805] = 0x0000d985e6d2f8f4UL;
   tf->codes[40806] = 0x0000ee497978b152UL;
   tf->codes[40807] = 0x0000f20f01aad283UL;
   tf->codes[40808] = 0x0000f93c0e70d19eUL;
   tf->codes[40809] = 0x0000fbb03094b4c0UL;
   tf->codes[40810] = 0x000103829f47ff3aUL;
   tf->codes[40811] = 0x000103c4802e7cdaUL;
   tf->codes[40812] = 0x0001043f90c09cdcUL;
   tf->codes[40813] = 0x000108a02fbc05cbUL;
   tf->codes[40814] = 0x00011e3c617415e8UL;
   tf->codes[40815] = 0x0001204a094de04aUL;
   tf->codes[40816] = 0x00014342e18cf5f9UL;
   tf->codes[40817] = 0x00014ac6658179f6UL;
   tf->codes[40818] = 0x00014ae0ee50173aUL;
   tf->codes[40819] = 0x00016f536ef16268UL;
   tf->codes[40820] = 0x000170e5568bfb79UL;
   tf->codes[40821] = 0x000175bebc834ab8UL;
   tf->codes[40822] = 0x000175bf31a15642UL;
   tf->codes[40823] = 0x000177aa148fb3acUL;
   tf->codes[40824] = 0x000179fa126e0738UL;
   tf->codes[40825] = 0x000197c88aefd33eUL;
   tf->codes[40826] = 0x0001b03ac5e96bd9UL;
   tf->codes[40827] = 0x0001b59fb4ac7a82UL;
   tf->codes[40828] = 0x0001b5ca4096aba4UL;
   tf->codes[40829] = 0x0001be2be10611d8UL;
   tf->codes[40830] = 0x0001bf3573a73c45UL;
   tf->codes[40831] = 0x0001bf38325b8181UL;
   tf->codes[40832] = 0x0001d2e38e9e9e32UL;
   tf->codes[40833] = 0x0001d4f6b3e0f30cUL;
   tf->codes[40834] = 0x0001dcd9d55ce2b3UL;
   tf->codes[40835] = 0x0001ddae1bd1ccd3UL;
   tf->codes[40836] = 0x0001ea28c25e8e19UL;
   tf->codes[40837] = 0x0001ed63e6900cb9UL;
   tf->codes[40838] = 0x0001f58abd6aa828UL;
   tf->codes[40839] = 0x0001fa1b2b29c6ecUL;
   tf->codes[40840] = 0x000009c9a4074e32UL;
   tf->codes[40841] = 0x00000cbc451ea7e1UL;
   tf->codes[40842] = 0x000024d8b896cce9UL;
   tf->codes[40843] = 0x00003484ad4f14b8UL;
   tf->codes[40844] = 0x00004338ac6aee5bUL;
   tf->codes[40845] = 0x000049b9ef9f008bUL;
   tf->codes[40846] = 0x0000504ac0d09b0fUL;
   tf->codes[40847] = 0x000053f2c6f0d3fbUL;
   tf->codes[40848] = 0x00005a188aabe25bUL;
   tf->codes[40849] = 0x00005f3e91cbbe65UL;
   tf->codes[40850] = 0x000064f56490de8cUL;
   tf->codes[40851] = 0x000066461af20b4cUL;
   tf->codes[40852] = 0x000070a59aaeadc9UL;
   tf->codes[40853] = 0x000074a92047ea85UL;
   tf->codes[40854] = 0x00007563530c42ebUL;
   tf->codes[40855] = 0x00008743d29829eeUL;
   tf->codes[40856] = 0x0000899111c2383eUL;
   tf->codes[40857] = 0x00008f9e9644e30cUL;
   tf->codes[40858] = 0x00009751ae6e1719UL;
   tf->codes[40859] = 0x00009c43190ec425UL;
   tf->codes[40860] = 0x0000abac0815717bUL;
   tf->codes[40861] = 0x0000b00e7b890892UL;
   tf->codes[40862] = 0x0000b0d99ba50beaUL;
   tf->codes[40863] = 0x0000b163ffa5ae7bUL;
   tf->codes[40864] = 0x0000b2947540adbaUL;
   tf->codes[40865] = 0x0000c3a57c1323c6UL;
   tf->codes[40866] = 0x0000f2ea50e661bfUL;
   tf->codes[40867] = 0x000128e78992205dUL;
   tf->codes[40868] = 0x000129b5a2f16eb6UL;
   tf->codes[40869] = 0x0001411efaf6ee33UL;
   tf->codes[40870] = 0x00014625e61bb995UL;
   tf->codes[40871] = 0x0001566b57b420bfUL;
   tf->codes[40872] = 0x00016401a304d43dUL;
   tf->codes[40873] = 0x00016494f2cf57d1UL;
   tf->codes[40874] = 0x0001841593b1ea69UL;
   tf->codes[40875] = 0x000189b302738a25UL;
   tf->codes[40876] = 0x0001a2e4ed9a059eUL;
   tf->codes[40877] = 0x0001a784aec7a6f1UL;
   tf->codes[40878] = 0x0001accbe0e9c790UL;
   tf->codes[40879] = 0x0001b444a49c3c62UL;
   tf->codes[40880] = 0x0001b530400d7300UL;
   tf->codes[40881] = 0x0001cdafbf6e5a3dUL;
   tf->codes[40882] = 0x0001d3a15bc84529UL;
   tf->codes[40883] = 0x0001dd7761c05c29UL;
   tf->codes[40884] = 0x0001f51fa1690e45UL;
   tf->codes[40885] = 0x0001fb2892bf45afUL;
   tf->codes[40886] = 0x0001fc000d068095UL;
   tf->codes[40887] = 0x000004b6ffd94ed2UL;
   tf->codes[40888] = 0x00001a48abde5589UL;
   tf->codes[40889] = 0x00002412923a3ac0UL;
   tf->codes[40890] = 0x000026dcb66e973aUL;
   tf->codes[40891] = 0x0000291d60de6837UL;
   tf->codes[40892] = 0x0000330712e26f65UL;
   tf->codes[40893] = 0x00003422b7a6619dUL;
   tf->codes[40894] = 0x00003b1067ab228fUL;
   tf->codes[40895] = 0x00003db3e374affcUL;
   tf->codes[40896] = 0x000044802de82694UL;
   tf->codes[40897] = 0x0000456efd2badf8UL;
   tf->codes[40898] = 0x000046d98cae66adUL;
   tf->codes[40899] = 0x00004cd957abb74fUL;
   tf->codes[40900] = 0x0000662bbe27660eUL;
   tf->codes[40901] = 0x000070d4e5c94a55UL;
   tf->codes[40902] = 0x000077f8cc3662a8UL;
   tf->codes[40903] = 0x00007b0ac3d7d2c4UL;
   tf->codes[40904] = 0x00008693dc6cc76aUL;
   tf->codes[40905] = 0x00008a6bebdfbbf0UL;
   tf->codes[40906] = 0x00008bff32d4779fUL;
   tf->codes[40907] = 0x0000a3f0a5445ffbUL;
   tf->codes[40908] = 0x0000a74a35c3ddf4UL;
   tf->codes[40909] = 0x0000b3073b2af049UL;
   tf->codes[40910] = 0x0000b7eab1b73d64UL;
   tf->codes[40911] = 0x0000bafb49fe8ae2UL;
   tf->codes[40912] = 0x0000c00c0b294e5bUL;
   tf->codes[40913] = 0x0000c7f4aa0dc87aUL;
   tf->codes[40914] = 0x0000c83ec71115ceUL;
   tf->codes[40915] = 0x0000d7a2adcd4436UL;
   tf->codes[40916] = 0x0000ed09cde819cbUL;
   tf->codes[40917] = 0x0001135b11db909aUL;
   tf->codes[40918] = 0x00011535420148d7UL;
   tf->codes[40919] = 0x000118baf8542055UL;
   tf->codes[40920] = 0x00013447a19afe85UL;
   tf->codes[40921] = 0x000140839b1392f1UL;
   tf->codes[40922] = 0x000141dd77cda679UL;
   tf->codes[40923] = 0x0001432a853e76e9UL;
   tf->codes[40924] = 0x000146a5b5de4501UL;
   tf->codes[40925] = 0x000148a778aae35fUL;
   tf->codes[40926] = 0x000153c8427d911dUL;
   tf->codes[40927] = 0x000153cf59cf43f8UL;
   tf->codes[40928] = 0x00016160d7647e4dUL;
   tf->codes[40929] = 0x00016343f354178dUL;
   tf->codes[40930] = 0x0001680554a208ffUL;
   tf->codes[40931] = 0x0001805455922918UL;
   tf->codes[40932] = 0x000185508074e54fUL;
   tf->codes[40933] = 0x000188ea9280be4aUL;
   tf->codes[40934] = 0x000191a2aa1ea960UL;
   tf->codes[40935] = 0x0001b76c0e36bd15UL;
   tf->codes[40936] = 0x0001b93934842c75UL;
   tf->codes[40937] = 0x0001bd2f3b2714caUL;
   tf->codes[40938] = 0x0001befc9c0389efUL;
   tf->codes[40939] = 0x0001bf48c80e0b30UL;
   tf->codes[40940] = 0x0001c422ddb26bbeUL;
   tf->codes[40941] = 0x0001d80101fc8945UL;
   tf->codes[40942] = 0x0001dbe3d1b18cf6UL;
   tf->codes[40943] = 0x0001ea8c60de461fUL;
   tf->codes[40944] = 0x0001fc5eec55cd31UL;
   tf->codes[40945] = 0x0000105d16d71274UL;
   tf->codes[40946] = 0x00001ebd22e9a6acUL;
   tf->codes[40947] = 0x000028698733a39eUL;
   tf->codes[40948] = 0x00003a95bdac0058UL;
   tf->codes[40949] = 0x000047828901009dUL;
   tf->codes[40950] = 0x00005a7fd21bf6b1UL;
   tf->codes[40951] = 0x00005f60ff120a1aUL;
   tf->codes[40952] = 0x00006dd2a8295a93UL;
   tf->codes[40953] = 0x00007308b264ca7bUL;
   tf->codes[40954] = 0x00007c406dc148f7UL;
   tf->codes[40955] = 0x0000896ac15f593dUL;
   tf->codes[40956] = 0x000091523b78b683UL;
   tf->codes[40957] = 0x000097335f990207UL;
   tf->codes[40958] = 0x0000a41ff05efc87UL;
   tf->codes[40959] = 0x0000b142b78d4e68UL;
   tf->codes[40960] = 0x0000b4a658a1ca3dUL;
   tf->codes[40961] = 0x0000ba66c6dddcb6UL;
   tf->codes[40962] = 0x0000c1ba06f09f54UL;
   tf->codes[40963] = 0x0000d758bccdeee8UL;
   tf->codes[40964] = 0x0000e0b9df4981adUL;
   tf->codes[40965] = 0x00010dfe161b3e21UL;
   tf->codes[40966] = 0x0001269fe54986ccUL;
   tf->codes[40967] = 0x000143a75bbdb754UL;
   tf->codes[40968] = 0x00014d5b87067870UL;
   tf->codes[40969] = 0x000150ef316dafdfUL;
   tf->codes[40970] = 0x0001546609701058UL;
   tf->codes[40971] = 0x000158d80ae12fc3UL;
   tf->codes[40972] = 0x00015fb492ff3ffeUL;
   tf->codes[40973] = 0x000175213082a00bUL;
   tf->codes[40974] = 0x000179e55084d6b9UL;
   tf->codes[40975] = 0x00017f418e0d0a24UL;
   tf->codes[40976] = 0x0001822fd686f634UL;
   tf->codes[40977] = 0x0001867995a41e2fUL;
   tf->codes[40978] = 0x0001885bc757a05bUL;
   tf->codes[40979] = 0x00018e8534030b0bUL;
   tf->codes[40980] = 0x0001900877dc32dcUL;
   tf->codes[40981] = 0x0001a0b58889cf9fUL;
   tf->codes[40982] = 0x0001a3c5e6421758UL;
   tf->codes[40983] = 0x0001b758539fbf28UL;
   tf->codes[40984] = 0x0001dd8489118f4dUL;
   tf->codes[40985] = 0x0001f0aea7acf035UL;
   tf->codes[40986] = 0x0001f28444a6350eUL;
   tf->codes[40987] = 0x0001f395d8d5296aUL;
   tf->codes[40988] = 0x000002d8cf1e1902UL;
   tf->codes[40989] = 0x000017efdfaf0b41UL;
   tf->codes[40990] = 0x000021467c7794a0UL;
   tf->codes[40991] = 0x00002bd555d9e168UL;
   tf->codes[40992] = 0x00006d077982497cUL;
   tf->codes[40993] = 0x00006e6bdbef666aUL;
   tf->codes[40994] = 0x00006f4b57c46b3fUL;
   tf->codes[40995] = 0x00007034e42e6df0UL;
   tf->codes[40996] = 0x0000728fdcddd66cUL;
   tf->codes[40997] = 0x00008078bbddacb7UL;
   tf->codes[40998] = 0x0000a2c8fe5d2641UL;
   tf->codes[40999] = 0x0000a75bf041847cUL;
   tf->codes[41000] = 0x0000c4b634f3dd96UL;
   tf->codes[41001] = 0x0000d279cae30772UL;
   tf->codes[41002] = 0x0000d2c07984fe3bUL;
   tf->codes[41003] = 0x0000dc02ba94861dUL;
   tf->codes[41004] = 0x0000f7e7ea111d1cUL;
   tf->codes[41005] = 0x000106014781ba8bUL;
   tf->codes[41006] = 0x00010a55c6e0f1b1UL;
   tf->codes[41007] = 0x00010f9f42994c02UL;
   tf->codes[41008] = 0x00010faa3d6a60f2UL;
   tf->codes[41009] = 0x000111b7e5442b54UL;
   tf->codes[41010] = 0x00011df2f480a8acUL;
   tf->codes[41011] = 0x00011e1878205ae0UL;
   tf->codes[41012] = 0x0001238d69fefd67UL;
   tf->codes[41013] = 0x00014060f3a11040UL;
   tf->codes[41014] = 0x00014e8c6334757aUL;
   tf->codes[41015] = 0x0001511b0e26f5e0UL;
   tf->codes[41016] = 0x000161a13bdabdd1UL;
   tf->codes[41017] = 0x00017a56f1a3fc6fUL;
   tf->codes[41018] = 0x00018616f04e59c5UL;
   tf->codes[41019] = 0x00018ed18c118452UL;
   tf->codes[41020] = 0x000197e1ef562272UL;
   tf->codes[41021] = 0x00019daa2490f915UL;
   tf->codes[41022] = 0x0001b0e0d7e69750UL;
   tf->codes[41023] = 0x0001b26be2be834bUL;
   tf->codes[41024] = 0x0001b9b0b99eda6eUL;
   tf->codes[41025] = 0x0001b9c5c504ed3aUL;
   tf->codes[41026] = 0x0001c3b89d61db30UL;
   tf->codes[41027] = 0x0001d4dfd46580e1UL;
   tf->codes[41028] = 0x0001efb9d757c510UL;
   tf->codes[41029] = 0x0001f74b89efaec3UL;
   tf->codes[41030] = 0x0001f853f7c5bc57UL;
   tf->codes[41031] = 0x00001655384e8933UL;
   tf->codes[41032] = 0x00002bcedfaa321dUL;
   tf->codes[41033] = 0x00002d8f36ae5e65UL;
   tf->codes[41034] = 0x000043a728a59fd3UL;
   tf->codes[41035] = 0x00005082cc13ef61UL;
   tf->codes[41036] = 0x00006739b853daa2UL;
   tf->codes[41037] = 0x00006a48b6b1ffbdUL;
   tf->codes[41038] = 0x00006aca2ee8c14bUL;
   tf->codes[41039] = 0x000071d6fae892e5UL;
   tf->codes[41040] = 0x000076ded049755bUL;
   tf->codes[41041] = 0x0000815cbc541731UL;
   tf->codes[41042] = 0x000086bace5478c4UL;
   tf->codes[41043] = 0x0000881e46857e9eUL;
   tf->codes[41044] = 0x00008f709c5c2a28UL;
   tf->codes[41045] = 0x000098d4086df69fUL;
   tf->codes[41046] = 0x0000ade7357f86c9UL;
   tf->codes[41047] = 0x0000b80dc01f8ca9UL;
   tf->codes[41048] = 0x0000c95a05a4d904UL;
   tf->codes[41049] = 0x0000d4dd2bb337a8UL;
   tf->codes[41050] = 0x0000d9b7b675a3c0UL;
   tf->codes[41051] = 0x0000e027d1c30539UL;
   tf->codes[41052] = 0x0000f0e9edd6b4c8UL;
   tf->codes[41053] = 0x00010f92d9e306b5UL;
   tf->codes[41054] = 0x000112d16c75dbe0UL;
   tf->codes[41055] = 0x000118beb032592dUL;
   tf->codes[41056] = 0x00011d2ea29c44abUL;
   tf->codes[41057] = 0x000129fcc7143fd2UL;
   tf->codes[41058] = 0x00012f6fa9ebae6cUL;
   tf->codes[41059] = 0x000155c1286e2b00UL;
   tf->codes[41060] = 0x00015e15bf054857UL;
   tf->codes[41061] = 0x00016d21cf38cf3fUL;
   tf->codes[41062] = 0x000177f19f458293UL;
   tf->codes[41063] = 0x00017a4d0d12f699UL;
   tf->codes[41064] = 0x00017a9b82b3b18cUL;
   tf->codes[41065] = 0x000193646f6ad4ceUL;
   tf->codes[41066] = 0x0001994050b19b9fUL;
   tf->codes[41067] = 0x0001a2649a912fb2UL;
   tf->codes[41068] = 0x0001ba58cbb55d4aUL;
   tf->codes[41069] = 0x0001bba7ad9e5be2UL;
   tf->codes[41070] = 0x0001bd265e4b104fUL;
   tf->codes[41071] = 0x0001c5d5ff3d25ecUL;
   tf->codes[41072] = 0x0001ca111a98dca7UL;
   tf->codes[41073] = 0x0001d0212340c6ecUL;
   tf->codes[41074] = 0x0001d26f4ca6ec50UL;
   tf->codes[41075] = 0x0001d2a2feea043aUL;
   tf->codes[41076] = 0x0001dab1d11b41dcUL;
   tf->codes[41077] = 0x0001e040d6aa761dUL;
   tf->codes[41078] = 0x0001e7706795b4afUL;
   tf->codes[41079] = 0x0001e964e5fb046bUL;
   tf->codes[41080] = 0x0001f5e927feb803UL;
   tf->codes[41081] = 0x00000132e3d26e80UL;
   tf->codes[41082] = 0x000008a62a1c58daUL;
   tf->codes[41083] = 0x00001e7aa143f445UL;
   tf->codes[41084] = 0x000021bbb7fc08e7UL;
   tf->codes[41085] = 0x00002d3c59e52814UL;
   tf->codes[41086] = 0x00002d58077ee231UL;
   tf->codes[41087] = 0x000033b2a2482554UL;
   tf->codes[41088] = 0x000057010779a8d1UL;
   tf->codes[41089] = 0x000064be35c43121UL;
   tf->codes[41090] = 0x00006ded7a74da24UL;
   tf->codes[41091] = 0x00007cc98155a572UL;
   tf->codes[41092] = 0x000084a0f8536edaUL;
   tf->codes[41093] = 0x0000a9c1c6abe66aUL;
   tf->codes[41094] = 0x0000ab63b1621359UL;
   tf->codes[41095] = 0x0000b03f60ef9c4aUL;
   tf->codes[41096] = 0x0000b9d0c74cf06eUL;
   tf->codes[41097] = 0x0000bceac07c2a79UL;
   tf->codes[41098] = 0x0000be7a990f8f9dUL;
   tf->codes[41099] = 0x0000c3e8e8ba8ad3UL;
   tf->codes[41100] = 0x0000dc05d150bb65UL;
   tf->codes[41101] = 0x0000e55a24830b12UL;
   tf->codes[41102] = 0x0000ecfcff01a57cUL;
   tf->codes[41103] = 0x0000ed4f92b0c849UL;
   tf->codes[41104] = 0x0000ef7ea01bdd05UL;
   tf->codes[41105] = 0x0001016a5507debdUL;
   tf->codes[41106] = 0x00012265136ab25eUL;
   tf->codes[41107] = 0x00012bc87f7c7ed5UL;
   tf->codes[41108] = 0x0001446f91844c33UL;
   tf->codes[41109] = 0x000146cee2d1224eUL;
   tf->codes[41110] = 0x000180c6efdb426aUL;
   tf->codes[41111] = 0x0001814aec37436fUL;
   tf->codes[41112] = 0x00018dc174b59cdbUL;
   tf->codes[41113] = 0x0001906f3ba32de9UL;
   tf->codes[41114] = 0x0001a18d11bee70dUL;
   tf->codes[41115] = 0x0001a329f42a950eUL;
   tf->codes[41116] = 0x0001a5a393b702a8UL;
   tf->codes[41117] = 0x0001aa3b5356da0cUL;
   tf->codes[41118] = 0x0001cf3419ea5ff1UL;
   tf->codes[41119] = 0x0001e1da76b8c599UL;
   tf->codes[41120] = 0x0001f0937e1f1e2aUL;
   tf->codes[41121] = 0x0000013f6a019e14UL;
   tf->codes[41122] = 0x000007c3a678fb45UL;
   tf->codes[41123] = 0x00001089027e34fdUL;
   tf->codes[41124] = 0x000010eae99bda59UL;
   tf->codes[41125] = 0x000017a178fc2cd6UL;
   tf->codes[41126] = 0x000018dd99155254UL;
   tf->codes[41127] = 0x000037ae17c88a62UL;
   tf->codes[41128] = 0x0000425062a7c193UL;
   tf->codes[41129] = 0x000049ec25d4a922UL;
   tf->codes[41130] = 0x000062ad4b8d083aUL;
   tf->codes[41131] = 0x000069017eb1a9d1UL;
   tf->codes[41132] = 0x00007818c4454b6eUL;
   tf->codes[41133] = 0x0000820cc16d563dUL;
   tf->codes[41134] = 0x00008a6f86a7d94aUL;
   tf->codes[41135] = 0x00008b78a42af82dUL;
   tf->codes[41136] = 0x00009785096edc89UL;
   tf->codes[41137] = 0x0000dec058fc81ccUL;
   tf->codes[41138] = 0x0000eb1ccdca497eUL;
   tf->codes[41139] = 0x0000ecf7ad9d130aUL;
   tf->codes[41140] = 0x0000eeb42121dd3dUL;
   tf->codes[41141] = 0x0000f5cd81dbec2aUL;
   tf->codes[41142] = 0x0000f884e4406f8aUL;
   tf->codes[41143] = 0x0000fea0d1f585d3UL;
   tf->codes[41144] = 0x000104c7455da582UL;
   tf->codes[41145] = 0x0001064421922bc7UL;
   tf->codes[41146] = 0x000116a74fcb80fbUL;
   tf->codes[41147] = 0x00011d3efdbfc895UL;
   tf->codes[41148] = 0x0001214e2dd72b90UL;
   tf->codes[41149] = 0x000125a914db0442UL;
   tf->codes[41150] = 0x0001299c223aa196UL;
   tf->codes[41151] = 0x00012a305c413c3eUL;
   tf->codes[41152] = 0x000141199b6a1ccbUL;
   tf->codes[41153] = 0x0001493d3e726774UL;
   tf->codes[41154] = 0x00015759cfb555a9UL;
   tf->codes[41155] = 0x00015ad8a9458011UL;
   tf->codes[41156] = 0x00015b9734a74616UL;
   tf->codes[41157] = 0x00015cdae13029f9UL;
   tf->codes[41158] = 0x00015eaee440466fUL;
   tf->codes[41159] = 0x00016a9550c66d0dUL;
   tf->codes[41160] = 0x0001882d92dfe1b2UL;
   tf->codes[41161] = 0x00018ca586d7971fUL;
   tf->codes[41162] = 0x0001990d31057986UL;
   tf->codes[41163] = 0x00019b61fc9f463bUL;
   tf->codes[41164] = 0x0001a48905331f8aUL;
   tf->codes[41165] = 0x0001a809b33b781aUL;
   tf->codes[41166] = 0x0001add4320c886fUL;
   tf->codes[41167] = 0x0001ae753b5c662fUL;
   tf->codes[41168] = 0x0001b1722797c37fUL;
   tf->codes[41169] = 0x0001b51f7091811eUL;
   tf->codes[41170] = 0x0001b7894791609fUL;
   tf->codes[41171] = 0x0001c3e4d223113dUL;
   tf->codes[41172] = 0x0001c92c3ed437a1UL;
   tf->codes[41173] = 0x0001ca1e41ea0fcbUL;
   tf->codes[41174] = 0x0001eebcadcfaeb9UL;
   tf->codes[41175] = 0x000000864d7d54c8UL;
   tf->codes[41176] = 0x00000b60ddcc1747UL;
   tf->codes[41177] = 0x000023b3c23b9975UL;
   tf->codes[41178] = 0x000041b11f45043cUL;
   tf->codes[41179] = 0x000043a9469ab048UL;
   tf->codes[41180] = 0x000043f70c8e59ecUL;
   tf->codes[41181] = 0x0000460fe9c83f03UL;
   tf->codes[41182] = 0x00004e694e1ad583UL;
   tf->codes[41183] = 0x00005367fd22d131UL;
   tf->codes[41184] = 0x000058c091baa84cUL;
   tf->codes[41185] = 0x00006af6291af193UL;
   tf->codes[41186] = 0x0000759455ebc0eaUL;
   tf->codes[41187] = 0x00008a5ec554265eUL;
   tf->codes[41188] = 0x00008d3961c22240UL;
   tf->codes[41189] = 0x00009062ae5fdedaUL;
   tf->codes[41190] = 0x0000984ebba5af84UL;
   tf->codes[41191] = 0x00009a863fbc99b9UL;
   tf->codes[41192] = 0x0000a6fdb2770a39UL;
   tf->codes[41193] = 0x0000ac2518f108e1UL;
   tf->codes[41194] = 0x0000be606848e265UL;
   tf->codes[41195] = 0x0000beb5458e3ee4UL;
   tf->codes[41196] = 0x0000f302d9fe7667UL;
   tf->codes[41197] = 0x00010540385d83d8UL;
   tf->codes[41198] = 0x00011bf75f2c74deUL;
   tf->codes[41199] = 0x00012711c15a8110UL;
   tf->codes[41200] = 0x00014076af170324UL;
   tf->codes[41201] = 0x00015bfddaf556dcUL;
   tf->codes[41202] = 0x00016ba5ec2e3c96UL;
   tf->codes[41203] = 0x00016d5e7c33a4b4UL;
   tf->codes[41204] = 0x00017a82a2bc1933UL;
   tf->codes[41205] = 0x000189b88f2cbfeeUL;
   tf->codes[41206] = 0x0001908c660ff4ebUL;
   tf->codes[41207] = 0x0001924e1c6e43d1UL;
   tf->codes[41208] = 0x0001b715ef72f708UL;
   tf->codes[41209] = 0x0001ba7de924e07cUL;
   tf->codes[41210] = 0x0001bb66c5e1d1deUL;
   tf->codes[41211] = 0x0001c1dbe979b245UL;
   tf->codes[41212] = 0x0001e15d74985bf1UL;
   tf->codes[41213] = 0x0001f353af37670fUL;
   tf->codes[41214] = 0x0001f469d692cecfUL;
   tf->codes[41215] = 0x000014319b3563baUL;
   tf->codes[41216] = 0x000019760ea33f1dUL;
   tf->codes[41217] = 0x00001f6b53ed8659UL;
   tf->codes[41218] = 0x00002a06877b0aafUL;
   tf->codes[41219] = 0x0000309b019d0183UL;
   tf->codes[41220] = 0x000035a4ab761221UL;
   tf->codes[41221] = 0x00003de60b1f4ad4UL;
   tf->codes[41222] = 0x000041f1ccd55744UL;
   tf->codes[41223] = 0x00004a186920eceeUL;
   tf->codes[41224] = 0x0000511bd438d1fbUL;
   tf->codes[41225] = 0x00005846d1f79d29UL;
   tf->codes[41226] = 0x0000643121fd25dcUL;
   tf->codes[41227] = 0x000065553d6ced8dUL;
   tf->codes[41228] = 0x00008498cb247baeUL;
   tf->codes[41229] = 0x00009d90d6f24376UL;
   tf->codes[41230] = 0x00009f19d2c2fb84UL;
   tf->codes[41231] = 0x0000ad52fbdbbaeaUL;
   tf->codes[41232] = 0x0000b1a481f7a70fUL;
   tf->codes[41233] = 0x0000b2f8319c1ed0UL;
   tf->codes[41234] = 0x0000b41a7893b859UL;
   tf->codes[41235] = 0x0000b6d3e9ff6fa6UL;
   tf->codes[41236] = 0x0000b97b83d764edUL;
   tf->codes[41237] = 0x0000d3fd3b22f612UL;
   tf->codes[41238] = 0x0000d4ef78c7d401UL;
   tf->codes[41239] = 0x0000f5407c9feea4UL;
   tf->codes[41240] = 0x0000f7ed93e06e63UL;
   tf->codes[41241] = 0x000103f356f0ab6eUL;
   tf->codes[41242] = 0x000106eb3ae189d0UL;
   tf->codes[41243] = 0x00011e4a0d33ffe7UL;
   tf->codes[41244] = 0x000125d0154dc35bUL;
   tf->codes[41245] = 0x00012b1ba00d5199UL;
   tf->codes[41246] = 0x00012f7e1380e8b0UL;
   tf->codes[41247] = 0x00014519958be77eUL;
   tf->codes[41248] = 0x0001490b7e2067f9UL;
   tf->codes[41249] = 0x00014c419a0767abUL;
   tf->codes[41250] = 0x00014d5db3e9656dUL;
   tf->codes[41251] = 0x000150d2b77397beUL;
   tf->codes[41252] = 0x000155bdba6fa33eUL;
   tf->codes[41253] = 0x000157e32c63c5a8UL;
   tf->codes[41254] = 0x00016e177ba1d282UL;
   tf->codes[41255] = 0x0001a0342e2ec721UL;
   tf->codes[41256] = 0x0001a20b2a822e98UL;
   tf->codes[41257] = 0x0001a51052da5b9cUL;
   tf->codes[41258] = 0x0001c1bb5f997140UL;
   tf->codes[41259] = 0x0001cd8ff48bd5d8UL;
   tf->codes[41260] = 0x0001e3eecfb413d4UL;
   tf->codes[41261] = 0x0001e8605c0727b5UL;
   tf->codes[41262] = 0x0001e9afb30e31d7UL;
   tf->codes[41263] = 0x0001ead9fb93954fUL;
   tf->codes[41264] = 0x0001f404e7a6d0b3UL;
   tf->codes[41265] = 0x0001f68e4fbfcc66UL;
   tf->codes[41266] = 0x0001f764dfcaf038UL;
   tf->codes[41267] = 0x0000097cf519513aUL;
   tf->codes[41268] = 0x000010d4533a7bb2UL;
   tf->codes[41269] = 0x00002ffad3fe2d18UL;
   tf->codes[41270] = 0x000040893dcec4bdUL;
   tf->codes[41271] = 0x000054d8d7340ff4UL;
   tf->codes[41272] = 0x0000555df85b2dd2UL;
   tf->codes[41273] = 0x00005c44cb9d41aeUL;
   tf->codes[41274] = 0x000065b6665273dbUL;
   tf->codes[41275] = 0x000065d547be7ebeUL;
   tf->codes[41276] = 0x000066f4d001d30bUL;
   tf->codes[41277] = 0x00006e15bd2ba05dUL;
   tf->codes[41278] = 0x00006eda3b13fc64UL;
   tf->codes[41279] = 0x000073b53af47406UL;
   tf->codes[41280] = 0x000073f66c2de057UL;
   tf->codes[41281] = 0x000077fceb0a6814UL;
   tf->codes[41282] = 0x00008ba0baddc660UL;
   tf->codes[41283] = 0x00009076b273bf14UL;
   tf->codes[41284] = 0x0000932faec16ad7UL;
   tf->codes[41285] = 0x00009a94c667ef7bUL;
   tf->codes[41286] = 0x00009b34aaecb062UL;
   tf->codes[41287] = 0x00009f50aa4d5675UL;
   tf->codes[41288] = 0x0000a9989a7ea6afUL;
   tf->codes[41289] = 0x0000abc2da2e4242UL;
   tf->codes[41290] = 0x0000ac1a0109d873UL;
   tf->codes[41291] = 0x0000b86080357645UL;
   tf->codes[41292] = 0x0000ba3e1ebc850dUL;
   tf->codes[41293] = 0x0000d24586ce9749UL;
   tf->codes[41294] = 0x0000d59ea23009b8UL;
   tf->codes[41295] = 0x0000f205f9907394UL;
   tf->codes[41296] = 0x0000f3392ddfb80fUL;
   tf->codes[41297] = 0x000115abc02c9307UL;
   tf->codes[41298] = 0x00011a3f9c4d0856UL;
   tf->codes[41299] = 0x00011e53d4aeea3fUL;
   tf->codes[41300] = 0x00014078667915ceUL;
   tf->codes[41301] = 0x0001521a737fd5bcUL;
   tf->codes[41302] = 0x000154bf14148002UL;
   tf->codes[41303] = 0x00015efc0974bb4cUL;
   tf->codes[41304] = 0x000163bf79c9e0abUL;
   tf->codes[41305] = 0x0001745fbb2e3a56UL;
   tf->codes[41306] = 0x000178f0d89a6a69UL;
   tf->codes[41307] = 0x00017e0333ae5645UL;
   tf->codes[41308] = 0x00017f5dfaa480e1UL;
   tf->codes[41309] = 0x00018c6130b9b690UL;
   tf->codes[41310] = 0x000193c7a7ba5dd2UL;
   tf->codes[41311] = 0x0001945d068c1553UL;
   tf->codes[41312] = 0x000195e8fba01862UL;
   tf->codes[41313] = 0x0001b63e1d869adfUL;
   tf->codes[41314] = 0x0001c19a609b24b1UL;
   tf->codes[41315] = 0x0001d59e0884f46cUL;
   tf->codes[41316] = 0x0001eca8382113c9UL;
   tf->codes[41317] = 0x0001fbeaf3dafd9cUL;
   tf->codes[41318] = 0x0000098f3340110bUL;
   tf->codes[41319] = 0x000013135536168dUL;
   tf->codes[41320] = 0x00001ae00bf1d0caUL;
   tf->codes[41321] = 0x00002352d447e7b5UL;
   tf->codes[41322] = 0x000036fac229addbUL;
   tf->codes[41323] = 0x000041511b8d6990UL;
   tf->codes[41324] = 0x000042d2505f5d74UL;
   tf->codes[41325] = 0x0000515d5d7a2e58UL;
   tf->codes[41326] = 0x0000532f8c121ca6UL;
   tf->codes[41327] = 0x00005ae1b9ff399fUL;
   tf->codes[41328] = 0x00005f77a526e2dbUL;
   tf->codes[41329] = 0x000060a1788e3ac9UL;
   tf->codes[41330] = 0x0000815cda2fd041UL;
   tf->codes[41331] = 0x00008c0049da244bUL;
   tf->codes[41332] = 0x000094d6cdc60ebaUL;
   tf->codes[41333] = 0x0000995b5678017aUL;
   tf->codes[41334] = 0x0000a313654024abUL;
   tf->codes[41335] = 0x0000be3e61f86344UL;
   tf->codes[41336] = 0x0000cd3d2dc49b8aUL;
   tf->codes[41337] = 0x0000d5a0681d2a21UL;
   tf->codes[41338] = 0x0000eba229e33beaUL;
   tf->codes[41339] = 0x0000fb841a74d555UL;
   tf->codes[41340] = 0x0000febddf4c3157UL;
   tf->codes[41341] = 0x000100fc4025c8a2UL;
   tf->codes[41342] = 0x0001203b3ab0e35fUL;
   tf->codes[41343] = 0x000120e1fbf8515cUL;
   tf->codes[41344] = 0x000134d2e21247fdUL;
   tf->codes[41345] = 0x000135650d11aeb8UL;
   tf->codes[41346] = 0x000139be5a2c5f07UL;
   tf->codes[41347] = 0x00013d4e96323febUL;
   tf->codes[41348] = 0x00013f1a229686e8UL;
   tf->codes[41349] = 0x00014ac58af8dcfcUL;
   tf->codes[41350] = 0x0001587d3bdadad4UL;
   tf->codes[41351] = 0x00015eba8f213b77UL;
   tf->codes[41352] = 0x00016ae10815b18dUL;
   tf->codes[41353] = 0x000179c12d04e4b5UL;
   tf->codes[41354] = 0x00017adf907d1c29UL;
   tf->codes[41355] = 0x00017fc1a7af46a6UL;
   tf->codes[41356] = 0x000189914602bc1aUL;
   tf->codes[41357] = 0x00018b521224f3ecUL;
   tf->codes[41358] = 0x00018cc761e9bbccUL;
   tf->codes[41359] = 0x000193eb82e5d9e4UL;
   tf->codes[41360] = 0x0001949c54c245bdUL;
   tf->codes[41361] = 0x000199984515fc2fUL;
   tf->codes[41362] = 0x0001b8acee45eb8fUL;
   tf->codes[41363] = 0x0001c352a786794bUL;
   tf->codes[41364] = 0x0001e2bc688acaefUL;
   tf->codes[41365] = 0x0001e71e66e0567cUL;
   tf->codes[41366] = 0x000008da6f59355eUL;
   tf->codes[41367] = 0x00000f03a1759a49UL;
   tf->codes[41368] = 0x000013a65be6869dUL;
   tf->codes[41369] = 0x00001d7251499fc1UL;
   tf->codes[41370] = 0x00001e40dfc6f9a4UL;
   tf->codes[41371] = 0x0000240b5e9809f9UL;
   tf->codes[41372] = 0x00002afe8c055563UL;
   tf->codes[41373] = 0x00003a723b4e11e4UL;
   tf->codes[41374] = 0x0000452747fd222fUL;
   tf->codes[41375] = 0x0000498d9ef01b5bUL;
   tf->codes[41376] = 0x00004ed12821dfaaUL;
   tf->codes[41377] = 0x0000513d0e28f318UL;
   tf->codes[41378] = 0x000054bd0c843a59UL;
   tf->codes[41379] = 0x00005dccc01bc72aUL;
   tf->codes[41380] = 0x000062f376e8b483UL;
   tf->codes[41381] = 0x000076c282535540UL;
   tf->codes[41382] = 0x00007acef3b672ffUL;
   tf->codes[41383] = 0x00007eb70644fb63UL;
   tf->codes[41384] = 0x00009e47aa4321d9UL;
   tf->codes[41385] = 0x00009f86fe2e981dUL;
   tf->codes[41386] = 0x0000a00ede09fb37UL;
   tf->codes[41387] = 0x0000a24e291fa996UL;
   tf->codes[41388] = 0x0000af3ba421bb2aUL;
   tf->codes[41389] = 0x0000bf0fdb2dfa69UL;
   tf->codes[41390] = 0x0000cf851b8a1768UL;
   tf->codes[41391] = 0x0000d459b3c5ed7eUL;
   tf->codes[41392] = 0x0000e355864edac3UL;
   tf->codes[41393] = 0x000107969e4347b9UL;
   tf->codes[41394] = 0x000131a5ddf92154UL;
   tf->codes[41395] = 0x0001393288468c19UL;
   tf->codes[41396] = 0x00013ffe5d9bf727UL;
   tf->codes[41397] = 0x0001419c9f61c7c6UL;
   tf->codes[41398] = 0x000141c5cbf1d64aUL;
   tf->codes[41399] = 0x0001422cbb59fa94UL;
   tf->codes[41400] = 0x000155da9bc256bcUL;
   tf->codes[41401] = 0x00016154d606d45dUL;
   tf->codes[41402] = 0x00016782d5deb271UL;
   tf->codes[41403] = 0x00016a3f408db4bfUL;
   tf->codes[41404] = 0x00017a363c8560f6UL;
   tf->codes[41405] = 0x00017f911ab371c3UL;
   tf->codes[41406] = 0x0001818ebf71a847UL;
   tf->codes[41407] = 0x000187b3d37fa558UL;
   tf->codes[41408] = 0x0001947319a7297aUL;
   tf->codes[41409] = 0x000198d2ce667b55UL;
   tf->codes[41410] = 0x00019b4bf8d4dd65UL;
   tf->codes[41411] = 0x0001ad62743a1604UL;
   tf->codes[41412] = 0x0001c24e4933c5d2UL;
   tf->codes[41413] = 0x0001c6cd19ee2855UL;
   tf->codes[41414] = 0x0001c892793cd38bUL;
   tf->codes[41415] = 0x0001cc4c1c61c8b8UL;
   tf->codes[41416] = 0x0001cef7249b148aUL;
   tf->codes[41417] = 0x0001d4dd8b94e4c1UL;
   tf->codes[41418] = 0x0001db3985b84a82UL;
   tf->codes[41419] = 0x0001e20bfd415ce1UL;
   tf->codes[41420] = 0x0001e5dc80449302UL;
   tf->codes[41421] = 0x0001f6ad7aa8b996UL;
   tf->codes[41422] = 0x00000d392b516266UL;
   tf->codes[41423] = 0x00001bdaa32c68b4UL;
   tf->codes[41424] = 0x0000206eb9dbe3c8UL;
   tf->codes[41425] = 0x000025acc5a51d9fUL;
   tf->codes[41426] = 0x000031fc309a9c74UL;
   tf->codes[41427] = 0x000038a7c529da01UL;
   tf->codes[41428] = 0x00003d28a4eb7071UL;
   tf->codes[41429] = 0x00004803353a32f0UL;
   tf->codes[41430] = 0x0000551633dbf6b8UL;
   tf->codes[41431] = 0x0000566acdbc858dUL;
   tf->codes[41432] = 0x00006b441b756206UL;
   tf->codes[41433] = 0x0000749b2d5bf6efUL;
   tf->codes[41434] = 0x0000783071ac56c1UL;
   tf->codes[41435] = 0x000080d517cd576eUL;
   tf->codes[41436] = 0x000084c182f94d71UL;
   tf->codes[41437] = 0x0000970f5991fa4aUL;
   tf->codes[41438] = 0x00009d790d3aba37UL;
   tf->codes[41439] = 0x00009d8183e68fb0UL;
   tf->codes[41440] = 0x0000a1189caf1daaUL;
   tf->codes[41441] = 0x0000a8ffdc39752bUL;
   tf->codes[41442] = 0x0000aae750c67c0aUL;
   tf->codes[41443] = 0x0000b671c8b5934eUL;
   tf->codes[41444] = 0x0000b9872eb859f5UL;
   tf->codes[41445] = 0x0000c3310edd1770UL;
   tf->codes[41446] = 0x0000d0e46721a7a9UL;
   tf->codes[41447] = 0x0000e37edee2e14dUL;
   tf->codes[41448] = 0x0000f26f417cae18UL;
   tf->codes[41449] = 0x0000fe1b598c157bUL;
   tf->codes[41450] = 0x0000ff841496a008UL;
   tf->codes[41451] = 0x000109c4033a2653UL;
   tf->codes[41452] = 0x000109ce4e5e29f4UL;
   tf->codes[41453] = 0x000116537a9df4a0UL;
   tf->codes[41454] = 0x000149c710a1b1c6UL;
   tf->codes[41455] = 0x00015609372fe1f9UL;
   tf->codes[41456] = 0x000156b53b50d4a9UL;
   tf->codes[41457] = 0x000165b6162440dcUL;
   tf->codes[41458] = 0x00018005b515e27aUL;
   tf->codes[41459] = 0x0001af0fc05455aeUL;
   tf->codes[41460] = 0x0001c9115ec347e3UL;
   tf->codes[41461] = 0x0001c9eda6c5fbf2UL;
   tf->codes[41462] = 0x0001ce30c3af7c9cUL;
   tf->codes[41463] = 0x0001dd27535ee52eUL;
   tf->codes[41464] = 0x0001e319d9f4e72eUL;
   tf->codes[41465] = 0x0001f3e432256671UL;
   tf->codes[41466] = 0x0001f4e49e6daa16UL;
   tf->codes[41467] = 0x0001f626767e5fd1UL;
   tf->codes[41468] = 0x00000caad5465001UL;
   tf->codes[41469] = 0x0000113b08766900UL;
   tf->codes[41470] = 0x00001ba632b131bcUL;
   tf->codes[41471] = 0x00001d037dcc9bcfUL;
   tf->codes[41472] = 0x00002035b634396cUL;
   tf->codes[41473] = 0x00002d25403d7eedUL;
   tf->codes[41474] = 0x00003c3b9b950976UL;
   tf->codes[41475] = 0x0000403dfc632959UL;
   tf->codes[41476] = 0x0000411a7ef4e32dUL;
   tf->codes[41477] = 0x0000447c4b9130daUL;
   tf->codes[41478] = 0x00004e0dec7d8ac3UL;
   tf->codes[41479] = 0x000059488f71c476UL;
   tf->codes[41480] = 0x0000682d0cfe653dUL;
   tf->codes[41481] = 0x00006b6bda20402dUL;
   tf->codes[41482] = 0x000071548ab04a16UL;
   tf->codes[41483] = 0x000073559dcfd725UL;
   tf->codes[41484] = 0x0000846ee0bf1ce5UL;
   tf->codes[41485] = 0x00008b109f48625bUL;
   tf->codes[41486] = 0x00008fafeb57f824UL;
   tf->codes[41487] = 0x0000a706bc1ca44cUL;
   tf->codes[41488] = 0x0000b0e39ed76862UL;
   tf->codes[41489] = 0x0000b3b8bddcd9ccUL;
   tf->codes[41490] = 0x0000c3367dba9429UL;
   tf->codes[41491] = 0x0000dc987233cb3cUL;
   tf->codes[41492] = 0x0000e58ade48758dUL;
   tf->codes[41493] = 0x000102b25af3cdd1UL;
   tf->codes[41494] = 0x000107772aa315ceUL;
   tf->codes[41495] = 0x00010e136bc3d0ccUL;
   tf->codes[41496] = 0x0001207b560d0f5fUL;
   tf->codes[41497] = 0x0001384ab33e9c12UL;
   tf->codes[41498] = 0x00013a5895a76c39UL;
   tf->codes[41499] = 0x00014de4d5ef7842UL;
   tf->codes[41500] = 0x00014de84450cecdUL;
   tf->codes[41501] = 0x000154aed6ccb528UL;
   tf->codes[41502] = 0x00015f9ee79f95fdUL;
   tf->codes[41503] = 0x000169c8e0a0f268UL;
   tf->codes[41504] = 0x00016bab12547494UL;
   tf->codes[41505] = 0x0001702799789d65UL;
   tf->codes[41506] = 0x0001799f61436b59UL;
   tf->codes[41507] = 0x000189627068f9e1UL;
   tf->codes[41508] = 0x0001bd24b69c77bfUL;
   tf->codes[41509] = 0x0001bdaa8770a6ecUL;
   tf->codes[41510] = 0x0001be79c59b121eUL;
   tf->codes[41511] = 0x0001c4d12c92047bUL;
   tf->codes[41512] = 0x0001cda8602b0039UL;
   tf->codes[41513] = 0x0001d5d982299f49UL;
   tf->codes[41514] = 0x0001ddf5d3513152UL;
   tf->codes[41515] = 0x0001e1abcd85ca2fUL;
   tf->codes[41516] = 0x0001e3de49523576UL;
   tf->codes[41517] = 0x0001fbff1567c81dUL;
   tf->codes[41518] = 0x000012427d8551c1UL;
   tf->codes[41519] = 0x000017433b94815cUL;
   tf->codes[41520] = 0x00003e9560ee475aUL;
   tf->codes[41521] = 0x00004fdfd1fb658dUL;
   tf->codes[41522] = 0x000054e3fe6bebb3UL;
   tf->codes[41523] = 0x00005850162c3d01UL;
   tf->codes[41524] = 0x00005bea62c71bc1UL;
   tf->codes[41525] = 0x0000621b96714a9bUL;
   tf->codes[41526] = 0x0000682f48099130UL;
   tf->codes[41527] = 0x0000686be6168a1dUL;
   tf->codes[41528] = 0x000074e567d82e8aUL;
   tf->codes[41529] = 0x0000902f808b7dcbUL;
   tf->codes[41530] = 0x00009470194fbefeUL;
   tf->codes[41531] = 0x0000949a6aaaea5bUL;
   tf->codes[41532] = 0x00009b2a8c2f7390UL;
   tf->codes[41533] = 0x0000e391839c9ee9UL;
   tf->codes[41534] = 0x0000ee2cb72a233fUL;
   tf->codes[41535] = 0x0000f5423464d017UL;
   tf->codes[41536] = 0x0000fa8841bbd3ddUL;
   tf->codes[41537] = 0x00010b95650ee7d4UL;
   tf->codes[41538] = 0x000116a8afeb412bUL;
   tf->codes[41539] = 0x0001188529a7331aUL;
   tf->codes[41540] = 0x00011da419755c49UL;
   tf->codes[41541] = 0x00012b034421a152UL;
   tf->codes[41542] = 0x00013024f2a40fbdUL;
   tf->codes[41543] = 0x0001319ed5954b01UL;
   tf->codes[41544] = 0x0001367b34cfe541UL;
   tf->codes[41545] = 0x000136e93b89bc66UL;
   tf->codes[41546] = 0x000137e9a7d2000bUL;
   tf->codes[41547] = 0x00013b825a83b668UL;
   tf->codes[41548] = 0x00013eda511a0bfeUL;
   tf->codes[41549] = 0x0001402933030a96UL;
   tf->codes[41550] = 0x00014bae2d899762UL;
   tf->codes[41551] = 0x000165ef9dd7d34aUL;
   tf->codes[41552] = 0x000176e70617c326UL;
   tf->codes[41553] = 0x0001801e4c563618UL;
   tf->codes[41554] = 0x00018b963d047a07UL;
   tf->codes[41555] = 0x0001941c01b96fd1UL;
   tf->codes[41556] = 0x0001a94faa203341UL;
   tf->codes[41557] = 0x0001addc6eeef5b5UL;
   tf->codes[41558] = 0x0001b3d1048c2ba2UL;
   tf->codes[41559] = 0x0001b61e0927342dUL;
   tf->codes[41560] = 0x0001baffab3b5320UL;
   tf->codes[41561] = 0x0001c81568915c24UL;
   tf->codes[41562] = 0x0001c99cca78ebcfUL;
   tf->codes[41563] = 0x0001e19345335319UL;
   tf->codes[41564] = 0x00000402691ed786UL;
   tf->codes[41565] = 0x00000f05eb6ea2c4UL;
   tf->codes[41566] = 0x00001075f859e5f1UL;
   tf->codes[41567] = 0x000011d726f4b219UL;
   tf->codes[41568] = 0x000015872ea2b4f4UL;
   tf->codes[41569] = 0x000019cccfb17515UL;
   tf->codes[41570] = 0x00001c846ca4fe3aUL;
   tf->codes[41571] = 0x00001d7426249cb2UL;
   tf->codes[41572] = 0x000022c47e9fa419UL;
   tf->codes[41573] = 0x00002cafca8cd3aaUL;
   tf->codes[41574] = 0x00002d9fbe9b77e7UL;
   tf->codes[41575] = 0x00003c755dd7a1a9UL;
   tf->codes[41576] = 0x00005d3cdf1568eaUL;
   tf->codes[41577] = 0x000076b8acb02bf2UL;
   tf->codes[41578] = 0x0000781e33e865b9UL;
   tf->codes[41579] = 0x00007b2a73924598UL;
   tf->codes[41580] = 0x00008309b18ed32aUL;
   tf->codes[41581] = 0x0000886c1c2ca25cUL;
   tf->codes[41582] = 0x00008fef65922094UL;
   tf->codes[41583] = 0x0000a0960e9b1bcbUL;
   tf->codes[41584] = 0x0000a5084a9b40fbUL;
   tf->codes[41585] = 0x0000aac7ce9b3c60UL;
   tf->codes[41586] = 0x0000ab777bac8b60UL;
   tf->codes[41587] = 0x0000b228188647dbUL;
   tf->codes[41588] = 0x0000ba961320e59dUL;
   tf->codes[41589] = 0x0000bcffea20c51eUL;
   tf->codes[41590] = 0x0000ced1c5eb3ae1UL;
   tf->codes[41591] = 0x0000ddf85eed5f0dUL;
   tf->codes[41592] = 0x0000e14fa5d6a354UL;
   tf->codes[41593] = 0x0001123a0e506a8cUL;
   tf->codes[41594] = 0x000115bccb5ff709UL;
   tf->codes[41595] = 0x00011d534bb359e5UL;
   tf->codes[41596] = 0x00012f911f3072e0UL;
   tf->codes[41597] = 0x00013ec621650287UL;
   tf->codes[41598] = 0x000140c17c8cff59UL;
   tf->codes[41599] = 0x000142892571e441UL;
   tf->codes[41600] = 0x00014c6dcf2b6c81UL;
   tf->codes[41601] = 0x00014cd7b7d6dbccUL;
   tf->codes[41602] = 0x00014d96b856ad5bUL;
   tf->codes[41603] = 0x0001545beb787118UL;
   tf->codes[41604] = 0x000156bf2044a948UL;
   tf->codes[41605] = 0x00016165fe5053ddUL;
   tf->codes[41606] = 0x00019d8342bf909eUL;
   tf->codes[41607] = 0x0001b0e188bc14faUL;
   tf->codes[41608] = 0x0001b2dce3e411ccUL;
   tf->codes[41609] = 0x0001dcf3b009a9ccUL;
   tf->codes[41610] = 0x0001e0cbbf7c9e52UL;
   tf->codes[41611] = 0x0001e91cad235f59UL;
   tf->codes[41612] = 0x0001fdb74dc80ef8UL;
   tf->codes[41613] = 0x000008de44b0587dUL;
   tf->codes[41614] = 0x000010d3b2de15b4UL;
   tf->codes[41615] = 0x000011902f38a7ccUL;
   tf->codes[41616] = 0x00002f5d0dd14b6fUL;
   tf->codes[41617] = 0x000032a7c0005263UL;
   tf->codes[41618] = 0x0000460605fcd6bfUL;
   tf->codes[41619] = 0x0000653cc46b21c8UL;
   tf->codes[41620] = 0x000066498ade9cfbUL;
   tf->codes[41621] = 0x000066920df8c1ecUL;
   tf->codes[41622] = 0x0000706a22f80cd9UL;
   tf->codes[41623] = 0x000079d0132f18c7UL;
   tf->codes[41624] = 0x00008503644299daUL;
   tf->codes[41625] = 0x000094857cbdc1d6UL;
   tf->codes[41626] = 0x000099e22f6400cbUL;
   tf->codes[41627] = 0x0000a53a546a22c3UL;
   tf->codes[41628] = 0x0000a6e1f717dfefUL;
   tf->codes[41629] = 0x0000b054f12734baUL;
   tf->codes[41630] = 0x0000b1fd08f2fd70UL;
   tf->codes[41631] = 0x0000b907c5eb9b1dUL;
   tf->codes[41632] = 0x0000bca0037f45f0UL;
   tf->codes[41633] = 0x0000c66a246a30ecUL;
   tf->codes[41634] = 0x0000dce905c996a4UL;
   tf->codes[41635] = 0x000116a38a8aa6bfUL;
   tf->codes[41636] = 0x000118ab054ed55aUL;
   tf->codes[41637] = 0x0001224432aaeda8UL;
   tf->codes[41638] = 0x000123eb603a9f4aUL;
   tf->codes[41639] = 0x00012af61d333cf7UL;
   tf->codes[41640] = 0x000130fbdab7239bUL;
   tf->codes[41641] = 0x000148181c760ac3UL;
   tf->codes[41642] = 0x00014c7f2316153eUL;
   tf->codes[41643] = 0x000160b93bf7421fUL;
   tf->codes[41644] = 0x000163155971c774UL;
   tf->codes[41645] = 0x00016d82cd42c9e2UL;
   tf->codes[41646] = 0x00017f9b57af366eUL;
   tf->codes[41647] = 0x0001a2c3c422fc2dUL;
   tf->codes[41648] = 0x0001af7d5252f012UL;
   tf->codes[41649] = 0x0001bef594c81ff7UL;
   tf->codes[41650] = 0x0001c5de3c8261fbUL;
   tf->codes[41651] = 0x0001c9a7e2c2eb06UL;
   tf->codes[41652] = 0x0001cac81ab350a2UL;
   tf->codes[41653] = 0x0001d8fefa35d656UL;
   tf->codes[41654] = 0x0001edeeed3dedfeUL;
   tf->codes[41655] = 0x0001eeb5050f7268UL;
   tf->codes[41656] = 0x000002ea15a6205bUL;
   tf->codes[41657] = 0x0000180e6a9e613cUL;
   tf->codes[41658] = 0x00003b035f5e14d6UL;
   tf->codes[41659] = 0x00004383a6aa8028UL;
   tf->codes[41660] = 0x0000609c0a765ba2UL;
   tf->codes[41661] = 0x00006ba544bdb71dUL;
   tf->codes[41662] = 0x00006c0bf996d5a2UL;
   tf->codes[41663] = 0x00007000db6ea11eUL;
   tf->codes[41664] = 0x0000733682379546UL;
   tf->codes[41665] = 0x0000760832dbb025UL;
   tf->codes[41666] = 0x00007d2626c23276UL;
   tf->codes[41667] = 0x000085da956fc13cUL;
   tf->codes[41668] = 0x00009ffcaf33e6b7UL;
   tf->codes[41669] = 0x0000adb1dbf0a518UL;
   tf->codes[41670] = 0x0000edc43cc6b31aUL;
   tf->codes[41671] = 0x0000f7217bc2e3caUL;
   tf->codes[41672] = 0x0001125aa71e8819UL;
   tf->codes[41673] = 0x00011b500c767d6bUL;
   tf->codes[41674] = 0x00011e3653629f8cUL;
   tf->codes[41675] = 0x00012288c3baa2c5UL;
   tf->codes[41676] = 0x000123583c7413bcUL;
   tf->codes[41677] = 0x00012b27023701e6UL;
   tf->codes[41678] = 0x0001540a5f7e4fa6UL;
   tf->codes[41679] = 0x00015f3a07a17469UL;
   tf->codes[41680] = 0x00016959f00dd2f8UL;
   tf->codes[41681] = 0x000170fdef578a3bUL;
   tf->codes[41682] = 0x000185f8dd30b6d3UL;
   tf->codes[41683] = 0x000196827945d54fUL;
   tf->codes[41684] = 0x0001ac9ec3da845cUL;
   tf->codes[41685] = 0x0001b65cc5293d8fUL;
   tf->codes[41686] = 0x0001bd1145825c1fUL;
   tf->codes[41687] = 0x0001c18889cd003dUL;
   tf->codes[41688] = 0x0001c399a008212aUL;
   tf->codes[41689] = 0x0001d5afe0de5404UL;
   tf->codes[41690] = 0x0001d6d730206c7bUL;
   tf->codes[41691] = 0x0001dd265afa8f24UL;
   tf->codes[41692] = 0x0001ddb885f9f5dfUL;
   tf->codes[41693] = 0x0001e083946a696dUL;
   tf->codes[41694] = 0x00000336332593ddUL;
   tf->codes[41695] = 0x000003825f30151eUL;
   tf->codes[41696] = 0x00000d4234f6fc79UL;
   tf->codes[41697] = 0x00002214a5ed2bdcUL;
   tf->codes[41698] = 0x0000285f7829e0e6UL;
   tf->codes[41699] = 0x0000304ad5c2a041UL;
   tf->codes[41700] = 0x00003214c83dbedbUL;
   tf->codes[41701] = 0x00003d4226caa9ecUL;
   tf->codes[41702] = 0x000047b8fb8398e7UL;
   tf->codes[41703] = 0x000060f188ddbbb1UL;
   tf->codes[41704] = 0x000067ccec30af13UL;
   tf->codes[41705] = 0x0000866560036198UL;
   tf->codes[41706] = 0x000090875776f414UL;
   tf->codes[41707] = 0x0000b13783b86ed7UL;
   tf->codes[41708] = 0x0000b1a1a6f2e3e7UL;
   tf->codes[41709] = 0x0000be854beefd64UL;
   tf->codes[41710] = 0x0000ca13e1ec7c82UL;
   tf->codes[41711] = 0x0000d01cd342b3ecUL;
   tf->codes[41712] = 0x0000d08228c1afd3UL;
   tf->codes[41713] = 0x0000d62a1d3658f5UL;
   tf->codes[41714] = 0x0000e451a94a5c1aUL;
   tf->codes[41715] = 0x0000e5c7a8bc3549UL;
   tf->codes[41716] = 0x0000f09e1afc8feeUL;
   tf->codes[41717] = 0x00010f356a04259aUL;
   tf->codes[41718] = 0x00011b7baea0bda7UL;
   tf->codes[41719] = 0x000134bfabea00ebUL;
   tf->codes[41720] = 0x000136fe47529dfbUL;
   tf->codes[41721] = 0x0001433d749d832dUL;
   tf->codes[41722] = 0x0001477e827fcfeaUL;
   tf->codes[41723] = 0x00016723f7550367UL;
   tf->codes[41724] = 0x0001724ed1bcaf01UL;
   tf->codes[41725] = 0x0001733ec5cb533eUL;
   tf->codes[41726] = 0x00017edc3a194961UL;
   tf->codes[41727] = 0x00018331a3b4979bUL;
   tf->codes[41728] = 0x00018b7a553e88eeUL;
   tf->codes[41729] = 0x00018d9506f09c2dUL;
   tf->codes[41730] = 0x000193807634eb52UL;
   tf->codes[41731] = 0x0001a28ecffeabecUL;
   tf->codes[41732] = 0x0001a85321ba207aUL;
   tf->codes[41733] = 0x0001b4bbb62419f5UL;
   tf->codes[41734] = 0x0001be3b0a5ea64eUL;
   tf->codes[41735] = 0x0001c2556fd623feUL;
   tf->codes[41736] = 0x0001c2c969169125UL;
   tf->codes[41737] = 0x0001e35cfd823ab7UL;
   tf->codes[41738] = 0x0001ea331dfba966UL;
   tf->codes[41739] = 0x0001ee0191f7ab9aUL;
   tf->codes[41740] = 0x0001f0b0f2ce650bUL;
   tf->codes[41741] = 0x0001f89ab67dfc03UL;
   tf->codes[41742] = 0x0001f9622da9a30bUL;
   tf->codes[41743] = 0x00000533c958bca2UL;
   tf->codes[41744] = 0x000005bb6ea519f7UL;
   tf->codes[41745] = 0x00000de3a4d9d804UL;
   tf->codes[41746] = 0x000014a47f5e2e22UL;
   tf->codes[41747] = 0x0000190ad651274eUL;
   tf->codes[41748] = 0x00002555ae1a32bfUL;
   tf->codes[41749] = 0x00002e72a6190e32UL;
   tf->codes[41750] = 0x000032d6b375cdacUL;
   tf->codes[41751] = 0x0000490dfbf72587UL;
   tf->codes[41752] = 0x0000495c3708dab5UL;
   tf->codes[41753] = 0x00005aed9146f576UL;
   tf->codes[41754] = 0x000065ac73fbfdd8UL;
   tf->codes[41755] = 0x000069e1624218ccUL;
   tf->codes[41756] = 0x0000765700845b24UL;
   tf->codes[41757] = 0x000079074b972ba9UL;
   tf->codes[41758] = 0x00007fb529bca2e8UL;
   tf->codes[41759] = 0x000093e9ffc44b16UL;
   tf->codes[41760] = 0x00009a70c060e7beUL;
   tf->codes[41761] = 0x0000b695c1bcc870UL;
   tf->codes[41762] = 0x0000d852ef00c42bUL;
   tf->codes[41763] = 0x0000df04b0a59d7fUL;
   tf->codes[41764] = 0x0000e30661c6ac13UL;
   tf->codes[41765] = 0x0000ee4bff8bfab6UL;
   tf->codes[41766] = 0x0000f690cd9689f4UL;
   tf->codes[41767] = 0x00010ca6eb159d3aUL;
   tf->codes[41768] = 0x00010e160dc4c953UL;
   tf->codes[41769] = 0x00011a9f1d83f614UL;
   tf->codes[41770] = 0x00011cf8f16841b7UL;
   tf->codes[41771] = 0x00011f38770cf5dbUL;
   tf->codes[41772] = 0x000120f893821c5eUL;
   tf->codes[41773] = 0x00013a624efa179bUL;
   tf->codes[41774] = 0x00013b4ab698fd73UL;
   tf->codes[41775] = 0x00013bd84e6bf0caUL;
   tf->codes[41776] = 0x000147d81ef597d3UL;
   tf->codes[41777] = 0x00015be4ed384e56UL;
   tf->codes[41778] = 0x00016ce1d2e0c8aaUL;
   tf->codes[41779] = 0x00017212d4d1b9a4UL;
   tf->codes[41780] = 0x00018a7c991f7cc6UL;
   tf->codes[41781] = 0x0001909e3ecc234cUL;
   tf->codes[41782] = 0x00019d3751a6e3ebUL;
   tf->codes[41783] = 0x00019ddcb3942f4aUL;
   tf->codes[41784] = 0x0001a9dfb7f02719UL;
   tf->codes[41785] = 0x0001b7fd6dfe3227UL;
   tf->codes[41786] = 0x0001b8e2a1cac739UL;
   tf->codes[41787] = 0x0001c863d009d821UL;
   tf->codes[41788] = 0x0001cc3f886d28f7UL;
   tf->codes[41789] = 0x0001cc6ac4046b68UL;
   tf->codes[41790] = 0x0001e2ff9b05fb00UL;
   tf->codes[41791] = 0x0001f095abc7a8b9UL;
   tf->codes[41792] = 0x000001da64dd36afUL;
   tf->codes[41793] = 0x00001575f893c547UL;
   tf->codes[41794] = 0x000025e6a5c36ee2UL;
   tf->codes[41795] = 0x00002baa0d42cc5cUL;
   tf->codes[41796] = 0x000031b8b6909403UL;
   tf->codes[41797] = 0x000034781a82e152UL;
   tf->codes[41798] = 0x000034bddee8c107UL;
   tf->codes[41799] = 0x00004217c6bb815dUL;
   tf->codes[41800] = 0x0000452440f46701UL;
   tf->codes[41801] = 0x00004784075f48a6UL;
   tf->codes[41802] = 0x00004a3a7f87b4f2UL;
   tf->codes[41803] = 0x00004adbfdf59e3cUL;
   tf->codes[41804] = 0x000055df0b275df0UL;
   tf->codes[41805] = 0x000064349186e8c2UL;
   tf->codes[41806] = 0x00006511fe54b9aaUL;
   tf->codes[41807] = 0x000073b9ddd46184UL;
   tf->codes[41808] = 0x000074fa568af4a1UL;
   tf->codes[41809] = 0x000076446ab87a10UL;
   tf->codes[41810] = 0x000089d712a527a5UL;
   tf->codes[41811] = 0x00008d132112bd59UL;
   tf->codes[41812] = 0x0000a8e34529418cUL;
   tf->codes[41813] = 0x0000aa2b4a4f930eUL;
   tf->codes[41814] = 0x0000aaacfd155a61UL;
   tf->codes[41815] = 0x0000b11e77bcde78UL;
   tf->codes[41816] = 0x0000dbcf35e0a15dUL;
   tf->codes[41817] = 0x0000e437b312b4a7UL;
   tf->codes[41818] = 0x0000f5ceffd7656aUL;
   tf->codes[41819] = 0x000104ddcebf318eUL;
   tf->codes[41820] = 0x00011f615a82f0dbUL;
   tf->codes[41821] = 0x0001368b905637f4UL;
   tf->codes[41822] = 0x00013817bff940c8UL;
   tf->codes[41823] = 0x00013f7510a10142UL;
   tf->codes[41824] = 0x00015beca5ac04c1UL;
   tf->codes[41825] = 0x000175c37da1c00fUL;
   tf->codes[41826] = 0x00017c2cf6bb7a37UL;
   tf->codes[41827] = 0x00018434b19b04feUL;
   tf->codes[41828] = 0x0001b20311de5e3eUL;
   tf->codes[41829] = 0x0001b423b617077fUL;
   tf->codes[41830] = 0x0001db260675efecUL;
   tf->codes[41831] = 0x0001ddb64b5198b5UL;
   tf->codes[41832] = 0x0001e8fb73f8dbceUL;
   tf->codes[41833] = 0x0001f37039aa96dcUL;
   tf->codes[41834] = 0x0001f4310ea29693UL;
   tf->codes[41835] = 0x0001f64eb997f4d3UL;
   tf->codes[41836] = 0x00000c46dfe7144aUL;
   tf->codes[41837] = 0x00000e11820f4433UL;
   tf->codes[41838] = 0x00001685e44e8381UL;
   tf->codes[41839] = 0x000044c8b2f05572UL;
   tf->codes[41840] = 0x00004ef5a534fcdeUL;
   tf->codes[41841] = 0x00004f08a193dbbdUL;
   tf->codes[41842] = 0x0000522225a50a3eUL;
   tf->codes[41843] = 0x0000619e4b999c38UL;
   tf->codes[41844] = 0x0000743d56874940UL;
   tf->codes[41845] = 0x000076ea3338c33aUL;
   tf->codes[41846] = 0x0000772ed2d38616UL;
   tf->codes[41847] = 0x000085e72a8ccd58UL;
   tf->codes[41848] = 0x00008c47082f952eUL;
   tf->codes[41849] = 0x000099b0b88ee39dUL;
   tf->codes[41850] = 0x0000a137e573c3eaUL;
   tf->codes[41851] = 0x0000ab6aca3f0158UL;
   tf->codes[41852] = 0x0000ada497ec253fUL;
   tf->codes[41853] = 0x0000b6434b868feaUL;
   tf->codes[41854] = 0x0000d518d28446e6UL;
   tf->codes[41855] = 0x0000d583a56bcd45UL;
   tf->codes[41856] = 0x0000ed66e9384febUL;
   tf->codes[41857] = 0x0000f79f85fb1d96UL;
   tf->codes[41858] = 0x000110ef2dc28719UL;
   tf->codes[41859] = 0x0001138689efe2bdUL;
   tf->codes[41860] = 0x00012683987bd30cUL;
   tf->codes[41861] = 0x00013d4335f6998bUL;
   tf->codes[41862] = 0x00014372cfb7a002UL;
   tf->codes[41863] = 0x0001443d05978c46UL;
   tf->codes[41864] = 0x00014bd978718524UL;
   tf->codes[41865] = 0x00015d66ef303dd0UL;
   tf->codes[41866] = 0x000169351c7e00dcUL;
   tf->codes[41867] = 0x0001701bb5310ef3UL;
   tf->codes[41868] = 0x00018361816629f8UL;
   tf->codes[41869] = 0x0001878965d3fc0fUL;
   tf->codes[41870] = 0x00018fd6e519668bUL;
   tf->codes[41871] = 0x0001900a975c7e75UL;
   tf->codes[41872] = 0x000199808aaf1e41UL;
   tf->codes[41873] = 0x0001a16be847dd9cUL;
   tf->codes[41874] = 0x0001a26f1344667dUL;
   tf->codes[41875] = 0x0001a7f4b7ebae31UL;
   tf->codes[41876] = 0x0001d0e8184e8fcfUL;
   tf->codes[41877] = 0x0001e043c2edee83UL;
   tf->codes[41878] = 0x0001ea8043301e43UL;
   tf->codes[41879] = 0x0001f9409c772f74UL;
   tf->codes[41880] = 0x000000911dd5acd6UL;
   tf->codes[41881] = 0x000003d47e23fb2aUL;
   tf->codes[41882] = 0x000004ffeb747b7bUL;
   tf->codes[41883] = 0x0000155cb2092f23UL;
   tf->codes[41884] = 0x000020486a3ea259UL;
   tf->codes[41885] = 0x00002466b335821eUL;
   tf->codes[41886] = 0x00003264287d5fabUL;
   tf->codes[41887] = 0x00003c2229cc18deUL;
   tf->codes[41888] = 0x0000484484b2271aUL;
   tf->codes[41889] = 0x00004d4d444f20a4UL;
   tf->codes[41890] = 0x00004d64d3da72e7UL;
   tf->codes[41891] = 0x0000525086838fb6UL;
   tf->codes[41892] = 0x000057393fe96184UL;
   tf->codes[41893] = 0x00005983c05f2a98UL;
   tf->codes[41894] = 0x000066a7ac589952UL;
   tf->codes[41895] = 0x00008a599290ea8eUL;
   tf->codes[41896] = 0x00008b52acf87593UL;
   tf->codes[41897] = 0x00009129fb12c900UL;
   tf->codes[41898] = 0x00009439a91dff6aUL;
   tf->codes[41899] = 0x0000a519bc61a2c8UL;
   tf->codes[41900] = 0x0000b9e16d15c300UL;
   tf->codes[41901] = 0x0000ba54b6a91ed8UL;
   tf->codes[41902] = 0x0000dad9a753572aUL;
   tf->codes[41903] = 0x0000dffc4011dca9UL;
   tf->codes[41904] = 0x0000e4a8d088c114UL;
   tf->codes[41905] = 0x0000eebd0e76f964UL;
   tf->codes[41906] = 0x0000f8767c993f33UL;
   tf->codes[41907] = 0x00011774f597feeeUL;
   tf->codes[41908] = 0x000118810c5e68d2UL;
   tf->codes[41909] = 0x00014345b11d21aaUL;
   tf->codes[41910] = 0x000144562080f92dUL;
   tf->codes[41911] = 0x000146e57b208ae2UL;
   tf->codes[41912] = 0x00015e23d21dcdb3UL;
   tf->codes[41913] = 0x000168b236620ef1UL;
   tf->codes[41914] = 0x00017291282406f4UL;
   tf->codes[41915] = 0x000173197d1d7598UL;
   tf->codes[41916] = 0x0001772eda4a745aUL;
   tf->codes[41917] = 0x000177f8d59b5ad9UL;
   tf->codes[41918] = 0x00018113be93025fUL;
   tf->codes[41919] = 0x00018ec75166985dUL;
   tf->codes[41920] = 0x000194398490f5a8UL;
   tf->codes[41921] = 0x000197bda0faa4c3UL;
   tf->codes[41922] = 0x0001c72cc7290e19UL;
   tf->codes[41923] = 0x0001da011e42fb6eUL;
   tf->codes[41924] = 0x0001edc8281fd23cUL;
   tf->codes[41925] = 0x0001fcf2a4a1587dUL;
   tf->codes[41926] = 0x000000abd2a84220UL;
   tf->codes[41927] = 0x00000712c79cbcd1UL;
   tf->codes[41928] = 0x00000cc8b025c5e4UL;
   tf->codes[41929] = 0x0000134aa306e963UL;
   tf->codes[41930] = 0x00002b102a327dffUL;
   tf->codes[41931] = 0x00003fbb7d9fd2cbUL;
   tf->codes[41932] = 0x00004960ca981ce2UL;
   tf->codes[41933] = 0x0000610e128b4decUL;
   tf->codes[41934] = 0x00008754211eaa06UL;
   tf->codes[41935] = 0x00009a9cac080a47UL;
   tf->codes[41936] = 0x00009d77f8231778UL;
   tf->codes[41937] = 0x0000a158f35fed01UL;
   tf->codes[41938] = 0x0000aada9130b30cUL;
   tf->codes[41939] = 0x0000b5eddc0d0c63UL;
   tf->codes[41940] = 0x0000c7ad3096aed1UL;
   tf->codes[41941] = 0x0000df8579921c87UL;
   tf->codes[41942] = 0x0000e1ea82d682dfUL;
   tf->codes[41943] = 0x0000e640618fdca3UL;
   tf->codes[41944] = 0x0000e926a87bfec4UL;
   tf->codes[41945] = 0x0000fe1626660ae2UL;
   tf->codes[41946] = 0x000134e5d10e8578UL;
   tf->codes[41947] = 0x0001359afb885ef0UL;
   tf->codes[41948] = 0x000151c74ec4f842UL;
   tf->codes[41949] = 0x00015f638c9c41c2UL;
   tf->codes[41950] = 0x00016125086b8ae3UL;
   tf->codes[41951] = 0x000163cf2668bfa1UL;
   tf->codes[41952] = 0x00017d52bb0246d3UL;
   tf->codes[41953] = 0x0001a943f1dc9cd5UL;
   tf->codes[41954] = 0x0001b04b05e4de32UL;
   tf->codes[41955] = 0x0001b7f6570f4e15UL;
   tf->codes[41956] = 0x0001c2267d264647UL;
   tf->codes[41957] = 0x0001cfd333372f2fUL;
   tf->codes[41958] = 0x0001d97302c6eeceUL;
   tf->codes[41959] = 0x0001e2a072ff69a9UL;
   tf->codes[41960] = 0x0001fdbf501b7679UL;
   tf->codes[41961] = 0x00000120a799b89cUL;
   tf->codes[41962] = 0x0000075758ac71eeUL;
   tf->codes[41963] = 0x0000157dbff5583aUL;
   tf->codes[41964] = 0x0000254318b12074UL;
   tf->codes[41965] = 0x0000562077529ecfUL;
   tf->codes[41966] = 0x0000657f55c44e49UL;
   tf->codes[41967] = 0x000069019db5cf3cUL;
   tf->codes[41968] = 0x00007f71a0c4bdefUL;
   tf->codes[41969] = 0x000081008f1c0bffUL;
   tf->codes[41970] = 0x000085fe1958ead4UL;
   tf->codes[41971] = 0x00008b31d9fe210aUL;
   tf->codes[41972] = 0x0000babef75c7e2fUL;
   tf->codes[41973] = 0x0000bcdfd6242d35UL;
   tf->codes[41974] = 0x0000c577726ce505UL;
   tf->codes[41975] = 0x0000e0b48147eb69UL;
   tf->codes[41976] = 0x0000e31ecd65d674UL;
   tf->codes[41977] = 0x0001022affe9f05bUL;
   tf->codes[41978] = 0x0001067d35b2edcfUL;
   tf->codes[41979] = 0x000117bf30143689UL;
   tf->codes[41980] = 0x00012cd5566911b4UL;
   tf->codes[41981] = 0x00013bb331c20b2aUL;
   tf->codes[41982] = 0x0001431515963f08UL;
   tf->codes[41983] = 0x000145fc0c2f7278UL;
   tf->codes[41984] = 0x00014666a487f312UL;
   tf->codes[41985] = 0x000150752a7e9b25UL;
   tf->codes[41986] = 0x00017cd21e7c8e9aUL;
   tf->codes[41987] = 0x00018dd237f759b4UL;
   tf->codes[41988] = 0x0001ae1be9eebbb7UL;
   tf->codes[41989] = 0x0001ae2e36a08947UL;
   tf->codes[41990] = 0x0001bc03deb27aeeUL;
   tf->codes[41991] = 0x0001c8b6caaec782UL;
   tf->codes[41992] = 0x0001c96eb3dce636UL;
   tf->codes[41993] = 0x0001de395dd4516fUL;
   tf->codes[41994] = 0x0001e47b44472576UL;
   tf->codes[41995] = 0x0001ec21c7b61c30UL;
   tf->codes[41996] = 0x0001f2d01af99ef9UL;
   tf->codes[41997] = 0x0001fc13f5f24f3eUL;
   tf->codes[41998] = 0x00000b2b3b85f0dbUL;
   tf->codes[41999] = 0x00001066c329eb3bUL;
   tf->codes[42000] = 0x0000114c6c148bd7UL;
   tf->codes[42001] = 0x00001572417b2a01UL;
   tf->codes[42002] = 0x000017d2b7931cf5UL;
   tf->codes[42003] = 0x0000270410d7504cUL;
   tf->codes[42004] = 0x00002abd796d3fb4UL;
   tf->codes[42005] = 0x00002f4326ea4f4dUL;
   tf->codes[42006] = 0x00003590b7db4993UL;
   tf->codes[42007] = 0x000035b46702cd9fUL;
   tf->codes[42008] = 0x000037ba826cd99cUL;
   tf->codes[42009] = 0x000042562b18697cUL;
   tf->codes[42010] = 0x000046b68f84cca6UL;
   tf->codes[42011] = 0x000049e852ce5eb9UL;
   tf->codes[42012] = 0x00004a00cc95c810UL;
   tf->codes[42013] = 0x00004a46566ca200UL;
   tf->codes[42014] = 0x00005a6a9d02c495UL;
   tf->codes[42015] = 0x00007086ad086dddUL;
   tf->codes[42016] = 0x000080ac52f8b310UL;
   tf->codes[42017] = 0x0000895676823e35UL;
   tf->codes[42018] = 0x00008b98804c31d0UL;
   tf->codes[42019] = 0x00008e28157ac94aUL;
   tf->codes[42020] = 0x000093b287dd8a27UL;
   tf->codes[42021] = 0x0000a655eb68a4ceUL;
   tf->codes[42022] = 0x0000a745df77490bUL;
   tf->codes[42023] = 0x0000aa0284b5511eUL;
   tf->codes[42024] = 0x0000c2243b06fad9UL;
   tf->codes[42025] = 0x0000ce2ff09dcde6UL;
   tf->codes[42026] = 0x0000dd35d3bbb907UL;
   tf->codes[42027] = 0x0000de66be74c3d0UL;
   tf->codes[42028] = 0x0000e188b931c7caUL;
   tf->codes[42029] = 0x0000fc04b885c8b2UL;
   tf->codes[42030] = 0x000102e090f6c79eUL;
   tf->codes[42031] = 0x00010d40c0607b6aUL;
   tf->codes[42032] = 0x000113f2f7236048UL;
   tf->codes[42033] = 0x0001187ab3a7a3ceUL;
   tf->codes[42034] = 0x000138335f6abbefUL;
   tf->codes[42035] = 0x000143746a03972eUL;
   tf->codes[42036] = 0x000157c4b315f3b4UL;
   tf->codes[42037] = 0x00015edcb475e003UL;
   tf->codes[42038] = 0x000160173aa5dd1eUL;
   tf->codes[42039] = 0x000162a695456ed3UL;
   tf->codes[42040] = 0x00016830cd1929ebUL;
   tf->codes[42041] = 0x00016b3c5d15f87bUL;
   tf->codes[42042] = 0x00016e99d114d889UL;
   tf->codes[42043] = 0x0001779efef95bf4UL;
   tf->codes[42044] = 0x00017d13b648f8b6UL;
   tf->codes[42045] = 0x00018bd8a2bc7d4bUL;
   tf->codes[42046] = 0x0001984b0d2c6eddUL;
   tf->codes[42047] = 0x0001a68520814557UL;
   tf->codes[42048] = 0x0001c2a9e74e2044UL;
   tf->codes[42049] = 0x0001d00b5b909effUL;
   tf->codes[42050] = 0x0001d7c80f30c55eUL;
   tf->codes[42051] = 0x0001e0ea84982b49UL;
   tf->codes[42052] = 0x0001e11c6263150bUL;
   tf->codes[42053] = 0x0001e8ac4082d096UL;
   tf->codes[42054] = 0x0001eb41188aecc3UL;
   tf->codes[42055] = 0x0001eeffc3fa60deUL;
   tf->codes[42056] = 0x0001fee1b48bfa49UL;
   tf->codes[42057] = 0x0000001c3abbf764UL;
   tf->codes[42058] = 0x0000079a06b8eb24UL;
   tf->codes[42059] = 0x00000ced58773d8cUL;
   tf->codes[42060] = 0x00001f0c0ff945dfUL;
   tf->codes[42061] = 0x000021811c594015UL;
   tf->codes[42062] = 0x00002704024c428dUL;
   tf->codes[42063] = 0x00002824e9e9b978UL;
   tf->codes[42064] = 0x000038b528327f45UL;
   tf->codes[42065] = 0x000040436c69126dUL;
   tf->codes[42066] = 0x000049b2bd880ae8UL;
   tf->codes[42067] = 0x00004b27982ec73eUL;
   tf->codes[42068] = 0x000050941361944cUL;
   tf->codes[42069] = 0x0000619d8dc44bf3UL;
   tf->codes[42070] = 0x00006da141cd5511UL;
   tf->codes[42071] = 0x00006de61bf71db2UL;
   tf->codes[42072] = 0x000070abacff06c8UL;
   tf->codes[42073] = 0x00007e661c9549dcUL;
   tf->codes[42074] = 0x00008057672848d2UL;
   tf->codes[42075] = 0x000092bd7cf9593dUL;
   tf->codes[42076] = 0x000093ddef78c49eUL;
   tf->codes[42077] = 0x000098fd19d5f392UL;
   tf->codes[42078] = 0x00009d5800d9cc44UL;
   tf->codes[42079] = 0x0000a56030d76295UL;
   tf->codes[42080] = 0x0000a9929af83e12UL;
   tf->codes[42081] = 0x0000b7633abfb0cbUL;
   tf->codes[42082] = 0x0000e1abe4b0328dUL;
   tf->codes[42083] = 0x0000f4fc369856f8UL;
   tf->codes[42084] = 0x00011211a120e771UL;
   tf->codes[42085] = 0x00011690e6f9557eUL;
   tf->codes[42086] = 0x000121ab0e985bebUL;
   tf->codes[42087] = 0x00013069cdf644b9UL;
   tf->codes[42088] = 0x0001318ff86d4057UL;
   tf->codes[42089] = 0x000141679ddad621UL;
   tf->codes[42090] = 0x00014b0adbcbec4bUL;
   tf->codes[42091] = 0x00014fe6163b69b2UL;
   tf->codes[42092] = 0x000153f87a251d73UL;
   tf->codes[42093] = 0x000158c00888aaacUL;
   tf->codes[42094] = 0x00016966ec20aba8UL;
   tf->codes[42095] = 0x00016c5c867b5058UL;
   tf->codes[42096] = 0x000178e3c1c24ef1UL;
   tf->codes[42097] = 0x00018d4707338a56UL;
   tf->codes[42098] = 0x0001a3408cdccc6bUL;
   tf->codes[42099] = 0x0001af9db157a56cUL;
   tf->codes[42100] = 0x0001b191800fe3d9UL;
   tf->codes[42101] = 0x0001b261a876661fUL;
   tf->codes[42102] = 0x0001b649bb04ee83UL;
   tf->codes[42103] = 0x0001c6c2a45167d2UL;
   tf->codes[42104] = 0x0001f083e3849204UL;
   tf->codes[42105] = 0x0001f213bc17f728UL;
   tf->codes[42106] = 0x00000c882efc39abUL;
   tf->codes[42107] = 0x00000e5f65dea6e7UL;
   tf->codes[42108] = 0x000014af4065dadfUL;
   tf->codes[42109] = 0x00002793257d5088UL;
   tf->codes[42110] = 0x00002d2091235c66UL;
   tf->codes[42111] = 0x00003fbb08e4960aUL;
   tf->codes[42112] = 0x0000408eda3b74a0UL;
   tf->codes[42113] = 0x00005dc27682feadUL;
   tf->codes[42114] = 0x000084ddf05661c0UL;
   tf->codes[42115] = 0x00008d98c6a89212UL;
   tf->codes[42116] = 0x00009099d0f2573cUL;
   tf->codes[42117] = 0x000092890c7e2245UL;
   tf->codes[42118] = 0x000097a0aa6b92d4UL;
   tf->codes[42119] = 0x0000ad7905129054UL;
   tf->codes[42120] = 0x0000c462b9597c6bUL;
   tf->codes[42121] = 0x0000eec7c090c999UL;
   tf->codes[42122] = 0x0000f868053e94c2UL;
   tf->codes[42123] = 0x0000fe5792914bc1UL;
   tf->codes[42124] = 0x00011082a43e8ba2UL;
   tf->codes[42125] = 0x000117f8a93cbb38UL;
   tf->codes[42126] = 0x00011c47ab3367e6UL;
   tf->codes[42127] = 0x00012d1d735307a3UL;
   tf->codes[42128] = 0x00013d210404f12dUL;
   tf->codes[42129] = 0x00013f5812fdcfd8UL;
   tf->codes[42130] = 0x00014b8fee67fc6aUL;
   tf->codes[42131] = 0x0001519de808b2c2UL;
   tf->codes[42132] = 0x0001729f489f2db4UL;
   tf->codes[42133] = 0x00017656dcbceef4UL;
   tf->codes[42134] = 0x00017be4f8100c21UL;
   tf->codes[42135] = 0x00017f98a8ae6b4cUL;
   tf->codes[42136] = 0x000181dcc17f92d4UL;
   tf->codes[42137] = 0x00018c8c163712e2UL;
   tf->codes[42138] = 0x0001924f43276a97UL;
   tf->codes[42139] = 0x0001f92ee2bf267eUL;
   tf->codes[42140] = 0x000011870a082d5fUL;
   tf->codes[42141] = 0x00001339a786ff7bUL;
   tf->codes[42142] = 0x000014bb8c0604aeUL;
   tf->codes[42143] = 0x00001b98fe602bfdUL;
   tf->codes[42144] = 0x0000200b3a60512dUL;
   tf->codes[42145] = 0x000030c554e636cdUL;
   tf->codes[42146] = 0x000032f1de2c0c12UL;
   tf->codes[42147] = 0x0000358591690b66UL;
   tf->codes[42148] = 0x00003bcf044b9dd2UL;
   tf->codes[42149] = 0x00003d6c96645d22UL;
   tf->codes[42150] = 0x00003f297f0732dfUL;
   tf->codes[42151] = 0x00005000a680f53aUL;
   tf->codes[42152] = 0x0000566c6930e914UL;
   tf->codes[42153] = 0x00005878ec3f969dUL;
   tf->codes[42154] = 0x00005dcb1932cc2cUL;
   tf->codes[42155] = 0x000062a1c075d62fUL;
   tf->codes[42156] = 0x000075fbe863f2b1UL;
   tf->codes[42157] = 0x00007c1d8e109937UL;
   tf->codes[42158] = 0x00007dfa425b90ebUL;
   tf->codes[42159] = 0x000083172322862dUL;
   tf->codes[42160] = 0x00008443b53e2357UL;
   tf->codes[42161] = 0x000097afef4f07a4UL;
   tf->codes[42162] = 0x0000a7fc031b161fUL;
   tf->codes[42163] = 0x0000bdc495358586UL;
   tf->codes[42164] = 0x0000c5dba38392dcUL;
   tf->codes[42165] = 0x0000e2b769427569UL;
   tf->codes[42166] = 0x0000fa7d658c158fUL;
   tf->codes[42167] = 0x00012aca33175592UL;
   tf->codes[42168] = 0x0001444f619a0527UL;
   tf->codes[42169] = 0x000144b9f9f285c1UL;
   tf->codes[42170] = 0x00014802628b5303UL;
   tf->codes[42171] = 0x000151e44d909607UL;
   tf->codes[42172] = 0x00015da7ba9c49e8UL;
   tf->codes[42173] = 0x0001631f30a02be6UL;
   tf->codes[42174] = 0x00016e348a83b92aUL;
   tf->codes[42175] = 0x00016ead16f099b5UL;
   tf->codes[42176] = 0x0001706f7cfbf9eaUL;
   tf->codes[42177] = 0x00017db99c422c27UL;
   tf->codes[42178] = 0x000182491fc533d7UL;
   tf->codes[42179] = 0x00018425998125c6UL;
   tf->codes[42180] = 0x00018f36d5564b30UL;
   tf->codes[42181] = 0x000192559c40fe64UL;
   tf->codes[42182] = 0x0001a1449f80a891UL;
   tf->codes[42183] = 0x0001a95cd299d2c0UL;
   tf->codes[42184] = 0x0001dde5a5bce092UL;
   tf->codes[42185] = 0x0001df13221494d0UL;
   tf->codes[42186] = 0x0001fbb99ba73710UL;
   tf->codes[42187] = 0x0000062b6815a71dUL;
   tf->codes[42188] = 0x00000c55846e231cUL;
   tf->codes[42189] = 0x0000316cb74fa85aUL;
   tf->codes[42190] = 0x00005dbc2c574768UL;
   tf->codes[42191] = 0x0000720ebeffdda0UL;
   tf->codes[42192] = 0x00009ace6d1fa754UL;
   tf->codes[42193] = 0x0000a7c92c89078aUL;
   tf->codes[42194] = 0x0000a88d35535807UL;
   tf->codes[42195] = 0x0000b10b330989a7UL;
   tf->codes[42196] = 0x0000bb8c52e67c43UL;
   tf->codes[42197] = 0x0000c7173ff39f11UL;
   tf->codes[42198] = 0x0000d61ef789b85aUL;
   tf->codes[42199] = 0x0000ea2682f2ea2aUL;
   tf->codes[42200] = 0x0001131eb11144f1UL;
   tf->codes[42201] = 0x00011a1f9803ea87UL;
   tf->codes[42202] = 0x000123712c81f4f8UL;
   tf->codes[42203] = 0x00014085723f6898UL;
   tf->codes[42204] = 0x000140b20d30cda7UL;
   tf->codes[42205] = 0x00014434ca405a24UL;
   tf->codes[42206] = 0x0001566ef4cd16cfUL;
   tf->codes[42207] = 0x00015a55e290825aUL;
   tf->codes[42208] = 0x00015fcbf93a41baUL;
   tf->codes[42209] = 0x00018e3c127a8a09UL;
   tf->codes[42210] = 0x0001906fb3121229UL;
   tf->codes[42211] = 0x000190dc5a71c6b0UL;
   tf->codes[42212] = 0x00019133f66b686bUL;
   tf->codes[42213] = 0x0001a21618b63fb6UL;
   tf->codes[42214] = 0x0001a6463940e181UL;
   tf->codes[42215] = 0x0001aadcd4159c0cUL;
   tf->codes[42216] = 0x0001ac3934f4ef0bUL;
   tf->codes[42217] = 0x0001b934a40b6090UL;
   tf->codes[42218] = 0x0001c8c0928c80a3UL;
   tf->codes[42219] = 0x0001ca7e656b6d74UL;
   tf->codes[42220] = 0x0001cce62d641908UL;
   tf->codes[42221] = 0x0001e617a36c88f7UL;
   tf->codes[42222] = 0x0001e9319c9bc302UL;
   tf->codes[42223] = 0x0001ea474ed91f38UL;
   tf->codes[42224] = 0x0001f6020aa9f7dbUL;
   tf->codes[42225] = 0x0001fe84d61ba2a4UL;
   tf->codes[42226] = 0x0000131c42ee017dUL;
   tf->codes[42227] = 0x000013e9378232fdUL;
   tf->codes[42228] = 0x00001b35d5614e4aUL;
   tf->codes[42229] = 0x00004c43ed02998eUL;
   tf->codes[42230] = 0x00005e5057d2d451UL;
   tf->codes[42231] = 0x00007383c5aa91fcUL;
   tf->codes[42232] = 0x000087c480bf662eUL;
   tf->codes[42233] = 0x0000890bd638a661UL;
   tf->codes[42234] = 0x0000976873e9e40eUL;
   tf->codes[42235] = 0x0000b1182e56c4c5UL;
   tf->codes[42236] = 0x0000e5b6f71bfc77UL;
   tf->codes[42237] = 0x000111e3321a2303UL;
   tf->codes[42238] = 0x0001167ffa047955UL;
   tf->codes[42239] = 0x00011b7c5f763b51UL;
   tf->codes[42240] = 0x00012abafd21bd4aUL;
   tf->codes[42241] = 0x000148dae4878f44UL;
   tf->codes[42242] = 0x000157b3b79609ccUL;
   tf->codes[42243] = 0x00015c9e80030f87UL;
   tf->codes[42244] = 0x000164b04b77982aUL;
   tf->codes[42245] = 0x00016aabf86680f2UL;
   tf->codes[42246] = 0x00016fd7425fe1afUL;
   tf->codes[42247] = 0x00018f481ab5e62eUL;
   tf->codes[42248] = 0x000197f7f6370190UL;
   tf->codes[42249] = 0x00019da4b86723dbUL;
   tf->codes[42250] = 0x0001a0f81bd1060dUL;
   tf->codes[42251] = 0x0001a727f0211249UL;
   tf->codes[42252] = 0x0001acaf2eb18260UL;
   tf->codes[42253] = 0x0001b5cd10ec74e7UL;
   tf->codes[42254] = 0x0001c5e697408851UL;
   tf->codes[42255] = 0x0001e387ffb2e3beUL;
   tf->codes[42256] = 0x0001e51728993793UL;
   tf->codes[42257] = 0x0001f26e1728ace8UL;
   tf->codes[42258] = 0x00000a2c4c7388e4UL;
   tf->codes[42259] = 0x00000ccf8dae108cUL;
   tf->codes[42260] = 0x00000d2eb61770acUL;
   tf->codes[42261] = 0x000016cbc6f2eb0fUL;
   tf->codes[42262] = 0x00001b722a5433b3UL;
   tf->codes[42263] = 0x000030955a8157bbUL;
   tf->codes[42264] = 0x000059b6efbec6cbUL;
   tf->codes[42265] = 0x000068d4d7860fb9UL;
   tf->codes[42266] = 0x000082aac53fb3f3UL;
   tf->codes[42267] = 0x000088866bf774ffUL;
   tf->codes[42268] = 0x000088a80c17c51eUL;
   tf->codes[42269] = 0x00008921bd4fc282UL;
   tf->codes[42270] = 0x000098ab623aa8e3UL;
   tf->codes[42271] = 0x00009c37bac127b2UL;
   tf->codes[42272] = 0x0000d47b90634d4fUL;
   tf->codes[42273] = 0x0000fdb10c3bb252UL;
   tf->codes[42274] = 0x000103b7044e9ebbUL;
   tf->codes[42275] = 0x000105792fcaf92bUL;
   tf->codes[42276] = 0x000130dafa5a2daeUL;
   tf->codes[42277] = 0x000132a770fa8bbfUL;
   tf->codes[42278] = 0x00013769bc849445UL;
   tf->codes[42279] = 0x0001379b9a4f7e07UL;
   tf->codes[42280] = 0x00017de3124f1cf8UL;
   tf->codes[42281] = 0x00018571cba3bbaaUL;
   tf->codes[42282] = 0x0001860640395c17UL;
   tf->codes[42283] = 0x0001893753d5dcdbUL;
   tf->codes[42284] = 0x0001a052ab58acefUL;
   tf->codes[42285] = 0x0001a82a22567657UL;
   tf->codes[42286] = 0x0001b8f3904ade86UL;
   tf->codes[42287] = 0x0001b9df664b1ae9UL;
   tf->codes[42288] = 0x0001bc3b49369a79UL;
   tf->codes[42289] = 0x0001d01b7c87ebedUL;
   tf->codes[42290] = 0x0001d0d2b608f952UL;
   tf->codes[42291] = 0x0001d1697434d371UL;
   tf->codes[42292] = 0x0001d7c82d0c7e6eUL;
   tf->codes[42293] = 0x0001e7c889ec1732UL;
   tf->codes[42294] = 0x0001f5bb3ef1e594UL;
   tf->codes[42295] = 0x000000032f2335ceUL;
   tf->codes[42296] = 0x0000051340a0e7f8UL;
   tf->codes[42297] = 0x00000541ea9980f4UL;
   tf->codes[42298] = 0x00000db05a522a40UL;
   tf->codes[42299] = 0x0000143cd2e65725UL;
   tf->codes[42300] = 0x00003e038f820bcfUL;
   tf->codes[42301] = 0x00003ff589c21c14UL;
   tf->codes[42302] = 0x000040a5abf1769eUL;
   tf->codes[42303] = 0x0000508eee63c8a9UL;
   tf->codes[42304] = 0x00007c1a5aa1173aUL;
   tf->codes[42305] = 0x00008284bdf6e876UL;
   tf->codes[42306] = 0x00008e6f488b76eeUL;
   tf->codes[42307] = 0x00008e72073fbc2aUL;
   tf->codes[42308] = 0x0000909d6bba7496UL;
   tf->codes[42309] = 0x000091e95460282dUL;
   tf->codes[42310] = 0x0000a53a55f55de7UL;
   tf->codes[42311] = 0x0000a5f2eed08deaUL;
   tf->codes[42312] = 0x0000b2b5a3596897UL;
   tf->codes[42313] = 0x0000b3157b6fda06UL;
   tf->codes[42314] = 0x0000b8d91d7e3d45UL;
   tf->codes[42315] = 0x0000bc126d378dbdUL;
   tf->codes[42316] = 0x0000be372f7e9ed8UL;
   tf->codes[42317] = 0x0000c0b43d6c62fdUL;
   tf->codes[42318] = 0x0000c437aa2900c9UL;
   tf->codes[42319] = 0x0000c60f1b9a73caUL;
   tf->codes[42320] = 0x000101e785dfe7eaUL;
   tf->codes[42321] = 0x0001130b13f3314bUL;
   tf->codes[42322] = 0x000113b000c27120UL;
   tf->codes[42323] = 0x00011f43d99974f1UL;
   tf->codes[42324] = 0x0001293d199b0473UL;
   tf->codes[42325] = 0x00013cd3a507141dUL;
   tf->codes[42326] = 0x0001473f7eeeee28UL;
   tf->codes[42327] = 0x00014d2a3e862bfeUL;
   tf->codes[42328] = 0x000153eefc89e431UL;
   tf->codes[42329] = 0x000167a2cf78d65bUL;
   tf->codes[42330] = 0x00016acfc506ef45UL;
   tf->codes[42331] = 0x00017ac4776861caUL;
   tf->codes[42332] = 0x00017e502041cf4aUL;
   tf->codes[42333] = 0x000193e993459a2bUL;
   tf->codes[42334] = 0x0001a7f5774c399aUL;
   tf->codes[42335] = 0x0001c4fb19483bfaUL;
   tf->codes[42336] = 0x0001ce142dc7b558UL;
   tf->codes[42337] = 0x0001e90eac0f2ccdUL;
   tf->codes[42338] = 0x0001ef61f4f7b750UL;
   tf->codes[42339] = 0x0001f1696fbbe5ebUL;
   tf->codes[42340] = 0x000004d61eead5c2UL;
   tf->codes[42341] = 0x0000055c2a4e0ab4UL;
   tf->codes[42342] = 0x000005642bdbd4a3UL;
   tf->codes[42343] = 0x000011d7f5a5e8d3UL;
   tf->codes[42344] = 0x000026c2a5d47bc8UL;
   tf->codes[42345] = 0x00003284ee1512d0UL;
   tf->codes[42346] = 0x00003ccdc8827a1eUL;
   tf->codes[42347] = 0x0000455a69fa1cfeUL;
   tf->codes[42348] = 0x000057a0b4230b72UL;
   tf->codes[42349] = 0x000058806a87160cUL;
   tf->codes[42350] = 0x00005c483c4f70efUL;
   tf->codes[42351] = 0x0000629a606cde99UL;
   tf->codes[42352] = 0x0000954dd125ad57UL;
   tf->codes[42353] = 0x00009671ec957508UL;
   tf->codes[42354] = 0x00009fe2627f8a5cUL;
   tf->codes[42355] = 0x0000a6206572fc4eUL;
   tf->codes[42356] = 0x0000b1354a387e08UL;
   tf->codes[42357] = 0x0000b6b44cac1e6bUL;
   tf->codes[42358] = 0x0000bd13b530dab7UL;
   tf->codes[42359] = 0x0000c6106c6988a9UL;
   tf->codes[42360] = 0x0000d8bcbbbe8453UL;
   tf->codes[42361] = 0x0000f7f6adff2022UL;
   tf->codes[42362] = 0x0001147f6af0d458UL;
   tf->codes[42363] = 0x00012b63a1cf35f7UL;
   tf->codes[42364] = 0x00014f0c61aea06bUL;
   tf->codes[42365] = 0x000153b28a80e34aUL;
   tf->codes[42366] = 0x000155e83a1f9f57UL;
   tf->codes[42367] = 0x000165e737a5157dUL;
   tf->codes[42368] = 0x0001692ca6fa97beUL;
   tf->codes[42369] = 0x000172c22b6653bcUL;
   tf->codes[42370] = 0x0001845f302294bcUL;
   tf->codes[42371] = 0x000190b5ecf8cc31UL;
   tf->codes[42372] = 0x0001947a505fd089UL;
   tf->codes[42373] = 0x00019794bead161eUL;
   tf->codes[42374] = 0x00019c335b0f9a98UL;
   tf->codes[42375] = 0x00019d46c3b6bd1cUL;
   tf->codes[42376] = 0x00019d944f1b60fbUL;
   tf->codes[42377] = 0x0001a2b16a715c02UL;
   tf->codes[42378] = 0x0001aad50d79a6abUL;
   tf->codes[42379] = 0x0001abfd8186dbfbUL;
   tf->codes[42380] = 0x0001b37d5c8b03a8UL;
   tf->codes[42381] = 0x0001c276e57db73bUL;
   tf->codes[42382] = 0x0001c8e10e4482b2UL;
   tf->codes[42383] = 0x0001c9009f5d9ee4UL;
   tf->codes[42384] = 0x0001da805c96fd64UL;
   tf->codes[42385] = 0x0001e077b0e8788dUL;
   tf->codes[42386] = 0x00000a3cd39b04d4UL;
   tf->codes[42387] = 0x00000c75f19b176cUL;
   tf->codes[42388] = 0x000016f0e4626e41UL;
   tf->codes[42389] = 0x00001c0fd4309770UL;
   tf->codes[42390] = 0x0000291553dc06d1UL;
   tf->codes[42391] = 0x000031c32055ee46UL;
   tf->codes[42392] = 0x00003d2973ff75f4UL;
   tf->codes[42393] = 0x000040dd5f2cdae4UL;
   tf->codes[42394] = 0x000047df305b978eUL;
   tf->codes[42395] = 0x00004a68235687b7UL;
   tf->codes[42396] = 0x00004ef313ad1c03UL;
   tf->codes[42397] = 0x0000512ef06173d7UL;
   tf->codes[42398] = 0x00005348f26675c7UL;
   tf->codes[42399] = 0x0000563c7db9e68aUL;
   tf->codes[42400] = 0x000058a09cc235ceUL;
   tf->codes[42401] = 0x00005c6c8c98f88bUL;
   tf->codes[42402] = 0x000062ca20a586afUL;
   tf->codes[42403] = 0x00006474bc968edcUL;
   tf->codes[42404] = 0x000069b218b2b764UL;
   tf->codes[42405] = 0x00006db020e369a8UL;
   tf->codes[42406] = 0x00007168d9cc47c1UL;
   tf->codes[42407] = 0x00007271f74f66a4UL;
   tf->codes[42408] = 0x00007642ef70a84fUL;
   tf->codes[42409] = 0x000079e0354ed210UL;
   tf->codes[42410] = 0x00009edf6386f981UL;
   tf->codes[42411] = 0x0000a545e35d68a8UL;
   tf->codes[42412] = 0x0000a7dd7a19ca11UL;
   tf->codes[42413] = 0x0000b0091eafdea9UL;
   tf->codes[42414] = 0x0000b9d1309395b8UL;
   tf->codes[42415] = 0x0000d12afa9b8ce1UL;
   tf->codes[42416] = 0x0000d901875d3f35UL;
   tf->codes[42417] = 0x0000ddd918dc604cUL;
   tf->codes[42418] = 0x0000e6649588e653UL;
   tf->codes[42419] = 0x0000f4a460d54d0aUL;
   tf->codes[42420] = 0x000111125a695e37UL;
   tf->codes[42421] = 0x0001262bef1f8fedUL;
   tf->codes[42422] = 0x00012656407abb4aUL;
   tf->codes[42423] = 0x0001314c7e6337e6UL;
   tf->codes[42424] = 0x00013846fdb13bf0UL;
   tf->codes[42425] = 0x00015199642ceaafUL;
   tf->codes[42426] = 0x0001594d2c03300bUL;
   tf->codes[42427] = 0x00015d6affdc0446UL;
   tf->codes[42428] = 0x000196e78735f8d6UL;
   tf->codes[42429] = 0x000197e1c668a0b4UL;
   tf->codes[42430] = 0x0001c0bcad0418fbUL;
   tf->codes[42431] = 0x0001cf41c79853ddUL;
   tf->codes[42432] = 0x0001d2e5751b1f2aUL;
   tf->codes[42433] = 0x0001f3142925d85fUL;
   tf->codes[42434] = 0x0001f44513dee328UL;
   tf->codes[42435] = 0x00000c2a2c2393f6UL;
   tf->codes[42436] = 0x00001d1db0e421bdUL;
   tf->codes[42437] = 0x0000340b0e1b6a24UL;
   tf->codes[42438] = 0x000038f6c0c486f3UL;
   tf->codes[42439] = 0x00003a2fe79a6170UL;
   tf->codes[42440] = 0x00004c244dc13e66UL;
   tf->codes[42441] = 0x0000579e12e7b07dUL;
   tf->codes[42442] = 0x00005d6ef95d625eUL;
   tf->codes[42443] = 0x00005df87321eddbUL;
   tf->codes[42444] = 0x0000819f5e892a27UL;
   tf->codes[42445] = 0x0000aa5571320189UL;
   tf->codes[42446] = 0x0000b93f31982703UL;
   tf->codes[42447] = 0x0000bcf05e1146b7UL;
   tf->codes[42448] = 0x0000df0ec2c5d67fUL;
   tf->codes[42449] = 0x0000e9b9bedfe8eeUL;
   tf->codes[42450] = 0x0000ec7e65abbaf0UL;
   tf->codes[42451] = 0x0000ee3cada8b34bUL;
   tf->codes[42452] = 0x0000f602c230c637UL;
   tf->codes[42453] = 0x000109b2ec2f5c11UL;
   tf->codes[42454] = 0x00010a9401ed8949UL;
   tf->codes[42455] = 0x00013476a6b1fdd5UL;
   tf->codes[42456] = 0x000137bc16078016UL;
   tf->codes[42457] = 0x000144e878acc449UL;
   tf->codes[42458] = 0x0001571e852b191aUL;
   tf->codes[42459] = 0x00017eba8cf926a7UL;
   tf->codes[42460] = 0x0001a5a429019ff8UL;
   tf->codes[42461] = 0x0001ac0356f7567fUL;
   tf->codes[42462] = 0x0001b96d0756a4eeUL;
   tf->codes[42463] = 0x0001c1b7183ab8dfUL;
   tf->codes[42464] = 0x0001c7a371bb1f18UL;
   tf->codes[42465] = 0x0001ebf24334e63aUL;
   tf->codes[42466] = 0x0001ecf742a99d43UL;
   tf->codes[42467] = 0x000014b22be3b5b3UL;
   tf->codes[42468] = 0x000041242b47bbf4UL;
   tf->codes[42469] = 0x000045ca5419fed3UL;
   tf->codes[42470] = 0x00005698ca58e5f0UL;
   tf->codes[42471] = 0x0000647e75866b75UL;
   tf->codes[42472] = 0x000081da1992e72dUL;
   tf->codes[42473] = 0x000099bcadb25884UL;
   tf->codes[42474] = 0x00009c8c14c039b1UL;
   tf->codes[42475] = 0x00009dd27ffd62d0UL;
   tf->codes[42476] = 0x0000c249593c1b9dUL;
   tf->codes[42477] = 0x0000cf9880ccccc8UL;
   tf->codes[42478] = 0x0000db592f243b6dUL;
   tf->codes[42479] = 0x0000ef83f496e5bfUL;
   tf->codes[42480] = 0x0000f13239784a3cUL;
   tf->codes[42481] = 0x0000fc672474f3b2UL;
   tf->codes[42482] = 0x00010064f216a031UL;
   tf->codes[42483] = 0x00010d6e8fd0776cUL;
   tf->codes[42484] = 0x000117afddce2055UL;
   tf->codes[42485] = 0x00011ce0a5300b8aUL;
   tf->codes[42486] = 0x00014508e576e9d0UL;
   tf->codes[42487] = 0x0001480940139dabUL;
   tf->codes[42488] = 0x00014cff786fc3e0UL;
   tf->codes[42489] = 0x0001625e21dec3fcUL;
   tf->codes[42490] = 0x00016a234c2abfd4UL;
   tf->codes[42491] = 0x00017c7c1d94819dUL;
   tf->codes[42492] = 0x0001825d0725c75cUL;
   tf->codes[42493] = 0x0001859aaf7c8573UL;
   tf->codes[42494] = 0x000188712ddc197bUL;
   tf->codes[42495] = 0x000189f6462d6f74UL;
   tf->codes[42496] = 0x0001b43d5634c8d3UL;
   tf->codes[42497] = 0x0001bf5f0a438da5UL;
   tf->codes[42498] = 0x0001c3be8473d9bbUL;
   tf->codes[42499] = 0x0001c547f5629d53UL;
   tf->codes[42500] = 0x0001c8b9ffa984a3UL;
   tf->codes[42501] = 0x0001d8f64ae90505UL;
   tf->codes[42502] = 0x0001ea43b5396e39UL;
   tf->codes[42503] = 0x0001ebd9f57174e9UL;
   tf->codes[42504] = 0x0001ec14847739e9UL;
   tf->codes[42505] = 0x0001f599cb385c44UL;
   tf->codes[42506] = 0x0001f7a1808b90a4UL;
   tf->codes[42507] = 0x0001fda91287a570UL;
   tf->codes[42508] = 0x0000308c1775243eUL;
   tf->codes[42509] = 0x00003f8ddc84a785UL;
   tf->codes[42510] = 0x0000400459ea5423UL;
   tf->codes[42511] = 0x0000546ef13c4828UL;
   tf->codes[42512] = 0x00005c015381432aUL;
   tf->codes[42513] = 0x00006fa439188a62UL;
   tf->codes[42514] = 0x000075c73e1f5386UL;
   tf->codes[42515] = 0x0000808cc3080339UL;
   tf->codes[42516] = 0x000084fd2a8ffa41UL;
   tf->codes[42517] = 0x00008d6f08a9fa18UL;
   tf->codes[42518] = 0x0000b96213fc7e42UL;
   tf->codes[42519] = 0x0000be7100af1393UL;
   tf->codes[42520] = 0x0000bf8a5bdccc19UL;
   tf->codes[42521] = 0x0000c8691be5863cUL;
   tf->codes[42522] = 0x0000cc6848e15559UL;
   tf->codes[42523] = 0x0001027fcfccab76UL;
   tf->codes[42524] = 0x00011e93a941db71UL;
   tf->codes[42525] = 0x000125b5bb36c59cUL;
   tf->codes[42526] = 0x000159c2ce1aa21dUL;
   tf->codes[42527] = 0x00015c9f0471c662UL;
   tf->codes[42528] = 0x00018e5417e98568UL;
   tf->codes[42529] = 0x000198316fc25508UL;
   tf->codes[42530] = 0x0001ad6a20739766UL;
   tf->codes[42531] = 0x0001c129d86fb594UL;
   tf->codes[42532] = 0x0001c4c3afec88caUL;
   tf->codes[42533] = 0x0001cbe79659a11dUL;
   tf->codes[42534] = 0x0001cf72ca150313UL;
   tf->codes[42535] = 0x0001db0c5ae39721UL;
   tf->codes[42536] = 0x0001ec765d09d186UL;
   tf->codes[42537] = 0x0001f638b6f5f858UL;
   tf->codes[42538] = 0x000006a19d26ddc9UL;
   tf->codes[42539] = 0x000015c20913662eUL;
   tf->codes[42540] = 0x00001e0c54867fe4UL;
   tf->codes[42541] = 0x00001f0e5ab7ebecUL;
   tf->codes[42542] = 0x0000229c87b698e3UL;
   tf->codes[42543] = 0x0000316fdd5c88f3UL;
   tf->codes[42544] = 0x00003e38befaff67UL;
   tf->codes[42545] = 0x000060b6fbc6009eUL;
   tf->codes[42546] = 0x00007307cba1f878UL;
   tf->codes[42547] = 0x00007d7a824c7f99UL;
   tf->codes[42548] = 0x000081162e4180f7UL;
   tf->codes[42549] = 0x000086a4beb2a9aeUL;
   tf->codes[42550] = 0x000087ff108ac8c0UL;
   tf->codes[42551] = 0x00008d1e3ae7f7b4UL;
   tf->codes[42552] = 0x000091fd9365dcf5UL;
   tf->codes[42553] = 0x00009481b8a553f5UL;
   tf->codes[42554] = 0x0000950ea0cb35fdUL;
   tf->codes[42555] = 0x00009536e31f2d6dUL;
   tf->codes[42556] = 0x0000bd5e3929f49fUL;
   tf->codes[42557] = 0x0000d7d2717f315dUL;
   tf->codes[42558] = 0x0000defb6036c89eUL;
   tf->codes[42559] = 0x0000efbf50c2a655UL;
   tf->codes[42560] = 0x0000f210e88a2244UL;
   tf->codes[42561] = 0x0000f925b617bdcdUL;
   tf->codes[42562] = 0x000104a3d3db9d83UL;
   tf->codes[42563] = 0x000108ba9062bee3UL;
   tf->codes[42564] = 0x00010b9c099367dbUL;
   tf->codes[42565] = 0x00011c3065ea9582UL;
   tf->codes[42566] = 0x00012245ebfb0a3fUL;
   tf->codes[42567] = 0x0001262796e4f117UL;
   tf->codes[42568] = 0x00014454fd411778UL;
   tf->codes[42569] = 0x000147e573d5fe21UL;
   tf->codes[42570] = 0x00014bb45cf00bdfUL;
   tf->codes[42571] = 0x00016daaf46eafc1UL;
   tf->codes[42572] = 0x00017cce942d88ecUL;
   tf->codes[42573] = 0x00017f189f854676UL;
   tf->codes[42574] = 0x0001a87623229d24UL;
   tf->codes[42575] = 0x0001c1e521741d14UL;
   tf->codes[42576] = 0x0001c594b4041465UL;
   tf->codes[42577] = 0x0001e27ee2f5626dUL;
   tf->codes[42578] = 0x0001f586ec5267acUL;
   tf->codes[42579] = 0x0001fdadfdbc08e0UL;
   tf->codes[42580] = 0x000033d42868d03dUL;
   tf->codes[42581] = 0x00003a7c1407b17aUL;
   tf->codes[42582] = 0x00004ed50e54e93eUL;
   tf->codes[42583] = 0x000058e777caf366UL;
   tf->codes[42584] = 0x00005d20f93d81beUL;
   tf->codes[42585] = 0x00007b53dd023297UL;
   tf->codes[42586] = 0x000080bb8a79867cUL;
   tf->codes[42587] = 0x00008537d70ea988UL;
   tf->codes[42588] = 0x0000b6262307d2d5UL;
   tf->codes[42589] = 0x00010d532bb39f9cUL;
   tf->codes[42590] = 0x000132caabc9a1d3UL;
   tf->codes[42591] = 0x00015b3c5966bc1eUL;
   tf->codes[42592] = 0x000175972db87871UL;
   tf->codes[42593] = 0x00018ad17852e332UL;
   tf->codes[42594] = 0x0001975d46c6552fUL;
   tf->codes[42595] = 0x00019d115ad7301aUL;
   tf->codes[42596] = 0x00019ef0cdd66d0aUL;
   tf->codes[42597] = 0x0001a9e780dcf530UL;
   tf->codes[42598] = 0x0001b1775efcb0bbUL;
   tf->codes[42599] = 0x0001ba2f769a9bd1UL;
   tf->codes[42600] = 0x0001cf49806ed911UL;
   tf->codes[42601] = 0x0001de2378487072UL;
   tf->codes[42602] = 0x0001ea4ef9876576UL;
   tf->codes[42603] = 0x0001eb4e0675867dUL;
   tf->codes[42604] = 0x0000079d1e9d8cc7UL;
   tf->codes[42605] = 0x000007b13fc7887fUL;
   tf->codes[42606] = 0x00000a16839af49cUL;
   tf->codes[42607] = 0x00000d7c6e45aa23UL;
   tf->codes[42608] = 0x00001caa592886efUL;
   tf->codes[42609] = 0x0000338a71f880b4UL;
   tf->codes[42610] = 0x000038d721832bcbUL;
   tf->codes[42611] = 0x00003f19f23216e6UL;
   tf->codes[42612] = 0x000042157f135198UL;
   tf->codes[42613] = 0x0000516afc9d1485UL;
   tf->codes[42614] = 0x000056843473ad77UL;
   tf->codes[42615] = 0x00006e443e36b79bUL;
   tf->codes[42616] = 0x000074c92a5b261bUL;
   tf->codes[42617] = 0x00007d14600a56e5UL;
   tf->codes[42618] = 0x0000ad92d0d17ae5UL;
   tf->codes[42619] = 0x0000c09c7417a887UL;
   tf->codes[42620] = 0x0000cefa712308d2UL;
   tf->codes[42621] = 0x0000d7f81297cdd8UL;
   tf->codes[42622] = 0x0000dfef553db937UL;
   tf->codes[42623] = 0x0000eb9d073648fdUL;
   tf->codes[42624] = 0x0000ee54deb8d7e7UL;
   tf->codes[42625] = 0x0000f253d125a13fUL;
   tf->codes[42626] = 0x0000f895427a69bcUL;
   tf->codes[42627] = 0x0000fac6245daca0UL;
   tf->codes[42628] = 0x000112ae7074ae34UL;
   tf->codes[42629] = 0x000112df29747b1dUL;
   tf->codes[42630] = 0x000127d71e0a5cb4UL;
   tf->codes[42631] = 0x00013e1df4893ce3UL;
   tf->codes[42632] = 0x0001520454f02a1eUL;
   tf->codes[42633] = 0x000156260c48606eUL;
   tf->codes[42634] = 0x000158480fdb2c4dUL;
   tf->codes[42635] = 0x00017c21139c5820UL;
   tf->codes[42636] = 0x00017d7c4fb08e46UL;
   tf->codes[42637] = 0x00017fef87985a54UL;
   tf->codes[42638] = 0x000187ca6cf77a47UL;
   tf->codes[42639] = 0x00018b397dfb1696UL;
   tf->codes[42640] = 0x0001b1bd4f668876UL;
   tf->codes[42641] = 0x0001c497d3961192UL;
   tf->codes[42642] = 0x0001ce36f378bfe2UL;
   tf->codes[42643] = 0x0001ecd29b1dc32dUL;
   tf->codes[42644] = 0x0001f1f5e38959fbUL;
   tf->codes[42645] = 0x0001f43f3f340636UL;
   tf->codes[42646] = 0x000000ebc38bb13eUL;
   tf->codes[42647] = 0x00000c0c18405372UL;
   tf->codes[42648] = 0x0000229c96a4756bUL;
   tf->codes[42649] = 0x00003d748a8f85adUL;
   tf->codes[42650] = 0x000057d5c685e38cUL;
   tf->codes[42651] = 0x00005f8de6f99687UL;
   tf->codes[42652] = 0x000060e7fe42afd4UL;
   tf->codes[42653] = 0x0000686813d5dd46UL;
   tf->codes[42654] = 0x00006f5cdb2c5113UL;
   tf->codes[42655] = 0x00008de461a758a6UL;
   tf->codes[42656] = 0x00008f9a32f87b88UL;
   tf->codes[42657] = 0x000092adc4831407UL;
   tf->codes[42658] = 0x000095dba44d4405UL;
   tf->codes[42659] = 0x0000afc921923a82UL;
   tf->codes[42660] = 0x0000b46ffa118eb0UL;
   tf->codes[42661] = 0x0000d077043d7b93UL;
   tf->codes[42662] = 0x0000d3274f504c18UL;
   tf->codes[42663] = 0x0000f59c2b3360c2UL;
   tf->codes[42664] = 0x000106a829bb57e0UL;
   tf->codes[42665] = 0x00011c487981cfd7UL;
   tf->codes[42666] = 0x0001285553e3bfbdUL;
   tf->codes[42667] = 0x0001286a5f49d289UL;
   tf->codes[42668] = 0x00012bceea9a6572UL;
   tf->codes[42669] = 0x0001439b8917ace9UL;
   tf->codes[42670] = 0x00014571d5be0311UL;
   tf->codes[42671] = 0x00014c25e0f91617UL;
   tf->codes[42672] = 0x0001547200e45df5UL;
   tf->codes[42673] = 0x00015dc912caf2deUL;
   tf->codes[42674] = 0x00016efd1917dba7UL;
   tf->codes[42675] = 0x00017569c603e695UL;
   tf->codes[42676] = 0x000176fac3626892UL;
   tf->codes[42677] = 0x0001790d38f7ac1dUL;
   tf->codes[42678] = 0x00017cc8b094cf72UL;
   tf->codes[42679] = 0x00018382e8e57e3fUL;
   tf->codes[42680] = 0x0001976ae33593ddUL;
   tf->codes[42681] = 0x0001ab60970b03a7UL;
   tf->codes[42682] = 0x0001c953e37f7092UL;
   tf->codes[42683] = 0x0001d5e8d84bc957UL;
   tf->codes[42684] = 0x0001d6bef338e19fUL;
   tf->codes[42685] = 0x0001e5d429c54f4fUL;
   tf->codes[42686] = 0x0000009ed94910efUL;
   tf->codes[42687] = 0x000018a93a9e6e2cUL;
   tf->codes[42688] = 0x00004452d89ab651UL;
   tf->codes[42689] = 0x00005a40ee54d7ecUL;
   tf->codes[42690] = 0x000061287143fd17UL;
   tf->codes[42691] = 0x0000623203e52784UL;
   tf->codes[42692] = 0x00007d741b0aacd6UL;
   tf->codes[42693] = 0x0000809c084e46d2UL;
   tf->codes[42694] = 0x000099d0027bf638UL;
   tf->codes[42695] = 0x00009a617dce4ba4UL;
   tf->codes[42696] = 0x0000addc5ba0a131UL;
   tf->codes[42697] = 0x0000b0f3961b9600UL;
   tf->codes[42698] = 0x0000ba3cb3edcaf8UL;
   tf->codes[42699] = 0x0000c23e7c46bfbdUL;
   tf->codes[42700] = 0x0000e15c4bcf95e5UL;
   tf->codes[42701] = 0x0000f6df8ea23121UL;
   tf->codes[42702] = 0x0000fe279954d90aUL;
   tf->codes[42703] = 0x00010a2903c7a876UL;
   tf->codes[42704] = 0x0001363279da620aUL;
   tf->codes[42705] = 0x00014904fc7c2137UL;
   tf->codes[42706] = 0x00014f9d5a1d7a20UL;
   tf->codes[42707] = 0x000160711335e5f0UL;
   tf->codes[42708] = 0x000161bbd7107caeUL;
   tf->codes[42709] = 0x00017c83c7dff912UL;
   tf->codes[42710] = 0x00018360c51c14d7UL;
   tf->codes[42711] = 0x000185f47859142bUL;
   tf->codes[42712] = 0x00019fea31bada5cUL;
   tf->codes[42713] = 0x0001c9043a888b07UL;
   tf->codes[42714] = 0x0001c95b61642138UL;
   tf->codes[42715] = 0x0001cdb7e251224dUL;
   tf->codes[42716] = 0x0001e113a4286732UL;
   tf->codes[42717] = 0x0001f67fcc8dbbb5UL;
   tf->codes[42718] = 0x00000969debacd25UL;
   tf->codes[42719] = 0x00001d1ffb3ff901UL;
   tf->codes[42720] = 0x0000556779d27aeeUL;
   tf->codes[42721] = 0x0000623dda6745c9UL;
   tf->codes[42722] = 0x000067d7a0388935UL;
   tf->codes[42723] = 0x00006cb9f1f9b977UL;
   tf->codes[42724] = 0x00006e01bc910534UL;
   tf->codes[42725] = 0x0000767c1156da84UL;
   tf->codes[42726] = 0x0000c35ea5ac179aUL;
   tf->codes[42727] = 0x0000d7b172e3b397UL;
   tf->codes[42728] = 0x0000e5e88cf53f10UL;
   tf->codes[42729] = 0x0000ea4583004bafUL;
   tf->codes[42730] = 0x0000fef1fb38bd54UL;
   tf->codes[42731] = 0x000123455fdef7daUL;
   tf->codes[42732] = 0x0001285aeec5347cUL;
   tf->codes[42733] = 0x00012f19ba4256adUL;
   tf->codes[42734] = 0x00013184b60d5307UL;
   tf->codes[42735] = 0x000135bc6307b337UL;
   tf->codes[42736] = 0x00014121cc7523d1UL;
   tf->codes[42737] = 0x0001443bc5a45ddcUL;
   tf->codes[42738] = 0x0001475f5a4a8a39UL;
   tf->codes[42739] = 0x000151618615fabeUL;
   tf->codes[42740] = 0x00016a043f805a7dUL;
   tf->codes[42741] = 0x0001816ce7d8c8abUL;
   tf->codes[42742] = 0x000196e1c178f86cUL;
   tf->codes[42743] = 0x0001b5a7ba792714UL;
   tf->codes[42744] = 0x0001bc54ae62873fUL;
   tf->codes[42745] = 0x0001bf2af2331582UL;
   tf->codes[42746] = 0x0001ed2244777781UL;
   tf->codes[42747] = 0x0001f9442a3f7a33UL;
   tf->codes[42748] = 0x0001faba9ecf5eecUL;
   tf->codes[42749] = 0x00000ced3cec5d32UL;
   tf->codes[42750] = 0x00001e9ffcbbc24dUL;
   tf->codes[42751] = 0x000034a7015b58c9UL;
   tf->codes[42752] = 0x00005be4906d1785UL;
   tf->codes[42753] = 0x00005c5ef1522638UL;
   tf->codes[42754] = 0x0000783c59cff90dUL;
   tf->codes[42755] = 0x00008143219da4dbUL;
   tf->codes[42756] = 0x000086e6f803e623UL;
   tf->codes[42757] = 0x00008b62cf7afda5UL;
   tf->codes[42758] = 0x000094323c153539UL;
   tf->codes[42759] = 0x00009895d453e929UL;
   tf->codes[42760] = 0x00009f1249cc8230UL;
   tf->codes[42761] = 0x0000aa3940b4cbb5UL;
   tf->codes[42762] = 0x0000ada299c0d7c7UL;
   tf->codes[42763] = 0x0000bca0f06f0483UL;
   tf->codes[42764] = 0x0000bcbb793da1c7UL;
   tf->codes[42765] = 0x0000d2685dbe5711UL;
   tf->codes[42766] = 0x0000e6f6dec6d4e7UL;
   tf->codes[42767] = 0x0000e93e65f952faUL;
   tf->codes[42768] = 0x0000feb0465637baUL;
   tf->codes[42769] = 0x00010cc9a3c6d529UL;
   tf->codes[42770] = 0x0001124b9f7dc08dUL;
   tf->codes[42771] = 0x0001198122ef9521UL;
   tf->codes[42772] = 0x0001254fffea697cUL;
   tf->codes[42773] = 0x0001307c743b3d79UL;
   tf->codes[42774] = 0x000137ae4ebcb5bdUL;
   tf->codes[42775] = 0x00015f4ee9b736aeUL;
   tf->codes[42776] = 0x00016c630d24174fUL;
   tf->codes[42777] = 0x000174671f1345c6UL;
   tf->codes[42778] = 0x000174e0d04b432aUL;
   tf->codes[42779] = 0x0001837070928772UL;
   tf->codes[42780] = 0x00019a0497e705bbUL;
   tf->codes[42781] = 0x0001ac6ecbc67e00UL;
   tf->codes[42782] = 0x0001b8795c923434UL;
   tf->codes[42783] = 0x0001cca3e775d8c1UL;
   tf->codes[42784] = 0x0001d33c0a882be5UL;
   tf->codes[42785] = 0x0001e125241707f5UL;
   tf->codes[42786] = 0x0001f455aa570a69UL;
   tf->codes[42787] = 0x0001fa0b1dc207f2UL;
   tf->codes[42788] = 0x0001fb159a9f4973UL;
   tf->codes[42789] = 0x000000c9aeb0245eUL;
   tf->codes[42790] = 0x00000feb3f67c99cUL;
   tf->codes[42791] = 0x000024e2bedf9fa9UL;
   tf->codes[42792] = 0x00002e7bec3bb7f7UL;
   tf->codes[42793] = 0x00002ea67825e919UL;
   tf->codes[42794] = 0x0000409f36ea33aeUL;
   tf->codes[42795] = 0x000045ec2103e48aUL;
   tf->codes[42796] = 0x00005ac7b852fab5UL;
   tf->codes[42797] = 0x0000991c0bbb1621UL;
   tf->codes[42798] = 0x00009f286b72a416UL;
   tf->codes[42799] = 0x0000a6945fdbd5d0UL;
   tf->codes[42800] = 0x0000a886cf39f19fUL;
   tf->codes[42801] = 0x0000b2c523f44f87UL;
   tf->codes[42802] = 0x0000f858964531d9UL;
   tf->codes[42803] = 0x0000fc06545cfb02UL;
   tf->codes[42804] = 0x0000fd791ffc836bUL;
   tf->codes[42805] = 0x000145657bf59a4cUL;
   tf->codes[42806] = 0x000153fb83e18020UL;
   tf->codes[42807] = 0x00015d22c7045f34UL;
   tf->codes[42808] = 0x000183c53f4cd632UL;
   tf->codes[42809] = 0x000194198f35b461UL;
   tf->codes[42810] = 0x000194fa6a64dbd4UL;
   tf->codes[42811] = 0x00019c8c1cfcc587UL;
   tf->codes[42812] = 0x0001bfb489708b46UL;
   tf->codes[42813] = 0x0001c9369c5f5cdbUL;
   tf->codes[42814] = 0x0001cdea7eb6f9e6UL;
   tf->codes[42815] = 0x00000e8275d23150UL;
   tf->codes[42816] = 0x00001d7c3953eaa8UL;
   tf->codes[42817] = 0x00002192bb4c0643UL;
   tf->codes[42818] = 0x0000244f25fb0891UL;
   tf->codes[42819] = 0x00002d7b71686693UL;
   tf->codes[42820] = 0x00003bc1dee8749bUL;
   tf->codes[42821] = 0x00003cafc3efe4ebUL;
   tf->codes[42822] = 0x00003fdfb2c148d6UL;
   tf->codes[42823] = 0x000048418dbfb4cfUL;
   tf->codes[42824] = 0x00006d99422d950fUL;
   tf->codes[42825] = 0x000083dce4da2478UL;
   tf->codes[42826] = 0x00008708b59d2089UL;
   tf->codes[42827] = 0x000096c681e92a5eUL;
   tf->codes[42828] = 0x0000ef13c2855cc1UL;
   tf->codes[42829] = 0x0000efc2103c8923UL;
   tf->codes[42830] = 0x0000f541c25d3ad5UL;
   tf->codes[42831] = 0x00013ffe35114432UL;
   tf->codes[42832] = 0x00014defffdafb80UL;
   tf->codes[42833] = 0x00015379c290ab0eUL;
   tf->codes[42834] = 0x00015cfaeb43658fUL;
   tf->codes[42835] = 0x00016378c0162134UL;
   tf->codes[42836] = 0x0001771d3f9690cfUL;
   tf->codes[42837] = 0x000187cb3a8044a6UL;
   tf->codes[42838] = 0x000193e3f9ef6090UL;
   tf->codes[42839] = 0x00019416fc85672bUL;
   tf->codes[42840] = 0x0001a5bd279a8ef3UL;
   tf->codes[42841] = 0x0001a9f12ba492d3UL;
   tf->codes[42842] = 0x0001e56feae9314bUL;
   tf->codes[42843] = 0x00000febd1febf6dUL;
   tf->codes[42844] = 0x000030ff7f4707efUL;
   tf->codes[42845] = 0x00003a853b2635d4UL;
   tf->codes[42846] = 0x0000413e893acd8dUL;
   tf->codes[42847] = 0x00004a9107f4ef12UL;
   tf->codes[42848] = 0x00004f4ec0528434UL;
   tf->codes[42849] = 0x0000565942bc1c1cUL;
   tf->codes[42850] = 0x00005c88a1ee1cceUL;
   tf->codes[42851] = 0x000068ca8ded473cUL;
   tf->codes[42852] = 0x00007e97038718b8UL;
   tf->codes[42853] = 0x0000919327d6f1f3UL;
   tf->codes[42854] = 0x000096c9e1bf732aUL;
   tf->codes[42855] = 0x00009bd73488e018UL;
   tf->codes[42856] = 0x00009d294a442f76UL;
   tf->codes[42857] = 0x0000abe7cf13127fUL;
   tf->codes[42858] = 0x0000ae7ef0b1685eUL;
   tf->codes[42859] = 0x0000b5a4ab96aed9UL;
   tf->codes[42860] = 0x0000ba7107b5b53bUL;
   tf->codes[42861] = 0x0000bfb839d7d5daUL;
   tf->codes[42862] = 0x0000cf4a556e91b4UL;
   tf->codes[42863] = 0x0000d845e7dc22cdUL;
   tf->codes[42864] = 0x0000f8cfa641d448UL;
   tf->codes[42865] = 0x0000fd53b9d5bb7eUL;
   tf->codes[42866] = 0x0001032465bc679aUL;
   tf->codes[42867] = 0x000106b810239f09UL;
   tf->codes[42868] = 0x00010a7228669fc0UL;
   tf->codes[42869] = 0x000111a4b2952953UL;
   tf->codes[42870] = 0x0001198291379447UL;
   tf->codes[42871] = 0x00011c09afba5648UL;
   tf->codes[42872] = 0x00012b60c72d4198UL;
   tf->codes[42873] = 0x000135f4a8da0d4eUL;
   tf->codes[42874] = 0x00013a7d150b6223UL;
   tf->codes[42875] = 0x0001434ae7bc7154UL;
   tf->codes[42876] = 0x0001475bec4c0277UL;
   tf->codes[42877] = 0x00014bb39f7d8a63UL;
   tf->codes[42878] = 0x000153ee5cf31bc5UL;
   tf->codes[42879] = 0x0001589f80967394UL;
   tf->codes[42880] = 0x000161c47a2318f6UL;
   tf->codes[42881] = 0x000170370d768083UL;
   tf->codes[42882] = 0x00018077ebe27449UL;
   tf->codes[42883] = 0x000181c324db1691UL;
   tf->codes[42884] = 0x000194ade6b53950UL;
   tf->codes[42885] = 0x000199abe61023afUL;
   tf->codes[42886] = 0x0001a5f6834a295bUL;
   tf->codes[42887] = 0x0001b3c8bcfac477UL;
   tf->codes[42888] = 0x0001b6d3282c762eUL;
   tf->codes[42889] = 0x0001ba502d44726eUL;
   tf->codes[42890] = 0x0001c44b7c4d35ddUL;
   tf->codes[42891] = 0x0001dd7cf255a5ccUL;
   tf->codes[42892] = 0x0001e595256ecffbUL;
   tf->codes[42893] = 0x0001fb12009cc9abUL;
   tf->codes[42894] = 0x0001fdc8b3543bbcUL;
   tf->codes[42895] = 0x000040c997333b93UL;
   tf->codes[42896] = 0x0000539e636b3472UL;
   tf->codes[42897] = 0x00005a83d75325b0UL;
   tf->codes[42898] = 0x000065603c1a1657UL;
   tf->codes[42899] = 0x0000659672826db8UL;
   tf->codes[42900] = 0x0000663b5f51ad8dUL;
   tf->codes[42901] = 0x0000666ffbd0dc8bUL;
   tf->codes[42902] = 0x000078ddd8a0b120UL;
   tf->codes[42903] = 0x0000822bc42e5f41UL;
   tf->codes[42904] = 0x00008b7591ada588UL;
   tf->codes[42905] = 0x0000961a2623166bUL;
   tf->codes[42906] = 0x00009f219d9dd388UL;
   tf->codes[42907] = 0x0000a5501293bd26UL;
   tf->codes[42908] = 0x0000a7975f373574UL;
   tf->codes[42909] = 0x0000aa56c32982c3UL;
   tf->codes[42910] = 0x0000e59f4c05c9daUL;
   tf->codes[42911] = 0x0000f5ba31b3ffe2UL;
   tf->codes[42912] = 0x0000ff18957b4d6bUL;
   tf->codes[42913] = 0x000111fdd9ece5b2UL;
   tf->codes[42914] = 0x00011e9970ece5c8UL;
   tf->codes[42915] = 0x00013470e157cc34UL;
   tf->codes[42916] = 0x000154af5def1382UL;
   tf->codes[42917] = 0x0001709f883cbf71UL;
   tf->codes[42918] = 0x000188e47897e1aeUL;
   tf->codes[42919] = 0x0001acbe66952495UL;
   tf->codes[42920] = 0x0001ce67ad3e2a5dUL;
   tf->codes[42921] = 0x0001d60f55783df0UL;
   tf->codes[42922] = 0x0001d861d77bd0f3UL;
   tf->codes[42923] = 0x0001e534c9af4543UL;
   tf->codes[42924] = 0x0001e8b0e48b2a6fUL;
   tf->codes[42925] = 0x0001e9dbdcbd9f36UL;
   tf->codes[42926] = 0x00000990a5015542UL;
   tf->codes[42927] = 0x0000462f61a75391UL;
   tf->codes[42928] = 0x000056ee8477b81fUL;
   tf->codes[42929] = 0x000094d87a1658b6UL;
   tf->codes[42930] = 0x0000ab0f4d79a507UL;
   tf->codes[42931] = 0x0000ac61d852ffefUL;
   tf->codes[42932] = 0x0000d64fb2778f30UL;
   tf->codes[42933] = 0x0000f2b41094ae0bUL;
   tf->codes[42934] = 0x00010c64401f9a4cUL;
   tf->codes[42935] = 0x00013c21dbeebe95UL;
   tf->codes[42936] = 0x00014bd6bc70e767UL;
   tf->codes[42937] = 0x00014dddfca6103dUL;
   tf->codes[42938] = 0x0001532e8fb01d69UL;
   tf->codes[42939] = 0x00017d7b57af0705UL;
   tf->codes[42940] = 0x00018681aa5ea749UL;
   tf->codes[42941] = 0x00019974e2e49f81UL;
   tf->codes[42942] = 0x0001a8583ba6236fUL;
   tf->codes[42943] = 0x0001af75f4fd9ffbUL;
   tf->codes[42944] = 0x0001b32bb4a33313UL;
   tf->codes[42945] = 0x0001b5c88e39192fUL;
   tf->codes[42946] = 0x0001bba8c81d4d9fUL;
   tf->codes[42947] = 0x0001d495d91a0077UL;
   tf->codes[42948] = 0x0001e8346613da10UL;
   tf->codes[42949] = 0x0001f7834169f5acUL;
   tf->codes[42950] = 0x00000e3f708365a0UL;
   tf->codes[42951] = 0x000031d35f8bc30dUL;
   tf->codes[42952] = 0x0000440463bf98f0UL;
   tf->codes[42953] = 0x000044726a797015UL;
   tf->codes[42954] = 0x00004fead045bf8eUL;
   tf->codes[42955] = 0x000051058acd9ab2UL;
   tf->codes[42956] = 0x0000525223205f98UL;
   tf->codes[42957] = 0x0000565aeb932107UL;
   tf->codes[42958] = 0x00005cf4e31da253UL;
   tf->codes[42959] = 0x00005e77b1d8be9aUL;
   tf->codes[42960] = 0x000064cf18cfb0f7UL;
   tf->codes[42961] = 0x00007a3673798c51UL;
   tf->codes[42962] = 0x00007fed463eac78UL;
   tf->codes[42963] = 0x0000900b5fbf3346UL;
   tf->codes[42964] = 0x0000989abfeb1b62UL;
   tf->codes[42965] = 0x0000a8964f0f3afdUL;
   tf->codes[42966] = 0x0000ad1e0b937e83UL;
   tf->codes[42967] = 0x0000b31aa2be7e5fUL;
   tf->codes[42968] = 0x0000b73e691de89cUL;
   tf->codes[42969] = 0x0000c86e515c698bUL;
   tf->codes[42970] = 0x0000f54fb6d4698fUL;
   tf->codes[42971] = 0x0000fdacfea66224UL;
   tf->codes[42972] = 0x000108a7200e40d5UL;
   tf->codes[42973] = 0x000146f66b2bdd53UL;
   tf->codes[42974] = 0x0001585b650798caUL;
   tf->codes[42975] = 0x00015de22e79fd57UL;
   tf->codes[42976] = 0x000176cc4633652eUL;
   tf->codes[42977] = 0x00019f8049d508a3UL;
   tf->codes[42978] = 0x0001a786303c6542UL;
   tf->codes[42979] = 0x0001cd236e811f72UL;
   tf->codes[42980] = 0x0001d2fd40c0b256UL;
   tf->codes[42981] = 0x0001e91114a98beaUL;
   tf->codes[42982] = 0x0001ea74c7699789UL;
   tf->codes[42983] = 0x0001ee3aff48ca09UL;
   tf->codes[42984] = 0x000013084fb607b8UL;
   tf->codes[42985] = 0x0000161df047d424UL;
   tf->codes[42986] = 0x0000305dc6ace7a9UL;
   tf->codes[42987] = 0x00004eb36f5d057aUL;
   tf->codes[42988] = 0x000056c450957709UL;
   tf->codes[42989] = 0x00005ace03444f8cUL;
   tf->codes[42990] = 0x00005daf0756ecfaUL;
   tf->codes[42991] = 0x0000600bd47e839eUL;
   tf->codes[42992] = 0x0000688be13be92bUL;
   tf->codes[42993] = 0x00007281ed6b27e7UL;
   tf->codes[42994] = 0x00007e1e025efb6cUL;
   tf->codes[42995] = 0x00007e2fd9f2bd72UL;
   tf->codes[42996] = 0x00008b1e79bfebdfUL;
   tf->codes[42997] = 0x00008e6e343971c1UL;
   tf->codes[42998] = 0x0000b923faa7b394UL;
   tf->codes[42999] = 0x0000dfccda94cc1eUL;
   tf->codes[43000] = 0x0000e08f0ee6ee73UL;
   tf->codes[43001] = 0x0000e87a31f0a809UL;
   tf->codes[43002] = 0x00010ce4eb932f0dUL;
   tf->codes[43003] = 0x00010d118684941cUL;
   tf->codes[43004] = 0x000113ba96ee9232UL;
   tf->codes[43005] = 0x00011486dbd5b263UL;
   tf->codes[43006] = 0x00013f288119f87eUL;
   tf->codes[43007] = 0x000149340dcd5590UL;
   tf->codes[43008] = 0x000157a4578a836bUL;
   tf->codes[43009] = 0x000163ba58455a19UL;
   tf->codes[43010] = 0x0001762e622aca75UL;
   tf->codes[43011] = 0x00018909d0966aa5UL;
   tf->codes[43012] = 0x00018b402fe23801UL;
   tf->codes[43013] = 0x00019f77c49e256bUL;
   tf->codes[43014] = 0x0001a7a0aa7ff4c7UL;
   tf->codes[43015] = 0x0001a9ed39fcf1c8UL;
   tf->codes[43016] = 0x0001af5522034b72UL;
   tf->codes[43017] = 0x0001c21d598106feUL;
   tf->codes[43018] = 0x0001c36f6f3c565cUL;
   tf->codes[43019] = 0x0001cdeb4c3fc445UL;
   tf->codes[43020] = 0x0001cf397e7bb18eUL;
   tf->codes[43021] = 0x0001d8e8dc08f981UL;
   tf->codes[43022] = 0x0001e5b05e4d4d57UL;
   tf->codes[43023] = 0x0001fd5e1b5e89ebUL;
   tf->codes[43024] = 0x000017fe046914a4UL;
   tf->codes[43025] = 0x00001a47d531cc69UL;
   tf->codes[43026] = 0x00001ba9ee08afa5UL;
   tf->codes[43027] = 0x00001dee7bf7e2b7UL;
   tf->codes[43028] = 0x00002687ecb8c8afUL;
   tf->codes[43029] = 0x000028f691742159UL;
   tf->codes[43030] = 0x000035813b1c767dUL;
   tf->codes[43031] = 0x0000363122bccb42UL;
   tf->codes[43032] = 0x000037bc6823bd02UL;
   tf->codes[43033] = 0x0000567d93687281UL;
   tf->codes[43034] = 0x000057d97f29b9f6UL;
   tf->codes[43035] = 0x00006aa9f2c44536UL;
   tf->codes[43036] = 0x00006ee757b635a3UL;
   tf->codes[43037] = 0x0000748a43e05fd7UL;
   tf->codes[43038] = 0x00008005dd7f0016UL;
   tf->codes[43039] = 0x0000845b81a95415UL;
   tf->codes[43040] = 0x00009abeeffe0575UL;
   tf->codes[43041] = 0x0000afa03f44abddUL;
   tf->codes[43042] = 0x0000ba75c748ef6eUL;
   tf->codes[43043] = 0x0000ba8380ce499aUL;
   tf->codes[43044] = 0x0000c4297d73a500UL;
   tf->codes[43045] = 0x0000ce1a815864ceUL;
   tf->codes[43046] = 0x0000d84146877073UL;
   tf->codes[43047] = 0x0000e4022f6de4ddUL;
   tf->codes[43048] = 0x00013d85630da0f7UL;
   tf->codes[43049] = 0x00013da3cf5ba050UL;
   tf->codes[43050] = 0x000145934b02c785UL;
   tf->codes[43051] = 0x00015268fbea8111UL;
   tf->codes[43052] = 0x000154ad4f4aae5eUL;
   tf->codes[43053] = 0x0001619c29a6e290UL;
   tf->codes[43054] = 0x00018cd74bcb4806UL;
   tf->codes[43055] = 0x00019722353fe341UL;
   tf->codes[43056] = 0x0001a718bc1983eeUL;
   tf->codes[43057] = 0x0001c4562e670612UL;
   tf->codes[43058] = 0x0001cdcbac9b9a54UL;
   tf->codes[43059] = 0x0001e04c85ca4dc8UL;
   tf->codes[43060] = 0x00000590539d3815UL;
   tf->codes[43061] = 0x00000ca4717dc24fUL;
   tf->codes[43062] = 0x00000dda29f24641UL;
   tf->codes[43063] = 0x00000f762221dd2eUL;
   tf->codes[43064] = 0x00001fa4794cfd9fUL;
   tf->codes[43065] = 0x0000309713d17452UL;
   tf->codes[43066] = 0x0000499b3f3b6de3UL;
   tf->codes[43067] = 0x000054f831fd0904UL;
   tf->codes[43068] = 0x000058cf91c2ec3bUL;
   tf->codes[43069] = 0x00005971fa6cec99UL;
   tf->codes[43070] = 0x00005a263aaaaefdUL;
   tf->codes[43071] = 0x00005c44954d1e8cUL;
   tf->codes[43072] = 0x0000639b7e503d7aUL;
   tf->codes[43073] = 0x000064b429d0e4b1UL;
   tf->codes[43074] = 0x0000697eec06c2b0UL;
   tf->codes[43075] = 0x00007f9e6a6dc283UL;
   tf->codes[43076] = 0x0000837d1c145e5aUL;
   tf->codes[43077] = 0x000089ba6f5abefdUL;
   tf->codes[43078] = 0x000095614490a1adUL;
   tf->codes[43079] = 0x0000a515ea83c4baUL;
   tf->codes[43080] = 0x0000c56e7acb9dc2UL;
   tf->codes[43081] = 0x0000d34ac51136baUL;
   tf->codes[43082] = 0x0000ea029b8d390fUL;
   tf->codes[43083] = 0x000114935379d438UL;
   tf->codes[43084] = 0x000126b6d8b755b4UL;
   tf->codes[43085] = 0x0001439ebe126a0aUL;
   tf->codes[43086] = 0x00014a74de8bd8b9UL;
   tf->codes[43087] = 0x0001519bf8cb41d2UL;
   tf->codes[43088] = 0x0001693594b282aeUL;
   tf->codes[43089] = 0x00017a8f592e2370UL;
   tf->codes[43090] = 0x000184229403a5bcUL;
   tf->codes[43091] = 0x00018de612bae967UL;
   tf->codes[43092] = 0x000192c5e056da32UL;
   tf->codes[43093] = 0x00019475bf216712UL;
   tf->codes[43094] = 0x0001a660c460577bUL;
   tf->codes[43095] = 0x0001ba563da6c180UL;
   tf->codes[43096] = 0x0001cb6410a6e6c6UL;
   tf->codes[43097] = 0x0001cf65fc56fb1fUL;
   tf->codes[43098] = 0x0001d5ff7ec370e1UL;
   tf->codes[43099] = 0x0001dd4be2138669UL;
   tf->codes[43100] = 0x00000fa4f81e6e30UL;
   tf->codes[43101] = 0x000015464a5f7001UL;
   tf->codes[43102] = 0x00001ec7388324bdUL;
   tf->codes[43103] = 0x00003a8d8693b0d9UL;
   tf->codes[43104] = 0x00004341bab239daUL;
   tf->codes[43105] = 0x000051413f014b54UL;
   tf->codes[43106] = 0x00005b3ded643161UL;
   tf->codes[43107] = 0x000072272c8d11eeUL;
   tf->codes[43108] = 0x00008baac1269920UL;
   tf->codes[43109] = 0x00008cf33b6af62cUL;
   tf->codes[43110] = 0x000097339f2c8801UL;
   tf->codes[43111] = 0x00009da37feae3b5UL;
   tf->codes[43112] = 0x0000ada2f28e6565UL;
   tf->codes[43113] = 0x0000c37386369ebbUL;
   tf->codes[43114] = 0x0000c428b0b07833UL;
   tf->codes[43115] = 0x0000f68a77f63b38UL;
   tf->codes[43116] = 0x0000f9cf722db1efUL;
   tf->codes[43117] = 0x0000fca491332359UL;
   tf->codes[43118] = 0x000104be23a67026UL;
   tf->codes[43119] = 0x0001211a8035c512UL;
   tf->codes[43120] = 0x000124310b03a892UL;
   tf->codes[43121] = 0x00014dbed282c09fUL;
   tf->codes[43122] = 0x00014e77a5ecf667UL;
   tf->codes[43123] = 0x000159326a9396efUL;
   tf->codes[43124] = 0x0001798458a7c8a6UL;
   tf->codes[43125] = 0x00017a6f09dce830UL;
   tf->codes[43126] = 0x00017b56873fb6f4UL;
   tf->codes[43127] = 0x000188a11ba3f4bbUL;
   tf->codes[43128] = 0x00019457444859faUL;
   tf->codes[43129] = 0x0001a53807390ea7UL;
   tf->codes[43130] = 0x0001a9c36cadae7dUL;
   tf->codes[43131] = 0x0001adbca722e798UL;
   tf->codes[43132] = 0x0001b44a44823156UL;
   tf->codes[43133] = 0x0001b4d72ca8135eUL;
   tf->codes[43134] = 0x0001ba0dac018ed0UL;
   tf->codes[43135] = 0x0001bdf3ea17e90cUL;
   tf->codes[43136] = 0x0001e111212b9416UL;
   tf->codes[43137] = 0x0001eeb94410099aUL;
   tf->codes[43138] = 0x0001fba31621bedeUL;
   tf->codes[43139] = 0x0001ff64bad47dfaUL;
   tf->codes[43140] = 0x000016a6f55122e0UL;
   tf->codes[43141] = 0x00001f7af517cdd8UL;
   tf->codes[43142] = 0x000033691c7d7f3dUL;
   tf->codes[43143] = 0x000033dd15bdec64UL;
   tf->codes[43144] = 0x00003e737b8ff791UL;
   tf->codes[43145] = 0x0000516220e97c65UL;
   tf->codes[43146] = 0x000068ef62a585b3UL;
   tf->codes[43147] = 0x00006f52aea9a414UL;
   tf->codes[43148] = 0x00008423fad4b69eUL;
   tf->codes[43149] = 0x00008783f2f8d623UL;
   tf->codes[43150] = 0x0000975ecc38bcb3UL;
   tf->codes[43151] = 0x0000acd789584e89UL;
   tf->codes[43152] = 0x0000e7f4617f47a5UL;
   tf->codes[43153] = 0x0000ea872a802fe5UL;
   tf->codes[43154] = 0x0000ed12dc2f654aUL;
   tf->codes[43155] = 0x00010dbf5f8083bdUL;
   tf->codes[43156] = 0x00010ef517f507afUL;
   tf->codes[43157] = 0x00011c882f736a67UL;
   tf->codes[43158] = 0x00012dba61482508UL;
   tf->codes[43159] = 0x00014d12fa65c5f5UL;
   tf->codes[43160] = 0x00016b19b8571d49UL;
   tf->codes[43161] = 0x00019a3c77ebff99UL;
   tf->codes[43162] = 0x0001a5eef7a00888UL;
   tf->codes[43163] = 0x0001a969edb0d0dbUL;
   tf->codes[43164] = 0x0001be15b63c3131UL;
   tf->codes[43165] = 0x0001c7736a566d6bUL;
   tf->codes[43166] = 0x0001cbb4031aae9eUL;
   tf->codes[43167] = 0x0001d1baaadaac56UL;
   tf->codes[43168] = 0x0001dc4febe19aaaUL;
   tf->codes[43169] = 0x0001e66bf0ce9724UL;
   tf->codes[43170] = 0x00003042ba97ffe5UL;
   tf->codes[43171] = 0x0000342883904e97UL;
   tf->codes[43172] = 0x00004299f218994bUL;
   tf->codes[43173] = 0x000064e52c4d93e7UL;
   tf->codes[43174] = 0x000070a8d3e84d8dUL;
   tf->codes[43175] = 0x000075982f81c6acUL;
   tf->codes[43176] = 0x000086b555f06e81UL;
   tf->codes[43177] = 0x00008d42f34fb83fUL;
   tf->codes[43178] = 0x00008f9c5215f858UL;
   tf->codes[43179] = 0x000099445dc287abUL;
   tf->codes[43180] = 0x0000b6a57f378ddbUL;
   tf->codes[43181] = 0x0000be6fb1ce08a1UL;
   tf->codes[43182] = 0x0000bfe2f28b9c94UL;
   tf->codes[43183] = 0x0000e14a1dbf1ef7UL;
   tf->codes[43184] = 0x0000ee86be0efccdUL;
   tf->codes[43185] = 0x00010d0015e69eaaUL;
   tf->codes[43186] = 0x0001183c1834fafbUL;
   tf->codes[43187] = 0x0001197a81e45a2bUL;
   tf->codes[43188] = 0x000121b41a8eceb4UL;
   tf->codes[43189] = 0x00013d15c2cd7038UL;
   tf->codes[43190] = 0x00014e954577c8f3UL;
   tf->codes[43191] = 0x0001501d1c7d6428UL;
   tf->codes[43192] = 0x000158922e69b4c5UL;
   tf->codes[43193] = 0x00016cc4f56a2906UL;
   tf->codes[43194] = 0x000170db02443917UL;
   tf->codes[43195] = 0x000184e5c17fbbadUL;
   tf->codes[43196] = 0x00018bff2239ca9aUL;
   tf->codes[43197] = 0x0001900b1e7edccfUL;
   tf->codes[43198] = 0x000193de25a75267UL;
   tf->codes[43199] = 0x000196d88dbd7040UL;
   tf->codes[43200] = 0x0001a41e19d72f19UL;
   tf->codes[43201] = 0x0001bd6d11f1874dUL;
   tf->codes[43202] = 0x0001bf8071c2e1ecUL;
   tf->codes[43203] = 0x0001c36884516a50UL;
   tf->codes[43204] = 0x0001d31e899eaffbUL;
   tf->codes[43205] = 0x0001ecdf6bf24169UL;
   tf->codes[43206] = 0x0000345460499498UL;
   tf->codes[43207] = 0x00003961b3130186UL;
   tf->codes[43208] = 0x00003fc27af1e070UL;
   tf->codes[43209] = 0x00004a3c0e5f14a7UL;
   tf->codes[43210] = 0x000056812e308fdbUL;
   tf->codes[43211] = 0x0000588ed60a5a3dUL;
   tf->codes[43212] = 0x00005ea63092fd22UL;
   tf->codes[43213] = 0x000061729e5d934eUL;
   tf->codes[43214] = 0x000064382f657c64UL;
   tf->codes[43215] = 0x00006565e64c3667UL;
   tf->codes[43216] = 0x0000698ca5eeeba5UL;
   tf->codes[43217] = 0x00006f0f5152e858UL;
   tf->codes[43218] = 0x000081522d1a8041UL;
   tf->codes[43219] = 0x0000ab60829442c8UL;
   tf->codes[43220] = 0x0000b6051709b3abUL;
   tf->codes[43221] = 0x0000b90a79f0e674UL;
   tf->codes[43222] = 0x0000c1d4de409f1aUL;
   tf->codes[43223] = 0x0000c848a27e5ce3UL;
   tf->codes[43224] = 0x0000da5ee3548fbdUL;
   tf->codes[43225] = 0x0000dbd6b73e9714UL;
   tf->codes[43226] = 0x0000ecd7f5847f07UL;
   tf->codes[43227] = 0x0000f11cac572814UL;
   tf->codes[43228] = 0x0000fa00af3966eaUL;
   tf->codes[43229] = 0x0000ffd4c9816991UL;
   tf->codes[43230] = 0x00010610f7fcad5bUL;
   tf->codes[43231] = 0x000126e9a1212553UL;
   tf->codes[43232] = 0x000133489a142c7cUL;
   tf->codes[43233] = 0x000139a125d63bb2UL;
   tf->codes[43234] = 0x00013df94e25cf28UL;
   tf->codes[43235] = 0x00015549b745d9c4UL;
   tf->codes[43236] = 0x000163676d53e4d2UL;
   tf->codes[43237] = 0x00016f01adcf8a2fUL;
   tf->codes[43238] = 0x00017855c672d417UL;
   tf->codes[43239] = 0x00017abf62e3add3UL;
   tf->codes[43240] = 0x00018d3875139d1dUL;
   tf->codes[43241] = 0x00019e86c9a01d65UL;
   tf->codes[43242] = 0x0001a04bb3d0bd11UL;
   tf->codes[43243] = 0x0001cd95dd290f87UL;
   tf->codes[43244] = 0x0001d9f1dcd8cbafUL;
   tf->codes[43245] = 0x0001dad5b14b3e23UL;
   tf->codes[43246] = 0x0001dc5d4dc1d393UL;
   tf->codes[43247] = 0x0001e4662d6c7b33UL;
   tf->codes[43248] = 0x0001ec9af85b7693UL;
   tf->codes[43249] = 0x00002223fd37c245UL;
   tf->codes[43250] = 0x00002fe2fffa78bdUL;
   tf->codes[43251] = 0x00003cb283cc9682UL;
   tf->codes[43252] = 0x00005247d8c1f989UL;
   tf->codes[43253] = 0x00005486742a9699UL;
   tf->codes[43254] = 0x000057665372172eUL;
   tf->codes[43255] = 0x00005974e587f8a4UL;
   tf->codes[43256] = 0x000073bae902a7f0UL;
   tf->codes[43257] = 0x00007729fa06443fUL;
   tf->codes[43258] = 0x000079f9d63230f6UL;
   tf->codes[43259] = 0x000087e6d3406f1bUL;
   tf->codes[43260] = 0x00008bfb463156c9UL;
   tf->codes[43261] = 0x0000a48dc1f11ce5UL;
   tf->codes[43262] = 0x0000b1ab0bb6e44eUL;
   tf->codes[43263] = 0x0000b73e69e3862eUL;
   tf->codes[43264] = 0x00011e31406926b9UL;
   tf->codes[43265] = 0x00014c6c0d7d2ebbUL;
   tf->codes[43266] = 0x00016e06b064c343UL;
   tf->codes[43267] = 0x000170dcb9a64bc1UL;
   tf->codes[43268] = 0x000177fe910c3027UL;
   tf->codes[43269] = 0x000178f05993028cUL;
   tf->codes[43270] = 0x00017c66f7065d40UL;
   tf->codes[43271] = 0x000186ae7219a1f0UL;
   tf->codes[43272] = 0x0001923abe80e75cUL;
   tf->codes[43273] = 0x000195c20ebce73dUL;
   tf->codes[43274] = 0x00019d994b2baae0UL;
   tf->codes[43275] = 0x0001b5cc9e8210dcUL;
   tf->codes[43276] = 0x0001cf4697a4a5bcUL;
   tf->codes[43277] = 0x0001dd8ba5ca9126UL;
   tf->codes[43278] = 0x0001e16ca10766afUL;
   tf->codes[43279] = 0x0001e3ac9bca265dUL;
   tf->codes[43280] = 0x0001e49def32ed38UL;
   tf->codes[43281] = 0x0001fbe9c5268470UL;
   tf->codes[43282] = 0x00000cedfcafb764UL;
   tf->codes[43283] = 0x00001e9b79a597ccUL;
   tf->codes[43284] = 0x0000278cc0ef2544UL;
   tf->codes[43285] = 0x00002b102dabc310UL;
   tf->codes[43286] = 0x00003d12fd050b81UL;
   tf->codes[43287] = 0x00004b8fa0ed70eaUL;
   tf->codes[43288] = 0x00005dc831910532UL;
   tf->codes[43289] = 0x000062a714f0dee9UL;
   tf->codes[43290] = 0x00006683b79046d3UL;
   tf->codes[43291] = 0x000067d6f216b30aUL;
   tf->codes[43292] = 0x00006d528628fce2UL;
   tf->codes[43293] = 0x00007b3c4f64ea41UL;
   tf->codes[43294] = 0x000082e67bc43d4bUL;
   tf->codes[43295] = 0x000083d8f3f820ffUL;
   tf->codes[43296] = 0x0000891a3393ab9cUL;
   tf->codes[43297] = 0x0000b337a1eceaedUL;
   tf->codes[43298] = 0x0000c0e4928cd99aUL;
   tf->codes[43299] = 0x0000c5a41f629ce4UL;
   tf->codes[43300] = 0x0000db058785e23cUL;
   tf->codes[43301] = 0x0000e994b2af1afaUL;
   tf->codes[43302] = 0x0000eae8625392bbUL;
   tf->codes[43303] = 0x00010854b928b3a0UL;
   tf->codes[43304] = 0x00010c893250c30aUL;
   tf->codes[43305] = 0x000120e2dc4b0c1dUL;
   tf->codes[43306] = 0x0001292f36c559c0UL;
   tf->codes[43307] = 0x00014c8821a9e6a3UL;
   tf->codes[43308] = 0x000150e308adbf55UL;
   tf->codes[43309] = 0x00015c115176c17aUL;
   tf->codes[43310] = 0x0001617e41c79a12UL;
   tf->codes[43311] = 0x0001741c9d0835cbUL;
   tf->codes[43312] = 0x000179823b7855c3UL;
   tf->codes[43313] = 0x00017ac2eebdeea5UL;
   tf->codes[43314] = 0x00017b69b0055ca2UL;
   tf->codes[43315] = 0x0001bad7992a3659UL;
   tf->codes[43316] = 0x0001c95c792f6b76UL;
   tf->codes[43317] = 0x0001cfb9d2acf3d5UL;
   tf->codes[43318] = 0x0001ef126bca94c2UL;
   tf->codes[43319] = 0x0001f733501e9a2fUL;
   tf->codes[43320] = 0x00000adeac61b6e0UL;
   tf->codes[43321] = 0x0000327e97af2682UL;
   tf->codes[43322] = 0x00003f6b28752102UL;
   tf->codes[43323] = 0x00004d6f3ff0a5e0UL;
   tf->codes[43324] = 0x000073a5fb157f6bUL;
   tf->codes[43325] = 0x000089d4cceb01cdUL;
   tf->codes[43326] = 0x00009a766da97e16UL;
   tf->codes[43327] = 0x0000a82e1e8b7beeUL;
   tf->codes[43328] = 0x0000ac4256ed5dd7UL;
   tf->codes[43329] = 0x0000aeff36ba6bafUL;
   tf->codes[43330] = 0x0000afcd8aa8bfcdUL;
   tf->codes[43331] = 0x0000b4400137eac2UL;
   tf->codes[43332] = 0x0000b5e1ebee17b1UL;
   tf->codes[43333] = 0x0000c021a0029837UL;
   tf->codes[43334] = 0x0000c24cc9ee4adeUL;
   tf->codes[43335] = 0x0000c3e72834b968UL;
   tf->codes[43336] = 0x0000cf061d8f38feUL;
   tf->codes[43337] = 0x0000df8484443cc5UL;
   tf->codes[43338] = 0x0000ef629156741bUL;
   tf->codes[43339] = 0x0000efd65007db7dUL;
   tf->codes[43340] = 0x0000f11828189138UL;
   tf->codes[43341] = 0x0001127f8ddb1960UL;
   tf->codes[43342] = 0x000119bbee0f9b0aUL;
   tf->codes[43343] = 0x00012280d4f6c938UL;
   tf->codes[43344] = 0x000147bc2c1dde0cUL;
   tf->codes[43345] = 0x000173fb28ebddb2UL;
   tf->codes[43346] = 0x0001960a3a31eaebUL;
   tf->codes[43347] = 0x0001a2dc7cb84decUL;
   tf->codes[43348] = 0x0001af3beac9609fUL;
   tf->codes[43349] = 0x0001ba3fe2373767UL;
   tf->codes[43350] = 0x0001c026f8de18edUL;
   tf->codes[43351] = 0x0001c53f0be99506UL;
   tf->codes[43352] = 0x0001d63c2c21151fUL;
   tf->codes[43353] = 0x0001dba27a3e4666UL;
   tf->codes[43354] = 0x0001f530cf19dcc3UL;
   tf->codes[43355] = 0x000000b1e621077aUL;
   tf->codes[43356] = 0x000001e3bb162957UL;
   tf->codes[43357] = 0x00000e6997030552UL;
   tf->codes[43358] = 0x000016e167a39b2bUL;
   tf->codes[43359] = 0x000020d097102cd1UL;
   tf->codes[43360] = 0x000023a7ffabd7edUL;
   tf->codes[43361] = 0x00002d8975930f67UL;
   tf->codes[43362] = 0x00004df243858212UL;
   tf->codes[43363] = 0x00005ac117aa8e88UL;
   tf->codes[43364] = 0x00005cafa3894842UL;
   tf->codes[43365] = 0x0000807744d4bd99UL;
   tf->codes[43366] = 0x0000820f9413f836UL;
   tf->codes[43367] = 0x000090a14362706bUL;
   tf->codes[43368] = 0x0000d66b6139b5a8UL;
   tf->codes[43369] = 0x0000e576c1c02b41UL;
   tf->codes[43370] = 0x0000ee9d8fc4fecbUL;
   tf->codes[43371] = 0x000113d9969924eeUL;
   tf->codes[43372] = 0x0001298fdc01c6c5UL;
   tf->codes[43373] = 0x000154ddbff60555UL;
   tf->codes[43374] = 0x00016ab3d106c923UL;
   tf->codes[43375] = 0x000184c781988323UL;
   tf->codes[43376] = 0x00019416977da484UL;
   tf->codes[43377] = 0x0001b87b5e999586UL;
   tf->codes[43378] = 0x0001cac9e4df53aeUL;
   tf->codes[43379] = 0x000010755bd993cdUL;
   tf->codes[43380] = 0x0000110dee7d9c14UL;
   tf->codes[43381] = 0x000023a77c02bea4UL;
   tf->codes[43382] = 0x00002f9bdc9d4533UL;
   tf->codes[43383] = 0x00003790d5acf6e0UL;
   tf->codes[43384] = 0x00005a23e34f051eUL;
   tf->codes[43385] = 0x00006f2f4961d11eUL;
   tf->codes[43386] = 0x000074f1c6a51784UL;
   tf->codes[43387] = 0x00009fcc6105fa3cUL;
   tf->codes[43388] = 0x0000a6ebb4469f2bUL;
   tf->codes[43389] = 0x0000ac1d65e4a174UL;
   tf->codes[43390] = 0x0000ae3a612cee65UL;
   tf->codes[43391] = 0x0000b259ceeeeb03UL;
   tf->codes[43392] = 0x0000b599fb6ae891UL;
   tf->codes[43393] = 0x0000c96ebecd198bUL;
   tf->codes[43394] = 0x0000c9d19026d5fbUL;
   tf->codes[43395] = 0x0000e15aee637d34UL;
   tf->codes[43396] = 0x0000f3dc3cb03c32UL;
   tf->codes[43397] = 0x000112717cb09df1UL;
   tf->codes[43398] = 0x000120558df4fb13UL;
   tf->codes[43399] = 0x0001336314ba8acaUL;
   tf->codes[43400] = 0x000144282a11855aUL;
   tf->codes[43401] = 0x000156f5a468c599UL;
   tf->codes[43402] = 0x00015b5b111fa7b1UL;
   tf->codes[43403] = 0x00015f31c1387999UL;
   tf->codes[43404] = 0x00016bc30d14760eUL;
   tf->codes[43405] = 0x0001acc895cb7913UL;
   tf->codes[43406] = 0x0001b3341dec6728UL;
   tf->codes[43407] = 0x0001b41e1f747563UL;
   tf->codes[43408] = 0x0001bc5115eb429bUL;
   tf->codes[43409] = 0x0001bff7f7405eaeUL;
   tf->codes[43410] = 0x0001d254370b7702UL;
   tf->codes[43411] = 0x0001d7b8010368d2UL;
   tf->codes[43412] = 0x0001d8fe6c4091f1UL;
   tf->codes[43413] = 0x0001e92c88dcac9dUL;
   tf->codes[43414] = 0x0001f9d8e9dd3811UL;
   tf->codes[43415] = 0x0001fe35a5593eebUL;
   tf->codes[43416] = 0x000001bddfd155e0UL;
   tf->codes[43417] = 0x00002afae8197948UL;
   tf->codes[43418] = 0x0000423f6c2c57e0UL;
   tf->codes[43419] = 0x0000512006399692UL;
   tf->codes[43420] = 0x00007afec77ea909UL;
   tf->codes[43421] = 0x00009409951c49ebUL;
   tf->codes[43422] = 0x00009ac2e330e1a4UL;
   tf->codes[43423] = 0x00009e0ef4ba0b36UL;
   tf->codes[43424] = 0x0000c6490c94ab82UL;
   tf->codes[43425] = 0x0001111a501fc1e6UL;
   tf->codes[43426] = 0x0001224f40a8c1c3UL;
   tf->codes[43427] = 0x000125fc148473d8UL;
   tf->codes[43428] = 0x00013ffed7be82e6UL;
   tf->codes[43429] = 0x000142b131d88758UL;
   tf->codes[43430] = 0x000150b583e311fbUL;
   tf->codes[43431] = 0x00015ea36b2d6734UL;
   tf->codes[43432] = 0x0001769e3e853c1dUL;
   tf->codes[43433] = 0x00017c79358febdaUL;
   tf->codes[43434] = 0x00018fdae9edc6c1UL;
   tf->codes[43435] = 0x0001905f20d8cd8bUL;
   tf->codes[43436] = 0x0001b3603534b2eeUL;
   tf->codes[43437] = 0x0001cc95542d7f2dUL;
   tf->codes[43438] = 0x0001d6818a56c5d2UL;
   tf->codes[43439] = 0x0001de3c697ebe09UL;
   tf->codes[43440] = 0x0001e5393262fbc5UL;
   tf->codes[43441] = 0x0001f4206ea3e1c8UL;
   tf->codes[43442] = 0x00001641920cb6ccUL;
   tf->codes[43443] = 0x00002b4237dd73a1UL;
   tf->codes[43444] = 0x00005a2d9c3ee1b7UL;
   tf->codes[43445] = 0x00005a3a30f91f0aUL;
   tf->codes[43446] = 0x00005d0df0a46dd6UL;
   tf->codes[43447] = 0x000090efc7f107e6UL;
   tf->codes[43448] = 0x0000949eaad3ede8UL;
   tf->codes[43449] = 0x0000958ed97197eaUL;
   tf->codes[43450] = 0x00009d81c37a15aaUL;
   tf->codes[43451] = 0x0000a9841828fc2aUL;
   tf->codes[43452] = 0x0000ae4a0ca36100UL;
   tf->codes[43453] = 0x0000c365b060c6a3UL;
   tf->codes[43454] = 0x0000c3f7a0d12799UL;
   tf->codes[43455] = 0x0000ca8662fb8e30UL;
   tf->codes[43456] = 0x0000d3c8a40b1612UL;
   tf->codes[43457] = 0x0000f83a74ff4ff1UL;
   tf->codes[43458] = 0x0000fef43831f334UL;
   tf->codes[43459] = 0x000102d5e31bda0cUL;
   tf->codes[43460] = 0x000116442c33f246UL;
   tf->codes[43461] = 0x00011d4a1b7116caUL;
   tf->codes[43462] = 0x00012bfcbb32cdcfUL;
   tf->codes[43463] = 0x00012c996be53df0UL;
   tf->codes[43464] = 0x00013bf1a8234619UL;
   tf->codes[43465] = 0x0001483bd03f403bUL;
   tf->codes[43466] = 0x000148824452313fUL;
   tf->codes[43467] = 0x0001957ca2c1c65dUL;
   tf->codes[43468] = 0x0001b9aba8936b88UL;
   tf->codes[43469] = 0x0001c4c85457b16cUL;
   tf->codes[43470] = 0x0001c95170361790UL;
   tf->codes[43471] = 0x0001d4d78f87c135UL;
   tf->codes[43472] = 0x0001d5fd0a51ab84UL;
   tf->codes[43473] = 0x0001e58b42690549UL;
   tf->codes[43474] = 0x0001e78a46815e6bUL;
   tf->codes[43475] = 0x00001dc8b066895aUL;
   tf->codes[43476] = 0x00001dde30eaa7b0UL;
   tf->codes[43477] = 0x0000410a80ddcf84UL;
   tf->codes[43478] = 0x00004f921f9749ddUL;
   tf->codes[43479] = 0x00005edd176e0364UL;
   tf->codes[43480] = 0x000064a3ed4eb769UL;
   tf->codes[43481] = 0x00006ff5aab037d5UL;
   tf->codes[43482] = 0x0000779725d4afa1UL;
   tf->codes[43483] = 0x000082e06c8a5a94UL;
   tf->codes[43484] = 0x0000a14911995744UL;
   tf->codes[43485] = 0x0000ab4ee6552419UL;
   tf->codes[43486] = 0x0000bbcee6f35043UL;
   tf->codes[43487] = 0x0000d65a7444d97fUL;
   tf->codes[43488] = 0x0000f4abc45789b1UL;
   tf->codes[43489] = 0x00011c5e36e5cca8UL;
   tf->codes[43490] = 0x000138291822cc28UL;
   tf->codes[43491] = 0x00014542f3873d06UL;
   tf->codes[43492] = 0x000148313c012916UL;
   tf->codes[43493] = 0x000151e776511e1fUL;
   tf->codes[43494] = 0x00015be9678d88dfUL;
   tf->codes[43495] = 0x00016123ca666666UL;
   tf->codes[43496] = 0x00017e7055936554UL;
   tf->codes[43497] = 0x00018ab191e57e73UL;
   tf->codes[43498] = 0x0001a6380e16c0dcUL;
   tf->codes[43499] = 0x0001ad5e038b0d1cUL;
   tf->codes[43500] = 0x0001b307cc77e466UL;
   tf->codes[43501] = 0x0001c57150aa4b5cUL;
   tf->codes[43502] = 0x0001c99fd74bc4c4UL;
   tf->codes[43503] = 0x0001ce805494c6deUL;
   tf->codes[43504] = 0x0001d8b791fd71ebUL;
   tf->codes[43505] = 0x0001f16804ed2bd6UL;
   tf->codes[43506] = 0x000002ab99379cf3UL;
   tf->codes[43507] = 0x000005a3b7b7811aUL;
   tf->codes[43508] = 0x000014b80407d7b6UL;
   tf->codes[43509] = 0x00002a6adb0f2302UL;
   tf->codes[43510] = 0x00002be9c64add34UL;
   tf->codes[43511] = 0x0000382ee61c5868UL;
   tf->codes[43512] = 0x00004c10b356d23fUL;
   tf->codes[43513] = 0x00005128c6624e58UL;
   tf->codes[43514] = 0x00007992ad00a479UL;
   tf->codes[43515] = 0x0000a11d17c9f5c5UL;
   tf->codes[43516] = 0x0000a228f40159e4UL;
   tf->codes[43517] = 0x0000be5f1d43eb4dUL;
   tf->codes[43518] = 0x0000dd5e45efbc57UL;
   tf->codes[43519] = 0x0000fb43d8decf16UL;
   tf->codes[43520] = 0x000101abb80f60dbUL;
   tf->codes[43521] = 0x00011395236528e1UL;
   tf->codes[43522] = 0x0001139cafd4e746UL;
   tf->codes[43523] = 0x000126689042ff22UL;
   tf->codes[43524] = 0x00013c357afadc28UL;
   tf->codes[43525] = 0x00013cac32ef8e8bUL;
   tf->codes[43526] = 0x000149cf34ace631UL;
   tf->codes[43527] = 0x00014e8107fd4f4fUL;
   tf->codes[43528] = 0x00015394c26b5dc9UL;
   tf->codes[43529] = 0x00015540832782cfUL;
   tf->codes[43530] = 0x00016796d06c0521UL;
   tf->codes[43531] = 0x00016a357e7a1965UL;
   tf->codes[43532] = 0x00016d9f12152b3cUL;
   tf->codes[43533] = 0x00018f522ec4291bUL;
   tf->codes[43534] = 0x000196f3e477a6acUL;
   tf->codes[43535] = 0x0001a7fbc4f135f0UL;
   tf->codes[43536] = 0x0001ad253a726885UL;
   tf->codes[43537] = 0x0001c8056a7a487bUL;
   tf->codes[43538] = 0x0001cf85ba9c7bb2UL;
   tf->codes[43539] = 0x0001ed0f1e657952UL;
   tf->codes[43540] = 0x000020c4cfdeb9ddUL;
   tf->codes[43541] = 0x000049576def12f8UL;
   tf->codes[43542] = 0x000049a98c802a3bUL;
   tf->codes[43543] = 0x00007cfdcbf9d0f4UL;
   tf->codes[43544] = 0x00008b83963b1d25UL;
   tf->codes[43545] = 0x0000bde34e79ac3dUL;
   tf->codes[43546] = 0x0000c009e538eb80UL;
   tf->codes[43547] = 0x0000cb845a0c6ee6UL;
   tf->codes[43548] = 0x0000dfee7c405761UL;
   tf->codes[43549] = 0x0000ec6a47983580UL;
   tf->codes[43550] = 0x0000ee1976b5b111UL;
   tf->codes[43551] = 0x0000f4d807a3cd7dUL;
   tf->codes[43552] = 0x00014b9360a566cfUL;
   tf->codes[43553] = 0x00014fb67757bfbdUL;
   tf->codes[43554] = 0x000157c28ad4b823UL;
   tf->codes[43555] = 0x00017ff1e26d4944UL;
   tf->codes[43556] = 0x00019dc6fd22bc9bUL;
   tf->codes[43557] = 0x0001aebc565b788aUL;
   tf->codes[43558] = 0x0001af6f71ce1e15UL;
   tf->codes[43559] = 0x0001b07e0cb9c770UL;
   tf->codes[43560] = 0x0001ba820cfd661dUL;
   tf->codes[43561] = 0x0001bd1fd0cf634dUL;
   tf->codes[43562] = 0x0001e60f8841e89bUL;
   tf->codes[43563] = 0x000009607198ab8fUL;
   tf->codes[43564] = 0x00002c29b5a3112eUL;
   tf->codes[43565] = 0x00004e8aaaeb2fe5UL;
   tf->codes[43566] = 0x0000503cd34bf677UL;
   tf->codes[43567] = 0x00006c8b7655f137UL;
   tf->codes[43568] = 0x00007280bba03873UL;
   tf->codes[43569] = 0x00007c9449e15f74UL;
   tf->codes[43570] = 0x00007e8260a20da4UL;
   tf->codes[43571] = 0x00007ec52bc4a258UL;
   tf->codes[43572] = 0x000081b28a027754UL;
   tf->codes[43573] = 0x0000a00ff9b1594fUL;
   tf->codes[43574] = 0x0000a1a21bdaf825UL;
   tf->codes[43575] = 0x0000a3a4c8e3ad97UL;
   tf->codes[43576] = 0x0000a3df1d5a6cd2UL;
   tf->codes[43577] = 0x0000a4fea59dc11fUL;
   tf->codes[43578] = 0x0000a71ff9837bafUL;
   tf->codes[43579] = 0x0000b0dbb13bfb30UL;
   tf->codes[43580] = 0x0000b5068eed1848UL;
   tf->codes[43581] = 0x0000f621d2b73f68UL;
   tf->codes[43582] = 0x00011245e9d70906UL;
   tf->codes[43583] = 0x00012d1fb23a4770UL;
   tf->codes[43584] = 0x000141e84d2a7ebcUL;
   tf->codes[43585] = 0x00014850a1791c0bUL;
   tf->codes[43586] = 0x00016acb3553c0f2UL;
   tf->codes[43587] = 0x000181e443405754UL;
   tf->codes[43588] = 0x000183e2228d939dUL;
   tf->codes[43589] = 0x000189a96d8c532cUL;
   tf->codes[43590] = 0x00019201e7a2d298UL;
   tf->codes[43591] = 0x000194fdaf13130fUL;
   tf->codes[43592] = 0x00019b997b15c283UL;
   tf->codes[43593] = 0x0001a16768482963UL;
   tf->codes[43594] = 0x0001bef6f926c2caUL;
   tf->codes[43595] = 0x0001bf0109bbc0a6UL;
   tf->codes[43596] = 0x0001c36c2e6a32fbUL;
   tf->codes[43597] = 0x0001e1326acf2f4dUL;
   tf->codes[43598] = 0x0001f044a81851fcUL;
   tf->codes[43599] = 0x00000f74fee1fb79UL;
   tf->codes[43600] = 0x00003bc7a7bbeb4dUL;
   tf->codes[43601] = 0x00004100e5c9abfbUL;
   tf->codes[43602] = 0x00004760fdfb7996UL;
   tf->codes[43603] = 0x000056d3c3081f03UL;
   tf->codes[43604] = 0x0000652e51b228c3UL;
   tf->codes[43605] = 0x000072d8be2cd7f9UL;
   tf->codes[43606] = 0x000080bfc8b4801cUL;
   tf->codes[43607] = 0x00008615d92717c0UL;
   tf->codes[43608] = 0x00008cf34b813f0fUL;
   tf->codes[43609] = 0x00008dc87c324043UL;
   tf->codes[43610] = 0x000090ccba4e5633UL;
   tf->codes[43611] = 0x0000a21765ea7a2bUL;
   tf->codes[43612] = 0x0000bf893a282588UL;
   tf->codes[43613] = 0x0000ca1ad23eb78cUL;
   tf->codes[43614] = 0x0000cbf502646fc9UL;
   tf->codes[43615] = 0x0000f6abb30ec8b0UL;
   tf->codes[43616] = 0x0001046d39f6be9fUL;
   tf->codes[43617] = 0x00010d9b946b508eUL;
   tf->codes[43618] = 0x00012482ff1c02f3UL;
   tf->codes[43619] = 0x000135a1fa02d8f0UL;
   tf->codes[43620] = 0x00013ab2460f90dfUL;
   tf->codes[43621] = 0x000147f28f4fcb05UL;
   tf->codes[43622] = 0x0001484d248cb7c1UL;
   tf->codes[43623] = 0x00014c0568578a50UL;
   tf->codes[43624] = 0x0001619be2180a30UL;
   tf->codes[43625] = 0x00016d3279a3533dUL;
   tf->codes[43626] = 0x0001743ed085194dUL;
   tf->codes[43627] = 0x0001746a46ab6183UL;
   tf->codes[43628] = 0x00017af525566605UL;
   tf->codes[43629] = 0x000181235fbd49deUL;
   tf->codes[43630] = 0x000191f75364bb73UL;
   tf->codes[43631] = 0x00019575b7d6da51UL;
   tf->codes[43632] = 0x000195b3b53df5dcUL;
   tf->codes[43633] = 0x0001c65d270d5688UL;
   tf->codes[43634] = 0x0001d964462e44b3UL;
   tf->codes[43635] = 0x0001ef2a8eb27a68UL;
   tf->codes[43636] = 0x0001fde5a52006e6UL;
   tf->codes[43637] = 0x00000b04c35dfc77UL;
   tf->codes[43638] = 0x00000c980a52b826UL;
   tf->codes[43639] = 0x000010a8d4534384UL;
   tf->codes[43640] = 0x0000172758d31078UL;
   tf->codes[43641] = 0x0000184ea81528efUL;
   tf->codes[43642] = 0x00001ce876bc3440UL;
   tf->codes[43643] = 0x00004e1e9622712fUL;
   tf->codes[43644] = 0x00005032e02fe2e2UL;
   tf->codes[43645] = 0x000051bffa0f02caUL;
   tf->codes[43646] = 0x000053e2ad4edff8UL;
   tf->codes[43647] = 0x000057af4cd2b404UL;
   tf->codes[43648] = 0x0000583bbfda8a82UL;
   tf->codes[43649] = 0x00005d9d05ad3cdbUL;
   tf->codes[43650] = 0x00005e481f921877UL;
   tf->codes[43651] = 0x000064b5419c2eefUL;
   tf->codes[43652] = 0x00006a670c16d028UL;
   tf->codes[43653] = 0x00009aba7bd5b77cUL;
   tf->codes[43654] = 0x0000a41fbc5fb21bUL;
   tf->codes[43655] = 0x0000b52b8058a374UL;
   tf->codes[43656] = 0x000119187ed905acUL;
   tf->codes[43657] = 0x0001248af21ebf23UL;
   tf->codes[43658] = 0x00012c6144516bb2UL;
   tf->codes[43659] = 0x00015906f5f889ddUL;
   tf->codes[43660] = 0x000160b7c48b8438UL;
   tf->codes[43661] = 0x00016b48acf504edUL;
   tf->codes[43662] = 0x00016c3a757bd752UL;
   tf->codes[43663] = 0x00017c5595b9131fUL;
   tf->codes[43664] = 0x00017d49a7d61f36UL;
   tf->codes[43665] = 0x00018b38ee7a970dUL;
   tf->codes[43666] = 0x0001a506daa67158UL;
   tf->codes[43667] = 0x0001c0053c6d4ae2UL;
   tf->codes[43668] = 0x0001c4013596c939UL;
   tf->codes[43669] = 0x0001c6cda3615f65UL;
   tf->codes[43670] = 0x00000a182f25a106UL;
   tf->codes[43671] = 0x000025c8c2230907UL;
   tf->codes[43672] = 0x00003d1baf68531aUL;
   tf->codes[43673] = 0x0000475e974f2466UL;
   tf->codes[43674] = 0x000057f06f811296UL;
   tf->codes[43675] = 0x00008a5e1bd4019fUL;
   tf->codes[43676] = 0x0000992f9d01c387UL;
   tf->codes[43677] = 0x0000995ad89905f8UL;
   tf->codes[43678] = 0x0000abb4cecde49aUL;
   tf->codes[43679] = 0x0000ae80525c63b2UL;
   tf->codes[43680] = 0x0000c2893d1fb820UL;
   tf->codes[43681] = 0x0000d9f5194a7714UL;
   tf->codes[43682] = 0x0000e9b444f0a387UL;
   tf->codes[43683] = 0x00010f761c98f8d7UL;
   tf->codes[43684] = 0x00013fdf81fa0a0bUL;
   tf->codes[43685] = 0x000143adf5f60c3fUL;
   tf->codes[43686] = 0x00018f41a8624abdUL;
   tf->codes[43687] = 0x00019b694621ddacUL;
   tf->codes[43688] = 0x0001abea30fc20eaUL;
   tf->codes[43689] = 0x0001b44987d54d6cUL;
   tf->codes[43690] = 0x0001bccf4c8a4336UL;
   tf->codes[43691] = 0x0001d1d6cf1dad21UL;
   tf->codes[43692] = 0x0001e94395848329UL;
   tf->codes[43693] = 0x0001edb4722a85bbUL;
   tf->codes[43694] = 0x0001f4148a5c5356UL;
   tf->codes[43695] = 0x000001191fcbaba3UL;
   tf->codes[43696] = 0x000010b043ace66bUL;
   tf->codes[43697] = 0x000013b0d8d8a00bUL;
   tf->codes[43698] = 0x00003b74e86b9f43UL;
   tf->codes[43699] = 0x000056ad641a3243UL;
   tf->codes[43700] = 0x0000713841beaa30UL;
   tf->codes[43701] = 0x000077fd74e06dedUL;
   tf->codes[43702] = 0x00008b08ec9ec9b7UL;
   tf->codes[43703] = 0x0000915100273985UL;
   tf->codes[43704] = 0x000092c52b20e48cUL;
   tf->codes[43705] = 0x0000a05f59f0fa1fUL;
   tf->codes[43706] = 0x0000bc2ff32589dcUL;
   tf->codes[43707] = 0x0000c4cbe80baf4bUL;
   tf->codes[43708] = 0x0000cd693c4bf758UL;
   tf->codes[43709] = 0x0000f6612fdb4c5aUL;
   tf->codes[43710] = 0x0000f85e5f7b7754UL;
   tf->codes[43711] = 0x000106848c3557dbUL;
   tf->codes[43712] = 0x000128e8b54fc758UL;
   tf->codes[43713] = 0x00014f5531beecbaUL;
   tf->codes[43714] = 0x0001528c37e20380UL;
   tf->codes[43715] = 0x000165e8e3f55f79UL;
   tf->codes[43716] = 0x00017e4cb5bc8c99UL;
   tf->codes[43717] = 0x000185dc1ebe3c9aUL;
   tf->codes[43718] = 0x00018700e9db159aUL;
   tf->codes[43719] = 0x0001b1b16d6fd2baUL;
   tf->codes[43720] = 0x0001c15fabbe543bUL;
   tf->codes[43721] = 0x0001c601b6822f40UL;
   tf->codes[43722] = 0x0001d03f5b8f7bd9UL;
   tf->codes[43723] = 0x0001d7df7759d107UL;
   tf->codes[43724] = 0x0001f17901958219UL;
   tf->codes[43725] = 0x0001fe88cc64f51bUL;
   tf->codes[43726] = 0x00000a85de3a56e8UL;
   tf->codes[43727] = 0x00002f01fa529468UL;
   tf->codes[43728] = 0x0000320fd3e59caaUL;
   tf->codes[43729] = 0x00003ebd7d08648bUL;
   tf->codes[43730] = 0x00003f705dec0451UL;
   tf->codes[43731] = 0x00005df5d55fd7f7UL;
   tf->codes[43732] = 0x000068b26e7ea6a7UL;
   tf->codes[43733] = 0x0000914ea805f214UL;
   tf->codes[43734] = 0x0000a5e5da494b28UL;
   tf->codes[43735] = 0x0000aca3f6195c0aUL;
   tf->codes[43736] = 0x0000acf405a33f60UL;
   tf->codes[43737] = 0x0000ec2a1e769953UL;
   tf->codes[43738] = 0x000123efea4353edUL;
   tf->codes[43739] = 0x00014208ba57730cUL;
   tf->codes[43740] = 0x000165c9f3fe46d7UL;
   tf->codes[43741] = 0x0001775645f1e2aaUL;
   tf->codes[43742] = 0x000191dc1b4bdba9UL;
   tf->codes[43743] = 0x0001979dae530afbUL;
   tf->codes[43744] = 0x0001a4c41e71b92cUL;
   tf->codes[43745] = 0x0001b0c1a5652683UL;
   tf->codes[43746] = 0x0001c0daf12a3428UL;
   tf->codes[43747] = 0x0001c163f5d0b41bUL;
   tf->codes[43748] = 0x0001c69aea483b17UL;
   tf->codes[43749] = 0x0001d1f51e5590fcUL;
   tf->codes[43750] = 0x0001db30f7c07752UL;
   tf->codes[43751] = 0x0001e7afbc5ba072UL;
   tf->codes[43752] = 0x0001eb19c514bdd3UL;
   tf->codes[43753] = 0x0001ec44f7d6385fUL;
   tf->codes[43754] = 0x0001f56683018736UL;
   tf->codes[43755] = 0x0001fa4949e0c302UL;
   tf->codes[43756] = 0x000001d0b154a914UL;
   tf->codes[43757] = 0x00000423a87647a1UL;
   tf->codes[43758] = 0x00001d8f72f576cbUL;
   tf->codes[43759] = 0x00002cb3fcf0670aUL;
   tf->codes[43760] = 0x0000346fc6547655UL;
   tf->codes[43761] = 0x00004474f0ef8842UL;
   tf->codes[43762] = 0x0000453b43501271UL;
   tf->codes[43763] = 0x00004b826c9c6b2bUL;
   tf->codes[43764] = 0x000051217547334aUL;
   tf->codes[43765] = 0x000052655c5f1cf2UL;
   tf->codes[43766] = 0x000055109f276e89UL;
   tf->codes[43767] = 0x00005fbde4d7baaaUL;
   tf->codes[43768] = 0x000063924b5a52e0UL;
   tf->codes[43769] = 0x00006ade741b62a3UL;
   tf->codes[43770] = 0x00007c27c05d63fdUL;
   tf->codes[43771] = 0x00008644ea157d50UL;
   tf->codes[43772] = 0x00008ec0291769b4UL;
   tf->codes[43773] = 0x000094bab13b35a3UL;
   tf->codes[43774] = 0x00009b0d4a76aed7UL;
   tf->codes[43775] = 0x0000bfb9aa70adb6UL;
   tf->codes[43776] = 0x0000e56b446e6963UL;
   tf->codes[43777] = 0x0000f30ab61803a9UL;
   tf->codes[43778] = 0x0000f8838b760845UL;
   tf->codes[43779] = 0x00012169a7719b41UL;
   tf->codes[43780] = 0x000140e62a45c5ffUL;
   tf->codes[43781] = 0x000143503bd4ab45UL;
   tf->codes[43782] = 0x00015f7d042f5021UL;
   tf->codes[43783] = 0x0001651cbc87298fUL;
   tf->codes[43784] = 0x0001b0459c0be1aeUL;
   tf->codes[43785] = 0x0001b1d65edb5de6UL;
   tf->codes[43786] = 0x0001c32c054896ceUL;
   tf->codes[43787] = 0x0001dc53a54b0ea6UL;
   tf->codes[43788] = 0x0001efe896cdf5edUL;
   tf->codes[43789] = 0x0001f873293e64e0UL;
   tf->codes[43790] = 0x0001fcdfad46f9d3UL;
   tf->codes[43791] = 0x0000152e73a81427UL;
   tf->codes[43792] = 0x0000159737886699UL;
   tf->codes[43793] = 0x00001c2dfb40971fUL;
   tf->codes[43794] = 0x00001f983e88ba45UL;
   tf->codes[43795] = 0x00002aa60bfc8924UL;
   tf->codes[43796] = 0x00002c30672763d0UL;
   tf->codes[43797] = 0x000040ce762d69faUL;
   tf->codes[43798] = 0x00004cd906f9202eUL;
   tf->codes[43799] = 0x0000512cd6ab4605UL;
   tf->codes[43800] = 0x000062c03ff094b3UL;
   tf->codes[43801] = 0x00007e0933d8c71bUL;
   tf->codes[43802] = 0x0000890982564193UL;
   tf->codes[43803] = 0x0000934602987153UL;
   tf->codes[43804] = 0x00009684952b467eUL;
   tf->codes[43805] = 0x0000a0f7c0f3d929UL;
   tf->codes[43806] = 0x0000c5e0846bcb30UL;
   tf->codes[43807] = 0x0000ea3d49f9f243UL;
   tf->codes[43808] = 0x0000f3b6abade89aUL;
   tf->codes[43809] = 0x0001002e58f75edfUL;
   tf->codes[43810] = 0x000109f2875bb3d9UL;
   tf->codes[43811] = 0x000111e8a536825fUL;
   tf->codes[43812] = 0x000114ea5f2d58d8UL;
   tf->codes[43813] = 0x0001358e6bd2a1d2UL;
   tf->codes[43814] = 0x00014767997dd035UL;
   tf->codes[43815] = 0x00015ecd0e03ed9dUL;
   tf->codes[43816] = 0x0001899cad93bb65UL;
   tf->codes[43817] = 0x00018f2e71d734e2UL;
   tf->codes[43818] = 0x000198c4a5f0022fUL;
   tf->codes[43819] = 0x0001bd5767577adeUL;
   tf->codes[43820] = 0x0001c8b5f4023e62UL;
   tf->codes[43821] = 0x0001d76893c3f567UL;
   tf->codes[43822] = 0x0001ec81edeb2158UL;
   tf->codes[43823] = 0x0001ec85d16a836dUL;
   tf->codes[43824] = 0x0001f55d7a218ab5UL;
   tf->codes[43825] = 0x0001f797f77bbfebUL;
   tf->codes[43826] = 0x0001fee6def114eaUL;
   tf->codes[43827] = 0x000016dc6f6f6520UL;
   tf->codes[43828] = 0x000020fcccf9cf39UL;
   tf->codes[43829] = 0x0000278e13497547UL;
   tf->codes[43830] = 0x000034d0a61fe91fUL;
   tf->codes[43831] = 0x0000523de7312118UL;
   tf->codes[43832] = 0x00005a811b5287f3UL;
   tf->codes[43833] = 0x00006d37b5cb873eUL;
   tf->codes[43834] = 0x000082509ad4a7a5UL;
   tf->codes[43835] = 0x000085c8d2312abcUL;
   tf->codes[43836] = 0x000086b88bb0c934UL;
   tf->codes[43837] = 0x0000a2286292d06eUL;
   tf->codes[43838] = 0x0000c50dc954fbb4UL;
   tf->codes[43839] = 0x0000e32c5160ab10UL;
   tf->codes[43840] = 0x0000eb8281e0f0caUL;
   tf->codes[43841] = 0x0000f71c4d3e8a9dUL;
   tf->codes[43842] = 0x0000f765f523cc67UL;
   tf->codes[43843] = 0x000110a0cc1428e3UL;
   tf->codes[43844] = 0x00011d772ca8f3beUL;
   tf->codes[43845] = 0x0001217f0adf9e19UL;
   tf->codes[43846] = 0x0001328aced88f72UL;
   tf->codes[43847] = 0x000138b8942167c1UL;
   tf->codes[43848] = 0x00014b2c9e06d81dUL;
   tf->codes[43849] = 0x00015c1612326808UL;
   tf->codes[43850] = 0x00016fc760fc1abbUL;
   tf->codes[43851] = 0x000186ce5cc5e952UL;
   tf->codes[43852] = 0x00019306383015e4UL;
   tf->codes[43853] = 0x00019dbbf48c377eUL;
   tf->codes[43854] = 0x0001a4c58cb9b852UL;
   tf->codes[43855] = 0x0001bb95a26e1e39UL;
   tf->codes[43856] = 0x0001bfa0b477195aUL;
   tf->codes[43857] = 0x0001c7ab2e0ae95dUL;
   tf->codes[43858] = 0x0001d4e45ff970a8UL;
   tf->codes[43859] = 0x0001f69d6f2f0489UL;
   tf->codes[43860] = 0x000004864e2edad4UL;
   tf->codes[43861] = 0x00000c9d5c7ce82aUL;
   tf->codes[43862] = 0x000029736a443a7aUL;
   tf->codes[43863] = 0x00002de0636adaf7UL;
   tf->codes[43864] = 0x00002fff6dba5bd5UL;
   tf->codes[43865] = 0x00003f33fad0dff2UL;
   tf->codes[43866] = 0x000046d2b7411282UL;
   tf->codes[43867] = 0x00005227a874e3b4UL;
   tf->codes[43868] = 0x00005a798057bbcfUL;
   tf->codes[43869] = 0x00005bd5a6a80909UL;
   tf->codes[43870] = 0x00006df4d3481ce6UL;
   tf->codes[43871] = 0x00007a8de622dd85UL;
   tf->codes[43872] = 0x00007e03995a2125UL;
   tf->codes[43873] = 0x0000b299b0e47d99UL;
   tf->codes[43874] = 0x0000cfe37d5d374bUL;
   tf->codes[43875] = 0x0000dd4a6f08407eUL;
   tf->codes[43876] = 0x0000ddc803bf9ff7UL;
   tf->codes[43877] = 0x0000e0c26bd5bdd0UL;
   tf->codes[43878] = 0x00013d41dc03c5ebUL;
   tf->codes[43879] = 0x000141932790ac4bUL;
   tf->codes[43880] = 0x00015d5dce3ea606UL;
   tf->codes[43881] = 0x0001605af509091bUL;
   tf->codes[43882] = 0x000169e8ed0506b4UL;
   tf->codes[43883] = 0x00017181f17da907UL;
   tf->codes[43884] = 0x00017f4bb4826eaaUL;
   tf->codes[43885] = 0x000187a4de45ff65UL;
   tf->codes[43886] = 0x00018eed5e16b2d8UL;
   tf->codes[43887] = 0x000199c7b3d66f92UL;
   tf->codes[43888] = 0x0001ba358a13612bUL;
   tf->codes[43889] = 0x0001f3706b15dde0UL;
   tf->codes[43890] = 0x0001f7d896810534UL;
   tf->codes[43891] = 0x000019a6016f9a92UL;
   tf->codes[43892] = 0x00003a118e165279UL;
   tf->codes[43893] = 0x00004c19a0491f9dUL;
   tf->codes[43894] = 0x00005897058a261fUL;
   tf->codes[43895] = 0x00006dcc47da11f2UL;
   tf->codes[43896] = 0x00007af1932da34aUL;
   tf->codes[43897] = 0x00009793b422d7ebUL;
   tf->codes[43898] = 0x00009e323ed9cc9bUL;
   tf->codes[43899] = 0x00009e5837978a59UL;
   tf->codes[43900] = 0x00009fa16188f8b4UL;
   tf->codes[43901] = 0x0000a5f88df0e54cUL;
   tf->codes[43902] = 0x0000ae74f1bdee89UL;
   tf->codes[43903] = 0x0000b10f0c9f8f69UL;
   tf->codes[43904] = 0x0000bcbb5f3dfc91UL;
   tf->codes[43905] = 0x0000e1fbbeaf9053UL;
   tf->codes[43906] = 0x0000e2cdf61d4686UL;
   tf->codes[43907] = 0x0000e9b8724fb6b2UL;
   tf->codes[43908] = 0x000106893d3d844fUL;
   tf->codes[43909] = 0x00010db141b9047cUL;
   tf->codes[43910] = 0x000136e97c45aebbUL;
   tf->codes[43911] = 0x00013e8f15788e61UL;
   tf->codes[43912] = 0x00014944d1d4affbUL;
   tf->codes[43913] = 0x00015d9d5703dc35UL;
   tf->codes[43914] = 0x00016529c6c24135UL;
   tf->codes[43915] = 0x000179bbb62c1596UL;
   tf->codes[43916] = 0x00018e7de977ab56UL;
   tf->codes[43917] = 0x00019ca2b6d7693fUL;
   tf->codes[43918] = 0x0001c2beae9e9fc1UL;
   tf->codes[43919] = 0x0001cd24d08ee98fUL;
   tf->codes[43920] = 0x0001d586366f49feUL;
   tf->codes[43921] = 0x0001f902d07b5aedUL;
   tf->codes[43922] = 0x0001fb7a9b8f9a5fUL;
   tf->codes[43923] = 0x00000fea75bb1317UL;
   tf->codes[43924] = 0x00007dc5444de457UL;
   tf->codes[43925] = 0x000083bd484c70cfUL;
   tf->codes[43926] = 0x0000a5b0abf8c3ebUL;
   tf->codes[43927] = 0x0000ade8702b0a4cUL;
   tf->codes[43928] = 0x0000b0d9ec774722UL;
   tf->codes[43929] = 0x0000bbf57370702dUL;
   tf->codes[43930] = 0x0000d73038b53cdfUL;
   tf->codes[43931] = 0x0000de9d175a85adUL;
   tf->codes[43932] = 0x0000e844735a03b1UL;
   tf->codes[43933] = 0x0000ef2e05505cc9UL;
   tf->codes[43934] = 0x00010a9ddc326403UL;
   tf->codes[43935] = 0x000117d7bdcdfc9dUL;
   tf->codes[43936] = 0x00011d81fbd8df71UL;
   tf->codes[43937] = 0x000132801d845ccfUL;
   tf->codes[43938] = 0x00013302ba863b36UL;
   tf->codes[43939] = 0x000135040834ce0aUL;
   tf->codes[43940] = 0x000135cc699c8c26UL;
   tf->codes[43941] = 0x000136e9a849a6c1UL;
   tf->codes[43942] = 0x00013aeaa9bda406UL;
   tf->codes[43943] = 0x0001491235d1a72bUL;
   tf->codes[43944] = 0x000154d73cc6836fUL;
   tf->codes[43945] = 0x0001572f76c1a6afUL;
   tf->codes[43946] = 0x000169f4054f05ebUL;
   tf->codes[43947] = 0x0001748a6b211118UL;
   tf->codes[43948] = 0x00017f64c0e0cdd2UL;
   tf->codes[43949] = 0x0001866f434a65baUL;
   tf->codes[43950] = 0x00018d022383342bUL;
   tf->codes[43951] = 0x000190d85e7dfa89UL;
   tf->codes[43952] = 0x00019f828793dc15UL;
   tf->codes[43953] = 0x0001a59b7c05a75dUL;
   tf->codes[43954] = 0x0001c24e4fc3812bUL;
   tf->codes[43955] = 0x000005559b47228eUL;
   tf->codes[43956] = 0x0000057a34aabdaeUL;
   tf->codes[43957] = 0x00000cbcfc83e0e4UL;
   tf->codes[43958] = 0x0000328ab9396238UL;
   tf->codes[43959] = 0x000053ffd881448cUL;
   tf->codes[43960] = 0x000057b55d97d1dfUL;
   tf->codes[43961] = 0x00006ce10470cb60UL;
   tf->codes[43962] = 0x00007c4d9c67d506UL;
   tf->codes[43963] = 0x000099d4417c8d6aUL;
   tf->codes[43964] = 0x00009add2470a688UL;
   tf->codes[43965] = 0x0000a41554eb308eUL;
   tf->codes[43966] = 0x0000ad1db6a204bfUL;
   tf->codes[43967] = 0x0000bb87d34996d3UL;
   tf->codes[43968] = 0x0000c2a79ba8474cUL;
   tf->codes[43969] = 0x0000d9fb389aa2aeUL;
   tf->codes[43970] = 0x0000e4c58b3ecb8aUL;
   tf->codes[43971] = 0x0000e66566edc48cUL;
   tf->codes[43972] = 0x0000fc0ea27e1d86UL;
   tf->codes[43973] = 0x00010a03dba92b5fUL;
   tf->codes[43974] = 0x00010df798b5da02UL;
   tf->codes[43975] = 0x0001144e4fffbb10UL;
   tf->codes[43976] = 0x00012a629906a02eUL;
   tf->codes[43977] = 0x000136030697e152UL;
   tf->codes[43978] = 0x00013f257bff473dUL;
   tf->codes[43979] = 0x0001608bbcf6b28cUL;
   tf->codes[43980] = 0x0001668903cec3b7UL;
   tf->codes[43981] = 0x00017da7c9b2ea56UL;
   tf->codes[43982] = 0x00019001bfe7c8f8UL;
   tf->codes[43983] = 0x00019cf39387482bUL;
   tf->codes[43984] = 0x0001a1aae4403bc1UL;
   tf->codes[43985] = 0x0001b0733f1516e1UL;
   tf->codes[43986] = 0x0001b3986da46ba1UL;
   tf->codes[43987] = 0x0001c7e5bd737d26UL;
   tf->codes[43988] = 0x0001d38197d84ae6UL;
   tf->codes[43989] = 0x0001d70ccb93acdcUL;
   tf->codes[43990] = 0x000013d7737dfeebUL;
   tf->codes[43991] = 0x00002ccc4b7975edUL;
   tf->codes[43992] = 0x000035f2deef43b2UL;
   tf->codes[43993] = 0x000037468e93bb73UL;
   tf->codes[43994] = 0x00004703ab32b3f9UL;
   tf->codes[43995] = 0x0000591ad644fde7UL;
   tf->codes[43996] = 0x00007530bec161cfUL;
   tf->codes[43997] = 0x0000832bafe3ffe5UL;
   tf->codes[43998] = 0x00008ae061f65c55UL;
   tf->codes[43999] = 0x00008ec74fb9c7e0UL;
   tf->codes[44000] = 0x00009cfc203519a7UL;
   tf->codes[44001] = 0x0000a1670a548637UL;
   tf->codes[44002] = 0x0000a28c851e7086UL;
   tf->codes[44003] = 0x0000bc07687d1c7aUL;
   tf->codes[44004] = 0x0000de1813ac5216UL;
   tf->codes[44005] = 0x0000e35ed0b0672bUL;
   tf->codes[44006] = 0x0000ed4848256894UL;
   tf->codes[44007] = 0x0000f08d7cebe510UL;
   tf->codes[44008] = 0x0000f5ff0069310cUL;
   tf->codes[44009] = 0x0000fa917d2f83bdUL;
   tf->codes[44010] = 0x0000fc48addac93dUL;
   tf->codes[44011] = 0x00010cc69f71c17aUL;
   tf->codes[44012] = 0x0001199ff949d756UL;
   tf->codes[44013] = 0x00012495fca34e2dUL;
   tf->codes[44014] = 0x0001363a534047cdUL;
   tf->codes[44015] = 0x00014e0766db9aceUL;
   tf->codes[44016] = 0x00016ecc29651cd3UL;
   tf->codes[44017] = 0x000176b2f3d168caUL;
   tf->codes[44018] = 0x00017ebaaeb0f391UL;
   tf->codes[44019] = 0x000185afeb2572e8UL;
   tf->codes[44020] = 0x000195a42868d9e3UL;
   tf->codes[44021] = 0x0001bb6a58ae9cd2UL;
   tf->codes[44022] = 0x0001c88349d6f69cUL;
   tf->codes[44023] = 0x0001d909778abe8dUL;
   tf->codes[44024] = 0x0001e96135d4f347UL;
   tf->codes[44025] = 0x0001f540c5986ccfUL;
   tf->codes[44026] = 0x000009a7b3fa0484UL;
   tf->codes[44027] = 0x00000eda4fd41de1UL;
   tf->codes[44028] = 0x000031a9c0f41f47UL;
   tf->codes[44029] = 0x00003c52e896038eUL;
   tf->codes[44030] = 0x000045ded18acd3aUL;
   tf->codes[44031] = 0x0000491b55166e78UL;
   tf->codes[44032] = 0x00006f93b692bfdeUL;
   tf->codes[44033] = 0x0000804a9d4654b8UL;
   tf->codes[44034] = 0x0000816ad536ba54UL;
   tf->codes[44035] = 0x00008cef5a9f3b96UL;
   tf->codes[44036] = 0x0000b34b2445bbcbUL;
   tf->codes[44037] = 0x0000c8ebae9b3987UL;
   tf->codes[44038] = 0x0000da209f243964UL;
   tf->codes[44039] = 0x0000df18e6879386UL;
   tf->codes[44040] = 0x000113d865310443UL;
   tf->codes[44041] = 0x000117a69e9e00b2UL;
   tf->codes[44042] = 0x00011856863e5577UL;
   tf->codes[44043] = 0x00013b0ba91ebf5eUL;
   tf->codes[44044] = 0x000147aecc8e7dd9UL;
   tf->codes[44045] = 0x00015388a45a6724UL;
   tf->codes[44046] = 0x00016a220e886a20UL;
   tf->codes[44047] = 0x00018af6d42d8003UL;
   tf->codes[44048] = 0x0001915e78cf0c03UL;
   tf->codes[44049] = 0x000199e2690bd3a5UL;
   tf->codes[44050] = 0x0001a193722dd3c5UL;
   tf->codes[44051] = 0x0001ac1e6810be78UL;
   tf->codes[44052] = 0x0001cd9a641b4de2UL;
   tf->codes[44053] = 0x0001f93648923bdbUL;
   tf->codes[44054] = 0x000010cb514d0953UL;
   tf->codes[44055] = 0x000012dd51c44154UL;
   tf->codes[44056] = 0x00001b72a476bf72UL;
   tf->codes[44057] = 0x00001e5074b70c1aUL;
   tf->codes[44058] = 0x00002692f92b61a6UL;
   tf->codes[44059] = 0x00002a7135b3f1f3UL;
   tf->codes[44060] = 0x00002ac403f21a85UL;
   tf->codes[44061] = 0x00002e93622a33cdUL;
   tf->codes[44062] = 0x00003dff4a742c24UL;
   tf->codes[44063] = 0x00004130d32eb872UL;
   tf->codes[44064] = 0x0000459a2364fc9fUL;
   tf->codes[44065] = 0x000046239d29881cUL;
   tf->codes[44066] = 0x00005610fdaa4201UL;
   tf->codes[44067] = 0x00005ca6d7265b73UL;
   tf->codes[44068] = 0x00006311af9a3839UL;
   tf->codes[44069] = 0x00006a31b287ee77UL;
   tf->codes[44070] = 0x000094f3d32167d8UL;
   tf->codes[44071] = 0x0000a639eb91186cUL;
   tf->codes[44072] = 0x0000ab76d28f356aUL;
   tf->codes[44073] = 0x0000b3a9c90602a2UL;
   tf->codes[44074] = 0x0000de55f3fd5223UL;
   tf->codes[44075] = 0x0000e49939ca48c8UL;
   tf->codes[44076] = 0x0001023ec04b0c0fUL;
   tf->codes[44077] = 0x000124b4c0f93d92UL;
   tf->codes[44078] = 0x00012ea46583dac2UL;
   tf->codes[44079] = 0x0001594f6bb00d6aUL;
   tf->codes[44080] = 0x000199f88ab1f58bUL;
   tf->codes[44081] = 0x0001cd3366281bd9UL;
   tf->codes[44082] = 0x0001dc853ac18276UL;
   tf->codes[44083] = 0x0001e88545da2f44UL;
   tf->codes[44084] = 0x000003077243cbf3UL;
   tf->codes[44085] = 0x00002c2857d429b4UL;
   tf->codes[44086] = 0x0000462f391ca09cUL;
   tf->codes[44087] = 0x00004c3d6d4c5cb9UL;
   tf->codes[44088] = 0x000056e3268cea75UL;
   tf->codes[44089] = 0x000081073719d117UL;
   tf->codes[44090] = 0x0000821bff1b1639UL;
   tf->codes[44091] = 0x00008a4b1212815cUL;
   tf->codes[44092] = 0x000095cc63a8b1d8UL;
   tf->codes[44093] = 0x00009a642348893cUL;
   tf->codes[44094] = 0x0000a140e5f59f3cUL;
   tf->codes[44095] = 0x0000b7e12ce64f4eUL;
   tf->codes[44096] = 0x0000c73d4ca3b98cUL;
   tf->codes[44097] = 0x0000d1bdf762a09eUL;
   tf->codes[44098] = 0x0000dce7e78e3524UL;
   tf->codes[44099] = 0x0000e4f1ec03f99dUL;
   tf->codes[44100] = 0x0000e587fa82c26dUL;
   tf->codes[44101] = 0x0000e9eec693c723UL;
   tf->codes[44102] = 0x0000f39ff8993d3eUL;
   tf->codes[44103] = 0x000105320284694eUL;
   tf->codes[44104] = 0x0001095ca5a680a1UL;
   tf->codes[44105] = 0x00012432ffa86880UL;
   tf->codes[44106] = 0x00012eaba8d985a3UL;
   tf->codes[44107] = 0x000139692c346b67UL;
   tf->codes[44108] = 0x00013c694c42197dUL;
   tf->codes[44109] = 0x000156facc1a38bbUL;
   tf->codes[44110] = 0x00016a64bc94e356UL;
   tf->codes[44111] = 0x00018af6076a5336UL;
   tf->codes[44112] = 0x000193d5b1af246dUL;
   tf->codes[44113] = 0x0001943e758f76dfUL;
   tf->codes[44114] = 0x0001a0adac2d17abUL;
   tf->codes[44115] = 0x0001a4bacd3d46b9UL;
   tf->codes[44116] = 0x0001adaf485924f7UL;
   tf->codes[44117] = 0x0001b939c0483c3bUL;
   tf->codes[44118] = 0x0001bae66b407855UL;
   tf->codes[44119] = 0x0001cb812f3c4788UL;
   tf->codes[44120] = 0x0001dcd9945dc5acUL;
   tf->codes[44121] = 0x0001e2c3a447f233UL;
   tf->codes[44122] = 0x0001f6c74c31c1eeUL;
   tf->codes[44123] = 0x00000b5fa34037dbUL;
   tf->codes[44124] = 0x0000301c7b73d622UL;
   tf->codes[44125] = 0x00003d314e8dc812UL;
   tf->codes[44126] = 0x000048278c7644aeUL;
   tf->codes[44127] = 0x0000933aeb76de77UL;
   tf->codes[44128] = 0x0000c352a764e3f2UL;
   tf->codes[44129] = 0x0000f6c58dbb8fc9UL;
   tf->codes[44130] = 0x00011386caabd512UL;
   tf->codes[44131] = 0x000119ed851149feUL;
   tf->codes[44132] = 0x00011df6fd311cbcUL;
   tf->codes[44133] = 0x00014f3bfae7d0b0UL;
   tf->codes[44134] = 0x00015cc7c0857ac8UL;
   tf->codes[44135] = 0x000164fc8b747628UL;
   tf->codes[44136] = 0x0001684a36e6c81dUL;
   tf->codes[44137] = 0x000174641b2100e0UL;
   tf->codes[44138] = 0x00019601422dd4dfUL;
   tf->codes[44139] = 0x00019922181fbc00UL;
   tf->codes[44140] = 0x0001a258742217deUL;
   tf->codes[44141] = 0x0001a61c9cfa1671UL;
   tf->codes[44142] = 0x0001a85f1be21596UL;
   tf->codes[44143] = 0x0001ad6b0f515fe6UL;
   tf->codes[44144] = 0x0001becbb08fadbeUL;
   tf->codes[44145] = 0x0001ddc3875ac628UL;
   tf->codes[44146] = 0x0001df586838aa3aUL;
   tf->codes[44147] = 0x0001eff575cab31fUL;
   tf->codes[44148] = 0x0001f7b60cea3b93UL;
   tf->codes[44149] = 0x0001fda858f137ceUL;
   tf->codes[44150] = 0x0001ff41ccfb8f44UL;
   tf->codes[44151] = 0x0000096a2c13c34cUL;
   tf->codes[44152] = 0x00001015fb32069eUL;
   tf->codes[44153] = 0x00003b17edaac9b2UL;
   tf->codes[44154] = 0x0000428073b2a4e1UL;
   tf->codes[44155] = 0x0000449cbf4de083UL;
   tf->codes[44156] = 0x00006349c9689a4aUL;
   tf->codes[44157] = 0x00008e79b62ce50bUL;
   tf->codes[44158] = 0x00009669a6f217caUL;
   tf->codes[44159] = 0x0000a3b943a0d47fUL;
   tf->codes[44160] = 0x0000b4e19f6f9709UL;
   tf->codes[44161] = 0x0000bbe96324e9b5UL;
   tf->codes[44162] = 0x0000e2dee43a8f0aUL;
   tf->codes[44163] = 0x0000fb298c8d4184UL;
   tf->codes[44164] = 0x0000fca03bac2c02UL;
   tf->codes[44165] = 0x000100dcf0f10b20UL;
   tf->codes[44166] = 0x000137e5cb452818UL;
   tf->codes[44167] = 0x00013ea83fb2a699UL;
   tf->codes[44168] = 0x000168a7072ee0ccUL;
   tf->codes[44169] = 0x00016ebdb20a7262UL;
   tf->codes[44170] = 0x00017522d286beebUL;
   tf->codes[44171] = 0x0001787cd824486eUL;
   tf->codes[44172] = 0x00017fe76d33578aUL;
   tf->codes[44173] = 0x000199387454e3abUL;
   tf->codes[44174] = 0x0001a3c27ffbb74aUL;
   tf->codes[44175] = 0x0001cc384ba7396fUL;
   tf->codes[44176] = 0x0001d745a3fcfcc4UL;
   tf->codes[44177] = 0x0001d8d92580be38UL;
   tf->codes[44178] = 0x0001eb72ed94e68dUL;
   tf->codes[44179] = 0x0001fffd508efc89UL;
   tf->codes[44180] = 0x0000105f948c3aa9UL;
   tf->codes[44181] = 0x00001a41450277e8UL;
   tf->codes[44182] = 0x00002bd3fe9ab547UL;
   tf->codes[44183] = 0x000031dfe93437b2UL;
   tf->codes[44184] = 0x00004dc5c85de000UL;
   tf->codes[44185] = 0x000066c9b938d3ccUL;
   tf->codes[44186] = 0x00006bdb649fae59UL;
   tf->codes[44187] = 0x00007b9fd31f5f7fUL;
   tf->codes[44188] = 0x00007ec242fa6f03UL;
   tf->codes[44189] = 0x00008025f5ba7aa2UL;
   tf->codes[44190] = 0x00009afa062628cfUL;
   tf->codes[44191] = 0x0000a135fa1266d4UL;
   tf->codes[44192] = 0x0000a7fb2d342a91UL;
   tf->codes[44193] = 0x0000b5dcba53483cUL;
   tf->codes[44194] = 0x0000b62e9e5559baUL;
   tf->codes[44195] = 0x0000c26679bf864cUL;
   tf->codes[44196] = 0x0000d2f5cdcc3505UL;
   tf->codes[44197] = 0x0000ed2f3c8ca6feUL;
   tf->codes[44198] = 0x0000f82abd4ea84dUL;
   tf->codes[44199] = 0x0000f8a9b1602a64UL;
   tf->codes[44200] = 0x0000fe23366b404fUL;
   tf->codes[44201] = 0x000104db2525b56aUL;
   tf->codes[44202] = 0x0001130b27e58e08UL;
   tf->codes[44203] = 0x00013560e7cd920aUL;
   tf->codes[44204] = 0x00013e8fb7602f83UL;
   tf->codes[44205] = 0x00015f59f7523c00UL;
   tf->codes[44206] = 0x000169b93c7fd8b8UL;
   tf->codes[44207] = 0x00016fee191a63e2UL;
   tf->codes[44208] = 0x00017a2bbe27b07bUL;
   tf->codes[44209] = 0x0001a3c3963bc664UL;
   tf->codes[44210] = 0x0001b0be1b1620d5UL;
   tf->codes[44211] = 0x0001b3bb07517e25UL;
   tf->codes[44212] = 0x0001b8da6c3db2deUL;
   tf->codes[44213] = 0x0001c215d08a8daaUL;
   tf->codes[44214] = 0x0001ca5ad92422adUL;
   tf->codes[44215] = 0x0001e2ffa195b659UL;
   tf->codes[44216] = 0x00000032c8bf34dcUL;
   tf->codes[44217] = 0x00001937de654581UL;
   tf->codes[44218] = 0x000028442927d22eUL;
   tf->codes[44219] = 0x000036be48eaf820UL;
   tf->codes[44220] = 0x00005a23536bb6ccUL;
   tf->codes[44221] = 0x00007963e7dff9ecUL;
   tf->codes[44222] = 0x00008c8a22fbf8bfUL;
   tf->codes[44223] = 0x0000a585d7ba1cd7UL;
   tf->codes[44224] = 0x0000b765327ae701UL;
   tf->codes[44225] = 0x0000e17e4836b8b3UL;
   tf->codes[44226] = 0x0000efbc3f0af142UL;
   tf->codes[44227] = 0x000116050c529298UL;
   tf->codes[44228] = 0x0001169f736ec907UL;
   tf->codes[44229] = 0x000121869877c8d9UL;
   tf->codes[44230] = 0x00014e486cd6acabUL;
   tf->codes[44231] = 0x0001514ef488fc4dUL;
   tf->codes[44232] = 0x00016044d48b5390UL;
   tf->codes[44233] = 0x000160a0c92262eaUL;
   tf->codes[44234] = 0x000164cf1534d68dUL;
   tf->codes[44235] = 0x00016f4af2384476UL;
   tf->codes[44236] = 0x0001788e1d83e36cUL;
   tf->codes[44237] = 0x0001794850483bd2UL;
   tf->codes[44238] = 0x00017d9249f46992UL;
   tf->codes[44239] = 0x0001c8d27e756e2fUL;
   tf->codes[44240] = 0x0001d3d516892259UL;
   tf->codes[44241] = 0x0001d3d79aae61d0UL;
   tf->codes[44242] = 0x0001df061e0669baUL;
   tf->codes[44243] = 0x000000766f92d2e5UL;
   tf->codes[44244] = 0x000006e14806afabUL;
   tf->codes[44245] = 0x00000840a2294dabUL;
   tf->codes[44246] = 0x0000116c3de99a5eUL;
   tf->codes[44247] = 0x00001e8e8ff9e0b5UL;
   tf->codes[44248] = 0x00003d12e2a29782UL;
   tf->codes[44249] = 0x00003d72f5480eb6UL;
   tf->codes[44250] = 0x0000496d0dda2582UL;
   tf->codes[44251] = 0x000058c12c09c5d1UL;
   tf->codes[44252] = 0x000090ee5c5cb03fUL;
   tf->codes[44253] = 0x0000daa819323c45UL;
   tf->codes[44254] = 0x0000f18e99a6d796UL;
   tf->codes[44255] = 0x0000f6e9b263ee28UL;
   tf->codes[44256] = 0x0000f757b91dc54dUL;
   tf->codes[44257] = 0x00010045cc9501ffUL;
   tf->codes[44258] = 0x00010e8d996f32a5UL;
   tf->codes[44259] = 0x00012f3e3aceb8f2UL;
   tf->codes[44260] = 0x00013301b3f9a636UL;
   tf->codes[44261] = 0x000135c361822d37UL;
   tf->codes[44262] = 0x00013d5429ddffd6UL;
   tf->codes[44263] = 0x00015bbd440b0810UL;
   tf->codes[44264] = 0x00015febcaac8178UL;
   tf->codes[44265] = 0x00016fbf520baf68UL;
   tf->codes[44266] = 0x000171f32d323d4dUL;
   tf->codes[44267] = 0x000173136522a2e9UL;
   tf->codes[44268] = 0x00018654639c44c5UL;
   tf->codes[44269] = 0x00018ca687b9b26fUL;
   tf->codes[44270] = 0x0001a0829cfc9c09UL;
   tf->codes[44271] = 0x0001b6182c8104d5UL;
   tf->codes[44272] = 0x0001bff9a2683c4fUL;
   tf->codes[44273] = 0x0001dbbe911ea5cdUL;
   tf->codes[44274] = 0x0001e8f2f551b3efUL;
   tf->codes[44275] = 0x0001ef96fd713317UL;
   tf->codes[44276] = 0x0001f1fda09ec1d2UL;
   tf->codes[44277] = 0x0001fc23b620bc28UL;
   tf->codes[44278] = 0x00000b28e99195faUL;
   tf->codes[44279] = 0x00001d923334f72bUL;
   tf->codes[44280] = 0x00003a6840fc497bUL;
   tf->codes[44281] = 0x00003d5ae213a32aUL;
   tf->codes[44282] = 0x00005e3ec09835d7UL;
   tf->codes[44283] = 0x000068d8cf5a9d54UL;
   tf->codes[44284] = 0x000083942b6fdc65UL;
   tf->codes[44285] = 0x000085de71569fb4UL;
   tf->codes[44286] = 0x00008d5dd73cbbd7UL;
   tf->codes[44287] = 0x00008f6e3dcacb75UL;
   tf->codes[44288] = 0x000092895bc52259UL;
   tf->codes[44289] = 0x0000b061aa4ce676UL;
   tf->codes[44290] = 0x0000d562e78c41d4UL;
   tf->codes[44291] = 0x0000e5dd3032ddc1UL;
   tf->codes[44292] = 0x0000ea6aa4aeb184UL;
   tf->codes[44293] = 0x000115ffac62f267UL;
   tf->codes[44294] = 0x00011c6a84d6cf2dUL;
   tf->codes[44295] = 0x0001263dcc1aa0f1UL;
   tf->codes[44296] = 0x000129a550ae7edbUL;
   tf->codes[44297] = 0x00012a8123932760UL;
   tf->codes[44298] = 0x00012e5a92603e84UL;
   tf->codes[44299] = 0x000134eb9e20decdUL;
   tf->codes[44300] = 0x00013b93feddcb94UL;
   tf->codes[44301] = 0x000152548694a927UL;
   tf->codes[44302] = 0x000152ef283fe55bUL;
   tf->codes[44303] = 0x000154ac10e2bb18UL;
   tf->codes[44304] = 0x00015f720ae97655UL;
   tf->codes[44305] = 0x00017f8e724261faUL;
   tf->codes[44306] = 0x0001885ddedc998eUL;
   tf->codes[44307] = 0x00018cfdda9940a6UL;
   tf->codes[44308] = 0x00019bdee9c48ae2UL;
   tf->codes[44309] = 0x0001a0ae3f26dc45UL;
   tf->codes[44310] = 0x0001a311e9111fffUL;
   tf->codes[44311] = 0x0001a3a69835c631UL;
   tf->codes[44312] = 0x0001a7a2cbee4a4dUL;
   tf->codes[44313] = 0x0001a9d338b381a7UL;
   tf->codes[44314] = 0x0001ac1a1038ee6bUL;
   tf->codes[44315] = 0x0001c8b4df4d6a6cUL;
   tf->codes[44316] = 0x0001c929131cdd58UL;
   tf->codes[44317] = 0x0001caec636454a1UL;
   tf->codes[44318] = 0x0001ee9b15ca5517UL;
   tf->codes[44319] = 0x0001f87c8bb18c91UL;
   tf->codes[44320] = 0x0000153551f5fc61UL;
   tf->codes[44321] = 0x00002fa77b440532UL;
   tf->codes[44322] = 0x0000512c9da77b64UL;
   tf->codes[44323] = 0x00007176150fd7a2UL;
   tf->codes[44324] = 0x000075c88567dadbUL;
   tf->codes[44325] = 0x00009323b4564b09UL;
   tf->codes[44326] = 0x0000c1a9c338bd38UL;
   tf->codes[44327] = 0x0001091556a823daUL;
   tf->codes[44328] = 0x000112872bec5bccUL;
   tf->codes[44329] = 0x00012f2cbb42e6f8UL;
   tf->codes[44330] = 0x000133d408e046b0UL;
   tf->codes[44331] = 0x00013f0759f3c7c3UL;
   tf->codes[44332] = 0x00014f6b7269340bUL;
   tf->codes[44333] = 0x000162dc051785f7UL;
   tf->codes[44334] = 0x00017cb944b1e2d1UL;
   tf->codes[44335] = 0x00019c87366a1383UL;
   tf->codes[44336] = 0x0001ad9334f20aa1UL;
   tf->codes[44337] = 0x0001c318fbe9e554UL;
   tf->codes[44338] = 0x0001e3782e6565adUL;
   tf->codes[44339] = 0x0000060f1f86d600UL;
   tf->codes[44340] = 0x00001223fb768fd5UL;
   tf->codes[44341] = 0x000062baf0173d65UL;
   tf->codes[44342] = 0x000067b4d163bfeaUL;
   tf->codes[44343] = 0x0000695646fbe14fUL;
   tf->codes[44344] = 0x000070fe9ee30631UL;
   tf->codes[44345] = 0x0000743445abfa59UL;
   tf->codes[44346] = 0x0000834c3aecad45UL;
   tf->codes[44347] = 0x0000953a396ee8afUL;
   tf->codes[44348] = 0x00009f6b8450fdbaUL;
   tf->codes[44349] = 0x00009f8bffa63100UL;
   tf->codes[44350] = 0x0000bdc07d540a3cUL;
   tf->codes[44351] = 0x0000c0380dd943e9UL;
   tf->codes[44352] = 0x0000c5293deaeb30UL;
   tf->codes[44353] = 0x0000f5681761cb42UL;
   tf->codes[44354] = 0x000102171fdeb5c1UL;
   tf->codes[44355] = 0x00010591db60784fUL;
   tf->codes[44356] = 0x00010b0483a8e124UL;
   tf->codes[44357] = 0x00011a7cc61e1109UL;
   tf->codes[44358] = 0x00012c450671947aUL;
   tf->codes[44359] = 0x0001323c95521568UL;
   tf->codes[44360] = 0x000166d7b526f0caUL;
   tf->codes[44361] = 0x000169b6aa325a4bUL;
   tf->codes[44362] = 0x00018183833ea787UL;
   tf->codes[44363] = 0x000192176a77c9a4UL;
   tf->codes[44364] = 0x0001c60093a51c54UL;
   tf->codes[44365] = 0x0001ce9620e6a037UL;
   tf->codes[44366] = 0x0001d9a0456a12c6UL;
   tf->codes[44367] = 0x0001e7aac48a3930UL;
   tf->codes[44368] = 0x0001ef2646f0f33eUL;
   tf->codes[44369] = 0x0001fd2a5e6c781cUL;
   tf->codes[44370] = 0x00001976f26f3eefUL;
   tf->codes[44371] = 0x00001df75d12c9d5UL;
   tf->codes[44372] = 0x000037b83f665b43UL;
   tf->codes[44373] = 0x00003c9dc4f9dc4bUL;
   tf->codes[44374] = 0x00005dca612799aeUL;
   tf->codes[44375] = 0x000076831034234dUL;
   tf->codes[44376] = 0x0000843afba526eaUL;
   tf->codes[44377] = 0x000098253f8b763aUL;
   tf->codes[44378] = 0x0000c3e373cfc5a1UL;
   tf->codes[44379] = 0x0000d8bcfc17a7dfUL;
   tf->codes[44380] = 0x0000fd9581e50043UL;
   tf->codes[44381] = 0x00010a1d6cd9102bUL;
   tf->codes[44382] = 0x000124bd1b54951fUL;
   tf->codes[44383] = 0x00012b4f11514c7cUL;
   tf->codes[44384] = 0x000133cfcdbbc358UL;
   tf->codes[44385] = 0x000138bd54dd0e4fUL;
   tf->codes[44386] = 0x00013af045c78520UL;
   tf->codes[44387] = 0x00014006f978de9bUL;
   tf->codes[44388] = 0x000145348d08790aUL;
   tf->codes[44389] = 0x00014c2c4da237d8UL;
   tf->codes[44390] = 0x000156b7f33233daUL;
   tf->codes[44391] = 0x0001628b28ca75d4UL;
   tf->codes[44392] = 0x00016c9ad38c3ac0UL;
   tf->codes[44393] = 0x0001700b7e78ff72UL;
   tf->codes[44394] = 0x0001733be2686ee7UL;
   tf->codes[44395] = 0x00019cbbb5d32703UL;
   tf->codes[44396] = 0x0001bcc7df817905UL;
   tf->codes[44397] = 0x0001c25ee69e7735UL;
   tf->codes[44398] = 0x0001c61555f11b9cUL;
   tf->codes[44399] = 0x0001cf20765c3509UL;
   tf->codes[44400] = 0x0001d7b3ba077f3aUL;
   tf->codes[44401] = 0x0001ec059d030423UL;
   tf->codes[44402] = 0x0001f0ebd243967aUL;
   tf->codes[44403] = 0x0001f9b8bab88e97UL;
   tf->codes[44404] = 0x000007644bfe5aa6UL;
   tf->codes[44405] = 0x000013453b1bf6ccUL;
   tf->codes[44406] = 0x00001b2e4f1e7c75UL;
   tf->codes[44407] = 0x00001f87271b213aUL;
   tf->codes[44408] = 0x00004ec559bab7e2UL;
   tf->codes[44409] = 0x00005d164cedcf50UL;
   tf->codes[44410] = 0x00005fe454a18ddfUL;
   tf->codes[44411] = 0x00006531b3d94a45UL;
   tf->codes[44412] = 0x000099a5f0b450d5UL;
   tf->codes[44413] = 0x0000a339db36e470UL;
   tf->codes[44414] = 0x0000c256fb12a949UL;
   tf->codes[44415] = 0x000106cc447a59ecUL;
   tf->codes[44416] = 0x000118c3de7387a8UL;
   tf->codes[44417] = 0x000129eadae82794UL;
   tf->codes[44418] = 0x000137cf614a9040UL;
   tf->codes[44419] = 0x00016545b0763c3bUL;
   tf->codes[44420] = 0x000183301120c823UL;
   tf->codes[44421] = 0x000183379d908688UL;
   tf->codes[44422] = 0x00018468132b85c7UL;
   tf->codes[44423] = 0x0001b7ced9e5ffd5UL;
   tf->codes[44424] = 0x0001bd7de5ac5bd2UL;
   tf->codes[44425] = 0x0001cca777f1caffUL;
   tf->codes[44426] = 0x0001db32850c9be3UL;
   tf->codes[44427] = 0x0001dd2395109514UL;
   tf->codes[44428] = 0x0001f0f5d44d8697UL;
   tf->codes[44429] = 0x0001f6b299993cc0UL;
   tf->codes[44430] = 0x00004194ca7bfe16UL;
   tf->codes[44431] = 0x00004ca2d27ed2baUL;
   tf->codes[44432] = 0x000078158a65b22fUL;
   tf->codes[44433] = 0x000090c07fece1a2UL;
   tf->codes[44434] = 0x0000ac76cae1d9e0UL;
   tf->codes[44435] = 0x0000b6cfa86ad50cUL;
   tf->codes[44436] = 0x0000bf7fbe7af633UL;
   tf->codes[44437] = 0x0000c4683d51c23cUL;
   tf->codes[44438] = 0x0000c474225eee40UL;
   tf->codes[44439] = 0x0000cde3ae0cec80UL;
   tf->codes[44440] = 0x0000ede58c973ae1UL;
   tf->codes[44441] = 0x0000eee6a88c8fd5UL;
   tf->codes[44442] = 0x0001092a6271056fUL;
   tf->codes[44443] = 0x00010ddef475b3c9UL;
   tf->codes[44444] = 0x000124f6dd972d52UL;
   tf->codes[44445] = 0x00014eb682e12f21UL;
   tf->codes[44446] = 0x00015e0523a844f8UL;
   tf->codes[44447] = 0x000164dd5328e794UL;
   tf->codes[44448] = 0x0001a4851ba674fcUL;
   tf->codes[44449] = 0x0001a8d78bfe7835UL;
   tf->codes[44450] = 0x0001bf3c943c51f8UL;
   tf->codes[44451] = 0x0001c2d079328f2cUL;
   tf->codes[44452] = 0x0001c62e624f7ac4UL;
   tf->codes[44453] = 0x0001c9b502de6956UL;
   tf->codes[44454] = 0x0001cb2a18142b71UL;
   tf->codes[44455] = 0x0001d4a54e404ff0UL;
   tf->codes[44456] = 0x0001e0ad2057c0e8UL;
   tf->codes[44457] = 0x0001e9b8f06feba4UL;
   tf->codes[44458] = 0x0001f242238637f9UL;
   tf->codes[44459] = 0x0001fdbb38ff98c1UL;
   tf->codes[44460] = 0x000005c836b8a83bUL;
   tf->codes[44461] = 0x00001d436651e9beUL;
   tf->codes[44462] = 0x00002258458b1511UL;
   tf->codes[44463] = 0x0000349b9670b884UL;
   tf->codes[44464] = 0x00003632fb73dc0dUL;
   tf->codes[44465] = 0x0000592a39c9c959UL;
   tf->codes[44466] = 0x0000593a3ce55d37UL;
   tf->codes[44467] = 0x00006977aceffa72UL;
   tf->codes[44468] = 0x00009a0aee8e2b79UL;
   tf->codes[44469] = 0x00009e8566ab205dUL;
   tf->codes[44470] = 0x0000ace1c9cd5845UL;
   tf->codes[44471] = 0x0000b745dcb66e26UL;
   tf->codes[44472] = 0x0000cc5a2e931b29UL;
   tf->codes[44473] = 0x0000ebddc8b8f8c2UL;
   tf->codes[44474] = 0x0001071609d885fdUL;
   tf->codes[44475] = 0x00012a7e82ba9b34UL;
   tf->codes[44476] = 0x00013749e87e511fUL;
   tf->codes[44477] = 0x000171ea50b9079bUL;
   tf->codes[44478] = 0x00017ba643008ce1UL;
   tf->codes[44479] = 0x00018b477776c585UL;
   tf->codes[44480] = 0x00018ce03bd40bacUL;
   tf->codes[44481] = 0x0001989db659298bUL;
   tf->codes[44482] = 0x0001c934db76bca7UL;
   tf->codes[44483] = 0x0001e29d37949546UL;
   tf->codes[44484] = 0x0000157123a2974aUL;
   tf->codes[44485] = 0x00001bb085f02bdaUL;
   tf->codes[44486] = 0x000026fa0734dc92UL;
   tf->codes[44487] = 0x00003da92c7603a9UL;
   tf->codes[44488] = 0x000041c3575e7b94UL;
   tf->codes[44489] = 0x00007465a030999bUL;
   tf->codes[44490] = 0x000082be1fd36f6eUL;
   tf->codes[44491] = 0x00008470bd52418aUL;
   tf->codes[44492] = 0x00009a282786003aUL;
   tf->codes[44493] = 0x00009ea64893516eUL;
   tf->codes[44494] = 0x0000b24425e019b8UL;
   tf->codes[44495] = 0x0000bbbf969b43fcUL;
   tf->codes[44496] = 0x0000d7702998abfdUL;
   tf->codes[44497] = 0x0000e1a88bcc73e3UL;
   tf->codes[44498] = 0x0000eddae9ce15fdUL;
   tf->codes[44499] = 0x00013113636f8fd3UL;
   tf->codes[44500] = 0x00013ae4268e2220UL;
   tf->codes[44501] = 0x00014cbc2f6e33aaUL;
   tf->codes[44502] = 0x00015dd8a62fca30UL;
   tf->codes[44503] = 0x00017803369fc524UL;
   tf->codes[44504] = 0x000186f48375a903UL;
   tf->codes[44505] = 0x000190e4d7ad5782UL;
   tf->codes[44506] = 0x0001915dd9384397UL;
   tf->codes[44507] = 0x0001a5d83916c5b5UL;
   tf->codes[44508] = 0x0001ad2586a2f251UL;
   tf->codes[44509] = 0x0001bf09e9ae3b69UL;
   tf->codes[44510] = 0x0001ceb35a4143c1UL;
   tf->codes[44511] = 0x0001d4597a3dbebbUL;
   tf->codes[44512] = 0x0001eda45449af15UL;
   tf->codes[44513] = 0x0001edaaf67d5666UL;
   tf->codes[44514] = 0x0001f184da687914UL;
   tf->codes[44515] = 0x0001f9b9dfe67a39UL;
   tf->codes[44516] = 0x0001fb09717c8a20UL;
   tf->codes[44517] = 0x0001fb160636c773UL;
   tf->codes[44518] = 0x00000dfb4aa85fbaUL;
   tf->codes[44519] = 0x0000103eee5b7bb8UL;
   tf->codes[44520] = 0x00001e7642fc0cf6UL;
   tf->codes[44521] = 0x000030104e7502f5UL;
   tf->codes[44522] = 0x00003cf8fbbb9b60UL;
   tf->codes[44523] = 0x000042c54f04d9ddUL;
   tf->codes[44524] = 0x0000aacade848b9dUL;
   tf->codes[44525] = 0x0000d3a37b89ca32UL;
   tf->codes[44526] = 0x0000dd39afa2977fUL;
   tf->codes[44527] = 0x0000e7595d7ff049UL;
   tf->codes[44528] = 0x0001065f285f68a4UL;
   tf->codes[44529] = 0x000120f033197c58UL;
   tf->codes[44530] = 0x000138fbb939f66eUL;
   tf->codes[44531] = 0x0001394a6969b726UL;
   tf->codes[44532] = 0x00013b178fb72686UL;
   tf->codes[44533] = 0x000146dea5b336b7UL;
   tf->codes[44534] = 0x00014eb189848cbbUL;
   tf->codes[44535] = 0x0001553dc789b3dbUL;
   tf->codes[44536] = 0x000160e54c6ca7daUL;
   tf->codes[44537] = 0x000167babd39053aUL;
   tf->codes[44538] = 0x00016bb3829032cbUL;
   tf->codes[44539] = 0x00016d54f8285430UL;
   tf->codes[44540] = 0x00016f28c0a96ae1UL;
   tf->codes[44541] = 0x00016f7cee41b611UL;
   tf->codes[44542] = 0x00017aa5f4313383UL;
   tf->codes[44543] = 0x00017cd158abebefUL;
   tf->codes[44544] = 0x0001857b07176b8aUL;
   tf->codes[44545] = 0x00019a8f1e6512c8UL;
   tf->codes[44546] = 0x00019c1dd22d5b13UL;
   tf->codes[44547] = 0x0001a25741f459a1UL;
   tf->codes[44548] = 0x0001aefd24185d58UL;
   tf->codes[44549] = 0x0001c193433c295dUL;
   tf->codes[44550] = 0x0001cd7900153eacUL;
   tf->codes[44551] = 0x0001d3873444fac9UL;
   tf->codes[44552] = 0x0001ef1bdf19a2e8UL;
   tf->codes[44553] = 0x00000b2ff31dd8a8UL;
   tf->codes[44554] = 0x0000453001b5c2b3UL;
   tf->codes[44555] = 0x00005f48f5210166UL;
   tf->codes[44556] = 0x000069dee5d50109UL;
   tf->codes[44557] = 0x0000795e7a2ae98eUL;
   tf->codes[44558] = 0x00007c6af463cf32UL;
   tf->codes[44559] = 0x000080daac3eb4ebUL;
   tf->codes[44560] = 0x00008dede56f7e78UL;
   tf->codes[44561] = 0x0000b4ce20900b3cUL;
   tf->codes[44562] = 0x0000bd7759dd7f4dUL;
   tf->codes[44563] = 0x000102e12a804791UL;
   tf->codes[44564] = 0x00010ae576fe7bcdUL;
   tf->codes[44565] = 0x00011694133322a7UL;
   tf->codes[44566] = 0x0001249ecce24ed6UL;
   tf->codes[44567] = 0x000139f7be59beb5UL;
   tf->codes[44568] = 0x000148cbfe3bc5d9UL;
   tf->codes[44569] = 0x00014a2356d099eaUL;
   tf->codes[44570] = 0x00014aa36fad38daUL;
   tf->codes[44571] = 0x00017a32d6a1cfb1UL;
   tf->codes[44572] = 0x00018338b433646bUL;
   tf->codes[44573] = 0x0001875aa61aa080UL;
   tf->codes[44574] = 0x00018e9da882c97bUL;
   tf->codes[44575] = 0x0001badc3032bd97UL;
   tf->codes[44576] = 0x0001e2e9e7aafe99UL;
   tf->codes[44577] = 0x0001f3672994e587UL;
   tf->codes[44578] = 0x0001f930490bd33eUL;
   tf->codes[44579] = 0x000000dc0f544eabUL;
   tf->codes[44580] = 0x0000041e856685ebUL;
   tf->codes[44581] = 0x00001e4fb80a2830UL;
   tf->codes[44582] = 0x00001fe71d0d4bb9UL;
   tf->codes[44583] = 0x00002e7a6644ec51UL;
   tf->codes[44584] = 0x000032618e975da1UL;
   tf->codes[44585] = 0x0000530f71429eb2UL;
   tf->codes[44586] = 0x00007774385e8fb4UL;
   tf->codes[44587] = 0x0000832a6102f4f3UL;
   tf->codes[44588] = 0x0000b4f7ee421d50UL;
   tf->codes[44589] = 0x0000ba371ed67400UL;
   tf->codes[44590] = 0x0000d26778e98efbUL;
   tf->codes[44591] = 0x0000f2e84b855f73UL;
   tf->codes[44592] = 0x0001015f72053a64UL;
   tf->codes[44593] = 0x00010ecf14eb1ed5UL;
   tf->codes[44594] = 0x00011848ebbd20b6UL;
   tf->codes[44595] = 0x00012737b46dc51eUL;
   tf->codes[44596] = 0x00012cf6c34fb4f9UL;
   tf->codes[44597] = 0x00012ff2ffde00faUL;
   tf->codes[44598] = 0x000142d8b96da4cbUL;
   tf->codes[44599] = 0x00014c7c31edc0baUL;
   tf->codes[44600] = 0x00015389730b9ddeUL;
   tf->codes[44601] = 0x0001657d9ea3750fUL;
   tf->codes[44602] = 0x0001669f707d030eUL;
   tf->codes[44603] = 0x00016b388f76fd10UL;
   tf->codes[44604] = 0x00016c90d247e835UL;
   tf->codes[44605] = 0x0001828848e9f65dUL;
   tf->codes[44606] = 0x0001c86c7a71cd54UL;
   tf->codes[44607] = 0x0001d1245780b2a5UL;
   tf->codes[44608] = 0x0001d2d76a1d904bUL;
   tf->codes[44609] = 0x0001da9afa8063c0UL;
   tf->codes[44610] = 0x0001ede13bd38a4fUL;
   tf->codes[44611] = 0x000002632821cad2UL;
   tf->codes[44612] = 0x00001483046eeffeUL;
   tf->codes[44613] = 0x00001e71842e7055UL;
   tf->codes[44614] = 0x00002c63146921deUL;
   tf->codes[44615] = 0x000033dd3775b94eUL;
   tf->codes[44616] = 0x000038dfc9fd1711UL;
   tf->codes[44617] = 0x00004513123ad03fUL;
   tf->codes[44618] = 0x00006225be0f1b7cUL;
   tf->codes[44619] = 0x000068a9bff772e8UL;
   tf->codes[44620] = 0x00006a4baaad9fd7UL;
   tf->codes[44621] = 0x00007cbc80c0bf6dUL;
   tf->codes[44622] = 0x00008df972d78939UL;
   tf->codes[44623] = 0x00008ec62cdcb4f4UL;
   tf->codes[44624] = 0x00009fcb4ea1fefcUL;
   tf->codes[44625] = 0x0000bb68aab18259UL;
   tf->codes[44626] = 0x0000bef1cf65b062UL;
   tf->codes[44627] = 0x0000d9e411905823UL;
   tf->codes[44628] = 0x0000deac8a2ffc70UL;
   tf->codes[44629] = 0x00010a1b2408740bUL;
   tf->codes[44630] = 0x00011c908d480705UL;
   tf->codes[44631] = 0x0001379ad41c0c93UL;
   tf->codes[44632] = 0x00013e884991c7c0UL;
   tf->codes[44633] = 0x00014444d44e7824UL;
   tf->codes[44634] = 0x00014a103d5b9f8dUL;
   tf->codes[44635] = 0x000167470d757a60UL;
   tf->codes[44636] = 0x00017d5613a2dacbUL;
   tf->codes[44637] = 0x0001871e258691daUL;
   tf->codes[44638] = 0x000187a59043e96aUL;
   tf->codes[44639] = 0x000188b58a89b563UL;
   tf->codes[44640] = 0x00018a92ee81be66UL;
   tf->codes[44641] = 0x00018ab07093a6abUL;
   tf->codes[44642] = 0x00018f43d7961070UL;
   tf->codes[44643] = 0x00019097fc5893bbUL;
   tf->codes[44644] = 0x00019a6f61aacd59UL;
   tf->codes[44645] = 0x0001b088b2fc3165UL;
   tf->codes[44646] = 0x0001d2fb7fd81222UL;
   tf->codes[44647] = 0x0001dbc77e10f32bUL;
   tf->codes[44648] = 0x0001ed18cbe0be74UL;
   tf->codes[44649] = 0x0001fa290bce3d00UL;
   tf->codes[44650] = 0x0000130de0ae2024UL;
   tf->codes[44651] = 0x0000139d87884768UL;
   tf->codes[44652] = 0x00001e8ebd264516UL;
   tf->codes[44653] = 0x00001f011c7d89daUL;
   tf->codes[44654] = 0x00001ffc807b4e91UL;
   tf->codes[44655] = 0x00003230436369b0UL;
   tf->codes[44656] = 0x0000545d4bd96ab8UL;
   tf->codes[44657] = 0x0000899ce35f7a65UL;
   tf->codes[44658] = 0x0000ccf946b77e0cUL;
   tf->codes[44659] = 0x0000ef5f09bb15ecUL;
   tf->codes[44660] = 0x00010238691f822fUL;
   tf->codes[44661] = 0x00012312ac2d228aUL;
   tf->codes[44662] = 0x00012ba0acfee808UL;
   tf->codes[44663] = 0x00014a5bab2e01c0UL;
   tf->codes[44664] = 0x00017a1822320930UL;
   tf->codes[44665] = 0x00017dcf4131bee6UL;
   tf->codes[44666] = 0x0001964cec1a77fbUL;
   tf->codes[44667] = 0x0001b765dc3c4530UL;
   tf->codes[44668] = 0x0001f06afbf4760eUL;
   tf->codes[44669] = 0x00000979ad117905UL;
   tf->codes[44670] = 0x00000983f8357ca6UL;
   tf->codes[44671] = 0x00001f557619cd10UL;
   tf->codes[44672] = 0x000021da10774f9aUL;
   tf->codes[44673] = 0x000035aab5cb18baUL;
   tf->codes[44674] = 0x00003d83c6b20a85UL;
   tf->codes[44675] = 0x00004af69d6a3fbcUL;
   tf->codes[44676] = 0x00004c44cfa62d05UL;
   tf->codes[44677] = 0x00004fab69fdf3dbUL;
   tf->codes[44678] = 0x00006c26e288596fUL;
   tf->codes[44679] = 0x00007e4d610925ecUL;
   tf->codes[44680] = 0x0000a1746e22c90dUL;
   tf->codes[44681] = 0x0000cdf16857e43eUL;
   tf->codes[44682] = 0x0000cf4bf4bf0915UL;
   tf->codes[44683] = 0x0000d060f74f53fcUL;
   tf->codes[44684] = 0x0000d341c0d2eba5UL;
   tf->codes[44685] = 0x0000d99d0b494017UL;
   tf->codes[44686] = 0x00010211779a9f9eUL;
   tf->codes[44687] = 0x0001326d5e055c6bUL;
   tf->codes[44688] = 0x00013306dae57bc6UL;
   tf->codes[44689] = 0x0001360770113566UL;
   tf->codes[44690] = 0x000154c7eba8d996UL;
   tf->codes[44691] = 0x00016f808909d36bUL;
   tf->codes[44692] = 0x000170cf3063cc3eUL;
   tf->codes[44693] = 0x00017c3e35482f2aUL;
   tf->codes[44694] = 0x0001c225d5315cacUL;
   tf->codes[44695] = 0x0001cb69b02a0cf1UL;
   tf->codes[44696] = 0x0001d77e16fbbb3cUL;
   tf->codes[44697] = 0x0001da958c05b5d0UL;
   tf->codes[44698] = 0x0001dae22d2e429bUL;
   tf->codes[44699] = 0x0001ee57530907ebUL;
   tf->codes[44700] = 0x000006bb99ee4095UL;
   tf->codes[44701] = 0x00000d22c971c10bUL;
   tf->codes[44702] = 0x000014813ee49e5eUL;
   tf->codes[44703] = 0x00001d24c03a8232UL;
   tf->codes[44704] = 0x0000384153c05550UL;
   tf->codes[44705] = 0x0000630165529ac4UL;
   tf->codes[44706] = 0x0000658b07fa9c3cUL;
   tf->codes[44707] = 0x00006f0887bcfa6dUL;
   tf->codes[44708] = 0x0000aaf254782509UL;
   tf->codes[44709] = 0x0000f7ddd4974322UL;
   tf->codes[44710] = 0x0000fe812d09b0fbUL;
   tf->codes[44711] = 0x00011ef61a98556fUL;
   tf->codes[44712] = 0x000149c0774e9e84UL;
   tf->codes[44713] = 0x0001632e1645fbd6UL;
   tf->codes[44714] = 0x000196984b61cc6fUL;
   tf->codes[44715] = 0x0001ada8a8138793UL;
   tf->codes[44716] = 0x0001b0ff79dec050UL;
   tf->codes[44717] = 0x0001b4bf4a195144UL;
   tf->codes[44718] = 0x0001be00665dbc4dUL;
   tf->codes[44719] = 0x0001ca4b0397c1f9UL;
   tf->codes[44720] = 0x0001cb6499548044UL;
   tf->codes[44721] = 0x0001edacda462fdfUL;
   tf->codes[44722] = 0x0000068ad26365edUL;
   tf->codes[44723] = 0x00000824466dbd63UL;
   tf->codes[44724] = 0x000015d7d9415361UL;
   tf->codes[44725] = 0x00002ad0f2a251d1UL;
   tf->codes[44726] = 0x00002dc7ec57191fUL;
   tf->codes[44727] = 0x000077be0caa984dUL;
   tf->codes[44728] = 0x00008254727ca37aUL;
   tf->codes[44729] = 0x00009e955c01440eUL;
   tf->codes[44730] = 0x0000a574a2d39985UL;
   tf->codes[44731] = 0x0000ab69e81de0c1UL;
   tf->codes[44732] = 0x0000afb36cac02f7UL;
   tf->codes[44733] = 0x0000b21cce8dd6eeUL;
   tf->codes[44734] = 0x0000b536c7bd10f9UL;
   tf->codes[44735] = 0x0000d8d208a62706UL;
   tf->codes[44736] = 0x0000dee2c0fb229aUL;
   tf->codes[44737] = 0x0000e04c2bb2be76UL;
   tf->codes[44738] = 0x0000e521739ba5dbUL;
   tf->codes[44739] = 0x0000e7642d12aac5UL;
   tf->codes[44740] = 0x0000f3a1c0746794UL;
   tf->codes[44741] = 0x00012556d3ec269aUL;
   tf->codes[44742] = 0x00013480a0c09b8cUL;
   tf->codes[44743] = 0x000144716fa2abfcUL;
   tf->codes[44744] = 0x00014691642e43eeUL;
   tf->codes[44745] = 0x00014a0960fbc140UL;
   tf->codes[44746] = 0x000153a8464f69cbUL;
   tf->codes[44747] = 0x00017def1bc7bd65UL;
   tf->codes[44748] = 0x0001878a582b09a0UL;
   tf->codes[44749] = 0x0001934a56d566f6UL;
   tf->codes[44750] = 0x000193a14321f762UL;
   tf->codes[44751] = 0x0001aebefb72e759UL;
   tf->codes[44752] = 0x0001c693d60cfe84UL;
   tf->codes[44753] = 0x0001cdf2c09de761UL;
   tf->codes[44754] = 0x0001dd5005266e78UL;
   tf->codes[44755] = 0x0001e432f4e9203fUL;
   tf->codes[44756] = 0x0001e928b8273aeaUL;
   tf->codes[44757] = 0x0001e9c1bfe94ebbUL;
   tf->codes[44758] = 0x0001f9469718bbf3UL;
   tf->codes[44759] = 0x000010b7b61cff9aUL;
   tf->codes[44760] = 0x000012e1461f89deUL;
   tf->codes[44761] = 0x00004537285820dfUL;
   tf->codes[44762] = 0x000045c6cf324823UL;
   tf->codes[44763] = 0x00004a193f8a4b5cUL;
   tf->codes[44764] = 0x0000546428fee697UL;
   tf->codes[44765] = 0x0000681b2fc02987UL;
   tf->codes[44766] = 0x000070235fbdbfd8UL;
   tf->codes[44767] = 0x00007035375181deUL;
   tf->codes[44768] = 0x00007165acec811dUL;
   tf->codes[44769] = 0x000074de59670fbeUL;
   tf->codes[44770] = 0x0000784e1a17bd5cUL;
   tf->codes[44771] = 0x000082da34c5c4e8UL;
   tf->codes[44772] = 0x000083e7e575572fUL;
   tf->codes[44773] = 0x0000914192b911c0UL;
   tf->codes[44774] = 0x00009e4d7a0922adUL;
   tf->codes[44775] = 0x0000c595543ee50aUL;
   tf->codes[44776] = 0x0000d8ea39537cd9UL;
   tf->codes[44777] = 0x0000ff4ad0b57637UL;
   tf->codes[44778] = 0x00012685a112efb7UL;
   tf->codes[44779] = 0x00017513f62451d3UL;
   tf->codes[44780] = 0x000179fdd455407aUL;
   tf->codes[44781] = 0x00017b20906ae58dUL;
   tf->codes[44782] = 0x0001889834de93edUL;
   tf->codes[44783] = 0x0001af0b18f25adbUL;
   tf->codes[44784] = 0x0001aff46acd57c7UL;
   tf->codes[44785] = 0x0001b3074caadef7UL;
   tf->codes[44786] = 0x0001ca8192080966UL;
   tf->codes[44787] = 0x0001ca88e3e8c206UL;
   tf->codes[44788] = 0x0001d175e44071a9UL;
   tf->codes[44789] = 0x0001d5a679e91efeUL;
   tf->codes[44790] = 0x0001f298e4f73cbaUL;
   tf->codes[44791] = 0x0001f8c33bdebe7eUL;
   tf->codes[44792] = 0x00000f271f517b68UL;
   tf->codes[44793] = 0x00001a4c41c196c5UL;
   tf->codes[44794] = 0x00001e86e7ff41f6UL;
   tf->codes[44795] = 0x000037679ed0bd40UL;
   tf->codes[44796] = 0x000038b13de03725UL;
   tf->codes[44797] = 0x000039828b11d644UL;
   tf->codes[44798] = 0x00004a2fd64e78ccUL;
   tf->codes[44799] = 0x00004bdc0c28a95cUL;
   tf->codes[44800] = 0x00005f934d78f211UL;
   tf->codes[44801] = 0x00007f53108dbd0dUL;
   tf->codes[44802] = 0x00009b0b6a89e938UL;
   tf->codes[44803] = 0x0000bebf253a689cUL;
   tf->codes[44804] = 0x0000c37cdd97fdbeUL;
   tf->codes[44805] = 0x0000e024b684c29cUL;
   tf->codes[44806] = 0x0000e61b95b8323bUL;
   tf->codes[44807] = 0x000123dd4902db62UL;
   tf->codes[44808] = 0x00013902131927cdUL;
   tf->codes[44809] = 0x000150c9e3daf61bUL;
   tf->codes[44810] = 0x00016d36b8a3ea6fUL;
   tf->codes[44811] = 0x00017d671ed63ecdUL;
   tf->codes[44812] = 0x0001943400b853eeUL;
   tf->codes[44813] = 0x0001b7166e373433UL;
   tf->codes[44814] = 0x0001f599e0b5f425UL;
   tf->codes[44815] = 0x0001ff3607555774UL;
   tf->codes[44816] = 0x00000e371cb7c96cUL;
   tf->codes[44817] = 0x000016c90108f0ffUL;
   tf->codes[44818] = 0x00001e37b42667f5UL;
   tf->codes[44819] = 0x000022f9c5216ab6UL;
   tf->codes[44820] = 0x000023faa687b9e5UL;
   tf->codes[44821] = 0x000039d46088da03UL;
   tf->codes[44822] = 0x00003ab50128fbb1UL;
   tf->codes[44823] = 0x000044f7ae80c738UL;
   tf->codes[44824] = 0x00004c7873c105f9UL;
   tf->codes[44825] = 0x00004ce764b6f432UL;
   tf->codes[44826] = 0x00004e41b68f1344UL;
   tf->codes[44827] = 0x00005b1851b2e3e4UL;
   tf->codes[44828] = 0x00005cdbdc8960f2UL;
   tf->codes[44829] = 0x0000650aef80cc15UL;
   tf->codes[44830] = 0x00006c8796b2a2fcUL;
   tf->codes[44831] = 0x00006fe9d86cfc33UL;
   tf->codes[44832] = 0x0000725a17117d40UL;
   tf->codes[44833] = 0x0000a1800a78b056UL;
   tf->codes[44834] = 0x0000ae821bc2c92cUL;
   tf->codes[44835] = 0x0000be464fb3748dUL;
   tf->codes[44836] = 0x0000d35cb097557dUL;
   tf->codes[44837] = 0x0000e6443e9f2776UL;
   tf->codes[44838] = 0x0000f0e096f7c8a5UL;
   tf->codes[44839] = 0x0001003a6d1ef931UL;
   tf->codes[44840] = 0x000116adde8f3e6fUL;
   tf->codes[44841] = 0x00014fd1300668e1UL;
   tf->codes[44842] = 0x00015a959023fbbbUL;
   tf->codes[44843] = 0x0001648aeca62928UL;
   tf->codes[44844] = 0x0001648f7fd29c8cUL;
   tf->codes[44845] = 0x00016eb85408dc1eUL;
   tf->codes[44846] = 0x00017a3b7a173ac2UL;
   tf->codes[44847] = 0x00019df820919b29UL;
   tf->codes[44848] = 0x0001c85c781bd708UL;
   tf->codes[44849] = 0x0001d9d558928872UL;
   tf->codes[44850] = 0x0001e20a5e108997UL;
   tf->codes[44851] = 0x0001fddfff8f9842UL;
   tf->codes[44852] = 0x000022ae74c7f2caUL;
   tf->codes[44853] = 0x000067b414b6dc00UL;
   tf->codes[44854] = 0x00006c205e306b2eUL;
   tf->codes[44855] = 0x00006cdf5eb03cbdUL;
   tf->codes[44856] = 0x000078ecae30382dUL;
   tf->codes[44857] = 0x00008231adf4054bUL;
   tf->codes[44858] = 0x0000a0762ebd7265UL;
   tf->codes[44859] = 0x0000ac3e2ef599aaUL;
   tf->codes[44860] = 0x0000ad8dfb1aaf56UL;
   tf->codes[44861] = 0x0000b203e00b30d6UL;
   tf->codes[44862] = 0x0000d740968c6848UL;
   tf->codes[44863] = 0x0000ee9a60945f71UL;
   tf->codes[44864] = 0x0000f9f8ed3f22f5UL;
   tf->codes[44865] = 0x0000fa522321ed13UL;
   tf->codes[44866] = 0x00011d06d0e44b70UL;
   tf->codes[44867] = 0x0001220f908144faUL;
   tf->codes[44868] = 0x00013313c80a77eeUL;
   tf->codes[44869] = 0x0001467b6eeee8d7UL;
   tf->codes[44870] = 0x00014a521f07babfUL;
   tf->codes[44871] = 0x00014bd980ef4a6aUL;
   tf->codes[44872] = 0x00014d8b34320572UL;
   tf->codes[44873] = 0x0001642bf040c10eUL;
   tf->codes[44874] = 0x000166a25bfadde2UL;
   tf->codes[44875] = 0x0001891319cf8ab2UL;
   tf->codes[44876] = 0x000192dd75497b73UL;
   tf->codes[44877] = 0x0001aaa8b46ca04cUL;
   tf->codes[44878] = 0x0001b0b54eb33406UL;
   tf->codes[44879] = 0x0001c0e6d9b0a53dUL;
   tf->codes[44880] = 0x0001dbdf837fee8aUL;
   tf->codes[44881] = 0x0001dca9f3eee093UL;
   tf->codes[44882] = 0x0001e90f54868948UL;
   tf->codes[44883] = 0x0001f906c59c4109UL;
   tf->codes[44884] = 0x00001ee2014816c4UL;
   tf->codes[44885] = 0x000028cac91006deUL;
   tf->codes[44886] = 0x000031634f94d5c2UL;
   tf->codes[44887] = 0x000058360bbf0e1fUL;
   tf->codes[44888] = 0x00005a25474ad928UL;
   tf->codes[44889] = 0x00007f1d98c05383UL;
   tf->codes[44890] = 0x000083c5d099ca4fUL;
   tf->codes[44891] = 0x000096e9c21f8f70UL;
   tf->codes[44892] = 0x00009a4bc94ae2e2UL;
   tf->codes[44893] = 0x00009c13acbecd8fUL;
   tf->codes[44894] = 0x0000de28ba9d9103UL;
   tf->codes[44895] = 0x0000e1b6727e3270UL;
   tf->codes[44896] = 0x0000f9905562c889UL;
   tf->codes[44897] = 0x000107b388d95e0fUL;
   tf->codes[44898] = 0x00010cba73fe2971UL;
   tf->codes[44899] = 0x00018254053854fdUL;
   tf->codes[44900] = 0x000183859f9e7115UL;
   tf->codes[44901] = 0x00018c60f145d4adUL;
   tf->codes[44902] = 0x000197c18cf7cc1eUL;
   tf->codes[44903] = 0x0001a6dc065dbe81UL;
   tf->codes[44904] = 0x0001a81dde6e743cUL;
   tf->codes[44905] = 0x0001b59fce06263dUL;
   tf->codes[44906] = 0x0001d76c8947aa4cUL;
   tf->codes[44907] = 0x00000afec6286c90UL;
   tf->codes[44908] = 0x000014bd02062b88UL;
   tf->codes[44909] = 0x000037a820bfe70bUL;
   tf->codes[44910] = 0x00003ec739718635UL;
   tf->codes[44911] = 0x00004fd128f24966UL;
   tf->codes[44912] = 0x00005af894f89e75UL;
   tf->codes[44913] = 0x00007b5d0a4da381UL;
   tf->codes[44914] = 0x00008a1820bb2fffUL;
   tf->codes[44915] = 0x000098ba4843479cUL;
   tf->codes[44916] = 0x0000a6e542b8a14cUL;
   tf->codes[44917] = 0x0000cbdbfa44f344UL;
   tf->codes[44918] = 0x0000ec5ba815a6e3UL;
   tf->codes[44919] = 0x0000f6f541ba02d6UL;
   tf->codes[44920] = 0x00010fdf1ee464e8UL;
   tf->codes[44921] = 0x000124c0e34916daUL;
   tf->codes[44922] = 0x000126e704ea4a93UL;
   tf->codes[44923] = 0x00012701189adc4dUL;
   tf->codes[44924] = 0x00013b8acbe7e0faUL;
   tf->codes[44925] = 0x00014e88c4afe85dUL;
   tf->codes[44926] = 0x00017e261fb8df25UL;
   tf->codes[44927] = 0x0001887e4d94c902UL;
   tf->codes[44928] = 0x000191441eb80e44UL;
   tf->codes[44929] = 0x0001af92b016793aUL;
   tf->codes[44930] = 0x0001b34959f82366UL;
   tf->codes[44931] = 0x0001ba94d30c21daUL;
   tf->codes[44932] = 0x0001d82b061e6292UL;
   tf->codes[44933] = 0x0001dc04af7a7f7bUL;
   tf->codes[44934] = 0x0001f31f57503e40UL;
   tf->codes[44935] = 0x000020a2eae338ddUL;
   tf->codes[44936] = 0x00004bf6fbed1334UL;
   tf->codes[44937] = 0x000057bec19634b4UL;
   tf->codes[44938] = 0x00005a1cb388e831UL;
   tf->codes[44939] = 0x00005c72a3edd1bfUL;
   tf->codes[44940] = 0x0000642e6d51e10aUL;
   tf->codes[44941] = 0x0000789fa6d77c60UL;
   tf->codes[44942] = 0x0000a717871688d9UL;
   tf->codes[44943] = 0x0000abb0a61082dbUL;
   tf->codes[44944] = 0x0000adbcee902a9fUL;
   tf->codes[44945] = 0x0000bcee0d455831UL;
   tf->codes[44946] = 0x0000cfca65ed0f75UL;
   tf->codes[44947] = 0x0000d7574ac97fffUL;
   tf->codes[44948] = 0x0000e53de0331c98UL;
   tf->codes[44949] = 0x0000e85fa0611acdUL;
   tf->codes[44950] = 0x0000eaa5531b6ab8UL;
   tf->codes[44951] = 0x0001146114e60a72UL;
   tf->codes[44952] = 0x00011675d41187afUL;
   tf->codes[44953] = 0x00012c880e1138e0UL;
   tf->codes[44954] = 0x00013aa72379668cUL;
   tf->codes[44955] = 0x0001553cc15feda4UL;
   tf->codes[44956] = 0x0001678fdad21f30UL;
   tf->codes[44957] = 0x0001abd30bdfe04cUL;
   tf->codes[44958] = 0x0000027ffbaf0e23UL;
   tf->codes[44959] = 0x00001e06b26f5651UL;
   tf->codes[44960] = 0x000025dd04a202e0UL;
   tf->codes[44961] = 0x000059fd8902c9caUL;
   tf->codes[44962] = 0x00005f3c09ea0f2bUL;
   tf->codes[44963] = 0x00006e7c06efb3c2UL;
   tf->codes[44964] = 0x0000776d4e39413aUL;
   tf->codes[44965] = 0x000077b93fb4bcb6UL;
   tf->codes[44966] = 0x0000b2825f61762cUL;
   tf->codes[44967] = 0x0000f67e32202f30UL;
   tf->codes[44968] = 0x0000fa729ed9ef22UL;
   tf->codes[44969] = 0x000115eb26f6d19aUL;
   tf->codes[44970] = 0x00013196771ab4e8UL;
   tf->codes[44971] = 0x0001402985c34fbbUL;
   tf->codes[44972] = 0x00014bd7e768f0d0UL;
   tf->codes[44973] = 0x00017049b85d2aafUL;
   tf->codes[44974] = 0x00017323300009b8UL;
   tf->codes[44975] = 0x00018750eeb5ff0bUL;
   tf->codes[44976] = 0x00019fcb65cc675aUL;
   tf->codes[44977] = 0x0001a1b9b71c1b4fUL;
   tf->codes[44978] = 0x0001b4007663154dUL;
   tf->codes[44979] = 0x0001d77c26330f28UL;
   tf->codes[44980] = 0x0001da71c08db3d8UL;
   tf->codes[44981] = 0x0001e8eabb85bcf1UL;
   tf->codes[44982] = 0x0001fba783145803UL;
   tf->codes[44983] = 0x000002c8703e2555UL;
   tf->codes[44984] = 0x000007dbb58e2845UL;
   tf->codes[44985] = 0x0000139dc33fb988UL;
   tf->codes[44986] = 0x000013f01c5fd690UL;
   tf->codes[44987] = 0x0000289960c5f76fUL;
   tf->codes[44988] = 0x00003171097cfeb7UL;
   tf->codes[44989] = 0x000043ad0881e98aUL;
   tf->codes[44990] = 0x00004fa044515340UL;
   tf->codes[44991] = 0x000054dfea03b57aUL;
   tf->codes[44992] = 0x000079be27c89e1bUL;
   tf->codes[44993] = 0x0000b1872767a97bUL;
   tf->codes[44994] = 0x0000d13d14767c60UL;
   tf->codes[44995] = 0x0000f923ae65e2cbUL;
   tf->codes[44996] = 0x000112408e264b78UL;
   tf->codes[44997] = 0x0001168be72c9bd6UL;
   tf->codes[44998] = 0x00012432e545f481UL;
   tf->codes[44999] = 0x00012f09921554ebUL;
   tf->codes[45000] = 0x000165e7a5f03afcUL;
   tf->codes[45001] = 0x00016b6ac6724339UL;
   tf->codes[45002] = 0x00016fe6635a54f6UL;
   tf->codes[45003] = 0x0001788b440a5b68UL;
   tf->codes[45004] = 0x000182be9df3a460UL;
   tf->codes[45005] = 0x00018ccebdd374d6UL;
   tf->codes[45006] = 0x00019c09ed1da044UL;
   tf->codes[45007] = 0x0001a939be243b02UL;
   tf->codes[45008] = 0x0001d12c0291c7acUL;
   tf->codes[45009] = 0x0001f17c914bd6c5UL;
   tf->codes[45010] = 0x00002c76a48762e9UL;
   tf->codes[45011] = 0x00003ebfe7f39c5eUL;
   tf->codes[45012] = 0x00006884d01722e0UL;
   tf->codes[45013] = 0x000077c1242c6b27UL;
   tf->codes[45014] = 0x00007a55fc348754UL;
   tf->codes[45015] = 0x0000807caa2bacc8UL;
   tf->codes[45016] = 0x0000836af2a598d8UL;
   tf->codes[45017] = 0x0000abb3e8d0b029UL;
   tf->codes[45018] = 0x0000afe4095b51f4UL;
   tf->codes[45019] = 0x00010bba6eabb260UL;
   tf->codes[45020] = 0x00012fc67502e4ceUL;
   tf->codes[45021] = 0x0001316e17b0a1faUL;
   tf->codes[45022] = 0x00014122f832caccUL;
   tf->codes[45023] = 0x000156bdca90b84bUL;
   tf->codes[45024] = 0x00017ba9874bf553UL;
   tf->codes[45025] = 0x00018128c44e9b7bUL;
   tf->codes[45026] = 0x00019177d15df4f7UL;
   tf->codes[45027] = 0x0001998df56feb39UL;
   tf->codes[45028] = 0x0001c1a5bd7d2a17UL;
   tf->codes[45029] = 0x0001c8ed8da0cc3bUL;
   tf->codes[45030] = 0x0001cd8e73998a67UL;
   tf->codes[45031] = 0x0001f5eb15d091e6UL;
   tf->codes[45032] = 0x0001ff7440111656UL;
   tf->codes[45033] = 0x00000a3ecd4444f7UL;
   tf->codes[45034] = 0x000020d3a445d48fUL;
   tf->codes[45035] = 0x00004085e8644b24UL;
   tf->codes[45036] = 0x000061f25671523aUL;
   tf->codes[45037] = 0x00006a7e483be3cbUL;
   tf->codes[45038] = 0x00007b064a67d9e4UL;
   tf->codes[45039] = 0x0000920001ca59d9UL;
   tf->codes[45040] = 0x00009ebbd9908770UL;
   tf->codes[45041] = 0x0000a7a977e9b898UL;
   tf->codes[45042] = 0x0000ce1ea593b938UL;
   tf->codes[45043] = 0x0000fc19db577d4cUL;
   tf->codes[45044] = 0x00010f590558f100UL;
   tf->codes[45045] = 0x000135598a15732aUL;
   tf->codes[45046] = 0x00018e245f690506UL;
   tf->codes[45047] = 0x00019a1a1f5dae33UL;
   tf->codes[45048] = 0x0001c30961b227f7UL;
   tf->codes[45049] = 0x0001ce6b974d47cbUL;
   tf->codes[45050] = 0x0001d88eee1afce5UL;
   tf->codes[45051] = 0x0001de8bbfd50286UL;
   tf->codes[45052] = 0x0000a05997ad3ec6UL;
   tf->codes[45053] = 0x0000a8bea67dfb85UL;
   tf->codes[45054] = 0x0000dd143c7bfcf7UL;
   tf->codes[45055] = 0x0000ef7ac76b18ecUL;
   tf->codes[45056] = 0x0000f2422ceb302aUL;
   tf->codes[45057] = 0x0001095a160ca9b3UL;
   tf->codes[45058] = 0x00011657ceb954eaUL;
   tf->codes[45059] = 0x00013659382597c1UL;
   tf->codes[45060] = 0x00013ab78d8ac6feUL;
   tf->codes[45061] = 0x000147518aa19eb1UL;
   tf->codes[45062] = 0x000148559fda3ea6UL;
   tf->codes[45063] = 0x000149fabe62bc5bUL;
   tf->codes[45064] = 0x0001591b9f6d504aUL;
   tf->codes[45065] = 0x00015b3cf3530adaUL;
   tf->codes[45066] = 0x0001838ed548032eUL;
   tf->codes[45067] = 0x00018b6895dc0648UL;
   tf->codes[45068] = 0x000193684f2dc720UL;
   tf->codes[45069] = 0x00019dfa5c6264aeUL;
   tf->codes[45070] = 0x0001da41b79dc707UL;
   tf->codes[45071] = 0x0001e5d84f291014UL;
   tf->codes[45072] = 0x00000e84c65af524UL;
   tf->codes[45073] = 0x000019628a7c0869UL;
   tf->codes[45074] = 0x00007c450c1f2920UL;
   tf->codes[45075] = 0x0000841cf83afe12UL;
   tf->codes[45076] = 0x000089e86148257bUL;
   tf->codes[45077] = 0x000089f68feb8b31UL;
   tf->codes[45078] = 0x000096c146022fcdUL;
   tf->codes[45079] = 0x0000a12c35adf2c4UL;
   tf->codes[45080] = 0x0000a58fcdeca6b4UL;
   tf->codes[45081] = 0x0000d6631bf92733UL;
   tf->codes[45082] = 0x0000e098bf78a9ddUL;
   tf->codes[45083] = 0x0000fc74537e4e8aUL;
   tf->codes[45084] = 0x00011ae82ded65efUL;
   tf->codes[45085] = 0x0001264ebc25f362UL;
   tf->codes[45086] = 0x0001381cb4710710UL;
   tf->codes[45087] = 0x00014c076d7561eaUL;
   tf->codes[45088] = 0x00014cb2c1e9434bUL;
   tf->codes[45089] = 0x0001553b0ac3788cUL;
   tf->codes[45090] = 0x00016bdfaa51963dUL;
   tf->codes[45091] = 0x00018ad1540712e0UL;
   tf->codes[45092] = 0x00018e4692204af6UL;
   tf->codes[45093] = 0x00019d1086de4e79UL;
   tf->codes[45094] = 0x00019fd7ec5e65b7UL;
   tf->codes[45095] = 0x0001a533b4c88d98UL;
   tf->codes[45096] = 0x0001c9c885373a34UL;
   tf->codes[45097] = 0x0001f375a34068aeUL;
   tf->codes[45098] = 0x000015e8e53a54f5UL;
   tf->codes[45099] = 0x000047423eaa0a66UL;
   tf->codes[45100] = 0x00004dc7da7b8a35UL;
   tf->codes[45101] = 0x00005c2f72fddcd2UL;
   tf->codes[45102] = 0x0000734a8ff1a721UL;
   tf->codes[45103] = 0x0000f63b84d9538cUL;
   tf->codes[45104] = 0x0001096235135de9UL;
   tf->codes[45105] = 0x00013387df896ceeUL;
   tf->codes[45106] = 0x0001472b74cdc575UL;
   tf->codes[45107] = 0x000174b82eb9a6daUL;
   tf->codes[45108] = 0x00018d61c4e6b3afUL;
   tf->codes[45109] = 0x0001952d56d75113UL;
   tf->codes[45110] = 0x0001d034395c204fUL;
   tf->codes[45111] = 0x0001e104f931411eUL;
   tf->codes[45112] = 0x0001e2340f721dbfUL;
   tf->codes[45113] = 0x0001efbf5ff1bc4dUL;
   tf->codes[45114] = 0x0000188ab88fac40UL;
   tf->codes[45115] = 0x00001f7f45571a48UL;
   tf->codes[45116] = 0x0000277a6b7c67bcUL;
   tf->codes[45117] = 0x000031721194cedbUL;
   tf->codes[45118] = 0x00003ca90b98ac3eUL;
   tf->codes[45119] = 0x000058524cb55b9fUL;
   tf->codes[45120] = 0x00005b8dab75e004UL;
   tf->codes[45121] = 0x00007156781f5530UL;
   tf->codes[45122] = 0x000084588ef5c46dUL;
   tf->codes[45123] = 0x00009675e71daa22UL;
   tf->codes[45124] = 0x00009a0538e773f2UL;
   tf->codes[45125] = 0x0000a7445d5c913fUL;
   tf->codes[45126] = 0x0000ac24daa59359UL;
   tf->codes[45127] = 0x0000c1ffb971d050UL;
   tf->codes[45128] = 0x0000d0fa2ca09af7UL;
   tf->codes[45129] = 0x0000de899b2ea15fUL;
   tf->codes[45130] = 0x0000e6ad3e36ec08UL;
   tf->codes[45131] = 0x0000faa8e492f1d4UL;
   tf->codes[45132] = 0x00013c87bc095de7UL;
   tf->codes[45133] = 0x00015d770a7d110eUL;
   tf->codes[45134] = 0x00017bd1bb77adcdUL;
   tf->codes[45135] = 0x00018eef4558d162UL;
   tf->codes[45136] = 0x00019711c395ff32UL;
   tf->codes[45137] = 0x0001a55fbd85cb9fUL;
   tf->codes[45138] = 0x0001db7a78437282UL;
   tf->codes[45139] = 0x0001e99e95f61f1cUL;
   tf->codes[45140] = 0x0001f43d37e4f9fdUL;
   tf->codes[45141] = 0x0001ff5d177b90a7UL;
   tf->codes[45142] = 0x000018a06517c29cUL;
   tf->codes[45143] = 0x000028624f72344bUL;
   tf->codes[45144] = 0x0000409fb35d9823UL;
   tf->codes[45145] = 0x0000467b1f86536aUL;
   tf->codes[45146] = 0x0000bc97c2e068e7UL;
   tf->codes[45147] = 0x0000ecd0e45fb8bcUL;
   tf->codes[45148] = 0x0001082d8453db52UL;
   tf->codes[45149] = 0x0001128ffd53c8d0UL;
   tf->codes[45150] = 0x0001160625a917faUL;
   tf->codes[45151] = 0x000120c199fcc9d1UL;
   tf->codes[45152] = 0x00012a884c865e42UL;
   tf->codes[45153] = 0x00013dc393086fe1UL;
   tf->codes[45154] = 0x000163bd3b0244f5UL;
   tf->codes[45155] = 0x000176c285ab04f8UL;
   tf->codes[45156] = 0x0001903651b7fe11UL;
   tf->codes[45157] = 0x0001a315de32061bUL;
   tf->codes[45158] = 0x0001b137b24e7903UL;
   tf->codes[45159] = 0x0001cb1aa9e0661aUL;
   tf->codes[45160] = 0x0001dc8c730564a9UL;
   tf->codes[45161] = 0x0001dcf2783171dfUL;
   tf->codes[45162] = 0x0001e3e94e8f1999UL;
   tf->codes[45163] = 0x0001ec152db433f6UL;
   tf->codes[45164] = 0x000001088f1da229UL;
   tf->codes[45165] = 0x00000e64fb15a1f6UL;
   tf->codes[45166] = 0x000045460833d308UL;
   tf->codes[45167] = 0x00004f5b6aed2831UL;
   tf->codes[45168] = 0x000074ac42985b5bUL;
   tf->codes[45169] = 0x0000cb0fffa052f2UL;
   tf->codes[45170] = 0x0000d5c2130c183cUL;
   tf->codes[45171] = 0x0000dc490e37baa9UL;
   tf->codes[45172] = 0x0000ed5aff4647c9UL;
   tf->codes[45173] = 0x000101283638ba5eUL;
   tf->codes[45174] = 0x00012bc6a7aaafb3UL;
   tf->codes[45175] = 0x000148922fbef89dUL;
   tf->codes[45176] = 0x00014c24403d07a9UL;
   tf->codes[45177] = 0x000157d97ea555d4UL;
   tf->codes[45178] = 0x00016b4dba440410UL;
   tf->codes[45179] = 0x0001b20e33ce8f16UL;
   tf->codes[45180] = 0x0001bc5539c3c83cUL;
   tf->codes[45181] = 0x0001cb45d6ec9accUL;
   tf->codes[45182] = 0x0001cbf006955f54UL;
   tf->codes[45183] = 0x0001d39cf1a8f79aUL;
   tf->codes[45184] = 0x0001e7e69887accfUL;
   tf->codes[45185] = 0x0001f25ae91b5c53UL;
   tf->codes[45186] = 0x0001f87193f6ede9UL;
   tf->codes[45187] = 0x00001af8f71ad5e8UL;
   tf->codes[45188] = 0x00002bec7bdb63afUL;
   tf->codes[45189] = 0x0000328c65ec7afdUL;
   tf->codes[45190] = 0x00005f93c42238bfUL;
   tf->codes[45191] = 0x000060bcad4d7999UL;
   tf->codes[45192] = 0x0000732163c46766UL;
   tf->codes[45193] = 0x00007e4fac8d698bUL;
   tf->codes[45194] = 0x0000a10ac1f46974UL;
   tf->codes[45195] = 0x0000c565035d5110UL;
   tf->codes[45196] = 0x0000db26f3441926UL;
   tf->codes[45197] = 0x0000f48f89f0f78aUL;
   tf->codes[45198] = 0x0000f4fe7ae6e5c3UL;
   tf->codes[45199] = 0x0000f5edbf4878b1UL;
   tf->codes[45200] = 0x0000f9c9b23acf4cUL;
   tf->codes[45201] = 0x0001153de1ba4425UL;
   tf->codes[45202] = 0x0001311139a3191eUL;
   tf->codes[45203] = 0x00014ffae1cacbd2UL;
   tf->codes[45204] = 0x00016c3981b932b4UL;
   tf->codes[45205] = 0x00018121adc28632UL;
   tf->codes[45206] = 0x0001835ca03ac6f2UL;
   tf->codes[45207] = 0x00018fa5de1aaa00UL;
   tf->codes[45208] = 0x00019fb5c8f7cb18UL;
   tf->codes[45209] = 0x0001b590e2530dd4UL;
   tf->codes[45210] = 0x0001bca78458d785UL;
   tf->codes[45211] = 0x0001bcf54a4c8129UL;
   tf->codes[45212] = 0x0001bfbf6e80dda3UL;
   tf->codes[45213] = 0x0001f5954f14bbe5UL;
   tf->codes[45214] = 0x0001f5f31823f967UL;
   tf->codes[45215] = 0x0001fe2aa1c73a03UL;
   tf->codes[45216] = 0x00000e475bed9e33UL;
   tf->codes[45217] = 0x00002b84591d14cdUL;
   tf->codes[45218] = 0x000068911c7cea41UL;
   tf->codes[45219] = 0x00007a25e51c5b8dUL;
   tf->codes[45220] = 0x00008bb5a5714debUL;
   tf->codes[45221] = 0x0000a4e497547e63UL;
   tf->codes[45222] = 0x0000a4ec5e53428dUL;
   tf->codes[45223] = 0x0000c8867a713bc1UL;
   tf->codes[45224] = 0x0000d44ad1b906b6UL;
   tf->codes[45225] = 0x0000d7f9ef2af27dUL;
   tf->codes[45226] = 0x0001166c39c301b8UL;
   tf->codes[45227] = 0x000127a0efbcfbd0UL;
   tf->codes[45228] = 0x000133e475a54ea1UL;
   tf->codes[45229] = 0x00013d71bdf43aebUL;
   tf->codes[45230] = 0x00013d7c09183e8cUL;
   tf->codes[45231] = 0x0001bce3642db164UL;
   tf->codes[45232] = 0x0001ec03da2c5a02UL;
   tf->codes[45233] = 0x0001f86173c53e8dUL;
   tf->codes[45234] = 0x0001fe9d2d2276cdUL;
   tf->codes[45235] = 0x00001740211bdc51UL;
   tf->codes[45236] = 0x00001abd2633d891UL;
   tf->codes[45237] = 0x000027b85abb4451UL;
   tf->codes[45238] = 0x000029c51858f79fUL;
   tf->codes[45239] = 0x00004eb1bf504bbbUL;
   tf->codes[45240] = 0x00005254f7b50b7eUL;
   tf->codes[45241] = 0x000058c2c96c3345UL;
   tf->codes[45242] = 0x0000665cf83c48d8UL;
   tf->codes[45243] = 0x00007b1e7bdacd49UL;
   tf->codes[45244] = 0x000087bb37a5ea38UL;
   tf->codes[45245] = 0x00009016e58eba6aUL;
   tf->codes[45246] = 0x0000a5c613a5a966UL;
   tf->codes[45247] = 0x0000b9e9c1c6a0ddUL;
   tf->codes[45248] = 0x0000d0995c25d37eUL;
   tf->codes[45249] = 0x0000d24bf9a4a59aUL;
   tf->codes[45250] = 0x0000d4542415e584UL;
   tf->codes[45251] = 0x0000f48d5dd3a81fUL;
   tf->codes[45252] = 0x000105dd86d8568fUL;
   tf->codes[45253] = 0x0001094cd26af8a3UL;
   tf->codes[45254] = 0x000114e070b2f6afUL;
   tf->codes[45255] = 0x00011d42fb5e73f7UL;
   tf->codes[45256] = 0x000124bc6ebdfa18UL;
   tf->codes[45257] = 0x00015a5e27f0b4e6UL;
   tf->codes[45258] = 0x00016790b7ab94e0UL;
   tf->codes[45259] = 0x000180ccedf613faUL;
   tf->codes[45260] = 0x0001968d0964ade8UL;
   tf->codes[45261] = 0x00019c3f0e6e54e6UL;
   tf->codes[45262] = 0x00019ce9038813a9UL;
   tf->codes[45263] = 0x0001d31f6bdf74a9UL;
   tf->codes[45264] = 0x0001e18de124745cUL;
   tf->codes[45265] = 0x0001f9a80b065fb2UL;
   tf->codes[45266] = 0x00000fa5e94d0f66UL;
   tf->codes[45267] = 0x00004c5e09f68e20UL;
   tf->codes[45268] = 0x00005f1a5c671da8UL;
   tf->codes[45269] = 0x0000602bf0961204UL;
   tf->codes[45270] = 0x00006d6a9fed23c7UL;
   tf->codes[45271] = 0x00008da06b498fd7UL;
   tf->codes[45272] = 0x00009648f4e9f299UL;
   tf->codes[45273] = 0x0000a9bcf5f99b10UL;
   tf->codes[45274] = 0x0000ed79e1152175UL;
   tf->codes[45275] = 0x0000ef4a3b34e19bUL;
   tf->codes[45276] = 0x0000f38431c57b7dUL;
   tf->codes[45277] = 0x0000f59a504b1b58UL;
   tf->codes[45278] = 0x000128e235998a83UL;
   tf->codes[45279] = 0x000165118c2b8f0fUL;
   tf->codes[45280] = 0x00018eee3e696d99UL;
   tf->codes[45281] = 0x0001a5296a6a2789UL;
   tf->codes[45282] = 0x0001cd0e6a706591UL;
   tf->codes[45283] = 0x0001d7f30b5425ecUL;
   tf->codes[45284] = 0x0001f07a8c42d718UL;
   tf->codes[45285] = 0x0001f74dee08008bUL;
   tf->codes[45286] = 0x000000f584968454UL;
   tf->codes[45287] = 0x00000b7dbbc529cbUL;
   tf->codes[45288] = 0x00000caa886fccbaUL;
   tf->codes[45289] = 0x00002df25d1938b0UL;
   tf->codes[45290] = 0x00004470543c8754UL;
   tf->codes[45291] = 0x000093cf81617d05UL;
   tf->codes[45292] = 0x0000a39bf16ef81aUL;
   tf->codes[45293] = 0x0000f790949d8b7dUL;
   tf->codes[45294] = 0x00010f6f0aae94faUL;
   tf->codes[45295] = 0x0001243262c54793UL;
   tf->codes[45296] = 0x0001335936567184UL;
   tf->codes[45297] = 0x00013a41de10b388UL;
   tf->codes[45298] = 0x00014375b5edcfefUL;
   tf->codes[45299] = 0x0001444a7180c599UL;
   tf->codes[45300] = 0x000159b70f0425a6UL;
   tf->codes[45301] = 0x00016121dea23a87UL;
   tf->codes[45302] = 0x000165c548c0382aUL;
   tf->codes[45303] = 0x0001842193a3fd4cUL;
   tf->codes[45304] = 0x000199d46aab4898UL;
   tf->codes[45305] = 0x0001aec6a74999f2UL;
   tf->codes[45306] = 0x0001b72080ba3bfcUL;
   tf->codes[45307] = 0x0001b98723e7cab7UL;
   tf->codes[45308] = 0x0001c420bd8c26aaUL;
   tf->codes[45309] = 0x0001c7efa6a63468UL;
   tf->codes[45310] = 0x0001da98127bcdfdUL;
   tf->codes[45311] = 0x0001db6f17a4fd59UL;
   tf->codes[45312] = 0x0001e0c9f5d30e26UL;
   tf->codes[45313] = 0x0001e828e063f703UL;
   tf->codes[45314] = 0x0001e928d78e2f1eUL;
   tf->codes[45315] = 0x000009946434e705UL;
   tf->codes[45316] = 0x00002006eb69152fUL;
   tf->codes[45317] = 0x000039f5185b1cfbUL;
   tf->codes[45318] = 0x000056ae192e9290UL;
   tf->codes[45319] = 0x00007bb9dc20f754UL;
   tf->codes[45320] = 0x000083b7866b843fUL;
   tf->codes[45321] = 0x0000a749db8ab949UL;
   tf->codes[45322] = 0x0000b869861ea095UL;
   tf->codes[45323] = 0x0000ccbed77b7c09UL;
   tf->codes[45324] = 0x0001269d15763069UL;
   tf->codes[45325] = 0x000158e1cfc816b3UL;
   tf->codes[45326] = 0x00018d5ef86cfe46UL;
   tf->codes[45327] = 0x000199364c13a81aUL;
   tf->codes[45328] = 0x0001b5e3a268f770UL;
   tf->codes[45329] = 0x0001c286162ba49cUL;
   tf->codes[45330] = 0x0001cbfa6f951c05UL;
   tf->codes[45331] = 0x0001d6de9b5ad0d6UL;
   tf->codes[45332] = 0x0001ef4c0898f048UL;
   tf->codes[45333] = 0x0001fd38cb1828a8UL;
   tf->codes[45334] = 0x00000db4ada7ecf8UL;
   tf->codes[45335] = 0x000029ce79a3b2f5UL;
   tf->codes[45336] = 0x00003c1a7bc431a6UL;
   tf->codes[45337] = 0x000040555c90e29cUL;
   tf->codes[45338] = 0x000040ec1abcbcbbUL;
   tf->codes[45339] = 0x00004a2276bf1899UL;
   tf->codes[45340] = 0x00004f5930a799d0UL;
   tf->codes[45341] = 0x00005684a3847088UL;
   tf->codes[45342] = 0x00005c29d944d46eUL;
   tf->codes[45343] = 0x000081e1a0582be2UL;
   tf->codes[45344] = 0x0000a6f1bbe7fe45UL;
   tf->codes[45345] = 0x0000bd1bfa910d43UL;
   tf->codes[45346] = 0x0000f2fe6fdf28d8UL;
   tf->codes[45347] = 0x0001491934aeeff4UL;
   tf->codes[45348] = 0x0001624fb301ded1UL;
   tf->codes[45349] = 0x000196126e536839UL;
   tf->codes[45350] = 0x000197a5efd729adUL;
   tf->codes[45351] = 0x0001a3e6075e25f3UL;
   tf->codes[45352] = 0x0001ba3e05c3b6d9UL;
   tf->codes[45353] = 0x0001e43abe38bd1fUL;
   tf->codes[45354] = 0x0001f53d5bd8c7b0UL;
   tf->codes[45355] = 0x000004a14294f618UL;
   tf->codes[45356] = 0x00002b95645078cfUL;
   tf->codes[45357] = 0x00002c4d12ef91beUL;
   tf->codes[45358] = 0x00002d07bad1f5aeUL;
   tf->codes[45359] = 0x00004b6c41d28a84UL;
   tf->codes[45360] = 0x00004df7f381bfe9UL;
   tf->codes[45361] = 0x000067a0969cedc5UL;
   tf->codes[45362] = 0x00006ffda3dfe095UL;
   tf->codes[45363] = 0x0000777876998954UL;
   tf->codes[45364] = 0x0000829c39af8213UL;
   tf->codes[45365] = 0x0000ba632a475986UL;
   tf->codes[45366] = 0x0000bccf4add72b9UL;
   tf->codes[45367] = 0x0000d3a21f461ddcUL;
   tf->codes[45368] = 0x0000e11b2313eedaUL;
   tf->codes[45369] = 0x00010d33ec952afdUL;
   tf->codes[45370] = 0x000126e83a2e7f18UL;
   tf->codes[45371] = 0x00013363caf75772UL;
   tf->codes[45372] = 0x00013f874aa88287UL;
   tf->codes[45373] = 0x000145c04551758bUL;
   tf->codes[45374] = 0x000174e304e657dbUL;
   tf->codes[45375] = 0x000178cb1774e03fUL;
   tf->codes[45376] = 0x0001cf4fff7f1c6bUL;
   tf->codes[45377] = 0x0001e0dd3baecf52UL;
   tf->codes[45378] = 0x0001e923a3a286f3UL;
   tf->codes[45379] = 0x0001f214b05d0ea6UL;
   tf->codes[45380] = 0x0001f4b3d3892e74UL;
   tf->codes[45381] = 0x0001f8999c817d26UL;
   tf->codes[45382] = 0x0001fc7972f335d6UL;
   tf->codes[45383] = 0x00001369c96dc93eUL;
   tf->codes[45384] = 0x0000246131adb91aUL;
   tf->codes[45385] = 0x00002dd2cc62eb47UL;
   tf->codes[45386] = 0x0000b0d14040ec19UL;
   tf->codes[45387] = 0x0000c4b90001fbf2UL;
   tf->codes[45388] = 0x0000d7a6bb1f69b2UL;
   tf->codes[45389] = 0x0000e7491460bf2fUL;
   tf->codes[45390] = 0x0000ebecb90dc297UL;
   tf->codes[45391] = 0x0000f9b90037c7b1UL;
   tf->codes[45392] = 0x00010d8462b20c1eUL;
   tf->codes[45393] = 0x00011051459aadd4UL;
   tf->codes[45394] = 0x00014aac23fe8a60UL;
   tf->codes[45395] = 0x00015a16725f5a54UL;
   tf->codes[45396] = 0x000166b0e4943d91UL;
   tf->codes[45397] = 0x000179c4d2fe6ed4UL;
   tf->codes[45398] = 0x0001a60778bccacaUL;
   tf->codes[45399] = 0x0001a6d298d8ce22UL;
   tf->codes[45400] = 0x0001a75de71587c7UL;
   tf->codes[45401] = 0x0001de05c4881677UL;
   tf->codes[45402] = 0x0001ed5a1d46bc8bUL;
   tf->codes[45403] = 0x0001eff3c30a51e1UL;
   tf->codes[45404] = 0x000003b465428723UL;
   tf->codes[45405] = 0x0000077609f5463fUL;
   tf->codes[45406] = 0x00000f95c97e2ed3UL;
   tf->codes[45407] = 0x00001715a4825680UL;
   tf->codes[45408] = 0x00001fb8762b2905UL;
   tf->codes[45409] = 0x00003ae2c336564fUL;
   tf->codes[45410] = 0x00003b34321a5c43UL;
   tf->codes[45411] = 0x000047f721323cb5UL;
   tf->codes[45412] = 0x000052550705b6cfUL;
   tf->codes[45413] = 0x0000ad1a4d452e69UL;
   tf->codes[45414] = 0x0000b538e802fa24UL;
   tf->codes[45415] = 0x0000b5d01b4cdfcdUL;
   tf->codes[45416] = 0x0000e9f8a13b70a6UL;
   tf->codes[45417] = 0x0001060ec446da53UL;
   tf->codes[45418] = 0x0001163c3135e3b0UL;
   tf->codes[45419] = 0x00011bc78dd4bba1UL;
   tf->codes[45420] = 0x00014d03653288cdUL;
   tf->codes[45421] = 0x00017ae9ca1f3fdaUL;
   tf->codes[45422] = 0x00017c52100bbeddUL;
   tf->codes[45423] = 0x00018154680416dbUL;
   tf->codes[45424] = 0x0001ac753be8e4d2UL;
   tf->codes[45425] = 0x0001bd6935c77e23UL;
   tf->codes[45426] = 0x0001c666621e379fUL;
   tf->codes[45427] = 0x0001f8e202858699UL;
   tf->codes[45428] = 0x0001ff5c68f6ebb3UL;
   tf->codes[45429] = 0x000024bdf36ac40aUL;
   tf->codes[45430] = 0x000024bf52c4e6a8UL;
   tf->codes[45431] = 0x00002fe22b9ec853UL;
   tf->codes[45432] = 0x000048abc802fce4UL;
   tf->codes[45433] = 0x00004aaeea29bde0UL;
   tf->codes[45434] = 0x00004d3d1ffe32bcUL;
   tf->codes[45435] = 0x000066c24e80e251UL;
   tf->codes[45436] = 0x00007bdd080230e0UL;
   tf->codes[45437] = 0x000096042a10d549UL;
   tf->codes[45438] = 0x00009ea01ef6fab8UL;
   tf->codes[45439] = 0x0000cb9271c6a5aeUL;
   tf->codes[45440] = 0x0000fd845dda6366UL;
   tf->codes[45441] = 0x0000fe23cd4118c3UL;
   tf->codes[45442] = 0x000111ad4ed4df90UL;
   tf->codes[45443] = 0x00012a3544e19c46UL;
   tf->codes[45444] = 0x00012e7359809e02UL;
   tf->codes[45445] = 0x00014a8cb05e5875UL;
   tf->codes[45446] = 0x0001502e029f5a46UL;
   tf->codes[45447] = 0x0001628ed596e5feUL;
   tf->codes[45448] = 0x00017abef51afb34UL;
   tf->codes[45449] = 0x00017cfc312975a6UL;
   tf->codes[45450] = 0x0001a419f493126bUL;
   tf->codes[45451] = 0x0001b37773aa9f47UL;
   tf->codes[45452] = 0x0001d8fad8cdcd82UL;
   tf->codes[45453] = 0x0001edb4cffc938eUL;
   tf->codes[45454] = 0x00000da9a4ae9912UL;
   tf->codes[45455] = 0x0000100fd2be1c43UL;
   tf->codes[45456] = 0x000018cbcddb696eUL;
   tf->codes[45457] = 0x000023756a9b593fUL;
   tf->codes[45458] = 0x000034d60bd9a717UL;
   tf->codes[45459] = 0x00003bb5181cf6c9UL;
   tf->codes[45460] = 0x0000469f3669419cUL;
   tf->codes[45461] = 0x000074f32cf1c444UL;
   tf->codes[45462] = 0x0000841bd4fb1c5dUL;
   tf->codes[45463] = 0x0000c89577003a9fUL;
   tf->codes[45464] = 0x0000d213e0feafe4UL;
   tf->codes[45465] = 0x0000f5a72059fc02UL;
   tf->codes[45466] = 0x00010965ee1a031cUL;
   tf->codes[45467] = 0x00010fd016e0ce93UL;
   tf->codes[45468] = 0x000118464d983c09UL;
   tf->codes[45469] = 0x00013c9f6a3606ccUL;
   tf->codes[45470] = 0x00015d1666cbdf2dUL;
   tf->codes[45471] = 0x00016bee8a2d4866UL;
   tf->codes[45472] = 0x0001b2ff4dd0bc87UL;
   tf->codes[45473] = 0x0001b36602a9db0cUL;
   tf->codes[45474] = 0x0001bbc6093018ddUL;
   tf->codes[45475] = 0x0001c99d85ba38acUL;
   tf->codes[45476] = 0x0001ca4989db2b5cUL;
   tf->codes[45477] = 0x0001cc10f8310a7fUL;
   tf->codes[45478] = 0x0001cf792c71f9b8UL;
   tf->codes[45479] = 0x0001ff1562afd3a7UL;
   tf->codes[45480] = 0x000005ab019ce754UL;
   tf->codes[45481] = 0x000014210351a56cUL;
   tf->codes[45482] = 0x0000175dfbfb5234UL;
   tf->codes[45483] = 0x000023517259c1afUL;
   tf->codes[45484] = 0x00002ee0085740cdUL;
   tf->codes[45485] = 0x00003135490f190cUL;
   tf->codes[45486] = 0x000056661a83247aUL;
   tf->codes[45487] = 0x0000a05598a2fc57UL;
   tf->codes[45488] = 0x0000b4e7fd2adc42UL;
   tf->codes[45489] = 0x0000c68fc2292c6dUL;
   tf->codes[45490] = 0x0000ceb7f85dea7aUL;
   tf->codes[45491] = 0x0000e847377597ebUL;
   tf->codes[45492] = 0x0000f1de1b3b7687UL;
   tf->codes[45493] = 0x0000f81c1e2ee879UL;
   tf->codes[45494] = 0x0000fb210bf80fb8UL;
   tf->codes[45495] = 0x000130060e4132a9UL;
   tf->codes[45496] = 0x000130e639c348cdUL;
   tf->codes[45497] = 0x00014cd62981eef7UL;
   tf->codes[45498] = 0x00015587d97b3881UL;
   tf->codes[45499] = 0x00017f83a7b427b3UL;
   tf->codes[45500] = 0x00017fe1e5e170bfUL;
   tf->codes[45501] = 0x000189375ddedd45UL;
   tf->codes[45502] = 0x0001a0131e11696bUL;
   tf->codes[45503] = 0x0001a57a1bdbac01UL;
   tf->codes[45504] = 0x0001bc5f77852a79UL;
   tf->codes[45505] = 0x0001c978a33c8a08UL;
   tf->codes[45506] = 0x0001d5482fe46fb2UL;
   tf->codes[45507] = 0x00001d3b2e112de4UL;
   tf->codes[45508] = 0x00002381329269c5UL;
   tf->codes[45509] = 0x00002f6ef0f94903UL;
   tf->codes[45510] = 0x00003cdde4321c25UL;
   tf->codes[45511] = 0x0000571961f9c20bUL;
   tf->codes[45512] = 0x0000580c14bcab84UL;
   tf->codes[45513] = 0x000062401e5305cbUL;
   tf->codes[45514] = 0x0000659fdbe81f8bUL;
   tf->codes[45515] = 0x00006b7b4810dad2UL;
   tf->codes[45516] = 0x000089fa1d510727UL;
   tf->codes[45517] = 0x0000ad87df43c8cdUL;
   tf->codes[45518] = 0x0000b2605aff00f8UL;
   tf->codes[45519] = 0x0000c45ed1badbcaUL;
   tf->codes[45520] = 0x0000c87f29b8ef7cUL;
   tf->codes[45521] = 0x0000d88af687a8baUL;
   tf->codes[45522] = 0x0000fb008217ceb3UL;
   tf->codes[45523] = 0x00011835089b6fd4UL;
   tf->codes[45524] = 0x0001467e0452dd8cUL;
   tf->codes[45525] = 0x000153d47dc44757UL;
   tf->codes[45526] = 0x00017c5edfb7d0beUL;
   tf->codes[45527] = 0x0001b2499122bc07UL;
   tf->codes[45528] = 0x0001e09bb3331087UL;
   tf->codes[45529] = 0x00001a737f770322UL;
   tf->codes[45530] = 0x0000235f83e70be7UL;
   tf->codes[45531] = 0x000028378a843888UL;
   tf->codes[45532] = 0x00003126c2c69213UL;
   tf->codes[45533] = 0x00005aa4120c0ab8UL;
   tf->codes[45534] = 0x000069fb9e9d0192UL;
   tf->codes[45535] = 0x00006a0624500af8UL;
   tf->codes[45536] = 0x00006b0da7ea0178UL;
   tf->codes[45537] = 0x00007345318d4214UL;
   tf->codes[45538] = 0x00009555679e6c26UL;
   tf->codes[45539] = 0x0000a5dcf4ac56b5UL;
   tf->codes[45540] = 0x0000aebd4e9e393bUL;
   tf->codes[45541] = 0x0000afe75c9496eeUL;
   tf->codes[45542] = 0x0000c076b0a145a7UL;
   tf->codes[45543] = 0x0000c5dfbd72bc2aUL;
   tf->codes[45544] = 0x0000ce6338917842UL;
   tf->codes[45545] = 0x0000e591c7022cfaUL;
   tf->codes[45546] = 0x0000f87cc36b557eUL;
   tf->codes[45547] = 0x00010033bf13eba0UL;
   tf->codes[45548] = 0x000107660eb36f6eUL;
   tf->codes[45549] = 0x000140a24f100ec1UL;
   tf->codes[45550] = 0x00015a05dd726e37UL;
   tf->codes[45551] = 0x00015c13102e2d0fUL;
   tf->codes[45552] = 0x000187b2d8247d1dUL;
   tf->codes[45553] = 0x0001922eefb6f0cbUL;
   tf->codes[45554] = 0x0001a636f03e2e25UL;
   tf->codes[45555] = 0x0001a9a7d5b9f89cUL;
   tf->codes[45556] = 0x0001fddcbfe5e13cUL;
   tf->codes[45557] = 0x0001fe8296f13825UL;
   tf->codes[45558] = 0x0000252424fd980fUL;
   tf->codes[45559] = 0x00002f335aa15171UL;
   tf->codes[45560] = 0x000046b2332aef44UL;
   tf->codes[45561] = 0x000051798c8bcd1fUL;
   tf->codes[45562] = 0x00007dfadf5e55efUL;
   tf->codes[45563] = 0x00007f0e48057873UL;
   tf->codes[45564] = 0x00007fc288433ad7UL;
   tf->codes[45565] = 0x000085a4969f9d6fUL;
   tf->codes[45566] = 0x00008a0a3de5854cUL;
   tf->codes[45567] = 0x0000982f45d448faUL;
   tf->codes[45568] = 0x0000c8b3a92202fcUL;
   tf->codes[45569] = 0x0000fd6ecf2e061aUL;
   tf->codes[45570] = 0x00012a52091e3446UL;
   tf->codes[45571] = 0x000133df8bfc2655UL;
   tf->codes[45572] = 0x0001573baab303feUL;
   tf->codes[45573] = 0x000160ecdcb87a19UL;
   tf->codes[45574] = 0x000186b6f07d9f1dUL;
   tf->codes[45575] = 0x0001a5e7bc655424UL;
   tf->codes[45576] = 0x0001aa58d39a5c7bUL;
   tf->codes[45577] = 0x0001cc83927a23d1UL;
   tf->codes[45578] = 0x0001ede4560904a8UL;
   tf->codes[45579] = 0x0001f45c72e43010UL;
   tf->codes[45580] = 0x0001fdfc07e4e9eaUL;
   tf->codes[45581] = 0x00001dc77577db25UL;
   tf->codes[45582] = 0x000058d56f4e5d3cUL;
   tf->codes[45583] = 0x000061d385e12dccUL;
   tf->codes[45584] = 0x00006ce2ed3e250eUL;
   tf->codes[45585] = 0x0000a1afb04ee46dUL;
   tf->codes[45586] = 0x0000a2df3badcc98UL;
   tf->codes[45587] = 0x0000a30200993990UL;
   tf->codes[45588] = 0x0000af4670bda375UL;
   tf->codes[45589] = 0x0000ebc7ab51b97fUL;
   tf->codes[45590] = 0x0000ffe700d54357UL;
   tf->codes[45591] = 0x000113c7342694cbUL;
   tf->codes[45592] = 0x0001332425e1a357UL;
   tf->codes[45593] = 0x0001342541d6f84bUL;
   tf->codes[45594] = 0x00016250465e7234UL;
   tf->codes[45595] = 0x00018ef4d33a7386UL;
   tf->codes[45596] = 0x0001a3b32306a731UL;
   tf->codes[45597] = 0x0001a7cfd2145e93UL;
   tf->codes[45598] = 0x0001bc3ade845e22UL;
   tf->codes[45599] = 0x0001c1bb05c31b5eUL;
   tf->codes[45600] = 0x0001cd63ea0031fbUL;
   tf->codes[45601] = 0x0001d1d451882903UL;
   tf->codes[45602] = 0x0001ebd7c46f4960UL;
   tf->codes[45603] = 0x0001f42125a64c02UL;
   tf->codes[45604] = 0x000005d1615071a6UL;
   tf->codes[45605] = 0x00000ffd2ec9fc39UL;
   tf->codes[45606] = 0x0000115b9eb08325UL;
   tf->codes[45607] = 0x00003186a9cae00aUL;
   tf->codes[45608] = 0x000039c37647a559UL;
   tf->codes[45609] = 0x000044278930bb3aUL;
   tf->codes[45610] = 0x000058bebb74144eUL;
   tf->codes[45611] = 0x00005c264007f238UL;
   tf->codes[45612] = 0x00005d8091e0114aUL;
   tf->codes[45613] = 0x00007cd50cef4a5dUL;
   tf->codes[45614] = 0x0000802b699c7790UL;
   tf->codes[45615] = 0x000092c6cb99c848UL;
   tf->codes[45616] = 0x0000a309b90ceffbUL;
   tf->codes[45617] = 0x0000af9d890e2be7UL;
   tf->codes[45618] = 0x0000bdda5b17479dUL;
   tf->codes[45619] = 0x0000c06229471aedUL;
   tf->codes[45620] = 0x0000f0af316160b5UL;
   tf->codes[45621] = 0x0000f34702acc7e3UL;
   tf->codes[45622] = 0x000107093ece2588UL;
   tf->codes[45623] = 0x00010d4741c1977aUL;
   tf->codes[45624] = 0x00010e76929179e0UL;
   tf->codes[45625] = 0x0001137d43273f7dUL;
   tf->codes[45626] = 0x00011afef2a39552UL;
   tf->codes[45627] = 0x000146be86420757UL;
   tf->codes[45628] = 0x000158e9d27e4cfdUL;
   tf->codes[45629] = 0x000159be53823ce2UL;
   tf->codes[45630] = 0x00016f1d378042c3UL;
   tf->codes[45631] = 0x000174180308dc5cUL;
   tf->codes[45632] = 0x000176b72634fc2aUL;
   tf->codes[45633] = 0x000182d90bfcfedcUL;
   tf->codes[45634] = 0x00018663900b4f83UL;
   tf->codes[45635] = 0x00019d4124b609d1UL;
   tf->codes[45636] = 0x0001aef2100d40c4UL;
   tf->codes[45637] = 0x0001b9a3ae5afa84UL;
   tf->codes[45638] = 0x0001c3b68cef1036UL;
   tf->codes[45639] = 0x0001c5671b66ae65UL;
   tf->codes[45640] = 0x0001caab19b67e3eUL;
   tf->codes[45641] = 0x0001d02c2b31528eUL;
   tf->codes[45642] = 0x0001f6d3abc4487aUL;
   tf->codes[45643] = 0x0001fbb3ee7e44cfUL;
   tf->codes[45644] = 0x0001feae1c055ce3UL;
   tf->codes[45645] = 0x000030a6aa4cc1ecUL;
   tf->codes[45646] = 0x00003174c3ac1045UL;
   tf->codes[45647] = 0x0000333938bea467UL;
   tf->codes[45648] = 0x0000359605e63b0bUL;
   tf->codes[45649] = 0x00003954ebe4b4ebUL;
   tf->codes[45650] = 0x00004230b2aa240dUL;
   tf->codes[45651] = 0x00004b3fb6949f8fUL;
   tf->codes[45652] = 0x00005133d713c9f2UL;
   tf->codes[45653] = 0x0000698bfe5cd0d3UL;
   tf->codes[45654] = 0x000072f4382a1673UL;
   tf->codes[45655] = 0x00007355350ba4bbUL;
   tf->codes[45656] = 0x00007c9ae47c8328UL;
   tf->codes[45657] = 0x00008f0468aeea1eUL;
   tf->codes[45658] = 0x0000974a5b849635UL;
   tf->codes[45659] = 0x0000bbdf2bf342d1UL;
   tf->codes[45660] = 0x0000ccc531bd7c31UL;
   tf->codes[45661] = 0x0000e335e4797c33UL;
   tf->codes[45662] = 0x0000f1bb399cbcdaUL;
   tf->codes[45663] = 0x000118a28c0efc79UL;
   tf->codes[45664] = 0x000128e872c56f2dUL;
   tf->codes[45665] = 0x0001295554b42979UL;
   tf->codes[45666] = 0x000139a461c382f5UL;
   tf->codes[45667] = 0x00013e55fa84e64eUL;
   tf->codes[45668] = 0x000144730d051970UL;
   tf->codes[45669] = 0x00016fbafe72c1feUL;
   tf->codes[45670] = 0x000176eee7fb6e2fUL;
   tf->codes[45671] = 0x00019ef8bbf44d1cUL;
   tf->codes[45672] = 0x0001abdeaa86a04bUL;
   tf->codes[45673] = 0x0001c4b7d4e85d30UL;
   tf->codes[45674] = 0x0001df294e8954b2UL;
   tf->codes[45675] = 0x0001edd8455aaf67UL;
   tf->codes[45676] = 0x000003b3d3d3fdadUL;
   tf->codes[45677] = 0x0000233efa6999abUL;
   tf->codes[45678] = 0x000023ebe8c6a36fUL;
   tf->codes[45679] = 0x000027cd93b08a47UL;
   tf->codes[45680] = 0x0000374fe6bab808UL;
   tf->codes[45681] = 0x00007d0daa66c5b7UL;
   tf->codes[45682] = 0x00008338b0fb58caUL;
   tf->codes[45683] = 0x00009efd9fb1c248UL;
   tf->codes[45684] = 0x0000be68c010368aUL;
   tf->codes[45685] = 0x0000c530775739beUL;
   tf->codes[45686] = 0x0000cf2bc65ffd2dUL;
   tf->codes[45687] = 0x00010e6a906e325eUL;
   tf->codes[45688] = 0x00011c1c89589ff9UL;
   tf->codes[45689] = 0x000144e229feffafUL;
   tf->codes[45690] = 0x0001487b173fbbd1UL;
   tf->codes[45691] = 0x00016b5c25647978UL;
   tf->codes[45692] = 0x0001758e1ff39fd2UL;
   tf->codes[45693] = 0x000180d0c475a374UL;
   tf->codes[45694] = 0x00018fa69e40d2fbUL;
   tf->codes[45695] = 0x0001a7b93bb2ffecUL;
   tf->codes[45696] = 0x0001b240138782c5UL;
   tf->codes[45697] = 0x0001dedfd2a80aeeUL;
   tf->codes[45698] = 0x0001eebddfba4244UL;
   tf->codes[45699] = 0x00000c1d2cb71a4cUL;
   tf->codes[45700] = 0x00001140ea40bca4UL;
   tf->codes[45701] = 0x0000444a227afef5UL;
   tf->codes[45702] = 0x0000594dc18f06cbUL;
   tf->codes[45703] = 0x00005b2cf9ff3df6UL;
   tf->codes[45704] = 0x00005d953715f514UL;
   tf->codes[45705] = 0x00007181c4927e16UL;
   tf->codes[45706] = 0x0000780e77b5b0c0UL;
   tf->codes[45707] = 0x0000a40bce2c388bUL;
   tf->codes[45708] = 0x0001135d866cfa0eUL;
   tf->codes[45709] = 0x00011e74ef57bb3fUL;
   tf->codes[45710] = 0x0001288e701f7842UL;
   tf->codes[45711] = 0x00015bb146ec40c3UL;
   tf->codes[45712] = 0x00017bbd709a92c5UL;
   tf->codes[45713] = 0x000197307b4eeac5UL;
   tf->codes[45714] = 0x00019f4f160cb680UL;
   tf->codes[45715] = 0x0001a17621ea014dUL;
   tf->codes[45716] = 0x0001a8034a2b3f81UL;
   tf->codes[45717] = 0x0001ac5ea64d23bdUL;
   tf->codes[45718] = 0x0001b04a273d02acUL;
   tf->codes[45719] = 0x0001d82c2dfff5b3UL;
   tf->codes[45720] = 0x0001e4b2b999e2fdUL;
   tf->codes[45721] = 0x0001e50930c867dfUL;
   tf->codes[45722] = 0x0001ed2f9284f7c4UL;
   tf->codes[45723] = 0x0001fac09afc268fUL;
   tf->codes[45724] = 0x000026fa54f0a182UL;
   tf->codes[45725] = 0x00004cd0c2e0fe14UL;
   tf->codes[45726] = 0x0000589d1bb692f8UL;
   tf->codes[45727] = 0x00006243c808ffadUL;
   tf->codes[45728] = 0x000073e55ff1b411UL;
   tf->codes[45729] = 0x00007b40a192409eUL;
   tf->codes[45730] = 0x000088098330b712UL;
   tf->codes[45731] = 0x00008b64730a57a9UL;
   tf->codes[45732] = 0x00009596e2b7898dUL;
   tf->codes[45733] = 0x000097f28b140358UL;
   tf->codes[45734] = 0x00009d0bfd79a20fUL;
   tf->codes[45735] = 0x0000a446fe54011bUL;
   tf->codes[45736] = 0x0000beb3351b73eaUL;
   tf->codes[45737] = 0x0000d51d0b14c6d6UL;
   tf->codes[45738] = 0x0000f60a4a814610UL;
   tf->codes[45739] = 0x00011a36570fa03aUL;
   tf->codes[45740] = 0x000123121dd50f5cUL;
   tf->codes[45741] = 0x000128ed89fdcaa3UL;
   tf->codes[45742] = 0x00012e14b5e8c386UL;
   tf->codes[45743] = 0x00012fdc5ecda86eUL;
   tf->codes[45744] = 0x000161587d28cad7UL;
   tf->codes[45745] = 0x00016ebb8b5471f5UL;
   tf->codes[45746] = 0x0001a078dae900afUL;
   tf->codes[45747] = 0x0001a8ea43e4f4fcUL;
   tf->codes[45748] = 0x0001b2715f1e457fUL;
   tf->codes[45749] = 0x0001e60f810c33c7UL;
   tf->codes[45750] = 0x000010b9626d4996UL;
   tf->codes[45751] = 0x000013f4869ec836UL;
   tf->codes[45752] = 0x00001ca720d428d4UL;
   tf->codes[45753] = 0x00001ec540e7929eUL;
   tf->codes[45754] = 0x0000352c1d9d9a89UL;
   tf->codes[45755] = 0x00003e9c58f8aa18UL;
   tf->codes[45756] = 0x00004954245bff9fUL;
   tf->codes[45757] = 0x000054697e3f8ce3UL;
   tf->codes[45758] = 0x000075a74253fafdUL;
   tf->codes[45759] = 0x00008650e4a04135UL;
   tf->codes[45760] = 0x0000c43caeb70ff4UL;
   tf->codes[45761] = 0x0000c5b398650037UL;
   tf->codes[45762] = 0x0000daca6e66ecb1UL;
   tf->codes[45763] = 0x0000dd5cc249c967UL;
   tf->codes[45764] = 0x0000e6e27e28f74cUL;
   tf->codes[45765] = 0x0000f21385a63eadUL;
   tf->codes[45766] = 0x0000f510e6ffa787UL;
   tf->codes[45767] = 0x0000f8cc5e9ccadcUL;
   tf->codes[45768] = 0x00010a19194022c1UL;
   tf->codes[45769] = 0x00011132ef183d38UL;
   tf->codes[45770] = 0x000137fde443b16bUL;
   tf->codes[45771] = 0x00013898fb0cf929UL;
   tf->codes[45772] = 0x0001465f1521627cUL;
   tf->codes[45773] = 0x00014c6422f837d1UL;
   tf->codes[45774] = 0x00014ffcd5a9ee2eUL;
   tf->codes[45775] = 0x00016c8bfa4043f0UL;
   tf->codes[45776] = 0x0001a019a3f492d0UL;
   tf->codes[45777] = 0x0001a62ca5dfc816UL;
   tf->codes[45778] = 0x0001af274e11421bUL;
   tf->codes[45779] = 0x0001d66a5a8b8b4fUL;
   tf->codes[45780] = 0x0001f4a6d9c72e7aUL;
   tf->codes[45781] = 0x000001eb0686cab5UL;
   tf->codes[45782] = 0x0000194b72c2692fUL;
   tf->codes[45783] = 0x0000433862aae15cUL;
   tf->codes[45784] = 0x00004e82590d9d9eUL;
   tf->codes[45785] = 0x000054e988911e14UL;
   tf->codes[45786] = 0x0000602b42d70aa2UL;
   tf->codes[45787] = 0x00006aa5c08055edUL;
   tf->codes[45788] = 0x00008ba4d780972dUL;
   tf->codes[45789] = 0x0000d250bac31af1UL;
   tf->codes[45790] = 0x00010708e78bd30eUL;
   tf->codes[45791] = 0x000109bacc87cbf6UL;
   tf->codes[45792] = 0x0001123d97f976bfUL;
   tf->codes[45793] = 0x00011dcc6885fba2UL;
   tf->codes[45794] = 0x0001269189fc2f95UL;
   tf->codes[45795] = 0x0001684aa343e3afUL;
   tf->codes[45796] = 0x0001757b99159b46UL;
   tf->codes[45797] = 0x000180d0c4d8723dUL;
   tf->codes[45798] = 0x0001989c03fb9716UL;
   tf->codes[45799] = 0x00019cff9c3a4b06UL;
   tf->codes[45800] = 0x0001a24a774cc7f5UL;
   tf->codes[45801] = 0x0001cc7ddb483126UL;
   tf->codes[45802] = 0x0001d8674111a2c5UL;
   tf->codes[45803] = 0x0001f04b348b36baUL;
   tf->codes[45804] = 0x00000afc457c722aUL;
   tf->codes[45805] = 0x00000d30d050115eUL;
   tf->codes[45806] = 0x0000232a1b6a4daeUL;
   tf->codes[45807] = 0x0000240d402faed3UL;
   tf->codes[45808] = 0x00002c3959e3cef5UL;
   tf->codes[45809] = 0x000035589b78e41aUL;
   tf->codes[45810] = 0x00004509235d9f4dUL;
   tf->codes[45811] = 0x000053e26b8a255fUL;
   tf->codes[45812] = 0x00008eb267f98bebUL;
   tf->codes[45813] = 0x00009583459975e7UL;
   tf->codes[45814] = 0x0000aa2bda528577UL;
   tf->codes[45815] = 0x0000bdc6f8eb0885UL;
   tf->codes[45816] = 0x0000c19d33e5cee3UL;
   tf->codes[45817] = 0x0000e7bf9351a6f1UL;
   tf->codes[45818] = 0x0000ee097b5244e7UL;
   tf->codes[45819] = 0x0001283366274ec5UL;
   tf->codes[45820] = 0x000134dddb77c5e0UL;
   tf->codes[45821] = 0x00014999e1adbfd9UL;
   tf->codes[45822] = 0x00016ed832181faeUL;
   tf->codes[45823] = 0x000179f0bfcdfdb8UL;
   tf->codes[45824] = 0x000192641f92b32cUL;
   tf->codes[45825] = 0x0001a20603b5fd1fUL;
   tf->codes[45826] = 0x0001b2a4e5c0342cUL;
   tf->codes[45827] = 0x0001c70f4283226cUL;
   tf->codes[45828] = 0x0001c95111be1042UL;
   tf->codes[45829] = 0x0001cb8c3ec556c7UL;
   tf->codes[45830] = 0x0001cc19d6984a1eUL;
   tf->codes[45831] = 0x0001cd66e4091a8eUL;
   tf->codes[45832] = 0x0001d686602d3578UL;
   tf->codes[45833] = 0x0001d8b69263670dUL;
   tf->codes[45834] = 0x0001de158e9fdfb4UL;
   tf->codes[45835] = 0x0001f76de7a22475UL;
   tf->codes[45836] = 0x000004fd56302addUL;
   tf->codes[45837] = 0x00000c9e96c59ce4UL;
   tf->codes[45838] = 0x00001ee30c765d30UL;
   tf->codes[45839] = 0x000023cebf1f79ffUL;
   tf->codes[45840] = 0x000025cc63ddb083UL;
   tf->codes[45841] = 0x0000318a8e0fdfb1UL;
   tf->codes[45842] = 0x0000465f489c48c6UL;
   tf->codes[45843] = 0x0000472e11a8a86eUL;
   tf->codes[45844] = 0x00005b689fa7e0d9UL;
   tf->codes[45845] = 0x000061bd827993bfUL;
   tf->codes[45846] = 0x000068ea8f3f92daUL;
   tf->codes[45847] = 0x000074783b00fae4UL;
   tf->codes[45848] = 0x00008655119c8597UL;
   tf->codes[45849] = 0x000086c59c7b9c33UL;
   tf->codes[45850] = 0x0000af83762337bfUL;
   tf->codes[45851] = 0x0000f802e757cc6fUL;
   tf->codes[45852] = 0x000127a2c68602aeUL;
   tf->codes[45853] = 0x00012c120942dcddUL;
   tf->codes[45854] = 0x00013b54154fb561UL;
   tf->codes[45855] = 0x00013d134788c4d0UL;
   tf->codes[45856] = 0x0001523886bd1cc5UL;
   tf->codes[45857] = 0x000164cbac9d9dc9UL;
   tf->codes[45858] = 0x00019e24f9ee19d7UL;
   tf->codes[45859] = 0x0001a5f1b0a9d414UL;
   tf->codes[45860] = 0x0001a74bc7f2ed61UL;
   tf->codes[45861] = 0x0001b9eb828dabb8UL;
   tf->codes[45862] = 0x0001be716a99c116UL;
   tf->codes[45863] = 0x0001de53085de1f6UL;
   tf->codes[45864] = 0x0001eae0e5d887e0UL;
   tf->codes[45865] = 0x0000262d17a52b47UL;
   tf->codes[45866] = 0x000027afabd141c9UL;
   tf->codes[45867] = 0x0000401552109d11UL;
   tf->codes[45868] = 0x00005a735a34aa2aUL;
   tf->codes[45869] = 0x000076e153c8bb57UL;
   tf->codes[45870] = 0x0000a25f0680afbcUL;
   tf->codes[45871] = 0x0000abd7b88794c4UL;
   tf->codes[45872] = 0x0000bc4b5efa8960UL;
   tf->codes[45873] = 0x0000ddaac32f4799UL;
   tf->codes[45874] = 0x0000f388d5cdd556UL;
   tf->codes[45875] = 0x00010dc419067577UL;
   tf->codes[45876] = 0x00014c64235b069aUL;
   tf->codes[45877] = 0x00014e00cb37aed6UL;
   tf->codes[45878] = 0x00019a31a37468ffUL;
   tf->codes[45879] = 0x0001bfdcd5cd8320UL;
   tf->codes[45880] = 0x0001c7fa11312c3dUL;
   tf->codes[45881] = 0x0001d028747b8611UL;
   tf->codes[45882] = 0x000007c9e173ab50UL;
   tf->codes[45883] = 0x00003ecb2f5809e3UL;
   tf->codes[45884] = 0x0000440766a91592UL;
   tf->codes[45885] = 0x0000846752e3c773UL;
   tf->codes[45886] = 0x00009a6b5e4012eeUL;
   tf->codes[45887] = 0x0000bfb25fe54e01UL;
   tf->codes[45888] = 0x0000cdc8c412a06fUL;
   tf->codes[45889] = 0x0000d4fa640512eeUL;
   tf->codes[45890] = 0x0000e1a79809cf45UL;
   tf->codes[45891] = 0x000101065e3d0bf9UL;
   tf->codes[45892] = 0x00010625137c2f63UL;
   tf->codes[45893] = 0x00010ee73baf1855UL;
   tf->codes[45894] = 0x000126c5ec4f2797UL;
   tf->codes[45895] = 0x0001517217467718UL;
   tf->codes[45896] = 0x00016882ae873801UL;
   tf->codes[45897] = 0x0001794121aa8b40UL;
   tf->codes[45898] = 0x0001fb3762418443UL;
   tf->codes[45899] = 0x0000025172a8a47fUL;
   tf->codes[45900] = 0x00000ed714067ab5UL;
   tf->codes[45901] = 0x00003d28fb87c970UL;
   tf->codes[45902] = 0x00005cdcd98f6868UL;
   tf->codes[45903] = 0x000069205f77bb39UL;
   tf->codes[45904] = 0x00007d87c2f75e78UL;
   tf->codes[45905] = 0x000080567a582e56UL;
   tf->codes[45906] = 0x000081124705af1fUL;
   tf->codes[45907] = 0x00008f01531b2131UL;
   tf->codes[45908] = 0x00008fc29d312c72UL;
   tf->codes[45909] = 0x000090afd28b8b73UL;
   tf->codes[45910] = 0x0000af4ee891e549UL;
   tf->codes[45911] = 0x0000d126298672beUL;
   tf->codes[45912] = 0x0000d5179cfce7afUL;
   tf->codes[45913] = 0x0000dc116c9dda6aUL;
   tf->codes[45914] = 0x00011b0a37b72a21UL;
   tf->codes[45915] = 0x00012d0b6d274a2fUL;
   tf->codes[45916] = 0x000143a5c191643fUL;
   tf->codes[45917] = 0x00018ba554785fc4UL;
   tf->codes[45918] = 0x00019abee3a23b13UL;
   tf->codes[45919] = 0x0001ac33a60a84a3UL;
   tf->codes[45920] = 0x0001e6897c23e241UL;
   tf->codes[45921] = 0x0001eb5fe8d7e67fUL;
   tf->codes[45922] = 0x0001ec19e10d3920UL;
   tf->codes[45923] = 0x0001fbc6105486b4UL;
   tf->codes[45924] = 0x0000016bbb32f624UL;
   tf->codes[45925] = 0x00000277224c4eb9UL;
   tf->codes[45926] = 0x000004bcd5069ea4UL;
   tf->codes[45927] = 0x0000069829f773baUL;
   tf->codes[45928] = 0x00001cf4466b6c7aUL;
   tf->codes[45929] = 0x0000203b4faa171eUL;
   tf->codes[45930] = 0x00002611ee17593cUL;
   tf->codes[45931] = 0x000037ccea038e0bUL;
   tf->codes[45932] = 0x0000397501cf56c1UL;
   tf->codes[45933] = 0x000081aeae9e0bbcUL;
   tf->codes[45934] = 0x0000964de26f2ebfUL;
   tf->codes[45935] = 0x0000a135f1b445a5UL;
   tf->codes[45936] = 0x0000a378ab2b4a8fUL;
   tf->codes[45937] = 0x0000a452e426cab1UL;
   tf->codes[45938] = 0x0000af90805e4f65UL;
   tf->codes[45939] = 0x0000b45131ff2f88UL;
   tf->codes[45940] = 0x0000b5d1f1b317e2UL;
   tf->codes[45941] = 0x0000ed3401e9fef8UL;
   tf->codes[45942] = 0x00011fa432622d78UL;
   tf->codes[45943] = 0x000120b810275b86UL;
   tf->codes[45944] = 0x00012c63eda7bd24UL;
   tf->codes[45945] = 0x00013133b8281a11UL;
   tf->codes[45946] = 0x00013cfa1e7718f3UL;
   tf->codes[45947] = 0x000150dac6e675f1UL;
   tf->codes[45948] = 0x00016d62d42b18d8UL;
   tf->codes[45949] = 0x00018a0b5cc4ef05UL;
   tf->codes[45950] = 0x00019ac8e5ac2b30UL;
   tf->codes[45951] = 0x00019ec79d89eec3UL;
   tf->codes[45952] = 0x0001b2c343e5f48fUL;
   tf->codes[45953] = 0x0001e27d36c4bc88UL;
   tf->codes[45954] = 0x0001e3a2b18ea6d7UL;
   tf->codes[45955] = 0x00000d328814f2d1UL;
   tf->codes[45956] = 0x00000e8721f581a6UL;
   tf->codes[45957] = 0x00001c1d6d463524UL;
   tf->codes[45958] = 0x00001e9e5eb35b5eUL;
   tf->codes[45959] = 0x0000281bde75b98fUL;
   tf->codes[45960] = 0x00004bbeabce8e01UL;
   tf->codes[45961] = 0x0000528c559c2737UL;
   tf->codes[45962] = 0x000071c5d2beb77cUL;
   tf->codes[45963] = 0x000071c6826bc8cbUL;
   tf->codes[45964] = 0x00008a504cf0b3a9UL;
   tf->codes[45965] = 0x000096c0e2e87713UL;
   tf->codes[45966] = 0x0000b273bf7c18c6UL;
   tf->codes[45967] = 0x0000c63969feccf6UL;
   tf->codes[45968] = 0x0000c9af57c5165bUL;
   tf->codes[45969] = 0x0000cafc2aa6e106UL;
   tf->codes[45970] = 0x0000da0c1e59ca03UL;
   tf->codes[45971] = 0x0000f5b4001c56c6UL;
   tf->codes[45972] = 0x0001089894e0ddbeUL;
   tf->codes[45973] = 0x0001139ed5e4ee38UL;
   tf->codes[45974] = 0x00012d2947412280UL;
   tf->codes[45975] = 0x00014ec50ef3d3e1UL;
   tf->codes[45976] = 0x00017b74d12fefe8UL;
   tf->codes[45977] = 0x00018af42af6d2a8UL;
   tf->codes[45978] = 0x0001a01a19d83becUL;
   tf->codes[45979] = 0x0001b1f8153ee378UL;
   tf->codes[45980] = 0x0001b81aa527a112UL;
   tf->codes[45981] = 0x0001c6276dde012eUL;
   tf->codes[45982] = 0x0001d9c301948fc6UL;
   tf->codes[45983] = 0x0001f2637168b5d3UL;
   tf->codes[45984] = 0x0000027028738625UL;
   tf->codes[45985] = 0x0000241c2dd0d129UL;
   tf->codes[45986] = 0x000034cc37c1b8edUL;
   tf->codes[45987] = 0x00003f80cf52bdaeUL;
   tf->codes[45988] = 0x0000609f024e0f96UL;
   tf->codes[45989] = 0x000064899901d771UL;
   tf->codes[45990] = 0x000069e85aaf4a53UL;
   tf->codes[45991] = 0x000070db12fe8a33UL;
   tf->codes[45992] = 0x0000bc81fc58ad55UL;
   tf->codes[45993] = 0x0000c514cae5ebfcUL;
   tf->codes[45994] = 0x0000e6b89426674cUL;
   tf->codes[45995] = 0x0000ee348bab2ce4UL;
   tf->codes[45996] = 0x00010b01388a92a7UL;
   tf->codes[45997] = 0x0001177aba4c3714UL;
   tf->codes[45998] = 0x000171eae8b74c6aUL;
   tf->codes[45999] = 0x00017856e5f64609UL;
   tf->codes[46000] = 0x00017aae35b55235UL;
   tf->codes[46001] = 0x0001c0cc4695dcddUL;
   tf->codes[46002] = 0x0001d0282bc44156UL;
   tf->codes[46003] = 0x0001dbc3cb9a0951UL;
   tf->codes[46004] = 0x000005f9ee49b7beUL;
   tf->codes[46005] = 0x000059e271dc1958UL;
   tf->codes[46006] = 0x00005ce34196d8bdUL;
   tf->codes[46007] = 0x0000622655aa9182UL;
   tf->codes[46008] = 0x00006857fe72cbe6UL;
   tf->codes[46009] = 0x000072063734f700UL;
   tf->codes[46010] = 0x0000815c646bcb3cUL;
   tf->codes[46011] = 0x00008e7605413655UL;
   tf->codes[46012] = 0x0000b7f47951cbd3UL;
   tf->codes[46013] = 0x0000d043ef5ff776UL;
   tf->codes[46014] = 0x0000e026550f9c6bUL;
   tf->codes[46015] = 0x0000e116f8cb51f7UL;
   tf->codes[46016] = 0x0001287affcafa34UL;
   tf->codes[46017] = 0x00012a5a383b315fUL;
   tf->codes[46018] = 0x00014b9662667716UL;
   tf->codes[46019] = 0x00016674f8852ea9UL;
   tf->codes[46020] = 0x00017b0bf03981f8UL;
   tf->codes[46021] = 0x0001894887b397e9UL;
   tf->codes[46022] = 0x00019f3a0bcf100fUL;
   tf->codes[46023] = 0x0001b719a6ab3665UL;
   tf->codes[46024] = 0x0001d24b45971c4fUL;
   tf->codes[46025] = 0x0001d318e9d85f1eUL;
   tf->codes[46026] = 0x0001d763cdc0a3f2UL;
   tf->codes[46027] = 0x0001f121b6d0ea5fUL;
   tf->codes[46028] = 0x0001fe2a2fbfa4c1UL;
   tf->codes[46029] = 0x00002ec62298b106UL;
   tf->codes[46030] = 0x00004ac7af5c1371UL;
   tf->codes[46031] = 0x00007c5c820da4f6UL;
   tf->codes[46032] = 0x0000a8896cb8dcd1UL;
   tf->codes[46033] = 0x0000af55b72c5369UL;
   tf->codes[46034] = 0x0000ba3acd2e1f4eUL;
   tf->codes[46035] = 0x0000c3e97b0e55f2UL;
   tf->codes[46036] = 0x0000fbbe252b8791UL;
   tf->codes[46037] = 0x0001044215684f33UL;
   tf->codes[46038] = 0x00010758dac53878UL;
   tf->codes[46039] = 0x00011fa4a7e307cbUL;
   tf->codes[46040] = 0x0001259c36c388b9UL;
   tf->codes[46041] = 0x00012d7a8a83ff37UL;
   tf->codes[46042] = 0x000145e4fe7ed3a8UL;
   tf->codes[46043] = 0x000156e8c0e9fb12UL;
   tf->codes[46044] = 0x00017c0b292b9b05UL;
   tf->codes[46045] = 0x0001a6076c8295c1UL;
   tf->codes[46046] = 0x0001b98a8671bb02UL;
   tf->codes[46047] = 0x0001e3230e32e23aUL;
   tf->codes[46048] = 0x0001e55accd8d234UL;
   tf->codes[46049] = 0x000014917308aa77UL;
   tf->codes[46050] = 0x0000249ed9c08c18UL;
   tf->codes[46051] = 0x00003aa2356fc644UL;
   tf->codes[46052] = 0x00006fd02ff119b0UL;
   tf->codes[46053] = 0x00007e7849ffc74fUL;
   tf->codes[46054] = 0x00008c35784a4f9fUL;
   tf->codes[46055] = 0x00009c7cf8e9eab6UL;
   tf->codes[46056] = 0x0000b0f2507dede6UL;
   tf->codes[46057] = 0x0000b6c127ec6bdaUL;
   tf->codes[46058] = 0x0000d1c0396056b3UL;
   tf->codes[46059] = 0x0000f7c84a8c9742UL;
   tf->codes[46060] = 0x0001279f4a5f3bf6UL;
   tf->codes[46061] = 0x00012cbd1562484cUL;
   tf->codes[46062] = 0x00014f15596f8bc5UL;
   tf->codes[46063] = 0x0001525dfc975eccUL;
   tf->codes[46064] = 0x00017ef9631a7956UL;
   tf->codes[46065] = 0x00019c3a7e5857caUL;
   tf->codes[46066] = 0x0001a2169a2e2460UL;
   tf->codes[46067] = 0x0001a33279811c5dUL;
   tf->codes[46068] = 0x0001bb1c9a104c19UL;
   tf->codes[46069] = 0x0001cbe90147ff49UL;
   tf->codes[46070] = 0x0001f8f1f966e56eUL;
   tf->codes[46071] = 0x0001fa2b955acb75UL;
   tf->codes[46072] = 0x00001472831191d5UL;
   tf->codes[46073] = 0x000021824de104d7UL;
   tf->codes[46074] = 0x0000328b8db4b6b9UL;
   tf->codes[46075] = 0x0000371050f5af3eUL;
   tf->codes[46076] = 0x000042df687f895eUL;
   tf->codes[46077] = 0x00004bec22d3cb2eUL;
   tf->codes[46078] = 0x000050e728eb6a8cUL;
   tf->codes[46079] = 0x000056fc746cd984UL;
   tf->codes[46080] = 0x0000672722a79da5UL;
   tf->codes[46081] = 0x00006f6429b368b9UL;
   tf->codes[46082] = 0x00007d821a50798cUL;
   tf->codes[46083] = 0x00007e857fdc0832UL;
   tf->codes[46084] = 0x00009e2c197c5888UL;
   tf->codes[46085] = 0x0000a6b302fc6b2bUL;
   tf->codes[46086] = 0x0000a89e5b08d41fUL;
   tf->codes[46087] = 0x0000b21488ea79b0UL;
   tf->codes[46088] = 0x000105ea4aad0230UL;
   tf->codes[46089] = 0x00012a783e5901b6UL;
   tf->codes[46090] = 0x0001698b57b1e8ecUL;
   tf->codes[46091] = 0x0001801e94ca5021UL;
   tf->codes[46092] = 0x000180ac2c9d4378UL;
   tf->codes[46093] = 0x000180d72da58024UL;
   tf->codes[46094] = 0x000196410c749af5UL;
   tf->codes[46095] = 0x0001b5bb0b23863cUL;
   tf->codes[46096] = 0x0001b70051959282UL;
   tf->codes[46097] = 0x0001c5ba7dc707ecUL;
   tf->codes[46098] = 0x0001cd25fd122e1cUL;
   tf->codes[46099] = 0x00000d74fbf5350bUL;
   tf->codes[46100] = 0x00002e32320ef8abUL;
   tf->codes[46101] = 0x00002f5ec42a95d5UL;
   tf->codes[46102] = 0x00009275e24ce58aUL;
   tf->codes[46103] = 0x0000e7bb3bdca5adUL;
   tf->codes[46104] = 0x00010f2f0156bbcaUL;
   tf->codes[46105] = 0x00011787064f2facUL;
   tf->codes[46106] = 0x00011aaef392c9a8UL;
   tf->codes[46107] = 0x000125794636f284UL;
   tf->codes[46108] = 0x0001506c94ee4458UL;
   tf->codes[46109] = 0x00016787775308e2UL;
   tf->codes[46110] = 0x00016da86d529e19UL;
   tf->codes[46111] = 0x000178da5f0bfc8eUL;
   tf->codes[46112] = 0x0001af1b1287612fUL;
   tf->codes[46113] = 0x0001bcefd05d3bc2UL;
   tf->codes[46114] = 0x0001d3166615ee70UL;
   tf->codes[46115] = 0x0001db2622834326UL;
   tf->codes[46116] = 0x0001e247f9e9278cUL;
   tf->codes[46117] = 0x0001ecc0dda94a74UL;
   tf->codes[46118] = 0x0001fc766dd88495UL;
   tf->codes[46119] = 0x000017ebfcb21c0cUL;
   tf->codes[46120] = 0x0000215520bb78c0UL;
   tf->codes[46121] = 0x000028e4c44c2e86UL;
   tf->codes[46122] = 0x00002b061831e916UL;
   tf->codes[46123] = 0x000040791d59eaafUL;
   tf->codes[46124] = 0x000045596013e704UL;
   tf->codes[46125] = 0x00004627b4023b22UL;
   tf->codes[46126] = 0x00006e6f8562359aUL;
   tf->codes[46127] = 0x00008ce23b063026UL;
   tf->codes[46128] = 0x000095511fdce4fcUL;
   tf->codes[46129] = 0x0000aa36c7c0f903UL;
   tf->codes[46130] = 0x0000abb6d7c7d00eUL;
   tf->codes[46131] = 0x0000b07edb4968d1UL;
   tf->codes[46132] = 0x0000e1d11d676b67UL;
   tf->codes[46133] = 0x0000eaabf9f0c375UL;
   tf->codes[46134] = 0x0000ef300d84aaabUL;
   tf->codes[46135] = 0x00012cfb5c464624UL;
   tf->codes[46136] = 0x00012d448f0d7c64UL;
   tf->codes[46137] = 0x00013cf516f23797UL;
   tf->codes[46138] = 0x0001470f0cd80024UL;
   tf->codes[46139] = 0x00019df0d3b562beUL;
   tf->codes[46140] = 0x0001df7b43047ddcUL;
   tf->codes[46141] = 0x0001ecf1fd3c1528UL;
   tf->codes[46142] = 0x00000f548c6d5c42UL;
   tf->codes[46143] = 0x000010895aa5c920UL;
   tf->codes[46144] = 0x0000178c16109cdeUL;
   tf->codes[46145] = 0x00006170d3ee6590UL;
   tf->codes[46146] = 0x000077c404987d4dUL;
   tf->codes[46147] = 0x0000aa935d7a0bedUL;
   tf->codes[46148] = 0x0000bb03206d9e74UL;
   tf->codes[46149] = 0x0000bc081fe2557dUL;
   tf->codes[46150] = 0x0000f54634b722f8UL;
   tf->codes[46151] = 0x0000fd583abab160UL;
   tf->codes[46152] = 0x00011ed645cc74b7UL;
   tf->codes[46153] = 0x0001363a206969bcUL;
   tf->codes[46154] = 0x0001371c9581b992UL;
   tf->codes[46155] = 0x00013ddb266fd5feUL;
   tf->codes[46156] = 0x0001bced69b0e692UL;
   tf->codes[46157] = 0x0001dc50c31096aaUL;
   tf->codes[46158] = 0x0001ebaf2c643a9aUL;
   tf->codes[46159] = 0x000004045a69f67aUL;
   tf->codes[46160] = 0x00000e294b20d3f7UL;
   tf->codes[46161] = 0x000051e80ab48884UL;
   tf->codes[46162] = 0x000052dedb85d9d7UL;
   tf->codes[46163] = 0x000060d36503d661UL;
   tf->codes[46164] = 0x000062315fcc51c3UL;
   tf->codes[46165] = 0x00009032fd34b763UL;
   tf->codes[46166] = 0x0000998332589f36UL;
   tf->codes[46167] = 0x0000acd349b1bddcUL;
   tf->codes[46168] = 0x0000c1fc31d67221UL;
   tf->codes[46169] = 0x0000e7896cff9873UL;
   tf->codes[46170] = 0x0000f10a95b252f4UL;
   tf->codes[46171] = 0x000102098a620135UL;
   tf->codes[46172] = 0x000114dc4792c627UL;
   tf->codes[46173] = 0x000170ec171dcebaUL;
   tf->codes[46174] = 0x0001c7ee5950649aUL;
   tf->codes[46175] = 0x0001ea12b08b8a64UL;
   tf->codes[46176] = 0x0001f802e16c194fUL;
   tf->codes[46177] = 0x0001fc2ac5d9eb66UL;
   tf->codes[46178] = 0x00001bd75200d1beUL;
   tf->codes[46179] = 0x00002561db9b78ccUL;
   tf->codes[46180] = 0x000028fc62c55d51UL;
   tf->codes[46181] = 0x000034f38214291cUL;
   tf->codes[46182] = 0x000043079cab41d8UL;
   tf->codes[46183] = 0x000068298fced641UL;
   tf->codes[46184] = 0x0000969d8c8e80a5UL;
   tf->codes[46185] = 0x0000a7b39bab759fUL;
   tf->codes[46186] = 0x0000a89317807a74UL;
   tf->codes[46187] = 0x0000c7de31a7c6faUL;
   tf->codes[46188] = 0x0000e73705546dacUL;
   tf->codes[46189] = 0x0000f1e0678557b8UL;
   tf->codes[46190] = 0x000141725cb14e3fUL;
   tf->codes[46191] = 0x000156a34663cc73UL;
   tf->codes[46192] = 0x000159fb026b1c44UL;
   tf->codes[46193] = 0x000166953a10f9bcUL;
   tf->codes[46194] = 0x000189342cc033feUL;
   tf->codes[46195] = 0x0001a6b3f5123f4cUL;
   tf->codes[46196] = 0x0001b1e0de811ed3UL;
   tf->codes[46197] = 0x0001ba239d847a24UL;
   tf->codes[46198] = 0x0001c278e3c8a8caUL;
   tf->codes[46199] = 0x000006664d54f653UL;
   tf->codes[46200] = 0x00001214aefa9768UL;
   tf->codes[46201] = 0x00002f7c72a344e9UL;
   tf->codes[46202] = 0x00003d49697a5b52UL;
   tf->codes[46203] = 0x00003de9888e21feUL;
   tf->codes[46204] = 0x000041c83a34bdd5UL;
   tf->codes[46205] = 0x00004fd920f985cbUL;
   tf->codes[46206] = 0x000060de082fca0eUL;
   tf->codes[46207] = 0x000064e8a51ab9a5UL;
   tf->codes[46208] = 0x00006bf362135752UL;
   tf->codes[46209] = 0x000094be45933bbbUL;
   tf->codes[46210] = 0x0000974c40d8aad2UL;
   tf->codes[46211] = 0x0000b172edc943b1UL;
   tf->codes[46212] = 0x0000b8a711e0f5a7UL;
   tf->codes[46213] = 0x0000cd5fa9b59915UL;
   tf->codes[46214] = 0x0000d35c0651932cUL;
   tf->codes[46215] = 0x0000d87c1aead934UL;
   tf->codes[46216] = 0x0000fe2921bc217dUL;
   tf->codes[46217] = 0x0001109c41657ac5UL;
   tf->codes[46218] = 0x00019939f87d497bUL;
   tf->codes[46219] = 0x0001a5e4333ebad1UL;
   tf->codes[46220] = 0x0001b8e5d4f71e84UL;
   tf->codes[46221] = 0x0001ba61c6ef8db5UL;
   tf->codes[46222] = 0x0001fed501500a6bUL;
   tf->codes[46223] = 0x00005c917bd34f18UL;
   tf->codes[46224] = 0x0000709e4a16059bUL;
   tf->codes[46225] = 0x000096c3dd542e6fUL;
   tf->codes[46226] = 0x0000971cd8a7f2c8UL;
   tf->codes[46227] = 0x00009dc11b5677b5UL;
   tf->codes[46228] = 0x0000a326f4559d72UL;
   tf->codes[46229] = 0x0000d7db3d9ef37aUL;
   tf->codes[46230] = 0x0000d9622a68779bUL;
   tf->codes[46231] = 0x0000e14dc2903cbbUL;
   tf->codes[46232] = 0x0000f80523ee3386UL;
   tf->codes[46233] = 0x00012bc470de6663UL;
   tf->codes[46234] = 0x0001333ece7a0398UL;
   tf->codes[46235] = 0x000183c0f243a421UL;
   tf->codes[46236] = 0x000184c3330415eeUL;
   tf->codes[46237] = 0x0001a0a7784495d9UL;
   tf->codes[46238] = 0x0001adaecc683362UL;
   tf->codes[46239] = 0x0001e41996afbd9bUL;
   tf->codes[46240] = 0x0001e58bb2a234b5UL;
   tf->codes[46241] = 0x0001fae7d7ebf55aUL;
   tf->codes[46242] = 0x0000026394e1b52dUL;
   tf->codes[46243] = 0x00000adcc4dc6da4UL;
   tf->codes[46244] = 0x00001ad470812b2aUL;
   tf->codes[46245] = 0x00001ffb9c6c240dUL;
   tf->codes[46246] = 0x00003ba8c1083583UL;
   tf->codes[46247] = 0x00004243a2cecde3UL;
   tf->codes[46248] = 0x00004e8d1b3db6b6UL;
   tf->codes[46249] = 0x000060b324a077a9UL;
   tf->codes[46250] = 0x00007c17167552dfUL;
   tf->codes[46251] = 0x0000a1802d58e99bUL;
   tf->codes[46252] = 0x0000cd7288fe5c76UL;
   tf->codes[46253] = 0x0000d110f3a7a310UL;
   tf->codes[46254] = 0x0000fce9762b89f6UL;
   tf->codes[46255] = 0x000100bda21f1c67UL;
   tf->codes[46256] = 0x00011bca32895ba7UL;
   tf->codes[46257] = 0x000139e6e61cdcdbUL;
   tf->codes[46258] = 0x00014a09cd58dcd2UL;
   tf->codes[46259] = 0x000172380026511aUL;
   tf->codes[46260] = 0x000173efa5efa224UL;
   tf->codes[46261] = 0x000177d82d9c3612UL;
   tf->codes[46262] = 0x0001933fc8616d98UL;
   tf->codes[46263] = 0x00019eda436c18baUL;
   tf->codes[46264] = 0x0001e2b1f1e54228UL;
   tf->codes[46265] = 0x0001ee6b88eafdf2UL;
   tf->codes[46266] = 0x0001f31fa5d1a0c2UL;
   tf->codes[46267] = 0x0001f34bcba4fa47UL;
   tf->codes[46268] = 0x0001fb3171462965UL;
   tf->codes[46269] = 0x000009271f8f42c8UL;
   tf->codes[46270] = 0x00000edf171f7fc8UL;
   tf->codes[46271] = 0x00000fcc11ead904UL;
   tf->codes[46272] = 0x000021c66a984bfcUL;
   tf->codes[46273] = 0x00002665f136e78aUL;
   tf->codes[46274] = 0x000034c846dfb574UL;
   tf->codes[46275] = 0x00004d4db8c732b3UL;
   tf->codes[46276] = 0x0000505f75d99d0aUL;
   tf->codes[46277] = 0x00005153c285aee6UL;
   tf->codes[46278] = 0x00005d14ab6c2350UL;
   tf->codes[46279] = 0x00006dc35602e876UL;
   tf->codes[46280] = 0x000086fedca05641UL;
   tf->codes[46281] = 0x0000978126d4bc1dUL;
   tf->codes[46282] = 0x00009b380b456c0eUL;
   tf->codes[46283] = 0x00009c4fcc89fc31UL;
   tf->codes[46284] = 0x0000bdd59e9a83b2UL;
   tf->codes[46285] = 0x0000cee78fa910d2UL;
   tf->codes[46286] = 0x0000e2882baa1e58UL;
   tf->codes[46287] = 0x000105363738d564UL;
   tf->codes[46288] = 0x000106f8d7d33b5eUL;
   tf->codes[46289] = 0x0001153485113a3bUL;
   tf->codes[46290] = 0x000123732b928419UL;
   tf->codes[46291] = 0x00012820a6457f98UL;
   tf->codes[46292] = 0x00012c7c3cf66999UL;
   tf->codes[46293] = 0x00013a06a339f113UL;
   tf->codes[46294] = 0x000155b1f35dd461UL;
   tf->codes[46295] = 0x00016759b85c248cUL;
   tf->codes[46296] = 0x00018f78229d0abbUL;
   tf->codes[46297] = 0x0001c569b0caa31aUL;
   tf->codes[46298] = 0x0001c7d521b3aafeUL;
   tf->codes[46299] = 0x0001d7d4cee63273UL;
   tf->codes[46300] = 0x0001dccf2550c082UL;
   tf->codes[46301] = 0x0001e56fad635955UL;
   tf->codes[46302] = 0x0001ee4df84e07eeUL;
   tf->codes[46303] = 0x0001ef8e71049b0bUL;
   tf->codes[46304] = 0x0001f40ea119202cUL;
   tf->codes[46305] = 0x00000cca83f7fa91UL;
   tf->codes[46306] = 0x00001615eb60693bUL;
   tf->codes[46307] = 0x0000284555ab16bbUL;
   tf->codes[46308] = 0x0000288611c67782UL;
   tf->codes[46309] = 0x00002b244ab6803cUL;
   tf->codes[46310] = 0x000038bdc9d98480UL;
   tf->codes[46311] = 0x00003df1c50dc07bUL;
   tf->codes[46312] = 0x00004abcb5b36adcUL;
   tf->codes[46313] = 0x0000559f0d00f185UL;
   tf->codes[46314] = 0x00007aa8113f110dUL;
   tf->codes[46315] = 0x00007e20489b9424UL;
   tf->codes[46316] = 0x00009231aa0abe0bUL;
   tf->codes[46317] = 0x0000a619a45ad3a9UL;
   tf->codes[46318] = 0x00010793a5826f98UL;
   tf->codes[46319] = 0x00010969427bb471UL;
   tf->codes[46320] = 0x000125f4f8b0b3a8UL;
   tf->codes[46321] = 0x00012ce5a1f8bf9bUL;
   tf->codes[46322] = 0x000152d8e24df323UL;
   tf->codes[46323] = 0x000157113ef564a2UL;
   tf->codes[46324] = 0x000162ba23327b3fUL;
   tf->codes[46325] = 0x00017f338cb5ace6UL;
   tf->codes[46326] = 0x000185f601232b67UL;
   tf->codes[46327] = 0x000186464b3c1482UL;
   tf->codes[46328] = 0x0001891ffd6df950UL;
   tf->codes[46329] = 0x00018a80f179bfb3UL;
   tf->codes[46330] = 0x00019fd0477a3d40UL;
   tf->codes[46331] = 0x0001ab291c2d7087UL;
   tf->codes[46332] = 0x0001c620dbc0a2c0UL;
   tf->codes[46333] = 0x0001d354cad5a558UL;
   tf->codes[46334] = 0x0001de0babfce3cbUL;
   tf->codes[46335] = 0x0001ea2c326ac3dfUL;
   tf->codes[46336] = 0x0001ee84cfd862dfUL;
   tf->codes[46337] = 0x000004df5263333cUL;
   tf->codes[46338] = 0x0000090adfc161a3UL;
   tf->codes[46339] = 0x0000259c887cf6dcUL;
   tf->codes[46340] = 0x00003cdfe7c4b89bUL;
   tf->codes[46341] = 0x00003d562a9b5f74UL;
   tf->codes[46342] = 0x00004065d8a695deUL;
   tf->codes[46343] = 0x000050fda35f1a10UL;
   tf->codes[46344] = 0x000052f6b4f0dd30UL;
   tf->codes[46345] = 0x000056c90c6c4179UL;
   tf->codes[46346] = 0x000060c03d669d0eUL;
   tf->codes[46347] = 0x0000659007e6f9fbUL;
   tf->codes[46348] = 0x000070fcfdc428faUL;
   tf->codes[46349] = 0x00008a18439b6944UL;
   tf->codes[46350] = 0x0000a61d3ec0223aUL;
   tf->codes[46351] = 0x0000b4077d1a1b23UL;
   tf->codes[46352] = 0x0000b806e4a4f005UL;
   tf->codes[46353] = 0x0000ece126ac03cbUL;
   tf->codes[46354] = 0x0000ee17c95c9ed1UL;
   tf->codes[46355] = 0x0001229442547515UL;
   tf->codes[46356] = 0x000130312fd8cfe4UL;
   tf->codes[46357] = 0x000144a10a04489cUL;
   tf->codes[46358] = 0x0001798019c6d58bUL;
   tf->codes[46359] = 0x0001a383746f8322UL;
   tf->codes[46360] = 0x0001bc4a8cae783cUL;
   tf->codes[46361] = 0x0001d2af5a5d4c3aUL;
   tf->codes[46362] = 0x0001de74d6703408UL;
   tf->codes[46363] = 0x00003d060c866e5fUL;
   tf->codes[46364] = 0x000047e77997ddf4UL;
   tf->codes[46365] = 0x00004a4aae641624UL;
   tf->codes[46366] = 0x00005a3a1dec03f6UL;
   tf->codes[46367] = 0x000070bad3c397d6UL;
   tf->codes[46368] = 0x0000926d06367ea1UL;
   tf->codes[46369] = 0x0000a837e1e727baUL;
   tf->codes[46370] = 0x0000b49be324add1UL;
   tf->codes[46371] = 0x0000b8808751dfaaUL;
   tf->codes[46372] = 0x0000c788ee950a42UL;
   tf->codes[46373] = 0x0000cc46a6f29f64UL;
   tf->codes[46374] = 0x0000e06d4e56e1dcUL;
   tf->codes[46375] = 0x0000fccb44cf5f2bUL;
   tf->codes[46376] = 0x0000fde340a2f513UL;
   tf->codes[46377] = 0x00011f95e833e768UL;
   tf->codes[46378] = 0x000122d9f82f470bUL;
   tf->codes[46379] = 0x00014191c28c0ffdUL;
   tf->codes[46380] = 0x000157fe91c8adeaUL;
   tf->codes[46381] = 0x0001b20e72ff4647UL;
   tf->codes[46382] = 0x0001c48ba33d9d6bUL;
   tf->codes[46383] = 0x0001e5ff632b5d21UL;
   tf->codes[46384] = 0x0001e7208557d9d1UL;
   tf->codes[46385] = 0x0001f9b62f5d9a4cUL;
   tf->codes[46386] = 0x0001fceecf69d975UL;
   tf->codes[46387] = 0x0001ff5e23d2436eUL;
   tf->codes[46388] = 0x000047369930645cUL;
   tf->codes[46389] = 0x000067bb4f4b96e9UL;
   tf->codes[46390] = 0x000073b4b8309c66UL;
   tf->codes[46391] = 0x00007a7e43efcdc2UL;
   tf->codes[46392] = 0x00009ad41583618eUL;
   tf->codes[46393] = 0x0000af22c4ac95b1UL;
   tf->codes[46394] = 0x0000cb1e5ee9621aUL;
   tf->codes[46395] = 0x00010e4f86aa2350UL;
   tf->codes[46396] = 0x000114721692e0eaUL;
   tf->codes[46397] = 0x00011749b9bd91cbUL;
   tf->codes[46398] = 0x00011d61c3f345ffUL;
   tf->codes[46399] = 0x0001250045d472caUL;
   tf->codes[46400] = 0x0001316fb701195bUL;
   tf->codes[46401] = 0x0001a2891826bfc6UL;
   tf->codes[46402] = 0x0001bec9c71c5a95UL;
   tf->codes[46403] = 0x0001cb935867e258UL;
   tf->codes[46404] = 0x0001e1c473d39e6cUL;
   tf->codes[46405] = 0x00000ca86f1c6db1UL;
   tf->codes[46406] = 0x00002ffc51b67ba6UL;
   tf->codes[46407] = 0x000038bd1a8f41faUL;
   tf->codes[46408] = 0x000040309b683219UL;
   tf->codes[46409] = 0x00004e1d235864b4UL;
   tf->codes[46410] = 0x00005355020c02c4UL;
   tf->codes[46411] = 0x00007b486b44ac47UL;
   tf->codes[46412] = 0x00008bdfc0df24efUL;
   tf->codes[46413] = 0x00008db389603ba0UL;
   tf->codes[46414] = 0x00009ca75a5b5ef6UL;
   tf->codes[46415] = 0x00009ccf27914adcUL;
   tf->codes[46416] = 0x0000e253f620bbeeUL;
   tf->codes[46417] = 0x000117a823eed2ddUL;
   tf->codes[46418] = 0x00012a5d999cb54fUL;
   tf->codes[46419] = 0x000132050747c31dUL;
   tf->codes[46420] = 0x00013e0c6441288bUL;
   tf->codes[46421] = 0x000141d4ab278ef8UL;
   tf->codes[46422] = 0x00016d59ea4f41c2UL;
   tf->codes[46423] = 0x00017b0c1dc8b522UL;
   tf->codes[46424] = 0x00017fd8ef05c70eUL;
   tf->codes[46425] = 0x00019bd7bd14e43dUL;
   tf->codes[46426] = 0x0001a5c4dd7a41f6UL;
   tf->codes[46427] = 0x0001b2db0fee5684UL;
   tf->codes[46428] = 0x0001c15f7ad58017UL;
   tf->codes[46429] = 0x0001c43a51d281beUL;
   tf->codes[46430] = 0x0001c889193a28a7UL;
   tf->codes[46431] = 0x0001daffe1d3de3fUL;
   tf->codes[46432] = 0x0001dbf79ce146a6UL;
   tf->codes[46433] = 0x0001eb98d1577f4aUL;
   tf->codes[46434] = 0x0001f97381b3efdfUL;
   tf->codes[46435] = 0x0000453ae6634647UL;
   tf->codes[46436] = 0x00004646c29aaa66UL;
   tf->codes[46437] = 0x00008847af4f7222UL;
   tf->codes[46438] = 0x00008fd3a9efcb98UL;
   tf->codes[46439] = 0x0000ab330898336aUL;
   tf->codes[46440] = 0x0000c0b143204fb8UL;
   tf->codes[46441] = 0x0000e94839ce1672UL;
   tf->codes[46442] = 0x00010cf1343c86abUL;
   tf->codes[46443] = 0x000118c469d4c8a5UL;
   tf->codes[46444] = 0x00012db45cdce04dUL;
   tf->codes[46445] = 0x000136263af6e024UL;
   tf->codes[46446] = 0x00015259a5852c51UL;
   tf->codes[46447] = 0x000156e8043d1728UL;
   tf->codes[46448] = 0x00015d522d03e29fUL;
   tf->codes[46449] = 0x000178c328b106b2UL;
   tf->codes[46450] = 0x0001ac6b5b33f2d6UL;
   tf->codes[46451] = 0x0001eb63018225b4UL;
   tf->codes[46452] = 0x0000199224180777UL;
   tf->codes[46453] = 0x00001d38cade1dc5UL;
   tf->codes[46454] = 0x000032dd7342035bUL;
   tf->codes[46455] = 0x000040c65241d9a6UL;
   tf->codes[46456] = 0x000090a7e1d9a7f9UL;
   tf->codes[46457] = 0x0000978fd9e6d8aeUL;
   tf->codes[46458] = 0x0000baa6e3e4e7f1UL;
   tf->codes[46459] = 0x0000c410427d4a6aUL;
   tf->codes[46460] = 0x0000cccec1bfd70cUL;
   tf->codes[46461] = 0x0001081f119ae24dUL;
   tf->codes[46462] = 0x000125f342143e90UL;
   tf->codes[46463] = 0x00013f022dc0474cUL;
   tf->codes[46464] = 0x0001631844ac7796UL;
   tf->codes[46465] = 0x0001b2fdf252adc3UL;
   tf->codes[46466] = 0x0001c2fe14a340c2UL;
   tf->codes[46467] = 0x0001c77d5a7baecfUL;
   tf->codes[46468] = 0x0001d2f969385a98UL;
   tf->codes[46469] = 0x0001e14469e4dc04UL;
   tf->codes[46470] = 0x00000e6c436fcd0cUL;
   tf->codes[46471] = 0x00003a46254dd690UL;
   tf->codes[46472] = 0x000050cc1dfeef23UL;
   tf->codes[46473] = 0x00007ef3eeb41846UL;
   tf->codes[46474] = 0x000090d05031976fUL;
   tf->codes[46475] = 0x000092ca868e7768UL;
   tf->codes[46476] = 0x0000a0d490909248UL;
   tf->codes[46477] = 0x0000ae3e40efe0b7UL;
   tf->codes[46478] = 0x0000cb21588f7be4UL;
   tf->codes[46479] = 0x0000ea4f65c2ebafUL;
   tf->codes[46480] = 0x0000f798603e0113UL;
   tf->codes[46481] = 0x000103995592c4f5UL;
   tf->codes[46482] = 0x0001308282098923UL;
   tf->codes[46483] = 0x00015136cc596bc0UL;
   tf->codes[46484] = 0x000158f55471c047UL;
   tf->codes[46485] = 0x000163d31892d38cUL;
   tf->codes[46486] = 0x000165cbb5068b22UL;
   tf->codes[46487] = 0x0001a531d72ca0afUL;
   tf->codes[46488] = 0x0001aada40bf555bUL;
   tf->codes[46489] = 0x0001abd061e3955fUL;
   tf->codes[46490] = 0x0001c7955099feddUL;
   tf->codes[46491] = 0x0001d30a4804f7cbUL;
   tf->codes[46492] = 0x0001f6b292c656b5UL;
   tf->codes[46493] = 0x0000010b704f51e1UL;
   tf->codes[46494] = 0x000025b3b23ae8e6UL;
   tf->codes[46495] = 0x0000288fe8920d2bUL;
   tf->codes[46496] = 0x00002acfa8c5c714UL;
   tf->codes[46497] = 0x0000343aa14751f0UL;
   tf->codes[46498] = 0x00003b6529e81194UL;
   tf->codes[46499] = 0x000045c977602d3aUL;
   tf->codes[46500] = 0x00004ce85582c69fUL;
   tf->codes[46501] = 0x00005728b9445874UL;
   tf->codes[46502] = 0x000064187ddca3baUL;
   tf->codes[46503] = 0x000077a5a860c6d7UL;
   tf->codes[46504] = 0x00007ebf43a9db89UL;
   tf->codes[46505] = 0x00008a03478601c9UL;
   tf->codes[46506] = 0x00008fb9a52d1666UL;
   tf->codes[46507] = 0x00009ea3a02241a5UL;
   tf->codes[46508] = 0x0000a2a8bfa4a6c4UL;
   tf->codes[46509] = 0x0000ae851b95cf86UL;
   tf->codes[46510] = 0x0000ba685449a55eUL;
   tf->codes[46511] = 0x0000fcd6d29a38b5UL;
   tf->codes[46512] = 0x000149936e31b80dUL;
   tf->codes[46513] = 0x00015edc5c8d940eUL;
   tf->codes[46514] = 0x0001a0948b993114UL;
   tf->codes[46515] = 0x0001a185df01f7efUL;
   tf->codes[46516] = 0x0001c63c8a1ffa6fUL;
   tf->codes[46517] = 0x0001df2f8da34349UL;
   tf->codes[46518] = 0x0001e6e9bd1e2a31UL;
   tf->codes[46519] = 0x0001f2cd306105ceUL;
   tf->codes[46520] = 0x0001fc3186aee959UL;
   tf->codes[46521] = 0x0001fe50cb8d6ffcUL;
   tf->codes[46522] = 0x000050099207ab8bUL;
   tf->codes[46523] = 0x000053b5f0c55216UL;
   tf->codes[46524] = 0x00005a7eccd77223UL;
   tf->codes[46525] = 0x000087b45fe7bd57UL;
   tf->codes[46526] = 0x00009121a1ff81e5UL;
   tf->codes[46527] = 0x000094d8fb8e3d60UL;
   tf->codes[46528] = 0x0000a5d0d8ec38c6UL;
   tf->codes[46529] = 0x0000c142f96479b2UL;
   tf->codes[46530] = 0x0000d0402b478995UL;
   tf->codes[46531] = 0x000109ab502bc7a9UL;
   tf->codes[46532] = 0x00013e6f6201abcaUL;
   tf->codes[46533] = 0x000195a640b370a8UL;
   tf->codes[46534] = 0x0001a212f32bd1fdUL;
   tf->codes[46535] = 0x0001a4c881182735UL;
   tf->codes[46536] = 0x0001cbe64481c3faUL;
   tf->codes[46537] = 0x0001ccda912dd5d6UL;
   tf->codes[46538] = 0x0001d982f7771904UL;
   tf->codes[46539] = 0x0001e029be4add68UL;
   tf->codes[46540] = 0x0001e4c611172830UL;
   tf->codes[46541] = 0x0001e56e6c47be90UL;
   tf->codes[46542] = 0x00002ccb9684b9b7UL;
   tf->codes[46543] = 0x000055c9f1b8b045UL;
   tf->codes[46544] = 0x00008a8e78ac9ff0UL;
   tf->codes[46545] = 0x00008b778ff89717UL;
   tf->codes[46546] = 0x0000a0ca8ee970f4UL;
   tf->codes[46547] = 0x0000b760ffd428efUL;
   tf->codes[46548] = 0x0000d953ee627081UL;
   tf->codes[46549] = 0x0000e05eab5b0e2eUL;
   tf->codes[46550] = 0x0000ebafb90f7d4bUL;
   tf->codes[46551] = 0x0000ebe5053bbd98UL;
   tf->codes[46552] = 0x0000f915fb0d752fUL;
   tf->codes[46553] = 0x0000fc4ffa73d6f6UL;
   tf->codes[46554] = 0x0001050d8f7a4c84UL;
   tf->codes[46555] = 0x0001353ca0649e7dUL;
   tf->codes[46556] = 0x00014629bd808ab8UL;
   tf->codes[46557] = 0x00014e393f5ed9a9UL;
   tf->codes[46558] = 0x0001bd22a8dd5444UL;
   tf->codes[46559] = 0x0001e455028ef84bUL;
   tf->codes[46560] = 0x0001eaeb169a1782UL;
   tf->codes[46561] = 0x00001188fbb61b1cUL;
   tf->codes[46562] = 0x00003d57e2c30fb0UL;
   tf->codes[46563] = 0x0000585769550613UL;
   tf->codes[46564] = 0x000064c7ff4cc97dUL;
   tf->codes[46565] = 0x0000796439daa17fUL;
   tf->codes[46566] = 0x0000ab7457ad58cbUL;
   tf->codes[46567] = 0x0000bd03dd734564UL;
   tf->codes[46568] = 0x000118088073fb27UL;
   tf->codes[46569] = 0x00011f6bc3a251a3UL;
   tf->codes[46570] = 0x00014d0b79ed11e7UL;
   tf->codes[46571] = 0x0001719dc6367f0cUL;
   tf->codes[46572] = 0x000187bafb07452dUL;
   tf->codes[46573] = 0x0001d0962643e372UL;
   tf->codes[46574] = 0x0001d215c12caef3UL;
   tf->codes[46575] = 0x0001ed5c6b7ea7a9UL;
   tf->codes[46576] = 0x0001f4c05e5a0f74UL;
   tf->codes[46577] = 0x0001f7f973845a27UL;
   tf->codes[46578] = 0x000000d32b42955cUL;
   tf->codes[46579] = 0x00003fa463b4fef2UL;
   tf->codes[46580] = 0x0000466b30bfeb12UL;
   tf->codes[46581] = 0x00005c9f456ef227UL;
   tf->codes[46582] = 0x000062f5127cbc21UL;
   tf->codes[46583] = 0x0000726b8079bddeUL;
   tf->codes[46584] = 0x000089a0ebad1facUL;
   tf->codes[46585] = 0x0000a3d58cb2187cUL;
   tf->codes[46586] = 0x0000a478a5092a29UL;
   tf->codes[46587] = 0x0000c379dcbc2f20UL;
   tf->codes[46588] = 0x0000dacb6aa75695UL;
   tf->codes[46589] = 0x0000f7b0cbdd2b74UL;
   tf->codes[46590] = 0x0001070c015e7e9eUL;
   tf->codes[46591] = 0x000114ff2b82588aUL;
   tf->codes[46592] = 0x00011ad30b3b556cUL;
   tf->codes[46593] = 0x00016bc57f5506ccUL;
   tf->codes[46594] = 0x000172259786d467UL;
   tf->codes[46595] = 0x0001806cb4b3f3beUL;
   tf->codes[46596] = 0x0001a0b4ccc22d5eUL;
   tf->codes[46597] = 0x0001a7709efc048eUL;
   tf->codes[46598] = 0x0001ae6c7da42b36UL;
   tf->codes[46599] = 0x0001b246d6ad596eUL;
   tf->codes[46600] = 0x0001b693547ec6a5UL;
   tf->codes[46601] = 0x0001b81dafa9a151UL;
   tf->codes[46602] = 0x0001f2a772951c9eUL;
   tf->codes[46603] = 0x0001febcc3a2e1fdUL;
   tf->codes[46604] = 0x00001a6b47991611UL;
   tf->codes[46605] = 0x00002a7196ff44d7UL;
   tf->codes[46606] = 0x0000318a829b483aUL;
   tf->codes[46607] = 0x000059806ff93134UL;
   tf->codes[46608] = 0x000079411d4a1344UL;
   tf->codes[46609] = 0x000092bb166ca824UL;
   tf->codes[46610] = 0x00009b16fee47e1bUL;
   tf->codes[46611] = 0x0000d836498526e4UL;
   tf->codes[46612] = 0x00011a55dd16f3beUL;
   tf->codes[46613] = 0x00011d5fd32a99ebUL;
   tf->codes[46614] = 0x00013decc5629c2cUL;
   tf->codes[46615] = 0x00014ea6a5597c07UL;
   tf->codes[46616] = 0x000168845a11e46bUL;
   tf->codes[46617] = 0x00016b15140b98beUL;
   tf->codes[46618] = 0x0001a6865459e2cfUL;
   tf->codes[46619] = 0x0001b2a2822a5544UL;
   tf->codes[46620] = 0x0001bdbb4a6f3913UL;
   tf->codes[46621] = 0x0001ccad0c63287cUL;
   tf->codes[46622] = 0x0001d35cf98fd3a8UL;
   tf->codes[46623] = 0x000029fd1a15be67UL;
   tf->codes[46624] = 0x00003c8878f77b41UL;
   tf->codes[46625] = 0x000059a74467f847UL;
   tf->codes[46626] = 0x0000b15bb7d11c9eUL;
   tf->codes[46627] = 0x0000b95df5481cedUL;
   tf->codes[46628] = 0x0000c6a72a523816UL;
   tf->codes[46629] = 0x000113ba77a74215UL;
   tf->codes[46630] = 0x00011a48ff42a2e7UL;
   tf->codes[46631] = 0x00011f5ae5388339UL;
   tf->codes[46632] = 0x000125941a707c02UL;
   tf->codes[46633] = 0x00013e90b96ab72eUL;
   tf->codes[46634] = 0x0001491547a90055UL;
   tf->codes[46635] = 0x00015a99980ed239UL;
   tf->codes[46636] = 0x000168782beaa4e3UL;
   tf->codes[46637] = 0x0001723249b9fc01UL;
   tf->codes[46638] = 0x0001d7a5bfe5d6d0UL;
   tf->codes[46639] = 0x0001e608c53bb609UL;
   tf->codes[46640] = 0x000005e17735f5e6UL;
   tf->codes[46641] = 0x00001594bdcef655UL;
   tf->codes[46642] = 0x00001c894a96645dUL;
   tf->codes[46643] = 0x0000215a39e1de23UL;
   tf->codes[46644] = 0x0000277fc30de6beUL;
   tf->codes[46645] = 0x0000450f8e7b85eaUL;
   tf->codes[46646] = 0x00004b9bcc80ad0aUL;
   tf->codes[46647] = 0x00005e7232a1ce4cUL;
   tf->codes[46648] = 0x0000641a61a57d33UL;
   tf->codes[46649] = 0x000070f6ef4fe3d5UL;
   tf->codes[46650] = 0x00007167ef4d05fbUL;
   tf->codes[46651] = 0x000083de42c8b009UL;
   tf->codes[46652] = 0x000085fd87a736acUL;
   tf->codes[46653] = 0x0000976e2c011862UL;
   tf->codes[46654] = 0x0000a90244f3785fUL;
   tf->codes[46655] = 0x0000c570b3a59516UL;
   tf->codes[46656] = 0x0000d4e96b38d085UL;
   tf->codes[46657] = 0x0000fbaf5819c5caUL;
   tf->codes[46658] = 0x00011c27797abb04UL;
   tf->codes[46659] = 0x00012ce7868736a6UL;
   tf->codes[46660] = 0x00014ac42dac6862UL;
   tf->codes[46661] = 0x0001625ad0505e3dUL;
   tf->codes[46662] = 0x000173c45d588d18UL;
   tf->codes[46663] = 0x00017f470e48e032UL;
   tf->codes[46664] = 0x0001a7db464261b0UL;
   tf->codes[46665] = 0x0001b0c6d5945eebUL;
   tf->codes[46666] = 0x0001cddaa633c701UL;
   tf->codes[46667] = 0x0001ddf3f1f8d4a6UL;
   tf->codes[46668] = 0x0001e52e7db52828UL;
   tf->codes[46669] = 0x0001e822f344afffUL;
   tf->codes[46670] = 0x0001fb6f9c3c781aUL;
   tf->codes[46671] = 0x0001fc8847bd1f51UL;
   tf->codes[46672] = 0x00000e38f885507fUL;
   tf->codes[46673] = 0x000019682b8a69b8UL;
   tf->codes[46674] = 0x00002b0aadaf3530UL;
   tf->codes[46675] = 0x00003a8ab723293fUL;
   tf->codes[46676] = 0x00003b92754c2584UL;
   tf->codes[46677] = 0x0000539250ee795bUL;
   tf->codes[46678] = 0x00005a0097c3acacUL;
   tf->codes[46679] = 0x00005c33fdcc2f07UL;
   tf->codes[46680] = 0x00008398aa66c85aUL;
   tf->codes[46681] = 0x0000a52384c1cec9UL;
   tf->codes[46682] = 0x0000be14041fd82cUL;
   tf->codes[46683] = 0x0000de62be61b91dUL;
   tf->codes[46684] = 0x0000f87c617a091fUL;
   tf->codes[46685] = 0x0000febb141a8c60UL;
   tf->codes[46686] = 0x000103ca3b5c2776UL;
   tf->codes[46687] = 0x000198140a835d8fUL;
   tf->codes[46688] = 0x00019e082b0287f2UL;
   tf->codes[46689] = 0x0001a7bb6c0f31faUL;
   tf->codes[46690] = 0x0001aa17fea7c2d9UL;
   tf->codes[46691] = 0x0001ac2de29e5cefUL;
   tf->codes[46692] = 0x0001b55cb230fa68UL;
   tf->codes[46693] = 0x0001cd1f7aa849c8UL;
   tf->codes[46694] = 0x0001d5ebedff365bUL;
   tf->codes[46695] = 0x0001fb48aab79589UL;
   tf->codes[46696] = 0x00000626a967ae93UL;
   tf->codes[46697] = 0x00007a21be4d03bbUL;
   tf->codes[46698] = 0x0000b27054313883UL;
   tf->codes[46699] = 0x0000d6e29a437decUL;
   tf->codes[46700] = 0x0001106046688f55UL;
   tf->codes[46701] = 0x00012540ab731ea9UL;
   tf->codes[46702] = 0x00012a183cf23fc0UL;
   tf->codes[46703] = 0x00012f65270bf09cUL;
   tf->codes[46704] = 0x0001325f1a0402ebUL;
   tf->codes[46705] = 0x0001360cd81bcc14UL;
   tf->codes[46706] = 0x00014eb006a4375dUL;
   tf->codes[46707] = 0x000163702ae89930UL;
   tf->codes[46708] = 0x000171aa03ae69e5UL;
   tf->codes[46709] = 0x0001a49a12743190UL;
   tf->codes[46710] = 0x0001d6fb9f2aeed0UL;
   tf->codes[46711] = 0x0001d75f2031bc8fUL;
   tf->codes[46712] = 0x0001faf72d4881d6UL;
   tf->codes[46713] = 0x000047872dee9c1fUL;
   tf->codes[46714] = 0x0000558343dc570eUL;
   tf->codes[46715] = 0x00006f91ec239220UL;
   tf->codes[46716] = 0x000085d84d8466c5UL;
   tf->codes[46717] = 0x0000874ade94e969UL;
   tf->codes[46718] = 0x000094151f8d827bUL;
   tf->codes[46719] = 0x0000964551c3b410UL;
   tf->codes[46720] = 0x0000c1632c653706UL;
   tf->codes[46721] = 0x0000e9b1da87de94UL;
   tf->codes[46722] = 0x00011c478e9fbf48UL;
   tf->codes[46723] = 0x00013c35fbad2340UL;
   tf->codes[46724] = 0x000145511f33d08bUL;
   tf->codes[46725] = 0x00015dc31f9e6361UL;
   tf->codes[46726] = 0x0001662dabd7aa98UL;
   tf->codes[46727] = 0x000172011bfef257UL;
   tf->codes[46728] = 0x00019c398844da76UL;
   tf->codes[46729] = 0x0001a5cb9e4f3fe9UL;
   tf->codes[46730] = 0x0001a94ab26e7016UL;
   tf->codes[46731] = 0x0001acd486cfaf6eUL;
   tf->codes[46732] = 0x0001bb07bd61d8d2UL;
   tf->codes[46733] = 0x0001be129db19613UL;
   tf->codes[46734] = 0x0001c67737644748UL;
   tf->codes[46735] = 0x0001e9851b096fc3UL;
   tf->codes[46736] = 0x0001f248a2967b53UL;
   tf->codes[46737] = 0x000012ba5c52cf01UL;
   tf->codes[46738] = 0x00001c8b5a006713UL;
   tf->codes[46739] = 0x00003f60bda6fe7bUL;
   tf->codes[46740] = 0x000066546a4475a8UL;
   tf->codes[46741] = 0x00008701d7d1ab2fUL;
   tf->codes[46742] = 0x000088ccef17e6a2UL;
   tf->codes[46743] = 0x000088ea369ac922UL;
   tf->codes[46744] = 0x0000b44ebfde42e1UL;
   tf->codes[46745] = 0x0001186a68573e15UL;
   tf->codes[46746] = 0x00011ca8b7854596UL;
   tf->codes[46747] = 0x000137d3b43d842fUL;
   tf->codes[46748] = 0x00015048adeb6206UL;
   tf->codes[46749] = 0x000151ceb078cf13UL;
   tf->codes[46750] = 0x0001588e2ba30293UL;
   tf->codes[46751] = 0x000159cdba1d7e9cUL;
   tf->codes[46752] = 0x00015b3d8c79bc04UL;
   tf->codes[46753] = 0x000167213a4b9d66UL;
   tf->codes[46754] = 0x0001679b60a1a654UL;
   tf->codes[46755] = 0x00018e49f8864f1bUL;
   tf->codes[46756] = 0x000191f32371a4e0UL;
   tf->codes[46757] = 0x0001d3f2eb5b4fc3UL;
   tf->codes[46758] = 0x0001e5b39f3f14cfUL;
   tf->codes[46759] = 0x0001ee51ddbb73f0UL;
   tf->codes[46760] = 0x00001223ca2aece8UL;
   tf->codes[46761] = 0x0000234b764c9e23UL;
   tf->codes[46762] = 0x00003784df80b9b5UL;
   tf->codes[46763] = 0x00003d1a87439547UL;
   tf->codes[46764] = 0x000041665567f12fUL;
   tf->codes[46765] = 0x0000511f19697c16UL;
   tf->codes[46766] = 0x000056cba10a989cUL;
   tf->codes[46767] = 0x000070543dee9ebcUL;
   tf->codes[46768] = 0x000081b6ee342081UL;
   tf->codes[46769] = 0x0000b0f72fdaeb16UL;
   tf->codes[46770] = 0x0000e926a9c40f36UL;
   tf->codes[46771] = 0x0000e94dc74ce9cdUL;
   tf->codes[46772] = 0x0000faaba9d6f269UL;
   tf->codes[46773] = 0x000155ca25f93421UL;
   tf->codes[46774] = 0x000160e65c9f6e7bUL;
   tf->codes[46775] = 0x000161721ffa33aaUL;
   tf->codes[46776] = 0x00017baa2f608305UL;
   tf->codes[46777] = 0x0001966341df8864UL;
   tf->codes[46778] = 0x0001ccdcea7789a2UL;
   tf->codes[46779] = 0x0001f2207dbb6e2aUL;
   tf->codes[46780] = 0x0000013ea011bcddUL;
   tf->codes[46781] = 0x00002c08c239002dUL;
   tf->codes[46782] = 0x000059db05fbbb82UL;
   tf->codes[46783] = 0x00005f4c145afbf4UL;
   tf->codes[46784] = 0x00008628a68b2c68UL;
   tf->codes[46785] = 0x0000a56766874160UL;
   tf->codes[46786] = 0x0000a7671a4cabd1UL;
   tf->codes[46787] = 0x0000b0e7cde15ac8UL;
   tf->codes[46788] = 0x0000b927ce3070ddUL;
   tf->codes[46789] = 0x0000c1cd23fe82d9UL;
   tf->codes[46790] = 0x0000cdb7ae931151UL;
   tf->codes[46791] = 0x0000d62fb9c2acefUL;
   tf->codes[46792] = 0x000119b9dcd7327eUL;
   tf->codes[46793] = 0x00016244836be1e3UL;
   tf->codes[46794] = 0x00018009d594c721UL;
   tf->codes[46795] = 0x0001812a0d852cbdUL;
   tf->codes[46796] = 0x00019a00ee50aff0UL;
   tf->codes[46797] = 0x00019d7e2df7b1f5UL;
   tf->codes[46798] = 0x0001c5ab76890f29UL;
   tf->codes[46799] = 0x0001e6444dce3d6eUL;
   tf->codes[46800] = 0x000027424a15820eUL;
   tf->codes[46801] = 0x00003bf89853ebcaUL;
   tf->codes[46802] = 0x0000447327a8c6dfUL;
   tf->codes[46803] = 0x000068fdacf36fdaUL;
   tf->codes[46804] = 0x0000765b032786bbUL;
   tf->codes[46805] = 0x00009e725616ba0fUL;
   tf->codes[46806] = 0x0000a9408c3a4500UL;
   tf->codes[46807] = 0x0000bc90a39363a6UL;
   tf->codes[46808] = 0x00012527ae656ad2UL;
   tf->codes[46809] = 0x00012ada9dab28e4UL;
   tf->codes[46810] = 0x000143a3ff8057b0UL;
   tf->codes[46811] = 0x00016518348c22f0UL;
   tf->codes[46812] = 0x000176d0ac531848UL;
   tf->codes[46813] = 0x000178412e5c66ffUL;
   tf->codes[46814] = 0x00019a4210ff0e82UL;
   tf->codes[46815] = 0x0001b2f8b1046434UL;
   tf->codes[46816] = 0x0001c911c7c6c27bUL;
   tf->codes[46817] = 0x000007b5407caa29UL;
   tf->codes[46818] = 0x00001ec5629f5f88UL;
   tf->codes[46819] = 0x0000227d314c268dUL;
   tf->codes[46820] = 0x00004ebd18563d47UL;
   tf->codes[46821] = 0x000072cdec68e8deUL;
   tf->codes[46822] = 0x0000e441331e6ab6UL;
   tf->codes[46823] = 0x0001052f5cc70104UL;
   tf->codes[46824] = 0x00014c3d61b62fe9UL;
   tf->codes[46825] = 0x000162212c4c4de3UL;
   tf->codes[46826] = 0x0001b81d0fb00a1cUL;
   tf->codes[46827] = 0x0001d7677a2a4553UL;
   tf->codes[46828] = 0x0001fd53689ec03bUL;
   tf->codes[46829] = 0x00004583b48588a9UL;
   tf->codes[46830] = 0x0000802f522059daUL;
   tf->codes[46831] = 0x0000991e7224409fUL;
   tf->codes[46832] = 0x0000bad06a0821a5UL;
   tf->codes[46833] = 0x0000e8a61c2c3385UL;
   tf->codes[46834] = 0x0000ee664fd94039UL;
   tf->codes[46835] = 0x0000f1524ebcf297UL;
   tf->codes[46836] = 0x0000f9b58915812eUL;
   tf->codes[46837] = 0x0001143f7c7de207UL;
   tf->codes[46838] = 0x00011d914b8af23dUL;
   tf->codes[46839] = 0x00013cc0b81884a6UL;
   tf->codes[46840] = 0x00015c114fa85ba4UL;
   tf->codes[46841] = 0x0001853c0b3eb17cUL;
   tf->codes[46842] = 0x00019060f31fc714UL;
   tf->codes[46843] = 0x0001af67a83b5683UL;
   tf->codes[46844] = 0x0001da44c6c178b2UL;
   tf->codes[46845] = 0x0001f19aad4a0dc6UL;
   tf->codes[46846] = 0x0001fbcb0df00bbdUL;
   tf->codes[46847] = 0x0000415a9cc18bfaUL;
   tf->codes[46848] = 0x0000816068dd5ca9UL;
   tf->codes[46849] = 0x000081afc8ba2eb0UL;
   tf->codes[46850] = 0x000082f0b68ecd57UL;
   tf->codes[46851] = 0x0000c3d4d9b48602UL;
   tf->codes[46852] = 0x0000ce6169809918UL;
   tf->codes[46853] = 0x0000ceaef4e53cf7UL;
   tf->codes[46854] = 0x0000d2ae21e10c14UL;
   tf->codes[46855] = 0x0000d5f10d114edeUL;
   tf->codes[46856] = 0x0000e8f9166e541dUL;
   tf->codes[46857] = 0x0000f13cfa3ccc47UL;
   tf->codes[46858] = 0x0000f26533bafbd2UL;
   tf->codes[46859] = 0x000128f3ad2a0a17UL;
   tf->codes[46860] = 0x00012ad7b355ba6bUL;
   tf->codes[46861] = 0x00012d9ccf3f97f7UL;
   tf->codes[46862] = 0x0001792a54963aaeUL;
   tf->codes[46863] = 0x000181d5625bdce7UL;
   tf->codes[46864] = 0x000186b6c9e0f615UL;
   tf->codes[46865] = 0x0001a18940637bdfUL;
   tf->codes[46866] = 0x0001b3b367d4a4acUL;
   tf->codes[46867] = 0x0001b8b6e4981983UL;
   tf->codes[46868] = 0x0001c967d8c5185bUL;
   tf->codes[46869] = 0x0001f2ad92481701UL;
   tf->codes[46870] = 0x0000015ab4a1438eUL;
   tf->codes[46871] = 0x00000ef5588f64abUL;
   tf->codes[46872] = 0x000018e44d6cf08cUL;
   tf->codes[46873] = 0x00001e6265a479dbUL;
   tf->codes[46874] = 0x000021e9b5e079bcUL;
   tf->codes[46875] = 0x000027e9464ec499UL;
   tf->codes[46876] = 0x0000474379558de9UL;
   tf->codes[46877] = 0x0000504ab6414541UL;
   tf->codes[46878] = 0x000069d736a4ad76UL;
   tf->codes[46879] = 0x00007acb308346c7UL;
   tf->codes[46880] = 0x00007c1b71c667fdUL;
   tf->codes[46881] = 0x000086a99b7ba376UL;
   tf->codes[46882] = 0x00008ab43866930dUL;
   tf->codes[46883] = 0x0000bc14e3b7011eUL;
   tf->codes[46884] = 0x0000cd64227f987aUL;
   tf->codes[46885] = 0x0000d2c31ebc1121UL;
   tf->codes[46886] = 0x0000e51b05e9bbd6UL;
   tf->codes[46887] = 0x0000e80988f2adabUL;
   tf->codes[46888] = 0x000109bf9ee4f68bUL;
   tf->codes[46889] = 0x00011784599f3d40UL;
   tf->codes[46890] = 0x00011f640cb9d65cUL;
   tf->codes[46891] = 0x00013728348b485aUL;
   tf->codes[46892] = 0x00014796d2b3be08UL;
   tf->codes[46893] = 0x0001806dbd916174UL;
   tf->codes[46894] = 0x0001824f7a26d816UL;
   tf->codes[46895] = 0x000194edd56773cfUL;
   tf->codes[46896] = 0x0001aa259bdc9f19UL;
   tf->codes[46897] = 0x0001c250b3163561UL;
   tf->codes[46898] = 0x0001ccd541547e88UL;
   tf->codes[46899] = 0x0001ce3f5bb92bb3UL;
   tf->codes[46900] = 0x0001cf44d04bee46UL;
   tf->codes[46901] = 0x0000403d7b8d5ba6UL;
   tf->codes[46902] = 0x000043589987b28aUL;
   tf->codes[46903] = 0x00004bd8a6451817UL;
   tf->codes[46904] = 0x00005005cd8c6ee1UL;
   tf->codes[46905] = 0x00005a032b9c663dUL;
   tf->codes[46906] = 0x00007ec1289b215dUL;
   tf->codes[46907] = 0x00007fec5b5c9be9UL;
   tf->codes[46908] = 0x000080e2f19ee777UL;
   tf->codes[46909] = 0x000088b4eb342667UL;
   tf->codes[46910] = 0x00009173a505b8ceUL;
   tf->codes[46911] = 0x0000c2a989dceff8UL;
   tf->codes[46912] = 0x000102e4a22500f4UL;
   tf->codes[46913] = 0x000122fe103aa198UL;
   tf->codes[46914] = 0x00013be2356d736dUL;
   tf->codes[46915] = 0x000148cec6336dedUL;
   tf->codes[46916] = 0x0001580402f70359UL;
   tf->codes[46917] = 0x00016aca65fc90bdUL;
   tf->codes[46918] = 0x00017f7fc9fee365UL;
   tf->codes[46919] = 0x000195129acf06f5UL;
   tf->codes[46920] = 0x0001ba93b65bfb7eUL;
   tf->codes[46921] = 0x0001e354fe64ed95UL;
   tf->codes[46922] = 0x0000178c9d32fb38UL;
   tf->codes[46923] = 0x00001c23ad25c14dUL;
   tf->codes[46924] = 0x00001df4f1819887UL;
   tf->codes[46925] = 0x000036a5d98f5dfcUL;
   tf->codes[46926] = 0x000041eb0236a115UL;
   tf->codes[46927] = 0x000054f4e00bd47cUL;
   tf->codes[46928] = 0x00007e973dd2f3cbUL;
   tf->codes[46929] = 0x00008c822bd9fe03UL;
   tf->codes[46930] = 0x000093421c223d0dUL;
   tf->codes[46931] = 0x0000a602178328e5UL;
   tf->codes[46932] = 0x0000c78ae2d6fb67UL;
   tf->codes[46933] = 0x0000eb44557f0b08UL;
   tf->codes[46934] = 0x00010009f72bf753UL;
   tf->codes[46935] = 0x000111b9489a05e3UL;
   tf->codes[46936] = 0x000117910bd264daUL;
   tf->codes[46937] = 0x00011940b00debf5UL;
   tf->codes[46938] = 0x00012f029ff4b40bUL;
   tf->codes[46939] = 0x00013ba9e172da60UL;
   tf->codes[46940] = 0x00017aec19e2661cUL;
   tf->codes[46941] = 0x00018aa6b25c1f2bUL;
   tf->codes[46942] = 0x000190ffedcb3fb0UL;
   tf->codes[46943] = 0x0001bc8b1f79887cUL;
   tf->codes[46944] = 0x0001be1998b2cb02UL;
   tf->codes[46945] = 0x0001ce055f4a5c84UL;
   tf->codes[46946] = 0x0001d1396c2a2849UL;
   tf->codes[46947] = 0x0001dc3b1a01c55fUL;
   tf->codes[46948] = 0x0001f32bab0b5e8cUL;
   tf->codes[46949] = 0x00001de9e82575d8UL;
   tf->codes[46950] = 0x0000577f98f3e50eUL;
   tf->codes[46951] = 0x00005ab2f6269f84UL;
   tf->codes[46952] = 0x000077cec853d189UL;
   tf->codes[46953] = 0x00007ed89b105822UL;
   tf->codes[46954] = 0x00008c89a9beaea9UL;
   tf->codes[46955] = 0x0000b45754c8a033UL;
   tf->codes[46956] = 0x0000c9fce7689cddUL;
   tf->codes[46957] = 0x0001761eff8b40acUL;
   tf->codes[46958] = 0x000196dd5a702125UL;
   tf->codes[46959] = 0x0001ad581dc11f03UL;
   tf->codes[46960] = 0x0001b316b7850354UL;
   tf->codes[46961] = 0x0001ce65d882d183UL;
   tf->codes[46962] = 0x0001f9578d50faf4UL;
   tf->codes[46963] = 0x0001fcc629368bb9UL;
   tf->codes[46964] = 0x000018c447989799UL;
   tf->codes[46965] = 0x00002ee1b6f8637fUL;
   tf->codes[46966] = 0x0000561709ed5287UL;
   tf->codes[46967] = 0x00005b224daf8b88UL;
   tf->codes[46968] = 0x00005cc263ed8a4fUL;
   tf->codes[46969] = 0x00008465830d4ab7UL;
   tf->codes[46970] = 0x000091065ce6cf80UL;
   tf->codes[46971] = 0x000094c62d216074UL;
   tf->codes[46972] = 0x0000ae19434a2082UL;
   tf->codes[46973] = 0x00013d80c0b02659UL;
   tf->codes[46974] = 0x000150afad07006aUL;
   tf->codes[46975] = 0x000172579455e394UL;
   tf->codes[46976] = 0x0001771cd923371bUL;
   tf->codes[46977] = 0x0001894fb1cf3b26UL;
   tf->codes[46978] = 0x00019cac2353915aUL;
   tf->codes[46979] = 0x0001cad7626a1108UL;
   tf->codes[46980] = 0x0001cca5ad829d41UL;
   tf->codes[46981] = 0x0001e89f73473b82UL;
   tf->codes[46982] = 0x0001ef6a5e608f7cUL;
   tf->codes[46983] = 0x00001e99ed3eb4e4UL;
   tf->codes[46984] = 0x000022176774bcaeUL;
   tf->codes[46985] = 0x0000328dcc9bf686UL;
   tf->codes[46986] = 0x000054da662b13c0UL;
   tf->codes[46987] = 0x00006749a2550af3UL;
   tf->codes[46988] = 0x00009decec9b263fUL;
   tf->codes[46989] = 0x0000b657d5b4063aUL;
   tf->codes[46990] = 0x0000c31fcd16659aUL;
   tf->codes[46991] = 0x0000c4abfcb96e6eUL;
   tf->codes[46992] = 0x0000c578f14d9feeUL;
   tf->codes[46993] = 0x0000f588e63ce13fUL;
   tf->codes[46994] = 0x0001062668ecf5aeUL;
   tf->codes[46995] = 0x00011fac471cb692UL;
   tf->codes[46996] = 0x000125bc15359b12UL;
   tf->codes[46997] = 0x00012a686b1d79b8UL;
   tf->codes[46998] = 0x00012b438e5510eeUL;
   tf->codes[46999] = 0x000139b328652d7aUL;
   tf->codes[47000] = 0x00016332c140dfd1UL;
   tf->codes[47001] = 0x00016f48876cb0baUL;
   tf->codes[47002] = 0x00017b4bc657ae4eUL;
   tf->codes[47003] = 0x0001856d48ad3540UL;
   tf->codes[47004] = 0x000190a05f31b08eUL;
   tf->codes[47005] = 0x000197fc8b0e542fUL;
   tf->codes[47006] = 0x00019b0521c7d7beUL;
   tf->codes[47007] = 0x0001a3e5f0d7c5ceUL;
   tf->codes[47008] = 0x0001aafedc73c931UL;
   tf->codes[47009] = 0x0001bb66d868978eUL;
   tf->codes[47010] = 0x0001c579b6fcad40UL;
   tf->codes[47011] = 0x00001b87e7123709UL;
   tf->codes[47012] = 0x00001d49d7ff8bb4UL;
   tf->codes[47013] = 0x0000296ce292ab3fUL;
   tf->codes[47014] = 0x00002e1dcba6fd49UL;
   tf->codes[47015] = 0x00004a06dea2f65dUL;
   tf->codes[47016] = 0x00005149315e0e09UL;
   tf->codes[47017] = 0x00005ddd015f49f5UL;
   tf->codes[47018] = 0x000078fab9b039ecUL;
   tf->codes[47019] = 0x00009a621f72c214UL;
   tf->codes[47020] = 0x0000c28b49f5b76eUL;
   tf->codes[47021] = 0x0000f040f5e2a192UL;
   tf->codes[47022] = 0x0000f7321448b90fUL;
   tf->codes[47023] = 0x000130414495e7c9UL;
   tf->codes[47024] = 0x00019558167da1efUL;
   tf->codes[47025] = 0x000000d4b88eb9edUL;
   tf->codes[47026] = 0x00001a89f064251cUL;
   tf->codes[47027] = 0x000040b4515dc719UL;
   tf->codes[47028] = 0x00004be9ec0781deUL;
   tf->codes[47029] = 0x00004c6bd95c4ef6UL;
   tf->codes[47030] = 0x0000529fcbbac30cUL;
   tf->codes[47031] = 0x000053969c8c145fUL;
   tf->codes[47032] = 0x0000848f6e384712UL;
   tf->codes[47033] = 0x00009af17d32d5d4UL;
   tf->codes[47034] = 0x0000a07721da1d88UL;
   tf->codes[47035] = 0x0000a53c2c186b4aUL;
   tf->codes[47036] = 0x0000c1ec7bb105a1UL;
   tf->codes[47037] = 0x00010b4e9c8cefecUL;
   tf->codes[47038] = 0x00012215c67774d0UL;
   tf->codes[47039] = 0x00012bf94b65e037UL;
   tf->codes[47040] = 0x00012c0bd2a6b38cUL;
   tf->codes[47041] = 0x00015ea6547a0d69UL;
   tf->codes[47042] = 0x00017518a11f35ceUL;
   tf->codes[47043] = 0x0001751de3f8ba81UL;
   tf->codes[47044] = 0x00018fc3fa18e101UL;
   tf->codes[47045] = 0x0001a8d1fb88d2a9UL;
   tf->codes[47046] = 0x0001dfe9799e60e1UL;
   tf->codes[47047] = 0x00000b729c4575c0UL;
   tf->codes[47048] = 0x00000d5a85f08829UL;
   tf->codes[47049] = 0x00000f6275d2c24eUL;
   tf->codes[47050] = 0x0000731769729efdUL;
   tf->codes[47051] = 0x0000ee10a696547fUL;
   tf->codes[47052] = 0x0000fc3f0f6d04baUL;
   tf->codes[47053] = 0x000123148a4b8253UL;
   tf->codes[47054] = 0x000126f0b7ccdeb3UL;
   tf->codes[47055] = 0x0001706fab0d9ff4UL;
   tf->codes[47056] = 0x00017d3d94f69556UL;
   tf->codes[47057] = 0x0001906ae7644704UL;
   tf->codes[47058] = 0x0001b1c24a0b3b4eUL;
   tf->codes[47059] = 0x0001bfdf8afb3ad2UL;
   tf->codes[47060] = 0x0001c2cf32cf4980UL;
   tf->codes[47061] = 0x0001d989c7ff9111UL;
   tf->codes[47062] = 0x0001e8801d1ff3deUL;
   tf->codes[47063] = 0x0001f14db541fd4aUL;
   tf->codes[47064] = 0x0001fa2b507f9a94UL;
   tf->codes[47065] = 0x0000126d479771d0UL;
   tf->codes[47066] = 0x00007e6325c27ba8UL;
   tf->codes[47067] = 0x00008623bce2041cUL;
   tf->codes[47068] = 0x000090debc17aa69UL;
   tf->codes[47069] = 0x0000912236e7506cUL;
   tf->codes[47070] = 0x0000f01bf64ed770UL;
   tf->codes[47071] = 0x0000fbf13aee4d57UL;
   tf->codes[47072] = 0x0001012cc29247b7UL;
   tf->codes[47073] = 0x00010a1817553f2dUL;
   tf->codes[47074] = 0x00010b104780b31eUL;
   tf->codes[47075] = 0x00015112e556896eUL;
   tf->codes[47076] = 0x0001bc6e96f4629cUL;
   tf->codes[47077] = 0x0001cf018245dddbUL;
   tf->codes[47078] = 0x0001f15de461892eUL;
   tf->codes[47079] = 0x000008ccb9cf9323UL;
   tf->codes[47080] = 0x000013fdc14cda84UL;
   tf->codes[47081] = 0x000032d1ae61691dUL;
   tf->codes[47082] = 0x00004d40694e1b63UL;
   tf->codes[47083] = 0x00006c5dc3b8e601UL;
   tf->codes[47084] = 0x00006e5d026044e8UL;
   tf->codes[47085] = 0x000097e3b28daa1aUL;
   tf->codes[47086] = 0x00009d41ff1d1172UL;
   tf->codes[47087] = 0x0000cba4d3f60b1fUL;
   tf->codes[47088] = 0x0000e13ad8987f75UL;
   tf->codes[47089] = 0x000110c6969cb9fcUL;
   tf->codes[47090] = 0x000152acbff3deafUL;
   tf->codes[47091] = 0x000174f1928437bfUL;
   tf->codes[47092] = 0x000189f656635c6eUL;
   tf->codes[47093] = 0x0001dac4a6377e38UL;
   tf->codes[47094] = 0x000010ffdc4a5861UL;
   tf->codes[47095] = 0x00003a8651e8b7ceUL;
   tf->codes[47096] = 0x00003c6eeb40db86UL;
   tf->codes[47097] = 0x000053945358a976UL;
   tf->codes[47098] = 0x00006fb277f1dd12UL;
   tf->codes[47099] = 0x0000c2f3ffadcaeaUL;
   tf->codes[47100] = 0x0000d44f5e12940fUL;
   tf->codes[47101] = 0x00011ee478aebd10UL;
   tf->codes[47102] = 0x000165814311c40aUL;
   tf->codes[47103] = 0x00017794c533b1a8UL;
   tf->codes[47104] = 0x00017da2bed46800UL;
   tf->codes[47105] = 0x00017df16f0428b8UL;
   tf->codes[47106] = 0x00018991dc9569dcUL;
   tf->codes[47107] = 0x0001abd9a8690dedUL;
   tf->codes[47108] = 0x0001acf8f61d5c75UL;
   tf->codes[47109] = 0x0001bc89b259f5b1UL;
   tf->codes[47110] = 0x0001cd4a34847cddUL;
   tf->codes[47111] = 0x0001da0b4f242f27UL;
   tf->codes[47112] = 0x0001e3a09900e560UL;
   tf->codes[47113] = 0x0001f5aaba3ae671UL;
   tf->codes[47114] = 0x00001579211122adUL;
   tf->codes[47115] = 0x000016c7c86b1b80UL;
   tf->codes[47116] = 0x00003be1ba00e5faUL;
   tf->codes[47117] = 0x000054c65451c359UL;
   tf->codes[47118] = 0x000068087796820eUL;
   tf->codes[47119] = 0x0000fd6d76639ed5UL;
   tf->codes[47120] = 0x00013244849861d5UL;
   tf->codes[47121] = 0x00015e89ae7bfd42UL;
   tf->codes[47122] = 0x0001945d8008a797UL;
   tf->codes[47123] = 0x00019ec501531403UL;
   tf->codes[47124] = 0x0001cab0bac4df8dUL;
   tf->codes[47125] = 0x0001d60d38686f24UL;
   tf->codes[47126] = 0x0001ecafc8ef58e8UL;
   tf->codes[47127] = 0x0001ff7248758437UL;
   tf->codes[47128] = 0x00001469184048f5UL;
   tf->codes[47129] = 0x00001c267b8d80a3UL;
   tf->codes[47130] = 0x000021c633e55a11UL;
   tf->codes[47131] = 0x0000422825151fa6UL;
   tf->codes[47132] = 0x00005dbc5acbbc3bUL;
   tf->codes[47133] = 0x0000d34364c51472UL;
   tf->codes[47134] = 0x0000ded09b6870f2UL;
   tf->codes[47135] = 0x00011378156883e2UL;
   tf->codes[47136] = 0x00015cac3bf8e680UL;
   tf->codes[47137] = 0x000175c363c1bef0UL;
   tf->codes[47138] = 0x000199541ef7cb97UL;
   tf->codes[47139] = 0x0001c71c8cb48ed5UL;
   tf->codes[47140] = 0x0001d2da7c57b83eUL;
   tf->codes[47141] = 0x0001fab1c2d89c1aUL;
   tf->codes[47142] = 0x0000339f8d94807aUL;
   tf->codes[47143] = 0x00003cb7b7d7e2c4UL;
   tf->codes[47144] = 0x000041c78ec68f29UL;
   tf->codes[47145] = 0x0000489de9cf039dUL;
   tf->codes[47146] = 0x00006dd7e19bf5d3UL;
   tf->codes[47147] = 0x0000843b4ff0a733UL;
   tf->codes[47148] = 0x0000a51817238705UL;
   tf->codes[47149] = 0x0000a6de60ae494fUL;
   tf->codes[47150] = 0x0000ba2bf3e2287eUL;
   tf->codes[47151] = 0x0000e708510fa994UL;
   tf->codes[47152] = 0x0000f13493a73fb1UL;
   tf->codes[47153] = 0x0000f3670f73aaf8UL;
   tf->codes[47154] = 0x000115dd853fe805UL;
   tf->codes[47155] = 0x0001307656f8bfe3UL;
   tf->codes[47156] = 0x0001370e04ed077dUL;
   tf->codes[47157] = 0x00013a5757c1ebd3UL;
   tf->codes[47158] = 0x00013acb8b915ebfUL;
   tf->codes[47159] = 0x00013cc5c1ee3eb8UL;
   tf->codes[47160] = 0x00014c13b3084340UL;
   tf->codes[47161] = 0x0001564ed3f05062UL;
   tf->codes[47162] = 0x00015e3e8a267d5cUL;
   tf->codes[47163] = 0x000187dd046e3a96UL;
   tf->codes[47164] = 0x0001af10bd7a013bUL;
   tf->codes[47165] = 0x0001ce252c1aead6UL;
   tf->codes[47166] = 0x0001d347c4d97055UL;
   tf->codes[47167] = 0x0001e1b883b4a9baUL;
   tf->codes[47168] = 0x0001f1d20a08bd24UL;
   tf->codes[47169] = 0x000001aeb7c0d1dcUL;
   tf->codes[47170] = 0x000041b483dca28bUL;
   tf->codes[47171] = 0x00004aed9e9343a5UL;
   tf->codes[47172] = 0x0000520948e38c44UL;
   tf->codes[47173] = 0x0000b1447413855eUL;
   tf->codes[47174] = 0x0000ccc03002b89cUL;
   tf->codes[47175] = 0x0000ed26b45ef195UL;
   tf->codes[47176] = 0x000136ff8d2f8e43UL;
   tf->codes[47177] = 0x000146dd5fb2bfd4UL;
   tf->codes[47178] = 0x000155c635dcce3aUL;
   tf->codes[47179] = 0x00018b74be58cc20UL;
   tf->codes[47180] = 0x0001a1071a0ae426UL;
   tf->codes[47181] = 0x0001aa36d3d998b3UL;
   tf->codes[47182] = 0x0001b6b97bf423e8UL;
   tf->codes[47183] = 0x0001b94c44f50c28UL;
   tf->codes[47184] = 0x0001c811a6869c47UL;
   tf->codes[47185] = 0x0001dadee64ed6c1UL;
   tf->codes[47186] = 0x0001e0d724dc68feUL;
   tf->codes[47187] = 0x0001ed6577751a72UL;
   tf->codes[47188] = 0x0001f75ad3f747dfUL;
   tf->codes[47189] = 0x000018ef84584665UL;
   tf->codes[47190] = 0x00002404de3bd3a9UL;
   tf->codes[47191] = 0x00005298a6a3a004UL;
   tf->codes[47192] = 0x0000533f2d5c083cUL;
   tf->codes[47193] = 0x000064c0f99c9aa9UL;
   tf->codes[47194] = 0x00006b841db72a79UL;
   tf->codes[47195] = 0x00009b43c88d82afUL;
   tf->codes[47196] = 0x0000ceacd8de366fUL;
   tf->codes[47197] = 0x0000f90dc2071bc3UL;
   tf->codes[47198] = 0x0001079142b22e42UL;
   tf->codes[47199] = 0x00011bc2e4e785aaUL;
   tf->codes[47200] = 0x00012409fc884e9aUL;
   tf->codes[47201] = 0x00013b3fa24ab62dUL;
   tf->codes[47202] = 0x000142f5ee463b00UL;
   tf->codes[47203] = 0x00018608349af153UL;
   tf->codes[47204] = 0x0001daf6a1de210aUL;
   tf->codes[47205] = 0x0001ec4de2348255UL;
   tf->codes[47206] = 0x000005bb0c0dd41dUL;
   tf->codes[47207] = 0x00001989a25a6950UL;
   tf->codes[47208] = 0x00001d9404b65322UL;
   tf->codes[47209] = 0x00002b27cbe1c729UL;
   tf->codes[47210] = 0x000042869e343d40UL;
   tf->codes[47211] = 0x00004fceae733b90UL;
   tf->codes[47212] = 0x0000573f7097e673UL;
   tf->codes[47213] = 0x000081fcc375e6abUL;
   tf->codes[47214] = 0x00008e26703cad87UL;
   tf->codes[47215] = 0x00009ae1d2e4cf94UL;
   tf->codes[47216] = 0x00009fd5871bb652UL;
   tf->codes[47217] = 0x0000cfce9c2cb6afUL;
   tf->codes[47218] = 0x0000d0e5e8533b48UL;
   tf->codes[47219] = 0x0000facb4bcbf510UL;
   tf->codes[47220] = 0x00011cba1c4bd4c8UL;
   tf->codes[47221] = 0x000124dd4a3613e7UL;
   tf->codes[47222] = 0x000130df29c6eeddUL;
   tf->codes[47223] = 0x000141c3d037059fUL;
   tf->codes[47224] = 0x000146f6a6a024c1UL;
   tf->codes[47225] = 0x0001474138c17d9fUL;
   tf->codes[47226] = 0x000181a06fc2c7caUL;
   tf->codes[47227] = 0x00019325e4f3b687UL;
   tf->codes[47228] = 0x0001c7f357b18735UL;
   tf->codes[47229] = 0x0001cce328690bdeUL;
   tf->codes[47230] = 0x0001fd198b341677UL;
   tf->codes[47231] = 0x0000478a46fbaa1dUL;
   tf->codes[47232] = 0x00005ba71859f47eUL;
   tf->codes[47233] = 0x0000a33de7609d91UL;
   tf->codes[47234] = 0x0000c3e945e69f2bUL;
   tf->codes[47235] = 0x0000d656387a5cacUL;
   tf->codes[47236] = 0x0000e61146122145UL;
   tf->codes[47237] = 0x0000fe34212ee7d9UL;
   tf->codes[47238] = 0x000119a97579798bUL;
   tf->codes[47239] = 0x000132ac4189507eUL;
   tf->codes[47240] = 0x00014228a20ce83dUL;
   tf->codes[47241] = 0x00014542d5cb280dUL;
   tf->codes[47242] = 0x00014a323164a12cUL;
   tf->codes[47243] = 0x0001552d77979cb6UL;
   tf->codes[47244] = 0x00017525baaaf8c5UL;
   tf->codes[47245] = 0x00018a0f460e6ee1UL;
   tf->codes[47246] = 0x00018efc92a0b413UL;
   tf->codes[47247] = 0x00019051671048adUL;
   tf->codes[47248] = 0x0001939cc8ec60f0UL;
   tf->codes[47249] = 0x0001945a2f830a1cUL;
   tf->codes[47250] = 0x0001c6896950d210UL;
   tf->codes[47251] = 0x0001cb546615b5d4UL;
   tf->codes[47252] = 0x0001f1e6a0b3932fUL;
   tf->codes[47253] = 0x0001fb887f4a86bbUL;
   tf->codes[47254] = 0x0000061cd6155dfbUL;
   tf->codes[47255] = 0x00003f69198d912cUL;
   tf->codes[47256] = 0x00003f72ef938943UL;
   tf->codes[47257] = 0x00004823b550bbb9UL;
   tf->codes[47258] = 0x00004c38d7eeb4b6UL;
   tf->codes[47259] = 0x00007afc6f1a36e6UL;
   tf->codes[47260] = 0x00008d48e658c121UL;
   tf->codes[47261] = 0x0000acaf738ac1ffUL;
   tf->codes[47262] = 0x0000be2819726da4UL;
   tf->codes[47263] = 0x00010c289c21d6a4UL;
   tf->codes[47264] = 0x00012fba4193fa5fUL;
   tf->codes[47265] = 0x0001363bbf571254UL;
   tf->codes[47266] = 0x00013c7f052408f9UL;
   tf->codes[47267] = 0x00018f27bface8c5UL;
   tf->codes[47268] = 0x000192b83641cf6eUL;
   tf->codes[47269] = 0x00019d5921c6e401UL;
   tf->codes[47270] = 0x0001abf6b622883aUL;
   tf->codes[47271] = 0x0001adcfc17d239eUL;
   tf->codes[47272] = 0x0001ce0b0a421a26UL;
   tf->codes[47273] = 0x0001cf2f6040e79cUL;
   tf->codes[47274] = 0x0001da4bd17627bbUL;
   tf->codes[47275] = 0x0001da5c843ecce8UL;
   tf->codes[47276] = 0x0001dc70ce4c3e9bUL;
   tf->codes[47277] = 0x0001e9049e4d7a87UL;
   tf->codes[47278] = 0x00001e676fdd02b6UL;
   tf->codes[47279] = 0x00001f287f640832UL;
   tf->codes[47280] = 0x00004744a00eb4afUL;
   tf->codes[47281] = 0x000062d89b364b7fUL;
   tf->codes[47282] = 0x0000646edb6e522fUL;
   tf->codes[47283] = 0x0000a76ab702d318UL;
   tf->codes[47284] = 0x0000aa3600024c6bUL;
   tf->codes[47285] = 0x0000c1131f8efb2fUL;
   tf->codes[47286] = 0x000102a72a55089fUL;
   tf->codes[47287] = 0x00010e867f897c62UL;
   tf->codes[47288] = 0x00011a9aabcc24e8UL;
   tf->codes[47289] = 0x00012c8959fb71a1UL;
   tf->codes[47290] = 0x0001328f8c9d63cfUL;
   tf->codes[47291] = 0x000162d7174f1f1fUL;
   tf->codes[47292] = 0x000168259b51f85eUL;
   tf->codes[47293] = 0x00019b20df77dabeUL;
   tf->codes[47294] = 0x0001a45cb8e2c114UL;
   tf->codes[47295] = 0x0001a77b0aaf68beUL;
   tf->codes[47296] = 0x0001e0d36dc3cdb8UL;
   tf->codes[47297] = 0x0001f91097202bcbUL;
   tf->codes[47298] = 0x00000b6e364566bdUL;
   tf->codes[47299] = 0x00001cc7fac1077fUL;
   tf->codes[47300] = 0x0000279421dd5e83UL;
   tf->codes[47301] = 0x00002c9fa02e9d49UL;
   tf->codes[47302] = 0x000031fdecbe04a1UL;
   tf->codes[47303] = 0x00004929475c6893UL;
   tf->codes[47304] = 0x00004ffa24fc528fUL;
   tf->codes[47305] = 0x0000664f2a1e9874UL;
   tf->codes[47306] = 0x00007906aed3aed3UL;
   tf->codes[47307] = 0x0000afb5a397f05eUL;
   tf->codes[47308] = 0x0000f8b4b88b1874UL;
   tf->codes[47309] = 0x0001358cdf6bbeeaUL;
   tf->codes[47310] = 0x000136636f76e2bcUL;
   tf->codes[47311] = 0x000143a5c7be50cfUL;
   tf->codes[47312] = 0x000151398ee9c4d6UL;
   tf->codes[47313] = 0x00016cc2c9cf4c7bUL;
   tf->codes[47314] = 0x00018e09eecba722UL;
   tf->codes[47315] = 0x0001a132ae0ce56cUL;
   tf->codes[47316] = 0x0001a2e301f57dd6UL;
   tf->codes[47317] = 0x0001c54a997143deUL;
   tf->codes[47318] = 0x0001c570922f019cUL;
   tf->codes[47319] = 0x0001e12a4b855065UL;
   tf->codes[47320] = 0x0000311af3fc9b82UL;
   tf->codes[47321] = 0x000044e61be7da2aUL;
   tf->codes[47322] = 0x000047fbbc79a696UL;
   tf->codes[47323] = 0x00004bf39794bd13UL;
   tf->codes[47324] = 0x0000635b1b220e68UL;
   tf->codes[47325] = 0x000075010ba8306bUL;
   tf->codes[47326] = 0x0000d857c11ac40eUL;
   tf->codes[47327] = 0x0000eea48a203a3fUL;
   tf->codes[47328] = 0x0000fde3625ac1fdUL;
   tf->codes[47329] = 0x0001186fd9e8624dUL;
   tf->codes[47330] = 0x000126e31ce8db29UL;
   tf->codes[47331] = 0x00013bd88d597d49UL;
   tf->codes[47332] = 0x00016ae5cc6a4143UL;
   tf->codes[47333] = 0x00016f4a4ee50c47UL;
   tf->codes[47334] = 0x0000129d6f8b840cUL;
   tf->codes[47335] = 0x00001b74ddb3858fUL;
   tf->codes[47336] = 0x0000319ea73e8903UL;
   tf->codes[47337] = 0x000050d0d28060a8UL;
   tf->codes[47338] = 0x00008eceaeb9f732UL;
   tf->codes[47339] = 0x00009f87df03c5beUL;
   tf->codes[47340] = 0x0000c1c908a3c27eUL;
   tf->codes[47341] = 0x0000d614be89aba0UL;
   tf->codes[47342] = 0x0000df6b5b5234ffUL;
   tf->codes[47343] = 0x0000e228b03d4e61UL;
   tf->codes[47344] = 0x000110f4be14a60aUL;
   tf->codes[47345] = 0x0001156475ef8bc3UL;
   tf->codes[47346] = 0x0001163881d5701eUL;
   tf->codes[47347] = 0x000125abbc002115UL;
   tf->codes[47348] = 0x0001818221508181UL;
   tf->codes[47349] = 0x0001be81a0490853UL;
   tf->codes[47350] = 0x0001d5886183d125UL;
   tf->codes[47351] = 0x0000097ff3e38f50UL;
   tf->codes[47352] = 0x00001802ff709645UL;
   tf->codes[47353] = 0x00001d117705200cUL;
   tf->codes[47354] = 0x00005d135fa18ea6UL;
   tf->codes[47355] = 0x0000604fa89e2a1fUL;
   tf->codes[47356] = 0x0000622afd8eff35UL;
   tf->codes[47357] = 0x000079a41e210ccbUL;
   tf->codes[47358] = 0x00007aa6d3ff8a22UL;
   tf->codes[47359] = 0x0000a6dcaa74a300UL;
   tf->codes[47360] = 0x0000bf50f4756f88UL;
   tf->codes[47361] = 0x0000dc9c95665762UL;
   tf->codes[47362] = 0x0000e24ff9ca20feUL;
   tf->codes[47363] = 0x0000f28b955c9011UL;
   tf->codes[47364] = 0x0001014dfdaad52fUL;
   tf->codes[47365] = 0x0001080cc927f760UL;
   tf->codes[47366] = 0x00014e255c9ff790UL;
   tf->codes[47367] = 0x00016b76406a641dUL;
   tf->codes[47368] = 0x00017399a8e3a901UL;
   tf->codes[47369] = 0x00019adcb55df235UL;
   tf->codes[47370] = 0x0001a91aac322ac4UL;
   tf->codes[47371] = 0x0001baad65ca6823UL;
   tf->codes[47372] = 0x0001bbffb614bd46UL;
   tf->codes[47373] = 0x0001eea40dee0f3aUL;
   tf->codes[47374] = 0x00004a334f7e6d53UL;
   tf->codes[47375] = 0x00007549d83f37a9UL;
   tf->codes[47376] = 0x00009b3b098d3744UL;
   tf->codes[47377] = 0x0000a35461717e4cUL;
   tf->codes[47378] = 0x0000ba0819df18c7UL;
   tf->codes[47379] = 0x0000bac1d78565a3UL;
   tf->codes[47380] = 0x0000cd6f11167861UL;
   tf->codes[47381] = 0x00011f67e3ff0368UL;
   tf->codes[47382] = 0x00013885adfb8329UL;
   tf->codes[47383] = 0x00014da39b4f227eUL;
   tf->codes[47384] = 0x00014fcfea05f1feUL;
   tf->codes[47385] = 0x000151291712f437UL;
   tf->codes[47386] = 0x00015e2a0391f034UL;
   tf->codes[47387] = 0x00016907c7b30379UL;
   tf->codes[47388] = 0x0001853d06b97dceUL;
   tf->codes[47389] = 0x0001a4467a895279UL;
   tf->codes[47390] = 0x0001ec238313e6cbUL;
   tf->codes[47391] = 0x0001ec3769aedcbeUL;
   tf->codes[47392] = 0x0001fca01550bc6aUL;
   tf->codes[47393] = 0x00001bc44c7e341eUL;
   tf->codes[47394] = 0x000020bf1806cdb7UL;
   tf->codes[47395] = 0x000020c420514ca5UL;
   tf->codes[47396] = 0x00002bda29e1eb38UL;
   tf->codes[47397] = 0x00002c7f8bcf3697UL;
   tf->codes[47398] = 0x00003119cf944d72UL;
   tf->codes[47399] = 0x000063001129e4ebUL;
   tf->codes[47400] = 0x00007db789bfc1e7UL;
   tf->codes[47401] = 0x00008162c3b24b99UL;
   tf->codes[47402] = 0x0000aa73e0b61b41UL;
   tf->codes[47403] = 0x0000c6848658fa76UL;
   tf->codes[47404] = 0x0000d5eb2bc96e1aUL;
   tf->codes[47405] = 0x0000ebc1b1f83d72UL;
   tf->codes[47406] = 0x000138bcc014e3dfUL;
   tf->codes[47407] = 0x00014ad759888458UL;
   tf->codes[47408] = 0x00015029fb99c571UL;
   tf->codes[47409] = 0x000162e772d571d2UL;
   tf->codes[47410] = 0x0001682494629495UL;
   tf->codes[47411] = 0x0001717defdf6330UL;
   tf->codes[47412] = 0x00017bc40b988542UL;
   tf->codes[47413] = 0x000185bd4b9a14c4UL;
   tf->codes[47414] = 0x000191828d1df6cdUL;
   tf->codes[47415] = 0x0001b2f90bbffbbfUL;
   tf->codes[47416] = 0x0001ecab8ef341ebUL;
   tf->codes[47417] = 0x000025bd7df4b5e1UL;
   tf->codes[47418] = 0x00002a80b3bad57bUL;
   tf->codes[47419] = 0x0000580706021554UL;
   tf->codes[47420] = 0x0000a09b480db70bUL;
   tf->codes[47421] = 0x0000a553bd91c77aUL;
   tf->codes[47422] = 0x0000d1326d2b4a27UL;
   tf->codes[47423] = 0x0001203fb64e2e5aUL;
   tf->codes[47424] = 0x000123d276794eb5UL;
   tf->codes[47425] = 0x000130f95bb60870UL;
   tf->codes[47426] = 0x0001486d73fd9718UL;
   tf->codes[47427] = 0x0001614997a29efeUL;
   tf->codes[47428] = 0x00017b8d16f80ed3UL;
   tf->codes[47429] = 0x00018943dd9df597UL;
   tf->codes[47430] = 0x0001c6f5c85c10a5UL;
   tf->codes[47431] = 0x0001d54b894aa13cUL;
   tf->codes[47432] = 0x00001f86f8e5f495UL;
   tf->codes[47433] = 0x0000b98934bb7338UL;
   tf->codes[47434] = 0x000130b76c447d11UL;
   tf->codes[47435] = 0x00013bf961196f64UL;
   tf->codes[47436] = 0x00013cb8619940f3UL;
   tf->codes[47437] = 0x00014f9828a24ec2UL;
   tf->codes[47438] = 0x0001901ce8cfa188UL;
   tf->codes[47439] = 0x0001c7c5e237852cUL;
   tf->codes[47440] = 0x0001cd188448c645UL;
   tf->codes[47441] = 0x00000784ffb15f12UL;
   tf->codes[47442] = 0x00003657afbc5e0cUL;
   tf->codes[47443] = 0x000041d88c3482feUL;
   tf->codes[47444] = 0x0000505d6c39b81bUL;
   tf->codes[47445] = 0x000052c1c5d10d24UL;
   tf->codes[47446] = 0x000057ad3deb242eUL;
   tf->codes[47447] = 0x00006fbe7c032e81UL;
   tf->codes[47448] = 0x00007c816b1b0ef3UL;
   tf->codes[47449] = 0x0000baf799328043UL;
   tf->codes[47450] = 0x00010cf65ea1a14cUL;
   tf->codes[47451] = 0x000118df14be019cUL;
   tf->codes[47452] = 0x0001234ed2253dbcUL;
   tf->codes[47453] = 0x00012dc188cfc4ddUL;
   tf->codes[47454] = 0x00016c983eaab8ebUL;
   tf->codes[47455] = 0x00019999e4e8e670UL;
   tf->codes[47456] = 0x0001a100d107993cUL;
   tf->codes[47457] = 0x0001a1e7d94c5c76UL;
   tf->codes[47458] = 0x0001c9e7d73f434cUL;
   tf->codes[47459] = 0x0001dc486fa7c93fUL;
   tf->codes[47460] = 0x0001fbbec5665836UL;
   tf->codes[47461] = 0x00000089fcba41bfUL;
   tf->codes[47462] = 0x0000033a47cd1244UL;
   tf->codes[47463] = 0x0000478ccc4955efUL;
   tf->codes[47464] = 0x00009be73a14f0c3UL;
   tf->codes[47465] = 0x0000e176c8e67100UL;
   tf->codes[47466] = 0x0000ebf05c53a537UL;
   tf->codes[47467] = 0x000124f95f8b382aUL;
   tf->codes[47468] = 0x000125d5a78dec39UL;
   tf->codes[47469] = 0x000145b39c61b0c9UL;
   tf->codes[47470] = 0x0001861ada7d1b4aUL;
   tf->codes[47471] = 0x0001d0ae20a11623UL;
   tf->codes[47472] = 0x0001d658993afebcUL;
   tf->codes[47473] = 0x0001ed30b07d2e92UL;
   tf->codes[47474] = 0x0001ed324a6656f5UL;
   tf->codes[47475] = 0x00000a2e165c613eUL;
   tf->codes[47476] = 0x0000152fc433fe54UL;
   tf->codes[47477] = 0x000031ebbe4abeeaUL;
   tf->codes[47478] = 0x00004f77311af077UL;
   tf->codes[47479] = 0x000052086032b054UL;
   tf->codes[47480] = 0x000059b0f2a8dafbUL;
   tf->codes[47481] = 0x00006a713a445c62UL;
   tf->codes[47482] = 0x00006ef80c8c88d4UL;
   tf->codes[47483] = 0x0000704f65215ce5UL;
   tf->codes[47484] = 0x000078fa72e6ff1eUL;
   tf->codes[47485] = 0x0000ac5d56221717UL;
   tf->codes[47486] = 0x0000b307c5e637cbUL;
   tf->codes[47487] = 0x0000bcb464bf3a82UL;
   tf->codes[47488] = 0x0000d03868ea76d7UL;
   tf->codes[47489] = 0x0000d3325be28926UL;
   tf->codes[47490] = 0x00012108c7c5cc8eUL;
   tf->codes[47491] = 0x0001485cfc26c679UL;
   tf->codes[47492] = 0x000149dd814ba90eUL;
   tf->codes[47493] = 0x000164ec5b4c2200UL;
   tf->codes[47494] = 0x000165a9fc71d0f1UL;
   tf->codes[47495] = 0x000184409bcc554eUL;
   tf->codes[47496] = 0x0001ad3387112b62UL;
   tf->codes[47497] = 0x0001e603952c21b8UL;
   tf->codes[47498] = 0x0001fe354e995f51UL;
   tf->codes[47499] = 0x000001140915c30dUL;
   tf->codes[47500] = 0x00000ceda652a693UL;
   tf->codes[47501] = 0x00004e479730fa8dUL;
   tf->codes[47502] = 0x000069e2a9aa4438UL;
   tf->codes[47503] = 0x0000730f6a35adc4UL;
   tf->codes[47504] = 0x00007f645293b711UL;
   tf->codes[47505] = 0x000084dfe6a600e9UL;
   tf->codes[47506] = 0x000093252f5af218UL;
   tf->codes[47507] = 0x00009ad33f39a737UL;
   tf->codes[47508] = 0x00009c66862e62e6UL;
   tf->codes[47509] = 0x0000b1a7386d6f33UL;
   tf->codes[47510] = 0x0000baadc5ac153cUL;
   tf->codes[47511] = 0x0000bdca087188f9UL;
   tf->codes[47512] = 0x0000d26901b3a637UL;
   tf->codes[47513] = 0x0000dcd16d3a29b7UL;
   tf->codes[47514] = 0x0000e66a9a964205UL;
   tf->codes[47515] = 0x00012ca8b1adf469UL;
   tf->codes[47516] = 0x0001393ecb456a07UL;
   tf->codes[47517] = 0x00013a4ec58b3600UL;
   tf->codes[47518] = 0x00014a0a48410623UL;
   tf->codes[47519] = 0x00014bbfa4741d7bUL;
   tf->codes[47520] = 0x00014f8860788f72UL;
   tf->codes[47521] = 0x00015656b9f339f7UL;
   tf->codes[47522] = 0x0001659f6833b9ccUL;
   tf->codes[47523] = 0x00016f5cb9d561b0UL;
   tf->codes[47524] = 0x00018a2c71a3a23eUL;
   tf->codes[47525] = 0x00018d6b3ec57d2eUL;
   tf->codes[47526] = 0x00019fced0714e22UL;
   tf->codes[47527] = 0x0001d2edfe4dba53UL;
   tf->codes[47528] = 0x000038fdea9cff7eUL;
   tf->codes[47529] = 0x00003e02519c8b69UL;
   tf->codes[47530] = 0x00004c1d48f6513bUL;
   tf->codes[47531] = 0x0000510518200bf5UL;
   tf->codes[47532] = 0x000070857e7398c8UL;
   tf->codes[47533] = 0x00008f67d4ba92dcUL;
   tf->codes[47534] = 0x0000f4e5960a714cUL;
   tf->codes[47535] = 0x000115406fe88406UL;
   tf->codes[47536] = 0x000140909d72fc48UL;
   tf->codes[47537] = 0x00015c679e4c2d91UL;
   tf->codes[47538] = 0x00018103fb2a9892UL;
   tf->codes[47539] = 0x0001868d48c23c96UL;
   tf->codes[47540] = 0x0001a1d37df629c2UL;
   tf->codes[47541] = 0x0001ada469f8320aUL;
   tf->codes[47542] = 0x0001b2960f27e4dbUL;
   tf->codes[47543] = 0x0001c1db14780860UL;
   tf->codes[47544] = 0x0001d5b84e860ed3UL;
   tf->codes[47545] = 0x0001fc032ad4e416UL;
   tf->codes[47546] = 0x0001fdf7a93a33d2UL;
   tf->codes[47547] = 0x00006b1217f310e5UL;
   tf->codes[47548] = 0x000090e467d5059dUL;
   tf->codes[47549] = 0x0000984770745654UL;
   tf->codes[47550] = 0x0000cc4ae7e14083UL;
   tf->codes[47551] = 0x0000d559018fa4f1UL;
   tf->codes[47552] = 0x0000df45acd6f720UL;
   tf->codes[47553] = 0x0000ef41b1192245UL;
   tf->codes[47554] = 0x0000fe57d1e1a709UL;
   tf->codes[47555] = 0x0001008a4dae1250UL;
   tf->codes[47556] = 0x00010bd9fc085ecfUL;
   tf->codes[47557] = 0x00014549798a0a82UL;
   tf->codes[47558] = 0x000156cbbae8a879UL;
   tf->codes[47559] = 0x00015faa40625cd7UL;
   tf->codes[47560] = 0x000178444891e158UL;
   tf->codes[47561] = 0x0001b0faf2a95743UL;
   tf->codes[47562] = 0x0001bbbb34b88243UL;
   tf->codes[47563] = 0x000012e50991fe44UL;
   tf->codes[47564] = 0x00003be44f020be6UL;
   tf->codes[47565] = 0x000049219efefb0bUL;
   tf->codes[47566] = 0x000057c5d58e4695UL;
   tf->codes[47567] = 0x00005ca7028459feUL;
   tf->codes[47568] = 0x0000654be3346070UL;
   tf->codes[47569] = 0x000069158974e97bUL;
   tf->codes[47570] = 0x00006eec6271315eUL;
   tf->codes[47571] = 0x00007ed7ee79bd1bUL;
   tf->codes[47572] = 0x00007efb9da14127UL;
   tf->codes[47573] = 0x000089ec5e21334bUL;
   tf->codes[47574] = 0x00008b292de76a18UL;
   tf->codes[47575] = 0x0000ca962cd02cbbUL;
   tf->codes[47576] = 0x0000dde818a17989UL;
   tf->codes[47577] = 0x00010cf25e6ef282UL;
   tf->codes[47578] = 0x000138d148977af4UL;
   tf->codes[47579] = 0x0001cc58a8dd88f3UL;
   tf->codes[47580] = 0x0001da6e97eccfd7UL;
   tf->codes[47581] = 0x0001f447445ab94dUL;
   tf->codes[47582] = 0x00002e39996d492cUL;
   tf->codes[47583] = 0x000059acc672342bUL;
   tf->codes[47584] = 0x0000979a9f9036d7UL;
   tf->codes[47585] = 0x0001007e10fbc509UL;
   tf->codes[47586] = 0x00010fb13eb82688UL;
   tf->codes[47587] = 0x0001138027d23446UL;
   tf->codes[47588] = 0x000125732e9eee9eUL;
   tf->codes[47589] = 0x000137efaf303473UL;
   tf->codes[47590] = 0x000164b90ffed6aaUL;
   tf->codes[47591] = 0x00016b3a8dc1ee9fUL;
   tf->codes[47592] = 0x00018683bc3926ccUL;
   tf->codes[47593] = 0x000187cf6a4fd49eUL;
   tf->codes[47594] = 0x0001a46cf81895dbUL;
   tf->codes[47595] = 0x0001b78c5671e798UL;
   tf->codes[47596] = 0x0001bf8866d34c20UL;
   tf->codes[47597] = 0x00001d012bf7e505UL;
   tf->codes[47598] = 0x0000404287511fa5UL;
   tf->codes[47599] = 0x000057cd7f76ef41UL;
   tf->codes[47600] = 0x00005d9d06927e84UL;
   tf->codes[47601] = 0x00006a66d26d0c0cUL;
   tf->codes[47602] = 0x00009fd429af9da1UL;
   tf->codes[47603] = 0x0000a9f745ee4cf6UL;
   tf->codes[47604] = 0x00010b20c26dfa05UL;
   tf->codes[47605] = 0x00011e590facc0a3UL;
   tf->codes[47606] = 0x0001341497eee72dUL;
   tf->codes[47607] = 0x00014a4a0bf810e0UL;
   tf->codes[47608] = 0x000176fba2ac5b0fUL;
   tf->codes[47609] = 0x00004edfd292b05aUL;
   tf->codes[47610] = 0x0000642e03c8110eUL;
   tf->codes[47611] = 0x00008d9aa044e486UL;
   tf->codes[47612] = 0x0000965f120e072aUL;
   tf->codes[47613] = 0x0000a1c565b78ed8UL;
   tf->codes[47614] = 0x00012e12af5f54dfUL;
   tf->codes[47615] = 0x000137347519a97bUL;
   tf->codes[47616] = 0x000148af2a08890dUL;
   tf->codes[47617] = 0x000175d987b8b98cUL;
   tf->codes[47618] = 0x000183a2d59f73a5UL;
   tf->codes[47619] = 0x000194ebacc36975UL;
   tf->codes[47620] = 0x0001ecdaaf3252ccUL;
   tf->codes[47621] = 0x0001f121ea2a3b50UL;
   tf->codes[47622] = 0x0001f47fd34726e8UL;
   tf->codes[47623] = 0x0001f97d22f4fff8UL;
   tf->codes[47624] = 0x0000031e51dee235UL;
   tf->codes[47625] = 0x00000424eb3cc1a1UL;
   tf->codes[47626] = 0x000004adb5543bcfUL;
   tf->codes[47627] = 0x000007637dcf96ccUL;
   tf->codes[47628] = 0x000044fc048a316fUL;
   tf->codes[47629] = 0x00007ab12f39d6a6UL;
   tf->codes[47630] = 0x00009bc30809f100UL;
   tf->codes[47631] = 0x0000aa46c3440944UL;
   tf->codes[47632] = 0x00011f65f399261dUL;
   tf->codes[47633] = 0x0001269d4b8328d9UL;
   tf->codes[47634] = 0x00015ec5e8a99fe3UL;
   tf->codes[47635] = 0x000182ff399f48afUL;
   tf->codes[47636] = 0x00019696e9d67532UL;
   tf->codes[47637] = 0x000199dea2c23125UL;
   tf->codes[47638] = 0x0001a4f5968ee6ccUL;
   tf->codes[47639] = 0x0001c828fdd3c17bUL;
   tf->codes[47640] = 0x000010422f4d4330UL;
   tf->codes[47641] = 0x000035428250877aUL;
   tf->codes[47642] = 0x0000715f1712b2ecUL;
   tf->codes[47643] = 0x0000833426af7975UL;
   tf->codes[47644] = 0x000086314d79dc8aUL;
   tf->codes[47645] = 0x0000929c6609157cUL;
   tf->codes[47646] = 0x0000a3b4f94b49edUL;
   tf->codes[47647] = 0x0000a50749959f10UL;
   tf->codes[47648] = 0x0000a89d03040a6cUL;
   tf->codes[47649] = 0x0000adb3f14469acUL;
   tf->codes[47650] = 0x0000af93d961b226UL;
   tf->codes[47651] = 0x0000b618c58620a6UL;
   tf->codes[47652] = 0x0000e6eff712033aUL;
   tf->codes[47653] = 0x0000ee2b6d0a6dd0UL;
   tf->codes[47654] = 0x0000f6cfd89c68b8UL;
   tf->codes[47655] = 0x00016d52469385a6UL;
   tf->codes[47656] = 0x0001d66218617322UL;
   tf->codes[47657] = 0x0001fad005d64aecUL;
   tf->codes[47658] = 0x00001ee0d9e8f683UL;
   tf->codes[47659] = 0x00004114bf21a4a1UL;
   tf->codes[47660] = 0x0000488e32812ac2UL;
   tf->codes[47661] = 0x0000587c081ff031UL;
   tf->codes[47662] = 0x00006b91cb024f9cUL;
   tf->codes[47663] = 0x00007edd149ff519UL;
   tf->codes[47664] = 0x000087a47fac62beUL;
   tf->codes[47665] = 0x0000bf5b3299a08eUL;
   tf->codes[47666] = 0x0000d2d40164c22eUL;
   tf->codes[47667] = 0x00011cf3fdf5612fUL;
   tf->codes[47668] = 0x00012b45a0d589ecUL;
   tf->codes[47669] = 0x00014ee7f91052d4UL;
   tf->codes[47670] = 0x000159ea56950139UL;
   tf->codes[47671] = 0x000180f015554031UL;
   tf->codes[47672] = 0x0001a16b2ff9806cUL;
   tf->codes[47673] = 0x0001ba0154a9a2d8UL;
   tf->codes[47674] = 0x0001c084e173eebaUL;
   tf->codes[47675] = 0x0001e0fb68ebbb91UL;
   tf->codes[47676] = 0x000013f5fd648ca2UL;
   tf->codes[47677] = 0x00006502fa4cdb46UL;
   tf->codes[47678] = 0x00008a57b5777085UL;
   tf->codes[47679] = 0x000098f07c179b95UL;
   tf->codes[47680] = 0x00009af4135c681bUL;
   tf->codes[47681] = 0x0000a20279456218UL;
   tf->codes[47682] = 0x0000bc3b72e7c887UL;
   tf->codes[47683] = 0x0000c140899465c1UL;
   tf->codes[47684] = 0x0000c9dec810c4e2UL;
   tf->codes[47685] = 0x0000cd5cf1f3ddfbUL;
   tf->codes[47686] = 0x0000e1c78945d200UL;
   tf->codes[47687] = 0x0000e3630c575d63UL;
   tf->codes[47688] = 0x0001051abc32cea6UL;
   tf->codes[47689] = 0x00013af9c31f93b0UL;
   tf->codes[47690] = 0x00013f3085dddcccUL;
   tf->codes[47691] = 0x00017704f56c08a6UL;
   tf->codes[47692] = 0x00017d833f5ccfd5UL;
   tf->codes[47693] = 0x00018c44f7fe03a4UL;
   tf->codes[47694] = 0x00018e64024d8482UL;
   tf->codes[47695] = 0x0001994aecc77e8fUL;
   tf->codes[47696] = 0x00019f63a6aa4412UL;
   tf->codes[47697] = 0x0001ad08209e5d46UL;
   tf->codes[47698] = 0x0001cd833b429d81UL;
   tf->codes[47699] = 0x0001d884ae8b34d2UL;
   tf->codes[47700] = 0x00000de18d9426ffUL;
   tf->codes[47701] = 0x00001d427b0d0a66UL;
   tf->codes[47702] = 0x000061906c5cdaadUL;
   tf->codes[47703] = 0x000090dc9310d146UL;
   tf->codes[47704] = 0x0000af194cdb7a36UL;
   tf->codes[47705] = 0x0000f886dda684fbUL;
   tf->codes[47706] = 0x0000f98c17aa41c9UL;
   tf->codes[47707] = 0x00011d922b7ade35UL;
   tf->codes[47708] = 0x00015b4dec3ef15aUL;
   tf->codes[47709] = 0x00016465a164481aUL;
   tf->codes[47710] = 0x000179425d7e7b1eUL;
   tf->codes[47711] = 0x000180517314866aUL;
   tf->codes[47712] = 0x00018c1380c617adUL;
   tf->codes[47713] = 0x00018ffd2d3dc874UL;
   tf->codes[47714] = 0x0001a4d889fdd8daUL;
   tf->codes[47715] = 0x0001f839dd61e8a9UL;
   tf->codes[47716] = 0x000006e39159beabUL;
   tf->codes[47717] = 0x00000ac2b81e660cUL;
   tf->codes[47718] = 0x0000248dab06f556UL;
   tf->codes[47719] = 0x00003178a1e3c773UL;
   tf->codes[47720] = 0x0000512e54639493UL;
   tf->codes[47721] = 0x00008369e85c9415UL;
   tf->codes[47722] = 0x00008a8383a5a8c7UL;
   tf->codes[47723] = 0x00008fa0d98aa993UL;
   tf->codes[47724] = 0x0000ac3f8c1e87a9UL;
   tf->codes[47725] = 0x0000d4916e137ffdUL;
   tf->codes[47726] = 0x0000e7241ed5f577UL;
   tf->codes[47727] = 0x000136e7f1ccd5c0UL;
   tf->codes[47728] = 0x000138d51e516cdcUL;
   tf->codes[47729] = 0x00018e7422e202a7UL;
   tf->codes[47730] = 0x0001d04331cbe0a1UL;
   tf->codes[47731] = 0x0001d77e32a63fadUL;
   tf->codes[47732] = 0x0001e9bfaf13b4f8UL;
   tf->codes[47733] = 0x0001fe78f69569b5UL;
   tf->codes[47734] = 0x00001d4f2d403200UL;
   tf->codes[47735] = 0x0000249b90904788UL;
   tf->codes[47736] = 0x0000263a82032976UL;
   tf->codes[47737] = 0x000033dd620e1a47UL;
   tf->codes[47738] = 0x000056fdccf41617UL;
   tf->codes[47739] = 0x00007f69fd28a5eaUL;
   tf->codes[47740] = 0x00008c1c3977e12fUL;
   tf->codes[47741] = 0x0000d0655d0c384dUL;
   tf->codes[47742] = 0x0000f5f9af87117aUL;
   tf->codes[47743] = 0x000128e2e18a2c0fUL;
   tf->codes[47744] = 0x0001296dbaa8da2aUL;
   tf->codes[47745] = 0x000129a933eab63eUL;
   tf->codes[47746] = 0x00012ad80f9c8d1aUL;
   tf->codes[47747] = 0x00012ddc8847a8cfUL;
   tf->codes[47748] = 0x00012e12f93f05f5UL;
   tf->codes[47749] = 0x00014d0fd8549d4dUL;
   tf->codes[47750] = 0x00016555033ec54fUL;
   tf->codes[47751] = 0x00016de16a27626aUL;
   tf->codes[47752] = 0x0001914f25e2fc54UL;
   tf->codes[47753] = 0x0001991d0169d36aUL;
   tf->codes[47754] = 0x0001ad3071e0313eUL;
   tf->codes[47755] = 0x0001cc626293031eUL;
   tf->codes[47756] = 0x0001d451a3ab248eUL;
   tf->codes[47757] = 0x0001d93b0cbe07abUL;
   tf->codes[47758] = 0x0001eca65c92d4e4UL;
   tf->codes[47759] = 0x0001f15e9787df8eUL;
   tf->codes[47760] = 0x0001f23adf8a939dUL;
   tf->codes[47761] = 0x0001f9e8ef6948bcUL;
   tf->codes[47762] = 0x000004d8c5ad23ccUL;
   tf->codes[47763] = 0x00005998fe15c611UL;
   tf->codes[47764] = 0x0000614a7c55d1bbUL;
   tf->codes[47765] = 0x0000937ef8fd1e62UL;
   tf->codes[47766] = 0x0000e162e3d6b631UL;
   tf->codes[47767] = 0x0000fd00ef934addUL;
   tf->codes[47768] = 0x000110b4c2823d07UL;
   tf->codes[47769] = 0x00013afbd2899666UL;
   tf->codes[47770] = 0x00014c1465cbcad7UL;
   tf->codes[47771] = 0x00015436345be758UL;
   tf->codes[47772] = 0x000177f76e02bb23UL;
   tf->codes[47773] = 0x00017fa3e3f847dfUL;
   tf->codes[47774] = 0x000198e1b42bef5cUL;
   tf->codes[47775] = 0x0001d6feac60968eUL;
   tf->codes[47776] = 0x0001ed0c18a4ce96UL;
   tf->codes[47777] = 0x0001f145d4a662b3UL;
   tf->codes[47778] = 0x00001f4528788ea1UL;
   tf->codes[47779] = 0x000020ec1b793a7eUL;
   tf->codes[47780] = 0x000049496d5d534cUL;
   tf->codes[47781] = 0x000052e4a9c09f87UL;
   tf->codes[47782] = 0x00005a7621c98375UL;
   tf->codes[47783] = 0x00005d9b5058d835UL;
   tf->codes[47784] = 0x0000667ccf15d794UL;
   tf->codes[47785] = 0x00006768a51613f7UL;
   tf->codes[47786] = 0x000082614ee55d44UL;
   tf->codes[47787] = 0x00009cd4d78d88b3UL;
   tf->codes[47788] = 0x0000a55768702db7UL;
   tf->codes[47789] = 0x0000c5f45dc3c3d6UL;
   tf->codes[47790] = 0x0000eea025489797UL;
   tf->codes[47791] = 0x00011644a3c27a9dUL;
   tf->codes[47792] = 0x0001362b0f4214a6UL;
   tf->codes[47793] = 0x0001550eff72371dUL;
   tf->codes[47794] = 0x000169cf5e459eb5UL;
   tf->codes[47795] = 0x000187a59dc62ee5UL;
   tf->codes[47796] = 0x0001c01efa239a94UL;
   tf->codes[47797] = 0x0001d04b7cd68cddUL;
   tf->codes[47798] = 0x000045e289eb78f2UL;
   tf->codes[47799] = 0x00004737d3791916UL;
   tf->codes[47800] = 0x00007fb0f5477f00UL;
   tf->codes[47801] = 0x0000ef09152ce20fUL;
   tf->codes[47802] = 0x000101579b72a037UL;
   tf->codes[47803] = 0x000128ea07c9bb72UL;
   tf->codes[47804] = 0x00016529d6955f66UL;
   tf->codes[47805] = 0x000167fe0b5eb9bcUL;
   tf->codes[47806] = 0x000180b72f894ee5UL;
   tf->codes[47807] = 0x000187e3521336ecUL;
   tf->codes[47808] = 0x0001b4f326f4ca27UL;
   tf->codes[47809] = 0x0001d3167cbbf2acUL;
   tf->codes[47810] = 0x0001d5e82d600d8bUL;
   tf->codes[47811] = 0x0001d785fa07d2a0UL;
   tf->codes[47812] = 0x0001f6078dfc4431UL;
   tf->codes[47813] = 0x00000849ba16cacbUL;
   tf->codes[47814] = 0x0000090511a6400aUL;
   tf->codes[47815] = 0x00002aea813e3335UL;
   tf->codes[47816] = 0x00004bf15f3d389fUL;
   tf->codes[47817] = 0x0000519410d85d0eUL;
   tf->codes[47818] = 0x00006edc4367ee5dUL;
   tf->codes[47819] = 0x00007748dea86981UL;
   tf->codes[47820] = 0x00008868c3cb5692UL;
   tf->codes[47821] = 0x0000ab4f89e7a476UL;
   tf->codes[47822] = 0x0000b463961c9ee6UL;
   tf->codes[47823] = 0x0000be7b07dd27fcUL;
   tf->codes[47824] = 0x0000c3bc8207b85eUL;
   tf->codes[47825] = 0x0000ce152501adc5UL;
   tf->codes[47826] = 0x0000e1090d34b74cUL;
   tf->codes[47827] = 0x0000f670a26d986bUL;
   tf->codes[47828] = 0x0001313061326554UL;
   tf->codes[47829] = 0x00013fff23abe200UL;
   tf->codes[47830] = 0x00015bf41bb50718UL;
   tf->codes[47831] = 0x000193c8c5d238b7UL;
   tf->codes[47832] = 0x0001965143af1d56UL;
   tf->codes[47833] = 0x00019900a485d6c7UL;
   tf->codes[47834] = 0x000199ca6547b781UL;
   tf->codes[47835] = 0x0001e0b445f156d0UL;
   tf->codes[47836] = 0x0001e8f4f5ed7e34UL;
   tf->codes[47837] = 0x000009f113aa7473UL;
   tf->codes[47838] = 0x000016307b845f6aUL;
   tf->codes[47839] = 0x0000252e22857ad7UL;
   tf->codes[47840] = 0x00002da8ec695bb1UL;
   tf->codes[47841] = 0x00002dd8f5bc174bUL;
   tf->codes[47842] = 0x0000330b1c78251eUL;
   tf->codes[47843] = 0x0000612bd5db9b66UL;
   tf->codes[47844] = 0x0000ab82b881a317UL;
   tf->codes[47845] = 0x0000b6b13bd9ab01UL;
   tf->codes[47846] = 0x0000e6a792366622UL;
   tf->codes[47847] = 0x0001155150405c5dUL;
   tf->codes[47848] = 0x000116affab5e90eUL;
   tf->codes[47849] = 0x00011af7703cd757UL;
   tf->codes[47850] = 0x0001200781ba8981UL;
   tf->codes[47851] = 0x000120da2e464b3eUL;
   tf->codes[47852] = 0x00014f348c736f72UL;
   tf->codes[47853] = 0x00014f77ccb40fb0UL;
   tf->codes[47854] = 0x000175307e037e38UL;
   tf->codes[47855] = 0x000176403dba446cUL;
   tf->codes[47856] = 0x00017da04d164a22UL;
   tf->codes[47857] = 0x00018313df9aca0bUL;
   tf->codes[47858] = 0x00018c58df5e9729UL;
   tf->codes[47859] = 0x0001d0422adc7cd8UL;
   tf->codes[47860] = 0x0001d081127faf77UL;
   tf->codes[47861] = 0x0001e10655f76054UL;
   tf->codes[47862] = 0x0001ed03a25bc7e6UL;
   tf->codes[47863] = 0x0001efb5c1e6c693UL;
   tf->codes[47864] = 0x000067e8f8e48775UL;
   tf->codes[47865] = 0x00006c1744f6fb18UL;
   tf->codes[47866] = 0x00007fcadd56e77dUL;
   tf->codes[47867] = 0x0000a279d321b59dUL;
   tf->codes[47868] = 0x0000a4146bf729ecUL;
   tf->codes[47869] = 0x0000b509c52fe5dbUL;
   tf->codes[47870] = 0x0000f76a4f6c1941UL;
   tf->codes[47871] = 0x00011da821e2a5a7UL;
   tf->codes[47872] = 0x00012ab35985a545UL;
   tf->codes[47873] = 0x00014a6821c95b51UL;
   tf->codes[47874] = 0x0001b6036ab7786dUL;
   tf->codes[47875] = 0x0001d9c0fb6defe8UL;
   tf->codes[47876] = 0x0001f3f22e11922dUL;
   tf->codes[47877] = 0x00000ab8e2de0b87UL;
   tf->codes[47878] = 0x000059a5761cb6afUL;
   tf->codes[47879] = 0x00005f16f99a02abUL;
   tf->codes[47880] = 0x000080e9e1f12281UL;
   tf->codes[47881] = 0x000082184884edd3UL;
   tf->codes[47882] = 0x00009a226f4b454bUL;
   tf->codes[47883] = 0x0000a4271f3bf547UL;
   tf->codes[47884] = 0x0000b785653879a3UL;
   tf->codes[47885] = 0x0000e04dff22245aUL;
   tf->codes[47886] = 0x0000e26e68cbc7d6UL;
   tf->codes[47887] = 0x0000ffaf8409a64aUL;
   tf->codes[47888] = 0x00010bd6e73a3374UL;
   tf->codes[47889] = 0x000113c0705ac4a7UL;
   tf->codes[47890] = 0x0001376e3884ae09UL;
   tf->codes[47891] = 0x00013c885a975e0fUL;
   tf->codes[47892] = 0x00015601a40ce1a0UL;
   tf->codes[47893] = 0x000162b99853ad22UL;
   tf->codes[47894] = 0x00017dc419b6b875UL;
   tf->codes[47895] = 0x00018e7289be77d6UL;
   tf->codes[47896] = 0x000194186f2bed0bUL;
   tf->codes[47897] = 0x00019be734eedb35UL;
   tf->codes[47898] = 0x0001ab6fb50ea4bdUL;
   tf->codes[47899] = 0x0001bff5bf6b4d1aUL;
   tf->codes[47900] = 0x0001f5e6d87ad9efUL;
   tf->codes[47901] = 0x00001fe4409cf184UL;
   tf->codes[47902] = 0x00003968bf728fcaUL;
   tf->codes[47903] = 0x000041d3c0c9e28bUL;
   tf->codes[47904] = 0x00005f39ea8967a9UL;
   tf->codes[47905] = 0x000072f2c5c2d8c1UL;
   tf->codes[47906] = 0x0000bbd493331e57UL;
   tf->codes[47907] = 0x0000fc4ecdad67b7UL;
   tf->codes[47908] = 0x0001002d7f54038eUL;
   tf->codes[47909] = 0x000108a883c6ea2dUL;
   tf->codes[47910] = 0x000171c7a9035a38UL;
   tf->codes[47911] = 0x00018567cfe65c34UL;
   tf->codes[47912] = 0x00019e69b1ba1c13UL;
   tf->codes[47913] = 0x0001c7bc75156396UL;
   tf->codes[47914] = 0x0001e2c855d29187UL;
   tf->codes[47915] = 0x0000460e930b85c2UL;
   tf->codes[47916] = 0x00004b292a3c4152UL;
   tf->codes[47917] = 0x00004c32bcdd6bbfUL;
   tf->codes[47918] = 0x00008d3795e75d75UL;
   tf->codes[47919] = 0x0000ab9d41b30f24UL;
   tf->codes[47920] = 0x0000bb3a581adfeeUL;
   tf->codes[47921] = 0x0000f46c4d537ba0UL;
   tf->codes[47922] = 0x000130a0e6bf04dfUL;
   tf->codes[47923] = 0x00015a066bea257cUL;
   tf->codes[47924] = 0x00015b3b74b1981fUL;
   tf->codes[47925] = 0x00001be1fd47bbe8UL;
   tf->codes[47926] = 0x0000282214ceb82eUL;
   tf->codes[47927] = 0x000038be72b3afc4UL;
   tf->codes[47928] = 0x000043d6c5da8809UL;
   tf->codes[47929] = 0x000052dd58a58479UL;
   tf->codes[47930] = 0x00005a4235bd0358UL;
   tf->codes[47931] = 0x00005b861cd4ed00UL;
   tf->codes[47932] = 0x000078d148a7c950UL;
   tf->codes[47933] = 0x000086f391e247c2UL;
   tf->codes[47934] = 0x0000b6bc9da08c85UL;
   tf->codes[47935] = 0x0000dc6ac93cf1a7UL;
   tf->codes[47936] = 0x0000ef95d21469a3UL;
   tf->codes[47937] = 0x00011aa2f9ed476cUL;
   tf->codes[47938] = 0x000132f060f43f22UL;
   tf->codes[47939] = 0x000176085f4085b2UL;
   tf->codes[47940] = 0x000192dd82cbc0eeUL;
   tf->codes[47941] = 0x0001e2a65e0d2025UL;
   tf->codes[47942] = 0x0001e9f5f52f8673UL;
   tf->codes[47943] = 0x0001ea58c68942e3UL;
   tf->codes[47944] = 0x0000091e84fa6bc6UL;
   tf->codes[47945] = 0x00000e344e6fae2dUL;
   tf->codes[47946] = 0x0000183eb657ee66UL;
   tf->codes[47947] = 0x0000217aca51da81UL;
   tf->codes[47948] = 0x0000387ae958fc02UL;
   tf->codes[47949] = 0x00004c381d2fdab9UL;
   tf->codes[47950] = 0x00008ad827846bdcUL;
   tf->codes[47951] = 0x000090b56825554bUL;
   tf->codes[47952] = 0x0000d74737b74755UL;
   tf->codes[47953] = 0x0000dfe6606fbd8aUL;
   tf->codes[47954] = 0x0000e7f4f811f567UL;
   tf->codes[47955] = 0x00015682a788666dUL;
   tf->codes[47956] = 0x00017536c8f4d30fUL;
   tf->codes[47957] = 0x000186cfafa2ac35UL;
   tf->codes[47958] = 0x00019cda5d329f01UL;
   tf->codes[47959] = 0x00019d1cb337282bUL;
   tf->codes[47960] = 0x0001a01a14909105UL;
   tf->codes[47961] = 0x0001a9b600a0ee8fUL;
   tf->codes[47962] = 0x0001aaa669cd9e56UL;
   tf->codes[47963] = 0x0001ade2ed593f94UL;
   tf->codes[47964] = 0x00002d3194184350UL;
   tf->codes[47965] = 0x000037075f81548bUL;
   tf->codes[47966] = 0x000040c9f3fc8122UL;
   tf->codes[47967] = 0x00004602825d3081UL;
   tf->codes[47968] = 0x000055662e8a5924UL;
   tf->codes[47969] = 0x0000633917e8058fUL;
   tf->codes[47970] = 0x000063b28e90fd2eUL;
   tf->codes[47971] = 0x0000799693b620edUL;
   tf->codes[47972] = 0x0000918a4fbc42fbUL;
   tf->codes[47973] = 0x0000a768d778dc42UL;
   tf->codes[47974] = 0x0000c1a48fcf87edUL;
   tf->codes[47975] = 0x0000e86c1699a595UL;
   tf->codes[47976] = 0x0000e8e84bf6e270UL;
   tf->codes[47977] = 0x0000efeca14ade91UL;
   tf->codes[47978] = 0x00010baff6181facUL;
   tf->codes[47979] = 0x00010df6930e86abUL;
   tf->codes[47980] = 0x00012e71adb2c6e6UL;
   tf->codes[47981] = 0x000179550360a515UL;
   tf->codes[47982] = 0x0001c6b31d660db7UL;
   tf->codes[47983] = 0x0001cd40f5545d3aUL;
   tf->codes[47984] = 0x0001e328a369dd49UL;
   tf->codes[47985] = 0x0001eb0054f6ac76UL;
   tf->codes[47986] = 0x00000a35045dc392UL;
   tf->codes[47987] = 0x00000f0b3682c20bUL;
   tf->codes[47988] = 0x0000193f7aa82217UL;
   tf->codes[47989] = 0x0000477f8a95aeccUL;
   tf->codes[47990] = 0x000065688be61816UL;
   tf->codes[47991] = 0x00007fac45ca8db0UL;
   tf->codes[47992] = 0x00008290b83e81a9UL;
   tf->codes[47993] = 0x00009c8ee84c1d53UL;
   tf->codes[47994] = 0x0000a01638881d34UL;
   tf->codes[47995] = 0x0000be2aaffeceb4UL;
   tf->codes[47996] = 0x0000ecb42d42976eUL;
   tf->codes[47997] = 0x00010647ff86b843UL;
   tf->codes[47998] = 0x0001257d240bdae9UL;
   tf->codes[47999] = 0x00015b9bc248e3e1UL;
   tf->codes[48000] = 0x00017b83c7b1a64dUL;
   tf->codes[48001] = 0x000187381bdddd64UL;
   tf->codes[48002] = 0x0001a3c82ab04a3aUL;
   tf->codes[48003] = 0x0001a7df5c557724UL;
   tf->codes[48004] = 0x0001e5f8ab99c206UL;
   tf->codes[48005] = 0x0000197cf4662459UL;
   tf->codes[48006] = 0x000022f09e228a73UL;
   tf->codes[48007] = 0x00004c1fb2564deaUL;
   tf->codes[48008] = 0x00005fc4e183ced4UL;
   tf->codes[48009] = 0x000068694d15c9bcUL;
   tf->codes[48010] = 0x00008bd6ce425de1UL;
   tf->codes[48011] = 0x00008d533558d89cUL;
   tf->codes[48012] = 0x0000fd1d7a067aaaUL;
   tf->codes[48013] = 0x00010831748fe550UL;
   tf->codes[48014] = 0x00013cefce6e3934UL;
   tf->codes[48015] = 0x00014d633a52280bUL;
   tf->codes[48016] = 0x00016a3c415cc55cUL;
   tf->codes[48017] = 0x00016c61b350e7c6UL;
   tf->codes[48018] = 0x000189728aad04dbUL;
   tf->codes[48019] = 0x00019eb6362f5c29UL;
   tf->codes[48020] = 0x0001ab5a094c2bf3UL;
   tf->codes[48021] = 0x0001bae2fe8a0105UL;
   tf->codes[48022] = 0x0001f36e6d0a347fUL;
   tf->codes[48023] = 0x00001da071ab7b12UL;
   tf->codes[48024] = 0x000040a270437789UL;
   tf->codes[48025] = 0x00004828ed7b4687UL;
   tf->codes[48026] = 0x00005747bf7ea689UL;
   tf->codes[48027] = 0x000069a55ea3e17bUL;
   tf->codes[48028] = 0x0000920743b46dadUL;
   tf->codes[48029] = 0x000097d7055f02b5UL;
   tf->codes[48030] = 0x0001477de99866eeUL;
   tf->codes[48031] = 0x0001643b7d984fe7UL;
   tf->codes[48032] = 0x000189518baeb84cUL;
   tf->codes[48033] = 0x00019e67ec92993cUL;
   tf->codes[48034] = 0x0001ad70c8f3cf5eUL;
   tf->codes[48035] = 0x0001b99398f7e924UL;
   tf->codes[48036] = 0x0001ddf232fe3e5fUL;
   tf->codes[48037] = 0x0001f16dfb0cab00UL;
   tf->codes[48038] = 0x0001fe1f1290c96cUL;
   tf->codes[48039] = 0x00001555dd1e4dd8UL;
   tf->codes[48040] = 0x0000396dc882ac4aUL;
   tf->codes[48041] = 0x000043b6dd7f195dUL;
   tf->codes[48042] = 0x000048951131e1c5UL;
   tf->codes[48043] = 0x00005b83f11a6c5eUL;
   tf->codes[48044] = 0x00007a4a99c7ac55UL;
   tf->codes[48045] = 0x00008d0761564767UL;
   tf->codes[48046] = 0x000099c6a77dcb89UL;
   tf->codes[48047] = 0x0000a4607bb12d41UL;
   tf->codes[48048] = 0x0000ae62e20ba38bUL;
   tf->codes[48049] = 0x0000b4fe737f4d3aUL;
   tf->codes[48050] = 0x00011fa95340ba8fUL;
   tf->codes[48051] = 0x000162092dcfdca6UL;
   tf->codes[48052] = 0x00017ab71c9a571aUL;
   tf->codes[48053] = 0x0001bcbac8036412UL;
   tf->codes[48054] = 0x0001fd2c16b3cc6fUL;
   tf->codes[48055] = 0x0000041e1f55fb00UL;
   tf->codes[48056] = 0x000028726e384c9aUL;
   tf->codes[48057] = 0x000030354eee0ec0UL;
   tf->codes[48058] = 0x0000333c864d6fb1UL;
   tf->codes[48059] = 0x00003934c4db01eeUL;
   tf->codes[48060] = 0x0000b6bef6877188UL;
   tf->codes[48061] = 0x0000c18ec69424dcUL;
   tf->codes[48062] = 0x0000d5d5742f8f10UL;
   tf->codes[48063] = 0x0000d679b151bd96UL;
   tf->codes[48064] = 0x0000d88f5ab951e7UL;
   tf->codes[48065] = 0x0000e869f96a32b2UL;
   tf->codes[48066] = 0x0000e9dfbe4d061cUL;
   tf->codes[48067] = 0x000142d88dec1fa5UL;
   tf->codes[48068] = 0x00014398b3370e0dUL;
   tf->codes[48069] = 0x0001479fe1c0a719UL;
   tf->codes[48070] = 0x0001524fab9632b1UL;
   tf->codes[48071] = 0x000157e97167761dUL;
   tf->codes[48072] = 0x00015e969fdfdc0dUL;
   tf->codes[48073] = 0x0001672082a339b1UL;
   tf->codes[48074] = 0x000171d6b41d66d5UL;
   tf->codes[48075] = 0x0001850e1720165fUL;
   tf->codes[48076] = 0x00019cc82e5c8a81UL;
   tf->codes[48077] = 0x0001ad3c49ed8aa7UL;
   tf->codes[48078] = 0x0001deffc697b528UL;
   tf->codes[48079] = 0x0001ecf8339513c7UL;
   tf->codes[48080] = 0x0000168d8783ea39UL;
   tf->codes[48081] = 0x000028fb6453beceUL;
   tf->codes[48082] = 0x000030842b21c77eUL;
   tf->codes[48083] = 0x0000547a0147ca47UL;
   tf->codes[48084] = 0x000060f1ae91408cUL;
   tf->codes[48085] = 0x0000ad6c2eb33c7fUL;
   tf->codes[48086] = 0x00013b16fe05725eUL;
   tf->codes[48087] = 0x00015eff1aa61afbUL;
   tf->codes[48088] = 0x00017ca550d3ef91UL;
   tf->codes[48089] = 0x000188951e4202bcUL;
   tf->codes[48090] = 0x00018dec537fb739UL;
   tf->codes[48091] = 0x0001aa0151c0040dUL;
   tf->codes[48092] = 0x0001c4e390cf17f0UL;
   tf->codes[48093] = 0x0001cf325dc31540UL;
   tf->codes[48094] = 0x0001f600c14fdffeUL;
   tf->codes[48095] = 0x000031c211280d65UL;
   tf->codes[48096] = 0x00003d7abdf1b21bUL;
   tf->codes[48097] = 0x00004ceea7c97461UL;
   tf->codes[48098] = 0x00004cfcd66cda17UL;
   tf->codes[48099] = 0x00004f7048e3abeaUL;
   tf->codes[48100] = 0x0000a49561ad3e8cUL;
   tf->codes[48101] = 0x0000ae8df201bcbfUL;
   tf->codes[48102] = 0x0000b4b883784448UL;
   tf->codes[48103] = 0x0000d48b42ebee23UL;
   tf->codes[48104] = 0x0000ead930bc812dUL;
   tf->codes[48105] = 0x00015b7c4f0b80bfUL;
   tf->codes[48106] = 0x0001714e077ed6eeUL;
   tf->codes[48107] = 0x00017d740b55417aUL;
   tf->codes[48108] = 0x0001a0a180138627UL;
   tf->codes[48109] = 0x0001b0bca050c1f4UL;
   tf->codes[48110] = 0x0001b11561158088UL;
   tf->codes[48111] = 0x0001b1fcde784f4cUL;
   tf->codes[48112] = 0x0001bc3abe14a1aaUL;
   tf->codes[48113] = 0x0001c310a3ff0a94UL;
   tf->codes[48114] = 0x0001e76777069ba5UL;
   tf->codes[48115] = 0x0001f89d173cacd1UL;
   tf->codes[48116] = 0x00000d75efd77dc0UL;
   tf->codes[48117] = 0x0000177263ab5e08UL;
   tf->codes[48118] = 0x000023f371dcc0daUL;
   tf->codes[48119] = 0x0000350efe62404cUL;
   tf->codes[48120] = 0x00006ea3ff839e33UL;
   tf->codes[48121] = 0x00007b31dcfe441dUL;
   tf->codes[48122] = 0x00008c9452b4c01dUL;
   tf->codes[48123] = 0x000096450f9c2aaeUL;
   tf->codes[48124] = 0x0000a4b90249b4d9UL;
   tf->codes[48125] = 0x0000b0b146639d7dUL;
   tf->codes[48126] = 0x0000b15967052e18UL;
   tf->codes[48127] = 0x0000e57a25f4fac7UL;
   tf->codes[48128] = 0x0000f8d39e3605faUL;
   tf->codes[48129] = 0x00010bf99ec2ff08UL;
   tf->codes[48130] = 0x00016fc781485098UL;
   tf->codes[48131] = 0x00018df7313ab0abUL;
   tf->codes[48132] = 0x0001a043a8793ae6UL;
   tf->codes[48133] = 0x0001a1e433d54537UL;
   tf->codes[48134] = 0x0001ab1bb4a2bdeeUL;
   tf->codes[48135] = 0x0001ed216f12fed3UL;
   tf->codes[48136] = 0x0001f13706cf035aUL;
   tf->codes[48137] = 0x0001f29994c3f220UL;
   tf->codes[48138] = 0x0001f39399679439UL;
   tf->codes[48139] = 0x0001f8aea5b65b53UL;
   tf->codes[48140] = 0x000007a77efbfd97UL;
   tf->codes[48141] = 0x000009bd286391e8UL;
   tf->codes[48142] = 0x00000e664a791fc8UL;
   tf->codes[48143] = 0x0000141f2c4573dcUL;
   tf->codes[48144] = 0x000021197690c888UL;
   tf->codes[48145] = 0x00004d094e10fbecUL;
   tf->codes[48146] = 0x0000719ab01e51fdUL;
   tf->codes[48147] = 0x0000970b18e2a159UL;
   tf->codes[48148] = 0x00009b43b019189dUL;
   tf->codes[48149] = 0x0000b552cd7e5f39UL;
   tf->codes[48150] = 0x0000bd1dea50f113UL;
   tf->codes[48151] = 0x0000be0910a41c27UL;
   tf->codes[48152] = 0x0000c012d4fe8474UL;
   tf->codes[48153] = 0x0000e84d9c86360fUL;
   tf->codes[48154] = 0x00010a810ca0d8a3UL;
   tf->codes[48155] = 0x0001472ac417ebe2UL;
   tf->codes[48156] = 0x00019b2a62179435UL;
   tf->codes[48157] = 0x0001a82b892595f7UL;
   tf->codes[48158] = 0x0001ddec5e53616dUL;
   tf->codes[48159] = 0x0001f77dac7242cbUL;
   tf->codes[48160] = 0x0001fcfa9fdeaf41UL;
   tf->codes[48161] = 0x00000c43fdcc4065UL;
   tf->codes[48162] = 0x000014829ec133dcUL;
   tf->codes[48163] = 0x000088a580dc74eaUL;
   tf->codes[48164] = 0x0000b00cb19c4db4UL;
   tf->codes[48165] = 0x0000b276137e21abUL;
   tf->codes[48166] = 0x0000b8be9c249d03UL;
   tf->codes[48167] = 0x000105a4d96a3669UL;
   tf->codes[48168] = 0x00012ed637343392UL;
   tf->codes[48169] = 0x000138d9c259c6b5UL;
   tf->codes[48170] = 0x000158f57a05a10bUL;
   tf->codes[48171] = 0x00017e8489a6f585UL;
   tf->codes[48172] = 0x0001b50215be58d8UL;
   tf->codes[48173] = 0x0001c8e960615d27UL;
   tf->codes[48174] = 0x0001d3d7279e044aUL;
   tf->codes[48175] = 0x00003305f8a2c5d6UL;
   tf->codes[48176] = 0x0000542724e162bfUL;
   tf->codes[48177] = 0x00005ef4e5e6e226UL;
   tf->codes[48178] = 0x000061d5af6a79cfUL;
   tf->codes[48179] = 0x0000971be92430cdUL;
   tf->codes[48180] = 0x0000d3d060dd5337UL;
   tf->codes[48181] = 0x0000f9b2b3dadbcdUL;
   tf->codes[48182] = 0x0001571beb01ec5eUL;
   tf->codes[48183] = 0x00018971581c77d5UL;
   tf->codes[48184] = 0x0001a4accd0e55d6UL;
   tf->codes[48185] = 0x0001d8933787634aUL;
   tf->codes[48186] = 0x0001d91c3c2de33dUL;
   tf->codes[48187] = 0x0001e2c9ffd202cdUL;
   tf->codes[48188] = 0x000011092583786eUL;
   tf->codes[48189] = 0x00001242c1775e75UL;
   tf->codes[48190] = 0x000042bdc3dd2beaUL;
   tf->codes[48191] = 0x00004cb1c10536b9UL;
   tf->codes[48192] = 0x00006a3950560631UL;
   tf->codes[48193] = 0x000078473dd78326UL;
   tf->codes[48194] = 0x0000a999f5139146UL;
   tf->codes[48195] = 0x0000b013e666ead6UL;
   tf->codes[48196] = 0x0000ee1e91e9c478UL;
   tf->codes[48197] = 0x000181827d975430UL;
   tf->codes[48198] = 0x0001e6e2f7645020UL;
   tf->codes[48199] = 0x00000ba3b317507cUL;
   tf->codes[48200] = 0x000025b42fd6b9b6UL;
   tf->codes[48201] = 0x00006b2acfc2c512UL;
   tf->codes[48202] = 0x0000831824244594UL;
   tf->codes[48203] = 0x0000b83a742772c1UL;
   tf->codes[48204] = 0x0000bc71ac03c767UL;
   tf->codes[48205] = 0x00010069262512ccUL;
   tf->codes[48206] = 0x000127fc7cb8451bUL;
   tf->codes[48207] = 0x000137718b5b243aUL;
   tf->codes[48208] = 0x00016b5153a08a5dUL;
   tf->codes[48209] = 0x0001747687bc3584UL;
   tf->codes[48210] = 0x000174aae9ac5ebdUL;
   tf->codes[48211] = 0x00017800d13b8066UL;
   tf->codes[48212] = 0x0001bd096a6db49dUL;
   tf->codes[48213] = 0x0001c0e6bcba2dd6UL;
   tf->codes[48214] = 0x0001c3ccc9174a32UL;
   tf->codes[48215] = 0x0001cc9c35b181c6UL;
   tf->codes[48216] = 0x0001e0abfd37834aUL;
   tf->codes[48217] = 0x000015893881e211UL;
   tf->codes[48218] = 0x00004a303d63e977UL;
   tf->codes[48219] = 0x00008cb81fb7fd39UL;
   tf->codes[48220] = 0x0000ef772cc29fa9UL;
   tf->codes[48221] = 0x0000f3bedcd893b7UL;
   tf->codes[48222] = 0x00012d4240f5355dUL;
   tf->codes[48223] = 0x00013aae7579c343UL;
   tf->codes[48224] = 0x0001f47d43ad4ffaUL;
   tf->codes[48225] = 0x00000298eab4271bUL;
   tf->codes[48226] = 0x000010b5b6861b15UL;
   tf->codes[48227] = 0x00003b7e0435303dUL;
   tf->codes[48228] = 0x000086c7d42d272cUL;
   tf->codes[48229] = 0x00008f0bb7fb9f56UL;
   tf->codes[48230] = 0x0000a0ebfcf88094UL;
   tf->codes[48231] = 0x0001166303d644edUL;
   tf->codes[48232] = 0x00016a81f86003adUL;
   tf->codes[48233] = 0x00017eb275ca3e3cUL;
   tf->codes[48234] = 0x0001885a46e7c7caUL;
   tf->codes[48235] = 0x00019c398ffd022aUL;
   tf->codes[48236] = 0x0001a08389a92feaUL;
   tf->codes[48237] = 0x0001c3e9f3841134UL;
   tf->codes[48238] = 0x0001dc4130910101UL;
   tf->codes[48239] = 0x0001fab8b3f074b6UL;
   tf->codes[48240] = 0x0001fe972b080ac8UL;
   tf->codes[48241] = 0x00001e484a5b6484UL;
   tf->codes[48242] = 0x000057f047dba14aUL;
   tf->codes[48243] = 0x0000741a518200eaUL;
   tf->codes[48244] = 0x00008860c48e6559UL;
   tf->codes[48245] = 0x00008cad07d0cccbUL;
   tf->codes[48246] = 0x000096e9fd310815UL;
   tf->codes[48247] = 0x0000a06f096324abUL;
   tf->codes[48248] = 0x0000b10c16f52d90UL;
   tf->codes[48249] = 0x0000b9b8bea3f82cUL;
   tf->codes[48250] = 0x00014136785a670bUL;
   tf->codes[48251] = 0x00016122d6609716UL;
   tf->codes[48252] = 0x00018516d80e6bb7UL;
   tf->codes[48253] = 0x000197c74571cf3bUL;
   tf->codes[48254] = 0x0001a85e9b0c47e3UL;
   tf->codes[48255] = 0x0001a8a1662edc97UL;
   tf->codes[48256] = 0x0001cfee48af1de2UL;
   tf->codes[48257] = 0x0001fb5e41e1b81bUL;
   tf->codes[48258] = 0x0001fee2d36972c0UL;
   tf->codes[48259] = 0x00002bd8949a7441UL;
   tf->codes[48260] = 0x00002d1d2b5f6f38UL;
   tf->codes[48261] = 0x00004c4f1c124118UL;
   tf->codes[48262] = 0x00007d7990fa57c8UL;
   tf->codes[48263] = 0x00009449a6aebdafUL;
   tf->codes[48264] = 0x0000967a1373f509UL;
   tf->codes[48265] = 0x000099b4fd166de4UL;
   tf->codes[48266] = 0x0000a2319b727ce6UL;
   tf->codes[48267] = 0x0000b13daba603ceUL;
   tf->codes[48268] = 0x0000c2855dfedcc5UL;
   tf->codes[48269] = 0x0000c3dc4175a54cUL;
   tf->codes[48270] = 0x0000cc78365bcabbUL;
   tf->codes[48271] = 0x0000de4a1226407eUL;
   tf->codes[48272] = 0x000128a8bbcb0c59UL;
   tf->codes[48273] = 0x000129ce3694f6a8UL;
   tf->codes[48274] = 0x00012dbc3baa150eUL;
   tf->codes[48275] = 0x00013296c66c8126UL;
   tf->codes[48276] = 0x00013efb7757188cUL;
   tf->codes[48277] = 0x00014aebb9e33741UL;
   tf->codes[48278] = 0x00014f779475e2a1UL;
   tf->codes[48279] = 0x00015d9f5b18eb8bUL;
   tf->codes[48280] = 0x00019b90a29844c2UL;
   tf->codes[48281] = 0x0001a0b042137f40UL;
   tf->codes[48282] = 0x0001bd0eadaa0819UL;
   tf->codes[48283] = 0x0001fcc554780c86UL;
   tf->codes[48284] = 0x0000092f483c289fUL;
   tf->codes[48285] = 0x00000a1406eab227UL;
   tf->codes[48286] = 0x0000457c5b6f1b35UL;
   tf->codes[48287] = 0x00005155be1cf8f6UL;
   tf->codes[48288] = 0x000051b854e7afa1UL;
   tf->codes[48289] = 0x000059d764c386e6UL;
   tf->codes[48290] = 0x0000765aa44cb0a4UL;
   tf->codes[48291] = 0x00007a09c1be9c6bUL;
   tf->codes[48292] = 0x000094954f1025a7UL;
   tf->codes[48293] = 0x0000a92e1b3ca71eUL;
   tf->codes[48294] = 0x0000f2f5cc269315UL;
   tf->codes[48295] = 0x0001aa578f87ef85UL;
   tf->codes[48296] = 0x0001b5f8e75547bdUL;
   tf->codes[48297] = 0x0001db28596f308dUL;
   tf->codes[48298] = 0x0001e2208f26fae5UL;
   tf->codes[48299] = 0x0001e3f457a81196UL;
   tf->codes[48300] = 0x00004ebf3da0a6a7UL;
   tf->codes[48301] = 0x00005ef34cc35755UL;
   tf->codes[48302] = 0x00009b54bbaf4b68UL;
   tf->codes[48303] = 0x0000d567c6a61452UL;
   tf->codes[48304] = 0x00014f37a5807d70UL;
   tf->codes[48305] = 0x00015628c3e694edUL;
   tf->codes[48306] = 0x00019c54c8db7f86UL;
   tf->codes[48307] = 0x0001aafd580838afUL;
   tf->codes[48308] = 0x0001b14237be57b7UL;
   tf->codes[48309] = 0x0001e432bba22aecUL;
   tf->codes[48310] = 0x0001f354fc06e179UL;
   tf->codes[48311] = 0x00003558e1fef436UL;
   tf->codes[48312] = 0x000042406a7a6fc8UL;
   tf->codes[48313] = 0x000062bd5996de2bUL;
   tf->codes[48314] = 0x00008361db5a32afUL;
   tf->codes[48315] = 0x000083b30faf32deUL;
   tf->codes[48316] = 0x0000a112d1ca1670UL;
   tf->codes[48317] = 0x0000d18dd42fe3e5UL;
   tf->codes[48318] = 0x0000d744a6f5040cUL;
   tf->codes[48319] = 0x00011ad1c34cd49cUL;
   tf->codes[48320] = 0x0001269b5d6e2444UL;
   tf->codes[48321] = 0x00012d722d94a442UL;
   tf->codes[48322] = 0x000137a2191c96afUL;
   tf->codes[48323] = 0x00016c79d6fe6afeUL;
   tf->codes[48324] = 0x0001864663d022abUL;
   tf->codes[48325] = 0x000192642b89bd83UL;
   tf->codes[48326] = 0x0001958f4c9fa845UL;
   tf->codes[48327] = 0x0001db6c2c46c69cUL;
   tf->codes[48328] = 0x0000144b8dd03f81UL;
   tf->codes[48329] = 0x000029b53210548dUL;
   tf->codes[48330] = 0x00004130d6c7a19aUL;
   tf->codes[48331] = 0x0000454e35826a4bUL;
   tf->codes[48332] = 0x00005bba5511f6e9UL;
   tf->codes[48333] = 0x0000621feaac4efcUL;
   tf->codes[48334] = 0x00007e6392e534ccUL;
   tf->codes[48335] = 0x00007ecc56c5873eUL;
   tf->codes[48336] = 0x000084df1e21b6bfUL;
   tf->codes[48337] = 0x0000863d537937e6UL;
   tf->codes[48338] = 0x00009e80a9eb31c0UL;
   tf->codes[48339] = 0x0000c0134b44fc59UL;
   tf->codes[48340] = 0x0000e9d2b5fff863UL;
   tf->codes[48341] = 0x0000ffc2a0324826UL;
   tf->codes[48342] = 0x000158d71d6b1bccUL;
   tf->codes[48343] = 0x00015aeba2079344UL;
   tf->codes[48344] = 0x00018e2fde65a61fUL;
   tf->codes[48345] = 0x00019c43f8fcbedbUL;
   tf->codes[48346] = 0x0001bde9d1446e18UL;
   tf->codes[48347] = 0x0001ee6d84e516cbUL;
   tf->codes[48348] = 0x000025b5bbfa71ecUL;
   tf->codes[48349] = 0x000034d27ef69e01UL;
   tf->codes[48350] = 0x00003cb1bcf32b93UL;
   tf->codes[48351] = 0x000045ba59390589UL;
   tf->codes[48352] = 0x00006f8f7f0725aeUL;
   tf->codes[48353] = 0x00007148499b9391UL;
   tf->codes[48354] = 0x00008ce44650f450UL;
   tf->codes[48355] = 0x00009e82aa6757eeUL;
   tf->codes[48356] = 0x0000b6778b3896d5UL;
   tf->codes[48357] = 0x0000b91673d5b0deUL;
   tf->codes[48358] = 0x0000bdca562d4de9UL;
   tf->codes[48359] = 0x0000e4f891d08a16UL;
   tf->codes[48360] = 0x0000ff18d71c8169UL;
   tf->codes[48361] = 0x000105198c55e91fUL;
   tf->codes[48362] = 0x00013c64bcae8f41UL;
   tf->codes[48363] = 0x0001588fb09105f5UL;
   tf->codes[48364] = 0x00017d06feedca4cUL;
   tf->codes[48365] = 0x000188f114644d3aUL;
   tf->codes[48366] = 0x0001b39fc380dc32UL;
   tf->codes[48367] = 0x0000355df9374facUL;
   tf->codes[48368] = 0x00006c8ea0c1588aUL;
   tf->codes[48369] = 0x00007aed8808cfe9UL;
   tf->codes[48370] = 0x0000f7b42608fa90UL;
   tf->codes[48371] = 0x000124be7d820353UL;
   tf->codes[48372] = 0x000132b6aff05c2dUL;
   tf->codes[48373] = 0x00014f84470bd904UL;
   tf->codes[48374] = 0x00015f04507fcd13UL;
   tf->codes[48375] = 0x000165dddf5a924dUL;
   tf->codes[48376] = 0x000170bf4c6c01e2UL;
   tf->codes[48377] = 0x000170d3e2b40924UL;
   tf->codes[48378] = 0x0001775b186eb156UL;
   tf->codes[48379] = 0x0001e331a00fa4c1UL;
   tf->codes[48380] = 0x000026dc3e795d96UL;
   tf->codes[48381] = 0x00003df75b6d27e5UL;
   tf->codes[48382] = 0x00005513d7bb14d2UL;
   tf->codes[48383] = 0x00008c143b635c51UL;
   tf->codes[48384] = 0x00009de024a73c12UL;
   tf->codes[48385] = 0x0000a21a55c6dbb9UL;
   tf->codes[48386] = 0x0000bcfb700ad2c3UL;
   tf->codes[48387] = 0x00011681625ed419UL;
   tf->codes[48388] = 0x0001be7da51ad9beUL;
   tf->codes[48389] = 0x0001cff1b7d611ffUL;
   tf->codes[48390] = 0x0001fb5e42a755adUL;
   tf->codes[48391] = 0x00000c5620055113UL;
   tf->codes[48392] = 0x000058e919eeb65dUL;
   tf->codes[48393] = 0x0000beb884b1a086UL;
   tf->codes[48394] = 0x00012ca47b2b227dUL;
   tf->codes[48395] = 0x00015541d97d8ac3UL;
   tf->codes[48396] = 0x00019378e562c3afUL;
   tf->codes[48397] = 0x0001986a15746af6UL;
   tf->codes[48398] = 0x0001a1bafa456418UL;
   tf->codes[48399] = 0x0001c3ba7d8de8fdUL;
   tf->codes[48400] = 0x0001ea3f73c477b6UL;
   tf->codes[48401] = 0x000005b5029e0f2dUL;
   tf->codes[48402] = 0x00001e3bd3dfaf0aUL;
   tf->codes[48403] = 0x000022e91403a4c4UL;
   tf->codes[48404] = 0x000033338de68adcUL;
   tf->codes[48405] = 0x0000bd2fef73e643UL;
   tf->codes[48406] = 0x0000bd3e93355783UL;
   tf->codes[48407] = 0x0000f0e1bd6dc4b9UL;
   tf->codes[48408] = 0x0000fad3e61da160UL;
   tf->codes[48409] = 0x0001076b5f0f399cUL;
   tf->codes[48410] = 0x00014490d6c57e2cUL;
   tf->codes[48411] = 0x0001683662d297daUL;
   tf->codes[48412] = 0x0001fa2623867c8bUL;
   tf->codes[48413] = 0x00000d215d9a3eb2UL;
   tf->codes[48414] = 0x00004e69b173d66bUL;
   tf->codes[48415] = 0x0000713c56662897UL;
   tf->codes[48416] = 0x000088cdb63099bfUL;
   tf->codes[48417] = 0x00009327b884b1c4UL;
   tf->codes[48418] = 0x0000e2cfa352d22bUL;
   tf->codes[48419] = 0x00010a5122524274UL;
   tf->codes[48420] = 0x0001164c5faf7619UL;
   tf->codes[48421] = 0x000124c13c991758UL;
   tf->codes[48422] = 0x00013b7aacfe4210UL;
   tf->codes[48423] = 0x00015dbe9552840cUL;
   tf->codes[48424] = 0x00016a914cf6f297UL;
   tf->codes[48425] = 0x00018d78fd4f578fUL;
   tf->codes[48426] = 0x0001ccc2c22ea1b0UL;
   tf->codes[48427] = 0x000087e8ae67fcb3UL;
   tf->codes[48428] = 0x00008b4ab5935025UL;
   tf->codes[48429] = 0x0000948da64fe956UL;
   tf->codes[48430] = 0x0000b5381a99d3dcUL;
   tf->codes[48431] = 0x0000d23336e2ccd6UL;
   tf->codes[48432] = 0x0000d75e464d27ceUL;
   tf->codes[48433] = 0x00013453bec2d0fdUL;
   tf->codes[48434] = 0x0001572eda60f8a2UL;
   tf->codes[48435] = 0x0001b8246a0e8802UL;
   tf->codes[48436] = 0x0001c66bfc59b2e3UL;
   tf->codes[48437] = 0x0001d8129c8ce635UL;
   tf->codes[48438] = 0x0001da15f942acf6UL;
   tf->codes[48439] = 0x00001886a9f193ceUL;
   tf->codes[48440] = 0x00002b48b459b393UL;
   tf->codes[48441] = 0x00004588ffdcd2a2UL;
   tf->codes[48442] = 0x000054574d3843c4UL;
   tf->codes[48443] = 0x00005c0caef7b183UL;
   tf->codes[48444] = 0x00006990730791acUL;
   tf->codes[48445] = 0x000084c002ec43a9UL;
   tf->codes[48446] = 0x0000950d3b836efdUL;
   tf->codes[48447] = 0x00009783321f8047UL;
   tf->codes[48448] = 0x0000af24cf948b12UL;
   tf->codes[48449] = 0x0000dadf5ae87e29UL;
   tf->codes[48450] = 0x0000f7b6c809f317UL;
   tf->codes[48451] = 0x0001182a563e74edUL;
   tf->codes[48452] = 0x0001440c39aa4860UL;
   tf->codes[48453] = 0x000148450b6fc569UL;
   tf->codes[48454] = 0x00017912a184b5abUL;
   tf->codes[48455] = 0x0001a63a4080a0eeUL;
   tf->codes[48456] = 0x0001d57fff8ff5fbUL;
   tf->codes[48457] = 0x0001e77883c53acbUL;
   tf->codes[48458] = 0x0001ffa2b0c2b9ffUL;
   tf->codes[48459] = 0x0000025d818893eaUL;
   tf->codes[48460] = 0x000022baa4fce056UL;
   tf->codes[48461] = 0x00002fd9c33ad5e7UL;
   tf->codes[48462] = 0x000035b52f63912eUL;
   tf->codes[48463] = 0x00003b429b099d0cUL;
   tf->codes[48464] = 0x000084267781168fUL;
   tf->codes[48465] = 0x0000ae1cc8517b49UL;
   tf->codes[48466] = 0x0000bdc7983ea63fUL;
   tf->codes[48467] = 0x0000e166478912d7UL;
   tf->codes[48468] = 0x0000f889a099acdaUL;
   tf->codes[48469] = 0x000101bd7876c941UL;
   tf->codes[48470] = 0x000101cbe1a934bcUL;
   tf->codes[48471] = 0x00017b579606e688UL;
   tf->codes[48472] = 0x00019b0ee26fdc0bUL;
   tf->codes[48473] = 0x0001a941a3e3f9e5UL;
   tf->codes[48474] = 0x0001ac7ffbe7c94bUL;
   tf->codes[48475] = 0x0001b4ef906b8f70UL;
   tf->codes[48476] = 0x0001d3ad87ddf429UL;
   tf->codes[48477] = 0x0001f2c4b5332300UL;
   tf->codes[48478] = 0x000027e77a545bb7UL;
   tf->codes[48479] = 0x000029dd1d84c84cUL;
   tf->codes[48480] = 0x00002f1dad73419aUL;
   tf->codes[48481] = 0x00004276eb254708UL;
   tf->codes[48482] = 0x000059ff2496d168UL;
   tf->codes[48483] = 0x000069bb9188b89fUL;
   tf->codes[48484] = 0x0000d73a6b847a85UL;
   tf->codes[48485] = 0x0000f1995de49eb2UL;
   tf->codes[48486] = 0x0000f8eee78d9b02UL;
   tf->codes[48487] = 0x000149c9918cf45aUL;
   tf->codes[48488] = 0x000158fb5fef333bUL;
   tf->codes[48489] = 0x000168a19cafeacdUL;
   tf->codes[48490] = 0x00016a71bc40a52eUL;
   tf->codes[48491] = 0x0001a4bee11f278eUL;
   tf->codes[48492] = 0x0001a8a0c698142bUL;
   tf->codes[48493] = 0x0001c725c8eddc47UL;
   tf->codes[48494] = 0x00003db2bc98029bUL;
   tf->codes[48495] = 0x00003e7b1dffc0b7UL;
   tf->codes[48496] = 0x00006e333c665a88UL;
   tf->codes[48497] = 0x000095edeb116d33UL;
   tf->codes[48498] = 0x0000b38d09ed8eeeUL;
   tf->codes[48499] = 0x00012187a4288225UL;
   tf->codes[48500] = 0x0001325bd25ef97fUL;
   tf->codes[48501] = 0x00015bded99c0261UL;
   tf->codes[48502] = 0x00015efda086b595UL;
   tf->codes[48503] = 0x000185c85b232403UL;
   tf->codes[48504] = 0x00018a21a83dd452UL;
   tf->codes[48505] = 0x0001b3a0cbfb7b1fUL;
   tf->codes[48506] = 0x0001d0e7d9bfef95UL;
   tf->codes[48507] = 0x0001e624a87f99cdUL;
   tf->codes[48508] = 0x0001f322269d3f3fUL;
   tf->codes[48509] = 0x0001f71ecf73cee5UL;
   tf->codes[48510] = 0x00000782ad5a3568UL;
   tf->codes[48511] = 0x00001d4d4e7bd8bcUL;
   tf->codes[48512] = 0x000025fefe752246UL;
   tf->codes[48513] = 0x00004fd2ff782592UL;
   tf->codes[48514] = 0x00006a75e1c5fb4cUL;
   tf->codes[48515] = 0x00008516ef9ba2deUL;
   tf->codes[48516] = 0x0000ac1e82d40ffeUL;
   tf->codes[48517] = 0x0000e6f97a148b7aUL;
   tf->codes[48518] = 0x0000ec88f4c1cb45UL;
   tf->codes[48519] = 0x000101999dae1bf8UL;
   tf->codes[48520] = 0x00010e50e247d62bUL;
   tf->codes[48521] = 0x00013a124a5e7658UL;
   tf->codes[48522] = 0x0001648a4df4a265UL;
   tf->codes[48523] = 0x000169f1fb6bf64aUL;
   tf->codes[48524] = 0x0001787491daf1b5UL;
   tf->codes[48525] = 0x0001811f65118e29UL;
   tf->codes[48526] = 0x0001abb3c5ee85a2UL;
   tf->codes[48527] = 0x0001f30963bbc264UL;
   tf->codes[48528] = 0x0001f3625f0f86bdUL;
   tf->codes[48529] = 0x00001515b64d8a61UL;
   tf->codes[48530] = 0x00001a4ad64ce335UL;
   tf->codes[48531] = 0x000032cbef96f2d5UL;
   tf->codes[48532] = 0x000056c5e3cb5d78UL;
   tf->codes[48533] = 0x00005d050b89ec43UL;
   tf->codes[48534] = 0x00007ea4070eee6aUL;
   tf->codes[48535] = 0x00008b0633d44659UL;
   tf->codes[48536] = 0x0000954e5e949c58UL;
   tf->codes[48537] = 0x0000a5d193051948UL;
   tf->codes[48538] = 0x0000a9d5189e5604UL;
   tf->codes[48539] = 0x0000f7aa5fb67c93UL;
   tf->codes[48540] = 0x000112bca8184c10UL;
   tf->codes[48541] = 0x00012c399a7e2bf1UL;
   tf->codes[48542] = 0x000155344cc1c62fUL;
   tf->codes[48543] = 0x0001b8678d9bdb8bUL;
   tf->codes[48544] = 0x0001b900cfecf521UL;
   tf->codes[48545] = 0x0001cb1e62a3e09bUL;
   tf->codes[48546] = 0x0001d2f6894ebb52UL;
   tf->codes[48547] = 0x000005187eb534a4UL;
   tf->codes[48548] = 0x000010c3376a7969UL;
   tf->codes[48549] = 0x00002bb20b33ca9fUL;
   tf->codes[48550] = 0x000034349c166fa3UL;
   tf->codes[48551] = 0x0000452059d83940UL;
   tf->codes[48552] = 0x000059a48fbcb375UL;
   tf->codes[48553] = 0x00009c915271b794UL;
   tf->codes[48554] = 0x0000bfe6cef4edecUL;
   tf->codes[48555] = 0x000100c2f08cdca8UL;
   tf->codes[48556] = 0x00013069375fb473UL;
   tf->codes[48557] = 0x000144829a5ca849UL;
   tf->codes[48558] = 0x00015131dd68988dUL;
   tf->codes[48559] = 0x00019ad9fd396852UL;
   tf->codes[48560] = 0x0001d5458e65ea0bUL;
   tf->codes[48561] = 0x0000041ee0a49056UL;
   tf->codes[48562] = 0x00004760809ef0f4UL;
   tf->codes[48563] = 0x000093dd4a572699UL;
   tf->codes[48564] = 0x0000d5da8e1b9205UL;
   tf->codes[48565] = 0x00010337b3d2c35aUL;
   tf->codes[48566] = 0x00011abc7ee2f72fUL;
   tf->codes[48567] = 0x000125d03edd5c10UL;
   tf->codes[48568] = 0x00013c35bc39415dUL;
   tf->codes[48569] = 0x00013cfa74b0a329UL;
   tf->codes[48570] = 0x0001430415b3ebe2UL;
   tf->codes[48571] = 0x000147401b4bb9b1UL;
   tf->codes[48572] = 0x000167906f76c305UL;
   tf->codes[48573] = 0x000168eafbdde7dcUL;
   tf->codes[48574] = 0x00016a98cba140cfUL;
   tf->codes[48575] = 0x00018e440fa5eabaUL;
   tf->codes[48576] = 0x0001922afd695645UL;
   tf->codes[48577] = 0x00019505d46657ecUL;
   tf->codes[48578] = 0x0001ce2a10199972UL;
   tf->codes[48579] = 0x0001d540027251d4UL;
   tf->codes[48580] = 0x0001d907248d9b68UL;
   tf->codes[48581] = 0x0000043ba47e598dUL;
   tf->codes[48582] = 0x000006aaf8e6c386UL;
   tf->codes[48583] = 0x00001f6a84b5fa3bUL;
   tf->codes[48584] = 0x0000336331ceb506UL;
   tf->codes[48585] = 0x0000476490224b0fUL;
   tf->codes[48586] = 0x000052d862c22724UL;
   tf->codes[48587] = 0x00006d9eb9a87b25UL;
   tf->codes[48588] = 0x0000796177071db7UL;
   tf->codes[48589] = 0x000097418c8da5feUL;
   tf->codes[48590] = 0x0000ea72d69efa33UL;
   tf->codes[48591] = 0x0000ece8581cfff3UL;
   tf->codes[48592] = 0x000124bf865f7109UL;
   tf->codes[48593] = 0x00014a444adcc1e2UL;
   tf->codes[48594] = 0x00015785b8e818e1UL;
   tf->codes[48595] = 0x0001a4785058e9d5UL;
   tf->codes[48596] = 0x0001fe8c150ee447UL;
   tf->codes[48597] = 0x00001739199d47a7UL;
   tf->codes[48598] = 0x00001ec8bd2dfd6dUL;
   tf->codes[48599] = 0x00004a2077283414UL;
   tf->codes[48600] = 0x000051caa387871eUL;
   tf->codes[48601] = 0x00007700082805f0UL;
   tf->codes[48602] = 0x000084f6661e30a2UL;
   tf->codes[48603] = 0x0000943ffe9ac78bUL;
   tf->codes[48604] = 0x00009cfe434e4e68UL;
   tf->codes[48605] = 0x0000dcc26912a73cUL;
   tf->codes[48606] = 0x0000dcccb436aaddUL;
   tf->codes[48607] = 0x0000e31193ecc9e5UL;
   tf->codes[48608] = 0x000104c43b7dbc3aUL;
   tf->codes[48609] = 0x000164682a8e07c6UL;
   tf->codes[48610] = 0x000173caec7f1955UL;
   tf->codes[48611] = 0x000181bb1d5fa840UL;
   tf->codes[48612] = 0x0001b3e3054cb794UL;
   tf->codes[48613] = 0x0001b765fceb49d6UL;
   tf->codes[48614] = 0x0001b78bf5a90794UL;
   tf->codes[48615] = 0x0001d7aeff359a8aUL;
   tf->codes[48616] = 0x0001dceac1689aafUL;
   tf->codes[48617] = 0x0001fccaffd298f1UL;
   tf->codes[48618] = 0x000009deae216e08UL;
   tf->codes[48619] = 0x00002768fc2682bcUL;
   tf->codes[48620] = 0x000059a8e8bcefddUL;
   tf->codes[48621] = 0x0000af5c0e778160UL;
   tf->codes[48622] = 0x0000b827d2215ca4UL;
   tf->codes[48623] = 0x0000db52130d508bUL;
   tf->codes[48624] = 0x00012550aa0ca532UL;
   tf->codes[48625] = 0x000155c8edbe2d6bUL;
   tf->codes[48626] = 0x00017b7e30ac4568UL;
   tf->codes[48627] = 0x00017ca7c9849791UL;
   tf->codes[48628] = 0x00017e4a63e7d5cfUL;
   tf->codes[48629] = 0x00018029d6e712bfUL;
   tf->codes[48630] = 0x000190edc772f076UL;
   tf->codes[48631] = 0x000194c3c7deb10fUL;
   tf->codes[48632] = 0x0001a0f192b3dfc5UL;
   tf->codes[48633] = 0x0001c23f9472e782UL;
   tf->codes[48634] = 0x0001ecdc6bfbb474UL;
   tf->codes[48635] = 0x0000379dac6b36faUL;
   tf->codes[48636] = 0x00004bc62847a79aUL;
   tf->codes[48637] = 0x000098a33f345a38UL;
   tf->codes[48638] = 0x000117d80cd1d1ffUL;
   tf->codes[48639] = 0x0001360279eaad5fUL;
   tf->codes[48640] = 0x00014b94d59cc565UL;
   tf->codes[48641] = 0x00018f2efbccded2UL;
   tf->codes[48642] = 0x0001921d4446cae2UL;
   tf->codes[48643] = 0x0001b4ae08529f6eUL;
   tf->codes[48644] = 0x0001dcba25e1b80dUL;
   tf->codes[48645] = 0x0001fe2c4be64f60UL;
   tf->codes[48646] = 0x00000bfc0171ab05UL;
   tf->codes[48647] = 0x000049f28bca88efUL;
   tf->codes[48648] = 0x00007cc21f3b1d54UL;
   tf->codes[48649] = 0x00009277ef85b3a1UL;
   tf->codes[48650] = 0x0000d3bc2550e380UL;
   tf->codes[48651] = 0x0000e8131096e757UL;
   tf->codes[48652] = 0x0000f029a9c6e923UL;
   tf->codes[48653] = 0x00012f386a8262baUL;
   tf->codes[48654] = 0x00014ec7e9b56c57UL;
   tf->codes[48655] = 0x00015ec49da4a8cbUL;
   tf->codes[48656] = 0x0001708cddf82c3cUL;
   tf->codes[48657] = 0x0001bd3224935f16UL;
   tf->codes[48658] = 0x0001c795fced6f32UL;
   tf->codes[48659] = 0x0001cb910bdad675UL;
   tf->codes[48660] = 0x0001f2c7490bdc91UL;
   tf->codes[48661] = 0x000030192124806bUL;
   tf->codes[48662] = 0x00003ae2898c9233UL;
   tf->codes[48663] = 0x00003fb6721b56faUL;
   tf->codes[48664] = 0x000068d632e097e2UL;
   tf->codes[48665] = 0x0000b19e9c4d5d0dUL;
   tf->codes[48666] = 0x0000ddd13ef02525UL;
   tf->codes[48667] = 0x0000e9442753ea26UL;
   tf->codes[48668] = 0x0001107ce8aa2fb9UL;
   tf->codes[48669] = 0x00012ab482f2738aUL;
   tf->codes[48670] = 0x00013195291eeb9fUL;
   tf->codes[48671] = 0x000151d4ca814fc6UL;
   tf->codes[48672] = 0x0001d76223e0d6c3UL;
   tf->codes[48673] = 0x0001f963b6308f95UL;
   tf->codes[48674] = 0x0000126bffa8f100UL;
   tf->codes[48675] = 0x0000130666c5276fUL;
   tf->codes[48676] = 0x00001b3ea015795aUL;
   tf->codes[48677] = 0x000058e67a3e968cUL;
   tf->codes[48678] = 0x0000773a89058bfaUL;
   tf->codes[48679] = 0x000087fe799169b1UL;
   tf->codes[48680] = 0x0000aa4ef69fe900UL;
   tf->codes[48681] = 0x0000bbaf97de36d8UL;
   tf->codes[48682] = 0x0000d54fc44d8f3bUL;
   tf->codes[48683] = 0x0000eccffc314facUL;
   tf->codes[48684] = 0x00013fdef6754273UL;
   tf->codes[48685] = 0x00014c896bc5b98eUL;
   tf->codes[48686] = 0x000178c534c1686eUL;
   tf->codes[48687] = 0x0001cb14f3f683e1UL;
   tf->codes[48688] = 0x0001fbcd7ea56157UL;
   tf->codes[48689] = 0x000035778b2cd20aUL;
   tf->codes[48690] = 0x0000675e41e0750dUL;
   tf->codes[48691] = 0x0000783f04d129baUL;
   tf->codes[48692] = 0x00007881cff3be6eUL;
   tf->codes[48693] = 0x0000af0bf0c55f14UL;
   tf->codes[48694] = 0x0000c537c9579675UL;
   tf->codes[48695] = 0x0000e863a42cb2bfUL;
   tf->codes[48696] = 0x0000ea6bce9df2a9UL;
   tf->codes[48697] = 0x0000ef456f2447adUL;
   tf->codes[48698] = 0x0000fd468d5c818aUL;
   tf->codes[48699] = 0x0000feb450b18b05UL;
   tf->codes[48700] = 0x000121a3185ba2d8UL;
   tf->codes[48701] = 0x000121b05cc2f17aUL;
   tf->codes[48702] = 0x000127c09ff9e184UL;
   tf->codes[48703] = 0x000132718e9a89f5UL;
   tf->codes[48704] = 0x00014688e29049deUL;
   tf->codes[48705] = 0x000152733295d291UL;
   tf->codes[48706] = 0x00015b452355499cUL;
   tf->codes[48707] = 0x00016fe95f70eb8dUL;
   tf->codes[48708] = 0x0001816bdb5e8f49UL;
   tf->codes[48709] = 0x000198037114641dUL;
   tf->codes[48710] = 0x0001c3eeb568241dUL;
   tf->codes[48711] = 0x0001f3df53cd4f01UL;
   tf->codes[48712] = 0x00004261c3d18519UL;
   tf->codes[48713] = 0x00007d9abeb043dcUL;
   tf->codes[48714] = 0x00008d15102ca7aeUL;
   tf->codes[48715] = 0x0000c7b5ed8569b4UL;
   tf->codes[48716] = 0x000113a609a6c316UL;
   tf->codes[48717] = 0x00015cf68d7df120UL;
   tf->codes[48718] = 0x000171f0568c00dfUL;
   tf->codes[48719] = 0x0001861b568db0f6UL;
   tf->codes[48720] = 0x00019265b938b0ddUL;
   tf->codes[48721] = 0x0001cc35f90ce513UL;
   tf->codes[48722] = 0x0001dd82ee3f42bdUL;
   tf->codes[48723] = 0x0001ffab9e17d626UL;
   tf->codes[48724] = 0x0000085a8f5cda74UL;
   tf->codes[48725] = 0x00001b4a1ef2765cUL;
   tf->codes[48726] = 0x00006e0ced2be7e2UL;
   tf->codes[48727] = 0x00006f9ab6b81919UL;
   tf->codes[48728] = 0x000079c858a9d1d4UL;
   tf->codes[48729] = 0x0000937f9f8670f0UL;
   tf->codes[48730] = 0x000118c7e42d2987UL;
   tf->codes[48731] = 0x000123bf0c51bd37UL;
   tf->codes[48732] = 0x00014e599a445077UL;
   tf->codes[48733] = 0x00015992a34f61c7UL;
   tf->codes[48734] = 0x00015a15b56f4bb8UL;
   tf->codes[48735] = 0x00016277906db7b1UL;
   tf->codes[48736] = 0x000177f46b9bb161UL;
   tf->codes[48737] = 0x0001d20f47a35eaeUL;
   tf->codes[48738] = 0x000014c858154ae3UL;
   tf->codes[48739] = 0x0000293ba0a21a26UL;
   tf->codes[48740] = 0x00007756e6af262fUL;
   tf->codes[48741] = 0x00009ee82e3b2491UL;
   tf->codes[48742] = 0x0000a2b9d609778bUL;
   tf->codes[48743] = 0x0000b9b90ad481f8UL;
   tf->codes[48744] = 0x0000f64455fd95deUL;
   tf->codes[48745] = 0x0000f8264d221245UL;
   tf->codes[48746] = 0x000102658c188741UL;
   tf->codes[48747] = 0x000138a3f5fdb230UL;
   tf->codes[48748] = 0x00015a16cbaf5ad2UL;
   tf->codes[48749] = 0x00017b21529ebc8cUL;
   tf->codes[48750] = 0x00018327e8b32a7aUL;
   tf->codes[48751] = 0x0001cf82d7bc0a3bUL;
   tf->codes[48752] = 0x0001d2e4dee75dadUL;
   tf->codes[48753] = 0x0001e1baf34192f9UL;
   tf->codes[48754] = 0x0001e62393cac5d7UL;
   tf->codes[48755] = 0x0001eea0a744e063UL;
   tf->codes[48756] = 0x0001f7dc80afc6b9UL;
   tf->codes[48757] = 0x00003cde3d1f4ddaUL;
   tf->codes[48758] = 0x000049411991b718UL;
   tf->codes[48759] = 0x00005f64b6071ec5UL;
   tf->codes[48760] = 0x0000655184a59088UL;
   tf->codes[48761] = 0x00006e68c4acdbbeUL;
   tf->codes[48762] = 0x00006f90fe2b0b49UL;
   tf->codes[48763] = 0x00008086cc81d2c2UL;
   tf->codes[48764] = 0x0000d273f4ec378aUL;
   tf->codes[48765] = 0x00010a7ba19f6fc4UL;
   tf->codes[48766] = 0x00014b4451ba7417UL;
   tf->codes[48767] = 0x00016d3237fe3cbbUL;
   tf->codes[48768] = 0x000184c2386e8b45UL;
   tf->codes[48769] = 0x0001b48a59f0b8f4UL;
   tf->codes[48770] = 0x0001e68656997488UL;
   tf->codes[48771] = 0x0000058a4d00bebbUL;
   tf->codes[48772] = 0x00003636f2a2702dUL;
   tf->codes[48773] = 0x00003a40a55148b0UL;
   tf->codes[48774] = 0x000059684ae016efUL;
   tf->codes[48775] = 0x000069dc2be21150UL;
   tf->codes[48776] = 0x00007f23bae3cab3UL;
   tf->codes[48777] = 0x0000810aba52c608UL;
   tf->codes[48778] = 0x0000df006481ad17UL;
   tf->codes[48779] = 0x0000ec1f82bfa2a8UL;
   tf->codes[48780] = 0x0000f30bd36a40fcUL;
   tf->codes[48781] = 0x000113103619ced4UL;
   tf->codes[48782] = 0x00011fc1c2bbf8caUL;
   tf->codes[48783] = 0x0001245c06810fa5UL;
   tf->codes[48784] = 0x000134584552408fUL;
   tf->codes[48785] = 0x000149bb475eae4aUL;
   tf->codes[48786] = 0x0001dd5c0ba83cb4UL;
   tf->codes[48787] = 0x000007fd3bce7745UL;
   tf->codes[48788] = 0x00002457c3e59e09UL;
   tf->codes[48789] = 0x00004f6b8df22323UL;
   tf->codes[48790] = 0x0000527f5a0bc167UL;
   tf->codes[48791] = 0x0000641f929a532dUL;
   tf->codes[48792] = 0x00006b2e331252efUL;
   tf->codes[48793] = 0x0000f4f1da12177eUL;
   tf->codes[48794] = 0x00015e6f780ad65aUL;
   tf->codes[48795] = 0x0001ab5e668b4afeUL;
   tf->codes[48796] = 0x0001b13a0d430c0aUL;
   tf->codes[48797] = 0x0001c17ff3f97ebeUL;
   tf->codes[48798] = 0x0001d0a2e40b469aUL;
   tf->codes[48799] = 0x0001e86571f39035UL;
   tf->codes[48800] = 0x00001546624d84afUL;
   tf->codes[48801] = 0x000023a8b7f65299UL;
   tf->codes[48802] = 0x000047c23d43d96eUL;
   tf->codes[48803] = 0x000051009ad3ff3bUL;
   tf->codes[48804] = 0x000064a79e79ae4dUL;
   tf->codes[48805] = 0x00006fda0551184cUL;
   tf->codes[48806] = 0x0000ae3485cecf7fUL;
   tf->codes[48807] = 0x0000d6524062a45fUL;
   tf->codes[48808] = 0x0000e0d1c6566e98UL;
   tf->codes[48809] = 0x00011a8ff407db03UL;
   tf->codes[48810] = 0x000121f7ca62a4e3UL;
   tf->codes[48811] = 0x00012efd0f7f0e7fUL;
   tf->codes[48812] = 0x000148df1cd4e482UL;
   tf->codes[48813] = 0x00014d60e6d29206UL;
   tf->codes[48814] = 0x000154c2caa6c5e4UL;
   tf->codes[48815] = 0x0001623ae4387fceUL;
   tf->codes[48816] = 0x00017737e118e053UL;
   tf->codes[48817] = 0x00018d793a2f360aUL;
   tf->codes[48818] = 0x00019d3e1dccf2baUL;
   tf->codes[48819] = 0x0001e7cdf58f9708UL;
   tf->codes[48820] = 0x0000153232987b38UL;
   tf->codes[48821] = 0x00005bc317ee562eUL;
   tf->codes[48822] = 0x0000681cce07d8a4UL;
   tf->codes[48823] = 0x000076780c5ef3b3UL;
   tf->codes[48824] = 0x00007693f487b395UL;
   tf->codes[48825] = 0x00007ac7f891b775UL;
   tf->codes[48826] = 0x0000b616e912a018UL;
   tf->codes[48827] = 0x0000da09c5f557e0UL;
   tf->codes[48828] = 0x000101e10c763bbcUL;
   tf->codes[48829] = 0x000182edfb3237d3UL;
   tf->codes[48830] = 0x000192808be6ff37UL;
   tf->codes[48831] = 0x0001ebee3f029cfbUL;
   tf->codes[48832] = 0x0001f453fd806b09UL;
   tf->codes[48833] = 0x00004366145ec865UL;
   tf->codes[48834] = 0x000069f8146d9ffbUL;
   tf->codes[48835] = 0x00007afff4e72f3fUL;
   tf->codes[48836] = 0x0000928f8039723fUL;
   tf->codes[48837] = 0x0000bfc379609510UL;
   tf->codes[48838] = 0x0001110a90309d2aUL;
   tf->codes[48839] = 0x00011908af99359fUL;
   tf->codes[48840] = 0x00011f0ea7ac2208UL;
   tf->codes[48841] = 0x000133c68fd3b427UL;
   tf->codes[48842] = 0x000145affb297c2dUL;
   tf->codes[48843] = 0x000176428d1a9be5UL;
   tf->codes[48844] = 0x00017ce8a4414efaUL;
   tf->codes[48845] = 0x00018deb7c705f50UL;
   tf->codes[48846] = 0x0001973549efa597UL;
   tf->codes[48847] = 0x00019c488f3fa887UL;
   tf->codes[48848] = 0x0001ada9e02b07aeUL;
   tf->codes[48849] = 0x0001afd19bb563caUL;
   tf->codes[48850] = 0x0001b19ade837115UL;
   tf->codes[48851] = 0x0001be572b67aa36UL;
   tf->codes[48852] = 0x0001c1e174e6f518UL;
   tf->codes[48853] = 0x0001c1fd979ebabfUL;
   tf->codes[48854] = 0x0001ca63561c88cdUL;
   tf->codes[48855] = 0x00001fe93138a3f2UL;
   tf->codes[48856] = 0x00008d2abd7a5b9cUL;
   tf->codes[48857] = 0x000097bc1b01e7dbUL;
   tf->codes[48858] = 0x0000a70f898476dbUL;
   tf->codes[48859] = 0x0000acc487d168daUL;
   tf->codes[48860] = 0x0000e9e397e30bdeUL;
   tf->codes[48861] = 0x0000f6f91aaa0f1dUL;
   tf->codes[48862] = 0x00011311122da6f2UL;
   tf->codes[48863] = 0x00013514ee139976UL;
   tf->codes[48864] = 0x0001556d7e5b727eUL;
   tf->codes[48865] = 0x0001761a01ac90f1UL;
   tf->codes[48866] = 0x00017814ad277c74UL;
   tf->codes[48867] = 0x00017ecb01f8c92cUL;
   tf->codes[48868] = 0x0001a9fe228f64b3UL;
   tf->codes[48869] = 0x0001aae8241772eeUL;
   tf->codes[48870] = 0x0001ab1f7f4ae728UL;
   tf->codes[48871] = 0x0001c0bd105d19e3UL;
   tf->codes[48872] = 0x0001e86328c0254cUL;
   tf->codes[48873] = 0x0001e9756c9c2af7UL;
   tf->codes[48874] = 0x000006b1f4ad9607UL;
   tf->codes[48875] = 0x00000a62ac08aa31UL;
   tf->codes[48876] = 0x000017b0e95d4448UL;
   tf->codes[48877] = 0x0000378074fe9d5dUL;
   tf->codes[48878] = 0x0000485518532041UL;
   tf->codes[48879] = 0x00004cab6c2a858fUL;
   tf->codes[48880] = 0x00005850e20645a1UL;
   tf->codes[48881] = 0x000060e0f1df3f0cUL;
   tf->codes[48882] = 0x000066076e1d26a0UL;
   tf->codes[48883] = 0x000067bf4e757d6fUL;
   tf->codes[48884] = 0x000087b5bd10ab56UL;
   tf->codes[48885] = 0x0000e2599dbed896UL;
   tf->codes[48886] = 0x0000e9e55dd02c47UL;
   tf->codes[48887] = 0x0000f61537ac8eeaUL;
   tf->codes[48888] = 0x0001480a9c33c366UL;
   tf->codes[48889] = 0x0001785b12af5fb9UL;
   tf->codes[48890] = 0x0001a2d1b6eb6928UL;
   tf->codes[48891] = 0x0001ba8023a9b70bUL;
   tf->codes[48892] = 0x0001c1eab8b8c627UL;
   tf->codes[48893] = 0x0001ca5be725b4afUL;
   tf->codes[48894] = 0x0000255eb5ae3c4aUL;
   tf->codes[48895] = 0x0000364ae88e1171UL;
   tf->codes[48896] = 0x000040d8280735d6UL;
   tf->codes[48897] = 0x000045267a50d135UL;
   tf->codes[48898] = 0x0000c5b4af8a50faUL;
   tf->codes[48899] = 0x0000fad440d938ebUL;
   tf->codes[48900] = 0x0000fb8796dae43bUL;
   tf->codes[48901] = 0x0000fe898b60c079UL;
   tf->codes[48902] = 0x000114ffbb854af3UL;
   tf->codes[48903] = 0x00011a4a9697c7e2UL;
   tf->codes[48904] = 0x00011f5e5105d65cUL;
   tf->codes[48905] = 0x0001747dec66de86UL;
   tf->codes[48906] = 0x00017acb0839cd42UL;
   tf->codes[48907] = 0x0001a926c5c11414UL;
   tf->codes[48908] = 0x0001fdd7e54a398fUL;
   tf->codes[48909] = 0x000000a95b5f4ea9UL;
   tf->codes[48910] = 0x00007684cd7ff7d5UL;
   tf->codes[48911] = 0x00007e447a636935UL;
   tf->codes[48912] = 0x00007f5683b0691bUL;
   tf->codes[48913] = 0x0000865f6c30d8a0UL;
   tf->codes[48914] = 0x0000904cc7253c1eUL;
   tf->codes[48915] = 0x0000d7eb5d2aa95bUL;
   tf->codes[48916] = 0x0000eb8b0eef9fcdUL;
   tf->codes[48917] = 0x0000fd6a69b069f7UL;
   tf->codes[48918] = 0x000117b65fb1af45UL;
   tf->codes[48919] = 0x00012f3572ca52ddUL;
   tf->codes[48920] = 0x00013f538c4ad9abUL;
   tf->codes[48921] = 0x000148aa2913630aUL;
   tf->codes[48922] = 0x000159cedbf1c944UL;
   tf->codes[48923] = 0x00016d1975e25d72UL;
   tf->codes[48924] = 0x0001909107a3ef73UL;
   tf->codes[48925] = 0x0001b4611f9b3a43UL;
   tf->codes[48926] = 0x0001becff2c65f4fUL;
   tf->codes[48927] = 0x0001e992135fd8b0UL;
   tf->codes[48928] = 0x00000bc45eaf5e6bUL;
   tf->codes[48929] = 0x000013bf0fb6a055UL;
   tf->codes[48930] = 0x0000235fcf0ecd6fUL;
   tf->codes[48931] = 0x000034f2fdc51658UL;
   tf->codes[48932] = 0x000042a989dbf757UL;
   tf->codes[48933] = 0x000078bcf2b8e59aUL;
   tf->codes[48934] = 0x0000acd2f166a31eUL;
   tf->codes[48935] = 0x0000aefa7261f975UL;
   tf->codes[48936] = 0x00010ba72d2e77eeUL;
   tf->codes[48937] = 0x00011cdc58467d90UL;
   tf->codes[48938] = 0x000141c0c32101f8UL;
   tf->codes[48939] = 0x000158f8b279a33dUL;
   tf->codes[48940] = 0x0001614ea86ae332UL;
   tf->codes[48941] = 0x000036550810ebd5UL;
   tf->codes[48942] = 0x0000512e95e5247aUL;
   tf->codes[48943] = 0x000055d5e3828432UL;
   tf->codes[48944] = 0x0000586035d796f9UL;
   tf->codes[48945] = 0x000082b8e2e3ac99UL;
   tf->codes[48946] = 0x00009ab7249cd80dUL;
   tf->codes[48947] = 0x0000af14eca588faUL;
   tf->codes[48948] = 0x0000df69bbbe92ecUL;
   tf->codes[48949] = 0x0000e8a1b1aa172dUL;
   tf->codes[48950] = 0x00010affe83df0a8UL;
   tf->codes[48951] = 0x00010cc75693cfcbUL;
   tf->codes[48952] = 0x00014a4f2a85c541UL;
   tf->codes[48953] = 0x00015d5942e9fe6dUL;
   tf->codes[48954] = 0x00016beffa82f590UL;
   tf->codes[48955] = 0x00017576660f34c4UL;
   tf->codes[48956] = 0x00017f92306d2b79UL;
   tf->codes[48957] = 0x00019b512c9cfef5UL;
   tf->codes[48958] = 0x0001a02eb0a2b60eUL;
   tf->codes[48959] = 0x0001a75dcc6fe916UL;
   tf->codes[48960] = 0x0001b2552f23828bUL;
   tf->codes[48961] = 0x0001cd9119336c16UL;
   tf->codes[48962] = 0x0001d33e508199ebUL;
   tf->codes[48963] = 0x0000151f718e3fb0UL;
   tf->codes[48964] = 0x00001c9c534f1c5cUL;
   tf->codes[48965] = 0x000033fe5973e339UL;
   tf->codes[48966] = 0x00004756e778d758UL;
   tf->codes[48967] = 0x00005e9921f57c3eUL;
   tf->codes[48968] = 0x00007695c9c57f4fUL;
   tf->codes[48969] = 0x0000a6950bec1b73UL;
   tf->codes[48970] = 0x0000adbf59fdd552UL;
   tf->codes[48971] = 0x0000b9e891a690a4UL;
   tf->codes[48972] = 0x0000ba469544d3ebUL;
   tf->codes[48973] = 0x0000c2d963d21292UL;
   tf->codes[48974] = 0x00011e08582df3b2UL;
   tf->codes[48975] = 0x000184c2aeb5032aUL;
   tf->codes[48976] = 0x0001a843a15e81b8UL;
   tf->codes[48977] = 0x0001fda816e95283UL;
   tf->codes[48978] = 0x000003af6e56618aUL;
   tf->codes[48979] = 0x000067f393b259f3UL;
   tf->codes[48980] = 0x0000a83bf061b991UL;
   tf->codes[48981] = 0x0000be792b69a76eUL;
   tf->codes[48982] = 0x0000df65460b09cfUL;
   tf->codes[48983] = 0x00015a4ef53136fdUL;
   tf->codes[48984] = 0x00015b0d8092fd02UL;
   tf->codes[48985] = 0x00017639a2165874UL;
   tf->codes[48986] = 0x0001936870a26958UL;
   tf->codes[48987] = 0x0001bbf67b864f0fUL;
   tf->codes[48988] = 0x0001ee2c1cf8b88fUL;
   tf->codes[48989] = 0x000002504037bb90UL;
   tf->codes[48990] = 0x00002830499f0a74UL;
   tf->codes[48991] = 0x00006473fbea107dUL;
   tf->codes[48992] = 0x00007794447f794eUL;
   tf->codes[48993] = 0x000086a9b59aecc3UL;
   tf->codes[48994] = 0x000091aab3c5788aUL;
   tf->codes[48995] = 0x00009ad5da67b9b3UL;
   tf->codes[48996] = 0x0000bec9a186888fUL;
   tf->codes[48997] = 0x0000fce5af7f18adUL;
   tf->codes[48998] = 0x00019da1e9164058UL;
   tf->codes[48999] = 0x0001c97a310b2179UL;
   tf->codes[49000] = 0x0001c9f3a7b41918UL;
   tf->codes[49001] = 0x0001d476617a3417UL;
   tf->codes[49002] = 0x000023bc2a9ba95dUL;
   tf->codes[49003] = 0x00005f7ed9cdf962UL;
   tf->codes[49004] = 0x000066d5fd601e15UL;
   tf->codes[49005] = 0x000066ebb8734230UL;
   tf->codes[49006] = 0x00008a29a56b2645UL;
   tf->codes[49007] = 0x0000cc72658d01a3UL;
   tf->codes[49008] = 0x0000d50b612fdc11UL;
   tf->codes[49009] = 0x0000d8a78242e8f9UL;
   tf->codes[49010] = 0x0000fd3e61b8c982UL;
   tf->codes[49011] = 0x000115396f9fa430UL;
   tf->codes[49012] = 0x00012bca2892cbeeUL;
   tf->codes[49013] = 0x0001350f9d74a496UL;
   tf->codes[49014] = 0x00013b69fdaee1f4UL;
   tf->codes[49015] = 0x00017efd81ab5410UL;
   tf->codes[49016] = 0x00019c642088e4b8UL;
   tf->codes[49017] = 0x0001a0847886f86aUL;
   tf->codes[49018] = 0x0001a87a5bd2c12bUL;
   tf->codes[49019] = 0x0001aba8eb4a0278UL;
   tf->codes[49020] = 0x0001bbd5e31b004bUL;
   tf->codes[49021] = 0x0001cbb8f877b68fUL;
   tf->codes[49022] = 0x0001d96a7c4418a0UL;
   tf->codes[49023] = 0x0001e2dba1db3f43UL;
   tf->codes[49024] = 0x0000806fb39fc72dUL;
   tf->codes[49025] = 0x0000c2322dcf67d4UL;
   tf->codes[49026] = 0x000119576f7c7071UL;
   tf->codes[49027] = 0x00013a92e9faa4d9UL;
   tf->codes[49028] = 0x000190d491c440c7UL;
   tf->codes[49029] = 0x0000224d9a837315UL;
   tf->codes[49030] = 0x00002be7778c9cb2UL;
   tf->codes[49031] = 0x00003e9ec1b2ad4cUL;
   tf->codes[49032] = 0x000056368921c000UL;
   tf->codes[49033] = 0x00008e1e2f9dd07eUL;
   tf->codes[49034] = 0x0000a5e5c5d09907UL;
   tf->codes[49035] = 0x0000c777b77d5251UL;
   tf->codes[49036] = 0x0000f2c9f40efe80UL;
   tf->codes[49037] = 0x0001495d7fdaabecUL;
   tf->codes[49038] = 0x00014ffa36197274UL;
   tf->codes[49039] = 0x00015d9b7c3b3ae2UL;
   tf->codes[49040] = 0x000164b1e3b1feceUL;
   tf->codes[49041] = 0x00017deb5b4838acUL;
   tf->codes[49042] = 0x00019c7b92fe1b7dUL;
   tf->codes[49043] = 0x0001a3237e9cfcbaUL;
   tf->codes[49044] = 0x0001b4c0bde8437fUL;
   tf->codes[49045] = 0x0001b86e417106e3UL;
   tf->codes[49046] = 0x0001c7353cebbf65UL;
   tf->codes[49047] = 0x0001ca0a96803694UL;
   tf->codes[49048] = 0x0001dea1c8c38fa8UL;
   tf->codes[49049] = 0x0000297bbd89814aUL;
   tf->codes[49050] = 0x00002b863190fae6UL;
   tf->codes[49051] = 0x00004ffea4b8dc16UL;
   tf->codes[49052] = 0x0000b2c27f7ef7afUL;
   tf->codes[49053] = 0x0000c454c3f92984UL;
   tf->codes[49054] = 0x000139149155e078UL;
   tf->codes[49055] = 0x000157ba498fe19fUL;
   tf->codes[49056] = 0x00015e568ab09c9dUL;
   tf->codes[49057] = 0x0001841d30146b16UL;
   tf->codes[49058] = 0x000191f1edea45a9UL;
   tf->codes[49059] = 0x0001a99e4ba15f9fUL;
   tf->codes[49060] = 0x0001b62d88762827UL;
   tf->codes[49061] = 0x0001c4658cc3cab4UL;
   tf->codes[49062] = 0x0001dc26bb51f1b1UL;
   tf->codes[49063] = 0x000017f081d5f491UL;
   tf->codes[49064] = 0x0000567eb496c3aeUL;
   tf->codes[49065] = 0x00005786e7ddcb7dUL;
   tf->codes[49066] = 0x000076192e9ae23bUL;
   tf->codes[49067] = 0x0000a81b1dca33d1UL;
   tf->codes[49068] = 0x0000fa534d73fd01UL;
   tf->codes[49069] = 0x00011f173cf94e23UL;
   tf->codes[49070] = 0x0001510286d9648aUL;
   tf->codes[49071] = 0x000151947749c580UL;
   tf->codes[49072] = 0x000166eae49bf5e8UL;
   tf->codes[49073] = 0x000174c1b1790468UL;
   tf->codes[49074] = 0x0001a8ed30aae042UL;
   tf->codes[49075] = 0x0001b2f6e8e60f2cUL;
   tf->codes[49076] = 0x00004e5cd77b996eUL;
   tf->codes[49077] = 0x0000680a0dc33aaeUL;
   tf->codes[49078] = 0x0000714ff7c31ee0UL;
   tf->codes[49079] = 0x00009df39a63091eUL;
   tf->codes[49080] = 0x0000db4a7ac62be6UL;
   tf->codes[49081] = 0x0001311d6c28df60UL;
   tf->codes[49082] = 0x00015f89675abfd5UL;
   tf->codes[49083] = 0x0001d4558ee2ae57UL;
   tf->codes[49084] = 0x0001e7af41b2bf4fUL;
   tf->codes[49085] = 0x00003f6b418ba20bUL;
   tf->codes[49086] = 0x00004b6ad786434fUL;
   tf->codes[49087] = 0x0000772c7a2be941UL;
   tf->codes[49088] = 0x0000786ae3db4871UL;
   tf->codes[49089] = 0x0000a8755b61ff4aUL;
   tf->codes[49090] = 0x0000e78a83c21a6dUL;
   tf->codes[49091] = 0x0000ed453a069ca9UL;
   tf->codes[49092] = 0x0001294ab45b8162UL;
   tf->codes[49093] = 0x00014c4bc8b766c5UL;
   tf->codes[49094] = 0x00016ff4c325d6feUL;
   tf->codes[49095] = 0x00018042ab6a13a1UL;
   tf->codes[49096] = 0x000191f40bdf561eUL;
   tf->codes[49097] = 0x0001c4c6d3223b49UL;
   tf->codes[49098] = 0x0001d09032b4852cUL;
   tf->codes[49099] = 0x00001d95c68434ffUL;
   tf->codes[49100] = 0x00003982f78e95edUL;
   tf->codes[49101] = 0x0000413add734323UL;
   tf->codes[49102] = 0x000069bc190de5c2UL;
   tf->codes[49103] = 0x00007c176e9ce702UL;
   tf->codes[49104] = 0x000080808444256aUL;
   tf->codes[49105] = 0x000082bee51dbcb5UL;
   tf->codes[49106] = 0x0000bc3f8a86191fUL;
   tf->codes[49107] = 0x0000cb9ea386ce5eUL;
   tf->codes[49108] = 0x0000cc49f7faafbfUL;
   tf->codes[49109] = 0x0000ef88949fa523UL;
   tf->codes[49110] = 0x00010585c3394388UL;
   tf->codes[49111] = 0x000107ad09a5941aUL;
   tf->codes[49112] = 0x000109c412674b09UL;
   tf->codes[49113] = 0x00011a423e8d490bUL;
   tf->codes[49114] = 0x00012b4b7e60faedUL;
   tf->codes[49115] = 0x00012fb877879b6aUL;
   tf->codes[49116] = 0x000138c740e31127UL;
   tf->codes[49117] = 0x00013b762c9bbf0eUL;
   tf->codes[49118] = 0x00013eacbda0ca4aUL;
   tf->codes[49119] = 0x00015728cea05afcUL;
   tf->codes[49120] = 0x000158fe310a9a10UL;
   tf->codes[49121] = 0x0001793904b1850eUL;
   tf->codes[49122] = 0x00018fa4e9b20be7UL;
   tf->codes[49123] = 0x0001f9e8da0b54f2UL;
   tf->codes[49124] = 0x0001fd394431ec23UL;
   tf->codes[49125] = 0x000030073db95825UL;
   tf->codes[49126] = 0x00003459e8a06123UL;
   tf->codes[49127] = 0x000036aad0bacbc3UL;
   tf->codes[49128] = 0x0000545524f70833UL;
   tf->codes[49129] = 0x00005e65b9f4e433UL;
   tf->codes[49130] = 0x00006cdca5e5b95fUL;
   tf->codes[49131] = 0x00009b309c6e3c07UL;
   tf->codes[49132] = 0x0000acf7f285a864UL;
   tf->codes[49133] = 0x0000b057b01ac224UL;
   tf->codes[49134] = 0x0000b6869a2eb74cUL;
   tf->codes[49135] = 0x0000e04e7b9588cfUL;
   tf->codes[49136] = 0x0001033e2d7bb7b6UL;
   tf->codes[49137] = 0x0001241661822424UL;
   tf->codes[49138] = 0x00012e5565e9935bUL;
   tf->codes[49139] = 0x00016ec9e86c4c7eUL;
   tf->codes[49140] = 0x000177ff5a329148UL;
   tf->codes[49141] = 0x000180015d1a8bd2UL;
   tf->codes[49142] = 0x000185201259af3cUL;
   tf->codes[49143] = 0x000193b3d0af5b5eUL;
   tf->codes[49144] = 0x0001cec0e049c661UL;
   tf->codes[49145] = 0x0001ed5dacb9e685UL;
   tf->codes[49146] = 0x00000a4bbf2a96a2UL;
   tf->codes[49147] = 0x000025fc5227fea3UL;
   tf->codes[49148] = 0x000035f52297d902UL;
   tf->codes[49149] = 0x00005957e3825dfcUL;
   tf->codes[49150] = 0x00007759d3b83c27UL;
   tf->codes[49151] = 0x00007848dd8ac950UL;
   tf->codes[49152] = 0x0000a29a73452c15UL;
   tf->codes[49153] = 0x0000abeae2f819adUL;
   tf->codes[49154] = 0x0000bbf96e7b1827UL;
   tf->codes[49155] = 0x0000becf77bca0a5UL;
   tf->codes[49156] = 0x0000c5ceff55239dUL;
   tf->codes[49157] = 0x0000d1df0d896449UL;
   tf->codes[49158] = 0x0000e6ed6cdf7b4aUL;
   tf->codes[49159] = 0x0000eb9e55f3cd54UL;
   tf->codes[49160] = 0x00014fffc2d2a83dUL;
   tf->codes[49161] = 0x00018526a60248ceUL;
   tf->codes[49162] = 0x0001937c2c61d3a0UL;
   tf->codes[49163] = 0x00019f9dd79ad08dUL;
   tf->codes[49164] = 0x0001ab31eb00da23UL;
   tf->codes[49165] = 0x0001ae14fe1aab7eUL;
   tf->codes[49166] = 0x0001f0c0ca254911UL;
   tf->codes[49167] = 0x000024c391e521f1UL;
   tf->codes[49168] = 0x0000aee870557a8dUL;
   tf->codes[49169] = 0x0000fec3d2d7ad19UL;
   tf->codes[49170] = 0x000107415b6fd32fUL;
   tf->codes[49171] = 0x00010ec7d8a7a22dUL;
   tf->codes[49172] = 0x000134c9f74d4cbaUL;
   tf->codes[49173] = 0x00015d31cee46eeeUL;
   tf->codes[49174] = 0x0001b4acd812eb1eUL;
   tf->codes[49175] = 0x0001b65564fcbf5eUL;
   tf->codes[49176] = 0x000013dc1e35b834UL;
   tf->codes[49177] = 0x0000835a36d8d901UL;
   tf->codes[49178] = 0x0000d274c4630bd6UL;
   tf->codes[49179] = 0x0000ffd5587b93b6UL;
   tf->codes[49180] = 0x00010349ac58b4b8UL;
   tf->codes[49181] = 0x00014b33842c8c22UL;
   tf->codes[49182] = 0x0001969f6962debaUL;
   tf->codes[49183] = 0x0001aac0935e96baUL;
   tf->codes[49184] = 0x0001e25a3957f7cfUL;
   tf->codes[49185] = 0x0001f53ff2e79ba0UL;
   tf->codes[49186] = 0x00005f15676901fcUL;
   tf->codes[49187] = 0x000066477c798005UL;
   tf->codes[49188] = 0x00006f9701f05689UL;
   tf->codes[49189] = 0x000128c27d3dcbceUL;
   tf->codes[49190] = 0x000135835d4e7853UL;
   tf->codes[49191] = 0x000161b96e5296f6UL;
   tf->codes[49192] = 0x000167bbf8042cd4UL;
   tf->codes[49193] = 0x0001727e0e8b85fcUL;
   tf->codes[49194] = 0x0001a39beeb95f59UL;
   tf->codes[49195] = 0x0001efc91e05bd32UL;
   tf->codes[49196] = 0x0000138c2c24bf25UL;
   tf->codes[49197] = 0x000046ab5a012b56UL;
   tf->codes[49198] = 0x00005dbbf141ec3fUL;
   tf->codes[49199] = 0x0000804d64fad21aUL;
   tf->codes[49200] = 0x0000d460af066a9bUL;
   tf->codes[49201] = 0x0001244413166716UL;
   tf->codes[49202] = 0x00012dc8aa2a7822UL;
   tf->codes[49203] = 0x00015c58c9a1e82dUL;
   tf->codes[49204] = 0x000164d617ab087eUL;
   tf->codes[49205] = 0x0001a72db61d5ae1UL;
   tf->codes[49206] = 0x0001c592028ee9f2UL;
   tf->codes[49207] = 0x0001db8a9dfc14f3UL;
   tf->codes[49208] = 0x0001f1fb8b471abaUL;
   tf->codes[49209] = 0x0000b062191a7ed5UL;
   tf->codes[49210] = 0x0000d75849dd3579UL;
   tf->codes[49211] = 0x0000f88595b8042bUL;
   tf->codes[49212] = 0x00010e6d093e7e75UL;
   tf->codes[49213] = 0x00014a5785a6ba60UL;
   tf->codes[49214] = 0x00017367b86e72f4UL;
   tf->codes[49215] = 0x000183672b11f4a4UL;
   tf->codes[49216] = 0x00018919a539a72cUL;
   tf->codes[49217] = 0x00018fcdeb03bff7UL;
   tf->codes[49218] = 0x0001b5310f60c0b1UL;
   tf->codes[49219] = 0x0001bf567535a9b8UL;
   tf->codes[49220] = 0x00000e18076c1834UL;
   tf->codes[49221] = 0x00002a83424be425UL;
   tf->codes[49222] = 0x00002c110bd8155cUL;
   tf->codes[49223] = 0x00004b3e695e73d8UL;
   tf->codes[49224] = 0x00006e7b318b3b14UL;
   tf->codes[49225] = 0x000094eaa73dab77UL;
   tf->codes[49226] = 0x0000f3f553fcdd6dUL;
   tf->codes[49227] = 0x0000f815abfaf11fUL;
   tf->codes[49228] = 0x00012343c4470db8UL;
   tf->codes[49229] = 0x0001396fd7684adeUL;
   tf->codes[49230] = 0x00013e1eb17568fbUL;
   tf->codes[49231] = 0x000143941872170cUL;
   tf->codes[49232] = 0x00015dd2ca0c0db8UL;
   tf->codes[49233] = 0x0001d23ac0e01d2cUL;
   tf->codes[49234] = 0x0001e80bc9a6620cUL;
   tf->codes[49235] = 0x00001d017eb82a2aUL;
   tf->codes[49236] = 0x0000244272191f38UL;
   tf->codes[49237] = 0x000036e94405906aUL;
   tf->codes[49238] = 0x0000916d1e7c95eeUL;
   tf->codes[49239] = 0x0000ae6abeeace5fUL;
   tf->codes[49240] = 0x000112ea9817a8a1UL;
   tf->codes[49241] = 0x00017078a3315a17UL;
   tf->codes[49242] = 0x0001813541dc7f2eUL;
   tf->codes[49243] = 0x000182fcb0325e51UL;
   tf->codes[49244] = 0x0001a30b9894f58fUL;
   tf->codes[49245] = 0x0001a42911d115efUL;
   tf->codes[49246] = 0x0001daad058d1aceUL;
   tf->codes[49247] = 0x0001f7de1daf6564UL;
   tf->codes[49248] = 0x0001fa6ed7a919b7UL;
   tf->codes[49249] = 0x000021a6aec34836UL;
   tf->codes[49250] = 0x0000420aaefa41b8UL;
   tf->codes[49251] = 0x00004368e451c2dfUL;
   tf->codes[49252] = 0x000059e9d4b85c84UL;
   tf->codes[49253] = 0x00005ee1e18cb0e1UL;
   tf->codes[49254] = 0x00009ab717ffd43bUL;
   tf->codes[49255] = 0x0000a86e8e52cc4eUL;
   tf->codes[49256] = 0x0000bc39f0cd10bbUL;
   tf->codes[49257] = 0x0000d2cfb20ab767UL;
   tf->codes[49258] = 0x0001062fd6918a24UL;
   tf->codes[49259] = 0x0001362b6fc7c9f8UL;
   tf->codes[49260] = 0x0001494ace211bb5UL;
   tf->codes[49261] = 0x00015c20f9b33732UL;
   tf->codes[49262] = 0x000178e8292a127dUL;
   tf->codes[49263] = 0x0001802dea4680b4UL;
   tf->codes[49264] = 0x0001e4724a317ee2UL;
   tf->codes[49265] = 0x0001f11ff35446c3UL;
   tf->codes[49266] = 0x0000121325475bffUL;
   tf->codes[49267] = 0x000012de7ff2651cUL;
   tf->codes[49268] = 0x00001e5b3e5c2234UL;
   tf->codes[49269] = 0x00006f93ebf9bed3UL;
   tf->codes[49270] = 0x0000ba6236418a36UL;
   tf->codes[49271] = 0x0000bff4aa321502UL;
   tf->codes[49272] = 0x0000fe79f129031cUL;
   tf->codes[49273] = 0x000148371c5fe5adUL;
   tf->codes[49274] = 0x00014c54b5a9b423UL;
   tf->codes[49275] = 0x0001695b0752c7d2UL;
   tf->codes[49276] = 0x00016a2af52a4453UL;
   tf->codes[49277] = 0x0001a9b994335715UL;
   tf->codes[49278] = 0x0001d4e896bb8ac2UL;
   tf->codes[49279] = 0x000051250b4a189dUL;
   tf->codes[49280] = 0x000094b97982a1cdUL;
   tf->codes[49281] = 0x0000c0c27a774fd7UL;
   tf->codes[49282] = 0x0001419f5fe09054UL;
   tf->codes[49283] = 0x000165fe6f04f119UL;
   tf->codes[49284] = 0x000193a69bfb86d6UL;
   tf->codes[49285] = 0x000195690206e70bUL;
   tf->codes[49286] = 0x000195f2f0e97e12UL;
   tf->codes[49287] = 0x0001ebd744c1e808UL;
   tf->codes[49288] = 0x000002728368192cUL;
   tf->codes[49289] = 0x0000066f66cdae97UL;
   tf->codes[49290] = 0x00002925ae793557UL;
   tf->codes[49291] = 0x00002d0166dc862dUL;
   tf->codes[49292] = 0x000040986766a161UL;
   tf->codes[49293] = 0x00005e38ab0ddff5UL;
   tf->codes[49294] = 0x00008b38b762e517UL;
   tf->codes[49295] = 0x00008c3246e87ba6UL;
   tf->codes[49296] = 0x0000f9cba9b2dad0UL;
   tf->codes[49297] = 0x000130a2311e027cUL;
   tf->codes[49298] = 0x0001351d1e5902eaUL;
   tf->codes[49299] = 0x0001370801476054UL;
   tf->codes[49300] = 0x0001459ce468294fUL;
   tf->codes[49301] = 0x0001527bbba8c9a3UL;
   tf->codes[49302] = 0x000192e83c9db8d7UL;
   tf->codes[49303] = 0x0001971c7b36c27cUL;
   tf->codes[49304] = 0x00019b345c8900b5UL;
   tf->codes[49305] = 0x0001a70ac5f39375UL;
   tf->codes[49306] = 0x0001b3ea87704addUL;
   tf->codes[49307] = 0x0001c5a24f8a2ee6UL;
   tf->codes[49308] = 0x0001f27f21d5bb86UL;
   tf->codes[49309] = 0x00002b4559eab9c5UL;
   tf->codes[49310] = 0x00002f15a25eea21UL;
   tf->codes[49311] = 0x00003522b1c38965UL;
   tf->codes[49312] = 0x00003a3d83834abaUL;
   tf->codes[49313] = 0x0000b15e3c16002cUL;
   tf->codes[49314] = 0x0001071bacf49550UL;
   tf->codes[49315] = 0x00010ea1b50e58c4UL;
   tf->codes[49316] = 0x00011032b26cdac1UL;
   tf->codes[49317] = 0x000121c23832c75aUL;
   tf->codes[49318] = 0x00014c591d34fe4aUL;
   tf->codes[49319] = 0x0001504b05c97ec5UL;
   tf->codes[49320] = 0x000198e3a0728e1bUL;
   tf->codes[49321] = 0x0001b8d41c872600UL;
   tf->codes[49322] = 0x0001cbcf9129edecUL;
   tf->codes[49323] = 0x000021deab7b8ec9UL;
   tf->codes[49324] = 0x00002e101f4119cfUL;
   tf->codes[49325] = 0x00002f7cbdcb0671UL;
   tf->codes[49326] = 0x000040ecb277d6d8UL;
   tf->codes[49327] = 0x00004b7c76163ab4UL;
   tf->codes[49328] = 0x00008ecb9506efb9UL;
   tf->codes[49329] = 0x00009c8b8205bd45UL;
   tf->codes[49330] = 0x0000bcbfee0806b7UL;
   tf->codes[49331] = 0x0001050c22178f07UL;
   tf->codes[49332] = 0x00011eb365d89a45UL;
   tf->codes[49333] = 0x00014da113d0420dUL;
   tf->codes[49334] = 0x0001737e5e834bb5UL;
   tf->codes[49335] = 0x0001882cab33eb82UL;
   tf->codes[49336] = 0x00018cb3b80b1db9UL;
   tf->codes[49337] = 0x0001d9ea79f8a5ffUL;
   tf->codes[49338] = 0x0001e7020bc6dd2bUL;
   tf->codes[49339] = 0x0000124c0c3bb9a6UL;
   tf->codes[49340] = 0x000014c18db9bf66UL;
   tf->codes[49341] = 0x00008ab36a9a9dfcUL;
   tf->codes[49342] = 0x00008f47bbd91ed5UL;
   tf->codes[49343] = 0x0000bbb4ed81abedUL;
   tf->codes[49344] = 0x0000bbb64cdbce8bUL;
   tf->codes[49345] = 0x000109790cb321c5UL;
   tf->codes[49346] = 0x00012fedc53f16dbUL;
   tf->codes[49347] = 0x000144e03c6c6dfaUL;
   tf->codes[49348] = 0x0001bedaa731083aUL;
   tf->codes[49349] = 0x0001de166de9d231UL;
   tf->codes[49350] = 0x0001e0ec772b5aafUL;
   tf->codes[49351] = 0x0000062e708616d4UL;
   tf->codes[49352] = 0x00003e8507f8158bUL;
   tf->codes[49353] = 0x00004d882c61bb70UL;
   tf->codes[49354] = 0x00005c3638f6ff11UL;
   tf->codes[49355] = 0x0000842bb136dc81UL;
   tf->codes[49356] = 0x0000a32d5e07ed02UL;
   tf->codes[49357] = 0x0000ae144881e70fUL;
   tf->codes[49358] = 0x0000bb7d83c329f4UL;
   tf->codes[49359] = 0x0000bddd84bd115eUL;
   tf->codes[49360] = 0x0000ec64f2f9a62bUL;
   tf->codes[49361] = 0x0000f8fdcb456105UL;
   tf->codes[49362] = 0x0001019c7edfcbb0UL;
   tf->codes[49363] = 0x000126b33ca34564UL;
   tf->codes[49364] = 0x00019d3bd7affe19UL;
   tf->codes[49365] = 0x0001acbbe123f228UL;
   tf->codes[49366] = 0x0001b0c13b355d0cUL;
   tf->codes[49367] = 0x0001c1aecd6f54d1UL;
   tf->codes[49368] = 0x0001d99878e07903UL;
   tf->codes[49369] = 0x0001ffb2271175d3UL;
   tf->codes[49370] = 0x000006c5cfd3f483UL;
   tf->codes[49371] = 0x00002c3a1c17a5f4UL;
   tf->codes[49372] = 0x00007db1b1587532UL;
   tf->codes[49373] = 0x0000d9bb53cde1feUL;
   tf->codes[49374] = 0x000121d0dc570763UL;
   tf->codes[49375] = 0x00013342a57c05f2UL;
   tf->codes[49376] = 0x0001357bc37c188aUL;
   tf->codes[49377] = 0x000150808ce793a0UL;
   tf->codes[49378] = 0x0001689e5fb9db46UL;
   tf->codes[49379] = 0x0001767910164bdbUL;
   tf->codes[49380] = 0x00018faafb3cc754UL;
   tf->codes[49381] = 0x0001c20aee0a5c31UL;
   tf->codes[49382] = 0x0001dde43879c72cUL;
   tf->codes[49383] = 0x0001e5baffca7f45UL;
   tf->codes[49384] = 0x0001e957d08a9d7cUL;
   tf->codes[49385] = 0x0001fbf9d4bb9585UL;
   tf->codes[49386] = 0x00000f80227d0b8cUL;
   tf->codes[49387] = 0x00003145c66cdcc0UL;
   tf->codes[49388] = 0x000075369e5a80d4UL;
   tf->codes[49389] = 0x0001732e89eb3cedUL;
   tf->codes[49390] = 0x0001ece838947666UL;
   tf->codes[49391] = 0x00000e0288106639UL;
   tf->codes[49392] = 0x00001039d1984aa9UL;
   tf->codes[49393] = 0x0000202b8ab6722dUL;
   tf->codes[49394] = 0x00008cbaab32959bUL;
   tf->codes[49395] = 0x0000998b8e5ed5feUL;
   tf->codes[49396] = 0x00009b6374ee5489UL;
   tf->codes[49397] = 0x0000dfbd85da5699UL;
   tf->codes[49398] = 0x00011993f2c42696UL;
   tf->codes[49399] = 0x0001420c0805e26dUL;
   tf->codes[49400] = 0x0001a7dbad57d25bUL;
   tf->codes[49401] = 0x0001e88df2b2a144UL;
   tf->codes[49402] = 0x00001db33bf91972UL;
   tf->codes[49403] = 0x00004204cc2725d0UL;
   tf->codes[49404] = 0x0000460174fdb576UL;
   tf->codes[49405] = 0x000054ea4b27c3dcUL;
   tf->codes[49406] = 0x0000948803105368UL;
   tf->codes[49407] = 0x000096d8b09bb843UL;
   tf->codes[49408] = 0x00009965fc34160bUL;
   tf->codes[49409] = 0x00009ce759e97feaUL;
   tf->codes[49410] = 0x0000b1a86869f8d1UL;
   tf->codes[49411] = 0x0000ea7c94935701UL;
   tf->codes[49412] = 0x000155bd82d38d26UL;
   tf->codes[49413] = 0x00016b1b4206762eUL;
   tf->codes[49414] = 0x00016b6d9b269336UL;
   tf->codes[49415] = 0x00016e3993d31dd8UL;
   tf->codes[49416] = 0x0001789fb5c367a6UL;
   tf->codes[49417] = 0x0001864d561067a2UL;
   tf->codes[49418] = 0x0001a343df2ced38UL;
   tf->codes[49419] = 0x0001f5fe36ba8945UL;
   tf->codes[49420] = 0x000024bc507d80fdUL;
   tf->codes[49421] = 0x00004865857af6fbUL;
   tf->codes[49422] = 0x000061eff6d72b43UL;
   tf->codes[49423] = 0x000077921b15d162UL;
   tf->codes[49424] = 0x00007f4b25c59b71UL;
   tf->codes[49425] = 0x0000dbdbbdda5443UL;
   tf->codes[49426] = 0x0000debfbb303cb2UL;
   tf->codes[49427] = 0x0000f99f00fc0594UL;
   tf->codes[49428] = 0x0000fa12851e6731UL;
   tf->codes[49429] = 0x00015f9d50468e7eUL;
   tf->codes[49430] = 0x00016f82e9c88439UL;
   tf->codes[49431] = 0x00018619954241f9UL;
   tf->codes[49432] = 0x0001b0d882096a94UL;
   tf->codes[49433] = 0x0001b14ae160af58UL;
   tf->codes[49434] = 0x0001bf9d33ede964UL;
   tf->codes[49435] = 0x0001fce7f4b4da63UL;
   tf->codes[49436] = 0x00000b503ce43e4fUL;
   tf->codes[49437] = 0x00001327b3e207b7UL;
   tf->codes[49438] = 0x00005416222bc403UL;
   tf->codes[49439] = 0x0000c685076e1057UL;
   tf->codes[49440] = 0x00014011e096defcUL;
   tf->codes[49441] = 0x0001ad4fc3e83a56UL;
   tf->codes[49442] = 0x0001ce0114f4d1f2UL;
   tf->codes[49443] = 0x0001cf0564bc77acUL;
   tf->codes[49444] = 0x000004fb10f877e5UL;
   tf->codes[49445] = 0x00000524ed3597b8UL;
   tf->codes[49446] = 0x00001dee4f0ac684UL;
   tf->codes[49447] = 0x00002ff03427f7e1UL;
   tf->codes[49448] = 0x00003788fe11946fUL;
   tf->codes[49449] = 0x000062a74dd122efUL;
   tf->codes[49450] = 0x000090402759361dUL;
   tf->codes[49451] = 0x0000f9db0cd4d779UL;
   tf->codes[49452] = 0x00013bbca2ff88c8UL;
   tf->codes[49453] = 0x00014006621cb0c3UL;
   tf->codes[49454] = 0x00014af379ac4697UL;
   tf->codes[49455] = 0x0001802ef323ee6aUL;
   tf->codes[49456] = 0x000190f26e91c097UL;
   tf->codes[49457] = 0x0001b3774d90691fUL;
   tf->codes[49458] = 0x000028f5a64ee618UL;
   tf->codes[49459] = 0x0000505b77b49c44UL;
   tf->codes[49460] = 0x000058b3f1cb1bb0UL;
   tf->codes[49461] = 0x000068fa4d9f99eeUL;
   tf->codes[49462] = 0x0000add05959d314UL;
   tf->codes[49463] = 0x0000bd088f60b381UL;
   tf->codes[49464] = 0x0000c00e6765f1d4UL;
   tf->codes[49465] = 0x0000c964c99f756eUL;
   tf->codes[49466] = 0x0000f2ca143b9046UL;
   tf->codes[49467] = 0x000109e989ccc834UL;
   tf->codes[49468] = 0x00011e420efbf46eUL;
   tf->codes[49469] = 0x00013efd709d89e6UL;
   tf->codes[49470] = 0x000150f669f0da40UL;
   tf->codes[49471] = 0x000155b547198c3bUL;
   tf->codes[49472] = 0x00017ac562a95e9eUL;
   tf->codes[49473] = 0x00019a0ee2e782c1UL;
   tf->codes[49474] = 0x00019e2f75749c38UL;
   tf->codes[49475] = 0x0001b2971383453cUL;
   tf->codes[49476] = 0x0001b788b8b2f80dUL;
   tf->codes[49477] = 0x0001da953cfdfdeaUL;
   tf->codes[49478] = 0x0001dc4eb73f7d1cUL;
   tf->codes[49479] = 0x0001dfdbfa0212ffUL;
   tf->codes[49480] = 0x0000279936e4855aUL;
   tf->codes[49481] = 0x0000658e61e340a6UL;
   tf->codes[49482] = 0x000093c2c752a71cUL;
   tf->codes[49483] = 0x0000942a6667dcb5UL;
   tf->codes[49484] = 0x0000bd9911ebe41aUL;
   tf->codes[49485] = 0x0000ed15f19fa79cUL;
   tf->codes[49486] = 0x0000f2dbdd44448dUL;
   tf->codes[49487] = 0x000124b21bbe4828UL;
   tf->codes[49488] = 0x00018c2162302b53UL;
   tf->codes[49489] = 0x0001e2d0d62498a1UL;
   tf->codes[49490] = 0x00000e57e9c47993UL;
   tf->codes[49491] = 0x00003ebc46db0bd9UL;
   tf->codes[49492] = 0x000049cb73a8fd56UL;
   tf->codes[49493] = 0x00006c8bcbe981f2UL;
   tf->codes[49494] = 0x0000735ca9896beeUL;
   tf->codes[49495] = 0x0000f5ceaa5f9642UL;
   tf->codes[49496] = 0x0001be4d1f118efdUL;
   tf->codes[49497] = 0x0001c3ce308c634dUL;
   tf->codes[49498] = 0x0001d180d923e237UL;
   tf->codes[49499] = 0x0001eb6f40a4efc8UL;
   tf->codes[49500] = 0x0001ece49069b7a8UL;
   tf->codes[49501] = 0x00002be6474ce862UL;
   tf->codes[49502] = 0x0000731af4a6e654UL;
   tf->codes[49503] = 0x0000738b7f85fcf0UL;
   tf->codes[49504] = 0x0000b97e54cf4527UL;
   tf->codes[49505] = 0x0000d4151780e918UL;
   tf->codes[49506] = 0x0000f5bb64e6a3dfUL;
   tf->codes[49507] = 0x00013fbbd05e26aeUL;
   tf->codes[49508] = 0x0001437cc563d47bUL;
   tf->codes[49509] = 0x000184cce03c305eUL;
   tf->codes[49510] = 0x0001a1ae23639d63UL;
   tf->codes[49511] = 0x00000e09919ca8e7UL;
   tf->codes[49512] = 0x00002fbbc40f8fb2UL;
   tf->codes[49513] = 0x000057942f5b9067UL;
   tf->codes[49514] = 0x00005d1c1d9911cdUL;
   tf->codes[49515] = 0x0000ae9044788a80UL;
   tf->codes[49516] = 0x0000b6e4a080a212UL;
   tf->codes[49517] = 0x0000bce939396bddUL;
   tf->codes[49518] = 0x0000bd29bac5c6dfUL;
   tf->codes[49519] = 0x0000cc17993a5433UL;
   tf->codes[49520] = 0x0000d627f3a92a6eUL;
   tf->codes[49521] = 0x00010e1bb9c16cb5UL;
   tf->codes[49522] = 0x000116f954ff09ffUL;
   tf->codes[49523] = 0x000128397ae82491UL;
   tf->codes[49524] = 0x00012d8d07357cbeUL;
   tf->codes[49525] = 0x0001391410c33d77UL;
   tf->codes[49526] = 0x00017c2706c50519UL;
   tf->codes[49527] = 0x0001a1463b345446UL;
   tf->codes[49528] = 0x0001a974d90db3dfUL;
   tf->codes[49529] = 0x0001c194805829adUL;
   tf->codes[49530] = 0x0001dfaeea55712fUL;
   tf->codes[49531] = 0x0000057a22e5b30cUL;
   tf->codes[49532] = 0x0000339056961feeUL;
   tf->codes[49533] = 0x0000367e64810639UL;
   tf->codes[49534] = 0x0000401b3acd7ad7UL;
   tf->codes[49535] = 0x00005944af4820d7UL;
   tf->codes[49536] = 0x000072a19b76d8fcUL;
   tf->codes[49537] = 0x0000731ce697fec3UL;
   tf->codes[49538] = 0x00007943948f2437UL;
   tf->codes[49539] = 0x0001167ac78085b3UL;
   tf->codes[49540] = 0x00014136f5936912UL;
   tf->codes[49541] = 0x0001483fa384d2d2UL;
   tf->codes[49542] = 0x000164e4f84c5839UL;
   tf->codes[49543] = 0x0001bcffe5ff9550UL;
   tf->codes[49544] = 0x0001ccb7fa540ee8UL;
   tf->codes[49545] = 0x0001e263ba09a759UL;
   tf->codes[49546] = 0x0001fcefbc793c1fUL;
   tf->codes[49547] = 0x000025bebe078862UL;
   tf->codes[49548] = 0x00003a7e329ed8e6UL;
   tf->codes[49549] = 0x0000636a412101e4UL;
   tf->codes[49550] = 0x0000898a56f6a040UL;
   tf->codes[49551] = 0x0000926aeb77888bUL;
   tf->codes[49552] = 0x0000b8499584b4d1UL;
   tf->codes[49553] = 0x0000f272961da79bUL;
   tf->codes[49554] = 0x0000fc5b235691f0UL;
   tf->codes[49555] = 0x0001138bfb5d805aUL;
   tf->codes[49556] = 0x000117539296d578UL;
   tf->codes[49557] = 0x00012011622c50cbUL;
   tf->codes[49558] = 0x0001295452e8e9fcUL;
   tf->codes[49559] = 0x00018f058becda91UL;
   tf->codes[49560] = 0x00019e82d6ac8964UL;
   tf->codes[49561] = 0x0001afeb7978a12bUL;
   tf->codes[49562] = 0x00010a4811d9c256UL;
   tf->codes[49563] = 0x00011432e8a8e65dUL;
   tf->codes[49564] = 0x00011dc39f592932UL;
   tf->codes[49565] = 0x00012248280b1bf2UL;
   tf->codes[49566] = 0x00016d40891f0cedUL;
   tf->codes[49567] = 0x0001a079901d0513UL;
   tf->codes[49568] = 0x0001b2745de88395UL;
   tf->codes[49569] = 0x000034525f471906UL;
   tf->codes[49570] = 0x00003db0fd9d6c54UL;
   tf->codes[49571] = 0x000059be34def4feUL;
   tf->codes[49572] = 0x0000603fed3112b8UL;
   tf->codes[49573] = 0x0000b39311f1bcd1UL;
   tf->codes[49574] = 0x0000c257fe654166UL;
   tf->codes[49575] = 0x00011c5e4424e771UL;
   tf->codes[49576] = 0x00011f03cef5a8cbUL;
   tf->codes[49577] = 0x000152fa01fb4458UL;
   tf->codes[49578] = 0x000168803e112a95UL;
   tf->codes[49579] = 0x000176b28a673ce5UL;
   tf->codes[49580] = 0x0001de77d2e99968UL;
   tf->codes[49581] = 0x0000edda704da135UL;
   tf->codes[49582] = 0x000154b960384bcdUL;
   tf->codes[49583] = 0x0001716ce3a336eaUL;
   tf->codes[49584] = 0x00018992f2924e44UL;
   tf->codes[49585] = 0x0001b57f21222558UL;
   tf->codes[49586] = 0x0001c1f2b05d33c3UL;
   tf->codes[49587] = 0x0001c9854d31348aUL;
   tf->codes[49588] = 0x0001dd86ab84ca93UL;
   tf->codes[49589] = 0x0001e4056a939d4cUL;
   tf->codes[49590] = 0x0001e76e13f2980fUL;
   tf->codes[49591] = 0x0000127d8561af8aUL;
   tf->codes[49592] = 0x000096675a21e135UL;
   tf->codes[49593] = 0x0000a5b42670c8e4UL;
   tf->codes[49594] = 0x0000a808f20a9599UL;
   tf->codes[49595] = 0x0000c7cee234fc5cUL;
   tf->codes[49596] = 0x000143e7e22b0bf0UL;
   tf->codes[49597] = 0x0001c010358f9e13UL;
   tf->codes[49598] = 0x0001e7036d0f09b6UL;
   tf->codes[49599] = 0x000016b6832b2499UL;
   tf->codes[49600] = 0x0000415e1af600b6UL;
   tf->codes[49601] = 0x00004e1efb06ad3bUL;
   tf->codes[49602] = 0x000088d1aff33147UL;
   tf->codes[49603] = 0x0000bb93c46d7145UL;
   tf->codes[49604] = 0x0000dd908901b0eeUL;
   tf->codes[49605] = 0x0000e8c1907ef84fUL;
   tf->codes[49606] = 0x00010c3419f60b62UL;
   tf->codes[49607] = 0x00012b68c95d227eUL;
   tf->codes[49608] = 0x00013af1be9af790UL;
   tf->codes[49609] = 0x00015cf6f9db0cb2UL;
   tf->codes[49610] = 0x000160af7834e506UL;
   tf->codes[49611] = 0x000191c7a06b2e26UL;
   tf->codes[49612] = 0x0000230d6c055414UL;
   tf->codes[49613] = 0x00004209264fce93UL;
   tf->codes[49614] = 0x000043ecf1ec7922UL;
   tf->codes[49615] = 0x000045e4deb31f69UL;
   tf->codes[49616] = 0x0000531c3c29788cUL;
   tf->codes[49617] = 0x00011bd9d30da9abUL;
   tf->codes[49618] = 0x00012551604971daUL;
   tf->codes[49619] = 0x0001cac7e3dcd81cUL;
   tf->codes[49620] = 0x0001e520a9276082UL;
   tf->codes[49621] = 0x00001b928ac09d96UL;
   tf->codes[49622] = 0x000033daaeee1099UL;
   tf->codes[49623] = 0x00004f9bba251802UL;
   tf->codes[49624] = 0x0000583181f5a1aaUL;
   tf->codes[49625] = 0x0000586f44cdb770UL;
   tf->codes[49626] = 0x000070f2a7ae00c2UL;
   tf->codes[49627] = 0x0000740c2bbf2f43UL;
   tf->codes[49628] = 0x00007c4d164a5c6cUL;
   tf->codes[49629] = 0x00008b519a0e24efUL;
   tf->codes[49630] = 0x0000a8f3b22d91abUL;
   tf->codes[49631] = 0x00018b59ec2cf0a6UL;
   tf->codes[49632] = 0x0000504f3c2abb58UL;
   tf->codes[49633] = 0x00006ea978074c8dUL;
   tf->codes[49634] = 0x00006ef7b31901bbUL;
   tf->codes[49635] = 0x0000ad33c748b995UL;
   tf->codes[49636] = 0x0000bbe7514687aeUL;
   tf->codes[49637] = 0x0000d78bc4a7bde6UL;
   tf->codes[49638] = 0x0000f1425bd74bb3UL;
   tf->codes[49639] = 0x0000f7bf0bdeea7fUL;
   tf->codes[49640] = 0x000100cfe4419429UL;
   tf->codes[49641] = 0x00011aa6bc374f77UL;
   tf->codes[49642] = 0x000145122b133e31UL;
   tf->codes[49643] = 0x00017a5e57538b31UL;
   tf->codes[49644] = 0x0001a6d1f0a0b9d5UL;
   tf->codes[49645] = 0x0001adebc678d44cUL;
   tf->codes[49646] = 0x0001df1cdd94924dUL;
   tf->codes[49647] = 0x000008537e381429UL;
   tf->codes[49648] = 0x00000eea7c7f4a74UL;
   tf->codes[49649] = 0x00002ab4e89e3e6aUL;
   tf->codes[49650] = 0x00009c462683b411UL;
   tf->codes[49651] = 0x0000a83b715a51b4UL;
   tf->codes[49652] = 0x0000d2af56e215e7UL;
   tf->codes[49653] = 0x0000fe9d947920e8UL;
   tf->codes[49654] = 0x000134c817c355e4UL;
   tf->codes[49655] = 0x00013b4f12eef851UL;
   tf->codes[49656] = 0x00017b29a373868fUL;
   tf->codes[49657] = 0x0001837045f643f5UL;
   tf->codes[49658] = 0x0001d1c23789b2e9UL;
   tf->codes[49659] = 0x0001d5cc99e59cbbUL;
   tf->codes[49660] = 0x0001f73a2cbdc0aaUL;
   tf->codes[49661] = 0x00004285969edffcUL;
   tf->codes[49662] = 0x000049bf381f1c6aUL;
   tf->codes[49663] = 0x00009db06cec5942UL;
   tf->codes[49664] = 0x0000ec390a062b21UL;
   tf->codes[49665] = 0x000111a136adaac9UL;
   tf->codes[49666] = 0x000123a7aef74f8aUL;
   tf->codes[49667] = 0x000150272d51aa32UL;
   tf->codes[49668] = 0x00015c27e817684fUL;
   tf->codes[49669] = 0x0001a5fc684a975eUL;
   tf->codes[49670] = 0x0001ee1908256f9eUL;
   tf->codes[49671] = 0x000039989967b264UL;
   tf->codes[49672] = 0x000048a4a99b394cUL;
   tf->codes[49673] = 0x00005287444d8d9fUL;
   tf->codes[49674] = 0x00006fcbcdecc29eUL;
   tf->codes[49675] = 0x0000be601584babcUL;
   tf->codes[49676] = 0x0000e3bb72e2f74cUL;
   tf->codes[49677] = 0x00014d8c5437ea44UL;
   tf->codes[49678] = 0x0001624efca18b8eUL;
   tf->codes[49679] = 0x00019b18dda6e61dUL;
   tf->codes[49680] = 0x0001fe716791a7e8UL;
   tf->codes[49681] = 0x00002b2b3a62c1cbUL;
   tf->codes[49682] = 0x00002eeb7fbb5e49UL;
   tf->codes[49683] = 0x0001063cd4f53b8aUL;
   tf->codes[49684] = 0x0001066b7eedd486UL;
   tf->codes[49685] = 0x000125fb733ee9adUL;
   tf->codes[49686] = 0x000160f4d6cd6482UL;
   tf->codes[49687] = 0x00018a4eb17a5ee0UL;
   tf->codes[49688] = 0x0001b06a342389d8UL;
   tf->codes[49689] = 0x00005f99eb4a3024UL;
   tf->codes[49690] = 0x00006f7c50f9d519UL;
   tf->codes[49691] = 0x00008af0f597557cUL;
   tf->codes[49692] = 0x0000c7947ff8ccf4UL;
   tf->codes[49693] = 0x000106a8838dcb3eUL;
   tf->codes[49694] = 0x000115d16626291cUL;
   tf->codes[49695] = 0x00019bad6fb570d1UL;
   tf->codes[49696] = 0x0001a4c4752db642UL;
   tf->codes[49697] = 0x000017117fc0acb2UL;
   tf->codes[49698] = 0x0000417e8885c3cfUL;
   tf->codes[49699] = 0x00006f38c79f2157UL;
   tf->codes[49700] = 0x000095e79a12cfe3UL;
   tf->codes[49701] = 0x0000f604ffcc130eUL;
   tf->codes[49702] = 0x0000fac45212d093UL;
   tf->codes[49703] = 0x000130154c0e96bcUL;
   tf->codes[49704] = 0x0001412c4567a2caUL;
   tf->codes[49705] = 0x00014f28d0736943UL;
   tf->codes[49706] = 0x0001604840784acaUL;
   tf->codes[49707] = 0x00018a7e6327f937UL;
   tf->codes[49708] = 0x0001bd7eaf985a85UL;
   tf->codes[49709] = 0x0001df2dae38f08aUL;
   tf->codes[49710] = 0x0000264fd4521b27UL;
   tf->codes[49711] = 0x00005af1965a9ddaUL;
   tf->codes[49712] = 0x00006878c8cbd48eUL;
   tf->codes[49713] = 0x00007c187a90cb00UL;
   tf->codes[49714] = 0x0000841db14b1650UL;
   tf->codes[49715] = 0x000085fa65960e04UL;
   tf->codes[49716] = 0x0001256a4169768eUL;
   tf->codes[49717] = 0x000132c304711a0bUL;
   tf->codes[49718] = 0x00014c82c1f98ea0UL;
   tf->codes[49719] = 0x00016509cdca3442UL;
   tf->codes[49720] = 0x00017f454b91da28UL;
   tf->codes[49721] = 0x000181ce03fdc48cUL;
   tf->codes[49722] = 0x0001b9ab5f55d169UL;
   tf->codes[49723] = 0x0001ba7102094a49UL;
   tf->codes[49724] = 0x0001e6e75a0abe29UL;
   tf->codes[49725] = 0x00000503988033d3UL;
   tf->codes[49726] = 0x000034ffe16384f6UL;
   tf->codes[49727] = 0x000044d8e62b3d5eUL;
   tf->codes[49728] = 0x00013664cef0a971UL;
   tf->codes[49729] = 0x000149c599126d44UL;
   tf->codes[49730] = 0x00014bf605d7a49eUL;
   tf->codes[49731] = 0x0001a559334038fcUL;
   tf->codes[49732] = 0x0001b6fc2a830ffeUL;
   tf->codes[49733] = 0x0001c932e6ae761eUL;
   tf->codes[49734] = 0x0001cd0af6216aa4UL;
   tf->codes[49735] = 0x0001dc6f51fba496UL;
   tf->codes[49736] = 0x0000174d427f6b13UL;
   tf->codes[49737] = 0x000030f7ba12c717UL;
   tf->codes[49738] = 0x0000429de527eedfUL;
   tf->codes[49739] = 0x000055a15b5880baUL;
   tf->codes[49740] = 0x00006caa2b9a7d79UL;
   tf->codes[49741] = 0x00007359a3a91d1bUL;
   tf->codes[49742] = 0x00008ea51bb68efaUL;
   tf->codes[49743] = 0x0000b30eeb1cfeeaUL;
   tf->codes[49744] = 0x0000bf1264970243UL;
   tf->codes[49745] = 0x0000d7faa7d83bf2UL;
   tf->codes[49746] = 0x00010c56e009e4b5UL;
   tf->codes[49747] = 0x0001217e68d4765cUL;
   tf->codes[49748] = 0x000169bf2cf4de32UL;
   tf->codes[49749] = 0x0001b47572934bc8UL;
   tf->codes[49750] = 0x0001db4570093ee9UL;
   tf->codes[49751] = 0x0000258363c9d1b9UL;
   tf->codes[49752] = 0x000037c58fe45853UL;
   tf->codes[49753] = 0x00004f7b13f45911UL;
   tf->codes[49754] = 0x00009c55319dc0aeUL;
   tf->codes[49755] = 0x0000ae916b31b146UL;
   tf->codes[49756] = 0x0000ca9df2c628a1UL;
   tf->codes[49757] = 0x0000f48ec62e02e3UL;
   tf->codes[49758] = 0x000119b4d75fff26UL;
   tf->codes[49759] = 0x00015c290da822baUL;
   tf->codes[49760] = 0x00019a3c6a65d79aUL;
   tf->codes[49761] = 0x0001aa1275ea4501UL;
   tf->codes[49762] = 0x0001f30f06b82da0UL;
   tf->codes[49763] = 0x0000261a136a9e19UL;
   tf->codes[49764] = 0x000046b77ddc3fc2UL;
   tf->codes[49765] = 0x0001477dabafc02fUL;
   tf->codes[49766] = 0x0001553a9f6b42baUL;
   tf->codes[49767] = 0x0001566ada773c34UL;
   tf->codes[49768] = 0x00015b591145987aUL;
   tf->codes[49769] = 0x0001624f37f62ee5UL;
   tf->codes[49770] = 0x0001770426da7603UL;
   tf->codes[49771] = 0x000182d5fd18955fUL;
   tf->codes[49772] = 0x0001847981b7eab1UL;
   tf->codes[49773] = 0x000194e22d59ca5dUL;
   tf->codes[49774] = 0x00019f13031dd3deUL;
   tf->codes[49775] = 0x0001bb554bfc9710UL;
   tf->codes[49776] = 0x0001e672ec0f1441UL;
   tf->codes[49777] = 0x00000ad3951c9d69UL;
   tf->codes[49778] = 0x0000206b33a83a22UL;
   tf->codes[49779] = 0x00004a2dd23586f2UL;
   tf->codes[49780] = 0x000057cc59a30a24UL;
   tf->codes[49781] = 0x000067299e2b913bUL;
   tf->codes[49782] = 0x0000825dc13cb69cUL;
   tf->codes[49783] = 0x00009cec0d428514UL;
   tf->codes[49784] = 0x00009eb341095e72UL;
   tf->codes[49785] = 0x0000c15d2e89ada4UL;
   tf->codes[49786] = 0x0000db68dd8d9db5UL;
   tf->codes[49787] = 0x0000ee0e8aaef20eUL;
   tf->codes[49788] = 0x000126f0aaecb02fUL;
   tf->codes[49789] = 0x00013248cff2d227UL;
   tf->codes[49790] = 0x00013cf3cc0ce496UL;
   tf->codes[49791] = 0x00017ec3ffc1df69UL;
   tf->codes[49792] = 0x000189940a5d9882UL;
   tf->codes[49793] = 0x0001a343151d67eaUL;
   tf->codes[49794] = 0x0001c05bb3784929UL;
   tf->codes[49795] = 0x00002f994a8f0ef4UL;
   tf->codes[49796] = 0x000048c5089feea6UL;
   tf->codes[49797] = 0x000057c98c63b729UL;
   tf->codes[49798] = 0x00009af6d0a5164aUL;
   tf->codes[49799] = 0x00009e4c088726a4UL;
   tf->codes[49800] = 0x0000ca578da11425UL;
   tf->codes[49801] = 0x0000f33448b4ba94UL;
   tf->codes[49802] = 0x0000f6251553e61bUL;
   tf->codes[49803] = 0x000106aa935a9cbdUL;
   tf->codes[49804] = 0x00015ef93350f1beUL;
   tf->codes[49805] = 0x0001672b3f8ba7e2UL;
   tf->codes[49806] = 0x0001921ec8d1ff7bUL;
   tf->codes[49807] = 0x000192cc2c4d14c9UL;
   tf->codes[49808] = 0x0001bfbfa3e7dc98UL;
   tf->codes[49809] = 0x0001df1334bafe97UL;
   tf->codes[49810] = 0x0001f8b0a27611beUL;
   tf->codes[49811] = 0x000098e620fcf328UL;
   tf->codes[49812] = 0x0000dddd924876a8UL;
   tf->codes[49813] = 0x000124b17d4fec17UL;
   tf->codes[49814] = 0x00014cf61add95c9UL;
   tf->codes[49815] = 0x000160150418dbfcUL;
   tf->codes[49816] = 0x000166d9126f82e0UL;
   tf->codes[49817] = 0x00016839cbec437eUL;
   tf->codes[49818] = 0x00016ef43ecbf810UL;
   tf->codes[49819] = 0x000177ba850d48dcUL;
   tf->codes[49820] = 0x0001bd1bdf043ba7UL;
   tf->codes[49821] = 0x0001cb73e98905f0UL;
   tf->codes[49822] = 0x00006348ec6b9dffUL;
   tf->codes[49823] = 0x0000815fad788931UL;
   tf->codes[49824] = 0x000097dc4541b537UL;
   tf->codes[49825] = 0x0000a8fd4f2fbf21UL;
   tf->codes[49826] = 0x0000a9956cb5bbdeUL;
   tf->codes[49827] = 0x0000adc761b88bd1UL;
   tf->codes[49828] = 0x0000b4c7d38d25ddUL;
   tf->codes[49829] = 0x000157e1c487fb40UL;
   tf->codes[49830] = 0x00019d24ecbff477UL;
   tf->codes[49831] = 0x0001baa2e099d19dUL;
   tf->codes[49832] = 0x0001bbdf00b2f71bUL;
   tf->codes[49833] = 0x0001c67148769a6eUL;
   tf->codes[49834] = 0x0001d3443aaa0ebeUL;
   tf->codes[49835] = 0x0000324ac95ad8daUL;
   tf->codes[49836] = 0x00004fbfd16ad4fdUL;
   tf->codes[49837] = 0x00008c67b469ba14UL;
   tf->codes[49838] = 0x0000a201d71a9644UL;
   tf->codes[49839] = 0x0000a6aa498312d5UL;
   tf->codes[49840] = 0x0000ba7696396e56UL;
   tf->codes[49841] = 0x0000d4a83dfb1c25UL;
   tf->codes[49842] = 0x00010bde62edaf7bUL;
   tf->codes[49843] = 0x0001521efe2aa156UL;
   tf->codes[49844] = 0x00016e59457b9a99UL;
   tf->codes[49845] = 0x0001b99a29a9b085UL;
   tf->codes[49846] = 0x000018ae3750cf08UL;
   tf->codes[49847] = 0x00001daa27a4857aUL;
   tf->codes[49848] = 0x000046eb136c0af7UL;
   tf->codes[49849] = 0x0000b79ee483afb6UL;
   tf->codes[49850] = 0x0000cedfbfa631feUL;
   tf->codes[49851] = 0x000104acb4702f3dUL;
   tf->codes[49852] = 0x00012185465cc104UL;
   tf->codes[49853] = 0x00014a1943c73cbdUL;
   tf->codes[49854] = 0x0001569b76c3bc68UL;
   tf->codes[49855] = 0x00015b8ef06b9d61UL;
   tf->codes[49856] = 0x000196dd6bce7a7aUL;
   tf->codes[49857] = 0x0001ac87919aea88UL;
   tf->codes[49858] = 0x00002f42c5384b1cUL;
   tf->codes[49859] = 0x00004ca24cc428e9UL;
   tf->codes[49860] = 0x000056c987114018UL;
   tf->codes[49861] = 0x00007658cbb543f0UL;
   tf->codes[49862] = 0x00009b511d2abe4bUL;
   tf->codes[49863] = 0x00010d7f0bc2a413UL;
   tf->codes[49864] = 0x000142bd43ee9122UL;
   tf->codes[49865] = 0x0001a98344f3c6d9UL;
   tf->codes[49866] = 0x0001adf66b30031dUL;
   tf->codes[49867] = 0x0001dad218b072e4UL;
   tf->codes[49868] = 0x0001e9e197455057UL;
   tf->codes[49869] = 0x00000088f587b344UL;
   tf->codes[49870] = 0x0000085d38b32be6UL;
   tf->codes[49871] = 0x00000aab278a4b85UL;
   tf->codes[49872] = 0x000066e12a62179bUL;
   tf->codes[49873] = 0x00009d5555918e61UL;
   tf->codes[49874] = 0x00009f6dbdad67eeUL;
   tf->codes[49875] = 0x0000a44305964f53UL;
   tf->codes[49876] = 0x0000c47c79e317b3UL;
   tf->codes[49877] = 0x0000c7265d5146acUL;
   tf->codes[49878] = 0x00012d101653c854UL;
   tf->codes[49879] = 0x000150e4c1778688UL;
   tf->codes[49880] = 0x000155f4d2f538b2UL;
   tf->codes[49881] = 0x0001795b775f1fc1UL;
   tf->codes[49882] = 0x0001cace79737b9bUL;
   tf->codes[49883] = 0x000072bffbed7215UL;
   tf->codes[49884] = 0x0000821a4732ae2bUL;
   tf->codes[49885] = 0x00009ef9b5e1ed08UL;
   tf->codes[49886] = 0x0000bf14bde0b60fUL;
   tf->codes[49887] = 0x0000c56ea8fce7e3UL;
   tf->codes[49888] = 0x0000d5164517c213UL;
   tf->codes[49889] = 0x0000daf176b17795UL;
   tf->codes[49890] = 0x000104bf852de4dfUL;
   tf->codes[49891] = 0x000110afc7ba0394UL;
   tf->codes[49892] = 0x00015d6845431b12UL;
   tf->codes[49893] = 0x00017aed506eab13UL;
   tf->codes[49894] = 0x0001c6cf035d98faUL;
   tf->codes[49895] = 0x00001f2f7ae7b001UL;
   tf->codes[49896] = 0x000034447c716e53UL;
   tf->codes[49897] = 0x00006066e1699cc8UL;
   tf->codes[49898] = 0x0000f7613632a92bUL;
   tf->codes[49899] = 0x000155bdcfc9b484UL;
   tf->codes[49900] = 0x00019823d76e7262UL;
   tf->codes[49901] = 0x0001a3c94d4a3274UL;
   tf->codes[49902] = 0x0001ad22e35606d4UL;
   tf->codes[49903] = 0x0001bed1bfa609daUL;
   tf->codes[49904] = 0x0001d83463cc523cUL;
   tf->codes[49905] = 0x0001f81517545c08UL;
   tf->codes[49906] = 0x00000ad00a6ac8f2UL;
   tf->codes[49907] = 0x00000afb80911128UL;
   tf->codes[49908] = 0x0000134556e61f54UL;
   tf->codes[49909] = 0x00001351eba05ca7UL;
   tf->codes[49910] = 0x000031a12cabd8ecUL;
   tf->codes[49911] = 0x00004c1b5787abacUL;
   tf->codes[49912] = 0x000052bb4198c2faUL;
   tf->codes[49913] = 0x0000d02ecdf5f765UL;
   tf->codes[49914] = 0x0000f459f0483a7bUL;
   tf->codes[49915] = 0x0000f762c190c3cfUL;
   tf->codes[49916] = 0x000128e24e4d3cc3UL;
   tf->codes[49917] = 0x00012a6a2552d7f8UL;
   tf->codes[49918] = 0x0001360e01456fa7UL;
   tf->codes[49919] = 0x000137cc49426802UL;
   tf->codes[49920] = 0x0001b353cde6222aUL;
   tf->codes[49921] = 0x0001d4969a450f32UL;
   tf->codes[49922] = 0x0001ff696da72dc0UL;
   tf->codes[49923] = 0x00002e091b1c261fUL;
   tf->codes[49924] = 0x0000847a1c8b6c58UL;
   tf->codes[49925] = 0x000086efd89877ddUL;
   tf->codes[49926] = 0x00009aa78f06cc1cUL;
   tf->codes[49927] = 0x0000ab64a2cffcbdUL;
   tf->codes[49928] = 0x0000c0b6b784bf86UL;
   tf->codes[49929] = 0x0000c44d95be47bbUL;
   tf->codes[49930] = 0x00010f837f1b48b7UL;
   tf->codes[49931] = 0x00013d55884efe47UL;
   tf->codes[49932] = 0x0001a87635c906ebUL;
   tf->codes[49933] = 0x0001a9c84b845649UL;
   tf->codes[49934] = 0x00000df939f26a0eUL;
   tf->codes[49935] = 0x00002c925d722de2UL;
   tf->codes[49936] = 0x000030cb2f37aaebUL;
   tf->codes[49937] = 0x000050ecd96a1b43UL;
   tf->codes[49938] = 0x00009113d0883087UL;
   tf->codes[49939] = 0x00010c8fe53cca35UL;
   tf->codes[49940] = 0x000142fa74f54ea9UL;
   tf->codes[49941] = 0x0001bd9e2526965dUL;
   tf->codes[49942] = 0x00002fbbd613e282UL;
   tf->codes[49943] = 0x00003581872979aeUL;
   tf->codes[49944] = 0x00005d32d4ec9fccUL;
   tf->codes[49945] = 0x00006c6552fbeffcUL;
   tf->codes[49946] = 0x00008bac89a3da6dUL;
   tf->codes[49947] = 0x0000b6a81477fbf5UL;
   tf->codes[49948] = 0x0000d7bd211a6715UL;
   tf->codes[49949] = 0x0000eb9134cf86c0UL;
   tf->codes[49950] = 0x000124664b34fc04UL;
   tf->codes[49951] = 0x00015709f3613ca9UL;
   tf->codes[49952] = 0x00017038e5446d21UL;
   tf->codes[49953] = 0x0001b8bf6dcab4acUL;
   tf->codes[49954] = 0x0001c007ed9b681fUL;
   tf->codes[49955] = 0x0001e2abe895214fUL;
   tf->codes[49956] = 0x0001e9f2ce7cac5fUL;
   tf->codes[49957] = 0x0001f5fe498479a7UL;
   tf->codes[49958] = 0x000024565e1b6429UL;
   tf->codes[49959] = 0x00008e4411d52e17UL;
   tf->codes[49960] = 0x00017b13dc262d6bUL;
   tf->codes[49961] = 0x000185823a3346edUL;
   tf->codes[49962] = 0x0001987b653fd527UL;
   tf->codes[49963] = 0x000198d37657826cUL;
   tf->codes[49964] = 0x00019c507b6f7eacUL;
   tf->codes[49965] = 0x0001ada9903e0e1fUL;
   tf->codes[49966] = 0x0001b452db3711faUL;
   tf->codes[49967] = 0x0001bde4b6b271a8UL;
   tf->codes[49968] = 0x0001c5c17089bfc3UL;
   tf->codes[49969] = 0x0001cadddc32a97bUL;
   tf->codes[49970] = 0x0001d0b23109b1e7UL;
   tf->codes[49971] = 0x000005c65269795eUL;
   tf->codes[49972] = 0x0000232cf1470a06UL;
   tf->codes[49973] = 0x000024338aa4e972UL;
   tf->codes[49974] = 0x000049bfdb91f8b0UL;
   tf->codes[49975] = 0x00005a3f2c83138bUL;
   tf->codes[49976] = 0x000074e6dc8c626eUL;
   tf->codes[49977] = 0x000083bfaf9adcf6UL;
   tf->codes[49978] = 0x0000acb4a9e6e6f7UL;
   tf->codes[49979] = 0x0000ece74b83227aUL;
   tf->codes[49980] = 0x00014e818d70ebeaUL;
   tf->codes[49981] = 0x00015bb8eae7450dUL;
   tf->codes[49982] = 0x0001685d33222061UL;
   tf->codes[49983] = 0x0001fddb95f2bd93UL;
   tf->codes[49984] = 0x000005c90292b0dbUL;
   tf->codes[49985] = 0x000021a3e6eb4439UL;
   tf->codes[49986] = 0x00002db3f51f84e5UL;
   tf->codes[49987] = 0x00005ecf8bb72490UL;
   tf->codes[49988] = 0x00008f4217711c8cUL;
   tf->codes[49989] = 0x0000a49eec67ee80UL;
   tf->codes[49990] = 0x0000a61d27f69763UL;
   tf->codes[49991] = 0x0000b62b03cc848eUL;
   tf->codes[49992] = 0x0000ee95bc687efdUL;
   tf->codes[49993] = 0x0000ef440a1fab5fUL;
   tf->codes[49994] = 0x0000fa044c2ed65fUL;
   tf->codes[49995] = 0x0000fcf3b973df48UL;
   tf->codes[49996] = 0x000101837785ecbdUL;
   tf->codes[49997] = 0x0001111a26491bfbUL;
   tf->codes[49998] = 0x00012a3f07974e97UL;
   tf->codes[49999] = 0x000175e15dc4fe55UL;
   tf->codes[50000] = 0x00017e8812ed32efUL;
   tf->codes[50001] = 0x0001902dc8e44f2dUL;
   tf->codes[50002] = 0x0001aa17281addd0UL;
   tf->codes[50003] = 0x0001ed4dcd44297eUL;
   tf->codes[50004] = 0x0001ee3ee61dea94UL;
   tf->codes[50005] = 0x00000f01d42f3e71UL;
   tf->codes[50006] = 0x0000379521eca8dbUL;
   tf->codes[50007] = 0x00004edb7a77b59bUL;
   tf->codes[50008] = 0x0000c5adf7f8b5dfUL;
   tf->codes[50009] = 0x00011e1cd8b53861UL;
   tf->codes[50010] = 0x000128c80f5e5095UL;
   tf->codes[50011] = 0x00015ceb17e456f6UL;
   tf->codes[50012] = 0x0001b6d1576cd545UL;
   tf->codes[50013] = 0x0001c52a4c2db6a2UL;
   tf->codes[50014] = 0x0001cbd2e779a92eUL;
   tf->codes[50015] = 0x0001e304e44bb471UL;
   tf->codes[50016] = 0x000018598737d6eaUL;
   tf->codes[50017] = 0x00001e31fa1d4730UL;
   tf->codes[50018] = 0x00005a205a04e530UL;
   tf->codes[50019] = 0x0000890bbe665346UL;
   tf->codes[50020] = 0x0000f42380167ae7UL;
   tf->codes[50021] = 0x0000f44769cd04b8UL;
   tf->codes[50022] = 0x0001070ce2967b08UL;
   tf->codes[50023] = 0x00013090246289afUL;
   tf->codes[50024] = 0x00016769a510fc5cUL;
   tf->codes[50025] = 0x000179e0a839b7b9UL;
   tf->codes[50026] = 0x00017b1cc852dd37UL;
   tf->codes[50027] = 0x00018186416c975fUL;
   tf->codes[50028] = 0x000187abca989ffaUL;
   tf->codes[50029] = 0x0001929cc5a797e3UL;
   tf->codes[50030] = 0x00019ac0ddcdee16UL;
   tf->codes[50031] = 0x0001e41dbbd053aeUL;
   tf->codes[50032] = 0x000023d5876974f4UL;
   tf->codes[50033] = 0x0000c17e2f760420UL;
   tf->codes[50034] = 0x0000dba63bc0bf9dUL;
   tf->codes[50035] = 0x0000df9c4263a7f2UL;
   tf->codes[50036] = 0x00010e9f3650684bUL;
   tf->codes[50037] = 0x00015b1a661f758dUL;
   tf->codes[50038] = 0x0001961eff0e0b17UL;
   tf->codes[50039] = 0x0001bbe47fa6bcb7UL;
   tf->codes[50040] = 0x0001c9d684ff79caUL;
   tf->codes[50041] = 0x0001dea49d583b8eUL;
   tf->codes[50042] = 0x0001ed6f07344a9bUL;
   tf->codes[50043] = 0x00000d482e4c9602UL;
   tf->codes[50044] = 0x0000623a7f0f27ceUL;
   tf->codes[50045] = 0x0000824165e3f51dUL;
   tf->codes[50046] = 0x000084afd0104802UL;
   tf->codes[50047] = 0x00009fc043f9e957UL;
   tf->codes[50048] = 0x0000aa1070480945UL;
   tf->codes[50049] = 0x0000e6ce48e9183cUL;
   tf->codes[50050] = 0x00011246b8c787eeUL;
   tf->codes[50051] = 0x00013a8aa6a82051UL;
   tf->codes[50052] = 0x000147c23ead7f39UL;
   tf->codes[50053] = 0x000154dc8f2ffba1UL;
   tf->codes[50054] = 0x000157fa6bde97c1UL;
   tf->codes[50055] = 0x00018db304ef9383UL;
   tf->codes[50056] = 0x00019483e28f7d7fUL;
   tf->codes[50057] = 0x0001cdcfb0e9a526UL;
   tf->codes[50058] = 0x0001ff489b7276c9UL;
   tf->codes[50059] = 0x00000ad263b47cbeUL;
   tf->codes[50060] = 0x00003b7449141f05UL;
   tf->codes[50061] = 0x0000e9c1160469f1UL;
   tf->codes[50062] = 0x00016211cf141318UL;
   tf->codes[50063] = 0x0001a4a6bb406fb7UL;
   tf->codes[50064] = 0x0001bc32631350a2UL;
   tf->codes[50065] = 0x0001e3f12fcccb27UL;
   tf->codes[50066] = 0x00003bbf7c577b73UL;
   tf->codes[50067] = 0x0000449291e20f57UL;
   tf->codes[50068] = 0x000047fc257d212eUL;
   tf->codes[50069] = 0x0000564dc85d49ebUL;
   tf->codes[50070] = 0x000078b81e8d552fUL;
   tf->codes[50071] = 0x0000982bb5979eeaUL;
   tf->codes[50072] = 0x00009984e2a4a123UL;
   tf->codes[50073] = 0x000121b7c6d4e97aUL;
   tf->codes[50074] = 0x00012da007d33e40UL;
   tf->codes[50075] = 0x00013f1d06585784UL;
   tf->codes[50076] = 0x000149cdf4f8fff5UL;
   tf->codes[50077] = 0x00018865c330c164UL;
   tf->codes[50078] = 0x0001a955fbe08b9fUL;
   tf->codes[50079] = 0x0001db9d3a57b160UL;
   tf->codes[50080] = 0x0001e6a849173b03UL;
   tf->codes[50081] = 0x00003cb2208f572dUL;
   tf->codes[50082] = 0x000041ab522ec863UL;
   tf->codes[50083] = 0x000067aed02e958eUL;
   tf->codes[50084] = 0x00008bb2254aecbeUL;
   tf->codes[50085] = 0x0000b3812faf00e6UL;
   tf->codes[50086] = 0x00013ba7f4431774UL;
   tf->codes[50087] = 0x0001977ff37ca043UL;
   tf->codes[50088] = 0x0001aa9abea97e9cUL;
   tf->codes[50089] = 0x0001c827cb62d88cUL;
   tf->codes[50090] = 0x0001f603700d806eUL;
   tf->codes[50091] = 0x0001f7a470879649UL;
   tf->codes[50092] = 0x00000b46a671cc32UL;
   tf->codes[50093] = 0x000103fa93b2b872UL;
   tf->codes[50094] = 0x000114cced7101a4UL;
   tf->codes[50095] = 0x00018e711b961cc7UL;
   tf->codes[50096] = 0x000196476dc8c956UL;
   tf->codes[50097] = 0x0001a035034c3299UL;
   tf->codes[50098] = 0x0001da48f87f1297UL;
   tf->codes[50099] = 0x0001f73695d1b72aUL;
   tf->codes[50100] = 0x000007f54384102eUL;
   tf->codes[50101] = 0x000042ea89042329UL;
   tf->codes[50102] = 0x0000a33b2be272b4UL;
   tf->codes[50103] = 0x0000b231bb91db46UL;
   tf->codes[50104] = 0x0000b8df249946fbUL;
   tf->codes[50105] = 0x0000fb49f9f97e02UL;
   tf->codes[50106] = 0x000133c68a293a77UL;
   tf->codes[50107] = 0x000135a54d7b6618UL;
   tf->codes[50108] = 0x00016f1edb920fa7UL;
   tf->codes[50109] = 0x0001700d35b78b81UL;
   tf->codes[50110] = 0x0001b468a5fdb02fUL;
   tf->codes[50111] = 0x0001b902af33c145UL;
   tf->codes[50112] = 0x0001dd3cea658125UL;
   tf->codes[50113] = 0x0001e734cb0cee09UL;
   tf->codes[50114] = 0x0000150206852a70UL;
   tf->codes[50115] = 0x0000b8977d302b5fUL;
   tf->codes[50116] = 0x0000eae906cb54c1UL;
   tf->codes[50117] = 0x000146483f08f740UL;
   tf->codes[50118] = 0x0001532e2d9b4a6fUL;
   tf->codes[50119] = 0x00016278eae2fe31UL;
   tf->codes[50120] = 0x00016403bb2be467UL;
   tf->codes[50121] = 0x000179bde413e853UL;
   tf->codes[50122] = 0x000193af44d840e5UL;
   tf->codes[50123] = 0x0001c7c1d524a7deUL;
   tf->codes[50124] = 0x0001dcf542fc6589UL;
   tf->codes[50125] = 0x00003a2166f871a3UL;
   tf->codes[50126] = 0x000049ba99e0e058UL;
   tf->codes[50127] = 0x00006fb7008efaa8UL;
   tf->codes[50128] = 0x0000d81d526134ebUL;
   tf->codes[50129] = 0x0000d9cd6bbac790UL;
   tf->codes[50130] = 0x0000e1057351db9bUL;
   tf->codes[50131] = 0x0000e79b875cfad2UL;
   tf->codes[50132] = 0x0000fd41548bfd41UL;
   tf->codes[50133] = 0x0001811cc019c371UL;
   tf->codes[50134] = 0x0001950e1b51c59cUL;
   tf->codes[50135] = 0x0001bce38d5a7b50UL;
   tf->codes[50136] = 0x0001e27f31b60d1dUL;
   tf->codes[50137] = 0x00003277669d169fUL;
   tf->codes[50138] = 0x000035a9d993ba01UL;
   tf->codes[50139] = 0x00008e74aee74bddUL;
   tf->codes[50140] = 0x0000e015ab472f64UL;
   tf->codes[50141] = 0x0000ee5cc8744ebbUL;
   tf->codes[50142] = 0x0000f208eca2ef81UL;
   tf->codes[50143] = 0x0001464cb51f4f26UL;
   tf->codes[50144] = 0x000172a4a0d2c3adUL;
   tf->codes[50145] = 0x0001b2d35eef9d1bUL;
   tf->codes[50146] = 0x0001d602a8260ff0UL;
   tf->codes[50147] = 0x0000987448026f2cUL;
   tf->codes[50148] = 0x0000dc99bc6f423eUL;
   tf->codes[50149] = 0x00019d7d1da164b9UL;
   tf->codes[50150] = 0x0001f3a317d1468aUL;
   tf->codes[50151] = 0x0001faa4ae70fd6fUL;
   tf->codes[50152] = 0x000011dbee1c8d65UL;
   tf->codes[50153] = 0x00003831c53c7798UL;
   tf->codes[50154] = 0x00003fc253094472UL;
   tf->codes[50155] = 0x00007473dd9e553eUL;
   tf->codes[50156] = 0x000097f963744730UL;
   tf->codes[50157] = 0x0000dc958fd5cca5UL;
   tf->codes[50158] = 0x0000ede03b71f09dUL;
   tf->codes[50159] = 0x00017404c81b5d43UL;
   tf->codes[50160] = 0x00017de21ff42ce3UL;
   tf->codes[50161] = 0x00018dc0679569feUL;
   tf->codes[50162] = 0x000199777a75e651UL;
   tf->codes[50163] = 0x0001a9303e777138UL;
   tf->codes[50164] = 0x0001c314cff286b2UL;
   tf->codes[50165] = 0x0001ca13a7ddf85bUL;
   tf->codes[50166] = 0x0001e28f43bf7d83UL;
   tf->codes[50167] = 0x0001ffb685dbd002UL;
   tf->codes[50168] = 0x0000161b538aa400UL;
   tf->codes[50169] = 0x000076d09c3ade23UL;
   tf->codes[50170] = 0x0000ccd40c0e58c1UL;
   tf->codes[50171] = 0x00010afbff1414e3UL;
   tf->codes[50172] = 0x00011b23045e7cb4UL;
   tf->codes[50173] = 0x000161606bc91dc9UL;
   tf->codes[50174] = 0x0001b9b11ac6a6b7UL;
   tf->codes[50175] = 0x00000cad18abba9fUL;
   tf->codes[50176] = 0x00002ada4478db3bUL;
   tf->codes[50177] = 0x000131ea1fbdf3d9UL;
   tf->codes[50178] = 0x00014f2c5fc6ef26UL;
   tf->codes[50179] = 0x00014f4a56f6e2f5UL;
   tf->codes[50180] = 0x00016865d75d2904UL;
   tf->codes[50181] = 0x00017725f6153470UL;
   tf->codes[50182] = 0x000195deaaae1476UL;
   tf->codes[50183] = 0x00019ab810a563b5UL;
   tf->codes[50184] = 0x0001a20dd4dd65caUL;
   tf->codes[50185] = 0x0001a8f30e365143UL;
   tf->codes[50186] = 0x0001b023fe7bb273UL;
   tf->codes[50187] = 0x0001b13c6f6d53e5UL;
   tf->codes[50188] = 0x0001b586de378d2fUL;
   tf->codes[50189] = 0x0001b6870ff0cb0fUL;
   tf->codes[50190] = 0x0001bdad3ff41d14UL;
   tf->codes[50191] = 0x0001e83546a5dcffUL;
   tf->codes[50192] = 0x00003180fcc191e0UL;
   tf->codes[50193] = 0x00004043da2de288UL;
   tf->codes[50194] = 0x000051d5e4190e98UL;
   tf->codes[50195] = 0x0000b8085ac4baf6UL;
   tf->codes[50196] = 0x0000d3c632297199UL;
   tf->codes[50197] = 0x0000ea3b02f3d975UL;
   tf->codes[50198] = 0x0000ef9da820ae6cUL;
   tf->codes[50199] = 0x000137594b19f864UL;
   tf->codes[50200] = 0x00013c37f3eacc56UL;
   tf->codes[50201] = 0x00014477f439e26bUL;
   tf->codes[50202] = 0x00016a996969a365UL;
   tf->codes[50203] = 0x0001a6c93519b37bUL;
   tf->codes[50204] = 0x0001bd64e8ddf029UL;
   tf->codes[50205] = 0x0001f12dd1451558UL;
   tf->codes[50206] = 0x00003964bf5f8517UL;
   tf->codes[50207] = 0x00004f1c9eb14f51UL;
   tf->codes[50208] = 0x00007aa720b286ceUL;
   tf->codes[50209] = 0x000082ed4e1738aaUL;
   tf->codes[50210] = 0x000092d690898ab5UL;
   tf->codes[50211] = 0x00009b40a7a4c662UL;
   tf->codes[50212] = 0x0000ba22fdebc076UL;
   tf->codes[50213] = 0x0000e28eb90244bfUL;
   tf->codes[50214] = 0x0000e2ba69b792baUL;
   tf->codes[50215] = 0x00013e6100443d51UL;
   tf->codes[50216] = 0x000179cf81de4226UL;
   tf->codes[50217] = 0x00018863b551f9d2UL;
   tf->codes[50218] = 0x00019cc26796c1d3UL;
   tf->codes[50219] = 0x00019fb28488dc0bUL;
   tf->codes[50220] = 0x0001d8b08cef5a0eUL;
   tf->codes[50221] = 0x0001e12947cc06fbUL;
   tf->codes[50222] = 0x0001e3ded5b85c33UL;
   tf->codes[50223] = 0x0001f616f13de4f1UL;
   tf->codes[50224] = 0x000009d50f50dabcUL;
   tf->codes[50225] = 0x00000db13cd2371cUL;
   tf->codes[50226] = 0x000020fc4be0d6d4UL;
   tf->codes[50227] = 0x00004ef5380e6136UL;
   tf->codes[50228] = 0x0000655b9fa65d97UL;
   tf->codes[50229] = 0x0000822b80581420UL;
   tf->codes[50230] = 0x0000a2e9661ee90fUL;
   tf->codes[50231] = 0x00013df2b07052a8UL;
   tf->codes[50232] = 0x00014a5970621dfbUL;
   tf->codes[50233] = 0x0001a3038fd176ccUL;
   tf->codes[50234] = 0x0001caab421daa98UL;
   tf->codes[50235] = 0x0001d752839bd0edUL;
   tf->codes[50236] = 0x0000420f3af10048UL;
   tf->codes[50237] = 0x00011abf00116475UL;
   tf->codes[50238] = 0x00016ba42fc3c733UL;
   tf->codes[50239] = 0x0001835311a020a0UL;
   tf->codes[50240] = 0x0001f24651249352UL;
   tf->codes[50241] = 0x0001fe899c7de05eUL;
   tf->codes[50242] = 0x000047152d4ea6d7UL;
   tf->codes[50243] = 0x000081d59bc0850fUL;
   tf->codes[50244] = 0x00008582e4ba42aeUL;
   tf->codes[50245] = 0x00008c3b0e03bd8eUL;
   tf->codes[50246] = 0x0000952be02f3f7cUL;
   tf->codes[50247] = 0x00009b3546a38270UL;
   tf->codes[50248] = 0x00009c2191c1ca5dUL;
   tf->codes[50249] = 0x00009e8e6204f4dfUL;
   tf->codes[50250] = 0x0000b65498dd9acaUL;
   tf->codes[50251] = 0x0000eaf27766bb68UL;
   tf->codes[50252] = 0x0000fc92aff54d2eUL;
   tf->codes[50253] = 0x000158fcda2e3cb8UL;
   tf->codes[50254] = 0x00015f526cad00edUL;
   tf->codes[50255] = 0x0001c63d0715d1c4UL;
   tf->codes[50256] = 0x0001d72ca856fd76UL;
   tf->codes[50257] = 0x00001942db00ddc3UL;
   tf->codes[50258] = 0x00004f107f77ec51UL;
   tf->codes[50259] = 0x000074126c6458feUL;
   tf->codes[50260] = 0x00007dfc58f765f1UL;
   tf->codes[50261] = 0x0000c4e3405dba3fUL;
   tf->codes[50262] = 0x0000e327117a160aUL;
   tf->codes[50263] = 0x0000f5d0dca9d23dUL;
   tf->codes[50264] = 0x0000f80da39a4125UL;
   tf->codes[50265] = 0x0001189c2fbb6bc9UL;
   tf->codes[50266] = 0x000119ead715649cUL;
   tf->codes[50267] = 0x000172eabe063100UL;
   tf->codes[50268] = 0x00018c260a149906UL;
   tf->codes[50269] = 0x0001c0ed152dc828UL;
   tf->codes[50270] = 0x0001f7a4f5bbeab6UL;
   tf->codes[50271] = 0x00006826395b9464UL;
   tf->codes[50272] = 0x00008830c920be03UL;
   tf->codes[50273] = 0x00008a9054fc99e3UL;
   tf->codes[50274] = 0x0000a1fe7abd9289UL;
   tf->codes[50275] = 0x0001106d8356fe71UL;
   tf->codes[50276] = 0x0001963914aca6beUL;
   tf->codes[50277] = 0x00006ac54dfca673UL;
   tf->codes[50278] = 0x0000a5783d783044UL;
   tf->codes[50279] = 0x0000fde424f167c5UL;
   tf->codes[50280] = 0x00015c38826ba36aUL;
   tf->codes[50281] = 0x00016b4c1f0ee8b7UL;
   tf->codes[50282] = 0x0001dbef3d5de849UL;
   tf->codes[50283] = 0x00003fc13df1a1b3UL;
   tf->codes[50284] = 0x0000d29c24f8b178UL;
   tf->codes[50285] = 0x0000dddc7fe47b68UL;
   tf->codes[50286] = 0x0000e8e5f4badca8UL;
   tf->codes[50287] = 0x0000e988d282e890UL;
   tf->codes[50288] = 0x000109329ff589acUL;
   tf->codes[50289] = 0x00015b81af7d93d0UL;
   tf->codes[50290] = 0x0001d5cc29cc1166UL;
   tf->codes[50291] = 0x0000142759f6d9e8UL;
   tf->codes[50292] = 0x00003ee9b51f590eUL;
   tf->codes[50293] = 0x000065654a6dfb3aUL;
   tf->codes[50294] = 0x0000661b5f23ebc6UL;
   tf->codes[50295] = 0x00006b6b4280e7a3UL;
   tf->codes[50296] = 0x0000745f0defb492UL;
   tf->codes[50297] = 0x000079e1b953b145UL;
   tf->codes[50298] = 0x000090ca835e8648UL;
   tf->codes[50299] = 0x0000a288b31d0bddUL;
   tf->codes[50300] = 0x0000c053481f75ceUL;
   tf->codes[50301] = 0x0000eb6836f717c1UL;
   tf->codes[50302] = 0x000101c4536b1081UL;
   tf->codes[50303] = 0x00010883ce954401UL;
   tf->codes[50304] = 0x0001112c5835a6c3UL;
   tf->codes[50305] = 0x0001a9b64b031285UL;
   tf->codes[50306] = 0x0001da7786eccb39UL;
   tf->codes[50307] = 0x000005a8d30b3898UL;
   tf->codes[50308] = 0x00000b6b8add84c3UL;
   tf->codes[50309] = 0x00000f5a7a2eba3dUL;
   tf->codes[50310] = 0x000027d391eaffeeUL;
   tf->codes[50311] = 0x000082f5b6fd9df6UL;
   tf->codes[50312] = 0x0000d609446e0421UL;
   tf->codes[50313] = 0x0000dce51cdf030dUL;
   tf->codes[50314] = 0x0000e7cc7c7708a4UL;
   tf->codes[50315] = 0x00011ec21fdd40f8UL;
   tf->codes[50316] = 0x0001318c2bd32aacUL;
   tf->codes[50317] = 0x000172f8de8157c0UL;
   tf->codes[50318] = 0x00019a37cced391aUL;
   tf->codes[50319] = 0x00019cefa46fc804UL;
   tf->codes[50320] = 0x0001ddf985c438a8UL;
   tf->codes[50321] = 0x000016a0dc6d2c04UL;
   tf->codes[50322] = 0x00003ffb2c3831ecUL;
   tf->codes[50323] = 0x00008a15ab604675UL;
   tf->codes[50324] = 0x0000af54e606bd5eUL;
   tf->codes[50325] = 0x0000e86f11250108UL;
   tf->codes[50326] = 0x0000f0782b5eae6dUL;
   tf->codes[50327] = 0x0000f8f4c9babd6fUL;
   tf->codes[50328] = 0x0000f910b1e37d51UL;
   tf->codes[50329] = 0x000101dc758d5895UL;
   tf->codes[50330] = 0x00016ce1756da71cUL;
   tf->codes[50331] = 0x0001761a90244836UL;
   tf->codes[50332] = 0x00017aa1626c74a8UL;
   tf->codes[50333] = 0x0001aee08daa40b0UL;
   tf->codes[50334] = 0x0001d6dc6d8ebfacUL;
   tf->codes[50335] = 0x000015f7fd937c5bUL;
   tf->codes[50336] = 0x0000fd00b774c1e5UL;
   tf->codes[50337] = 0x00014f787e6ecf03UL;
   tf->codes[50338] = 0x0001e08fa0105bf5UL;
   tf->codes[50339] = 0x0001f785ae827f9aUL;
   tf->codes[50340] = 0x00000a6625389eb8UL;
   tf->codes[50341] = 0x000013367c0eed60UL;
   tf->codes[50342] = 0x00001b8ce71e38dfUL;
   tf->codes[50343] = 0x00002e9ae301d420UL;
   tf->codes[50344] = 0x00005e5b7814436aUL;
   tf->codes[50345] = 0x000083e83e1f5e32UL;
   tf->codes[50346] = 0x000095fe44668b47UL;
   tf->codes[50347] = 0x0000db24251ba1feUL;
   tf->codes[50348] = 0x0000fc97355c5065UL;
   tf->codes[50349] = 0x00013b177408bf91UL;
   tf->codes[50350] = 0x00013b598f7e42f6UL;
   tf->codes[50351] = 0x000169ec6da9f83dUL;
   tf->codes[50352] = 0x00016b7fef2db9b1UL;
   tf->codes[50353] = 0x00017cfe127defceUL;
   tf->codes[50354] = 0x000180b40cb288abUL;
   tf->codes[50355] = 0x00018f46a63d17f4UL;
   tf->codes[50356] = 0x0001eb8b12474f85UL;
   tf->codes[50357] = 0x0001f9069a3a5ffaUL;
   tf->codes[50358] = 0x00000abf871f60dcUL;
   tf->codes[50359] = 0x00002d233b1bc4cfUL;
   tf->codes[50360] = 0x00007f5e6408d900UL;
   tf->codes[50361] = 0x0000c896a8a7a378UL;
   tf->codes[50362] = 0x00011a726e9c51c4UL;
   tf->codes[50363] = 0x000130c096fbea93UL;
   tf->codes[50364] = 0x0001360ea5e0b848UL;
   tf->codes[50365] = 0x00013aae2c7f53d6UL;
   tf->codes[50366] = 0x00013dabc867c275UL;
   tf->codes[50367] = 0x000148f79342acdfUL;
   tf->codes[50368] = 0x00017bde06918238UL;
   tf->codes[50369] = 0x0001b3ee9f0e9b75UL;
   tf->codes[50370] = 0x000069863565d386UL;
   tf->codes[50371] = 0x0000bc5c751c2f75UL;
   tf->codes[50372] = 0x0000bd1b759c0104UL;
   tf->codes[50373] = 0x0000be3545e7c514UL;
   tf->codes[50374] = 0x0000da3a410c7e0aUL;
   tf->codes[50375] = 0x0001098a10b0d0f3UL;
   tf->codes[50376] = 0x0001367043e44a20UL;
   tf->codes[50377] = 0x00013be5e56ffdf6UL;
   tf->codes[50378] = 0x00015a6445921ec1UL;
   tf->codes[50379] = 0x0001839e8f25fcedUL;
   tf->codes[50380] = 0x00019cc07730e488UL;
   tf->codes[50381] = 0x000006ed128de115UL;
   tf->codes[50382] = 0x0000163dc25c2ad9UL;
   tf->codes[50383] = 0x00002d6992189a55UL;
   tf->codes[50384] = 0x00004a3e4085ca07UL;
   tf->codes[50385] = 0x00006dc316aeaaaaUL;
   tf->codes[50386] = 0x000083cb40195dffUL;
   tf->codes[50387] = 0x00009115d47d9bc6UL;
   tf->codes[50388] = 0x0001275cd344fcd9UL;
   tf->codes[50389] = 0x000130029e311a5fUL;
   tf->codes[50390] = 0x000132eb69427bf7UL;
   tf->codes[50391] = 0x000133b4b4e65127UL;
   tf->codes[50392] = 0x00015bd31f273756UL;
   tf->codes[50393] = 0x00015db42c0f9ca9UL;
   tf->codes[50394] = 0x0001939507748fdbUL;
   tf->codes[50395] = 0x0001d405a677e6e9UL;
   tf->codes[50396] = 0x0001d74adb3e6365UL;
   tf->codes[50397] = 0x0001e5593dddebe4UL;
   tf->codes[50398] = 0x0000426dd24ea5bbUL;
   tf->codes[50399] = 0x0001366a344798a0UL;
   tf->codes[50400] = 0x00014eb42ced39cbUL;
   tf->codes[50401] = 0x000150505fabd67dUL;
   tf->codes[50402] = 0x00015a946c5dc4a2UL;
   tf->codes[50403] = 0x000161424a833be1UL;
   tf->codes[50404] = 0x0001726b55ff0fbaUL;
   tf->codes[50405] = 0x000187a147fc0cdcUL;
   tf->codes[50406] = 0x0001c01cb360ac78UL;
   tf->codes[50407] = 0x0001dfebc9e3fa03UL;
   tf->codes[50408] = 0x0001e05f137755dbUL;
   tf->codes[50409] = 0x000009159b3e38c7UL;
   tf->codes[50410] = 0x000015fe4884d132UL;
   tf->codes[50411] = 0x0000529f1432036eUL;
   tf->codes[50412] = 0x0000a0ee0c822761UL;
   tf->codes[50413] = 0x0000e1796ee32178UL;
   tf->codes[50414] = 0x0000ef9600260fadUL;
   tf->codes[50415] = 0x00013881690d4795UL;
   tf->codes[50416] = 0x00018603a7583fcdUL;
   tf->codes[50417] = 0x0001ed44b8ef9586UL;
   tf->codes[50418] = 0x0001f159db8d8e83UL;
   tf->codes[50419] = 0x0000506f488ecfa4UL;
   tf->codes[50420] = 0x000053396cc32c1eUL;
   tf->codes[50421] = 0x00005f0eebf1a7caUL;
   tf->codes[50422] = 0x0000d435e34588cdUL;
   tf->codes[50423] = 0x00014d7655d4d06cUL;
   tf->codes[50424] = 0x0001ffb19cf84548UL;
   tf->codes[50425] = 0x00002f158dc693e9UL;
   tf->codes[50426] = 0x00004dd7ddd66641UL;
   tf->codes[50427] = 0x000057121d582434UL;
   tf->codes[50428] = 0x000072dcc4061defUL;
   tf->codes[50429] = 0x0000b0996f064828UL;
   tf->codes[50430] = 0x0000d9edcc4ab80eUL;
   tf->codes[50431] = 0x0000e2d4c87041e5UL;
   tf->codes[50432] = 0x000130a2bda7afd4UL;
   tf->codes[50433] = 0x0001461f23b79dfaUL;
   tf->codes[50434] = 0x00016c2b1863409eUL;
   tf->codes[50435] = 0x0001ab0dedda6675UL;
   tf->codes[50436] = 0x0000306b3de731d8UL;
   tf->codes[50437] = 0x00007618fe77aba9UL;
   tf->codes[50438] = 0x00009b1c102f352fUL;
   tf->codes[50439] = 0x0000f0c3164d94e9UL;
   tf->codes[50440] = 0x0000f29bac8a24c3UL;
   tf->codes[50441] = 0x00013283817601a3UL;
   tf->codes[50442] = 0x0001335160464a37UL;
   tf->codes[50443] = 0x0001a725ccc0d052UL;
   tf->codes[50444] = 0x0001f5ce3582c428UL;
   tf->codes[50445] = 0x000005e3d857757dUL;
   tf->codes[50446] = 0x00000fc6e827d55aUL;
   tf->codes[50447] = 0x000022c9e93a5babUL;
   tf->codes[50448] = 0x000050e2db9f0dc9UL;
   tf->codes[50449] = 0x0000615d5ed4af7bUL;
   tf->codes[50450] = 0x00007aea8ee528ffUL;
   tf->codes[50451] = 0x0000ed7bc3f4d6c1UL;
   tf->codes[50452] = 0x00015866b024938eUL;
   tf->codes[50453] = 0x0001b9ca811affd8UL;
   tf->codes[50454] = 0x0001bdbd53eb9767UL;
   tf->codes[50455] = 0x0001c3a67999acdaUL;
   tf->codes[50456] = 0x0001dc70c5aaf2baUL;
   tf->codes[50457] = 0x0001e612ded0ec0bUL;
   tf->codes[50458] = 0x0000446985e16162UL;
   tf->codes[50459] = 0x0000a134726cd96fUL;
   tf->codes[50460] = 0x0000bb677988a9dcUL;
   tf->codes[50461] = 0x00011007abba2465UL;
   tf->codes[50462] = 0x00014e1dc72c1e81UL;
   tf->codes[50463] = 0x0001584ffc4a4aa0UL;
   tf->codes[50464] = 0x00015b18fbb38a41UL;
   tf->codes[50465] = 0x000166c5c37002f3UL;
   tf->codes[50466] = 0x00019ed53721ff57UL;
   tf->codes[50467] = 0x0001c0333bfc9af2UL;
   tf->codes[50468] = 0x0001cd546941c470UL;
   tf->codes[50469] = 0x000004aa59dc79bdUL;
   tf->codes[50470] = 0x0000136c4d0cb351UL;
   tf->codes[50471] = 0x00001f63e1798aa6UL;
   tf->codes[50472] = 0x00002b780dbc332cUL;
   tf->codes[50473] = 0x00006054d3e88669UL;
   tf->codes[50474] = 0x0001121e30d2c20bUL;
   tf->codes[50475] = 0x00011ac595a807f4UL;
   tf->codes[50476] = 0x000166a0e0f2544fUL;
   tf->codes[50477] = 0x0001b322b2f508e2UL;
   tf->codes[50478] = 0x0001e6d989396646UL;
   tf->codes[50479] = 0x000011b0efc7f838UL;
   tf->codes[50480] = 0x00007bb807854291UL;
   tf->codes[50481] = 0x0000a46fb4174256UL;
   tf->codes[50482] = 0x0000d98116c2c491UL;
   tf->codes[50483] = 0x0000ec21bb9999fcUL;
   tf->codes[50484] = 0x000112bfdb44a35bUL;
   tf->codes[50485] = 0x0001169e525c396dUL;
   tf->codes[50486] = 0x000127a9dbc62501UL;
   tf->codes[50487] = 0x00012f7da9d39219UL;
   tf->codes[50488] = 0x0001403874068908UL;
   tf->codes[50489] = 0x0001ad004f10434eUL;
   tf->codes[50490] = 0x0001ae4903e3a61fUL;
   tf->codes[50491] = 0x0000048d6a618749UL;
   tf->codes[50492] = 0x00000679acaa0751UL;
   tf->codes[50493] = 0x00000b1cdc38ff2fUL;
   tf->codes[50494] = 0x000037c845d7ad97UL;
   tf->codes[50495] = 0x00008583b3ce4831UL;
   tf->codes[50496] = 0x000097dcbfc70fbfUL;
   tf->codes[50497] = 0x0000c2f298dac8c6UL;
   tf->codes[50498] = 0x0000e2af9d3b4e86UL;
   tf->codes[50499] = 0x00013f2069a7e561UL;
   tf->codes[50500] = 0x000153b25911b9c2UL;
   tf->codes[50501] = 0x0001d4f87779583bUL;
   tf->codes[50502] = 0x000004a3c696aef4UL;
   tf->codes[50503] = 0x00004c37d6e912cbUL;
   tf->codes[50504] = 0x0000623455d59fe1UL;
   tf->codes[50505] = 0x00009f8afba9bce4UL;
   tf->codes[50506] = 0x0001530cae0a5adfUL;
   tf->codes[50507] = 0x0001a9409c4e9ca1UL;
   tf->codes[50508] = 0x0001ae3ab82a24ebUL;
   tf->codes[50509] = 0x0001c52fa1d12bb7UL;
   tf->codes[50510] = 0x0001f333fdedd693UL;
   tf->codes[50511] = 0x00003f7a1c1fa94dUL;
   tf->codes[50512] = 0x00006543f555c88cUL;
   tf->codes[50513] = 0x000094a352f7a3c9UL;
   tf->codes[50514] = 0x000098a95cb61ffcUL;
   tf->codes[50515] = 0x0000cd57b378e002UL;
   tf->codes[50516] = 0x0000da744d91961cUL;
   tf->codes[50517] = 0x0000e407fd8523f2UL;
   tf->codes[50518] = 0x00013cb84a0a188aUL;
   tf->codes[50519] = 0x0001bb489ff65c06UL;
   tf->codes[50520] = 0x0001e9017fb596f0UL;
   tf->codes[50521] = 0x0000083afcd82735UL;
   tf->codes[50522] = 0x000069ec1ea43199UL;
   tf->codes[50523] = 0x000072ba2be4468fUL;
   tf->codes[50524] = 0x0000af014c90a323UL;
   tf->codes[50525] = 0x0000dada7ec19b58UL;
   tf->codes[50526] = 0x0000e91a0f7efc4aUL;
   tf->codes[50527] = 0x0000ff8962e0d9aeUL;
   tf->codes[50528] = 0x00012a21e1cc3901UL;
   tf->codes[50529] = 0x00012b020d4e4f25UL;
   tf->codes[50530] = 0x0001503d9f0469beUL;
   tf->codes[50531] = 0x000154f47a9f51caUL;
   tf->codes[50532] = 0x00003897bef3ed57UL;
   tf->codes[50533] = 0x000055245f6503a2UL;
   tf->codes[50534] = 0x0000791ec8b779cfUL;
   tf->codes[50535] = 0x00007cea7dff36c7UL;
   tf->codes[50536] = 0x0000c61284f3679cUL;
   tf->codes[50537] = 0x0000ca8a78eb1d09UL;
   tf->codes[50538] = 0x00011ccc440bd88bUL;
   tf->codes[50539] = 0x0001a2bfdd267283UL;
   tf->codes[50540] = 0x0001a50fa075c04aUL;
   tf->codes[50541] = 0x0001ac0fd7bb5491UL;
   tf->codes[50542] = 0x0001b7cd52407270UL;
   tf->codes[50543] = 0x0001d7faa6f10907UL;
   tf->codes[50544] = 0x00001c94feda6054UL;
   tf->codes[50545] = 0x00006afbfbd3e214UL;
   tf->codes[50546] = 0x0000ec9fa8bbb84aUL;
   tf->codes[50547] = 0x0000edf651a37b0cUL;
   tf->codes[50548] = 0x0000f779143f5df0UL;
   tf->codes[50549] = 0x000128eaace776f3UL;
   tf->codes[50550] = 0x00014c6b9f90f581UL;
   tf->codes[50551] = 0x0001be5d6539ede6UL;
   tf->codes[50552] = 0x000015e627edc442UL;
   tf->codes[50553] = 0x0000407afde8c745UL;
   tf->codes[50554] = 0x00004ac203de006bUL;
   tf->codes[50555] = 0x000060efb0e865f4UL;
   tf->codes[50556] = 0x000069602fa8432dUL;
   tf->codes[50557] = 0x00007949378b8f73UL;
   tf->codes[50558] = 0x00007dcd85ae7c6eUL;
   tf->codes[50559] = 0x0000d8d472456be3UL;
   tf->codes[50560] = 0x0000eacb5c918850UL;
   tf->codes[50561] = 0x0000ee870ebdb16aUL;
   tf->codes[50562] = 0x0001ee2921216a26UL;
   tf->codes[50563] = 0x0000518ad16512b9UL;
   tf->codes[50564] = 0x00005346953ccb9dUL;
   tf->codes[50565] = 0x00009bdf6a74e0b8UL;
   tf->codes[50566] = 0x0000a798173e856eUL;
   tf->codes[50567] = 0x0000b7620326c10cUL;
   tf->codes[50568] = 0x0000b78c5481ec69UL;
   tf->codes[50569] = 0x0000bdb54c0f4b8fUL;
   tf->codes[50570] = 0x000132a0550344f4UL;
   tf->codes[50571] = 0x000139069a4aae56UL;
   tf->codes[50572] = 0x00013cdf1edbae66UL;
   tf->codes[50573] = 0x00014d5c9b549b19UL;
   tf->codes[50574] = 0x00018df1992c8782UL;
   tf->codes[50575] = 0x0001e8aea34f2f68UL;
   tf->codes[50576] = 0x0000250601a6259fUL;
   tf->codes[50577] = 0x0000272b739a4809UL;
   tf->codes[50578] = 0x0000495f1e43f062UL;
   tf->codes[50579] = 0x000077419fb1455aUL;
   tf->codes[50580] = 0x0000a1b58539098dUL;
   tf->codes[50581] = 0x000110e9f5f6e890UL;
   tf->codes[50582] = 0x00011f0e13a9952aUL;
   tf->codes[50583] = 0x00012672b6320e44UL;
   tf->codes[50584] = 0x000163dc1dd60461UL;
   tf->codes[50585] = 0x00017b3b65468602UL;
   tf->codes[50586] = 0x00018c3acf143fcdUL;
   tf->codes[50587] = 0x0001939e12429649UL;
   tf->codes[50588] = 0x0001af32828838a3UL;
   tf->codes[50589] = 0x0000019a80f5b7a8UL;
   tf->codes[50590] = 0x00001692758b993fUL;
   tf->codes[50591] = 0x00006290c0505857UL;
   tf->codes[50592] = 0x00008c30d4813df4UL;
   tf->codes[50593] = 0x0000ab46a27c4a2dUL;
   tf->codes[50594] = 0x0000e04d7f74c302UL;
   tf->codes[50595] = 0x00017dd5719d1923UL;
   tf->codes[50596] = 0x0001cc313936802eUL;
   tf->codes[50597] = 0x0001cf699eb3b992UL;
   tf->codes[50598] = 0x000007590c2e8e3aUL;
   tf->codes[50599] = 0x000019eb47d2f82aUL;
   tf->codes[50600] = 0x0000375fdac4e8c3UL;
   tf->codes[50601] = 0x0000716b93daf90dUL;
   tf->codes[50602] = 0x0000aac3f6ef5e07UL;
   tf->codes[50603] = 0x0000b1fd23518eebUL;
   tf->codes[50604] = 0x0000b8ca9290225cUL;
   tf->codes[50605] = 0x00011edbde398a25UL;
   tf->codes[50606] = 0x00014de539caec0aUL;
   tf->codes[50607] = 0x0001867bddab3a39UL;
   tf->codes[50608] = 0x0001aa47d7941d2fUL;
   tf->codes[50609] = 0x0001b4fc34961c2bUL;
   tf->codes[50610] = 0x0001cbfa0a0703faUL;
   tf->codes[50611] = 0x00001b40bd649054UL;
   tf->codes[50612] = 0x00001eed56b13ca4UL;
   tf->codes[50613] = 0x00006e8e9f4bb5baUL;
   tf->codes[50614] = 0x0000b085064d7410UL;
   tf->codes[50615] = 0x0000c6b746844cfdUL;
   tf->codes[50616] = 0x0000fa56c7cc5de3UL;
   tf->codes[50617] = 0x000138bb936e18b7UL;
   tf->codes[50618] = 0x00013daa3f5a8087UL;
   tf->codes[50619] = 0x0001487332a486c5UL;
   tf->codes[50620] = 0x00019c2ee0b67d8bUL;
   tf->codes[50621] = 0x0001ed854af50834UL;
   tf->codes[50622] = 0x0000414fd75775ffUL;
   tf->codes[50623] = 0x0000593c417cdf6dUL;
   tf->codes[50624] = 0x00005c93886623b4UL;
   tf->codes[50625] = 0x00009b974e50885bUL;
   tf->codes[50626] = 0x00010391e2ff252bUL;
   tf->codes[50627] = 0x0001754ff66505a6UL;
   tf->codes[50628] = 0x00017796cdea726aUL;
   tf->codes[50629] = 0x00018efaa887676fUL;
   tf->codes[50630] = 0x000001bc9696e21aUL;
   tf->codes[50631] = 0x000042fd2371b5a9UL;
   tf->codes[50632] = 0x00006896b8c61389UL;
   tf->codes[50633] = 0x00007cbceb0c4a77UL;
   tf->codes[50634] = 0x00007faf51949e61UL;
   tf->codes[50635] = 0x0000899644e46053UL;
   tf->codes[50636] = 0x0000bd00b48f36b1UL;
   tf->codes[50637] = 0x0000fdea551d79d4UL;
   tf->codes[50638] = 0x000158135fc88cd7UL;
   tf->codes[50639] = 0x0001ec5358e9cad9UL;
   tf->codes[50640] = 0x0000292fd867deeeUL;
   tf->codes[50641] = 0x000074efb0a776f1UL;
   tf->codes[50642] = 0x00007b9d19aee2a6UL;
   tf->codes[50643] = 0x0000d9a87ef0edd0UL;
   tf->codes[50644] = 0x00011c8f14905628UL;
   tf->codes[50645] = 0x0001842e9ee3fab2UL;
   tf->codes[50646] = 0x0001ca7e8d8f6f1cUL;
   tf->codes[50647] = 0x0001de408f21c6fcUL;
   tf->codes[50648] = 0x00001b8438970520UL;
   tf->codes[50649] = 0x00007fa55e788accUL;
   tf->codes[50650] = 0x0000909191585ff3UL;
   tf->codes[50651] = 0x0000bd5ed5a6643fUL;
   tf->codes[50652] = 0x0000f6d186fa60b8UL;
   tf->codes[50653] = 0x000192b669a16d11UL;
   tf->codes[50654] = 0x0001d3fcae73d0ddUL;
   tf->codes[50655] = 0x00000db0cb903f6cUL;
   tf->codes[50656] = 0x00004bcb7a2eacecUL;
   tf->codes[50657] = 0x000072766922f963UL;
   tf->codes[50658] = 0x00008a8647e0e118UL;
   tf->codes[50659] = 0x0000cc0baee57d48UL;
   tf->codes[50660] = 0x0000f3f6a1725152UL;
   tf->codes[50661] = 0x0001142729f538afUL;
   tf->codes[50662] = 0x00013ab3377d7a43UL;
   tf->codes[50663] = 0x00016bd39bd09317UL;
   tf->codes[50664] = 0x00017322f863f3a0UL;
   tf->codes[50665] = 0x0001ab72b3134541UL;
   tf->codes[50666] = 0x0001dc2bed6f3406UL;
   tf->codes[50667] = 0x000010bff5f25c8dUL;
   tf->codes[50668] = 0x00005a15bca30f4aUL;
   tf->codes[50669] = 0x000083fcba04f175UL;
   tf->codes[50670] = 0x0000b51ad4c1d097UL;
   tf->codes[50671] = 0x0000d4b429fad24bUL;
   tf->codes[50672] = 0x0000e4db2f453a1cUL;
   tf->codes[50673] = 0x000116beecb5921eUL;
   tf->codes[50674] = 0x0001398ff7bebbe7UL;
   tf->codes[50675] = 0x0001c56f3aacaac9UL;
   tf->codes[50676] = 0x0001ca09f38fcd2eUL;
   tf->codes[50677] = 0x00000729b34e8181UL;
   tf->codes[50678] = 0x00000bea9f7e6769UL;
   tf->codes[50679] = 0x00001a80e1f95302UL;
   tf->codes[50680] = 0x00004bb1be860b3eUL;
   tf->codes[50681] = 0x00005b68e89e6dc2UL;
   tf->codes[50682] = 0x00008cf1d642d343UL;
   tf->codes[50683] = 0x0000b6d405e93c45UL;
   tf->codes[50684] = 0x0000bae336009f40UL;
   tf->codes[50685] = 0x0000dc24a30569aaUL;
   tf->codes[50686] = 0x00015c5a177a2adbUL;
   tf->codes[50687] = 0x0001af3bc71fa744UL;
   tf->codes[50688] = 0x0001d306d6cc7326UL;
   tf->codes[50689] = 0x00000062280b7653UL;
   tf->codes[50690] = 0x00003371183d48e1UL;
   tf->codes[50691] = 0x000068d5f8d404fdUL;
   tf->codes[50692] = 0x00008bb3d32671deUL;
   tf->codes[50693] = 0x00008e657d936501UL;
   tf->codes[50694] = 0x0000a9715e5092f2UL;
   tf->codes[50695] = 0x0000c5cc5b85c540UL;
   tf->codes[50696] = 0x0000fccc4a100135UL;
   tf->codes[50697] = 0x00012422185a2383UL;
   tf->codes[50698] = 0x0001285e1df1f152UL;
   tf->codes[50699] = 0x000136205486f890UL;
   tf->codes[50700] = 0x00017abae6ff55a2UL;
   tf->codes[50701] = 0x00017f5c42161f58UL;
   tf->codes[50702] = 0x000187aa3679955eUL;
   tf->codes[50703] = 0x00018caab9f9bf34UL;
   tf->codes[50704] = 0x0001a0b837e98706UL;
   tf->codes[50705] = 0x0001be1f11561d73UL;
   tf->codes[50706] = 0x000013cc448a18f4UL;
   tf->codes[50707] = 0x000035700dca9444UL;
   tf->codes[50708] = 0x0000423ee1efa0baUL;
   tf->codes[50709] = 0x00008a9cb303e54bUL;
   tf->codes[50710] = 0x00008ac7045f10a8UL;
   tf->codes[50711] = 0x00008e6066bdd854UL;
   tf->codes[50712] = 0x0000ba395e5fcac4UL;
   tf->codes[50713] = 0x0000fd0c0d643d29UL;
   tf->codes[50714] = 0x0001280e74fb0bc7UL;
   tf->codes[50715] = 0x00017aa72c6857b5UL;
   tf->codes[50716] = 0x0001c9fa39f11b9dUL;
   tf->codes[50717] = 0x0001dd68bd98399cUL;
   tf->codes[50718] = 0x00004c3220df8c7bUL;
   tf->codes[50719] = 0x00009f76dc6dcb19UL;
   tf->codes[50720] = 0x0000e36ecbad2208UL;
   tf->codes[50721] = 0x0000f6b79125880eUL;
   tf->codes[50722] = 0x0001a53eed1b97faUL;
   tf->codes[50723] = 0x0001bf0e73309aa8UL;
   tf->codes[50724] = 0x0001d88daf2cb43bUL;
   tf->codes[50725] = 0x0001dbe2e70ec495UL;
   tf->codes[50726] = 0x00001ad4d5656736UL;
   tf->codes[50727] = 0x00007a98caacda7eUL;
   tf->codes[50728] = 0x000096061d69a241UL;
   tf->codes[50729] = 0x0000afb7e6ddb6e5UL;
   tf->codes[50730] = 0x0000b1799d3c05cbUL;
   tf->codes[50731] = 0x0001103599cb7709UL;
   tf->codes[50732] = 0x0001689bc94d1e4dUL;
   tf->codes[50733] = 0x00018714ac06b4a0UL;
   tf->codes[50734] = 0x0001fe7f0c7eabdcUL;
   tf->codes[50735] = 0x00000a93addf5fecUL;
   tf->codes[50736] = 0x0000261a649fa81aUL;
   tf->codes[50737] = 0x00002fd98ab97e26UL;
   tf->codes[50738] = 0x000067b87ffab366UL;
   tf->codes[50739] = 0x000078fc4ed42a48UL;
   tf->codes[50740] = 0x000093dda3a72717UL;
   tf->codes[50741] = 0x000096686b1a4568UL;
   tf->codes[50742] = 0x0000bbf7059d8e58UL;
   tf->codes[50743] = 0x000107be6a4ce4c0UL;
   tf->codes[50744] = 0x000124b9fbb3e944UL;
   tf->codes[50745] = 0x000169c8124ea7f3UL;
   tf->codes[50746] = 0x000187becd246b69UL;
   tf->codes[50747] = 0x00018cf720f61503UL;
   tf->codes[50748] = 0x0001d840b65f062dUL;
   tf->codes[50749] = 0x0001f5d58a172447UL;
   tf->codes[50750] = 0x000017bcce27459aUL;
   tf->codes[50751] = 0x00001a28799f5343UL;
   tf->codes[50752] = 0x000031e49fe2fb52UL;
   tf->codes[50753] = 0x00008b78864b5c99UL;
   tf->codes[50754] = 0x0000ab0a14859a23UL;
   tf->codes[50755] = 0x00010f4b409e478bUL;
   tf->codes[50756] = 0x0001123b981f6788UL;
   tf->codes[50757] = 0x00013acc61b7927bUL;
   tf->codes[50758] = 0x0001522e67dc5958UL;
   tf->codes[50759] = 0x00015c201b6e2a75UL;
   tf->codes[50760] = 0x00015f09210e91d2UL;
   tf->codes[50761] = 0x00018bbab7c2dc01UL;
   tf->codes[50762] = 0x0001a35c5537e6ccUL;
   tf->codes[50763] = 0x0001a60513daf8ecUL;
   tf->codes[50764] = 0x0001c11c9f164d1cUL;
   tf->codes[50765] = 0x0001e1b7bff1b513UL;
   tf->codes[50766] = 0x00000757bceab47fUL;
   tf->codes[50767] = 0x00004d8387509953UL;
   tf->codes[50768] = 0x0000a4e392926cb5UL;
   tf->codes[50769] = 0x0000a8791171d24cUL;
   tf->codes[50770] = 0x00010a770ef56f40UL;
   tf->codes[50771] = 0x00015a56ca150f6bUL;
   tf->codes[50772] = 0x000167769800164bUL;
   tf->codes[50773] = 0x0001b244a7b8dbe9UL;
   tf->codes[50774] = 0x0001bdb99f23d4d7UL;
   tf->codes[50775] = 0x0001ca6af136f908UL;
   tf->codes[50776] = 0x0000759a9125b923UL;
   tf->codes[50777] = 0x0001043c6bd8461aUL;
   tf->codes[50778] = 0x00010efa9ee03d2dUL;
   tf->codes[50779] = 0x000124d3e3c351c1UL;
   tf->codes[50780] = 0x0001be3f26ddf080UL;
   tf->codes[50781] = 0x0001d58544d9f77bUL;
   tf->codes[50782] = 0x0001e42bc4ff7cb7UL;
   tf->codes[50783] = 0x000013d071e92c1fUL;
   tf->codes[50784] = 0x000019c99ab2d570UL;
   tf->codes[50785] = 0x00009623cbe25155UL;
   tf->codes[50786] = 0x0000dbcc49994673UL;
   tf->codes[50787] = 0x0000ec4bd5196713UL;
   tf->codes[50788] = 0x00015e9ed232f385UL;
   tf->codes[50789] = 0x0001760530f52801UL;
   tf->codes[50790] = 0x00008ff00587d545UL;
   tf->codes[50791] = 0x00009a026efddf6dUL;
   tf->codes[50792] = 0x0000d6d51875fb6bUL;
   tf->codes[50793] = 0x0000dc95fbd0196eUL;
   tf->codes[50794] = 0x0000f314a2a07961UL;
   tf->codes[50795] = 0x000123f3d5ba25e4UL;
   tf->codes[50796] = 0x00012984afc1884dUL;
   tf->codes[50797] = 0x000142cb31300b08UL;
   tf->codes[50798] = 0x000166b13ec97fb8UL;
   tf->codes[50799] = 0x0001b11a33924f34UL;
   tf->codes[50800] = 0x0001de528556dfa4UL;
   tf->codes[50801] = 0x0001ebf1f70079eaUL;
   tf->codes[50802] = 0x0000205212b184c2UL;
   tf->codes[50803] = 0x00007714bd93d6b4UL;
   tf->codes[50804] = 0x00008b700177482aUL;
   tf->codes[50805] = 0x0000ac18a1490488UL;
   tf->codes[50806] = 0x0000ccdc79966f79UL;
   tf->codes[50807] = 0x0000f4a1adf48b8aUL;
   tf->codes[50808] = 0x0000f716f4e38b85UL;
   tf->codes[50809] = 0x000128537bee6a00UL;
   tf->codes[50810] = 0x000129c08f96622cUL;
   tf->codes[50811] = 0x00017e150adb66feUL;
   tf->codes[50812] = 0x000193aad4eed58fUL;
   tf->codes[50813] = 0x0001ffd4da7b02dbUL;
   tf->codes[50814] = 0x00008ff1825ae22aUL;
   tf->codes[50815] = 0x0000b49e9201f258UL;
   tf->codes[50816] = 0x0000c04a34f34e31UL;
   tf->codes[50817] = 0x000110b53e4fa801UL;
   tf->codes[50818] = 0x0001431237d9f1ddUL;
   tf->codes[50819] = 0x00014f1a7f0f6e5fUL;
   tf->codes[50820] = 0x000174e0e9e43713UL;
   tf->codes[50821] = 0x00018dfd8f1599fbUL;
   tf->codes[50822] = 0x0001c48fb1750490UL;
   tf->codes[50823] = 0x0001ce3329f5207fUL;
   tf->codes[50824] = 0x0001e853a9d01d97UL;
   tf->codes[50825] = 0x00006271140f2a94UL;
   tf->codes[50826] = 0x000084a56e65e43cUL;
   tf->codes[50827] = 0x0000944493d4e8f3UL;
   tf->codes[50828] = 0x000120d642886c11UL;
   tf->codes[50829] = 0x0001dde32e30c269UL;
   tf->codes[50830] = 0x0001eeb6acba2874UL;
   tf->codes[50831] = 0x000021e68d5f39d2UL;
   tf->codes[50832] = 0x00003ec377e93938UL;
   tf->codes[50833] = 0x00006cfc70851312UL;
   tf->codes[50834] = 0x000076567baef2fcUL;
   tf->codes[50835] = 0x0000768734aebfe5UL;
   tf->codes[50836] = 0x00007fb8fd84a85fUL;
   tf->codes[50837] = 0x0000a00867739a9fUL;
   tf->codes[50838] = 0x0000c215a44179b0UL;
   tf->codes[50839] = 0x00013784e42079dfUL;
   tf->codes[50840] = 0x000198ae9b2f2cb3UL;
   tf->codes[50841] = 0x0001d32352b49534UL;
   tf->codes[50842] = 0x0001eb1783d8c2ccUL;
   tf->codes[50843] = 0x0001fa7f88a3590eUL;
   tf->codes[50844] = 0x0000392c27b22784UL;
   tf->codes[50845] = 0x0000989c647f5b26UL;
   tf->codes[50846] = 0x00009d63b853e29aUL;
   tf->codes[50847] = 0x0000aef9a5be70bfUL;
   tf->codes[50848] = 0x0000ccf2e4b973acUL;
   tf->codes[50849] = 0x0001042058712bc4UL;
   tf->codes[50850] = 0x00012506808bf823UL;
   tf->codes[50851] = 0x00017971a1203824UL;
   tf->codes[50852] = 0x00018fda17bf6872UL;
   tf->codes[50853] = 0x0001a43ce812984dUL;
   tf->codes[50854] = 0x0001b4fb95c4f151UL;
   tf->codes[50855] = 0x0001c3d6ecf8ab50UL;
   tf->codes[50856] = 0x0001d2d543a6d80cUL;
   tf->codes[50857] = 0x0001f2414e416362UL;
   tf->codes[50858] = 0x0001f9ff613bac5fUL;
   tf->codes[50859] = 0x00000fe2f142c494UL;
   tf->codes[50860] = 0x000053f444859beeUL;
   tf->codes[50861] = 0x0000882df25add7eUL;
   tf->codes[50862] = 0x0000c64e1e61d576UL;
   tf->codes[50863] = 0x0000e3e2b78aedcbUL;
   tf->codes[50864] = 0x000126faf0663a20UL;
   tf->codes[50865] = 0x00014abee8c15327UL;
   tf->codes[50866] = 0x00017d9e44be75a5UL;
   tf->codes[50867] = 0x0001e378aa5274beUL;
   tf->codes[50868] = 0x00003a7d70aa4a15UL;
   tf->codes[50869] = 0x00006e8122a63a09UL;
   tf->codes[50870] = 0x0000755ff45a83f6UL;
   tf->codes[50871] = 0x00009a7e03feb64aUL;
   tf->codes[50872] = 0x0000b7efd83c61a7UL;
   tf->codes[50873] = 0x0000f23dacc7f556UL;
   tf->codes[50874] = 0x0000f947f4a28779UL;
   tf->codes[50875] = 0x000123f1d6039d48UL;
   tf->codes[50876] = 0x000157f930efe98cUL;
   tf->codes[50877] = 0x0001ab792b30fe79UL;
   tf->codes[50878] = 0x0001acbc629bd6d2UL;
   tf->codes[50879] = 0x0001e4b09dd224a3UL;
   tf->codes[50880] = 0x0001e902990c1c52UL;
   tf->codes[50881] = 0x000022e4b074128eUL;
   tf->codes[50882] = 0x0000488263d6d848UL;
   tf->codes[50883] = 0x000065469a0a6892UL;
   tf->codes[50884] = 0x00009ae13beb7085UL;
   tf->codes[50885] = 0x0000ace062545ca6UL;
   tf->codes[50886] = 0x0001422b87ffed78UL;
   tf->codes[50887] = 0x000171c7f8cccd2cUL;
   tf->codes[50888] = 0x0001a36a0fe5ad53UL;
   tf->codes[50889] = 0x0001a92bdd7be26aUL;
   tf->codes[50890] = 0x0001f72c602b4b6aUL;
   tf->codes[50891] = 0x000045da0bc6c3f3UL;
   tf->codes[50892] = 0x00008ce9e52e2100UL;
   tf->codes[50893] = 0x0000f286c2791018UL;
   tf->codes[50894] = 0x00012764e7ff85f3UL;
   tf->codes[50895] = 0x000146f516dfa0dfUL;
   tf->codes[50896] = 0x00018a6fabf69e1aUL;
   tf->codes[50897] = 0x0001a633eafff649UL;
   tf->codes[50898] = 0x0001c564f176b115UL;
   tf->codes[50899] = 0x0000142adc4a8d30UL;
   tf->codes[50900] = 0x00001ee9f98e9b57UL;
   tf->codes[50901] = 0x00002234e64ca810UL;
   tf->codes[50902] = 0x000093c9cd227a07UL;
   tf->codes[50903] = 0x0000a0c2b813ac15UL;
   tf->codes[50904] = 0x0000eefb45a39a9eUL;
   tf->codes[50905] = 0x0001a372de9972d8UL;
   tf->codes[50906] = 0x0001b78b575a4f9aUL;
   tf->codes[50907] = 0x0001efcce3663b85UL;
   tf->codes[50908] = 0x00002c59535a6c44UL;
   tf->codes[50909] = 0x00005eae85e5f1f6UL;
   tf->codes[50910] = 0x000084c4160886ecUL;
   tf->codes[50911] = 0x00011370b0fd230eUL;
   tf->codes[50912] = 0x0001534eafe307d7UL;
   tf->codes[50913] = 0x00016fdfa8f18bc1UL;
   tf->codes[50914] = 0x0001da16ca0191b4UL;
   tf->codes[50915] = 0x0001df830aa558fdUL;
   tf->codes[50916] = 0x0001eccbca91689cUL;
   tf->codes[50917] = 0x0000086667eca6bdUL;
   tf->codes[50918] = 0x000018ea117b2f37UL;
   tf->codes[50919] = 0x00001ef4279c837aUL;
   tf->codes[50920] = 0x000041384a7fcb3bUL;
   tf->codes[50921] = 0x00006a4d859202bdUL;
   tf->codes[50922] = 0x0000973084f32b24UL;
   tf->codes[50923] = 0x0000a2f307c2c7f1UL;
   tf->codes[50924] = 0x0000a5003a7e86c9UL;
   tf->codes[50925] = 0x0000e90ecf0d18e7UL;
   tf->codes[50926] = 0x0001247589a85992UL;
   tf->codes[50927] = 0x0001323b2e9eb75bUL;
   tf->codes[50928] = 0x000144d48194d426UL;
   tf->codes[50929] = 0x0001cbb6e9f2f582UL;
   tf->codes[50930] = 0x0001f49df02a9f92UL;
   tf->codes[50931] = 0x00000f34ed6b4948UL;
   tf->codes[50932] = 0x00001e9b584cb727UL;
   tf->codes[50933] = 0x00003272654521d3UL;
   tf->codes[50934] = 0x00003c1652e3494cUL;
   tf->codes[50935] = 0x0000c84da6e8e573UL;
   tf->codes[50936] = 0x00010fc6f3dda641UL;
   tf->codes[50937] = 0x0001222751b7266fUL;
   tf->codes[50938] = 0x000140c49345521dUL;
   tf->codes[50939] = 0x00014df429bce716UL;
   tf->codes[50940] = 0x0001d15fba18a7f9UL;
   tf->codes[50941] = 0x0001d6cef3ffba43UL;
   tf->codes[50942] = 0x0001dee63cdccd5eUL;
   tf->codes[50943] = 0x0001e169b26f330fUL;
   tf->codes[50944] = 0x0001f10026a35c88UL;
   tf->codes[50945] = 0x00000cc51559c606UL;
   tf->codes[50946] = 0x0000169737d27af1UL;
   tf->codes[50947] = 0x00001c6141857fbcUL;
   tf->codes[50948] = 0x0000776918588645UL;
   tf->codes[50949] = 0x0000d65fde7cc248UL;
   tf->codes[50950] = 0x0000dcf5b7f8dbbaUL;
   tf->codes[50951] = 0x000124f8b9412dcaUL;
   tf->codes[50952] = 0x0001a5487bf5867aUL;
   tf->codes[50953] = 0x0001a673e94606cbUL;
   tf->codes[50954] = 0x0001dad9f77da7a5UL;
   tf->codes[50955] = 0x00006bb90e3eaf0eUL;
   tf->codes[50956] = 0x00007608c56ec372UL;
   tf->codes[50957] = 0x0000896955018180UL;
   tf->codes[50958] = 0x0000c63e829edcf5UL;
   tf->codes[50959] = 0x0000ec4f4505f8c2UL;
   tf->codes[50960] = 0x00011c1c34439f9aUL;
   tf->codes[50961] = 0x00017dee8111ee93UL;
   tf->codes[50962] = 0x0001c49b140183a6UL;
   tf->codes[50963] = 0x00000a7659bf799aUL;
   tf->codes[50964] = 0x00000bee683886b6UL;
   tf->codes[50965] = 0x00001b42114a1b7bUL;
   tf->codes[50966] = 0x000023fcad0d4608UL;
   tf->codes[50967] = 0x00004f5b093b2400UL;
   tf->codes[50968] = 0x000057bdce75a70dUL;
   tf->codes[50969] = 0x00008013595afbb1UL;
   tf->codes[50970] = 0x0000dff1d7710c3dUL;
   tf->codes[50971] = 0x0001144941e73bd7UL;
   tf->codes[50972] = 0x000127ff23dd61eeUL;
   tf->codes[50973] = 0x00013d3e01a44013UL;
   tf->codes[50974] = 0x00015325ea48c5e7UL;
   tf->codes[50975] = 0x00017cf01545d11cUL;
   tf->codes[50976] = 0x00018ff73466bf47UL;
   tf->codes[50977] = 0x0001bb4e0424dedaUL;
   tf->codes[50978] = 0x0001dae07c9b3378UL;
   tf->codes[50979] = 0x00001c2d63a13e95UL;
   tf->codes[50980] = 0x00004a3827628afdUL;
   tf->codes[50981] = 0x00006e99458e1fafUL;
   tf->codes[50982] = 0x0000be5e02c1170cUL;
   tf->codes[50983] = 0x0000e569045adab7UL;
   tf->codes[50984] = 0x0000ef7be2eef069UL;
   tf->codes[50985] = 0x0000f13a2aebe8c4UL;
   tf->codes[50986] = 0x00010a81d1258858UL;
   tf->codes[50987] = 0x00010c24e0a6d220UL;
   tf->codes[50988] = 0x000110d8fd8d74f0UL;
   tf->codes[50989] = 0x00015302a1b43fa6UL;
   tf->codes[50990] = 0x0001c7da73ba5467UL;
   tf->codes[50991] = 0x0001e24c27ea51aeUL;
   tf->codes[50992] = 0x0001f5814156c786UL;
   tf->codes[50993] = 0x0000289b2c59af04UL;
   tf->codes[50994] = 0x00003914ffe23f67UL;
   tf->codes[50995] = 0x00004174914a71aeUL;
   tf->codes[50996] = 0x00005f05bc123378UL;
   tf->codes[50997] = 0x00005f1041c53cdeUL;
   tf->codes[50998] = 0x0000b22c0b5272bdUL;
   tf->codes[50999] = 0x0000fdf0b14d83e9UL;
   tf->codes[51000] = 0x0001372614e77626UL;
   tf->codes[51001] = 0x00017d48094762e3UL;
   tf->codes[51002] = 0x0001acdefcabb81fUL;
   tf->codes[51003] = 0x0001bf07c4c2be4eUL;
   tf->codes[51004] = 0x0001cad03a18f11dUL;
   tf->codes[51005] = 0x0001d6ef9bbbb458UL;
   tf->codes[51006] = 0x00000568db54e36fUL;
   tf->codes[51007] = 0x00001fc33a889438UL;
   tf->codes[51008] = 0x000031fa3143001dUL;
   tf->codes[51009] = 0x00003bf002e33914UL;
   tf->codes[51010] = 0x000042940b02b83cUL;
   tf->codes[51011] = 0x0000524ede0b7710UL;
   tf->codes[51012] = 0x000074e46fd2c4c5UL;
   tf->codes[51013] = 0x00008b1d523d4503UL;
   tf->codes[51014] = 0x0000a0cc45c52e3aUL;
   tf->codes[51015] = 0x0000e2fa7d186c54UL;
   tf->codes[51016] = 0x000170871aaba89fUL;
   tf->codes[51017] = 0x00017b9ebe256f95UL;
   tf->codes[51018] = 0x00018288ffc8d9fcUL;
   tf->codes[51019] = 0x0001e25bd360c449UL;
   tf->codes[51020] = 0x00007cd033fe81ebUL;
   tf->codes[51021] = 0x000090121cb43adbUL;
   tf->codes[51022] = 0x0000a90ad82f13f2UL;
   tf->codes[51023] = 0x0000e6476a529f3bUL;
   tf->codes[51024] = 0x0000ed7093993c41UL;
   tf->codes[51025] = 0x00016fb967df5811UL;
   tf->codes[51026] = 0x0001771fdedfff53UL;
   tf->codes[51027] = 0x000194c8d3c21925UL;
   tf->codes[51028] = 0x0001ef71822bbf8eUL;
   tf->codes[51029] = 0x00001d7b2121ef1dUL;
   tf->codes[51030] = 0x000028695d7ca1caUL;
   tf->codes[51031] = 0x0000ff59b5d4f0c3UL;
   tf->codes[51032] = 0x00011ec84494bb90UL;
   tf->codes[51033] = 0x00002d6664106756UL;
   tf->codes[51034] = 0x000045107831479aUL;
   tf->codes[51035] = 0x00005c3b5db1a002UL;
   tf->codes[51036] = 0x00007077fab80c5aUL;
   tf->codes[51037] = 0x0000e92b852171f1UL;
   tf->codes[51038] = 0x0000f7613fd8daccUL;
   tf->codes[51039] = 0x000137a62e26e3dfUL;
   tf->codes[51040] = 0x00016acfe1b65976UL;
   tf->codes[51041] = 0x00017163e6ba44c0UL;
   tf->codes[51042] = 0x0001728f540ac511UL;
   tf->codes[51043] = 0x00018693e630abe0UL;
   tf->codes[51044] = 0x0001bfea3a3ddcedUL;
   tf->codes[51045] = 0x0001d2c0daee03f4UL;
   tf->codes[51046] = 0x0001f3e9590d597dUL;
   tf->codes[51047] = 0x0001f815d0a79ef8UL;
   tf->codes[51048] = 0x0001ff0c31e73b28UL;
   tf->codes[51049] = 0x000068ae2eb48f5fUL;
   tf->codes[51050] = 0x000070d36ba6026bUL;
   tf->codes[51051] = 0x0000a439f7d176b4UL;
   tf->codes[51052] = 0x0000cc5e8f27f8aaUL;
   tf->codes[51053] = 0x0000dd6167570900UL;
   tf->codes[51054] = 0x0000df8713da312fUL;
   tf->codes[51055] = 0x000126106cc04dc0UL;
   tf->codes[51056] = 0x000149d7d37cbd52UL;
   tf->codes[51057] = 0x0001d9aad3775ad7UL;
   tf->codes[51058] = 0x0001f12bbb082c97UL;
   tf->codes[51059] = 0x0000001456a33538UL;
   tf->codes[51060] = 0x000067bfc60405c6UL;
   tf->codes[51061] = 0x000085cb8c3fdc08UL;
   tf->codes[51062] = 0x0000ed9408948951UL;
   tf->codes[51063] = 0x0000f88035e80811UL;
   tf->codes[51064] = 0x000101d698218babUL;
   tf->codes[51065] = 0x0001597c67c93ec2UL;
   tf->codes[51066] = 0x0001995941e406b2UL;
   tf->codes[51067] = 0x0001cddd0cbc9596UL;
   tf->codes[51068] = 0x0001ff36db4a5691UL;
   tf->codes[51069] = 0x00000d3206fbfa6cUL;
   tf->codes[51070] = 0x00001012d07f9215UL;
   tf->codes[51071] = 0x00003c1aaca92346UL;
   tf->codes[51072] = 0x0000537fe6a03ae9UL;
   tf->codes[51073] = 0x00008632e23afe1dUL;
   tf->codes[51074] = 0x0000be8fe1519e60UL;
   tf->codes[51075] = 0x0000fb53e708491eUL;
   tf->codes[51076] = 0x00010707c61674abUL;
   tf->codes[51077] = 0x00013261c9a6e504UL;
   tf->codes[51078] = 0x00014dc63099cbc4UL;
   tf->codes[51079] = 0x0001b1d7c87dc91cUL;
   tf->codes[51080] = 0x0001b3171c693f60UL;
   tf->codes[51081] = 0x0001c12509eabc55UL;
   tf->codes[51082] = 0x0001d806f732e442UL;
   tf->codes[51083] = 0x00000d02d95a4827UL;
   tf->codes[51084] = 0x00000e2978ef4f4fUL;
   tf->codes[51085] = 0x00002943884fe2f6UL;
   tf->codes[51086] = 0x00007804304a3a5eUL;
   tf->codes[51087] = 0x000120bc7a42c691UL;
   tf->codes[51088] = 0x00012bc15becb46dUL;
   tf->codes[51089] = 0x0001304c4c4348b9UL;
   tf->codes[51090] = 0x000135512860e02eUL;
   tf->codes[51091] = 0x00017eda66c5a510UL;
   tf->codes[51092] = 0x00018c4501610a93UL;
   tf->codes[51093] = 0x0001980e60f35476UL;
   tf->codes[51094] = 0x0001a2a6d5cc9390UL;
   tf->codes[51095] = 0x0001acb2d79dfc2cUL;
   tf->codes[51096] = 0x0001d45d489e7534UL;
   tf->codes[51097] = 0x0001ef5333b97945UL;
   tf->codes[51098] = 0x0000201ce64f0772UL;
   tf->codes[51099] = 0x000035016967fea0UL;
   tf->codes[51100] = 0x000036b1bd50970aUL;
   tf->codes[51101] = 0x00007fa736ccccceUL;
   tf->codes[51102] = 0x0000f56735e2c1a2UL;
   tf->codes[51103] = 0x0001313bbca8d3adUL;
   tf->codes[51104] = 0x00017d1b260187e2UL;
   tf->codes[51105] = 0x000191cb81b95b9cUL;
   tf->codes[51106] = 0x0001944228027e35UL;
   tf->codes[51107] = 0x0001df31282e82a3UL;
   tf->codes[51108] = 0x0000359e461e66c7UL;
   tf->codes[51109] = 0x00003d49d1d7dc6fUL;
   tf->codes[51110] = 0x0000638ebba01bb0UL;
   tf->codes[51111] = 0x00007d5381730f33UL;
   tf->codes[51112] = 0x0000ccab2228467fUL;
   tf->codes[51113] = 0x0000da0ee000feecUL;
   tf->codes[51114] = 0x0000e00d1115272bUL;
   tf->codes[51115] = 0x0000f1c5fdfa280dUL;
   tf->codes[51116] = 0x0000fa49b3a7e9eaUL;
   tf->codes[51117] = 0x0000ffd6e4bef003UL;
   tf->codes[51118] = 0x0000690fbe8fe241UL;
   tf->codes[51119] = 0x000073c33155ca29UL;
   tf->codes[51120] = 0x0000ffc5e8dc3752UL;
   tf->codes[51121] = 0x0001078ebc188f7aUL;
   tf->codes[51122] = 0x00015d4a930dfc3bUL;
   tf->codes[51123] = 0x0001a377823efde8UL;
   tf->codes[51124] = 0x0001a7955617d223UL;
   tf->codes[51125] = 0x0001ea01c561318dUL;
   tf->codes[51126] = 0x000023e8e513a6b7UL;
   tf->codes[51127] = 0x000026353a019df3UL;
   tf->codes[51128] = 0x0000495ae7c11e76UL;
   tf->codes[51129] = 0x0000510429e45a6cUL;
   tf->codes[51130] = 0x0000a1c82e947895UL;
   tf->codes[51131] = 0x0000fb7ed9e846d4UL;
   tf->codes[51132] = 0x000106913a888917UL;
   tf->codes[51133] = 0x00011d19b75ee121UL;
   tf->codes[51134] = 0x00011eeb3649be20UL;
   tf->codes[51135] = 0x00012073f78b7069UL;
   tf->codes[51136] = 0x0001549f76bd4c43UL;
   tf->codes[51137] = 0x000165999db1815bUL;
   tf->codes[51138] = 0x00016d076692e13dUL;
   tf->codes[51139] = 0x00018a5ca2fabb69UL;
   tf->codes[51140] = 0x00019f1bdd030628UL;
   tf->codes[51141] = 0x000040df9a342453UL;
   tf->codes[51142] = 0x0000dcb23029631cUL;
   tf->codes[51143] = 0x0001066665844471UL;
   tf->codes[51144] = 0x000117da3db076edUL;
   tf->codes[51145] = 0x000147d17e494922UL;
   tf->codes[51146] = 0x00016546fb7750cfUL;
   tf->codes[51147] = 0x0001690b244f4f62UL;
   tf->codes[51148] = 0x00018129a6cea857UL;
   tf->codes[51149] = 0x00002a99d9f5533eUL;
   tf->codes[51150] = 0x00002c3e48d0bfa4UL;
   tf->codes[51151] = 0x0000839c0a7c5954UL;
   tf->codes[51152] = 0x0000b6e96d3352f7UL;
   tf->codes[51153] = 0x0000bd13898bcef6UL;
   tf->codes[51154] = 0x0000c4226492d47dUL;
   tf->codes[51155] = 0x0000fc751885711fUL;
   tf->codes[51156] = 0x000112e4a6765448UL;
   tf->codes[51157] = 0x000137c91150d8b0UL;
   tf->codes[51158] = 0x000146771de61c51UL;
   tf->codes[51159] = 0x000160ad1e4537bfUL;
   tf->codes[51160] = 0x00018c97033ed521UL;
   tf->codes[51161] = 0x0001ae917e3cdb18UL;
   tf->codes[51162] = 0x0001d6bf3bec43d6UL;
   tf->codes[51163] = 0x00000412c62c82d9UL;
   tf->codes[51164] = 0x00002dc1b8addf7bUL;
   tf->codes[51165] = 0x00006c8a0556680eUL;
   tf->codes[51166] = 0x0000fb45f3b986bfUL;
   tf->codes[51167] = 0x000125e37aef6500UL;
   tf->codes[51168] = 0x0001652244fd9a31UL;
   tf->codes[51169] = 0x00017baa8744ec76UL;
   tf->codes[51170] = 0x0001a98df2ee5882UL;
   tf->codes[51171] = 0x000035dfcfc291edUL;
   tf->codes[51172] = 0x000046c0cd424c5fUL;
   tf->codes[51173] = 0x0000b5b690ebfe88UL;
   tf->codes[51174] = 0x0000bb2087f98c1fUL;
   tf->codes[51175] = 0x0000c340f72f8602UL;
   tf->codes[51176] = 0x0000f567ba51787dUL;
   tf->codes[51177] = 0x00010b5a28a907b7UL;
   tf->codes[51178] = 0x000114524cb54245UL;
   tf->codes[51179] = 0x000126f2b6fd11ebUL;
   tf->codes[51180] = 0x000160c41b9c62faUL;
   tf->codes[51181] = 0x00016781c24e6852UL;
   tf->codes[51182] = 0x00016ede6349177dUL;
   tf->codes[51183] = 0x0001829a37c5d396UL;
   tf->codes[51184] = 0x00019efcc16ac449UL;
   tf->codes[51185] = 0x000018361ca8590dUL;
   tf->codes[51186] = 0x00001c46ac19dea6UL;
   tf->codes[51187] = 0x00007a94a1ef78bfUL;
   tf->codes[51188] = 0x00007cef600fdb76UL;
   tf->codes[51189] = 0x0000883c4fb5e2b9UL;
   tf->codes[51190] = 0x0000beebf4273593UL;
   tf->codes[51191] = 0x0000d14c1771affcUL;
   tf->codes[51192] = 0x0000d79131b6d4c9UL;
   tf->codes[51193] = 0x0000e18fb491e8feUL;
   tf->codes[51194] = 0x0000e58b389d5bcbUL;
   tf->codes[51195] = 0x0000fbb69c1187a2UL;
   tf->codes[51196] = 0x0000fecdd68c7c71UL;
   tf->codes[51197] = 0x0001267722c1d8a0UL;
   tf->codes[51198] = 0x00014335db8cde72UL;
   tf->codes[51199] = 0x000157d250a9bc39UL;
   tf->codes[51200] = 0x00015e4b9250047aUL;
   tf->codes[51201] = 0x0001b42fab9968abUL;
   tf->codes[51202] = 0x0001c92c335bbda6UL;
   tf->codes[51203] = 0x00000df1172f4615UL;
   tf->codes[51204] = 0x00002a5f10c35742UL;
   tf->codes[51205] = 0x000037e1b0081a92UL;
   tf->codes[51206] = 0x00007ea7a6fb3010UL;
   tf->codes[51207] = 0x000089e6a28cd762UL;
   tf->codes[51208] = 0x00009149e5bb2ddeUL;
   tf->codes[51209] = 0x0000d3f7111fee0fUL;
   tf->codes[51210] = 0x0000ff51feec757cUL;
   tf->codes[51211] = 0x0001238caf3c40e6UL;
   tf->codes[51212] = 0x0001b40ac91bba07UL;
   tf->codes[51213] = 0x0000156c8b0af264UL;
   tf->codes[51214] = 0x000024bc160e1f4fUL;
   tf->codes[51215] = 0x0000a7b66bddb847UL;
   tf->codes[51216] = 0x0000c3873fa14dc9UL;
   tf->codes[51217] = 0x0000ebab274abe70UL;
   tf->codes[51218] = 0x0001061dc5b6d2cbUL;
   tf->codes[51219] = 0x00012d2434242312UL;
   tf->codes[51220] = 0x000155b03000d4dcUL;
   tf->codes[51221] = 0x000182081bb44963UL;
   tf->codes[51222] = 0x00018ba0d3f25627UL;
   tf->codes[51223] = 0x0001ab1a98123ba9UL;
   tf->codes[51224] = 0x0001ac5224feedc3UL;
   tf->codes[51225] = 0x0001d68a9144d5e2UL;
   tf->codes[51226] = 0x0001ebc76004801aUL;
   tf->codes[51227] = 0x0001f1ce42538397UL;
   tf->codes[51228] = 0x000062b466541da2UL;
   tf->codes[51229] = 0x0000633185ed7191UL;
   tf->codes[51230] = 0x0000f085de11228eUL;
   tf->codes[51231] = 0x000134aa2db2d8c7UL;
   tf->codes[51232] = 0x0001355be9cb5bb4UL;
   tf->codes[51233] = 0x0001c08fd8456935UL;
   tf->codes[51234] = 0x0001d0e96b07cc17UL;
   tf->codes[51235] = 0x00001c4796b8c483UL;
   tf->codes[51236] = 0x000067c9ac2046c0UL;
   tf->codes[51237] = 0x0000841b0dde86bcUL;
   tf->codes[51238] = 0x0000cb0529172bd0UL;
   tf->codes[51239] = 0x00010a20096ed730UL;
   tf->codes[51240] = 0x00012239be32b6fcUL;
   tf->codes[51241] = 0x000154c17e3637bfUL;
   tf->codes[51242] = 0x0001895c9e0b1321UL;
   tf->codes[51243] = 0x0001c53e2ea96e09UL;
   tf->codes[51244] = 0x0001e40f9798bd2bUL;
   tf->codes[51245] = 0x0001f6c21403549cUL;
   tf->codes[51246] = 0x0001fba58a8fa1b7UL;
   tf->codes[51247] = 0x000028993cb96f4bUL;
   tf->codes[51248] = 0x00006376f2ae3003UL;
   tf->codes[51249] = 0x0000685267acb32fUL;
   tf->codes[51250] = 0x0000b4d9f1a6f7ffUL;
   tf->codes[51251] = 0x0000c5e57b10e393UL;
   tf->codes[51252] = 0x0000ea0d2f01d01eUL;
   tf->codes[51253] = 0x00014d71636ab828UL;
   tf->codes[51254] = 0x00018202ad399b73UL;
   tf->codes[51255] = 0x00001373b46b03d2UL;
   tf->codes[51256] = 0x000055a385a76a4fUL;
   tf->codes[51257] = 0x00005d79282d058fUL;
   tf->codes[51258] = 0x0000601f9d39ddfdUL;
   tf->codes[51259] = 0x00007a68d486de0fUL;
   tf->codes[51260] = 0x00008f77a8fb009aUL;
   tf->codes[51261] = 0x000090d98742de11UL;
   tf->codes[51262] = 0x0000c475250b8ce2UL;
   tf->codes[51263] = 0x0000d952cb61d6faUL;
   tf->codes[51264] = 0x00011f41bd2bbd1cUL;
   tf->codes[51265] = 0x0001342f2c0e954dUL;
   tf->codes[51266] = 0x000158a889728d91UL;
   tf->codes[51267] = 0x00015ac7ce511434UL;
   tf->codes[51268] = 0x0001978e92bc042eUL;
   tf->codes[51269] = 0x0000145b2342c4d7UL;
   tf->codes[51270] = 0x00001c217259dd88UL;
   tf->codes[51271] = 0x000052ca74978911UL;
   tf->codes[51272] = 0x0000769f1fbb4745UL;
   tf->codes[51273] = 0x0000a4b60318c576UL;
   tf->codes[51274] = 0x0000c07ffa19ade2UL;
   tf->codes[51275] = 0x0000c6b217fff3d0UL;
   tf->codes[51276] = 0x000152b41fd94faaUL;
   tf->codes[51277] = 0x0001a1bd4aedcc03UL;
   tf->codes[51278] = 0x0001c968e0b961e4UL;
   tf->codes[51279] = 0x0001d23b0c07deb4UL;
   tf->codes[51280] = 0x0001e8f6165631cfUL;
   tf->codes[51281] = 0x00002eb4fecd5c57UL;
   tf->codes[51282] = 0x000047a3a9b33792UL;
   tf->codes[51283] = 0x0000ae053f758876UL;
   tf->codes[51284] = 0x000150a7192188d8UL;
   tf->codes[51285] = 0x000170607491b248UL;
   tf->codes[51286] = 0x00017440c0217682UL;
   tf->codes[51287] = 0x0001c72ddfb61365UL;
   tf->codes[51288] = 0x0001dc506036261eUL;
   tf->codes[51289] = 0x0001eea254dd3ad1UL;
   tf->codes[51290] = 0x0000052a97248d16UL;
   tf->codes[51291] = 0x0000175065f84844UL;
   tf->codes[51292] = 0x00002462ef7c0082UL;
   tf->codes[51293] = 0x00003f37ea23c5c3UL;
   tf->codes[51294] = 0x000079812b82e60eUL;
   tf->codes[51295] = 0x000093e1081f214fUL;
   tf->codes[51296] = 0x00010aeaa6449008UL;
   tf->codes[51297] = 0x00010b9cd77b1e7fUL;
   tf->codes[51298] = 0x000114dd44127839UL;
   tf->codes[51299] = 0x000122be5c138a5aUL;
   tf->codes[51300] = 0x00018e25f2be8f8cUL;
   tf->codes[51301] = 0x0001a8bc405227f3UL;
   tf->codes[51302] = 0x0001e867b1c011abUL;
   tf->codes[51303] = 0x00000dad197c245bUL;
   tf->codes[51304] = 0x000034adcff1e465UL;
   tf->codes[51305] = 0x000078a9a2b09d69UL;
   tf->codes[51306] = 0x0000a7548585b07dUL;
   tf->codes[51307] = 0x0000ab032dd990baUL;
   tf->codes[51308] = 0x0000af9a3dcc56cfUL;
   tf->codes[51309] = 0x0000ea5e8fbd971cUL;
   tf->codes[51310] = 0x000146ba16351566UL;
   tf->codes[51311] = 0x00017474554e72eeUL;
   tf->codes[51312] = 0x00017aa67334b8dcUL;
   tf->codes[51313] = 0x0001b76ab37a695fUL;
   tf->codes[51314] = 0x0001bab4f08b64c9UL;
   tf->codes[51315] = 0x0001e07c802b4a56UL;
   tf->codes[51316] = 0x0001eaa25b1e3ee7UL;
   tf->codes[51317] = 0x0001f2a19f51f435UL;
   tf->codes[51318] = 0x00000fcff8bff98fUL;
   tf->codes[51319] = 0x0000421d29bdb552UL;
   tf->codes[51320] = 0x00004a78628879faUL;
   tf->codes[51321] = 0x0000b7403d923440UL;
   tf->codes[51322] = 0x0000c58eaca00c37UL;
   tf->codes[51323] = 0x0000d1eb5bfcd9aeUL;
   tf->codes[51324] = 0x0000f6fa18328973UL;
   tf->codes[51325] = 0x00010d424e0b8c40UL;
   tf->codes[51326] = 0x000123a0b415beb2UL;
   tf->codes[51327] = 0x000143a8bfb5a8daUL;
   tf->codes[51328] = 0x0001916293c31b11UL;
   tf->codes[51329] = 0x00019287d3fdff9bUL;
   tf->codes[51330] = 0x00019b7a7aa1afb1UL;
   tf->codes[51331] = 0x0001ac56e4f4f6bfUL;
   tf->codes[51332] = 0x0001f8d9a133c266UL;
   tf->codes[51333] = 0x000040df613059b2UL;
   tf->codes[51334] = 0x00004c3626dc590cUL;
   tf->codes[51335] = 0x0000500d4c13367eUL;
   tf->codes[51336] = 0x000067f60d48439cUL;
   tf->codes[51337] = 0x0000f2d768132e50UL;
   tf->codes[51338] = 0x00013fbaac157cb5UL;
   tf->codes[51339] = 0x00017509970a0ef1UL;
   tf->codes[51340] = 0x0001c3f9d3391669UL;
   tf->codes[51341] = 0x0001d28430a6d5feUL;
   tf->codes[51342] = 0x0001e1f0c89ddfa4UL;
   tf->codes[51343] = 0x000015bfde1aa09aUL;
   tf->codes[51344] = 0x00001e1dd599aa7eUL;
   tf->codes[51345] = 0x0000568e80bc3aefUL;
   tf->codes[51346] = 0x00009fb353de1afeUL;
   tf->codes[51347] = 0x0000b6c300e2c4d3UL;
   tf->codes[51348] = 0x0001091ea5250c4aUL;
   tf->codes[51349] = 0x000119d9e4760ec3UL;
   tf->codes[51350] = 0x00013c13bc3552e3UL;
   tf->codes[51351] = 0x000140eef6a4d04aUL;
   tf->codes[51352] = 0x00014e67fa72a148UL;
   tf->codes[51353] = 0x00017a449b04f008UL;
   tf->codes[51354] = 0x00007062165497b8UL;
   tf->codes[51355] = 0x0000732906b6a36cUL;
   tf->codes[51356] = 0x0000f3a10bbef38cUL;
   tf->codes[51357] = 0x00010177d89c020cUL;
   tf->codes[51358] = 0x00016cb88c4d326cUL;
   tf->codes[51359] = 0x000175e4280d7f1fUL;
   tf->codes[51360] = 0x000199ef7eb7a03eUL;
   tf->codes[51361] = 0x0001c880886b275dUL;
   tf->codes[51362] = 0x000001fee43d4a15UL;
   tf->codes[51363] = 0x000036b2f2f79a58UL;
   tf->codes[51364] = 0x00005e656585dd4fUL;
   tf->codes[51365] = 0x000063a3e66d22b0UL;
   tf->codes[51366] = 0x0001016508411b33UL;
   tf->codes[51367] = 0x00011058641e32ffUL;
   tf->codes[51368] = 0x00011dae68719140UL;
   tf->codes[51369] = 0x0001244441edaab2UL;
   tf->codes[51370] = 0x00012c51ef53cb7bUL;
   tf->codes[51371] = 0x0001379be5b687bdUL;
   tf->codes[51372] = 0x000143d470cdc59eUL;
   tf->codes[51373] = 0x00016b0271e1fc06UL;
   tf->codes[51374] = 0x00016c3ae90ac534UL;
   tf->codes[51375] = 0x00018a1f572ebb1aUL;
   tf->codes[51376] = 0x00002bd311444567UL;
   tf->codes[51377] = 0x0000a0045c91f1f0UL;
   tf->codes[51378] = 0x0000a606abb48209UL;
   tf->codes[51379] = 0x00013920b4edca32UL;
   tf->codes[51380] = 0x0001634f85bcbfffUL;
   tf->codes[51381] = 0x000172740fb7b03eUL;
   tf->codes[51382] = 0x000189b475bc26fcUL;
   tf->codes[51383] = 0x0001c44883cba5eaUL;
   tf->codes[51384] = 0x0001c528af4dbc0eUL;
   tf->codes[51385] = 0x0001c5bdd3906dcaUL;
   tf->codes[51386] = 0x0001c9e0ea42c6b8UL;
   tf->codes[51387] = 0x0001d3d55c88dd11UL;
   tf->codes[51388] = 0x000007e443e4e7baUL;
   tf->codes[51389] = 0x00004cc794066f82UL;
   tf->codes[51390] = 0x0000826395419a13UL;
   tf->codes[51391] = 0x0000a48b5ade1668UL;
   tf->codes[51392] = 0x0000f6a1754983efUL;
   tf->codes[51393] = 0x00014db46a44befcUL;
   tf->codes[51394] = 0x00016909433a1d68UL;
   tf->codes[51395] = 0x000186e5ea5f4f24UL;
   tf->codes[51396] = 0x000024ebe65d1048UL;
   tf->codes[51397] = 0x000050cdc9c8e3bbUL;
   tf->codes[51398] = 0x0000584b5b36d1b6UL;
   tf->codes[51399] = 0x0000c411300f1ff4UL;
   tf->codes[51400] = 0x0001239ad0dfd401UL;
   tf->codes[51401] = 0x000142f15af64101UL;
   tf->codes[51402] = 0x00016fc506e8e6d9UL;
   tf->codes[51403] = 0x0001f5a3cf2c73caUL;
   tf->codes[51404] = 0x0001fcada1e8fa63UL;
   tf->codes[51405] = 0x00002dafd47d19a3UL;
   tf->codes[51406] = 0x0000391e29b46b40UL;
   tf->codes[51407] = 0x00004193b0bec767UL;
   tf->codes[51408] = 0x0000ddd0df0c86caUL;
   tf->codes[51409] = 0x0001030ce5e0acedUL;
   tf->codes[51410] = 0x000134408121aa65UL;
   tf->codes[51411] = 0x0001404cabd688fcUL;
   tf->codes[51412] = 0x00019713af56488dUL;
   tf->codes[51413] = 0x0001ec59b89319ffUL;
   tf->codes[51414] = 0x0001f7a2ff48c4f2UL;
   tf->codes[51415] = 0x0000299316e45482UL;
   tf->codes[51416] = 0x00002b4edabc0d66UL;
   tf->codes[51417] = 0x00002e95e3fab80aUL;
   tf->codes[51418] = 0x000062d549c789d7UL;
   tf->codes[51419] = 0x00008c6f6b71d972UL;
   tf->codes[51420] = 0x00008ee64c4a01d0UL;
   tf->codes[51421] = 0x000091093a18e4c3UL;
   tf->codes[51422] = 0x00009f3768608f39UL;
   tf->codes[51423] = 0x00009f7b1dbf3b01UL;
   tf->codes[51424] = 0x0000ed5189a27e69UL;
   tf->codes[51425] = 0x0000f9c9ac0a0038UL;
   tf->codes[51426] = 0x000105cfe43848cdUL;
   tf->codes[51427] = 0x00012a8d6c18f863UL;
   tf->codes[51428] = 0x000133450e98d7efUL;
   tf->codes[51429] = 0x00014279d63e61d1UL;
   tf->codes[51430] = 0x0001567716839000UL;
   tf->codes[51431] = 0x0001c523a7660be9UL;
   tf->codes[51432] = 0x000026c0e297205aUL;
   tf->codes[51433] = 0x000126be7473dce6UL;
   tf->codes[51434] = 0x000136da445e2a02UL;
   tf->codes[51435] = 0x00016fdeb4694991UL;
   tf->codes[51436] = 0x0001cd945229e128UL;
   tf->codes[51437] = 0x000024b500aa7661UL;
   tf->codes[51438] = 0x00008393c2255497UL;
   tf->codes[51439] = 0x0000b0b9521a0bedUL;
   tf->codes[51440] = 0x0000cfb2883f46f5UL;
   tf->codes[51441] = 0x0000d8cff55c2df2UL;
   tf->codes[51442] = 0x000122b3c8fddf90UL;
   tf->codes[51443] = 0x000129032e6707feUL;
   tf->codes[51444] = 0x00013a0f2ceeff1cUL;
   tf->codes[51445] = 0x000150b4b6b933e1UL;
   tf->codes[51446] = 0x0001618660ca6bc4UL;
   tf->codes[51447] = 0x0001727d53ec5016UL;
   tf->codes[51448] = 0x0001f16ac33abfc5UL;
   tf->codes[51449] = 0x00000286c4de4ac1UL;
   tf->codes[51450] = 0x000008acc3285ee6UL;
   tf->codes[51451] = 0x00002ade243bcd8dUL;
   tf->codes[51452] = 0x0000b53e06cff6b3UL;
   tf->codes[51453] = 0x0000bfde42a7f9f7UL;
   tf->codes[51454] = 0x0000d75086775a77UL;
   tf->codes[51455] = 0x0000fe7a697d2905UL;
   tf->codes[51456] = 0x0001054b471d1301UL;
   tf->codes[51457] = 0x0001156ede062447UL;
   tf->codes[51458] = 0x00015a5059af7de7UL;
   tf->codes[51459] = 0x000163ca30817fc8UL;
   tf->codes[51460] = 0x000174fb3d8b1d90UL;
   tf->codes[51461] = 0x00019f0ab7cffcf0UL;
   tf->codes[51462] = 0x0001e96a863fe5a4UL;
   tf->codes[51463] = 0x000044e11379d4a1UL;
   tf->codes[51464] = 0x000047b9db6fa25bUL;
   tf->codes[51465] = 0x00008f0ae6106bb9UL;
   tf->codes[51466] = 0x0000e94bbad5d6c4UL;
   tf->codes[51467] = 0x000100af5ae3c604UL;
   tf->codes[51468] = 0x000102e5ba2f9360UL;
   tf->codes[51469] = 0x00012c4bb478bf87UL;
   tf->codes[51470] = 0x0001583599725ce9UL;
   tf->codes[51471] = 0x0001c826868ace04UL;
   tf->codes[51472] = 0x0000094af0addbecUL;
   tf->codes[51473] = 0x000037052fc73974UL;
   tf->codes[51474] = 0x00003d2ed701a9e9UL;
   tf->codes[51475] = 0x00006c5071cb6f60UL;
   tf->codes[51476] = 0x0000749ccc45bd03UL;
   tf->codes[51477] = 0x0000b5244b275505UL;
   tf->codes[51478] = 0x0000c29930e6be29UL;
   tf->codes[51479] = 0x0000dd683907ed68UL;
   tf->codes[51480] = 0x0000eb6f0f37b782UL;
   tf->codes[51481] = 0x00018fec3dd48cfaUL;
   tf->codes[51482] = 0x0001ef1d92fe8dfdUL;
   tf->codes[51483] = 0x000003225fb37a91UL;
   tf->codes[51484] = 0x00009026e2dc4dfdUL;
   tf->codes[51485] = 0x0000dbcfdb3da50cUL;
   tf->codes[51486] = 0x00011341ee902000UL;
   tf->codes[51487] = 0x00019ff159e49128UL;
   tf->codes[51488] = 0x0001b3ce596391d6UL;
   tf->codes[51489] = 0x000016b56e3325f1UL;
   tf->codes[51490] = 0x00005811a8a7b39dUL;
   tf->codes[51491] = 0x0000695ffd3433e5UL;
   tf->codes[51492] = 0x00006ee77653a9c1UL;
   tf->codes[51493] = 0x0000f49bb2ad0590UL;
   tf->codes[51494] = 0x000119fab8fb9e70UL;
   tf->codes[51495] = 0x000148221492bc09UL;
   tf->codes[51496] = 0x000199a46a159a72UL;
   tf->codes[51497] = 0x0001c1df6c2c51d2UL;
   tf->codes[51498] = 0x0001c841cdf4591fUL;
   tf->codes[51499] = 0x0001dad68dbe0286UL;
   tf->codes[51500] = 0x0001f8c3ad1cd3aaUL;
   tf->codes[51501] = 0x00000af5266eb517UL;
   tf->codes[51502] = 0x0000af4335f4e609UL;
   tf->codes[51503] = 0x0001009ee30cf565UL;
   tf->codes[51504] = 0x0001037b8e822534UL;
   tf->codes[51505] = 0x0001151bc710b6faUL;
   tf->codes[51506] = 0x000148fb54c71758UL;
   tf->codes[51507] = 0x000160bfb7278f1bUL;
   tf->codes[51508] = 0x0001669b986e55ecUL;
   tf->codes[51509] = 0x0001c0636ba8d4e2UL;
   tf->codes[51510] = 0x000066e81509d8f5UL;
   tf->codes[51511] = 0x00008ce7ea1949d0UL;
   tf->codes[51512] = 0x0000eb4fb9106fdeUL;
   tf->codes[51513] = 0x0001293b0e093313UL;
   tf->codes[51514] = 0x0001484e1d4ffa10UL;
   tf->codes[51515] = 0x0001519566aa00e0UL;
   tf->codes[51516] = 0x0001926986b425adUL;
   tf->codes[51517] = 0x000199f45c89624aUL;
   tf->codes[51518] = 0x0001c9f44e5d0fbdUL;
   tf->codes[51519] = 0x0001db1592da1f6cUL;
   tf->codes[51520] = 0x0001f0ca03ca931bUL;
   tf->codes[51521] = 0x0001f9f1f69a837eUL;
   tf->codes[51522] = 0x000083cd2d259a50UL;
   tf->codes[51523] = 0x000089855f44dd15UL;
   tf->codes[51524] = 0x0000986ee51bfccaUL;
   tf->codes[51525] = 0x00009fa37e51ba4aUL;
   tf->codes[51526] = 0x0000a785f02098a2UL;
   tf->codes[51527] = 0x0000c3d667a2c18aUL;
   tf->codes[51528] = 0x0000de5a68848c61UL;
   tf->codes[51529] = 0x00012a1daf257aefUL;
   tf->codes[51530] = 0x00014ea157ad76d4UL;
   tf->codes[51531] = 0x000163033dc48f9bUL;
   tf->codes[51532] = 0x0001ad33ed1dd3c9UL;
   tf->codes[51533] = 0x0001cbcd109d979dUL;
   tf->codes[51534] = 0x0001df344263fcfcUL;
   tf->codes[51535] = 0x0001e899bd7cfd60UL;
   tf->codes[51536] = 0x00005e97b9fa0dbfUL;
   tf->codes[51537] = 0x00007a0581d4e10cUL;
   tf->codes[51538] = 0x00008d82e3cc7610UL;
   tf->codes[51539] = 0x0000af40c0bd831aUL;
   tf->codes[51540] = 0x000105a94b80f3daUL;
   tf->codes[51541] = 0x00012442a98fbd73UL;
   tf->codes[51542] = 0x000167c2f69e4aebUL;
   tf->codes[51543] = 0x0001aa279ee8e62bUL;
   tf->codes[51544] = 0x000002808a033ecdUL;
   tf->codes[51545] = 0x00000483ac29ffc9UL;
   tf->codes[51546] = 0x0000231752413925UL;
   tf->codes[51547] = 0x00004407c5800925UL;
   tf->codes[51548] = 0x000083117df103ceUL;
   tf->codes[51549] = 0x0000d688174a2c2eUL;
   tf->codes[51550] = 0x0000fee2355bf436UL;
   tf->codes[51551] = 0x000131977a8cf11cUL;
   tf->codes[51552] = 0x00017b230287efb0UL;
   tf->codes[51553] = 0x00003c0a47397440UL;
   tf->codes[51554] = 0x00008091a2c3ecaeUL;
   tf->codes[51555] = 0x0000c6b94f1b69a8UL;
   tf->codes[51556] = 0x00012eed1375a8daUL;
   tf->codes[51557] = 0x000144b40ba6efdeUL;
   tf->codes[51558] = 0x0001457dcc68d098UL;
   tf->codes[51559] = 0x000156c0eb95362bUL;
   tf->codes[51560] = 0x0001c43f8b01f24cUL;
   tf->codes[51561] = 0x0001e24892898352UL;
   tf->codes[51562] = 0x0000071692a3d250UL;
   tf->codes[51563] = 0x000042775ab87cf9UL;
   tf->codes[51564] = 0x0000549d298c3827UL;
   tf->codes[51565] = 0x000054d150ed5b9bUL;
   tf->codes[51566] = 0x000067bb288b6746UL;
   tf->codes[51567] = 0x00008f488c980393UL;
   tf->codes[51568] = 0x0000905c6a5d31a1UL;
   tf->codes[51569] = 0x000108a93fed78b3UL;
   tf->codes[51570] = 0x00010cd75170e691UL;
   tf->codes[51571] = 0x00010eb23143b01dUL;
   tf->codes[51572] = 0x00011bc98882e184UL;
   tf->codes[51573] = 0x000135905d5d08f4UL;
   tf->codes[51574] = 0x0001a16042ca550eUL;
   tf->codes[51575] = 0x0001a1649b67c2adUL;
   tf->codes[51576] = 0x0001b2eb6ff2d408UL;
   tf->codes[51577] = 0x0001f6dae886557eUL;
   tf->codes[51578] = 0x0001f7e8d3c4ed8aUL;
   tf->codes[51579] = 0x0001ff879035201aUL;
   tf->codes[51580] = 0x000024bae5ce6affUL;
   tf->codes[51581] = 0x00004e8794f0b5abUL;
   tf->codes[51582] = 0x000077eca4fdcabeUL;
   tf->codes[51583] = 0x0000863521850cb3UL;
   tf->codes[51584] = 0x00008fd5db50e366UL;
   tf->codes[51585] = 0x0000b0943635c3dfUL;
   tf->codes[51586] = 0x0000b1b4e3443505UL;
   tf->codes[51587] = 0x0000e0aa92c9a6bcUL;
   tf->codes[51588] = 0x00011f3591b82513UL;
   tf->codes[51589] = 0x00013be7b5c8ed92UL;
   tf->codes[51590] = 0x000197d18c963867UL;
   tf->codes[51591] = 0x0001997511358db9UL;
   tf->codes[51592] = 0x0001f23c3d98c345UL;
   tf->codes[51593] = 0x00001237ef0d75dfUL;
   tf->codes[51594] = 0x000041406062c0b0UL;
   tf->codes[51595] = 0x000042a18efd8cd8UL;
   tf->codes[51596] = 0x00004c49d53921f0UL;
   tf->codes[51597] = 0x00009f4906f0869eUL;
   tf->codes[51598] = 0x0000ac2818c02cb7UL;
   tf->codes[51599] = 0x0000e4d01f163162UL;
   tf->codes[51600] = 0x0000f1af6b74dd40UL;
   tf->codes[51601] = 0x000123caf936b506UL;
   tf->codes[51602] = 0x000125734b918381UL;
   tf->codes[51603] = 0x000191ab7fc11683UL;
   tf->codes[51604] = 0x0001a1bd3f1665c3UL;
   tf->codes[51605] = 0x0001a639168d7d45UL;
   tf->codes[51606] = 0x0001ae7b6072cd0cUL;
   tf->codes[51607] = 0x0001b18f2c8c6b50UL;
   tf->codes[51608] = 0x00000abfcc7d049dUL;
   tf->codes[51609] = 0x000011ad41f2bfcaUL;
   tf->codes[51610] = 0x0000258c5078f465UL;
   tf->codes[51611] = 0x000059f4a846cef1UL;
   tf->codes[51612] = 0x000073603836f856UL;
   tf->codes[51613] = 0x0000ad8a982a0dbeUL;
   tf->codes[51614] = 0x0000c557e6546684UL;
   tf->codes[51615] = 0x0000d0bd4fc1d71eUL;
   tf->codes[51616] = 0x0000efba6966743bUL;
   tf->codes[51617] = 0x0001ab707198020cUL;
   tf->codes[51618] = 0x0001b6cc04ff7a8fUL;
   tf->codes[51619] = 0x0001e3d02f62e78bUL;
   tf->codes[51620] = 0x0000010fb0b79d9cUL;
   tf->codes[51621] = 0x00002404e00656fbUL;
   tf->codes[51622] = 0x00004e658ea0368aUL;
   tf->codes[51623] = 0x00004f5cd48f9367UL;
   tf->codes[51624] = 0x0000bf9e80def927UL;
   tf->codes[51625] = 0x00012e28c1f413a2UL;
   tf->codes[51626] = 0x000151db1d4a7068UL;
   tf->codes[51627] = 0x0001d29db4741966UL;
   tf->codes[51628] = 0x0001d75a0d778beaUL;
   tf->codes[51629] = 0x0001fa1313d757e6UL;
   tf->codes[51630] = 0x000002ef4fbad292UL;
   tf->codes[51631] = 0x00005af7b62d3c54UL;
   tf->codes[51632] = 0x000060a0cf6d024fUL;
   tf->codes[51633] = 0x00006c0798349587UL;
   tf->codes[51634] = 0x000079a98e036f44UL;
   tf->codes[51635] = 0x000092e589bee899UL;
   tf->codes[51636] = 0x0000a51d6ab56b92UL;
   tf->codes[51637] = 0x0000ee924d612ef7UL;
   tf->codes[51638] = 0x000117c3360d2096UL;
   tf->codes[51639] = 0x000136270d60a41dUL;
   tf->codes[51640] = 0x00019ccaf9277e2bUL;
   tf->codes[51641] = 0x00000b0aa81b3fc8UL;
   tf->codes[51642] = 0x0000c081fdac4a58UL;
   tf->codes[51643] = 0x00011173126bd91aUL;
   tf->codes[51644] = 0x000116c9d28b820dUL;
   tf->codes[51645] = 0x000119ec42669191UL;
   tf->codes[51646] = 0x000194a9912a5f75UL;
   tf->codes[51647] = 0x0001d63a681e1c1fUL;
   tf->codes[51648] = 0x0000f245e0e972a4UL;
   tf->codes[51649] = 0x00012088ea1a4a5aUL;
   tf->codes[51650] = 0x0001a87a9d112660UL;
   tf->codes[51651] = 0x0001c1e99b62a650UL;
   tf->codes[51652] = 0x00001f20ba2fc75aUL;
   tf->codes[51653] = 0x00002b251de5e1c7UL;
   tf->codes[51654] = 0x0000d27f6d15f298UL;
   tf->codes[51655] = 0x000113b69908d99aUL;
   tf->codes[51656] = 0x00011a1eed5776e9UL;
   tf->codes[51657] = 0x00011ca730a555c3UL;
   tf->codes[51658] = 0x000138954bebcdc5UL;
   tf->codes[51659] = 0x000141939d0da41aUL;
   tf->codes[51660] = 0x000151f7406504d8UL;
   tf->codes[51661] = 0x0001608a4f0d9fabUL;
   tf->codes[51662] = 0x000165af31625edcUL;
   tf->codes[51663] = 0x0001966ed362ef2dUL;
   tf->codes[51664] = 0x000044b5733d9e52UL;
   tf->codes[51665] = 0x00008e3849fdc1a8UL;
   tf->codes[51666] = 0x0000e1da1eee2c79UL;
   tf->codes[51667] = 0x0000f0af839b5076UL;
   tf->codes[51668] = 0x0000fa9258dcaa8eUL;
   tf->codes[51669] = 0x000133acbe89f3fdUL;
   tf->codes[51670] = 0x00014922bcf54097UL;
   tf->codes[51671] = 0x00016ebf10fde3b3UL;
   tf->codes[51672] = 0x0001871fe981c5d2UL;
   tf->codes[51673] = 0x0001b0d284f37ec4UL;
   tf->codes[51674] = 0x000025824f34a1daUL;
   tf->codes[51675] = 0x00002c3570339dccUL;
   tf->codes[51676] = 0x00002fbab16869c0UL;
   tf->codes[51677] = 0x000030af73328726UL;
   tf->codes[51678] = 0x00008a217eeb9289UL;
   tf->codes[51679] = 0x000112a1044467abUL;
   tf->codes[51680] = 0x00019018aeb003f0UL;
   tf->codes[51681] = 0x0001a75da7e0ee12UL;
   tf->codes[51682] = 0x0001db3c4b5b375cUL;
   tf->codes[51683] = 0x0000a60122749151UL;
   tf->codes[51684] = 0x0000ce06d85f0864UL;
   tf->codes[51685] = 0x0000f06b017977e1UL;
   tf->codes[51686] = 0x00016c316dc064a8UL;
   tf->codes[51687] = 0x0001709665593b36UL;
   tf->codes[51688] = 0x00002eff0233d33eUL;
   tf->codes[51689] = 0x00004d9a6f49d0c4UL;
   tf->codes[51690] = 0x00004f80bf0bbacaUL;
   tf->codes[51691] = 0x00008ba3bb7287c8UL;
   tf->codes[51692] = 0x0000cc3f960d2147UL;
   tf->codes[51693] = 0x000148b156c7ef6fUL;
   tf->codes[51694] = 0x0001933f5a126595UL;
   tf->codes[51695] = 0x00019590f1d9e184UL;
   tf->codes[51696] = 0x0001dc024616a048UL;
   tf->codes[51697] = 0x0001fcce1ff1d528UL;
   tf->codes[51698] = 0x0000099d2ea5e763UL;
   tf->codes[51699] = 0x0000d9cc375bd4b4UL;
   tf->codes[51700] = 0x00011172e72d7ea6UL;
   tf->codes[51701] = 0x00012f880e514175UL;
   tf->codes[51702] = 0x00014a6fcac8dfd0UL;
   tf->codes[51703] = 0x0001783e659b3ed5UL;
   tf->codes[51704] = 0x0001805b666fe22dUL;
   tf->codes[51705] = 0x0001c817f3a54339UL;
   tf->codes[51706] = 0x0001fc0e26aadec6UL;
   tf->codes[51707] = 0x00001998e9cdff04UL;
   tf->codes[51708] = 0x000025153319b092UL;
   tf->codes[51709] = 0x000043baeb53b1b9UL;
   tf->codes[51710] = 0x00009c86e572606eUL;
   tf->codes[51711] = 0x0000e49556a9d2f8UL;
   tf->codes[51712] = 0x0000e65bdac39b07UL;
   tf->codes[51713] = 0x0000f70f5315d956UL;
   tf->codes[51714] = 0x0001250d478de2a6UL;
   tf->codes[51715] = 0x00013036c29b6ba2UL;
   tf->codes[51716] = 0x00014d97a9816c0dUL;
   tf->codes[51717] = 0x0001745a9d1f1651UL;
   tf->codes[51718] = 0x00001541d7be7aa8UL;
   tf->codes[51719] = 0x00002102fb33f4d7UL;
   tf->codes[51720] = 0x0000235fc85b8b7bUL;
   tf->codes[51721] = 0x00006185373c0826UL;
   tf->codes[51722] = 0x0000abfa4ba1096bUL;
   tf->codes[51723] = 0x0000ea6b716dfbcdUL;
   tf->codes[51724] = 0x0000fd7e007e0a72UL;
   tf->codes[51725] = 0x000119ce7800335aUL;
   tf->codes[51726] = 0x000128046d46a1faUL;
   tf->codes[51727] = 0x0001768bab06513bUL;
   tf->codes[51728] = 0x00018e70139df0baUL;
   tf->codes[51729] = 0x00001ab29d03a796UL;
   tf->codes[51730] = 0x000048e8273e2ae5UL;
   tf->codes[51731] = 0x000060ba4323fcd4UL;
   tf->codes[51732] = 0x00007be41b111e94UL;
   tf->codes[51733] = 0x000117515b876176UL;
   tf->codes[51734] = 0x00012e20c18eb60eUL;
   tf->codes[51735] = 0x00012fc5a5882dfeUL;
   tf->codes[51736] = 0x00013380a80745c9UL;
   tf->codes[51737] = 0x00014e490df4cdb7UL;
   tf->codes[51738] = 0x0001775388c4f60eUL;
   tf->codes[51739] = 0x0000246f6afc3631UL;
   tf->codes[51740] = 0x00004ecdcfffdc0eUL;
   tf->codes[51741] = 0x0000a741f395e343UL;
   tf->codes[51742] = 0x000107db198e57bfUL;
   tf->codes[51743] = 0x000135e05fe719afUL;
   tf->codes[51744] = 0x00017ead5c80523eUL;
   tf->codes[51745] = 0x00019db2b241bf0fUL;
   tf->codes[51746] = 0x0001aa794a49fbd1UL;
   tf->codes[51747] = 0x000048cb72523e36UL;
   tf->codes[51748] = 0x0000721e703c8b7eUL;
   tf->codes[51749] = 0x0000824ffb39fcb5UL;
   tf->codes[51750] = 0x0001327ebf4ec408UL;
   tf->codes[51751] = 0x00015f923d20b393UL;
   tf->codes[51752] = 0x00018dbe66734a55UL;
   tf->codes[51753] = 0x0001bc329dc1fa7eUL;
   tf->codes[51754] = 0x0001c4c9ff7bac89UL;
   tf->codes[51755] = 0x0001ea3a683ffbe5UL;
   tf->codes[51756] = 0x00005bde2d6644e1UL;
   tf->codes[51757] = 0x0000982f5ea79f51UL;
   tf->codes[51758] = 0x0000f9ed8a4bf292UL;
   tf->codes[51759] = 0x0001c2b98a628f2cUL;
   tf->codes[51760] = 0x0000a5fde0dcd05eUL;
   tf->codes[51761] = 0x000112f1a72ade64UL;
   tf->codes[51762] = 0x00015a71d0e24c48UL;
   tf->codes[51763] = 0x0000062a3ae88691UL;
   tf->codes[51764] = 0x0000b3e810abbb88UL;
   tf->codes[51765] = 0x000125ffcf1271abUL;
   tf->codes[51766] = 0x0001bde584bdaee7UL;
   tf->codes[51767] = 0x00000c5fb8a5154bUL;
   tf->codes[51768] = 0x00004b5bb790b5c8UL;
   tf->codes[51769] = 0x0000539c678cdd2cUL;
   tf->codes[51770] = 0x0000584d50a12f36UL;
   tf->codes[51771] = 0x0000bd58780ac31dUL;
   tf->codes[51772] = 0x0000c66273aabfb1UL;
   tf->codes[51773] = 0x0000ebfd2dca3a6aUL;
   tf->codes[51774] = 0x00014cbf8052bd6aUL;
   tf->codes[51775] = 0x00017bd0a2e2e379UL;
   tf->codes[51776] = 0x0001bd322030f5d8UL;
   tf->codes[51777] = 0x0000d0106352d747UL;
   tf->codes[51778] = 0x0001056df208dac3UL;
   tf->codes[51779] = 0x00011e6722a1bf64UL;
   tf->codes[51780] = 0x000143a4fdee13afUL;
   tf->codes[51781] = 0x000148f172e9b901UL;
   tf->codes[51782] = 0x00017067476b030bUL;
   tf->codes[51783] = 0x0001810629753a18UL;
   tf->codes[51784] = 0x0001e39b5a42bcb5UL;
   tf->codes[51785] = 0x00005a94459f8641UL;
   tf->codes[51786] = 0x0000c4a74269fc9eUL;
   tf->codes[51787] = 0x0001454df16ae5baUL;
   tf->codes[51788] = 0x0001bb5cdb3fa10bUL;
   tf->codes[51789] = 0x0001d151932d69f7UL;
   tf->codes[51790] = 0x0000051e2484eb76UL;
   tf->codes[51791] = 0x0000117f670e2c51UL;
   tf->codes[51792] = 0x00006315a32c00adUL;
   tf->codes[51793] = 0x00006b47e9f5bc96UL;
   tf->codes[51794] = 0x0000ab66a4f70226UL;
   tf->codes[51795] = 0x0000d76e81209357UL;
   tf->codes[51796] = 0x0000e7f34f7a38aaUL;
   tf->codes[51797] = 0x00010958e0c492aaUL;
   tf->codes[51798] = 0x000147547367ef82UL;
   tf->codes[51799] = 0x00018c7c9db33febUL;
   tf->codes[51800] = 0x00018da4621363ecUL;
   tf->codes[51801] = 0x0001aefe0e5091e8UL;
   tf->codes[51802] = 0x0001e9a79ce42f2cUL;
   tf->codes[51803] = 0x00000cae6937a4ccUL;
   tf->codes[51804] = 0x000038e31ae1a0d1UL;
   tf->codes[51805] = 0x00007c71969393ffUL;
   tf->codes[51806] = 0x000086a4f07cdcf7UL;
   tf->codes[51807] = 0x0000a6abd751aa46UL;
   tf->codes[51808] = 0x0000bad3de100f5cUL;
   tf->codes[51809] = 0x00012c2f953a3ef1UL;
   tf->codes[51810] = 0x000147b82072b547UL;
   tf->codes[51811] = 0x00016cd2c1b59110UL;
   tf->codes[51812] = 0x00018c05d7337fc9UL;
   tf->codes[51813] = 0x0001ae811abb35ffUL;
   tf->codes[51814] = 0x00003922de35dcc5UL;
   tf->codes[51815] = 0x000040d19dc1a333UL;
   tf->codes[51816] = 0x000060f1737be563UL;
   tf->codes[51817] = 0x00009d155a1ec975UL;
   tf->codes[51818] = 0x0000ba16a37d5e36UL;
   tf->codes[51819] = 0x0000c619a7d95605UL;
   tf->codes[51820] = 0x0000da952c82f4fcUL;
   tf->codes[51821] = 0x0001205ba169dde9UL;
   tf->codes[51822] = 0x000141c132b437e9UL;
   tf->codes[51823] = 0x00014868a9350d9cUL;
   tf->codes[51824] = 0x0001714613f5c55aUL;
   tf->codes[51825] = 0x0001b7beba133cbeUL;
   tf->codes[51826] = 0x0001f0bdacb5d1d5UL;
   tf->codes[51827] = 0x0001f41a36789acfUL;
   tf->codes[51828] = 0x0001fd9cbe8577eeUL;
   tf->codes[51829] = 0x000048466f69a831UL;
   tf->codes[51830] = 0x00005818d1fdb948UL;
   tf->codes[51831] = 0x000070e1beb4dc8aUL;
   tf->codes[51832] = 0x0000d7b5ee5d77f7UL;
   tf->codes[51833] = 0x00013531e75461a2UL;
   tf->codes[51834] = 0x0001666498594806UL;
   tf->codes[51835] = 0x00017407ed824461UL;
   tf->codes[51836] = 0x00017bf08c66be80UL;
   tf->codes[51837] = 0x00003cd42827e6c0UL;
   tf->codes[51838] = 0x000063695c090f1cUL;
   tf->codes[51839] = 0x00007d57fe192272UL;
   tf->codes[51840] = 0x000080c2b67f5122UL;
   tf->codes[51841] = 0x0000f03d60c11b64UL;
   tf->codes[51842] = 0x000125689c8e2994UL;
   tf->codes[51843] = 0x00014ec8a450bfb9UL;
   tf->codes[51844] = 0x0001749785d15de6UL;
   tf->codes[51845] = 0x0001a6c97e536b16UL;
   tf->codes[51846] = 0x0001b92499536691UL;
   tf->codes[51847] = 0x00000077786c5e17UL;
   tf->codes[51848] = 0x00004c05e7ff17e2UL;
   tf->codes[51849] = 0x00008175fdf5eeb3UL;
   tf->codes[51850] = 0x000095d4eac9bc79UL;
   tf->codes[51851] = 0x0000c5b9deb0c11eUL;
   tf->codes[51852] = 0x0000d71d793259f7UL;
   tf->codes[51853] = 0x0000d94b9c61579fUL;
   tf->codes[51854] = 0x00015ed0f43314adUL;
   tf->codes[51855] = 0x000171eeb8a33e07UL;
   tf->codes[51856] = 0x0001c48317731c56UL;
   tf->codes[51857] = 0x0001cfad7cbcbc66UL;
   tf->codes[51858] = 0x0001d96466b9c2beUL;
   tf->codes[51859] = 0x00006a458c81fe14UL;
   tf->codes[51860] = 0x00007f9ce4104590UL;
   tf->codes[51861] = 0x000089c15fa91783UL;
   tf->codes[51862] = 0x0000a33d67d2e050UL;
   tf->codes[51863] = 0x0000a426448fd1b2UL;
   tf->codes[51864] = 0x0001b426b7716679UL;
   tf->codes[51865] = 0x0001be13d7d6c432UL;
   tf->codes[51866] = 0x0001c8ea84a6249cUL;
   tf->codes[51867] = 0x00001de3b22b637eUL;
   tf->codes[51868] = 0x00001f4d92010ae4UL;
   tf->codes[51869] = 0x0000309babfe8567UL;
   tf->codes[51870] = 0x0000aeca555c294cUL;
   tf->codes[51871] = 0x0000f79a4b38acdcUL;
   tf->codes[51872] = 0x0001213ef29605ddUL;
   tf->codes[51873] = 0x0001b2c3a5d35e6aUL;
   tf->codes[51874] = 0x000005e945668c60UL;
   tf->codes[51875] = 0x00001704223efa83UL;
   tf->codes[51876] = 0x00003a14ff276dffUL;
   tf->codes[51877] = 0x00006317ed87d7f1UL;
   tf->codes[51878] = 0x0000674ca13eed20UL;
   tf->codes[51879] = 0x00008cf514e3c205UL;
   tf->codes[51880] = 0x0000a1eabfe369eaUL;
   tf->codes[51881] = 0x0000d2111f92e0a5UL;
   tf->codes[51882] = 0x0000dded0665fdddUL;
   tf->codes[51883] = 0x00012a3cfa9dc8aeUL;
   tf->codes[51884] = 0x00012fe6c38a9ff8UL;
   tf->codes[51885] = 0x0001ed8823c896bdUL;
   tf->codes[51886] = 0x000010bb15ef65e2UL;
   tf->codes[51887] = 0x00001658bf400b63UL;
   tf->codes[51888] = 0x000042844a9120a0UL;
   tf->codes[51889] = 0x000054971d05fcefUL;
   tf->codes[51890] = 0x0000fbeaca02666fUL;
   tf->codes[51891] = 0x00010712e5b5cccdUL;
   tf->codes[51892] = 0x000132e993c1858bUL;
   tf->codes[51893] = 0x0001a0d49ffef06eUL;
   tf->codes[51894] = 0x0001a3a2a7b2aefdUL;
   tf->codes[51895] = 0x0001ac0a7537b0f8UL;
   tf->codes[51896] = 0x00003cf1186876c6UL;
   tf->codes[51897] = 0x00009c950778c252UL;
   tf->codes[51898] = 0x0000f053743efe54UL;
   tf->codes[51899] = 0x00015ae23148a602UL;
   tf->codes[51900] = 0x0001b5c2b003cc2fUL;
   tf->codes[51901] = 0x0001c2196cda03a4UL;
   tf->codes[51902] = 0x0001c93fd76c5b6eUL;
   tf->codes[51903] = 0x0001f6ee6c0792b7UL;
   tf->codes[51904] = 0x0000aec3ee1a5689UL;
   tf->codes[51905] = 0x00012a9c31f50556UL;
   tf->codes[51906] = 0x000155ddf64d121dUL;
   tf->codes[51907] = 0x000194a767c0b789UL;
   tf->codes[51908] = 0x00006b865da35006UL;
   tf->codes[51909] = 0x00006da6522ee7f8UL;
   tf->codes[51910] = 0x0000a96a60bb5a9bUL;
   tf->codes[51911] = 0x000112dffd264f88UL;
   tf->codes[51912] = 0x00014cfcde231089UL;
   tf->codes[51913] = 0x0001f7ffa89165d0UL;
   tf->codes[51914] = 0x00000676cf1140c1UL;
   tf->codes[51915] = 0x00000cb92aa22052UL;
   tf->codes[51916] = 0x0000100f874f4d85UL;
   tf->codes[51917] = 0x0000127b32c75b2eUL;
   tf->codes[51918] = 0x000073646849b300UL;
   tf->codes[51919] = 0x00009ae02f51930cUL;
   tf->codes[51920] = 0x0000aab934194b74UL;
   tf->codes[51921] = 0x00015382e0878e23UL;
   tf->codes[51922] = 0x00017bf194e15d6dUL;
   tf->codes[51923] = 0x000195b5ab073fa1UL;
   tf->codes[51924] = 0x00019fac66e38facUL;
   tf->codes[51925] = 0x0001d0343892a039UL;
   tf->codes[51926] = 0x0001fc64919f2e9fUL;
   tf->codes[51927] = 0x00004f19a65345f9UL;
   tf->codes[51928] = 0x000071c65287da67UL;
   tf->codes[51929] = 0x0000c3d2d17c559cUL;
   tf->codes[51930] = 0x0000c7efbb1912c3UL;
   tf->codes[51931] = 0x0000fbd7fa0a4e5fUL;
   tf->codes[51932] = 0x0001563566a58a9bUL;
   tf->codes[51933] = 0x00017d85426916e7UL;
   tf->codes[51934] = 0x0001842700f25c5dUL;
   tf->codes[51935] = 0x0001a83083244f54UL;
   tf->codes[51936] = 0x0001c55665e67f35UL;
   tf->codes[51937] = 0x00002d60fdb0afe3UL;
   tf->codes[51938] = 0x00003d0da2160901UL;
   tf->codes[51939] = 0x000073a36d65cfe6UL;
   tf->codes[51940] = 0x00007421ec594673UL;
   tf->codes[51941] = 0x00014a150c3ba28dUL;
   tf->codes[51942] = 0x00017ebd35e8c6ccUL;
   tf->codes[51943] = 0x00018573ffd81f0eUL;
   tf->codes[51944] = 0x0001ed6aeb965f8eUL;
   tf->codes[51945] = 0x0001fbea88c20ff8UL;
   tf->codes[51946] = 0x00001767a40b65d4UL;
   tf->codes[51947] = 0x000041123def54d7UL;
   tf->codes[51948] = 0x0000504da7c8860aUL;
   tf->codes[51949] = 0x0000b569476bb959UL;
   tf->codes[51950] = 0x0000c3fabc2b2bc9UL;
   tf->codes[51951] = 0x000149da6eaacfceUL;
   tf->codes[51952] = 0x0001734ff6f18449UL;
   tf->codes[51953] = 0x0001bd1f6eda346aUL;
   tf->codes[51954] = 0x0001f20bc3040ffbUL;
   tf->codes[51955] = 0x0000de6b0275f8b3UL;
   tf->codes[51956] = 0x00011315009b4b1aUL;
   tf->codes[51957] = 0x00013e8c4bae9df3UL;
   tf->codes[51958] = 0x00013f0b3fc0200aUL;
   tf->codes[51959] = 0x000141bbc561f654UL;
   tf->codes[51960] = 0x000150fb87d89526UL;
   tf->codes[51961] = 0x000160ed40f6bcaaUL;
   tf->codes[51962] = 0x00018f316ef2b139UL;
   tf->codes[51963] = 0x0001dc87c1f955b1UL;
   tf->codes[51964] = 0x000002aa96833949UL;
   tf->codes[51965] = 0x000059f0c8a380b6UL;
   tf->codes[51966] = 0x00005f2ab65e52b3UL;
   tf->codes[51967] = 0x00007e82da5de816UL;
   tf->codes[51968] = 0x000088a805a3cb58UL;
   tf->codes[51969] = 0x0001442eb42faedeUL;
   tf->codes[51970] = 0x00015325b8fd22faUL;
   tf->codes[51971] = 0x0001752cc8b56644UL;
   tf->codes[51972] = 0x0001d0931844bb9eUL;
   tf->codes[51973] = 0x000009a5b6f340e3UL;
   tf->codes[51974] = 0x000015a9e01a558bUL;
   tf->codes[51975] = 0x000071e4eb3ca08fUL;
   tf->codes[51976] = 0x000091bced89cf1dUL;
   tf->codes[51977] = 0x0000a7648f30ffb4UL;
   tf->codes[51978] = 0x0000e83e6732b4beUL;
   tf->codes[51979] = 0x00013a46c818c819UL;
   tf->codes[51980] = 0x00016979ffe749d1UL;
   tf->codes[51981] = 0x00017ca3e3f3a4f4UL;
   tf->codes[51982] = 0x000199028a193392UL;
   tf->codes[51983] = 0x0000487c23b4216dUL;
   tf->codes[51984] = 0x00005f116fd3bc8fUL;
   tf->codes[51985] = 0x0000686b7afd9c79UL;
   tf->codes[51986] = 0x0000b57cf3da7850UL;
   tf->codes[51987] = 0x0000be6a57a4a3b3UL;
   tf->codes[51988] = 0x0000ea8cbc9cd228UL;
   tf->codes[51989] = 0x0001384705c84fe9UL;
   tf->codes[51990] = 0x00019e8c3e43d561UL;
   tf->codes[51991] = 0x0001caaf8d781aeaUL;
   tf->codes[51992] = 0x0000043d3cb8c031UL;
   tf->codes[51993] = 0x000020a7183e6984UL;
   tf->codes[51994] = 0x000030fbdd45533dUL;
   tf->codes[51995] = 0x0000e57ac81be417UL;
   tf->codes[51996] = 0x0001c747853b23b7UL;
   tf->codes[51997] = 0x0001ded5018632caUL;
   tf->codes[51998] = 0x00000a4aed3f6305UL;
   tf->codes[51999] = 0x000051a3f96df652UL;
   tf->codes[52000] = 0x00005e74a20b30f0UL;
   tf->codes[52001] = 0x00006d94d368b390UL;
   tf->codes[52002] = 0x000100fbf2e8940eUL;
   tf->codes[52003] = 0x000120a71fb557c8UL;
   tf->codes[52004] = 0x000166280ac566c5UL;
   tf->codes[52005] = 0x0001dd4ca6d77e4cUL;
   tf->codes[52006] = 0x00003a46ed08a0a4UL;
   tf->codes[52007] = 0x0000600e7ca88631UL;
   tf->codes[52008] = 0x0000ecc65ea8ccd2UL;
   tf->codes[52009] = 0x00011dd2a1d1e9eeUL;
   tf->codes[52010] = 0x00014b1195ca21afUL;
   tf->codes[52011] = 0x0001bc6844a9d256UL;
   tf->codes[52012] = 0x0001d2b87c109f12UL;
   tf->codes[52013] = 0x0001e19ab0070627UL;
   tf->codes[52014] = 0x00004b5267e77e79UL;
   tf->codes[52015] = 0x00008970bf764849UL;
   tf->codes[52016] = 0x00008e488b846f25UL;
   tf->codes[52017] = 0x00009280ad9cdadfUL;
   tf->codes[52018] = 0x000094a20182956fUL;
   tf->codes[52019] = 0x00009bf0ae68e4a9UL;
   tf->codes[52020] = 0x0000ad899516bdcfUL;
   tf->codes[52021] = 0x0000b5cf4d5d6421UL;
   tf->codes[52022] = 0x0000c25e8a322ca9UL;
   tf->codes[52023] = 0x0000f17e15f4be33UL;
   tf->codes[52024] = 0x00015a8ed1fec2c3UL;
   tf->codes[52025] = 0x000198889029f173UL;
   tf->codes[52026] = 0x0001f671e02da0f4UL;
   tf->codes[52027] = 0x0001fbd18c172aeaUL;
   tf->codes[52028] = 0x0000259c66c1476eUL;
   tf->codes[52029] = 0x000041252c88c389UL;
   tf->codes[52030] = 0x00006abfc3511eaeUL;
   tf->codes[52031] = 0x0000bd5c23aec6ecUL;
   tf->codes[52032] = 0x0000cf0b3a8dcfb7UL;
   tf->codes[52033] = 0x000154d35d822179UL;
   tf->codes[52034] = 0x00015e09446671cdUL;
   tf->codes[52035] = 0x000170186deaf1ccUL;
   tf->codes[52036] = 0x000179e28ed5dcc8UL;
   tf->codes[52037] = 0x0001af16f0fbd1c0UL;
   tf->codes[52038] = 0x0001b8f4f881b2afUL;
   tf->codes[52039] = 0x0001bc151ec68881UL;
   tf->codes[52040] = 0x0001d63e8a6b669cUL;
   tf->codes[52041] = 0x0001fc5997f6860aUL;
   tf->codes[52042] = 0x0000dff4dabd57a8UL;
   tf->codes[52043] = 0x00012fd420beec49UL;
   tf->codes[52044] = 0x00015763ce61c248UL;
   tf->codes[52045] = 0x0001c34132c562c9UL;
   tf->codes[52046] = 0x0001d49629858a62UL;
   tf->codes[52047] = 0x0001dd01656be2e8UL;
   tf->codes[52048] = 0x00001d540d3f4627UL;
   tf->codes[52049] = 0x00003b76b3595d5dUL;
   tf->codes[52050] = 0x00006f3b08940f28UL;
   tf->codes[52051] = 0x0000c36aafe67315UL;
   tf->codes[52052] = 0x0000efdbc50e6242UL;
   tf->codes[52053] = 0x00015242fb905d32UL;
   tf->codes[52054] = 0x00017de791422669UL;
   tf->codes[52055] = 0x00018a870bc18894UL;
   tf->codes[52056] = 0x000193964a3b09dbUL;
   tf->codes[52057] = 0x0001b4e5ab543436UL;
   tf->codes[52058] = 0x00005b7081cad410UL;
   tf->codes[52059] = 0x00008a5f548d98b1UL;
   tf->codes[52060] = 0x0000ebed76df3058UL;
   tf->codes[52061] = 0x00011a855d55648dUL;
   tf->codes[52062] = 0x000139a208131ddcUL;
   tf->codes[52063] = 0x00016ab9460d4fe8UL;
   tf->codes[52064] = 0x00018cd1f2ca4f73UL;
   tf->codes[52065] = 0x0001e605c68d3986UL;
   tf->codes[52066] = 0x000013cd0f7edfebUL;
   tf->codes[52067] = 0x000031af340c9c1fUL;
   tf->codes[52068] = 0x00005cfcdd71d4eaUL;
   tf->codes[52069] = 0x0000f49eddbe665eUL;
   tf->codes[52070] = 0x00011688e082ccedUL;
   tf->codes[52071] = 0x0001cda42fd13859UL;
   tf->codes[52072] = 0x0001fa8c720be573UL;
   tf->codes[52073] = 0x0000089ef2b9d5ccUL;
   tf->codes[52074] = 0x00002a31cea2a62aUL;
   tf->codes[52075] = 0x00003fbf220a3f42UL;
   tf->codes[52076] = 0x000071fe2464954fUL;
   tf->codes[52077] = 0x000091d1ce14563eUL;
   tf->codes[52078] = 0x0000ba22c5cd377eUL;
   tf->codes[52079] = 0x0000e7297455e3f1UL;
   tf->codes[52080] = 0x000157ff953aea1eUL;
   tf->codes[52081] = 0x0001c6bbeea9f420UL;
   tf->codes[52082] = 0x0001d70ac12a47d7UL;
   tf->codes[52083] = 0x0001f804cfe00a29UL;
   tf->codes[52084] = 0x000005bf7a055302UL;
   tf->codes[52085] = 0x00002db0d436c898UL;
   tf->codes[52086] = 0x00005c1ea3e0d735UL;
   tf->codes[52087] = 0x000066305da9d00eUL;
   tf->codes[52088] = 0x000077b5984bb906UL;
   tf->codes[52089] = 0x0000b8ffc09d7ee7UL;
   tf->codes[52090] = 0x0000d10728af9123UL;
   tf->codes[52091] = 0x0001390fb1728de4UL;
   tf->codes[52092] = 0x0001630c69e7942aUL;
   tf->codes[52093] = 0x00017943b268ec05UL;
   tf->codes[52094] = 0x0001b2bc90d28445UL;
   tf->codes[52095] = 0x000063757e58e864UL;
   tf->codes[52096] = 0x00011f329ddc2910UL;
   tf->codes[52097] = 0x0001a2e21e259b80UL;
   tf->codes[52098] = 0x0001df3cb04ee27dUL;
   tf->codes[52099] = 0x0001e25f2029f201UL;
   tf->codes[52100] = 0x0001e580a5c8ea71UL;
   tf->codes[52101] = 0x0000164933935bc5UL;
   tf->codes[52102] = 0x00004898390945b0UL;
   tf->codes[52103] = 0x0000a1eed1b79cbbUL;
   tf->codes[52104] = 0x0001432e928cb9e1UL;
   tf->codes[52105] = 0x0001739364c157b1UL;
   tf->codes[52106] = 0x0001c520056839bbUL;
   tf->codes[52107] = 0x0001ee0d73448557UL;
   tf->codes[52108] = 0x0001f7874a168738UL;
   tf->codes[52109] = 0x00000cd0ad906ec3UL;
   tf->codes[52110] = 0x0000295beea76270UL;
   tf->codes[52111] = 0x000061f0f89e883cUL;
   tf->codes[52112] = 0x00008773e8a3aaedUL;
   tf->codes[52113] = 0x0000a25b2ffd3dbeUL;
   tf->codes[52114] = 0x0000ba3c9f51923cUL;
   tf->codes[52115] = 0x0000c4f51a61f912UL;
   tf->codes[52116] = 0x0000ee9618cef5c3UL;
   tf->codes[52117] = 0x0000f52e3be148e7UL;
   tf->codes[52118] = 0x0000fdcec3f3e1baUL;
   tf->codes[52119] = 0x000136ba7fa8922dUL;
   tf->codes[52120] = 0x0001446d62cf16dcUL;
   tf->codes[52121] = 0x00017f5b90fd76fcUL;
   tf->codes[52122] = 0x0001cb380112e030UL;
   tf->codes[52123] = 0x0001f1e65e688332UL;
   tf->codes[52124] = 0x00001bb557210790UL;
   tf->codes[52125] = 0x000029928ba2b79cUL;
   tf->codes[52126] = 0x0000455cf7c1ab92UL;
   tf->codes[52127] = 0x00005808224b8a63UL;
   tf->codes[52128] = 0x00007623b113eebeUL;
   tf->codes[52129] = 0x0000e251d4ae83e4UL;
   tf->codes[52130] = 0x0000eede1840016bUL;
   tf->codes[52131] = 0x00010ad67eaa7d0eUL;
   tf->codes[52132] = 0x00016e6ccb6d549fUL;
   tf->codes[52133] = 0x000174fc02b5c6c0UL;
   tf->codes[52134] = 0x0001f4568e81f680UL;
   tf->codes[52135] = 0x00002751d2a7d8e0UL;
   tf->codes[52136] = 0x000056cf6208adb1UL;
   tf->codes[52137] = 0x0000b5a4fd2aa51fUL;
   tf->codes[52138] = 0x0000ca5f2ee870f0UL;
   tf->codes[52139] = 0x00013c7bbb0aa03cUL;
   tf->codes[52140] = 0x00019a7c600a9c3bUL;
   tf->codes[52141] = 0x00000fbeca693196UL;
   tf->codes[52142] = 0x000015bf7fa2994cUL;
   tf->codes[52143] = 0x00004625ebc05f7fUL;
   tf->codes[52144] = 0x000083b3028bd9a8UL;
   tf->codes[52145] = 0x0000b7872053198cUL;
   tf->codes[52146] = 0x0001275e3449feb2UL;
   tf->codes[52147] = 0x000053919c9bd41cUL;
   tf->codes[52148] = 0x000057dfeee56f7bUL;
   tf->codes[52149] = 0x0000b1ab308144fcUL;
   tf->codes[52150] = 0x0000f8ea9e1d5219UL;
   tf->codes[52151] = 0x0000fd4460560df2UL;
   tf->codes[52152] = 0x000110cf7bd2fd22UL;
   tf->codes[52153] = 0x00012787c76d0b01UL;
   tf->codes[52154] = 0x000172e4ce52e694UL;
   tf->codes[52155] = 0x0001cb654c142557UL;
   tf->codes[52156] = 0x0001f8cb98243d74UL;
   tf->codes[52157] = 0x00008ce891cb08b9UL;
   tf->codes[52158] = 0x00009a945d9fda8dUL;
   tf->codes[52159] = 0x0000ac6464f22228UL;
   tf->codes[52160] = 0x0000d90c602f7a05UL;
   tf->codes[52161] = 0x0000f779234cde8fUL;
   tf->codes[52162] = 0x0001303bb271807eUL;
   tf->codes[52163] = 0x00016fb0ed7712d5UL;
   tf->codes[52164] = 0x000178877162fd44UL;
   tf->codes[52165] = 0x00019fa61f08b11dUL;
   tf->codes[52166] = 0x0001c1613d4578ebUL;
   tf->codes[52167] = 0x0001e3dcbb5c34e6UL;
   tf->codes[52168] = 0x00001ba336d600cfUL;
   tf->codes[52169] = 0x000042520949af5bUL;
   tf->codes[52170] = 0x000064c6357fb2b6UL;
   tf->codes[52171] = 0x0000b2082ccd55b1UL;
   tf->codes[52172] = 0x000156a561a152e5UL;
   tf->codes[52173] = 0x0001afa7ccb75ec0UL;
   tf->codes[52174] = 0x0001b159f5182552UL;
   tf->codes[52175] = 0x0001bbaeef21be69UL;
   tf->codes[52176] = 0x00001e684434d09cUL;
   tf->codes[52177] = 0x0000366e4cecc03aUL;
   tf->codes[52178] = 0x000036aab06ab362UL;
   tf->codes[52179] = 0x00003d15c36d95edUL;
   tf->codes[52180] = 0x00004fa505ceb4dcUL;
   tf->codes[52181] = 0x00005fbcf2399fe3UL;
   tf->codes[52182] = 0x0000966e6b2320e5UL;
   tf->codes[52183] = 0x0000a0d0e4230e63UL;
   tf->codes[52184] = 0x00016d1bf858db2aUL;
   tf->codes[52185] = 0x00017309018652b2UL;
   tf->codes[52186] = 0x00017fe888740455UL;
   tf->codes[52187] = 0x0001c0e2a13be6e0UL;
   tf->codes[52188] = 0x000073f269634ba1UL;
   tf->codes[52189] = 0x0000a05d16e69942UL;
   tf->codes[52190] = 0x0000cca2f07745feUL;
   tf->codes[52191] = 0x0000d335d0b0146fUL;
   tf->codes[52192] = 0x00012e920faa6bedUL;
   tf->codes[52193] = 0x00019ea5c1ae4a00UL;
   tf->codes[52194] = 0x0001c9b9512bc955UL;
   tf->codes[52195] = 0x00003f001427cc4fUL;
   tf->codes[52196] = 0x00004894ae577139UL;
   tf->codes[52197] = 0x00007f391d68a95eUL;
   tf->codes[52198] = 0x00009c88a1d8f34dUL;
   tf->codes[52199] = 0x00009e28b816f214UL;
   tf->codes[52200] = 0x0000a32a25d332feUL;
   tf->codes[52201] = 0x0000b30a41ec9e41UL;
   tf->codes[52202] = 0x000134ca118c3a1eUL;
   tf->codes[52203] = 0x00018c897fc67365UL;
   tf->codes[52204] = 0x000195306f7dadc4UL;
   tf->codes[52205] = 0x0001ae5f26d1d877UL;
   tf->codes[52206] = 0x0001be82bdbae9bdUL;
   tf->codes[52207] = 0x0001ffdf6d4d82f3UL;
   tf->codes[52208] = 0x0000239aeefcc681UL;
   tf->codes[52209] = 0x00002a042d877ae4UL;
   tf->codes[52210] = 0x0000321842923d39UL;
   tf->codes[52211] = 0x00003683dc5ebb18UL;
   tf->codes[52212] = 0x00003c883a887f1eUL;
   tf->codes[52213] = 0x00004c0759c05c19UL;
   tf->codes[52214] = 0x00006e530913623fUL;
   tf->codes[52215] = 0x00009d487e09ce31UL;
   tf->codes[52216] = 0x0000d3599d5082c2UL;
   tf->codes[52217] = 0x000110b5c08d2a3dUL;
   tf->codes[52218] = 0x000133969422e21fUL;
   tf->codes[52219] = 0x0001847d984d7305UL;
   tf->codes[52220] = 0x0001a486539a6e7cUL;
   tf->codes[52221] = 0x0001b071534d087eUL;
   tf->codes[52222] = 0x0001ee358abcf11cUL;
   tf->codes[52223] = 0x00004313ba558730UL;
   tf->codes[52224] = 0x000085b53b3c2122UL;
   tf->codes[52225] = 0x0000b653b23a6cdeUL;
   tf->codes[52226] = 0x0000dc1e3b1d9d6cUL;
   tf->codes[52227] = 0x00000d0ee6aefc6eUL;
   tf->codes[52228] = 0x0000289896b28f9dUL;
   tf->codes[52229] = 0x00003bae1f05e943UL;
   tf->codes[52230] = 0x000043c617900dadUL;
   tf->codes[52231] = 0x00007d95e2463659UL;
   tf->codes[52232] = 0x00008b51ebc5a1d0UL;
   tf->codes[52233] = 0x00009f76f940bbe5UL;
   tf->codes[52234] = 0x0000b8f7cf25fddbUL;
   tf->codes[52235] = 0x00011d39e57ac257UL;
   tf->codes[52236] = 0x000138a354b82805UL;
   tf->codes[52237] = 0x0001ba0a9e220b13UL;
   tf->codes[52238] = 0x0001d5965d2cd22fUL;
   tf->codes[52239] = 0x0001e96ddf434865UL;
   tf->codes[52240] = 0x000057324315e43bUL;
   tf->codes[52241] = 0x00007da8d01a0779UL;
   tf->codes[52242] = 0x0000c9ed8ef1b795UL;
   tf->codes[52243] = 0x0000faa061a904ceUL;
   tf->codes[52244] = 0x00014560b7dc7040UL;
   tf->codes[52245] = 0x0001d403f1e91fd5UL;
   tf->codes[52246] = 0x000018041d454678UL;
   tf->codes[52247] = 0x000019f5a2674b33UL;
   tf->codes[52248] = 0x000078949202dfb6UL;
   tf->codes[52249] = 0x0000b98f5a77d390UL;
   tf->codes[52250] = 0x00010ed64df0bc16UL;
   tf->codes[52251] = 0x0001346bffc5b7e1UL;
   tf->codes[52252] = 0x000185312940f2e3UL;
   tf->codes[52253] = 0x0001a5fab985ee11UL;
   tf->codes[52254] = 0x0001c9695f7d9f0fUL;
   tf->codes[52255] = 0x0001da187f326fbfUL;
   tf->codes[52256] = 0x00001d1b37899dbeUL;
   tf->codes[52257] = 0x0000527d93fb1a63UL;
   tf->codes[52258] = 0x000077761fff9a83UL;
   tf->codes[52259] = 0x0000e532bcd3722fUL;
   tf->codes[52260] = 0x0001c2cc2595bf3eUL;
   tf->codes[52261] = 0x0001fb4497b713d9UL;
   tf->codes[52262] = 0x00000099bded9469UL;
   tf->codes[52263] = 0x00000cea131f2a52UL;
   tf->codes[52264] = 0x000024930274edbdUL;
   tf->codes[52265] = 0x00002b90b595428dUL;
   tf->codes[52266] = 0x00005c5859239ccdUL;
   tf->codes[52267] = 0x0000634d207a109aUL;
   tf->codes[52268] = 0x0000bcfcb47c2bfeUL;
   tf->codes[52269] = 0x000149e54f7c3f88UL;
   tf->codes[52270] = 0x0001b820a5d29386UL;
   tf->codes[52271] = 0x0001ee8a10bffb21UL;
   tf->codes[52272] = 0x0001fefdb732efbdUL;
   tf->codes[52273] = 0x000040cc50fec22dUL;
   tf->codes[52274] = 0x00008441ddcb407aUL;
   tf->codes[52275] = 0x0000a1624324e5e3UL;
   tf->codes[52276] = 0x0000e69e540b2c3fUL;
   tf->codes[52277] = 0x000120811b2033caUL;
   tf->codes[52278] = 0x000163ca0cfb4d08UL;
   tf->codes[52279] = 0x000024c44e0bb077UL;
   tf->codes[52280] = 0x000046bae58a5459UL;
   tf->codes[52281] = 0x00009285437cf5c2UL;
   tf->codes[52282] = 0x0000e4330f261c61UL;
   tf->codes[52283] = 0x0001310406769d36UL;
   tf->codes[52284] = 0x000170764838e48cUL;
   tf->codes[52285] = 0x000176f248937209UL;
   tf->codes[52286] = 0x0001831b0b1e21d1UL;
   tf->codes[52287] = 0x0001c1fde09547a8UL;
   tf->codes[52288] = 0x0001d2dfc851192eUL;
   tf->codes[52289] = 0x0001d7c8f6d4f686UL;
   tf->codes[52290] = 0x0001e28087a94648UL;
   tf->codes[52291] = 0x00003f1d79e936a8UL;
   tf->codes[52292] = 0x00005bb639f67ebcUL;
   tf->codes[52293] = 0x000071c873f62fedUL;
   tf->codes[52294] = 0x0000fd723028d8bdUL;
   tf->codes[52295] = 0x00014b7dada956adUL;
   tf->codes[52296] = 0x000156dd5f1f370aUL;
   tf->codes[52297] = 0x00016397626d3679UL;
   tf->codes[52298] = 0x00017fb1a3870800UL;
   tf->codes[52299] = 0x00001b1e34503993UL;
   tf->codes[52300] = 0x0000329e6c33fa04UL;
   tf->codes[52301] = 0x0000418951653c57UL;
   tf->codes[52302] = 0x0000b12fac5c5494UL;
   tf->codes[52303] = 0x0000c110b2b1d6ebUL;
   tf->codes[52304] = 0x0001579f84e64ba0UL;
   tf->codes[52305] = 0x000162507386f411UL;
   tf->codes[52306] = 0x0001f0ca0be58998UL;
   tf->codes[52307] = 0x000049ea339c837dUL;
   tf->codes[52308] = 0x0000ce4b356f7315UL;
   tf->codes[52309] = 0x0000d2814880aae2UL;
   tf->codes[52310] = 0x0001063d270f8734UL;
   tf->codes[52311] = 0x000118d46afe7012UL;
   tf->codes[52312] = 0x000184cf8c02fe9dUL;
   tf->codes[52313] = 0x00019caf26df24f3UL;
   tf->codes[52314] = 0x00019d8541cc3d3bUL;
   tf->codes[52315] = 0x0001b333c0361ae8UL;
   tf->codes[52316] = 0x0000398ef865ea79UL;
   tf->codes[52317] = 0x0000441e46e642cbUL;
   tf->codes[52318] = 0x0000618177627ce8UL;
   tf->codes[52319] = 0x0000707b0055307bUL;
   tf->codes[52320] = 0x000099b8089d53e3UL;
   tf->codes[52321] = 0x0000d68a3cf76457UL;
   tf->codes[52322] = 0x00010526417c0066UL;
   tf->codes[52323] = 0x00012d747a809c6aUL;
   tf->codes[52324] = 0x00012ffe9246a96cUL;
   tf->codes[52325] = 0x000134c277b9da55UL;
   tf->codes[52326] = 0x00014eb2b3b3160eUL;
   tf->codes[52327] = 0x000162fa86199d1bUL;
   tf->codes[52328] = 0x0001ac8fa98b8e01UL;
   tf->codes[52329] = 0x0001c2419656c239UL;
   tf->codes[52330] = 0x0001c9e1779211a2UL;
   tf->codes[52331] = 0x0001e9963fd5c7aeUL;
   tf->codes[52332] = 0x0001f3b3698de101UL;
   tf->codes[52333] = 0x000055c6727790c1UL;
   tf->codes[52334] = 0x000123b99e79263eUL;
   tf->codes[52335] = 0x00014db8a0846636UL;
   tf->codes[52336] = 0x000162e8656bc791UL;
   tf->codes[52337] = 0x00016e74ec6212c2UL;
   tf->codes[52338] = 0x000170c684298eb1UL;
   tf->codes[52339] = 0x00017ecef442812eUL;
   tf->codes[52340] = 0x00002833b77a0b9bUL;
   tf->codes[52341] = 0x00002d7c0e674913UL;
   tf->codes[52342] = 0x00007fbcef4bed81UL;
   tf->codes[52343] = 0x00009748971ece6cUL;
   tf->codes[52344] = 0x0000abf8089a8b12UL;
   tf->codes[52345] = 0x0000acdab841e0adUL;
   tf->codes[52346] = 0x00010d64c55ad85fUL;
   tf->codes[52347] = 0x0001366828d94ddbUL;
   tf->codes[52348] = 0x0001b004ca8eaa99UL;
   tf->codes[52349] = 0x0001cf6aa8139a28UL;
   tf->codes[52350] = 0x00002d6e0bc7db63UL;
   tf->codes[52351] = 0x000057dbfec90994UL;
   tf->codes[52352] = 0x000071a3bddf4818UL;
   tf->codes[52353] = 0x0000c7863d3f83e6UL;
   tf->codes[52354] = 0x0001237b496ce970UL;
   tf->codes[52355] = 0x00018819c976c8d0UL;
   tf->codes[52356] = 0x00019ad2ad8601cdUL;
   tf->codes[52357] = 0x0001af4ee1dcb213UL;
   tf->codes[52358] = 0x0001e10d563c5da6UL;
   tf->codes[52359] = 0x0001138f39bb446aUL;
   tf->codes[52360] = 0x0001191309ea5df6UL;
   tf->codes[52361] = 0x000151f7e8dc6153UL;
   tf->codes[52362] = 0x00017f28e8c03923UL;
   tf->codes[52363] = 0x00018d366123aa8eUL;
   tf->codes[52364] = 0x0000448e13f00922UL;
   tf->codes[52365] = 0x0000554953410b9bUL;
   tf->codes[52366] = 0x00005ae6c202ab57UL;
   tf->codes[52367] = 0x00006fdbf7e447b2UL;
   tf->codes[52368] = 0x00008cc27de5396aUL;
   tf->codes[52369] = 0x00008e333a7d8de6UL;
   tf->codes[52370] = 0x0000b3e9a236c2bcUL;
   tf->codes[52371] = 0x0000da001c956ec6UL;
   tf->codes[52372] = 0x0000e8b5407c6542UL;
   tf->codes[52373] = 0x00018408a7d11c2fUL;
   tf->codes[52374] = 0x0001ab53f0683517UL;
   tf->codes[52375] = 0x0001af490ccf0658UL;
   tf->codes[52376] = 0x0001f9e71335105cUL;
   tf->codes[52377] = 0x000047a36b67c20aUL;
   tf->codes[52378] = 0x00006e2ae5c3903aUL;
   tf->codes[52379] = 0x00009a781134f596UL;
   tf->codes[52380] = 0x0000e4f4025ca3f1UL;
   tf->codes[52381] = 0x0001395462aed4c7UL;
   tf->codes[52382] = 0x00015ac4b43b3df2UL;
   tf->codes[52383] = 0x0001709df91e5286UL;
   tf->codes[52384] = 0x0001aaee8c5e2b71UL;
   tf->codes[52385] = 0x0001bedc0416cb87UL;
   tf->codes[52386] = 0x0001fc2ae2ec2460UL;
   tf->codes[52387] = 0x000013d1fdc9b9a3UL;
   tf->codes[52388] = 0x000051c9e77cba2bUL;
   tf->codes[52389] = 0x0000802d3173bf62UL;
   tf->codes[52390] = 0x00008adb26d11cd2UL;
   tf->codes[52391] = 0x0000c4be28752a22UL;
   tf->codes[52392] = 0x0001bc9b108ce706UL;
   tf->codes[52393] = 0x0001de19cb4bbbacUL;
   tf->codes[52394] = 0x0000087696663926UL;
   tf->codes[52395] = 0x00003383be3f16efUL;
   tf->codes[52396] = 0x000061ee94a5da8bUL;
   tf->codes[52397] = 0x000073894fcbe1d9UL;
   tf->codes[52398] = 0x000098bdca304997UL;
   tf->codes[52399] = 0x0000a31f938325c6UL;
   tf->codes[52400] = 0x0000ba6e62ba07ffUL;
   tf->codes[52401] = 0x000126e9d72a3b3fUL;
   tf->codes[52402] = 0x000163ba370c1d8bUL;
   tf->codes[52403] = 0x0001647d559a56f4UL;
   tf->codes[52404] = 0x0001720de8f37a35UL;
   tf->codes[52405] = 0x0001a9365460b35fUL;
   tf->codes[52406] = 0x0001eb1da282f4ebUL;
   tf->codes[52407] = 0x0001f2da56231b4aUL;
   tf->codes[52408] = 0x000038f1ff5f0466UL;
   tf->codes[52409] = 0x0000e5925be618fdUL;
   tf->codes[52410] = 0x0000f20f4c0913f5UL;
   tf->codes[52411] = 0x00013e9db2c605dbUL;
   tf->codes[52412] = 0x00014b83dbe75ecfUL;
   tf->codes[52413] = 0x0001b5ee3a1c7122UL;
   tf->codes[52414] = 0x0001ed63bbd042a1UL;
   tf->codes[52415] = 0x0000033a7c8e17beUL;
   tf->codes[52416] = 0x00001c646626c948UL;
   tf->codes[52417] = 0x000023c4b011d4c3UL;
   tf->codes[52418] = 0x00005c61f625ca43UL;
   tf->codes[52419] = 0x000100ceac890053UL;
   tf->codes[52420] = 0x00010db12cb9fcf7UL;
   tf->codes[52421] = 0x000120719d38f459UL;
   tf->codes[52422] = 0x000124e3298c083aUL;
   tf->codes[52423] = 0x00016dda0262609cUL;
   tf->codes[52424] = 0x00017fd50abce4e3UL;
   tf->codes[52425] = 0x0001cf3f6d41f549UL;
   tf->codes[52426] = 0x0001eccd6437664dUL;
   tf->codes[52427] = 0x000045c12b8c00e8UL;
   tf->codes[52428] = 0x00004dd4565aac29UL;
   tf->codes[52429] = 0x0000740b117f85b4UL;
   tf->codes[52430] = 0x0000a5563c4bd56fUL;
   tf->codes[52431] = 0x0000acebd2632137UL;
   tf->codes[52432] = 0x0000f0d6b7ca2f49UL;
   tf->codes[52433] = 0x0000fd4e9fa2ab53UL;
   tf->codes[52434] = 0x00015cff5dfc39f7UL;
   tf->codes[52435] = 0x000168b043c71a83UL;
   tf->codes[52436] = 0x000183f9accd5875UL;
   tf->codes[52437] = 0x0001ac9745aec680UL;
   tf->codes[52438] = 0x0000445da4cfed4fUL;
   tf->codes[52439] = 0x0000609da41876cfUL;
   tf->codes[52440] = 0x000106128dc2b4aeUL;
   tf->codes[52441] = 0x0001393bcc341ebbUL;
   tf->codes[52442] = 0x00014c3de30a8df8UL;
   tf->codes[52443] = 0x00015255b2b13c67UL;
   tf->codes[52444] = 0x00016942d5597f09UL;
   tf->codes[52445] = 0x00017f09586cba83UL;
   tf->codes[52446] = 0x0001c7d8640d26ffUL;
   tf->codes[52447] = 0x0001ed99c69770c5UL;
   tf->codes[52448] = 0x0001fe7a4ef91fadUL;
   tf->codes[52449] = 0x00003a45e9f550b5UL;
   tf->codes[52450] = 0x00006bfbe7a926cfUL;
   tf->codes[52451] = 0x00009c0574f3c694UL;
   tf->codes[52452] = 0x0000dbfac8d5f7dbUL;
   tf->codes[52453] = 0x0000f941617c60c7UL;
   tf->codes[52454] = 0x000178bf27520909UL;
   tf->codes[52455] = 0x00017e8f98a9af60UL;
   tf->codes[52456] = 0x000185bf9eb2f97cUL;
   tf->codes[52457] = 0x000188fdbc27c31dUL;
   tf->codes[52458] = 0x000194509e546062UL;
   tf->codes[52459] = 0x0001ce571490ebf9UL;
   tf->codes[52460] = 0x0001eec6bf460bbaUL;
   tf->codes[52461] = 0x00004c4e9d4a2169UL;
   tf->codes[52462] = 0x00005d451b4dfa31UL;
   tf->codes[52463] = 0x0000ad6348f2c171UL;
   tf->codes[52464] = 0x0000ed5b96183db9UL;
   tf->codes[52465] = 0x00010520a825c6cbUL;
   tf->codes[52466] = 0x00011be96bf97412UL;
   tf->codes[52467] = 0x0001410f429c6a90UL;
   tf->codes[52468] = 0x000169750b2c58d7UL;
   tf->codes[52469] = 0x000180ebe2282cbbUL;
   tf->codes[52470] = 0x0001b312dfd924fbUL;
   tf->codes[52471] = 0x0001eaf99c191e65UL;
   tf->codes[52472] = 0x000006c9c02fa298UL;
   tf->codes[52473] = 0x000018a23e2dbfacUL;
   tf->codes[52474] = 0x00002a5c4fdddd67UL;
   tf->codes[52475] = 0x00002d905cbda92cUL;
   tf->codes[52476] = 0x000037aa52a371b9UL;
   tf->codes[52477] = 0x00003a5a9db6423eUL;
   tf->codes[52478] = 0x000075f57fb2a65dUL;
   tf->codes[52479] = 0x000079c677d3e808UL;
   tf->codes[52480] = 0x0000c508bb5c2092UL;
   tf->codes[52481] = 0x00017c6a442e773dUL;
   tf->codes[52482] = 0x0001d8beb35442acUL;
   tf->codes[52483] = 0x0001fc184de5e0deUL;
   tf->codes[52484] = 0x0001fd513a2cb596UL;
   tf->codes[52485] = 0x00003d3d67b60015UL;
   tf->codes[52486] = 0x000087d6a06090f0UL;
   tf->codes[52487] = 0x0000a2c1cb3985d6UL;
   tf->codes[52488] = 0x0000bb586507b3ccUL;
   tf->codes[52489] = 0x000107b56317c77aUL;
   tf->codes[52490] = 0x000128ba6c9e9ebcUL;
   tf->codes[52491] = 0x00013fb0f02ecdebUL;
   tf->codes[52492] = 0x0001bb83b6a0f240UL;
   tf->codes[52493] = 0x0001c0eff744b989UL;
   tf->codes[52494] = 0x0001c3a33b9ad50fUL;
   tf->codes[52495] = 0x00002d332645617bUL;
   tf->codes[52496] = 0x00003b4aaf3dd0c2UL;
   tf->codes[52497] = 0x00003e889223949eUL;
   tf->codes[52498] = 0x0000425bd3db0ffbUL;
   tf->codes[52499] = 0x000045fe5c92be6fUL;
   tf->codes[52500] = 0x00004e657a6aaf1bUL;
   tf->codes[52501] = 0x0000b258a600ad1aUL;
   tf->codes[52502] = 0x0000b31d990714abUL;
   tf->codes[52503] = 0x0000b76b3ba39ebbUL;
   tf->codes[52504] = 0x00014a78eab1af56UL;
   tf->codes[52505] = 0x00000d52643249f0UL;
   tf->codes[52506] = 0x0000d765f4512c82UL;
   tf->codes[52507] = 0x0000f987c76712d5UL;
   tf->codes[52508] = 0x00013ee4c8c09801UL;
   tf->codes[52509] = 0x0001653ef87defd3UL;
   tf->codes[52510] = 0x0001828222c30234UL;
   tf->codes[52511] = 0x0001a9597219adf5UL;
   tf->codes[52512] = 0x0001f979e954aee7UL;
   tf->codes[52513] = 0x00000093bf2cc95eUL;
   tf->codes[52514] = 0x00007cacf9b1deb7UL;
   tf->codes[52515] = 0x00007d2dfcca94bbUL;
   tf->codes[52516] = 0x000125c605fcf36dUL;
   tf->codes[52517] = 0x00019bffb64ae5a5UL;
   tf->codes[52518] = 0x0001c41743c91ebeUL;
   tf->codes[52519] = 0x0001effdba616595UL;
   tf->codes[52520] = 0x0000718c2154233aUL;
   tf->codes[52521] = 0x0000bdb5a7b024c3UL;
   tf->codes[52522] = 0x0000d3d01dcca5a8UL;
   tf->codes[52523] = 0x00010d9353c89101UL;
   tf->codes[52524] = 0x0001ad5cda9ccf33UL;
   tf->codes[52525] = 0x0001ffbd87299598UL;
   tf->codes[52526] = 0x000034bcd7b25008UL;
   tf->codes[52527] = 0x00004d4542dd1848UL;
   tf->codes[52528] = 0x00004e07ec4d4627UL;
   tf->codes[52529] = 0x00009444de99dbb2UL;
   tf->codes[52530] = 0x0001051b3a0de7a4UL;
   tf->codes[52531] = 0x00013d1f0341bdc9UL;
   tf->codes[52532] = 0x00014619ab7337ceUL;
   tf->codes[52533] = 0x000146bd38e85505UL;
   tf->codes[52534] = 0x00014fa6b9331e53UL;
   tf->codes[52535] = 0x0001aac65a207ce4UL;
   tf->codes[52536] = 0x00001da0124a4f97UL;
   tf->codes[52537] = 0x000026744ca00054UL;
   tf->codes[52538] = 0x00003ee3c8e553b3UL;
   tf->codes[52539] = 0x00010e11b5a5ec10UL;
   tf->codes[52540] = 0x0001143ecb41b310UL;
   tf->codes[52541] = 0x00017e9b6ff16b37UL;
   tf->codes[52542] = 0x0001a110c0f28b6bUL;
   tf->codes[52543] = 0x0001cfc2f5a8571fUL;
   tf->codes[52544] = 0x0001ecc31a3bcf07UL;
   tf->codes[52545] = 0x00004150c52c763bUL;
   tf->codes[52546] = 0x0000b158ccb22e0fUL;
   tf->codes[52547] = 0x0000c0bd631b6dc6UL;
   tf->codes[52548] = 0x0000ddfa604ae460UL;
   tf->codes[52549] = 0x00015d6faf74b729UL;
   tf->codes[52550] = 0x0001ed2910dcce7eUL;
   tf->codes[52551] = 0x0001fd3f9ded96e7UL;
   tf->codes[52552] = 0x00001310e142e18cUL;
   tf->codes[52553] = 0x0000a4ad992997e6UL;
   tf->codes[52554] = 0x0000a6bc65ce7f21UL;
   tf->codes[52555] = 0x0000bdc18d201f90UL;
   tf->codes[52556] = 0x0000c2d71c065c32UL;
   tf->codes[52557] = 0x00012ef11e76f5a0UL;
   tf->codes[52558] = 0x0001ef7eb827a488UL;
   tf->codes[52559] = 0x0000043db7a0e982UL;
   tf->codes[52560] = 0x00003421c14bd713UL;
   tf->codes[52561] = 0x000053471d446ba0UL;
   tf->codes[52562] = 0x0000f2872a541e55UL;
   tf->codes[52563] = 0x00017fd3bb790b28UL;
   tf->codes[52564] = 0x00018b1e6188d8b9UL;
   tf->codes[52565] = 0x00018caeaf3a4967UL;
   tf->codes[52566] = 0x00018e176a44d3f4UL;
   tf->codes[52567] = 0x0001955f3a687618UL;
   tf->codes[52568] = 0x0001c9a7c68e2eadUL;
   tf->codes[52569] = 0x0001f67d0c69fce8UL;
   tf->codes[52570] = 0x000000c65bf56fc0UL;
   tf->codes[52571] = 0x00003a3f3a5f0800UL;
   tf->codes[52572] = 0x000050cf091618aaUL;
   tf->codes[52573] = 0x0000cc9ffb100ed7UL;
   tf->codes[52574] = 0x0000feba2977c3ffUL;
   tf->codes[52575] = 0x000192c008b1488bUL;
   tf->codes[52576] = 0x0001f68c8bdc777dUL;
   tf->codes[52577] = 0x0000015b371e0df8UL;
   tf->codes[52578] = 0x0000339a740769caUL;
   tf->codes[52579] = 0x000076464012075dUL;
   tf->codes[52580] = 0x00009759783c4455UL;
   tf->codes[52581] = 0x0000d977e702f456UL;
   tf->codes[52582] = 0x000122b115ddd5e2UL;
   tf->codes[52583] = 0x00013f8e0067d548UL;
   tf->codes[52584] = 0x0001759cd6185027UL;
   tf->codes[52585] = 0x00018e1c1aea319fUL;
   tf->codes[52586] = 0x000004eb6498e11dUL;
   tf->codes[52587] = 0x0000127973ccc4e7UL;
   tf->codes[52588] = 0x000018ca38900ff3UL;
   tf->codes[52589] = 0x00002712efa657adUL;
   tf->codes[52590] = 0x000081d7fb56c982UL;
   tf->codes[52591] = 0x00010dcff29b2780UL;
   tf->codes[52592] = 0x000135693bb4efd1UL;
   tf->codes[52593] = 0x0001a7fd6a07e894UL;
   tf->codes[52594] = 0x0001d481b61dbc65UL;
   tf->codes[52595] = 0x0001f4773a7cd338UL;
   tf->codes[52596] = 0x00001514df7d7aa6UL;
   tf->codes[52597] = 0x00001710afc38302UL;
   tf->codes[52598] = 0x00007104e3606142UL;
   tf->codes[52599] = 0x0000af6640a0c58bUL;
   tf->codes[52600] = 0x0000bfc4dbada75bUL;
   tf->codes[52601] = 0x0001256c3eab9fd9UL;
   tf->codes[52602] = 0x00014bd0446eefc2UL;
   tf->codes[52603] = 0x00019946288eb06cUL;
   tf->codes[52604] = 0x0001de81c456eb3eUL;
   tf->codes[52605] = 0x00002cabae256887UL;
   tf->codes[52606] = 0x00007286f3e35e7bUL;
   tf->codes[52607] = 0x00009b1991f3b796UL;
   tf->codes[52608] = 0x0000d49444d57dfeUL;
   tf->codes[52609] = 0x0000ed0ef67aec12UL;
   tf->codes[52610] = 0x000110fd7ac0363bUL;
   tf->codes[52611] = 0x0001197a191c453dUL;
   tf->codes[52612] = 0x000132ad639ce354UL;
   tf->codes[52613] = 0x000161f61bef8362UL;
   tf->codes[52614] = 0x0001a54366680a3fUL;
   tf->codes[52615] = 0x0001e5e0a05cc65cUL;
   tf->codes[52616] = 0x0001fa73b491b796UL;
   tf->codes[52617] = 0x000050fec9b18f89UL;
   tf->codes[52618] = 0x00006ec3319e5db3UL;
   tf->codes[52619] = 0x000079deb89786beUL;
   tf->codes[52620] = 0x0001e1f2c74b9ffcUL;
   tf->codes[52621] = 0x0001f2f05ca12b9fUL;
   tf->codes[52622] = 0x0000072e5901ba95UL;
   tf->codes[52623] = 0x00002893000ffd81UL;
   tf->codes[52624] = 0x00006fb4767c16cfUL;
   tf->codes[52625] = 0x0000bb2563fce855UL;
   tf->codes[52626] = 0x0000ee02b0f2d6e6UL;
   tf->codes[52627] = 0x0000f0744ef17a91UL;
   tf->codes[52628] = 0x000122ed6b338a14UL;
   tf->codes[52629] = 0x000167ce372fd265UL;
   tf->codes[52630] = 0x0001868b7ef525cfUL;
   tf->codes[52631] = 0x0001d7b3b4592306UL;
   tf->codes[52632] = 0x000058cf81659622UL;
   tf->codes[52633] = 0x00008d5fa6695c94UL;
   tf->codes[52634] = 0x0000e7eca73948e0UL;
   tf->codes[52635] = 0x0000f81d47faa303UL;
   tf->codes[52636] = 0x00018903b09c630cUL;
   tf->codes[52637] = 0x0001e4e12d3e7653UL;
   tf->codes[52638] = 0x000002b68282ef6fUL;
   tf->codes[52639] = 0x00001af963d6ddbfUL;
   tf->codes[52640] = 0x00003ffd9a59841eUL;
   tf->codes[52641] = 0x00005a4b2a43f1cfUL;
   tf->codes[52642] = 0x00007ace4675fbf9UL;
   tf->codes[52643] = 0x0000c18d9b356a26UL;
   tf->codes[52644] = 0x0000ce8686269c34UL;
   tf->codes[52645] = 0x0000e79ed2ba917dUL;
   tf->codes[52646] = 0x00010a50fc57b063UL;
   tf->codes[52647] = 0x00011c06eff96644UL;
   tf->codes[52648] = 0x0001379bd55d1428UL;
   tf->codes[52649] = 0x000139888cc39fbaUL;
   tf->codes[52650] = 0x00017dc0fd8f51abUL;
   tf->codes[52651] = 0x000182bfe726531eUL;
   tf->codes[52652] = 0x0001ec5e759250caUL;
   tf->codes[52653] = 0x00001939adf4b507UL;
   tf->codes[52654] = 0x0000503c20a43073UL;
   tf->codes[52655] = 0x0000723994e5816bUL;
   tf->codes[52656] = 0x0000ecd927086145UL;
   tf->codes[52657] = 0x00011f8fcb9380c9UL;
   tf->codes[52658] = 0x00012bce83c05a71UL;
   tf->codes[52659] = 0x00012e452a097d0aUL;
   tf->codes[52660] = 0x000150a9c841f811UL;
   tf->codes[52661] = 0x00017624b6b950d3UL;
   tf->codes[52662] = 0x0001cd435632b21fUL;
   tf->codes[52663] = 0x0001df7a877c23c9UL;
   tf->codes[52664] = 0x000065b36fde91ecUL;
   tf->codes[52665] = 0x00017619e7ec33e9UL;
   tf->codes[52666] = 0x0001fed227d29fe3UL;
   tf->codes[52667] = 0x00006a39495f998bUL;
   tf->codes[52668] = 0x0000ed4660ff0b9dUL;
   tf->codes[52669] = 0x0000f7325c994c7dUL;
   tf->codes[52670] = 0x0001039c8aec6e5bUL;
   tf->codes[52671] = 0x0001293869d705edUL;
   tf->codes[52672] = 0x00015094da54cf8cUL;
   tf->codes[52673] = 0x000001d1c43734b0UL;
   tf->codes[52674] = 0x0000182061b4d909UL;
   tf->codes[52675] = 0x0000a919170866a2UL;
   tf->codes[52676] = 0x0000da0d90172bb6UL;
   tf->codes[52677] = 0x0000dd963fad4e35UL;
   tf->codes[52678] = 0x0000e325ba5a8e00UL;
   tf->codes[52679] = 0x0000f9a510d7ff42UL;
   tf->codes[52680] = 0x00010be861bda2b5UL;
   tf->codes[52681] = 0x0001e113cfe55202UL;
   tf->codes[52682] = 0x0001e36b5a3363f3UL;
   tf->codes[52683] = 0x0001f75b90a04945UL;
   tf->codes[52684] = 0x0001f87610991ea4UL;
   tf->codes[52685] = 0x00001fdbe1fed4d0UL;
   tf->codes[52686] = 0x000051d72efa7f15UL;
   tf->codes[52687] = 0x00006edb370d5912UL;
   tf->codes[52688] = 0x00007722c3cc2d8cUL;
   tf->codes[52689] = 0x00009ec32437a8b8UL;
   tf->codes[52690] = 0x0000b9b2e23d1102UL;
   tf->codes[52691] = 0x0000dfd8ea994560UL;
   tf->codes[52692] = 0x0001440a88b46a74UL;
   tf->codes[52693] = 0x000197082082a6bfUL;
   tf->codes[52694] = 0x0001a4470a68be47UL;
   tf->codes[52695] = 0x0001abdfd4525ad5UL;
   tf->codes[52696] = 0x0001bd42bf26e25fUL;
   tf->codes[52697] = 0x0001c3c3c7cbeecaUL;
   tf->codes[52698] = 0x0001ca6bedf9d5ccUL;
   tf->codes[52699] = 0x0001cbeebcb4f213UL;
   tf->codes[52700] = 0x00000b4e77366614UL;
   tf->codes[52701] = 0x000059c4c79e6a63UL;
   tf->codes[52702] = 0x0000616b859c66e2UL;
   tf->codes[52703] = 0x0000ad12e414958eUL;
   tf->codes[52704] = 0x0000e1fc3efb261eUL;
   tf->codes[52705] = 0x0000f54d7b1f619dUL;
   tf->codes[52706] = 0x00014a57d08b5136UL;
   tf->codes[52707] = 0x00015e784ad9f7e7UL;
   tf->codes[52708] = 0x0001780af852fbe3UL;
   tf->codes[52709] = 0x0001f25f83367755UL;
   tf->codes[52710] = 0x00004d1834bbb19cUL;
   tf->codes[52711] = 0x00010436082f5c7fUL;
   tf->codes[52712] = 0x00012128733d7a3bUL;
   tf->codes[52713] = 0x000143e6f705d0afUL;
   tf->codes[52714] = 0x0001573db09296a6UL;
   tf->codes[52715] = 0x00018cc605c1d109UL;
   tf->codes[52716] = 0x0000103ccb7daca1UL;
   tf->codes[52717] = 0x00004a84e811b013UL;
   tf->codes[52718] = 0x00006ff16d569d5aUL;
   tf->codes[52719] = 0x00008cfe26a45295UL;
   tf->codes[52720] = 0x00009cb72534e341UL;
   tf->codes[52721] = 0x0000b9f71ba7a4dcUL;
   tf->codes[52722] = 0x0000f68fab380764UL;
   tf->codes[52723] = 0x000149a0ef1233ddUL;
   tf->codes[52724] = 0x00016ca7f5f4af42UL;
   tf->codes[52725] = 0x000184bd8caa2734UL;
   tf->codes[52726] = 0x0001b3118332a9dcUL;
   tf->codes[52727] = 0x0000ca1e1266feeeUL;
   tf->codes[52728] = 0x0000ffb9d91323baUL;
   tf->codes[52729] = 0x000110929a760e78UL;
   tf->codes[52730] = 0x000133202aaf923eUL;
   tf->codes[52731] = 0x000141fe06088bb4UL;
   tf->codes[52732] = 0x0001919f89320a8fUL;
   tf->codes[52733] = 0x0001993d5b66260bUL;
   tf->codes[52734] = 0x00005c33a74b979bUL;
   tf->codes[52735] = 0x00006f10ea2f65f3UL;
   tf->codes[52736] = 0x00009664a9725454UL;
   tf->codes[52737] = 0x0001162699c4b3e8UL;
   tf->codes[52738] = 0x000117f97809b385UL;
   tf->codes[52739] = 0x00012cf132108f57UL;
   tf->codes[52740] = 0x0000a7659e9e28c3UL;
   tf->codes[52741] = 0x0000df2e9e3d3423UL;
   tf->codes[52742] = 0x000123bf20209359UL;
   tf->codes[52743] = 0x000174443d2d7ee3UL;
   tf->codes[52744] = 0x0001d00ad9f15136UL;
   tf->codes[52745] = 0x0001e9c17120df03UL;
   tf->codes[52746] = 0x00005cd508a36567UL;
   tf->codes[52747] = 0x000080654ebb6684UL;
   tf->codes[52748] = 0x0000bb99414fa659UL;
   tf->codes[52749] = 0x0001109e53e2113fUL;
   tf->codes[52750] = 0x000137f8efe7acb6UL;
   tf->codes[52751] = 0x00015c01fcfb9423UL;
   tf->codes[52752] = 0x00019aaf11286e23UL;
   tf->codes[52753] = 0x0001ad8af4b219ddUL;
   tf->codes[52754] = 0x0001f9ea3c58673dUL;
   tf->codes[52755] = 0x0000172aa7e93462UL;
   tf->codes[52756] = 0x000050f863982921UL;
   tf->codes[52757] = 0x000093e9445b951aUL;
   tf->codes[52758] = 0x00009d18fe2a49a7UL;
   tf->codes[52759] = 0x0000aeaa1dd95ea3UL;
   tf->codes[52760] = 0x0000b5f730d6857aUL;
   tf->codes[52761] = 0x0000fe6d7bb23362UL;
   tf->codes[52762] = 0x000106a20c1228fdUL;
   tf->codes[52763] = 0x000117c17c170a84UL;
   tf->codes[52764] = 0x000183457008db22UL;
   tf->codes[52765] = 0x000187add603083bUL;
   tf->codes[52766] = 0x0001bdd22c37a170UL;
   tf->codes[52767] = 0x00006c44423898cbUL;
   tf->codes[52768] = 0x000095d95b986978UL;
   tf->codes[52769] = 0x0000a040dce2d5e4UL;
   tf->codes[52770] = 0x0000b609a98c4b10UL;
   tf->codes[52771] = 0x0001127cfa1e2162UL;
   tf->codes[52772] = 0x0001129b2bdd1af6UL;
   tf->codes[52773] = 0x00016eb33784f33dUL;
   tf->codes[52774] = 0x0001d0f94304a998UL;
   tf->codes[52775] = 0x000039e1f749bc7dUL;
   tf->codes[52776] = 0x00004f0d6393b039UL;
   tf->codes[52777] = 0x00004f1c41e4273eUL;
   tf->codes[52778] = 0x00006c629ffb8a65UL;
   tf->codes[52779] = 0x0000ecb10355c077UL;
   tf->codes[52780] = 0x000106d85ff36aa5UL;
   tf->codes[52781] = 0x000129f103daa24bUL;
   tf->codes[52782] = 0x00013a646fbe9122UL;
   tf->codes[52783] = 0x00013cae408748e7UL;
   tf->codes[52784] = 0x000176c77893ad98UL;
   tf->codes[52785] = 0x0001779591f2fbf1UL;
   tf->codes[52786] = 0x000179648cb89979UL;
   tf->codes[52787] = 0x0001799c227b1378UL;
   tf->codes[52788] = 0x0001a216f671148bUL;
   tf->codes[52789] = 0x0001b17a2d8031a4UL;
   tf->codes[52790] = 0x0001b33d7dc7a8edUL;
   tf->codes[52791] = 0x0001bfd4819b359fUL;
   tf->codes[52792] = 0x0001e0860d36d300UL;
   tf->codes[52793] = 0x00004907d213c19bUL;
   tf->codes[52794] = 0x00004b3b72ab49bbUL;
   tf->codes[52795] = 0x000094341ff9d045UL;
   tf->codes[52796] = 0x00012ea54cc53d21UL;
   tf->codes[52797] = 0x000158e0ecdd7606UL;
   tf->codes[52798] = 0x00015c7d487f88b3UL;
   tf->codes[52799] = 0x00017872b5a6b955UL;
   tf->codes[52800] = 0x0001bd65ce54cf36UL;
   tf->codes[52801] = 0x00001f8fb71cbfeaUL;
   tf->codes[52802] = 0x000020810a8586c5UL;
   tf->codes[52803] = 0x00003fe931a0b006UL;
   tf->codes[52804] = 0x00007457b6842659UL;
   tf->codes[52805] = 0x00007980f1765329UL;
   tf->codes[52806] = 0x000098f2b4086ebcUL;
   tf->codes[52807] = 0x0000bb5edeb0a828UL;
   tf->codes[52808] = 0x00014ace5da477eeUL;
   tf->codes[52809] = 0x0001712d5b1d48e9UL;
   tf->codes[52810] = 0x000023c54684de6eUL;
   tf->codes[52811] = 0x000040e86a92c913UL;
   tf->codes[52812] = 0x0000570a6d1f085dUL;
   tf->codes[52813] = 0x0000b299742060b1UL;
   tf->codes[52814] = 0x0000f818ffd64d10UL;
   tf->codes[52815] = 0x00010a70ac74f200UL;
   tf->codes[52816] = 0x000121007b2c02aaUL;
   tf->codes[52817] = 0x00017db8e076a762UL;
   tf->codes[52818] = 0x0001bd4b62ff1c39UL;
   tf->codes[52819] = 0x0001c761aff48876UL;
   tf->codes[52820] = 0x0001d83ec9f4e0d3UL;
   tf->codes[52821] = 0x0001dae2804d7405UL;
   tf->codes[52822] = 0x00000e6ecaa7a047UL;
   tf->codes[52823] = 0x000012c6434a226eUL;
   tf->codes[52824] = 0x00004334b0f5b290UL;
   tf->codes[52825] = 0x0000b7d4ed394d52UL;
   tf->codes[52826] = 0x0000bb609612bad2UL;
   tf->codes[52827] = 0x00018861f98d7deaUL;
   tf->codes[52828] = 0x000197b26eccc1e9UL;
   tf->codes[52829] = 0x0001c73a0ec29496UL;
   tf->codes[52830] = 0x0001e184304babbcUL;
   tf->codes[52831] = 0x000023988e7d5de1UL;
   tf->codes[52832] = 0x000059fb57371e2bUL;
   tf->codes[52833] = 0x00005b352dba09f7UL;
   tf->codes[52834] = 0x00007867a536772bUL;
   tf->codes[52835] = 0x000093d5328244b3UL;
   tf->codes[52836] = 0x00019bf0af6fbbabUL;
   tf->codes[52837] = 0x0001a764bc9e9d85UL;
   tf->codes[52838] = 0x0001c4cddfa16da4UL;
   tf->codes[52839] = 0x0001c67e338a060eUL;
   tf->codes[52840] = 0x0001d0e0ac89f38cUL;
   tf->codes[52841] = 0x0001f3f064a74a2fUL;
   tf->codes[52842] = 0x00000b1ce410cafaUL;
   tf->codes[52843] = 0x00005a59c1685f3dUL;
   tf->codes[52844] = 0x00006b08a68e2a28UL;
   tf->codes[52845] = 0x0000930361a78c4bUL;
   tf->codes[52846] = 0x0000b0bb6f6922e7UL;
   tf->codes[52847] = 0x00019c38aee0c753UL;
   tf->codes[52848] = 0x0001b0cad8d9a179UL;
   tf->codes[52849] = 0x0001fa641a59fa39UL;
   tf->codes[52850] = 0x000032028e0ed477UL;
   tf->codes[52851] = 0x000064a009257955UL;
   tf->codes[52852] = 0x000081f8ee7dafd1UL;
   tf->codes[52853] = 0x0001909489d41c20UL;
   tf->codes[52854] = 0x0001a489536d74d6UL;
   tf->codes[52855] = 0x0001b70d606e7910UL;
   tf->codes[52856] = 0x0001dda04ab967baUL;
   tf->codes[52857] = 0x00005635a363d3bdUL;
   tf->codes[52858] = 0x0000689d188f06c6UL;
   tf->codes[52859] = 0x00007833c7523604UL;
   tf->codes[52860] = 0x0000bf5f13c44769UL;
   tf->codes[52861] = 0x0000fd9a0328e26aUL;
   tf->codes[52862] = 0x0001691963ee3fa4UL;
   tf->codes[52863] = 0x00017c180c635856UL;
   tf->codes[52864] = 0x000192dbc7ec86afUL;
   tf->codes[52865] = 0x000006b4527574a4UL;
   tf->codes[52866] = 0x00000b7fc45863f2UL;
   tf->codes[52867] = 0x00000e112dff2994UL;
   tf->codes[52868] = 0x000055b8753f720fUL;
   tf->codes[52869] = 0x0000b9f0b58e3e74UL;
   tf->codes[52870] = 0x0001620aef7a37e8UL;
   tf->codes[52871] = 0x0001be1d432a7ff2UL;
   tf->codes[52872] = 0x0001f4cb1323a4a4UL;
   tf->codes[52873] = 0x0001fd2adf1adcb0UL;
   tf->codes[52874] = 0x0000a8398e965dfbUL;
   tf->codes[52875] = 0x0000cd1b002d9762UL;
   tf->codes[52876] = 0x0001a37f5a9c1b67UL;
   tf->codes[52877] = 0x0001c92250d865d4UL;
   tf->codes[52878] = 0x0000610ac537e84cUL;
   tf->codes[52879] = 0x0000af1ce4ec0d8dUL;
   tf->codes[52880] = 0x0000b6682371063cUL;
   tf->codes[52881] = 0x0000c8b7ce81e13dUL;
   tf->codes[52882] = 0x0000f2944630ba02UL;
   tf->codes[52883] = 0x0000f5ee4bce4385UL;
   tf->codes[52884] = 0x00010806268d9ec2UL;
   tf->codes[52885] = 0x000178b8232d1559UL;
   tf->codes[52886] = 0x0001aef4f32917e5UL;
   tf->codes[52887] = 0x0001c3c8fe086fabUL;
   tf->codes[52888] = 0x0001ec0efaf03bfbUL;
   tf->codes[52889] = 0x00007da844759bcaUL;
   tf->codes[52890] = 0x0000da971ab79da8UL;
   tf->codes[52891] = 0x00013ebbaefa79dfUL;
   tf->codes[52892] = 0x0000107e393428a4UL;
   tf->codes[52893] = 0x00004c232bc58a9fUL;
   tf->codes[52894] = 0x0000b8b54584f90eUL;
   tf->codes[52895] = 0x0001188bfc9c4570UL;
   tf->codes[52896] = 0x00013c9a4c89b190UL;
   tf->codes[52897] = 0x00017b6c6f38323aUL;
   tf->codes[52898] = 0x00019304abc55078UL;
   tf->codes[52899] = 0x0001b823a5a599e0UL;
   tf->codes[52900] = 0x0001fa43ae557244UL;
   tf->codes[52901] = 0x0000265bc8299d18UL;
   tf->codes[52902] = 0x00008b9dd5a899afUL;
   tf->codes[52903] = 0x000098ac068ee44eUL;
   tf->codes[52904] = 0x0000b5f94168f48bUL;
   tf->codes[52905] = 0x000119f9b166412cUL;
   tf->codes[52906] = 0x000167002f720813UL;
   tf->codes[52907] = 0x00019ce26a311de3UL;
   tf->codes[52908] = 0x0001a146026fd1d3UL;
   tf->codes[52909] = 0x0001c4d2da267c65UL;
   tf->codes[52910] = 0x0001d79bfbe04f05UL;
   tf->codes[52911] = 0x0001dbfb00f28f91UL;
   tf->codes[52912] = 0x0001e1e3ec119f3fUL;
   tf->codes[52913] = 0x00005042f18f7749UL;
   tf->codes[52914] = 0x000052b579ca3208UL;
   tf->codes[52915] = 0x000094d4d2ccf91dUL;
   tf->codes[52916] = 0x00012689c9ec1309UL;
   tf->codes[52917] = 0x00017473e1db469fUL;
   tf->codes[52918] = 0x0001d47524dcc423UL;
   tf->codes[52919] = 0x0001e3e983d291f3UL;
   tf->codes[52920] = 0x00000ea7865da37aUL;
   tf->codes[52921] = 0x0000528a6a36e79dUL;
   tf->codes[52922] = 0x0001e1a437ab3fd3UL;
   tf->codes[52923] = 0x0001e94f88d5afb6UL;
   tf->codes[52924] = 0x0001ec23bd9f0a0cUL;
   tf->codes[52925] = 0x0000ab02d7df4eb2UL;
   tf->codes[52926] = 0x0000db8a6eff597aUL;
   tf->codes[52927] = 0x0000e7635c8f2bb1UL;
   tf->codes[52928] = 0x00015e37396a4e93UL;
   tf->codes[52929] = 0x0001931f34f6bc85UL;
   tf->codes[52930] = 0x0001b4e3eeaa76a5UL;
   tf->codes[52931] = 0x00003b3f61694bfbUL;
   tf->codes[52932] = 0x000066ce0178eb52UL;
   tf->codes[52933] = 0x0000b0b1d51a9cf0UL;
   tf->codes[52934] = 0x0001362e7bb17ec0UL;
   tf->codes[52935] = 0x00015ea2ad73d882UL;
   tf->codes[52936] = 0x000172137ab13033UL;
   tf->codes[52937] = 0x0000390b3d28aa92UL;
   tf->codes[52938] = 0x0000af7238151328UL;
   tf->codes[52939] = 0x0000e54559f4ac2eUL;
   tf->codes[52940] = 0x00013dfbd38f3c8dUL;
   tf->codes[52941] = 0x0001491586103770UL;
   tf->codes[52942] = 0x000005a517903414UL;
   tf->codes[52943] = 0x000015ef1c550ea2UL;
   tf->codes[52944] = 0x000081cfef1a05aeUL;
   tf->codes[52945] = 0x00008e442e022568UL;
   tf->codes[52946] = 0x0001530e07d9a7e4UL;
   tf->codes[52947] = 0x000181c8edca4ed6UL;
   tf->codes[52948] = 0x0001c681b201a57cUL;
   tf->codes[52949] = 0x0001e01dc0629605UL;
   tf->codes[52950] = 0x0001e473d9aaf58eUL;
   tf->codes[52951] = 0x00001f8750ea021dUL;
   tf->codes[52952] = 0x0000405ed5435d3cUL;
   tf->codes[52953] = 0x0000d2c9e11867b4UL;
   tf->codes[52954] = 0x0000eb08deecf3efUL;
   tf->codes[52955] = 0x0000ecf4e6a66e32UL;
   tf->codes[52956] = 0x00017d828e836fa7UL;
   tf->codes[52957] = 0x0001cb1cd177c5acUL;
   tf->codes[52958] = 0x0001ef16508e24c5UL;
   tf->codes[52959] = 0x00005834c61d8381UL;
   tf->codes[52960] = 0x000058f6bfe0a011UL;
   tf->codes[52961] = 0x00006d6ab81a80a3UL;
   tf->codes[52962] = 0x00007970f048c938UL;
   tf->codes[52963] = 0x000164004ab8fd54UL;
   tf->codes[52964] = 0x00019728d97d5612UL;
   tf->codes[52965] = 0x0001a8c9c1b8f927UL;
   tf->codes[52966] = 0x0001f8a8929c823eUL;
   tf->codes[52967] = 0x00002cc14ffe84feUL;
   tf->codes[52968] = 0x00006552eb94543fUL;
   tf->codes[52969] = 0x0000a4e1500e613cUL;
   tf->codes[52970] = 0x0000b017d4f43315UL;
   tf->codes[52971] = 0x0000d5c9a980f487UL;
   tf->codes[52972] = 0x000185551aafa468UL;
   tf->codes[52973] = 0x0001e8f4c85a6886UL;
   tf->codes[52974] = 0x00001b13ff0c9c9cUL;
   tf->codes[52975] = 0x000042d6e9d47efbUL;
   tf->codes[52976] = 0x0000aef57f718bcdUL;
   tf->codes[52977] = 0x0000dcbded2e4f0bUL;
   tf->codes[52978] = 0x000104647aaf65feUL;
   tf->codes[52979] = 0x00011989b9e3bdf3UL;
   tf->codes[52980] = 0x0001464944ac6813UL;
   tf->codes[52981] = 0x00016d6951ac3e8aUL;
   tf->codes[52982] = 0x0001984f968b4781UL;
   tf->codes[52983] = 0x00019a4ba16055a2UL;
   tf->codes[52984] = 0x0001a1d5526a7566UL;
   tf->codes[52985] = 0x0001abc9ff3f9184UL;
   tf->codes[52986] = 0x0001d910f4c59334UL;
   tf->codes[52987] = 0x00000e6e0e5d8b26UL;
   tf->codes[52988] = 0x0000478ba7dd255bUL;
   tf->codes[52989] = 0x000062b7c96080cdUL;
   tf->codes[52990] = 0x0000812d0329bad0UL;
   tf->codes[52991] = 0x00011cdf5858cc18UL;
   tf->codes[52992] = 0x00012b0c9c645f7aUL;
   tf->codes[52993] = 0x00013dd2c4dae719UL;
   tf->codes[52994] = 0x000157a3aa4a0c65UL;
   tf->codes[52995] = 0x000178e3f283b9f6UL;
   tf->codes[52996] = 0x000006be1b7b9a20UL;
   tf->codes[52997] = 0x00003ae6dbf930beUL;
   tf->codes[52998] = 0x00005c7091891a54UL;
   tf->codes[52999] = 0x00008bf11a2d3a26UL;
   tf->codes[53000] = 0x00009a2db1a75017UL;
   tf->codes[53001] = 0x0000a7650f1da93aUL;
   tf->codes[53002] = 0x0000ad3b386cdfceUL;
   tf->codes[53003] = 0x00017aab17bf8595UL;
   tf->codes[53004] = 0x00017c9ac8695c28UL;
   tf->codes[53005] = 0x00002c6ebcb230faUL;
   tf->codes[53006] = 0x0000c0d2da18fe92UL;
   tf->codes[53007] = 0x0000fd79984cc6d0UL;
   tf->codes[53008] = 0x0000fff84023b358UL;
   tf->codes[53009] = 0x00010528ccf698c8UL;
   tf->codes[53010] = 0x000114973965d096UL;
   tf->codes[53011] = 0x000138cca6dc174dUL;
   tf->codes[53012] = 0x00017f036c131111UL;
   tf->codes[53013] = 0x00018aaa7bd7f986UL;
   tf->codes[53014] = 0x0001a9d29684d34fUL;
   tf->codes[53015] = 0x0001ea354173ca6cUL;
   tf->codes[53016] = 0x0000aba799d302dcUL;
   tf->codes[53017] = 0x0000bf0fb5d57f4fUL;
   tf->codes[53018] = 0x0000c722a61524cbUL;
   tf->codes[53019] = 0x0000d7e5e6f3f133UL;
   tf->codes[53020] = 0x00010b8e1976dd57UL;
   tf->codes[53021] = 0x00012acb04fac427UL;
   tf->codes[53022] = 0x0001654539e8b720UL;
   tf->codes[53023] = 0x000186fef8cb5c50UL;
   tf->codes[53024] = 0x000071e1d126ca4dUL;
   tf->codes[53025] = 0x000096e2242a0e97UL;
   tf->codes[53026] = 0x0000dc22531ebccdUL;
   tf->codes[53027] = 0x00019a5409e3ec25UL;
   tf->codes[53028] = 0x0001ae97f8cb111dUL;
   tf->codes[53029] = 0x0001d19d2b355e5aUL;
   tf->codes[53030] = 0x0001d8d02a81f377UL;
   tf->codes[53031] = 0x0001e7df33f8c560UL;
   tf->codes[53032] = 0x000010d468d3d526UL;
   tf->codes[53033] = 0x0000614b573d5afaUL;
   tf->codes[53034] = 0x0000968f0cd1d281UL;
   tf->codes[53035] = 0x0000cc93d1ed4f84UL;
   tf->codes[53036] = 0x0000de0a68cdc73cUL;
   tf->codes[53037] = 0x0001a61f2f635671UL;
   tf->codes[53038] = 0x0001cbd2634a3a81UL;
   tf->codes[53039] = 0x0000daf6190b0fafUL;
   tf->codes[53040] = 0x000150a7745f9343UL;
   tf->codes[53041] = 0x0001a58de014f90bUL;
   tf->codes[53042] = 0x0000168650c760a6UL;
   tf->codes[53043] = 0x00005ba0fc1c5ca8UL;
   tf->codes[53044] = 0x0000745cdefb370dUL;
   tf->codes[53045] = 0x0000b16758c4d2cfUL;
   tf->codes[53046] = 0x0000bdb405060c68UL;
   tf->codes[53047] = 0x0000cd105f527c6bUL;
   tf->codes[53048] = 0x0000e85b9cd0e885UL;
   tf->codes[53049] = 0x00015bd44f43650bUL;
   tf->codes[53050] = 0x0001ef6b02f7f599UL;
   tf->codes[53051] = 0x0001fa8da142d17fUL;
   tf->codes[53052] = 0x00006c480bb855aaUL;
   tf->codes[53053] = 0x00008d27cc2e807dUL;
   tf->codes[53054] = 0x000099f7ffadaf91UL;
   tf->codes[53055] = 0x000153dab47c323bUL;
   tf->codes[53056] = 0x0001fa893a1a5621UL;
   tf->codes[53057] = 0x0000fe68b16fff4aUL;
   tf->codes[53058] = 0x000141978f9a86ceUL;
   tf->codes[53059] = 0x0001c9321bb5cca3UL;
   tf->codes[53060] = 0x0000da4a154cebc8UL;
   tf->codes[53061] = 0x0000e9339b240b7dUL;
   tf->codes[53062] = 0x00010eb35756dd68UL;
   tf->codes[53063] = 0x00012fd4f8b385dbUL;
   tf->codes[53064] = 0x0001507ce8d830eaUL;
   tf->codes[53065] = 0x00015c9f092f3961UL;
   tf->codes[53066] = 0x00016647c488da03UL;
   tf->codes[53067] = 0x00019494de4eaf95UL;
   tf->codes[53068] = 0x0001b01358f2280fUL;
   tf->codes[53069] = 0x00009627c6275bbdUL;
   tf->codes[53070] = 0x0000a118fbc5596bUL;
   tf->codes[53071] = 0x0000c94dd0c67504UL;
   tf->codes[53072] = 0x0000e8147973b4fbUL;
   tf->codes[53073] = 0x00010c85d549e350UL;
   tf->codes[53074] = 0x00011e6f0610a591UL;
   tf->codes[53075] = 0x00012c2ef30f731dUL;
   tf->codes[53076] = 0x000130abef51a778UL;
   tf->codes[53077] = 0x00017f9a9197868dUL;
   tf->codes[53078] = 0x0001bc4bd57e5831UL;
   tf->codes[53079] = 0x0001e1d860fa6d34UL;
   tf->codes[53080] = 0x0001f3b57224fdacUL;
   tf->codes[53081] = 0x000010e3cb930306UL;
   tf->codes[53082] = 0x0000ec8e33588ad1UL;
   tf->codes[53083] = 0x0001041e33c8d95bUL;
   tf->codes[53084] = 0x000116fbebcab33dUL;
   tf->codes[53085] = 0x00014a9121eec082UL;
   tf->codes[53086] = 0x000187caf55e068fUL;
   tf->codes[53087] = 0x0001964f60453022UL;
   tf->codes[53088] = 0x0001e27f4e45d337UL;
   tf->codes[53089] = 0x0000122e46538640UL;
   tf->codes[53090] = 0x000028bd655d859bUL;
   tf->codes[53091] = 0x000041c2b5929c05UL;
   tf->codes[53092] = 0x00007cc922f95fb7UL;
   tf->codes[53093] = 0x00012a8efa4a5e9dUL;
   tf->codes[53094] = 0x00016ccf43c06482UL;
   tf->codes[53095] = 0x0001899f99902695UL;
   tf->codes[53096] = 0x000194c4bc0041f2UL;
   tf->codes[53097] = 0x0001a9d982fafa7fUL;
   tf->codes[53098] = 0x0001df58ec6053dfUL;
   tf->codes[53099] = 0x0000d8c2b3c82ae6UL;
   tf->codes[53100] = 0x0000ee46a647d771UL;
   tf->codes[53101] = 0x00011fda542e4c1dUL;
   tf->codes[53102] = 0x000131253a5975daUL;
   tf->codes[53103] = 0x0001704e495486f0UL;
   tf->codes[53104] = 0x00017967d2f20bd8UL;
   tf->codes[53105] = 0x000008bed81e7247UL;
   tf->codes[53106] = 0x0000091cdbbcb58eUL;
   tf->codes[53107] = 0x000014110a9dfe3dUL;
   tf->codes[53108] = 0x0000433c40deb606UL;
   tf->codes[53109] = 0x00006bc78d0e5681UL;
   tf->codes[53110] = 0x0000a6f00fb375dcUL;
   tf->codes[53111] = 0x0000f0fdbf92474dUL;
   tf->codes[53112] = 0x00011776962ca43dUL;
   tf->codes[53113] = 0x0001c4a9cd6030deUL;
   tf->codes[53114] = 0x0001c9306519578bUL;
   tf->codes[53115] = 0x0001c9adbf41b13fUL;
   tf->codes[53116] = 0x0000406ba67aaa41UL;
   tf->codes[53117] = 0x000040cacee40a61UL;
   tf->codes[53118] = 0x00004b1f19409229UL;
   tf->codes[53119] = 0x0000b2fc2bdd46b4UL;
   tf->codes[53120] = 0x0000d8a8f81f8938UL;
   tf->codes[53121] = 0x0000eecd44420234UL;
   tf->codes[53122] = 0x000186ff9b15cc3bUL;
   tf->codes[53123] = 0x0001c648009af3beUL;
   tf->codes[53124] = 0x0001d315ea83e920UL;
   tf->codes[53125] = 0x0001daefe5a6f1ffUL;
   tf->codes[53126] = 0x0001f4a46dcf4bdfUL;
   tf->codes[53127] = 0x0001fafaea8a2728UL;
   tf->codes[53128] = 0x0001fff1d2935eacUL;
   tf->codes[53129] = 0x000066a8bab91799UL;
   tf->codes[53130] = 0x0000803c8cfd386eUL;
   tf->codes[53131] = 0x0000cd08f12145dfUL;
   tf->codes[53132] = 0x000124725d4b05ceUL;
   tf->codes[53133] = 0x00015720c5b9559eUL;
   tf->codes[53134] = 0x00015c4cf9eecd6fUL;
   tf->codes[53135] = 0x0001c642e9c56711UL;
   tf->codes[53136] = 0x00008d665cf22f6bUL;
   tf->codes[53137] = 0x0001210fd2769913UL;
   tf->codes[53138] = 0x000138d977b09589UL;
   tf->codes[53139] = 0x00015f0cff031e4eUL;
   tf->codes[53140] = 0x000164f206a2cbe7UL;
   tf->codes[53141] = 0x00017cd00795c9daUL;
   tf->codes[53142] = 0x0000a537ba9fe24cUL;
   tf->codes[53143] = 0x0000bdeb9bf0f2c2UL;
   tf->codes[53144] = 0x000165e226b5682aUL;
   tf->codes[53145] = 0x00019a6c5932989aUL;
   tf->codes[53146] = 0x0001c07a977474f0UL;
   tf->codes[53147] = 0x0001d5bb84428702UL;
   tf->codes[53148] = 0x00000c210bb08c88UL;
   tf->codes[53149] = 0x00009fe6695db612UL;
   tf->codes[53150] = 0x0000bc7e3f2ee712UL;
   tf->codes[53151] = 0x0000bfb161d29bc3UL;
   tf->codes[53152] = 0x0000cea3d3739c7bUL;
   tf->codes[53153] = 0x00015a2378da1fb3UL;
   tf->codes[53154] = 0x00016f7fd8b2e61dUL;
   tf->codes[53155] = 0x00017f3911d27c8eUL;
   tf->codes[53156] = 0x0001e46b9153f0d1UL;
   tf->codes[53157] = 0x0001e4f5f5549362UL;
   tf->codes[53158] = 0x0001eb597be7b788UL;
   tf->codes[53159] = 0x000056558ffe250cUL;
   tf->codes[53160] = 0x0000d31c2dfe4fb3UL;
   tf->codes[53161] = 0x0000d4ef46d25515UL;
   tf->codes[53162] = 0x0000ea9a1c4bd672UL;
   tf->codes[53163] = 0x000113ee79904658UL;
   tf->codes[53164] = 0x00011bcb33679473UL;
   tf->codes[53165] = 0x000008ca1ccf384dUL;
   tf->codes[53166] = 0x0000a4e2772a56cbUL;
   tf->codes[53167] = 0x000157a85cdd73fdUL;
   tf->codes[53168] = 0x000182f3821d6d51UL;
   tf->codes[53169] = 0x0001ca35e8fcc56fUL;
   tf->codes[53170] = 0x0001fada17f2a168UL;
   tf->codes[53171] = 0x000014df24c2ea28UL;
   tf->codes[53172] = 0x0000193cca7b0816UL;
   tf->codes[53173] = 0x00007a61b3ce41c1UL;
   tf->codes[53174] = 0x00008d434f4f7db8UL;
   tf->codes[53175] = 0x00008f0f8b60d604UL;
   tf->codes[53176] = 0x0000ced8f3feb38bUL;
   tf->codes[53177] = 0x0001181013d2612aUL;
   tf->codes[53178] = 0x00016edd7ef6c247UL;
   tf->codes[53179] = 0x00017562308c2b02UL;
   tf->codes[53180] = 0x0001911288fa8d3eUL;
   tf->codes[53181] = 0x0001a51f91cc4986UL;
   tf->codes[53182] = 0x00000b2532f78b10UL;
   tf->codes[53183] = 0x0000142d1f9053b7UL;
   tf->codes[53184] = 0x000019482bdf1ad1UL;
   tf->codes[53185] = 0x00005a99e0a09f17UL;
   tf->codes[53186] = 0x00005e64e63b4ac0UL;
   tf->codes[53187] = 0x00005fc4f00afa0fUL;
   tf->codes[53188] = 0x0001b60080c0f639UL;
   tf->codes[53189] = 0x0001d7c0322a316bUL;
   tf->codes[53190] = 0x000081090d38fbf6UL;
   tf->codes[53191] = 0x0000ca4b27ddbe85UL;
   tf->codes[53192] = 0x00017a42cb4e1763UL;
   tf->codes[53193] = 0x0001a64e15d8ff1fUL;
   tf->codes[53194] = 0x0001d79179a68ab0UL;
   tf->codes[53195] = 0x00002ab210ef39b8UL;
   tf->codes[53196] = 0x0000494db8943d03UL;
   tf->codes[53197] = 0x000123c476ec74c9UL;
   tf->codes[53198] = 0x00017aee8654f68fUL;
   tf->codes[53199] = 0x00000021bf959c5aUL;
   tf->codes[53200] = 0x0000482a3e4678e2UL;
   tf->codes[53201] = 0x00015040785a6b27UL;
   tf->codes[53202] = 0x00017435644456dcUL;
   tf->codes[53203] = 0x00004270d8d10b85UL;
   tf->codes[53204] = 0x0000b4ce962ca722UL;
   tf->codes[53205] = 0x000137ef94670f27UL;
   tf->codes[53206] = 0x00006a2dfd164fe8UL;
   tf->codes[53207] = 0x00006df34ab96b54UL;
   tf->codes[53208] = 0x00007018821e87f9UL;
   tf->codes[53209] = 0x0000794baa4e9311UL;
   tf->codes[53210] = 0x0000d93e841da51aUL;
   tf->codes[53211] = 0x000125c598f9de60UL;
   tf->codes[53212] = 0x0001b1b678ec8983UL;
   tf->codes[53213] = 0x0001b334ef0a382bUL;
   tf->codes[53214] = 0x0001fc3688229fb8UL;
   tf->codes[53215] = 0x000001ac29ae538eUL;
   tf->codes[53216] = 0x00004881e92df725UL;
   tf->codes[53217] = 0x00004cbd0489ade0UL;
   tf->codes[53218] = 0x000088cc1a5584ebUL;
   tf->codes[53219] = 0x0000a271c42d67c6UL;
   tf->codes[53220] = 0x0000e5f5450e4604UL;
   tf->codes[53221] = 0x0000fa584ff07ba4UL;
   tf->codes[53222] = 0x0000fd1027730a8eUL;
   tf->codes[53223] = 0x000118518eeb7e91UL;
   tf->codes[53224] = 0x000118d80f6cbf0dUL;
   tf->codes[53225] = 0x000143f11c52c8daUL;
   tf->codes[53226] = 0x00019eb74cce5788UL;
   tf->codes[53227] = 0x0001c966e626fd94UL;
   tf->codes[53228] = 0x0001d2a41eec0688UL;
   tf->codes[53229] = 0x00002b80cbd35a6aUL;
   tf->codes[53230] = 0x0000abca26e3118eUL;
   tf->codes[53231] = 0x0000f6468d28cb73UL;
   tf->codes[53232] = 0x0000fd2c3b9fc276UL;
   tf->codes[53233] = 0x0000324be2f0a66aUL;
   tf->codes[53234] = 0x00005766bec287f8UL;
   tf->codes[53235] = 0x00005e2f9ad4a805UL;
   tf->codes[53236] = 0x0000d632c87fad4dUL;
   tf->codes[53237] = 0x0000f08c02e8413dUL;
   tf->codes[53238] = 0x000133b10b0cd0aaUL;
   tf->codes[53239] = 0x00017b48c44f90d1UL;
   tf->codes[53240] = 0x0001c266cc5a5394UL;
   tf->codes[53241] = 0x0001f8de2b5c1b20UL;
   tf->codes[53242] = 0x0000186b60f8eb0bUL;
   tf->codes[53243] = 0x0000733156e573f4UL;
   tf->codes[53244] = 0x0000df1104df4e27UL;
   tf->codes[53245] = 0x000157ca81cf49c0UL;
   tf->codes[53246] = 0x0001712f6f8bcbd4UL;
   tf->codes[53247] = 0x00017f7e8e46b51aUL;
   tf->codes[53248] = 0x0001a1a987b58235UL;
   tf->codes[53249] = 0x0001b5f95ba9d331UL;
   tf->codes[53250] = 0x0001d77fa2d8663cUL;
   tf->codes[53251] = 0x00001491a911c063UL;
   tf->codes[53252] = 0x0000174b8f9b833aUL;
   tf->codes[53253] = 0x00009cb7f887cb67UL;
   tf->codes[53254] = 0x0000f9ac4c3257bdUL;
   tf->codes[53255] = 0x0001ee30c895b381UL;
   tf->codes[53256] = 0x0001ff45ed769167UL;
   tf->codes[53257] = 0x000004387ce25b4cUL;
   tf->codes[53258] = 0x0000aff57a1508f9UL;
   tf->codes[53259] = 0x0000d6ad38529888UL;
   tf->codes[53260] = 0x0001475fe49f206eUL;
   tf->codes[53261] = 0x00015cb5a2443f87UL;
   tf->codes[53262] = 0x00017239cf52f1d7UL;
   tf->codes[53263] = 0x000180d46a6b4b0fUL;
   tf->codes[53264] = 0x00002a9dd374c014UL;
   tf->codes[53265] = 0x00005352c1527a9dUL;
   tf->codes[53266] = 0x00005e4a99241f9cUL;
   tf->codes[53267] = 0x000092e41f0fd29bUL;
   tf->codes[53268] = 0x0000a0b15075eec9UL;
   tf->codes[53269] = 0x0000c49e00430acaUL;
   tf->codes[53270] = 0x0000d7649dd79df3UL;
   tf->codes[53271] = 0x0000dfe7a3d84e81UL;
   tf->codes[53272] = 0x000178720bc3c5cdUL;
   tf->codes[53273] = 0x0001c0ce42eee1fbUL;
   tf->codes[53274] = 0x00001413390c265eUL;
   tf->codes[53275] = 0x00004c586e086e99UL;
   tf->codes[53276] = 0x00004c59cd629137UL;
   tf->codes[53277] = 0x00011b77b70795b6UL;
   tf->codes[53278] = 0x000129ac1264dbf3UL;
   tf->codes[53279] = 0x0001323963899022UL;
   tf->codes[53280] = 0x0001747b8177c42fUL;
   tf->codes[53281] = 0x0001868c0a5666ccUL;
   tf->codes[53282] = 0x0001bdcc7a6cfdc3UL;
   tf->codes[53283] = 0x0001d5d0e93bc4feUL;
   tf->codes[53284] = 0x00008fddef657305UL;
   tf->codes[53285] = 0x000098990046a91cUL;
   tf->codes[53286] = 0x0000bdde2d73b607UL;
   tf->codes[53287] = 0x0001b1565881a222UL;
   tf->codes[53288] = 0x0001e31df33a347dUL;
   tf->codes[53289] = 0x0001ea34cfcf03f3UL;
   tf->codes[53290] = 0x0001fab420c01eceUL;
   tf->codes[53291] = 0x00000c8bb48224ceUL;
   tf->codes[53292] = 0x0000465acf8b3c2bUL;
   tf->codes[53293] = 0x00004cc09fb49a03UL;
   tf->codes[53294] = 0x0000924867875616UL;
   tf->codes[53295] = 0x0000ad29473c475bUL;
   tf->codes[53296] = 0x0000da703cc2490bUL;
   tf->codes[53297] = 0x00014ddd0a27998dUL;
   tf->codes[53298] = 0x0001b30503f6046aUL;
   tf->codes[53299] = 0x0001ba925df0807eUL;
   tf->codes[53300] = 0x0001d77ffb432511UL;
   tf->codes[53301] = 0x0000056f8688c2e6UL;
   tf->codes[53302] = 0x00000a91e4b842a0UL;
   tf->codes[53303] = 0x00001bef179539edUL;
   tf->codes[53304] = 0x00003cf0782bb4dfUL;
   tf->codes[53305] = 0x0000cef36fcd7e34UL;
   tf->codes[53306] = 0x000105f8dbc044a1UL;
   tf->codes[53307] = 0x00010bd029da980eUL;
   tf->codes[53308] = 0x0001574f808dd50fUL;
   tf->codes[53309] = 0x00016344cb6472b2UL;
   tf->codes[53310] = 0x000196a47acd39e5UL;
   tf->codes[53311] = 0x0001a83cb1ce01bcUL;
   tf->codes[53312] = 0x0001c9356129a170UL;
   tf->codes[53313] = 0x0001dad5249a27acUL;
   tf->codes[53314] = 0x0001f0494e8d461eUL;
   tf->codes[53315] = 0x0000474095eec70eUL;
   tf->codes[53316] = 0x000075fe7522b901UL;
   tf->codes[53317] = 0x00013dcfc0e8a233UL;
   tf->codes[53318] = 0x00016544360fc99fUL;
   tf->codes[53319] = 0x00017a137333a83cUL;
   tf->codes[53320] = 0x00018558614be590UL;
   tf->codes[53321] = 0x0001e0a7214fe8a7UL;
   tf->codes[53322] = 0x000022cfdb3a9c49UL;
   tf->codes[53323] = 0x0000694c2a486ffdUL;
   tf->codes[53324] = 0x000095a27c12bc21UL;
   tf->codes[53325] = 0x0001faaa85abfb45UL;
   tf->codes[53326] = 0x000091c30c34013cUL;
   tf->codes[53327] = 0x00010cf19583f70bUL;
   tf->codes[53328] = 0x000131190ee5ddd1UL;
   tf->codes[53329] = 0x00018356bbf83179UL;
   tf->codes[53330] = 0x000184dcf914a44bUL;
   tf->codes[53331] = 0x0001a79bb76c0084UL;
   tf->codes[53332] = 0x00002e694ef314d9UL;
   tf->codes[53333] = 0x00005e8fe9319159UL;
   tf->codes[53334] = 0x00005f28f0f3a52aUL;
   tf->codes[53335] = 0x00006ba2e7d35521UL;
   tf->codes[53336] = 0x0000a3040dce2523UL;
   tf->codes[53337] = 0x00010a09e0b2a48dUL;
   tf->codes[53338] = 0x000169480525e8a8UL;
   tf->codes[53339] = 0x0001be187b392490UL;
   tf->codes[53340] = 0x0001d40f422e2169UL;
   tf->codes[53341] = 0x0001e8bc2f849e98UL;
   tf->codes[53342] = 0x0001fde293841366UL;
   tf->codes[53343] = 0x000003d25b65d02aUL;
   tf->codes[53344] = 0x000011d8f706947fUL;
   tf->codes[53345] = 0x0000251c04876a48UL;
   tf->codes[53346] = 0x00008b5dcea19935UL;
   tf->codes[53347] = 0x0000ecdcd813b412UL;
   tf->codes[53348] = 0x000139be479dd44fUL;
   tf->codes[53349] = 0x00014a7e1a1b4a2cUL;
   tf->codes[53350] = 0x000175f1bc3e40b5UL;
   tf->codes[53351] = 0x000043b763125a0fUL;
   tf->codes[53352] = 0x00005548f7df7a95UL;
   tf->codes[53353] = 0x00007c6680ba1195UL;
   tf->codes[53354] = 0x0000945c4bc76790UL;
   tf->codes[53355] = 0x0000beb40e97661cUL;
   tf->codes[53356] = 0x0001440e6560e67eUL;
   tf->codes[53357] = 0x000155e9a21348ceUL;
   tf->codes[53358] = 0x0001e16cb5db2291UL;
   tf->codes[53359] = 0x000097a7d9a777d9UL;
   tf->codes[53360] = 0x0000d338e59de3e1UL;
   tf->codes[53361] = 0x0000e793eef24f92UL;
   tf->codes[53362] = 0x0001b097f9e971b5UL;
   tf->codes[53363] = 0x0001dede717b9ff6UL;
   tf->codes[53364] = 0x00006344b6281441UL;
   tf->codes[53365] = 0x00009cf9bd8099e4UL;
   tf->codes[53366] = 0x0000b31fa38c3b43UL;
   tf->codes[53367] = 0x0001af7fb4fbc849UL;
   tf->codes[53368] = 0x0001bbc3b00226a4UL;
   tf->codes[53369] = 0x0001d49847377025UL;
   tf->codes[53370] = 0x000050f0de7dc3a7UL;
   tf->codes[53371] = 0x000058e3c8864167UL;
   tf->codes[53372] = 0x00005ee9fb283395UL;
   tf->codes[53373] = 0x0000aa1524432566UL;
   tf->codes[53374] = 0x0000b410addaee9aUL;
   tf->codes[53375] = 0x0000d18d7ce9aee7UL;
   tf->codes[53376] = 0x00012aeed5da151dUL;
   tf->codes[53377] = 0x00012b642e74a4e2UL;
   tf->codes[53378] = 0x000192d5f90bc784UL;
   tf->codes[53379] = 0x0001bff13ddc7b39UL;
   tf->codes[53380] = 0x000023606d167833UL;
   tf->codes[53381] = 0x000135cb2c15f805UL;
   tf->codes[53382] = 0x0001c0a82e43751aUL;
   tf->codes[53383] = 0x0001d2e0bee70962UL;
   tf->codes[53384] = 0x0001f71f52b636e1UL;
   tf->codes[53385] = 0x000005b7a4385667UL;
   tf->codes[53386] = 0x000039ea3abbe51cUL;
   tf->codes[53387] = 0x00004d00382d4a4cUL;
   tf->codes[53388] = 0x00009297536e88eeUL;
   tf->codes[53389] = 0x0000f54b65a8166eUL;
   tf->codes[53390] = 0x0001054fa6071147UL;
   tf->codes[53391] = 0x00011375d2c0f1ceUL;
   tf->codes[53392] = 0x00004026953b20ecUL;
   tf->codes[53393] = 0x0000e52db2ba8d6bUL;
   tf->codes[53394] = 0x0001359a908f1563UL;
   tf->codes[53395] = 0x0000031a386e4943UL;
   tf->codes[53396] = 0x00006bd4082bbd67UL;
   tf->codes[53397] = 0x0000a52678b98c5fUL;
   tf->codes[53398] = 0x0000d9397e23fee2UL;
   tf->codes[53399] = 0x0001427f113c3835UL;
   tf->codes[53400] = 0x00017c4665468b68UL;
   tf->codes[53401] = 0x0001ed395890688bUL;
   tf->codes[53402] = 0x00002e642a5817ffUL;
   tf->codes[53403] = 0x0000a91643bbcb2eUL;
   tf->codes[53404] = 0x0000c8971f2d638bUL;
   tf->codes[53405] = 0x00014882ebbce2f2UL;
   tf->codes[53406] = 0x00019a29daa35c7bUL;
   tf->codes[53407] = 0x0001a63087efb09aUL;
   tf->codes[53408] = 0x00002db4342cb57bUL;
   tf->codes[53409] = 0x000089f740dcca6eUL;
   tf->codes[53410] = 0x0000ac715f9963cbUL;
   tf->codes[53411] = 0x0001191dc79869b9UL;
   tf->codes[53412] = 0x0001c3e3b96ac04eUL;
   tf->codes[53413] = 0x00003227866ce9c5UL;
   tf->codes[53414] = 0x0000d99f57aee2dbUL;
   tf->codes[53415] = 0x0001106b59670121UL;
   tf->codes[53416] = 0x00013fe5ef848af1UL;
   tf->codes[53417] = 0x0001bbb16415f6a6UL;
   tf->codes[53418] = 0x0001db46262284f6UL;
   tf->codes[53419] = 0x00004440ec8a5fa6UL;
   tf->codes[53420] = 0x000054c211f3a8a9UL;
   tf->codes[53421] = 0x0000d246168a7c7cUL;
   tf->codes[53422] = 0x0000ed83256582e0UL;
   tf->codes[53423] = 0x0000f5926cb4cc0cUL;
   tf->codes[53424] = 0x00015df63a61c6d8UL;
   tf->codes[53425] = 0x00018b670c24e85bUL;
   tf->codes[53426] = 0x00009450a271adacUL;
   tf->codes[53427] = 0x0000f6880a2ff2c7UL;
   tf->codes[53428] = 0x0000fb66b300c6b9UL;
   tf->codes[53429] = 0x000114a483346e36UL;
   tf->codes[53430] = 0x000126d8f5c99aa4UL;
   tf->codes[53431] = 0x00012774f6cef976UL;
   tf->codes[53432] = 0x00017a215a483592UL;
   tf->codes[53433] = 0x0001e142dac66f19UL;
   tf->codes[53434] = 0x00008e5fa739c650UL;
   tf->codes[53435] = 0x000127254dd813ebUL;
   tf->codes[53436] = 0x000158e596afeda6UL;
   tf->codes[53437] = 0x00015dd9fa93e5b3UL;
   tf->codes[53438] = 0x00016116f33d927bUL;
   tf->codes[53439] = 0x0001d20eb442e8c7UL;
   tf->codes[53440] = 0x0001e9707fd8a9dfUL;
   tf->codes[53441] = 0x0001f743a3c55c0fUL;
   tf->codes[53442] = 0x00000b758089b93cUL;
   tf->codes[53443] = 0x0000a01b4447feafUL;
   tf->codes[53444] = 0x0000bec9389ecf8aUL;
   tf->codes[53445] = 0x00011154aba4ccd6UL;
   tf->codes[53446] = 0x0001603b11cddc37UL;
   tf->codes[53447] = 0x000193bbec38e7ffUL;
   tf->codes[53448] = 0x0001c69b0da704b8UL;
   tf->codes[53449] = 0x0001ee395f0b4bf7UL;
   tf->codes[53450] = 0x0000040d6114dbd8UL;
   tf->codes[53451] = 0x0000cd7d292f9b6eUL;
   tf->codes[53452] = 0x00015d09efa64db4UL;
   tf->codes[53453] = 0x0001b4d667b8cfd8UL;
   tf->codes[53454] = 0x0001d66a2dddb74aUL;
   tf->codes[53455] = 0x0001e16414b69036UL;
   tf->codes[53456] = 0x0001f0b3da48c2e6UL;
   tf->codes[53457] = 0x00003884c337256fUL;
   tf->codes[53458] = 0x00005050b2075b97UL;
   tf->codes[53459] = 0x0000c05dc1d79259UL;
   tf->codes[53460] = 0x000134bedbe8f4b7UL;
   tf->codes[53461] = 0x000147e63bd01063UL;
   tf->codes[53462] = 0x0001673489c9adafUL;
   tf->codes[53463] = 0x0000034a257086f1UL;
   tf->codes[53464] = 0x00001a81651c16e7UL;
   tf->codes[53465] = 0x000032f4c4e0cc5bUL;
   tf->codes[53466] = 0x0001af733057d3d9UL;
   tf->codes[53467] = 0x00014923639e373cUL;
   tf->codes[53468] = 0x00014a80aeb9a14fUL;
   tf->codes[53469] = 0x000165289951f5f7UL;
   tf->codes[53470] = 0x000190400c4ed761UL;
   tf->codes[53471] = 0x0001ca4e498a2722UL;
   tf->codes[53472] = 0x000067a0ef863cf6UL;
   tf->codes[53473] = 0x00006acc109c27b8UL;
   tf->codes[53474] = 0x00008b8f393c815aUL;
   tf->codes[53475] = 0x000192117caea6a1UL;
   tf->codes[53476] = 0x0001e7645534bb2bUL;
   tf->codes[53477] = 0x00002b59faddd868UL;
   tf->codes[53478] = 0x0000bd4d9f111f2eUL;
   tf->codes[53479] = 0x0000f151c62b1aacUL;
   tf->codes[53480] = 0x000128ee9ff6cc87UL;
   tf->codes[53481] = 0x0001f6116902d9f9UL;
   tf->codes[53482] = 0x0001f82453b6290eUL;
   tf->codes[53483] = 0x000021023394ec56UL;
   tf->codes[53484] = 0x0000428be924d5ecUL;
   tf->codes[53485] = 0x00007bb6c70bbec3UL;
   tf->codes[53486] = 0x00008beef43cd74bUL;
   tf->codes[53487] = 0x00019f437a355f93UL;
   tf->codes[53488] = 0x00001a0471e989c7UL;
   tf->codes[53489] = 0x00003f96efec34ccUL;
   tf->codes[53490] = 0x0000562d60d6ecc7UL;
   tf->codes[53491] = 0x0000b4dffc7e7178UL;
   tf->codes[53492] = 0x0000d22f80eebb67UL;
   tf->codes[53493] = 0x00011e8b5a33b23cUL;
   tf->codes[53494] = 0x00014f81329c99eeUL;
   tf->codes[53495] = 0x00017e515e825971UL;
   tf->codes[53496] = 0x00019f9340a52f65UL;
   tf->codes[53497] = 0x0000185e200ae17aUL;
   tf->codes[53498] = 0x00004b6fcef0f944UL;
   tf->codes[53499] = 0x000084c44e85fc29UL;
   tf->codes[53500] = 0x0000c1b05c019892UL;
   tf->codes[53501] = 0x0000c34452a36590UL;
   tf->codes[53502] = 0x0000c4043d5f4e33UL;
   tf->codes[53503] = 0x0000ec0a6867d0d0UL;
   tf->codes[53504] = 0x00011ebd64029404UL;
   tf->codes[53505] = 0x00019acba3b6946dUL;
   tf->codes[53506] = 0x0001cd0269f41ac6UL;
   tf->codes[53507] = 0x0000190a15a0c66bUL;
   tf->codes[53508] = 0x00011aaa7c6fc6faUL;
   tf->codes[53509] = 0x00015955f6b37897UL;
   tf->codes[53510] = 0x000167e4722fa006UL;
   tf->codes[53511] = 0x00017932c6bc204eUL;
   tf->codes[53512] = 0x000182971d0a03d9UL;
   tf->codes[53513] = 0x000191fe722788ccUL;
   tf->codes[53514] = 0x0001a3089c3751c2UL;
   tf->codes[53515] = 0x0001b717b41041f7UL;
   tf->codes[53516] = 0x00000cbb865c50ebUL;
   tf->codes[53517] = 0x000040b30a310157UL;
   tf->codes[53518] = 0x0000488c1b17f322UL;
   tf->codes[53519] = 0x000082e7340ad573UL;
   tf->codes[53520] = 0x0000bb5f6b9d2449UL;
   tf->codes[53521] = 0x0000f356daa5c2e0UL;
   tf->codes[53522] = 0x00010781daa772f7UL;
   tf->codes[53523] = 0x00013ec8ecf1b13fUL;
   tf->codes[53524] = 0x00015a610627afe9UL;
   tf->codes[53525] = 0x00002cb929c21bf4UL;
   tf->codes[53526] = 0x00004b3e2c17e410UL;
   tf->codes[53527] = 0x00005bbdf2270a75UL;
   tf->codes[53528] = 0x000065e825b76ca5UL;
   tf->codes[53529] = 0x0000759ea022bddaUL;
   tf->codes[53530] = 0x0000d334e7593f04UL;
   tf->codes[53531] = 0x0000e155218c8989UL;
   tf->codes[53532] = 0x0001241f59e52675UL;
   tf->codes[53533] = 0x00012f494a10bafbUL;
   tf->codes[53534] = 0x000132103a72c6afUL;
   tf->codes[53535] = 0x000132f15030f3e7UL;
   tf->codes[53536] = 0x0001d25d83140021UL;
   tf->codes[53537] = 0x0001fbbeafa1b31fUL;
   tf->codes[53538] = 0x00002651017776abUL;
   tf->codes[53539] = 0x00009d5b14baf0eeUL;
   tf->codes[53540] = 0x00009e4341cad101UL;
   tf->codes[53541] = 0x00010aea66f0523cUL;
   tf->codes[53542] = 0x00012faa38673b84UL;
   tf->codes[53543] = 0x00016144c3105d46UL;
   tf->codes[53544] = 0x000172e9c95a6835UL;
   tf->codes[53545] = 0x0001c0b5af8aa237UL;
   tf->codes[53546] = 0x0001f7d09c0186faUL;
   tf->codes[53547] = 0x0000097a3578054dUL;
   tf->codes[53548] = 0x0000b74acd0b135eUL;
   tf->codes[53549] = 0x000143e7b11eb131UL;
   tf->codes[53550] = 0x000166fef5abc639UL;
   tf->codes[53551] = 0x00019e3679f87c2dUL;
   tf->codes[53552] = 0x0001ccea83267609UL;
   tf->codes[53553] = 0x000035067d665d33UL;
   tf->codes[53554] = 0x000036f6689f398bUL;
   tf->codes[53555] = 0x000067f1be70abb5UL;
   tf->codes[53556] = 0x0000849d404dcce3UL;
   tf->codes[53557] = 0x0000d6a8d5063104UL;
   tf->codes[53558] = 0x0000e8b2f6403215UL;
   tf->codes[53559] = 0x0000f80e66508b04UL;
   tf->codes[53560] = 0x0001f7e84905c384UL;
   tf->codes[53561] = 0x0001882a15694580UL;
   tf->codes[53562] = 0x0001c1568d3956baUL;
   tf->codes[53563] = 0x00004a0531a8d062UL;
   tf->codes[53564] = 0x00005a48943a039fUL;
   tf->codes[53565] = 0x00005dff038ca806UL;
   tf->codes[53566] = 0x0000849c738aa016UL;
   tf->codes[53567] = 0x0000edeed5ec1c81UL;
   tf->codes[53568] = 0x0000f5db92defe7aUL;
   tf->codes[53569] = 0x0001e2f3309d1170UL;
   tf->codes[53570] = 0x00002bc067c54fc4UL;
   tf->codes[53571] = 0x0000fe16073a7c58UL;
   tf->codes[53572] = 0x0001390fdfe702b7UL;
   tf->codes[53573] = 0x0001414a9d5c9419UL;
   tf->codes[53574] = 0x0001c755c6028054UL;
   tf->codes[53575] = 0x00007d61cab83116UL;
   tf->codes[53576] = 0x0000a0927348c689UL;
   tf->codes[53577] = 0x0001185b870c125bUL;
   tf->codes[53578] = 0x00013a730efdf50dUL;
   tf->codes[53579] = 0x00013f27db91a92cUL;
   tf->codes[53580] = 0x0001576a825691b7UL;
   tf->codes[53581] = 0x000187d54711c589UL;
   tf->codes[53582] = 0x00018a704c2f7d7dUL;
   tf->codes[53583] = 0x0001db2b6515baa3UL;
   tf->codes[53584] = 0x0001edfb63923a59UL;
   tf->codes[53585] = 0x00000465aea998cfUL;
   tf->codes[53586] = 0x0000479a0a3caacbUL;
   tf->codes[53587] = 0x000051399f3d64a5UL;
   tf->codes[53588] = 0x0000866933a7e074UL;
   tf->codes[53589] = 0x0000d65165735618UL;
   tf->codes[53590] = 0x0000ef4b45b94c08UL;
   tf->codes[53591] = 0x00010984ef08c3c6UL;
   tf->codes[53592] = 0x0001168fec1cbd9fUL;
   tf->codes[53593] = 0x000138d18adac5e9UL;
   tf->codes[53594] = 0x000147adcc4a96fcUL;
   tf->codes[53595] = 0x0001a43f892a6ca7UL;
   tf->codes[53596] = 0x0001ca17cb92f761UL;
   tf->codes[53597] = 0x00010e80964266b4UL;
   tf->codes[53598] = 0x000156df5192c259UL;
   tf->codes[53599] = 0x000158199d33b9afUL;
   tf->codes[53600] = 0x00017d1fa82e8e36UL;
   tf->codes[53601] = 0x00000b9a65584096UL;
   tf->codes[53602] = 0x0000127812416daaUL;
   tf->codes[53603] = 0x0000709255d3efd9UL;
   tf->codes[53604] = 0x00009422615ceb31UL;
   tf->codes[53605] = 0x0000ab84dc9fbd98UL;
   tf->codes[53606] = 0x0000ae9deb92e08fUL;
   tf->codes[53607] = 0x00014b828ad51f3eUL;
   tf->codes[53608] = 0x0001533c4531fa9cUL;
   tf->codes[53609] = 0x0001587cd52073eaUL;
   tf->codes[53610] = 0x00016209a85154aaUL;
   tf->codes[53611] = 0x00017c689ab178d7UL;
   tf->codes[53612] = 0x00017d3f654ba26eUL;
   tf->codes[53613] = 0x0000478373db4c24UL;
   tf->codes[53614] = 0x00006eaf65e84e9fUL;
   tf->codes[53615] = 0x00007bc3143723b6UL;
   tf->codes[53616] = 0x00009c7e00baada4UL;
   tf->codes[53617] = 0x0000b23062a3ed66UL;
   tf->codes[53618] = 0x0000c032a5a7441cUL;
   tf->codes[53619] = 0x00014ecaaa53d8fcUL;
   tf->codes[53620] = 0x000163132c677158UL;
   tf->codes[53621] = 0x000182c202249162UL;
   tf->codes[53622] = 0x00019a356abf0ebbUL;
   tf->codes[53623] = 0x0001fa7c72266bf4UL;
   tf->codes[53624] = 0x0000108794d46a4aUL;
   tf->codes[53625] = 0x00004bda2e45af3dUL;
   tf->codes[53626] = 0x0000c249da6cf311UL;
   tf->codes[53627] = 0x0001027e15f256f7UL;
   tf->codes[53628] = 0x0001229699cbe087UL;
   tf->codes[53629] = 0x00002ea090ec816fUL;
   tf->codes[53630] = 0x00003cd0ce3b5fd2UL;
   tf->codes[53631] = 0x00005decf22f7dcdUL;
   tf->codes[53632] = 0x0000748cc4022255UL;
   tf->codes[53633] = 0x000107c4fefa6412UL;
   tf->codes[53634] = 0x00014ab445d4a7a8UL;
   tf->codes[53635] = 0x0001b71d33040793UL;
   tf->codes[53636] = 0x0001bfc96594c6a5UL;
   tf->codes[53637] = 0x00007bbc46625328UL;
   tf->codes[53638] = 0x00009cf835fe931aUL;
   tf->codes[53639] = 0x00010684b247c8fbUL;
   tf->codes[53640] = 0x000153e849b5bc15UL;
   tf->codes[53641] = 0x000159209d8765afUL;
   tf->codes[53642] = 0x00015d1126c1c38cUL;
   tf->codes[53643] = 0x00015e7847e325b6UL;
   tf->codes[53644] = 0x00018cbc00c10ebbUL;
   tf->codes[53645] = 0x0001c786ba56f094UL;
   tf->codes[53646] = 0x0001040fd1ebc6cbUL;
   tf->codes[53647] = 0x000165b9674812caUL;
   tf->codes[53648] = 0x0001928dfd76cfb6UL;
   tf->codes[53649] = 0x0001e04a90388729UL;
   tf->codes[53650] = 0x0001e0613587c258UL;
   tf->codes[53651] = 0x00001a5ceb823ec4UL;
   tf->codes[53652] = 0x00004f51f0e6f593UL;
   tf->codes[53653] = 0x0000fc84b2fc76aaUL;
   tf->codes[53654] = 0x000132c9f9a44eafUL;
   tf->codes[53655] = 0x000148d974efbaa4UL;
   tf->codes[53656] = 0x0001f7c11e1a4789UL;
   tf->codes[53657] = 0x0001fe4bc2364646UL;
   tf->codes[53658] = 0x000019926c883efcUL;
   tf->codes[53659] = 0x0000283df4f84326UL;
   tf->codes[53660] = 0x0000a02a7d540d3fUL;
   tf->codes[53661] = 0x000127c459c241c5UL;
   tf->codes[53662] = 0x00015c3c04fe9ee0UL;
   tf->codes[53663] = 0x0001b25f407a3b75UL;
   tf->codes[53664] = 0x000016c3317e55d5UL;
   tf->codes[53665] = 0x0000343c579cb9d2UL;
   tf->codes[53666] = 0x0001d486bcfca446UL;
   tf->codes[53667] = 0x00004b68535d2154UL;
   tf->codes[53668] = 0x00008a168c55182dUL;
   tf->codes[53669] = 0x00009a785b344ac3UL;
   tf->codes[53670] = 0x00018c1989eecf67UL;
   tf->codes[53671] = 0x00003b84ba5751c7UL;
   tf->codes[53672] = 0x00005d8dd916c8feUL;
   tf->codes[53673] = 0x00008dbd99ae2c46UL;
   tf->codes[53674] = 0x0000acab9a734c99UL;
   tf->codes[53675] = 0x0000cb5ff66ebf00UL;
   tf->codes[53676] = 0x00013272989c8182UL;
   tf->codes[53677] = 0x0001c204dc7bbe40UL;
   tf->codes[53678] = 0x0001dfda6c4f3d21UL;
   tf->codes[53679] = 0x0001f7058c5e9b4eUL;
   tf->codes[53680] = 0x000032a785acb248UL;
   tf->codes[53681] = 0x000078b225105287UL;
   tf->codes[53682] = 0x00007a2b92e38241UL;
   tf->codes[53683] = 0x000099253e26c8d3UL;
   tf->codes[53684] = 0x0000af47b5d113a7UL;
   tf->codes[53685] = 0x0000b6f1a7a160ecUL;
   tf->codes[53686] = 0x0001176b770fbefbUL;
   tf->codes[53687] = 0x000138efaf371e19UL;
   tf->codes[53688] = 0x00008efbe6476ff8UL;
   tf->codes[53689] = 0x0000a67198782703UL;
   tf->codes[53690] = 0x0000b827518ad71fUL;
   tf->codes[53691] = 0x0000d588ad8ee314UL;
   tf->codes[53692] = 0x0000d909210835dfUL;
   tf->codes[53693] = 0x0000d93d82f85f18UL;
   tf->codes[53694] = 0x00010db68d8eded1UL;
   tf->codes[53695] = 0x000134ef14561e9fUL;
   tf->codes[53696] = 0x00014934d7b571bfUL;
   tf->codes[53697] = 0x00014c2d6b536170UL;
   tf->codes[53698] = 0x0001ad7ad1899850UL;
   tf->codes[53699] = 0x0000087b910aebfeUL;
   tf->codes[53700] = 0x00003656c0978856UL;
   tf->codes[53701] = 0x000073a982ec4344UL;
   tf->codes[53702] = 0x0000787bd191dfa8UL;
   tf->codes[53703] = 0x00008d5977e829c0UL;
   tf->codes[53704] = 0x0000a639b99b9980UL;
   tf->codes[53705] = 0x0000f734def0261eUL;
   tf->codes[53706] = 0x0001f594699617d0UL;
   tf->codes[53707] = 0x000005ff995d36f3UL;
   tf->codes[53708] = 0x00003098c7f5a795UL;
   tf->codes[53709] = 0x00006ce4413f71c8UL;
   tf->codes[53710] = 0x00007c6e20b95deeUL;
   tf->codes[53711] = 0x0000b5f0257bdcf6UL;
   tf->codes[53712] = 0x0000c2637a27e59cUL;
   tf->codes[53713] = 0x0000dd93b9b9a8e8UL;
   tf->codes[53714] = 0x0000e6bfca980125UL;
   tf->codes[53715] = 0x000127ff32a7b7dbUL;
   tf->codes[53716] = 0x00014f33d5ef9594UL;
   tf->codes[53717] = 0x0001a83382515c33UL;
   tf->codes[53718] = 0x0001afb531cdb208UL;
   tf->codes[53719] = 0x0001b608efd44815UL;
   tf->codes[53720] = 0x0001dd0a1b6813a9UL;
   tf->codes[53721] = 0x0000857acc8291ffUL;
   tf->codes[53722] = 0x00015505981650caUL;
   tf->codes[53723] = 0x00017eda83556b2aUL;
   tf->codes[53724] = 0x000040ea3c14250aUL;
   tf->codes[53725] = 0x000097a55a86b897UL;
   tf->codes[53726] = 0x0000f921a5448e38UL;
   tf->codes[53727] = 0x000103695ae6d8adUL;
   tf->codes[53728] = 0x00011ce10a7333dbUL;
   tf->codes[53729] = 0x000186516404a415UL;
   tf->codes[53730] = 0x00003bcb7849f3e1UL;
   tf->codes[53731] = 0x000065a40c796a91UL;
   tf->codes[53732] = 0x0000d5a98fd9e2eeUL;
   tf->codes[53733] = 0x0001555b07f2a31aUL;
   tf->codes[53734] = 0x0001b77353b5d78dUL;
   tf->codes[53735] = 0x0001d0b750ff1ad1UL;
   tf->codes[53736] = 0x0001da12bb831d59UL;
   tf->codes[53737] = 0x00003add4a28700dUL;
   tf->codes[53738] = 0x000058b907118ab5UL;
   tf->codes[53739] = 0x0000999946b7e14bUL;
   tf->codes[53740] = 0x0000a00a4c4159d8UL;
   tf->codes[53741] = 0x0000d4130687c8baUL;
   tf->codes[53742] = 0x0001185f235f6ad9UL;
   tf->codes[53743] = 0x00018dd3a617efbbUL;
   tf->codes[53744] = 0x0001a8e2801868adUL;
   tf->codes[53745] = 0x00002fcf339a8daaUL;
   tf->codes[53746] = 0x00004b34f9e79708UL;
   tf->codes[53747] = 0x00005b617c9a8951UL;
   tf->codes[53748] = 0x00008e5de58b888aUL;
   tf->codes[53749] = 0x0001156681366d69UL;
   tf->codes[53750] = 0x000120c8f1609302UL;
   tf->codes[53751] = 0x00014fd580c445adUL;
   tf->codes[53752] = 0x000170dbe9a53f8dUL;
   tf->codes[53753] = 0x000196f682125371UL;
   tf->codes[53754] = 0x0000139085211909UL;
   tf->codes[53755] = 0x000056d6089adbbcUL;
   tf->codes[53756] = 0x000065f7995280faUL;
   tf->codes[53757] = 0x0000de080b64d4e4UL;
   tf->codes[53758] = 0x0001a9615713cf46UL;
   tf->codes[53759] = 0x00003b65e89ec0feUL;
   tf->codes[53760] = 0x00004e76ddc5a740UL;
   tf->codes[53761] = 0x0000c181fe9c582bUL;
   tf->codes[53762] = 0x000125f5430ef51aUL;
   tf->codes[53763] = 0x000184ec0933311dUL;
   tf->codes[53764] = 0x0001d74688aa5bbbUL;
   tf->codes[53765] = 0x000009441f3c3fb2UL;
   tf->codes[53766] = 0x000032a30233b8feUL;
   tf->codes[53767] = 0x00003ddddfb6f876UL;
   tf->codes[53768] = 0x000062b36c4105d9UL;
   tf->codes[53769] = 0x00007a8acb005c7bUL;
   tf->codes[53770] = 0x00007fb6ff35d44cUL;
   tf->codes[53771] = 0x0000947eafe9f484UL;
   tf->codes[53772] = 0x0000aae084557d81UL;
   tf->codes[53773] = 0x0000d46add733f03UL;
   tf->codes[53774] = 0x00010f5562b142d3UL;
   tf->codes[53775] = 0x000148f9079411faUL;
   tf->codes[53776] = 0x0001f387d8c1fa1aUL;
   tf->codes[53777] = 0x00001d80adb79e4bUL;
   tf->codes[53778] = 0x00003ec37a168b53UL;
   tf->codes[53779] = 0x00006eb368cea4e8UL;
   tf->codes[53780] = 0x00010975c9ef11f3UL;
   tf->codes[53781] = 0x0001c5978f443d37UL;
   tf->codes[53782] = 0x0001e674cb952893UL;
   tf->codes[53783] = 0x000090c773d42350UL;
   tf->codes[53784] = 0x0000b21032b9a65aUL;
   tf->codes[53785] = 0x000150d5dee44a5cUL;
   tf->codes[53786] = 0x0001f2f8ff0dce6cUL;
   tf->codes[53787] = 0x0000455b4583bd34UL;
   tf->codes[53788] = 0x00008ea8d017a03dUL;
   tf->codes[53789] = 0x00009ef1eaa063b7UL;
   tf->codes[53790] = 0x0000de53047bfa56UL;
   tf->codes[53791] = 0x000100195818dcd9UL;
   tf->codes[53792] = 0x0001414a1c67224fUL;
   tf->codes[53793] = 0x00015b62259649eeUL;
   tf->codes[53794] = 0x000161f8aebf74afUL;
   tf->codes[53795] = 0x00017b4d2442575bUL;
   tf->codes[53796] = 0x0001a0803f4c9c7bUL;
   tf->codes[53797] = 0x000085b2ac878bddUL;
   tf->codes[53798] = 0x0000a20e5969cf7aUL;
   tf->codes[53799] = 0x0000f21029c7cb4eUL;
   tf->codes[53800] = 0x00015471a8523601UL;
   tf->codes[53801] = 0x000177395273733dUL;
   tf->codes[53802] = 0x0001caa31c835885UL;
   tf->codes[53803] = 0x000002ebfa6ffd10UL;
   tf->codes[53804] = 0x000017e88232520bUL;
   tf->codes[53805] = 0x0000386411f49dd0UL;
   tf->codes[53806] = 0x0000461e818ae0e4UL;
   tf->codes[53807] = 0x00004e5311ead67fUL;
   tf->codes[53808] = 0x0000693c684b9d3dUL;
   tf->codes[53809] = 0x0000c3c66fd83e88UL;
   tf->codes[53810] = 0x0000c43ced3deb26UL;
   tf->codes[53811] = 0x0000eea6fcbfb742UL;
   tf->codes[53812] = 0x0000fe5d3c9c02b2UL;
   tf->codes[53813] = 0x0001177d159fb660UL;
   tf->codes[53814] = 0x000160bf6ad37eb4UL;
   tf->codes[53815] = 0x00018e89e79775dfUL;
   tf->codes[53816] = 0x0001d9af58bad773UL;
   tf->codes[53817] = 0x0000a7ed8bfbd158UL;
   tf->codes[53818] = 0x0000cb7a9e4181afUL;
   tf->codes[53819] = 0x0000cd2f85568d7dUL;
   tf->codes[53820] = 0x0000dcf1aa4004f1UL;
   tf->codes[53821] = 0x0000f9dbd93152f9UL;
   tf->codes[53822] = 0x00011198af220c57UL;
   tf->codes[53823] = 0x00011b829bb5194aUL;
   tf->codes[53824] = 0x0001681903ffd51fUL;
   tf->codes[53825] = 0x00019dcc1fa84669UL;
   tf->codes[53826] = 0x0001efacede773a3UL;
   tf->codes[53827] = 0x00004262ecd7a211UL;
   tf->codes[53828] = 0x0000eaa4444c761cUL;
   tf->codes[53829] = 0x00010600e44098b2UL;
   tf->codes[53830] = 0x000149c1032e6fddUL;
   tf->codes[53831] = 0x0001acf185543ffdUL;
   tf->codes[53832] = 0x0001c596fd72e4f8UL;
   tf->codes[53833] = 0x00000cea51a9e808UL;
   tf->codes[53834] = 0x0000f5f03b2b588cUL;
   tf->codes[53835] = 0x0001112c5fca47dcUL;
   tf->codes[53836] = 0x0001194abff90dd2UL;
   tf->codes[53837] = 0x00014c54e26f6737UL;
   tf->codes[53838] = 0x00016aaf58dafe31UL;
   tf->codes[53839] = 0x0001832a7f9e77cfUL;
   tf->codes[53840] = 0x0001b746ab61d11aUL;
   tf->codes[53841] = 0x000073fd5a6aa855UL;
   tf->codes[53842] = 0x000077c6166f1a4cUL;
   tf->codes[53843] = 0x000096e3e5f7f074UL;
   tf->codes[53844] = 0x000129e3a0f1a11eUL;
   tf->codes[53845] = 0x0001be448a861df0UL;
   tf->codes[53846] = 0x00000e7838af0386UL;
   tf->codes[53847] = 0x000026b9baa8cf38UL;
   tf->codes[53848] = 0x000028515a3af886UL;
   tf->codes[53849] = 0x00006c09ecb9114cUL;
   tf->codes[53850] = 0x000082d36039cfe2UL;
   tf->codes[53851] = 0x0000dd69c1f1a8bbUL;
   tf->codes[53852] = 0x000153a212e57855UL;
   tf->codes[53853] = 0x00018fc9a278b8b7UL;
   tf->codes[53854] = 0x0001d940cebab5ceUL;
   tf->codes[53855] = 0x0000860514f85436UL;
   tf->codes[53856] = 0x0000bae215b3ad38UL;
   tf->codes[53857] = 0x00016e4cada7047aUL;
   tf->codes[53858] = 0x0001b2aaa212689fUL;
   tf->codes[53859] = 0x0000088176f47e2eUL;
   tf->codes[53860] = 0x0000263d683576dfUL;
   tf->codes[53861] = 0x00004e971129335dUL;
   tf->codes[53862] = 0x00006eb253b70229UL;
   tf->codes[53863] = 0x0000b88c16c3b5ebUL;
   tf->codes[53864] = 0x0000ebf6c0fd920eUL;
   tf->codes[53865] = 0x00014d5f9a3e7d46UL;
   tf->codes[53866] = 0x00016a6b2ec115a8UL;
   tf->codes[53867] = 0x0001c44e750648f6UL;
   tf->codes[53868] = 0x0001dfcf73cf00e7UL;
   tf->codes[53869] = 0x00003fd66ec80ea8UL;
   tf->codes[53870] = 0x000057d734a67993UL;
   tf->codes[53871] = 0x000066c219d7bbe6UL;
   tf->codes[53872] = 0x00014616d153b64fUL;
   tf->codes[53873] = 0x000169b71a874b4aUL;
   tf->codes[53874] = 0x0001df1ff2c1a9edUL;
   tf->codes[53875] = 0x00003457583d0a1fUL;
   tf->codes[53876] = 0x0000acccaab04e66UL;
   tf->codes[53877] = 0x0000acd81a9f6ee0UL;
   tf->codes[53878] = 0x0000c576b5fb66c5UL;
   tf->codes[53879] = 0x00013e807d044b79UL;
   tf->codes[53880] = 0x00016586013584acUL;
   tf->codes[53881] = 0x0001a73a8750c562UL;
   tf->codes[53882] = 0x0001e824d78c19d4UL;
   tf->codes[53883] = 0x0001ee2a95100078UL;
   tf->codes[53884] = 0x00002772455bc045UL;
   tf->codes[53885] = 0x0000844d3502cc30UL;
   tf->codes[53886] = 0x0000aebb62930026UL;
   tf->codes[53887] = 0x0000d7b64f65a029UL;
   tf->codes[53888] = 0x0000ee382a0850e2UL;
   tf->codes[53889] = 0x0001f3451db5ae49UL;
   tf->codes[53890] = 0x00000f46e5081679UL;
   tf->codes[53891] = 0x000038916c468e48UL;
   tf->codes[53892] = 0x00008fe139ddc807UL;
   tf->codes[53893] = 0x00009225c7ccfb19UL;
   tf->codes[53894] = 0x0000c03b114150e7UL;
   tf->codes[53895] = 0x0000ef5e80834486UL;
   tf->codes[53896] = 0x0000ef9aa97231e9UL;
   tf->codes[53897] = 0x0000f98be7e5f77cUL;
   tf->codes[53898] = 0x0001121b6a627297UL;
   tf->codes[53899] = 0x00013edf13398491UL;
   tf->codes[53900] = 0x00014a2ade146efbUL;
   tf->codes[53901] = 0x00016613f110680fUL;
   tf->codes[53902] = 0x000168321123d1d9UL;
   tf->codes[53903] = 0x0001ebb40c3fc826UL;
   tf->codes[53904] = 0x0000fb03ad44f114UL;
   tf->codes[53905] = 0x00011b1295a78852UL;
   tf->codes[53906] = 0x00017a64a0b5c260UL;
   tf->codes[53907] = 0x0001c25d56da10cfUL;
   tf->codes[53908] = 0x0001e67a8517f3f4UL;
   tf->codes[53909] = 0x00000fe96b2b011eUL;
   tf->codes[53910] = 0x00007b2675ebd52eUL;
   tf->codes[53911] = 0x0000b93edaf408fcUL;
   tf->codes[53912] = 0x0000f55f8dc49c48UL;
   tf->codes[53913] = 0x0001112f774c1ab6UL;
   tf->codes[53914] = 0x0001f2444b3d3ba2UL;
   tf->codes[53915] = 0x0000390a7cbf56e5UL;
   tf->codes[53916] = 0x0000be0486545a4eUL;
   tf->codes[53917] = 0x00011248895fbfb8UL;
   tf->codes[53918] = 0x000132e03bd9d124UL;
   tf->codes[53919] = 0x0001613d1e2c34cfUL;
   tf->codes[53920] = 0x0001f498589ee949UL;
   tf->codes[53921] = 0x00003f29ca4ab5faUL;
   tf->codes[53922] = 0x0000aaf1390c2c9bUL;
   tf->codes[53923] = 0x0001087708090e5dUL;
   tf->codes[53924] = 0x00013a22f527e69bUL;
   tf->codes[53925] = 0x00013e576e4ff605UL;
   tf->codes[53926] = 0x0001c1aa4a5547ccUL;
   tf->codes[53927] = 0x0001e51dbe0871f3UL;
   tf->codes[53928] = 0x000009d0108906d4UL;
   tf->codes[53929] = 0x00003411ddb6db80UL;
   tf->codes[53930] = 0x00005972f30ca84dUL;
   tf->codes[53931] = 0x0000bdafc687e816UL;
   tf->codes[53932] = 0x0001334cc6236a2dUL;
   tf->codes[53933] = 0x000140b84afae6c4UL;
   tf->codes[53934] = 0x00015866080c2358UL;
   tf->codes[53935] = 0x000013de87f4a128UL;
   tf->codes[53936] = 0x000018f3a1bcd240UL;
   tf->codes[53937] = 0x00005572582ba8d3UL;
   tf->codes[53938] = 0x0000890afcb10ca3UL;
   tf->codes[53939] = 0x0000fe343d9b2758UL;
   tf->codes[53940] = 0x00014b6213bece9bUL;
   tf->codes[53941] = 0x00014c720e049a94UL;
   tf->codes[53942] = 0x000199f6d074d243UL;
   tf->codes[53943] = 0x0001ef1e32d49e97UL;
   tf->codes[53944] = 0x0001f3a280f78b92UL;
   tf->codes[53945] = 0x00003e066d75dc20UL;
   tf->codes[53946] = 0x000065c4156439ccUL;
   tf->codes[53947] = 0x0000785bce712e34UL;
   tf->codes[53948] = 0x00009f2effb9721bUL;
   tf->codes[53949] = 0x0000bae6e49792bcUL;
   tf->codes[53950] = 0x000121a88cff5ad4UL;
   tf->codes[53951] = 0x00016bd72d516b15UL;
   tf->codes[53952] = 0x00017a6f7ed38a9bUL;
   tf->codes[53953] = 0x0001c92f0202c52aUL;
   tf->codes[53954] = 0x0001f4dd6dba8678UL;
   tf->codes[53955] = 0x00007fab570886c3UL;
   tf->codes[53956] = 0x0000a3411a891258UL;
   tf->codes[53957] = 0x00010344e1afcf53UL;
   tf->codes[53958] = 0x000157159b27d8e5UL;
   tf->codes[53959] = 0x000008eec09ea2a0UL;
   tf->codes[53960] = 0x00001a67a115540aUL;
   tf->codes[53961] = 0x00002ea59d75e300UL;
   tf->codes[53962] = 0x000032c49619d414UL;
   tf->codes[53963] = 0x00005ad964e3c7f1UL;
   tf->codes[53964] = 0x0000ba596a3d89acUL;
   tf->codes[53965] = 0x000115bab1826018UL;
   tf->codes[53966] = 0x000191686972ddc3UL;
   tf->codes[53967] = 0x00001caa4c014b35UL;
   tf->codes[53968] = 0x00002b19ab8261fcUL;
   tf->codes[53969] = 0x00003bed2a0bc807UL;
   tf->codes[53970] = 0x000071f1ef27450aUL;
   tf->codes[53971] = 0x00009cfa4944a9aaUL;
   tf->codes[53972] = 0x0000aff8077dab48UL;
   tf->codes[53973] = 0x00012422b097b080UL;
   tf->codes[53974] = 0x0001cf14c83d609aUL;
   tf->codes[53975] = 0x00002d5ccb8c64b1UL;
   tf->codes[53976] = 0x000050969a75e0ecUL;
   tf->codes[53977] = 0x0000b326c2f8e49bUL;
   tf->codes[53978] = 0x0000d99dc51b1363UL;
   tf->codes[53979] = 0x0000ee9210c098aaUL;
   tf->codes[53980] = 0x0001947451779c5fUL;
   tf->codes[53981] = 0x0001989817d7069cUL;
   tf->codes[53982] = 0x000198ea36681ddfUL;
   tf->codes[53983] = 0x0001ae90b344319dUL;
   tf->codes[53984] = 0x0001ba12ef16792dUL;
   tf->codes[53985] = 0x0001f96ec6188b19UL;
   tf->codes[53986] = 0x00004770a82216b7UL;
   tf->codes[53987] = 0x00005eb4b716e9c5UL;
   tf->codes[53988] = 0x00008d9680016589UL;
   tf->codes[53989] = 0x000090f63d967f49UL;
   tf->codes[53990] = 0x0000ede130591f12UL;
   tf->codes[53991] = 0x00011793cbcad804UL;
   tf->codes[53992] = 0x000137d0395aeb65UL;
   tf->codes[53993] = 0x0001c5780f69d643UL;
   tf->codes[53994] = 0x0001d5bc21a81acfUL;
   tf->codes[53995] = 0x000009fdd10b264eUL;
   tf->codes[53996] = 0x0000525032304a65UL;
   tf->codes[53997] = 0x00009fa6bfc5f4a2UL;
   tf->codes[53998] = 0x0000b2b91446fd82UL;
   tf->codes[53999] = 0x0000f12706419f1eUL;
   tf->codes[54000] = 0x0000fa5909a68d5dUL;
   tf->codes[54001] = 0x0001a6129877e47fUL;
   tf->codes[54002] = 0x0001e1c9629d0880UL;
   tf->codes[54003] = 0x0001ef9d70c5d1c4UL;
   tf->codes[54004] = 0x0001f1876978181aUL;
   tf->codes[54005] = 0x0000035efd3a1e1aUL;
   tf->codes[54006] = 0x000014f89395088fUL;
   tf->codes[54007] = 0x00007773eb40ff37UL;
   tf->codes[54008] = 0x0000ea627441def1UL;
   tf->codes[54009] = 0x00013a841047fcbcUL;
   tf->codes[54010] = 0x00016333f5db3857UL;
   tf->codes[54011] = 0x0001d6cef81b164bUL;
   tf->codes[54012] = 0x0001ff7199470344UL;
   tf->codes[54013] = 0x000004e98468f0ccUL;
   tf->codes[54014] = 0x0000696b6c9cfefbUL;
   tf->codes[54015] = 0x00007f23fb9bda84UL;
   tf->codes[54016] = 0x0000cccef158d5b6UL;
   tf->codes[54017] = 0x0001cf47bcab283fUL;
   tf->codes[54018] = 0x0001e8821e7d7931UL;
   tf->codes[54019] = 0x0000494e0c7cee83UL;
   tf->codes[54020] = 0x0000efa396c74e10UL;
   tf->codes[54021] = 0x00010533a8e32c64UL;
   tf->codes[54022] = 0x0001a3454f5f13c7UL;
   tf->codes[54023] = 0x0001b41c3c49d05dUL;
   tf->codes[54024] = 0x0001d047302c4711UL;
   tf->codes[54025] = 0x0000322a2fc33b37UL;
   tf->codes[54026] = 0x000045a45de87f75UL;
   tf->codes[54027] = 0x0000655ea394bff9UL;
   tf->codes[54028] = 0x000078169d67e1e2UL;
   tf->codes[54029] = 0x00008f8daef2bb8bUL;
   tf->codes[54030] = 0x00009b90edddb91fUL;
   tf->codes[54031] = 0x0000fd05719cca96UL;
   tf->codes[54032] = 0x00012459a5fdc481UL;
   tf->codes[54033] = 0x000166f917dd2a86UL;
   tf->codes[54034] = 0x0001c98a2a9c4549UL;
   tf->codes[54035] = 0x000030cbb151a68cUL;
   tf->codes[54036] = 0x000065806fb9081eUL;
   tf->codes[54037] = 0x00007002b4611793UL;
   tf->codes[54038] = 0x0000ff23489620dcUL;
   tf->codes[54039] = 0x000116e64b9c7601UL;
   tf->codes[54040] = 0x0001f6245dc9353bUL;
   tf->codes[54041] = 0x0000349cd576e03dUL;
   tf->codes[54042] = 0x0000488878b7522bUL;
   tf->codes[54043] = 0x0000637159fa0d5fUL;
   tf->codes[54044] = 0x00007b5fd326aabaUL;
   tf->codes[54045] = 0x0000827a933adc45UL;
   tf->codes[54046] = 0x00009afd80fd1a0dUL;
   tf->codes[54047] = 0x00016ad59d6676f2UL;
   tf->codes[54048] = 0x00016fbf7b976599UL;
   tf->codes[54049] = 0x000192eb566c81e3UL;
   tf->codes[54050] = 0x0001e9b602dc9dc4UL;
   tf->codes[54051] = 0x000095c6436b7f8dUL;
   tf->codes[54052] = 0x0000bf40d3fcb2f6UL;
   tf->codes[54053] = 0x0000cbfa622ca6dbUL;
   tf->codes[54054] = 0x0000ce06e53b5464UL;
   tf->codes[54055] = 0x0001232d97ee0f69UL;
   tf->codes[54056] = 0x0001479b1044dba9UL;
   tf->codes[54057] = 0x0001703debffce67UL;
   tf->codes[54058] = 0x000180e878882bb3UL;
   tf->codes[54059] = 0x0001b924fc4998b0UL;
   tf->codes[54060] = 0x0001d66149cbfdfbUL;
   tf->codes[54061] = 0x0001eb529c2e3841UL;
   tf->codes[54062] = 0x0001ef1f01230688UL;
   tf->codes[54063] = 0x0001fa65c3b37204UL;
   tf->codes[54064] = 0x00001483bf692fa5UL;
   tf->codes[54065] = 0x00006b57ccc13813UL;
   tf->codes[54066] = 0x00008271153cd43aUL;
   tf->codes[54067] = 0x000093b85277a1a7UL;
   tf->codes[54068] = 0x00010856452502b7UL;
   tf->codes[54069] = 0x00012f35d0987e2cUL;
   tf->codes[54070] = 0x000133c9acb8f37bUL;
   tf->codes[54071] = 0x000058cc99e3733fUL;
   tf->codes[54072] = 0x00014dc07c5ac8c6UL;
   tf->codes[54073] = 0x00016847767fde9eUL;
   tf->codes[54074] = 0x0001a582e3d84d0eUL;
   tf->codes[54075] = 0x00007861fd12051fUL;
   tf->codes[54076] = 0x0000d70ea632f3ceUL;
   tf->codes[54077] = 0x0000dab80bad4f58UL;
   tf->codes[54078] = 0x000166a20edd4d65UL;
   tf->codes[54079] = 0x0001cbf2858eb577UL;
   tf->codes[54080] = 0x0001da0e5899849eUL;
   tf->codes[54081] = 0x0000a831535ecff0UL;
   tf->codes[54082] = 0x0000d71b92f5212dUL;
   tf->codes[54083] = 0x0000d7bcd6d404b2UL;
   tf->codes[54084] = 0x0001113d7c3c611cUL;
   tf->codes[54085] = 0x000145ccb704107aUL;
   tf->codes[54086] = 0x00019a2a1e12f64fUL;
   tf->codes[54087] = 0x0001eba178c4bfc8UL;
   tf->codes[54088] = 0x000032826da47e14UL;
   tf->codes[54089] = 0x0000a3a270fdcbd0UL;
   tf->codes[54090] = 0x0000b6e9276efde9UL;
   tf->codes[54091] = 0x0000d3350bc4b36dUL;
   tf->codes[54092] = 0x000132d551e4a2a9UL;
   tf->codes[54093] = 0x00018e448d3dd906UL;
   tf->codes[54094] = 0x00003778d2049c4fUL;
   tf->codes[54095] = 0x000058e664dcc03eUL;
   tf->codes[54096] = 0x000071c71bae3b88UL;
   tf->codes[54097] = 0x00009b33f2ba14c5UL;
   tf->codes[54098] = 0x0000ac665f1dd52bUL;
   tf->codes[54099] = 0x00011e44039cd1d8UL;
   tf->codes[54100] = 0x00014be553d0ba7fUL;
   tf->codes[54101] = 0x0001a46cae54a658UL;
   tf->codes[54102] = 0x00007479a1cc3800UL;
   tf->codes[54103] = 0x0000b5ae0f0ad9c6UL;
   tf->codes[54104] = 0x0000d8bd8c992aa4UL;
   tf->codes[54105] = 0x00002b5918bcb7d1UL;
   tf->codes[54106] = 0x000095a669fded69UL;
   tf->codes[54107] = 0x00016d36a6dafd49UL;
   tf->codes[54108] = 0x000170a199d031beUL;
   tf->codes[54109] = 0x000189320688c3edUL;
   tf->codes[54110] = 0x0001b61b32ff881bUL;
   tf->codes[54111] = 0x00008e2ad90c259cUL;
   tf->codes[54112] = 0x000104d0810cbb0cUL;
   tf->codes[54113] = 0x000166f43cbf0ff9UL;
   tf->codes[54114] = 0x0001ced8a13c7d24UL;
   tf->codes[54115] = 0x0001e7b06c44176bUL;
   tf->codes[54116] = 0x000018be83e562afUL;
   tf->codes[54117] = 0x00004854527e9b12UL;
   tf->codes[54118] = 0x0000816b845993bbUL;
   tf->codes[54119] = 0x000109a03d020a3aUL;
   tf->codes[54120] = 0x000144627fec169aUL;
   tf->codes[54121] = 0x0000349f11aa788bUL;
   tf->codes[54122] = 0x00003c93959c1eaeUL;
   tf->codes[54123] = 0x00003db94af50ec2UL;
   tf->codes[54124] = 0x00013de6e62486e8UL;
   tf->codes[54125] = 0x000151bcce51d4bbUL;
   tf->codes[54126] = 0x0000a19428c79b70UL;
   tf->codes[54127] = 0x00011663f93fe642UL;
   tf->codes[54128] = 0x0001735f643c2573UL;
   tf->codes[54129] = 0x0001736138b4539bUL;
   tf->codes[54130] = 0x00006d2d21c8d5c3UL;
   tf->codes[54131] = 0x000106d627bb8a48UL;
   tf->codes[54132] = 0x0001bbbf705b95f7UL;
   tf->codes[54133] = 0x0001f1e3c6902f2cUL;
   tf->codes[54134] = 0x00001c4b8c7bc196UL;
   tf->codes[54135] = 0x0000474c94b86d96UL;
   tf->codes[54136] = 0x0001161c434bbce7UL;
   tf->codes[54137] = 0x00012a5c8942858fUL;
   tf->codes[54138] = 0x00016ba16ebac6bdUL;
   tf->codes[54139] = 0x00018bb9b8054a88UL;
   tf->codes[54140] = 0x0001acf4f7f4792bUL;
   tf->codes[54141] = 0x0001ccb73f2e839eUL;
   tf->codes[54142] = 0x0001f0e47087faa1UL;
   tf->codes[54143] = 0x0000384afbace255UL;
   tf->codes[54144] = 0x000084e129689865UL;
   tf->codes[54145] = 0x00008939c6d63765UL;
   tf->codes[54146] = 0x000092497a6dc436UL;
   tf->codes[54147] = 0x0000ad54e60ce69dUL;
   tf->codes[54148] = 0x0000b028a5b83569UL;
   tf->codes[54149] = 0x0000cc2fea732811UL;
   tf->codes[54150] = 0x0001049525a69808UL;
   tf->codes[54151] = 0x0001affafbfdaf84UL;
   tf->codes[54152] = 0x0001ccf10ffc2990UL;
   tf->codes[54153] = 0x0001d84bb9278affUL;
   tf->codes[54154] = 0x000024c3efb34d40UL;
   tf->codes[54155] = 0x00002f7c3034ae51UL;
   tf->codes[54156] = 0x000091337f16547cUL;
   tf->codes[54157] = 0x0000df9c50880464UL;
   tf->codes[54158] = 0x00011a8fc18fe937UL;
   tf->codes[54159] = 0x000164e3e581abacUL;
   tf->codes[54160] = 0x000168a58a346ac8UL;
   tf->codes[54161] = 0x0001bc5d54c6ff79UL;
   tf->codes[54162] = 0x0001ffa47229ea8fUL;
   tf->codes[54163] = 0x000085be3e91480aUL;
   tf->codes[54164] = 0x00008e0eb719fd87UL;
   tf->codes[54165] = 0x0001c8588399255fUL;
   tf->codes[54166] = 0x0001e858188d3a0eUL;
   tf->codes[54167] = 0x0001f710e5648cdaUL;
   tf->codes[54168] = 0x00005d2a329bbe92UL;
   tf->codes[54169] = 0x000101c90158e429UL;
   tf->codes[54170] = 0x0001d2104947350cUL;
   tf->codes[54171] = 0x00001a26817d6bc0UL;
   tf->codes[54172] = 0x000062b6e009ab62UL;
   tf->codes[54173] = 0x00012a93612faf49UL;
   tf->codes[54174] = 0x000133f7b77d92d4UL;
   tf->codes[54175] = 0x000147bf71077af1UL;
   tf->codes[54176] = 0x00014abf56862342UL;
   tf->codes[54177] = 0x00016d03ee87768dUL;
   tf->codes[54178] = 0x00018b43670664b9UL;
   tf->codes[54179] = 0x000126453aea0bf0UL;
   tf->codes[54180] = 0x00013dff8cb585d7UL;
   tf->codes[54181] = 0x0001bc0fc9c52a63UL;
   tf->codes[54182] = 0x0001e28706765ef0UL;
   tf->codes[54183] = 0x000067c4c56a0e21UL;
   tf->codes[54184] = 0x00008729f341ec61UL;
   tf->codes[54185] = 0x0001203bc5eabb3dUL;
   tf->codes[54186] = 0x000192717b81652fUL;
   tf->codes[54187] = 0x0001aff143d3707dUL;
   tf->codes[54188] = 0x000021f9aecba411UL;
   tf->codes[54189] = 0x0000a33c5ed1ebffUL;
   tf->codes[54190] = 0x00011619fa7b20c7UL;
   tf->codes[54191] = 0x0001fe3950d5d99bUL;
   tf->codes[54192] = 0x000003362b65a721UL;
   tf->codes[54193] = 0x00014c5d2390b720UL;
   tf->codes[54194] = 0x0000a541ad78cb2fUL;
   tf->codes[54195] = 0x0000cc790f74ee24UL;
   tf->codes[54196] = 0x0000ebb0430144b7UL;
   tf->codes[54197] = 0x00011209c3118b3aUL;
   tf->codes[54198] = 0x00011b7e91990e2dUL;
   tf->codes[54199] = 0x000152c185d4e49bUL;
   tf->codes[54200] = 0x00016102b07b6df0UL;
   tf->codes[54201] = 0x0001e6d46ee6b204UL;
   tf->codes[54202] = 0x0001f80a0f1cc330UL;
   tf->codes[54203] = 0x00002e9bf6ed2800UL;
   tf->codes[54204] = 0x0000a25ae2e38fc5UL;
   tf->codes[54205] = 0x0000cc48f79724cbUL;
   tf->codes[54206] = 0x00010a7ccfaa0cf1UL;
   tf->codes[54207] = 0x000122788d3df8eeUL;
   tf->codes[54208] = 0x00014e1cadd1b69bUL;
   tf->codes[54209] = 0x00008b7369a7cfa1UL;
   tf->codes[54210] = 0x0000c76c89d17cccUL;
   tf->codes[54211] = 0x00017bf12c9f9de3UL;
   tf->codes[54212] = 0x0001e37e2fb26f18UL;
   tf->codes[54213] = 0x0000222b7e6e4eddUL;
   tf->codes[54214] = 0x00009c195478abcaUL;
   tf->codes[54215] = 0x0000ecb1e30281bdUL;
   tf->codes[54216] = 0x00011b420279f1c8UL;
   tf->codes[54217] = 0x00017194d22a3e6dUL;
   tf->codes[54218] = 0x000067226c10b914UL;
   tf->codes[54219] = 0x0001132568384c3bUL;
   tf->codes[54220] = 0x0001145568b53ff0UL;
   tf->codes[54221] = 0x000148247e3200e6UL;
   tf->codes[54222] = 0x00016ae3771862e4UL;
   tf->codes[54223] = 0x0001b584b150bdaeUL;
   tf->codes[54224] = 0x0001bac9d46baa60UL;
   tf->codes[54225] = 0x0001f36f1c0d69cfUL;
   tf->codes[54226] = 0x0000734d2f178f0aUL;
   tf->codes[54227] = 0x0000867f4f40b9e1UL;
   tf->codes[54228] = 0x000090ab1cba4474UL;
   tf->codes[54229] = 0x0001cd7ddc345c75UL;
   tf->codes[54230] = 0x0001d298e883238fUL;
   tf->codes[54231] = 0x00009aef55702a9fUL;
   tf->codes[54232] = 0x0000ba0fa91e403eUL;
   tf->codes[54233] = 0x0000c3addec4d77aUL;
   tf->codes[54234] = 0x000159c7585ebc6aUL;
   tf->codes[54235] = 0x00000e4ad661c0a8UL;
   tf->codes[54236] = 0x00008abd46c9a01fUL;
   tf->codes[54237] = 0x00000f70b7bea8c2UL;
   tf->codes[54238] = 0x00006c9accb380efUL;
   tf->codes[54239] = 0x0000cd12528ba54cUL;
   tf->codes[54240] = 0x00013619adadbd4fUL;
   tf->codes[54241] = 0x0001dcefc5f2c756UL;
   tf->codes[54242] = 0x000039ba3d6033d9UL;
   tf->codes[54243] = 0x0000bc8ba12ec412UL;
   tf->codes[54244] = 0x000159e1406e24e7UL;
   tf->codes[54245] = 0x00016f25610e87bfUL;
   tf->codes[54246] = 0x0000733a24907135UL;
   tf->codes[54247] = 0x0000bcada7e211fcUL;
   tf->codes[54248] = 0x0000d69273ec2d3bUL;
   tf->codes[54249] = 0x00012c067774865aUL;
   tf->codes[54250] = 0x00014e86c346bb7eUL;
   tf->codes[54251] = 0x000176ce5a17b031UL;
   tf->codes[54252] = 0x0001a7070678f47cUL;
   tf->codes[54253] = 0x0001b557848e0060UL;
   tf->codes[54254] = 0x0001d3f784d0714aUL;
   tf->codes[54255] = 0x0001e2958e4a210dUL;
   tf->codes[54256] = 0x00001df8da840b2dUL;
   tf->codes[54257] = 0x000060579048106bUL;
   tf->codes[54258] = 0x0001af87b4585d99UL;
   tf->codes[54259] = 0x0001d7230c7959d7UL;
   tf->codes[54260] = 0x000007b354d43fddUL;
   tf->codes[54261] = 0x00005863385a624eUL;
   tf->codes[54262] = 0x0001189e03cce8a4UL;
   tf->codes[54263] = 0x000138a6f9a8e9e0UL;
   tf->codes[54264] = 0x00016a081a17637bUL;
   tf->codes[54265] = 0x0000155db2c3e154UL;
   tf->codes[54266] = 0x00002d6ce1d4b7baUL;
   tf->codes[54267] = 0x00004acc2ed18fc2UL;
   tf->codes[54268] = 0x00006e676fbaa5cfUL;
   tf->codes[54269] = 0x00007504d5a67da6UL;
   tf->codes[54270] = 0x000092dada980811UL;
   tf->codes[54271] = 0x00009ece50f6778cUL;
   tf->codes[54272] = 0x000016372d874268UL;
   tf->codes[54273] = 0x000029eb7594401cUL;
   tf->codes[54274] = 0x0000683afb40e25fUL;
   tf->codes[54275] = 0x0000b7acafa6ab65UL;
   tf->codes[54276] = 0x0000c49ada55ce48UL;
   tf->codes[54277] = 0x00015705ab9bd2fbUL;
   tf->codes[54278] = 0x0001b0ba0d596788UL;
   tf->codes[54279] = 0x0001bf9c7bded462UL;
   tf->codes[54280] = 0x0001bfe7bdad3e8fUL;
   tf->codes[54281] = 0x00000101678e3d4cUL;
   tf->codes[54282] = 0x0000490bbab747fcUL;
   tf->codes[54283] = 0x00007ebc523a79cfUL;
   tf->codes[54284] = 0x000087621d269755UL;
   tf->codes[54285] = 0x00008db615bc3327UL;
   tf->codes[54286] = 0x0000cc2b59978d63UL;
   tf->codes[54287] = 0x0000eb4c5cf2b451UL;
   tf->codes[54288] = 0x00017c86b89db9c5UL;
   tf->codes[54289] = 0x0001b422330f4902UL;
   tf->codes[54290] = 0x0000277e883afa1cUL;
   tf->codes[54291] = 0x00005a6b9dbd76c6UL;
   tf->codes[54292] = 0x0000a9f4a71f8c4aUL;
   tf->codes[54293] = 0x0000cb343fac288cUL;
   tf->codes[54294] = 0x0000dd28a5d30582UL;
   tf->codes[54295] = 0x000138964743137cUL;
   tf->codes[54296] = 0x00015ed95c932495UL;
   tf->codes[54297] = 0x0001741e676f9e81UL;
   tf->codes[54298] = 0x000182d2668b7824UL;
   tf->codes[54299] = 0x0001adb53d092a90UL;
   tf->codes[54300] = 0x0001b7ab4938694cUL;
   tf->codes[54301] = 0x0001d148f1828238UL;
   tf->codes[54302] = 0x0000275dfe5ab917UL;
   tf->codes[54303] = 0x0000285f8f6e1995UL;
   tf->codes[54304] = 0x000045dbe95ece58UL;
   tf->codes[54305] = 0x00005340cc02a39eUL;
   tf->codes[54306] = 0x0000870ce83c1993UL;
   tf->codes[54307] = 0x0000cefdd761a3d8UL;
   tf->codes[54308] = 0x0000d76bd1fc419aUL;
   tf->codes[54309] = 0x000140d5143bfef9UL;
   tf->codes[54310] = 0x0001af369ddf167aUL;
   tf->codes[54311] = 0x00002d4a49501191UL;
   tf->codes[54312] = 0x000074ea793ea731UL;
   tf->codes[54313] = 0x0000ca79efd1b4a8UL;
   tf->codes[54314] = 0x0000cbe395185649UL;
   tf->codes[54315] = 0x0000dadbf93fed03UL;
   tf->codes[54316] = 0x0001789d55a2eb4bUL;
   tf->codes[54317] = 0x0001e694f69a9381UL;
   tf->codes[54318] = 0x0000443673312f60UL;
   tf->codes[54319] = 0x0000b9dc5e96927aUL;
   tf->codes[54320] = 0x0000bee4a915807aUL;
   tf->codes[54321] = 0x0000e760a1d69e66UL;
   tf->codes[54322] = 0x00013b6806d50ae3UL;
   tf->codes[54323] = 0x000181873c80b264UL;
   tf->codes[54324] = 0x00019bcdefa872ffUL;
   tf->codes[54325] = 0x0001c64f8eb5915eUL;
   tf->codes[54326] = 0x0000348aaa7cdf97UL;
   tf->codes[54327] = 0x0000889717c5cb02UL;
   tf->codes[54328] = 0x00008ec00f532a28UL;
   tf->codes[54329] = 0x0000bff1d61bf978UL;
   tf->codes[54330] = 0x000132842ff6c413UL;
   tf->codes[54331] = 0x0001874a2056f695UL;
   tf->codes[54332] = 0x0001ba6a386f79daUL;
   tf->codes[54333] = 0x0001c17b5d0cb913UL;
   tf->codes[54334] = 0x00004de32f831c5eUL;
   tf->codes[54335] = 0x00014e906e7127eaUL;
   tf->codes[54336] = 0x00018c25fbe8778cUL;
   tf->codes[54337] = 0x0001a27b7628c8fbUL;
   tf->codes[54338] = 0x0001b6448f0cd3b6UL;
   tf->codes[54339] = 0x0001e84d958dd827UL;
   tf->codes[54340] = 0x0000923bd289ee11UL;
   tf->codes[54341] = 0x0000b5459820aeb2UL;
   tf->codes[54342] = 0x0001200b00b0b94bUL;
   tf->codes[54343] = 0x0001417d9bd35c28UL;
   tf->codes[54344] = 0x00014f28084e0b5eUL;
   tf->codes[54345] = 0x00016bc1b2976a86UL;
   tf->codes[54346] = 0x0001b06fb68cb201UL;
   tf->codes[54347] = 0x00000808b6eb2200UL;
   tf->codes[54348] = 0x00000dd16144042dUL;
   tf->codes[54349] = 0x00002481ab50481dUL;
   tf->codes[54350] = 0x00009eed8b30100dUL;
   tf->codes[54351] = 0x0000c2f0e04c673dUL;
   tf->codes[54352] = 0x0000d539740b8f63UL;
   tf->codes[54353] = 0x0001256b4dbc46d1UL;
   tf->codes[54354] = 0x000165e12f992292UL;
   tf->codes[54355] = 0x0001c5245c56e59bUL;
   tf->codes[54356] = 0x0001d259e5551096UL;
   tf->codes[54357] = 0x00004d6b9c402f6fUL;
   tf->codes[54358] = 0x0001473e62175eadUL;
   tf->codes[54359] = 0x0001787b5e4048b2UL;
   tf->codes[54360] = 0x00018a2706bdfaf2UL;
   tf->codes[54361] = 0x0001940d4a60ab95UL;
   tf->codes[54362] = 0x000099f526b69a6dUL;
   tf->codes[54363] = 0x00009a24f57a5042UL;
   tf->codes[54364] = 0x0000d4721a58d2a2UL;
   tf->codes[54365] = 0x000153c08688d099UL;
   tf->codes[54366] = 0x000198ea4abd4965UL;
   tf->codes[54367] = 0x0001af2785c53742UL;
   tf->codes[54368] = 0x0001cba3736da860UL;
   tf->codes[54369] = 0x0000ba24b6725cf7UL;
   tf->codes[54370] = 0x0001515fc756ca21UL;
   tf->codes[54371] = 0x0001b3d148fcc8b2UL;
   tf->codes[54372] = 0x00006ba655f180faUL;
   tf->codes[54373] = 0x0000a6902b82737bUL;
   tf->codes[54374] = 0x0000b5da391d15eeUL;
   tf->codes[54375] = 0x0000e9b1c545ac5dUL;
   tf->codes[54376] = 0x00013b253c7813c1UL;
   tf->codes[54377] = 0x00015c6c9c03742dUL;
   tf->codes[54378] = 0x00015f1769adba3aUL;
   tf->codes[54379] = 0x000171277d6e514dUL;
   tf->codes[54380] = 0x000185b305338422UL;
   tf->codes[54381] = 0x00019b8cbf34a440UL;
   tf->codes[54382] = 0x0001f1d8ecb14994UL;
   tf->codes[54383] = 0x000011641346e592UL;
   tf->codes[54384] = 0x00001a7aa3a11f79UL;
   tf->codes[54385] = 0x000035a26c870d4cUL;
   tf->codes[54386] = 0x00004f74ebdf5afbUL;
   tf->codes[54387] = 0x00005c429b394a98UL;
   tf->codes[54388] = 0x000068510f8462e1UL;
   tf->codes[54389] = 0x0000bb1d7934c6b9UL;
   tf->codes[54390] = 0x0000e158c78613a8UL;
   tf->codes[54391] = 0x00012477a295074eUL;
   tf->codes[54392] = 0x000156561d2bda9dUL;
   tf->codes[54393] = 0x00018bb9d8f779e0UL;
   tf->codes[54394] = 0x0001a1af4092541bUL;
   tf->codes[54395] = 0x0001a8fded78a355UL;
   tf->codes[54396] = 0x0001efcb364c7173UL;
   tf->codes[54397] = 0x000025560fa0eb4dUL;
   tf->codes[54398] = 0x000099a9702cf37fUL;
   tf->codes[54399] = 0x00009b8f855fd7c0UL;
   tf->codes[54400] = 0x0000fefa5bfc671bUL;
   tf->codes[54401] = 0x0001662c8f4345cfUL;
   tf->codes[54402] = 0x00017eff52006128UL;
   tf->codes[54403] = 0x0001c1713eb24b0aUL;
   tf->codes[54404] = 0x000053ce1be3efccUL;
   tf->codes[54405] = 0x000068ab87ab341fUL;
   tf->codes[54406] = 0x00009d55faee9210UL;
   tf->codes[54407] = 0x0000af6fe4b5213aUL;
   tf->codes[54408] = 0x00017570613d3ebcUL;
   tf->codes[54409] = 0x00018b0d7d3165edUL;
   tf->codes[54410] = 0x0001fc69345b9582UL;
   tf->codes[54411] = 0x000025d3122423beUL;
   tf->codes[54412] = 0x0000bb6471539fcfUL;
   tf->codes[54413] = 0x0000cd862218f323UL;
   tf->codes[54414] = 0x00010dd018b17b24UL;
   tf->codes[54415] = 0x00012b2555195550UL;
   tf->codes[54416] = 0x00013cd04de9f641UL;
   tf->codes[54417] = 0x000183c09638371cUL;
   tf->codes[54418] = 0x000185d729dbe281UL;
   tf->codes[54419] = 0x000052faa2950142UL;
   tf->codes[54420] = 0x00006300f1fb3008UL;
   tf->codes[54421] = 0x00007b627a2c2376UL;
   tf->codes[54422] = 0x0000d8d427ff0980UL;
   tf->codes[54423] = 0x0001a25f63247d6eUL;
   tf->codes[54424] = 0x0001ebab53cf3814UL;
   tf->codes[54425] = 0x000034015de4b87bUL;
   tf->codes[54426] = 0x00005a59097cd0d6UL;
   tf->codes[54427] = 0x000077ca2e0d6ae4UL;
   tf->codes[54428] = 0x0000e094eb2289faUL;
   tf->codes[54429] = 0x0001935727e54adcUL;
   tf->codes[54430] = 0x0001a1006f94dd39UL;
   tf->codes[54431] = 0x0001a4f2cd47693eUL;
   tf->codes[54432] = 0x0001d67b0b3ebd70UL;
   tf->codes[54433] = 0x00000b35bc2cb504UL;
   tf->codes[54434] = 0x0000386c3979174cUL;
   tf->codes[54435] = 0x0000f78657dd2c7cUL;
   tf->codes[54436] = 0x0001320bfcba3fefUL;
   tf->codes[54437] = 0x00013eb1a44f3de1UL;
   tf->codes[54438] = 0x0001dbfff1ade616UL;
   tf->codes[54439] = 0x000063ed86965a42UL;
   tf->codes[54440] = 0x000085861a76baddUL;
   tf->codes[54441] = 0x0000efd2f699e4ebUL;
   tf->codes[54442] = 0x00014521eba09760UL;
   tf->codes[54443] = 0x0001564db5d0b075UL;
   tf->codes[54444] = 0x00002d01aaab0c46UL;
   tf->codes[54445] = 0x0000deb6abdc466bUL;
   tf->codes[54446] = 0x00011d437f42f2eaUL;
   tf->codes[54447] = 0x0001d1642bec3ab8UL;
   tf->codes[54448] = 0x000038fa8fe6f87aUL;
   tf->codes[54449] = 0x00004bda1c610084UL;
   tf->codes[54450] = 0x000064454008e644UL;
   tf->codes[54451] = 0x00007508bb76b871UL;
   tf->codes[54452] = 0x0000afcd47f6fe83UL;
   tf->codes[54453] = 0x0001d20a698a8f6cUL;
   tf->codes[54454] = 0x0001ff86ab3cd169UL;
   tf->codes[54455] = 0x0000152c034dc84eUL;
   tf->codes[54456] = 0x000060cb25a92746UL;
   tf->codes[54457] = 0x0000991f7384ec4bUL;
   tf->codes[54458] = 0x00014eae93304ee3UL;
   tf->codes[54459] = 0x0001df197621e360UL;
   tf->codes[54460] = 0x0001e3719e7176d6UL;
   tf->codes[54461] = 0x000059c35368c6dbUL;
   tf->codes[54462] = 0x000094e708526d0dUL;
   tf->codes[54463] = 0x0000d5794776143aUL;
   tf->codes[54464] = 0x000177e52548c300UL;
   tf->codes[54465] = 0x00018e36f698b81fUL;
   tf->codes[54466] = 0x00019e10e59c879bUL;
   tf->codes[54467] = 0x0001bb3cbae54d7eUL;
   tf->codes[54468] = 0x0001c7177ced4dddUL;
   tf->codes[54469] = 0x0001d0fdfb1f0445UL;
   tf->codes[54470] = 0x00001706c60a765cUL;
   tf->codes[54471] = 0x0000421303a73d11UL;
   tf->codes[54472] = 0x0000b785ec769990UL;
   tf->codes[54473] = 0x000186e83b275b26UL;
   tf->codes[54474] = 0x0001d73b3fda5729UL;
   tf->codes[54475] = 0x0001e95c7b819ef3UL;
   tf->codes[54476] = 0x00000273a34a7763UL;
   tf->codes[54477] = 0x00002798ca405c92UL;
   tf->codes[54478] = 0x00004d455bf39951UL;
   tf->codes[54479] = 0x00004e48c17f27f7UL;
   tf->codes[54480] = 0x0000ce549445cf1aUL;
   tf->codes[54481] = 0x0000e34118ec9037UL;
   tf->codes[54482] = 0x0000ea6d00e77279UL;
   tf->codes[54483] = 0x00012f7cebfa5f50UL;
   tf->codes[54484] = 0x000148991c0db6aeUL;
   tf->codes[54485] = 0x00016ac031fd21b4UL;
   tf->codes[54486] = 0x0001dbe48df3dd0fUL;
   tf->codes[54487] = 0x0001f7c3cae9de0cUL;
   tf->codes[54488] = 0x0000135666b7523eUL;
   tf->codes[54489] = 0x00005c9f5e1ec1e3UL;
   tf->codes[54490] = 0x000083c10507c0bdUL;
   tf->codes[54491] = 0x0000963633b84df2UL;
   tf->codes[54492] = 0x000111844e215ff3UL;
   tf->codes[54493] = 0x000112e07471ad2dUL;
   tf->codes[54494] = 0x0001208b560a67edUL;
   tf->codes[54495] = 0x0001c0efb918e818UL;
   tf->codes[54496] = 0x000036e5ee97344dUL;
   tf->codes[54497] = 0x000089e470a187acUL;
   tf->codes[54498] = 0x0000e40abc985573UL;
   tf->codes[54499] = 0x00014ecae24edb59UL;
   tf->codes[54500] = 0x00015ac0dcd28a4bUL;
   tf->codes[54501] = 0x00015d1707c6799eUL;
   tf->codes[54502] = 0x0001be34d9c8006eUL;
   tf->codes[54503] = 0x0001f530aa43d489UL;
   tf->codes[54504] = 0x0001064410ae804aUL;
   tf->codes[54505] = 0x00012546329d9c55UL;
   tf->codes[54506] = 0x0001b040f16c0774UL;
   tf->codes[54507] = 0x0001d2c262095971UL;
   tf->codes[54508] = 0x0001fe16e8313f52UL;
   tf->codes[54509] = 0x0000716b3bcf267dUL;
   tf->codes[54510] = 0x000080b87d3c19b6UL;
   tf->codes[54511] = 0x00009cdc1f3dd7caUL;
   tf->codes[54512] = 0x00010bee059f4f9aUL;
   tf->codes[54513] = 0x00014fd3e2bbdebeUL;
   tf->codes[54514] = 0x00003b198c71092bUL;
   tf->codes[54515] = 0x000078017bde3dbaUL;
   tf->codes[54516] = 0x00011599712227b9UL;
   tf->codes[54517] = 0x0001e6cb2fb69261UL;
   tf->codes[54518] = 0x0000403d3b6f9dc4UL;
   tf->codes[54519] = 0x0000e5bd1feaf093UL;
   tf->codes[54520] = 0x00010004bd4ec842UL;
   tf->codes[54521] = 0x000178189dc272b7UL;
   tf->codes[54522] = 0x00000d5b4cc22e10UL;
   tf->codes[54523] = 0x0000496c37063343UL;
   tf->codes[54524] = 0x000051779ad61a5aUL;
   tf->codes[54525] = 0x0000a47b5fb9f26cUL;
   tf->codes[54526] = 0x0000e1b1ff56e7b3UL;
   tf->codes[54527] = 0x0001d9d90471f1ebUL;
   tf->codes[54528] = 0x0001f0a202d4a4f7UL;
   tf->codes[54529] = 0x00001d78e2999b95UL;
   tf->codes[54530] = 0x00008871fd6cbe18UL;
   tf->codes[54531] = 0x0000c9e343475e90UL;
   tf->codes[54532] = 0x0000e467099a23a2UL;
   tf->codes[54533] = 0x0001d7086a0de626UL;
   tf->codes[54534] = 0x0001e0efd27bb3a2UL;
   tf->codes[54535] = 0x0001fff05a81a74aUL;
   tf->codes[54536] = 0x00005e8af17fce2eUL;
   tf->codes[54537] = 0x0000c397ed61903dUL;
   tf->codes[54538] = 0x000181fbf70fb4e1UL;
   tf->codes[54539] = 0x00018324e03af5bbUL;
   tf->codes[54540] = 0x00002c0656c39072UL;
   tf->codes[54541] = 0x0000c2a023c91a17UL;
   tf->codes[54542] = 0x0001653f0431cf78UL;
   tf->codes[54543] = 0x000175af3c436d89UL;
   tf->codes[54544] = 0x0001c7a515e8ad8fUL;
   tf->codes[54545] = 0x0001d575f03f260dUL;
   tf->codes[54546] = 0x0001e8cad553bddcUL;
   tf->codes[54547] = 0x000015c9824ea060UL;
   tf->codes[54548] = 0x00009c298839e91aUL;
   tf->codes[54549] = 0x000190dd23b3e964UL;
   tf->codes[54550] = 0x0001a7ff92886c53UL;
   tf->codes[54551] = 0x00002d1842fa74daUL;
   tf->codes[54552] = 0x000075079836d6bcUL;
   tf->codes[54553] = 0x0000a3b5744f34d1UL;
   tf->codes[54554] = 0x0000a43eb384ba89UL;
   tf->codes[54555] = 0x0000c4f631a6edecUL;
   tf->codes[54556] = 0x000159e9bb58dd03UL;
   tf->codes[54557] = 0x000166292332c7faUL;
   tf->codes[54558] = 0x0001b38e19faddb2UL;
   tf->codes[54559] = 0x0001bb41e1d1230eUL;
   tf->codes[54560] = 0x000005f443f02e8fUL;
   tf->codes[54561] = 0x0000175609f99940UL;
   tf->codes[54562] = 0x0000338b0e710dd0UL;
   tf->codes[54563] = 0x00007bba358cb965UL;
   tf->codes[54564] = 0x00008c63282bee4eUL;
   tf->codes[54565] = 0x00009029257c1b09UL;
   tf->codes[54566] = 0x0000e975387768aeUL;
   tf->codes[54567] = 0x00017f8fd6dc6a77UL;
   tf->codes[54568] = 0x0001ed4a2a1a0871UL;
   tf->codes[54569] = 0x00005d2ad987dfe9UL;
   tf->codes[54570] = 0x0000b4134298e9d4UL;
   tf->codes[54571] = 0x0000d39b61602d12UL;
   tf->codes[54572] = 0x00010278d1ad3b37UL;
   tf->codes[54573] = 0x00014727854f9401UL;
   tf->codes[54574] = 0x00017b59e1441cf1UL;
   tf->codes[54575] = 0x0001bac3e6e99493UL;
   tf->codes[54576] = 0x0001bbd8745bd3f0UL;
   tf->codes[54577] = 0x00001e87f368ee0cUL;
   tf->codes[54578] = 0x00003a1dc308b304UL;
   tf->codes[54579] = 0x000079c84a3a85a8UL;
   tf->codes[54580] = 0x0000864cc6cd3f05UL;
   tf->codes[54581] = 0x00008a1423778e5eUL;
   tf->codes[54582] = 0x0000a7a045f4d13aUL;
   tf->codes[54583] = 0x0001699d0254ac3bUL;
   tf->codes[54584] = 0x00019de9ac88ccaaUL;
   tf->codes[54585] = 0x0001d4b32a1bab79UL;
   tf->codes[54586] = 0x0001d9a8b2cac05fUL;
   tf->codes[54587] = 0x000046d9c6d2d8a1UL;
   tf->codes[54588] = 0x00004f7a89747739UL;
   tf->codes[54589] = 0x000138dd173a0866UL;
   tf->codes[54590] = 0x00002c7a163a9566UL;
   tf->codes[54591] = 0x000049f00886a89dUL;
   tf->codes[54592] = 0x0000d5e6a070e3fdUL;
   tf->codes[54593] = 0x0000d76466e18156UL;
   tf->codes[54594] = 0x0001146be767d217UL;
   tf->codes[54595] = 0x00011549c953ae89UL;
   tf->codes[54596] = 0x0001186521dd0b32UL;
   tf->codes[54597] = 0x0001934ff5ce5539UL;
   tf->codes[54598] = 0x00019db025380905UL;
   tf->codes[54599] = 0x0001c9770ab733aaUL;
   tf->codes[54600] = 0x00002c8f8833a5fdUL;
   tf->codes[54601] = 0x000033eac9d4328aUL;
   tf->codes[54602] = 0x00004f31e94436caUL;
   tf->codes[54603] = 0x000071dd70adae5fUL;
   tf->codes[54604] = 0x00008707f2bb8b07UL;
   tf->codes[54605] = 0x0000b92f2afb890cUL;
   tf->codes[54606] = 0x00016a7bdd6a7c49UL;
   tf->codes[54607] = 0x0001b531adeade55UL;
   tf->codes[54608] = 0x000032bf13699eb5UL;
   tf->codes[54609] = 0x000033b066d26590UL;
   tf->codes[54610] = 0x000040ddb3b3c0d7UL;
   tf->codes[54611] = 0x00007a77f7aea371UL;
   tf->codes[54612] = 0x0000c0c6fc1e00c7UL;
   tf->codes[54613] = 0x0000cda3fee672f3UL;
   tf->codes[54614] = 0x0000f62bdcb4bce3UL;
   tf->codes[54615] = 0x0001d0c81eaca6ddUL;
   tf->codes[54616] = 0x00005d0a6d8357f4UL;
   tf->codes[54617] = 0x000075a4b041e23aUL;
   tf->codes[54618] = 0x00008bdf2c958adbUL;
   tf->codes[54619] = 0x0000f6081f022b18UL;
   tf->codes[54620] = 0x000119a4f9d46988UL;
   tf->codes[54621] = 0x000148ac0bcf91bbUL;
   tf->codes[54622] = 0x000020f25d629227UL;
   tf->codes[54623] = 0x00009bb738961e70UL;
   tf->codes[54624] = 0x0000df59d5720d56UL;
   tf->codes[54625] = 0x00011add27e31f32UL;
   tf->codes[54626] = 0x000157d345f3b977UL;
   tf->codes[54627] = 0x00019a65adfad69fUL;
   tf->codes[54628] = 0x000045e4e8556e86UL;
   tf->codes[54629] = 0x0000bef4a1e4e93cUL;
   tf->codes[54630] = 0x0000f1186bc390b6UL;
   tf->codes[54631] = 0x0001a204d0fe06faUL;
   tf->codes[54632] = 0x0000485fd8b0f0ffUL;
   tf->codes[54633] = 0x000077dc08b7a332UL;
   tf->codes[54634] = 0x0000d7aabe4125a5UL;
   tf->codes[54635] = 0x00010fd4f550c512UL;
   tf->codes[54636] = 0x00014d1a38af2b99UL;
   tf->codes[54637] = 0x0001524f1e1f7ea8UL;
   tf->codes[54638] = 0x00015b544c040213UL;
   tf->codes[54639] = 0x000170970d4a424dUL;
   tf->codes[54640] = 0x000179103d44fac4UL;
   tf->codes[54641] = 0x000187a67fbfe65dUL;
   tf->codes[54642] = 0x00018fa6ae2fb2bfUL;
   tf->codes[54643] = 0x0001a365f10dc563UL;
   tf->codes[54644] = 0x00003a780ff129ceUL;
   tf->codes[54645] = 0x000123c93b41047fUL;
   tf->codes[54646] = 0x000159b5c1241df0UL;
   tf->codes[54647] = 0x00016537fcf66580UL;
   tf->codes[54648] = 0x00004e857f55e3e1UL;
   tf->codes[54649] = 0x00006f8be836ddc1UL;
   tf->codes[54650] = 0x00007f1a204e3786UL;
   tf->codes[54651] = 0x0001644b2e2f044aUL;
   tf->codes[54652] = 0x00016f5134a40effUL;
   tf->codes[54653] = 0x0001c652177c8241UL;
   tf->codes[54654] = 0x0001db541ca761b4UL;
   tf->codes[54655] = 0x0001f0043dd02fa9UL;
   tf->codes[54656] = 0x0000cb414e88f19eUL;
   tf->codes[54657] = 0x0000f62843150be4UL;
   tf->codes[54658] = 0x0001588ae66a9370UL;
   tf->codes[54659] = 0x000161a644804680UL;
   tf->codes[54660] = 0x0001956347da3fabUL;
   tf->codes[54661] = 0x000012346b8d73b8UL;
   tf->codes[54662] = 0x0000738a486f8011UL;
   tf->codes[54663] = 0x0001037bb4b81cefUL;
   tf->codes[54664] = 0x000108e6d090c75fUL;
   tf->codes[54665] = 0x000115325806e41fUL;
   tf->codes[54666] = 0x000124c8571d020eUL;
   tf->codes[54667] = 0x000130024a642a72UL;
   tf->codes[54668] = 0x000085c5fe5a5760UL;
   tf->codes[54669] = 0x000096a6119dfabeUL;
   tf->codes[54670] = 0x0000a00faac562fcUL;
   tf->codes[54671] = 0x0000b7a269e9f6c2UL;
   tf->codes[54672] = 0x0000fd8c18da5831UL;
   tf->codes[54673] = 0x0001dfadedcdfa15UL;
   tf->codes[54674] = 0x0000023bb89683a0UL;
   tf->codes[54675] = 0x0000056ba767e78bUL;
   tf->codes[54676] = 0x00006e0f0c652645UL;
   tf->codes[54677] = 0x00009cb1788e63e0UL;
   tf->codes[54678] = 0x000122854600dbe1UL;
   tf->codes[54679] = 0x00012429b4dc4847UL;
   tf->codes[54680] = 0x000139af06b61770UL;
   tf->codes[54681] = 0x0001706acac39c13UL;
   tf->codes[54682] = 0x0001e03843438ee7UL;
   tf->codes[54683] = 0x0001f282ab7ae535UL;
   tf->codes[54684] = 0x0000bab2aa8c22fdUL;
   tf->codes[54685] = 0x00011e542caf1543UL;
   tf->codes[54686] = 0x0001a52e937f6cb0UL;
   tf->codes[54687] = 0x0001e7c9e7506adbUL;
   tf->codes[54688] = 0x00006f6647e3ded8UL;
   tf->codes[54689] = 0x0000924f1d0760a9UL;
   tf->codes[54690] = 0x00009ce0efacf872UL;
   tf->codes[54691] = 0x0000da3ee761ce15UL;
   tf->codes[54692] = 0x000195387338c9ceUL;
   tf->codes[54693] = 0x0001a9def8eaa571UL;
   tf->codes[54694] = 0x000033dd2ef02f00UL;
   tf->codes[54695] = 0x000084b84e0d93e2UL;
   tf->codes[54696] = 0x00009fa00a85323dUL;
   tf->codes[54697] = 0x0000d20ba7d0ed59UL;
   tf->codes[54698] = 0x0000fb082e8cb5bfUL;
   tf->codes[54699] = 0x000183130af80c6bUL;
   tf->codes[54700] = 0x0001d5278b7a518fUL;
   tf->codes[54701] = 0x0001d5cefc6ed0dbUL;
   tf->codes[54702] = 0x0001e9c55ff151f4UL;
   tf->codes[54703] = 0x00007276c31510d8UL;
   tf->codes[54704] = 0x00012e95c9b5f6e0UL;
   tf->codes[54705] = 0x00013ebf8db4a3edUL;
   tf->codes[54706] = 0x0001434d774e833aUL;
   tf->codes[54707] = 0x00017f6ffe9744aeUL;
   tf->codes[54708] = 0x0001975f9c8efee2UL;
   tf->codes[54709] = 0x0001ad3ed3f8a978UL;
   tf->codes[54710] = 0x0001c1c518e4579aUL;
   tf->codes[54711] = 0x00006b855b94e5d7UL;
   tf->codes[54712] = 0x0000b345572b9d6eUL;
   tf->codes[54713] = 0x0000f988016fc336UL;
   tf->codes[54714] = 0x0001740668905e7bUL;
   tf->codes[54715] = 0x0001cd824a4f61f5UL;
   tf->codes[54716] = 0x00009799bdeda69cUL;
   tf->codes[54717] = 0x000136530fed1310UL;
   tf->codes[54718] = 0x000153f9461ae7a6UL;
   tf->codes[54719] = 0x00002b13b53f5c37UL;
   tf->codes[54720] = 0x0000318c0ca98d64UL;
   tf->codes[54721] = 0x000080d2105a086fUL;
   tf->codes[54722] = 0x000082107a09679fUL;
   tf->codes[54723] = 0x0000b014d626127bUL;
   tf->codes[54724] = 0x00012d54eacf34c1UL;
   tf->codes[54725] = 0x0000b6e32115af41UL;
   tf->codes[54726] = 0x0000d39df66152feUL;
   tf->codes[54727] = 0x0000d457ee96a59fUL;
   tf->codes[54728] = 0x00011225c17d808fUL;
   tf->codes[54729] = 0x000126b14942b364UL;
   tf->codes[54730] = 0x0001d237d57e03ebUL;
   tf->codes[54731] = 0x0001d885a0fe03f6UL;
   tf->codes[54732] = 0x0001ebe99ef2188fUL;
   tf->codes[54733] = 0x00004a75579fc86eUL;
   tf->codes[54734] = 0x00005d1dfe0467c8UL;
   tf->codes[54735] = 0x00010cdbfcab12baUL;
   tf->codes[54736] = 0x00015acaa7c6b9b4UL;
   tf->codes[54737] = 0x0001718ffd391070UL;
   tf->codes[54738] = 0x0001cc25af43d7faUL;
   tf->codes[54739] = 0x000070964926701fUL;
   tf->codes[54740] = 0x000073ab3a0b2b3cUL;
   tf->codes[54741] = 0x0000c4dac14fe113UL;
   tf->codes[54742] = 0x0001073a9bdf032aUL;
   tf->codes[54743] = 0x00014b292a366d8cUL;
   tf->codes[54744] = 0x0001515296e1d83cUL;
   tf->codes[54745] = 0x0001f2a0113c4f8eUL;
   tf->codes[54746] = 0x0001f432e312ffb3UL;
   tf->codes[54747] = 0x0001fb9c5356f1f6UL;
   tf->codes[54748] = 0x0000166060a70c45UL;
   tf->codes[54749] = 0x00004b68626aa1f3UL;
   tf->codes[54750] = 0x0000ad1f3c2e3c94UL;
   tf->codes[54751] = 0x0000ee39209e4116UL;
   tf->codes[54752] = 0x0001210077f205c7UL;
   tf->codes[54753] = 0x000132d4d7e1bb01UL;
   tf->codes[54754] = 0x000167190b6a05f7UL;
   tf->codes[54755] = 0x000190edf6a92057UL;
   tf->codes[54756] = 0x0001bee2151b3190UL;
   tf->codes[54757] = 0x00003c9c8aa96289UL;
   tf->codes[54758] = 0x00003cd21164a89bUL;
   tf->codes[54759] = 0x000065534cff4b3aUL;
   tf->codes[54760] = 0x0000d347ba24a2aaUL;
   tf->codes[54761] = 0x0000df7dfba5a6d9UL;
   tf->codes[54762] = 0x0001dd04378c2f7dUL;
   tf->codes[54763] = 0x000013cba617da5fUL;
   tf->codes[54764] = 0x000071e8a85ea1caUL;
   tf->codes[54765] = 0x0000bc70f3b187b3UL;
   tf->codes[54766] = 0x0001707a4b5e8303UL;
   tf->codes[54767] = 0x0001ed8722e298e9UL;
   tf->codes[54768] = 0x0001f2ff0e048671UL;
   tf->codes[54769] = 0x000088aa0bc688b2UL;
   tf->codes[54770] = 0x000115d18e69cedbUL;
   tf->codes[54771] = 0x0001cf84af03a175UL;
   tf->codes[54772] = 0x0001d6e86750037bUL;
   tf->codes[54773] = 0x0001ddff7e73d8b6UL;
   tf->codes[54774] = 0x0000096f3d176d2aUL;
   tf->codes[54775] = 0x00011303030cf703UL;
   tf->codes[54776] = 0x00017dbdab5af271UL;
   tf->codes[54777] = 0x0001e7a9ffba99c1UL;
   tf->codes[54778] = 0x0000854e149ab589UL;
   tf->codes[54779] = 0x0001d35e3b49a2e0UL;
   tf->codes[54780] = 0x00002fdfba7edee8UL;
   tf->codes[54781] = 0x0000588813a25c1eUL;
   tf->codes[54782] = 0x00005b9c8f690bb1UL;
   tf->codes[54783] = 0x00009e322b42799fUL;
   tf->codes[54784] = 0x0000d1548cf13696UL;
   tf->codes[54785] = 0x000182e61989f274UL;
   tf->codes[54786] = 0x0001b4ec6156b1a9UL;
   tf->codes[54787] = 0x0001fec6998170f5UL;
   tf->codes[54788] = 0x00004db0a89adca6UL;
   tf->codes[54789] = 0x0000588929e26b38UL;
   tf->codes[54790] = 0x0001224e7eef989cUL;
   tf->codes[54791] = 0x0001d6db234b83a2UL;
   tf->codes[54792] = 0x0001e84b17f85409UL;
   tf->codes[54793] = 0x00004c0d8a8e851fUL;
   tf->codes[54794] = 0x000075afe855a46eUL;
   tf->codes[54795] = 0x000102c8c7377957UL;
   tf->codes[54796] = 0x0001a1b9e988658fUL;
   tf->codes[54797] = 0x0000ac31f90e6d66UL;
   tf->codes[54798] = 0x0000bb509082c7a3UL;
   tf->codes[54799] = 0x0001a81c3cc55f1dUL;
   tf->codes[54800] = 0x00001c20ed21a697UL;
   tf->codes[54801] = 0x000059619d5399baUL;
   tf->codes[54802] = 0x000091668b528cb8UL;
   tf->codes[54803] = 0x0001324eb02e0823UL;
   tf->codes[54804] = 0x00014c48879e362eUL;
   tf->codes[54805] = 0x000071e700b0093aUL;
   tf->codes[54806] = 0x00009e1d11b427ddUL;
   tf->codes[54807] = 0x00015859e6a18bb9UL;
   tf->codes[54808] = 0x0001de7a553c9085UL;
   tf->codes[54809] = 0x0001fa3483b0ead8UL;
   tf->codes[54810] = 0x00000a6892d39b86UL;
   tf->codes[54811] = 0x0000a72097247526UL;
   tf->codes[54812] = 0x0000cf2efe49c777UL;
   tf->codes[54813] = 0x0000f53bdd31812fUL;
   tf->codes[54814] = 0x0001c685dafe4f69UL;
   tf->codes[54815] = 0x0001cdcaec6dac51UL;
   tf->codes[54816] = 0x00001927b8c4821fUL;
   tf->codes[54817] = 0x0000447f382fb301UL;
   tf->codes[54818] = 0x000046716cfec90bUL;
   tf->codes[54819] = 0x0000ca44d6fec54cUL;
   tf->codes[54820] = 0x0001088d7fe8ba79UL;
   tf->codes[54821] = 0x0001fdee7eddd011UL;
   tf->codes[54822] = 0x00006a91fb12f4fcUL;
   tf->codes[54823] = 0x00009b0f0c7ff65eUL;
   tf->codes[54824] = 0x00010b241dddf70fUL;
   tf->codes[54825] = 0x00012248612aa826UL;
   tf->codes[54826] = 0x000122e96a7a85e6UL;
   tf->codes[54827] = 0x0001a8f83c10ce71UL;
   tf->codes[54828] = 0x00000719d1840940UL;
   tf->codes[54829] = 0x000069187eb4b783UL;
   tf->codes[54830] = 0x00007bff5d0f782dUL;
   tf->codes[54831] = 0x000082e5bb33807fUL;
   tf->codes[54832] = 0x0001aeab575a8489UL;
   tf->codes[54833] = 0x0001b4b39903aaa4UL;
   tf->codes[54834] = 0x00003795750bda45UL;
   tf->codes[54835] = 0x0000b1e1c3d28603UL;
   tf->codes[54836] = 0x0000d3dc795f91bfUL;
   tf->codes[54837] = 0x000149dbd536c4bcUL;
   tf->codes[54838] = 0x0001dc2edc627167UL;
   tf->codes[54839] = 0x00007e0ce7d32711UL;
   tf->codes[54840] = 0x00001d0e985faeb4UL;
   tf->codes[54841] = 0x0000d54f27e8feaaUL;
   tf->codes[54842] = 0x0000f761327256e4UL;
   tf->codes[54843] = 0x00011817c6587333UL;
   tf->codes[54844] = 0x00014d3c5ff1da12UL;
   tf->codes[54845] = 0x0001d5a3a6124ba2UL;
   tf->codes[54846] = 0x000045b3e9b4d32aUL;
   tf->codes[54847] = 0x00004790d88ed0a3UL;
   tf->codes[54848] = 0x00006914267a18adUL;
   tf->codes[54849] = 0x00008f7239b6d294UL;
   tf->codes[54850] = 0x0000995215b4e1abUL;
   tf->codes[54851] = 0x0000e1b77338e4a1UL;
   tf->codes[54852] = 0x00013b33ca15f3a5UL;
   tf->codes[54853] = 0x0001809e84f4d2fdUL;
   tf->codes[54854] = 0x000059840b5f8301UL;
   tf->codes[54855] = 0x000077cb4add3557UL;
   tf->codes[54856] = 0x000090a60f281a9fUL;
   tf->codes[54857] = 0x00009e737b1d3c92UL;
   tf->codes[54858] = 0x0000f79193cd028aUL;
   tf->codes[54859] = 0x0001728010aea8e1UL;
   tf->codes[54860] = 0x0000b6fa3dd3ceb0UL;
   tf->codes[54861] = 0x0000cae1fd94de89UL;
   tf->codes[54862] = 0x0000f6c7c4801411UL;
   tf->codes[54863] = 0x00012110e38ea15dUL;
   tf->codes[54864] = 0x00001d50048aef93UL;
   tf->codes[54865] = 0x00006194cf81d912UL;
   tf->codes[54866] = 0x000176b76603e7ceUL;
   tf->codes[54867] = 0x000191657db1d83dUL;
   tf->codes[54868] = 0x0001d446d077bbe2UL;
   tf->codes[54869] = 0x0001ea3053056a19UL;
   tf->codes[54870] = 0x00000104c1573d9fUL;
   tf->codes[54871] = 0x000041304ba1c647UL;
   tf->codes[54872] = 0x0000675cbba29c31UL;
   tf->codes[54873] = 0x0000c4ee351da432UL;
   tf->codes[54874] = 0x0000d28c476d1bdaUL;
   tf->codes[54875] = 0x0001382e2d0289e0UL;
   tf->codes[54876] = 0x000060bcc3067724UL;
   tf->codes[54877] = 0x0000ba6b323d75afUL;
   tf->codes[54878] = 0x0001703137fe40f7UL;
   tf->codes[54879] = 0x00017ac34532de85UL;
   tf->codes[54880] = 0x00004d6c28043f35UL;
   tf->codes[54881] = 0x0000f19eff0ec194UL;
   tf->codes[54882] = 0x0000fc243cfa1c0aUL;
   tf->codes[54883] = 0x0001400f22612a1cUL;
   tf->codes[54884] = 0x00017ee095629977UL;
   tf->codes[54885] = 0x00019d8bcb052516UL;
   tf->codes[54886] = 0x0001a5b4eb75fa37UL;
   tf->codes[54887] = 0x0001e4faccd5e243UL;
   tf->codes[54888] = 0x0000406156f43d62UL;
   tf->codes[54889] = 0x0000429a3a654a35UL;
   tf->codes[54890] = 0x000049b36090535dUL;
   tf->codes[54891] = 0x0000ea4bb070f137UL;
   tf->codes[54892] = 0x0000fc43bf882a7dUL;
   tf->codes[54893] = 0x00007a1a6dd01d20UL;
   tf->codes[54894] = 0x0000ca11f30a1553UL;
   tf->codes[54895] = 0x0001252365540e2eUL;
   tf->codes[54896] = 0x0001712b1100b9d3UL;
   tf->codes[54897] = 0x0001e3467857cc46UL;
   tf->codes[54898] = 0x0001eb295f44b628UL;
   tf->codes[54899] = 0x0001f8dc07dc3512UL;
   tf->codes[54900] = 0x0000090ad425610dUL;
   tf->codes[54901] = 0x0000883815531a6fUL;
   tf->codes[54902] = 0x0000c381c2fa7e5fUL;
   tf->codes[54903] = 0x000193cd63863ce1UL;
   tf->codes[54904] = 0x0000cbc055646417UL;
   tf->codes[54905] = 0x0000f41d6cb97720UL;
   tf->codes[54906] = 0x00015f8c8fd43ab7UL;
   tf->codes[54907] = 0x0001becbd9129babUL;
   tf->codes[54908] = 0x00002388fff98029UL;
   tf->codes[54909] = 0x00004e9ffdd85609UL;
   tf->codes[54910] = 0x00014eb08c13f174UL;
   tf->codes[54911] = 0x000163109db2dc13UL;
   tf->codes[54912] = 0x0001c6678db4757bUL;
   tf->codes[54913] = 0x0001fd1e49777b30UL;
   tf->codes[54914] = 0x000048b395cce211UL;
   tf->codes[54915] = 0x00004c0cb12e5480UL;
   tf->codes[54916] = 0x000159cbc9f306fbUL;
   tf->codes[54917] = 0x00018e1122466ecaUL;
   tf->codes[54918] = 0x00009097a71e1b7fUL;
   tf->codes[54919] = 0x000114634a1f5396UL;
   tf->codes[54920] = 0x00012ec57051c889UL;
   tf->codes[54921] = 0x0001c5cdb92f34ddUL;
   tf->codes[54922] = 0x00003c322ff65dfcUL;
   tf->codes[54923] = 0x0000aa4f8f1cbe2bUL;
   tf->codes[54924] = 0x0000cdbb766029edUL;
   tf->codes[54925] = 0x000104c53af05df9UL;
   tf->codes[54926] = 0x00012fbd576328f6UL;
   tf->codes[54927] = 0x00004afa41b12598UL;
   tf->codes[54928] = 0x00005f3544ce698dUL;
   tf->codes[54929] = 0x00007ecaf1170ef1UL;
   tf->codes[54930] = 0x0000b114b3b37429UL;
   tf->codes[54931] = 0x0001429fce956e42UL;
   tf->codes[54932] = 0x000029a086e8e9ddUL;
   tf->codes[54933] = 0x000174bd22446671UL;
   tf->codes[54934] = 0x0001fad2d09d5c12UL;
   tf->codes[54935] = 0x0000418d1d124b51UL;
   tf->codes[54936] = 0x000105c92487d4b1UL;
   tf->codes[54937] = 0x000181ac28a492a9UL;
   tf->codes[54938] = 0x0001a59ecaf844acUL;
   tf->codes[54939] = 0x0000161a56a05e1dUL;
   tf->codes[54940] = 0x000041b4a12e23b3UL;
   tf->codes[54941] = 0x00004400466f09a0UL;
   tf->codes[54942] = 0x0000b264c9556c22UL;
   tf->codes[54943] = 0x0000f6e9a0baa519UL;
   tf->codes[54944] = 0x00011c073b40cbe3UL;
   tf->codes[54945] = 0x0001883d25da2533UL;
   tf->codes[54946] = 0x00018d25a4b0f13cUL;
   tf->codes[54947] = 0x00018e9786146291UL;
   tf->codes[54948] = 0x0001c80c0be08d32UL;
   tf->codes[54949] = 0x0001e6cb281e0ec4UL;
   tf->codes[54950] = 0x00001b0c62630eb9UL;
   tf->codes[54951] = 0x00015d3da8fb93d7UL;
   tf->codes[54952] = 0x000187c2b66a08c1UL;
   tf->codes[54953] = 0x00018ca78c50787aUL;
   tf->codes[54954] = 0x00008e23944ae3aeUL;
   tf->codes[54955] = 0x0000f92efbcfd3c1UL;
   tf->codes[54956] = 0x0000fd1ed55d204fUL;
   tf->codes[54957] = 0x0001258219c7cf1fUL;
   tf->codes[54958] = 0x00012cafd63adf89UL;
   tf->codes[54959] = 0x00014d67c97b1e76UL;
   tf->codes[54960] = 0x00017d3393eda875UL;
   tf->codes[54961] = 0x00019a5384294254UL;
   tf->codes[54962] = 0x0001c386f0fa736aUL;
   tf->codes[54963] = 0x00004e9979e33691UL;
   tf->codes[54964] = 0x000079cbb03dbb04UL;
   tf->codes[54965] = 0x0000991913fb413cUL;
   tf->codes[54966] = 0x0000b22665be2195UL;
   tf->codes[54967] = 0x00013e3e28aaa18aUL;
   tf->codes[54968] = 0x00015956d8b11293UL;
   tf->codes[54969] = 0x00017c2091d983bcUL;
   tf->codes[54970] = 0x0001a8884619865cUL;
   tf->codes[54971] = 0x0001b32d151dfd04UL;
   tf->codes[54972] = 0x0001bebe69cfc15eUL;
   tf->codes[54973] = 0x00002c307482402cUL;
   tf->codes[54974] = 0x000062d8c712da66UL;
   tf->codes[54975] = 0x0000698fcb91386dUL;
   tf->codes[54976] = 0x0000897d88f18b16UL;
   tf->codes[54977] = 0x00011d06bdafc73dUL;
   tf->codes[54978] = 0x0001531eb9b928e4UL;
   tf->codes[54979] = 0x0001d1d0ea54c244UL;
   tf->codes[54980] = 0x0001dbbe454925c2UL;
   tf->codes[54981] = 0x000002095c2700caUL;
   tf->codes[54982] = 0x000020de3377a677UL;
   tf->codes[54983] = 0x000083eb4104f850UL;
   tf->codes[54984] = 0x0000958168fe8c3aUL;
   tf->codes[54985] = 0x00012a184e6c5aa8UL;
   tf->codes[54986] = 0x000160c743309c33UL;
   tf->codes[54987] = 0x00018084479121f3UL;
   tf->codes[54988] = 0x0001e5a9f7c9531eUL;
   tf->codes[54989] = 0x000005638dc88253UL;
   tf->codes[54990] = 0x00003bf65fd4fe37UL;
   tf->codes[54991] = 0x00004784bb437790UL;
   tf->codes[54992] = 0x00009016040bce46UL;
   tf->codes[54993] = 0x0000d3701dcd983bUL;
   tf->codes[54994] = 0x00018166738f5e45UL;
   tf->codes[54995] = 0x00014b60b5acbc6fUL;
   tf->codes[54996] = 0x00018edbbfe1c534UL;
   tf->codes[54997] = 0x0001b3d361aa2e40UL;
   tf->codes[54998] = 0x0001cddb2d2ebc3cUL;
   tf->codes[54999] = 0x00000e0816d36782UL;
   tf->codes[55000] = 0x00005cf72e375221UL;
   tf->codes[55001] = 0x0000a09ff828dcceUL;
   tf->codes[55002] = 0x0000dc08fc5a572bUL;
   tf->codes[55003] = 0x00016de07dd5d84aUL;
   tf->codes[55004] = 0x00019bec2bd33bc6UL;
   tf->codes[55005] = 0x00019d0b79878a4eUL;
   tf->codes[55006] = 0x0000cb439de94917UL;
   tf->codes[55007] = 0x0000d406b058491dUL;
   tf->codes[55008] = 0x00011b6240ac1be1UL;
   tf->codes[55009] = 0x000190f8d8a2fc6cUL;
   tf->codes[55010] = 0x000194fcd35a44b2UL;
   tf->codes[55011] = 0x0001c23aa2875f9aUL;
   tf->codes[55012] = 0x0001d339d1c613a0UL;
   tf->codes[55013] = 0x0001f40c1345ea0cUL;
   tf->codes[55014] = 0x0000cbd719b7c4b1UL;
   tf->codes[55015] = 0x0001195ab75cdf87UL;
   tf->codes[55016] = 0x0001826371d91a28UL;
   tf->codes[55017] = 0x0001c7547b7ffc1cUL;
   tf->codes[55018] = 0x0000dc711f7b74d6UL;
   tf->codes[55019] = 0x000146820d3eb746UL;
   tf->codes[55020] = 0x0001ae74a05f8a27UL;
   tf->codes[55021] = 0x0001b698b885e05aUL;
   tf->codes[55022] = 0x0001cd7c7a46366fUL;
   tf->codes[55023] = 0x0001e5aa503411f3UL;
   tf->codes[55024] = 0x0001ed8276deecaaUL;
   tf->codes[55025] = 0x000029cdf028b6ddUL;
   tf->codes[55026] = 0x00005f451d714089UL;
   tf->codes[55027] = 0x0000867b95314c6aUL;
   tf->codes[55028] = 0x00011ac59ee78848UL;
   tf->codes[55029] = 0x00014d3a27fd2467UL;
   tf->codes[55030] = 0x000182856a015a53UL;
   tf->codes[55031] = 0x0001958412767305UL;
   tf->codes[55032] = 0x0001c060f66d8f6fUL;
   tf->codes[55033] = 0x0001c9252da7ac4eUL;
   tf->codes[55034] = 0x0001e2712c7eb981UL;
   tf->codes[55035] = 0x0001fa358edf3144UL;
   tf->codes[55036] = 0x000078b238bf8492UL;
   tf->codes[55037] = 0x0000ae5934cbc413UL;
   tf->codes[55038] = 0x0000c01e414cf6beUL;
   tf->codes[55039] = 0x0000e124350fe514UL;
   tf->codes[55040] = 0x00017777c891837aUL;
   tf->codes[55041] = 0x0001ae0a600ef999UL;
   tf->codes[55042] = 0x0001b6c1c7ffd360UL;
   tf->codes[55043] = 0x0001c1dc64bce557UL;
   tf->codes[55044] = 0x00002c73235456f4UL;
   tf->codes[55045] = 0x0000af3115a5fcc4UL;
   tf->codes[55046] = 0x00013d4d1f845a8eUL;
   tf->codes[55047] = 0x00004a74ca70219bUL;
   tf->codes[55048] = 0x000101c68ab5ea2dUL;
   tf->codes[55049] = 0x00013f9338d1a844UL;
   tf->codes[55050] = 0x00018bcf466e7d22UL;
   tf->codes[55051] = 0x0001cc2b4f29cceeUL;
   tf->codes[55052] = 0x0001d34adcf977a2UL;
   tf->codes[55053] = 0x0000454bf610f296UL;
   tf->codes[55054] = 0x0000892db51f19e0UL;
   tf->codes[55055] = 0x0000a128fd94fa53UL;
   tf->codes[55056] = 0x0000a5b12f374963UL;
   tf->codes[55057] = 0x0000dcfea9262937UL;
   tf->codes[55058] = 0x000124b3e47ad1a3UL;
   tf->codes[55059] = 0x0001470bedf90f57UL;
   tf->codes[55060] = 0x0001765555f8c0b4UL;
   tf->codes[55061] = 0x0001a2cd47e35cf7UL;
   tf->codes[55062] = 0x0001a40b01e5aad8UL;
   tf->codes[55063] = 0x0001faa4f555f9d0UL;
   tf->codes[55064] = 0x0000920f25510b80UL;
   tf->codes[55065] = 0x0000ace57f52f35fUL;
   tf->codes[55066] = 0x00002e0a88ba4946UL;
   tf->codes[55067] = 0x0001a4b16b87f792UL;
   tf->codes[55068] = 0x0001d270033ec2b9UL;
   tf->codes[55069] = 0x0001f8bf72ba0b60UL;
   tf->codes[55070] = 0x00001fb47eb1a52bUL;
   tf->codes[55071] = 0x000071ebc41f5747UL;
   tf->codes[55072] = 0x00018989cea601c5UL;
   tf->codes[55073] = 0x0001d484b3df3237UL;
   tf->codes[55074] = 0x000080de9c5355caUL;
   tf->codes[55075] = 0x0000f3f9c0459a93UL;
   tf->codes[55076] = 0x0001061c20b7ff36UL;
   tf->codes[55077] = 0x00014f8a9bbf210fUL;
   tf->codes[55078] = 0x0001e40e0fb00514UL;
   tf->codes[55079] = 0x0000014888ba3c37UL;
   tf->codes[55080] = 0x0000130caaff57ceUL;
   tf->codes[55081] = 0x00008539af5b2682UL;
   tf->codes[55082] = 0x0000c386eb718f13UL;
   tf->codes[55083] = 0x0000de23a0a9c906UL;
   tf->codes[55084] = 0x0000ee93d8bb6717UL;
   tf->codes[55085] = 0x00014748f2fbd4d8UL;
   tf->codes[55086] = 0x00016a5193c778a0UL;
   tf->codes[55087] = 0x00018cc3014936bfUL;
   tf->codes[55088] = 0x00019748eee1a284UL;
   tf->codes[55089] = 0x0001bf26d7962db1UL;
   tf->codes[55090] = 0x00000dcb2249b9adUL;
   tf->codes[55091] = 0x000020cf48275cd7UL;
   tf->codes[55092] = 0x00003fbea8469fc8UL;
   tf->codes[55093] = 0x00008c5376a8333aUL;
   tf->codes[55094] = 0x00010b32f1e242f8UL;
   tf->codes[55095] = 0x00016502518c8053UL;
   tf->codes[55096] = 0x0001ee4f06088cbaUL;
   tf->codes[55097] = 0x0000676059812fd3UL;
   tf->codes[55098] = 0x00006ad3889333fcUL;
   tf->codes[55099] = 0x00007b196f49a6b0UL;
   tf->codes[55100] = 0x0000aaf2090573c7UL;
   tf->codes[55101] = 0x0000edacb360885fUL;
   tf->codes[55102] = 0x0000f43e6ece39f7UL;
   tf->codes[55103] = 0x000198723014d36aUL;
   tf->codes[55104] = 0x0001a9750843e3c0UL;
   tf->codes[55105] = 0x0001ccd9d8359ca7UL;
   tf->codes[55106] = 0x000040d402dedabbUL;
   tf->codes[55107] = 0x0000506d70564f35UL;
   tf->codes[55108] = 0x0000c286c8a62dbbUL;
   tf->codes[55109] = 0x0000cd01464f7906UL;
   tf->codes[55110] = 0x0000e71b5e85d492UL;
   tf->codes[55111] = 0x000118308d78d2b1UL;
   tf->codes[55112] = 0x000123a2c62f8663UL;
   tf->codes[55113] = 0x0001690bac963793UL;
   tf->codes[55114] = 0x00018d073ab3ca99UL;
   tf->codes[55115] = 0x00018fcbe17f9c9bUL;
   tf->codes[55116] = 0x0001caabe10a9705UL;
   tf->codes[55117] = 0x000031f09b92490eUL;
   tf->codes[55118] = 0x000160f19679d17dUL;
   tf->codes[55119] = 0x0001d69cff47bf0fUL;
   tf->codes[55120] = 0x0000213c6507ebb1UL;
   tf->codes[55121] = 0x000068bb69f43cbcUL;
   tf->codes[55122] = 0x0000953988f474c6UL;
   tf->codes[55123] = 0x0000ee3b7eec7517UL;
   tf->codes[55124] = 0x00010b57168aa157UL;
   tf->codes[55125] = 0x0001e7e08507226dUL;
   tf->codes[55126] = 0x00005398a05a167fUL;
   tf->codes[55127] = 0x00007470d46082edUL;
   tf->codes[55128] = 0x0001047db3b3d423UL;
   tf->codes[55129] = 0x000128864ba9b006UL;
   tf->codes[55130] = 0x0001cabf9c0463bbUL;
   tf->codes[55131] = 0x00006ddd35ef956eUL;
   tf->codes[55132] = 0x00016a203a6b45b9UL;
   tf->codes[55133] = 0x0001a1f8c807d96dUL;
   tf->codes[55134] = 0x0000388c67f7c74bUL;
   tf->codes[55135] = 0x000046eb89ce446fUL;
   tf->codes[55136] = 0x00005b93e3f84e3aUL;
   tf->codes[55137] = 0x00008052cb33206eUL;
   tf->codes[55138] = 0x000087203a71b3dfUL;
   tf->codes[55139] = 0x0000a4a211caf31aUL;
   tf->codes[55140] = 0x0001647e29f224daUL;
   tf->codes[55141] = 0x0001b7922c80968fUL;
   tf->codes[55142] = 0x000072407689281bUL;
   tf->codes[55143] = 0x0000acbf7932943dUL;
   tf->codes[55144] = 0x00015e0b06d66aa1UL;
   tf->codes[55145] = 0x000133a1d305a7daUL;
   tf->codes[55146] = 0x0001531b97258d5cUL;
   tf->codes[55147] = 0x00016236c038910eUL;
   tf->codes[55148] = 0x0001b714b542215dUL;
   tf->codes[55149] = 0x00003d56fe8c7c0dUL;
   tf->codes[55150] = 0x0000613b37adc295UL;
   tf->codes[55151] = 0x0000bf98bb80e502UL;
   tf->codes[55152] = 0x0001737b6ac31145UL;
   tf->codes[55153] = 0x0001b17fe9304f20UL;
   tf->codes[55154] = 0x0001edc8de54d9dcUL;
   tf->codes[55155] = 0x0001f551a522e28cUL;
   tf->codes[55156] = 0x00000e5fa692d434UL;
   tf->codes[55157] = 0x0000c1b02ad599bcUL;
   tf->codes[55158] = 0x000161c7b22c8757UL;
   tf->codes[55159] = 0x00016750c5352596UL;
   tf->codes[55160] = 0x000182938c07bc37UL;
   tf->codes[55161] = 0x0001d88f34dc72abUL;
   tf->codes[55162] = 0x0000d80ebce3c434UL;
   tf->codes[55163] = 0x0001ada831c54aa6UL;
   tf->codes[55164] = 0x0000a096336199f5UL;
   tf->codes[55165] = 0x00012843814cb8e4UL;
   tf->codes[55166] = 0x0001a1220cbe5b27UL;
   tf->codes[55167] = 0x0001c94c5c0c6d5aUL;
   tf->codes[55168] = 0x0001cb774b691a3cUL;
   tf->codes[55169] = 0x0001e6e4d8b4e7c4UL;
   tf->codes[55170] = 0x00001d89825525aeUL;
   tf->codes[55171] = 0x000084ce776bdd7cUL;
   tf->codes[55172] = 0x0000c49904d4d7dcUL;
   tf->codes[55173] = 0x0001165832f3b4f7UL;
   tf->codes[55174] = 0x00011edf9191d324UL;
   tf->codes[55175] = 0x0001f74cc61ea862UL;
   tf->codes[55176] = 0x000089e01447aa4aUL;
   tf->codes[55177] = 0x000093a183f7ba08UL;
   tf->codes[55178] = 0x0000b3d789e32bddUL;
   tf->codes[55179] = 0x00010f953add1d2dUL;
   tf->codes[55180] = 0x000127d522edc07cUL;
   tf->codes[55181] = 0x000183a90418e171UL;
   tf->codes[55182] = 0x0001d46750d16f5dUL;
   tf->codes[55183] = 0x00000c0e00a3194fUL;
   tf->codes[55184] = 0x0000b8c19418128aUL;
   tf->codes[55185] = 0x0000bf7ddb6ff544UL;
   tf->codes[55186] = 0x00019312ced0981cUL;
   tf->codes[55187] = 0x0001c03c07b5abc2UL;
   tf->codes[55188] = 0x00000e2f0b6ec05bUL;
   tf->codes[55189] = 0x000049bef29a0f8aUL;
   tf->codes[55190] = 0x000056f18254ef84UL;
   tf->codes[55191] = 0x0000d5c3b927b0a0UL;
   tf->codes[55192] = 0x0001293808ea9f4eUL;
   tf->codes[55193] = 0x00016ba01f969119UL;
   tf->codes[55194] = 0x00006349556b3613UL;
   tf->codes[55195] = 0x00006ad72483bdb1UL;
   tf->codes[55196] = 0x000078c371e4ea87UL;
   tf->codes[55197] = 0x0000eb672e356b9eUL;
   tf->codes[55198] = 0x0001530b4bb5838cUL;
   tf->codes[55199] = 0x000186a5ff421b49UL;
   tf->codes[55200] = 0x0001d52e9c5bed28UL;
   tf->codes[55201] = 0x000026a8b5c1fbddUL;
   tf->codes[55202] = 0x00002f93cff5ed8eUL;
   tf->codes[55203] = 0x000062d9a63d28ccUL;
   tf->codes[55204] = 0x0000d6f2b25271c3UL;
   tf->codes[55205] = 0x0000e480c186558dUL;
   tf->codes[55206] = 0x0001be62962ae15cUL;
   tf->codes[55207] = 0x00000925ab12920aUL;
   tf->codes[55208] = 0x00001c3665aa7287UL;
   tf->codes[55209] = 0x00003621243b23c8UL;
   tf->codes[55210] = 0x000172b3d746ec51UL;
   tf->codes[55211] = 0x0001843ae6610371UL;
   tf->codes[55212] = 0x0000535c3e675e7bUL;
   tf->codes[55213] = 0x0000613e40a487b0UL;
   tf->codes[55214] = 0x0001009e53eb6221UL;
   tf->codes[55215] = 0x00011d583efaeecaUL;
   tf->codes[55216] = 0x000122d5e2146c8fUL;
   tf->codes[55217] = 0x000127a412aba119UL;
   tf->codes[55218] = 0x000155869418f611UL;
   tf->codes[55219] = 0x0001604af43688ebUL;
   tf->codes[55220] = 0x0001e5c3f1dd0e6bUL;
   tf->codes[55221] = 0x00001a19fcf91b67UL;
   tf->codes[55222] = 0x0000be0207533f23UL;
   tf->codes[55223] = 0x0000ee4698c1af72UL;
   tf->codes[55224] = 0x0001d73b1fcd697aUL;
   tf->codes[55225] = 0x0001de0b13313c62UL;
   tf->codes[55226] = 0x00001e8a90850a75UL;
   tf->codes[55227] = 0x00003034648a8e8dUL;
   tf->codes[55228] = 0x0000782c3072c5e8UL;
   tf->codes[55229] = 0x000078a69157d49bUL;
   tf->codes[55230] = 0x0000e06069eb10a4UL;
   tf->codes[55231] = 0x00000a7a0ac6e9e3UL;
   tf->codes[55232] = 0x000082452d9169a2UL;
   tf->codes[55233] = 0x00013a18660df3c2UL;
   tf->codes[55234] = 0x0001efb713b6deaeUL;
   tf->codes[55235] = 0x000086f6b7c7bf3cUL;
   tf->codes[55236] = 0x00009551bb8fd486UL;
   tf->codes[55237] = 0x00013288ee813602UL;
   tf->codes[55238] = 0x00019fcb2a6ffefbUL;
   tf->codes[55239] = 0x0001d0c0c849e0e8UL;
   tf->codes[55240] = 0x000069d5cec5008aUL;
   tf->codes[55241] = 0x00007aa7b3653e32UL;
   tf->codes[55242] = 0x000139aab75c0ca9UL;
   tf->codes[55243] = 0x0001a51213780c16UL;
   tf->codes[55244] = 0x0001fc9b4b49edfcUL;
   tf->codes[55245] = 0x000010fc0c95e9eaUL;
   tf->codes[55246] = 0x0000e4b2daa5e2a6UL;
   tf->codes[55247] = 0x00017843d662e2f7UL;
   tf->codes[55248] = 0x0001af5a6a3c5a1bUL;
   tf->codes[55249] = 0x0001dec18edcf982UL;
   tf->codes[55250] = 0x0001ecb47e71cda9UL;
   tf->codes[55251] = 0x0001fef00858acf2UL;
   tf->codes[55252] = 0x000025df5c58b680UL;
   tf->codes[55253] = 0x0000427105144bb9UL;
   tf->codes[55254] = 0x000183f8cbb11d9eUL;
   tf->codes[55255] = 0x000190ab428f5ea8UL;
   tf->codes[55256] = 0x00005eb722e76341UL;
   tf->codes[55257] = 0x0000805b6145ea1bUL;
   tf->codes[55258] = 0x0001b00f77a01815UL;
   tf->codes[55259] = 0x0001d3247296f36bUL;
   tf->codes[55260] = 0x0001f84be323124cUL;
   tf->codes[55261] = 0x00007dd9b1a0a4d3UL;
   tf->codes[55262] = 0x0000af785a582e6fUL;
   tf->codes[55263] = 0x0000f24551651097UL;
   tf->codes[55264] = 0x00017a25a1e63621UL;
   tf->codes[55265] = 0x00019af6f929f579UL;
   tf->codes[55266] = 0x0001c3afca871217UL;
   tf->codes[55267] = 0x000059ea349435d7UL;
   tf->codes[55268] = 0x000084656bfcb2aaUL;
   tf->codes[55269] = 0x000144dea9f46015UL;
   tf->codes[55270] = 0x000144e96a366f40UL;
   tf->codes[55271] = 0x000152aa417153e0UL;
   tf->codes[55272] = 0x0001ab7c68a59e5cUL;
   tf->codes[55273] = 0x000019004aebdf30UL;
   tf->codes[55274] = 0x000032c46111c164UL;
   tf->codes[55275] = 0x0000d21c383bcc21UL;
   tf->codes[55276] = 0x0000f0b4717f78e1UL;
   tf->codes[55277] = 0x00013037660a6564UL;
   tf->codes[55278] = 0x00017480899ebc82UL;
   tf->codes[55279] = 0x0001ee4e1ee2ebeeUL;
   tf->codes[55280] = 0x000016ca8cc21564UL;
   tf->codes[55281] = 0x0001461395a5b73aUL;
   tf->codes[55282] = 0x00006c447445f6c6UL;
   tf->codes[55283] = 0x0000f6948e4d91d3UL;
   tf->codes[55284] = 0x0001033da443e650UL;
   tf->codes[55285] = 0x00012c246fec8a9bUL;
   tf->codes[55286] = 0x00014ff91b1048cfUL;
   tf->codes[55287] = 0x00015e763416b9c2UL;
   tf->codes[55288] = 0x00016103ba3e1d4fUL;
   tf->codes[55289] = 0x00019bf4e1afc870UL;
   tf->codes[55290] = 0x00001df532dbbf4fUL;
   tf->codes[55291] = 0x000023e56fdb879dUL;
   tf->codes[55292] = 0x000084dc245433d6UL;
   tf->codes[55293] = 0x00008d12892c5799UL;
   tf->codes[55294] = 0x0000967fcb441c27UL;
   tf->codes[55295] = 0x0001ad850897b899UL;
   tf->codes[55296] = 0x00000cbc15b949d9UL;
   tf->codes[55297] = 0x0000285e04f5409aUL;
   tf->codes[55298] = 0x00003ebce01d7e96UL;
   tf->codes[55299] = 0x00006ce6bfd9dba6UL;
   tf->codes[55300] = 0x0000c132ff0210c4UL;
   tf->codes[55301] = 0x0000fd4b0097c8d2UL;
   tf->codes[55302] = 0x0001154adc3a1ca9UL;
   tf->codes[55303] = 0x00014b4e7c8a7cd3UL;
   tf->codes[55304] = 0x00015513952ae8e1UL;
   tf->codes[55305] = 0x0001a87bc551a5c6UL;
   tf->codes[55306] = 0x00002b234ce3162cUL;
   tf->codes[55307] = 0x00008b9e7bab96d9UL;
   tf->codes[55308] = 0x0000b15175037524UL;
   tf->codes[55309] = 0x0000da183a74f1b3UL;
   tf->codes[55310] = 0x0000f4ab19a7338fUL;
   tf->codes[55311] = 0x00010b3c0d296112UL;
   tf->codes[55312] = 0x000120a576da7059UL;
   tf->codes[55313] = 0x00013158ef2caea8UL;
   tf->codes[55314] = 0x00017c7c8bd7e214UL;
   tf->codes[55315] = 0x0001b6c5cd37025fUL;
   tf->codes[55316] = 0x0001d5fb66da308fUL;
   tf->codes[55317] = 0x00001b87874a5a41UL;
   tf->codes[55318] = 0x0000990aa1a51700UL;
   tf->codes[55319] = 0x0000c9edb83e2598UL;
   tf->codes[55320] = 0x0000d71b3fae86a4UL;
   tf->codes[55321] = 0x000169940508eb48UL;
   tf->codes[55322] = 0x0001b5532d9b71fcUL;
   tf->codes[55323] = 0x0001b958fccae86aUL;
   tf->codes[55324] = 0x0001bbabf3ec86f7UL;
   tf->codes[55325] = 0x00001c21a54c7d2cUL;
   tf->codes[55326] = 0x00007ad983cd8690UL;
   tf->codes[55327] = 0x00008c81bde9e245UL;
   tf->codes[55328] = 0x00015b350f36662aUL;
   tf->codes[55329] = 0x00018a967bdf7554UL;
   tf->codes[55330] = 0x0001bf5d86f8a476UL;
   tf->codes[55331] = 0x0001c257ef0ec24fUL;
   tf->codes[55332] = 0x0001ec1167432857UL;
   tf->codes[55333] = 0x0000a4cbe2937b76UL;
   tf->codes[55334] = 0x0000c49e67781f8cUL;
   tf->codes[55335] = 0x00016a98e76786d3UL;
   tf->codes[55336] = 0x000192e12de58cd5UL;
   tf->codes[55337] = 0x0000c3e92e733855UL;
   tf->codes[55338] = 0x00015b3407e43398UL;
   tf->codes[55339] = 0x0001a96b70a90548UL;
   tf->codes[55340] = 0x0000507ba2d5c8c5UL;
   tf->codes[55341] = 0x000160561cf99fceUL;
   tf->codes[55342] = 0x00019881edf2679eUL;
   tf->codes[55343] = 0x000041f6b44585e9UL;
   tf->codes[55344] = 0x00004ad3da6517a9UL;
   tf->codes[55345] = 0x000086fa0a9e356dUL;
   tf->codes[55346] = 0x0000a53689d9d898UL;
   tf->codes[55347] = 0x0000f6cd3b15b87eUL;
   tf->codes[55348] = 0x000108e8f95475d0UL;
   tf->codes[55349] = 0x00014d2f23a581edUL;
   tf->codes[55350] = 0x0001c6b93e1a0b56UL;
   tf->codes[55351] = 0x0001df6caa4d1042UL;
   tf->codes[55352] = 0x0000b05c87fafd4aUL;
   tf->codes[55353] = 0x000102ec539e6835UL;
   tf->codes[55354] = 0x00010a0af731fbd5UL;
   tf->codes[55355] = 0x0001a63e14eabd5cUL;
   tf->codes[55356] = 0x0001e650b04fd123UL;
   tf->codes[55357] = 0x000098f61aadbb0fUL;
   tf->codes[55358] = 0x0000c329f3c72fcaUL;
   tf->codes[55359] = 0x0000eb6a734671a2UL;
   tf->codes[55360] = 0x00013df11890f5c5UL;
   tf->codes[55361] = 0x00015cb5ecc60794UL;
   tf->codes[55362] = 0x0001cfd09b9a40d3UL;
   tf->codes[55363] = 0x0001e7438f16b2a2UL;
   tf->codes[55364] = 0x0001f7a94175474dUL;
   tf->codes[55365] = 0x0000b2d7a45a77c9UL;
   tf->codes[55366] = 0x0000bf5668f5a0e9UL;
   tf->codes[55367] = 0x0000ff216b7ca6d3UL;
   tf->codes[55368] = 0x00013585939089bbUL;
   tf->codes[55369] = 0x00015a2858139648UL;
   tf->codes[55370] = 0x0001d5a67bcf63e3UL;
   tf->codes[55371] = 0x0001ed35cc92a11eUL;
   tf->codes[55372] = 0x000046cad7c61f3eUL;
   tf->codes[55373] = 0x00005111689d4cdaUL;
   tf->codes[55374] = 0x0000920fda029d04UL;
   tf->codes[55375] = 0x000139308468ffe9UL;
   tf->codes[55376] = 0x00001f5da5f4a2b3UL;
   tf->codes[55377] = 0x0000361db88d74bcUL;
   tf->codes[55378] = 0x0000408d00d6a552UL;
   tf->codes[55379] = 0x000092dfb94f0bc6UL;
   tf->codes[55380] = 0x0000a09386b1a789UL;
   tf->codes[55381] = 0x0000c57866aa377bUL;
   tf->codes[55382] = 0x0001446d27d95fcaUL;
   tf->codes[55383] = 0x00014e9a1a1e0736UL;
   tf->codes[55384] = 0x0001cd586a55d25fUL;
   tf->codes[55385] = 0x00001fe87088430fUL;
   tf->codes[55386] = 0x0000324141f204d8UL;
   tf->codes[55387] = 0x0000908a2f7d2003UL;
   tf->codes[55388] = 0x0000c44ceacea96bUL;
   tf->codes[55389] = 0x0000ccdf7ecce24dUL;
   tf->codes[55390] = 0x0001f159dc6eeda8UL;
   tf->codes[55391] = 0x000012d98169d962UL;
   tf->codes[55392] = 0x00005fadac8caafdUL;
   tf->codes[55393] = 0x0000cd086242dd4dUL;
   tf->codes[55394] = 0x0000ecf360eeeabaUL;
   tf->codes[55395] = 0x0001200b3cea9e4bUL;
   tf->codes[55396] = 0x00013200182f86cbUL;
   tf->codes[55397] = 0x000152dca4d360d8UL;
   tf->codes[55398] = 0x00015c8aa306862dUL;
   tf->codes[55399] = 0x0001e32d39855dd6UL;
   tf->codes[55400] = 0x000018b170a6305fUL;
   tf->codes[55401] = 0x000133d7f033f797UL;
   tf->codes[55402] = 0x0001a4dc808290fbUL;
   tf->codes[55403] = 0x00000f48edbed73bUL;
   tf->codes[55404] = 0x0000864288c8b216UL;
   tf->codes[55405] = 0x00012adf0def9dfbUL;
   tf->codes[55406] = 0x0001e1518cef677dUL;
   tf->codes[55407] = 0x00000bbe95b47e9aUL;
   tf->codes[55408] = 0x00008cce7db3c5b2UL;
   tf->codes[55409] = 0x0000dda54433bcf5UL;
   tf->codes[55410] = 0x0001606e6be57d7aUL;
   tf->codes[55411] = 0x0001e864b208cce4UL;
   tf->codes[55412] = 0x0000148b6f9e68f8UL;
   tf->codes[55413] = 0x0000998f14aa5eb3UL;
   tf->codes[55414] = 0x0000f7bffd8c1c11UL;
   tf->codes[55415] = 0x00010d69391c750bUL;
   tf->codes[55416] = 0x000163fba01d059eUL;
   tf->codes[55417] = 0x000174c80754b8ceUL;
   tf->codes[55418] = 0x0000578cf49f6c5fUL;
   tf->codes[55419] = 0x0000730a8506cdc5UL;
   tf->codes[55420] = 0x0000ed40690d4419UL;
   tf->codes[55421] = 0x00011bc84c67e470UL;
   tf->codes[55422] = 0x00012454eddf8750UL;
   tf->codes[55423] = 0x00014a90ebdde58eUL;
   tf->codes[55424] = 0x0001bea31b30816fUL;
   tf->codes[55425] = 0x00001a66beb108c1UL;
   tf->codes[55426] = 0x00002913315d23ffUL;
   tf->codes[55427] = 0x0001194e29325d8dUL;
   tf->codes[55428] = 0x0001427af3cfe752UL;
   tf->codes[55429] = 0x0001883967290650UL;
   tf->codes[55430] = 0x000001f4000e56ddUL;
   tf->codes[55431] = 0x0000ba5161fc7dc9UL;
   tf->codes[55432] = 0x0001278cc12899acUL;
   tf->codes[55433] = 0x000137dc4355feb2UL;
   tf->codes[55434] = 0x000160db13a800caUL;
   tf->codes[55435] = 0x000164859ded792dUL;
   tf->codes[55436] = 0x000165a4b112c1f0UL;
   tf->codes[55437] = 0x00017b17f0c9c94eUL;
   tf->codes[55438] = 0x0001b674d55f11e2UL;
   tf->codes[55439] = 0x0000103c6e0a8b13UL;
   tf->codes[55440] = 0x00007589013c9110UL;
   tf->codes[55441] = 0x0000da5d4290bc47UL;
   tf->codes[55442] = 0x0001254f3c000bb6UL;
   tf->codes[55443] = 0x0001c6f6615b58b0UL;
   tf->codes[55444] = 0x0001c8fec65b9e5fUL;
   tf->codes[55445] = 0x00002cc7a0967101UL;
   tf->codes[55446] = 0x0000ebde50992fa6UL;
   tf->codes[55447] = 0x0001283031879b65UL;
   tf->codes[55448] = 0x000147e44a1e4022UL;
   tf->codes[55449] = 0x0001d6347b5dc160UL;
   tf->codes[55450] = 0x0001f14947e4d054UL;
   tf->codes[55451] = 0x00000dfeda56ef5eUL;
   tf->codes[55452] = 0x0000a4eee3fbf820UL;
   tf->codes[55453] = 0x000104e0d38ef315UL;
   tf->codes[55454] = 0x000147291e92c2e9UL;
   tf->codes[55455] = 0x000081d581dca16cUL;
   tf->codes[55456] = 0x000092fec7e77b0aUL;
   tf->codes[55457] = 0x000147795a209e45UL;
   tf->codes[55458] = 0x0001d26d3c2c5c4eUL;
   tf->codes[55459] = 0x00006483dfda15d1UL;
   tf->codes[55460] = 0x0000889ae1025d2fUL;
   tf->codes[55461] = 0x000097cb157b73adUL;
   tf->codes[55462] = 0x0000a086265ca9c4UL;
   tf->codes[55463] = 0x000144e60d769cbcUL;
   tf->codes[55464] = 0x0001c0a38df3a880UL;
   tf->codes[55465] = 0x000086408974f843UL;
   tf->codes[55466] = 0x0000961e5bf829d4UL;
   tf->codes[55467] = 0x0000999ff43c9978UL;
   tf->codes[55468] = 0x0000e4ffb9d6ba47UL;
   tf->codes[55469] = 0x0000ffb473b85207UL;
   tf->codes[55470] = 0x00011e7c06a1a912UL;
   tf->codes[55471] = 0x00015670b6f6026dUL;
   tf->codes[55472] = 0x0001a6ceb67a1360UL;
   tf->codes[55473] = 0x0001c53044375d35UL;
   tf->codes[55474] = 0x0000220be38b7a6fUL;
   tf->codes[55475] = 0x000030a0518e37e0UL;
   tf->codes[55476] = 0x0000bfe494eac535UL;
   tf->codes[55477] = 0x00016835053f160aUL;
   tf->codes[55478] = 0x0001abaa577c8e92UL;
   tf->codes[55479] = 0x0000cddaa9c6dc63UL;
   tf->codes[55480] = 0x000112e1e39eedfcUL;
   tf->codes[55481] = 0x0001ca2d01b10f3dUL;
   tf->codes[55482] = 0x0000e393d9e7bb7cUL;
   tf->codes[55483] = 0x0000e878753f2570UL;
   tf->codes[55484] = 0x0000ea030af905e1UL;
   tf->codes[55485] = 0x00009f756e418d86UL;
   tf->codes[55486] = 0x0000fdcd74ac257bUL;
   tf->codes[55487] = 0x0001194f983ffa45UL;
   tf->codes[55488] = 0x000143f0c86634d6UL;
   tf->codes[55489] = 0x00017bb5e485de21UL;
   tf->codes[55490] = 0x00001dda9e988a94UL;
   tf->codes[55491] = 0x000037a5cc101fa3UL;
   tf->codes[55492] = 0x00009871ba0f94f5UL;
   tf->codes[55493] = 0x000144e15d96dca3UL;
   tf->codes[55494] = 0x000147c4e5ceb988UL;
   tf->codes[55495] = 0x0001bc655ca15a0fUL;
   tf->codes[55496] = 0x000012617a941c0dUL;
   tf->codes[55497] = 0x0000213d0c56dbd1UL;
   tf->codes[55498] = 0x0000b143f9239705UL;
   tf->codes[55499] = 0x000139e0c5ff4ea7UL;
   tf->codes[55500] = 0x0001786313b2f1c0UL;
   tf->codes[55501] = 0x0001a769eb1f142eUL;
   tf->codes[55502] = 0x0001e35eb2ab53baUL;
   tf->codes[55503] = 0x0000bf8f9af21c01UL;
   tf->codes[55504] = 0x0001cc9a38ea0653UL;
   tf->codes[55505] = 0x0000196c8f94a9c6UL;
   tf->codes[55506] = 0x000049927a2614f7UL;
   tf->codes[55507] = 0x0000a4e6b792a286UL;
   tf->codes[55508] = 0x0000bf3de2f40289UL;
   tf->codes[55509] = 0x0001acc471a803b8UL;
   tf->codes[55510] = 0x00011557e98baa97UL;
   tf->codes[55511] = 0x000198d6eb6455e3UL;
   tf->codes[55512] = 0x0001fe3889fc6eacUL;
   tf->codes[55513] = 0x00005970df403c59UL;
   tf->codes[55514] = 0x000083280dde68afUL;
   tf->codes[55515] = 0x00013a022bf367caUL;
   tf->codes[55516] = 0x000179d654d3547cUL;
   tf->codes[55517] = 0x0001ebc596570d6aUL;
   tf->codes[55518] = 0x000033abc53a8884UL;
   tf->codes[55519] = 0x0000372a29aca762UL;
   tf->codes[55520] = 0x000069550add01b7UL;
   tf->codes[55521] = 0x0000740c269345efUL;
   tf->codes[55522] = 0x00007d2e616ba615UL;
   tf->codes[55523] = 0x0000da8043966a28UL;
   tf->codes[55524] = 0x00013adfc4c530b8UL;
   tf->codes[55525] = 0x000180f3ff9fc349UL;
   tf->codes[55526] = 0x0001a88b74415d72UL;
   tf->codes[55527] = 0x00004204ab705c22UL;
   tf->codes[55528] = 0x00004ba2e116f35eUL;
   tf->codes[55529] = 0x00005789130e1437UL;
   tf->codes[55530] = 0x0001b6b416956fb1UL;
   tf->codes[55531] = 0x0000ba0078af9b0bUL;
   tf->codes[55532] = 0x0000fbe5081d975bUL;
   tf->codes[55533] = 0x00011fc3fe655930UL;
   tf->codes[55534] = 0x000125de52314716UL;
   tf->codes[55535] = 0x00001c7f1a2fde7cUL;
   tf->codes[55536] = 0x00005ea7998b8c59UL;
   tf->codes[55537] = 0x00006bbf65e8c94aUL;
   tf->codes[55538] = 0x00006eb575617984UL;
   tf->codes[55539] = 0x0000b1fc58355ed5UL;
   tf->codes[55540] = 0x0000e1f741be8d5aUL;
   tf->codes[55541] = 0x0001090f12a1941dUL;
   tf->codes[55542] = 0x0001cbd3f5da2775UL;
   tf->codes[55543] = 0x0000267e78bbfc06UL;
   tf->codes[55544] = 0x0000289ea7d699bdUL;
   tf->codes[55545] = 0x00003426d62f774fUL;
   tf->codes[55546] = 0x0000424bde1e3afdUL;
   tf->codes[55547] = 0x0000ecd77b79d257UL;
   tf->codes[55548] = 0x0001793bdf8edf17UL;
   tf->codes[55549] = 0x00000c0eff972ab2UL;
   tf->codes[55550] = 0x00001a310e42a35fUL;
   tf->codes[55551] = 0x00004677d20f672fUL;
   tf->codes[55552] = 0x0000e4ba6c1a2140UL;
   tf->codes[55553] = 0x00011f530d561392UL;
   tf->codes[55554] = 0x0001e7efee560ba6UL;
   tf->codes[55555] = 0x0000f513f0517663UL;
   tf->codes[55556] = 0x0001674dfe858df4UL;
   tf->codes[55557] = 0x0000dccdcca0298eUL;
   tf->codes[55558] = 0x0000fa764c6437d6UL;
   tf->codes[55559] = 0x000121685f1886a0UL;
   tf->codes[55560] = 0x0001343529c2b590UL;
   tf->codes[55561] = 0x0001a8cdd99691edUL;
   tf->codes[55562] = 0x00002bbcbf770a6bUL;
   tf->codes[55563] = 0x00002bf74e7ccf6bUL;
   tf->codes[55564] = 0x0000a5771dcd5533UL;
   tf->codes[55565] = 0x0000b15c2af95933UL;
   tf->codes[55566] = 0x0000c321e7279d2dUL;
   tf->codes[55567] = 0x00010a3b9694f251UL;
   tf->codes[55568] = 0x00011d67c4378726UL;
   tf->codes[55569] = 0x00013dd60f928449UL;
   tf->codes[55570] = 0x0001788590acb78fUL;
   tf->codes[55571] = 0x0000476abfc42536UL;
   tf->codes[55572] = 0x00005192e44d5379UL;
   tf->codes[55573] = 0x00006fc51864f303UL;
   tf->codes[55574] = 0x0000bf9077cb91b1UL;
   tf->codes[55575] = 0x000115f7ddc3e598UL;
   tf->codes[55576] = 0x0001582e8bc2f92bUL;
   tf->codes[55577] = 0x0001595f3becfe2fUL;
   tf->codes[55578] = 0x00016a236707e1abUL;
   tf->codes[55579] = 0x0001b1a231652cf1UL;
   tf->codes[55580] = 0x000037bad9016d93UL;
   tf->codes[55581] = 0x00003ee4ec8421adUL;
   tf->codes[55582] = 0x0000579b176b6bd5UL;
   tf->codes[55583] = 0x000088edcea779f5UL;
   tf->codes[55584] = 0x0000e7ba43708a9bUL;
   tf->codes[55585] = 0x0001473923ff2f7dUL;
   tf->codes[55586] = 0x0001cf8481f6e12bUL;
   tf->codes[55587] = 0x0001d867d52c0eb2UL;
   tf->codes[55588] = 0x000068a950fe8ee6UL;
   tf->codes[55589] = 0x0000d618d78bce3dUL;
   tf->codes[55590] = 0x0000e106d9577b25UL;
   tf->codes[55591] = 0x0000211a3a6b9c3eUL;
   tf->codes[55592] = 0x000042850e8f7af1UL;
   tf->codes[55593] = 0x0000eefb8ed96fb5UL;
   tf->codes[55594] = 0x0000f54c539cbac1UL;
   tf->codes[55595] = 0x0001e2658b43f61aUL;
   tf->codes[55596] = 0x0000182192b64867UL;
   tf->codes[55597] = 0x00005603c15624d4UL;
   tf->codes[55598] = 0x00008b70a37aaadfUL;
   tf->codes[55599] = 0x0000a7f3a874ced8UL;
   tf->codes[55600] = 0x0000d35cff73c1c0UL;
   tf->codes[55601] = 0x00011e9c8447b50eUL;
   tf->codes[55602] = 0x00013e3e159d8676UL;
   tf->codes[55603] = 0x0001a87a3ef80b57UL;
   tf->codes[55604] = 0x0001ad11145bcba7UL;
   tf->codes[55605] = 0x0001c50ac2e883b7UL;
   tf->codes[55606] = 0x00002395cbe92247UL;
   tf->codes[55607] = 0x0001569ac187f2fcUL;
   tf->codes[55608] = 0x000164f42b66dfe3UL;
   tf->codes[55609] = 0x0001aa81361320a9UL;
   tf->codes[55610] = 0x0001ab53e29ee266UL;
   tf->codes[55611] = 0x000022b3f7f2d601UL;
   tf->codes[55612] = 0x00004b01f6686c40UL;
   tf->codes[55613] = 0x0000a3acc584d660UL;
   tf->codes[55614] = 0x0000e2c7d1e079c6UL;
   tf->codes[55615] = 0x0001e95dc15e8f3bUL;
   tf->codes[55616] = 0x000057631bdb919dUL;
   tf->codes[55617] = 0x0000c88cf53ad770UL;
   tf->codes[55618] = 0x000153ad37a8f4c3UL;
   tf->codes[55619] = 0x00019df95a0ced49UL;
   tf->codes[55620] = 0x00007b0ae2f3d73eUL;
   tf->codes[55621] = 0x00008b56bc30dff4UL;
   tf->codes[55622] = 0x00008bf4cc3d72b3UL;
   tf->codes[55623] = 0x00017f3f721de2abUL;
   tf->codes[55624] = 0x0001803bc057be76UL;
   tf->codes[55625] = 0x00001ad863497388UL;
   tf->codes[55626] = 0x000036d905d0bedfUL;
   tf->codes[55627] = 0x0000657dbb90362cUL;
   tf->codes[55628] = 0x0001fe990522ed98UL;
   tf->codes[55629] = 0x00002048b37094ecUL;
   tf->codes[55630] = 0x00004a920d0e27fdUL;
   tf->codes[55631] = 0x0000c22c3c49d50eUL;
   tf->codes[55632] = 0x0001aa268422e738UL;
   tf->codes[55633] = 0x0000af2d4abaa8d8UL;
   tf->codes[55634] = 0x00014ba8eb8d8f50UL;
   tf->codes[55635] = 0x0001e4d8eff557c0UL;
   tf->codes[55636] = 0x00002c653948f76dUL;
   tf->codes[55637] = 0x0000624a6d4b583eUL;
   tf->codes[55638] = 0x00009e55da26d2f9UL;
   tf->codes[55639] = 0x0000a6125337f393UL;
   tf->codes[55640] = 0x0000e5f101cae9abUL;
   tf->codes[55641] = 0x0001063486acafe7UL;
   tf->codes[55642] = 0x00011500c500ed1cUL;
   tf->codes[55643] = 0x0001d02e3daa0684UL;
   tf->codes[55644] = 0x0000b852d6de440bUL;
   tf->codes[55645] = 0x00011f64c95ef53eUL;
   tf->codes[55646] = 0x0001a516f6b11d20UL;
   tf->codes[55647] = 0x000000bace89827bUL;
   tf->codes[55648] = 0x00001471259db41cUL;
   tf->codes[55649] = 0x00007e24bf6fc494UL;
   tf->codes[55650] = 0x0000ed84a653ebcdUL;
   tf->codes[55651] = 0x00012273f3c1125fUL;
   tf->codes[55652] = 0x0001698149032ff5UL;
   tf->codes[55653] = 0x000187d67c95423cUL;
   tf->codes[55654] = 0x0001aba8de22c6beUL;
   tf->codes[55655] = 0x0001e656c553d1a1UL;
   tf->codes[55656] = 0x00011a32106ec063UL;
   tf->codes[55657] = 0x000129a2c67431e3UL;
   tf->codes[55658] = 0x00018a3808ed444aUL;
   tf->codes[55659] = 0x0001a21b8748ccb5UL;
   tf->codes[55660] = 0x0001f2bf10a3b798UL;
   tf->codes[55661] = 0x0001f839ba79ea5cUL;
   tf->codes[55662] = 0x0000e63cb91a2e2bUL;
   tf->codes[55663] = 0x0000ec42ebbc2059UL;
   tf->codes[55664] = 0x0001a9855e1fbcc3UL;
   tf->codes[55665] = 0x0001cc1e23b95b3eUL;
   tf->codes[55666] = 0x0000157967d29873UL;
   tf->codes[55667] = 0x00002b9a8022c0a9UL;
   tf->codes[55668] = 0x000091df43803a97UL;
   tf->codes[55669] = 0x00012f564850e5c6UL;
   tf->codes[55670] = 0x000156390796b201UL;
   tf->codes[55671] = 0x000196a63838b284UL;
   tf->codes[55672] = 0x0001cf0b736c227bUL;
   tf->codes[55673] = 0x00000635ede08f92UL;
   tf->codes[55674] = 0x0000296c13d9af7dUL;
   tf->codes[55675] = 0x00006504ac3fd9eaUL;
   tf->codes[55676] = 0x0000b6ab260847e9UL;
   tf->codes[55677] = 0x00011c96b382f7b9UL;
   tf->codes[55678] = 0x0001925b0b365a2cUL;
   tf->codes[55679] = 0x00019bd4325b4abeUL;
   tf->codes[55680] = 0x0001a926532f46eaUL;
   tf->codes[55681] = 0x0000ca94abb6782bUL;
   tf->codes[55682] = 0x0000e9ad3865c9a0UL;
   tf->codes[55683] = 0x00017ca1bdff5f95UL;
   tf->codes[55684] = 0x0001a26ecb07cf9aUL;
   tf->codes[55685] = 0x00001cd94b8d74ecUL;
   tf->codes[55686] = 0x000035201060c551UL;
   tf->codes[55687] = 0x0001da966f6721d1UL;
   tf->codes[55688] = 0x0001e947afceb638UL;
   tf->codes[55689] = 0x0001eab7822af3a0UL;
   tf->codes[55690] = 0x000030e9048868b1UL;
   tf->codes[55691] = 0x000041119530eb26UL;
   tf->codes[55692] = 0x000140ef95f48b80UL;
   tf->codes[55693] = 0x00014beadc27870aUL;
   tf->codes[55694] = 0x00015184a1f8ca76UL;
   tf->codes[55695] = 0x00018a7774ff2dc4UL;
   tf->codes[55696] = 0x0001b184108219d2UL;
   tf->codes[55697] = 0x0000d3cd8c40e249UL;
   tf->codes[55698] = 0x0001244aa7c003e4UL;
   tf->codes[55699] = 0x0001245c44c4c025UL;
   tf->codes[55700] = 0x0001289048cec405UL;
   tf->codes[55701] = 0x00017e9e78e44dceUL;
   tf->codes[55702] = 0x0001a2a2088faac3UL;
   tf->codes[55703] = 0x0001bceb7a6bb09aUL;
   tf->codes[55704] = 0x00010692c602654eUL;
   tf->codes[55705] = 0x00010a84e925eb8eUL;
   tf->codes[55706] = 0x0001f28e0f4f74bdUL;
   tf->codes[55707] = 0x00005c0fcb569b73UL;
   tf->codes[55708] = 0x00009f704cbd06f4UL;
   tf->codes[55709] = 0x0000cc200ef922fbUL;
   tf->codes[55710] = 0x00015a1bd8115344UL;
   tf->codes[55711] = 0x000186cf08aec5d6UL;
   tf->codes[55712] = 0x00000b558e2167a2UL;
   tf->codes[55713] = 0x0000690155dc0722UL;
   tf->codes[55714] = 0x0000b53bc98fb39dUL;
   tf->codes[55715] = 0x0000d5ca903fe406UL;
   tf->codes[55716] = 0x0000d7213927a6c8UL;
   tf->codes[55717] = 0x0001bf04dbb17dc3UL;
   tf->codes[55718] = 0x0000008699c5bda3UL;
   tf->codes[55719] = 0x00011c1e1950a701UL;
   tf->codes[55720] = 0x000158b87d5937b1UL;
   tf->codes[55721] = 0x000170e52e7bf65cUL;
   tf->codes[55722] = 0x000093a527a06b71UL;
   tf->codes[55723] = 0x0000a26371e048b5UL;
   tf->codes[55724] = 0x0001449f46603be1UL;
   tf->codes[55725] = 0x00017d0705b8eb4fUL;
   tf->codes[55726] = 0x00017f034b1cff35UL;
   tf->codes[55727] = 0x0001cbca31d8822eUL;
   tf->codes[55728] = 0x000002b1317d4942UL;
   tf->codes[55729] = 0x000086391f1fd591UL;
   tf->codes[55730] = 0x0001ccec2fb60833UL;
   tf->codes[55731] = 0x0001fd4e7dc5668cUL;
   tf->codes[55732] = 0x00005949075b568eUL;
   tf->codes[55733] = 0x0000ce64c94f1cdcUL;
   tf->codes[55734] = 0x0000f412ba5c7c39UL;
   tf->codes[55735] = 0x0001138bcecf506cUL;
   tf->codes[55736] = 0x0001329a4ae9a405UL;
   tf->codes[55737] = 0x000142530eeb2eecUL;
   tf->codes[55738] = 0x00014cd5c8b149ebUL;
   tf->codes[55739] = 0x0001f45894c457f1UL;
   tf->codes[55740] = 0x00004f54fba83e00UL;
   tf->codes[55741] = 0x0000ace21c85d862UL;
   tf->codes[55742] = 0x0000b118df44217eUL;
   tf->codes[55743] = 0x00012365af481229UL;
   tf->codes[55744] = 0x00019141a2a60042UL;
   tf->codes[55745] = 0x0001f68759155929UL;
   tf->codes[55746] = 0x000003118d9fa2c3UL;
   tf->codes[55747] = 0x00001469b8321b22UL;
   tf->codes[55748] = 0x00003150ede01e29UL;
   tf->codes[55749] = 0x00006a10be507adcUL;
   tf->codes[55750] = 0x00013969e6a855aaUL;
   tf->codes[55751] = 0x00000505c2eadefbUL;
   tf->codes[55752] = 0x0000eccf17351e77UL;
   tf->codes[55753] = 0x0001177bb74a7982UL;
   tf->codes[55754] = 0x00011af8bc6275c2UL;
   tf->codes[55755] = 0x00017a8591057a95UL;
   tf->codes[55756] = 0x0001d4a8e3b8fd5bUL;
   tf->codes[55757] = 0x0000b54650085a95UL;
   tf->codes[55758] = 0x0001052ad8e373e9UL;
   tf->codes[55759] = 0x00011f744abf79c0UL;
   tf->codes[55760] = 0x0001c7c53031d61fUL;
   tf->codes[55761] = 0x00002adb298908fbUL;
   tf->codes[55762] = 0x00005fe7495b0683UL;
   tf->codes[55763] = 0x0000c22309b6b93dUL;
   tf->codes[55764] = 0x0000c318f04bf37cUL;
   tf->codes[55765] = 0x0000e4667cecefafUL;
   tf->codes[55766] = 0x0001420191deea02UL;
   tf->codes[55767] = 0x0001dd1477a745edUL;
   tf->codes[55768] = 0x00000aa6e98ab78fUL;
   tf->codes[55769] = 0x000086caa9c2d64eUL;
   tf->codes[55770] = 0x000089d3f0296b2cUL;
   tf->codes[55771] = 0x0000da3b509568acUL;
   tf->codes[55772] = 0x000127f599c0e66dUL;
   tf->codes[55773] = 0x00019e056dd1b8d2UL;
   tf->codes[55774] = 0x0001e8fce4a992b9UL;
   tf->codes[55775] = 0x00007a63db45fd3cUL;
   tf->codes[55776] = 0x00007ce20dfede3aUL;
   tf->codes[55777] = 0x00009703b2a4f82bUL;
   tf->codes[55778] = 0x0000bad64ec18272UL;
   tf->codes[55779] = 0x0001f433d022625dUL;
   tf->codes[55780] = 0x00006d04677fa4afUL;
   tf->codes[55781] = 0x0001221542c6967fUL;
   tf->codes[55782] = 0x0001291504ee1f3cUL;
   tf->codes[55783] = 0x00013199df66fdf2UL;
   tf->codes[55784] = 0x0001b2bde89040c2UL;
   tf->codes[55785] = 0x000051000d7cef49UL;
   tf->codes[55786] = 0x00008b21f6c42f38UL;
   tf->codes[55787] = 0x0000de69ab95b8d7UL;
   tf->codes[55788] = 0x000003441bdd3b66UL;
   tf->codes[55789] = 0x0000217022df3f29UL;
   tf->codes[55790] = 0x0000271ce50f6174UL;
   tf->codes[55791] = 0x000045cd22fc6c01UL;
   tf->codes[55792] = 0x000068a66a22657eUL;
   tf->codes[55793] = 0x00006d70078d26a4UL;
   tf->codes[55794] = 0x0001576e213a0b19UL;
   tf->codes[55795] = 0x00017264f691263eUL;
   tf->codes[55796] = 0x0001ae8b9be84f8cUL;
   tf->codes[55797] = 0x0001d9d64c0a3d56UL;
   tf->codes[55798] = 0x0000405f7473745bUL;
   tf->codes[55799] = 0x000041216e3690ebUL;
   tf->codes[55800] = 0x000062f8749c189bUL;
   tf->codes[55801] = 0x0000e23b70dcf618UL;
   tf->codes[55802] = 0x00011c48c3dc2ec5UL;
   tf->codes[55803] = 0x0001273cb82e71afUL;
   tf->codes[55804] = 0x0001c334d1c362acUL;
   tf->codes[55805] = 0x000022899b85e1f6UL;
   tf->codes[55806] = 0x00008a5d4d3aa9f4UL;
   tf->codes[55807] = 0x000115851c1885acUL;
   tf->codes[55808] = 0x00016459e53cd8ccUL;
   tf->codes[55809] = 0x0001f539368ce5faUL;
   tf->codes[55810] = 0x00007523a3c242c3UL;
   tf->codes[55811] = 0x0000e94c3dd5140eUL;
   tf->codes[55812] = 0x0001115f72b5df88UL;
   tf->codes[55813] = 0x0000fd688b8a4526UL;
   tf->codes[55814] = 0x00016c6f01fc9c7cUL;
   tf->codes[55815] = 0x000192af58986859UL;
   tf->codes[55816] = 0x0001cdb21d0ecfbbUL;
   tf->codes[55817] = 0x00005696bd579affUL;
   tf->codes[55818] = 0x000083c3649e0530UL;
   tf->codes[55819] = 0x0000e35f17918108UL;
   tf->codes[55820] = 0x0001f93defdf1c17UL;
   tf->codes[55821] = 0x000006b8c8251b3dUL;
   tf->codes[55822] = 0x000083fa76b765e6UL;
   tf->codes[55823] = 0x00008b6c231827ddUL;
   tf->codes[55824] = 0x00009d1a152c13cfUL;
   tf->codes[55825] = 0x0000f368c6cdf89aUL;
   tf->codes[55826] = 0x000105c7c54d562aUL;
   tf->codes[55827] = 0x00013a44edf23dbdUL;
   tf->codes[55828] = 0x000174c340ee9890UL;
   tf->codes[55829] = 0x0001a8cc705312fcUL;
   tf->codes[55830] = 0x0001e834dc0f623bUL;
   tf->codes[55831] = 0x00002c4c21d8cf97UL;
   tf->codes[55832] = 0x00005cb8807d2bccUL;
   tf->codes[55833] = 0x00005dd92d8b9cf2UL;
   tf->codes[55834] = 0x0000cf5057c080dfUL;
   tf->codes[55835] = 0x0001b15e0b8a270bUL;
   tf->codes[55836] = 0x000071a864fa35b5UL;
   tf->codes[55837] = 0x00007382951fedf2UL;
   tf->codes[55838] = 0x00008bf5ba559da1UL;
   tf->codes[55839] = 0x00012fd881d63caaUL;
   tf->codes[55840] = 0x000196bbca5e54e1UL;
   tf->codes[55841] = 0x000027c1fea836e1UL;
   tf->codes[55842] = 0x000082e66d510e9bUL;
   tf->codes[55843] = 0x00014d5b6f6f8affUL;
   tf->codes[55844] = 0x00015447faa92f18UL;
   tf->codes[55845] = 0x0001e6b00d3aee8fUL;
   tf->codes[55846] = 0x00008db6a3f0bfbaUL;
   tf->codes[55847] = 0x0000ce5ffd81ada0UL;
   tf->codes[55848] = 0x0001225bb801f3deUL;
   tf->codes[55849] = 0x000161c423be431dUL;
   tf->codes[55850] = 0x0001fa59867acf59UL;
   tf->codes[55851] = 0x0000ef92431bed81UL;
   tf->codes[55852] = 0x000141801b336398UL;
   tf->codes[55853] = 0x0001672261c29cb6UL;
   tf->codes[55854] = 0x00017b77edae7defUL;
   tf->codes[55855] = 0x000073533bdd1270UL;
   tf->codes[55856] = 0x000116a203e61c96UL;
   tf->codes[55857] = 0x0001627b40293504UL;
   tf->codes[55858] = 0x0001b08a669a0f44UL;
   tf->codes[55859] = 0x000016d7661458e6UL;
   tf->codes[55860] = 0x00006b5f1e7e6a18UL;
   tf->codes[55861] = 0x000071779dd229d6UL;
   tf->codes[55862] = 0x0000ad7f61bd4841UL;
   tf->codes[55863] = 0x0000dce1438462f5UL;
   tf->codes[55864] = 0x00015a77cf5c0a1dUL;
   tf->codes[55865] = 0x0001c418324035f1UL;
   tf->codes[55866] = 0x0000711e1ed54c34UL;
   tf->codes[55867] = 0x00009b853513cd4fUL;
   tf->codes[55868] = 0x000189539734e220UL;
   tf->codes[55869] = 0x0000132e1e12e7a3UL;
   tf->codes[55870] = 0x000021fd1b1b6a14UL;
   tf->codes[55871] = 0x0000b09e80afeb81UL;
   tf->codes[55872] = 0x00004f0fa02634ccUL;
   tf->codes[55873] = 0x00003b3d17cf2fc5UL;
   tf->codes[55874] = 0x00005cdd72ae548aUL;
   tf->codes[55875] = 0x00007352b896c7f0UL;
   tf->codes[55876] = 0x00013da65523f9faUL;
   tf->codes[55877] = 0x000177fb06723abfUL;
   tf->codes[55878] = 0x000036bb79d57a47UL;
   tf->codes[55879] = 0x000132465a940619UL;
   tf->codes[55880] = 0x00014d77bef0e63eUL;
   tf->codes[55881] = 0x0001d34c769f7553UL;
   tf->codes[55882] = 0x0001dc86b6213346UL;
   tf->codes[55883] = 0x0000c332cbbe5827UL;
   tf->codes[55884] = 0x00010689b1add156UL;
   tf->codes[55885] = 0x00012e3e3343483aUL;
   tf->codes[55886] = 0x0001a5fa3d2e4b2fUL;
   tf->codes[55887] = 0x000005cd10c6357cUL;
   tf->codes[55888] = 0x0000136b5da4b2e9UL;
   tf->codes[55889] = 0x000092142d585fbcUL;
   tf->codes[55890] = 0x000092bb63bdd943UL;
   tf->codes[55891] = 0x000177b9347999a7UL;
   tf->codes[55892] = 0x00011517d584d782UL;
   tf->codes[55893] = 0x0001726265cee2f5UL;
   tf->codes[55894] = 0x00000d91e36d1011UL;
   tf->codes[55895] = 0x00002d6acff655b3UL;
   tf->codes[55896] = 0x0000720b8f844e8cUL;
   tf->codes[55897] = 0x000079ca522ba8d8UL;
   tf->codes[55898] = 0x0000eba0df58f2aaUL;
   tf->codes[55899] = 0x0001116c8d074011UL;
   tf->codes[55900] = 0x00011491bb9694d1UL;
   tf->codes[55901] = 0x00015c93d2a2cfcdUL;
   tf->codes[55902] = 0x0001c684ba2eea81UL;
   tf->codes[55903] = 0x0000acbc9bfc9c76UL;
   tf->codes[55904] = 0x0000bf9f21b9ef81UL;
   tf->codes[55905] = 0x0000322c142e2ba7UL;
   tf->codes[55906] = 0x0001548fa39d85d8UL;
   tf->codes[55907] = 0x0001bccba41494beUL;
   tf->codes[55908] = 0x0001ee03d282059aUL;
   tf->codes[55909] = 0x0000271d4df337f5UL;
   tf->codes[55910] = 0x00006451de88f94fUL;
   tf->codes[55911] = 0x000106d0f3498cb9UL;
   tf->codes[55912] = 0x000157f33626f3eeUL;
   tf->codes[55913] = 0x000021e81f68d162UL;
   tf->codes[55914] = 0x0000db67c84e91d7UL;
   tf->codes[55915] = 0x000106bde85fa01bUL;
   tf->codes[55916] = 0x00011151ca0c6bd1UL;
   tf->codes[55917] = 0x0001a73a1588784eUL;
   tf->codes[55918] = 0x000014b212c18d1eUL;
   tf->codes[55919] = 0x0000bcd99114d534UL;
   tf->codes[55920] = 0x0000c62239c8fea2UL;
   tf->codes[55921] = 0x00014fa4af8f56e0UL;
   tf->codes[55922] = 0x000158acd6b7254cUL;
   tf->codes[55923] = 0x0001a4ef8687a17bUL;
   tf->codes[55924] = 0x0001b9981b40b10bUL;
   tf->codes[55925] = 0x0001d9daf07565f8UL;
   tf->codes[55926] = 0x00002bdadaafa3daUL;
   tf->codes[55927] = 0x000155cad9dd630bUL;
   tf->codes[55928] = 0x00018c69cb8610b8UL;
   tf->codes[55929] = 0x0001a624bb530c24UL;
   tf->codes[55930] = 0x00006e9242ad59edUL;
   tf->codes[55931] = 0x000089cf51886051UL;
   tf->codes[55932] = 0x00008dfb54049a42UL;
   tf->codes[55933] = 0x0001f8829aa07f8eUL;
   tf->codes[55934] = 0x000014227ad54262UL;
   tf->codes[55935] = 0x00010b08921badf3UL;
   tf->codes[55936] = 0x00018eac67e6fa24UL;
   tf->codes[55937] = 0x0001aa657190379eUL;
   tf->codes[55938] = 0x0001e456a1d7aaa4UL;
   tf->codes[55939] = 0x0000e9723946794bUL;
   tf->codes[55940] = 0x0001392434a9978eUL;
   tf->codes[55941] = 0x000160b4576a7917UL;
   tf->codes[55942] = 0x0001a542552898d6UL;
   tf->codes[55943] = 0x0001b64149d84717UL;
   tf->codes[55944] = 0x00005fc1458b8017UL;
   tf->codes[55945] = 0x000082b63a4b33b1UL;
   tf->codes[55946] = 0x0000d0876354f266UL;
   tf->codes[55947] = 0x0001424e6284b3e4UL;
   tf->codes[55948] = 0x0001784a3bd64fe4UL;
   tf->codes[55949] = 0x000029c05564576aUL;
   tf->codes[55950] = 0x0000ffaac40bd846UL;
   tf->codes[55951] = 0x00003a5ca4be4141UL;
   tf->codes[55952] = 0x00008543ddeb8185UL;
   tf->codes[55953] = 0x0000b1a231439798UL;
   tf->codes[55954] = 0x0001910a1fad76a5UL;
   tf->codes[55955] = 0x00006e7f9eb939e3UL;
   tf->codes[55956] = 0x0000a56be13785aaUL;
   tf->codes[55957] = 0x0000b9db4644f2d8UL;
   tf->codes[55958] = 0x00014e0f94e80a9bUL;
   tf->codes[55959] = 0x00004a546ddbe90eUL;
   tf->codes[55960] = 0x0000f4a20dd064ddUL;
   tf->codes[55961] = 0x00013d2aa55de055UL;
   tf->codes[55962] = 0x00018d656ad878c6UL;
   tf->codes[55963] = 0x0001ac75f5fa004cUL;
   tf->codes[55964] = 0x0001f7ed4b1f735eUL;
   tf->codes[55965] = 0x00000674e9d8edb7UL;
   tf->codes[55966] = 0x0000978110a965b9UL;
   tf->codes[55967] = 0x0001de28b15077e1UL;
   tf->codes[55968] = 0x0000aa701c95e858UL;
   tf->codes[55969] = 0x0000d0d0b3f7e1b6UL;
   tf->codes[55970] = 0x0000fd8d800c469aUL;
   tf->codes[55971] = 0x0001173bdb1f04b3UL;
   tf->codes[55972] = 0x00014c636dfbb693UL;
   tf->codes[55973] = 0x0001cb2b1f1b6e49UL;
   tf->codes[55974] = 0x00000ad56bbe3b28UL;
   tf->codes[55975] = 0x00002565c6cb3d8dUL;
   tf->codes[55976] = 0x00002f41bf49ea8fUL;
   tf->codes[55977] = 0x00006790552e1f57UL;
   tf->codes[55978] = 0x0000adaa828f47eaUL;
   tf->codes[55979] = 0x0001e3eb869bae53UL;
   tf->codes[55980] = 0x0000a32202468eefUL;
   tf->codes[55981] = 0x0000c4391df02dfcUL;
   tf->codes[55982] = 0x0000f8ffee7a5759UL;
   tf->codes[55983] = 0x0001ab2246b85754UL;
   tf->codes[55984] = 0x0000ff4ff5058357UL;
   tf->codes[55985] = 0x00017d2cba6115beUL;
   tf->codes[55986] = 0x0001b3c494b81090UL;
   tf->codes[55987] = 0x0001bfe4a607e51aUL;
   tf->codes[55988] = 0x0001c753ce43679aUL;
   tf->codes[55989] = 0x0000782276dcefd4UL;
   tf->codes[55990] = 0x0000e063f4bc8932UL;
   tf->codes[55991] = 0x000121c3287461dfUL;
   tf->codes[55992] = 0x00014447cce404a2UL;
   tf->codes[55993] = 0x0001a7b268f18e38UL;
   tf->codes[55994] = 0x000122bad4f6bc87UL;
   tf->codes[55995] = 0x0001fc834597c7ebUL;
   tf->codes[55996] = 0x000017834147c9d8UL;
   tf->codes[55997] = 0x000028d3df6a83d2UL;
   tf->codes[55998] = 0x00006dc17ab00f3bUL;
   tf->codes[55999] = 0x00014255406fcd55UL;
   tf->codes[56000] = 0x0000249be956101eUL;
   tf->codes[56001] = 0x0000f01c528de517UL;
   tf->codes[56002] = 0x0001085e49a5bc53UL;
   tf->codes[56003] = 0x0000f40ea1b5635dUL;
   tf->codes[56004] = 0x0001d40b3f43e89cUL;
   tf->codes[56005] = 0x00003b27425997abUL;
   tf->codes[56006] = 0x0000583052b6f096UL;
   tf->codes[56007] = 0x0000f22d4bb2ea86UL;
   tf->codes[56008] = 0x00010b1e059ff9aeUL;
   tf->codes[56009] = 0x0001280500bef6f0UL;
   tf->codes[56010] = 0x00016e3dd4fd24a1UL;
   tf->codes[56011] = 0x0001a9034bb981c7UL;
   tf->codes[56012] = 0x0001c26af82a4917UL;
   tf->codes[56013] = 0x0001c708e4dfbc42UL;
   tf->codes[56014] = 0x00006bfa474c04a6UL;
   tf->codes[56015] = 0x0000a38424b8d7a2UL;
   tf->codes[56016] = 0x0000aedaea64d6fcUL;
   tf->codes[56017] = 0x0000c826398ed2e0UL;
   tf->codes[56018] = 0x0001c8a8ec92ad4aUL;
   tf->codes[56019] = 0x0001d11463080b95UL;
   tf->codes[56020] = 0x0001d89771de8408UL;
   tf->codes[56021] = 0x00001f83618f5744UL;
   tf->codes[56022] = 0x0000574d85f97f7dUL;
   tf->codes[56023] = 0x00015836edd6786cUL;
   tf->codes[56024] = 0x0001d9cf2acf2e28UL;
   tf->codes[56025] = 0x0000185ce871f1bbUL;
   tf->codes[56026] = 0x00003277b0555e96UL;
   tf->codes[56027] = 0x00003b5ee709ee32UL;
   tf->codes[56028] = 0x0000b3ec3e269046UL;
   tf->codes[56029] = 0x000148626db025a9UL;
   tf->codes[56030] = 0x0001934cdaafb6b3UL;
   tf->codes[56031] = 0x0000351356951a1aUL;
   tf->codes[56032] = 0x000122f9f7ee927dUL;
   tf->codes[56033] = 0x00017161a495258cUL;
   tf->codes[56034] = 0x000192b55e4bbd86UL;
   tf->codes[56035] = 0x0001d69fce94c00eUL;
   tf->codes[56036] = 0x00007cccdbfc2266UL;
   tf->codes[56037] = 0x00001f723a0b7556UL;
   tf->codes[56038] = 0x00011f5ccf895303UL;
   tf->codes[56039] = 0x000147e5d222b9ccUL;
   tf->codes[56040] = 0x0001d2f22df5e12cUL;
   tf->codes[56041] = 0x00003ac062421eb2UL;
   tf->codes[56042] = 0x00004d9d3007e180UL;
   tf->codes[56043] = 0x000054826960ccf9UL;
   tf->codes[56044] = 0x00007e930870c932UL;
   tf->codes[56045] = 0x0000d67bddca16c2UL;
   tf->codes[56046] = 0x000112c6e1f5d56bUL;
   tf->codes[56047] = 0x00014bba64a94a08UL;
   tf->codes[56048] = 0x0001db55cee16d8eUL;
   tf->codes[56049] = 0x00005dddc559c1c2UL;
   tf->codes[56050] = 0x0000bf5eddd3108cUL;
   tf->codes[56051] = 0x00000644f0ff49c9UL;
   tf->codes[56052] = 0x000098d6a53f234eUL;
   tf->codes[56053] = 0x00009fe0ed19b571UL;
   tf->codes[56054] = 0x0001429b408d1f2aUL;
   tf->codes[56055] = 0x00015d5711c069c5UL;
   tf->codes[56056] = 0x00018dc78e732dd4UL;
   tf->codes[56057] = 0x0001bee6cdfb29cfUL;
   tf->codes[56058] = 0x00008b0497928038UL;
   tf->codes[56059] = 0x000106b423fb2c0bUL;
   tf->codes[56060] = 0x0001412de3cb137aUL;
   tf->codes[56061] = 0x0001a3bf6ba839c7UL;
   tf->codes[56062] = 0x0001d6bcf96455d9UL;
   tf->codes[56063] = 0x000056a8c5f3d540UL;
   tf->codes[56064] = 0x0000a1874de63a46UL;
   tf->codes[56065] = 0x00011f0a6840f705UL;
   tf->codes[56066] = 0x00017e2bf4de69efUL;
   tf->codes[56067] = 0x0001ab7115ec3d77UL;
   tf->codes[56068] = 0x0001e4b7dbfbe630UL;
   tf->codes[56069] = 0x0000a9458ce47b49UL;
   tf->codes[56070] = 0x0000c542fb9975daUL;
   tf->codes[56071] = 0x0000e8be364b642bUL;
   tf->codes[56072] = 0x00010b3ef73ba4d9UL;
   tf->codes[56073] = 0x000036ed3e665c65UL;
   tf->codes[56074] = 0x00006e198d52f7a4UL;
   tf->codes[56075] = 0x0001b618868eddddUL;
   tf->codes[56076] = 0x0001c2fd8ae519f8UL;
   tf->codes[56077] = 0x0001f14bc9760c63UL;
   tf->codes[56078] = 0x00000afa2488ca7cUL;
   tf->codes[56079] = 0x00006e45a49b436aUL;
   tf->codes[56080] = 0x0000a5617b4e3f41UL;
   tf->codes[56081] = 0x0000aab457ee861fUL;
   tf->codes[56082] = 0x00014ac9d03e3fcdUL;
   tf->codes[56083] = 0x00018c5f74ed75a0UL;
   tf->codes[56084] = 0x0001c8f7c9eed263UL;
   tf->codes[56085] = 0x0001de199ac1d3cdUL;
   tf->codes[56086] = 0x0001e6916b6269a6UL;
   tf->codes[56087] = 0x0001f273b9da286aUL;
   tf->codes[56088] = 0x00004a20a0d38e5cUL;
   tf->codes[56089] = 0x0001bc0daec3099bUL;
   tf->codes[56090] = 0x000041bb8377c3deUL;
   tf->codes[56091] = 0x00009ec4a7f95d3bUL;
   tf->codes[56092] = 0x0000f06da5e70ab1UL;
   tf->codes[56093] = 0x0001f91cad2e0b02UL;
   tf->codes[56094] = 0x00001e9d190dee3cUL;
   tf->codes[56095] = 0x0000996aa57c55c3UL;
   tf->codes[56096] = 0x0001bf9eb7eee615UL;
   tf->codes[56097] = 0x0001c64509a49eefUL;
   tf->codes[56098] = 0x00002228edeb53c2UL;
   tf->codes[56099] = 0x000031b516fb799aUL;
   tf->codes[56100] = 0x0000549500551a68UL;
   tf->codes[56101] = 0x0000651e9c6a38e4UL;
   tf->codes[56102] = 0x000185f49cdc67a3UL;
   tf->codes[56103] = 0x00018d53fc8b5c0aUL;
   tf->codes[56104] = 0x00005fa20f90ca39UL;
   tf->codes[56105] = 0x000069b9f66f5ed9UL;
   tf->codes[56106] = 0x000077f35a172404UL;
   tf->codes[56107] = 0x0000e44860ab8dfcUL;
   tf->codes[56108] = 0x00013d28b6833e2eUL;
   tf->codes[56109] = 0x0001ade7bcfafda2UL;
   tf->codes[56110] = 0x0000ee241010277aUL;
   tf->codes[56111] = 0x0001a23409f0ca1bUL;
   tf->codes[56112] = 0x0001c2a21abcc179UL;
   tf->codes[56113] = 0x0000fc9f80a2624bUL;
   tf->codes[56114] = 0x0001dbf60c968adcUL;
   tf->codes[56115] = 0x0001f112600101ceUL;
   tf->codes[56116] = 0x000002a22055f42cUL;
   tf->codes[56117] = 0x0000bba30fb9384fUL;
   tf->codes[56118] = 0x00011ed984659e71UL;
   tf->codes[56119] = 0x0001bd7c3115cfb6UL;
   tf->codes[56120] = 0x0000cdc9f4cd0297UL;
   tf->codes[56121] = 0x0001e6dcd9fa696bUL;
   tf->codes[56122] = 0x000012dc04e91f5eUL;
   tf->codes[56123] = 0x00009d13300b458aUL;
   tf->codes[56124] = 0x00010499cb797533UL;
   tf->codes[56125] = 0x0001444502585926UL;
   tf->codes[56126] = 0x00017b297dd7e0c3UL;
   tf->codes[56127] = 0x0001940feca0ec4aUL;
   tf->codes[56128] = 0x0000192c0b744b5cUL;
   tf->codes[56129] = 0x00004b5552bb7d4eUL;
   tf->codes[56130] = 0x00004d4ffe3668d1UL;
   tf->codes[56131] = 0x0000560b8435aa72UL;
   tf->codes[56132] = 0x0000acc6dd3743c4UL;
   tf->codes[56133] = 0x0000b31433993845UL;
   tf->codes[56134] = 0x0001f21dc77d292cUL;
   tf->codes[56135] = 0x0001fefb3f63a6e2UL;
   tf->codes[56136] = 0x0000039b3b204dfaUL;
   tf->codes[56137] = 0x00000db8cb6b6518UL;
   tf->codes[56138] = 0x0000f0bca0594b48UL;
   tf->codes[56139] = 0x0001230db4d66920UL;
   tf->codes[56140] = 0x0001899df4915300UL;
   tf->codes[56141] = 0x0001e26ef6fa80a3UL;
   tf->codes[56142] = 0x0001efa35b2d8ec5UL;
   tf->codes[56143] = 0x00003dca4bb8c10dUL;
   tf->codes[56144] = 0x0000552d3c199efeUL;
   tf->codes[56145] = 0x0000ab79a4254a17UL;
   tf->codes[56146] = 0x00011eadb6fd03c1UL;
   tf->codes[56147] = 0x00015c2d4ed22983UL;
   tf->codes[56148] = 0x0001f11c4557a536UL;
   tf->codes[56149] = 0x00000c5b28aad9c2UL;
   tf->codes[56150] = 0x0000d2cac22cdd83UL;
   tf->codes[56151] = 0x0001ac7af3958555UL;
   tf->codes[56152] = 0x000029de7cd725e2UL;
   tf->codes[56153] = 0x000070faeaf8c042UL;
   tf->codes[56154] = 0x0000cde1fa3bfdf6UL;
   tf->codes[56155] = 0x00002afee0cb8384UL;
   tf->codes[56156] = 0x0000b1b7e20a9097UL;
   tf->codes[56157] = 0x0000e90b13f100a8UL;
   tf->codes[56158] = 0x00010865bc15d582UL;
   tf->codes[56159] = 0x00018653343a0d16UL;
   tf->codes[56160] = 0x0001ccd86f11c1cdUL;
   tf->codes[56161] = 0x0001f3d0744ca699UL;
   tf->codes[56162] = 0x00001ac6a50f5d3dUL;
   tf->codes[56163] = 0x00005ffff7415e5dUL;
   tf->codes[56164] = 0x000116c5447f5071UL;
   tf->codes[56165] = 0x000143bf23beb9ccUL;
   tf->codes[56166] = 0x00014038e9c2c905UL;
   tf->codes[56167] = 0x0001475a4c0aa1e1UL;
   tf->codes[56168] = 0x0001536fd7a76d05UL;
   tf->codes[56169] = 0x0001e289c9a8cefdUL;
   tf->codes[56170] = 0x0001fc9def589487UL;
   tf->codes[56171] = 0x00002ee902c40e9eUL;
   tf->codes[56172] = 0x00004244ff2a5948UL;
   tf->codes[56173] = 0x0000607dd575a023UL;
   tf->codes[56174] = 0x00010db7744dce50UL;
   tf->codes[56175] = 0x000121d5df954114UL;
   tf->codes[56176] = 0x0001ec1177791551UL;
   tf->codes[56177] = 0x00001af75e71f8efUL;
   tf->codes[56178] = 0x000053efaee0e6b5UL;
   tf->codes[56179] = 0x0000ae9b568dd81fUL;
   tf->codes[56180] = 0x0001f340bf4a405fUL;
   tf->codes[56181] = 0x000076522f872010UL;
   tf->codes[56182] = 0x00009179bdde081eUL;
   tf->codes[56183] = 0x00013fe77b4191daUL;
   tf->codes[56184] = 0x00017c27849c3b93UL;
   tf->codes[56185] = 0x00019b86fa7c8996UL;
   tf->codes[56186] = 0x0001c11ad7d95739UL;
   tf->codes[56187] = 0x00000aab2d8fcef6UL;
   tf->codes[56188] = 0x000012aa37347e7fUL;
   tf->codes[56189] = 0x00002e0f4dd4768eUL;
   tf->codes[56190] = 0x0000cb9272415386UL;
   tf->codes[56191] = 0x0001258a895d93dbUL;
   tf->codes[56192] = 0x000173b4adbb16e9UL;
   tf->codes[56193] = 0x000182348575cd18UL;
   tf->codes[56194] = 0x0001bdfd9c4cbea9UL;
   tf->codes[56195] = 0x0001dc16a6efe38dUL;
   tf->codes[56196] = 0x00001c4e16479839UL;
   tf->codes[56197] = 0x000038931ddaa0a7UL;
   tf->codes[56198] = 0x0001b38b86c43b18UL;
   tf->codes[56199] = 0x00001a73d796d23dUL;
   tf->codes[56200] = 0x0001a967e6dc727aUL;
   tf->codes[56201] = 0x000016ba9b04dadbUL;
   tf->codes[56202] = 0x00003574aef7dd7fUL;
   tf->codes[56203] = 0x000137fdb7f4c9abUL;
   tf->codes[56204] = 0x00017917d6f3d3f2UL;
   tf->codes[56205] = 0x000026daef908d9cUL;
   tf->codes[56206] = 0x00004982937aa31cUL;
   tf->codes[56207] = 0x00004b5d38be66e3UL;
   tf->codes[56208] = 0x0000e79ceb3165bdUL;
   tf->codes[56209] = 0x000199bece515a2eUL;
   tf->codes[56210] = 0x0000e2409f1e2493UL;
   tf->codes[56211] = 0x00016673a6a58c7eUL;
   tf->codes[56212] = 0x00019496348130eeUL;
   tf->codes[56213] = 0x0001f9509cb3d030UL;
   tf->codes[56214] = 0x00000acadc84a438UL;
   tf->codes[56215] = 0x00013c928d3f3296UL;
   tf->codes[56216] = 0x000068c4d0c5eb27UL;
   tf->codes[56217] = 0x0000dee6f1888b1cUL;
   tf->codes[56218] = 0x0000f48b99ec70b2UL;
   tf->codes[56219] = 0x00013ee62582d4b3UL;
   tf->codes[56220] = 0x00016411798e55a9UL;
   tf->codes[56221] = 0x000196993991d66cUL;
   tf->codes[56222] = 0x0001bd119b0e27d2UL;
   tf->codes[56223] = 0x000033e19469e89fUL;
   tf->codes[56224] = 0x00009159e47075faUL;
   tf->codes[56225] = 0x000166fb2050c096UL;
   tf->codes[56226] = 0x0001ac59f62273eaUL;
   tf->codes[56227] = 0x00005187bc0caf76UL;
   tf->codes[56228] = 0x000057dc644f5c97UL;
   tf->codes[56229] = 0x0000de342e1dd59dUL;
   tf->codes[56230] = 0x00011c942c041748UL;
   tf->codes[56231] = 0x00012ee9c99b884bUL;
   tf->codes[56232] = 0x00019f6a981d266fUL;
   tf->codes[56233] = 0x0001e39798f9b7e6UL;
   tf->codes[56234] = 0x000088a51e1dc5f1UL;
   tf->codes[56235] = 0x00011ec957f9ba0cUL;
   tf->codes[56236] = 0x00014c246ea9b774UL;
   tf->codes[56237] = 0x0001a07ccd6e1e5bUL;
   tf->codes[56238] = 0x0001761b9b2b2583UL;
   tf->codes[56239] = 0x000195a68731bbbcUL;
   tf->codes[56240] = 0x0001b442a3f4ca91UL;
   tf->codes[56241] = 0x00014d569ba6c95dUL;
   tf->codes[56242] = 0x0001a29fd8b5eb95UL;
   tf->codes[56243] = 0x000015160fd8f089UL;
   tf->codes[56244] = 0x0000a54a4744221bUL;
   tf->codes[56245] = 0x0000cf2fe54be1a8UL;
   tf->codes[56246] = 0x000186369e5245d2UL;
   tf->codes[56247] = 0x00019e3813ddc20cUL;
   tf->codes[56248] = 0x00004e86690ba591UL;
   tf->codes[56249] = 0x0001363200b4f703UL;
   tf->codes[56250] = 0x00019ed0d285c259UL;
   tf->codes[56251] = 0x0001ce72110e1b36UL;
   tf->codes[56252] = 0x000019911a8cdb3eUL;
   tf->codes[56253] = 0x000040bdbc46ef08UL;
   tf->codes[56254] = 0x0000434b426e5295UL;
   tf->codes[56255] = 0x000174e1155df731UL;
   tf->codes[56256] = 0x00017762415a2330UL;
   tf->codes[56257] = 0x0001e522c1ad5cf1UL;
   tf->codes[56258] = 0x00000be33125c7beUL;
   tf->codes[56259] = 0x00009978f511ead1UL;
   tf->codes[56260] = 0x0001b88194a7a46bUL;
   tf->codes[56261] = 0x000030160bebc13fUL;
   tf->codes[56262] = 0x0000d4c4ddc47ab4UL;
   tf->codes[56263] = 0x00015503789222adUL;
   tf->codes[56264] = 0x0001f2bf1cfd90b8UL;
   tf->codes[56265] = 0x0000bbfb32d53864UL;
   tf->codes[56266] = 0x0001357eab161a7cUL;
   tf->codes[56267] = 0x00000661445cb8e2UL;
   tf->codes[56268] = 0x00003da4e845a09fUL;
   tf->codes[56269] = 0x0000af4e656379d8UL;
   tf->codes[56270] = 0x0000fa00526479cfUL;
   tf->codes[56271] = 0x000191a07e38dd1bUL;
   tf->codes[56272] = 0x0001eeda212b3d9cUL;
   tf->codes[56273] = 0x00005bb1ff508bc0UL;
   tf->codes[56274] = 0x00009faf6bf86d27UL;
   tf->codes[56275] = 0x000127c49387c774UL;
   tf->codes[56276] = 0x0001b20ef597d244UL;
   tf->codes[56277] = 0x0001e8b3d9c715f3UL;
   tf->codes[56278] = 0x0001fa73a36ec3ebUL;
   tf->codes[56279] = 0x00000767026c5dc2UL;
   tf->codes[56280] = 0x00000eb0a7082e0eUL;
   tf->codes[56281] = 0x00003d446f6ffa69UL;
   tf->codes[56282] = 0x0000e5f8263c1338UL;
   tf->codes[56283] = 0x0000ebc6fdaa912cUL;
   tf->codes[56284] = 0x00014ac58acd9159UL;
   tf->codes[56285] = 0x00016607a1f316abUL;
   tf->codes[56286] = 0x0001ac37ff856ee3UL;
   tf->codes[56287] = 0x0001f9df86e1138aUL;
   tf->codes[56288] = 0x0001fbe567bc19c2UL;
   tf->codes[56289] = 0x00004bfe52875c4fUL;
   tf->codes[56290] = 0x0000686c86aa7341UL;
   tf->codes[56291] = 0x00012778014d1731UL;
   tf->codes[56292] = 0x000137c240a0f784UL;
   tf->codes[56293] = 0x000170f8c906069aUL;
   tf->codes[56294] = 0x0001a1c1915f7db3UL;
   tf->codes[56295] = 0x0001ac83a7e6d6dbUL;
   tf->codes[56296] = 0x00006162dff1e4aeUL;
   tf->codes[56297] = 0x0000a436b3c173ecUL;
   tf->codes[56298] = 0x0000cb0ac0bac128UL;
   tf->codes[56299] = 0x0000ed7083be5908UL;
   tf->codes[56300] = 0x0000f24a2444ae0cUL;
   tf->codes[56301] = 0x00017d20843e83d0UL;
   tf->codes[56302] = 0x00018980676da20dUL;
   tf->codes[56303] = 0x0001c555d86fcb2cUL;
   tf->codes[56304] = 0x0001df072cc5d446UL;
   tf->codes[56305] = 0x0001f9abe38bd828UL;
   tf->codes[56306] = 0x00002c291ddc4f85UL;
   tf->codes[56307] = 0x0000a9572062aa00UL;
   tf->codes[56308] = 0x0000fb2cf3d0c24aUL;
   tf->codes[56309] = 0x00010cb9805363e2UL;
   tf->codes[56310] = 0x00014eac3e64c5e8UL;
   tf->codes[56311] = 0x000034326419f4f0UL;
   tf->codes[56312] = 0x0000cb84c9faae98UL;
   tf->codes[56313] = 0x000152c117e8ab61UL;
   tf->codes[56314] = 0x000168bad820f33bUL;
   tf->codes[56315] = 0x00019cfdac4f1b93UL;
   tf->codes[56316] = 0x0001a169461b9972UL;
   tf->codes[56317] = 0x0001bda0942947b4UL;
   tf->codes[56318] = 0x000095cc225ea517UL;
   tf->codes[56319] = 0x000171bed2af4c0eUL;
   tf->codes[56320] = 0x0001800b32b5f018UL;
   tf->codes[56321] = 0x0001ec14bcecea1eUL;
   tf->codes[56322] = 0x0001ecb9a9bc29f3UL;
   tf->codes[56323] = 0x00005768326df398UL;
   tf->codes[56324] = 0x0000b7375d158195UL;
   tf->codes[56325] = 0x00014ba79a1880f6UL;
   tf->codes[56326] = 0x00015358a33a8116UL;
   tf->codes[56327] = 0x0001868a1dc8bad7UL;
   tf->codes[56328] = 0x00019204cd2b4402UL;
   tf->codes[56329] = 0x0001cc9d33d8308fUL;
   tf->codes[56330] = 0x0001dd094ddb66c6UL;
   tf->codes[56331] = 0x0001f2c8f42bf52aUL;
   tf->codes[56332] = 0x00000442844fb7e3UL;
   tf->codes[56333] = 0x00005ba5c363dc0bUL;
   tf->codes[56334] = 0x0000935c3bc21416UL;
   tf->codes[56335] = 0x0000e47ce4b652e8UL;
   tf->codes[56336] = 0x00010d89e3abbab6UL;
   tf->codes[56337] = 0x00017253d9dbe24cUL;
   tf->codes[56338] = 0x00000201cb54d927UL;
   tf->codes[56339] = 0x000107cc9ab6eb44UL;
   tf->codes[56340] = 0x00015cd67b04cf53UL;
   tf->codes[56341] = 0x00019632c1989662UL;
   tf->codes[56342] = 0x0001a9f781df337eUL;
   tf->codes[56343] = 0x0000c28e31af5d77UL;
   tf->codes[56344] = 0x0000c4bb6aa2440bUL;
   tf->codes[56345] = 0x000106a1ce886e83UL;
   tf->codes[56346] = 0x00017726376f5b38UL;
   tf->codes[56347] = 0x0001d4b52cc523c2UL;
   tf->codes[56348] = 0x0001f9b0777de91eUL;
   tf->codes[56349] = 0x0000341ae3df4dfeUL;
   tf->codes[56350] = 0x000075bd57d7c6e9UL;
   tf->codes[56351] = 0x0000d7b562d4cddbUL;
   tf->codes[56352] = 0x00002693a2e3098bUL;
   tf->codes[56353] = 0x0000a321c0e4a31fUL;
   tf->codes[56354] = 0x0000aae6eb309ef7UL;
   tf->codes[56355] = 0x000170b7d3840c69UL;
   tf->codes[56356] = 0x0001c9b2b22a59dfUL;
   tf->codes[56357] = 0x0000297b3a9e408bUL;
   tf->codes[56358] = 0x0001d35531e350fbUL;
   tf->codes[56359] = 0x00002aa32b025c92UL;
   tf->codes[56360] = 0x000045f127350de8UL;
   tf->codes[56361] = 0x0000cb9aa34c5a8cUL;
   tf->codes[56362] = 0x0001a6e7b720b05fUL;
   tf->codes[56363] = 0x0001c2562ea894fbUL;
   tf->codes[56364] = 0x000054cd5a19d13cUL;
   tf->codes[56365] = 0x0000a5a24c219a57UL;
   tf->codes[56366] = 0x00010251c5a25e0cUL;
   tf->codes[56367] = 0x0001774545422ceaUL;
   tf->codes[56368] = 0x0001a17db1881509UL;
   tf->codes[56369] = 0x00002fd23b6503e6UL;
   tf->codes[56370] = 0x0000333d2e5a385bUL;
   tf->codes[56371] = 0x0000d1803d82fdf6UL;
   tf->codes[56372] = 0x000178c212eba570UL;
   tf->codes[56373] = 0x00001d273cdf1d1bUL;
   tf->codes[56374] = 0x00009e86bf4a3bffUL;
   tf->codes[56375] = 0x00010cceaa5acd50UL;
   tf->codes[56376] = 0x0001141590425860UL;
   tf->codes[56377] = 0x000189ec34a78863UL;
   tf->codes[56378] = 0x0001b3956f3154c8UL;
   tf->codes[56379] = 0x0001c7d5b5281d70UL;
   tf->codes[56380] = 0x000013d4af99edd7UL;
   tf->codes[56381] = 0x000085c6ea60f1c6UL;
   tf->codes[56382] = 0x0000a74913811cf7UL;
   tf->codes[56383] = 0x0001c37039e62d99UL;
   tf->codes[56384] = 0x00007e6aaff94066UL;
   tf->codes[56385] = 0x0001cc430656adf9UL;
   tf->codes[56386] = 0x0000b1cdf9c7562aUL;
   tf->codes[56387] = 0x0000fa59c5272268UL;
   tf->codes[56388] = 0x0000fe35086c67b4UL;
   tf->codes[56389] = 0x00019251c7842d34UL;
   tf->codes[56390] = 0x0001c4e4f776ce71UL;
   tf->codes[56391] = 0x0001ed6807899f38UL;
   tf->codes[56392] = 0x0000d552fbf42ed3UL;
   tf->codes[56393] = 0x0000ebb002a43ea7UL;
   tf->codes[56394] = 0x000180271c69eb1eUL;
   tf->codes[56395] = 0x00019a572a42708aUL;
   tf->codes[56396] = 0x0001eb6d8812abbbUL;
   tf->codes[56397] = 0x0000974a8b7c8124UL;
   tf->codes[56398] = 0x0000dd0d1ce407fcUL;
   tf->codes[56399] = 0x0000e68260899679UL;
   tf->codes[56400] = 0x000114f39e94fba1UL;
   tf->codes[56401] = 0x000176351fbe067dUL;
   tf->codes[56402] = 0x00017dbb6266cfb6UL;
   tf->codes[56403] = 0x000086243029e4c8UL;
   tf->codes[56404] = 0x0001d6d49ed00ec6UL;
   tf->codes[56405] = 0x00008ff3856346b8UL;
   tf->codes[56406] = 0x0000a640fe15ce38UL;
   tf->codes[56407] = 0x0000cc51c07cea05UL;
   tf->codes[56408] = 0x0001281d658b3b46UL;
   tf->codes[56409] = 0x00014e607adb4c5fUL;
   tf->codes[56410] = 0x000198f8c949c626UL;
   tf->codes[56411] = 0x00002a240c154ed0UL;
   tf->codes[56412] = 0x0000798b003908abUL;
   tf->codes[56413] = 0x0000ef4c241a1a58UL;
   tf->codes[56414] = 0x0001bf8c1a27b29bUL;
   tf->codes[56415] = 0x0000270a045b0706UL;
   tf->codes[56416] = 0x000034d17dc992f7UL;
   tf->codes[56417] = 0x000039a391e02996UL;
   tf->codes[56418] = 0x00008f2fd4a0e647UL;
   tf->codes[56419] = 0x0000a3a566c3ef3cUL;
   tf->codes[56420] = 0x0000c9b5ee9c0544UL;
   tf->codes[56421] = 0x0000fe0432b94e16UL;
   tf->codes[56422] = 0x0001da175e5f2853UL;
   tf->codes[56423] = 0x00000b9f9c567c85UL;
   tf->codes[56424] = 0x0000a2057c89e87bUL;
   tf->codes[56425] = 0x000172a37635c405UL;
   tf->codes[56426] = 0x0001e7b56223923cUL;
   tf->codes[56427] = 0x00009e75e1a60b27UL;
   tf->codes[56428] = 0x0000d55972e97bb0UL;
   tf->codes[56429] = 0x000100cf9931b1b0UL;
   tf->codes[56430] = 0x000115fee8fb0781UL;
   tf->codes[56431] = 0x00015ef6717e7132UL;
   tf->codes[56432] = 0x0001c36940d30297UL;
   tf->codes[56433] = 0x000062313693e04bUL;
   tf->codes[56434] = 0x0000aae8b2a8fa84UL;
   tf->codes[56435] = 0x0000ce55beb7831fUL;
   tf->codes[56436] = 0x0000e0c61fac972bUL;
   tf->codes[56437] = 0x0000e3a96d556e4bUL;
   tf->codes[56438] = 0x0000ef15b3858bfbUL;
   tf->codes[56439] = 0x000109c85e5fefceUL;
   tf->codes[56440] = 0x000134bb37f93618UL;
   tf->codes[56441] = 0x0001d48658b69cadUL;
   tf->codes[56442] = 0x0001f8c43cd8b8ddUL;
   tf->codes[56443] = 0x000044d1a07cf4bfUL;
   tf->codes[56444] = 0x00005b2964537fe0UL;
   tf->codes[56445] = 0x0000d1d623a5c82bUL;
   tf->codes[56446] = 0x000186a5932447e5UL;
   tf->codes[56447] = 0x00018ba775fe9459UL;
   tf->codes[56448] = 0x0001aeb6b8fddf72UL;
   tf->codes[56449] = 0x00001eae0dbaf219UL;
   tf->codes[56450] = 0x00005e16ee954ce2UL;
   tf->codes[56451] = 0x000097cd1ab8ef5eUL;
   tf->codes[56452] = 0x0000a3053987e99aUL;
   tf->codes[56453] = 0x0001cf3cbfe826deUL;
   tf->codes[56454] = 0x0001eee5688fab21UL;
   tf->codes[56455] = 0x000196f70742c55aUL;
   tf->codes[56456] = 0x000043e5644c895aUL;
   tf->codes[56457] = 0x0000a6737dc8591cUL;
   tf->codes[56458] = 0x0000ac0be43f79eaUL;
   tf->codes[56459] = 0x0000ce63b32eb1d9UL;
   tf->codes[56460] = 0x00018ed564b6a0dfUL;
   tf->codes[56461] = 0x000013f26dc61705UL;
   tf->codes[56462] = 0x0000fd28609a4323UL;
   tf->codes[56463] = 0x0001ad5306a0a29cUL;
   tf->codes[56464] = 0x0001bc4a808c2242UL;
   tf->codes[56465] = 0x0001fe9e3b7f1290UL;
   tf->codes[56466] = 0x00005d932d2b206bUL;
   tf->codes[56467] = 0x0000c49bbec3e511UL;
   tf->codes[56468] = 0x000131be699991d8UL;
   tf->codes[56469] = 0x00005bee001794f7UL;
   tf->codes[56470] = 0x0001071c7b3b3839UL;
   tf->codes[56471] = 0x00012a94478bcfffUL;
   tf->codes[56472] = 0x000193aba5c97be0UL;
   tf->codes[56473] = 0x0001b4072f549fe9UL;
   tf->codes[56474] = 0x00004ba9df4e42acUL;
   tf->codes[56475] = 0x00004c90ad040021UL;
   tf->codes[56476] = 0x0000967aadbb4d86UL;
   tf->codes[56477] = 0x0000b5bb07a08ae1UL;
   tf->codes[56478] = 0x0000ebd84683713bUL;
   tf->codes[56479] = 0x00010d689e470222UL;
   tf->codes[56480] = 0x0001159c446ae0a9UL;
   tf->codes[56481] = 0x00019f079fc3f22eUL;
   tf->codes[56482] = 0x0001c3a262b934ccUL;
   tf->codes[56483] = 0x000006cc38993d62UL;
   tf->codes[56484] = 0x00006a0c0e2d9011UL;
   tf->codes[56485] = 0x00011ee8c2135e6dUL;
   tf->codes[56486] = 0x000121da03d0957eUL;
   tf->codes[56487] = 0x000140d2ff66cac1UL;
   tf->codes[56488] = 0x00014d7a40e4f116UL;
   tf->codes[56489] = 0x0001892107ee8139UL;
   tf->codes[56490] = 0x0001d3773ae7779bUL;
   tf->codes[56491] = 0x00005687fb7745fdUL;
   tf->codes[56492] = 0x000087ada2a3e384UL;
   tf->codes[56493] = 0x000131c49711fc68UL;
   tf->codes[56494] = 0x00014df876be541fUL;
   tf->codes[56495] = 0x000178a76069e8dcUL;
   tf->codes[56496] = 0x0000c5769944378cUL;
   tf->codes[56497] = 0x0000d84279b24f68UL;
   tf->codes[56498] = 0x0000db121b4f365aUL;
   tf->codes[56499] = 0x0000dc0edea71dafUL;
   tf->codes[56500] = 0x000120def7dac0d3UL;
   tf->codes[56501] = 0x0001a08450574f36UL;
   tf->codes[56502] = 0x000036b9026ce2b9UL;
   tf->codes[56503] = 0x00006533dbef3a33UL;
   tf->codes[56504] = 0x00015badfb83028cUL;
   tf->codes[56505] = 0x0000d9655340dec2UL;
   tf->codes[56506] = 0x0001a2135c27878dUL;
   tf->codes[56507] = 0x00002aaae629ba7cUL;
   tf->codes[56508] = 0x000059145d365b7aUL;
   tf->codes[56509] = 0x0001295a0b3b83faUL;
   tf->codes[56510] = 0x00017525c8884801UL;
   tf->codes[56511] = 0x00019f6ee796d54dUL;
   tf->codes[56512] = 0x0000672a3dba949fUL;
   tf->codes[56513] = 0x0000f6b68f133b5bUL;
   tf->codes[56514] = 0x00017757c0ab99ffUL;
   tf->codes[56515] = 0x000187fc201e5b84UL;
   tf->codes[56516] = 0x000015cd5d4c5aabUL;
   tf->codes[56517] = 0x00004a278676cf81UL;
   tf->codes[56518] = 0x0000bcf225c1256aUL;
   tf->codes[56519] = 0x0000bf79b961f2f5UL;
   tf->codes[56520] = 0x000102f5add312ceUL;
   tf->codes[56521] = 0x00012cf6845680eeUL;
   tf->codes[56522] = 0x0001e15c45b89722UL;
   tf->codes[56523] = 0x00003a743152c153UL;
   tf->codes[56524] = 0x0000ca225d5abdf3UL;
   tf->codes[56525] = 0x0000f5d4ac91e156UL;
   tf->codes[56526] = 0x000137f52a5fc544UL;
   tf->codes[56527] = 0x0001814ab681723cUL;
   tf->codes[56528] = 0x00018c8a27312518UL;
   tf->codes[56529] = 0x0000459561b86cdcUL;
   tf->codes[56530] = 0x0000e7cb7e40cfcbUL;
   tf->codes[56531] = 0x00019807fbdaf14aUL;
   tf->codes[56532] = 0x0000a5a6d3d97644UL;
   tf->codes[56533] = 0x0000e2bfb6d57d81UL;
   tf->codes[56534] = 0x00018a2bdd995058UL;
   tf->codes[56535] = 0x0001dd2ce3c8e32eUL;
   tf->codes[56536] = 0x00002f069ab65d8dUL;
   tf->codes[56537] = 0x00003d69a00c3cc6UL;
   tf->codes[56538] = 0x00004bd640d90e51UL;
   tf->codes[56539] = 0x0000c18e3e613936UL;
   tf->codes[56540] = 0x00014a21aa55044bUL;
   tf->codes[56541] = 0x0001d37f1199b5dfUL;
   tf->codes[56542] = 0x000027e47a3665a3UL;
   tf->codes[56543] = 0x0000620e1bf15bfdUL;
   tf->codes[56544] = 0x000073a110189f21UL;
   tf->codes[56545] = 0x0000b0162b108362UL;
   tf->codes[56546] = 0x000105bc8181d1cdUL;
   tf->codes[56547] = 0x0000168b4851bab2UL;
   tf->codes[56548] = 0x00003fc04f0c142bUL;
   tf->codes[56549] = 0x00005f9ef38cea0aUL;
   tf->codes[56550] = 0x0000c76c782c1641UL;
   tf->codes[56551] = 0x0000eabbc799b0d2UL;
   tf->codes[56552] = 0x00010a00ef3a6756UL;
   tf->codes[56553] = 0x00014fda60802f22UL;
   tf->codes[56554] = 0x000156e349009ea7UL;
   tf->codes[56555] = 0x0000b49c220a7548UL;
   tf->codes[56556] = 0x0000f8e24c5b8165UL;
   tf->codes[56557] = 0x0001425226bcc5dcUL;
   tf->codes[56558] = 0x0001bbe10eecc86eUL;
   tf->codes[56559] = 0x0001cfa4aa6848b1UL;
   tf->codes[56560] = 0x00005cfb86b13925UL;
   tf->codes[56561] = 0x00000efe9e671eb6UL;
   tf->codes[56562] = 0x000037d9bf919cc2UL;
   tf->codes[56563] = 0x0000a8f5df6b8869UL;
   tf->codes[56564] = 0x0000b81dd7c7cf33UL;
   tf->codes[56565] = 0x00017f8575714edfUL;
   tf->codes[56566] = 0x00018db7c1c7612fUL;
   tf->codes[56567] = 0x0001e7cb867d5ba1UL;
   tf->codes[56568] = 0x0000755c7cae058bUL;
   tf->codes[56569] = 0x00009f0a84f34b19UL;
   tf->codes[56570] = 0x0000f44e0a0add14UL;
   tf->codes[56571] = 0x000158c61c38f32cUL;
   tf->codes[56572] = 0x00018f9e02fe3d76UL;
   tf->codes[56573] = 0x000194dff246d962UL;
   tf->codes[56574] = 0x0001ef390644a7ffUL;
   tf->codes[56575] = 0x00000cfe1dde8778UL;
   tf->codes[56576] = 0x00002366cf0cbd8bUL;
   tf->codes[56577] = 0x000072ec6a0d7c84UL;
   tf->codes[56578] = 0x00009c810e4f41a7UL;
   tf->codes[56579] = 0x0000a0c93383413fUL;
   tf->codes[56580] = 0x00011ade61a57e88UL;
   tf->codes[56581] = 0x000001fbb1cecb54UL;
   tf->codes[56582] = 0x0000d644e56d3090UL;
   tf->codes[56583] = 0x00016c3c0f39b412UL;
   tf->codes[56584] = 0x00002570eb6f15e4UL;
   tf->codes[56585] = 0x00004f8bd5a315beUL;
   tf->codes[56586] = 0x0001be3c6006efbfUL;
   tf->codes[56587] = 0x00002be9344e3952UL;
   tf->codes[56588] = 0x000066c2cc349230UL;
   tf->codes[56589] = 0x0000907651e26236UL;
   tf->codes[56590] = 0x00010e82ab72a4adUL;
   tf->codes[56591] = 0x000110cddb957f10UL;
   tf->codes[56592] = 0x00012113c24bf1c4UL;
   tf->codes[56593] = 0x00006470eb5302bdUL;
   tf->codes[56594] = 0x000085971fdc1e94UL;
   tf->codes[56595] = 0x00013d63b6250163UL;
   tf->codes[56596] = 0x000172ba2d895204UL;
   tf->codes[56597] = 0x00017c77b9b9ffadUL;
   tf->codes[56598] = 0x0001e2c5ddff6628UL;
   tf->codes[56599] = 0x0001e56b68d02782UL;
   tf->codes[56600] = 0x000023d417f1446bUL;
   tf->codes[56601] = 0x00005d1d62262c9bUL;
   tf->codes[56602] = 0x00008cf880073929UL;
   tf->codes[56603] = 0x000151109dc638b8UL;
   tf->codes[56604] = 0x00016ef50bea2e9eUL;
   tf->codes[56605] = 0x00017f52822bf395UL;
   tf->codes[56606] = 0x000189b36142b8b0UL;
   tf->codes[56607] = 0x00018ebb36a39b26UL;
   tf->codes[56608] = 0x00004b0e9f34aa67UL;
   tf->codes[56609] = 0x00006b838cc34edbUL;
   tf->codes[56610] = 0x000102c41b10467dUL;
   tf->codes[56611] = 0x00015afba09954c5UL;
   tf->codes[56612] = 0x00003daef0df4c15UL;
   tf->codes[56613] = 0x00007de994095187UL;
   tf->codes[56614] = 0x00016901f3200596UL;
   tf->codes[56615] = 0x0001a1be1aa005f9UL;
   tf->codes[56616] = 0x00001582496ff271UL;
   tf->codes[56617] = 0x0000445952185f0aUL;
   tf->codes[56618] = 0x00008120511254c9UL;
   tf->codes[56619] = 0x0000ad0393d84adaUL;
   tf->codes[56620] = 0x0000e9f100ae09e1UL;
   tf->codes[56621] = 0x00000a6972a000e3UL;
   tf->codes[56622] = 0x000030a98eacc6fbUL;
   tf->codes[56623] = 0x00007883d8831611UL;
   tf->codes[56624] = 0x0000d7bb9551b8a0UL;
   tf->codes[56625] = 0x000190346a4a93e4UL;
   tf->codes[56626] = 0x0001d06a7a4825f2UL;
   tf->codes[56627] = 0x00003c1eecaabdb4UL;
   tf->codes[56628] = 0x000094b10770b8b8UL;
   tf->codes[56629] = 0x000023de0bd2f592UL;
   tf->codes[56630] = 0x00002e6ad62e0e6dUL;
   tf->codes[56631] = 0x0000f1e08b430d9eUL;
   tf->codes[56632] = 0x0001dabdbd527b28UL;
   tf->codes[56633] = 0x00009dcb23a53371UL;
   tf->codes[56634] = 0x0000b268bd8d2e11UL;
   tf->codes[56635] = 0x0000c3a3660dbe2bUL;
   tf->codes[56636] = 0x0001763e4ab89eb1UL;
   tf->codes[56637] = 0x00017fe56c2916f0UL;
   tf->codes[56638] = 0x0001a62254638c42UL;
   tf->codes[56639] = 0x0001f2e8c60103b1UL;
   tf->codes[56640] = 0x0000b2c84c898bfcUL;
   tf->codes[56641] = 0x0000347f466142d9UL;
   tf->codes[56642] = 0x00009aec1183ae72UL;
   tf->codes[56643] = 0x0000dbf5b8491951UL;
   tf->codes[56644] = 0x0001599aad532bf4UL;
   tf->codes[56645] = 0x0001e38e5da5ac1dUL;
   tf->codes[56646] = 0x0000c64a99b58470UL;
   tf->codes[56647] = 0x0001748ad1eb9209UL;
   tf->codes[56648] = 0x0001b1e595ce16e6UL;
   tf->codes[56649] = 0x0000458694a6ab15UL;
   tf->codes[56650] = 0x00008a9052a3fc25UL;
   tf->codes[56651] = 0x0001744a41d42948UL;
   tf->codes[56652] = 0x00018a8de480b8b1UL;
   tf->codes[56653] = 0x0001d93c3fc94289UL;
   tf->codes[56654] = 0x00002a04d7a5d416UL;
   tf->codes[56655] = 0x00004131570f54e1UL;
   tf->codes[56656] = 0x0000825252d10c3eUL;
   tf->codes[56657] = 0x0000f499304e66e7UL;
   tf->codes[56658] = 0x00013da3b530af77UL;
   tf->codes[56659] = 0x000154afb944fcfcUL;
   tf->codes[56660] = 0x0001e708786839e4UL;
   tf->codes[56661] = 0x00001aa9590a6d68UL;
   tf->codes[56662] = 0x000026cee7c2cc6aUL;
   tf->codes[56663] = 0x000038ea6b7283f7UL;
   tf->codes[56664] = 0x00004afded947195UL;
   tf->codes[56665] = 0x0000fac3edc8e676UL;
   tf->codes[56666] = 0x0001259c040489b7UL;
   tf->codes[56667] = 0x00014c45590fadcbUL;
   tf->codes[56668] = 0x0001999e303b91baUL;
   tf->codes[56669] = 0x0001e9d930452ff0UL;
   tf->codes[56670] = 0x0001eac3e17a4f7aUL;
   tf->codes[56671] = 0x00006eeee773ed76UL;
   tf->codes[56672] = 0x0000f3a71022733fUL;
   tf->codes[56673] = 0x000174c9f4809936UL;
   tf->codes[56674] = 0x00006447fadd3522UL;
   tf->codes[56675] = 0x00006ca99b4c9b56UL;
   tf->codes[56676] = 0x000171a02439c353UL;
   tf->codes[56677] = 0x00018dc1f1c3533fUL;
   tf->codes[56678] = 0x0001f9ece18b979fUL;
   tf->codes[56679] = 0x00001672a53a00d4UL;
   tf->codes[56680] = 0x0000ff61e96c3629UL;
   tf->codes[56681] = 0x00016bca9c0c904fUL;
   tf->codes[56682] = 0x00000a5fc9c66d2dUL;
   tf->codes[56683] = 0x000017d6f91c1003UL;
   tf->codes[56684] = 0x0000224ef2a01bd7UL;
   tf->codes[56685] = 0x00002b7c9d679c77UL;
   tf->codes[56686] = 0x0000d6103c50fdc0UL;
   tf->codes[56687] = 0x0000de48eabf5b35UL;
   tf->codes[56688] = 0x00018d0b85684170UL;
   tf->codes[56689] = 0x00019ef650182c14UL;
   tf->codes[56690] = 0x0000172fb42b88bdUL;
   tf->codes[56691] = 0x00005cfccb4618fbUL;
   tf->codes[56692] = 0x0000880f35f87b77UL;
   tf->codes[56693] = 0x0000a46390fa0674UL;
   tf->codes[56694] = 0x0000b0adf3a5065bUL;
   tf->codes[56695] = 0x000147a1311c5fe3UL;
   tf->codes[56696] = 0x00017a284172cf57UL;
   tf->codes[56697] = 0x0001121e103b9c74UL;
   tf->codes[56698] = 0x0001e7b7851d22e6UL;
   tf->codes[56699] = 0x00001e3dc26f6177UL;
   tf->codes[56700] = 0x000032e5325d542eUL;
   tf->codes[56701] = 0x00009b1b7adcd2d7UL;
   tf->codes[56702] = 0x0000d7c4f7c4e051UL;
   tf->codes[56703] = 0x0000de4b7dd27734UL;
   tf->codes[56704] = 0x0001316a40a2f814UL;
   tf->codes[56705] = 0x000133e95d97f026UL;
   tf->codes[56706] = 0x00016cb219d22ddcUL;
   tf->codes[56707] = 0x000135d72b3e8ad2UL;
   tf->codes[56708] = 0x0001bf14c6db1a6fUL;
   tf->codes[56709] = 0x0001f4a3f8cd01e8UL;
   tf->codes[56710] = 0x000031a8ba9f0d6dUL;
   tf->codes[56711] = 0x00005fa00ce36f6cUL;
   tf->codes[56712] = 0x0000f29c597bc98bUL;
   tf->codes[56713] = 0x00012d068b4e28a6UL;
   tf->codes[56714] = 0x0001842b1d4e1ff4UL;
   tf->codes[56715] = 0x00002636735d4bfcUL;
   tf->codes[56716] = 0x00004c652cf45b98UL;
   tf->codes[56717] = 0x00008c9e70c43e6cUL;
   tf->codes[56718] = 0x0000b7b5e3c11fd6UL;
   tf->codes[56719] = 0x0000031a17faaa47UL;
   tf->codes[56720] = 0x0000323dc1cba3abUL;
   tf->codes[56721] = 0x000047896edbc4e8UL;
   tf->codes[56722] = 0x00005c182a734883UL;
   tf->codes[56723] = 0x00007cb9b2f35206UL;
   tf->codes[56724] = 0x00007f7692c05fdeUL;
   tf->codes[56725] = 0x0000974e2c0ebc45UL;
   tf->codes[56726] = 0x00018456eb7c5836UL;
   tf->codes[56727] = 0x0001d8dd448c46caUL;
   tf->codes[56728] = 0x00004addadf6b06fUL;
   tf->codes[56729] = 0x00007edea13e5b27UL;
   tf->codes[56730] = 0x0000bf2479c87b4eUL;
   tf->codes[56731] = 0x00013802558d0c42UL;
   tf->codes[56732] = 0x000148be09fc1a45UL;
   tf->codes[56733] = 0x00018379aab27f54UL;
   tf->codes[56734] = 0x0001ff24de7dbd88UL;
   tf->codes[56735] = 0x0001ffddb1e7f350UL;
   tf->codes[56736] = 0x00003a3ebd616ba3UL;
   tf->codes[56737] = 0x000068ba4690d46cUL;
   tf->codes[56738] = 0x0000ebaa8bcb6f88UL;
   tf->codes[56739] = 0x000125a55789d4e0UL;
   tf->codes[56740] = 0x0001f97ca0ef00e2UL;
   tf->codes[56741] = 0x0001fe17cef02ed1UL;
   tf->codes[56742] = 0x000004814809e8f9UL;
   tf->codes[56743] = 0x00002be24bb425fcUL;
   tf->codes[56744] = 0x00000e5e1c399f50UL;
   tf->codes[56745] = 0x0000df649f36c787UL;
   tf->codes[56746] = 0x00015969551f6568UL;
   tf->codes[56747] = 0x000159ff9e2d33fdUL;
   tf->codes[56748] = 0x00018cd140a4fc4fUL;
   tf->codes[56749] = 0x0001f21dd3d7024cUL;
   tf->codes[56750] = 0x00009b0c5437e5e0UL;
   tf->codes[56751] = 0x0000f5d8b1c91055UL;
   tf->codes[56752] = 0x0000f7dc490ddcdbUL;
   tf->codes[56753] = 0x00015b29d82789b6UL;
   tf->codes[56754] = 0x000164878c41c5f0UL;
   tf->codes[56755] = 0x000179718cc34796UL;
   tf->codes[56756] = 0x000184da9f211480UL;
   tf->codes[56757] = 0x0001a8cbe21aa3e5UL;
   tf->codes[56758] = 0x0001de63c547669cUL;
   tf->codes[56759] = 0x0001394b71563ba7UL;
   tf->codes[56760] = 0x00018fb386fba0ddUL;
   tf->codes[56761] = 0x00018ff358daea90UL;
   tf->codes[56762] = 0x0001a0af8268041dUL;
   tf->codes[56763] = 0x0001ee3f7a385681UL;
   tf->codes[56764] = 0x000082f6dafb5835UL;
   tf->codes[56765] = 0x0000b2f0652a641cUL;
   tf->codes[56766] = 0x00010a9c9c76b8bfUL;
   tf->codes[56767] = 0x00013c4f2bc9384eUL;
   tf->codes[56768] = 0x0001642428b3e278UL;
   tf->codes[56769] = 0x0001830051e540c5UL;
   tf->codes[56770] = 0x0001ee0a5a100e3aUL;
   tf->codes[56771] = 0x000022f42a14aa54UL;
   tf->codes[56772] = 0x0000966b429dfe77UL;
   tf->codes[56773] = 0x00009996d8d1f4c3UL;
   tf->codes[56774] = 0x000194c8491eb0b2UL;
   tf->codes[56775] = 0x0001c0549f981657UL;
   tf->codes[56776] = 0x0001447de71b822eUL;
   tf->codes[56777] = 0x0000026f1c545684UL;
   tf->codes[56778] = 0x0000363d0d05faa1UL;
   tf->codes[56779] = 0x00003ce1152579c9UL;
   tf->codes[56780] = 0x0000ff1b1f3f5f06UL;
   tf->codes[56781] = 0x0000fdd6b47e5c15UL;
   tf->codes[56782] = 0x0001337f0fe4be34UL;
   tf->codes[56783] = 0x0001578265011564UL;
   tf->codes[56784] = 0x00016cc6fabf83c6UL;
   tf->codes[56785] = 0x0001d610abe624f3UL;
   tf->codes[56786] = 0x00000cc6b7fc1959UL;
   tf->codes[56787] = 0x00006fad923ca7afUL;
   tf->codes[56788] = 0x00007c4287090074UL;
   tf->codes[56789] = 0x0000d5f5fe8a7dedUL;
   tf->codes[56790] = 0x000101f8d2699030UL;
   tf->codes[56791] = 0x00015cf364d54817UL;
   tf->codes[56792] = 0x0001d81b116290d0UL;
   tf->codes[56793] = 0x0000bfb2c270ec4fUL;
   tf->codes[56794] = 0x00010e5747b37e10UL;
   tf->codes[56795] = 0x0001e6c182fd084dUL;
   tf->codes[56796] = 0x0000a11e5e2193e5UL;
   tf->codes[56797] = 0x0000d80f33cc5310UL;
   tf->codes[56798] = 0x0001bd934a7a4e2bUL;
   tf->codes[56799] = 0x00004054ab2d4a86UL;
   tf->codes[56800] = 0x0000984422ba3f67UL;
   tf->codes[56801] = 0x00017e1a1d6a4c00UL;
   tf->codes[56802] = 0x0001b02c0fb53174UL;
   tf->codes[56803] = 0x00004f61d1a0e088UL;
   tf->codes[56804] = 0x000094547530eadfUL;
   tf->codes[56805] = 0x00010c64acb43904UL;
   tf->codes[56806] = 0x000155467a247e9aUL;
   tf->codes[56807] = 0x0000c512a94c4ad3UL;
   tf->codes[56808] = 0x00017701c4653e6eUL;
   tf->codes[56809] = 0x0001843070a0bc53UL;
   tf->codes[56810] = 0x0001b7ff10ff71bfUL;
   tf->codes[56811] = 0x0000068ec56af679UL;
   tf->codes[56812] = 0x000087dc70425357UL;
   tf->codes[56813] = 0x00014e3c8a51dc83UL;
   tf->codes[56814] = 0x0001a2d56aa29e6cUL;
   tf->codes[56815] = 0x0001d0476130dcc8UL;
   tf->codes[56816] = 0x000094bbae15f176UL;
   tf->codes[56817] = 0x0000f4bfafcbb436UL;
   tf->codes[56818] = 0x000134f5853a407fUL;
   tf->codes[56819] = 0x00015e07175c1bb1UL;
   tf->codes[56820] = 0x000008f5fb2f7b05UL;
   tf->codes[56821] = 0x000042cf26cd903eUL;
   tf->codes[56822] = 0x0000dd8408f7a8e2UL;
   tf->codes[56823] = 0x000114512f7ae401UL;
   tf->codes[56824] = 0x0001d490c8a8e380UL;
   tf->codes[56825] = 0x00001abe2cf7f0b7UL;
   tf->codes[56826] = 0x00008f6ea6e6251cUL;
   tf->codes[56827] = 0x0000c02dd3c8a9e3UL;
   tf->codes[56828] = 0x0000cb55053ff92dUL;
   tf->codes[56829] = 0x00012b95a502b4daUL;
   tf->codes[56830] = 0x00004bdce8d6d369UL;
   tf->codes[56831] = 0x0000dd3f86d5d04dUL;
   tf->codes[56832] = 0x00011541f0af83d4UL;
   tf->codes[56833] = 0x00012009849f6774UL;
   tf->codes[56834] = 0x000166dff3cc1c5aUL;
   tf->codes[56835] = 0x000183469b7f74e7UL;
   tf->codes[56836] = 0x00018c64b8496d33UL;
   tf->codes[56837] = 0x0001f89d61970bbfUL;
   tf->codes[56838] = 0x000043b17044b6d7UL;
   tf->codes[56839] = 0x00008ce730be41d8UL;
   tf->codes[56840] = 0x0001011df97478d9UL;
   tf->codes[56841] = 0x000180115b497e8aUL;
   tf->codes[56842] = 0x0000578b2d665900UL;
   tf->codes[56843] = 0x00005a39de900122UL;
   tf->codes[56844] = 0x000092e16fc7fa43UL;
   tf->codes[56845] = 0x0000cbf4f8b2969cUL;
   tf->codes[56846] = 0x000115b383439bcbUL;
   tf->codes[56847] = 0x00019201cf65ebacUL;
   tf->codes[56848] = 0x0001b51989110c3eUL;
   tf->codes[56849] = 0x00001ab0e8f370deUL;
   tf->codes[56850] = 0x00005eb1144f9781UL;
   tf->codes[56851] = 0x00007e9919b859edUL;
   tf->codes[56852] = 0x0000fa02a72c2046UL;
   tf->codes[56853] = 0x000112efb828d31eUL;
   tf->codes[56854] = 0x00014e2fca5944bcUL;
   tf->codes[56855] = 0x00016015522faaadUL;
   tf->codes[56856] = 0x00004145d3ba85b6UL;
   tf->codes[56857] = 0x0000fb2a97903c4dUL;
   tf->codes[56858] = 0x000198bd8489a75eUL;
   tf->codes[56859] = 0x00007e9b46387821UL;
   tf->codes[56860] = 0x000085fd649bb1c4UL;
   tf->codes[56861] = 0x0000bc08cbead618UL;
   tf->codes[56862] = 0x0001b1cc9c39a820UL;
   tf->codes[56863] = 0x0001ce551e9c5691UL;
   tf->codes[56864] = 0x000040d9f980ccc5UL;
   tf->codes[56865] = 0x0000a53a41948ad5UL;
   tf->codes[56866] = 0x0001721487867356UL;
   tf->codes[56867] = 0x00017e83f8b319e7UL;
   tf->codes[56868] = 0x00004a1ca1235272UL;
   tf->codes[56869] = 0x0000a2be0f57d005UL;
   tf->codes[56870] = 0x00010244f1743ed6UL;
   tf->codes[56871] = 0x000115ac5dc9a9faUL;
   tf->codes[56872] = 0x00016320e28f4806UL;
   tf->codes[56873] = 0x0001e176a975c682UL;
   tf->codes[56874] = 0x000046924918f9d1UL;
   tf->codes[56875] = 0x000010548055d272UL;
   tf->codes[56876] = 0x0001bd27f574e9a7UL;
   tf->codes[56877] = 0x0001d2a19cd09291UL;
   tf->codes[56878] = 0x00005380cbd00cc0UL;
   tf->codes[56879] = 0x0000819231c50079UL;
   tf->codes[56880] = 0x00009f22e76eb6b9UL;
   tf->codes[56881] = 0x0000fa16d7a6c74fUL;
   tf->codes[56882] = 0x00011a1164505d10UL;
   tf->codes[56883] = 0x00012f01cc768042UL;
   tf->codes[56884] = 0x000138f8c2e1d612UL;
   tf->codes[56885] = 0x00016b2fc3ae6230UL;
   tf->codes[56886] = 0x000182c6a0e15dd0UL;
   tf->codes[56887] = 0x0001d359ec91af10UL;
   tf->codes[56888] = 0x0001e1f4c2390e0dUL;
   tf->codes[56889] = 0x0001e5da8b315cbfUL;
   tf->codes[56890] = 0x00008aa49585c4c7UL;
   tf->codes[56891] = 0x0001b05ce7b923c8UL;
   tf->codes[56892] = 0x00003891a0619a47UL;
   tf->codes[56893] = 0x00003955e3baf089UL;
   tf->codes[56894] = 0x0000431ac1cc56d2UL;
   tf->codes[56895] = 0x000067353155f4bbUL;
   tf->codes[56896] = 0x0000ba95d50cf33bUL;
   tf->codes[56897] = 0x0001cf92ad6049feUL;
   tf->codes[56898] = 0x0000175cb98bff71UL;
   tf->codes[56899] = 0x000020cc4539fdb1UL;
   tf->codes[56900] = 0x000091d443e9eda0UL;
   tf->codes[56901] = 0x0000925a14be1ccdUL;
   tf->codes[56902] = 0x0000a8bc23b8ab8fUL;
   tf->codes[56903] = 0x0000f46bbe4da9efUL;
   tf->codes[56904] = 0x00013237bcbc56b7UL;
   tf->codes[56905] = 0x000143681a18e330UL;
   tf->codes[56906] = 0x00003c0b1a02247eUL;
   tf->codes[56907] = 0x0000591a1ce6136bUL;
   tf->codes[56908] = 0x00005fbd3ac97b7fUL;
   tf->codes[56909] = 0x000065f49b894620UL;
   tf->codes[56910] = 0x00006c590c58815aUL;
   tf->codes[56911] = 0x000088f69a214297UL;
   tf->codes[56912] = 0x0000e49bd153ca90UL;
   tf->codes[56913] = 0x000110699395a24bUL;
   tf->codes[56914] = 0x000116177a90e16fUL;
   tf->codes[56915] = 0x00011cf3c81febe5UL;
   tf->codes[56916] = 0x00013cd2a72fc789UL;
   tf->codes[56917] = 0x0001b99352a95c2eUL;
   tf->codes[56918] = 0x0001eb80ab90a682UL;
   tf->codes[56919] = 0x00001bdfc5cdb415UL;
   tf->codes[56920] = 0x000084cc2303234aUL;
   tf->codes[56921] = 0x0000fe393083cff8UL;
   tf->codes[56922] = 0x000193a755a9d387UL;
   tf->codes[56923] = 0x0000b1552e496285UL;
   tf->codes[56924] = 0x0000dff9a979d40dUL;
   tf->codes[56925] = 0x00000b63167ac2f8UL;
   tf->codes[56926] = 0x00005b146230cfecUL;
   tf->codes[56927] = 0x0000a3455dc4a9a9UL;
   tf->codes[56928] = 0x0000f66f1b663f79UL;
   tf->codes[56929] = 0x00019a50838cbbe4UL;
   tf->codes[56930] = 0x0000740373a9a8f2UL;
   tf->codes[56931] = 0x0000b3736bd5b696UL;
   tf->codes[56932] = 0x0000e9c50ca8c629UL;
   tf->codes[56933] = 0x0001713f928ce442UL;
   tf->codes[56934] = 0x00007b27861ab94bUL;
   tf->codes[56935] = 0x00016f2a8a475381UL;
   tf->codes[56936] = 0x0001e7383da5622fUL;
   tf->codes[56937] = 0x00003aaf118d9054UL;
   tf->codes[56938] = 0x00007cc9d763e405UL;
   tf->codes[56939] = 0x000111bd6115d31cUL;
   tf->codes[56940] = 0x00013ececfe08ebaUL;
   tf->codes[56941] = 0x000170240b41dc51UL;
   tf->codes[56942] = 0x00018ad5cbe02910UL;
   tf->codes[56943] = 0x0001efdb75e1327fUL;
   tf->codes[56944] = 0x0000b515a008c5d2UL;
   tf->codes[56945] = 0x000138545ae41be1UL;
   tf->codes[56946] = 0x000157351741ed92UL;
   tf->codes[56947] = 0x00015e814002fd55UL;
   tf->codes[56948] = 0x0001709d38d0c06cUL;
   tf->codes[56949] = 0x00003445b5ecc073UL;
   tf->codes[56950] = 0x00003eced7577cfeUL;
   tf->codes[56951] = 0x0000e81a368b8700UL;
   tf->codes[56952] = 0x00014cbc9a14c875UL;
   tf->codes[56953] = 0x000163fdea555647UL;
   tf->codes[56954] = 0x0001a4538b6c0487UL;
   tf->codes[56955] = 0x0000f920a91fe5e7UL;
   tf->codes[56956] = 0x0000f926d63581aeUL;
   tf->codes[56957] = 0x00013e4cf1799e2aUL;
   tf->codes[56958] = 0x00016ad1b2ad7d85UL;
   tf->codes[56959] = 0x000023bef604d17aUL;
   tf->codes[56960] = 0x0000400179729a71UL;
   tf->codes[56961] = 0x0000456c5abc3f1cUL;
   tf->codes[56962] = 0x00006e6f0e8da349UL;
   tf->codes[56963] = 0x0000e63404428741UL;
   tf->codes[56964] = 0x000162d72daa33a1UL;
   tf->codes[56965] = 0x0000a3c06f1c673dUL;
   tf->codes[56966] = 0x0000b91ea36d5bcfUL;
   tf->codes[56967] = 0x0000c5b6917cff95UL;
   tf->codes[56968] = 0x0001e81677fbfd76UL;
   tf->codes[56969] = 0x0001ebc38666b550UL;
   tf->codes[56970] = 0x00001c6c0df9fee8UL;
   tf->codes[56971] = 0x0000e911f1fbbe30UL;
   tf->codes[56972] = 0x000102bf9d616afaUL;
   tf->codes[56973] = 0x00012a76ddab271aUL;
   tf->codes[56974] = 0x00014bfcafbbae9bUL;
   tf->codes[56975] = 0x00004d239fe1b78bUL;
   tf->codes[56976] = 0x0000b57680370765UL;
   tf->codes[56977] = 0x0000f5b87541c577UL;
   tf->codes[56978] = 0x00006692ca372f81UL;
   tf->codes[56979] = 0x000173e6d58555d8UL;
   tf->codes[56980] = 0x00002792d9411f30UL;
   tf->codes[56981] = 0x0000395c3e5fbf7aUL;
   tf->codes[56982] = 0x00003de6447a3cb2UL;
   tf->codes[56983] = 0x0001b9c1d2293848UL;
   tf->codes[56984] = 0x000054c8233756e0UL;
   tf->codes[56985] = 0x000062649b9da625UL;
   tf->codes[56986] = 0x00008d740d0cbda0UL;
   tf->codes[56987] = 0x00012ae1eb848207UL;
   tf->codes[56988] = 0x0001337ae7275c75UL;
   tf->codes[56989] = 0x00014058247ed466UL;
   tf->codes[56990] = 0x000189dea42f540cUL;
   tf->codes[56991] = 0x0001a5a2338b9aecUL;
   tf->codes[56992] = 0x00003665d741edfdUL;
   tf->codes[56993] = 0x0000ecf7723cc827UL;
   tf->codes[56994] = 0x000046461f5f5146UL;
   tf->codes[56995] = 0x00006f4fea82684eUL;
   tf->codes[56996] = 0x0000dd1ab5f9a5b0UL;
   tf->codes[56997] = 0x00011353dd054becUL;
   tf->codes[56998] = 0x000139c1f35d99b1UL;
   tf->codes[56999] = 0x0001d02eb053b2bdUL;
   tf->codes[57000] = 0x00000fd25ac2d84bUL;
   tf->codes[57001] = 0x000018a70a369492UL;
   tf->codes[57002] = 0x0000e8a5947bbabfUL;
   tf->codes[57003] = 0x000131972a788e6eUL;
   tf->codes[57004] = 0x000142d78af0aec5UL;
   tf->codes[57005] = 0x000067154a85c133UL;
   tf->codes[57006] = 0x00007abd38678759UL;
   tf->codes[57007] = 0x0000cf129de8a33fUL;
   tf->codes[57008] = 0x0001026668443e6eUL;
   tf->codes[57009] = 0x00002e14af6ef5faUL;
   tf->codes[57010] = 0x000061503a922d97UL;
   tf->codes[57011] = 0x0000c2aaaaa0ad54UL;
   tf->codes[57012] = 0x0001380fd9eaafa7UL;
   tf->codes[57013] = 0x00014919544d674eUL;
   tf->codes[57014] = 0x00015b75598979ddUL;
   tf->codes[57015] = 0x0001fee6e67df0fbUL;
   tf->codes[57016] = 0x00009d01ede1c4ebUL;
   tf->codes[57017] = 0x00018eeb912b60c1UL;
   tf->codes[57018] = 0x0001c910ae44f176UL;
   tf->codes[57019] = 0x000096cf3dc757f5UL;
   tf->codes[57020] = 0x0001b75f04b59b75UL;
   tf->codes[57021] = 0x0001cfd4e89f9060UL;
   tf->codes[57022] = 0x0001e81df7091a77UL;
   tf->codes[57023] = 0x00002dad85da9ab4UL;
   tf->codes[57024] = 0x000081e14b3b667bUL;
   tf->codes[57025] = 0x0001484e6f233884UL;
   tf->codes[57026] = 0x000042e8e6b5148fUL;
   tf->codes[57027] = 0x0001d2abf9961a39UL;
   tf->codes[57028] = 0x0001f1b7b6fc2896UL;
   tf->codes[57029] = 0x000030bcdc40afdbUL;
   tf->codes[57030] = 0x0000382736c0b932UL;
   tf->codes[57031] = 0x0000cb7e8db40b97UL;
   tf->codes[57032] = 0x0000e6a82b122792UL;
   tf->codes[57033] = 0x00010d87b685a307UL;
   tf->codes[57034] = 0x0001f781779519ddUL;
   tf->codes[57035] = 0x0000872e7ed1f9a4UL;
   tf->codes[57036] = 0x0000c385680ae451UL;
   tf->codes[57037] = 0x0000d7fa0ff1d632UL;
   tf->codes[57038] = 0x00010af0113e33dfUL;
   tf->codes[57039] = 0x00016e891cb550acUL;
   tf->codes[57040] = 0x0000c512adedfc3fUL;
   tf->codes[57041] = 0x0001059c7665cdf3UL;
   tf->codes[57042] = 0x00010ebacdbecc04UL;
   tf->codes[57043] = 0x0000777bcacfef06UL;
   tf->codes[57044] = 0x0000c94e6a6bb68aUL;
   tf->codes[57045] = 0x0001180db30beb54UL;
   tf->codes[57046] = 0x00013d397c3577d4UL;
   tf->codes[57047] = 0x00000d813941d441UL;
   tf->codes[57048] = 0x00003a947c84be07UL;
   tf->codes[57049] = 0x0000d68e6a91dd2cUL;
   tf->codes[57050] = 0x0000ef103388fe1bUL;
   tf->codes[57051] = 0x0001a488ade52584UL;
   tf->codes[57052] = 0x000034979c3faaa7UL;
   tf->codes[57053] = 0x000146806dea5d61UL;
   tf->codes[57054] = 0x00003120409430e5UL;
   tf->codes[57055] = 0x00008f7637f794edUL;
   tf->codes[57056] = 0x0000ae9aa9b41266UL;
   tf->codes[57057] = 0x0000b7cd22370c2fUL;
   tf->codes[57058] = 0x00016aa04c517803UL;
   tf->codes[57059] = 0x0001b78355c4c0a3UL;
   tf->codes[57060] = 0x0001d75b1d82e96cUL;
   tf->codes[57061] = 0x0001f46e03e63a6eUL;
   tf->codes[57062] = 0x0001a700c2764743UL;
   tf->codes[57063] = 0x0001ad5da6d5c418UL;
   tf->codes[57064] = 0x0000a73bdc9c13d0UL;
   tf->codes[57065] = 0x0000b0962254f97fUL;
   tf->codes[57066] = 0x0000d2e4caeb4aa6UL;
   tf->codes[57067] = 0x0000f2e8b87cccf4UL;
   tf->codes[57068] = 0x000191daff98d605UL;
   tf->codes[57069] = 0x000075888f117533UL;
   tf->codes[57070] = 0x0001076d1a653f2fUL;
   tf->codes[57071] = 0x0001744b9abe34a4UL;
   tf->codes[57072] = 0x0001b943f645cf38UL;
   tf->codes[57073] = 0x0001046f3562bd0cUL;
   tf->codes[57074] = 0x00011a56a8e93756UL;
   tf->codes[57075] = 0x000195f0ef5cca98UL;
   tf->codes[57076] = 0x0001efda9d469f72UL;
   tf->codes[57077] = 0x0001052e61e686a1UL;
   tf->codes[57078] = 0x0001163ef39af123UL;
   tf->codes[57079] = 0x0001ba62b1c5f6b8UL;
   tf->codes[57080] = 0x0001f8905cc34317UL;
   tf->codes[57081] = 0x00000af672945382UL;
   tf->codes[57082] = 0x00004916297d3ff0UL;
   tf->codes[57083] = 0x000096d490b7258bUL;
   tf->codes[57084] = 0x0000a11a37523c13UL;
   tf->codes[57085] = 0x0000a58ce8706ccdUL;
   tf->codes[57086] = 0x00012f73545b9e54UL;
   tf->codes[57087] = 0x000130ce55e0ceb5UL;
   tf->codes[57088] = 0x00013da90f13072fUL;
   tf->codes[57089] = 0x0001f0da023cb085UL;
   tf->codes[57090] = 0x000008e75cd558c3UL;
   tf->codes[57091] = 0x000025ecfed15b23UL;
   tf->codes[57092] = 0x00008ff3dbff9fb7UL;
   tf->codes[57093] = 0x0000c51a0f822ef9UL;
   tf->codes[57094] = 0x0001210bad4e3df8UL;
   tf->codes[57095] = 0x0001e4052d06004eUL;
   tf->codes[57096] = 0x000003738136c556UL;
   tf->codes[57097] = 0x000027b5bdf64f25UL;
   tf->codes[57098] = 0x0000f5f9a92ed947UL;
   tf->codes[57099] = 0x00011dbe686ee9ceUL;
   tf->codes[57100] = 0x00012407a0c27675UL;
   tf->codes[57101] = 0x000151c08081b15fUL;
   tf->codes[57102] = 0x000155743120108aUL;
   tf->codes[57103] = 0x00002d85e633e1f8UL;
   tf->codes[57104] = 0x0000690813d9d6fbUL;
   tf->codes[57105] = 0x00006ea5480c70f2UL;
   tf->codes[57106] = 0x00009a19d46b7e8fUL;
   tf->codes[57107] = 0x000158a2b20c4418UL;
   tf->codes[57108] = 0x00017507bfd67442UL;
   tf->codes[57109] = 0x00017d202d7ea436UL;
   tf->codes[57110] = 0x0001bca655dbe17fUL;
   tf->codes[57111] = 0x0001fa6f5b074346UL;
   tf->codes[57112] = 0x0000b9a945137a6dUL;
   tf->codes[57113] = 0x00014675f7eace15UL;
   tf->codes[57114] = 0x00016cf65af4e96aUL;
   tf->codes[57115] = 0x0000b893844b1078UL;
   tf->codes[57116] = 0x00012385c25b85e5UL;
   tf->codes[57117] = 0x000056d250d86477UL;
   tf->codes[57118] = 0x00015bccf7d3f44eUL;
   tf->codes[57119] = 0x00018163ce740cf2UL;
   tf->codes[57120] = 0x0001ec4d95d8ace6UL;
   tf->codes[57121] = 0x000026a839ad83adUL;
   tf->codes[57122] = 0x000043dab129f0e1UL;
   tf->codes[57123] = 0x000046a216aa081fUL;
   tf->codes[57124] = 0x0000eebf0f4a46cfUL;
   tf->codes[57125] = 0x0000c940de758f88UL;
   tf->codes[57126] = 0x00010171429acabcUL;
   tf->codes[57127] = 0x000159f09b90eca6UL;
   tf->codes[57128] = 0x000175c04a89654fUL;
   tf->codes[57129] = 0x00008a4804d13212UL;
   tf->codes[57130] = 0x0000a0b24fe89088UL;
   tf->codes[57131] = 0x000140361256ef05UL;
   tf->codes[57132] = 0x0001470a98e73551UL;
   tf->codes[57133] = 0x0001c4d7d0453f64UL;
   tf->codes[57134] = 0x00002903414ac8b1UL;
   tf->codes[57135] = 0x000151e8c39b4661UL;
   tf->codes[57136] = 0x0001642f0dc434d5UL;
   tf->codes[57137] = 0x00018f460ba30ab5UL;
   tf->codes[57138] = 0x0001d031461a763bUL;
   tf->codes[57139] = 0x0000e925f988e37bUL;
   tf->codes[57140] = 0x00012657564c540fUL;
   tf->codes[57141] = 0x00014b26f04fcb70UL;
   tf->codes[57142] = 0x000118c4a560ef22UL;
   tf->codes[57143] = 0x00017560e7f3ce33UL;
   tf->codes[57144] = 0x00006671107a08f5UL;
   tf->codes[57145] = 0x0000a22dcd25c2f8UL;
   tf->codes[57146] = 0x0000f86529cb5b45UL;
   tf->codes[57147] = 0x0001d35e85257172UL;
   tf->codes[57148] = 0x00009a513f526ce3UL;
   tf->codes[57149] = 0x00010d287357001fUL;
   tf->codes[57150] = 0x000185009ff9c8bbUL;
   tf->codes[57151] = 0x000117a2e2753dabUL;
   tf->codes[57152] = 0x00011b126896e584UL;
   tf->codes[57153] = 0x00014851c3221b10UL;
   tf->codes[57154] = 0x00011362a1b8ec84UL;
   tf->codes[57155] = 0x000129e650d3cb65UL;
   tf->codes[57156] = 0x00014d953dc8d1a0UL;
   tf->codes[57157] = 0x00003eb94cea0255UL;
   tf->codes[57158] = 0x00006ea8c6841060UL;
   tf->codes[57159] = 0x0000c46b051e1eadUL;
   tf->codes[57160] = 0x00017bda8204d549UL;
   tf->codes[57161] = 0x0001a6624e278f6fUL;
   tf->codes[57162] = 0x0001b94842463905UL;
   tf->codes[57163] = 0x0001d1a8e03b155fUL;
   tf->codes[57164] = 0x0000cf0f8b0881d1UL;
   tf->codes[57165] = 0x0001e49aaadbdd3aUL;
   tf->codes[57166] = 0x0001e8de025463a9UL;
   tf->codes[57167] = 0x00009fdf78814320UL;
   tf->codes[57168] = 0x0001eb565fff98ecUL;
   tf->codes[57169] = 0x00009100d0651cddUL;
   tf->codes[57170] = 0x0001103e4f3d6fe2UL;
   tf->codes[57171] = 0x0001265c33bb4752UL;
   tf->codes[57172] = 0x0001593821571345UL;
   tf->codes[57173] = 0x00007ede9bf6b040UL;
   tf->codes[57174] = 0x000120457a54a7fdUL;
   tf->codes[57175] = 0x000126dbc8eeccf9UL;
   tf->codes[57176] = 0x00016575310fb6cbUL;
   tf->codes[57177] = 0x0001bc15c6b3ad14UL;
   tf->codes[57178] = 0x0000648677ce2b6aUL;
   tf->codes[57179] = 0x0000e02f27742a27UL;
   tf->codes[57180] = 0x0000ad53a06b5bffUL;
   tf->codes[57181] = 0x0001c1b9ba92d8a3UL;
   tf->codes[57182] = 0x0000b967f8b1fc8bUL;
   tf->codes[57183] = 0x00016b5e65aba8c6UL;
   tf->codes[57184] = 0x0001c9ca52b136aeUL;
   tf->codes[57185] = 0x0001eebbc76403f3UL;
   tf->codes[57186] = 0x000093228b40a401UL;
   tf->codes[57187] = 0x00013b2f37ab3b4fUL;
   tf->codes[57188] = 0x0001858ff0573b17UL;
   tf->codes[57189] = 0x000007c0fa82fedfUL;
   tf->codes[57190] = 0x00008e40918763cbUL;
   tf->codes[57191] = 0x0001dbad655039b0UL;
   tf->codes[57192] = 0x00000bd5d406e458UL;
   tf->codes[57193] = 0x00000e8ed054901bUL;
   tf->codes[57194] = 0x00003b402c79d485UL;
   tf->codes[57195] = 0x000093a1c8cf0865UL;
   tf->codes[57196] = 0x00010d821fe310ebUL;
   tf->codes[57197] = 0x000178448f2fd083UL;
   tf->codes[57198] = 0x00002067b4e5aafaUL;
   tf->codes[57199] = 0x0000d6445ff5b171UL;
   tf->codes[57200] = 0x0001176e0cf2440cUL;
   tf->codes[57201] = 0x00018c4da5f71cf7UL;
   tf->codes[57202] = 0x0001f3658afe642cUL;
   tf->codes[57203] = 0x00004fcf058a4267UL;
   tf->codes[57204] = 0x0001027d21230791UL;
   tf->codes[57205] = 0x000125a9e6343aefUL;
   tf->codes[57206] = 0x00012e9b680cce2cUL;
   tf->codes[57207] = 0x0001cc753e3735cbUL;
   tf->codes[57208] = 0x00001ef75055468aUL;
   tf->codes[57209] = 0x00009d5bbafd3646UL;
   tf->codes[57210] = 0x00019c720a0629d3UL;
   tf->codes[57211] = 0x00001e3548071c3bUL;
   tf->codes[57212] = 0x000061424b824ddbUL;
   tf->codes[57213] = 0x0000dd51ea9070e2UL;
   tf->codes[57214] = 0x0000f765d5b130a7UL;
   tf->codes[57215] = 0x000182b6d11f1ae3UL;
   tf->codes[57216] = 0x00007bf3c3068716UL;
   tf->codes[57217] = 0x00015e87bcc267f9UL;
   tf->codes[57218] = 0x00018d7e1bf4eaffUL;
   tf->codes[57219] = 0x0000fa12cfdb94e8UL;
   tf->codes[57220] = 0x00010d6cf7c9b16aUL;
   tf->codes[57221] = 0x00014de43900afc9UL;
   tf->codes[57222] = 0x000165b704939307UL;
   tf->codes[57223] = 0x000169ee76feed72UL;
   tf->codes[57224] = 0x00000fb9282a9ee4UL;
   tf->codes[57225] = 0x00008308ae0d0ce6UL;
   tf->codes[57226] = 0x00013fd84bfb5902UL;
   tf->codes[57227] = 0x000153df9cd5850dUL;
   tf->codes[57228] = 0x0001b4742fa18625UL;
   tf->codes[57229] = 0x0001d977b6771b35UL;
   tf->codes[57230] = 0x0000798024ee8c06UL;
   tf->codes[57231] = 0x0001b0d8afb07ccdUL;
   tf->codes[57232] = 0x0001bcabe548bec7UL;
   tf->codes[57233] = 0x0000274c3f5722b6UL;
   tf->codes[57234] = 0x000074262271848eUL;
   tf->codes[57235] = 0x0000908871876f7cUL;
   tf->codes[57236] = 0x0000ae52cbfad3a8UL;
   tf->codes[57237] = 0x0000f26ac1715253UL;
   tf->codes[57238] = 0x00011318a41c9364UL;
   tf->codes[57239] = 0x000165869510a86bUL;
   tf->codes[57240] = 0x00007f3f16ba6063UL;
   tf->codes[57241] = 0x00008ed42b94673eUL;
   tf->codes[57242] = 0x0001729776202a87UL;
   tf->codes[57243] = 0x000198f1a5dd8259UL;
   tf->codes[57244] = 0x00019f6b2212d05fUL;
   tf->codes[57245] = 0x000074aecf72e33eUL;
   tf->codes[57246] = 0x000081f71a40e753UL;
   tf->codes[57247] = 0x00013897ce1b3e47UL;
   tf->codes[57248] = 0x00015d634a104dceUL;
   tf->codes[57249] = 0x000063d5ff84eac1UL;
   tf->codes[57250] = 0x00007d6abc0522aaUL;
   tf->codes[57251] = 0x0000c060dfa21356UL;
   tf->codes[57252] = 0x000145ec64896c2bUL;
   tf->codes[57253] = 0x0001a8231c9a9ff7UL;
   tf->codes[57254] = 0x000037830d90e769UL;
   tf->codes[57255] = 0x0000a230ac0699faUL;
   tf->codes[57256] = 0x0000c4545394ae75UL;
   tf->codes[57257] = 0x00003428844a449dUL;
   tf->codes[57258] = 0x0000e2a5951c50e8UL;
   tf->codes[57259] = 0x00014824b5c651f6UL;
   tf->codes[57260] = 0x0001943c29ff8bb4UL;
   tf->codes[57261] = 0x0001c5736e30e57cUL;
   tf->codes[57262] = 0x0000644fbfaac4adUL;
   tf->codes[57263] = 0x00006c49c104f548UL;
   tf->codes[57264] = 0x000187bdcbf7605fUL;
   tf->codes[57265] = 0x000054023df985d5UL;
   tf->codes[57266] = 0x00008392549b2dfbUL;
   tf->codes[57267] = 0x0001c1cc6fc5adebUL;
   tf->codes[57268] = 0x000143dbb54417d2UL;
   tf->codes[57269] = 0x0001c1bea7b54600UL;
   tf->codes[57270] = 0x000087d0c1421fc3UL;
   tf->codes[57271] = 0x0000881efc53d4f1UL;
   tf->codes[57272] = 0x0000b4e2300cdb61UL;
   tf->codes[57273] = 0x00013d6b42519516UL;
   tf->codes[57274] = 0x00018c6bf6ba3bf6UL;
   tf->codes[57275] = 0x0001b066d52abdadUL;
   tf->codes[57276] = 0x0001b7df5e4e2cbaUL;
   tf->codes[57277] = 0x000052ff135fcbbdUL;
   tf->codes[57278] = 0x0000bf82895dc8ecUL;
   tf->codes[57279] = 0x0001b52060eedd36UL;
   tf->codes[57280] = 0x00006d215927e93eUL;
   tf->codes[57281] = 0x00013dea4550f3b5UL;
   tf->codes[57282] = 0x00015645dafb5121UL;
   tf->codes[57283] = 0x0001a7aa394e3bbbUL;
   tf->codes[57284] = 0x0001871ab465ec44UL;
   tf->codes[57285] = 0x00018c65ca076ef8UL;
   tf->codes[57286] = 0x0001df72b5442dd2UL;
   tf->codes[57287] = 0x0000016a36fee8c8UL;
   tf->codes[57288] = 0x0000100e32ff2e8dUL;
   tf->codes[57289] = 0x0000146486d693dbUL;
   tf->codes[57290] = 0x00009df565cf5794UL;
   tf->codes[57291] = 0x00013629cbaa5588UL;
   tf->codes[57292] = 0x0001a8b3744a44e5UL;
   tf->codes[57293] = 0x0000dfd8fc762f11UL;
   tf->codes[57294] = 0x00010e60dfd0cf68UL;
   tf->codes[57295] = 0x00017e168e366a34UL;
   tf->codes[57296] = 0x000119b54d5b8751UL;
   tf->codes[57297] = 0x000120de76a22457UL;
   tf->codes[57298] = 0x000008a546c7245cUL;
   tf->codes[57299] = 0x0000b4b54cc70060UL;
   tf->codes[57300] = 0x0001f55b88879983UL;
   tf->codes[57301] = 0x0001a4a5a3efd351UL;
   tf->codes[57302] = 0x0001bf3723c7f28fUL;
   tf->codes[57303] = 0x0001eea94339a6e6UL;
   tf->codes[57304] = 0x0000393fbd2ff285UL;
   tf->codes[57305] = 0x00003b72e8a96f1bUL;
   tf->codes[57306] = 0x000086166c780397UL;
   tf->codes[57307] = 0x0000f7292b6a02b1UL;
   tf->codes[57308] = 0x0001d50adcb76eecUL;
   tf->codes[57309] = 0x0001e3ba8335daf0UL;
   tf->codes[57310] = 0x000007b01eccd7f4UL;
   tf->codes[57311] = 0x000061f2c80a7127UL;
   tf->codes[57312] = 0x000064bf9c68051eUL;
   tf->codes[57313] = 0x000074e0749cd128UL;
   tf->codes[57314] = 0x0000f8004e0c1c54UL;
   tf->codes[57315] = 0x00018c4f257dd15bUL;
   tf->codes[57316] = 0x0001b42a14ef1187UL;
   tf->codes[57317] = 0x000102bc6381d1bbUL;
   tf->codes[57318] = 0x00017869db56f33aUL;
   tf->codes[57319] = 0x0001f9acc5ec40edUL;
   tf->codes[57320] = 0x000044ca3581d892UL;
   tf->codes[57321] = 0x00004d46d3dde794UL;
   tf->codes[57322] = 0x000051b024142bc1UL;
   tf->codes[57323] = 0x000106bad24581caUL;
   tf->codes[57324] = 0x00011c0017b1017bUL;
   tf->codes[57325] = 0x0000d68a5375ff74UL;
   tf->codes[57326] = 0x0001abab015b9f96UL;
   tf->codes[57327] = 0x000072ece0d66749UL;
   tf->codes[57328] = 0x00007808624339edUL;
   tf->codes[57329] = 0x000144dd655b9dbbUL;
   tf->codes[57330] = 0x000021d9a84d6f1fUL;
   tf->codes[57331] = 0x00008108b3e13670UL;
   tf->codes[57332] = 0x0000a38850065a45UL;
   tf->codes[57333] = 0x00012a19498075adUL;
   tf->codes[57334] = 0x00012dd7f4efe9c8UL;
   tf->codes[57335] = 0x000164e77177ae11UL;
   tf->codes[57336] = 0x000180026b1458ccUL;
   tf->codes[57337] = 0x000181d2158707a3UL;
   tf->codes[57338] = 0x0001ecc2b9ae54adUL;
   tf->codes[57339] = 0x00002bdbc58dd1e5UL;
   tf->codes[57340] = 0x000072c4bbfb5a20UL;
   tf->codes[57341] = 0x00017553b77edc4eUL;
   tf->codes[57342] = 0x0001ebb7097ae894UL;
   tf->codes[57343] = 0x00003f21f855eab5UL;
   tf->codes[57344] = 0x00006f90db1f8661UL;
   tf->codes[57345] = 0x0000bd8f1438b5afUL;
   tf->codes[57346] = 0x00010f0eab074edcUL;
   tf->codes[57347] = 0x0001c2eba251eae2UL;
   tf->codes[57348] = 0x0001f2efecc305f4UL;
   tf->codes[57349] = 0x00002ee6fde57f32UL;
   tf->codes[57350] = 0x00017a78f1db8b8bUL;
   tf->codes[57351] = 0x0001a06eb655fe8aUL;
   tf->codes[57352] = 0x0001f8bb47451f9eUL;
   tf->codes[57353] = 0x000001201b86d698UL;
   tf->codes[57354] = 0x00002a55d1ee4160UL;
   tf->codes[57355] = 0x0000ec737ec15b31UL;
   tf->codes[57356] = 0x0001337ae17ce2c5UL;
   tf->codes[57357] = 0x0001cec9f0342c13UL;
   tf->codes[57358] = 0x00002b86e8ab442fUL;
   tf->codes[57359] = 0x00011486dfa61eb1UL;
   tf->codes[57360] = 0x0000064590728b9aUL;
   tf->codes[57361] = 0x000045bfc5378f20UL;
   tf->codes[57362] = 0x00007aa2b8797e24UL;
   tf->codes[57363] = 0x0000b7cc13af24c9UL;
   tf->codes[57364] = 0x00003c143c9e9b83UL;
   tf->codes[57365] = 0x0001453359a6a6e6UL;
   tf->codes[57366] = 0x000182c5b34ba5c2UL;
   tf->codes[57367] = 0x0001fbe9c89421f5UL;
   tf->codes[57368] = 0x00004ebd499638a8UL;
   tf->codes[57369] = 0x00009c9932e20688UL;
   tf->codes[57370] = 0x0000c0be281eadd7UL;
   tf->codes[57371] = 0x0001a4c687633f86UL;
   tf->codes[57372] = 0x0001bf4c5cbd3885UL;
   tf->codes[57373] = 0x0001f232d00c0ddeUL;
   tf->codes[57374] = 0x00002648599bbfd8UL;
   tf->codes[57375] = 0x000026610df22ef4UL;
   tf->codes[57376] = 0x0000add0d3943de2UL;
   tf->codes[57377] = 0x0000b78573fb0a88UL;
   tf->codes[57378] = 0x0000bfbb9e442886UL;
   tf->codes[57379] = 0x0000f735edb3732eUL;
   tf->codes[57380] = 0x00012bfff20fed51UL;
   tf->codes[57381] = 0x0001b57bc5a29e3eUL;
   tf->codes[57382] = 0x0001f15011d9aa84UL;
   tf->codes[57383] = 0x000059aed73c2662UL;
   tf->codes[57384] = 0x0000de48590da70dUL;
   tf->codes[57385] = 0x00012e7f7597e32eUL;
   tf->codes[57386] = 0x000135af7ba12d4aUL;
   tf->codes[57387] = 0x00013d6fd831aff9UL;
   tf->codes[57388] = 0x0001a0893fea3960UL;
   tf->codes[57389] = 0x0001c417ec19121aUL;
   tf->codes[57390] = 0x000075307726e1e3UL;
   tf->codes[57391] = 0x00007c1af359520fUL;
   tf->codes[57392] = 0x0000cbaebcfd76beUL;
   tf->codes[57393] = 0x00010f25e3b31d6eUL;
   tf->codes[57394] = 0x00007faa712713e5UL;
   tf->codes[57395] = 0x0001252dfe92c304UL;
   tf->codes[57396] = 0x000153a7039cec56UL;
   tf->codes[57397] = 0x00015412c0c089c9UL;
   tf->codes[57398] = 0x00006d6711b662b3UL;
   tf->codes[57399] = 0x000156b9d6ef65c7UL;
   tf->codes[57400] = 0x00017d48ddbaf25cUL;
   tf->codes[57401] = 0x0001e3e0a9e59aa1UL;
   tf->codes[57402] = 0x00017cb62f127258UL;
   tf->codes[57403] = 0x0001b9bf8410f141UL;
   tf->codes[57404] = 0x0001ea7a58560869UL;
   tf->codes[57405] = 0x00004880b54d94a5UL;
   tf->codes[57406] = 0x0001193fd9fbb4c4UL;
   tf->codes[57407] = 0x0000408d0d0cf7d7UL;
   tf->codes[57408] = 0x0000587c7075ac46UL;
   tf->codes[57409] = 0x0001fe756c7de72dUL;
   tf->codes[57410] = 0x0000a8b21f1ab80aUL;
   tf->codes[57411] = 0x00010d511442a2f4UL;
   tf->codes[57412] = 0x000189524a1e5a80UL;
   tf->codes[57413] = 0x0001cac4b4c417d1UL;
   tf->codes[57414] = 0x0001eca51c118c0eUL;
   tf->codes[57415] = 0x00007fdce1ebc241UL;
   tf->codes[57416] = 0x000134e7558e1285UL;
   tf->codes[57417] = 0x0001ce2a90e3bf99UL;
   tf->codes[57418] = 0x0000426452dd419bUL;
   tf->codes[57419] = 0x0000ce1b18e83348UL;
   tf->codes[57420] = 0x0000ec9a63466b27UL;
   tf->codes[57421] = 0x000120d4fb57c3cbUL;
   tf->codes[57422] = 0x00015f382d10563cUL;
   tf->codes[57423] = 0x0000072b0ee46f54UL;
   tf->codes[57424] = 0x000014605d53948aUL;
   tf->codes[57425] = 0x0000c3fe90521d85UL;
   tf->codes[57426] = 0x0000f2b90124b8edUL;
   tf->codes[57427] = 0x0001459cfa606f08UL;
   tf->codes[57428] = 0x00014e6bf1dc9b12UL;
   tf->codes[57429] = 0x0001a747b487d7e0UL;
   tf->codes[57430] = 0x0001b52c005b3ac7UL;
   tf->codes[57431] = 0x00009255c87a884eUL;
   tf->codes[57432] = 0x00009e9237112844UL;
   tf->codes[57433] = 0x0000db7e448cc4adUL;
   tf->codes[57434] = 0x000105a6e8461eb3UL;
   tf->codes[57435] = 0x00011b32dc53952dUL;
   tf->codes[57436] = 0x00017eee37981368UL;
   tf->codes[57437] = 0x0001ff5f9a6cbc37UL;
   tf->codes[57438] = 0x0000a8aea2912289UL;
   tf->codes[57439] = 0x0000e0e4841ee835UL;
   tf->codes[57440] = 0x00004b46bc3926d7UL;
   tf->codes[57441] = 0x000195f3e2f59be9UL;
   tf->codes[57442] = 0x0001e7d7e50719e9UL;
   tf->codes[57443] = 0x000095d8c07be959UL;
   tf->codes[57444] = 0x0000975bc9c60b65UL;
   tf->codes[57445] = 0x00013edab259b756UL;
   tf->codes[57446] = 0x00016d63456168fcUL;
   tf->codes[57447] = 0x00017ca885409246UL;
   tf->codes[57448] = 0x0001f4fc3793866eUL;
   tf->codes[57449] = 0x0000b2b8d04d2bc6UL;
   tf->codes[57450] = 0x0000b8917dc1a1d1UL;
   tf->codes[57451] = 0x0001665a4e55ebb8UL;
   tf->codes[57452] = 0x0001ac85690ebf3dUL;
   tf->codes[57453] = 0x00002bc8654f9cbaUL;
   tf->codes[57454] = 0x000091e88f497b88UL;
   tf->codes[57455] = 0x0000af49eb4d877dUL;
   tf->codes[57456] = 0x0001ab5f6a9bbba5UL;
   tf->codes[57457] = 0x000055848dad3a3fUL;
   tf->codes[57458] = 0x00005843f19f878eUL;
   tf->codes[57459] = 0x0000bce1fc8b5b64UL;
   tf->codes[57460] = 0x0000c1d5eb5147e7UL;
   tf->codes[57461] = 0x00007aeb86fe8f4fUL;
   tf->codes[57462] = 0x00007c290671d76bUL;
   tf->codes[57463] = 0x0000e0505968f8deUL;
   tf->codes[57464] = 0x000199ae9cbd6ef9UL;
   tf->codes[57465] = 0x000065d134103e8bUL;
   tf->codes[57466] = 0x000117583af5f103UL;
   tf->codes[57467] = 0x00016043de6c2eb0UL;
   tf->codes[57468] = 0x00019a38b7a3fe06UL;
   tf->codes[57469] = 0x00019c12e7c9b643UL;
   tf->codes[57470] = 0x0001d950d947642aUL;
   tf->codes[57471] = 0x0001e51f41242cfbUL;
   tf->codes[57472] = 0x00008850871b4edcUL;
   tf->codes[57473] = 0x000191c48168b6beUL;
   tf->codes[57474] = 0x00003ef18b86a798UL;
   tf->codes[57475] = 0x0000b6e9be6097f0UL;
   tf->codes[57476] = 0x0000bb0005c9adc6UL;
   tf->codes[57477] = 0x00006281fda2a0bbUL;
   tf->codes[57478] = 0x00003e4ae7b823e2UL;
   tf->codes[57479] = 0x000185afeef5df36UL;
   tf->codes[57480] = 0x00018c03726d6f7eUL;
   tf->codes[57481] = 0x0001a2828e5bdafbUL;
   tf->codes[57482] = 0x0001de0ff161eab3UL;
   tf->codes[57483] = 0x000056821002de34UL;
   tf->codes[57484] = 0x0000fba29185cb1eUL;
   tf->codes[57485] = 0x000138f5c8f89196UL;
   tf->codes[57486] = 0x00013f01ee2119c6UL;
   tf->codes[57487] = 0x0001da2f974718baUL;
   tf->codes[57488] = 0x000046f9bbe70cb2UL;
   tf->codes[57489] = 0x0000fb9195a3126dUL;
   tf->codes[57490] = 0x000112fa788a8660UL;
   tf->codes[57491] = 0x000150068c3d4a85UL;
   tf->codes[57492] = 0x000187a5ea2e3bd7UL;
   tf->codes[57493] = 0x000192b6eb745b7cUL;
   tf->codes[57494] = 0x0000e462be184a31UL;
   tf->codes[57495] = 0x00012787511ece14UL;
   tf->codes[57496] = 0x00015fe9930ef30aUL;
   tf->codes[57497] = 0x00005d44935e393dUL;
   tf->codes[57498] = 0x00007f95106cb88cUL;
   tf->codes[57499] = 0x0001c0460c6f60daUL;
   tf->codes[57500] = 0x00003b912d9527daUL;
   tf->codes[57501] = 0x0000464674d33deaUL;
   tf->codes[57502] = 0x0000e77423859345UL;
   tf->codes[57503] = 0x0000fa169cd496d8UL;
   tf->codes[57504] = 0x00015168b4020a49UL;
   tf->codes[57505] = 0x00016df170f3be7fUL;
   tf->codes[57506] = 0x0001dc8fd332d4b2UL;
   tf->codes[57507] = 0x000022c9cc3c1f3cUL;
   tf->codes[57508] = 0x000024115c446534UL;
   tf->codes[57509] = 0x0000660c91019cb3UL;
   tf->codes[57510] = 0x0000ae184384ca01UL;
   tf->codes[57511] = 0x0000dd50839dcaa7UL;
   tf->codes[57512] = 0x0001c25705946649UL;
   tf->codes[57513] = 0x0000997e0973182dUL;
   tf->codes[57514] = 0x0000b43cd3e9adc9UL;
   tf->codes[57515] = 0x00019557d4f06a7cUL;
   tf->codes[57516] = 0x00000c171b83861cUL;
   tf->codes[57517] = 0x000092bc70b6a301UL;
   tf->codes[57518] = 0x0000092889ef8688UL;
   tf->codes[57519] = 0x0000ebfc9019b6e3UL;
   tf->codes[57520] = 0x0001b7c3e282886aUL;
   tf->codes[57521] = 0x00007f61417653edUL;
   tf->codes[57522] = 0x00008043f11da988UL;
   tf->codes[57523] = 0x0000ba18c41e5122UL;
   tf->codes[57524] = 0x000192aacc9dc745UL;
   tf->codes[57525] = 0x000031b9ab8fa187UL;
   tf->codes[57526] = 0x00010dba1565a2aaUL;
   tf->codes[57527] = 0x000126de8195c9bcUL;
   tf->codes[57528] = 0x000161c523546b77UL;
   tf->codes[57529] = 0x0001d5f63413123bUL;
   tf->codes[57530] = 0x0000099505ae11d2UL;
   tf->codes[57531] = 0x00019425339aea9bUL;
   tf->codes[57532] = 0x000026c29258ea5fUL;
   tf->codes[57533] = 0x00012917ae83b8dcUL;
   tf->codes[57534] = 0x00009cd3078bc054UL;
   tf->codes[57535] = 0x00015494dd9293f8UL;
   tf->codes[57536] = 0x0001c8974458a1c0UL;
   tf->codes[57537] = 0x0001d1ae845fecf6UL;
   tf->codes[57538] = 0x000005530df27ccaUL;
   tf->codes[57539] = 0x00000bc363cee408UL;
   tf->codes[57540] = 0x000032e66a120580UL;
   tf->codes[57541] = 0x000117ba991fabd6UL;
   tf->codes[57542] = 0x00013b01e6ff7c78UL;
   tf->codes[57543] = 0x0001b9f45e986b15UL;
   tf->codes[57544] = 0x0001cba0f1523469UL;
   tf->codes[57545] = 0x0001ee09730a1185UL;
   tf->codes[57546] = 0x00012d51b4022f46UL;
   tf->codes[57547] = 0x0001de2172dbc69aUL;
   tf->codes[57548] = 0x0000ce985910e7c6UL;
   tf->codes[57549] = 0x0000f8699b5fa5d6UL;
   tf->codes[57550] = 0x0001978dfad59e6eUL;
   tf->codes[57551] = 0x00002442e3929a0eUL;
   tf->codes[57552] = 0x0000a613a089e0ddUL;
   tf->codes[57553] = 0x0000fb7d58ee365bUL;
   tf->codes[57554] = 0x000101463dd61e4dUL;
   tf->codes[57555] = 0x000135ac117eb962UL;
   tf->codes[57556] = 0x000006b518a12110UL;
   tf->codes[57557] = 0x0000388096d91580UL;
   tf->codes[57558] = 0x000044d78e3e52baUL;
   tf->codes[57559] = 0x0000b92c4e247d8aUL;
   tf->codes[57560] = 0x0000b93f0ff456a4UL;
   tf->codes[57561] = 0x0000dd2b85326ce0UL;
   tf->codes[57562] = 0x0000f43490036f64UL;
   tf->codes[57563] = 0x00014b26cf1a7166UL;
   tf->codes[57564] = 0x00018604fa2d3da8UL;
   tf->codes[57565] = 0x0001e3ba97edd53fUL;
   tf->codes[57566] = 0x00002941eaa285c8UL;
   tf->codes[57567] = 0x00007a684b8e54d7UL;
   tf->codes[57568] = 0x000090899e6d82d2UL;
   tf->codes[57569] = 0x0000f47ba53863f8UL;
   tf->codes[57570] = 0x000119679c82a6c5UL;
   tf->codes[57571] = 0x0001f89ed1ecb8e9UL;
   tf->codes[57572] = 0x00003dbb51b9e313UL;
   tf->codes[57573] = 0x0000c8563871dcc3UL;
   tf->codes[57574] = 0x000140c314394b91UL;
   tf->codes[57575] = 0x0001a9676372a15fUL;
   tf->codes[57576] = 0x00005a7568cd67c2UL;
   tf->codes[57577] = 0x00013cc279584c17UL;
   tf->codes[57578] = 0x000142fac4542dccUL;
   tf->codes[57579] = 0x0001bca0174465c8UL;
   tf->codes[57580] = 0x0001e446df548280UL;
   tf->codes[57581] = 0x000002bfc20e18d3UL;
   tf->codes[57582] = 0x00002c63b9be6085UL;
   tf->codes[57583] = 0x00009c0b3980959bUL;
   tf->codes[57584] = 0x0000c4171c80a875UL;
   tf->codes[57585] = 0x0000fedb6e71e8c2UL;
   tf->codes[57586] = 0x0001ac830578e055UL;
   tf->codes[57587] = 0x0001ecbcbe66ceb3UL;
   tf->codes[57588] = 0x00005030463e394cUL;
   tf->codes[57589] = 0x0000b6e4aa3eb2c2UL;
   tf->codes[57590] = 0x000122a6d626a4b0UL;
   tf->codes[57591] = 0x00014a7f4172a565UL;
   tf->codes[57592] = 0x0001c6f6ba2503caUL;
   tf->codes[57593] = 0x0000161098022550UL;
   tf->codes[57594] = 0x0000522e8c1e7360UL;
   tf->codes[57595] = 0x000052853ddbfe07UL;
   tf->codes[57596] = 0x00008664cb925e65UL;
   tf->codes[57597] = 0x0000b198c7da0341UL;
   tf->codes[57598] = 0x0000b73cd8cf4a4eUL;
   tf->codes[57599] = 0x000123e81c033363UL;
   tf->codes[57600] = 0x0001496bbbb56763UL;
   tf->codes[57601] = 0x0001823686f6d906UL;
   tf->codes[57602] = 0x00019e20bebdeef3UL;
   tf->codes[57603] = 0x0001bf20104d35f8UL;
   tf->codes[57604] = 0x000032a67c450caaUL;
   tf->codes[57605] = 0x0000b7e943833ac9UL;
   tf->codes[57606] = 0x0000be20ded20b2fUL;
   tf->codes[57607] = 0x00010f6ab4565885UL;
   tf->codes[57608] = 0x0001de3b87b4c4afUL;
   tf->codes[57609] = 0x0000196a376f7fd1UL;
   tf->codes[57610] = 0x00002a33dff2edc5UL;
   tf->codes[57611] = 0x000078f2b3751705UL;
   tf->codes[57612] = 0x00009a8d565cab8dUL;
   tf->codes[57613] = 0x0000e82f604fc5bcUL;
   tf->codes[57614] = 0x00011716a6a2cbf8UL;
   tf->codes[57615] = 0x0001b0c4b4dfff6bUL;
   tf->codes[57616] = 0x0000ad00dc9902a0UL;
   tf->codes[57617] = 0x0000f053a47a13f5UL;
   tf->codes[57618] = 0x0000bcdb322fcfe7UL;
   tf->codes[57619] = 0x0000db7c1cae57e5UL;
   tf->codes[57620] = 0x0000ec307f3cad48UL;
   tf->codes[57621] = 0x0001bde6e9da2a44UL;
   tf->codes[57622] = 0x00005165d37462caUL;
   tf->codes[57623] = 0x000053b60be1bc1bUL;
   tf->codes[57624] = 0x000192ff6319e8f6UL;
   tf->codes[57625] = 0x0001cf5c3ed969a5UL;
   tf->codes[57626] = 0x00009f38b3e03429UL;
   tf->codes[57627] = 0x0000c44476d298edUL;
   tf->codes[57628] = 0x00019b31d5e79ce5UL;
   tf->codes[57629] = 0x0001d7700aca1876UL;
   tf->codes[57630] = 0x00004fc17386d2ecUL;
   tf->codes[57631] = 0x00006a649063ae6bUL;
   tf->codes[57632] = 0x00006c1e0aa52d9dUL;
   tf->codes[57633] = 0x00009b93235a2cf5UL;
   tf->codes[57634] = 0x0000e8047d234220UL;
   tf->codes[57635] = 0x000132b62f953c52UL;
   tf->codes[57636] = 0x0000144180ec09dcUL;
   tf->codes[57637] = 0x00018a9ef6637c23UL;
   tf->codes[57638] = 0x000049d1c91e006fUL;
   tf->codes[57639] = 0x000064d1ff5d0821UL;
   tf->codes[57640] = 0x0000a983ac42abecUL;
   tf->codes[57641] = 0x0000da4ef8c1627cUL;
   tf->codes[57642] = 0x0001501dd627ce55UL;
   tf->codes[57643] = 0x0001f0fcd4aa62f8UL;
   tf->codes[57644] = 0x0001f8fa4465ea1eUL;
   tf->codes[57645] = 0x000133fe091a6497UL;
   tf->codes[57646] = 0x0001887cd5ba94c6UL;
   tf->codes[57647] = 0x000053660ba88416UL;
   tf->codes[57648] = 0x0000988ac7927df4UL;
   tf->codes[57649] = 0x00016ae7b8e86328UL;
   tf->codes[57650] = 0x0001ee3bf447d78dUL;
   tf->codes[57651] = 0x000027e8bf838d7cUL;
   tf->codes[57652] = 0x0000a61977e8654eUL;
   tf->codes[57653] = 0x0001539de370f21eUL;
   tf->codes[57654] = 0x0001af80a2ec8a18UL;
   tf->codes[57655] = 0x0001c02711667f8aUL;
   tf->codes[57656] = 0x00014092229882d0UL;
   tf->codes[57657] = 0x000141aca291582fUL;
   tf->codes[57658] = 0x0001c6b5ff94de27UL;
   tf->codes[57659] = 0x0001c7bd489fcee2UL;
   tf->codes[57660] = 0x0001e0e857039d45UL;
   tf->codes[57661] = 0x0001e219072da249UL;
   tf->codes[57662] = 0x0001ef68de6b64c3UL;
   tf->codes[57663] = 0x000068b117f9708cUL;
   tf->codes[57664] = 0x0001d405189a8193UL;
   tf->codes[57665] = 0x000009605dba4b5dUL;
   tf->codes[57666] = 0x000072aa83fef814UL;
   tf->codes[57667] = 0x0000bfd97eedbc30UL;
   tf->codes[57668] = 0x00010c8fed6f9fc1UL;
   tf->codes[57669] = 0x0001c646b6f9ceabUL;
   tf->codes[57670] = 0x0001769b4f3f49faUL;
   tf->codes[57671] = 0x00000e84734bddc1UL;
   tf->codes[57672] = 0x00009e0c6c0716deUL;
   tf->codes[57673] = 0x00009f73c7b77ecdUL;
   tf->codes[57674] = 0x0000f2799ba28accUL;
   tf->codes[57675] = 0x00012860deac1f8aUL;
   tf->codes[57676] = 0x00018a83b0225d63UL;
   tf->codes[57677] = 0x000195154838ef67UL;
   tf->codes[57678] = 0x0000a15fc0e5eb51UL;
   tf->codes[57679] = 0x0001f410586f8b4aUL;
   tf->codes[57680] = 0x000098a257e36dc9UL;
   tf->codes[57681] = 0x0000dfab54881dc0UL;
   tf->codes[57682] = 0x000104d0f09c0e79UL;
   tf->codes[57683] = 0x00016675b83ce14fUL;
   tf->codes[57684] = 0x0001c9be799b1501UL;
   tf->codes[57685] = 0x0001cc61f564a26eUL;
   tf->codes[57686] = 0x00005d0a9b2e4cb1UL;
   tf->codes[57687] = 0x0001f7c8f4424de5UL;
   tf->codes[57688] = 0x0001fe197e76932cUL;
   tf->codes[57689] = 0x000010e22b125a42UL;
   tf->codes[57690] = 0x00004319666dec25UL;
   tf->codes[57691] = 0x00019a789d75a476UL;
   tf->codes[57692] = 0x00009234cfa9284fUL;
   tf->codes[57693] = 0x000167b8fe959630UL;
   tf->codes[57694] = 0x0001a8d1be3a7dd9UL;
   tf->codes[57695] = 0x0001b9ea16edac85UL;
   tf->codes[57696] = 0x0001b6eca70935ecUL;
   tf->codes[57697] = 0x0001bf94bb8b8d24UL;
   tf->codes[57698] = 0x0001d1f9e720867bUL;
   tf->codes[57699] = 0x0000609c36f11efcUL;
   tf->codes[57700] = 0x00012265f0baf362UL;
   tf->codes[57701] = 0x000031d7e18d7dbeUL;
   tf->codes[57702] = 0x00003d1baada9e39UL;
   tf->codes[57703] = 0x0000b8ef9617df67UL;
   tf->codes[57704] = 0x00016ae6b2be9cf1UL;
   tf->codes[57705] = 0x0001ccdf32d9af6dUL;
   tf->codes[57706] = 0x000009f3bd38490bUL;
   tf->codes[57707] = 0x00004fdb5d21768dUL;
   tf->codes[57708] = 0x00006af77b893e21UL;
   tf->codes[57709] = 0x00002848a7b047ceUL;
   tf->codes[57710] = 0x0000d0865634bf89UL;
   tf->codes[57711] = 0x0000ead4d05b444eUL;
   tf->codes[57712] = 0x00012b46599ab270UL;
   tf->codes[57713] = 0x00014a5968e1796dUL;
   tf->codes[57714] = 0x0001ca85f18c599bUL;
   tf->codes[57715] = 0x00002f317b6e81d8UL;
   tf->codes[57716] = 0x000073a4b5cefe8eUL;
   tf->codes[57717] = 0x0001ac445b7b29c3UL;
   tf->codes[57718] = 0x000060a131135ef4UL;
   tf->codes[57719] = 0x000168483fa25d3bUL;
   tf->codes[57720] = 0x00016bf54e0d1515UL;
   tf->codes[57721] = 0x0000e25cd4198538UL;
   tf->codes[57722] = 0x0001510df8287485UL;
   tf->codes[57723] = 0x0001904b62dc8718UL;
   tf->codes[57724] = 0x0000ef068b31dd45UL;
   tf->codes[57725] = 0x00019ce16de8eef7UL;
   tf->codes[57726] = 0x00002b56adaa16dfUL;
   tf->codes[57727] = 0x0000dd7ef86eacdcUL;
   tf->codes[57728] = 0x0000e9abd907c47eUL;
   tf->codes[57729] = 0x00013f7569828b6bUL;
   tf->codes[57730] = 0x0001652c0bcac606UL;
   tf->codes[57731] = 0x0001823347aff0c9UL;
   tf->codes[57732] = 0x0000197ab2bf9581UL;
   tf->codes[57733] = 0x0001125d84882082UL;
   tf->codes[57734] = 0x00015ae14e5a22d1UL;
   tf->codes[57735] = 0x0001636a81706f26UL;
   tf->codes[57736] = 0x0001dff7b535f1a6UL;
   tf->codes[57737] = 0x00003a07d0fb8fc8UL;
   tf->codes[57738] = 0x000068fb7179cd92UL;
   tf->codes[57739] = 0x0001642b47dd611eUL;
   tf->codes[57740] = 0x0001f5fc27253aecUL;
   tf->codes[57741] = 0x00012365f798a597UL;
   tf->codes[57742] = 0x00019b59d1d52850UL;
   tf->codes[57743] = 0x0001e71676426f8dUL;
   tf->codes[57744] = 0x000035d3754c6aa5UL;
   tf->codes[57745] = 0x0001780fb6b604b3UL;
   tf->codes[57746] = 0x00019497144d964bUL;
   tf->codes[57747] = 0x0001a03990e60b5cUL;
   tf->codes[57748] = 0x0001c30caaf66912UL;
   tf->codes[57749] = 0x00000b57451cc8ffUL;
   tf->codes[57750] = 0x0001530878650594UL;
   tf->codes[57751] = 0x0000174619c3b757UL;
   tf->codes[57752] = 0x000030ead95f831eUL;
   tf->codes[57753] = 0x0000378546080ff4UL;
   tf->codes[57754] = 0x00005a6de09c8c00UL;
   tf->codes[57755] = 0x00011309ef9edfc6UL;
   tf->codes[57756] = 0x000142b28007f143UL;
   tf->codes[57757] = 0x0000bee9c7bef66eUL;
   tf->codes[57758] = 0x0000f6fdce9d6636UL;
   tf->codes[57759] = 0x0001297f618b4b32UL;
   tf->codes[57760] = 0x00016fa44f2e82f0UL;
   tf->codes[57761] = 0x000171e1161ef1d8UL;
   tf->codes[57762] = 0x00019aaa2526a819UL;
   tf->codes[57763] = 0x0001bf8aac81ca6cUL;
   tf->codes[57764] = 0x00009c07fb6219b9UL;
   tf->codes[57765] = 0x00009e0b5817e07aUL;
   tf->codes[57766] = 0x0000f2fc0ef149e3UL;
   tf->codes[57767] = 0x0001217bb62f1a86UL;
   tf->codes[57768] = 0x0001244ae2adf5eeUL;
   tf->codes[57769] = 0x00016cfad25351c2UL;
   tf->codes[57770] = 0x00018795788457c8UL;
   tf->codes[57771] = 0x0001d17a3662207aUL;
   tf->codes[57772] = 0x0001dab9091051d1UL;
   tf->codes[57773] = 0x000174400fc6a6b0UL;
   tf->codes[57774] = 0x0001f1738fb58ba3UL;
   tf->codes[57775] = 0x000076717cc9f121UL;
   tf->codes[57776] = 0x00008e4b5fae873aUL;
   tf->codes[57777] = 0x0000eebfb1b45ad1UL;
   tf->codes[57778] = 0x0001d832b7b38b66UL;
   tf->codes[57779] = 0x0001f99a58051953UL;
   tf->codes[57780] = 0x0000e6afe6bbf85cUL;
   tf->codes[57781] = 0x0001f2a3e83a6f64UL;
   tf->codes[57782] = 0x0000a1049bc5b043UL;
   tf->codes[57783] = 0x00012e4affd5014fUL;
   tf->codes[57784] = 0x0001b249dffb45c6UL;
   tf->codes[57785] = 0x0000113d37be2b3eUL;
   tf->codes[57786] = 0x0000f9506e7cb249UL;
   tf->codes[57787] = 0x00013532e9572445UL;
   tf->codes[57788] = 0x0001c7c7d1694e90UL;
   tf->codes[57789] = 0x0000406febe393adUL;
   tf->codes[57790] = 0x0000408c0e9b5954UL;
   tf->codes[57791] = 0x0000e609e40f7836UL;
   tf->codes[57792] = 0x00012ca96d26c46cUL;
   tf->codes[57793] = 0x0000208bbb6f2597UL;
   tf->codes[57794] = 0x00002a40d0f3fdc7UL;
   tf->codes[57795] = 0x000056583b1b174cUL;
   tf->codes[57796] = 0x000057f5cd33d69cUL;
   tf->codes[57797] = 0x00005b8bc13147bdUL;
   tf->codes[57798] = 0x0000a7f3f4a17620UL;
   tf->codes[57799] = 0x0000f135d4b732eaUL;
   tf->codes[57800] = 0x0001abcba4f85b1fUL;
   tf->codes[57801] = 0x0001b1a835ec333fUL;
   tf->codes[57802] = 0x0001f89634a43a68UL;
   tf->codes[57803] = 0x00007e10cc33e84bUL;
   tf->codes[57804] = 0x000102cf21f809dbUL;
   tf->codes[57805] = 0x00016d777d9437b9UL;
   tf->codes[57806] = 0x0001bf421ba2354eUL;
   tf->codes[57807] = 0x00002ed9232acafcUL;
   tf->codes[57808] = 0x000071d2057c00e4UL;
   tf->codes[57809] = 0x00016ab168e3355aUL;
   tf->codes[57810] = 0x00017b145c8d84c9UL;
   tf->codes[57811] = 0x0000a5fe9aedebd8UL;
   tf->codes[57812] = 0x0001940e2e486cfaUL;
   tf->codes[57813] = 0x0001645e3d73951eUL;
   tf->codes[57814] = 0x0001d1e4a3df1569UL;
   tf->codes[57815] = 0x0001f2bfd128ccd8UL;
   tf->codes[57816] = 0x00007e3bcd9ef3c0UL;
   tf->codes[57817] = 0x0001323bfef30848UL;
   tf->codes[57818] = 0x000166d6a9a9d820UL;
   tf->codes[57819] = 0x0001c309b33e5935UL;
   tf->codes[57820] = 0x000005285c940efbUL;
   tf->codes[57821] = 0x00008fa21849c416UL;
   tf->codes[57822] = 0x0000d3b197146d48UL;
   tf->codes[57823] = 0x0000d87abf6122e4UL;
   tf->codes[57824] = 0x00001cf770ab882aUL;
   tf->codes[57825] = 0x0000cfdf310dfb40UL;
   tf->codes[57826] = 0x000177072d5516c5UL;
   tf->codes[57827] = 0x000185a4fc3fc0c3UL;
   tf->codes[57828] = 0x00018f0f45143a50UL;
   tf->codes[57829] = 0x0001d8d9ef417148UL;
   tf->codes[57830] = 0x00006087029d8a72UL;
   tf->codes[57831] = 0x0001219564d7e999UL;
   tf->codes[57832] = 0x00012b907951a743UL;
   tf->codes[57833] = 0x0001351b780a59dbUL;
   tf->codes[57834] = 0x0001f82cc1dc7439UL;
   tf->codes[57835] = 0x00005a383e566594UL;
   tf->codes[57836] = 0x0000b53b476df2f4UL;
   tf->codes[57837] = 0x000125a70a897e4cUL;
   tf->codes[57838] = 0x0001e28c28fbe8beUL;
   tf->codes[57839] = 0x000166217107bfb2UL;
   tf->codes[57840] = 0x00016f5a8bbe60ccUL;
   tf->codes[57841] = 0x00004d1260cead34UL;
   tf->codes[57842] = 0x0001111d3a265e21UL;
   tf->codes[57843] = 0x000156405c272f9cUL;
   tf->codes[57844] = 0x000197f850a3c6ddUL;
   tf->codes[57845] = 0x0001c2776b8ba5c5UL;
   tf->codes[57846] = 0x0001d45e182d288fUL;
   tf->codes[57847] = 0x0000570aa80917e3UL;
   tf->codes[57848] = 0x00006945bcd1eba2UL;
   tf->codes[57849] = 0x0000a6cbf6dab8b5UL;
   tf->codes[57850] = 0x00015d4ad005b9c5UL;
   tf->codes[57851] = 0x0001b18621d643f1UL;
   tf->codes[57852] = 0x0001c22921eee2d8UL;
   tf->codes[57853] = 0x0001d9e3392b56faUL;
   tf->codes[57854] = 0x0000330360e250dfUL;
   tf->codes[57855] = 0x00004038e9e07bdaUL;
   tf->codes[57856] = 0x0000de960cb9d32fUL;
   tf->codes[57857] = 0x00016943efd0abbeUL;
   tf->codes[57858] = 0x00003ec60fb5e5b2UL;
   tf->codes[57859] = 0x0000fb573b1f0ab9UL;
   tf->codes[57860] = 0x000124b61e168405UL;
   tf->codes[57861] = 0x00017a6a1f821eddUL;
   tf->codes[57862] = 0x0001a3ab0b49a45aUL;
   tf->codes[57863] = 0x000081d7fe657ac2UL;
   tf->codes[57864] = 0x000096d77f6b1abeUL;
   tf->codes[57865] = 0x0000de91887b3c53UL;
   tf->codes[57866] = 0x00013d1071dfa91aUL;
   tf->codes[57867] = 0x000007b3a8d8b2f0UL;
   tf->codes[57868] = 0x00002436e861dcaeUL;
   tf->codes[57869] = 0x000036bc54bd0386UL;
   tf->codes[57870] = 0x00004e27bbc9b6f0UL;
   tf->codes[57871] = 0x00012c1d53b2191eUL;
   tf->codes[57872] = 0x0000561e40378341UL;
   tf->codes[57873] = 0x0000eea5aedfaf8cUL;
   tf->codes[57874] = 0x0000d832a4026819UL;
   tf->codes[57875] = 0x0001029d63314584UL;
   tf->codes[57876] = 0x00012b38ed0b7fa2UL;
   tf->codes[57877] = 0x000007abb638c589UL;
   tf->codes[57878] = 0x0000feeee6e15d4dUL;
   tf->codes[57879] = 0x000149280ce676f4UL;
   tf->codes[57880] = 0x000154a2472af495UL;
   tf->codes[57881] = 0x000176025b0cc41dUL;
   tf->codes[57882] = 0x0001b494e66b00d9UL;
   tf->codes[57883] = 0x00000e06b7950677UL;
   tf->codes[57884] = 0x0000787951e6e87eUL;
   tf->codes[57885] = 0x0000d01c284b5094UL;
   tf->codes[57886] = 0x0000ef97fb726a03UL;
   tf->codes[57887] = 0x0000efca13cc598aUL;
   tf->codes[57888] = 0x00010c4cde3777beUL;
   tf->codes[57889] = 0x000015c655ed6a18UL;
   tf->codes[57890] = 0x00010481784ad260UL;
   tf->codes[57891] = 0x000029d599ca5253UL;
   tf->codes[57892] = 0x0000cd525c1ee426UL;
   tf->codes[57893] = 0x000106b962f4ba60UL;
   tf->codes[57894] = 0x00013585ab5b17ceUL;
   tf->codes[57895] = 0x000123e9bcdee5e8UL;
   tf->codes[57896] = 0x00016bb2a43f7e82UL;
   tf->codes[57897] = 0x0001eaf9f91dc99eUL;
   tf->codes[57898] = 0x000030d9225b21a7UL;
   tf->codes[57899] = 0x00006743b213a61bUL;
   tf->codes[57900] = 0x00012f70f2709ea7UL;
   tf->codes[57901] = 0x0001e7d9c44de60dUL;
   tf->codes[57902] = 0x0001eb201ddf7f62UL;
   tf->codes[57903] = 0x00000fbb1b63c7c5UL;
   tf->codes[57904] = 0x00006c156e851b77UL;
   tf->codes[57905] = 0x00008e0fe983216eUL;
   tf->codes[57906] = 0x0000ac5c6bda5877UL;
   tf->codes[57907] = 0x0001077da6b0df6bUL;
   tf->codes[57908] = 0x000154ea29e8b388UL;
   tf->codes[57909] = 0x00014739473e5507UL;
   tf->codes[57910] = 0x0001e8a4f357c5edUL;
   tf->codes[57911] = 0x0001f17b3cb4aa97UL;
   tf->codes[57912] = 0x0000b013a852f874UL;
   tf->codes[57913] = 0x0001961a5c02d1f6UL;
   tf->codes[57914] = 0x0000462d727ddf2cUL;
   tf->codes[57915] = 0x0001a513614c6c40UL;
   tf->codes[57916] = 0x00000def80d741d2UL;
   tf->codes[57917] = 0x0001853cafce5291UL;
   tf->codes[57918] = 0x0001e7fe40fe3478UL;
   tf->codes[57919] = 0x000044e21c6f2166UL;
   tf->codes[57920] = 0x00005bbb587c6e15UL;
   tf->codes[57921] = 0x0000056f9192c68cUL;
   tf->codes[57922] = 0x00005902c2c1c01dUL;
   tf->codes[57923] = 0x000097557c40b326UL;
   tf->codes[57924] = 0x0000f0635745df7bUL;
   tf->codes[57925] = 0x0000f34c22574113UL;
   tf->codes[57926] = 0x00011dbdbe48cb94UL;
   tf->codes[57927] = 0x000157a58da8520dUL;
   tf->codes[57928] = 0x0001d672f6bf9a00UL;
   tf->codes[57929] = 0x00000fb529a2cf55UL;
   tf->codes[57930] = 0x00002f49ebaf5da5UL;
   tf->codes[57931] = 0x0000c24797a1da62UL;
   tf->codes[57932] = 0x0000ce0c9e96b6a6UL;
   tf->codes[57933] = 0x00017fe08133fbaeUL;
   tf->codes[57934] = 0x000190299bbcbf28UL;
   tf->codes[57935] = 0x0001b0d9c7fe39ebUL;
   tf->codes[57936] = 0x0001e1411e581732UL;
   tf->codes[57937] = 0x000069ba769b508dUL;
   tf->codes[57938] = 0x000074a5b9b2b839UL;
   tf->codes[57939] = 0x0000b6164fe04762UL;
   tf->codes[57940] = 0x0000d8f16b7e6f07UL;
   tf->codes[57941] = 0x0000f8059105451eUL;
   tf->codes[57942] = 0x0001cb1cefae887dUL;
   tf->codes[57943] = 0x00017930a2f52d0aUL;
   tf->codes[57944] = 0x0001cab6a16867c3UL;
   tf->codes[57945] = 0x00007e576fc41666UL;
   tf->codes[57946] = 0x0000aafbfca017b8UL;
   tf->codes[57947] = 0x00018d7c84df0e32UL;
   tf->codes[57948] = 0x00019e111bc5419eUL;
   tf->codes[57949] = 0x00002c5149e92efeUL;
   tf->codes[57950] = 0x00009fbcf28362a7UL;
   tf->codes[57951] = 0x00010fc3d53dfda2UL;
   tf->codes[57952] = 0x0001f447ba32baddUL;
   tf->codes[57953] = 0x000013967d4a63b3UL;
   tf->codes[57954] = 0x00004651ef90fc60UL;
   tf->codes[57955] = 0x0000763dc03aae1bUL;
   tf->codes[57956] = 0x0000ad8631df0f01UL;
   tf->codes[57957] = 0x0001272014e02683UL;
   tf->codes[57958] = 0x00015f7f5d8d0078UL;
   tf->codes[57959] = 0x00004144191e7629UL;
   tf->codes[57960] = 0x00007b9ebcf34cf0UL;
   tf->codes[57961] = 0x00012c9f4357beecUL;
   tf->codes[57962] = 0x000177a598800fd8UL;
   tf->codes[57963] = 0x0001c45ec5b638a5UL;
   tf->codes[57964] = 0x0000ee16f4927812UL;
   tf->codes[57965] = 0x000047adafb11a98UL;
   tf->codes[57966] = 0x0000c20275239bcfUL;
   tf->codes[57967] = 0x00005a8cf3110f1eUL;
   tf->codes[57968] = 0x0000803d2db4a82dUL;
   tf->codes[57969] = 0x0000a30dfe2ecc31UL;
   tf->codes[57970] = 0x00015b1906fcd615UL;
   tf->codes[57971] = 0x00019f3b82265e26UL;
   tf->codes[57972] = 0x0001f978adfb6ce1UL;
   tf->codes[57973] = 0x000019d9ef7e2127UL;
   tf->codes[57974] = 0x000091e4347ad94aUL;
   tf->codes[57975] = 0x000105d4891e1f47UL;
   tf->codes[57976] = 0x00005a60b0279a1bUL;
   tf->codes[57977] = 0x00005c9a4345b83dUL;
   tf->codes[57978] = 0x000089a843af1d50UL;
   tf->codes[57979] = 0x0001562fbb62dd3fUL;
   tf->codes[57980] = 0x00017b667f5d7eafUL;
   tf->codes[57981] = 0x000008880f7a2ed6UL;
   tf->codes[57982] = 0x00008530069d545fUL;
   tf->codes[57983] = 0x0000b415ed9637fdUL;
   tf->codes[57984] = 0x0000f50ee192fdafUL;
   tf->codes[57985] = 0x0001159b5eacf466UL;
   tf->codes[57986] = 0x0001759acd3643c2UL;
   tf->codes[57987] = 0x00017b349307872eUL;
   tf->codes[57988] = 0x0000339f395cfcbcUL;
   tf->codes[57989] = 0x00003729484d41d9UL;
   tf->codes[57990] = 0x000083af385e5e46UL;
   tf->codes[57991] = 0x0001498c7add0346UL;
   tf->codes[57992] = 0x00015a971a0ad7c6UL;
   tf->codes[57993] = 0x0001b44f99d6d42dUL;
   tf->codes[57994] = 0x0000d37be89411d3UL;
   tf->codes[57995] = 0x00006bbe1df665f6UL;
   tf->codes[57996] = 0x000076df22581979UL;
   tf->codes[57997] = 0x0000a48998e4e8e8UL;
   tf->codes[57998] = 0x000050751b8325cfUL;
   tf->codes[57999] = 0x0000fbaae88781b1UL;
   tf->codes[58000] = 0x00001720184509a1UL;
   tf->codes[58001] = 0x000053df50403b36UL;
   tf->codes[58002] = 0x00005a97eea7c1a0UL;
   tf->codes[58003] = 0x0000a9e509a9ef86UL;
   tf->codes[58004] = 0x0000be8b1a3dbf9fUL;
   tf->codes[58005] = 0x00017f8680193fe7UL;
   tf->codes[58006] = 0x00001609a7cf8e5dUL;
   tf->codes[58007] = 0x0000442976f6ed91UL;
   tf->codes[58008] = 0x000050ff9cfcb2a7UL;
   tf->codes[58009] = 0x00007fc78cc5a276UL;
   tf->codes[58010] = 0x0000c5065c602e0eUL;
   tf->codes[58011] = 0x0000d5594ceee99fUL;
   tf->codes[58012] = 0x0000fd23c4268a63UL;
   tf->codes[58013] = 0x0001b544fd25c3ecUL;
   tf->codes[58014] = 0x0001f8d49da2d3f3UL;
   tf->codes[58015] = 0x00000d8742f0e15fUL;
   tf->codes[58016] = 0x00002a454c0ed5e2UL;
   tf->codes[58017] = 0x0000081b2e51121cUL;
   tf->codes[58018] = 0x00008a5fa9f9c04dUL;
   tf->codes[58019] = 0x0000a88e6fb0094cUL;
   tf->codes[58020] = 0x000111c907f72dafUL;
   tf->codes[58021] = 0x00017de9ac9b6e6eUL;
   tf->codes[58022] = 0x00001c67fa770a58UL;
   tf->codes[58023] = 0x00010aca2180ae47UL;
   tf->codes[58024] = 0x00015ab302f9353aUL;
   tf->codes[58025] = 0x0000d5bc1eab74d8UL;
   tf->codes[58026] = 0x000116a63457c385UL;
   tf->codes[58027] = 0x00019a391ccb64c4UL;
   tf->codes[58028] = 0x0000f0fed6f2fdbaUL;
   tf->codes[58029] = 0x000104c56bb1c8feUL;
   tf->codes[58030] = 0x0000d4e5e6a84112UL;
   tf->codes[58031] = 0x00010f56baae477eUL;
   tf->codes[58032] = 0x0001ae5d981257d1UL;
   tf->codes[58033] = 0x0001f4c75fdf5830UL;
   tf->codes[58034] = 0x000008f7682b8735UL;
   tf->codes[58035] = 0x00008211324fffc7UL;
   tf->codes[58036] = 0x00011f90e85b8634UL;
   tf->codes[58037] = 0x00015d6104d89ad6UL;
   tf->codes[58038] = 0x0001a67fe573e4e3UL;
   tf->codes[58039] = 0x0001e414c33e2336UL;
   tf->codes[58040] = 0x0001ed72023a53e6UL;
   tf->codes[58041] = 0x000012b978fd9a83UL;
   tf->codes[58042] = 0x00003aadcc725b1aUL;
   tf->codes[58043] = 0x000082048f0ab4b5UL;
   tf->codes[58044] = 0x000098089a670030UL;
   tf->codes[58045] = 0x0000bd6fdcd268c4UL;
   tf->codes[58046] = 0x0001116a72879229UL;
   tf->codes[58047] = 0x00011736c5d0d0a6UL;
   tf->codes[58048] = 0x0001baa852c547c4UL;
   tf->codes[58049] = 0x0001b1387dfd3600UL;
   tf->codes[58050] = 0x00013c34ecb6c585UL;
   tf->codes[58051] = 0x0000832fd0ba0bc9UL;
   tf->codes[58052] = 0x0000b311563fb9e3UL;
   tf->codes[58053] = 0x0000bbeb488cfaddUL;
   tf->codes[58054] = 0x0000c5a68b276ed4UL;
   tf->codes[58055] = 0x0000ec37a0fa2f56UL;
   tf->codes[58056] = 0x000094e491059712UL;
   tf->codes[58057] = 0x0000c56969715c9eUL;
   tf->codes[58058] = 0x00011b0a07eb1accUL;
   tf->codes[58059] = 0x00014033c20d735fUL;
   tf->codes[58060] = 0x00014355bcca7759UL;
   tf->codes[58061] = 0x00008e3b37818578UL;
   tf->codes[58062] = 0x0000c14f6a8cdcb9UL;
   tf->codes[58063] = 0x00001b2965ec1f7dUL;
   tf->codes[58064] = 0x00003ad66731115fUL;
   tf->codes[58065] = 0x0000b1281c286164UL;
   tf->codes[58066] = 0x0000d3b6217ff0b4UL;
   tf->codes[58067] = 0x00010c19883b3283UL;
   tf->codes[58068] = 0x0001cdc1a1e4b6caUL;
   tf->codes[58069] = 0x0000387448a4e849UL;
   tf->codes[58070] = 0x0000a33f2e9d7d5aUL;
   tf->codes[58071] = 0x0000b584c9195a7fUL;
   tf->codes[58072] = 0x0001d22182a800abUL;
   tf->codes[58073] = 0x000036034bc8482eUL;
   tf->codes[58074] = 0x0000786ed0d59084UL;
   tf->codes[58075] = 0x000133860ac26c88UL;
   tf->codes[58076] = 0x00014d651ed4f78aUL;
   tf->codes[58077] = 0x000195873c185a42UL;
   tf->codes[58078] = 0x000057020b23682bUL;
   tf->codes[58079] = 0x000105f7e2f15ac6UL;
   tf->codes[58080] = 0x000085c977433eb1UL;
   tf->codes[58081] = 0x0000860f7638242bUL;
   tf->codes[58082] = 0x0000a160e0cc2c0cUL;
   tf->codes[58083] = 0x0000e3950aa60028UL;
   tf->codes[58084] = 0x0001f9a12d921195UL;
   tf->codes[58085] = 0x0001e4c462ecd0d2UL;
   tf->codes[58086] = 0x0000056decfaa444UL;
   tf->codes[58087] = 0x000026fcaad50cc8UL;
   tf->codes[58088] = 0x00004f41f80fc7c9UL;
   tf->codes[58089] = 0x00012254fe1b9d89UL;
   tf->codes[58090] = 0x00001341ec985fc9UL;
   tf->codes[58091] = 0x000020f7c9022f79UL;
   tf->codes[58092] = 0x000070885ed40362UL;
   tf->codes[58093] = 0x00019cd8d419b587UL;
   tf->codes[58094] = 0x0001d446543fbd17UL;
   tf->codes[58095] = 0x0001d762970530d4UL;
   tf->codes[58096] = 0x0000a74cc5915584UL;
   tf->codes[58097] = 0x000111527df47d3fUL;
   tf->codes[58098] = 0x00014ac3204145cbUL;
   tf->codes[58099] = 0x00002ef47186e039UL;
   tf->codes[58100] = 0x00005531cedf6115UL;
   tf->codes[58101] = 0x0001097a834d9a8eUL;
   tf->codes[58102] = 0x00002cff34e9716fUL;
   tf->codes[58103] = 0x00009ad201ee78c0UL;
   tf->codes[58104] = 0x0000e44b77c6af89UL;
   tf->codes[58105] = 0x00001645b5f938f8UL;
   tf->codes[58106] = 0x000017e1e8b7d5aaUL;
   tf->codes[58107] = 0x00004daabf736b0fUL;
   tf->codes[58108] = 0x0001246bf8b51582UL;
   tf->codes[58109] = 0x0001d8dcb4e840a6UL;
   tf->codes[58110] = 0x0000ecf24a67ce6aUL;
   tf->codes[58111] = 0x00012ea23d569bbcUL;
   tf->codes[58112] = 0x00016d8721d4f580UL;
   tf->codes[58113] = 0x0001f2d93c81a62eUL;
   tf->codes[58114] = 0x0000a64a3c199efcUL;
   tf->codes[58115] = 0x0000b40ef6d3e5b1UL;
   tf->codes[58116] = 0x0000fdf4d97ccb3cUL;
   tf->codes[58117] = 0x000187912864af6fUL;
   tf->codes[58118] = 0x0001920ba60dfabaUL;
   tf->codes[58119] = 0x000012dad1f1e10bUL;
   tf->codes[58120] = 0x00007840c9276773UL;
   tf->codes[58121] = 0x0000d154d1422f8fUL;
   tf->codes[58122] = 0x00011370f672a5deUL;
   tf->codes[58123] = 0x0001277672d4a3c1UL;
   tf->codes[58124] = 0x0001dd6bd23b1954UL;
   tf->codes[58125] = 0x0001a7dedb545dceUL;
   tf->codes[58126] = 0x0001cd20250208a4UL;
   tf->codes[58127] = 0x0000614461fe7ecaUL;
   tf->codes[58128] = 0x000179debabf0513UL;
   tf->codes[58129] = 0x00003a2de1ea8ce6UL;
   tf->codes[58130] = 0x00005d00c16be4d7UL;
   tf->codes[58131] = 0x0000b917332a94bbUL;
   tf->codes[58132] = 0x00016edd38eb6003UL;
   tf->codes[58133] = 0x0001c4276036994fUL;
   tf->codes[58134] = 0x000060c341cfad48UL;
   tf->codes[58135] = 0x0000e2ef0921ec5dUL;
   tf->codes[58136] = 0x00015a801204b2a6UL;
   tf->codes[58137] = 0x0001971bd56765f4UL;
   tf->codes[58138] = 0x0001c529ccfb0322UL;
   tf->codes[58139] = 0x000008465e73bd16UL;
   tf->codes[58140] = 0x00012f59ecbb523dUL;
   tf->codes[58141] = 0x00017f28f5124d3bUL;
   tf->codes[58142] = 0x000019ed6539ee33UL;
   tf->codes[58143] = 0x000072a95c3d090aUL;
   tf->codes[58144] = 0x0000750e2af2699dUL;
   tf->codes[58145] = 0x00009704c2710d7fUL;
   tf->codes[58146] = 0x0001710070372543UL;
   tf->codes[58147] = 0x0001bda36d3c1e6bUL;
   tf->codes[58148] = 0x00011ea4f7f8d5d2UL;
   tf->codes[58149] = 0x00014a0dd9d9bd30UL;
   tf->codes[58150] = 0x000169b81c6a69d6UL;
   tf->codes[58151] = 0x00016bb21838440aUL;
   tf->codes[58152] = 0x000187903063282eUL;
   tf->codes[58153] = 0x000014a7003dc92aUL;
   tf->codes[58154] = 0x0000fb26f0079486UL;
   tf->codes[58155] = 0x00012c3960464d69UL;
   tf->codes[58156] = 0x000030348535b0afUL;
   tf->codes[58157] = 0x000031f66797f79bUL;
   tf->codes[58158] = 0x00018bfb63ff770bUL;
   tf->codes[58159] = 0x0001adde4f722abfUL;
   tf->codes[58160] = 0x0001e42f40982903UL;
   tf->codes[58161] = 0x000025a0fb90d505UL;
   tf->codes[58162] = 0x0001241fdcc0dd24UL;
   tf->codes[58163] = 0x0001c54e00913e09UL;
   tf->codes[58164] = 0x000001947190894eUL;
   tf->codes[58165] = 0x0000858f33a865ebUL;
   tf->codes[58166] = 0x0000f638f42b0cceUL;
   tf->codes[58167] = 0x00012887bf11f0f4UL;
   tf->codes[58168] = 0x0001c279bd3cd5f4UL;
   tf->codes[58169] = 0x0001d6e24587960cUL;
   tf->codes[58170] = 0x0000500f4699f342UL;
   tf->codes[58171] = 0x0000d504f791890cUL;
   tf->codes[58172] = 0x000155ef2162182bUL;
   tf->codes[58173] = 0x00001e617677df1dUL;
   tf->codes[58174] = 0x000056b16bb63683UL;
   tf->codes[58175] = 0x0000d631409312b2UL;
   tf->codes[58176] = 0x0001d7b793b18187UL;
   tf->codes[58177] = 0x000190c9866e6c9fUL;
   tf->codes[58178] = 0x000145a9beb78d89UL;
   tf->codes[58179] = 0x00014c3bef434aabUL;
   tf->codes[58180] = 0x00019d73b2a4d036UL;
   tf->codes[58181] = 0x0000eefde5286eccUL;
   tf->codes[58182] = 0x0001443a185f4827UL;
   tf->codes[58183] = 0x00015ae5cf3f18b3UL;
   tf->codes[58184] = 0x0001872c930bdc83UL;
   tf->codes[58185] = 0x0001b26112fc9aa8UL;
   tf->codes[58186] = 0x0001f351904d8ae1UL;
   tf->codes[58187] = 0x00010c84b6411f36UL;
   tf->codes[58188] = 0x0001187a0117bcd9UL;
   tf->codes[58189] = 0x000134476679fbd0UL;
   tf->codes[58190] = 0x000188fa5a7b4f73UL;
   tf->codes[58191] = 0x0001d614bf220c4dUL;
   tf->codes[58192] = 0x0000494b90ae0b33UL;
   tf->codes[58193] = 0x00008d1e716bbb78UL;
   tf->codes[58194] = 0x0000e65788082a3eUL;
   tf->codes[58195] = 0x0000fb12a4020d23UL;
   tf->codes[58196] = 0x00010e277ca8557aUL;
   tf->codes[58197] = 0x0001c035040f486eUL;
   tf->codes[58198] = 0x0001b5be5b5a5179UL;
   tf->codes[58199] = 0x0000610dc6f1338bUL;
   tf->codes[58200] = 0x00017ed6d80c711cUL;
   tf->codes[58201] = 0x0001e027aca3fe87UL;
   tf->codes[58202] = 0x000106d7b9e4c5efUL;
   tf->codes[58203] = 0x00003a9807130be3UL;
   tf->codes[58204] = 0x0000430a5a4b1744UL;
   tf->codes[58205] = 0x0001fa8597b1f022UL;
   tf->codes[58206] = 0x000087650c591ce4UL;
   tf->codes[58207] = 0x00006ff035d96f2eUL;
   tf->codes[58208] = 0x0000c04f1f999735UL;
   tf->codes[58209] = 0x0000c3d3b12151daUL;
   tf->codes[58210] = 0x000106d80361a83cUL;
   tf->codes[58211] = 0x000154a2ff55cb2aUL;
   tf->codes[58212] = 0x000161b28f963867UL;
   tf->codes[58213] = 0x0000816cb0b56f29UL;
   tf->codes[58214] = 0x0000a0832e5d8cb1UL;
   tf->codes[58215] = 0x00019da9579e9e21UL;
   tf->codes[58216] = 0x0001e8dfb619aaa7UL;
   tf->codes[58217] = 0x000044d41299fee2UL;
   tf->codes[58218] = 0x000095a6807c8886UL;
   tf->codes[58219] = 0x00009e068702c657UL;
   tf->codes[58220] = 0x000155a47353102aUL;
   tf->codes[58221] = 0x00005615fe7039ddUL;
   tf->codes[58222] = 0x00009910efc8a3b2UL;
   tf->codes[58223] = 0x00015deca133e834UL;
   tf->codes[58224] = 0x000081b542bd70a2UL;
   tf->codes[58225] = 0x000184267314f707UL;
   tf->codes[58226] = 0x00002514ff9513feUL;
   tf->codes[58227] = 0x000056661ce7f9bbUL;
   tf->codes[58228] = 0x00006fa9216a182cUL;
   tf->codes[58229] = 0x0000c843784ce2e4UL;
   tf->codes[58230] = 0x0001cd4bd8cdcce7UL;
   tf->codes[58231] = 0x0001a4270132ff52UL;
   tf->codes[58232] = 0x0001a51b886e16f3UL;
   tf->codes[58233] = 0x0000811f261668dcUL;
   tf->codes[58234] = 0x000086134f6b5b24UL;
   tf->codes[58235] = 0x00008c58a43f85b6UL;
   tf->codes[58236] = 0x0000b9e4e90d5b91UL;
   tf->codes[58237] = 0x0000de7351d766a1UL;
   tf->codes[58238] = 0x00015fdfde1ace62UL;
   tf->codes[58239] = 0x000037e4fe74627dUL;
   tf->codes[58240] = 0x000090ab060c7b30UL;
   tf->codes[58241] = 0x0000ac561ba158b9UL;
   tf->codes[58242] = 0x0000e8b28242cddeUL;
   tf->codes[58243] = 0x0000f70c9bcecc14UL;
   tf->codes[58244] = 0x000141b318e0ab91UL;
   tf->codes[58245] = 0x0001cdc090a927e5UL;
   tf->codes[58246] = 0x0001e6e5376854bcUL;
   tf->codes[58247] = 0x0000d785bf4b8ff6UL;
   tf->codes[58248] = 0x0001b2f81c309238UL;
   tf->codes[58249] = 0x0000d2121e3c024eUL;
   tf->codes[58250] = 0x000177b159416b8aUL;
   tf->codes[58251] = 0x0001805b423bf0eaUL;
   tf->codes[58252] = 0x0001870661ad22edUL;
   tf->codes[58253] = 0x0001d94ab0f31de6UL;
   tf->codes[58254] = 0x00004139260588edUL;
   tf->codes[58255] = 0x00018211b4af175cUL;
   tf->codes[58256] = 0x0001e34abf2c4cbfUL;
   tf->codes[58257] = 0x000043de67bc36c3UL;
   tf->codes[58258] = 0x0000247338d2b4c2UL;
   tf->codes[58259] = 0x00016845f5035b45UL;
   tf->codes[58260] = 0x0001b04e73b437cdUL;
   tf->codes[58261] = 0x00001e65e05401faUL;
   tf->codes[58262] = 0x00002d681a8190cbUL;
   tf->codes[58263] = 0x0000f5bbc8ba529fUL;
   tf->codes[58264] = 0x00015db59f30d061UL;
   tf->codes[58265] = 0x0001b3e8ddc800d4UL;
   tf->codes[58266] = 0x00001bf793a0995cUL;
   tf->codes[58267] = 0x00018e81c7609046UL;
   tf->codes[58268] = 0x0001a8a78a151211UL;
   tf->codes[58269] = 0x0000d2953fac9790UL;
   tf->codes[58270] = 0x0001d6f9287c4d48UL;
   tf->codes[58271] = 0x00004f7641ee55b9UL;
   tf->codes[58272] = 0x0000654625e97dc0UL;
   tf->codes[58273] = 0x00008cc43687977eUL;
   tf->codes[58274] = 0x0000abf1ce9cfbbfUL;
   tf->codes[58275] = 0x0000c4babb541f01UL;
   tf->codes[58276] = 0x00015683d39d34a5UL;
   tf->codes[58277] = 0x0001ac6b5b47ef61UL;
   tf->codes[58278] = 0x0000c31294fd488cUL;
   tf->codes[58279] = 0x000172215bb0b008UL;
   tf->codes[58280] = 0x0001af49578c340fUL;
   tf->codes[58281] = 0x00001b485c1024afUL;
   tf->codes[58282] = 0x0000e2f66dcc955fUL;
   tf->codes[58283] = 0x0001645ea1728f81UL;
   tf->codes[58284] = 0x000001b6ff663592UL;
   tf->codes[58285] = 0x00005ac9a826db10UL;
   tf->codes[58286] = 0x0000ad3d8ba18619UL;
   tf->codes[58287] = 0x0000e155d3e57d4fUL;
   tf->codes[58288] = 0x0000ee87b3f34bfaUL;
   tf->codes[58289] = 0x000136485f3714e0UL;
   tf->codes[58290] = 0x0001815b4919a31fUL;
   tf->codes[58291] = 0x00001ab4ef2f859dUL;
   tf->codes[58292] = 0x00004dd541d70ea7UL;
   tf->codes[58293] = 0x00006df4a273454dUL;
   tf->codes[58294] = 0x00007687e61e8f7eUL;
   tf->codes[58295] = 0x0000a5f119c662d2UL;
   tf->codes[58296] = 0x00014be98aae962cUL;
   tf->codes[58297] = 0x00016ff4e158b74bUL;
   tf->codes[58298] = 0x000184acc980496aUL;
   tf->codes[58299] = 0x0001a391695d7d30UL;
   tf->codes[58300] = 0x000018917db78961UL;
   tf->codes[58301] = 0x0000dfe56f5518dfUL;
   tf->codes[58302] = 0x00010e7a5c880213UL;
   tf->codes[58303] = 0x00015c77ab651a4dUL;
   tf->codes[58304] = 0x0001e0b155202989UL;
   tf->codes[58305] = 0x00013bb55e75ca00UL;
   tf->codes[58306] = 0x000192c594bcbfd1UL;
   tf->codes[58307] = 0x00000c072c172449UL;
   tf->codes[58308] = 0x00002e8862257081UL;
   tf->codes[58309] = 0x000048b3dcd18289UL;
   tf->codes[58310] = 0x0000b9ea857a0b74UL;
   tf->codes[58311] = 0x0000c29a9b8a2c9bUL;
   tf->codes[58312] = 0x00013b0184cb0567UL;
   tf->codes[58313] = 0x00019e27bbccd1e6UL;
   tf->codes[58314] = 0x0001b64887e2648dUL;
   tf->codes[58315] = 0x00009db7817ebd12UL;
   tf->codes[58316] = 0x00014b250d2908eeUL;
   tf->codes[58317] = 0x0001f7bc435736bdUL;
   tf->codes[58318] = 0x00009e4dbc017de8UL;
   tf->codes[58319] = 0x0000c5abc6686feaUL;
   tf->codes[58320] = 0x0000b8a3b40cb353UL;
   tf->codes[58321] = 0x0001338d6332e081UL;
   tf->codes[58322] = 0x0001ce49221fa63bUL;
   tf->codes[58323] = 0x00002961abbb51f1UL;
   tf->codes[58324] = 0x00003e441fcd1532UL;
   tf->codes[58325] = 0x0000afff747eb071UL;
   tf->codes[58326] = 0x0000f6d8dceeb058UL;
   tf->codes[58327] = 0x0000f969d1776a70UL;
   tf->codes[58328] = 0x0000452cf38b4f3cUL;
   tf->codes[58329] = 0x0001fe45fd99ed2fUL;
   tf->codes[58330] = 0x00009da7703aea3eUL;
   tf->codes[58331] = 0x0000c0e856761954UL;
   tf->codes[58332] = 0x00010e95d05853fdUL;
   tf->codes[58333] = 0x00011e8a82b9c682UL;
   tf->codes[58334] = 0x00016c8c64c35220UL;
   tf->codes[58335] = 0x00019677bac2a1eaUL;
   tf->codes[58336] = 0x0001d48e85e1ad55UL;
   tf->codes[58337] = 0x00000062ea572c61UL;
   tf->codes[58338] = 0x00002a11a249833eUL;
   tf->codes[58339] = 0x0000475248695628UL;
   tf->codes[58340] = 0x0000f923a6e15bb9UL;
   tf->codes[58341] = 0x00011e8481a822c1UL;
   tf->codes[58342] = 0x0001403d1bbfab18UL;
   tf->codes[58343] = 0x0001cb216fcde0cdUL;
   tf->codes[58344] = 0x000089368ebd3ef4UL;
   tf->codes[58345] = 0x0001413a45aa9038UL;
   tf->codes[58346] = 0x00019e1e5baa82ebUL;
   tf->codes[58347] = 0x0001c823ffe96a34UL;
   tf->codes[58348] = 0x00003b1baf4330b6UL;
   tf->codes[58349] = 0x0000673bf6a91d7fUL;
   tf->codes[58350] = 0x00007e1a758feee1UL;
   tf->codes[58351] = 0x000103a968d89e41UL;
   tf->codes[58352] = 0x0001076221c17c5aUL;
   tf->codes[58353] = 0x000116c13ac23199UL;
   tf->codes[58354] = 0x0001547525fc72d5UL;
   tf->codes[58355] = 0x0000b5299a7291e7UL;
   tf->codes[58356] = 0x0000bdb2586ad2b2UL;
   tf->codes[58357] = 0x000112a72d52a3f5UL;
   tf->codes[58358] = 0x0001780b1580f670UL;
   tf->codes[58359] = 0x0001e6ba9fa6bd5aUL;
   tf->codes[58360] = 0x000029291df750b1UL;
   tf->codes[58361] = 0x000092cad1aa9164UL;
   tf->codes[58362] = 0x00014d489d425bccUL;
   tf->codes[58363] = 0x0001a7a4aa83756aUL;
   tf->codes[58364] = 0x00003e18f3e94cdbUL;
   tf->codes[58365] = 0x0000f53358fba133UL;
   tf->codes[58366] = 0x000021197077d883UL;
   tf->codes[58367] = 0x000064f2b8da2a54UL;
   tf->codes[58368] = 0x00008d7086137668UL;
   tf->codes[58369] = 0x00014c62d7419fb2UL;
   tf->codes[58370] = 0x0001cd34fc68d104UL;
   tf->codes[58371] = 0x0001457135326eecUL;
   tf->codes[58372] = 0x0001b92351df9399UL;
   tf->codes[58373] = 0x0000109200e2d83bUL;
   tf->codes[58374] = 0x00008ba58c46253cUL;
   tf->codes[58375] = 0x0001a73335cb1683UL;
   tf->codes[58376] = 0x0001d507889505c5UL;
   tf->codes[58377] = 0x0001de2b22c78889UL;
   tf->codes[58378] = 0x00006df4122d2832UL;
   tf->codes[58379] = 0x0001b8293025d602UL;
   tf->codes[58380] = 0x0001f54ea7dc1a92UL;
   tf->codes[58381] = 0x0001f62ff8294d8fUL;
   tf->codes[58382] = 0x0001ff1f6afaacdfUL;
   tf->codes[58383] = 0x000029b68a8be994UL;
   tf->codes[58384] = 0x0001094b13e72db0UL;
   tf->codes[58385] = 0x00010cc101ad7715UL;
   tf->codes[58386] = 0x0000cd480f2c7aafUL;
   tf->codes[58387] = 0x00017cd5c9f16442UL;
   tf->codes[58388] = 0x000059eedf480c9cUL;
   tf->codes[58389] = 0x000075e5e65865a1UL;
   tf->codes[58390] = 0x000145406e0a630dUL;
   tf->codes[58391] = 0x000004e9f8b999bcUL;
   tf->codes[58392] = 0x000081ebd56c9ab2UL;
   tf->codes[58393] = 0x0000ae0f24a0e03bUL;
   tf->codes[58394] = 0x0000f5d846907e9aUL;
   tf->codes[58395] = 0x0001e2954f11a4d4UL;
   tf->codes[58396] = 0x0001ef278529b85dUL;
   tf->codes[58397] = 0x00003b71fbf8f8b6UL;
   tf->codes[58398] = 0x000112d3c96c755fUL;
   tf->codes[58399] = 0x0001d729aa038ab4UL;
   tf->codes[58400] = 0x00002ad04caf6eaeUL;
   tf->codes[58401] = 0x00008b6a2254f479UL;
   tf->codes[58402] = 0x0000ab49eba0e731UL;
   tf->codes[58403] = 0x00016fbf22c212f3UL;
   tf->codes[58404] = 0x00018600f0f67434UL;
   tf->codes[58405] = 0x0000987844b03159UL;
   tf->codes[58406] = 0x0000b5d5f7c3e0feUL;
   tf->codes[58407] = 0x000173265e3bdd59UL;
   tf->codes[58408] = 0x0001d7b25704e964UL;
   tf->codes[58409] = 0x0000aa2ffe3f07a3UL;
   tf->codes[58410] = 0x00010d42efc7e1bfUL;
   tf->codes[58411] = 0x0001ba85ef87fc79UL;
   tf->codes[58412] = 0x00004d9413b4189eUL;
   tf->codes[58413] = 0x00017d16c1616860UL;
   tf->codes[58414] = 0x000192ca4815c4fbUL;
   tf->codes[58415] = 0x0001f0f9970e59f6UL;
   tf->codes[58416] = 0x0001fd5262ebc558UL;
   tf->codes[58417] = 0x000063dfe3f269fcUL;
   tf->codes[58418] = 0x00013598982620aaUL;
   tf->codes[58419] = 0x00015f21cc78c553UL;
   tf->codes[58420] = 0x000019ffe5450cb4UL;
   tf->codes[58421] = 0x0000c2fabfd127d6UL;
   tf->codes[58422] = 0x00016af025ca8065UL;
   tf->codes[58423] = 0x000174a575de5e5aUL;
   tf->codes[58424] = 0x00017698cf78913dUL;
   tf->codes[58425] = 0x0000133dd76a8bfeUL;
   tf->codes[58426] = 0x0000d7d3fefef690UL;
   tf->codes[58427] = 0x0001a5928e815d0fUL;
   tf->codes[58428] = 0x0001c51b6b80bf5bUL;
   tf->codes[58429] = 0x000070afebd06fd3UL;
   tf->codes[58430] = 0x000081dacbc471d4UL;
   tf->codes[58431] = 0x0000a853dcedd489UL;
   tf->codes[58432] = 0x0000b3bc050f8a5fUL;
   tf->codes[58433] = 0x00018e433ba1618dUL;
   tf->codes[58434] = 0x000103323e16b90aUL;
   tf->codes[58435] = 0x000141e70ab74975UL;
   tf->codes[58436] = 0x0001a17280002baaUL;
   tf->codes[58437] = 0x0001cd3d838dbe29UL;
   tf->codes[58438] = 0x00012b015768a9baUL;
   tf->codes[58439] = 0x00019fa7c0c1e043UL;
   tf->codes[58440] = 0x0001a414f4778685UL;
   tf->codes[58441] = 0x0001bb3ce0b493ecUL;
   tf->codes[58442] = 0x00002ec4e6959301UL;
   tf->codes[58443] = 0x0001b2c95a265df3UL;
   tf->codes[58444] = 0x000083a048eed61aUL;
   tf->codes[58445] = 0x0000aa507abca744UL;
   tf->codes[58446] = 0x0000c67541898231UL;
   tf->codes[58447] = 0x0000c6b58886d76eUL;
   tf->codes[58448] = 0x0001167b6a84eba4UL;
   tf->codes[58449] = 0x000061c00da559e3UL;
   tf->codes[58450] = 0x0000b0a5c42157f5UL;
   tf->codes[58451] = 0x0001020d90d5991aUL;
   tf->codes[58452] = 0x00014b3aa01448ddUL;
   tf->codes[58453] = 0x0001510e0aaf3a35UL;
   tf->codes[58454] = 0x0001c5cec248083dUL;
   tf->codes[58455] = 0x0001e9827cf887a1UL;
   tf->codes[58456] = 0x0001f5bca1f8ede5UL;
   tf->codes[58457] = 0x000030787d3e58b9UL;
   tf->codes[58458] = 0x00004c91246f01ddUL;
   tf->codes[58459] = 0x00008e36cc39cb8eUL;
   tf->codes[58460] = 0x0000ed35ce7ad745UL;
   tf->codes[58461] = 0x0001a7a94eee9e0cUL;
   tf->codes[58462] = 0x0001f3d9ec9c5270UL;
   tf->codes[58463] = 0x000045bba51796beUL;
   tf->codes[58464] = 0x0000b0ff520c121fUL;
   tf->codes[58465] = 0x0000c2a5f23f4571UL;
   tf->codes[58466] = 0x000103d4a78656faUL;
   tf->codes[58467] = 0x00016cf73b241d90UL;
   tf->codes[58468] = 0x0001a102798fcbe9UL;
   tf->codes[58469] = 0x00003f5676103c76UL;
   tf->codes[58470] = 0x000079870318eda5UL;
   tf->codes[58471] = 0x000184763fb1b369UL;
   tf->codes[58472] = 0x0001d035dd6245a7UL;
   tf->codes[58473] = 0x0001e13be963a6c3UL;
   tf->codes[58474] = 0x000021965835ce2cUL;
   tf->codes[58475] = 0x00008699b8a09de9UL;
   tf->codes[58476] = 0x0000a49247ee8f87UL;
   tf->codes[58477] = 0x000186c03c7e6334UL;
   tf->codes[58478] = 0x00003a497b4ebf94UL;
   tf->codes[58479] = 0x000045ab3bcbd3deUL;
   tf->codes[58480] = 0x00006b63b28c3ca1UL;
   tf->codes[58481] = 0x000163160eb9c863UL;
   tf->codes[58482] = 0x0000285df266b5e2UL;
   tf->codes[58483] = 0x00012f12c350d63aUL;
   tf->codes[58484] = 0x00000e78a2b3815aUL;
   tf->codes[58485] = 0x00002fefd102979bUL;
   tf->codes[58486] = 0x00003e41e900cbe2UL;
   tf->codes[58487] = 0x00008e667e4a34aeUL;
   tf->codes[58488] = 0x0000a9604ce49ad4UL;
   tf->codes[58489] = 0x0001683dbeb0a958UL;
   tf->codes[58490] = 0x00006493bf8b3882UL;
   tf->codes[58491] = 0x00011fde45282ea5UL;
   tf->codes[58492] = 0x000188654cdea1f3UL;
   tf->codes[58493] = 0x00000320177d3060UL;
   tf->codes[58494] = 0x00004e31a2059c01UL;
   tf->codes[58495] = 0x0001487a70246c53UL;
   tf->codes[58496] = 0x000158aa6138b527UL;
   tf->codes[58497] = 0x00005ca54b9912a8UL;
   tf->codes[58498] = 0x0000a21dbffd4c2cUL;
   tf->codes[58499] = 0x0000db435b0ab050UL;
   tf->codes[58500] = 0x00013415f75d0656UL;
   tf->codes[58501] = 0x0001431cff460e50UL;
   tf->codes[58502] = 0x00018a4bf4a87c05UL;
   tf->codes[58503] = 0x00004c369ee58f3bUL;
   tf->codes[58504] = 0x0000742b2ce95597UL;
   tf->codes[58505] = 0x000084f33b839b28UL;
   tf->codes[58506] = 0x00005e5df917650dUL;
   tf->codes[58507] = 0x0001e9ff54a03467UL;
   tf->codes[58508] = 0x00005e4bd8698f83UL;
   tf->codes[58509] = 0x00007062193fc25dUL;
   tf->codes[58510] = 0x00003dc0ac1eadabUL;
   tf->codes[58511] = 0x00005e4fe7ece99eUL;
   tf->codes[58512] = 0x00001fc3f0374674UL;
   tf->codes[58513] = 0x0000bb6a9ae8317dUL;
   tf->codes[58514] = 0x0000e0770d87a790UL;
   tf->codes[58515] = 0x0001c62af2f95880UL;
   tf->codes[58516] = 0x0001fb8f23e3034dUL;
   tf->codes[58517] = 0x000111d5d5d4d9baUL;
   tf->codes[58518] = 0x00011d8fe1f8a10eUL;
   tf->codes[58519] = 0x00011ea3852ec957UL;
   tf->codes[58520] = 0x0001f6e3348e2272UL;
   tf->codes[58521] = 0x000143a563902845UL;
   tf->codes[58522] = 0x00015de32aee07ddUL;
   tf->codes[58523] = 0x00016f40d2e90ab4UL;
   tf->codes[58524] = 0x00001a5992f989dbUL;
   tf->codes[58525] = 0x00003c7b2b806a69UL;
   tf->codes[58526] = 0x0001534b1ca7c68eUL;
   tf->codes[58527] = 0x00005910e3bf59bdUL;
   tf->codes[58528] = 0x00016fa4e686ce44UL;
   tf->codes[58529] = 0x0001b863ef0ba6e2UL;
   tf->codes[58530] = 0x0000b50e580d8701UL;
   tf->codes[58531] = 0x0001ae06aa5a3058UL;
   tf->codes[58532] = 0x0001e11bc7a19eadUL;
   tf->codes[58533] = 0x0001f5f306534739UL;
   tf->codes[58534] = 0x0000571655bd5881UL;
   tf->codes[58535] = 0x000059b3a4714a27UL;
   tf->codes[58536] = 0x0000ea0906dec04eUL;
   tf->codes[58537] = 0x0001293b3c32b82cUL;
   tf->codes[58538] = 0x000194c08f7eab68UL;
   tf->codes[58539] = 0x00019821ac6de7c6UL;
   tf->codes[58540] = 0x000002455c010350UL;
   tf->codes[58541] = 0x00003328640f0429UL;
   tf->codes[58542] = 0x00006a7c80318b4eUL;
   tf->codes[58543] = 0x000101e93451dc75UL;
   tf->codes[58544] = 0x00014dad9fbde7dcUL;
   tf->codes[58545] = 0x000173fd84573c0dUL;
   tf->codes[58546] = 0x00002e30833ea7d2UL;
   tf->codes[58547] = 0x0000a8c888f1c947UL;
   tf->codes[58548] = 0x0001194573f40556UL;
   tf->codes[58549] = 0x00014914acc7e5e0UL;
   tf->codes[58550] = 0x00004ec568796643UL;
   tf->codes[58551] = 0x00006cef9b033bdeUL;
   tf->codes[58552] = 0x00009280f43aca0aUL;
   tf->codes[58553] = 0x0000ba7baf542c2dUL;
   tf->codes[58554] = 0x0001bf0ef1c98c30UL;
   tf->codes[58555] = 0x0001e785e2402b2eUL;
   tf->codes[58556] = 0x00005b87243b1c1dUL;
   tf->codes[58557] = 0x0000a19e1dc9f3eaUL;
   tf->codes[58558] = 0x0000db25da84032fUL;
   tf->codes[58559] = 0x00018a9ceff9b193UL;
   tf->codes[58560] = 0x0001e38a4fa9aaa2UL;
   tf->codes[58561] = 0x0001fdc817078a3aUL;
   tf->codes[58562] = 0x0000285e86ebb5a0UL;
   tf->codes[58563] = 0x00017522c4f4ef60UL;
   tf->codes[58564] = 0x0001de79f511e4f4UL;
   tf->codes[58565] = 0x0001ef02a6eaec5cUL;
   tf->codes[58566] = 0x0001de3cd35bd2beUL;
   tf->codes[58567] = 0x0001fd080f358619UL;
   tf->codes[58568] = 0x00005c75c7dd7a44UL;
   tf->codes[58569] = 0x0001c31dad25b26aUL;
   tf->codes[58570] = 0x0001e8d1479f9445UL;
   tf->codes[58571] = 0x00005a411ff3bf92UL;
   tf->codes[58572] = 0x00008b26802307dcUL;
   tf->codes[58573] = 0x0001050836913300UL;
   tf->codes[58574] = 0x0001229d7f675ca4UL;
   tf->codes[58575] = 0x00016cbfc58e3557UL;
   tf->codes[58576] = 0x00001b0fb7c5c34aUL;
   tf->codes[58577] = 0x00008a5082aed9dbUL;
   tf->codes[58578] = 0x0001328495bc5f44UL;
   tf->codes[58579] = 0x000152b05083cd78UL;
   tf->codes[58580] = 0x0001cb1e5116591fUL;
   tf->codes[58581] = 0x0000ee32ecf124eeUL;
   tf->codes[58582] = 0x00012fa3f83cbfa1UL;
   tf->codes[58583] = 0x000155dde733e9f2UL;
   tf->codes[58584] = 0x0000cbe33d08a135UL;
   tf->codes[58585] = 0x0000cfe737bfe97bUL;
   tf->codes[58586] = 0x00010c1987953908UL;
   tf->codes[58587] = 0x0001a44d3dc325adUL;
   tf->codes[58588] = 0x0000f3ef4c0cac15UL;
   tf->codes[58589] = 0x00014d391571c008UL;
   tf->codes[58590] = 0x000174bdc8438117UL;
   tf->codes[58591] = 0x0001b0ffa61658f8UL;
   tf->codes[58592] = 0x0001c57e240342f0UL;
   tf->codes[58593] = 0x00000051c96305ccUL;
   tf->codes[58594] = 0x00002b2d4dffff98UL;
   tf->codes[58595] = 0x0000d0cd38b27a23UL;
   tf->codes[58596] = 0x00011865a1a24b99UL;
   tf->codes[58597] = 0x0001fda16fc52788UL;
   tf->codes[58598] = 0x0000057c469939bcUL;
   tf->codes[58599] = 0x00000fd8cd129138UL;
   tf->codes[58600] = 0x0000f540c108c6acUL;
   tf->codes[58601] = 0x0001adf8b833da54UL;
   tf->codes[58602] = 0x00003ce01cbd413bUL;
   tf->codes[58603] = 0x000064e8915bfd8aUL;
   tf->codes[58604] = 0x000072ccdd2f6071UL;
   tf->codes[58605] = 0x000126398429eba0UL;
   tf->codes[58606] = 0x00019c4f855059ccUL;
   tf->codes[58607] = 0x0000ddf15f9dbd6bUL;
   tf->codes[58608] = 0x0000f82600a2b63bUL;
   tf->codes[58609] = 0x0001dae5ab13e519UL;
   tf->codes[58610] = 0x0000e097167276cbUL;
   tf->codes[58611] = 0x0001206d13ca91a5UL;
   tf->codes[58612] = 0x000123d5480b80deUL;
   tf->codes[58613] = 0x0001d2893ef2f5d9UL;
   tf->codes[58614] = 0x0001d4e178ee1919UL;
   tf->codes[58615] = 0x0001eca05de60664UL;
   tf->codes[58616] = 0x00002592f65d63edUL;
   tf->codes[58617] = 0x00003dd94612a8c8UL;
   tf->codes[58618] = 0x00006749c60ede55UL;
   tf->codes[58619] = 0x0000744aed1ce017UL;
   tf->codes[58620] = 0x0001e5da31fd1dd4UL;
   tf->codes[58621] = 0x0001fe856213530cUL;
   tf->codes[58622] = 0x00005b4d555b8018UL;
   tf->codes[58623] = 0x0000e06e7c795e18UL;
   tf->codes[58624] = 0x00010f5df05e2649UL;
   tf->codes[58625] = 0x0001825fb04ceaa7UL;
   tf->codes[58626] = 0x0001db11219cfc18UL;
   tf->codes[58627] = 0x0001f39bc7d2f04bUL;
   tf->codes[58628] = 0x00011765c8b69b57UL;
   tf->codes[58629] = 0x000118e26a5c1bd7UL;
   tf->codes[58630] = 0x0001e35dd41f39c7UL;
   tf->codes[58631] = 0x00011676eae80634UL;
   tf->codes[58632] = 0x0001d0bc7110454eUL;
   tf->codes[58633] = 0x0000ac7abf70c30cUL;
   tf->codes[58634] = 0x0000cdde6db7e125UL;
   tf->codes[58635] = 0x00013ee288e86effUL;
   tf->codes[58636] = 0x000149b258f52253UL;
   tf->codes[58637] = 0x0001f4e10ea7cb5aUL;
   tf->codes[58638] = 0x00003bddebb04988UL;
   tf->codes[58639] = 0x000072169d9de43aUL;
   tf->codes[58640] = 0x0001282909f83688UL;
   tf->codes[58641] = 0x0001e9eee042a8d9UL;
   tf->codes[58642] = 0x00011fea95073b17UL;
   tf->codes[58643] = 0x00018c73886dc2beUL;
   tf->codes[58644] = 0x000008ed8545609aUL;
   tf->codes[58645] = 0x000024b61cec2668UL;
   tf->codes[58646] = 0x000037101321050aUL;
   tf->codes[58647] = 0x00005baa9b8741e3UL;
   tf->codes[58648] = 0x000177b94824e92eUL;
   tf->codes[58649] = 0x0001794c548a9f18UL;
   tf->codes[58650] = 0x0001d9994e789253UL;
   tf->codes[58651] = 0x0000301bb25d8f08UL;
   tf->codes[58652] = 0x00013d1fe8b0d7ceUL;
   tf->codes[58653] = 0x000065f1f9846b15UL;
   tf->codes[58654] = 0x0000ef1d486f2d22UL;
   tf->codes[58655] = 0x000114b78d709c51UL;
   tf->codes[58656] = 0x0001ceac5461e6c6UL;
   tf->codes[58657] = 0x0000ae5d0074f089UL;
   tf->codes[58658] = 0x0000b61ef6ee9b9bUL;
   tf->codes[58659] = 0x0000baa469dca56fUL;
   tf->codes[58660] = 0x000116f7b4375405UL;
   tf->codes[58661] = 0x0001232ac1e6076eUL;
   tf->codes[58662] = 0x0001db2f9d9e758bUL;
   tf->codes[58663] = 0x000011b73a4ad6baUL;
   tf->codes[58664] = 0x0000dc465019e4d8UL;
   tf->codes[58665] = 0x00013da2cf2f9882UL;
   tf->codes[58666] = 0x0001a43d1f7f803eUL;
   tf->codes[58667] = 0x0001c09a2bbbe679UL;
   tf->codes[58668] = 0x0000c0552d051416UL;
   tf->codes[58669] = 0x0001ca03b65840f8UL;
   tf->codes[58670] = 0x0000ea2a7ed72c41UL;
   tf->codes[58671] = 0x000161d3c6f2561cUL;
   tf->codes[58672] = 0x000014ef3997e11cUL;
   tf->codes[58673] = 0x00016a3caab76731UL;
   tf->codes[58674] = 0x0001778271602bcfUL;
   tf->codes[58675] = 0x00000f9612cbe2f9UL;
   tf->codes[58676] = 0x000105c68a7a6988UL;
   tf->codes[58677] = 0x00015918c4fefc8dUL;
   tf->codes[58678] = 0x00015c6511172be4UL;
   tf->codes[58679] = 0x00003306b93fba25UL;
   tf->codes[58680] = 0x0000efb2e29587faUL;
   tf->codes[58681] = 0x0001d9fe87a7104eUL;
   tf->codes[58682] = 0x00008f7c0a4db6a5UL;
   tf->codes[58683] = 0x0000b1a1fb7204d2UL;
   tf->codes[58684] = 0x0000ecd628954a6cUL;
   tf->codes[58685] = 0x00015ec270d5b859UL;
   tf->codes[58686] = 0x0001666301be1911UL;
   tf->codes[58687] = 0x0000a769159523a3UL;
   tf->codes[58688] = 0x0000e93da1e78c15UL;
   tf->codes[58689] = 0x000159126c483789UL;
   tf->codes[58690] = 0x0000a43e95a13c71UL;
   tf->codes[58691] = 0x0001e70c525d2bebUL;
   tf->codes[58692] = 0x00002b302ce0d69aUL;
   tf->codes[58693] = 0x0001bf5b6b2d0398UL;
   tf->codes[58694] = 0x0001d040fbd9316eUL;
   tf->codes[58695] = 0x0001d4eca213fec5UL;
   tf->codes[58696] = 0x0001477c533c8027UL;
   tf->codes[58697] = 0x0001dba238ad2c6fUL;
   tf->codes[58698] = 0x00000297e5c6c9caUL;
   tf->codes[58699] = 0x00001ae378559358UL;
   tf->codes[58700] = 0x0000959ce399ff27UL;
   tf->codes[58701] = 0x00015310beaa79c9UL;
   tf->codes[58702] = 0x000196175a8109ddUL;
   tf->codes[58703] = 0x00019b89531c6163UL;
   tf->codes[58704] = 0x000026e75862947cUL;
   tf->codes[58705] = 0x0000e8696ac34d46UL;
   tf->codes[58706] = 0x0001d5066d0d4bc4UL;
   tf->codes[58707] = 0x0000b40472cbbb86UL;
   tf->codes[58708] = 0x00013e7c1f7a3cb4UL;
   tf->codes[58709] = 0x000158e1ee9d0df7UL;
   tf->codes[58710] = 0x0001ac693abedb84UL;
   tf->codes[58711] = 0x0001cc69f47e0d0cUL;
   tf->codes[58712] = 0x000044fa0a4ef45cUL;
   tf->codes[58713] = 0x000072446e364c97UL;
   tf->codes[58714] = 0x0001121c23adf07fUL;
   tf->codes[58715] = 0x00007e22caa39b87UL;
   tf->codes[58716] = 0x0000bfaf8388f057UL;
   tf->codes[58717] = 0x000108abd9c7d331UL;
   tf->codes[58718] = 0x00018824d1e2024aUL;
   tf->codes[58719] = 0x0001b6a1f4fa9376UL;
   tf->codes[58720] = 0x0000756adf09a877UL;
   tf->codes[58721] = 0x00007d7eb9856507UL;
   tf->codes[58722] = 0x0001b3eea2196a31UL;
   tf->codes[58723] = 0x0001f562318a445bUL;
   tf->codes[58724] = 0x0000683e334a50c0UL;
   tf->codes[58725] = 0x00013ec2ce7f0246UL;
   tf->codes[58726] = 0x000171ccf0f55babUL;
   tf->codes[58727] = 0x0001b2ee274618cdUL;
   tf->codes[58728] = 0x0001e98885c25316UL;
   tf->codes[58729] = 0x0000d0dcad75fad3UL;
   tf->codes[58730] = 0x0000fc149bc80f83UL;
   tf->codes[58731] = 0x00013e797ea1b088UL;
   tf->codes[58732] = 0x0001aa2a82a2f1bfUL;
   tf->codes[58733] = 0x0001bf6751629bf7UL;
   tf->codes[58734] = 0x0000c02876eb9d76UL;
   tf->codes[58735] = 0x0001a19bfe2812f8UL;
   tf->codes[58736] = 0x000003a063505178UL;
   tf->codes[58737] = 0x000070fced7eb1f0UL;
   tf->codes[58738] = 0x00008916a24291bcUL;
   tf->codes[58739] = 0x0001ae1ed2469633UL;
   tf->codes[58740] = 0x0001b89b99861b30UL;
   tf->codes[58741] = 0x0001ecf513037eb7UL;
   tf->codes[58742] = 0x00002379b66c94e5UL;
   tf->codes[58743] = 0x000085c2bb2f9641UL;
   tf->codes[58744] = 0x0000f0f69f978389UL;
   tf->codes[58745] = 0x0001ac9343c590efUL;
   tf->codes[58746] = 0x0001be3eb1b43d6aUL;
   tf->codes[58747] = 0x0000cb7032a5fc8eUL;
   tf->codes[58748] = 0x000045eb7bf64310UL;
   tf->codes[58749] = 0x000048333db7c6e8UL;
   tf->codes[58750] = 0x000120518785d5a9UL;
   tf->codes[58751] = 0x000190eb0a5de2e9UL;
   tf->codes[58752] = 0x00001709a480b98dUL;
   tf->codes[58753] = 0x0000789074f19894UL;
   tf->codes[58754] = 0x00009cb7b3c47995UL;
   tf->codes[58755] = 0x0000db382cffee86UL;
   tf->codes[58756] = 0x0000ee0da8e4f8b4UL;
   tf->codes[58757] = 0x00014e6f73a9f8f6UL;
   tf->codes[58758] = 0x0001eb4a3ce63f8eUL;
   tf->codes[58759] = 0x0001f26f82ad7a7fUL;
   tf->codes[58760] = 0x0001fe01fc2a5bb2UL;
   tf->codes[58761] = 0x00002091d5fa192aUL;
   tf->codes[58762] = 0x00006f845bbf5a54UL;
   tf->codes[58763] = 0x00010368604988fcUL;
   tf->codes[58764] = 0x00010bf452141a8dUL;
   tf->codes[58765] = 0x0001129d627e18a3UL;
   tf->codes[58766] = 0x0001c633e5b5c3a5UL;
   tf->codes[58767] = 0x0001d2d534ad53f8UL;
   tf->codes[58768] = 0x0001d6dee75c2c7bUL;
   tf->codes[58769] = 0x0001deb8a7f02f95UL;
   tf->codes[58770] = 0x00001cda6de04ff0UL;
   tf->codes[58771] = 0x00004a266bb0d08eUL;
   tf->codes[58772] = 0x000083c751df5a79UL;
   tf->codes[58773] = 0x000106289fecdfa0UL;
   tf->codes[58774] = 0x00014e0a0114e191UL;
   tf->codes[58775] = 0x00016ac92efdf2edUL;
   tf->codes[58776] = 0x0001eb3acc61a181UL;
   tf->codes[58777] = 0x00001e1853e695d7UL;
   tf->codes[58778] = 0x000079c21e459134UL;
   tf->codes[58779] = 0x0001311fc39885caUL;
   tf->codes[58780] = 0x0000382344b266daUL;
   tf->codes[58781] = 0x000053e06c6a0c2eUL;
   tf->codes[58782] = 0x0000b7f7bc4599c3UL;
   tf->codes[58783] = 0x0000cee5540be7efUL;
   tf->codes[58784] = 0x000179dada12ee94UL;
   tf->codes[58785] = 0x00000e187b12e525UL;
   tf->codes[58786] = 0x00004171fd661091UL;
   tf->codes[58787] = 0x000053df9fa6df61UL;
   tf->codes[58788] = 0x0001257a221b9c7bUL;
   tf->codes[58789] = 0x00018b6d76951075UL;
   tf->codes[58790] = 0x00018f6b7ec5c2b9UL;
   tf->codes[58791] = 0x00019ee595b320c6UL;
   tf->codes[58792] = 0x0001c03de2962c24UL;
   tf->codes[58793] = 0x0001ec40b6753e67UL;
   tf->codes[58794] = 0x00008a9e88fba70bUL;
   tf->codes[58795] = 0x0000b1ae1dc1de1aUL;
   tf->codes[58796] = 0x00011f6995ca98edUL;
   tf->codes[58797] = 0x00014ea927c45233UL;
   tf->codes[58798] = 0x000154ba55375951UL;
   tf->codes[58799] = 0x000121f44eb2a97fUL;
   tf->codes[58800] = 0x000188bb7482fc0fUL;
   tf->codes[58801] = 0x0001d1969fbf9a54UL;
   tf->codes[58802] = 0x00004b045ced5851UL;
   tf->codes[58803] = 0x000197bfaf2cb10eUL;
   tf->codes[58804] = 0x00019b52e475dcf3UL;
   tf->codes[58805] = 0x0000ff5a0ca8cce8UL;
   tf->codes[58806] = 0x000163cfd540a94eUL;
   tf->codes[58807] = 0x000177cdc532e8ccUL;
   tf->codes[58808] = 0x00019b2bb861f49dUL;
   tf->codes[58809] = 0x0001bfb7d795c5fbUL;
   tf->codes[58810] = 0x0001dc1d5a7e01afUL;
   tf->codes[58811] = 0x0000c01a49d372e4UL;
   tf->codes[58812] = 0x0000e93f88013e44UL;
   tf->codes[58813] = 0x00013c0f6012f8a7UL;
   tf->codes[58814] = 0x0001798bc415cda3UL;
   tf->codes[58815] = 0x00019957a6c6ca68UL;
   tf->codes[58816] = 0x000009bab8a77a82UL;
   tf->codes[58817] = 0x00008e4e47f2652bUL;
   tf->codes[58818] = 0x0001ddd13a40daebUL;
   tf->codes[58819] = 0x000147faf25c887aUL;
   tf->codes[58820] = 0x00016062a7a317afUL;
   tf->codes[58821] = 0x00017765fa7c89f6UL;
   tf->codes[58822] = 0x000047698d0c2f11UL;
   tf->codes[58823] = 0x000085c2e8bec96bUL;
   tf->codes[58824] = 0x0000a623b5237227UL;
   tf->codes[58825] = 0x00014c2ee7db7e9bUL;
   tf->codes[58826] = 0x000000cd9e5a316cUL;
   tf->codes[58827] = 0x00009b85b4569ad6UL;
   tf->codes[58828] = 0x0000b90925990274UL;
   tf->codes[58829] = 0x0000d3f833f1596fUL;
   tf->codes[58830] = 0x00019ba1b28156bbUL;
   tf->codes[58831] = 0x0001d28e2f8ea847UL;
   tf->codes[58832] = 0x0001ecf3feb1798aUL;
   tf->codes[58833] = 0x0001fbdbea9f70dcUL;
   tf->codes[58834] = 0x00006140827ad4a6UL;
   tf->codes[58835] = 0x00012df83e1055f4UL;
   tf->codes[58836] = 0x0001b535b0c96f96UL;
   tf->codes[58837] = 0x00013cbb0cf198ddUL;
   tf->codes[58838] = 0x00018fc99217801aUL;
   tf->codes[58839] = 0x000087d439ebbee6UL;
   tf->codes[58840] = 0x0000c5dd4b857025UL;
   tf->codes[58841] = 0x000158b9cc75a84dUL;
   tf->codes[58842] = 0x0001f30993afcacfUL;
   tf->codes[58843] = 0x0001b5563b0c7f64UL;
   tf->codes[58844] = 0x00001aa9e590383cUL;
   tf->codes[58845] = 0x00003a3be8e88150UL;
   tf->codes[58846] = 0x0001398a0842f4a1UL;
   tf->codes[58847] = 0x00001a69ca96db05UL;
   tf->codes[58848] = 0x00004531ddb6ea68UL;
   tf->codes[58849] = 0x0000b80025f19ca1UL;
   tf->codes[58850] = 0x0001de058e6b93f7UL;
   tf->codes[58851] = 0x00008befff202dfdUL;
   tf->codes[58852] = 0x0000f3bac50b14f8UL;
   tf->codes[58853] = 0x0001a92b78687837UL;
   tf->codes[58854] = 0x0000ce86b139ab05UL;
   tf->codes[58855] = 0x00000cf11045ec54UL;
   tf->codes[58856] = 0x00001bcf9b4bf719UL;
   tf->codes[58857] = 0x000054496cc76e52UL;
   tf->codes[58858] = 0x00008f1e36f24e07UL;
   tf->codes[58859] = 0x0001b5cd59f6fe5bUL;
   tf->codes[58860] = 0x0001e2e271b21649UL;
   tf->codes[58861] = 0x000076850a73d2dbUL;
   tf->codes[58862] = 0x0001df5a9dccfd1fUL;
   tf->codes[58863] = 0x0000a9d2992ec484UL;
   tf->codes[58864] = 0x0000438d17992b88UL;
   tf->codes[58865] = 0x000106d2fdea74e4UL;
   tf->codes[58866] = 0x0001a3edd3950af4UL;
   tf->codes[58867] = 0x0001aabbb7f1a9efUL;
   tf->codes[58868] = 0x00007b6228495af2UL;
   tf->codes[58869] = 0x0001e193559ce0b5UL;
   tf->codes[58870] = 0x0001edaf0e4f47a0UL;
   tf->codes[58871] = 0x0001f2b9dcf37517UL;
   tf->codes[58872] = 0x00007f2b1051c4efUL;
   tf->codes[58873] = 0x0001a44acfe11ba9UL;
   tf->codes[58874] = 0x00013179ba671675UL;
   tf->codes[58875] = 0x00015fe3e120c8c2UL;
   tf->codes[58876] = 0x0000e03d554e0fc7UL;
   tf->codes[58877] = 0x0001652aca28d5ddUL;
   tf->codes[58878] = 0x0000b39b037d3a68UL;
   tf->codes[58879] = 0x0000bcd20f2ca795UL;
   tf->codes[58880] = 0x0000e5b656b00c69UL;
   tf->codes[58881] = 0x0000e69bff9aad05UL;
   tf->codes[58882] = 0x0001572df602fbe0UL;
   tf->codes[58883] = 0x0000696af545f9caUL;
   tf->codes[58884] = 0x000084eacf4394e2UL;
   tf->codes[58885] = 0x0000b4bf857fffe4UL;
   tf->codes[58886] = 0x0001a5eb962efa88UL;
   tf->codes[58887] = 0x0001d0adf15779aeUL;
   tf->codes[58888] = 0x00003afe766b000cUL;
   tf->codes[58889] = 0x000104299eeafcc6UL;
   tf->codes[58890] = 0x000050bfa819a914UL;
   tf->codes[58891] = 0x0000679cc7a657d8UL;
   tf->codes[58892] = 0x00012b0831975368UL;
   tf->codes[58893] = 0x0001b8377b395dbbUL;
   tf->codes[58894] = 0x000006e61110ed58UL;
   tf->codes[58895] = 0x000102c64432e133UL;
   tf->codes[58896] = 0x00014744ee827e63UL;
   tf->codes[58897] = 0x000193bc004323cbUL;
   tf->codes[58898] = 0x0001ecfa94481d09UL;
   tf->codes[58899] = 0x00006c86c35030c6UL;
   tf->codes[58900] = 0x000105ff856123ecUL;
   tf->codes[58901] = 0x0001d64de4a127aaUL;
   tf->codes[58902] = 0x0000104fc7b13fddUL;
   tf->codes[58903] = 0x00008196e8936830UL;
   tf->codes[58904] = 0x0000b223c28cf7abUL;
   tf->codes[58905] = 0x0001a9ccf8619ca5UL;
   tf->codes[58906] = 0x00004d8449bbf378UL;
   tf->codes[58907] = 0x0000a60ed8123017UL;
   tf->codes[58908] = 0x0000bb5f52ddca7dUL;
   tf->codes[58909] = 0x00011bf211319d6dUL;
   tf->codes[58910] = 0x0001c63a25328105UL;
   tf->codes[58911] = 0x0001d68638fe8f80UL;
   tf->codes[58912] = 0x000196501a75efb3UL;
   tf->codes[58913] = 0x0001a5608346e43aUL;
   tf->codes[58914] = 0x0001d9cde35f3db4UL;
   tf->codes[58915] = 0x000055de98ad6fd5UL;
   tf->codes[58916] = 0x0000f71aeb213670UL;
   tf->codes[58917] = 0x000097195f05a568UL;
   tf->codes[58918] = 0x00014f100c1aadcfUL;
   tf->codes[58919] = 0x0001d864127772d6UL;
   tf->codes[58920] = 0x0001e5ec2f24c09eUL;
   tf->codes[58921] = 0x00004ac712ac9326UL;
   tf->codes[58922] = 0x00010a6da4187ed4UL;
   tf->codes[58923] = 0x00017e6c61ee304cUL;
   tf->codes[58924] = 0x0001b0794bee96d2UL;
   tf->codes[58925] = 0x0000473ddf6d575eUL;
   tf->codes[58926] = 0x00008560ca289492UL;
   tf->codes[58927] = 0x000017c793622d6eUL;
   tf->codes[58928] = 0x00004d99cb05af60UL;
   tf->codes[58929] = 0x000173e0d9d71e91UL;
   tf->codes[58930] = 0x000084916ee80de2UL;
   tf->codes[58931] = 0x000141b624aabc42UL;
   tf->codes[58932] = 0x0000a31abb5035deUL;
   tf->codes[58933] = 0x0001767818ee5eb7UL;
   tf->codes[58934] = 0x0001b1472b21ae2fUL;
   tf->codes[58935] = 0x0000057d74a7b96dUL;
   tf->codes[58936] = 0x000045b76824ad90UL;
   tf->codes[58937] = 0x00008be7c5b705c8UL;
   tf->codes[58938] = 0x00019a9f493631f9UL;
   tf->codes[58939] = 0x000033063c892afeUL;
   tf->codes[58940] = 0x00009e7ec08bdb22UL;
   tf->codes[58941] = 0x00012ed50d35685dUL;
   tf->codes[58942] = 0x0001ef8a398cfd66UL;
   tf->codes[58943] = 0x000001815e681f98UL;
   tf->codes[58944] = 0x000033c853c531d5UL;
   tf->codes[58945] = 0x000079b7f53c2946UL;
   tf->codes[58946] = 0x0000871dc21c15a0UL;
   tf->codes[58947] = 0x00016a52ffb6da08UL;
   tf->codes[58948] = 0x000016421543773cUL;
   tf->codes[58949] = 0x0000673a7be3be9eUL;
   tf->codes[58950] = 0x0000700631028c23UL;
   tf->codes[58951] = 0x000008fd90deb9beUL;
   tf->codes[58952] = 0x0000124fd509d57eUL;
   tf->codes[58953] = 0x00002f553c76d219UL;
   tf->codes[58954] = 0x00006de9d6dc42c2UL;
   tf->codes[58955] = 0x0000aa755c945c6dUL;
   tf->codes[58956] = 0x00014194bfdf0f7aUL;
   tf->codes[58957] = 0x000183b4c88ee7deUL;
   tf->codes[58958] = 0x00002010632aa69aUL;
   tf->codes[58959] = 0x000052de97411861UL;
   tf->codes[58960] = 0x000071957761ca3fUL;
   tf->codes[58961] = 0x0001149345a4d9fbUL;
   tf->codes[58962] = 0x0001989ef514618aUL;
   tf->codes[58963] = 0x0001b61f32847862UL;
   tf->codes[58964] = 0x0001fb989124c8faUL;
   tf->codes[58965] = 0x000071ecca415876UL;
   tf->codes[58966] = 0x00009c4c8e9f20f1UL;
   tf->codes[58967] = 0x000136c6a7346ed0UL;
   tf->codes[58968] = 0x00019bf5433680feUL;
   tf->codes[58969] = 0x0000ff4740ef977bUL;
   tf->codes[58970] = 0x0000ff9fc725504aUL;
   tf->codes[58971] = 0x00014a3b49661ad7UL;
   tf->codes[58972] = 0x00016fe641302f33UL;
   tf->codes[58973] = 0x000066a78483f9dfUL;
   tf->codes[58974] = 0x00006a6580465cabUL;
   tf->codes[58975] = 0x00019dfe3acdbc7eUL;
   tf->codes[58976] = 0x0001a7412b8a55afUL;
   tf->codes[58977] = 0x0001ff0f3d860036UL;
   tf->codes[58978] = 0x00009611594dd0c3UL;
   tf->codes[58979] = 0x0001b1d44eff0257UL;
   tf->codes[58980] = 0x0000e8fafbf6095cUL;
   tf->codes[58981] = 0x0000eaf82b963456UL;
   tf->codes[58982] = 0x000169728be04df2UL;
   tf->codes[58983] = 0x0001d555a83b7eb0UL;
   tf->codes[58984] = 0x0001cbb76409d9b5UL;
   tf->codes[58985] = 0x00005d435a9cdd23UL;
   tf->codes[58986] = 0x0001b68fbe292c90UL;
   tf->codes[58987] = 0x000127ca9ae21958UL;
   tf->codes[58988] = 0x000025a95cfe5acbUL;
   tf->codes[58989] = 0x00002be80f9ede0cUL;
   tf->codes[58990] = 0x0000b0727890e1edUL;
   tf->codes[58991] = 0x00014e206376f5ccUL;
   tf->codes[58992] = 0x0000a2d666bd9073UL;
   tf->codes[58993] = 0x000157630b197b79UL;
   tf->codes[58994] = 0x000083a19a405dd9UL;
   tf->codes[58995] = 0x00015fd282872620UL;
   tf->codes[58996] = 0x000199c427eca4b0UL;
   tf->codes[58997] = 0x000042150d5f010fUL;
   tf->codes[58998] = 0x00007a05da33f855UL;
   tf->codes[58999] = 0x0000d49b8c3ebfdfUL;
   tf->codes[59000] = 0x0000e5cf1d6d9d1eUL;
   tf->codes[59001] = 0x00014ce0d55f488cUL;
   tf->codes[59002] = 0x0001b0d943cecb3eUL;
   tf->codes[59003] = 0x0001d968ae0cd393UL;
   tf->codes[59004] = 0x00000dca63a706ceUL;
   tf->codes[59005] = 0x00002319448978d1UL;
   tf->codes[59006] = 0x00006820b8f0902fUL;
   tf->codes[59007] = 0x000133c71ae622e6UL;
   tf->codes[59008] = 0x0001a0efa9b757f0UL;
   tf->codes[59009] = 0x0000ce1d513bd538UL;
   tf->codes[59010] = 0x000102167d84bbc6UL;
   tf->codes[59011] = 0x0001db4620f2b91eUL;
   tf->codes[59012] = 0x0001f63ecac2026bUL;
   tf->codes[59013] = 0x0000bbc34c7be8d7UL;
   tf->codes[59014] = 0x0000c076b9b57a58UL;
   tf->codes[59015] = 0x0000d1d28d384f07UL;
   tf->codes[59016] = 0x00010b1c4c8b42c1UL;
   tf->codes[59017] = 0x000047dde41eaa0bUL;
   tf->codes[59018] = 0x000066402189052fUL;
   tf->codes[59019] = 0x00009d49ab8a3376UL;
   tf->codes[59020] = 0x0000b026b3defc09UL;
   tf->codes[59021] = 0x0000f51489b38d37UL;
   tf->codes[59022] = 0x0001729a9d5194f7UL;
   tf->codes[59023] = 0x00018c00afd933e4UL;
   tf->codes[59024] = 0x00013566e86cdcf2UL;
   tf->codes[59025] = 0x000154201223c882UL;
   tf->codes[59026] = 0x000165c309669f84UL;
   tf->codes[59027] = 0x000030976e7d81cdUL;
   tf->codes[59028] = 0x000057f5b3737994UL;
   tf->codes[59029] = 0x0000e202c7c97a28UL;
   tf->codes[59030] = 0x000156954a87babeUL;
   tf->codes[59031] = 0x000014e56d9ae96fUL;
   tf->codes[59032] = 0x00012a2217cd89e5UL;
   tf->codes[59033] = 0x000135d004551f70UL;
   tf->codes[59034] = 0x0001c6ef9ca281dbUL;
   tf->codes[59035] = 0x000057ba1d1b8202UL;
   tf->codes[59036] = 0x0001464486791d61UL;
   tf->codes[59037] = 0x000085efd359fd57UL;
   tf->codes[59038] = 0x0000c125d4f57119UL;
   tf->codes[59039] = 0x0001b31ccb316950UL;
   tf->codes[59040] = 0x0000426651677b58UL;
   tf->codes[59041] = 0x00005d137ed954b3UL;
   tf->codes[59042] = 0x00016d768885a025UL;
   tf->codes[59043] = 0x00004daccaddd350UL;
   tf->codes[59044] = 0x0000d323445f1959UL;
   tf->codes[59045] = 0x0001f48baa5fb498UL;
   tf->codes[59046] = 0x0001dd9602808ebeUL;
   tf->codes[59047] = 0x0000c0acd3cd53cdUL;
   tf->codes[59048] = 0x00017f9eafdd718dUL;
   tf->codes[59049] = 0x00005efdb27d6f97UL;
   tf->codes[59050] = 0x0000841e4646e162UL;
   tf->codes[59051] = 0x0000977db10e8297UL;
   tf->codes[59052] = 0x0001a23b0fdc5e99UL;
   tf->codes[59053] = 0x00001df5d1a52521UL;
   tf->codes[59054] = 0x00009a687c9c0a5dUL;
   tf->codes[59055] = 0x0000aedaa05dbcc7UL;
   tf->codes[59056] = 0x000115fd803618ecUL;
   tf->codes[59057] = 0x000168c04e6f8a72UL;
   tf->codes[59058] = 0x0000b46e2a8e56adUL;
   tf->codes[59059] = 0x000118e8c0e1ac3cUL;
   tf->codes[59060] = 0x00013b3853b41477UL;
   tf->codes[59061] = 0x0001b63f0fce1e60UL;
   tf->codes[59062] = 0x0001e32baaa63919UL;
   tf->codes[59063] = 0x00007a2a929bb8e0UL;
   tf->codes[59064] = 0x0001a5d4f6470e57UL;
   tf->codes[59065] = 0x0000c5c28f1a573eUL;
   tf->codes[59066] = 0x0000eca4299506a0UL;
   tf->codes[59067] = 0x0001734560b9bbabUL;
   tf->codes[59068] = 0x0001c61cffca3a38UL;
   tf->codes[59069] = 0x0000fca8d086ff44UL;
   tf->codes[59070] = 0x00012c4fc706e85eUL;
   tf->codes[59071] = 0x000000336a974beeUL;
   tf->codes[59072] = 0x0000f468fc3be135UL;
   tf->codes[59073] = 0x00016e059df13df3UL;
   tf->codes[59074] = 0x0001cb7a45076efeUL;
   tf->codes[59075] = 0x000063b880e86509UL;
   tf->codes[59076] = 0x0001077d16aa0a7eUL;
   tf->codes[59077] = 0x00017cc5e8ad4165UL;
   tf->codes[59078] = 0x000082541a025a95UL;
   tf->codes[59079] = 0x0000d461bdc1f2a3UL;
   tf->codes[59080] = 0x00015798ec2d8a4dUL;
   tf->codes[59081] = 0x00019553c2b5865eUL;
   tf->codes[59082] = 0x0001ac474d026a8cUL;
   tf->codes[59083] = 0x0001b659415a692aUL;
   tf->codes[59084] = 0x0001be7a603d745cUL;
   tf->codes[59085] = 0x0000582191b7fab9UL;
   tf->codes[59086] = 0x000073c63fa836b6UL;
   tf->codes[59087] = 0x000134e011d1b657UL;
   tf->codes[59088] = 0x000136dd7c00e716UL;
   tf->codes[59089] = 0x0001de94e493241aUL;
   tf->codes[59090] = 0x00004347fae50abcUL;
   tf->codes[59091] = 0x0001ba0423a7d199UL;
   tf->codes[59092] = 0x0000f1e0e554c92aUL;
   tf->codes[59093] = 0x00011182ebc8a61cUL;
   tf->codes[59094] = 0x000085b153d503a7UL;
   tf->codes[59095] = 0x0001da9934e68810UL;
   tf->codes[59096] = 0x00019e1fed552e36UL;
   tf->codes[59097] = 0x00003d5156a36fabUL;
   tf->codes[59098] = 0x000092c9b2c93669UL;
   tf->codes[59099] = 0x000111edcd9e0903UL;
   tf->codes[59100] = 0x00019603188482e4UL;
   tf->codes[59101] = 0x0001b86f7dbbc215UL;
   tf->codes[59102] = 0x0001eb78b5f60466UL;
   tf->codes[59103] = 0x0000286e24598d5cUL;
   tf->codes[59104] = 0x00007a985feef69bUL;
   tf->codes[59105] = 0x0001cb246fc08b3eUL;
   tf->codes[59106] = 0x00007d811c754a74UL;
   tf->codes[59107] = 0x0000daeeac39c8a4UL;
   tf->codes[59108] = 0x0001599d33e505b4UL;
   tf->codes[59109] = 0x0001d9d5670e0c21UL;
   tf->codes[59110] = 0x0001ddcd079a1cd9UL;
   tf->codes[59111] = 0x0000503968b729b6UL;
   tf->codes[59112] = 0x0000de5c4f583496UL;
   tf->codes[59113] = 0x00017d025bdeaea7UL;
   tf->codes[59114] = 0x00002bbfb3ae102fUL;
   tf->codes[59115] = 0x0001e3474b40209bUL;
   tf->codes[59116] = 0x000061d8c5f780f0UL;
   tf->codes[59117] = 0x00009fb0a97359bcUL;
   tf->codes[59118] = 0x0000ef3ef5aef3f3UL;
   tf->codes[59119] = 0x00015cebc9f63d86UL;
   tf->codes[59120] = 0x0001b861e21220f9UL;
   tf->codes[59121] = 0x0001ee9b43acccfaUL;
   tf->codes[59122] = 0x00006f2b87ed80acUL;
   tf->codes[59123] = 0x00000e928df90436UL;
   tf->codes[59124] = 0x00005e1d5d483a23UL;
   tf->codes[59125] = 0x0001ad01ca6c119aUL;
   tf->codes[59126] = 0x0001b61b8e989c47UL;
   tf->codes[59127] = 0x0001f5c2a7691860UL;
   tf->codes[59128] = 0x000017e85dfe60c8UL;
   tf->codes[59129] = 0x00015ca84f89664cUL;
   tf->codes[59130] = 0x0001cac205bf6a2bUL;
   tf->codes[59131] = 0x0000463cbb19e13bUL;
   tf->codes[59132] = 0x00005b8a02132adbUL;
   tf->codes[59133] = 0x0001394ac2ed5846UL;
   tf->codes[59134] = 0x00016a5397b51ed7UL;
   tf->codes[59135] = 0x0000ec5055f2b569UL;
   tf->codes[59136] = 0x000180fcbbe4a22dUL;
   tf->codes[59137] = 0x00002aef517e25b6UL;
   tf->codes[59138] = 0x0001c0f868e06741UL;
   tf->codes[59139] = 0x0001e2ab858f6520UL;
   tf->codes[59140] = 0x0001efbc000be971UL;
   tf->codes[59141] = 0x000005d516ce47b8UL;
   tf->codes[59142] = 0x00007a01ceef80ddUL;
   tf->codes[59143] = 0x0000ddb10a97cd4fUL;
   tf->codes[59144] = 0x00011f537e90463aUL;
   tf->codes[59145] = 0x0000e603f8bab484UL;
   tf->codes[59146] = 0x00016cb4834dec1eUL;
   tf->codes[59147] = 0x000033229171d53bUL;
   tf->codes[59148] = 0x00005303ba17ea91UL;
   tf->codes[59149] = 0x00013d767cb24d7cUL;
   tf->codes[59150] = 0x000174bbba845d9cUL;
   tf->codes[59151] = 0x00004687e034feb3UL;
   tf->codes[59152] = 0x00006f76e7fa72b2UL;
   tf->codes[59153] = 0x0001b400a31d20d5UL;
   tf->codes[59154] = 0x0001f5908fd4c66bUL;
   tf->codes[59155] = 0x0001f8a162ab19aeUL;
   tf->codes[59156] = 0x000128678b280f73UL;
   tf->codes[59157] = 0x00007ade7de80180UL;
   tf->codes[59158] = 0x0000dfa54045d850UL;
   tf->codes[59159] = 0x000120ceb2b36526UL;
   tf->codes[59160] = 0x0000150aabfc9bf9UL;
   tf->codes[59161] = 0x00006cae6c9d1b23UL;
   tf->codes[59162] = 0x00012150917d247fUL;
   tf->codes[59163] = 0x00015a2239814338UL;
   tf->codes[59164] = 0x0001c6561513689bUL;
   tf->codes[59165] = 0x0001d1e6f4a7216bUL;
   tf->codes[59166] = 0x000086d3d7ac7babUL;
   tf->codes[59167] = 0x00012e374d357344UL;
   tf->codes[59168] = 0x00019cec8f52ca6bUL;
   tf->codes[59169] = 0x00007753851e7418UL;
   tf->codes[59170] = 0x00017fd742432439UL;
   tf->codes[59171] = 0x000023eea642f240UL;
   tf->codes[59172] = 0x00009648f53d3752UL;
   tf->codes[59173] = 0x0000f3257ecd6ba0UL;
   tf->codes[59174] = 0x000111ab6b5f4ad0UL;
   tf->codes[59175] = 0x000154c74d2af375UL;
   tf->codes[59176] = 0x000158b049f592edUL;
   tf->codes[59177] = 0x0001857bf45a6ed6UL;
   tf->codes[59178] = 0x0001d36e0dd76c5bUL;
   tf->codes[59179] = 0x0000a26bf145491eUL;
   tf->codes[59180] = 0x00011cd80bb416d3UL;
   tf->codes[59181] = 0x00018c144370ba00UL;
   tf->codes[59182] = 0x000055401b9dc809UL;
   tf->codes[59183] = 0x00008327dfe4a1b4UL;
   tf->codes[59184] = 0x0000f7878c10d3b5UL;
   tf->codes[59185] = 0x000177f50b661a6fUL;
   tf->codes[59186] = 0x000052a27544b520UL;
   tf->codes[59187] = 0x000163bec77941e4UL;
   tf->codes[59188] = 0x0001ab588fc335f8UL;
   tf->codes[59189] = 0x0000e963c6661727UL;
   tf->codes[59190] = 0x0001bf90c5a126f2UL;
   tf->codes[59191] = 0x00004ce30ebda402UL;
   tf->codes[59192] = 0x0001b78b805bcde3UL;
   tf->codes[59193] = 0x0000dc09c17d3b53UL;
   tf->codes[59194] = 0x0001173c1a2852c5UL;
   tf->codes[59195] = 0x0000f215fa6b48c3UL;
   tf->codes[59196] = 0x00011673aa3586eaUL;
   tf->codes[59197] = 0x0001e5f88342afb3UL;
   tf->codes[59198] = 0x00000e29af536efcUL;
   tf->codes[59199] = 0x000022fc5ad8a424UL;
   tf->codes[59200] = 0x00007cdf668ed1adUL;
   tf->codes[59201] = 0x0001ce3e22ec280dUL;
   tf->codes[59202] = 0x0001ebbc16c60533UL;
   tf->codes[59203] = 0x0000755f4270967cUL;
   tf->codes[59204] = 0x00016378abd10fb5UL;
   tf->codes[59205] = 0x0001f4def2c068e9UL;
   tf->codes[59206] = 0x000039e2f8c629bcUL;
   tf->codes[59207] = 0x00011f812324b691UL;
   tf->codes[59208] = 0x00018551b2b2bd93UL;
   tf->codes[59209] = 0x0001c1ab2010e7b7UL;
   tf->codes[59210] = 0x00009204b4b1062aUL;
   tf->codes[59211] = 0x000114d6c82ca7b2UL;
   tf->codes[59212] = 0x0001b68c1c2b5a62UL;
   tf->codes[59213] = 0x00000d5dd1621b5fUL;
   tf->codes[59214] = 0x0000a83871baebfcUL;
   tf->codes[59215] = 0x0000b14b1e95c3ceUL;
   tf->codes[59216] = 0x00018718804967efUL;
   tf->codes[59217] = 0x00019718a299faeeUL;
   tf->codes[59218] = 0x00000cf2efef8741UL;
   tf->codes[59219] = 0x00001fa94fd980c7UL;
   tf->codes[59220] = 0x0000c669727c60eeUL;
   tf->codes[59221] = 0x0001b28d733b7357UL;
   tf->codes[59222] = 0x0001f4bb6fffabacUL;
   tf->codes[59223] = 0x0000b5c5eebaa8beUL;
   tf->codes[59224] = 0x00005cf343dd44f9UL;
   tf->codes[59225] = 0x0000615d093194b0UL;
   tf->codes[59226] = 0x0000753e26befd38UL;
   tf->codes[59227] = 0x0000f052d6ed6712UL;
   tf->codes[59228] = 0x0001b6e41f1ac8b1UL;
   tf->codes[59229] = 0x00005b774359c809UL;
   tf->codes[59230] = 0x000081e67e7d32a7UL;
   tf->codes[59231] = 0x000106a2501c14c0UL;
   tf->codes[59232] = 0x0000a60c14dbdd86UL;
   tf->codes[59233] = 0x0000567e69c246dfUL;
   tf->codes[59234] = 0x0000c679dc8dc160UL;
   tf->codes[59235] = 0x0001060965d2eb36UL;
   tf->codes[59236] = 0x00014e822648cad6UL;
   tf->codes[59237] = 0x000079cdd6a8cbb7UL;
   tf->codes[59238] = 0x0000951fb65adf22UL;
   tf->codes[59239] = 0x00009fcd369a3108UL;
   tf->codes[59240] = 0x0001c7de7275c498UL;
   tf->codes[59241] = 0x00013a65acf27081UL;
   tf->codes[59242] = 0x0001a60931fd5d51UL;
   tf->codes[59243] = 0x0000d78c431d28d3UL;
   tf->codes[59244] = 0x000132dcd7995a12UL;
   tf->codes[59245] = 0x00011954a14851bdUL;
   tf->codes[59246] = 0x0001494fc5608607UL;
   tf->codes[59247] = 0x000063a4480f9cd1UL;
   tf->codes[59248] = 0x0000703384e46559UL;
   tf->codes[59249] = 0x00008e7e6d5273ffUL;
   tf->codes[59250] = 0x000049d5288d97eeUL;
   tf->codes[59251] = 0x0000647ac98fb2e4UL;
   tf->codes[59252] = 0x0000d94ef2a56b55UL;
   tf->codes[59253] = 0x00019e060aad14b7UL;
   tf->codes[59254] = 0x00002ab8a9d3d6a5UL;
   tf->codes[59255] = 0x000060284aaca1ecUL;
   tf->codes[59256] = 0x0000bf215a6717a1UL;
   tf->codes[59257] = 0x0001a5be5724bfb8UL;
   tf->codes[59258] = 0x0001fdde04086839UL;
   tf->codes[59259] = 0x000004f51b2c3d74UL;
   tf->codes[59260] = 0x0000324b9eafc778UL;
   tf->codes[59261] = 0x00016f37c22d5fe4UL;
   tf->codes[59262] = 0x0001d7a1f77efc3cUL;
   tf->codes[59263] = 0x00000f44142432caUL;
   tf->codes[59264] = 0x0000d5fadff1469dUL;
   tf->codes[59265] = 0x0000f879cc695923UL;
   tf->codes[59266] = 0x000182c42e7963f3UL;
   tf->codes[59267] = 0x0001f14374bd697eUL;
   tf->codes[59268] = 0x000167f677274993UL;
   tf->codes[59269] = 0x000025d2db8910e2UL;
   tf->codes[59270] = 0x000027105afc58feUL;
   tf->codes[59271] = 0x00011b4661bef9cfUL;
   tf->codes[59272] = 0x000136e766bed97cUL;
   tf->codes[59273] = 0x00017c760b5442a5UL;
   tf->codes[59274] = 0x000192b25c20196eUL;
   tf->codes[59275] = 0x00012c98c5ced432UL;
   tf->codes[59276] = 0x0001ed299351d3e0UL;
   tf->codes[59277] = 0x00002007ca83d985UL;
   tf->codes[59278] = 0x0001b210caae34dfUL;
   tf->codes[59279] = 0x0001d6bae111fa0cUL;
   tf->codes[59280] = 0x00011a42d09241ecUL;
   tf->codes[59281] = 0x0000471866ff11efUL;
   tf->codes[59282] = 0x00015896a051440fUL;
   tf->codes[59283] = 0x0001ebb159379d87UL;
   tf->codes[59284] = 0x000054b03dade011UL;
   tf->codes[59285] = 0x000118f5a60b55feUL;
   tf->codes[59286] = 0x00013978c23d6028UL;
   tf->codes[59287] = 0x000164874970608fUL;
   tf->codes[59288] = 0x00019461f2336193UL;
   tf->codes[59289] = 0x00019539e198a803UL;
   tf->codes[59290] = 0x0001a4b348d8f4c1UL;
   tf->codes[59291] = 0x0001b50eb01385cbUL;
   tf->codes[59292] = 0x0001ddf75034583eUL;
   tf->codes[59293] = 0x0000076f2211466bUL;
   tf->codes[59294] = 0x00008ba5d2890aa6UL;
   tf->codes[59295] = 0x000093f61082ba5eUL;
   tf->codes[59296] = 0x00014a425c35c05dUL;
   tf->codes[59297] = 0x000080229def9e43UL;
   tf->codes[59298] = 0x000097c107925848UL;
   tf->codes[59299] = 0x000111bdf67c31ffUL;
   tf->codes[59300] = 0x000185af355b8f10UL;
   tf->codes[59301] = 0x00018644cebc4c56UL;
   tf->codes[59302] = 0x0001c318d78e8af2UL;
   tf->codes[59303] = 0x00005229a3370622UL;
   tf->codes[59304] = 0x0000b2189986b616UL;
   tf->codes[59305] = 0x0001a33a99a0b2deUL;
   tf->codes[59306] = 0x000040c54a7d4e3bUL;
   tf->codes[59307] = 0x0000ab1e80cbafd7UL;
   tf->codes[59308] = 0x0000fec9e2a7ff3bUL;
   tf->codes[59309] = 0x0000efe3bca72852UL;
   tf->codes[59310] = 0x00014a19969b7e6dUL;
   tf->codes[59311] = 0x000173cdcbf65fc2UL;
   tf->codes[59312] = 0x0001d45a97c39cb0UL;
   tf->codes[59313] = 0x0001d45ce159d662UL;
   tf->codes[59314] = 0x0000685db848dc00UL;
   tf->codes[59315] = 0x0000d85079d97b43UL;
   tf->codes[59316] = 0x0001b22f8fc9c1d6UL;
   tf->codes[59317] = 0x0000031f0aa02835UL;
   tf->codes[59318] = 0x0000ff2c79d584afUL;
   tf->codes[59319] = 0x00013cb2ee6d5787UL;
   tf->codes[59320] = 0x000154b6e81e1338UL;
   tf->codes[59321] = 0x00018d8ce8bf9f90UL;
   tf->codes[59322] = 0x0000308489ed1385UL;
   tf->codes[59323] = 0x00004917b559eaf0UL;
   tf->codes[59324] = 0x00009cae1a5b3547UL;
   tf->codes[59325] = 0x000049c5f4860993UL;
   tf->codes[59326] = 0x0000a35004e872c3UL;
   tf->codes[59327] = 0x0000b35270cf3f74UL;
   tf->codes[59328] = 0x0000b410c1a1ffb4UL;
   tf->codes[59329] = 0x0001d26ebc70e93cUL;
   tf->codes[59330] = 0x0000131f67e28fc2UL;
   tf->codes[59331] = 0x000023b941a247e1UL;
   tf->codes[59332] = 0x0000ebc30d66c226UL;
   tf->codes[59333] = 0x0001f9f56fbed079UL;
   tf->codes[59334] = 0x00001f99503731faUL;
   tf->codes[59335] = 0x000026638ba374a5UL;
   tf->codes[59336] = 0x0000c5b8a4193a26UL;
   tf->codes[59337] = 0x0001385dfa52e3a0UL;
   tf->codes[59338] = 0x0001546f1513ce5fUL;
   tf->codes[59339] = 0x000157efb4911930UL;
   tf->codes[59340] = 0x0001893f37fad68aUL;
   tf->codes[59341] = 0x00000684ca0c8348UL;
   tf->codes[59342] = 0x0001c1c7298ea5baUL;
   tf->codes[59343] = 0x0001f85b20663e77UL;
   tf->codes[59344] = 0x0000ad3047dc4e6eUL;
   tf->codes[59345] = 0x0000e1731c0a76c6UL;
   tf->codes[59346] = 0x00000f031fcaa4f4UL;
   tf->codes[59347] = 0x0000346b4c72249cUL;
   tf->codes[59348] = 0x000078afa24b0291UL;
   tf->codes[59349] = 0x00008e791ea1890cUL;
   tf->codes[59350] = 0x0001499659a008d1UL;
   tf->codes[59351] = 0x0001f2bcaa526c29UL;
   tf->codes[59352] = 0x00016468c19780dcUL;
   tf->codes[59353] = 0x000023b657afa831UL;
   tf->codes[59354] = 0x0000a88a6886eddcUL;
   tf->codes[59355] = 0x0000c595fd09863eUL;
   tf->codes[59356] = 0x0001294a066d4bd9UL;
   tf->codes[59357] = 0x00014ac8fbbb2644UL;
   tf->codes[59358] = 0x00002229def28bd9UL;
   tf->codes[59359] = 0x0000a9f5240d9e97UL;
   tf->codes[59360] = 0x0000cf074ea4a4e7UL;
   tf->codes[59361] = 0x0000e2f2f1e516d5UL;
   tf->codes[59362] = 0x0001221265693599UL;
   tf->codes[59363] = 0x0001aabb8c7024c9UL;
   tf->codes[59364] = 0x000103eec687f990UL;
   tf->codes[59365] = 0x0000f901a06d55fdUL;
   tf->codes[59366] = 0x000118085588e56cUL;
   tf->codes[59367] = 0x0000a2f361ccbe75UL;
   tf->codes[59368] = 0x00016e7ae2564649UL;
   tf->codes[59369] = 0x0001b134dd044992UL;
   tf->codes[59370] = 0x00003eea320988d7UL;
   tf->codes[59371] = 0x000067b550187305UL;
   tf->codes[59372] = 0x00007278164cdd7cUL;
   tf->codes[59373] = 0x00017a4592b7a50bUL;
   tf->codes[59374] = 0x00019094a55354eeUL;
   tf->codes[59375] = 0x0000d5d55f680ab1UL;
   tf->codes[59376] = 0x0001a9a606998f62UL;
   tf->codes[59377] = 0x00000b00018a0395UL;
   tf->codes[59378] = 0x00005e3b96bf5b6bUL;
   tf->codes[59379] = 0x00018533024f2aebUL;
   tf->codes[59380] = 0x0001ae39d42ef6f2UL;
   tf->codes[59381] = 0x0001d2110377f49dUL;
   tf->codes[59382] = 0x00007fbe26728467UL;
   tf->codes[59383] = 0x00016cc80aab3d31UL;
   tf->codes[59384] = 0x0001a916081a46dbUL;
   tf->codes[59385] = 0x0001be9183ee1dedUL;
   tf->codes[59386] = 0x00002935ed7fdbf7UL;
   tf->codes[59387] = 0x0000ae69614f8787UL;
   tf->codes[59388] = 0x0001dddb21a52c57UL;
   tf->codes[59389] = 0x00005e05d5d7de5dUL;
   tf->codes[59390] = 0x0001301959d7878cUL;
   tf->codes[59391] = 0x0001c4fad166aed8UL;
   tf->codes[59392] = 0x0001224e9e0b9d16UL;
   tf->codes[59393] = 0x000131e07f13532bUL;
   tf->codes[59394] = 0x0001f08544dcd896UL;
   tf->codes[59395] = 0x00005b739f6debeeUL;
   tf->codes[59396] = 0x00018d55294a0641UL;
   tf->codes[59397] = 0x00006a5bf1eee10bUL;
   tf->codes[59398] = 0x00010587c69cb1d7UL;
   tf->codes[59399] = 0x0000dc5b28032018UL;
   tf->codes[59400] = 0x0000e89a554e054aUL;
   tf->codes[59401] = 0x0000d90ecd5fe302UL;
   tf->codes[59402] = 0x00007ab43444fdd7UL;
   tf->codes[59403] = 0x00013e01e1950b5dUL;
   tf->codes[59404] = 0x0000b5427bd1dec9UL;
   tf->codes[59405] = 0x00017095781aaa65UL;
   tf->codes[59406] = 0x00018c989ec73533UL;
   tf->codes[59407] = 0x00000187161c8523UL;
   tf->codes[59408] = 0x0000144c5456f5aeUL;
   tf->codes[59409] = 0x00005bb563a11cd9UL;
   tf->codes[59410] = 0x0001620e7a83339cUL;
   tf->codes[59411] = 0x00000095eeb7b64eUL;
   tf->codes[59412] = 0x00004e2ed251e9b5UL;
   tf->codes[59413] = 0x0000b395b3c38731UL;
   tf->codes[59414] = 0x0001482f1d569516UL;
   tf->codes[59415] = 0x00018b5b3cccd75eUL;
   tf->codes[59416] = 0x0000722633d60722UL;
   tf->codes[59417] = 0x00007fdd610eebb1UL;
   tf->codes[59418] = 0x0001cf37d67a643cUL;
   tf->codes[59419] = 0x00004da4b7ce2971UL;
   tf->codes[59420] = 0x00006d84f63827b3UL;
   tf->codes[59421] = 0x00016dd3f6f8ea33UL;
   tf->codes[59422] = 0x00017884707b871aUL;
   tf->codes[59423] = 0x0001af849994c8d4UL;
   tf->codes[59424] = 0x0001f53b807e296dUL;
   tf->codes[59425] = 0x0000b633b28758efUL;
   tf->codes[59426] = 0x0000fc4ddfe88182UL;
   tf->codes[59427] = 0x0001acbe84e3c675UL;
   tf->codes[59428] = 0x0001c876a450ecdbUL;
   tf->codes[59429] = 0x000064c659df7f93UL;
   tf->codes[59430] = 0x0000f5a02dc70249UL;
   tf->codes[59431] = 0x000143e37b98fffdUL;
   tf->codes[59432] = 0x00016345b02d933cUL;
   tf->codes[59433] = 0x0001bb461512330fUL;
   tf->codes[59434] = 0x0001cbe481fe5e92UL;
   tf->codes[59435] = 0x0000e20e618b5e09UL;
   tf->codes[59436] = 0x0000f3cdb6150077UL;
   tf->codes[59437] = 0x00012b445c93eecfUL;
   tf->codes[59438] = 0x00019aba391a3fe8UL;
   tf->codes[59439] = 0x00019af1944db422UL;
   tf->codes[59440] = 0x0000e23570892ae1UL;
   tf->codes[59441] = 0x000149d1c70a7ea5UL;
   tf->codes[59442] = 0x0001dd5000f7a5dcUL;
   tf->codes[59443] = 0x000046b2db92c1afUL;
   tf->codes[59444] = 0x0000b6f9cabbac22UL;
   tf->codes[59445] = 0x0000cb6dfd849279UL;
   tf->codes[59446] = 0x0001119c1180b0ffUL;
   tf->codes[59447] = 0x0001abf698fce2acUL;
   tf->codes[59448] = 0x00006b5556fbbab8UL;
   tf->codes[59449] = 0x00006bf86f52cc65UL;
   tf->codes[59450] = 0x00007b615e5979bbUL;
   tf->codes[59451] = 0x00017febb504f8bbUL;
   tf->codes[59452] = 0x00004a7a55b5fb4fUL;
   tf->codes[59453] = 0x00006df60585f52aUL;
   tf->codes[59454] = 0x00000963d11c3f99UL;
   tf->codes[59455] = 0x00011e7d7bd46d52UL;
   tf->codes[59456] = 0x0001bb4ee428c75dUL;
   tf->codes[59457] = 0x0000a511bf22d583UL;
   tf->codes[59458] = 0x0000d5f58568f56aUL;
   tf->codes[59459] = 0x00010d9a9b5176f9UL;
   tf->codes[59460] = 0x0001350c8c535eeeUL;
   tf->codes[59461] = 0x00009dbb7741ba25UL;
   tf->codes[59462] = 0x0000a2b08ad2c381UL;
   tf->codes[59463] = 0x000116809eafdbfdUL;
   tf->codes[59464] = 0x000159a6cb9f8843UL;
   tf->codes[59465] = 0x0001735aa41ad0d4UL;
   tf->codes[59466] = 0x0000c10b67d15846UL;
   tf->codes[59467] = 0x00000cd232d59962UL;
   tf->codes[59468] = 0x000039629e879efcUL;
   tf->codes[59469] = 0x00006ffd9e25dcd5UL;
   tf->codes[59470] = 0x00008020fa7fe856UL;
   tf->codes[59471] = 0x00001952aed2d52cUL;
   tf->codes[59472] = 0x0000b91b10dbf685UL;
   tf->codes[59473] = 0x0000f269635b5da3UL;
   tf->codes[59474] = 0x0001d67a394bc4cbUL;
   tf->codes[59475] = 0x00009573dc5aa6b5UL;
   tf->codes[59476] = 0x0000de65ace68029UL;
   tf->codes[59477] = 0x00007266d466878fUL;
   tf->codes[59478] = 0x00013c768106080cUL;
   tf->codes[59479] = 0x0001a8f563d791d7UL;
   tf->codes[59480] = 0x0001ccd96269d29aUL;
   tf->codes[59481] = 0x00013d2f0b562a50UL;
   tf->codes[59482] = 0x000145a492608677UL;
   tf->codes[59483] = 0x0000e964e586ba50UL;
   tf->codes[59484] = 0x0000f937f7c7dcb6UL;
   tf->codes[59485] = 0x00015f8cf8cff047UL;
   tf->codes[59486] = 0x000035442a5264c3UL;
   tf->codes[59487] = 0x00002631a3ef2e90UL;
   tf->codes[59488] = 0x00002d3c9b76d202UL;
   tf->codes[59489] = 0x000112468bcec42fUL;
   tf->codes[59490] = 0x000132c5c4816c44UL;
   tf->codes[59491] = 0x0001bcb222f333cdUL;
   tf->codes[59492] = 0x0001e71c6d0405aeUL;
   tf->codes[59493] = 0x00001f2628be71d5UL;
   tf->codes[59494] = 0x0000b0d985f4635eUL;
   tf->codes[59495] = 0x000131b92a11e917UL;
   tf->codes[59496] = 0x00016c95bb3b8cf6UL;
   tf->codes[59497] = 0x00002ad406baf9a1UL;
   tf->codes[59498] = 0x000087c7359a691eUL;
   tf->codes[59499] = 0x0000ebe268f558c8UL;
   tf->codes[59500] = 0x00008222db8b0e8dUL;
   tf->codes[59501] = 0x0000f493fbd886d4UL;
   tf->codes[59502] = 0x00019963be247f19UL;
   tf->codes[59503] = 0x0001afae0304b5d3UL;
   tf->codes[59504] = 0x000091a00934a1e2UL;
   tf->codes[59505] = 0x00016bb012b3bb23UL;
   tf->codes[59506] = 0x00003289a36c3beeUL;
   tf->codes[59507] = 0x0000806b44af9a0bUL;
   tf->codes[59508] = 0x0000a4570a409ef8UL;
   tf->codes[59509] = 0x000110df3f6f0791UL;
   tf->codes[59510] = 0x00018a482ee14c65UL;
   tf->codes[59511] = 0x00006a48a16425faUL;
   tf->codes[59512] = 0x0000eb0a4e51b7e4UL;
   tf->codes[59513] = 0x0001ce937ef5c1b7UL;
   tf->codes[59514] = 0x00009bb52336b250UL;
   tf->codes[59515] = 0x0001f5135e56c3c3UL;
   tf->codes[59516] = 0x00001a7e49b288a7UL;
   tf->codes[59517] = 0x00014ad7124cf0b1UL;
   tf->codes[59518] = 0x0001aaf90b32a740UL;
   tf->codes[59519] = 0x0001c1a44cf46c42UL;
   tf->codes[59520] = 0x0000015ab9336aeaUL;
   tf->codes[59521] = 0x0000433990a9d6fdUL;
   tf->codes[59522] = 0x00007e0275c78aaeUL;
   tf->codes[59523] = 0x0001cbbb007cd64aUL;
   tf->codes[59524] = 0x0000f3dfe8645a08UL;
   tf->codes[59525] = 0x000117013d866cecUL;
   tf->codes[59526] = 0x00013ce774035797UL;
   tf->codes[59527] = 0x0001bebed32e45b7UL;
   tf->codes[59528] = 0x0000f88468c266c5UL;
   tf->codes[59529] = 0x00017674da29e95aUL;
   tf->codes[59530] = 0x0001e11a3c82cc37UL;
   tf->codes[59531] = 0x0001f2dba013a292UL;
   tf->codes[59532] = 0x00010dfb084fb6efUL;
   tf->codes[59533] = 0x00017dee3efe61bcUL;
   tf->codes[59534] = 0x0001869827f8e71cUL;
   tf->codes[59535] = 0x0001e9fe30d9fd4eUL;
   tf->codes[59536] = 0x00000682cfbd49aaUL;
   tf->codes[59537] = 0x0000692a4d3c99d7UL;
   tf->codes[59538] = 0x0000a01ae858533dUL;
   tf->codes[59539] = 0x0000d2e747f696dcUL;
   tf->codes[59540] = 0x0000b47f44099dbcUL;
   tf->codes[59541] = 0x0000d9b4338c1104UL;
   tf->codes[59542] = 0x0000da64904a7153UL;
   tf->codes[59543] = 0x000179ca5b88dc01UL;
   tf->codes[59544] = 0x000185dc03a64510UL;
   tf->codes[59545] = 0x00018b84a7c7ff81UL;
   tf->codes[59546] = 0x00013a1a48637126UL;
   tf->codes[59547] = 0x00001fe5484268cfUL;
   tf->codes[59548] = 0x00002644eb562ae0UL;
   tf->codes[59549] = 0x000107193dbaf0caUL;
   tf->codes[59550] = 0x000109ffbf3618b0UL;
   tf->codes[59551] = 0x00013a1e1d57c57cUL;
   tf->codes[59552] = 0x000177a6a0f6cc41UL;
   tf->codes[59553] = 0x0001f7fe6538eee0UL;
   tf->codes[59554] = 0x0000328d6afdeee0UL;
   tf->codes[59555] = 0x000045e45f19ba9cUL;
   tf->codes[59556] = 0x00014f5c3ce68493UL;
   tf->codes[59557] = 0x00000717362aab21UL;
   tf->codes[59558] = 0x00007182e52ed253UL;
   tf->codes[59559] = 0x00013a5dfe24ebb7UL;
   tf->codes[59560] = 0x0001f7aed9baf39cUL;
   tf->codes[59561] = 0x0000b384387697daUL;
   tf->codes[59562] = 0x0000e2d567750d61UL;
   tf->codes[59563] = 0x00016343fd0a6335UL;
   tf->codes[59564] = 0x00001710418c5a0eUL;
   tf->codes[59565] = 0x0001170ebda52daeUL;
   tf->codes[59566] = 0x0001d2ef8c4ff266UL;
   tf->codes[59567] = 0x000010e616a8d050UL;
   tf->codes[59568] = 0x0000d877cb1e7594UL;
   tf->codes[59569] = 0x000184bc6d9d8096UL;
   tf->codes[59570] = 0x0000f30e44b60601UL;
   tf->codes[59571] = 0x00019034ff6dc815UL;
   tf->codes[59572] = 0x00003229eabcbeb3UL;
   tf->codes[59573] = 0x00007748eeaf2854UL;
   tf->codes[59574] = 0x0000b309c9694a31UL;
   tf->codes[59575] = 0x00017d7b22976a45UL;
   tf->codes[59576] = 0x00007810574fc19dUL;
   tf->codes[59577] = 0x0000edd5d3ce40e9UL;
   tf->codes[59578] = 0x0000ede0ce9f55d9UL;
   tf->codes[59579] = 0x00004ddc6fab3f23UL;
   tf->codes[59580] = 0x00005636be39ecb7UL;
   tf->codes[59581] = 0x000099e20c50b6dbUL;
   tf->codes[59582] = 0x00013d9a47e724c2UL;
   tf->codes[59583] = 0x000147621f3bd60cUL;
   tf->codes[59584] = 0x00018ee96044f6cbUL;
   tf->codes[59585] = 0x000038147eb2d34cUL;
   tf->codes[59586] = 0x000093b9063849f6UL;
   tf->codes[59587] = 0x0000f397bedd6047UL;
   tf->codes[59588] = 0x000149b716d99ac7UL;
   tf->codes[59589] = 0x0001c3f1c89b8a44UL;
   tf->codes[59590] = 0x0000d51d33af93d2UL;
   tf->codes[59591] = 0x0000dbae3f70341bUL;
   tf->codes[59592] = 0x000141bc57474b1eUL;
   tf->codes[59593] = 0x00019abaa44eef1fUL;
   tf->codes[59594] = 0x0001b06504aa64f2UL;
   tf->codes[59595] = 0x000030f633272fb8UL;
   tf->codes[59596] = 0x0000586231a281abUL;
   tf->codes[59597] = 0x0000b120e759e1beUL;
   tf->codes[59598] = 0x00010d2c23b876edUL;
   tf->codes[59599] = 0x000177e98abab797UL;
   tf->codes[59600] = 0x000184c47e7bf5d6UL;
   tf->codes[59601] = 0x0001d1be2d3e79a5UL;
   tf->codes[59602] = 0x0001dceb8bcb64b6UL;
   tf->codes[59603] = 0x0001ee0c95b96ea0UL;
   tf->codes[59604] = 0x00014ded7367b4e1UL;
   tf->codes[59605] = 0x00004dc63151d088UL;
   tf->codes[59606] = 0x0000b42667b9feceUL;
   tf->codes[59607] = 0x0000bc37f89f81acUL;
   tf->codes[59608] = 0x0000c65b14de3101UL;
   tf->codes[59609] = 0x00014349458541c9UL;
   tf->codes[59610] = 0x000187e780edfb2bUL;
   tf->codes[59611] = 0x00002432a3501a7fUL;
   tf->codes[59612] = 0x0000cec816b1a9f0UL;
   tf->codes[59613] = 0x00011574a9a13f03UL;
   tf->codes[59614] = 0x00017a9f9cb2f4e1UL;
   tf->codes[59615] = 0x00005810889244bbUL;
   tf->codes[59616] = 0x00005a8594f23ef1UL;
   tf->codes[59617] = 0x00016c11793ebd7eUL;
   tf->codes[59618] = 0x0001da19ccff0ae1UL;
   tf->codes[59619] = 0x0001f628d8b8c1b3UL;
   tf->codes[59620] = 0x0001052ff6a3c5b0UL;
   tf->codes[59621] = 0x00012dc085aceadeUL;
   tf->codes[59622] = 0x0001e2213ec48224UL;
   tf->codes[59623] = 0x000004f15f9194d9UL;
   tf->codes[59624] = 0x000029e6f252c9f8UL;
   tf->codes[59625] = 0x00008ed87b29d7afUL;
   tf->codes[59626] = 0x0000b7422739280bUL;
   tf->codes[59627] = 0x00010eb235968f4bUL;
   tf->codes[59628] = 0x00017dd6a338da70UL;
   tf->codes[59629] = 0x00006da5ddea768bUL;
   tf->codes[59630] = 0x0000977f96e50a14UL;
   tf->codes[59631] = 0x00000734ab9f8f94UL;
   tf->codes[59632] = 0x0001b2507af555bfUL;
   tf->codes[59633] = 0x0000cace3be00ad7UL;
   tf->codes[59634] = 0x0000eabdcdb88ba8UL;
   tf->codes[59635] = 0x00004caa4439685eUL;
   tf->codes[59636] = 0x00008b628dc65d13UL;
   tf->codes[59637] = 0x0001a031313f2664UL;
   tf->codes[59638] = 0x0001d9147648015eUL;
   tf->codes[59639] = 0x00008bb9e0a5eb4aUL;
   tf->codes[59640] = 0x00012044a67787efUL;
   tf->codes[59641] = 0x000119fd6ea02176UL;
   tf->codes[59642] = 0x0001b72121898acaUL;
   tf->codes[59643] = 0x0001d335358dc08aUL;
   tf->codes[59644] = 0x0001e075443ef4ebUL;
   tf->codes[59645] = 0x000015e34b2e97cfUL;
   tf->codes[59646] = 0x0000673d23ce7903UL;
   tf->codes[59647] = 0x0000fa304a0dec5aUL;
   tf->codes[59648] = 0x0000ef04ebfd2777UL;
   tf->codes[59649] = 0x00019e6053d91bbeUL;
   tf->codes[59650] = 0x0001314f720c233eUL;
   tf->codes[59651] = 0x000169eddceb3597UL;
   tf->codes[59652] = 0x00018b9e0056e875UL;
   tf->codes[59653] = 0x0001d8045f4ee8b0UL;
   tf->codes[59654] = 0x0001fdd5ff83cc19UL;
   tf->codes[59655] = 0x00001249e9329eecUL;
   tf->codes[59656] = 0x00011685ca3d62f9UL;
   tf->codes[59657] = 0x0001b4019cc98751UL;
   tf->codes[59658] = 0x0001c2ea38648ff2UL;
   tf->codes[59659] = 0x0001e5302134f81cUL;
   tf->codes[59660] = 0x000020017cfe8146UL;
   tf->codes[59661] = 0x0000463d05ded3faUL;
   tf->codes[59662] = 0x000051cff479c0b7UL;
   tf->codes[59663] = 0x0001d2772e9ab160UL;
   tf->codes[59664] = 0x00005f5afbdf4bc1UL;
   tf->codes[59665] = 0x0000f79170c17da2UL;
   tf->codes[59666] = 0x0001fa687a411937UL;
   tf->codes[59667] = 0x0001fc347bc36bbeUL;
   tf->codes[59668] = 0x000012508bc91506UL;
   tf->codes[59669] = 0x0001e4169a661659UL;
   tf->codes[59670] = 0x0000662f9fe87c54UL;
   tf->codes[59671] = 0x000070ddcfd4df89UL;
   tf->codes[59672] = 0x000084699afee008UL;
   tf->codes[59673] = 0x00005a942c16ac5fUL;
   tf->codes[59674] = 0x0000fca0a6f0f540UL;
   tf->codes[59675] = 0x0001186ad880e371UL;
   tf->codes[59676] = 0x00012218d6b408c6UL;
   tf->codes[59677] = 0x0001601bbb381e3eUL;
   tf->codes[59678] = 0x000180e79513531eUL;
   tf->codes[59679] = 0x0001b8ff7f7124fbUL;
   tf->codes[59680] = 0x000021041629b1e8UL;
   tf->codes[59681] = 0x0000333fda9f96f6UL;
   tf->codes[59682] = 0x00005e2f80668c7aUL;
   tf->codes[59683] = 0x00007312deb466cfUL;
   tf->codes[59684] = 0x00012bdbc3372569UL;
   tf->codes[59685] = 0x000067dd700ea410UL;
   tf->codes[59686] = 0x00010342aef71d03UL;
   tf->codes[59687] = 0x000145e5c9c6df58UL;
   tf->codes[59688] = 0x0001951562b724f9UL;
   tf->codes[59689] = 0x00004f811c2c2796UL;
   tf->codes[59690] = 0x0000c350f57a3a4dUL;
   tf->codes[59691] = 0x0001036a6da1fb2aUL;
   tf->codes[59692] = 0x0000b415b7a50120UL;
   tf->codes[59693] = 0x00006938f59fbc83UL;
   tf->codes[59694] = 0x00006db1d3d38904UL;
   tf->codes[59695] = 0x00006e00840349bcUL;
   tf->codes[59696] = 0x0000fc04893849b9UL;
   tf->codes[59697] = 0x0001a85585e28c49UL;
   tf->codes[59698] = 0x0001b1d255f7d92bUL;
   tf->codes[59699] = 0x0000d60fa06ee00fUL;
   tf->codes[59700] = 0x0001f96448b7fb56UL;
   tf->codes[59701] = 0x000004833e127aecUL;
   tf->codes[59702] = 0x000026c42d2371e7UL;
   tf->codes[59703] = 0x000052813c9ca475UL;
   tf->codes[59704] = 0x00018abec09c2489UL;
   tf->codes[59705] = 0x00014e0fb7c07ed8UL;
   tf->codes[59706] = 0x0001991940bb208aUL;
   tf->codes[59707] = 0x0001e956ff7903fcUL;
   tf->codes[59708] = 0x0000fbf4c10e8a69UL;
   tf->codes[59709] = 0x00013396ddb3c0f7UL;
   tf->codes[59710] = 0x000195833e32a1aaUL;
   tf->codes[59711] = 0x0001e43283b74296UL;
   tf->codes[59712] = 0x0000bc7f777dea53UL;
   tf->codes[59713] = 0x000017afd2aadc55UL;
   tf->codes[59714] = 0x0000b9bb63490e22UL;
   tf->codes[59715] = 0x0001a7682549d2d4UL;
   tf->codes[59716] = 0x00002136df591f19UL;
   tf->codes[59717] = 0x00005e13996638f3UL;
   tf->codes[59718] = 0x0000973884c68bc8UL;
   tf->codes[59719] = 0x0000a609cb6547ebUL;
   tf->codes[59720] = 0x0000f771d2a88ed5UL;
   tf->codes[59721] = 0x0001a30f79512615UL;
   tf->codes[59722] = 0x0001dcc09d2a49a3UL;
   tf->codes[59723] = 0x000012be85831990UL;
   tf->codes[59724] = 0x000089596d419fd5UL;
   tf->codes[59725] = 0x0000d886477da03aUL;
   tf->codes[59726] = 0x0000544577e5d064UL;
   tf->codes[59727] = 0x0000aff743d295b0UL;
   tf->codes[59728] = 0x000189584fed7140UL;
   tf->codes[59729] = 0x00000c41b8655f46UL;
   tf->codes[59730] = 0x0000ae08e3f7d3fcUL;
   tf->codes[59731] = 0x0000c3a37bc6bbb6UL;
   tf->codes[59732] = 0x0000bdab2eae1bbaUL;
   tf->codes[59733] = 0x00010c1649b60554UL;
   tf->codes[59734] = 0x00018ac337781a01UL;
   tf->codes[59735] = 0x0001fec85cf26d05UL;
   tf->codes[59736] = 0x0000398b4f898ab4UL;
   tf->codes[59737] = 0x0000b13c241472f4UL;
   tf->codes[59738] = 0x0000e489fbe97821UL;
   tf->codes[59739] = 0x00011a4d8fcb88d3UL;
   tf->codes[59740] = 0x00003a277c92e18cUL;
   tf->codes[59741] = 0x0000565862fbee42UL;
   tf->codes[59742] = 0x0000aaa79b676e61UL;
   tf->codes[59743] = 0x000166a53c770a0fUL;
   tf->codes[59744] = 0x0001796de912d125UL;
   tf->codes[59745] = 0x00019184a49365f0UL;
   tf->codes[59746] = 0x00009cd085704c5dUL;
   tf->codes[59747] = 0x0000a11ded7dd0a8UL;
   tf->codes[59748] = 0x0000c18fe1c92a1bUL;
   tf->codes[59749] = 0x0001ee736c4a5a0fUL;
   tf->codes[59750] = 0x0000923ac0c044c0UL;
   tf->codes[59751] = 0x00009da532783448UL;
   tf->codes[59752] = 0x000171cdb0326079UL;
   tf->codes[59753] = 0x0001d15b6f117c60UL;
   tf->codes[59754] = 0x0001f9ee47b0db40UL;
   tf->codes[59755] = 0x000006be7b300a54UL;
   tf->codes[59756] = 0x0000b07905e90854UL;
   tf->codes[59757] = 0x00015c1d4ec546e5UL;
   tf->codes[59758] = 0x00015f0da64666e2UL;
   tf->codes[59759] = 0x0001b054f7a574c1UL;
   tf->codes[59760] = 0x0001cc04daf5cb73UL;
   tf->codes[59761] = 0x0001e7acbcb85836UL;
   tf->codes[59762] = 0x000076862d2d5f2cUL;
   tf->codes[59763] = 0x0000e48b87aa618eUL;
   tf->codes[59764] = 0x0000b1dcd621fe3aUL;
   tf->codes[59765] = 0x00012f89ccb9daccUL;
   tf->codes[59766] = 0x0001af8bc97a89d8UL;
   tf->codes[59767] = 0x0001f439cd6fd153UL;
   tf->codes[59768] = 0x00013edddc5e6d5cUL;
   tf->codes[59769] = 0x000036a877c45cb0UL;
   tf->codes[59770] = 0x00018a66fa8c94b5UL;
   tf->codes[59771] = 0x0001976a6b30d029UL;
   tf->codes[59772] = 0x0001de8b5df3d02eUL;
   tf->codes[59773] = 0x000052b4e242b88dUL;
   tf->codes[59774] = 0x000158c4513f8d86UL;
   tf->codes[59775] = 0x00002c31024c38eeUL;
   tf->codes[59776] = 0x000153ffad943d8fUL;
   tf->codes[59777] = 0x0001af03a0e7e203UL;
   tf->codes[59778] = 0x00003d122bcfeb66UL;
   tf->codes[59779] = 0x0001267ae6ab185aUL;
   tf->codes[59780] = 0x00001ec0cd322d75UL;
   tf->codes[59781] = 0x00002b66e9e536f1UL;
   tf->codes[59782] = 0x00005821a6f267e8UL;
   tf->codes[59783] = 0x00006e48021c14d1UL;
   tf->codes[59784] = 0x0001b197e6bbd728UL;
   tf->codes[59785] = 0x00007e3469d5a9e3UL;
   tf->codes[59786] = 0x0000ce437e9af459UL;
   tf->codes[59787] = 0x0000db15fbb05d1fUL;
   tf->codes[59788] = 0x00010614f4e5d532UL;
   tf->codes[59789] = 0x00010902f445adbeUL;
   tf->codes[59790] = 0x0001d0def1c2985cUL;
   tf->codes[59791] = 0x0000d110e58f7e21UL;
   tf->codes[59792] = 0x00011a41632f846fUL;
   tf->codes[59793] = 0x0000622941fe23efUL;
   tf->codes[59794] = 0x00007e1b7b5303cbUL;
   tf->codes[59795] = 0x0001a76b95fc0215UL;
   tf->codes[59796] = 0x000085a3f906f8f7UL;
   tf->codes[59797] = 0x000128b6feb41385UL;
   tf->codes[59798] = 0x00018fb24be58989UL;
   tf->codes[59799] = 0x00009aa8da5f07edUL;
   tf->codes[59800] = 0x0000c68be295f839UL;
   tf->codes[59801] = 0x00002842d25b8eddUL;
   tf->codes[59802] = 0x00011b3b59aae792UL;
   tf->codes[59803] = 0x00012cf4bbadf3feUL;
   tf->codes[59804] = 0x000160d2af7b2bf9UL;
   tf->codes[59805] = 0x00017b3251886175UL;
   tf->codes[59806] = 0x00000143e1d2ef3cUL;
   tf->codes[59807] = 0x0000627d26df2a64UL;
   tf->codes[59808] = 0x0000857eb0591b51UL;
   tf->codes[59809] = 0x0000b83c9839e5b6UL;
   tf->codes[59810] = 0x00012419c20e8072UL;
   tf->codes[59811] = 0x00017f70f8be5902UL;
   tf->codes[59812] = 0x000105b099566a79UL;
   tf->codes[59813] = 0x00019448d892051eUL;
   tf->codes[59814] = 0x0000d751d400cae7UL;
   tf->codes[59815] = 0x00011ae4a8502bb4UL;
   tf->codes[59816] = 0x00000a8f0f0f26eaUL;
   tf->codes[59817] = 0x00002f7847a5247bUL;
   tf->codes[59818] = 0x00007f5f1a167781UL;
   tf->codes[59819] = 0x00017525e3a8948aUL;
   tf->codes[59820] = 0x00000bdf0738349cUL;
   tf->codes[59821] = 0x00002cbe18014e20UL;
   tf->codes[59822] = 0x0000438a4a3651f2UL;
   tf->codes[59823] = 0x0001b535ec5d5b1bUL;
   tf->codes[59824] = 0x0001dfc37077a57eUL;
   tf->codes[59825] = 0x00001197655b6f67UL;
   tf->codes[59826] = 0x0000162a1cb0c7ddUL;
   tf->codes[59827] = 0x000056e4290a5af0UL;
   tf->codes[59828] = 0x0001c32b8c1b66bfUL;
   tf->codes[59829] = 0x00000aebc241241bUL;
   tf->codes[59830] = 0x00003f3de9ddcf02UL;
   tf->codes[59831] = 0x00019cbae312cbc4UL;
   tf->codes[59832] = 0x0001d2ff3f7e8cb5UL;
   tf->codes[59833] = 0x0001f15ce9bc7475UL;
   tf->codes[59834] = 0x00008a21a61eaafcUL;
   tf->codes[59835] = 0x0000952b55841201UL;
   tf->codes[59836] = 0x0000a6d43f4d7f05UL;
   tf->codes[59837] = 0x0000f11e181b3dd9UL;
   tf->codes[59838] = 0x000145803e5a8f18UL;
   tf->codes[59839] = 0x0001809290ce7eceUL;
   tf->codes[59840] = 0x0001b7e7220f117dUL;
   tf->codes[59841] = 0x0001d6bf2d3207f0UL;
   tf->codes[59842] = 0x0001fa9aefa778ffUL;
   tf->codes[59843] = 0x0000a2fe4dcf9af4UL;
   tf->codes[59844] = 0x0000b9084bb27c71UL;
   tf->codes[59845] = 0x0000b9e6dd4b6a32UL;
   tf->codes[59846] = 0x0001351a6ee5deefUL;
   tf->codes[59847] = 0x00018dd0adf16989UL;
   tf->codes[59848] = 0x0001ef06849c4e26UL;
   tf->codes[59849] = 0x0000438e7795651dUL;
   tf->codes[59850] = 0x000161548f6d57adUL;
   tf->codes[59851] = 0x0001b2eeaf0a8e1eUL;
   tf->codes[59852] = 0x00001b627fd31cc8UL;
   tf->codes[59853] = 0x0000e56890fbaaf3UL;
   tf->codes[59854] = 0x00004bec176f4dbeUL;
   tf->codes[59855] = 0x00007e3c07214ebdUL;
   tf->codes[59856] = 0x00009576b52e353eUL;
   tf->codes[59857] = 0x000182246a40d8e9UL;
   tf->codes[59858] = 0x0001807358202171UL;
   tf->codes[59859] = 0x000199b1d800da3dUL;
   tf->codes[59860] = 0x00001a3dfe332615UL;
   tf->codes[59861] = 0x00008cdf365e67b5UL;
   tf->codes[59862] = 0x0000da19dbcb5210UL;
   tf->codes[59863] = 0x0000f1bbb3cf62a0UL;
   tf->codes[59864] = 0x00010ea533139f59UL;
   tf->codes[59865] = 0x00011b9bd46e97b5UL;
   tf->codes[59866] = 0x00012e255ed82667UL;
   tf->codes[59867] = 0x0001a61b82aae2d2UL;
   tf->codes[59868] = 0x0001c09781fee3baUL;
   tf->codes[59869] = 0x00003287732fadf7UL;
   tf->codes[59870] = 0x000082a98453d74cUL;
   tf->codes[59871] = 0x000124a795fbb4b2UL;
   tf->codes[59872] = 0x0001e9c5d7fa8823UL;
   tf->codes[59873] = 0x000073a47ce6f580UL;
   tf->codes[59874] = 0x00016558a8005903UL;
   tf->codes[59875] = 0x0001ba687ad4d314UL;
   tf->codes[59876] = 0x0000ab894798a544UL;
   tf->codes[59877] = 0x0001dc77e422d059UL;
   tf->codes[59878] = 0x000131a21b38ddecUL;
   tf->codes[59879] = 0x0001604e5d68139eUL;
   tf->codes[59880] = 0x0001b6674dbfac92UL;
   tf->codes[59881] = 0x0001ca12e491cf08UL;
   tf->codes[59882] = 0x00012746e58e9b4fUL;
   tf->codes[59883] = 0x0001427f613d2e4fUL;
   tf->codes[59884] = 0x0001bee74bf20460UL;
   tf->codes[59885] = 0x0001cb5090090f2aUL;
   tf->codes[59886] = 0x0001f3b35f55b270UL;
   tf->codes[59887] = 0x000006c0366e30d8UL;
   tf->codes[59888] = 0x000089f9ae700234UL;
   tf->codes[59889] = 0x0001bfca9cbb5d8bUL;
   tf->codes[59890] = 0x00002e292d1b2a0bUL;
   tf->codes[59891] = 0x0000338b229aedb3UL;
   tf->codes[59892] = 0x000039b0e655fc13UL;
   tf->codes[59893] = 0x000149e1d7a857feUL;
   tf->codes[59894] = 0x00017b8c56e1ffdfUL;
   tf->codes[59895] = 0x0001d28ec5188dc5UL;
   tf->codes[59896] = 0x0001dc8df7a0b349UL;
   tf->codes[59897] = 0x0001fc4be63d501dUL;
   tf->codes[59898] = 0x00007b08f493e2efUL;
   tf->codes[59899] = 0x0000e87c5ea0845bUL;
   tf->codes[59900] = 0x00018ecbbbd54821UL;
   tf->codes[59901] = 0x0001a3fb80bca97cUL;
   tf->codes[59902] = 0x000026a8b1ba9c60UL;
   tf->codes[59903] = 0x00009eb69fa7b0d3UL;
   tf->codes[59904] = 0x000053b39bca9af4UL;
   tf->codes[59905] = 0x000076dec6f2a5efUL;
   tf->codes[59906] = 0x0000f47c6a1bfff2UL;
   tf->codes[59907] = 0x000192b0606548c3UL;
   tf->codes[59908] = 0x0001058293964b55UL;
   tf->codes[59909] = 0x00017201b0f6dae5UL;
   tf->codes[59910] = 0x0000f5c184ece2fbUL;
   tf->codes[59911] = 0x00011dcaa938b099UL;
   tf->codes[59912] = 0x000129a5a5cfb6bdUL;
   tf->codes[59913] = 0x00015d381d3f7ec6UL;
   tf->codes[59914] = 0x0001dc96c71a1660UL;
   tf->codes[59915] = 0x00005d7b38f31542UL;
   tf->codes[59916] = 0x0000f989482a301fUL;
   tf->codes[59917] = 0x0001dbb94bc137b9UL;
   tf->codes[59918] = 0x00008c78665d379fUL;
   tf->codes[59919] = 0x0001b468b1c58c5fUL;
   tf->codes[59920] = 0x0000b2a920706d69UL;
   tf->codes[59921] = 0x0001a762e900097aUL;
   tf->codes[59922] = 0x0000770ac187a500UL;
   tf->codes[59923] = 0x000041fe932a99b9UL;
   tf->codes[59924] = 0x000088c8a82c1711UL;
   tf->codes[59925] = 0x000111e4a3a8568fUL;
   tf->codes[59926] = 0x000025a52153820fUL;
   tf->codes[59927] = 0x000119504ef774c5UL;
   tf->codes[59928] = 0x00002aeb953d83a0UL;
   tf->codes[59929] = 0x000163eb4d8f2609UL;
   tf->codes[59930] = 0x000176206fd163c6UL;
   tf->codes[59931] = 0x0001d71bb7768363UL;
   tf->codes[59932] = 0x00001ba019bdb0d0UL;
   tf->codes[59933] = 0x00008877bd53f92fUL;
   tf->codes[59934] = 0x00018fcce7e0e5f8UL;
   tf->codes[59935] = 0x0001f3bc216c7423UL;
   tf->codes[59936] = 0x0000488df6d9d2a9UL;
   tf->codes[59937] = 0x0000762d9e99852eUL;
   tf->codes[59938] = 0x0000a0d95472c925UL;
   tf->codes[59939] = 0x0000c33b6e8604b5UL;
   tf->codes[59940] = 0x00010694d89abd5bUL;
   tf->codes[59941] = 0x00013f39e5ad7705UL;
   tf->codes[59942] = 0x000160d0a515a978UL;
   tf->codes[59943] = 0x00009423d5c62f5bUL;
   tf->codes[59944] = 0x0001e2431554997cUL;
   tf->codes[59945] = 0x0000ccb4b323df8eUL;
   tf->codes[59946] = 0x000147ff5f2b9b04UL;
   tf->codes[59947] = 0x00015996abf04bc7UL;
   tf->codes[59948] = 0x000172704b701436UL;
   tf->codes[59949] = 0x0001ca2aebeed454UL;
   tf->codes[59950] = 0x0001d2c99f893effUL;
   tf->codes[59951] = 0x0001d77754cb4043UL;
   tf->codes[59952] = 0x000003881cbeb277UL;
   tf->codes[59953] = 0x000091842065e885UL;
   tf->codes[59954] = 0x0000e277442cab34UL;
   tf->codes[59955] = 0x0000eeadfacbbaedUL;
   tf->codes[59956] = 0x00009d3ecdabb369UL;
   tf->codes[59957] = 0x0001d19479abb0deUL;
   tf->codes[59958] = 0x0001111a42ecdea0UL;
   tf->codes[59959] = 0x0001a5e799520a34UL;
   tf->codes[59960] = 0x0000712830aa957aUL;
   tf->codes[59961] = 0x0001256f85beac55UL;
   tf->codes[59962] = 0x0001a0a8cf50b14fUL;
   tf->codes[59963] = 0x0000f2d7eea38fbaUL;
   tf->codes[59964] = 0x00012e00e666ba9fUL;
   tf->codes[59965] = 0x00000fa9b9cf706eUL;
   tf->codes[59966] = 0x00003342ebb1528eUL;
   tf->codes[59967] = 0x00012cb85d974fd4UL;
   tf->codes[59968] = 0x00015b07fb8264ddUL;
   tf->codes[59969] = 0x00015c45b584b2beUL;
   tf->codes[59970] = 0x00006700cabc550eUL;
   tf->codes[59971] = 0x00017cfcaffdccd8UL;
   tf->codes[59972] = 0x00006c620203f9a8UL;
   tf->codes[59973] = 0x00016e56a55921efUL;
   tf->codes[59974] = 0x000171b15aa3bcc1UL;
   tf->codes[59975] = 0x0000570149f09468UL;
   tf->codes[59976] = 0x0000df0b3c1fd400UL;
   tf->codes[59977] = 0x0000f844ee4513a3UL;
   tf->codes[59978] = 0x00009bb98a7ed1c5UL;
   tf->codes[59979] = 0x0000e2d792899488UL;
   tf->codes[59980] = 0x00010d41dc9a6669UL;
   tf->codes[59981] = 0x0000cd8c869b76dbUL;
   tf->codes[59982] = 0x00018606ac6366feUL;
   tf->codes[59983] = 0x0000aa2d8c1a3878UL;
   tf->codes[59984] = 0x0000dc09f7a9d7daUL;
   tf->codes[59985] = 0x0001be1686a8612dUL;
   tf->codes[59986] = 0x0001cfc269b51932UL;
   tf->codes[59987] = 0x0001d04506b6f799UL;
   tf->codes[59988] = 0x000010d86aa5bb9fUL;
   tf->codes[59989] = 0x00004cfba19b8e62UL;
   tf->codes[59990] = 0x0001550a14b0bc7dUL;
   tf->codes[59991] = 0x0001a347e51a2fb9UL;
   tf->codes[59992] = 0x0001c3d8f56099d4UL;
   tf->codes[59993] = 0x00002b02776c9d4aUL;
   tf->codes[59994] = 0x00006db52039e7f3UL;
   tf->codes[59995] = 0x00005044d75a573aUL;
   tf->codes[59996] = 0x0000b8fdf76aba0fUL;
   tf->codes[59997] = 0x00019914e338d6cdUL;
   tf->codes[59998] = 0x0001645431393b78UL;
   tf->codes[59999] = 0x000199c3978300faUL;
   tf->codes[60000] = 0x000134bfb36f17f4UL;
   tf->codes[60001] = 0x000181473d695cc4UL;
   tf->codes[60002] = 0x0001e6ee65d84f7dUL;
   tf->codes[60003] = 0x0001555e6eafce7cUL;
   tf->codes[60004] = 0x00009f6b013a7158UL;
   tf->codes[60005] = 0x00012fec4eec3b3fUL;
   tf->codes[60006] = 0x00014e61fdd380ccUL;
   tf->codes[60007] = 0x00005aa9081f262bUL;
   tf->codes[60008] = 0x000067287c67609aUL;
   tf->codes[60009] = 0x0000c1865e20a860UL;
   tf->codes[60010] = 0x00009b9bc07b4257UL;
   tf->codes[60011] = 0x00012403069bb3e7UL;
   tf->codes[60012] = 0x00014deff6842c14UL;
   tf->codes[60013] = 0x0001ee52fa3889a1UL;
   tf->codes[60014] = 0x0000de273d34a4aaUL;
   tf->codes[60015] = 0x00010cd887ae594aUL;
   tf->codes[60016] = 0x0000667f80779573UL;
   tf->codes[60017] = 0x000159b4a5d3e715UL;
   tf->codes[60018] = 0x00000372d97d4165UL;
   tf->codes[60019] = 0x00010f992de4adb9UL;
   tf->codes[60020] = 0x0001b3c4787f71b3UL;
   tf->codes[60021] = 0x0000f9f4ec13c5eeUL;
   tf->codes[60022] = 0x00012478250a0cb0UL;
   tf->codes[60023] = 0x000160bb6237072fUL;
   tf->codes[60024] = 0x000174e711e5c895UL;
   tf->codes[60025] = 0x0000e18108a5f731UL;
   tf->codes[60026] = 0x0001b05dc1118f5fUL;
   tf->codes[60027] = 0x000007bbf7db3499UL;
   tf->codes[60028] = 0x0000803cba3d995aUL;
   tf->codes[60029] = 0x0000c144176cca87UL;
   tf->codes[60030] = 0x0000f0c29109b66cUL;
   tf->codes[60031] = 0x00010e1dfa872c5fUL;
   tf->codes[60032] = 0x00002c43ea75905eUL;
   tf->codes[60033] = 0x0000ae4316d66a64UL;
   tf->codes[60034] = 0x00014db69b9a2f3eUL;
   tf->codes[60035] = 0x00000c4bc4db1e96UL;
   tf->codes[60036] = 0x00002a3c180c4080UL;
   tf->codes[60037] = 0x00007879ade6adf7UL;
   tf->codes[60038] = 0x00017c603c8e09fbUL;
   tf->codes[60039] = 0x00009b5aad805ddfUL;
   tf->codes[60040] = 0x000115fa7a32437eUL;
   tf->codes[60041] = 0x0001a0354e44c5faUL;
   tf->codes[60042] = 0x0000924b9b0ad49eUL;
   tf->codes[60043] = 0x0000bb535726b7b9UL;
   tf->codes[60044] = 0x00010b659fbe52f5UL;
   tf->codes[60045] = 0x00019cdf92b99c57UL;
   tf->codes[60046] = 0x0001cdd02848ff56UL;
   tf->codes[60047] = 0x0000ef184d836d14UL;
   tf->codes[60048] = 0x0001d8634bbdabfeUL;
   tf->codes[60049] = 0x0001f78db000bf79UL;
   tf->codes[60050] = 0x00000e55899855acUL;
   tf->codes[60051] = 0x000022249502f669UL;
   tf->codes[60052] = 0x000064ba6b6b6a1cUL;
   tf->codes[60053] = 0x0000d9c74f0eb965UL;
   tf->codes[60054] = 0x0000ffac60c08737UL;
   tf->codes[60055] = 0x000162d3476f6505UL;
   tf->codes[60056] = 0x000026bb966aaebfUL;
   tf->codes[60057] = 0x0001270b81678853UL;
   tf->codes[60058] = 0x0001ff645a3b5c14UL;
   tf->codes[60059] = 0x0000b16b04dfa1f2UL;
   tf->codes[60060] = 0x00003af223d46997UL;
   tf->codes[60061] = 0x00009c0c12568e52UL;
   tf->codes[60062] = 0x000009ca2486849fUL;
   tf->codes[60063] = 0x00007fe26f432c7dUL;
   tf->codes[60064] = 0x000080c9eca5fb41UL;
   tf->codes[60065] = 0x000107072da5d703UL;
   tf->codes[60066] = 0x00011ba3cec6acd0UL;
   tf->codes[60067] = 0x0001aa76627906b0UL;
   tf->codes[60068] = 0x0001c2f35db4ae76UL;
   tf->codes[60069] = 0x000059092e5e3716UL;
   tf->codes[60070] = 0x0000fc6db17a6557UL;
   tf->codes[60071] = 0x0001b937d20026fbUL;
   tf->codes[60072] = 0x0000a07d647d6b37UL;
   tf->codes[60073] = 0x0000b5c853556d66UL;
   tf->codes[60074] = 0x00013839a47e866bUL;
   tf->codes[60075] = 0x00005fa8a3b411a3UL;
   tf->codes[60076] = 0x00006dbe1da54cfdUL;
   tf->codes[60077] = 0x000098a7d0e5ac7fUL;
   tf->codes[60078] = 0x0000eb9c425b0202UL;
   tf->codes[60079] = 0x00015ee3170294c6UL;
   tf->codes[60080] = 0x0001d40839de47a1UL;
   tf->codes[60081] = 0x00006747170a30afUL;
   tf->codes[60082] = 0x00011e32d223ec0bUL;
   tf->codes[60083] = 0x0001cd637386a96bUL;
   tf->codes[60084] = 0x000098722d144aefUL;
   tf->codes[60085] = 0x0000fbbde7b5c9a2UL;
   tf->codes[60086] = 0x000127d20f7f84a2UL;
   tf->codes[60087] = 0x000179dbcfbfba9bUL;
   tf->codes[60088] = 0x0001d1553f050e68UL;
   tf->codes[60089] = 0x000137dfa23b5e49UL;
   tf->codes[60090] = 0x00017265f6c5830bUL;
   tf->codes[60091] = 0x0001aae754b0b8a9UL;
   tf->codes[60092] = 0x0001eaed5b5b8f1dUL;
   tf->codes[60093] = 0x000058a9bda06104UL;
   tf->codes[60094] = 0x00008ce2f657970aUL;
   tf->codes[60095] = 0x00010405f880862eUL;
   tf->codes[60096] = 0x0001b9e6c19ef47fUL;
   tf->codes[60097] = 0x0001c6d1b87bc69cUL;
   tf->codes[60098] = 0x0000428f7387d825UL;
   tf->codes[60099] = 0x0000cc8a75bb10eeUL;
   tf->codes[60100] = 0x0001987a4506dfaaUL;
   tf->codes[60101] = 0x00007edced4dc886UL;
   tf->codes[60102] = 0x00015c36bebfd1a7UL;
   tf->codes[60103] = 0x0000326a9abd8e88UL;
   tf->codes[60104] = 0x0001ea01c04d2748UL;
   tf->codes[60105] = 0x000043fe3006d53cUL;
   tf->codes[60106] = 0x00005e5a63b2b42dUL;
   tf->codes[60107] = 0x0000f939d1c6fdf3UL;
   tf->codes[60108] = 0x00011c7f109f9aa8UL;
   tf->codes[60109] = 0x00012c9821d5a288UL;
   tf->codes[60110] = 0x00014deb2bdf2933UL;
   tf->codes[60111] = 0x000131df0addafa3UL;
   tf->codes[60112] = 0x0001bd07144a9120UL;
   tf->codes[60113] = 0x0000020f385eb9cdUL;
   tf->codes[60114] = 0x0001f830ad2fbf95UL;
   tf->codes[60115] = 0x000027e8910753a1UL;
   tf->codes[60116] = 0x0001bf3dcb9e4e88UL;
   tf->codes[60117] = 0x0001c6db28b45e7aUL;
   tf->codes[60118] = 0x00003cf45dad1d6cUL;
   tf->codes[60119] = 0x0000c5d63f41a374UL;
   tf->codes[60120] = 0x0000ee565611293aUL;
   tf->codes[60121] = 0x0001cda3811d653eUL;
   tf->codes[60122] = 0x00001e7c56a4906eUL;
   tf->codes[60123] = 0x00015e682511cb66UL;
   tf->codes[60124] = 0x0001d551f78f1828UL;
   tf->codes[60125] = 0x0001b16bdb6a95b9UL;
   tf->codes[60126] = 0x0000098f7a58ae0eUL;
   tf->codes[60127] = 0x0000411e600ffff8UL;
   tf->codes[60128] = 0x00008202bdc4be68UL;
   tf->codes[60129] = 0x0000fc0096eaaf33UL;
   tf->codes[60130] = 0x00017bb9d6023389UL;
   tf->codes[60131] = 0x0001cf4a487ce7deUL;
   tf->codes[60132] = 0x0001ee41aa29f4beUL;
   tf->codes[60133] = 0x00016c16f917c4c3UL;
   tf->codes[60134] = 0x0000c6617f561e23UL;
   tf->codes[60135] = 0x00003c3db725d4a1UL;
   tf->codes[60136] = 0x0000d827a2175fe8UL;
   tf->codes[60137] = 0x0001aad6b1fe5c5fUL;
   tf->codes[60138] = 0x0001dc504c343f51UL;
   tf->codes[60139] = 0x00012c5e8cbf6eb6UL;
   tf->codes[60140] = 0x0000cf6905beb7c8UL;
   tf->codes[60141] = 0x00017d8b0c35cbcdUL;
   tf->codes[60142] = 0x0000aa4f402ce554UL;
   tf->codes[60143] = 0x000053aba2ba964bUL;
   tf->codes[60144] = 0x000111d816a640f0UL;
   tf->codes[60145] = 0x000178bff25acc8bUL;
   tf->codes[60146] = 0x00018a3e15ab02a8UL;
   tf->codes[60147] = 0x000017b532ba209dUL;
   tf->codes[60148] = 0x0001403c76dd5541UL;
   tf->codes[60149] = 0x0001730c0a4de9a6UL;
   tf->codes[60150] = 0x000018fcb43758d6UL;
   tf->codes[60151] = 0x000051ffff775b8cUL;
   tf->codes[60152] = 0x00009063e0dcff4cUL;
   tf->codes[60153] = 0x00012c86c0eb2730UL;
   tf->codes[60154] = 0x000167be21e0bd90UL;
   tf->codes[60155] = 0x000101af4bd1877fUL;
   tf->codes[60156] = 0x0000cf54c7e16f5bUL;
   tf->codes[60157] = 0x00008cf603925c5eUL;
   tf->codes[60158] = 0x0000a6105f2d8594UL;
   tf->codes[60159] = 0x0001e0aab0549c4cUL;
   tf->codes[60160] = 0x0000a2f2e911e73fUL;
   tf->codes[60161] = 0x000147a5294bf73fUL;
   tf->codes[60162] = 0x00005efde48acd92UL;
   tf->codes[60163] = 0x0000809d1a9ed57eUL;
   tf->codes[60164] = 0x00009f63c34c1575UL;
   tf->codes[60165] = 0x0001e0f97dfd474bUL;
   tf->codes[60166] = 0x000007a5572daad6UL;
   tf->codes[60167] = 0x0000c462334c1dd8UL;
   tf->codes[60168] = 0x0000b61d169b24afUL;
   tf->codes[60169] = 0x000147dccdfc4dc6UL;
   tf->codes[60170] = 0x000180b936427baaUL;
   tf->codes[60171] = 0x0001fac5789ad7f0UL;
   tf->codes[60172] = 0x00001b32d9b9bdffUL;
   tf->codes[60173] = 0x000058b61a7f4011UL;
   tf->codes[60174] = 0x0000a41321651ba4UL;
   tf->codes[60175] = 0x0000f0593f96ee5eUL;
   tf->codes[60176] = 0x000034a0d0b90b5dUL;
   tf->codes[60177] = 0x00012fe368ec7803UL;
   tf->codes[60178] = 0x0001403a77899b6eUL;
   tf->codes[60179] = 0x00014be829822b34UL;
   tf->codes[60180] = 0x000175f609dde231UL;
   tf->codes[60181] = 0x0000cebc9c960271UL;
   tf->codes[60182] = 0x0000f915bec0239bUL;
   tf->codes[60183] = 0x000196e1db65310eUL;
   tf->codes[60184] = 0x00000f4ad3ad3dc7UL;
   tf->codes[60185] = 0x0001142c16a54d33UL;
   tf->codes[60186] = 0x000166a5eca68e3eUL;
   tf->codes[60187] = 0x0001f76cfebe37daUL;
   tf->codes[60188] = 0x00001854863326d7UL;
   tf->codes[60189] = 0x00008c1ac40a473cUL;
   tf->codes[60190] = 0x0000a8e9ba7fe6b1UL;
   tf->codes[60191] = 0x000146454c45dd88UL;
   tf->codes[60192] = 0x0000515e9faac8e4UL;
   tf->codes[60193] = 0x0000621511405234UL;
   tf->codes[60194] = 0x00007049a72c9e36UL;
   tf->codes[60195] = 0x0000e5df1a5861e8UL;
   tf->codes[60196] = 0x000193cde3aa698dUL;
   tf->codes[60197] = 0x0001b969c295011fUL;
   tf->codes[60198] = 0x00015f2cfd52f02fUL;
   tf->codes[60199] = 0x0001aa1e81a43414UL;
   tf->codes[60200] = 0x000182a271824084UL;
   tf->codes[60201] = 0x00007033024031d0UL;
   tf->codes[60202] = 0x0001a37b72aea888UL;
   tf->codes[60203] = 0x000155ea47882b8cUL;
   tf->codes[60204] = 0x000157b4af2155b0UL;
   tf->codes[60205] = 0x00018bd56e11225fUL;
   tf->codes[60206] = 0x0001d60ab096d9f1UL;
   tf->codes[60207] = 0x00009b8ce8ba86abUL;
   tf->codes[60208] = 0x000143c97273e18dUL;
   tf->codes[60209] = 0x00002e3607f8a8b1UL;
   tf->codes[60210] = 0x0000cec5a69e6b4dUL;
   tf->codes[60211] = 0x00008a8f70dde54fUL;
   tf->codes[60212] = 0x0000bba0473375cfUL;
   tf->codes[60213] = 0x0000e707c9ba3a8fUL;
   tf->codes[60214] = 0x0001124709ed07dfUL;
   tf->codes[60215] = 0x00006c49bcbe4d9dUL;
   tf->codes[60216] = 0x0000d837995b8d86UL;
   tf->codes[60217] = 0x000118af152191aaUL;
   tf->codes[60218] = 0x000120fbe4b9ead7UL;
   tf->codes[60219] = 0x00012564fa61293fUL;
   tf->codes[60220] = 0x00016545b7fb5344UL;
   tf->codes[60221] = 0x0001c817fbf3da58UL;
   tf->codes[60222] = 0x0000ab75f100a1baUL;
   tf->codes[60223] = 0x0000dbdea6b4a19fUL;
   tf->codes[60224] = 0x0001a69305945c2cUL;
   tf->codes[60225] = 0x0001f754861f3adeUL;
   tf->codes[60226] = 0x0000020156b17b75UL;
   tf->codes[60227] = 0x00005a34be2c21e3UL;
   tf->codes[60228] = 0x0000afc51efb466eUL;
   tf->codes[60229] = 0x00016daa3497e8fbUL;
   tf->codes[60230] = 0x0001c18bdb679d7fUL;
   tf->codes[60231] = 0x00003930473c4072UL;
   tf->codes[60232] = 0x000151e43e8f4cebUL;
   tf->codes[60233] = 0x0001d39f7b027564UL;
   tf->codes[60234] = 0x0001f0649b721cc2UL;
   tf->codes[60235] = 0x0000b31290416167UL;
   tf->codes[60236] = 0x0000dd32bd4ee5f4UL;
   tf->codes[60237] = 0x0000eefc5cfc8c03UL;
   tf->codes[60238] = 0x000148db10154bedUL;
   tf->codes[60239] = 0x00001f034194e28fUL;
   tf->codes[60240] = 0x0000ad52137a412fUL;
   tf->codes[60241] = 0x00012ff7c693836dUL;
   tf->codes[60242] = 0x00000c8f9e426ffeUL;
   tf->codes[60243] = 0x00006b3f40a6a9aeUL;
   tf->codes[60244] = 0x0000b97e35db39c3UL;
   tf->codes[60245] = 0x00016d5699f96265UL;
   tf->codes[60246] = 0x0001cdc952160d99UL;
   tf->codes[60247] = 0x00002168a2e138f3UL;
   tf->codes[60248] = 0x00005dbabe5eaa77UL;
   tf->codes[60249] = 0x0001a78877d12873UL;
   tf->codes[60250] = 0x0001358df2624711UL;
   tf->codes[60251] = 0x000003577cb5c280UL;
   tf->codes[60252] = 0x000006eaa373e0a6UL;
   tf->codes[60253] = 0x00009d17ba8ea805UL;
   tf->codes[60254] = 0x0000a22965f58292UL;
   tf->codes[60255] = 0x0000c5053140bb86UL;
   tf->codes[60256] = 0x0001ed1841947d3eUL;
   tf->codes[60257] = 0x00008aab2e8de84fUL;
   tf->codes[60258] = 0x00010c1e2275f19cUL;
   tf->codes[60259] = 0x00010668db0eec19UL;
   tf->codes[60260] = 0x00003c3dacd9a985UL;
   tf->codes[60261] = 0x0000e2cbf1b19feaUL;
   tf->codes[60262] = 0x0001aefcf236daf7UL;
   tf->codes[60263] = 0x00009ab6200e6701UL;
   tf->codes[60264] = 0x000167cc19d1315bUL;
   tf->codes[60265] = 0x00017c37264130eaUL;
   tf->codes[60266] = 0x0000836b25cbd91eUL;
   tf->codes[60267] = 0x00002a992a9b86a8UL;
   tf->codes[60268] = 0x000036b592fafee2UL;
   tf->codes[60269] = 0x0000a717f52e9dadUL;
   tf->codes[60270] = 0x0000d52661e04665UL;
   tf->codes[60271] = 0x0000ff2c061f2daeUL;
   tf->codes[60272] = 0x00011c0a50034fb2UL;
   tf->codes[60273] = 0x0000253fd7cb907fUL;
   tf->codes[60274] = 0x0000db703b55d69cUL;
   tf->codes[60275] = 0x0001111980f84fcfUL;
   tf->codes[60276] = 0x0001650ed3d3f481UL;
   tf->codes[60277] = 0x0001a375395ed7b8UL;
   tf->codes[60278] = 0x000015e5436c40e5UL;
   tf->codes[60279] = 0x0000d82abd75469cUL;
   tf->codes[60280] = 0x000055e58394795dUL;
   tf->codes[60281] = 0x00009bb4e445434dUL;
   tf->codes[60282] = 0x0001620953d6a63aUL;
   tf->codes[60283] = 0x0001abe1f2183d23UL;
   tf->codes[60284] = 0x0001e315cd7496c7UL;
   tf->codes[60285] = 0x0001eda7658b28cbUL;
   tf->codes[60286] = 0x000056141f02049aUL;
   tf->codes[60287] = 0x000108f6276ce773UL;
   tf->codes[60288] = 0x0000867fbf6e41c1UL;
   tf->codes[60289] = 0x000128e5359c4efbUL;
   tf->codes[60290] = 0x00003a7ee1f93573UL;
   tf->codes[60291] = 0x0000feef4b5ee80cUL;
   tf->codes[60292] = 0x000163ecf3d2278cUL;
   tf->codes[60293] = 0x0001775ee5da9c16UL;
   tf->codes[60294] = 0x0000c609e8c3cb66UL;
   tf->codes[60295] = 0x0001a56fc8267686UL;
   tf->codes[60296] = 0x0001de4b80bf931bUL;
   tf->codes[60297] = 0x0000a8b4d85fe940UL;
   tf->codes[60298] = 0x0000f755ef412476UL;
   tf->codes[60299] = 0x00016aef9226dfccUL;
   tf->codes[60300] = 0x0001c580eb9439b7UL;
   tf->codes[60301] = 0x0001d7cca49aa4e4UL;
   tf->codes[60302] = 0x0001a60c793bb570UL;
   tf->codes[60303] = 0x0001d3aa207f41c7UL;
   tf->codes[60304] = 0x000135fb77610edaUL;
   tf->codes[60305] = 0x0001b258dc62db85UL;
   tf->codes[60306] = 0x00005fc543420a88UL;
   tf->codes[60307] = 0x0000aa1cd5952388UL;
   tf->codes[60308] = 0x0000c8978cc6e803UL;
   tf->codes[60309] = 0x0001669d13a69d9dUL;
   tf->codes[60310] = 0x0001bbc0cd160da1UL;
   tf->codes[60311] = 0x0000a93584364ccaUL;
   tf->codes[60312] = 0x0001cf7038dc846dUL;
   tf->codes[60313] = 0x00005798223bb7d4UL;
   tf->codes[60314] = 0x0000cf9ce9cfe57fUL;
   tf->codes[60315] = 0x0000bb8dc36be78bUL;
   tf->codes[60316] = 0x0001b6324b92c172UL;
   tf->codes[60317] = 0x0000929ac99c03b8UL;
   tf->codes[60318] = 0x000095d53e207109UL;
   tf->codes[60319] = 0x0001debcd98a42dfUL;
   tf->codes[60320] = 0x00005fa9126205ebUL;
   tf->codes[60321] = 0x000151dad232c8e7UL;
   tf->codes[60322] = 0x00001e9beeb036c2UL;
   tf->codes[60323] = 0x00013cc253bca64bUL;
   tf->codes[60324] = 0x0001e58682c25e82UL;
   tf->codes[60325] = 0x000018cfc76af04bUL;
   tf->codes[60326] = 0x00003adabaa295aaUL;
   tf->codes[60327] = 0x000123ef82747d33UL;
   tf->codes[60328] = 0x000159c17f88f960UL;
   tf->codes[60329] = 0x0001f032cfab85d0UL;
   tf->codes[60330] = 0x0001225515a300eaUL;
   tf->codes[60331] = 0x00000b628b942fd3UL;
   tf->codes[60332] = 0x00003a9acbad3079UL;
   tf->codes[60333] = 0x0000408e3c7f498dUL;
   tf->codes[60334] = 0x00019e881abe9479UL;
   tf->codes[60335] = 0x000024f640c2352aUL;
   tf->codes[60336] = 0x00007bb1d452d441UL;
   tf->codes[60337] = 0x00004e41de40bc13UL;
   tf->codes[60338] = 0x00007c50fa9f761aUL;
   tf->codes[60339] = 0x0000e81e21587cf8UL;
   tf->codes[60340] = 0x000132bf5b90d7c2UL;
   tf->codes[60341] = 0x00018080817f0299UL;
   tf->codes[60342] = 0x000188d7d6ca652cUL;
   tf->codes[60343] = 0x0001970137569679UL;
   tf->codes[60344] = 0x00005126079a9c88UL;
   tf->codes[60345] = 0x00012267c94a9b0eUL;
   tf->codes[60346] = 0x00002644bc7b04c0UL;
   tf->codes[60347] = 0x0000ca6df80e94cdUL;
   tf->codes[60348] = 0x000038cd4e1d6e9fUL;
   tf->codes[60349] = 0x00007e6294e67f19UL;
   tf->codes[60350] = 0x00006a5ea3e29bdaUL;
   tf->codes[60351] = 0x00002a81acb1b86cUL;
   tf->codes[60352] = 0x0000b833cde4a6ebUL;
   tf->codes[60353] = 0x000035e6cd051582UL;
   tf->codes[60354] = 0x000135b74ed26175UL;
   tf->codes[60355] = 0x0001625031303c88UL;
   tf->codes[60356] = 0x00009820e4ec921aUL;
   tf->codes[60357] = 0x0001bad98c304e8fUL;
   tf->codes[60358] = 0x0000040785ab1566UL;
   tf->codes[60359] = 0x00010384407313f4UL;
   tf->codes[60360] = 0x0000b06c86693830UL;
   tf->codes[60361] = 0x0001ea19a235efe7UL;
   tf->codes[60362] = 0x0000989010d454e1UL;
   tf->codes[60363] = 0x0000b29e7e8c8a2eUL;
   tf->codes[60364] = 0x0000bc986e3b2affUL;
   tf->codes[60365] = 0x0000ed6295eec4b6UL;
   tf->codes[60366] = 0x00017a0c0ebc9fdcUL;
   tf->codes[60367] = 0x0001b5253df33ca8UL;
   tf->codes[60368] = 0x000032421892e66cUL;
   tf->codes[60369] = 0x00006bf9a410ab86UL;
   tf->codes[60370] = 0x0000dd35ca21bee9UL;
   tf->codes[60371] = 0x0001c7d820f0d1e4UL;
   tf->codes[60372] = 0x00008d2a8a50c8c9UL;
   tf->codes[60373] = 0x00014180bdb556a9UL;
   tf->codes[60374] = 0x00015e4ae66f7cf5UL;
   tf->codes[60375] = 0x000053fdc966a40bUL;
   tf->codes[60376] = 0x00006c5db7ae6f16UL;
   tf->codes[60377] = 0x000126720fb8d5bdUL;
   tf->codes[60378] = 0x00003b5215a7558aUL;
   tf->codes[60379] = 0x0000bddba608d221UL;
   tf->codes[60380] = 0x0001a7f741c79edbUL;
   tf->codes[60381] = 0x0000428247b497acUL;
   tf->codes[60382] = 0x000065e49381111cUL;
   tf->codes[60383] = 0x00017622198daa5aUL;
   tf->codes[60384] = 0x0001795f875562acUL;
   tf->codes[60385] = 0x0001f863616407c5UL;
   tf->codes[60386] = 0x0000b7c6ed1e58faUL;
   tf->codes[60387] = 0x000042fe9a8abeceUL;
   tf->codes[60388] = 0x00011efb20e15ddcUL;
   tf->codes[60389] = 0x0000769ebcf4d344UL;
   tf->codes[60390] = 0x00010b9d7c06dd10UL;
   tf->codes[60391] = 0x0001430509a64e9eUL;
   tf->codes[60392] = 0x0001b9078ac4c4a2UL;
   tf->codes[60393] = 0x0001fd8a8db1cf71UL;
   tf->codes[60394] = 0x00007084c130d56aUL;
   tf->codes[60395] = 0x0000a6baeef930a5UL;
   tf->codes[60396] = 0x0000e32215dcb4f5UL;
   tf->codes[60397] = 0x00012a443bf5df92UL;
   tf->codes[60398] = 0x0001a00faafaf4e0UL;
   tf->codes[60399] = 0x000053532565718bUL;
   tf->codes[60400] = 0x000136db6bcd644aUL;
   tf->codes[60401] = 0x00014d8ee9abf900UL;
   tf->codes[60402] = 0x0001878a65176fa7UL;
   tf->codes[60403] = 0x0001d5d95d67939aUL;
   tf->codes[60404] = 0x000028c816e558e0UL;
   tf->codes[60405] = 0x00002d428f024dc4UL;
   tf->codes[60406] = 0x00002ef73b8853cdUL;
   tf->codes[60407] = 0x00004dd7bd571fb9UL;
   tf->codes[60408] = 0x0001c94be67feb7bUL;
   tf->codes[60409] = 0x0001693255bafca6UL;
   tf->codes[60410] = 0x0000c59b629fbd9bUL;
   tf->codes[60411] = 0x0000dd1114d074a6UL;
   tf->codes[60412] = 0x000011d8e598b11aUL;
   tf->codes[60413] = 0x0001ef5c342bca87UL;
   tf->codes[60414] = 0x000033dced829ba4UL;
   tf->codes[60415] = 0x00003937cbb0ac71UL;
   tf->codes[60416] = 0x000098bb3f6bc4b7UL;
   tf->codes[60417] = 0x000135b908227e0cUL;
   tf->codes[60418] = 0x000108af51cb78d9UL;
   tf->codes[60419] = 0x0001982e5ebcd0f3UL;
   tf->codes[60420] = 0x0001a6ea24d76ec0UL;
   tf->codes[60421] = 0x00003797985c922cUL;
   tf->codes[60422] = 0x0001c909653d07ddUL;
   tf->codes[60423] = 0x0000dca6a8debadbUL;
   tf->codes[60424] = 0x00000daa7cd2f0c2UL;
   tf->codes[60425] = 0x0000e7aba80192feUL;
   tf->codes[60426] = 0x000160597a736858UL;
   tf->codes[60427] = 0x00007f5ac8286952UL;
   tf->codes[60428] = 0x0000b28cf263b462UL;
   tf->codes[60429] = 0x0001a5ad0c59f338UL;
   tf->codes[60430] = 0x0001b5275dd6570aUL;
   tf->codes[60431] = 0x00002627958782cfUL;
   tf->codes[60432] = 0x0001410014929a9eUL;
   tf->codes[60433] = 0x0001be35de17b943UL;
   tf->codes[60434] = 0x0001d406ac4ef85eUL;
   tf->codes[60435] = 0x0000f385c94a5e96UL;
   tf->codes[60436] = 0x0001ccc44b08d2f3UL;
   tf->codes[60437] = 0x00000f2584f217a8UL;
   tf->codes[60438] = 0x00003c24a70b05b6UL;
   tf->codes[60439] = 0x000045d7e817afbeUL;
   tf->codes[60440] = 0x00007fe9fa4753d5UL;
   tf->codes[60441] = 0x0000fa6443598740UL;
   tf->codes[60442] = 0x0001118a95ad6c44UL;
   tf->codes[60443] = 0x0001a319597fc2adUL;
   tf->codes[60444] = 0x000047b7b31edcbaUL;
   tf->codes[60445] = 0x0000af21070a29e3UL;
   tf->codes[60446] = 0x000139736aa7fea2UL;
   tf->codes[60447] = 0x00018e725024cdc1UL;
   tf->codes[60448] = 0x0001f4baade79640UL;
   tf->codes[60449] = 0x00000ce9e32f9462UL;
   tf->codes[60450] = 0x0000151e738f89fdUL;
   tf->codes[60451] = 0x0000549ea9663144UL;
   tf->codes[60452] = 0x0000782ad16fca87UL;
   tf->codes[60453] = 0x0000aa8964e33cc6UL;
   tf->codes[60454] = 0x0000e6736c2d6d27UL;
   tf->codes[60455] = 0x000152130db8f7e2UL;
   tf->codes[60456] = 0x0001b6bb63c8cf59UL;
   tf->codes[60457] = 0x0001fc01bfd31956UL;
   tf->codes[60458] = 0x0001c8a86983e5f0UL;
   tf->codes[60459] = 0x00003c83b2c11921UL;
   tf->codes[60460] = 0x0001c3583d0cd68fUL;
   tf->codes[60461] = 0x000017729e6a21ebUL;
   tf->codes[60462] = 0x0000cd9bb013af68UL;
   tf->codes[60463] = 0x00017e433b245d0bUL;
   tf->codes[60464] = 0x0001e629e93803e8UL;
   tf->codes[60465] = 0x000081d64be07f2eUL;
   tf->codes[60466] = 0x000134680a3278ecUL;
   tf->codes[60467] = 0x00018cb5855db114UL;
   tf->codes[60468] = 0x000051336db9b814UL;
   tf->codes[60469] = 0x0000654cd0b6abeaUL;
   tf->codes[60470] = 0x00018032ceb81820UL;
   tf->codes[60471] = 0x0001b8892b9b1112UL;
   tf->codes[60472] = 0x00009ba92340bce9UL;
   tf->codes[60473] = 0x0000f2d073f4f973UL;
   tf->codes[60474] = 0x0001fca7b4ba294fUL;
   tf->codes[60475] = 0x00007fea5314e173UL;
   tf->codes[60476] = 0x000006a66399358aUL;
   tf->codes[60477] = 0x000025a42ceae3f6UL;
   tf->codes[60478] = 0x000049a8e1615dc4UL;
   tf->codes[60479] = 0x0000d5638aebb186UL;
   tf->codes[60480] = 0x0000f922b58b5164UL;
   tf->codes[60481] = 0x00012482711351faUL;
   tf->codes[60482] = 0x00016b361b5499e8UL;
   tf->codes[60483] = 0x00010fb32564659eUL;
   tf->codes[60484] = 0x0001486452135111UL;
   tf->codes[60485] = 0x00009564095e66e5UL;
   tf->codes[60486] = 0x00002185a9c7cd35UL;
   tf->codes[60487] = 0x00007df8fa59a387UL;
   tf->codes[60488] = 0x0000923b4f57a01cUL;
   tf->codes[60489] = 0x0000c29f375026d8UL;
   tf->codes[60490] = 0x0001a93f2d5119f0UL;
   tf->codes[60491] = 0x00005c09a630aa86UL;
   tf->codes[60492] = 0x0001a32edb8f1c27UL;
   tf->codes[60493] = 0x0000ea0f36c3c527UL;
   tf->codes[60494] = 0x0000f32f8e98e966UL;
   tf->codes[60495] = 0x00011a9f70939d6eUL;
   tf->codes[60496] = 0x00017e446117e63fUL;
   tf->codes[60497] = 0x0001cce0aa3da84cUL;
   tf->codes[60498] = 0x0001516fbc5e1b94UL;
   tf->codes[60499] = 0x000044e59dd5cdfdUL;
   tf->codes[60500] = 0x0000562b7bb678ccUL;
   tf->codes[60501] = 0x00011e337302c4e9UL;
   tf->codes[60502] = 0x0001609bfeccc23eUL;
   tf->codes[60503] = 0x0001619fd9765c6eUL;
   tf->codes[60504] = 0x0000b50351e39c2dUL;
   tf->codes[60505] = 0x0000a9aa34165562UL;
   tf->codes[60506] = 0x0000b18170851905UL;
   tf->codes[60507] = 0x0000b8ac33b4de6eUL;
   tf->codes[60508] = 0x0000bc9c0d422afcUL;
   tf->codes[60509] = 0x000013dbb330c71bUL;
   tf->codes[60510] = 0x00015dcb47529afbUL;
   tf->codes[60511] = 0x000057af6f9f80b5UL;
   tf->codes[60512] = 0x0001ff2f93004582UL;
   tf->codes[60513] = 0x0001685a3e2dd20aUL;
   tf->codes[60514] = 0x00019885c3a0b1faUL;
   tf->codes[60515] = 0x000037f90dd5710fUL;
   tf->codes[60516] = 0x0000e4c1e73f82dbUL;
   tf->codes[60517] = 0x00005c3fcf366083UL;
   tf->codes[60518] = 0x0001459a5b6e27c1UL;
   tf->codes[60519] = 0x0001672b9d6dcfbcUL;
   tf->codes[60520] = 0x0000c2cd7c40fd2dUL;
   tf->codes[60521] = 0x00017cd57a202c46UL;
   tf->codes[60522] = 0x00000d24af7806a6UL;
   tf->codes[60523] = 0x0000b8189b95e4e8UL;
   tf->codes[60524] = 0x0001048144241ed5UL;
   tf->codes[60525] = 0x00010f2c05af2b7fUL;
   tf->codes[60526] = 0x000149c556982f20UL;
   tf->codes[60527] = 0x0000cd84b5702bacUL;
   tf->codes[60528] = 0x0000341963ca7f2eUL;
   tf->codes[60529] = 0x0000983128c4184dUL;
   tf->codes[60530] = 0x000024225947c538UL;
   tf->codes[60531] = 0x00009cea3f6a2c4cUL;
   tf->codes[60532] = 0x00002bc97dd8bf82UL;
   tf->codes[60533] = 0x0000b0c9ef126477UL;
   tf->codes[60534] = 0x00012068487bb2c5UL;
   tf->codes[60535] = 0x0001e17f2161e765UL;
   tf->codes[60536] = 0x0001108f3528ec9eUL;
   tf->codes[60537] = 0x0001d7976fda0665UL;
   tf->codes[60538] = 0x00000fa8b80430f1UL;
   tf->codes[60539] = 0x00004a18a1ce2049UL;
   tf->codes[60540] = 0x00004fa13fb8b2feUL;
   tf->codes[60541] = 0x0000dba88a6b938bUL;
   tf->codes[60542] = 0x0001565dd7a19780UL;
   tf->codes[60543] = 0x0001d2dd1752ba0fUL;
   tf->codes[60544] = 0x0000621b2d99ab9dUL;
   tf->codes[60545] = 0x0000bb5d2ffffb66UL;
   tf->codes[60546] = 0x00014097bb2159d1UL;
   tf->codes[60547] = 0x000180c4df550adcUL;
   tf->codes[60548] = 0x0001a0ee50863f5eUL;
   tf->codes[60549] = 0x000055d6e97939beUL;
   tf->codes[60550] = 0x0000e823fe1e5067UL;
   tf->codes[60551] = 0x0000f9cc29af9e5dUL;
   tf->codes[60552] = 0x0001df92966222a2UL;
   tf->codes[60553] = 0x00008b22f8a36b40UL;
   tf->codes[60554] = 0x00015b7f1168c92aUL;
   tf->codes[60555] = 0x00008c326f401df0UL;
   tf->codes[60556] = 0x0001c3899aa7ec19UL;
   tf->codes[60557] = 0x0001cec38def147dUL;
   tf->codes[60558] = 0x000005cbb8962026UL;
   tf->codes[60559] = 0x00003e5970ac8d52UL;
   tf->codes[60560] = 0x0000601c1b591385UL;
   tf->codes[60561] = 0x00012a72017c7f41UL;
   tf->codes[60562] = 0x00018977a5f13249UL;
   tf->codes[60563] = 0x0001a6d28bc58ef3UL;
   tf->codes[60564] = 0x0001ece14937970cUL;
   tf->codes[60565] = 0x0001f47e312f9b74UL;
   tf->codes[60566] = 0x000034e44a7fe91cUL;
   tf->codes[60567] = 0x000185e5b2ec0d84UL;
   tf->codes[60568] = 0x0000d77a3093afbbUL;
   tf->codes[60569] = 0x00016eb0e8daaf46UL;
   tf->codes[60570] = 0x00012bb623863d77UL;
   tf->codes[60571] = 0x0001d1f9268fc9afUL;
   tf->codes[60572] = 0x0001edf98e880f41UL;
   tf->codes[60573] = 0x000057bea848c07cUL;
   tf->codes[60574] = 0x00017176b4d46ceaUL;
   tf->codes[60575] = 0x000171f56e56e93cUL;
   tf->codes[60576] = 0x000179671ab7ab33UL;
   tf->codes[60577] = 0x0001905b8f40a675UL;
   tf->codes[60578] = 0x0001cc01a69d2549UL;
   tf->codes[60579] = 0x0000784a672a9825UL;
   tf->codes[60580] = 0x000003afc5c87222UL;
   tf->codes[60581] = 0x000058966c0cddafUL;
   tf->codes[60582] = 0x0000622a911e770fUL;
   tf->codes[60583] = 0x0000e2f10bc78222UL;
   tf->codes[60584] = 0x00017ddc2459f227UL;
   tf->codes[60585] = 0x0001daac192fe922UL;
   tf->codes[60586] = 0x0000e3dac4357cd9UL;
   tf->codes[60587] = 0x0001764d21eb3ff1UL;
   tf->codes[60588] = 0x00019c97c3ab0f6fUL;
   tf->codes[60589] = 0x0001ac2abaf2d49eUL;
   tf->codes[60590] = 0x00001de55ff75e8eUL;
   tf->codes[60591] = 0x0000b6e3fbb248c6UL;
   tf->codes[60592] = 0x0001100c5f86125fUL;
   tf->codes[60593] = 0x000121d9e2b31a83UL;
   tf->codes[60594] = 0x000147a3f6783f87UL;
   tf->codes[60595] = 0x00014d9816f769eaUL;
   tf->codes[60596] = 0x0000031a6759896aUL;
   tf->codes[60597] = 0x000103111c7398e0UL;
   tf->codes[60598] = 0x00010f66a5f3a5bdUL;
   tf->codes[60599] = 0x0001561b3a7104bfUL;
   tf->codes[60600] = 0x000175b629932ed6UL;
   tf->codes[60601] = 0x0001ec8ab61b6307UL;
   tf->codes[60602] = 0x000001aa3d582abfUL;
   tf->codes[60603] = 0x00016129e395dcf3UL;
   tf->codes[60604] = 0x000163011a784a2fUL;
   tf->codes[60605] = 0x000164866d58a5edUL;
   tf->codes[60606] = 0x0001b8c9c0b6fa08UL;
   tf->codes[60607] = 0x000038cf66680564UL;
   tf->codes[60608] = 0x0000b94596f8275cUL;
   tf->codes[60609] = 0x0000cabf271bea15UL;
   tf->codes[60610] = 0x0000fe070c6a5940UL;
   tf->codes[60611] = 0x00012d386fc0acd0UL;
   tf->codes[60612] = 0x0001385640500f8dUL;
   tf->codes[60613] = 0x00016dda3ce1dc51UL;
   tf->codes[60614] = 0x00005dc60f69499dUL;
   tf->codes[60615] = 0x00010c4d6b5f5989UL;
   tf->codes[60616] = 0x0001ae75ce62624cUL;
   tf->codes[60617] = 0x000110ea99dcada6UL;
   tf->codes[60618] = 0x00013cc182776c29UL;
   tf->codes[60619] = 0x0001d8f4dabf3375UL;
   tf->codes[60620] = 0x000045500e693934UL;
   tf->codes[60621] = 0x00008010b76a1d31UL;
   tf->codes[60622] = 0x00009f8413e56127UL;
   tf->codes[60623] = 0x00014048147b4cfcUL;
   tf->codes[60624] = 0x0001c118da485bb0UL;
   tf->codes[60625] = 0x0001c3a501159c9fUL;
   tf->codes[60626] = 0x00006e80adfb174fUL;
   tf->codes[60627] = 0x0001b2a21a5b7e8aUL;
   tf->codes[60628] = 0x0000382f392bffc2UL;
   tf->codes[60629] = 0x00007cdd3d21473dUL;
   tf->codes[60630] = 0x0000cce157157cc3UL;
   tf->codes[60631] = 0x0000f8591746db26UL;
   tf->codes[60632] = 0x000139641d6668a3UL;
   tf->codes[60633] = 0x0001c0a1caae880aUL;
   tf->codes[60634] = 0x00004df0dff8b454UL;
   tf->codes[60635] = 0x0000d3215a8514e3UL;
   tf->codes[60636] = 0x000109a6387d30d6UL;
   tf->codes[60637] = 0x00008140432bd425UL;
   tf->codes[60638] = 0x0001df3dca5b7b61UL;
   tf->codes[60639] = 0x00008fbac981f7e2UL;
   tf->codes[60640] = 0x000171d69d63f605UL;
   tf->codes[60641] = 0x0000aeafff11b557UL;
   tf->codes[60642] = 0x0001ad078829dd1aUL;
   tf->codes[60643] = 0x00003875908ba411UL;
   tf->codes[60644] = 0x0000c3997bea1db4UL;
   tf->codes[60645] = 0x0000ece43db79b48UL;
   tf->codes[60646] = 0x00012aef23c97aafUL;
   tf->codes[60647] = 0x000017f97d203f03UL;
   tf->codes[60648] = 0x00008ca5d9000b8eUL;
   tf->codes[60649] = 0x000171aedf1be6a7UL;
   tf->codes[60650] = 0x0000c92ecc07d803UL;
   tf->codes[60651] = 0x000191edfcd53185UL;
   tf->codes[60652] = 0x0001ebeddaf03604UL;
   tf->codes[60653] = 0x0000a9d7492a4630UL;
   tf->codes[60654] = 0x0000f3ab543f69b5UL;
   tf->codes[60655] = 0x000151725475b7c8UL;
   tf->codes[60656] = 0x0001aa6b2414d151UL;
   tf->codes[60657] = 0x0001b11e4513cd43UL;
   tf->codes[60658] = 0x0001e099504f629dUL;
   tf->codes[60659] = 0x0001fce61ee12f35UL;
   tf->codes[60660] = 0x0001ff4ec28ae41eUL;
   tf->codes[60661] = 0x0001d7734f708aa9UL;
   tf->codes[60662] = 0x00000ba48699f6c0UL;
   tf->codes[60663] = 0x00001015633ff952UL;
   tf->codes[60664] = 0x00019bbd60fc6ffdUL;
   tf->codes[60665] = 0x00004b4145bb6179UL;
   tf->codes[60666] = 0x0000f205866ca97aUL;
   tf->codes[60667] = 0x00014521156ad994UL;
   tf->codes[60668] = 0x0000577987b88bd6UL;
   tf->codes[60669] = 0x0001f947a60fa9a5UL;
   tf->codes[60670] = 0x000012efd40ccbf7UL;
   tf->codes[60671] = 0x0001486333d7ef91UL;
   tf->codes[60672] = 0x00014e227d48e531UL;
   tf->codes[60673] = 0x000019a53016f3dcUL;
   tf->codes[60674] = 0x0000542b84a1189eUL;
   tf->codes[60675] = 0x0000ec874293f6eeUL;
   tf->codes[60676] = 0x000016647166cf46UL;
   tf->codes[60677] = 0x000028477517f5c0UL;
   tf->codes[60678] = 0x000173e881ed7ee3UL;
   tf->codes[60679] = 0x000181e840cb9622UL;
   tf->codes[60680] = 0x0000a0da75a11a52UL;
   tf->codes[60681] = 0x0001cf8115dabbcaUL;
   tf->codes[60682] = 0x00002938e5f9a6e2UL;
   tf->codes[60683] = 0x000120cdec194265UL;
   tf->codes[60684] = 0x0000a8717a006540UL;
   tf->codes[60685] = 0x000035fbe3ff63dcUL;
   tf->codes[60686] = 0x00004e4c09baa0ceUL;
   tf->codes[60687] = 0x00018aa76192f51dUL;
   tf->codes[60688] = 0x00005f03f8233703UL;
   tf->codes[60689] = 0x0000a91f618762a0UL;
   tf->codes[60690] = 0x0000d841716f33a1UL;
   tf->codes[60691] = 0x0000e21184e0b49fUL;
   tf->codes[60692] = 0x0000ef0c7ed91a9aUL;
   tf->codes[60693] = 0x0001fb0ba72c9e98UL;
   tf->codes[60694] = 0x00006acd752e6b2dUL;
   tf->codes[60695] = 0x0001037474efb3aaUL;
   tf->codes[60696] = 0x00017c545fbb788bUL;
   tf->codes[60697] = 0x0001b60b761b321bUL;
   tf->codes[60698] = 0x0001dc689f1bd4eeUL;
   tf->codes[60699] = 0x00003ce024f3f94bUL;
   tf->codes[60700] = 0x0001b70397bb984dUL;
   tf->codes[60701] = 0x0001c092b482b2bfUL;
   tf->codes[60702] = 0x0001231f0f88505cUL;
   tf->codes[60703] = 0x00013be0d662b304UL;
   tf->codes[60704] = 0x0001a3eece032c7eUL;
   tf->codes[60705] = 0x000129b7f1359157UL;
   tf->codes[60706] = 0x00005118d052c498UL;
   tf->codes[60707] = 0x0000accb867ba0f8UL;
   tf->codes[60708] = 0x0001cd790a0ad282UL;
   tf->codes[60709] = 0x00003164e3c017e1UL;
   tf->codes[60710] = 0x0000de55c4ef1b58UL;
   tf->codes[60711] = 0x0000e9f365410981UL;
   tf->codes[60712] = 0x00012e6b6d5cff60UL;
   tf->codes[60713] = 0x00006c3b91510246UL;
   tf->codes[60714] = 0x0000eef3cbab17d9UL;
   tf->codes[60715] = 0x00011ef173e88b9aUL;
   tf->codes[60716] = 0x0000358fc1d403c2UL;
   tf->codes[60717] = 0x00006441816bc3ecUL;
   tf->codes[60718] = 0x0001cd8dccb9a093UL;
   tf->codes[60719] = 0x00004d3917bcc4f8UL;
   tf->codes[60720] = 0x0000f6d7452ef78cUL;
   tf->codes[60721] = 0x000181572dfa486eUL;
   tf->codes[60722] = 0x00007c00494d95b9UL;
   tf->codes[60723] = 0x000193f9d34d4407UL;
   tf->codes[60724] = 0x00002cae8c93e6b0UL;
   tf->codes[60725] = 0x00003826b7d13064UL;
   tf->codes[60726] = 0x000079c45e0e3026UL;
   tf->codes[60727] = 0x00005bcc35533c53UL;
   tf->codes[60728] = 0x00019b5239236fdaUL;
   tf->codes[60729] = 0x0000a2cb12d7e0afUL;
   tf->codes[60730] = 0x0000d8bcdb947ed3UL;
   tf->codes[60731] = 0x0000f8f7af3b69d1UL;
   tf->codes[60732] = 0x0001dd0eecd07285UL;
   tf->codes[60733] = 0x0001bf29c0745d91UL;
   tf->codes[60734] = 0x00005c49d8f87854UL;
   tf->codes[60735] = 0x00010e0a84a7d8b8UL;
   tf->codes[60736] = 0x0001c0af79e7b71aUL;
   tf->codes[60737] = 0x0001d8b791a6daa5UL;
   tf->codes[60738] = 0x0000dac4da649580UL;
   tf->codes[60739] = 0x000110c03e9825f6UL;
   tf->codes[60740] = 0x00016e74f21ca679UL;
   tf->codes[60741] = 0x00001d587d38cb84UL;
   tf->codes[60742] = 0x00006daeb5be184dUL;
   tf->codes[60743] = 0x0000b14f7e21d90bUL;
   tf->codes[60744] = 0x0000ff07b84622dfUL;
   tf->codes[60745] = 0x00010c6fcebc48ebUL;
   tf->codes[60746] = 0x000035d0619ee69dUL;
   tf->codes[60747] = 0x0000f0e64abcadc2UL;
   tf->codes[60748] = 0x00016eb50d78d279UL;
   tf->codes[60749] = 0x0001be53d1ee0c18UL;
   tf->codes[60750] = 0x0001db693c769c91UL;
   tf->codes[60751] = 0x000015ffceab5af6UL;
   tf->codes[60752] = 0x00000802104969e5UL;
   tf->codes[60753] = 0x000004895543cd85UL;
   tf->codes[60754] = 0x000084b702b9ca8cUL;
   tf->codes[60755] = 0x0000d4c73c4a31dbUL;
   tf->codes[60756] = 0x00017a062a1b1e1eUL;
   tf->codes[60757] = 0x0001bed100753c8fUL;
   tf->codes[60758] = 0x000154d7b12b28eaUL;
   tf->codes[60759] = 0x0001a5ad52e00354UL;
   tf->codes[60760] = 0x0000feafc56cfd73UL;
   tf->codes[60761] = 0x000043bdf209b825UL;
   tf->codes[60762] = 0x0001421c57e48cfeUL;
   tf->codes[60763] = 0x000191bda07f0614UL;
   tf->codes[60764] = 0x0001df1343d8993dUL;
   tf->codes[60765] = 0x000079d4babcef34UL;
   tf->codes[60766] = 0x00019d412d206283UL;
   tf->codes[60767] = 0x0001bf2dee990e4eUL;
   tf->codes[60768] = 0x0000917315d49b7aUL;
   tf->codes[60769] = 0x0000d034109c6b6dUL;
   tf->codes[60770] = 0x0001b194d60907d5UL;
   tf->codes[60771] = 0x00004344b6529514UL;
   tf->codes[60772] = 0x0000fa8429e69016UL;
   tf->codes[60773] = 0x00009fa6d072acf0UL;
   tf->codes[60774] = 0x00012401dfbf0686UL;
   tf->codes[60775] = 0x00019da0cb0a9cf6UL;
   tf->codes[60776] = 0x0001c0ca5c497f8eUL;
   tf->codes[60777] = 0x000009886c073359UL;
   tf->codes[60778] = 0x000036653e52bff9UL;
   tf->codes[60779] = 0x0000d53152220587UL;
   tf->codes[60780] = 0x00012e8984b984f5UL;
   tf->codes[60781] = 0x00000124ae058b79UL;
   tf->codes[60782] = 0x000072b8aa9f465cUL;
   tf->codes[60783] = 0x000080408cbd8e5fUL;
   tf->codes[60784] = 0x0000db4320b71035UL;
   tf->codes[60785] = 0x0000e44ef0cf3af1UL;
   tf->codes[60786] = 0x00013502f263c53cUL;
   tf->codes[60787] = 0x00014a1e21031f55UL;
   tf->codes[60788] = 0x000041085657f2c0UL;
   tf->codes[60789] = 0x0000f6e7106f2d24UL;
   tf->codes[60790] = 0x000156794564a0f1UL;
   tf->codes[60791] = 0x0001922256046ac6UL;
   tf->codes[60792] = 0x000012227e4cebaaUL;
   tf->codes[60793] = 0x00001915abba3714UL;
   tf->codes[60794] = 0x00010dc31a1e9b97UL;
   tf->codes[60795] = 0x000013552ef316dcUL;
   tf->codes[60796] = 0x000084113c278b4fUL;
   tf->codes[60797] = 0x0001b034a15dccdbUL;
   tf->codes[60798] = 0x0001bab2184a6327UL;
   tf->codes[60799] = 0x00003768b32ef9f0UL;
   tf->codes[60800] = 0x0001ae3b72b5ee3dUL;
   tf->codes[60801] = 0x00003dd5f2b1faafUL;
   tf->codes[60802] = 0x0000b5eba79dd34cUL;
   tf->codes[60803] = 0x00015fab753055ffUL;
   tf->codes[60804] = 0x0001ea3d701e6eacUL;
   tf->codes[60805] = 0x0001fe9cd21047fcUL;
   tf->codes[60806] = 0x00010a2d8d16f70aUL;
   tf->codes[60807] = 0x0001f5db858e685fUL;
   tf->codes[60808] = 0x000037a342978db9UL;
   tf->codes[60809] = 0x0001555fbef88df7UL;
   tf->codes[60810] = 0x00018bd6a8dc49f9UL;
   tf->codes[60811] = 0x00009cd872423979UL;
   tf->codes[60812] = 0x000007fa1ffa5534UL;
   tf->codes[60813] = 0x000142ff4408f24bUL;
   tf->codes[60814] = 0x000154af7fb317efUL;
   tf->codes[60815] = 0x0001ddb8444172c9UL;
   tf->codes[60816] = 0x000097e3070c0edaUL;
   tf->codes[60817] = 0x00017d22f33d52a3UL;
   tf->codes[60818] = 0x000030754bf84653UL;
   tf->codes[60819] = 0x0000a909f4f5a107UL;
   tf->codes[60820] = 0x00010a299b6f55ffUL;
   tf->codes[60821] = 0x00006431bd1e1876UL;
   tf->codes[60822] = 0x0001bf46041e5290UL;
   tf->codes[60823] = 0x0000264200fcd9e3UL;
   tf->codes[60824] = 0x0001ed1a82ec39d8UL;
   tf->codes[60825] = 0x000001241d5c9f95UL;
   tf->codes[60826] = 0x00004d6e599cda29UL;
   tf->codes[60827] = 0x0001c08450b79642UL;
   tf->codes[60828] = 0x0001b8461655a096UL;
   tf->codes[60829] = 0x0000bc8406679890UL;
   tf->codes[60830] = 0x0001be576fcc9fbaUL;
   tf->codes[60831] = 0x0001c4fc622835f6UL;
   tf->codes[60832] = 0x0001fa74b43bdc7bUL;
   tf->codes[60833] = 0x0000a24c98234cc5UL;
   tf->codes[60834] = 0x0000c2ef456e7321UL;
   tf->codes[60835] = 0x00012d5dc1b1ed4eUL;
   tf->codes[60836] = 0x00018307ed17900fUL;
   tf->codes[60837] = 0x0001e2b50280c263UL;
   tf->codes[60838] = 0x00013545594434dbUL;
   tf->codes[60839] = 0x0001e3500abefc62UL;
   tf->codes[60840] = 0x0001fae8474c1aa0UL;
   tf->codes[60841] = 0x0001fb05c95e02e5UL;
   tf->codes[60842] = 0x000089e5a177ab67UL;
   tf->codes[60843] = 0x000149e986d4c90dUL;
   tf->codes[60844] = 0x00013b75107e2599UL;
   tf->codes[60845] = 0x0000ec3b586dd45dUL;
   tf->codes[60846] = 0x00013c3adf35967fUL;
   tf->codes[60847] = 0x00006345472444deUL;
   tf->codes[60848] = 0x000125adecabb558UL;
   tf->codes[60849] = 0x000016d56a2e3c98UL;
   tf->codes[60850] = 0x00005465ef5b0d4cUL;
   tf->codes[60851] = 0x00004a1e65bcbaddUL;
   tf->codes[60852] = 0x000122a41410f972UL;
   tf->codes[60853] = 0x000153319db79a3cUL;
   tf->codes[60854] = 0x0000159f94a39d28UL;
   tf->codes[60855] = 0x00009bcb732dc26eUL;
   tf->codes[60856] = 0x0000c674df70ccb3UL;
   tf->codes[60857] = 0x00012fb2e61947a1UL;
   tf->codes[60858] = 0x00017d20c8ab3e5cUL;
   tf->codes[60859] = 0x0001b4ce1ab08f9fUL;
   tf->codes[60860] = 0x000073bdad2a73adUL;
   tf->codes[60861] = 0x000161e00254cde9UL;
   tf->codes[60862] = 0x0001a3fe711b7deaUL;
   tf->codes[60863] = 0x000058d5327ab644UL;
   tf->codes[60864] = 0x000144a714a8b16aUL;
   tf->codes[60865] = 0x000031abb607e581UL;
   tf->codes[60866] = 0x00007d5c756800baUL;
   tf->codes[60867] = 0x0000ee2f0ad594deUL;
   tf->codes[60868] = 0x00010432a113d4cfUL;
   tf->codes[60869] = 0x00017a110c77c8fcUL;
   tf->codes[60870] = 0x0001d457d3c3ca09UL;
   tf->codes[60871] = 0x0001f905cda6f14bUL;
   tf->codes[60872] = 0x0000c5d58de5d066UL;
   tf->codes[60873] = 0x0000eb283a0931b8UL;
   tf->codes[60874] = 0x000112333ba2f563UL;
   tf->codes[60875] = 0x0001d3ae0aae034cUL;
   tf->codes[60876] = 0x0001397a1d1192edUL;
   tf->codes[60877] = 0x0001fd7c452e689cUL;
   tf->codes[60878] = 0x00010ad2d4a1ce6aUL;
   tf->codes[60879] = 0x00016f05d217161cUL;
   tf->codes[60880] = 0x0001aa9df55f34ffUL;
   tf->codes[60881] = 0x00003e97054f7673UL;
   tf->codes[60882] = 0x0000911c4b3fd7f8UL;
   tf->codes[60883] = 0x0000da3f49e989dfUL;
   tf->codes[60884] = 0x0000f4e475cd994bUL;
   tf->codes[60885] = 0x00012dd365549a84UL;
   tf->codes[60886] = 0x0001fc1491d8df6aUL;
   tf->codes[60887] = 0x0001fc73f4d1454fUL;
   tf->codes[60888] = 0x00008da0d185f65cUL;
   tf->codes[60889] = 0x00009de08b26cd49UL;
   tf->codes[60890] = 0x0001468404484c75UL;
   tf->codes[60891] = 0x00010aaf346826e6UL;
   tf->codes[60892] = 0x00005a2ac64ad647UL;
   tf->codes[60893] = 0x0001f31ad4464b42UL;
   tf->codes[60894] = 0x00005baa8d3799ceUL;
   tf->codes[60895] = 0x0000c47375d48abcUL;
   tf->codes[60896] = 0x0001138676eeff2cUL;
   tf->codes[60897] = 0x0001d332fae180dcUL;
   tf->codes[60898] = 0x00001564a0961581UL;
   tf->codes[60899] = 0x00001df5601c203bUL;
   tf->codes[60900] = 0x00015f89465523e9UL;
   tf->codes[60901] = 0x000054d957f28e8fUL;
   tf->codes[60902] = 0x000094d838c0a469UL;
   tf->codes[60903] = 0x0001673cf1154dc7UL;
   tf->codes[60904] = 0x0001d88b294928f5UL;
   tf->codes[60905] = 0x0001dfd8ebf3611bUL;
   tf->codes[60906] = 0x00002240c8104d21UL;
   tf->codes[60907] = 0x0000f0b4ae10851eUL;
   tf->codes[60908] = 0x0000236500f8ff19UL;
   tf->codes[60909] = 0x0000b177e47e761bUL;
   tf->codes[60910] = 0x0001548c1d81bb41UL;
   tf->codes[60911] = 0x00001ab00ea2570aUL;
   tf->codes[60912] = 0x000046fcff84b6a1UL;
   tf->codes[60913] = 0x0001ce49dbae4ed5UL;
   tf->codes[60914] = 0x0000c57e2e066f94UL;
   tf->codes[60915] = 0x0001423abb719c5fUL;
   tf->codes[60916] = 0x000014b185e90d88UL;
   tf->codes[60917] = 0x0001283cb767f8bbUL;
   tf->codes[60918] = 0x00019dcb8860151cUL;
   tf->codes[60919] = 0x0001ae8fee09fe5dUL;
   tf->codes[60920] = 0x0001e4551bd53772UL;
   tf->codes[60921] = 0x00002c3767395077UL;
   tf->codes[60922] = 0x000087961bcdd9adUL;
   tf->codes[60923] = 0x000018aa5a2e17a1UL;
   tf->codes[60924] = 0x0001ae2b0e0bdcc9UL;
   tf->codes[60925] = 0x000023aee432e43aUL;
   tf->codes[60926] = 0x00003ad53686c93eUL;
   tf->codes[60927] = 0x0001cb55005166c5UL;
   tf->codes[60928] = 0x000011d97cf0fc6eUL;
   tf->codes[60929] = 0x0000279f15c820d4UL;
   tf->codes[60930] = 0x0001177dde774543UL;
   tf->codes[60931] = 0x0001d228ba1e8044UL;
   tf->codes[60932] = 0x00012ed1a76d98abUL;
   tf->codes[60933] = 0x00003d8163ee00b2UL;
   tf->codes[60934] = 0x00011d61a435ba85UL;
   tf->codes[60935] = 0x0000169b9cd9dbb7UL;
   tf->codes[60936] = 0x000138b1db7397ceUL;
   tf->codes[60937] = 0x00008be042439d05UL;
   tf->codes[60938] = 0x0000bf35316a550dUL;
   tf->codes[60939] = 0x000009e057aaa3f1UL;
   tf->codes[60940] = 0x0000a2b3f25d517dUL;
   tf->codes[60941] = 0x0000bfc32fd0462fUL;
   tf->codes[60942] = 0x0000f60ede1cbfc0UL;
   tf->codes[60943] = 0x00003b701386a8c9UL;
   tf->codes[60944] = 0x00007f683d55057dUL;
   tf->codes[60945] = 0x000166a7dd4bb3b7UL;
   tf->codes[60946] = 0x00005b3928f85293UL;
   tf->codes[60947] = 0x000094f80656d04dUL;
   tf->codes[60948] = 0x00009b0c679c2831UL;
   tf->codes[60949] = 0x00013d9a953c3865UL;
   tf->codes[60950] = 0x00000b7e3340458eUL;
   tf->codes[60951] = 0x0000c44ac0b36078UL;
   tf->codes[60952] = 0x000124fd10204f9aUL;
   tf->codes[60953] = 0x000127c400825b4eUL;
   tf->codes[60954] = 0x000130017cac31ecUL;
   tf->codes[60955] = 0x0001903837dde7c3UL;
   tf->codes[60956] = 0x00005aa43fa77565UL;
   tf->codes[60957] = 0x0000730761c19136UL;
   tf->codes[60958] = 0x0000a6b0f39e9ff8UL;
   tf->codes[60959] = 0x0000f2275e87fbf6UL;
   tf->codes[60960] = 0x000136d25aaeeab1UL;
   tf->codes[60961] = 0x00002cf04b1c9debUL;
   tf->codes[60962] = 0x000056968c631f4fUL;
   tf->codes[60963] = 0x00012f862362cd2fUL;
   tf->codes[60964] = 0x00015ce383a90449UL;
   tf->codes[60965] = 0x0001dcbf128dea0dUL;
   tf->codes[60966] = 0x0001eb2a19719335UL;
   tf->codes[60967] = 0x0000078dc7e1a0c1UL;
   tf->codes[60968] = 0x000019154c19c36bUL;
   tf->codes[60969] = 0x0001e3cc0a91b3adUL;
   tf->codes[60970] = 0x0001003b3ef2ddb6UL;
   tf->codes[60971] = 0x0001f49ecae2faaaUL;
   tf->codes[60972] = 0x000016c11316ec87UL;
   tf->codes[60973] = 0x00006033719d7075UL;
   tf->codes[60974] = 0x00016a5fca370295UL;
   tf->codes[60975] = 0x00007189440ea163UL;
   tf->codes[60976] = 0x0000c6ea10a915deUL;
   tf->codes[60977] = 0x0001d133763684b9UL;
   tf->codes[60978] = 0x000104cf2a012f8dUL;
   tf->codes[60979] = 0x00002242739af98bUL;
   tf->codes[60980] = 0x0000a52b66f4dc07UL;
   tf->codes[60981] = 0x00003a327825b18aUL;
   tf->codes[60982] = 0x000091a99dd4cba5UL;
   tf->codes[60983] = 0x0000a0e039f283afUL;
   tf->codes[60984] = 0x0000d1c858d61135UL;
   tf->codes[60985] = 0x0001795c1240ca2dUL;
   tf->codes[60986] = 0x000050d98d4e00f3UL;
   tf->codes[60987] = 0x00010599e3ed03e3UL;
   tf->codes[60988] = 0x00014004fffb7a12UL;
   tf->codes[60989] = 0x00008576e82e0848UL;
   tf->codes[60990] = 0x0000fb7e45930534UL;
   tf->codes[60991] = 0x0000a33f250f2ac8UL;
   tf->codes[60992] = 0x0000dae9f2ef3c94UL;
   tf->codes[60993] = 0x00000edabe8e49acUL;
   tf->codes[60994] = 0x00004fe96d9e3379UL;
   tf->codes[60995] = 0x0000c9d693fb7f17UL;
   tf->codes[60996] = 0x0000e2ebacbd239aUL;
   tf->codes[60997] = 0x0001999bb405fd1dUL;
   tf->codes[60998] = 0x00007595b6375cb4UL;
   tf->codes[60999] = 0x0000ae9bc02ba4a6UL;
   tf->codes[61000] = 0x00013d081422eb8bUL;
   tf->codes[61001] = 0x0000c149604fb52fUL;
   tf->codes[61002] = 0x0001529bc0a41870UL;
   tf->codes[61003] = 0x0001a3b8fb3700b7UL;
   tf->codes[61004] = 0x0000838bbc886623UL;
   tf->codes[61005] = 0x0001e93335885aa4UL;
   tf->codes[61006] = 0x00006472e6bf012aUL;
   tf->codes[61007] = 0x000067ebcdc89590UL;
   tf->codes[61008] = 0x0001842c92c02c62UL;
   tf->codes[61009] = 0x00011a2b246f6487UL;
   tf->codes[61010] = 0x000157811a96703bUL;
   tf->codes[61011] = 0x0001707ede5bc840UL;
   tf->codes[61012] = 0x000029a37ce6906fUL;
   tf->codes[61013] = 0x00002fdd273c94c2UL;
   tf->codes[61014] = 0x0000233a6a5fd412UL;
   tf->codes[61015] = 0x0001252528c127baUL;
   tf->codes[61016] = 0x000178d1f882a77bUL;
   tf->codes[61017] = 0x0001a7e564a9073cUL;
   tf->codes[61018] = 0x0000e0795fd70c32UL;
   tf->codes[61019] = 0x00012b01360be691UL;
   tf->codes[61020] = 0x000030e06126fa2bUL;
   tf->codes[61021] = 0x0000bd77c7d20d86UL;
   tf->codes[61022] = 0x00017cb72f46cf25UL;
   tf->codes[61023] = 0x000199c71c66d526UL;
   tf->codes[61024] = 0x00000d0d06d250d6UL;
   tf->codes[61025] = 0x00005b0846a83523UL;
   tf->codes[61026] = 0x0000b9ee9492d1beUL;
   tf->codes[61027] = 0x00014faed849ec90UL;
   tf->codes[61028] = 0x0001cef2f955e6e6UL;
   tf->codes[61029] = 0x00001de9d7b895afUL;
   tf->codes[61030] = 0x00002d11d014dc79UL;
   tf->codes[61031] = 0x000031c7c173ad71UL;
   tf->codes[61032] = 0x0000d4eebc46cbb1UL;
   tf->codes[61033] = 0x0000e2e1abdb9fd8UL;
   tf->codes[61034] = 0x0000a1bbffd75999UL;
   tf->codes[61035] = 0x000105d9f1e68e7fUL;
   tf->codes[61036] = 0x000178ff60fcd6e9UL;
   tf->codes[61037] = 0x00000adffa463111UL;
   tf->codes[61038] = 0x0001a956d1b40a99UL;
   tf->codes[61039] = 0x0001b3e117e9e3fdUL;
   tf->codes[61040] = 0x0000a5cee7ccf56cUL;
   tf->codes[61041] = 0x0000cedbac335775UL;
   tf->codes[61042] = 0x0001492bde796548UL;
   tf->codes[61043] = 0x0001758613c31381UL;
   tf->codes[61044] = 0x00011056446ad6bbUL;
   tf->codes[61045] = 0x0000645f93e36d63UL;
   tf->codes[61046] = 0x0000d8844a76dc99UL;
   tf->codes[61047] = 0x00012c86320cbe9eUL;
   tf->codes[61048] = 0x0000726aeeb49d22UL;
   tf->codes[61049] = 0x0000969bf502687bUL;
   tf->codes[61050] = 0x0000d88f9d4fe195UL;
   tf->codes[61051] = 0x0001b1667ff92059UL;
   tf->codes[61052] = 0x00004f8396642836UL;
   tf->codes[61053] = 0x00006f1adc95f5fdUL;
   tf->codes[61054] = 0x00002f2d0698755cUL;
   tf->codes[61055] = 0x0000611e6f0319cbUL;
   tf->codes[61056] = 0x0001b4b4ea066025UL;
   tf->codes[61057] = 0x00003979325117b7UL;
   tf->codes[61058] = 0x00004014fe53c72bUL;
   tf->codes[61059] = 0x00016ece25ce3bf8UL;
   tf->codes[61060] = 0x0001faa73ba68f13UL;
   tf->codes[61061] = 0x00003b29fbba8a74UL;
   tf->codes[61062] = 0x000058cf0d1d4231UL;
   tf->codes[61063] = 0x0001be1a91862758UL;
   tf->codes[61064] = 0x00001eaf997033faUL;
   tf->codes[61065] = 0x0000ab452ba3192dUL;
   tf->codes[61066] = 0x0001d51ace063320UL;
   tf->codes[61067] = 0x00006fd4b87acab2UL;
   tf->codes[61068] = 0x000101bb1846c2d6UL;
   tf->codes[61069] = 0x00015a9c1dcb8457UL;
   tf->codes[61070] = 0x0001f1faddd7758dUL;
   tf->codes[61071] = 0x0000197fae2220e3UL;
   tf->codes[61072] = 0x0001464ea25b4995UL;
   tf->codes[61073] = 0x0001f9374cf9d3bfUL;
   tf->codes[61074] = 0x00008770ca5f0c0fUL;
   tf->codes[61075] = 0x000023ce14e5ef31UL;
   tf->codes[61076] = 0x00002c6e6269823fUL;
   tf->codes[61077] = 0x0000477416111469UL;
   tf->codes[61078] = 0x000069b330a9dd3cUL;
   tf->codes[61079] = 0x00013a14172ab44fUL;
   tf->codes[61080] = 0x0001cc1b6769eb43UL;
   tf->codes[61081] = 0x0001e23ddf143617UL;
   tf->codes[61082] = 0x00006bdcecb05f86UL;
   tf->codes[61083] = 0x000139198eddf8edUL;
   tf->codes[61084] = 0x0000055d16a4074fUL;
   tf->codes[61085] = 0x0000082391e80779UL;
   tf->codes[61086] = 0x0000a7017d4b0f0dUL;
   tf->codes[61087] = 0x0000bdefff4d744dUL;
   tf->codes[61088] = 0x0000407f983782e9UL;
   tf->codes[61089] = 0x0000eb88ca4a79bcUL;
   tf->codes[61090] = 0x00012735f8f8ab6bUL;
   tf->codes[61091] = 0x0001292de5bf51b2UL;
   tf->codes[61092] = 0x00014b056142e4ecUL;
   tf->codes[61093] = 0x000157156f772598UL;
   tf->codes[61094] = 0x0001baefac27aeb6UL;
   tf->codes[61095] = 0x0001ff6bfe560475UL;
   tf->codes[61096] = 0x0000ca6cfe5e4bcdUL;
   tf->codes[61097] = 0x000049e9404cc7afUL;
   tf->codes[61098] = 0x0000c83f0733462bUL;
   tf->codes[61099] = 0x000195f29be497baUL;
   tf->codes[61100] = 0x000083bd5515503bUL;
   tf->codes[61101] = 0x000096504066cb7aUL;
   tf->codes[61102] = 0x0000fc8db1e38cc8UL;
   tf->codes[61103] = 0x000024645eb95b58UL;
   tf->codes[61104] = 0x00007322bd1d790eUL;
   tf->codes[61105] = 0x0000cb1f7911bc91UL;
   tf->codes[61106] = 0x000122f543811d83UL;
   tf->codes[61107] = 0x000169122f968b52UL;
   tf->codes[61108] = 0x0001a07fea4b98a7UL;
   tf->codes[61109] = 0x0001de141868c5abUL;
   tf->codes[61110] = 0x0000962379d43d2eUL;
   tf->codes[61111] = 0x00014015d4debaf2UL;
   tf->codes[61112] = 0x00017bc3b339fdf0UL;
   tf->codes[61113] = 0x0001594e53adcffdUL;
   tf->codes[61114] = 0x0001da61e49d7365UL;
   tf->codes[61115] = 0x0000317bf0ea614dUL;
   tf->codes[61116] = 0x0000e6c1ddce8da5UL;
   tf->codes[61117] = 0x0001d00cdc08cc8fUL;
   tf->codes[61118] = 0x00009066ef7a5b93UL;
   tf->codes[61119] = 0x0001798811777aaaUL;
   tf->codes[61120] = 0x000008376b205c08UL;
   tf->codes[61121] = 0x000049f2cdfe49d4UL;
   tf->codes[61122] = 0x0000fba1a219e832UL;
   tf->codes[61123] = 0x0000b6be436d52abUL;
   tf->codes[61124] = 0x0000ce70ce3a0868UL;
   tf->codes[61125] = 0x0001a09071d5e360UL;
   tf->codes[61126] = 0x0000b1fea80c81a2UL;
   tf->codes[61127] = 0x000037f9e398d602UL;
   tf->codes[61128] = 0x0000491c8770084fUL;
   tf->codes[61129] = 0x0000bffae9fe3497UL;
   tf->codes[61130] = 0x0001c8f4bdf5938bUL;
   tf->codes[61131] = 0x0000337302c59bd1UL;
   tf->codes[61132] = 0x00006f0f098d1cc9UL;
   tf->codes[61133] = 0x000045011aa6580dUL;
   tf->codes[61134] = 0x000051aa6b2bb24fUL;
   tf->codes[61135] = 0x0000e5e01928ecb0UL;
   tf->codes[61136] = 0x0000fc6170228420UL;
   tf->codes[61137] = 0x000043cd5422ec8aUL;
   tf->codes[61138] = 0x00007736d991abd4UL;
   tf->codes[61139] = 0x00002e6784d72bd4UL;
   tf->codes[61140] = 0x0000f5fbbd72108fUL;
   tf->codes[61141] = 0x0001793c87549a8bUL;
   tf->codes[61142] = 0x00008984cda342f4UL;
   tf->codes[61143] = 0x0001eceff4d0d417UL;
   tf->codes[61144] = 0x00000cbde68904c9UL;
   tf->codes[61145] = 0x0001273cf5224cb5UL;
   tf->codes[61146] = 0x000155a6e14cf93dUL;
   tf->codes[61147] = 0x0000050925eb9a9aUL;
   tf->codes[61148] = 0x00009334bdc780b8UL;
   tf->codes[61149] = 0x00014bba9c98a4d9UL;
   tf->codes[61150] = 0x0001e281eecbaaa1UL;
   tf->codes[61151] = 0x0000137c5a6105b7UL;
   tf->codes[61152] = 0x00003b6987f905b4UL;
   tf->codes[61153] = 0x0000fe4fd0c2e366UL;
   tf->codes[61154] = 0x000167ef83f9fdebUL;
   tf->codes[61155] = 0x0000067c3b080550UL;
   tf->codes[61156] = 0x0000eea5a1f7bc00UL;
   tf->codes[61157] = 0x00013c9487a268bfUL;
   tf->codes[61158] = 0x000018a14ba3a170UL;
   tf->codes[61159] = 0x00003083dfc312c7UL;
   tf->codes[61160] = 0x000148f80536d58dUL;
   tf->codes[61161] = 0x0001c7481425c3ccUL;
   tf->codes[61162] = 0x00003358e1b268b3UL;
   tf->codes[61163] = 0x00015eebf06171acUL;
   tf->codes[61164] = 0x0001ada19d8ab424UL;
   tf->codes[61165] = 0x000073a672b03f45UL;
   tf->codes[61166] = 0x000042a0fdbec180UL;
   tf->codes[61167] = 0x000086fe7d0c1a1bUL;
   tf->codes[61168] = 0x0001446e3a0e2ce3UL;
   tf->codes[61169] = 0x00014c9dc223a390UL;
   tf->codes[61170] = 0x000165f0d84c639eUL;
   tf->codes[61171] = 0x0001ed8571e11371UL;
   tf->codes[61172] = 0x000102e79fb3661bUL;
   tf->codes[61173] = 0x000091a070463009UL;
   tf->codes[61174] = 0x00015049198f1789UL;
   tf->codes[61175] = 0x0001869661c4b97dUL;
   tf->codes[61176] = 0x0000d7273f51c749UL;
   tf->codes[61177] = 0x000147c63f925f01UL;
   tf->codes[61178] = 0x0000b7100c475298UL;
   tf->codes[61179] = 0x00012fef0cd70065UL;
   tf->codes[61180] = 0x00004c8e4a8ae608UL;
   tf->codes[61181] = 0x0000645fa83898e9UL;
   tf->codes[61182] = 0x00011f22136b262dUL;
   tf->codes[61183] = 0x0001366a05df5b50UL;
   tf->codes[61184] = 0x00013087394ad9aaUL;
   tf->codes[61185] = 0x0001495e461a54e3UL;
   tf->codes[61186] = 0x0001abc2e9ec029dUL;
   tf->codes[61187] = 0x0000779a04e1623dUL;
   tf->codes[61188] = 0x0001c1d3325d6a28UL;
   tf->codes[61189] = 0x0001ee670c70c64dUL;
   tf->codes[61190] = 0x00005f27acd1ae24UL;
   tf->codes[61191] = 0x00009e1ede01d578UL;
   tf->codes[61192] = 0x0000db1a797afa35UL;
   tf->codes[61193] = 0x00013f60adde268bUL;
   tf->codes[61194] = 0x00016015e26a203cUL;
   tf->codes[61195] = 0x0001a4d45e99071fUL;
   tf->codes[61196] = 0x0001d3e9d9c69acdUL;
   tf->codes[61197] = 0x0000a0e3b0d19f80UL;
   tf->codes[61198] = 0x000143e29554be56UL;
   tf->codes[61199] = 0x0001cfa36bf4addfUL;
   tf->codes[61200] = 0x0001eb351d860afdUL;
   tf->codes[61201] = 0x0000959719338849UL;
   tf->codes[61202] = 0x0000ab8fef2fb90fUL;
   tf->codes[61203] = 0x00013888182d54edUL;
   tf->codes[61204] = 0x0000cc834d26c651UL;
   tf->codes[61205] = 0x00019867e7127a58UL;
   tf->codes[61206] = 0x0001fc9442541ab9UL;
   tf->codes[61207] = 0x0001414afefb2bb6UL;
   tf->codes[61208] = 0x000180e423b747deUL;
   tf->codes[61209] = 0x000136b27b96deddUL;
   tf->codes[61210] = 0x000144559630d573UL;
   tf->codes[61211] = 0x0001c64e957c13b2UL;
   tf->codes[61212] = 0x000027a34d930332UL;
   tf->codes[61213] = 0x0000348175269237UL;
   tf->codes[61214] = 0x00008dee03771322UL;
   tf->codes[61215] = 0x00011a786049dda0UL;
   tf->codes[61216] = 0x00018bbb288e9854UL;
   tf->codes[61217] = 0x000074aec55e3b48UL;
   tf->codes[61218] = 0x00017732c610a886UL;
   tf->codes[61219] = 0x00015272e60eb17fUL;
   tf->codes[61220] = 0x0001e19847ff33f1UL;
   tf->codes[61221] = 0x0001c3eff43f1dafUL;
   tf->codes[61222] = 0x0000371a3110df42UL;
   tf->codes[61223] = 0x000061fb6da5694bUL;
   tf->codes[61224] = 0x0000ec2b8175dc9cUL;
   tf->codes[61225] = 0x000142dc8f53724dUL;
   tf->codes[61226] = 0x0001addb621e250dUL;
   tf->codes[61227] = 0x0000aa345c3bff38UL;
   tf->codes[61228] = 0x0000f6bf54979a93UL;
   tf->codes[61229] = 0x0000f8aa7214fdc2UL;
   tf->codes[61230] = 0x0000f9c35824aabeUL;
   tf->codes[61231] = 0x00001f64ca79c8cbUL;
   tf->codes[61232] = 0x00004ddb4b5eb2a6UL;
   tf->codes[61233] = 0x00011e9ec8aa4064UL;
   tf->codes[61234] = 0x0001f402b6d080c4UL;
   tf->codes[61235] = 0x000008a1eaa1a3c7UL;
   tf->codes[61236] = 0x0001b0b732451a50UL;
   tf->codes[61237] = 0x000101099d4d0107UL;
   tf->codes[61238] = 0x00019397a89c7e3cUL;
   tf->codes[61239] = 0x0001f6cf0784fb72UL;
   tf->codes[61240] = 0x000094be4fa873a8UL;
   tf->codes[61241] = 0x0001b90067daf3b5UL;
   tf->codes[61242] = 0x000037bd58b89c40UL;
   tf->codes[61243] = 0x00018a2e58f1f84bUL;
   tf->codes[61244] = 0x000131206f61be37UL;
   tf->codes[61245] = 0x000064c5bea35b5dUL;
   tf->codes[61246] = 0x00012afce6b1dbcaUL;
   tf->codes[61247] = 0x000031e9c27c81abUL;
   tf->codes[61248] = 0x000016624d841a6fUL;
   tf->codes[61249] = 0x000027ae1deb5b40UL;
   tf->codes[61250] = 0x000146262c6ad682UL;
   tf->codes[61251] = 0x0001b820ddddafeaUL;
   tf->codes[61252] = 0x00008d46ce9cd4bfUL;
   tf->codes[61253] = 0x0001ce4a5e4e9fdaUL;
   tf->codes[61254] = 0x0001ed1d9bb61d24UL;
   tf->codes[61255] = 0x00002720de2057f5UL;
   tf->codes[61256] = 0x000166a7570e9706UL;
   tf->codes[61257] = 0x0000e36a9caf6725UL;
   tf->codes[61258] = 0x000148ee8b14e15cUL;
   tf->codes[61259] = 0x000137805c55315eUL;
   tf->codes[61260] = 0x0000e47b298c28efUL;
   tf->codes[61261] = 0x0001b2281c09d32dUL;
   tf->codes[61262] = 0x0001e27acd909b73UL;
   tf->codes[61263] = 0x0000f03936a83c9fUL;
   tf->codes[61264] = 0x000108e5166b8326UL;
   tf->codes[61265] = 0x00019c45ce46c218UL;
   tf->codes[61266] = 0x0000b69c9a8c1294UL;
   tf->codes[61267] = 0x000122711325d212UL;
   tf->codes[61268] = 0x0001c034f3ae0fd1UL;
   tf->codes[61269] = 0x00008eb03a1a0e2dUL;
   tf->codes[61270] = 0x00009286afa3da50UL;
   tf->codes[61271] = 0x0001ec83355f8447UL;
   tf->codes[61272] = 0x0000d1f8332e0298UL;
   tf->codes[61273] = 0x00015053777d0b8cUL;
   tf->codes[61274] = 0x00016b4076ce2e9aUL;
   tf->codes[61275] = 0x0001f5f7803dedf1UL;
   tf->codes[61276] = 0x0001a039512739bfUL;
   tf->codes[61277] = 0x00009c21c065fd4eUL;
   tf->codes[61278] = 0x000126433074ff5fUL;
   tf->codes[61279] = 0x0000c327360c28c2UL;
   tf->codes[61280] = 0x0000e58bd444a3c9UL;
   tf->codes[61281] = 0x0001acd5efdc3b30UL;
   tf->codes[61282] = 0x0000861b3fd24ee4UL;
   tf->codes[61283] = 0x00011cb840aa294fUL;
   tf->codes[61284] = 0x00013d72f29ead78UL;
   tf->codes[61285] = 0x0000eab1afc35696UL;
   tf->codes[61286] = 0x00010757eec6f311UL;
   tf->codes[61287] = 0x00015473031ac13aUL;
   tf->codes[61288] = 0x0001694f0f87e2efUL;
   tf->codes[61289] = 0x000003570354f1cfUL;
   tf->codes[61290] = 0x00011e3ed5ce8c2dUL;
   tf->codes[61291] = 0x00016c295450bd8eUL;
   tf->codes[61292] = 0x0001f84bd77f4caeUL;
   tf->codes[61293] = 0x00001400136d10ffUL;
   tf->codes[61294] = 0x000065f368ed118eUL;
   tf->codes[61295] = 0x00007a50f666bcb6UL;
   tf->codes[61296] = 0x0000c204d2614284UL;
   tf->codes[61297] = 0x000146e3a37a975aUL;
   tf->codes[61298] = 0x000189ca3919ffb2UL;
   tf->codes[61299] = 0x0000140fcd6e9159UL;
   tf->codes[61300] = 0x00013c85af1c0f81UL;
   tf->codes[61301] = 0x0001638f515bb08eUL;
   tf->codes[61302] = 0x00003505af8ade12UL;
   tf->codes[61303] = 0x0000f5e31e366a8bUL;
   tf->codes[61304] = 0x00012bde8269fb01UL;
   tf->codes[61305] = 0x000065865b5d2e05UL;
   tf->codes[61306] = 0x00009e1c8a1f70aaUL;
   tf->codes[61307] = 0x0000bdb654767de8UL;
   tf->codes[61308] = 0x0001c8c6bc118841UL;
   tf->codes[61309] = 0x0001e1ecfcb9dd7bUL;
   tf->codes[61310] = 0x000005c46691e0ebUL;
   tf->codes[61311] = 0x00013b08a7465fffUL;
   tf->codes[61312] = 0x0000740fb178bb08UL;
   tf->codes[61313] = 0x00009f910d210bbdUL;
   tf->codes[61314] = 0x000132663c308b45UL;
   tf->codes[61315] = 0x00007c9e18dd7e51UL;
   tf->codes[61316] = 0x00008876cbde4ac3UL;
   tf->codes[61317] = 0x0000ec31ec93c339UL;
   tf->codes[61318] = 0x0000730bf4480b1fUL;
   tf->codes[61319] = 0x000136c60e68c767UL;
   tf->codes[61320] = 0x000197b0ddd4479cUL;
   tf->codes[61321] = 0x0001d9c0e3688c22UL;
   tf->codes[61322] = 0x00008b2350eaa37aUL;
   tf->codes[61323] = 0x00013d5c8906e469UL;
   tf->codes[61324] = 0x0001d94281edffdcUL;
   tf->codes[61325] = 0x0001e77a863ba269UL;
   tf->codes[61326] = 0x0000d5ab7f276de5UL;
   tf->codes[61327] = 0x00010146b3f14a8fUL;
   tf->codes[61328] = 0x0000c2f251fe2164UL;
   tf->codes[61329] = 0x00018539db0e5b08UL;
   tf->codes[61330] = 0x00011aa850c5605fUL;
   tf->codes[61331] = 0x00014649ed33de95UL;
   tf->codes[61332] = 0x00016a8f9854beefUL;
   tf->codes[61333] = 0x0001a0541672e6b5UL;
   tf->codes[61334] = 0x0000bafed5c17c9cUL;
   tf->codes[61335] = 0x00018a78ee8c963aUL;
   tf->codes[61336] = 0x0001f67cfb5b05c8UL;
   tf->codes[61337] = 0x0001fda783fbc56cUL;
   tf->codes[61338] = 0x00018aca89749434UL;
   tf->codes[61339] = 0x0001757a2c21e415UL;
   tf->codes[61340] = 0x00014d38b3db7d6aUL;
   tf->codes[61341] = 0x00016510c247e55bUL;
   tf->codes[61342] = 0x00016dfd3bd5f9aaUL;
   tf->codes[61343] = 0x00019df26d6797f2UL;
   tf->codes[61344] = 0x0001e1aac556aaf3UL;
   tf->codes[61345] = 0x0001b71fb6d69248UL;
   tf->codes[61346] = 0x0001e15aa741b9deUL;
   tf->codes[61347] = 0x00006ea85d31c38aUL;
   tf->codes[61348] = 0x00010c8c09622340UL;
   tf->codes[61349] = 0x000120c70c7f6735UL;
   tf->codes[61350] = 0x000159d58d1f84a0UL;
   tf->codes[61351] = 0x000087078d416f87UL;
   tf->codes[61352] = 0x0000881a80ca8681UL;
   tf->codes[61353] = 0x000051dec70e930fUL;
   tf->codes[61354] = 0x00006c28e897aa35UL;
   tf->codes[61355] = 0x0000bf6434b2ee87UL;
   tf->codes[61356] = 0x00006b31c021379fUL;
   tf->codes[61357] = 0x0000fbe26778abd1UL;
   tf->codes[61358] = 0x00015eb67fe9610dUL;
   tf->codes[61359] = 0x000054657f61260eUL;
   tf->codes[61360] = 0x00013f95a8923225UL;
   tf->codes[61361] = 0x00015ad8e482d450UL;
   tf->codes[61362] = 0x00013cf9aaad555eUL;
   tf->codes[61363] = 0x0001442ef390242dUL;
   tf->codes[61364] = 0x0001e9ff97426ba1UL;
   tf->codes[61365] = 0x0000b3930e84af43UL;
   tf->codes[61366] = 0x0000f73486958150UL;
   tf->codes[61367] = 0x00007a91fe4fd880UL;
   tf->codes[61368] = 0x00017822855a64c5UL;
   tf->codes[61369] = 0x0000c5e436689729UL;
   tf->codes[61370] = 0x000120e53078f09cUL;
   tf->codes[61371] = 0x000161d2ef159b99UL;
   tf->codes[61372] = 0x0000f6233be36f41UL;
   tf->codes[61373] = 0x000042dcb9aa99d6UL;
   tf->codes[61374] = 0x0001548f8f7bfaf4UL;
   tf->codes[61375] = 0x0000c2b8af227d65UL;
   tf->codes[61376] = 0x0000fe26bb9e76b0UL;
   tf->codes[61377] = 0x000018c386d8aca6UL;
   tf->codes[61378] = 0x00003eb68c9eda69UL;
   tf->codes[61379] = 0x00011d9cb9b7e464UL;
   tf->codes[61380] = 0x000128a9d77ea1f4UL;
   tf->codes[61381] = 0x00005a98e05110aeUL;
   tf->codes[61382] = 0x000066e42d3827a9UL;
   tf->codes[61383] = 0x000181b5cf809262UL;
   tf->codes[61384] = 0x00013ceceb178c60UL;
   tf->codes[61385] = 0x000184b8cbbb6ffbUL;
   tf->codes[61386] = 0x0001ac083260f0bdUL;
   tf->codes[61387] = 0x000015bfafb2634aUL;
   tf->codes[61388] = 0x00005358e61a0f3cUL;
   tf->codes[61389] = 0x000170f34d3cb3d1UL;
   tf->codes[61390] = 0x0001e73022d1e910UL;
   tf->codes[61391] = 0x00001a0a3bf586dbUL;
   tf->codes[61392] = 0x0000e519a53039aeUL;
   tf->codes[61393] = 0x00019c73a192d1f4UL;
   tf->codes[61394] = 0x000011d7e6a0bd33UL;
   tf->codes[61395] = 0x000021331c22105dUL;
   tf->codes[61396] = 0x0000bd7a9593d361UL;
   tf->codes[61397] = 0x0001b7664a507780UL;
   tf->codes[61398] = 0x00004fb19009b668UL;
   tf->codes[61399] = 0x0000f47d6ed64c98UL;
   tf->codes[61400] = 0x00013a4a85f0dcd6UL;
   tf->codes[61401] = 0x000078d8ceb3a7f6UL;
   tf->codes[61402] = 0x0000a64ac541e652UL;
   tf->codes[61403] = 0x0001f3a377e0c07fUL;
   tf->codes[61404] = 0x0000e50a522485e8UL;
   tf->codes[61405] = 0x000027f8c4c4ae6dUL;
   tf->codes[61406] = 0x00018887407d0fc1UL;
   tf->codes[61407] = 0x00018ac984d60921UL;
   tf->codes[61408] = 0x00003c09dd19c4d0UL;
   tf->codes[61409] = 0x0001747d97819c45UL;
   tf->codes[61410] = 0x00000883ebd92c5bUL;
   tf->codes[61411] = 0x00000d18691ba53aUL;
   tf->codes[61412] = 0x00011eb66e15f951UL;
   tf->codes[61413] = 0x0000495d31a6ba5dUL;
   tf->codes[61414] = 0x000073c7b6469203UL;
   tf->codes[61415] = 0x0000e5528c87661eUL;
   tf->codes[61416] = 0x0001fa69036d4311UL;
   tf->codes[61417] = 0x0001fb400896726dUL;
   tf->codes[61418] = 0x00006633e090103dUL;
   tf->codes[61419] = 0x0001314b85e792c4UL;
   tf->codes[61420] = 0x0000d6d67b35f686UL;
   tf->codes[61421] = 0x000189e6f30a6c96UL;
   tf->codes[61422] = 0x0001afde8bfd0dbdUL;
   tf->codes[61423] = 0x0001cb7ea6c0d656UL;
   tf->codes[61424] = 0x00003a47cf792370UL;
   tf->codes[61425] = 0x0001392822a8c561UL;
   tf->codes[61426] = 0x00001dcc4863b01dUL;
   tf->codes[61427] = 0x00018c7e6cb0b281UL;
   tf->codes[61428] = 0x0001aae0aa1b0da5UL;
   tf->codes[61429] = 0x00011d1a593315afUL;
   tf->codes[61430] = 0x0001bda1f64b0e5cUL;
   tf->codes[61431] = 0x0001fc0d29916abcUL;
   tf->codes[61432] = 0x00003778b1e82490UL;
   tf->codes[61433] = 0x00010245ffad53feUL;
   tf->codes[61434] = 0x000059d063c14101UL;
   tf->codes[61435] = 0x0001c4af4656c808UL;
   tf->codes[61436] = 0x0000e53e9826fffeUL;
   tf->codes[61437] = 0x0000ff3994624ae2UL;
   tf->codes[61438] = 0x0001d43e5a1f2b22UL;
   tf->codes[61439] = 0x0001eb822e84f86bUL;
   tf->codes[61440] = 0x0001cf2eaf3476c3UL;
   tf->codes[61441] = 0x0000da2ba55296b3UL;
   tf->codes[61442] = 0x00013cf2b3eb0312UL;
   tf->codes[61443] = 0x0000515e860a0ff3UL;
   tf->codes[61444] = 0x00016b8dfa378013UL;
   tf->codes[61445] = 0x0000f4cf54c66803UL;
   tf->codes[61446] = 0x00007ad37c1c9d66UL;
   tf->codes[61447] = 0x0000a9bcd176d78fUL;
   tf->codes[61448] = 0x000161ab7cfe1607UL;
   tf->codes[61449] = 0x0001653b43e5eb61UL;
   tf->codes[61450] = 0x000122aeb14f48bdUL;
   tf->codes[61451] = 0x00003e8d8f293a33UL;
   tf->codes[61452] = 0x00007b0e8f2e4a78UL;
   tf->codes[61453] = 0x0000f22d7348d1c2UL;
   tf->codes[61454] = 0x0001576cc213891dUL;
   tf->codes[61455] = 0x00004de756c55d00UL;
   tf->codes[61456] = 0x00004fee96fa85d6UL;
   tf->codes[61457] = 0x0001c9b4b5d0f2e0UL;
   tf->codes[61458] = 0x0000a96aa4bd8156UL;
   tf->codes[61459] = 0x00010005bcf8ed27UL;
   tf->codes[61460] = 0x0000864ba81f84acUL;
   tf->codes[61461] = 0x00012b1bdf89887bUL;
   tf->codes[61462] = 0x000142b9246125a7UL;
   tf->codes[61463] = 0x0001534be6cf2aebUL;
   tf->codes[61464] = 0x0001ca6120e7b224UL;
   tf->codes[61465] = 0x0000235940d9ba5eUL;
   tf->codes[61466] = 0x000121303bf737a7UL;
   tf->codes[61467] = 0x00015a639089f5f7UL;
   tf->codes[61468] = 0x000028f4577a12a9UL;
   tf->codes[61469] = 0x000096ca1dc264fbUL;
   tf->codes[61470] = 0x00018b2140fc3ca2UL;
   tf->codes[61471] = 0x0001ad773b734669UL;
   tf->codes[61472] = 0x000098c3c1eb1decUL;
   tf->codes[61473] = 0x0000c2243ecbbf9bUL;
   tf->codes[61474] = 0x0000377980fc2a13UL;
   tf->codes[61475] = 0x00007535f16d4e87UL;
   tf->codes[61476] = 0x00018d8db99a45e1UL;
   tf->codes[61477] = 0x000087a1b0aae170UL;
   tf->codes[61478] = 0x0000a8d897fca274UL;
   tf->codes[61479] = 0x00011ffbd4b4975dUL;
   tf->codes[61480] = 0x00012c8902822bf8UL;
   tf->codes[61481] = 0x0001c4a897861ce5UL;
   tf->codes[61482] = 0x0000118b2bdb59fbUL;
   tf->codes[61483] = 0x00019b141f484fc8UL;
   tf->codes[61484] = 0x0001bae19be274f0UL;
   tf->codes[61485] = 0x0001aba5e8ef3039UL;
   tf->codes[61486] = 0x0001c6429e276a2cUL;
   tf->codes[61487] = 0x0000374051b3567aUL;
   tf->codes[61488] = 0x0000d98ba5a5c43bUL;
   tf->codes[61489] = 0x000067f307548835UL;
   tf->codes[61490] = 0x00017102965f0b44UL;
   tf->codes[61491] = 0x0000d9555227515cUL;
   tf->codes[61492] = 0x000130a08c9217b7UL;
   tf->codes[61493] = 0x000023eabd547c25UL;
   tf->codes[61494] = 0x0000244308fb2f2fUL;
   tf->codes[61495] = 0x0000f156b927bfd7UL;
   tf->codes[61496] = 0x000009da320a052cUL;
   tf->codes[61497] = 0x000016bb52e0df32UL;
   tf->codes[61498] = 0x00000978b17f5d9bUL;
   tf->codes[61499] = 0x00002e66f25fda1aUL;
   tf->codes[61500] = 0x00004048130dc4adUL;
   tf->codes[61501] = 0x000134aa3fa3bf03UL;
   tf->codes[61502] = 0x0001aee52bf4b445UL;
   tf->codes[61503] = 0x0000f2cbcec050bbUL;
   tf->codes[61504] = 0x000155760af3e624UL;
   tf->codes[61505] = 0x0001de41bc573c87UL;
   tf->codes[61506] = 0x0000cfc827b41e22UL;
   tf->codes[61507] = 0x000112bec06f1a58UL;
   tf->codes[61508] = 0x00006ed791c5fff1UL;
   tf->codes[61509] = 0x00007ff025083462UL;
   tf->codes[61510] = 0x0000c4535c4d1d3aUL;
   tf->codes[61511] = 0x00017e410becb4d4UL;
   tf->codes[61512] = 0x000075f8274aac00UL;
   tf->codes[61513] = 0x0000a39f6a052aa9UL;
   tf->codes[61514] = 0x0000e3b4898f7de7UL;
   tf->codes[61515] = 0x0001234f82c3c837UL;
   tf->codes[61516] = 0x0001fe8c1e5e7ea2UL;
   tf->codes[61517] = 0x00015fbbddf5c37bUL;
   tf->codes[61518] = 0x000173155636ceaeUL;
   tf->codes[61519] = 0x0001d2069067727aUL;
   tf->codes[61520] = 0x000064f97c17e00cUL;
   tf->codes[61521] = 0x00017c4149ff0b6dUL;
   tf->codes[61522] = 0x0001af9cdb596ac6UL;
   tf->codes[61523] = 0x0001ef4887565a43UL;
   tf->codes[61524] = 0x00001b6f7f7afc1cUL;
   tf->codes[61525] = 0x0000cfbddd55b813UL;
   tf->codes[61526] = 0x0000e56076b269bcUL;
   tf->codes[61527] = 0x000144d3acc2e85fUL;
   tf->codes[61528] = 0x0001625a51d7a0c3UL;
   tf->codes[61529] = 0x0001d82f21c4a29eUL;
   tf->codes[61530] = 0x00018003e7dbbe25UL;
   tf->codes[61531] = 0x0000a31131d5d154UL;
   tf->codes[61532] = 0x0000d68ed86e8c56UL;
   tf->codes[61533] = 0x0001e94e74b368a7UL;
   tf->codes[61534] = 0x0000f40fb700a6beUL;
   tf->codes[61535] = 0x000105fa0c9285d8UL;
   tf->codes[61536] = 0x0000bb9a2f978f65UL;
   tf->codes[61537] = 0x00015c8a5600d4bfUL;
   tf->codes[61538] = 0x00002a9252d97743UL;
   tf->codes[61539] = 0x0000392a69cc9104UL;
   tf->codes[61540] = 0x0000d87571ad58a9UL;
   tf->codes[61541] = 0x0000e51ec232b2ebUL;
   tf->codes[61542] = 0x00003ae02c92a627UL;
   tf->codes[61543] = 0x000122a37fcb41e2UL;
   tf->codes[61544] = 0x00007488f738de83UL;
   tf->codes[61545] = 0x0000d1c9b17cf1dfUL;
   tf->codes[61546] = 0x0001b15eea85474aUL;
   tf->codes[61547] = 0x000149594c7a87cbUL;
   tf->codes[61548] = 0x0001671a8095052fUL;
   tf->codes[61549] = 0x0001d291301f872bUL;
   tf->codes[61550] = 0x0001011879cf1236UL;
   tf->codes[61551] = 0x00010359995ceebdUL;
   tf->codes[61552] = 0x0001021ae6937c09UL;
   tf->codes[61553] = 0x000134380e3e7c32UL;
   tf->codes[61554] = 0x00000ce67404bdc1UL;
   tf->codes[61555] = 0x00013147a8324e76UL;
   tf->codes[61556] = 0x000184d680c3da68UL;
   tf->codes[61557] = 0x0001e2bf96388424UL;
   tf->codes[61558] = 0x00014428fa9976e9UL;
   tf->codes[61559] = 0x0000a9c8e729ad05UL;
   tf->codes[61560] = 0x0000f2213ad5671eUL;
   tf->codes[61561] = 0x00010dca7bf2167fUL;
   tf->codes[61562] = 0x0001a04541c8a151UL;
   tf->codes[61563] = 0x0001d9e5784a19edUL;
   tf->codes[61564] = 0x0001ff331c22fc51UL;
   tf->codes[61565] = 0x0000943f5a2b5a84UL;
   tf->codes[61566] = 0x0001612759a29d31UL;
   tf->codes[61567] = 0x00016c6437a202d7UL;
   tf->codes[61568] = 0x00017fcf1258c486UL;
   tf->codes[61569] = 0x00013d12b0fe6c0dUL;
   tf->codes[61570] = 0x00008f64953cb770UL;
   tf->codes[61571] = 0x000109cfe2e85858UL;
   tf->codes[61572] = 0x000159f170636864UL;
   tf->codes[61573] = 0x00018d7d0b108357UL;
   tf->codes[61574] = 0x00001cec065b39d4UL;
   tf->codes[61575] = 0x00002c3bcbed6c84UL;
   tf->codes[61576] = 0x00015f7adb73f6afUL;
   tf->codes[61577] = 0x00016cbf083392eaUL;
   tf->codes[61578] = 0x00001855978a774fUL;
   tf->codes[61579] = 0x0000f87c867427ebUL;
   tf->codes[61580] = 0x00016921041d4a1bUL;
   tf->codes[61581] = 0x0001cb9411216350UL;
   tf->codes[61582] = 0x00009682c477dd18UL;
   tf->codes[61583] = 0x000119efb42dc099UL;
   tf->codes[61584] = 0x0000718a9f065ac3UL;
   tf->codes[61585] = 0x0000f2e46979e96aUL;
   tf->codes[61586] = 0x000104754e99f8a1UL;
   tf->codes[61587] = 0x00016c21248dc6faUL;
   tf->codes[61588] = 0x00018ee76f54e198UL;
   tf->codes[61589] = 0x00015b1cde798647UL;
   tf->codes[61590] = 0x000185b34e5db1adUL;
   tf->codes[61591] = 0x0001fc09d1107adbUL;
   tf->codes[61592] = 0x000024174df9b618UL;
   tf->codes[61593] = 0x00018aeda2ab8175UL;
   tf->codes[61594] = 0x00018b5bd56950a0UL;
   tf->codes[61595] = 0x0001e616d084c499UL;
   tf->codes[61596] = 0x00005da99f54ab4bUL;
   tf->codes[61597] = 0x000082f150a6f7adUL;
   tf->codes[61598] = 0x000138f2cfa99f09UL;
   tf->codes[61599] = 0x0001b43c56e63da6UL;
   tf->codes[61600] = 0x0000ec4f4efb8c98UL;
   tf->codes[61601] = 0x0001e3ee39ac2df1UL;
   tf->codes[61602] = 0x000065b4ab7f711fUL;
   tf->codes[61603] = 0x00007db202fc857fUL;
   tf->codes[61604] = 0x0001dce71718ded5UL;
   tf->codes[61605] = 0x000033fd3fe66aa8UL;
   tf->codes[61606] = 0x0000f79ed1b4afdaUL;
   tf->codes[61607] = 0x000193f145f787ceUL;
   tf->codes[61608] = 0x000062ed37d71aebUL;
   tf->codes[61609] = 0x0000f6f859ea242aUL;
   tf->codes[61610] = 0x0001c2616e25aca5UL;
   tf->codes[61611] = 0x0001f848b12f4163UL;
   tf->codes[61612] = 0x00010fd9b1dda304UL;
   tf->codes[61613] = 0x0001a89affde8300UL;
   tf->codes[61614] = 0x0000368bce259e59UL;
   tf->codes[61615] = 0x000046a519eaabfeUL;
   tf->codes[61616] = 0x00009b7ce1dea086UL;
   tf->codes[61617] = 0x0001ad277b9331f0UL;
   tf->codes[61618] = 0x000026e0efad65a4UL;
   tf->codes[61619] = 0x000165f3a9ea3d53UL;
   tf->codes[61620] = 0x0001959fa8b4a55bUL;
   tf->codes[61621] = 0x0001a54570575163UL;
   tf->codes[61622] = 0x0001f6dac2390eabUL;
   tf->codes[61623] = 0x0000c4a91a480343UL;
   tf->codes[61624] = 0x00008b3bd7d18383UL;
   tf->codes[61625] = 0x00015dc613c5df15UL;
   tf->codes[61626] = 0x00001d6bbaf5b3afUL;
   tf->codes[61627] = 0x00002a901c0d2df3UL;
   tf->codes[61628] = 0x0001680b9d4ada1fUL;
   tf->codes[61629] = 0x0001766c590a7fa6UL;
   tf->codes[61630] = 0x00005244f5aa94e3UL;
   tf->codes[61631] = 0x00005e369790d636UL;
   tf->codes[61632] = 0x00006220b9269287UL;
   tf->codes[61633] = 0x0001542f045ed73cUL;
   tf->codes[61634] = 0x0001923c3406f055UL;
   tf->codes[61635] = 0x000048f0ce7c3d3cUL;
   tf->codes[61636] = 0x0000846e2e66b916UL;
   tf->codes[61637] = 0x0001af7245e8ac1aUL;
   tf->codes[61638] = 0x0000045e2f069c5aUL;
   tf->codes[61639] = 0x00002b9b0e6b49c7UL;
   tf->codes[61640] = 0x0000dd01d48acebeUL;
   tf->codes[61641] = 0x000021931c1d3b46UL;
   tf->codes[61642] = 0x000022e14e59288fUL;
   tf->codes[61643] = 0x0000c3f1f017a12fUL;
   tf->codes[61644] = 0x000177d6ae61015fUL;
   tf->codes[61645] = 0x00012d5865180b93UL;
   tf->codes[61646] = 0x0001f138b2858b5eUL;
   tf->codes[61647] = 0x0000faa4ab452951UL;
   tf->codes[61648] = 0x00014117996b1078UL;
   tf->codes[61649] = 0x00001ac5813d7e98UL;
   tf->codes[61650] = 0x0000bf2ef5435623UL;
   tf->codes[61651] = 0x00018912f12d88a5UL;
   tf->codes[61652] = 0x000054e27fb329e0UL;
   tf->codes[61653] = 0x00005706ccdc2f71UL;
   tf->codes[61654] = 0x00005794d9cd2e52UL;
   tf->codes[61655] = 0x000083f11e1e1078UL;
   tf->codes[61656] = 0x000100e9d4782aa6UL;
   tf->codes[61657] = 0x00006ff47efae5d9UL;
   tf->codes[61658] = 0x0001159344e2438bUL;
   tf->codes[61659] = 0x00015e69a26368a7UL;
   tf->codes[61660] = 0x0001f5dc750e47d6UL;
   tf->codes[61661] = 0x0000e614651528a4UL;
   tf->codes[61662] = 0x000103d942200258UL;
   tf->codes[61663] = 0x00018abc5a2b3503UL;
   tf->codes[61664] = 0x0000dfac77598920UL;
   tf->codes[61665] = 0x000082d81b5b16c7UL;
   tf->codes[61666] = 0x00010fc4d469922bUL;
   tf->codes[61667] = 0x00004f5314569566UL;
   tf->codes[61668] = 0x000034f1c9d529c8UL;
   tf->codes[61669] = 0x00019e60f7875daeUL;
   tf->codes[61670] = 0x0001e7eda44d791bUL;
   tf->codes[61671] = 0x000112c7a5034687UL;
   tf->codes[61672] = 0x000114226bf97123UL;
   tf->codes[61673] = 0x00012e73df6340e9UL;
   tf->codes[61674] = 0x0001ceb99b94bbf6UL;
   tf->codes[61675] = 0x00003b67d80bf00cUL;
   tf->codes[61676] = 0x0000672fa7c731c5UL;
   tf->codes[61677] = 0x00009ad6f00e06d5UL;
   tf->codes[61678] = 0x000008c8b481150cUL;
   tf->codes[61679] = 0x00008cb3737d5dcbUL;
   tf->codes[61680] = 0x000155ea727f78caUL;
   tf->codes[61681] = 0x0001be17cf351670UL;
   tf->codes[61682] = 0x00015db5f5e5086fUL;
   tf->codes[61683] = 0x0001ff976fb714a4UL;
   tf->codes[61684] = 0x00005e1d35de2e81UL;
   tf->codes[61685] = 0x000086cc31355308UL;
   tf->codes[61686] = 0x000188eebfe82674UL;
   tf->codes[61687] = 0x000028b6acd33c43UL;
   tf->codes[61688] = 0x0001cd58c564aea3UL;
   tf->codes[61689] = 0x00011e2c166f2fe0UL;
   tf->codes[61690] = 0x00000409d81e00a3UL;
   tf->codes[61691] = 0x00015301b6bec283UL;
   tf->codes[61692] = 0x0001611dd2e3a52eUL;
   tf->codes[61693] = 0x0001c112f648f0e9UL;
   tf->codes[61694] = 0x0001e96a1b176df0UL;
   tf->codes[61695] = 0x000046e9f78db9b0UL;
   tf->codes[61696] = 0x00009a19e244eb47UL;
   tf->codes[61697] = 0x0001dbc758856766UL;
   tf->codes[61698] = 0x0000527f4d37ca66UL;
   tf->codes[61699] = 0x000038fd7e8b639dUL;
   tf->codes[61700] = 0x0000ba861efb8346UL;
   tf->codes[61701] = 0x00014c079e668b0dUL;
   tf->codes[61702] = 0x0000366d0e0e9197UL;
   tf->codes[61703] = 0x0000a67c6775020bUL;
   tf->codes[61704] = 0x0001ca3874444d26UL;
   tf->codes[61705] = 0x000136e5dc81662bUL;
   tf->codes[61706] = 0x00011a499f87b9cdUL;
   tf->codes[61707] = 0x0000b0cb08c7d61eUL;
   tf->codes[61708] = 0x00011fd61266a0d8UL;
   tf->codes[61709] = 0x0001b92aeac10a2dUL;
   tf->codes[61710] = 0x0001442c9c541e65UL;
   tf->codes[61711] = 0x0001929da9e29e01UL;
   tf->codes[61712] = 0x0000181fcde20a49UL;
   tf->codes[61713] = 0x00006159374bf19aUL;
   tf->codes[61714] = 0x0000e425cd5f08aaUL;
   tf->codes[61715] = 0x0000e1f5520ec391UL;
   tf->codes[61716] = 0x00005fbbc2ac1c91UL;
   tf->codes[61717] = 0x00015bdb180048d0UL;
   tf->codes[61718] = 0x0001dc7189569849UL;
   tf->codes[61719] = 0x0001552172468fd4UL;
   tf->codes[61720] = 0x00004bc2e9f23889UL;
   tf->codes[61721] = 0x00019d02ff7289cbUL;
   tf->codes[61722] = 0x0001fbbb8da0a47eUL;
   tf->codes[61723] = 0x0000585a8ee7c8cbUL;
   tf->codes[61724] = 0x000160a022a1655bUL;
   tf->codes[61725] = 0x000196f531d5cb79UL;
   tf->codes[61726] = 0x0001549f103685fbUL;
   tf->codes[61727] = 0x00016287b4a75681UL;
   tf->codes[61728] = 0x0001550d7d835aebUL;
   tf->codes[61729] = 0x00019b60da9025e0UL;
   tf->codes[61730] = 0x0001ecd71076d280UL;
   tf->codes[61731] = 0x00002bb552c184f3UL;
   tf->codes[61732] = 0x00011745c9270e03UL;
   tf->codes[61733] = 0x00012c01cf5d07fcUL;
   tf->codes[61734] = 0x0001f34bb065999eUL;
   tf->codes[61735] = 0x0000cdde9175970bUL;
   tf->codes[61736] = 0x0000662051b9dfa4UL;
   tf->codes[61737] = 0x00007cb26a072a00UL;
   tf->codes[61738] = 0x000115592f396cb8UL;
   tf->codes[61739] = 0x0000790169920252UL;
   tf->codes[61740] = 0x00010da08b1ca074UL;
   tf->codes[61741] = 0x0001db716750d483UL;
   tf->codes[61742] = 0x00005b677f04578bUL;
   tf->codes[61743] = 0x000083ed4dcb6d8eUL;
   tf->codes[61744] = 0x00012c64668a8d70UL;
   tf->codes[61745] = 0x00003deb51179aceUL;
   tf->codes[61746] = 0x0000d17d719fb7f8UL;
   tf->codes[61747] = 0x0001185664f1ac55UL;
   tf->codes[61748] = 0x00000c7516b800a8UL;
   tf->codes[61749] = 0x0000f3a4b3931b04UL;
   tf->codes[61750] = 0x000125a03b1dcb0eUL;
   tf->codes[61751] = 0x000090ed5efc2effUL;
   tf->codes[61752] = 0x00015747c11427eeUL;
   tf->codes[61753] = 0x0001dcb72343bb1cUL;
   tf->codes[61754] = 0x00009bb42628e5d2UL;
   tf->codes[61755] = 0x00003ceb11361df8UL;
   tf->codes[61756] = 0x00006ac6f06fcb9fUL;
   tf->codes[61757] = 0x0001727ca2c03b26UL;
   tf->codes[61758] = 0x00005d190708b81fUL;
   tf->codes[61759] = 0x000064fa8e9b7f63UL;
   tf->codes[61760] = 0x00008bcc25fa9ae7UL;
   tf->codes[61761] = 0x000158e010b63154UL;
   tf->codes[61762] = 0x000016e0995d8839UL;
   tf->codes[61763] = 0x000066f1480bfb12UL;
   tf->codes[61764] = 0x000187029006c805UL;
   tf->codes[61765] = 0x00019d95cd1f2f3aUL;
   tf->codes[61766] = 0x0000cf60ec3b1423UL;
   tf->codes[61767] = 0x000101b44a4e6badUL;
   tf->codes[61768] = 0x00011338602537ccUL;
   tf->codes[61769] = 0x00008c919d0cea8aUL;
   tf->codes[61770] = 0x00009b3f348422a1UL;
   tf->codes[61771] = 0x00010610f73f64c8UL;
   tf->codes[61772] = 0x00001efa754db753UL;
   tf->codes[61773] = 0x00008f345a9e58e9UL;
   tf->codes[61774] = 0x0000f99d94084e63UL;
   tf->codes[61775] = 0x0001629970b0382dUL;
   tf->codes[61776] = 0x00018a7d115c5397UL;
   tf->codes[61777] = 0x000061ad3b93ec43UL;
   tf->codes[61778] = 0x00006ddf99958e5dUL;
   tf->codes[61779] = 0x0001b596bf6460f4UL;
   tf->codes[61780] = 0x00005c0f83b83903UL;
   tf->codes[61781] = 0x00011bd388aaff37UL;
   tf->codes[61782] = 0x000144e79ef219e0UL;
   tf->codes[61783] = 0x0000805168d2a18fUL;
   tf->codes[61784] = 0x00012debc9fd583fUL;
   tf->codes[61785] = 0x0001381f9904acc1UL;
   tf->codes[61786] = 0x0000a04e30876343UL;
   tf->codes[61787] = 0x00003df72924f437UL;
   tf->codes[61788] = 0x00009bbaf588f184UL;
   tf->codes[61789] = 0x0000bcd8df6a2fe8UL;
   tf->codes[61790] = 0x000062cf574d2b58UL;
   tf->codes[61791] = 0x00008f6a8341401dUL;
   tf->codes[61792] = 0x0000af46a39cd685UL;
   tf->codes[61793] = 0x00012a6f3a663652UL;
   tf->codes[61794] = 0x0001e1b3f0d3b607UL;
   tf->codes[61795] = 0x0000da0f926def3dUL;
   tf->codes[61796] = 0x0000faede4fee9b3UL;
   tf->codes[61797] = 0x00014d786dc8cfebUL;
   tf->codes[61798] = 0x0001a77b7fb62530UL;
   tf->codes[61799] = 0x0000b0967eafc8b9UL;
   tf->codes[61800] = 0x000001817c5bb7b7UL;
   tf->codes[61801] = 0x0000bfbd7e44eab0UL;
   tf->codes[61802] = 0x0000e27dd6856f4cUL;
   tf->codes[61803] = 0x000088e16ae62acdUL;
   tf->codes[61804] = 0x0000a45e4ba07ae4UL;
   tf->codes[61805] = 0x0000b8534fc8d95fUL;
   tf->codes[61806] = 0x0001e8a625dcab67UL;
   tf->codes[61807] = 0x000114463e63fd3dUL;
   tf->codes[61808] = 0x00011611471f2af1UL;
   tf->codes[61809] = 0x00015aafda8fd45fUL;
   tf->codes[61810] = 0x000015c1e02e396fUL;
   tf->codes[61811] = 0x0001241bd52d2de3UL;
   tf->codes[61812] = 0x000012106a9b0637UL;
   tf->codes[61813] = 0x000023430302bea3UL;
   tf->codes[61814] = 0x000048093c1e4977UL;
   tf->codes[61815] = 0x0000ede58a4eb72aUL;
   tf->codes[61816] = 0x00017683b684916aUL;
   tf->codes[61817] = 0x00018552b38d13dbUL;
   tf->codes[61818] = 0x0000d64ae71543bcUL;
   tf->codes[61819] = 0x0001295b7b425ee6UL;
   tf->codes[61820] = 0x00012cf79c556bceUL;
   tf->codes[61821] = 0x0000e3dd7aea8d2bUL;
   tf->codes[61822] = 0x0001d52991d0af8bUL;
   tf->codes[61823] = 0x00002468f34d8345UL;
   tf->codes[61824] = 0x000055f0bc26cbedUL;
   tf->codes[61825] = 0x00008a00532fe7e5UL;
   tf->codes[61826] = 0x00000ee183e17270UL;
   tf->codes[61827] = 0x0000f0e6115231d4UL;
   tf->codes[61828] = 0x00016b9029281b14UL;
   tf->codes[61829] = 0x0001e4a1f1bec9b7UL;
   tf->codes[61830] = 0x00004afc2715543cUL;
   tf->codes[61831] = 0x00013baec11b5741UL;
   tf->codes[61832] = 0x00014b919be907c0UL;
   tf->codes[61833] = 0x0001792fb84a9fa1UL;
   tf->codes[61834] = 0x0001f3fb7040d900UL;
   tf->codes[61835] = 0x0001eb59ef671b5aUL;
   tf->codes[61836] = 0x00007b67f3858969UL;
   tf->codes[61837] = 0x0001fd301543f0fdUL;
   tf->codes[61838] = 0x00000a53170148a3UL;
   tf->codes[61839] = 0x0000dc3706cc41c2UL;
   tf->codes[61840] = 0x000018c01e6117f9UL;
   tf->codes[61841] = 0x000056b2c53a93ceUL;
   tf->codes[61842] = 0x0000c3a8d51edb86UL;
   tf->codes[61843] = 0x0000b6090bd01ffdUL;
   tf->codes[61844] = 0x00016f1d6cb04e89UL;
   tf->codes[61845] = 0x0001cf5e0c730a36UL;
   tf->codes[61846] = 0x000177bde637d99dUL;
   tf->codes[61847] = 0x0001e2b024484f0aUL;
   tf->codes[61848] = 0x00013f16bb92de47UL;
   tf->codes[61849] = 0x00015c449fe2d817UL;
   tf->codes[61850] = 0x000162ab5a484d03UL;
   tf->codes[61851] = 0x00006c849b89a30dUL;
   tf->codes[61852] = 0x0001b60120a720daUL;
   tf->codes[61853] = 0x00001b907efbbb8bUL;
   tf->codes[61854] = 0x0000b8a3188981e7UL;
   tf->codes[61855] = 0x0001f2ca5aac428cUL;
   tf->codes[61856] = 0x00006db5a3bb981dUL;
   tf->codes[61857] = 0x000116b21830dba2UL;
   tf->codes[61858] = 0x00016c966c094598UL;
   tf->codes[61859] = 0x0001050a0a1877f3UL;
   tf->codes[61860] = 0x0000a245711a3d4cUL;
   tf->codes[61861] = 0x00010834e2144f31UL;
   tf->codes[61862] = 0x00013086fe984d4aUL;
   tf->codes[61863] = 0x0001669f6fbfba7bUL;
   tf->codes[61864] = 0x0001fa8e348bf84eUL;
   tf->codes[61865] = 0x0000f30f1f36ddf3UL;
   tf->codes[61866] = 0x0000efbd38a008a6UL;
   tf->codes[61867] = 0x000021525be29bf3UL;
   tf->codes[61868] = 0x0000cb79c88a543fUL;
   tf->codes[61869] = 0x000107edbeb71ba7UL;
   tf->codes[61870] = 0x0001bd1b6c62e46dUL;
   tf->codes[61871] = 0x0001e8c669b94f30UL;
   tf->codes[61872] = 0x00008de21d80c2f1UL;
   tf->codes[61873] = 0x0000eb7655b0102eUL;
   tf->codes[61874] = 0x000169b2437502b5UL;
   tf->codes[61875] = 0x00014930ed3018f4UL;
   tf->codes[61876] = 0x0001c9482fe5e091UL;
   tf->codes[61877] = 0x00014ad663c086b5UL;
   tf->codes[61878] = 0x0000baac2e5f4540UL;
   tf->codes[61879] = 0x0000c62d0ad76a32UL;
   tf->codes[61880] = 0x00004d781288d43eUL;
   tf->codes[61881] = 0x000074a9bc8d66f6UL;
   tf->codes[61882] = 0x000136daa04e656bUL;
   tf->codes[61883] = 0x00014bbd897e3436UL;
   tf->codes[61884] = 0x00008391d47f564eUL;
   tf->codes[61885] = 0x0000e9afd25be5b1UL;
   tf->codes[61886] = 0x000138574256b4b4UL;
   tf->codes[61887] = 0x00019984dce4c99dUL;
   tf->codes[61888] = 0x00000c85ed267cacUL;
   tf->codes[61889] = 0x00001ece46569f0dUL;
   tf->codes[61890] = 0x0000e1a53bb1fa30UL;
   tf->codes[61891] = 0x0001618f33c94b6fUL;
   tf->codes[61892] = 0x00002f580e6fb58fUL;
   tf->codes[61893] = 0x00007a0408ea1f84UL;
   tf->codes[61894] = 0x0000608b60969f83UL;
   tf->codes[61895] = 0x00015ca7f7368686UL;
   tf->codes[61896] = 0x000062e7d61914e4UL;
   tf->codes[61897] = 0x0000a731a95a7d51UL;
   tf->codes[61898] = 0x000164586e245f9eUL;
   tf->codes[61899] = 0x000013e74db4660aUL;
   tf->codes[61900] = 0x000029762c7a19c6UL;
   tf->codes[61901] = 0x0001a60f20bfbe88UL;
   tf->codes[61902] = 0x000189ee69763db6UL;
   tf->codes[61903] = 0x0000135aaf0b664fUL;
   tf->codes[61904] = 0x00001c0840f647ffUL;
   tf->codes[61905] = 0x000126d47e149b06UL;
   tf->codes[61906] = 0x00016f2161d134a5UL;
   tf->codes[61907] = 0x0001a714783c659dUL;
   tf->codes[61908] = 0x0001e001934b38aeUL;
   tf->codes[61909] = 0x00007f69e2aee2d3UL;
   tf->codes[61910] = 0x00003f0a4e7c20feUL;
   tf->codes[61911] = 0x00009970e1704402UL;
   tf->codes[61912] = 0x0001d340127b5762UL;
   tf->codes[61913] = 0x00003a8be454bc46UL;
   tf->codes[61914] = 0x000061871d61f1d8UL;
   tf->codes[61915] = 0x0000916c1148f67dUL;
   tf->codes[61916] = 0x0000c289073ab8c6UL;
   tf->codes[61917] = 0x0000ca6461b7e443UL;
   tf->codes[61918] = 0x00011353e8ad8405UL;
   tf->codes[61919] = 0x0000bda06b4dd13fUL;
   tf->codes[61920] = 0x00013137c49d52e3UL;
   tf->codes[61921] = 0x0001b9c7b3a4b9aeUL;
   tf->codes[61922] = 0x000081549a5ee5c9UL;
   tf->codes[61923] = 0x000111fba63f67a9UL;
   tf->codes[61924] = 0x0001201872115ba3UL;
   tf->codes[61925] = 0x0001e940a14e0d5cUL;
   tf->codes[61926] = 0x0001ea3c3fdad7d8UL;
   tf->codes[61927] = 0x00004305b5d44716UL;
   tf->codes[61928] = 0x000105972158c849UL;
   tf->codes[61929] = 0x0001ffcc7dfaae32UL;
   tf->codes[61930] = 0x00004a35ad528373UL;
   tf->codes[61931] = 0x000057dcab6bdc1eUL;
   tf->codes[61932] = 0x00009160f9c494d8UL;
   tf->codes[61933] = 0x0000779c9a849f20UL;
   tf->codes[61934] = 0x0000a82d497282f1UL;
   tf->codes[61935] = 0x0001a783a4e9c5f6UL;
   tf->codes[61936] = 0x00012c571c15f655UL;
   tf->codes[61937] = 0x0001432906428a64UL;
   tf->codes[61938] = 0x00018d5255300833UL;
   tf->codes[61939] = 0x000103f2d05914f3UL;
   tf->codes[61940] = 0x0001939b7ef8871bUL;
   tf->codes[61941] = 0x0000b6946d3998cdUL;
   tf->codes[61942] = 0x00010c63408de46dUL;
   tf->codes[61943] = 0x00000b159971feb1UL;
   tf->codes[61944] = 0x00006631cbfe06b7UL;
   tf->codes[61945] = 0x00008f58dea4003fUL;
   tf->codes[61946] = 0x0001434981fa8c73UL;
   tf->codes[61947] = 0x0001dba53fed6ac3UL;
   tf->codes[61948] = 0x00018819c732279dUL;
   tf->codes[61949] = 0x0000a950c485e4a4UL;
   tf->codes[61950] = 0x00000d01b019557cUL;
   tf->codes[61951] = 0x0000286f77f428c9UL;
   tf->codes[61952] = 0x0001912a73f3a80aUL;
   tf->codes[61953] = 0x000076396c961925UL;
   tf->codes[61954] = 0x0001fd990a8f8a73UL;
   tf->codes[61955] = 0x0000106e11568917UL;
   tf->codes[61956] = 0x0000ebca037b55efUL;
   tf->codes[61957] = 0x00018d5f8bd1e6a8UL;
   tf->codes[61958] = 0x00006f0356f01d89UL;
   tf->codes[61959] = 0x0000b86d043bc639UL;
   tf->codes[61960] = 0x0001335fd9bada2fUL;
   tf->codes[61961] = 0x000000ea074d1775UL;
   tf->codes[61962] = 0x0000013a8bf50655UL;
   tf->codes[61963] = 0x00001ef07c245b45UL;
   tf->codes[61964] = 0x000148dfcba50927UL;
   tf->codes[61965] = 0x00002ed01494ad3fUL;
   tf->codes[61966] = 0x000093aa486f6e78UL;
   tf->codes[61967] = 0x00015270e8e849c7UL;
   tf->codes[61968] = 0x00000d12d8c5a3c5UL;
   tf->codes[61969] = 0x000052428f80b293UL;
   tf->codes[61970] = 0x0000589528bc2bc7UL;
   tf->codes[61971] = 0x000096d01820c6c8UL;
   tf->codes[61972] = 0x0001a8e8f31e351cUL;
   tf->codes[61973] = 0x00002d0a982fe68bUL;
   tf->codes[61974] = 0x0001afc11413c9f9UL;
   tf->codes[61975] = 0x0000683f2be629f0UL;
   tf->codes[61976] = 0x0000d6aea99da162UL;
   tf->codes[61977] = 0x0000a048d9158858UL;
   tf->codes[61978] = 0x0000189b421055e5UL;
   tf->codes[61979] = 0x0000ec946624d7cbUL;
   tf->codes[61980] = 0x00017753abb166d6UL;
   tf->codes[61981] = 0x0000049a84dec36cUL;
   tf->codes[61982] = 0x0000e0352417bd1eUL;
   tf->codes[61983] = 0x0001b806ccbd3f14UL;
   tf->codes[61984] = 0x0000620a8a3d7354UL;
   tf->codes[61985] = 0x000101a0d3eca526UL;
   tf->codes[61986] = 0x0001de86ac1e4120UL;
   tf->codes[61987] = 0x000178b5d376269aUL;
   tf->codes[61988] = 0x0001edc1ccdd5ecfUL;
   tf->codes[61989] = 0x0000ff528d706444UL;
   tf->codes[61990] = 0x0000661c4d67f24eUL;
   tf->codes[61991] = 0x0000a29377670a7cUL;
   tf->codes[61992] = 0x000176b42e227283UL;
   tf->codes[61993] = 0x0000b710876ec417UL;
   tf->codes[61994] = 0x0001b36095c2bd3fUL;
   tf->codes[61995] = 0x0001de1e984dcec6UL;
   tf->codes[61996] = 0x00004a308aa59086UL;
   tf->codes[61997] = 0x00006ebb850e450bUL;
   tf->codes[61998] = 0x0001cc0f17242d84UL;
   tf->codes[61999] = 0x00017c6583e1d6fbUL;
   tf->codes[62000] = 0x000044fd22084a5cUL;
   tf->codes[62001] = 0x00005b00b8468a4dUL;
   tf->codes[62002] = 0x000167d978738addUL;
   tf->codes[62003] = 0x00014e3ce669810bUL;
   tf->codes[62004] = 0x0001a309b38c60a3UL;
   tf->codes[62005] = 0x0001f7f13581d585UL;
   tf->codes[62006] = 0x000021eba460a219UL;
   tf->codes[62007] = 0x0001eef5cf183c72UL;
   tf->codes[62008] = 0x000015dd218a7c11UL;
   tf->codes[62009] = 0x00004f68fc52f330UL;
   tf->codes[62010] = 0x000066f04b88667cUL;
   tf->codes[62011] = 0x0000d8ed81207f5bUL;
   tf->codes[62012] = 0x00017a9fa14ce145UL;
   tf->codes[62013] = 0x0001b459b0efe5d6UL;
   tf->codes[62014] = 0x00006fe9faf2bbaeUL;
   tf->codes[62015] = 0x000101c7e412de59UL;
   tf->codes[62016] = 0x00016c8585a424c8UL;
   tf->codes[62017] = 0x000058ca684b6842UL;
   tf->codes[62018] = 0x00017e5535514b20UL;
   tf->codes[62019] = 0x0001b3332048bb36UL;
   tf->codes[62020] = 0x00002c4b8b13112aUL;
   tf->codes[62021] = 0x0001817671d6300cUL;
   tf->codes[62022] = 0x000018ab81a8f975UL;
   tf->codes[62023] = 0x0000939864a17769UL;
   tf->codes[62024] = 0x0000eb6b7ee7a0deUL;
   tf->codes[62025] = 0x0000f6c40a80c0a1UL;
   tf->codes[62026] = 0x00017b1d0ac5e64aUL;
   tf->codes[62027] = 0x00019c40460bb720UL;
   tf->codes[62028] = 0x000189c884aadcb5UL;
   tf->codes[62029] = 0x0000db5f8677be63UL;
   tf->codes[62030] = 0x000147b8ab1a9035UL;
   tf->codes[62031] = 0x000036a39c3bae52UL;
   tf->codes[62032] = 0x0000a1d3c928318bUL;
   tf->codes[62033] = 0x0000df03517373f7UL;
   tf->codes[62034] = 0x0001f466de9fe93fUL;
   tf->codes[62035] = 0x000021e1c0f8089eUL;
   tf->codes[62036] = 0x000153b2d29a8389UL;
   tf->codes[62037] = 0x0001d6ce536c6116UL;
   tf->codes[62038] = 0x0001e505a80cf254UL;
   tf->codes[62039] = 0x0000fd1e8896b70fUL;
   tf->codes[62040] = 0x0001bc55044197abUL;
   tf->codes[62041] = 0x0001b1990c44cc8bUL;
   tf->codes[62042] = 0x00002803eab09736UL;
   tf->codes[62043] = 0x0001634aa68b9e69UL;
   tf->codes[62044] = 0x00015e487a973e71UL;
   tf->codes[62045] = 0x0001275b79e0d39cUL;
   tf->codes[62046] = 0x00014982554138ddUL;
   tf->codes[62047] = 0x0001c2bc602bdef0UL;
   tf->codes[62048] = 0x0000309a2801fb31UL;
   tf->codes[62049] = 0x00005e872f22598fUL;
   tf->codes[62050] = 0x000090205a7158b3UL;
   tf->codes[62051] = 0x00007f1e5df351b2UL;
   tf->codes[62052] = 0x0000050244835994UL;
   tf->codes[62053] = 0x0000826901974ae7UL;
   tf->codes[62054] = 0x0001d2222a4e1808UL;
   tf->codes[62055] = 0x0000d2cc6ff8d893UL;
   tf->codes[62056] = 0x0000fb34f73d0c16UL;
   tf->codes[62057] = 0x0001aa931dcd4599UL;
   tf->codes[62058] = 0x00000395053a382bUL;
   tf->codes[62059] = 0x000007c3514cabceUL;
   tf->codes[62060] = 0x0000943c8638c595UL;
   tf->codes[62061] = 0x00014b287be186b6UL;
   tf->codes[62062] = 0x000168519276075dUL;
   tf->codes[62063] = 0x00018013ab40456eUL;
   tf->codes[62064] = 0x0001ca7c2aeb0960UL;
   tf->codes[62065] = 0x0000dedc528bf002UL;
   tf->codes[62066] = 0x0000e4ba7d68f085UL;
   tf->codes[62067] = 0x00010d33f204cefaUL;
   tf->codes[62068] = 0x00012ab3f4e5e00dUL;
   tf->codes[62069] = 0x00013a21b1a8068cUL;
   tf->codes[62070] = 0x00018b3eb1abe90eUL;
   tf->codes[62071] = 0x0001edf966191ddfUL;
   tf->codes[62072] = 0x00006301f11eff89UL;
   tf->codes[62073] = 0x000067b0909d17e1UL;
   tf->codes[62074] = 0x0000929a7e6c7d28UL;
   tf->codes[62075] = 0x0001e15f5a77386dUL;
   tf->codes[62076] = 0x0001389898c13300UL;
   tf->codes[62077] = 0x000036ab823e97e7UL;
   tf->codes[62078] = 0x0001cccf226f76b6UL;
   tf->codes[62079] = 0x0000d371d2abc184UL;
   tf->codes[62080] = 0x00011ea52958754aUL;
   tf->codes[62081] = 0x0001ae80da8dee0dUL;
   tf->codes[62082] = 0x0001ca2e74480b0dUL;
   tf->codes[62083] = 0x0000687566f032bdUL;
   tf->codes[62084] = 0x00006f5a65ba1871UL;
   tf->codes[62085] = 0x000139cb845932c0UL;
   tf->codes[62086] = 0x0001bccf0081b280UL;
   tf->codes[62087] = 0x00005fb53f396ff9UL;
   tf->codes[62088] = 0x000141f8b44d61fcUL;
   tf->codes[62089] = 0x0000b3b6ddb53e7aUL;
   tf->codes[62090] = 0x0000dcc9cf313c4aUL;
   tf->codes[62091] = 0x000102c7cfc87efdUL;
   tf->codes[62092] = 0x0001b0bd00bf282eUL;
   tf->codes[62093] = 0x0001bba8f383a129UL;
   tf->codes[62094] = 0x00003842f69266c1UL;
   tf->codes[62095] = 0x00004dcb7c3e86b0UL;
   tf->codes[62096] = 0x000143abe46329e9UL;
   tf->codes[62097] = 0x0001e78dfc36b7a3UL;
   tf->codes[62098] = 0x0000298930f3ef22UL;
   tf->codes[62099] = 0x0001ed81ff9fc688UL;
   tf->codes[62100] = 0x0000fd41f0f5004dUL;
   tf->codes[62101] = 0x000111840b63f71dUL;
   tf->codes[62102] = 0x0000ffca6046d72dUL;
   tf->codes[62103] = 0x00010a9efe0f03aaUL;
   tf->codes[62104] = 0x0001200d357b8c1aUL;
   tf->codes[62105] = 0x00004bb639ccbef3UL;
   tf->codes[62106] = 0x0000e740edc9dc5bUL;
   tf->codes[62107] = 0x000135ec06b507aeUL;
   tf->codes[62108] = 0x0000f80ab3c63496UL;
   tf->codes[62109] = 0x0000c33da79b61b3UL;
   tf->codes[62110] = 0x00012c8215e87e2dUL;
   tf->codes[62111] = 0x00018a347fd6c4feUL;
   tf->codes[62112] = 0x00002c89b85a3895UL;
   tf->codes[62113] = 0x0000b05f6bf06e88UL;
   tf->codes[62114] = 0x0000b9875ec05eebUL;
   tf->codes[62115] = 0x0001154f956d59a1UL;
   tf->codes[62116] = 0x00010ed5958ef252UL;
   tf->codes[62117] = 0x00012771acc5aac0UL;
   tf->codes[62118] = 0x000161b35329fee7UL;
   tf->codes[62119] = 0x0001e5dcbf3a7480UL;
   tf->codes[62120] = 0x0000c05f9d2ede0fUL;
   tf->codes[62121] = 0x00006814979dd79fUL;
   tf->codes[62122] = 0x000122abc7392272UL;
   tf->codes[62123] = 0x00012dec1399dea3UL;
   tf->codes[62124] = 0x0001753089806aaeUL;
   tf->codes[62125] = 0x000018812601a2fcUL;
   tf->codes[62126] = 0x000130c7f24be1a5UL;
   tf->codes[62127] = 0x000174bfa6fc32cfUL;
   tf->codes[62128] = 0x0001f92660c6b2a4UL;
   tf->codes[62129] = 0x0001db2586d0e393UL;
   tf->codes[62130] = 0x0001ee2ad179a396UL;
   tf->codes[62131] = 0x0000657b935f14a2UL;
   tf->codes[62132] = 0x000112cdabfeac26UL;
   tf->codes[62133] = 0x00019a4e8afc5e0cUL;
   tf->codes[62134] = 0x00006d65748795e1UL;
   tf->codes[62135] = 0x0000bf9234423e97UL;
   tf->codes[62136] = 0x00004fbe45929c78UL;
   tf->codes[62137] = 0x0000550920a51967UL;
   tf->codes[62138] = 0x0000ca79bfde3c34UL;
   tf->codes[62139] = 0x0000ef42f23d1209UL;
   tf->codes[62140] = 0x000191a317068cd1UL;
   tf->codes[62141] = 0x0000ee0ce2236cd4UL;
   tf->codes[62142] = 0x0001d4127108297dUL;
   tf->codes[62143] = 0x00000dbddce9bcceUL;
   tf->codes[62144] = 0x0000efb7aa186d07UL;
   tf->codes[62145] = 0x0000dc0d64155f70UL;
   tf->codes[62146] = 0x000114180a0be2abUL;
   tf->codes[62147] = 0x00019598f2084be9UL;
   tf->codes[62148] = 0x00001d96ff2a5f7dUL;
   tf->codes[62149] = 0x0000acfbbddc2018UL;
   tf->codes[62150] = 0x00006aa5e556ee1eUL;
   tf->codes[62151] = 0x00006df147330661UL;
   tf->codes[62152] = 0x00008b5cee5b15f7UL;
   tf->codes[62153] = 0x0000d444e8e0f754UL;
   tf->codes[62154] = 0x00018846047122f0UL;
   tf->codes[62155] = 0x000183b7c3322260UL;
   tf->codes[62156] = 0x0000e3b831f984d3UL;
   tf->codes[62157] = 0x000199f52a3e0843UL;
   tf->codes[62158] = 0x0001a6166058f9a6UL;
   tf->codes[62159] = 0x00010124ef61a383UL;
   tf->codes[62160] = 0x00011774ec396a7aUL;
   tf->codes[62161] = 0x00007a97cadbdc71UL;
   tf->codes[62162] = 0x0000837c084d210cUL;
   tf->codes[62163] = 0x00019dc63fd83435UL;
   tf->codes[62164] = 0x0001ae06340810e7UL;
   tf->codes[62165] = 0x0000875827436fadUL;
   tf->codes[62166] = 0x00016054b99058abUL;
   tf->codes[62167] = 0x000180374190909fUL;
   tf->codes[62168] = 0x0001c6328d85ae4fUL;
   tf->codes[62169] = 0x000067c93aa75be1UL;
   tf->codes[62170] = 0x0000fc5a2d8e944dUL;
   tf->codes[62171] = 0x0001e975aecc0958UL;
   tf->codes[62172] = 0x00017858d0b9fea3UL;
   tf->codes[62173] = 0x0001a3186d2e388dUL;
   tf->codes[62174] = 0x000056704351b6b5UL;
   tf->codes[62175] = 0x0000e055c500d128UL;
   tf->codes[62176] = 0x0001321a708838bbUL;
   tf->codes[62177] = 0x0001bfc4cabc6310UL;
   tf->codes[62178] = 0x00003ebe59a70488UL;
   tf->codes[62179] = 0x0000c2da81502b7fUL;
   tf->codes[62180] = 0x00013dd6f24631c7UL;
   tf->codes[62181] = 0x0000ff1b665bde8dUL;
   tf->codes[62182] = 0x0001eb21e50908b1UL;
   tf->codes[62183] = 0x000031b9a72190bdUL;
   tf->codes[62184] = 0x00005ff7e296ef4aUL;
   tf->codes[62185] = 0x0001248767f7b28bUL;
   tf->codes[62186] = 0x00017f773a215b47UL;
   tf->codes[62187] = 0x00009d610120d1e3UL;
   tf->codes[62188] = 0x0000fa1841a059c2UL;
   tf->codes[62189] = 0x0001a725458722e0UL;
   tf->codes[62190] = 0x0001d5ee1f8c29c3UL;
   tf->codes[62191] = 0x000044c1cdf78043UL;
   tf->codes[62192] = 0x0001070030aed31fUL;
   tf->codes[62193] = 0x00002b666d26e2c2UL;
   tf->codes[62194] = 0x0000ae0bab221976UL;
   tf->codes[62195] = 0x0000bce0c6b529efUL;
   tf->codes[62196] = 0x0000480a0aef2448UL;
   tf->codes[62197] = 0x0000a0e1ea1aff01UL;
   tf->codes[62198] = 0x000143ada0041f36UL;
   tf->codes[62199] = 0x0000af5c707122beUL;
   tf->codes[62200] = 0x0000bb3055b67607UL;
   tf->codes[62201] = 0x000016872d4a3f10UL;
   tf->codes[62202] = 0x00010b6086f2f753UL;
   tf->codes[62203] = 0x00000288b9aee649UL;
   tf->codes[62204] = 0x0001a2afaa765276UL;
   tf->codes[62205] = 0x00001382d2180da2UL;
   tf->codes[62206] = 0x00015478e2d38456UL;
   tf->codes[62207] = 0x00017be6b5c70471UL;
   tf->codes[62208] = 0x00012c0d53c0f813UL;
   tf->codes[62209] = 0x0001c6e709ddb19cUL;
   tf->codes[62210] = 0x0001e1504761d96aUL;
   tf->codes[62211] = 0x000085284ea06948UL;
   tf->codes[62212] = 0x0001d83674aa40feUL;
   tf->codes[62213] = 0x0001db25a7604422UL;
   tf->codes[62214] = 0x0001ce818b2960d4UL;
   tf->codes[62215] = 0x00009c6e14f74f00UL;
   tf->codes[62216] = 0x0000b9ec7def37b0UL;
   tf->codes[62217] = 0x0001e3dec6b33093UL;
   tf->codes[62218] = 0x0001594272160686UL;
   tf->codes[62219] = 0x0000c46494ec2dcbUL;
   tf->codes[62220] = 0x0001d0bed625b7ceUL;
   tf->codes[62221] = 0x00004c9b729dd43aUL;
   tf->codes[62222] = 0x00008c9609598a34UL;
   tf->codes[62223] = 0x00013b769b32643eUL;
   tf->codes[62224] = 0x00001d1473ca051dUL;
   tf->codes[62225] = 0x00002dd89ee4e899UL;
   tf->codes[62226] = 0x0000a27aafa0b183UL;
   tf->codes[62227] = 0x000159219090a43eUL;
   tf->codes[62228] = 0x000172ca9a3ecfe5UL;
   tf->codes[62229] = 0x00007d927ebfb54dUL;
   tf->codes[62230] = 0x0001a14eb792f86eUL;
   tf->codes[62231] = 0x0001b9ed185fea8eUL;
   tf->codes[62232] = 0x0001f52d2a905c2cUL;
   tf->codes[62233] = 0x0000bfd89da635b6UL;
   tf->codes[62234] = 0x0000caf7cd8fbb11UL;
   tf->codes[62235] = 0x0001241d382039a9UL;
   tf->codes[62236] = 0x00008eec52293297UL;
   tf->codes[62237] = 0x0000ff0ac46f1fd5UL;
   tf->codes[62238] = 0x000149eb20d9b303UL;
   tf->codes[62239] = 0x00016644f943c878UL;
   tf->codes[62240] = 0x0000687ba920979cUL;
   tf->codes[62241] = 0x00012af5bfa8cc51UL;
   tf->codes[62242] = 0x0001edaa9fc5cbcbUL;
   tf->codes[62243] = 0x000024e6f1cdfae8UL;
   tf->codes[62244] = 0x0000626ddb83d94aUL;
   tf->codes[62245] = 0x000146e2327b0e31UL;
   tf->codes[62246] = 0x0001966dfa9168f1UL;
   tf->codes[62247] = 0x0001ae03034c3669UL;
   tf->codes[62248] = 0x0001c2284b565643UL;
   tf->codes[62249] = 0x00008a508368cfe1UL;
   tf->codes[62250] = 0x000188d8c580c48dUL;
   tf->codes[62251] = 0x00019d51165812beUL;
   tf->codes[62252] = 0x0001b1561d9c0517UL;
   tf->codes[62253] = 0x0001f5d920890fe6UL;
   tf->codes[62254] = 0x000141f419259c32UL;
   tf->codes[62255] = 0x0000857b9387d888UL;
   tf->codes[62256] = 0x0000c09f0de278f5UL;
   tf->codes[62257] = 0x0000e1dc2249d5c0UL;
   tf->codes[62258] = 0x00011ae64a4c858cUL;
   tf->codes[62259] = 0x00014af25bbc64c8UL;
   tf->codes[62260] = 0x000107d630d6a89fUL;
   tf->codes[62261] = 0x0001133e1e6958b0UL;
   tf->codes[62262] = 0x00009f0cc4909e68UL;
   tf->codes[62263] = 0x000022ef9801193bUL;
   tf->codes[62264] = 0x000085fad1163cecUL;
   tf->codes[62265] = 0x0000d7451bb895ccUL;
   tf->codes[62266] = 0x00015076756860a1UL;
   tf->codes[62267] = 0x0001301e86428b29UL;
   tf->codes[62268] = 0x000133f4fbcc574cUL;
   tf->codes[62269] = 0x0001a38c2f58e500UL;
   tf->codes[62270] = 0x0000e62f9ab9a91dUL;
   tf->codes[62271] = 0x0001870a7b2dd5e6UL;
   tf->codes[62272] = 0x000069ea66653245UL;
   tf->codes[62273] = 0x0001d546a3231300UL;
   tf->codes[62274] = 0x0000297685047cb2UL;
   tf->codes[62275] = 0x000161066af9e1b3UL;
   tf->codes[62276] = 0x000005ea4e6fd5b0UL;
   tf->codes[62277] = 0x0000446793d8f9dbUL;
   tf->codes[62278] = 0x00006bfe58cd82b5UL;
   tf->codes[62279] = 0x0000a02a87ac6fdeUL;
   tf->codes[62280] = 0x0000841f8b761327UL;
   tf->codes[62281] = 0x00002aff72acf5caUL;
   tf->codes[62282] = 0x0000b987e95c0256UL;
   tf->codes[62283] = 0x0000e35c9a0c16f1UL;
   tf->codes[62284] = 0x00018b6b900ce7f1UL;
   tf->codes[62285] = 0x0000eb5d95a1dee9UL;
   tf->codes[62286] = 0x00010237bbeb42acUL;
   tf->codes[62287] = 0x000151cfcfa1c73bUL;
   tf->codes[62288] = 0x0000bb31d602c7fdUL;
   tf->codes[62289] = 0x0000bfce1a440506UL;
   tf->codes[62290] = 0x0000edb854251069UL;
   tf->codes[62291] = 0x0000edf407f5f242UL;
   tf->codes[62292] = 0x00001429b451aaf7UL;
   tf->codes[62293] = 0x000083131dd02592UL;
   tf->codes[62294] = 0x0001593d5e56f021UL;
   tf->codes[62295] = 0x0001f472595da7b5UL;
   tf->codes[62296] = 0x00009511fb1efe2fUL;
   tf->codes[62297] = 0x00010f35afec913aUL;
   tf->codes[62298] = 0x00014e8da36f4111UL;
   tf->codes[62299] = 0x000172f6889999edUL;
   tf->codes[62300] = 0x0000c6261434bbfdUL;
   tf->codes[62301] = 0x0000dd558ce187c9UL;
   tf->codes[62302] = 0x00013728957c2174UL;
   tf->codes[62303] = 0x0001d0cba8e83ff7UL;
   tf->codes[62304] = 0x000199744a685a4dUL;
   tf->codes[62305] = 0x0000963bfaed1cecUL;
   tf->codes[62306] = 0x0000bba2449160adUL;
   tf->codes[62307] = 0x00014ffdeb4c58ccUL;
   tf->codes[62308] = 0x0001dfca2bfd3382UL;
   tf->codes[62309] = 0x00010a712a1cfa53UL;
   tf->codes[62310] = 0x0001a67c4010ca2fUL;
   tf->codes[62311] = 0x0000a6b87f01b395UL;
   tf->codes[62312] = 0x0001c0eff4bceda4UL;
   tf->codes[62313] = 0x00002cf8cf46d65bUL;
   tf->codes[62314] = 0x000191951bbc780cUL;
   tf->codes[62315] = 0x00005d04979ca213UL;
   tf->codes[62316] = 0x0000407e50451f95UL;
   tf->codes[62317] = 0x0001849a79cc021dUL;
   tf->codes[62318] = 0x0001f095d55f966dUL;
   tf->codes[62319] = 0x000045bc88125172UL;
   tf->codes[62320] = 0x00015ab951da9a76UL;
   tf->codes[62321] = 0x00017746dc87c7d5UL;
   tf->codes[62322] = 0x000198ed647c8861UL;
   tf->codes[62323] = 0x00002eaff1c9dce5UL;
   tf->codes[62324] = 0x000081af989f4d1dUL;
   tf->codes[62325] = 0x0001a8b09fa60eefUL;
   tf->codes[62326] = 0x0000146ead7f9903UL;
   tf->codes[62327] = 0x00005dac34f7e82eUL;
   tf->codes[62328] = 0x0000c128e328398fUL;
   tf->codes[62329] = 0x000155759d07aceaUL;
   tf->codes[62330] = 0x00003c3439e5a520UL;
   tf->codes[62331] = 0x0001a7e63e24f96eUL;
   tf->codes[62332] = 0x0000142340100599UL;
   tf->codes[62333] = 0x000028121722c84dUL;
   tf->codes[62334] = 0x000043a4def43485UL;
   tf->codes[62335] = 0x000099403a946e00UL;
   tf->codes[62336] = 0x0000da60fbc71f98UL;
   tf->codes[62337] = 0x00014745a935b0d4UL;
   tf->codes[62338] = 0x0001e3a7e60516e1UL;
   tf->codes[62339] = 0x00009e1ba107e36dUL;
   tf->codes[62340] = 0x00014f672eabb9d1UL;
   tf->codes[62341] = 0x00008cbcc5b6b5feUL;
   tf->codes[62342] = 0x00008e62595d3f3dUL;
   tf->codes[62343] = 0x00016f854d66b820UL;
   tf->codes[62344] = 0x00005c86806495acUL;
   tf->codes[62345] = 0x0000c6df7c23f183UL;
   tf->codes[62346] = 0x000160dfd4f6343fUL;
   tf->codes[62347] = 0x0001f55e409c9956UL;
   tf->codes[62348] = 0x000097a54a7ca737UL;
   tf->codes[62349] = 0x00000388e36cd1c3UL;
   tf->codes[62350] = 0x00005835aa58899fUL;
   tf->codes[62351] = 0x00010572427402cdUL;
   tf->codes[62352] = 0x00014947a756f289UL;
   tf->codes[62353] = 0x000067d5ab7897abUL;
   tf->codes[62354] = 0x00008b5b22c37bdeUL;
   tf->codes[62355] = 0x0000ea4dcad95007UL;
   tf->codes[62356] = 0x00018f39afdd0df3UL;
   tf->codes[62357] = 0x000052d76cb6fecfUL;
   tf->codes[62358] = 0x0000f8b43005780cUL;
   tf->codes[62359] = 0x0000435420e5ac3bUL;
   tf->codes[62360] = 0x000140be3a146f38UL;
   tf->codes[62361] = 0x0000afd4c9a4566fUL;
   tf->codes[62362] = 0x0001382fa70e82b2UL;
   tf->codes[62363] = 0x0001cd593b879fedUL;
   tf->codes[62364] = 0x0000cfff8c076e99UL;
   tf->codes[62365] = 0x0000d390b2496691UL;
   tf->codes[62366] = 0x000097e7588f8938UL;
   tf->codes[62367] = 0x0000e92d10056eb4UL;
   tf->codes[62368] = 0x00017a93cc12d372UL;
   tf->codes[62369] = 0x00006ccfd7079a0fUL;
   tf->codes[62370] = 0x000095285b3039b4UL;
   tf->codes[62371] = 0x0001a28a5a92bffcUL;
   tf->codes[62372] = 0x0000f1b7bfeec7eeUL;
   tf->codes[62373] = 0x0000664550648599UL;
   tf->codes[62374] = 0x00012bc663bd157aUL;
   tf->codes[62375] = 0x0001b86347d0b34dUL;
   tf->codes[62376] = 0x000184fdd1e54e1eUL;
   tf->codes[62377] = 0x0001f4c1745f48dbUL;
   tf->codes[62378] = 0x000079c4a44d330cUL;
   tf->codes[62379] = 0x000118014bd1571bUL;
   tf->codes[62380] = 0x00000918168b392eUL;
   tf->codes[62381] = 0x0000e05ba3b4ae84UL;
   tf->codes[62382] = 0x0001a50d3e53cd6eUL;
   tf->codes[62383] = 0x0001b20abc7172e0UL;
   tf->codes[62384] = 0x000004ca91679965UL;
   tf->codes[62385] = 0x0000805967ec0c2dUL;
   tf->codes[62386] = 0x00012dc1762dcd91UL;
   tf->codes[62387] = 0x00012bf4b6735bfcUL;
   tf->codes[62388] = 0x000195c1e04ce4e5UL;
   tf->codes[62389] = 0x000041d58f3d1d39UL;
   tf->codes[62390] = 0x0000db5cba807bdaUL;
   tf->codes[62391] = 0x0000b08370eeae01UL;
   tf->codes[62392] = 0x00016707c7823989UL;
   tf->codes[62393] = 0x0000c20618e049c3UL;
   tf->codes[62394] = 0x00011f040801c86bUL;
   tf->codes[62395] = 0x00009c0034342768UL;
   tf->codes[62396] = 0x0001c2f4e10fb1acUL;
   tf->codes[62397] = 0x0000a5f338950d64UL;
   tf->codes[62398] = 0x0000ee5fad6ac335UL;
   tf->codes[62399] = 0x0001eb6009f20eedUL;
   tf->codes[62400] = 0x0001331904390facUL;
   tf->codes[62401] = 0x000135ab1d8ce69dUL;
   tf->codes[62402] = 0x00016cb0fe9db894UL;
   tf->codes[62403] = 0x0000b99b6ff3b5d7UL;
   tf->codes[62404] = 0x00010c78174eb352UL;
   tf->codes[62405] = 0x00007f38bc060762UL;
   tf->codes[62406] = 0x0001bb6ae74e4d2dUL;
   tf->codes[62407] = 0x0000acd654be85faUL;
   tf->codes[62408] = 0x00001269e7238488UL;
   tf->codes[62409] = 0x0000b17975c27019UL;
   tf->codes[62410] = 0x000003855b0bd602UL;
   tf->codes[62411] = 0x00000ff198662bcdUL;
   tf->codes[62412] = 0x0000750b9e2036b9UL;
   tf->codes[62413] = 0x00011f9c0937473cUL;
   tf->codes[62414] = 0x00015d0ed1c329e6UL;
   tf->codes[62415] = 0x0001fb2f911e8e13UL;
   tf->codes[62416] = 0x0000430cd438282aUL;
   tf->codes[62417] = 0x00012ca682a227ccUL;
   tf->codes[62418] = 0x0000b0d45d520707UL;
   tf->codes[62419] = 0x0001610fb6210badUL;
   tf->codes[62420] = 0x0000ffea83b3be7eUL;
   tf->codes[62421] = 0x0001e7b0a42bad34UL;
   tf->codes[62422] = 0x0000be35ef0d7009UL;
   tf->codes[62423] = 0x0001b87521b54e09UL;
   tf->codes[62424] = 0x000173c45080b393UL;
   tf->codes[62425] = 0x000152e388b8562eUL;
   tf->codes[62426] = 0x000180432409b93bUL;
   tf->codes[62427] = 0x0001dc7717da5164UL;
   tf->codes[62428] = 0x000104666a7b8151UL;
   tf->codes[62429] = 0x00001f56b3a0f128UL;
   tf->codes[62430] = 0x000074eea0dfd418UL;
   tf->codes[62431] = 0x0000bc5650cfd8a5UL;
   tf->codes[62432] = 0x0001200eded503e5UL;
   tf->codes[62433] = 0x00001ac1959f4382UL;
   tf->codes[62434] = 0x00009b69de895501UL;
   tf->codes[62435] = 0x00014933243baa72UL;
   tf->codes[62436] = 0x0001a5b6a3ed0ca8UL;
   tf->codes[62437] = 0x0001dfe8cadee63aUL;
   tf->codes[62438] = 0x0001b9e2ba2ecbd9UL;
   tf->codes[62439] = 0x0001f1d42825c6afUL;
   tf->codes[62440] = 0x00002544f0ea30daUL;
   tf->codes[62441] = 0x0001d6c028c4b351UL;
   tf->codes[62442] = 0x00004c630c5bbdabUL;
   tf->codes[62443] = 0x000007eb3043bfd2UL;
   tf->codes[62444] = 0x000027b0e5df20d0UL;
   tf->codes[62445] = 0x0001d5efd4bd07ceUL;
   tf->codes[62446] = 0x00004054f018956eUL;
   tf->codes[62447] = 0x000070d485aad647UL;
   tf->codes[62448] = 0x0000f3a4c4ae49a7UL;
   tf->codes[62449] = 0x00016cff76f21b06UL;
   tf->codes[62450] = 0x0001c502d51a05daUL;
   tf->codes[62451] = 0x0001f32d64837439UL;
   tf->codes[62452] = 0x0000499071de5a81UL;
   tf->codes[62453] = 0x00008fb475457b2bUL;
   tf->codes[62454] = 0x0001c411adb53705UL;
   tf->codes[62455] = 0x0001c8270ae235c7UL;
   tf->codes[62456] = 0x0000e2910e156ae7UL;
   tf->codes[62457] = 0x000104d7b51df21fUL;
   tf->codes[62458] = 0x00019dc7e7a670dcUL;
   tf->codes[62459] = 0x0000e94370dc47cbUL;
   tf->codes[62460] = 0x0000fb467ac49601UL;
   tf->codes[62461] = 0x00003792449f61fcUL;
   tf->codes[62462] = 0x0001d453fa6929f1UL;
   tf->codes[62463] = 0x00003395c7ccca5cUL;
   tf->codes[62464] = 0x0000d19680f106cdUL;
   tf->codes[62465] = 0x00011fccc4eabba4UL;
   tf->codes[62466] = 0x000187eeb1b138d0UL;
   tf->codes[62467] = 0x0001ef56a642635bUL;
   tf->codes[62468] = 0x0001afe54031255aUL;
   tf->codes[62469] = 0x0000d395dd114ffbUL;
   tf->codes[62470] = 0x0001d91654e10effUL;
   tf->codes[62471] = 0x0000cedb0f6bf81bUL;
   tf->codes[62472] = 0x00011ca227e0b8f4UL;
   tf->codes[62473] = 0x000089248f15954dUL;
   tf->codes[62474] = 0x0000e346ae72ed7bUL;
   tf->codes[62475] = 0x000060c6e58c5b3cUL;
   tf->codes[62476] = 0x0001712a29c7ac73UL;
   tf->codes[62477] = 0x00018e1df42feccdUL;
   tf->codes[62478] = 0x00003988232471e8UL;
   tf->codes[62479] = 0x0000492fdcb8365fUL;
   tf->codes[62480] = 0x0000eb40b02fecdfUL;
   tf->codes[62481] = 0x000109060258d21dUL;
   tf->codes[62482] = 0x0001648de37d69d7UL;
   tf->codes[62483] = 0x0000ccec49c3d62eUL;
   tf->codes[62484] = 0x0001e7fd48cd7f10UL;
   tf->codes[62485] = 0x0001f486931bb196UL;
   tf->codes[62486] = 0x000023fa87059415UL;
   tf->codes[62487] = 0x000081bdde4b85d8UL;
   tf->codes[62488] = 0x0000fbdf2c09f4eaUL;
   tf->codes[62489] = 0x000108541a9f25f3UL;
   tf->codes[62490] = 0x000146647e198fd2UL;
   tf->codes[62491] = 0x0001ae01f966006fUL;
   tf->codes[62492] = 0x000071ce60388a47UL;
   tf->codes[62493] = 0x00014b0ef0fe3291UL;
   tf->codes[62494] = 0x000039405f080997UL;
   tf->codes[62495] = 0x0001efb3952bd2acUL;
   tf->codes[62496] = 0x00000af44cf73560UL;
   tf->codes[62497] = 0x00001e48f77cc76aUL;
   tf->codes[62498] = 0x00003704da5ba1cfUL;
   tf->codes[62499] = 0x00013c0bdb826934UL;
   tf->codes[62500] = 0x0000d03928d5ca1fUL;
   tf->codes[62501] = 0x000121e2d67088e4UL;
   tf->codes[62502] = 0x00016952fd0c62eaUL;
   tf->codes[62503] = 0x000194cbe208de26UL;
   tf->codes[62504] = 0x00016488dbf8887bUL;
   tf->codes[62505] = 0x00017eaed93c100bUL;
   tf->codes[62506] = 0x0001ac9871fb17deUL;
   tf->codes[62507] = 0x000096216d9c7253UL;
   tf->codes[62508] = 0x0000e25a736aee71UL;
   tf->codes[62509] = 0x000186f68373ceccUL;
   tf->codes[62510] = 0x00000aa6edf95850UL;
   tf->codes[62511] = 0x0001759265491caaUL;
   tf->codes[62512] = 0x0000a97dee0ea50fUL;
   tf->codes[62513] = 0x0001512a87d3c529UL;
   tf->codes[62514] = 0x0000bc934ac0d578UL;
   tf->codes[62515] = 0x000182f155c92ab7UL;
   tf->codes[62516] = 0x0001bf87d6525952UL;
   tf->codes[62517] = 0x000153988bcfe90cUL;
   tf->codes[62518] = 0x00008055e304557dUL;
   tf->codes[62519] = 0x0000288921d7bfd5UL;
   tf->codes[62520] = 0x00005fbfbbe85eb5UL;
   tf->codes[62521] = 0x00016e504de2a855UL;
   tf->codes[62522] = 0x0001a6c4dc849adbUL;
   tf->codes[62523] = 0x0000154a4fde3c2dUL;
   tf->codes[62524] = 0x0000e0b39ea8ca6dUL;
   tf->codes[62525] = 0x000012a09874053aUL;
   tf->codes[62526] = 0x0001d811beb2fd40UL;
   tf->codes[62527] = 0x0000351bcd70adb1UL;
   tf->codes[62528] = 0x0001ec6b94b13e59UL;
   tf->codes[62529] = 0x00018b7128bd2811UL;
   tf->codes[62530] = 0x0000e59874f208efUL;
   tf->codes[62531] = 0x0001e03e79ebefbbUL;
   tf->codes[62532] = 0x00015e518bb1d586UL;
   tf->codes[62533] = 0x0000458e6cf43e84UL;
   tf->codes[62534] = 0x0001637e267a4b22UL;
   tf->codes[62535] = 0x0000f7c2e642e2d2UL;
   tf->codes[62536] = 0x0001464ce2b6d74fUL;
   tf->codes[62537] = 0x00016c4e17206ac8UL;
   tf->codes[62538] = 0x000198c3fa03d31eUL;
   tf->codes[62539] = 0x0001a70fe4ec6b9eUL;
   tf->codes[62540] = 0x00006444633ba817UL;
   tf->codes[62541] = 0x0000af1188b856a1UL;
   tf->codes[62542] = 0x0000361447dea181UL;
   tf->codes[62543] = 0x0001cd3ce7843759UL;
   tf->codes[62544] = 0x0000b45b21e99b39UL;
   tf->codes[62545] = 0x0001d83cece79e4dUL;
   tf->codes[62546] = 0x00001e56dfb9c11bUL;
   tf->codes[62547] = 0x000087e271c6dfe8UL;
   tf->codes[62548] = 0x0000ab9afa32d875UL;
   tf->codes[62549] = 0x0000ff73efc7b1bbUL;
   tf->codes[62550] = 0x0001918f6130e467UL;
   tf->codes[62551] = 0x0000e23f3da2e75dUL;
   tf->codes[62552] = 0x00010bdea226bbabUL;
   tf->codes[62553] = 0x000111a920f7cc00UL;
   tf->codes[62554] = 0x000191dcfb8364ceUL;
   tf->codes[62555] = 0x0000275eccb5588bUL;
   tf->codes[62556] = 0x000049ef90c12d17UL;
   tf->codes[62557] = 0x0001d8d91a53c3eeUL;
   tf->codes[62558] = 0x00001a9b10da4b4cUL;
   tf->codes[62559] = 0x0000f61659892e91UL;
   tf->codes[62560] = 0x00014ccb10572092UL;
   tf->codes[62561] = 0x0000665f332c432fUL;
   tf->codes[62562] = 0x0000b4305c3601e4UL;
   tf->codes[62563] = 0x0001a7af29779550UL;
   tf->codes[62564] = 0x00018087e80ff080UL;
   tf->codes[62565] = 0x000197d9a1ff0ffbUL;
   tf->codes[62566] = 0x0001cf199cf79b68UL;
   tf->codes[62567] = 0x00004a48d5f4a286UL;
   tf->codes[62568] = 0x0000bc49b47d17b5UL;
   tf->codes[62569] = 0x0001e01d1648af4eUL;
   tf->codes[62570] = 0x0001cabde93095e9UL;
   tf->codes[62571] = 0x000005978116eec7UL;
   tf->codes[62572] = 0x0000b7cdfa7eea7aUL;
   tf->codes[62573] = 0x00017f98dea03220UL;
   tf->codes[62574] = 0x000021006cab3b2cUL;
   tf->codes[62575] = 0x0001fdfe5f8830f6UL;
   tf->codes[62576] = 0x000160aeded35e29UL;
   tf->codes[62577] = 0x00016ecb9c1a4464UL;
   tf->codes[62578] = 0x0001dca49634e77cUL;
   tf->codes[62579] = 0x000109be571e6ed1UL;
   tf->codes[62580] = 0x0001ef0a62ebe463UL;
   tf->codes[62581] = 0x00005d1ed648638fUL;
   tf->codes[62582] = 0x0001ecff5cb043bfUL;
   tf->codes[62583] = 0x00003ea00ff613c2UL;
   tf->codes[62584] = 0x00011a73dedaafd6UL;
   tf->codes[62585] = 0x00013d5e13585445UL;
   tf->codes[62586] = 0x000017e06da3a48bUL;
   tf->codes[62587] = 0x0001977688b3ac62UL;
   tf->codes[62588] = 0x000035dafd6dbc57UL;
   tf->codes[62589] = 0x0001be58fedf6519UL;
   tf->codes[62590] = 0x0000a6546b83941cUL;
   tf->codes[62591] = 0x00014385715f59d1UL;
   tf->codes[62592] = 0x00018fbd0948a592UL;
   tf->codes[62593] = 0x0000b60a452fb08aUL;
   tf->codes[62594] = 0x00016bbaca6c5d7cUL;
   tf->codes[62595] = 0x000088a9a28c1aebUL;
   tf->codes[62596] = 0x000118f2e55d5f49UL;
   tf->codes[62597] = 0x00006169f5e81a83UL;
   tf->codes[62598] = 0x00012f947d1d243aUL;
   tf->codes[62599] = 0x0001ade15839c1b3UL;
   tf->codes[62600] = 0x00011fbba45963d8UL;
   tf->codes[62601] = 0x0001403cec133fdaUL;
   tf->codes[62602] = 0x0001e624aa32ce07UL;
   tf->codes[62603] = 0x00002a6b8430eb73UL;
   tf->codes[62604] = 0x00012a0a28334da4UL;
   tf->codes[62605] = 0x000181e1d5a5ea7dUL;
   tf->codes[62606] = 0x000042030285eaa3UL;
   tf->codes[62607] = 0x000172a538768eb2UL;
   tf->codes[62608] = 0x0000039644444268UL;
   tf->codes[62609] = 0x0000ad199fcdc434UL;
   tf->codes[62610] = 0x0000579ca1f07c53UL;
   tf->codes[62611] = 0x0001525301ab1840UL;
   tf->codes[62612] = 0x0001b08d4b74c22bUL;
   tf->codes[62613] = 0x0000252bb3402ec5UL;
   tf->codes[62614] = 0x000051adb5bfc8e4UL;
   tf->codes[62615] = 0x0000d456ba24462fUL;
   tf->codes[62616] = 0x000108559e64bcfaUL;
   tf->codes[62617] = 0x0001a87bc97d1bd5UL;
   tf->codes[62618] = 0x0001c871886b386dUL;
   tf->codes[62619] = 0x00003b6a22011603UL;
   tf->codes[62620] = 0x0000c43314b0272aUL;
   tf->codes[62621] = 0x00018ff5d3ec854dUL;
   tf->codes[62622] = 0x00013dec7a3f4d1fUL;
   tf->codes[62623] = 0x000164d3922286f9UL;
   tf->codes[62624] = 0x0000540531e59bdfUL;
   tf->codes[62625] = 0x0000bc3245812601UL;
   tf->codes[62626] = 0x00018bafccad962aUL;
   tf->codes[62627] = 0x0001fba93071dcbeUL;
   tf->codes[62628] = 0x0001aa010e35389dUL;
   tf->codes[62629] = 0x0001f729cd835333UL;
   tf->codes[62630] = 0x0000282a662e4a10UL;
   tf->codes[62631] = 0x000023dfae49fd42UL;
   tf->codes[62632] = 0x0001789fc22595c5UL;
   tf->codes[62633] = 0x00005d283a46c664UL;
   tf->codes[62634] = 0x00006b6b656975e7UL;
   tf->codes[62635] = 0x00008b36234f55d3UL;
   tf->codes[62636] = 0x0001d956fcc6e857UL;
   tf->codes[62637] = 0x00007cc4311df1d6UL;
   tf->codes[62638] = 0x00008a586d677167UL;
   tf->codes[62639] = 0x00016f39e0dc665fUL;
   tf->codes[62640] = 0x0001dc0ddb82526eUL;
   tf->codes[62641] = 0x00018f37cd5c44ecUL;
   tf->codes[62642] = 0x000105ba8be463a2UL;
   tf->codes[62643] = 0x0001f24be3b03be1UL;
   tf->codes[62644] = 0x00018e43639a1792UL;
   tf->codes[62645] = 0x0001f0efa049d329UL;
   tf->codes[62646] = 0x000137b32919a533UL;
   tf->codes[62647] = 0x0001ee9ee433608fUL;
   tf->codes[62648] = 0x0000139735a8daeaUL;
   tf->codes[62649] = 0x00002866e7eac511UL;
   tf->codes[62650] = 0x000181ee150bdf43UL;
   tf->codes[62651] = 0x0000aa23000ef6dfUL;
   tf->codes[62652] = 0x000149922c354e1aUL;
   tf->codes[62653] = 0x00012183b684ee0aUL;
   tf->codes[62654] = 0x00015c1ea1571a0eUL;
   tf->codes[62655] = 0x00008e9122dc7084UL;
   tf->codes[62656] = 0x0001704c7d85f9a8UL;
   tf->codes[62657] = 0x0001d92b21360eb1UL;
   tf->codes[62658] = 0x0001d0b6b06bc1a4UL;
   tf->codes[62659] = 0x00009d7548c3f008UL;
   tf->codes[62660] = 0x0001209638d61917UL;
   tf->codes[62661] = 0x000135ea22030a08UL;
   tf->codes[62662] = 0x0001c97231f62956UL;
   tf->codes[62663] = 0x000062b8cd221f36UL;
   tf->codes[62664] = 0x0001bace536ecdd8UL;
   tf->codes[62665] = 0x00013c49d404a8a1UL;
   tf->codes[62666] = 0x0000bf4a6cebd963UL;
   tf->codes[62667] = 0x000016afd1092d7bUL;
   tf->codes[62668] = 0x0000ccde170131ecUL;
   tf->codes[62669] = 0x0000a278c6afd13aUL;
   tf->codes[62670] = 0x000024efab4370baUL;
   tf->codes[62671] = 0x0000315fcc1d289aUL;
   tf->codes[62672] = 0x0000faeb07429c88UL;
   tf->codes[62673] = 0x0000e2a21651fcb8UL;
   tf->codes[62674] = 0x0000f3fa06556f52UL;
   tf->codes[62675] = 0x000049268701b697UL;
   tf->codes[62676] = 0x0000895c96ff48a5UL;
   tf->codes[62677] = 0x000198acad227d1dUL;
   tf->codes[62678] = 0x00009801a93f9d84UL;
   tf->codes[62679] = 0x0001327609dd5b26UL;
   tf->codes[62680] = 0x00000f811c9495d0UL;
   tf->codes[62681] = 0x00009296aadfdd5bUL;
   tf->codes[62682] = 0x0000acd6382add5cUL;
   tf->codes[62683] = 0x0000c261f1a94e11UL;
   tf->codes[62684] = 0x0001a3ad7120d1e8UL;
   tf->codes[62685] = 0x0001f569e08b69c7UL;
   tf->codes[62686] = 0x0000e3cf75f66441UL;
   tf->codes[62687] = 0x0001c3dfbf90d9aeUL;
   tf->codes[62688] = 0x0001de81f2319e19UL;
   tf->codes[62689] = 0x0000f07db1b021f3UL;
   tf->codes[62690] = 0x0001c5cd7eac669bUL;
   tf->codes[62691] = 0x00002f2b50fd0380UL;
   tf->codes[62692] = 0x00015e47f97e460cUL;
   tf->codes[62693] = 0x0000bcac35870bcdUL;
   tf->codes[62694] = 0x000096dac156206aUL;
   tf->codes[62695] = 0x00014a0dfe160372UL;
   tf->codes[62696] = 0x0001996a6c86b3e7UL;
   tf->codes[62697] = 0x00006ab3baa670d2UL;
   tf->codes[62698] = 0x0000a9b327f367daUL;
   tf->codes[62699] = 0x00007efc2e2efb6fUL;
   tf->codes[62700] = 0x0000f9dcb6fc41d5UL;
   tf->codes[62701] = 0x00012513f5a14536UL;
   tf->codes[62702] = 0x00001c7b76936496UL;
   tf->codes[62703] = 0x000071c22f7d4757UL;
   tf->codes[62704] = 0x000089c95d0053ceUL;
   tf->codes[62705] = 0x000085156c1da904UL;
   tf->codes[62706] = 0x00009e5e37226571UL;
   tf->codes[62707] = 0x0001c8a1048e4d34UL;
   tf->codes[62708] = 0x0000374bfb87a0baUL;
   tf->codes[62709] = 0x0000655cb1cf8324UL;
   tf->codes[62710] = 0x000189284c9c5693UL;
   tf->codes[62711] = 0x0001aa6e3e4286a2UL;
   tf->codes[62712] = 0x000021cda3e968eeUL;
   tf->codes[62713] = 0x0001d70c8f7dde6eUL;
   tf->codes[62714] = 0x00006a650b3c4dacUL;
   tf->codes[62715] = 0x0000ae6b63ae1016UL;
   tf->codes[62716] = 0x00016b872da6dd73UL;
   tf->codes[62717] = 0x000018a08bb8de1fUL;
   tf->codes[62718] = 0x00011bfa323a581bUL;
   tf->codes[62719] = 0x0001e2706df0032dUL;
   tf->codes[62720] = 0x000179d8df74e2b8UL;
   tf->codes[62721] = 0x0001f640ca29b8c9UL;
   tf->codes[62722] = 0x0001f3f37c749cbaUL;
   tf->codes[62723] = 0x00010bc5cbd554f3UL;
   tf->codes[62724] = 0x000000d521575ed2UL;
   tf->codes[62725] = 0x000071286aab80d3UL;
   tf->codes[62726] = 0x000104af1b447d83UL;
   tf->codes[62727] = 0x0001491b03c44199UL;
   tf->codes[62728] = 0x000193913cf45fb7UL;
   tf->codes[62729] = 0x00009445cdc323e3UL;
   tf->codes[62730] = 0x000175e714bc1b4dUL;
   tf->codes[62731] = 0x0001017b666ca1caUL;
   tf->codes[62732] = 0x000133bcb25d3189UL;
   tf->codes[62733] = 0x00016d99fc09ae9cUL;
   tf->codes[62734] = 0x000179b7efc7417aUL;
   tf->codes[62735] = 0x0001c1fb729bee8cUL;
   tf->codes[62736] = 0x0001e03e597c3343UL;
   tf->codes[62737] = 0x00018cf7f579be83UL;
   tf->codes[62738] = 0x0000b72e028a3fb6UL;
   tf->codes[62739] = 0x000119088b755e63UL;
   tf->codes[62740] = 0x00006c71f6693424UL;
   tf->codes[62741] = 0x00017741a1e8ddb6UL;
   tf->codes[62742] = 0x0001f7298af8fb08UL;
   tf->codes[62743] = 0x0001e8a28d61843fUL;
   tf->codes[62744] = 0x00010c27b41b66aaUL;
   tf->codes[62745] = 0x000164cc90b13ac8UL;
   tf->codes[62746] = 0x00011f7a067fb143UL;
   tf->codes[62747] = 0x000049abe693ee14UL;
   tf->codes[62748] = 0x000122d5225d49e0UL;
   tf->codes[62749] = 0x0001f5a55d468aecUL;
   tf->codes[62750] = 0x0001c20224830ff7UL;
   tf->codes[62751] = 0x000155df624c8d8cUL;
   tf->codes[62752] = 0x000155e24d04caceUL;
   tf->codes[62753] = 0x00016639d0bff9c3UL;
   tf->codes[62754] = 0x00017a5adda59645UL;
   tf->codes[62755] = 0x0001f4a851375edcUL;
   tf->codes[62756] = 0x000038465ae6da5eUL;
   tf->codes[62757] = 0x0000e89bc76670beUL;
   tf->codes[62758] = 0x0000fa2ef61cb9a7UL;
   tf->codes[62759] = 0x00006dd99c5c1bf2UL;
   tf->codes[62760] = 0x000086d8fa0a9c5aUL;
   tf->codes[62761] = 0x000062cbfaec4519UL;
   tf->codes[62762] = 0x00007f573c0338c6UL;
   tf->codes[62763] = 0x000098dc2ff6e296UL;
   tf->codes[62764] = 0x0000fa2ba5344d63UL;
   tf->codes[62765] = 0x0001a37fa71824e4UL;
   tf->codes[62766] = 0x0001ccc38c22f562UL;
   tf->codes[62767] = 0x00002e75d2ba1c9fUL;
   tf->codes[62768] = 0x000175f562c67537UL;
   tf->codes[62769] = 0x0000518e941a3e8cUL;
   tf->codes[62770] = 0x0000752af9ce7172UL;
   tf->codes[62771] = 0x00015a8a7718d16dUL;
   tf->codes[62772] = 0x0001c53c339cebd8UL;
   tf->codes[62773] = 0x00018aa7dc735966UL;
   tf->codes[62774] = 0x00002b356c11e815UL;
   tf->codes[62775] = 0x000011a917b277e6UL;
   tf->codes[62776] = 0x0000a2d19bc9bb54UL;
   tf->codes[62777] = 0x00014a057d1e02ddUL;
   tf->codes[62778] = 0x00014a9fe43a394cUL;
   tf->codes[62779] = 0x000162f6630f0a0bUL;
   tf->codes[62780] = 0x0000ab3da4d60f70UL;
   tf->codes[62781] = 0x0000ead2ab83c3beUL;
   tf->codes[62782] = 0x00008f096d849676UL;
   tf->codes[62783] = 0x00010e97ab93de20UL;
   tf->codes[62784] = 0x00005f529fed1184UL;
   tf->codes[62785] = 0x00012710051804c3UL;
   tf->codes[62786] = 0x0001fbe59d3332beUL;
   tf->codes[62787] = 0x00012d8371b0a149UL;
   tf->codes[62788] = 0x0000dbc252037a88UL;
   tf->codes[62789] = 0x0000dd0d15de1146UL;
   tf->codes[62790] = 0x0001ac0114bae833UL;
   tf->codes[62791] = 0x00007da77c3cd151UL;
   tf->codes[62792] = 0x00011601a046873eUL;
   tf->codes[62793] = 0x00017e2093c9b969UL;
   tf->codes[62794] = 0x00004b15d7a84ab8UL;
   tf->codes[62795] = 0x00000042eba8fe32UL;
   tf->codes[62796] = 0x000001df58f6a0a9UL;
   tf->codes[62797] = 0x000074f48a624f70UL;
   tf->codes[62798] = 0x0001b8acbdc458afUL;
   tf->codes[62799] = 0x00004cf4b87360a0UL;
   tf->codes[62800] = 0x0001bee23b80e769UL;
   tf->codes[62801] = 0x0001a9df3d8ee323UL;
   tf->codes[62802] = 0x0001b5aae6b766b8UL;
   tf->codes[62803] = 0x0000390882fec7aaUL;
   tf->codes[62804] = 0x00007ee0cf79729dUL;
   tf->codes[62805] = 0x000196f298b1847dUL;
   tf->codes[62806] = 0x00019e9030569a34UL;
   tf->codes[62807] = 0x0000b793c2157e79UL;
   tf->codes[62808] = 0x0000e87e9fad513bUL;
   tf->codes[62809] = 0x0000dcec8cc36dd3UL;
   tf->codes[62810] = 0x0001bf6bb5a841afUL;
   tf->codes[62811] = 0x0000297cddfa89e4UL;
   tf->codes[62812] = 0x00018dd78418b3baUL;
   tf->codes[62813] = 0x0001f779f604137bUL;
   tf->codes[62814] = 0x000193ac04f3b42cUL;
   tf->codes[62815] = 0x00008b3cfb8ff594UL;
   tf->codes[62816] = 0x0000ff0beaa1f137UL;
   tf->codes[62817] = 0x00019cb5f208a301UL;
   tf->codes[62818] = 0x0001e41565dbd7daUL;
   tf->codes[62819] = 0x00003a8d440dcb29UL;
   tf->codes[62820] = 0x0000e3bfa5d1528bUL;
   tf->codes[62821] = 0x0000fe83edb0729fUL;
   tf->codes[62822] = 0x000104acaaaecc00UL;
   tf->codes[62823] = 0x0001d5c3223c7a56UL;
   tf->codes[62824] = 0x0000c0cbf355a611UL;
   tf->codes[62825] = 0x0000b785108e9d0cUL;
   tf->codes[62826] = 0x000096b2fb12bea6UL;
   tf->codes[62827] = 0x00015c360ee774b5UL;
   tf->codes[62828] = 0x0001dd6befa4798bUL;
   tf->codes[62829] = 0x0001363665dbfbe0UL;
   tf->codes[62830] = 0x000170a1735f6450UL;
   tf->codes[62831] = 0x00013f27ca9e739fUL;
   tf->codes[62832] = 0x000046e2bfc867d9UL;
   tf->codes[62833] = 0x0000fcdd27795c5aUL;
   tf->codes[62834] = 0x00007cb76d061b83UL;
   tf->codes[62835] = 0x0000f28560307048UL;
   tf->codes[62836] = 0x00013d916d505171UL;
   tf->codes[62837] = 0x000118e3e8ee0482UL;
   tf->codes[62838] = 0x00011cba155dbd21UL;
   tf->codes[62839] = 0x0000dabf81c28932UL;
   tf->codes[62840] = 0x0001b4ac513829f1UL;
   tf->codes[62841] = 0x00009b33f975abb8UL;
   tf->codes[62842] = 0x0000724976519d5eUL;
   tf->codes[62843] = 0x0001fa75fa54326dUL;
   tf->codes[62844] = 0x000001495c195be0UL;
   tf->codes[62845] = 0x0000585957d14becUL;
   tf->codes[62846] = 0x0000af0a5723d3deUL;
   tf->codes[62847] = 0x0000e74fc6af21deUL;
   tf->codes[62848] = 0x000119d577ab6eb4UL;
   tf->codes[62849] = 0x0000c04da2543177UL;
   tf->codes[62850] = 0x000101cd8bf0432fUL;
   tf->codes[62851] = 0x00017e01fef1071bUL;
   tf->codes[62852] = 0x0000292e6b0d7670UL;
   tf->codes[62853] = 0x000016d3b6a078c0UL;
   tf->codes[62854] = 0x0000459245817c02UL;
   tf->codes[62855] = 0x0000c0182a86c7edUL;
   tf->codes[62856] = 0x0000fc1b95d478b9UL;
   tf->codes[62857] = 0x00003864926ff1b9UL;
   tf->codes[62858] = 0x0001f882dc0ea2e1UL;
   tf->codes[62859] = 0x0000879d089f0a9eUL;
   tf->codes[62860] = 0x0001d8636ce75e7cUL;
   tf->codes[62861] = 0x0000e569ecd0e0f4UL;
   tf->codes[62862] = 0x0001c66b89d41d3cUL;
   tf->codes[62863] = 0x0001113373ee3557UL;
   tf->codes[62864] = 0x0000366dd9c5139cUL;
   tf->codes[62865] = 0x0000ff03a37358d5UL;
   tf->codes[62866] = 0x0001e3c0b813b872UL;
   tf->codes[62867] = 0x0001645b5d7a6bc8UL;
   tf->codes[62868] = 0x000133a07aaa46e1UL;
   tf->codes[62869] = 0x0000a96a573d2210UL;
   tf->codes[62870] = 0x00007eb238ad98ccUL;
   tf->codes[62871] = 0x0001538fa65298b0UL;
   tf->codes[62872] = 0x00008907d3d93573UL;
   tf->codes[62873] = 0x0000959d3dc399c2UL;
   tf->codes[62874] = 0x0001b28e5f7990e3UL;
   tf->codes[62875] = 0x00016818c76b7655UL;
   tf->codes[62876] = 0x0000b4f2c087d430UL;
   tf->codes[62877] = 0x00015339edbf01a5UL;
   tf->codes[62878] = 0x00003da42b228158UL;
   tf->codes[62879] = 0x0000659759cc2516UL;
   tf->codes[62880] = 0x000066b9a0c3be9fUL;
   tf->codes[62881] = 0x0000ad7d4e209a6bUL;
   tf->codes[62882] = 0x0000ea4e4f248047UL;
   tf->codes[62883] = 0x0000f0f41d311fd8UL;
   tf->codes[62884] = 0x00018d159de5251eUL;
   tf->codes[62885] = 0x0000b63fbfd065aaUL;
   tf->codes[62886] = 0x000060e9df7bf860UL;
   tf->codes[62887] = 0x000085437137ceadUL;
   tf->codes[62888] = 0x0000af832f5e6f6cUL;
   tf->codes[62889] = 0x0001078618684eb6UL;
   tf->codes[62890] = 0x000189385a86886dUL;
   tf->codes[62891] = 0x00008831d72aa504UL;
   tf->codes[62892] = 0x000173e6e6f3c934UL;
   tf->codes[62893] = 0x00018fd903328d92UL;
   tf->codes[62894] = 0x000001c07db78256UL;
   tf->codes[62895] = 0x0000823ea14a607eUL;
   tf->codes[62896] = 0x0000acfca3d57205UL;
   tf->codes[62897] = 0x00000dd8aaf27738UL;
   tf->codes[62898] = 0x00002daaac2e0205UL;
   tf->codes[62899] = 0x0000a7833c434661UL;
   tf->codes[62900] = 0x00009b982e059ea0UL;
   tf->codes[62901] = 0x0000a8d9d69ffb64UL;
   tf->codes[62902] = 0x0001a424706131f9UL;
   tf->codes[62903] = 0x00012fcd5859bfb8UL;
   tf->codes[62904] = 0x0001741f67b7f7d9UL;
   tf->codes[62905] = 0x0000e5b331399b3bUL;
   tf->codes[62906] = 0x0001d399145af490UL;
   tf->codes[62907] = 0x00008fd14470553eUL;
   tf->codes[62908] = 0x000053f7a6d4b686UL;
   tf->codes[62909] = 0x0001251802f36ab2UL;
   tf->codes[62910] = 0x0001ce8aba3f5510UL;
   tf->codes[62911] = 0x000058cf29c8c9deUL;
   tf->codes[62912] = 0x000064967a53dfd4UL;
   tf->codes[62913] = 0x0000973b9f532d5eUL;
   tf->codes[62914] = 0x0001880971d4def6UL;
   tf->codes[62915] = 0x00001a44aee63399UL;
   tf->codes[62916] = 0x00006a5adafd30eaUL;
   tf->codes[62917] = 0x0000b1969fa8e1b7UL;
   tf->codes[62918] = 0x0001c565c1157e77UL;
   tf->codes[62919] = 0x0001d7c325abb3a4UL;
   tf->codes[62920] = 0x00008588c26dacc5UL;
   tf->codes[62921] = 0x00000f1bc66fa06eUL;
   tf->codes[62922] = 0x0000ba21ff3f4c40UL;
   tf->codes[62923] = 0x0000bf73336b5cfcUL;
   tf->codes[62924] = 0x000111881a809febUL;
   tf->codes[62925] = 0x000134f01e44a998UL;
   tf->codes[62926] = 0x000184343ef1e8bcUL;
   tf->codes[62927] = 0x0000b15f27c220c8UL;
   tf->codes[62928] = 0x0000b4adf7ff8f96UL;
   tf->codes[62929] = 0x0000204f0ee738f2UL;
   tf->codes[62930] = 0x0000a2c1b0df66d6UL;
   tf->codes[62931] = 0x0001f4a03cff48a2UL;
   tf->codes[62932] = 0x00009f645a59710fUL;
   tf->codes[62933] = 0x0000ed8cc7b7b03cUL;
   tf->codes[62934] = 0x0001c15950dacd13UL;
   tf->codes[62935] = 0x00007b5177a26054UL;
   tf->codes[62936] = 0x0001ffe1cc06dabcUL;
   tf->codes[62937] = 0x0001ffdc7aa2484aUL;
   tf->codes[62938] = 0x00008af9893e14d7UL;
   tf->codes[62939] = 0x00016a0165027cb0UL;
   tf->codes[62940] = 0x0000343cc2574b28UL;
   tf->codes[62941] = 0x0001af1ca2ee6e83UL;
   tf->codes[62942] = 0x000048f50286cd53UL;
   tf->codes[62943] = 0x00014ce94ab38383UL;
   tf->codes[62944] = 0x0001dd7584ab549bUL;
   tf->codes[62945] = 0x0000235f339bb60aUL;
   tf->codes[62946] = 0x000160a835ec74e4UL;
   tf->codes[62947] = 0x0001de97f7a6e62aUL;
   tf->codes[62948] = 0x00002ca842e2dd43UL;
   tf->codes[62949] = 0x0000c5bf1dd62b0dUL;
   tf->codes[62950] = 0x00006ed92a5f52daUL;
   tf->codes[62951] = 0x000010b5b1e8dc24UL;
   tf->codes[62952] = 0x00005b746e331f33UL;
   tf->codes[62953] = 0x0000a76c16c436faUL;
   tf->codes[62954] = 0x00019b3ffbda2caaUL;
   tf->codes[62955] = 0x000053ee83924606UL;
   tf->codes[62956] = 0x0000a5d0b12b95deUL;
   tf->codes[62957] = 0x0001bb085313b766UL;
   tf->codes[62958] = 0x0001c98fb73e2bfaUL;
   tf->codes[62959] = 0x00005e5a4eef1252UL;
   tf->codes[62960] = 0x0001fbec67ae6252UL;
   tf->codes[62961] = 0x00000193e704ffeaUL;
   tf->codes[62962] = 0x0000f67f52d07ff8UL;
   tf->codes[62963] = 0x00001152c99118d9UL;
   tf->codes[62964] = 0x000081f4fda40157UL;
   tf->codes[62965] = 0x00010317325515ffUL;
   tf->codes[62966] = 0x0001e073c27b645cUL;
   tf->codes[62967] = 0x0000365e08da6454UL;
   tf->codes[62968] = 0x0000475fbc3e57d1UL;
   tf->codes[62969] = 0x0001018f4cc46d0bUL;
   tf->codes[62970] = 0x0000458801b2d14cUL;
   tf->codes[62971] = 0x0001aeca76fab5dcUL;
   tf->codes[62972] = 0x00011bf5e90d39e4UL;
   tf->codes[62973] = 0x00009ab4c4650c9aUL;
   tf->codes[62974] = 0x0000aef4953dc9b8UL;
   tf->codes[62975] = 0x0000b6a0d0a450afUL;
   tf->codes[62976] = 0x0000802a4d539278UL;
   tf->codes[62977] = 0x00002cff21cccc4bUL;
   tf->codes[62978] = 0x00007121d7855a21UL;
   tf->codes[62979] = 0x00005c1a0bd7dcb2UL;
   tf->codes[62980] = 0x00009715f38b96feUL;
   tf->codes[62981] = 0x00014b8849a7ea85UL;
   tf->codes[62982] = 0x00006eb5d4682b35UL;
   tf->codes[62983] = 0x0000a10f5f911e86UL;
   tf->codes[62984] = 0x0001045d2939d126UL;
   tf->codes[62985] = 0x000129b761ccf0ddUL;
   tf->codes[62986] = 0x000186491eacc688UL;
   tf->codes[62987] = 0x000195cde7512601UL;
   tf->codes[62988] = 0x0000082e28d20115UL;
   tf->codes[62989] = 0x000119411a1ea14cUL;
   tf->codes[62990] = 0x000020e5d08c5822UL;
   tf->codes[62991] = 0x000052e0a869f6ddUL;
   tf->codes[62992] = 0x000045b55c04c1c4UL;
   tf->codes[62993] = 0x000172d6343ffbf4UL;
   tf->codes[62994] = 0x0001ef570dda46e6UL;
   tf->codes[62995] = 0x00005c7cec824473UL;
   tf->codes[62996] = 0x00015457c592cd6aUL;
   tf->codes[62997] = 0x0000320d8b9be5e5UL;
   tf->codes[62998] = 0x0000b08b112d4288UL;
   tf->codes[62999] = 0x0000c2b7f752b091UL;
   tf->codes[63000] = 0x000166247bfca8c1UL;
   tf->codes[63001] = 0x000052ee8e5617d8UL;
   tf->codes[63002] = 0x0001ce78729207b5UL;
   tf->codes[63003] = 0x0000f13831277705UL;
   tf->codes[63004] = 0x00019c23e1288593UL;
   tf->codes[63005] = 0x0001c573ab408215UL;
   tf->codes[63006] = 0x0000e1b2d64ef084UL;
   tf->codes[63007] = 0x00012a8f525aa3a8UL;
   tf->codes[63008] = 0x00013782bfe34b3eUL;
   tf->codes[63009] = 0x00016bbe4230baf6UL;
   tf->codes[63010] = 0x0001831f4f8e5d00UL;
   tf->codes[63011] = 0x0001897ca90be55fUL;
   tf->codes[63012] = 0x0000ce1f53140863UL;
   tf->codes[63013] = 0x000062ef43a06f71UL;
   tf->codes[63014] = 0x0000adbf9cef6ec1UL;
   tf->codes[63015] = 0x0000b7cc13dee2e7UL;
   tf->codes[63016] = 0x0000d640636c05d6UL;
   tf->codes[63017] = 0x00007c6a8d921930UL;
   tf->codes[63018] = 0x0000a3f1c48919b6UL;
   tf->codes[63019] = 0x0000f7b05d534dbeUL;
   tf->codes[63020] = 0x00010ebe9c72c736UL;
   tf->codes[63021] = 0x000084e7affa1044UL;
   tf->codes[63022] = 0x000104a5bccd0dc3UL;
   tf->codes[63023] = 0x0001f436bf88888eUL;
   tf->codes[63024] = 0x00001b6cc22a88e5UL;
   tf->codes[63025] = 0x00004b3224f87158UL;
   tf->codes[63026] = 0x0001902170292127UL;
   tf->codes[63027] = 0x0001a88b607adc4fUL;
   tf->codes[63028] = 0x0001d8e328d73142UL;
   tf->codes[63029] = 0x00009eb7ba1afb04UL;
   tf->codes[63030] = 0x0000dfce6ab8aec0UL;
   tf->codes[63031] = 0x0000bd1088125bdcUL;
   tf->codes[63032] = 0x0000bea3fb0b0f91UL;
   tf->codes[63033] = 0x00019c5b5afd506fUL;
   tf->codes[63034] = 0x0001de2c03d056ccUL;
   tf->codes[63035] = 0x00000a4abfd828f1UL;
   tf->codes[63036] = 0x0001c547206565e9UL;
   tf->codes[63037] = 0x00003f0bc9dfb452UL;
   tf->codes[63038] = 0x00004b291c7b43a0UL;
   tf->codes[63039] = 0x00004d1fa9e7c749UL;
   tf->codes[63040] = 0x00000a8915473488UL;
   tf->codes[63041] = 0x000146ca1edff158UL;
   tf->codes[63042] = 0x0001f645c7821320UL;
   tf->codes[63043] = 0x00001a871a0585dbUL;
   tf->codes[63044] = 0x000066087fbff6c9UL;
   tf->codes[63045] = 0x000145d67355e30cUL;
   tf->codes[63046] = 0x00018b7e415fc6dbUL;
   tf->codes[63047] = 0x000128c7d704f1eaUL;
   tf->codes[63048] = 0x00007be3f1232991UL;
   tf->codes[63049] = 0x0001017e8ee9ff30UL;
   tf->codes[63050] = 0x0001299741335522UL;
   tf->codes[63051] = 0x0001db41bcb185e1UL;
   tf->codes[63052] = 0x0001e2998ff0bbe3UL;
   tf->codes[63053] = 0x00000e1c10642971UL;
   tf->codes[63054] = 0x00004bfcdfa9e340UL;
   tf->codes[63055] = 0x0001530ebb6b220cUL;
   tf->codes[63056] = 0x00005065288df4dbUL;
   tf->codes[63057] = 0x00005db32b53892dUL;
   tf->codes[63058] = 0x00006df3cf30772eUL;
   tf->codes[63059] = 0x0001c43d7ffecb4fUL;
   tf->codes[63060] = 0x00015506b71fa4dbUL;
   tf->codes[63061] = 0x0000bd4c690fa216UL;
   tf->codes[63062] = 0x00002becb5c8e274UL;
   tf->codes[63063] = 0x00005d27a2ea988cUL;
   tf->codes[63064] = 0x0000cec06d3fcc98UL;
   tf->codes[63065] = 0x0000dd59a8fe0332UL;
   tf->codes[63066] = 0x00015643deedcbb4UL;
   tf->codes[63067] = 0x00018e2b4adad66dUL;
   tf->codes[63068] = 0x0000012961d93e7bUL;
   tf->codes[63069] = 0x000019ae5017a271UL;
   tf->codes[63070] = 0x0000a247ae920388UL;
   tf->codes[63071] = 0x00019dadbb5dee75UL;
   tf->codes[63072] = 0x00009b7e4ed6ca32UL;
   tf->codes[63073] = 0x00011624832d515dUL;
   tf->codes[63074] = 0x00000f32908d1ecfUL;
   tf->codes[63075] = 0x0000876c69be8702UL;
   tf->codes[63076] = 0x00011eb01d52c1abUL;
   tf->codes[63077] = 0x0001cfe2f6a028f3UL;
   tf->codes[63078] = 0x0000445488eb2ab9UL;
   tf->codes[63079] = 0x00011f920ec1f838UL;
   tf->codes[63080] = 0x0001b75fbfc3d7a7UL;
   tf->codes[63081] = 0x000059be93be3d90UL;
   tf->codes[63082] = 0x000093b41ca31e35UL;
   tf->codes[63083] = 0x0000ae2979c377ccUL;
   tf->codes[63084] = 0x0001176c4e276be3UL;
   tf->codes[63085] = 0x000125fc9e1bc17aUL;
   tf->codes[63086] = 0x00005a7ac6febc24UL;
   tf->codes[63087] = 0x00013b27fbdaa777UL;
   tf->codes[63088] = 0x000065499e444aa5UL;
   tf->codes[63089] = 0x00008e07cff3d63dUL;
   tf->codes[63090] = 0x0001d9fa111e5f8fUL;
   tf->codes[63091] = 0x00004dfc2eca59d3UL;
   tf->codes[63092] = 0x000111fecc053b0cUL;
   tf->codes[63093] = 0x000136e24ca3a860UL;
   tf->codes[63094] = 0x000084048e4b2567UL;
   tf->codes[63095] = 0x0000426e65f2d64bUL;
   tf->codes[63096] = 0x00007231449b7f47UL;
   tf->codes[63097] = 0x0000bd729de7a0bdUL;
   tf->codes[63098] = 0x00006196aca3a81aUL;
   tf->codes[63099] = 0x0000d0c5da88026aUL;
   tf->codes[63100] = 0x00018bd9ef2d9b67UL;
   tf->codes[63101] = 0x0000570af8889e59UL;
   tf->codes[63102] = 0x0000726c2ba93453UL;
   tf->codes[63103] = 0x00012cab84bbd7a6UL;
   tf->codes[63104] = 0x0001864b503164f1UL;
   tf->codes[63105] = 0x00001fb39a08b8afUL;
   tf->codes[63106] = 0x0001dbd5afeee5bbUL;
   tf->codes[63107] = 0x0001df68e53811a0UL;
   tf->codes[63108] = 0x0001d53507a5af5fUL;
   tf->codes[63109] = 0x0000b93c07901e70UL;
   tf->codes[63110] = 0x000161c691cc28bbUL;
   tf->codes[63111] = 0x00016fce523809e9UL;
   tf->codes[63112] = 0x00003459f4196b15UL;
   tf->codes[63113] = 0x0000520e1e5b9f9cUL;
   tf->codes[63114] = 0x000157c6a10be429UL;
   tf->codes[63115] = 0x000050e89506a78eUL;
   tf->codes[63116] = 0x00012aa76a30c0a0UL;
   tf->codes[63117] = 0x00017d41bb8734f1UL;
   tf->codes[63118] = 0x00019814e1b6cc0aUL;
   tf->codes[63119] = 0x00000f9ed347df78UL;
   tf->codes[63120] = 0x0000270d9a2adbaeUL;
   tf->codes[63121] = 0x00013a6295416f80UL;
   tf->codes[63122] = 0x0001909439ef7790UL;
   tf->codes[63123] = 0x0000d2656de2857aUL;
   tf->codes[63124] = 0x0000ddc3fa8d48feUL;
   tf->codes[63125] = 0x00011f9e04483be8UL;
   tf->codes[63126] = 0x0001559634a97b98UL;
   tf->codes[63127] = 0x0001ef1598ee160fUL;
   tf->codes[63128] = 0x0001f2b7e716bebeUL;
   tf->codes[63129] = 0x00013182cde682cbUL;
   tf->codes[63130] = 0x0001383f153e6585UL;
   tf->codes[63131] = 0x0001fafd5643518cUL;
   tf->codes[63132] = 0x00009388e2f9e5b1UL;
   tf->codes[63133] = 0x0000fa7a5a25639eUL;
   tf->codes[63134] = 0x000169ff4f8b3181UL;
   tf->codes[63135] = 0x000198f489f297aeUL;
   tf->codes[63136] = 0x0000116c8c8f1372UL;
   tf->codes[63137] = 0x0000201a24064b89UL;
   tf->codes[63138] = 0x0000ebe93d6de13aUL;
   tf->codes[63139] = 0x0001bda15f6d70e0UL;
   tf->codes[63140] = 0x0000a94ac4b86ed1UL;
   tf->codes[63141] = 0x0000aab83ef364c8UL;
   tf->codes[63142] = 0x0000d9b6da42b782UL;
   tf->codes[63143] = 0x0001d955352b062fUL;
   tf->codes[63144] = 0x0001962e849240a0UL;
   tf->codes[63145] = 0x0001e08aaa11cd04UL;
   tf->codes[63146] = 0x000059cda0c6541aUL;
   tf->codes[63147] = 0x00013757f0a9245fUL;
   tf->codes[63148] = 0x0001fc7190f076adUL;
   tf->codes[63149] = 0x0000982c223c57a9UL;
   tf->codes[63150] = 0x0000ca7f804faf33UL;
   tf->codes[63151] = 0x00008d8276f15a19UL;
   tf->codes[63152] = 0x00010cd94b421fcaUL;
   tf->codes[63153] = 0x000092b14cc4fba8UL;
   tf->codes[63154] = 0x00004ba07a9679c8UL;
   tf->codes[63155] = 0x000148d3e83ed9daUL;
   tf->codes[63156] = 0x0001ff69dbd721a3UL;
   tf->codes[63157] = 0x00001ecd3536d1bbUL;
   tf->codes[63158] = 0x00003fe3dbc2653eUL;
   tf->codes[63159] = 0x000058b036dadf0bUL;
   tf->codes[63160] = 0x0000ecdda8bb49b8UL;
   tf->codes[63161] = 0x0000087cef44f740UL;
   tf->codes[63162] = 0x00005a607c3869b6UL;
   tf->codes[63163] = 0x000074d38fc2899bUL;
   tf->codes[63164] = 0x0001d7b11f1d2767UL;
   tf->codes[63165] = 0x00018147d6219799UL;
   tf->codes[63166] = 0x0001cf85a68b0ad5UL;
   tf->codes[63167] = 0x00004ab763ad516aUL;
   tf->codes[63168] = 0x0001628fc2aabb23UL;
   tf->codes[63169] = 0x0000df0c1f1a8eb4UL;
   tf->codes[63170] = 0x00011cb87de5118bUL;
   tf->codes[63171] = 0x000075711c88d1daUL;
   tf->codes[63172] = 0x00005be74c4ea122UL;
   tf->codes[63173] = 0x000096b7bddc1338UL;
   tf->codes[63174] = 0x00000d0bd26b98f2UL;
   tf->codes[63175] = 0x00005636d2a314c8UL;
   tf->codes[63176] = 0x0000ad064ccea9d2UL;
   tf->codes[63177] = 0x0000cd92c9e8a089UL;
   tf->codes[63178] = 0x00016297b610461cUL;
   tf->codes[63179] = 0x00002e561caf36a0UL;
   tf->codes[63180] = 0x00008508b5eae6f5UL;
   tf->codes[63181] = 0x0001dac1e42e0a7dUL;
   tf->codes[63182] = 0x0000162b980c9629UL;
   tf->codes[63183] = 0x00008e974f08e81eUL;
   tf->codes[63184] = 0x0001938ea51c0bb1UL;
   tf->codes[63185] = 0x0000eff193763e9eUL;
   tf->codes[63186] = 0x0000df179ebd2948UL;
   tf->codes[63187] = 0x0000e2f85f6af90cUL;
   tf->codes[63188] = 0x0000230901cad4e9UL;
   tf->codes[63189] = 0x00018a267a3ca299UL;
   tf->codes[63190] = 0x000028e0b6782621UL;
   tf->codes[63191] = 0x00003e85fffe0f47UL;
   tf->codes[63192] = 0x00005c455fa05e83UL;
   tf->codes[63193] = 0x0000e7e3abe3e6d9UL;
   tf->codes[63194] = 0x000115cea3fd114aUL;
   tf->codes[63195] = 0x0000301239547d22UL;
   tf->codes[63196] = 0x000014499322a995UL;
   tf->codes[63197] = 0x0000959cbb6290ebUL;
   tf->codes[63198] = 0x0000fb6a51ad4cecUL;
   tf->codes[63199] = 0x00006a82409756c1UL;
   tf->codes[63200] = 0x000091e8871b1877UL;
   tf->codes[63201] = 0x000121c9060c0a63UL;
   tf->codes[63202] = 0x000122f9411803ddUL;
   tf->codes[63203] = 0x0001c2aafdd1ea07UL;
   tf->codes[63204] = 0x00010b0ddea79bcaUL;
   tf->codes[63205] = 0x000191b926614eb1UL;
   tf->codes[63206] = 0x0000dcc8343b691fUL;
   tf->codes[63207] = 0x00017b7224414545UL;
   tf->codes[63208] = 0x000187a029a579c0UL;
   tf->codes[63209] = 0x0001a3960beab5ecUL;
   tf->codes[63210] = 0x00001b324a2d96eaUL;
   tf->codes[63211] = 0x0001aa717e2b85d6UL;
   tf->codes[63212] = 0x0000926ebf47e301UL;
   tf->codes[63213] = 0x00015c515bd7f2e5UL;
   tf->codes[63214] = 0x00018b8db9ff5b65UL;
   tf->codes[63215] = 0x0001c333ba23f408UL;
   tf->codes[63216] = 0x0000f3ee95dff974UL;
   tf->codes[63217] = 0x00007f1172755241UL;
   tf->codes[63218] = 0x000175bf444c3284UL;
   tf->codes[63219] = 0x0000b421933f9c25UL;
   tf->codes[63220] = 0x0000439a7a9246bcUL;
   tf->codes[63221] = 0x000126d42e43630aUL;
   tf->codes[63222] = 0x00014969fa99b684UL;
   tf->codes[63223] = 0x0000fc92c7a88c29UL;
   tf->codes[63224] = 0x000031e6965a9391UL;
   tf->codes[63225] = 0x00009c166589e0e4UL;
   tf->codes[63226] = 0x00011b7041a8ff55UL;
   tf->codes[63227] = 0x0001ba43a758fd83UL;
   tf->codes[63228] = 0x0001f3ded58ff731UL;
   tf->codes[63229] = 0x00005e4c67975a4aUL;
   tf->codes[63230] = 0x0001c92089ead226UL;
   tf->codes[63231] = 0x000096cabdb43728UL;
   tf->codes[63232] = 0x0000c676adf39171UL;
   tf->codes[63233] = 0x00014aff426d672aUL;
   tf->codes[63234] = 0x0000ca9adae5f979UL;
   tf->codes[63235] = 0x0001a8afbacd6455UL;
   tf->codes[63236] = 0x000022de4cf32209UL;
   tf->codes[63237] = 0x00008afabc5114bdUL;
   tf->codes[63238] = 0x000130ed7541b7daUL;
   tf->codes[63239] = 0x0000180f93267dcfUL;
   tf->codes[63240] = 0x0000655c4ab62ff5UL;
   tf->codes[63241] = 0x0000b0a09d459c6cUL;
   tf->codes[63242] = 0x0000c5c31dc5af25UL;
   tf->codes[63243] = 0x0000e7f35a0e00f3UL;
   tf->codes[63244] = 0x0001fa2857c334eeUL;
   tf->codes[63245] = 0x0000f596db3af554UL;
   tf->codes[63246] = 0x00015a7860f66f2dUL;
   tf->codes[63247] = 0x0001abae8a6ecc55UL;
   tf->codes[63248] = 0x0001efa19d679c5cUL;
   tf->codes[63249] = 0x00004b5f13d287e7UL;
   tf->codes[63250] = 0x0000405b39dd9b66UL;
   tf->codes[63251] = 0x00005eade94a6e36UL;
   tf->codes[63252] = 0x00005ff027ee21bcUL;
   tf->codes[63253] = 0x00012487aedcaeecUL;
   tf->codes[63254] = 0x00001ac779f9b80aUL;
   tf->codes[63255] = 0x0000993b6414225bUL;
   tf->codes[63256] = 0x00014058daa8347aUL;
   tf->codes[63257] = 0x00014f8bcdd59034UL;
   tf->codes[63258] = 0x00018eddc0469c4aUL;
   tf->codes[63259] = 0x00019c4143904ef2UL;
   tf->codes[63260] = 0x0001d98402c97602UL;
   tf->codes[63261] = 0x0001f2914601489cUL;
   tf->codes[63262] = 0x0000427ebaa642f3UL;
   tf->codes[63263] = 0x00009229d946b420UL;
   tf->codes[63264] = 0x000007f941cd2786UL;
   tf->codes[63265] = 0x000191abc85d29a2UL;
   tf->codes[63266] = 0x0001cb3f6a2464ebUL;
   tf->codes[63267] = 0x0001450429a0af57UL;
   tf->codes[63268] = 0x00016b225c7311ccUL;
   tf->codes[63269] = 0x000125cb79a41aa8UL;
   tf->codes[63270] = 0x0001682e88058d85UL;
   tf->codes[63271] = 0x00019151b72c24f8UL;
   tf->codes[63272] = 0x0001afec3a060b6aUL;
   tf->codes[63273] = 0x0001f2340febcfb4UL;
   tf->codes[63274] = 0x00014271aa1ca964UL;
   tf->codes[63275] = 0x0001fe883a11b9f3UL;
   tf->codes[63276] = 0x00004a6b11cbc4b3UL;
   tf->codes[63277] = 0x000122252ae5f466UL;
   tf->codes[63278] = 0x000079f6fbd3f740UL;
   tf->codes[63279] = 0x0000808b3b66e84fUL;
   tf->codes[63280] = 0x000197d6b23e7000UL;
   tf->codes[63281] = 0x000008eca502bfe0UL;
   tf->codes[63282] = 0x00015f53e66e0a05UL;
   tf->codes[63283] = 0x0001c40e892faf0cUL;
   tf->codes[63284] = 0x00000eb073151b25UL;
   tf->codes[63285] = 0x0000e9756c7f0819UL;
   tf->codes[63286] = 0x0001965bf3fefa30UL;
   tf->codes[63287] = 0x00004ceb36d88ce9UL;
   tf->codes[63288] = 0x00011ec6ea86b654UL;
   tf->codes[63289] = 0x00013a8c13cc2597UL;
   tf->codes[63290] = 0x0001cec1873a5a33UL;
   tf->codes[63291] = 0x00003ba8b8ce2ae6UL;
   tf->codes[63292] = 0x0000da5500f54e7dUL;
   tf->codes[63293] = 0x00000e8c061846d4UL;
   tf->codes[63294] = 0x00014ec2dbc4e634UL;
   tf->codes[63295] = 0x00000d1423a331beUL;
   tf->codes[63296] = 0x00007bc8f0a27d5bUL;
   tf->codes[63297] = 0x000034aeaf01012fUL;
   tf->codes[63298] = 0x000137c2568d95b1UL;
   tf->codes[63299] = 0x00016eade95ed029UL;
   tf->codes[63300] = 0x0001f5e35a8a1fdcUL;
   tf->codes[63301] = 0x000150c20c440625UL;
   tf->codes[63302] = 0x00012f145e7284ffUL;
   tf->codes[63303] = 0x0000bc593e9aa9abUL;
   tf->codes[63304] = 0x00015417619f00c6UL;
   tf->codes[63305] = 0x0001988b863b9490UL;
   tf->codes[63306] = 0x0000a1ee1e1345f6UL;
   tf->codes[63307] = 0x0001720f32b4d356UL;
   tf->codes[63308] = 0x000022b0cb3eeaf7UL;
   tf->codes[63309] = 0x0001df3f8884cc8aUL;
   tf->codes[63310] = 0x000041e98a295c2eUL;
   tf->codes[63311] = 0x00013647d33ff46fUL;
   tf->codes[63312] = 0x0000a026841c3d96UL;
   tf->codes[63313] = 0x0001d43b7400da44UL;
   tf->codes[63314] = 0x000064dcc7e9cbe7UL;
   tf->codes[63315] = 0x0001713f0ab11fd9UL;
   tf->codes[63316] = 0x0001e689769d7f23UL;
   tf->codes[63317] = 0x00002cae55b5a922UL;
   tf->codes[63318] = 0x000143287f5b91b4UL;
   tf->codes[63319] = 0x00014077b09fa7e6UL;
   tf->codes[63320] = 0x0001fde94219e8d6UL;
   tf->codes[63321] = 0x0000ac322b8ad1adUL;
   tf->codes[63322] = 0x0000d76c9e0225d4UL;
   tf->codes[63323] = 0x00013df292990c13UL;
   tf->codes[63324] = 0x000165d8f1f96cb9UL;
   tf->codes[63325] = 0x0001c1fd925b8253UL;
   tf->codes[63326] = 0x000070ae5570a688UL;
   tf->codes[63327] = 0x00015c3704d76b6eUL;
   tf->codes[63328] = 0x0001f3fe88c3af16UL;
   tf->codes[63329] = 0x0001f67c465e848aUL;
   tf->codes[63330] = 0x00007c3ca2541222UL;
   tf->codes[63331] = 0x0000f47ad422e7f4UL;
   tf->codes[63332] = 0x0000072022282cc6UL;
   tf->codes[63333] = 0x00006da825c646f2UL;
   tf->codes[63334] = 0x0001231aad9bd859UL;
   tf->codes[63335] = 0x00019d555f5dc7d6UL;
   tf->codes[63336] = 0x0001c9e67abcdebfUL;
   tf->codes[63337] = 0x00008371767ba430UL;
   tf->codes[63338] = 0x00008d2cb9161827UL;
   tf->codes[63339] = 0x0001b42b7686a047UL;
   tf->codes[63340] = 0x0000b6f860e63041UL;
   tf->codes[63341] = 0x00012dee1870a907UL;
   tf->codes[63342] = 0x0001258c2ee72f4fUL;
   tf->codes[63343] = 0x0000563666659d4dUL;
   tf->codes[63344] = 0x0001d41a5914de92UL;
   tf->codes[63345] = 0x0001fa11b77879f4UL;
   tf->codes[63346] = 0x0001d5b3f9232e0eUL;
   tf->codes[63347] = 0x00007683d03b3828UL;
   tf->codes[63348] = 0x0001142cb2d6cd19UL;
   tf->codes[63349] = 0x000128b19868589dUL;
   tf->codes[63350] = 0x00009536be517a32UL;
   tf->codes[63351] = 0x0000e32394f4f304UL;
   tf->codes[63352] = 0x0001108d14d75be7UL;
   tf->codes[63353] = 0x00004174d49ed9e6UL;
   tf->codes[63354] = 0x00007e50defee271UL;
   tf->codes[63355] = 0x000172448131ec59UL;
   tf->codes[63356] = 0x0001d4e81b31da71UL;
   tf->codes[63357] = 0x0001b80f6c2f2d2cUL;
   tf->codes[63358] = 0x000199011c18d199UL;
   tf->codes[63359] = 0x0000ba9bd5026224UL;
   tf->codes[63360] = 0x00005ffa2f5f60d7UL;
   tf->codes[63361] = 0x0000fc86e98dea47UL;
   tf->codes[63362] = 0x00004f244a29a59cUL;
   tf->codes[63363] = 0x000155629dae1956UL;
   tf->codes[63364] = 0x0001d7aafcd6299cUL;
   tf->codes[63365] = 0x0000b435558ec1c6UL;
   tf->codes[63366] = 0x00017fb006cf0682UL;
   tf->codes[63367] = 0x00006eb6306bd332UL;
   tf->codes[63368] = 0x000075263d2e26ecUL;
   tf->codes[63369] = 0x000157b060e40fb8UL;
   tf->codes[63370] = 0x0000a596e5e4e301UL;
   tf->codes[63371] = 0x0000365104263fc3UL;
   tf->codes[63372] = 0x00006ba891ca9f7eUL;
   tf->codes[63373] = 0x0001fdd36ca450bcUL;
   tf->codes[63374] = 0x000125f60af59ac8UL;
   tf->codes[63375] = 0x000168e1a8df820eUL;
   tf->codes[63376] = 0x00002b07cc5e7158UL;
   tf->codes[63377] = 0x000136f14829defaUL;
   tf->codes[63378] = 0x00013fda8de5a283UL;
   tf->codes[63379] = 0x0001f6f7a3212e58UL;
   tf->codes[63380] = 0x0000083a4d2f8861UL;
   tf->codes[63381] = 0x00003518444631daUL;
   tf->codes[63382] = 0x000190812dfcc2aeUL;
   tf->codes[63383] = 0x0001a26974876ddbUL;
   tf->codes[63384] = 0x00007d06662c6924UL;
   tf->codes[63385] = 0x000116c97fcfaf63UL;
   tf->codes[63386] = 0x00013ce8ab6936abUL;
   tf->codes[63387] = 0x000096ce16b799e9UL;
   tf->codes[63388] = 0x0001dbe8d80e91eeUL;
   tf->codes[63389] = 0x000054c25b35b543UL;
   tf->codes[63390] = 0x000036cda0dc17fbUL;
   tf->codes[63391] = 0x0001466c672f0d2bUL;
   tf->codes[63392] = 0x00014c931526329fUL;
   tf->codes[63393] = 0x000100ac10d2b246UL;
   tf->codes[63394] = 0x0001404869611f34UL;
   tf->codes[63395] = 0x00006a470c504fa5UL;
   tf->codes[63396] = 0x0000037ca4229e90UL;
   tf->codes[63397] = 0x0000149830a81e02UL;
   tf->codes[63398] = 0x00019cf198b62ba4UL;
   tf->codes[63399] = 0x0001a7de932fa5faUL;
   tf->codes[63400] = 0x0001f2f2cde14918UL;
   tf->codes[63401] = 0x00005f30f497721cUL;
   tf->codes[63402] = 0x00015fd52aa58127UL;
   tf->codes[63403] = 0x000187be83492cceUL;
   tf->codes[63404] = 0x000188727a6cdbaeUL;
   tf->codes[63405] = 0x0001d668b1f8410dUL;
   tf->codes[63406] = 0x000021c78d564ac8UL;
   tf->codes[63407] = 0x000043e925dd2b56UL;
   tf->codes[63408] = 0x0001abf7f1b7bfe1UL;
   tf->codes[63409] = 0x00009e7e8ecddf5cUL;
   tf->codes[63410] = 0x0000a1f232fdef0fUL;
   tf->codes[63411] = 0x00015cdd90318512UL;
   tf->codes[63412] = 0x00011839ba4a25baUL;
   tf->codes[63413] = 0x0001e480b0718aa7UL;
   tf->codes[63414] = 0x000031822632d2a0UL;
   tf->codes[63415] = 0x000126166b22bc7dUL;
   tf->codes[63416] = 0x000074d287678ec5UL;
   tf->codes[63417] = 0x00017bb21ecae604UL;
   tf->codes[63418] = 0x00007b8aa225fbe6UL;
   tf->codes[63419] = 0x0000ce12983f94e8UL;
   tf->codes[63420] = 0x00011f0cff5c0278UL;
   tf->codes[63421] = 0x0001eb42587eab24UL;
   tf->codes[63422] = 0x00002cb2eeac3a4dUL;
   tf->codes[63423] = 0x0001b54ee74dd6deUL;
   tf->codes[63424] = 0x0000351027f32523UL;
   tf->codes[63425] = 0x0000bf775c6806e9UL;
   tf->codes[63426] = 0x00008536a0a2989fUL;
   tf->codes[63427] = 0x00011cb72cd2d1faUL;
   tf->codes[63428] = 0x0001ad658a940c7aUL;
   tf->codes[63429] = 0x00002f7569bd8badUL;
   tf->codes[63430] = 0x0001233e8e917232UL;
   tf->codes[63431] = 0x0001a8a7fe3a6f5eUL;
   tf->codes[63432] = 0x0000a2f0573b3426UL;
   tf->codes[63433] = 0x00016e6eebfadaf7UL;
   tf->codes[63434] = 0x000015c499736aa5UL;
   tf->codes[63435] = 0x00002268a71f4034UL;
   tf->codes[63436] = 0x00006cafc138b9ccUL;
   tf->codes[63437] = 0x0001c7cbcf37b810UL;
   tf->codes[63438] = 0x0001d2f843888c0dUL;
   tf->codes[63439] = 0x00004ba6b71c64f7UL;
   tf->codes[63440] = 0x00012f969c998d4fUL;
   tf->codes[63441] = 0x00013a7b02ee47e5UL;
   tf->codes[63442] = 0x00011f22ad0c852fUL;
   tf->codes[63443] = 0x000010b59e98965eUL;
   tf->codes[63444] = 0x00011fbff055eb21UL;
   tf->codes[63445] = 0x0000d322622e6eb2UL;
   tf->codes[63446] = 0x00018d99f2258f94UL;
   tf->codes[63447] = 0x00000fcc4d20683bUL;
   tf->codes[63448] = 0x0000b5938feac322UL;
   tf->codes[63449] = 0x0000145853b70ba1UL;
   tf->codes[63450] = 0x000194e8e888c11bUL;
   tf->codes[63451] = 0x0000cfa80da278b8UL;
   tf->codes[63452] = 0x000131f8d9643e3eUL;
   tf->codes[63453] = 0x0001d8156e92012eUL;
   tf->codes[63454] = 0x00019083242cbdc0UL;
   tf->codes[63455] = 0x000057bfc0ce00c0UL;
   tf->codes[63456] = 0x0001b782322e47a8UL;
   tf->codes[63457] = 0x0001da755275cd1aUL;
   tf->codes[63458] = 0x0000336fbbfe0f06UL;
   tf->codes[63459] = 0x00012d66e0a9d39fUL;
   tf->codes[63460] = 0x00012f45de8b0505UL;
   tf->codes[63461] = 0x0000089ba6bab821UL;
   tf->codes[63462] = 0x00006a01fbd663e2UL;
   tf->codes[63463] = 0x000032a34b75c598UL;
   tf->codes[63464] = 0x00017482737d3373UL;
   tf->codes[63465] = 0x0000b00e8d2b1c90UL;
   tf->codes[63466] = 0x00000eb4aa1a5ff1UL;
   tf->codes[63467] = 0x0000ed7cee8e83dcUL;
   tf->codes[63468] = 0x00011a6aae31bb6eUL;
   tf->codes[63469] = 0x00005b725bf1ee63UL;
   tf->codes[63470] = 0x000088fccc479616UL;
   tf->codes[63471] = 0x00009540c74df471UL;
   tf->codes[63472] = 0x00009f0387cd190eUL;
   tf->codes[63473] = 0x000051841724429aUL;
   tf->codes[63474] = 0x00005e61c999c615UL;
   tf->codes[63475] = 0x0001411f2a74bb41UL;
   tf->codes[63476] = 0x00003936587829a1UL;
   tf->codes[63477] = 0x00006617bdf029a5UL;
   tf->codes[63478] = 0x0000a0ecc2aa0f1fUL;
   tf->codes[63479] = 0x00016edddfa470afUL;
   tf->codes[63480] = 0x00019c9aa2e30daeUL;
   tf->codes[63481] = 0x0001aae68dcba62eUL;
   tf->codes[63482] = 0x0000afd340b2d614UL;
   tf->codes[63483] = 0x0000cbae5f9a6f37UL;
   tf->codes[63484] = 0x0000fc96095ff133UL;
   tf->codes[63485] = 0x000126a1dab47443UL;
   tf->codes[63486] = 0x0000129681cddc61UL;
   tf->codes[63487] = 0x0000215e2cf5a632UL;
   tf->codes[63488] = 0x0000a6cb801e0573UL;
   tf->codes[63489] = 0x00017fbe4af00419UL;
   tf->codes[63490] = 0x000090739f315ed4UL;
   tf->codes[63491] = 0x00018a4ba7e212c5UL;
   tf->codes[63492] = 0x00009462f5159219UL;
   tf->codes[63493] = 0x0000f78ee40eeed5UL;
   tf->codes[63494] = 0x0001af283d32c544UL;
   tf->codes[63495] = 0x0001ec23638dde77UL;
   tf->codes[63496] = 0x0000384081339ab3UL;
   tf->codes[63497] = 0x0000f85887bab411UL;
   tf->codes[63498] = 0x0000c27fd9e782d4UL;
   tf->codes[63499] = 0x0000dd7323c72bf0UL;
   tf->codes[63500] = 0x000049c70d076753UL;
   tf->codes[63501] = 0x00017560f8791d62UL;
   tf->codes[63502] = 0x000151afdf66c7bcUL;
   tf->codes[63503] = 0x0001acff4f17dc22UL;
   tf->codes[63504] = 0x0000593638118cf8UL;
   tf->codes[63505] = 0x0000df73a51560c0UL;
   tf->codes[63506] = 0x0001897b7218ef1bUL;
   tf->codes[63507] = 0x000011c01f51ebb9UL;
   tf->codes[63508] = 0x0001e4a0e876c830UL;
   tf->codes[63509] = 0x000039cac070c63cUL;
   tf->codes[63510] = 0x0000e784030787cfUL;
   tf->codes[63511] = 0x0001a91db37ea09bUL;
   tf->codes[63512] = 0x00002f026e48c38eUL;
   tf->codes[63513] = 0x0001eba2c8936162UL;
   tf->codes[63514] = 0x0001afb4027b9460UL;
   tf->codes[63515] = 0x0000dfbd6b392a63UL;
   tf->codes[63516] = 0x0001ae75c4d02d36UL;
   tf->codes[63517] = 0x0001b342960d3f22UL;
   tf->codes[63518] = 0x00003a716504e784UL;
   tf->codes[63519] = 0x0000c4241ead0121UL;
   tf->codes[63520] = 0x00012ef9ff76ab22UL;
   tf->codes[63521] = 0x0001572dea3bafa7UL;
   tf->codes[63522] = 0x0000550fa59b3c1bUL;
   tf->codes[63523] = 0x0000e120f2580cc5UL;
   tf->codes[63524] = 0x000042d7a78e9da4UL;
   tf->codes[63525] = 0x00002f5110b31419UL;
   tf->codes[63526] = 0x00002bee85dea75eUL;
   tf->codes[63527] = 0x0001f498fbd6efdcUL;
   tf->codes[63528] = 0x0000350925bc3b60UL;
   tf->codes[63529] = 0x0000a8d55619f1c7UL;
   tf->codes[63530] = 0x0000ca00f9808a57UL;
   tf->codes[63531] = 0x0000e8c90187ececUL;
   tf->codes[63532] = 0x0001376ab98b2bb2UL;
   tf->codes[63533] = 0x0001a1c197b845ddUL;
   tf->codes[63534] = 0x0000929eaf1d6c45UL;
   tf->codes[63535] = 0x0000a1d3dd55f3f2UL;
   tf->codes[63536] = 0x0000e71fb6c8c867UL;
   tf->codes[63537] = 0x0001e6fd33e34f78UL;
   tf->codes[63538] = 0x0001ec52cf37db92UL;
   tf->codes[63539] = 0x00002f696e29ff84UL;
   tf->codes[63540] = 0x000047768e33a1fdUL;
   tf->codes[63541] = 0x0001a81c5ee84fcfUL;
   tf->codes[63542] = 0x000052abdfc3493eUL;
   tf->codes[63543] = 0x0000b8e89307eb7eUL;
   tf->codes[63544] = 0x00013d7118f6b378UL;
   tf->codes[63545] = 0x0000b2d27ac34fb9UL;
   tf->codes[63546] = 0x000085e07ffb94cfUL;
   tf->codes[63547] = 0x000135eec8bb28dcUL;
   tf->codes[63548] = 0x00000b5ab86f332bUL;
   tf->codes[63549] = 0x000028d0702c409dUL;
   tf->codes[63550] = 0x00007f34ce563bc4UL;
   tf->codes[63551] = 0x0000c0efe81a160cUL;
   tf->codes[63552] = 0x00011b9ec399583cUL;
   tf->codes[63553] = 0x00016ff54de590fbUL;
   tf->codes[63554] = 0x00001bbe30256aacUL;
   tf->codes[63555] = 0x000080d995399836UL;
   tf->codes[63556] = 0x000081e1ab6a8487UL;
   tf->codes[63557] = 0x00005e68abc3c229UL;
   tf->codes[63558] = 0x0000585f283963b7UL;
   tf->codes[63559] = 0x0000ec5a0ca1d353UL;
   tf->codes[63560] = 0x0001d07cab9aeec2UL;
   tf->codes[63561] = 0x0001f9eec5804cb2UL;
   tf->codes[63562] = 0x00008bb6f38d4b42UL;
   tf->codes[63563] = 0x0001280a177d3485UL;
   tf->codes[63564] = 0x000104aaf0f7fe1cUL;
   tf->codes[63565] = 0x00008a3f77ab33f7UL;
   tf->codes[63566] = 0x0001f4688019d037UL;
   tf->codes[63567] = 0x0001449985906c94UL;
   tf->codes[63568] = 0x00002d576115c3b1UL;
   tf->codes[63569] = 0x000125f3f95a6373UL;
   tf->codes[63570] = 0x00012ddfcc112e58UL;
   tf->codes[63571] = 0x00017794460d35abUL;
   tf->codes[63572] = 0x0001e1ac02081772UL;
   tf->codes[63573] = 0x00014178496e5671UL;
   tf->codes[63574] = 0x00001c95284ec76dUL;
   tf->codes[63575] = 0x0001ae1105c43afaUL;
   tf->codes[63576] = 0x00018470d47d39dfUL;
   tf->codes[63577] = 0x000063c37cf2005bUL;
   tf->codes[63578] = 0x00016021ab5e517aUL;
   tf->codes[63579] = 0x0000081ba4841d6dUL;
   tf->codes[63580] = 0x0001d59a3d9a3077UL;
   tf->codes[63581] = 0x0000c2af8336fbfcUL;
   tf->codes[63582] = 0x0001c2453b6f7d2aUL;
   tf->codes[63583] = 0x0001f60ff84ed081UL;
   tf->codes[63584] = 0x0001f649c91c7673UL;
   tf->codes[63585] = 0x0000166f56ce48e0UL;
   tf->codes[63586] = 0x00016a7f0deb8114UL;
   tf->codes[63587] = 0x0001d944c84277a3UL;
   tf->codes[63588] = 0x0000db3ecb87401bUL;
   tf->codes[63589] = 0x000109a7beeac7d0UL;
   tf->codes[63590] = 0x00012b3816ae58b7UL;
   tf->codes[63591] = 0x0001b7c482885722UL;
   tf->codes[63592] = 0x0001ce67882d4c70UL;
   tf->codes[63593] = 0x00004132d724b3a8UL;
   tf->codes[63594] = 0x0000ed995453148eUL;
   tf->codes[63595] = 0x0001d827c4873196UL;
   tf->codes[63596] = 0x00003170de3f343aUL;
   tf->codes[63597] = 0x0001e87fe964641bUL;
   tf->codes[63598] = 0x00015ad9d94299a6UL;
   tf->codes[63599] = 0x0001e02ea41881d1UL;
   tf->codes[63600] = 0x0000fb89107866b8UL;
   tf->codes[63601] = 0x00009c71c073e9b0UL;
   tf->codes[63602] = 0x0001206655762a86UL;
   tf->codes[63603] = 0x0001591ab5f766bfUL;
   tf->codes[63604] = 0x000012bf5048b260UL;
   tf->codes[63605] = 0x0000732390a7e45aUL;
   tf->codes[63606] = 0x0000b1a9c1dae988UL;
   tf->codes[63607] = 0x0000f5630406139dUL;
   tf->codes[63608] = 0x0000fb82d53a8bfbUL;
   tf->codes[63609] = 0x00015230e9d4d6abUL;
   tf->codes[63610] = 0x0001e2a5683d5d7aUL;
   tf->codes[63611] = 0x00010e05aee5659dUL;
   tf->codes[63612] = 0x0000be9f2154a98dUL;
   tf->codes[63613] = 0x000002be7eaddcdbUL;
   tf->codes[63614] = 0x0000ac36edf15776UL;
   tf->codes[63615] = 0x00011c36e55e379cUL;
   tf->codes[63616] = 0x00015b135330bbe7UL;
   tf->codes[63617] = 0x000173153dda43abUL;
   tf->codes[63618] = 0x000083907833e4f0UL;
   tf->codes[63619] = 0x0001d0523217df39UL;
   tf->codes[63620] = 0x0000a8fd297cca3dUL;
   tf->codes[63621] = 0x0000a64be5a2d4e5UL;
   tf->codes[63622] = 0x00002d3abe2e29d2UL;
   tf->codes[63623] = 0x00003cdabf4e37deUL;
   tf->codes[63624] = 0x00012b977b94c889UL;
   tf->codes[63625] = 0x00013154325570f3UL;
   tf->codes[63626] = 0x0001e0474b6f1e52UL;
   tf->codes[63627] = 0x000099787eb423d4UL;
   tf->codes[63628] = 0x0000f7d970e89cccUL;
   tf->codes[63629] = 0x0001109f55d1674eUL;
   tf->codes[63630] = 0x000165f64c65e3b2UL;
   tf->codes[63631] = 0x0000eda834f46449UL;
   tf->codes[63632] = 0x0001e17fc2fab649UL;
   tf->codes[63633] = 0x0000d1c55dfbe384UL;
   tf->codes[63634] = 0x000151791faadd62UL;
   tf->codes[63635] = 0x00014ce410343d7bUL;
   tf->codes[63636] = 0x00016c5d99c51d38UL;
   tf->codes[63637] = 0x0001e427d25385e3UL;
   tf->codes[63638] = 0x000004bddc59612dUL;
   tf->codes[63639] = 0x00006377c9e19e7eUL;
   tf->codes[63640] = 0x000077f97ba0d93cUL;
   tf->codes[63641] = 0x0000723ad351e72cUL;
   tf->codes[63642] = 0x00010617c08a62f9UL;
   tf->codes[63643] = 0x000142105d0af6dbUL;
   tf->codes[63644] = 0x0001c73d2ea6fb1aUL;
   tf->codes[63645] = 0x0000260e712b84e9UL;
   tf->codes[63646] = 0x000033d834304a8cUL;
   tf->codes[63647] = 0x0001866fa2456fdfUL;
   tf->codes[63648] = 0x0001d4ff56b0f499UL;
   tf->codes[63649] = 0x0000dc364f7ee7ceUL;
   tf->codes[63650] = 0x00011ec9dc5121cfUL;
   tf->codes[63651] = 0x0001aba8a14b3d42UL;
   tf->codes[63652] = 0x00007a5f526e09f3UL;
   tf->codes[63653] = 0x000137496a9fe594UL;
   tf->codes[63654] = 0x0001f79598882266UL;
   tf->codes[63655] = 0x0001fcc3a135c85fUL;
   tf->codes[63656] = 0x00001728779174cfUL;
   tf->codes[63657] = 0x0001bbe6784ba711UL;
   tf->codes[63658] = 0x000007f5eaf716e0UL;
   tf->codes[63659] = 0x00004afc4c3ea12fUL;
   tf->codes[63660] = 0x00003ae80926e141UL;
   tf->codes[63661] = 0x00010a5eb390a454UL;
   tf->codes[63662] = 0x00001181b73893d7UL;
   tf->codes[63663] = 0x00015377f9ad486bUL;
   tf->codes[63664] = 0x00013e55dfc0337dUL;
   tf->codes[63665] = 0x0001bb3e1de0ae43UL;
   tf->codes[63666] = 0x00008bb77e28eeadUL;
   tf->codes[63667] = 0x0001034d1a38285aUL;
   tf->codes[63668] = 0x0001f18689cfc94fUL;
   tf->codes[63669] = 0x0000507b23d6b5e7UL;
   tf->codes[63670] = 0x0000856f3eff55a2UL;
   tf->codes[63671] = 0x000180eb6d716275UL;
   tf->codes[63672] = 0x0000b2c4aca59f55UL;
   tf->codes[63673] = 0x000057d49161e315UL;
   tf->codes[63674] = 0x000112b568e26fb2UL;
   tf->codes[63675] = 0x0001d70e42bcd008UL;
   tf->codes[63676] = 0x0000813650868be4UL;
   tf->codes[63677] = 0x00008561a355b486UL;
   tf->codes[63678] = 0x0001a2e51c0f0a68UL;
   tf->codes[63679] = 0x000031a095541d8fUL;
   tf->codes[63680] = 0x0001cd69d1d85e0fUL;
   tf->codes[63681] = 0x0000b90d449cc5feUL;
   tf->codes[63682] = 0x0001ae7d88755066UL;
   tf->codes[63683] = 0x000115b589b5bb5aUL;
   tf->codes[63684] = 0x0000d807395ceeddUL;
   tf->codes[63685] = 0x00000a79f5714b18UL;
   tf->codes[63686] = 0x000094ae9c6e31cdUL;
   tf->codes[63687] = 0x0000b33e2477034fUL;
   tf->codes[63688] = 0x0001fb78c2f8bda2UL;
   tf->codes[63689] = 0x0000785bf8ceb97aUL;
   tf->codes[63690] = 0x0000b25ad41078edUL;
   tf->codes[63691] = 0x0001f1b22de81378UL;
   tf->codes[63692] = 0x0001d2129d0e683eUL;
   tf->codes[63693] = 0x00006237810b1741UL;
   tf->codes[63694] = 0x0001c831532b28caUL;
   tf->codes[63695] = 0x0000dac6d8a3df83UL;
   tf->codes[63696] = 0x000181280d6c654fUL;
   tf->codes[63697] = 0x000183880e664cb9UL;
   tf->codes[63698] = 0x0001a80cdbb96577UL;
   tf->codes[63699] = 0x0001c01f040d86deUL;
   tf->codes[63700] = 0x00007493de4f19dcUL;
   tf->codes[63701] = 0x00010a7ed9f45dd6UL;
   tf->codes[63702] = 0x00011086a67f7867UL;
   tf->codes[63703] = 0x000189ef95f1bd3bUL;
   tf->codes[63704] = 0x00000da54350cb72UL;
   tf->codes[63705] = 0x00018aa38d156c1bUL;
   tf->codes[63706] = 0x00009beb1ae13b50UL;
   tf->codes[63707] = 0x0000511c877f5c69UL;
   tf->codes[63708] = 0x0000e60f61843a31UL;
   tf->codes[63709] = 0x00013ccaba85d383UL;
   tf->codes[63710] = 0x00019890e22b9a4cUL;
   tf->codes[63711] = 0x0001f1730c7b78a6UL;
   tf->codes[63712] = 0x000099e9006f7bafUL;
   tf->codes[63713] = 0x000115119738db7cUL;
   tf->codes[63714] = 0x0001d553ef1b2037UL;
   tf->codes[63715] = 0x000013648d248fdbUL;
   tf->codes[63716] = 0x00005975599dcbe1UL;
   tf->codes[63717] = 0x00008f72ccd89044UL;
   tf->codes[63718] = 0x000085f66356412dUL;
   tf->codes[63719] = 0x0000b16f82e1c22eUL;
   tf->codes[63720] = 0x0001a2af7a2bb2c5UL;
   tf->codes[63721] = 0x0001cd0cf4f3418eUL;
   tf->codes[63722] = 0x0001dbc4d78e7d46UL;
   tf->codes[63723] = 0x00007e18a22cc080UL;
   tf->codes[63724] = 0x000088a0643d5a6dUL;
   tf->codes[63725] = 0x00017abe02e421b1UL;
   tf->codes[63726] = 0x0000e96bce93b676UL;
   tf->codes[63727] = 0x00005e1747ae5a31UL;
   tf->codes[63728] = 0x00013a2d4f8163f1UL;
   tf->codes[63729] = 0x0001540586d141ddUL;
   tf->codes[63730] = 0x0001921ab80724e5UL;
   tf->codes[63731] = 0x00019628c3536b07UL;
   tf->codes[63732] = 0x0001e5e494bc8161UL;
   tf->codes[63733] = 0x0000836bd737c633UL;
   tf->codes[63734] = 0x00008c7fe36cc0a3UL;
   tf->codes[63735] = 0x00019f7e6754cf93UL;
   tf->codes[63736] = 0x0000503c97b4b865UL;
   tf->codes[63737] = 0x000154ceb55efb8fUL;
   tf->codes[63738] = 0x0000b326973c89c2UL;
   tf->codes[63739] = 0x00003e4bbd681c41UL;
   tf->codes[63740] = 0x0001dc2c1139216fUL;
   tf->codes[63741] = 0x0001fe2617191bdcUL;
   tf->codes[63742] = 0x000147c1f2c0b016UL;
   tf->codes[63743] = 0x0001c6e9b685df00UL;
   tf->codes[63744] = 0x0001e9028f46d691UL;
   tf->codes[63745] = 0x0000a7f939126d7aUL;
   tf->codes[63746] = 0x0000f5a04b500697UL;
   tf->codes[63747] = 0x0001e0130dea6982UL;
   tf->codes[63748] = 0x000025f1125ca4b2UL;
   tf->codes[63749] = 0x0000918802ad542fUL;
   tf->codes[63750] = 0x0000eda7f2ccdae7UL;
   tf->codes[63751] = 0x00006c1c3c0354bfUL;
   tf->codes[63752] = 0x000142f73fdb7d68UL;
   tf->codes[63753] = 0x000055d9667cc0ecUL;
   tf->codes[63754] = 0x0000ea2e21e9fe36UL;
   tf->codes[63755] = 0x000114e87b84b36dUL;
   tf->codes[63756] = 0x0000a3d5e896ac59UL;
   tf->codes[63757] = 0x0000af4980a782a9UL;
   tf->codes[63758] = 0x0000fb65fd2b3b55UL;
   tf->codes[63759] = 0x0001419535f276b4UL;
   tf->codes[63760] = 0x00005e47617a2d77UL;
   tf->codes[63761] = 0x0000409278ffd9e2UL;
   tf->codes[63762] = 0x00009213d5bb9378UL;
   tf->codes[63763] = 0x0001566f6e4a390aUL;
   tf->codes[63764] = 0x0000f3f4e3c43df8UL;
   tf->codes[63765] = 0x0000fb342eb0fce4UL;
   tf->codes[63766] = 0x0000e81327e37505UL;
   tf->codes[63767] = 0x00011dee4b50d7faUL;
   tf->codes[63768] = 0x0000a77e560f80a2UL;
   tf->codes[63769] = 0x0001aac834046c85UL;
   tf->codes[63770] = 0x0000674195533984UL;
   tf->codes[63771] = 0x0001422485ed1a47UL;
   tf->codes[63772] = 0x00017e7e68694ff5UL;
   tf->codes[63773] = 0x000091296e662504UL;
   tf->codes[63774] = 0x000123200bdcb6cbUL;
   tf->codes[63775] = 0x0001356fb6ed91ccUL;
   tf->codes[63776] = 0x0001a85a21e009acUL;
   tf->codes[63777] = 0x0000b933a8f201bcUL;
   tf->codes[63778] = 0x00013e7fd1181c68UL;
   tf->codes[63779] = 0x0000eca3125c4949UL;
   tf->codes[63780] = 0x0000b616244b55a8UL;
   tf->codes[63781] = 0x0000bd32092aa40cUL;
   tf->codes[63782] = 0x0001ee555face866UL;
   tf->codes[63783] = 0x000000841a4a8497UL;
   tf->codes[63784] = 0x00006e1665c330e6UL;
   tf->codes[63785] = 0x0000fef5f1a243d9UL;
   tf->codes[63786] = 0x0000909f54453389UL;
   tf->codes[63787] = 0x00006070c766c9a2UL;
   tf->codes[63788] = 0x0000e71aea555fb0UL;
   tf->codes[63789] = 0x0001d74270adaed5UL;
   tf->codes[63790] = 0x0000378260c35933UL;
   tf->codes[63791] = 0x000088a83e060ef9UL;
   tf->codes[63792] = 0x0000b81a9806c915UL;
   tf->codes[63793] = 0x00015598eeb82ce4UL;
   tf->codes[63794] = 0x000047116600ae8eUL;
   tf->codes[63795] = 0x00008b269cc2e7fdUL;
   tf->codes[63796] = 0x000139309e909e35UL;
   tf->codes[63797] = 0x0000500290342088UL;
   tf->codes[63798] = 0x0001d305ad4090c1UL;
   tf->codes[63799] = 0x0001f7af4e864a64UL;
   tf->codes[63800] = 0x000022d5da62a898UL;
   tf->codes[63801] = 0x00014fd880dee934UL;
   tf->codes[63802] = 0x0000b3d9f11a48ecUL;
   tf->codes[63803] = 0x0000fa529737c050UL;
   tf->codes[63804] = 0x00017496a9e19c5aUL;
   tf->codes[63805] = 0x0001739e6b2b1aaaUL;
   tf->codes[63806] = 0x00009ee429048589UL;
   tf->codes[63807] = 0x000079df6ed8c5e1UL;
   tf->codes[63808] = 0x0000761e222df6d1UL;
   tf->codes[63809] = 0x000173615862e4fcUL;
   tf->codes[63810] = 0x000177997a7b50b6UL;
   tf->codes[63811] = 0x0001f540b91b9d0bUL;
   tf->codes[63812] = 0x00007280cdc4bf51UL;
   tf->codes[63813] = 0x0001ba2cf8c27cf8UL;
   tf->codes[63814] = 0x0001f509f07f1ea2UL;
   tf->codes[63815] = 0x000029e76658832eUL;
   tf->codes[63816] = 0x0000b21ea3263924UL;
   tf->codes[63817] = 0x00013ff7a752fc75UL;
   tf->codes[63818] = 0x00002cb1b690d7aeUL;
   tf->codes[63819] = 0x000040e701b68b66UL;
   tf->codes[63820] = 0x00007ad90daf07c1UL;
   tf->codes[63821] = 0x0000994c38710dd7UL;
   tf->codes[63822] = 0x000031db0efbeec5UL;
   tf->codes[63823] = 0x0001d42ce094fa15UL;
   tf->codes[63824] = 0x0000a0081998c18fUL;
   tf->codes[63825] = 0x0001544cea8798f3UL;
   tf->codes[63826] = 0x0000446fddb374b4UL;
   tf->codes[63827] = 0x00000a5a400c5e94UL;
   tf->codes[63828] = 0x0001285cbb62444cUL;
   tf->codes[63829] = 0x00013b8c57662facUL;
   tf->codes[63830] = 0x0001523b7ca756c3UL;
   tf->codes[63831] = 0x0001870d0d738f4bUL;
   tf->codes[63832] = 0x0001d0d23a383bcbUL;
   tf->codes[63833] = 0x0000c010e3d3998eUL;
   tf->codes[63834] = 0x0001d99787b267c4UL;
   tf->codes[63835] = 0x000173173c880403UL;
   tf->codes[63836] = 0x00016eaa34d655c7UL;
   tf->codes[63837] = 0x00004a3b5611476eUL;
   tf->codes[63838] = 0x00009277b30933e6UL;
   tf->codes[63839] = 0x000182458e60ad63UL;
   tf->codes[63840] = 0x00002c97c1819c96UL;
   tf->codes[63841] = 0x0000d06ccf7ce173UL;
   tf->codes[63842] = 0x000055b8c48ae49eUL;
   tf->codes[63843] = 0x00007786df268b4bUL;
   tf->codes[63844] = 0x0000905b3bcccf07UL;
   tf->codes[63845] = 0x00017be04243379dUL;
   tf->codes[63846] = 0x0000e77cb7735fd6UL;
   tf->codes[63847] = 0x0000f1df5c77455aUL;
   tf->codes[63848] = 0x00011f172a92bc81UL;
   tf->codes[63849] = 0x0000604929ae1ad3UL;
   tf->codes[63850] = 0x00001aa40bcd6e81UL;
   tf->codes[63851] = 0x0000d9a3a162e66dUL;
   tf->codes[63852] = 0x0001934a93d5797fUL;
   tf->codes[63853] = 0x00005b2505f44979UL;
   tf->codes[63854] = 0x0000686081790a76UL;
   tf->codes[63855] = 0x00013b67a277b432UL;
   tf->codes[63856] = 0x00015251914da60eUL;
   tf->codes[63857] = 0x000186770f6dde27UL;
   tf->codes[63858] = 0x000087ecea52ad94UL;
   tf->codes[63859] = 0x0001bffa9f8e77d3UL;
   tf->codes[63860] = 0x0001dfd22cbd9ad7UL;
   tf->codes[63861] = 0x0000ad9c92c21f9bUL;
   tf->codes[63862] = 0x0000de07577d536dUL;
   tf->codes[63863] = 0x0000652ca1000580UL;
   tf->codes[63864] = 0x000054e586f36834UL;
   tf->codes[63865] = 0x000145133a615320UL;
   tf->codes[63866] = 0x00017c83ee59ab76UL;
   tf->codes[63867] = 0x0001a27385be82aeUL;
   tf->codes[63868] = 0x0000a462d74c49baUL;
   tf->codes[63869] = 0x00012167ad4295b1UL;
   tf->codes[63870] = 0x0001be5f0e54ad7aUL;
   tf->codes[63871] = 0x0001e8137e3e9494UL;
   tf->codes[63872] = 0x00001d76c4ec284dUL;
   tf->codes[63873] = 0x000135a4a250f215UL;
   tf->codes[63874] = 0x000095301f10c28eUL;
   tf->codes[63875] = 0x0001708066b76927UL;
   tf->codes[63876] = 0x0000f97cd8917ab7UL;
   tf->codes[63877] = 0x0001e46f797976cdUL;
   tf->codes[63878] = 0x0000aa1560c4a793UL;
   tf->codes[63879] = 0x00016c9052fde59dUL;
   tf->codes[63880] = 0x0000afc9f8e16a90UL;
   tf->codes[63881] = 0x0001d10db6f35cf0UL;
   tf->codes[63882] = 0x00012e288e7bae91UL;
   tf->codes[63883] = 0x000156dc1cff467cUL;
   tf->codes[63884] = 0x0000702279e0bf75UL;
   tf->codes[63885] = 0x0001a7017f6eaadeUL;
   tf->codes[63886] = 0x000185e9e01bf288UL;
   tf->codes[63887] = 0x000118b255e42afbUL;
   tf->codes[63888] = 0x00018507d196a07dUL;
   tf->codes[63889] = 0x0001c98fdcce2a3aUL;
   tf->codes[63890] = 0x0000887c3b75bd82UL;
   tf->codes[63891] = 0x00011249f30a7fedUL;
   tf->codes[63892] = 0x00007c5872aa7ee9UL;
   tf->codes[63893] = 0x00005883615691b3UL;
   tf->codes[63894] = 0x00005b693324a84aUL;
   tf->codes[63895] = 0x0000bfa0c3c66360UL;
   tf->codes[63896] = 0x000163358ac45300UL;
   tf->codes[63897] = 0x000093100efa4a42UL;
   tf->codes[63898] = 0x00016f0df4ab0beeUL;
   tf->codes[63899] = 0x000175905caa3af7UL;
   tf->codes[63900] = 0x000176ba301192e5UL;
   tf->codes[63901] = 0x000008b0cd8824acUL;
   tf->codes[63902] = 0x00006287448414e2UL;
   tf->codes[63903] = 0x000083405c8f70a8UL;
   tf->codes[63904] = 0x0000a71684863bc1UL;
   tf->codes[63905] = 0x00005bca4de1efa2UL;
   tf->codes[63906] = 0x00007506bebb7481UL;
   tf->codes[63907] = 0x00019d78f7789659UL;
   tf->codes[63908] = 0x0000a81774da6778UL;
   tf->codes[63909] = 0x0001a29cc3f01539UL;
   tf->codes[63910] = 0x00009c627feefb9aUL;
   tf->codes[63911] = 0x00019cfcfd0d2e0cUL;
   tf->codes[63912] = 0x0001e2cac3d4cf99UL;
   tf->codes[63913] = 0x00007ce2f54c781cUL;
   tf->codes[63914] = 0x0000a55e3e6084b9UL;
   tf->codes[63915] = 0x0001c40f7c8ba25dUL;
   tf->codes[63916] = 0x000082d05681dfb0UL;
   tf->codes[63917] = 0x000117f66dabc9d8UL;
   tf->codes[63918] = 0x0001b94fbe885f6fUL;
   tf->codes[63919] = 0x0000c18c57ed0d3dUL;
   tf->codes[63920] = 0x0000d2b9f695547aUL;
   tf->codes[63921] = 0x0001166962ba8678UL;
   tf->codes[63922] = 0x00013b91bd82bc6dUL;
   tf->codes[63923] = 0x0001b4ab4d182f3aUL;
   tf->codes[63924] = 0x00016d8e95dc8156UL;
   tf->codes[63925] = 0x00013961a8c5751fUL;
   tf->codes[63926] = 0x0000624fcdc5c04eUL;
   tf->codes[63927] = 0x00017bf1527b1bd4UL;
   tf->codes[63928] = 0x000188480f515349UL;
   tf->codes[63929] = 0x0001ac3cfb3b3efeUL;
   tf->codes[63930] = 0x0001dc5ce4bb066eUL;
   tf->codes[63931] = 0x000037843e1c1b6aUL;
   tf->codes[63932] = 0x0000418318ff1fabUL;
   tf->codes[63933] = 0x0000f36355c79c41UL;
   tf->codes[63934] = 0x00001bfd12a0967bUL;
   tf->codes[63935] = 0x00012dcf3efc0e06UL;
   tf->codes[63936] = 0x000138c0749a0bb4UL;
   tf->codes[63937] = 0x0000066cb76aa4a3UL;
   tf->codes[63938] = 0x000110d19002c7d6UL;
   tf->codes[63939] = 0x0001570bb5100a66UL;
   tf->codes[63940] = 0x0001b22528e7cd30UL;
   tf->codes[63941] = 0x0000c65df870d376UL;
   tf->codes[63942] = 0x0000c94fe9db1bd6UL;
   tf->codes[63943] = 0x0001edd716c66a49UL;
   tf->codes[63944] = 0x000098184e04a0cbUL;
   tf->codes[63945] = 0x000035e73f5fef7dUL;
   tf->codes[63946] = 0x000194abc89d3237UL;
   tf->codes[63947] = 0x0001e4f94fe7a3c2UL;
   tf->codes[63948] = 0x00009266a102e9d9UL;
   tf->codes[63949] = 0x00014559d1547d69UL;
   tf->codes[63950] = 0x0001481c2e8a15b9UL;
   tf->codes[63951] = 0x00015761e3874a8dUL;
   tf->codes[63952] = 0x00013a1d4b5d07cfUL;
   tf->codes[63953] = 0x0001be717de6b44fUL;
   tf->codes[63954] = 0x0001b14581d46de7UL;
   tf->codes[63955] = 0x00003fcc992957d5UL;
   tf->codes[63956] = 0x0000c1775d62e0e6UL;
   tf->codes[63957] = 0x000118c4e163e0f3UL;
   tf->codes[63958] = 0x000059ec4c412820UL;
   tf->codes[63959] = 0x00015d40ea78232eUL;
   tf->codes[63960] = 0x0000bf8737fdcd92UL;
   tf->codes[63961] = 0x0000e363aa204ff0UL;
   tf->codes[63962] = 0x0001af2afc892177UL;
   tf->codes[63963] = 0x00003f61086c8131UL;
   tf->codes[63964] = 0x0000b4fc6e1edae5UL;
   tf->codes[63965] = 0x0000026683336b8eUL;
   tf->codes[63966] = 0x00004bc9f4de6ab8UL;
   tf->codes[63967] = 0x000069dd82190524UL;
   tf->codes[63968] = 0x00010c2fd0470a42UL;
   tf->codes[63969] = 0x0001d7310ade575fUL;
   tf->codes[63970] = 0x000119c4e8419328UL;
   tf->codes[63971] = 0x00000d5cdef7a13aUL;
   tf->codes[63972] = 0x00008f560a46d77fUL;
   tf->codes[63973] = 0x00011c069a666580UL;
   tf->codes[63974] = 0x0000ae1a5ad2d005UL;
   tf->codes[63975] = 0x0001853e9ffd3cadUL;
   tf->codes[63976] = 0x00018d586cff8f3fUL;
   tf->codes[63977] = 0x0000b6807fe39bdeUL;
   tf->codes[63978] = 0x00017e4c7a44f29eUL;
   tf->codes[63979] = 0x000141f0a63a734aUL;
   tf->codes[63980] = 0x0000c1a3ce3e57dcUL;
   tf->codes[63981] = 0x000157ab70447ac6UL;
   tf->codes[63982] = 0x00016cc5b4a7bdcbUL;
   tf->codes[63983] = 0x00002e5127f06322UL;
   tf->codes[63984] = 0x0000dda48e3e8d7aUL;
   tf->codes[63985] = 0x00014e7dd46ad6aeUL;
   tf->codes[63986] = 0x000159553fd524efUL;
   tf->codes[63987] = 0x00017c6b9a2622e3UL;
   tf->codes[63988] = 0x000004086fd7a26aUL;
   tf->codes[63989] = 0x00004fa5f849d8ffUL;
   tf->codes[63990] = 0x0001a880ac2bf4f7UL;
   tf->codes[63991] = 0x00001701b85d1aebUL;
   tf->codes[63992] = 0x0001e10311cc2bf0UL;
   tf->codes[63993] = 0x000039f3fd5665d1UL;
   tf->codes[63994] = 0x0000bf1b5189df98UL;
   tf->codes[63995] = 0x000141057284a6d2UL;
   tf->codes[63996] = 0x00000ad4d826d212UL;
   tf->codes[63997] = 0x000012af746bde81UL;
   tf->codes[63998] = 0x0000a0b3b42fe443UL;
   tf->codes[63999] = 0x0001fefe17171e0fUL;
   tf->codes[64000] = 0x0001146cd9a3ae0cUL;
   tf->codes[64001] = 0x00007c3481be4044UL;
   tf->codes[64002] = 0x0001331039bc67c2UL;
   tf->codes[64003] = 0x0001e232375db3e2UL;
   tf->codes[64004] = 0x000071befdd46628UL;
   tf->codes[64005] = 0x0001bb3dbdfd0fe8UL;
   tf->codes[64006] = 0x00007378d01dd566UL;
   tf->codes[64007] = 0x0000eb21a31af3b7UL;
   tf->codes[64008] = 0x000145df7a639733UL;
   tf->codes[64009] = 0x00017b2663ca5f80UL;
   tf->codes[64010] = 0x0001df624d098835UL;
   tf->codes[64011] = 0x0001e814e73ee8d3UL;
   tf->codes[64012] = 0x00016d5b6d6f6f45UL;
   tf->codes[64013] = 0x00018d55bf89ff41UL;
   tf->codes[64014] = 0x000062937a637c1eUL;
   tf->codes[64015] = 0x000066eb682409cfUL;
   tf->codes[64016] = 0x0001b2e85b05948dUL;
   tf->codes[64017] = 0x0001cdd3fafc94fdUL;
   tf->codes[64018] = 0x00013fa1b261f9cfUL;
   tf->codes[64019] = 0x000059a7bf7055a6UL;
   tf->codes[64020] = 0x00013e545bd715dbUL;
   tf->codes[64021] = 0x0000e1356db74aa4UL;
   tf->codes[64022] = 0x00014a0de451c3e6UL;
   tf->codes[64023] = 0x0001c260374a9570UL;
   tf->codes[64024] = 0x00012d8d8f80d76aUL;
   tf->codes[64025] = 0x0001cc48c4e64e8eUL;
   tf->codes[64026] = 0x00003f7ac8b6d44bUL;
   tf->codes[64027] = 0x00004a32cea92f97UL;
   tf->codes[64028] = 0x00009e73d8714a00UL;
   tf->codes[64029] = 0x0000ba3d1fc5211dUL;
   tf->codes[64030] = 0x00016b4da94526f7UL;
   tf->codes[64031] = 0x00003336f9b46df6UL;
   tf->codes[64032] = 0x0000a627af356be4UL;
   tf->codes[64033] = 0x0001199e8d2fba42UL;
   tf->codes[64034] = 0x0001d7553362c998UL;
   tf->codes[64035] = 0x0000f4b66ad9cbcbUL;
   tf->codes[64036] = 0x0001318a73ac0a67UL;
   tf->codes[64037] = 0x00003821a56e26fcUL;
   tf->codes[64038] = 0x000044fa410e1dcaUL;
   tf->codes[64039] = 0x0000d66605660176UL;
   tf->codes[64040] = 0x00009e9905317883UL;
   tf->codes[64041] = 0x0000086fa5f4e9fcUL;
   tf->codes[64042] = 0x00015281c473250fUL;
   tf->codes[64043] = 0x0001a7d6717167c1UL;
   tf->codes[64044] = 0x0001d7dd4007c24aUL;
   tf->codes[64045] = 0x00002210738645efUL;
   tf->codes[64046] = 0x000068dd81cb0e48UL;
   tf->codes[64047] = 0x00006ac4f6581527UL;
   tf->codes[64048] = 0x0000ce4c64ca75b3UL;
   tf->codes[64049] = 0x000125d7e632914bUL;
   tf->codes[64050] = 0x00005ceb883fabb2UL;
   tf->codes[64051] = 0x0000253f87096f4eUL;
   tf->codes[64052] = 0x000044a431383445UL;
   tf->codes[64053] = 0x0001b87f90776379UL;
   tf->codes[64054] = 0x00008dffdbe46f45UL;
   tf->codes[64055] = 0x0001393aa2a83c56UL;
   tf->codes[64056] = 0x000191be8ecad1a4UL;
   tf->codes[64057] = 0x00013209202eb41eUL;
   tf->codes[64058] = 0x00018e7b4bf56d97UL;
   tf->codes[64059] = 0x0001f9cfabb28e25UL;
   tf->codes[64060] = 0x00012d24eb6a47f5UL;
   tf->codes[64061] = 0x0001b8fd170683fcUL;
   tf->codes[64062] = 0x00005c44b932cd88UL;
   tf->codes[64063] = 0x000074503f53479eUL;
   tf->codes[64064] = 0x0000f40c77ae16f5UL;
   tf->codes[64065] = 0x0000a2c57e56f922UL;
   tf->codes[64066] = 0x0000de1eb9fbe566UL;
   tf->codes[64067] = 0x000062eb19d662eaUL;
   tf->codes[64068] = 0x0000e71d3721b3c1UL;
   tf->codes[64069] = 0x000106538071f340UL;
   tf->codes[64070] = 0x00012c0d829076a7UL;
   tf->codes[64071] = 0x000167f69f9e8ff4UL;
   tf->codes[64072] = 0x00005ef446704dc8UL;
   tf->codes[64073] = 0x0000a13280df1fc0UL;
   tf->codes[64074] = 0x0001231acd61b8d2UL;
   tf->codes[64075] = 0x0001d8dfae576741UL;
   tf->codes[64076] = 0x00006614ea800796UL;
   tf->codes[64077] = 0x0001a12001153aafUL;
   tf->codes[64078] = 0x0000c8f2554d9ba0UL;
   tf->codes[64079] = 0x0000c2ebcb06882fUL;
   tf->codes[64080] = 0x0000098ed88126f3UL;
   tf->codes[64081] = 0x00000a4318bee957UL;
   tf->codes[64082] = 0x0001ec68aca4e38eUL;
   tf->codes[64083] = 0x00005f835b791ccdUL;
   tf->codes[64084] = 0x00015debd1e8ef82UL;
   tf->codes[64085] = 0x0001f366c6583629UL;
   tf->codes[64086] = 0x00003323251dcad3UL;
   tf->codes[64087] = 0x00008a1b48305518UL;
   tf->codes[64088] = 0x0001e8e3b4ecf9e7UL;
   tf->codes[64089] = 0x000148da131f5e7eUL;
   tf->codes[64090] = 0x0001c386748b8170UL;
   tf->codes[64091] = 0x0001caca612fc17fUL;
   tf->codes[64092] = 0x00011c3243e5fea7UL;
   tf->codes[64093] = 0x0001c331c34a1cf7UL;
   tf->codes[64094] = 0x0001e6856b552527UL;
   tf->codes[64095] = 0x0001e94df5a0593eUL;
   tf->codes[64096] = 0x00001c7091de1bfaUL;
   tf->codes[64097] = 0x0001af003e8dafd6UL;
   tf->codes[64098] = 0x00000550ff36c88eUL;
   tf->codes[64099] = 0x00008d6920096ddcUL;
   tf->codes[64100] = 0x00016c9bc2470c9cUL;
   tf->codes[64101] = 0x000184388375907fUL;
   tf->codes[64102] = 0x0001c6d39cb788e5UL;
   tf->codes[64103] = 0x0000eb592fb9aef5UL;
   tf->codes[64104] = 0x00013c5c569c0582UL;
   tf->codes[64105] = 0x00015b8645c10d73UL;
   tf->codes[64106] = 0x0000bce2dad8bd20UL;
   tf->codes[64107] = 0x00005dfd5a141c1bUL;
   tf->codes[64108] = 0x00010371c01540b1UL;
   tf->codes[64109] = 0x0001dce3e58bbf39UL;
   tf->codes[64110] = 0x0001fb947b80b9d2UL;
   tf->codes[64111] = 0x00015a87daba8d8eUL;
   tf->codes[64112] = 0x000167c5da648e02UL;
   tf->codes[64113] = 0x000125dc6eb00acaUL;
   tf->codes[64114] = 0x000024242f3ba474UL;
   tf->codes[64115] = 0x0000cd95c1bc71f9UL;
   tf->codes[64116] = 0x0001f5a22fdc8c60UL;
   tf->codes[64117] = 0x00011e6c79b15b7dUL;
   tf->codes[64118] = 0x000192e22a0ac51dUL;
   tf->codes[64119] = 0x0001bb987742a244UL;
   tf->codes[64120] = 0x0000b66f09385df3UL;
   tf->codes[64121] = 0x0000b453d3dd316bUL;
   tf->codes[64122] = 0x0000e6c6887a9f62UL;
   tf->codes[64123] = 0x0001cb01ea5537acUL;
   tf->codes[64124] = 0x0001627d92c7fbdbUL;
   tf->codes[64125] = 0x000129bf8844bf91UL;
   tf->codes[64126] = 0x00013c0731c7d0a3UL;
   tf->codes[64127] = 0x0000ddbdec979435UL;
   tf->codes[64128] = 0x0000a518214cbb7dUL;
   tf->codes[64129] = 0x00004b8b6faef758UL;
   tf->codes[64130] = 0x0000ac71abee0429UL;
   tf->codes[64131] = 0x0000d21b445df5e7UL;
   tf->codes[64132] = 0x000121cffe755966UL;
   tf->codes[64133] = 0x00005292ea4a3680UL;
   tf->codes[64134] = 0x00004764cd852c61UL;
   tf->codes[64135] = 0x0000958c332e6a33UL;
   tf->codes[64136] = 0x0000fc6ecc09711bUL;
   tf->codes[64137] = 0x000122b00ce1540cUL;
   tf->codes[64138] = 0x000185b8b3462a87UL;
   tf->codes[64139] = 0x0000a07375b0544cUL;
   tf->codes[64140] = 0x00014d6999b8dc76UL;
   tf->codes[64141] = 0x000016cd7cc67008UL;
   tf->codes[64142] = 0x00002d215d1d9914UL;
   tf->codes[64143] = 0x0000b0fe629487a7UL;
   tf->codes[64144] = 0x0001377a8b379608UL;
   tf->codes[64145] = 0x00016bf0276cbf36UL;
   tf->codes[64146] = 0x0000b824840ccbedUL;
   tf->codes[64147] = 0x000136e976783e67UL;
   tf->codes[64148] = 0x0000fbe75323da95UL;
   tf->codes[64149] = 0x00016264967fe596UL;
   tf->codes[64150] = 0x000024ad445b3c13UL;
   tf->codes[64151] = 0x0000321a631be10dUL;
   tf->codes[64152] = 0x0001966197bd207aUL;
   tf->codes[64153] = 0x000097a9b2e56dffUL;
   tf->codes[64154] = 0x0000b447b5cc3ac6UL;
   tf->codes[64155] = 0x0000f5a4655ed3fcUL;
   tf->codes[64156] = 0x000157a0c8f9488dUL;
   tf->codes[64157] = 0x00018b831563ee27UL;
   tf->codes[64158] = 0x0001d8c0b4142383UL;
   tf->codes[64159] = 0x0001351c8b1ca395UL;
   tf->codes[64160] = 0x0001274fc0498532UL;
   tf->codes[64161] = 0x00008601b3bae6d8UL;
   tf->codes[64162] = 0x0001bcc50baf1824UL;
   tf->codes[64163] = 0x0000baaa9c02f8eeUL;
   tf->codes[64164] = 0x0001630548f03fa5UL;
   tf->codes[64165] = 0x00016fdbe4141045UL;
   tf->codes[64166] = 0x0001a080fd460352UL;
   tf->codes[64167] = 0x00003b9b6f7e1da2UL;
   tf->codes[64168] = 0x0000a92f54dff254UL;
   tf->codes[64169] = 0x0001559e0e2b22eeUL;
   tf->codes[64170] = 0x0000e7fd1065f7a0UL;
   tf->codes[64171] = 0x00003bf9ae0e3577UL;
   tf->codes[64172] = 0x00014b17714874a3UL;
   tf->codes[64173] = 0x0001914f20bb857bUL;
   tf->codes[64174] = 0x00004b41bb8f8085UL;
   tf->codes[64175] = 0x00004e0e295a16b1UL;
   tf->codes[64176] = 0x00010ab793fb9f4aUL;
   tf->codes[64177] = 0x0001eac6b8caf7deUL;
   tf->codes[64178] = 0x000053930fc93f57UL;
   tf->codes[64179] = 0x00007a16a6a5ab72UL;
   tf->codes[64180] = 0x0001639dcdced7bfUL;
   tf->codes[64181] = 0x0001c12c4e0694bfUL;
   tf->codes[64182] = 0x0000b181ceaa6b91UL;
   tf->codes[64183] = 0x00019ee7a77a33b5UL;
   tf->codes[64184] = 0x0001a2af3eb388d3UL;
   tf->codes[64185] = 0x0001db8edacc077dUL;
   tf->codes[64186] = 0x0001e65bec247595UL;
   tf->codes[64187] = 0x00008c65bf825f6bUL;
   tf->codes[64188] = 0x0000634edbfbf1c7UL;
   tf->codes[64189] = 0x000184b8dbe5b569UL;
   tf->codes[64190] = 0x00000dba89225d68UL;
   tf->codes[64191] = 0x00008e55f4381e10UL;
   tf->codes[64192] = 0x0001c2fe33e73e52UL;
   tf->codes[64193] = 0x0001491298e80d58UL;
   tf->codes[64194] = 0x0001526afb9db720UL;
   tf->codes[64195] = 0x0000be2e53c7b42bUL;
   tf->codes[64196] = 0x0000277bfe6fb370UL;
   tf->codes[64197] = 0x00009f392d25d33eUL;
   tf->codes[64198] = 0x000004749fe816c8UL;
   tf->codes[64199] = 0x00013f689c100328UL;
   tf->codes[64200] = 0x0001264e89f1bc3fUL;
   tf->codes[64201] = 0x0001ddb764a4cb8aUL;
   tf->codes[64202] = 0x0001a3fdbb94c4c4UL;
   tf->codes[64203] = 0x00014d7b4924ba50UL;
   tf->codes[64204] = 0x000014a96e088416UL;
   tf->codes[64205] = 0x00007fa756971fc2UL;
   tf->codes[64206] = 0x00016536a2a53592UL;
   tf->codes[64207] = 0x000168bfc759639bUL;
   tf->codes[64208] = 0x00017fa52302e213UL;
   tf->codes[64209] = 0x000047c72dffbfeaUL;
   tf->codes[64210] = 0x0000936c0852af1fUL;
   tf->codes[64211] = 0x00017227085f8468UL;
   tf->codes[64212] = 0x00017b208bc5e194UL;
   tf->codes[64213] = 0x00002e222549e09fUL;
   tf->codes[64214] = 0x0000c1e1caff79ecUL;
   tf->codes[64215] = 0x00006a3c275bbedbUL;
   tf->codes[64216] = 0x00017d3f78ff46f4UL;
   tf->codes[64217] = 0x00006a58dcaa7a53UL;
   tf->codes[64218] = 0x0000573c5a7e5819UL;
   tf->codes[64219] = 0x00004fc7a64f3d62UL;
   tf->codes[64220] = 0x000145c5bc89c0e6UL;
   tf->codes[64221] = 0x000078ca77998bd6UL;
   tf->codes[64222] = 0x0000fb67ee95fe60UL;
   tf->codes[64223] = 0x0001b503451578f2UL;
   tf->codes[64224] = 0x0000fdcd23de5cbeUL;
   tf->codes[64225] = 0x00016a7bc6e88e9fUL;
   tf->codes[64226] = 0x0001f9fad3d9e6b9UL;
   tf->codes[64227] = 0x000017a4034b0650UL;
   tf->codes[64228] = 0x000139e56ef0f719UL;
   tf->codes[64229] = 0x0000d82fab6d6b92UL;
   tf->codes[64230] = 0x000104477c2782e2UL;
   tf->codes[64231] = 0x00012bb882ed53c3UL;
   tf->codes[64232] = 0x0001ba3f9a423db1UL;
   tf->codes[64233] = 0x0000b839c0de25bdUL;
   tf->codes[64234] = 0x00010f8a03936b06UL;
   tf->codes[64235] = 0x000129f9a8bc3460UL;
   tf->codes[64236] = 0x0000164033d7adfcUL;
   tf->codes[64237] = 0x00014035a1e2e9e6UL;
   tf->codes[64238] = 0x0000afe431e2b25cUL;
   tf->codes[64239] = 0x0001f16e7ca4c3b8UL;
   tf->codes[64240] = 0x0000b718f71c67e2UL;
   tf->codes[64241] = 0x0000ba62eb134fc8UL;
   tf->codes[64242] = 0x0000cb69a6c1c233UL;
   tf->codes[64243] = 0x0001b442bac2c7e3UL;
   tf->codes[64244] = 0x00012b16ad9fe6c8UL;
   tf->codes[64245] = 0x0001edfcbbdabeb5UL;
   tf->codes[64246] = 0x0001a06d2a9d6a1cUL;
   tf->codes[64247] = 0x000010dc5c1a4bffUL;
   tf->codes[64248] = 0x0001e6c128cc38a1UL;
   tf->codes[64249] = 0x0000e591edfe523eUL;
   tf->codes[64250] = 0x0001bbe595a43116UL;
   tf->codes[64251] = 0x00012f214aeda528UL;
   tf->codes[64252] = 0x00003ee819058c03UL;
   tf->codes[64253] = 0x000086daa2143eabUL;
   tf->codes[64254] = 0x0001bb581b4a2806UL;
   tf->codes[64255] = 0x00018e5541b5cfe9UL;
   tf->codes[64256] = 0x00010ab665a9f4e7UL;
   tf->codes[64257] = 0x000141ef7554c57fUL;
   tf->codes[64258] = 0x0001a3f7836d604fUL;
   tf->codes[64259] = 0x000088f3abb4ea91UL;
   tf->codes[64260] = 0x00015801492447aeUL;
   tf->codes[64261] = 0x0000b888386cea9dUL;
   tf->codes[64262] = 0x0001ba70d93bfc99UL;
   tf->codes[64263] = 0x0001a723720c1570UL;
   tf->codes[64264] = 0x00008eb0544d5405UL;
   tf->codes[64265] = 0x0001fa69e4fc66b8UL;
   tf->codes[64266] = 0x0000c0fc51f4e530UL;
   tf->codes[64267] = 0x0000216f5aa2922cUL;
   tf->codes[64268] = 0x0001c0b44b6fba0dUL;
   tf->codes[64269] = 0x0000fcc9a45328e2UL;
   tf->codes[64270] = 0x00019f0fc3f71fafUL;
   tf->codes[64271] = 0x00008a9c0dc33326UL;
   tf->codes[64272] = 0x000145571889fa0bUL;
   tf->codes[64273] = 0x0001e5b58911e434UL;
   tf->codes[64274] = 0x0001a9722043c078UL;
   tf->codes[64275] = 0x0001b42ef3f194edUL;
   tf->codes[64276] = 0x0001b2eb736ca910UL;
   tf->codes[64277] = 0x0000975ac2195f09UL;
   tf->codes[64278] = 0x0001479b2332e29dUL;
   tf->codes[64279] = 0x0001f78181a66f46UL;
   tf->codes[64280] = 0x0001ba4fa139e569UL;
   tf->codes[64281] = 0x0001f61f4bb9708cUL;
   tf->codes[64282] = 0x00001091af967f22UL;
   tf->codes[64283] = 0x0000b4f7fe5513a6UL;
   tf->codes[64284] = 0x0001cb3cf947a632UL;
   tf->codes[64285] = 0x00011147a02234b5UL;
   tf->codes[64286] = 0x00012e2e2623266dUL;
   tf->codes[64287] = 0x0000228bfa1bb324UL;
   tf->codes[64288] = 0x0000a301406fbe08UL;
   tf->codes[64289] = 0x0000d60b62e6176dUL;
   tf->codes[64290] = 0x00013642dc4fec52UL;
   tf->codes[64291] = 0x0001ea9b1ebbae1fUL;
   tf->codes[64292] = 0x00009fc3a706dc79UL;
   tf->codes[64293] = 0x0001e987155556d4UL;
   tf->codes[64294] = 0x00007f13fed149c8UL;
   tf->codes[64295] = 0x000114c4ef19e20bUL;
   tf->codes[64296] = 0x0001669803d3b519UL;
   tf->codes[64297] = 0x0001420908d58301UL;
   tf->codes[64298] = 0x000009556e03541aUL;
   tf->codes[64299] = 0x000138f095780d33UL;
   tf->codes[64300] = 0x0000eb8efe864047UL;
   tf->codes[64301] = 0x0000a8fc6addf9e2UL;
   tf->codes[64302] = 0x000004342676b243UL;
   tf->codes[64303] = 0x000078a99c41161eUL;
   tf->codes[64304] = 0x0000b0c08dd7c328UL;
   tf->codes[64305] = 0x0001184a97a7495cUL;
   tf->codes[64306] = 0x00019e3dbba3d7caUL;
   tf->codes[64307] = 0x0001b23b627c03c4UL;
   tf->codes[64308] = 0x0000b76319870434UL;
   tf->codes[64309] = 0x0000c55bfba26e5dUL;
   tf->codes[64310] = 0x00018d95962a9e77UL;
   tf->codes[64311] = 0x0000a3c4b89122a1UL;
   tf->codes[64312] = 0x000105279f4b77d7UL;
   tf->codes[64313] = 0x0001bd7279f8cb6eUL;
   tf->codes[64314] = 0x0000c5c0beed433cUL;
   tf->codes[64315] = 0x000161659526001dUL;
   tf->codes[64316] = 0x0001accd8851e2e1UL;
   tf->codes[64317] = 0x00005a389ec4cbceUL;
   tf->codes[64318] = 0x0001a47bb0d1d98fUL;
   tf->codes[64319] = 0x00007b81fecc5268UL;
   tf->codes[64320] = 0x0001d791a9ca5139UL;
   tf->codes[64321] = 0x0000b47f8389b722UL;
   tf->codes[64322] = 0x0000d93a12271bb7UL;
   tf->codes[64323] = 0x0001ea53308957b5UL;
   tf->codes[64324] = 0x00003f5a5222f688UL;
   tf->codes[64325] = 0x00019705efc435dfUL;
   tf->codes[64326] = 0x0001eec4ae515dd7UL;
   tf->codes[64327] = 0x00000b4828698d5aUL;
   tf->codes[64328] = 0x000051808789af81UL;
   tf->codes[64329] = 0x0000fe65afaf7efaUL;
   tf->codes[64330] = 0x00016ca716055341UL;
   tf->codes[64331] = 0x0001c601be370467UL;
   tf->codes[64332] = 0x0001f5a6a5afb994UL;
   tf->codes[64333] = 0x0000a74f039ba8a7UL;
   tf->codes[64334] = 0x0000dbf767d7d2abUL;
   tf->codes[64335] = 0x0001fb4c33780d86UL;
   tf->codes[64336] = 0x0001d27ad9c879d2UL;
   tf->codes[64337] = 0x0000423137db25edUL;
   tf->codes[64338] = 0x00007fc824ac982dUL;
   tf->codes[64339] = 0x000095b2f8095b43UL;
   tf->codes[64340] = 0x000115df462535acUL;
   tf->codes[64341] = 0x0001f28218a5372dUL;
   tf->codes[64342] = 0x000140761c9c5eddUL;
   tf->codes[64343] = 0x0001c307ae8ba563UL;
   tf->codes[64344] = 0x0000bf76d8daaf33UL;
   tf->codes[64345] = 0x00011007a065c0fcUL;
   tf->codes[64346] = 0x0001549e4f5ebbf9UL;
   tf->codes[64347] = 0x00013684de8b6813UL;
   tf->codes[64348] = 0x00009ab56ddd6c51UL;
   tf->codes[64349] = 0x0000ce0b47403b6dUL;
   tf->codes[64350] = 0x0000f13a9076ae42UL;
   tf->codes[64351] = 0x00000e9fe5fc184fUL;
   tf->codes[64352] = 0x00005a7e1bfea1ecUL;
   tf->codes[64353] = 0x0001864d539c9848UL;
   tf->codes[64354] = 0x00001c22682ac021UL;
   tf->codes[64355] = 0x0000485d0c5b5228UL;
   tf->codes[64356] = 0x0001e0316707c72cUL;
   tf->codes[64357] = 0x00011e3f21cfe7d2UL;
   tf->codes[64358] = 0x00013aced8fd3365UL;
   tf->codes[64359] = 0x0000ba0431bab2b9UL;
   tf->codes[64360] = 0x0001268dd4ce4bafUL;
   tf->codes[64361] = 0x0000555615283d46UL;
   tf->codes[64362] = 0x0001c4f2006e4820UL;
   tf->codes[64363] = 0x00009c46406062a3UL;
   tf->codes[64364] = 0x0000ad76d84bf4e1UL;
   tf->codes[64365] = 0x00015cd8159863acUL;
   tf->codes[64366] = 0x000125f2dbe0bd01UL;
   tf->codes[64367] = 0x00004ba4e3e864bdUL;
   tf->codes[64368] = 0x00000c280de80642UL;
   tf->codes[64369] = 0x00017e0309b4b9b6UL;
   tf->codes[64370] = 0x0001ce7222946da1UL;
   tf->codes[64371] = 0x0000c36380e683b1UL;
   tf->codes[64372] = 0x0000b2c7f02787b1UL;
   tf->codes[64373] = 0x0001e2000bb37e95UL;
   tf->codes[64374] = 0x0000a1c334f53b74UL;
   tf->codes[64375] = 0x00017711ce9b5584UL;
   tf->codes[64376] = 0x000024cf2f407ef1UL;
   tf->codes[64377] = 0x000139c8c536772fUL;
   tf->codes[64378] = 0x0001e1c716f9b0c1UL;
   tf->codes[64379] = 0x00014ba8697423a6UL;
   tf->codes[64380] = 0x00004140890da7b3UL;
   tf->codes[64381] = 0x0001aa1140204b0fUL;
   tf->codes[64382] = 0x0000a00a5c9b5d64UL;
   tf->codes[64383] = 0x00015810d23cf3e4UL;
   tf->codes[64384] = 0x000199102dde5b22UL;
   tf->codes[64385] = 0x0001b4bfd69fac0fUL;
   tf->codes[64386] = 0x0000f445cbe4d1d7UL;
   tf->codes[64387] = 0x00011d99ee9a3bf8UL;
   tf->codes[64388] = 0x0001e4c403faaba3UL;
   tf->codes[64389] = 0x0000415217ea24feUL;
   tf->codes[64390] = 0x0000552c4a29d2b1UL;
   tf->codes[64391] = 0x0000975b6bb927dfUL;
   tf->codes[64392] = 0x0000fc77f5987242UL;
   tf->codes[64393] = 0x000103126240ff18UL;
   tf->codes[64394] = 0x00013c332f92ea13UL;
   tf->codes[64395] = 0x0000ae80070dc902UL;
   tf->codes[64396] = 0x0000d0be71f98086UL;
   tf->codes[64397] = 0x00010c7ffc60b3b2UL;
   tf->codes[64398] = 0x00012a67553ce6daUL;
   tf->codes[64399] = 0x00014bb2d2d6af20UL;
   tf->codes[64400] = 0x0001af1341391f5cUL;
   tf->codes[64401] = 0x00006de84ae46626UL;
   tf->codes[64402] = 0x00006ff41e460260UL;
   tf->codes[64403] = 0x00015166379d4785UL;
   tf->codes[64404] = 0x00015c7b1c62c93fUL;
   tf->codes[64405] = 0x00001da700af10abUL;
   tf->codes[64406] = 0x0001d2329641dadbUL;
   tf->codes[64407] = 0x00012003d54d9593UL;
   tf->codes[64408] = 0x0001ca90977449c6UL;
   tf->codes[64409] = 0x0000a1c8138c9b12UL;
   tf->codes[64410] = 0x00012438055b9179UL;
   tf->codes[64411] = 0x00011c675c956768UL;
   tf->codes[64412] = 0x0001f580c147275cUL;
   tf->codes[64413] = 0x0000bcdec379b4b6UL;
   tf->codes[64414] = 0x00011eea7a82abd6UL;
   tf->codes[64415] = 0x00018db4c80615c9UL;
   tf->codes[64416] = 0x000143cb6870cbf4UL;
   tf->codes[64417] = 0x000185c3a3eab872UL;
   tf->codes[64418] = 0x000075e328b53da8UL;
   tf->codes[64419] = 0x0000d5fc35d11334UL;
   tf->codes[64420] = 0x000187958968933cUL;
   tf->codes[64421] = 0x0001ddba995c5df9UL;
   tf->codes[64422] = 0x00000d6b65e23f2aUL;
   tf->codes[64423] = 0x000177457507072eUL;
   tf->codes[64424] = 0x0000985a228d62c7UL;
   tf->codes[64425] = 0x000166d3948132fbUL;
   tf->codes[64426] = 0x0001b15abb08fc0bUL;
   tf->codes[64427] = 0x000196309a01c6c7UL;
   tf->codes[64428] = 0x000007adb6bd40b6UL;
   tf->codes[64429] = 0x000075399a914b79UL;
   tf->codes[64430] = 0x0000972780d5141dUL;
   tf->codes[64431] = 0x0001335a296fca1aUL;
   tf->codes[64432] = 0x000196a0a137c41aUL;
   tf->codes[64433] = 0x00004e54832a37cdUL;
   tf->codes[64434] = 0x00015bca6927b408UL;
   tf->codes[64435] = 0x00009d79c26b6c0eUL;
   tf->codes[64436] = 0x00011c0794327013UL;
   tf->codes[64437] = 0x00012a801a6f3c6bUL;
   tf->codes[64438] = 0x0001e7c8e5ec6ca2UL;
   tf->codes[64439] = 0x00005361aab54a47UL;
   tf->codes[64440] = 0x00002312015fa98aUL;
   tf->codes[64441] = 0x000155e2cf9d56cbUL;
   tf->codes[64442] = 0x000029d42cb31487UL;
   tf->codes[64443] = 0x0000cd40b15d0cb7UL;
   tf->codes[64444] = 0x00017d8b5d9a93ecUL;
   tf->codes[64445] = 0x0001a3bb768bc626UL;
   tf->codes[64446] = 0x000071ac1e681c2cUL;
   tf->codes[64447] = 0x00017c54e6edf0ecUL;
   tf->codes[64448] = 0x0001ddd0ae02ad44UL;
   tf->codes[64449] = 0x0000619c8b92eb20UL;
   tf->codes[64450] = 0x00014ebf99401e90UL;
   tf->codes[64451] = 0x0001895d08378a0bUL;
   tf->codes[64452] = 0x0000c2469057fccfUL;
   tf->codes[64453] = 0x000154936a6e0db3UL;
   tf->codes[64454] = 0x00017794443aed51UL;
   tf->codes[64455] = 0x000119a9b2560579UL;
   tf->codes[64456] = 0x00017ade55aabf7eUL;
   tf->codes[64457] = 0x0001a490416f6721UL;
   tf->codes[64458] = 0x0001ea721ad5f6a7UL;
   tf->codes[64459] = 0x0000340445049c8cUL;
   tf->codes[64460] = 0x0001b56208f9894bUL;
   tf->codes[64461] = 0x00006a5ec3167f63UL;
   tf->codes[64462] = 0x0000e5370fc6f615UL;
   tf->codes[64463] = 0x0001134c93ca51a8UL;
   tf->codes[64464] = 0x00000731db55fdd4UL;
   tf->codes[64465] = 0x0001a2bfe7b275c4UL;
   tf->codes[64466] = 0x0000bbf9002ca01bUL;
   tf->codes[64467] = 0x00002c2875cc344eUL;
   tf->codes[64468] = 0x000116a86e42d81cUL;
   tf->codes[64469] = 0x000019c367b0253eUL;
   tf->codes[64470] = 0x0001452791d78f76UL;
   tf->codes[64471] = 0x0001ad72621407a2UL;
   tf->codes[64472] = 0x0001e89a6f9b1b73UL;
   tf->codes[64473] = 0x0000730b04f7e9c6UL;
   tf->codes[64474] = 0x00013aa4bafb58f9UL;
   tf->codes[64475] = 0x0000b44bbdd6b55bUL;
   tf->codes[64476] = 0x0001675fd01079fcUL;
   tf->codes[64477] = 0x000081ea4e98e262UL;
   tf->codes[64478] = 0x0001893f0407c3a1UL;
   tf->codes[64479] = 0x00004682521c6960UL;
   tf->codes[64480] = 0x000097fe3ffaa63dUL;
   tf->codes[64481] = 0x0000d7b779dbc6a9UL;
   tf->codes[64482] = 0x0000ebc1144c2c66UL;
   tf->codes[64483] = 0x0001d20ea2a1f4b7UL;
   tf->codes[64484] = 0x00007a218aad358bUL;
   tf->codes[64485] = 0x0000ac18b99a77f6UL;
   tf->codes[64486] = 0x00019f973dc1f7deUL;
   tf->codes[64487] = 0x000043dbb1d1367eUL;
   tf->codes[64488] = 0x00018c08d15c9c6aUL;
   tf->codes[64489] = 0x0001de705aac0fe5UL;
   tf->codes[64490] = 0x0000ecc87b32d631UL;
   tf->codes[64491] = 0x000082a1fe6067acUL;
   tf->codes[64492] = 0x0001fe38775694dcUL;
   tf->codes[64493] = 0x000063f8c93a023bUL;
   tf->codes[64494] = 0x000091ea6386d3fdUL;
   tf->codes[64495] = 0x0000af00b84b7b8aUL;
   tf->codes[64496] = 0x0000c1f533157ae2UL;
   tf->codes[64497] = 0x0000c421473d449dUL;
   tf->codes[64498] = 0x000149ea8efcb338UL;
   tf->codes[64499] = 0x0000bc51fdd13d2aUL;
   tf->codes[64500] = 0x00016136e8fc3282UL;
   tf->codes[64501] = 0x00018cc75d840001UL;
   tf->codes[64502] = 0x00008b8560e64084UL;
   tf->codes[64503] = 0x000178a70f395156UL;
   tf->codes[64504] = 0x0000c3f54dd0b1e7UL;
   tf->codes[64505] = 0x0001128ba46fddf2UL;
   tf->codes[64506] = 0x0000548a2301623aUL;
   tf->codes[64507] = 0x0000603132c64aafUL;
   tf->codes[64508] = 0x00004debc44e6590UL;
   tf->codes[64509] = 0x000095e23fca56d5UL;
   tf->codes[64510] = 0x0000a926e7345501UL;
   tf->codes[64511] = 0x000120ca7757ee9fUL;
   tf->codes[64512] = 0x000053f983c2e4ecUL;
   tf->codes[64513] = 0x000076727db46170UL;
   tf->codes[64514] = 0x0001cdf64e1fb4e1UL;
   tf->codes[64515] = 0x00008c9680bcc6e8UL;
   tf->codes[64516] = 0x0000987b18cabf5eUL;
   tf->codes[64517] = 0x0000e2a81f33a73cUL;
   tf->codes[64518] = 0x00007df5d607bc30UL;
   tf->codes[64519] = 0x000047a167f559a2UL;
   tf->codes[64520] = 0x000003318d6b25b8UL;
   tf->codes[64521] = 0x00006ac02a671f50UL;
   tf->codes[64522] = 0x0000e7091699cf00UL;
   tf->codes[64523] = 0x000118841029d490UL;
   tf->codes[64524] = 0x0000e92bf5dda434UL;
   tf->codes[64525] = 0x00008028e4cdec11UL;
   tf->codes[64526] = 0x00008811f8d071baUL;
   tf->codes[64527] = 0x0000983c23621c92UL;
   tf->codes[64528] = 0x0001aab4d675fc55UL;
   tf->codes[64529] = 0x0001fa49a7cf225fUL;
   tf->codes[64530] = 0x00005c8aab0459ccUL;
   tf->codes[64531] = 0x0000814957b0263bUL;
   tf->codes[64532] = 0x000044e1e7b28e67UL;
   tf->codes[64533] = 0x000056eb593f7e29UL;
   tf->codes[64534] = 0x00004fae7561e336UL;
   tf->codes[64535] = 0x00012eeff5eff8fbUL;
   tf->codes[64536] = 0x00017d89806175ccUL;
   tf->codes[64537] = 0x0000dbebd966ffa6UL;
   tf->codes[64538] = 0x0001e206b852f519UL;
   tf->codes[64539] = 0x00001836f394ba52UL;
   tf->codes[64540] = 0x00010af01e22d4deUL;
   tf->codes[64541] = 0x00009c3674dd0259UL;
   tf->codes[64542] = 0x000176c06a231ec3UL;
   tf->codes[64543] = 0x0001bbe859df6967UL;
   tf->codes[64544] = 0x0001ebd21b81e735UL;
   tf->codes[64545] = 0x0000df5274219545UL;
   tf->codes[64546] = 0x0000f462e27ee033UL;
   tf->codes[64547] = 0x0001ef04abf174deUL;
   tf->codes[64548] = 0x0001f72aff22f704UL;
   tf->codes[64549] = 0x0000757590a95acbUL;
   tf->codes[64550] = 0x000146fd8bdd4490UL;
   tf->codes[64551] = 0x0000835c8ca5f52fUL;
   tf->codes[64552] = 0x0000dbc69fa6fe88UL;
   tf->codes[64553] = 0x0000df182e98b292UL;
   tf->codes[64554] = 0x0000484e009b4c10UL;
   tf->codes[64555] = 0x0000618c0b5df952UL;
   tf->codes[64556] = 0x0000e2b014873c22UL;
   tf->codes[64557] = 0x0001ca95166b35bbUL;
   tf->codes[64558] = 0x00017f5deb2cfc68UL;
   tf->codes[64559] = 0x00002f9cde614f9fUL;
   tf->codes[64560] = 0x000029e48f2bf15cUL;
   tf->codes[64561] = 0x00003010e68f994eUL;
   tf->codes[64562] = 0x000113971df05820UL;
   tf->codes[64563] = 0x00001eb855ccf1edUL;
   tf->codes[64564] = 0x0000adb749e1ab17UL;
   tf->codes[64565] = 0x000179b5bceeeb13UL;
   tf->codes[64566] = 0x0000dbfb032262e5UL;
   tf->codes[64567] = 0x000197050732fe06UL;
   tf->codes[64568] = 0x00009da41d09fa43UL;
   tf->codes[64569] = 0x0001f20db9b70de4UL;
   tf->codes[64570] = 0x000044757d958724UL;
   tf->codes[64571] = 0x0001f3147f18e556UL;
   tf->codes[64572] = 0x0000a16e90707ee4UL;
   tf->codes[64573] = 0x00002769bd71c585UL;
   tf->codes[64574] = 0x00005b32e067f079UL;
   tf->codes[64575] = 0x00014aaa0a01df4fUL;
   tf->codes[64576] = 0x00002a8b6f14b5fbUL;
   tf->codes[64577] = 0x00016063db44c1f8UL;
   tf->codes[64578] = 0x00004a98a0780958UL;
   tf->codes[64579] = 0x0001eadbee8640f1UL;
   tf->codes[64580] = 0x000071e5db003aafUL;
   tf->codes[64581] = 0x0001b60279a528c1UL;
   tf->codes[64582] = 0x0001cc09b8d3c502UL;
   tf->codes[64583] = 0x000161ce309b43b1UL;
   tf->codes[64584] = 0x0001bed9642410fbUL;
   tf->codes[64585] = 0x0001d20a24f31934UL;
   tf->codes[64586] = 0x0001ab3c27f94c41UL;
   tf->codes[64587] = 0x00010f889f741061UL;
   tf->codes[64588] = 0x0000043d252a27bfUL;
   tf->codes[64589] = 0x000021cfaf4c0c27UL;
   tf->codes[64590] = 0x000116e0d946442eUL;
   tf->codes[64591] = 0x0001d2b997d83138UL;
   tf->codes[64592] = 0x00000c38b24541c7UL;
   tf->codes[64593] = 0x0000f55456d9d666UL;
   tf->codes[64594] = 0x000105d20de1c8deUL;
   tf->codes[64595] = 0x00018cb525ecfb89UL;
   tf->codes[64596] = 0x000096d60e976d2fUL;
   tf->codes[64597] = 0x0001f9976caf3795UL;
   tf->codes[64598] = 0x0000117e596c168bUL;
   tf->codes[64599] = 0x0000b42c182542f1UL;
   tf->codes[64600] = 0x0001d9e78f9fe4f9UL;
   tf->codes[64601] = 0x000104ef8aa13a12UL;
   tf->codes[64602] = 0x0000820404970a60UL;
   tf->codes[64603] = 0x00008898359eedb0UL;
   tf->codes[64604] = 0x00017c005d9145edUL;
   tf->codes[64605] = 0x00019a53478d1e82UL;
   tf->codes[64606] = 0x00005e5e20e4cf6fUL;
   tf->codes[64607] = 0x000009154a68ab02UL;
   tf->codes[64608] = 0x0000276aa9feb54fUL;
   tf->codes[64609] = 0x0001caeb2b459f75UL;
   tf->codes[64610] = 0x000131f4bd1c7732UL;
   tf->codes[64611] = 0x0001d528c1c7de4fUL;
   tf->codes[64612] = 0x0000aa0fbc58c2c6UL;
   tf->codes[64613] = 0x0000c234a67cbd47UL;
   tf->codes[64614] = 0x000173a49357f7cfUL;
   tf->codes[64615] = 0x00006d7b3cae8922UL;
   tf->codes[64616] = 0x000155ff9f6e2a59UL;
   tf->codes[64617] = 0x0001268410897bb6UL;
   tf->codes[64618] = 0x00008ca575507360UL;
   tf->codes[64619] = 0x0000abf8910589d5UL;
   tf->codes[64620] = 0x0000257b6f9b56a1UL;
   tf->codes[64621] = 0x00004a92a27cdbdfUL;
   tf->codes[64622] = 0x0001cbf4bf0f363dUL;
   tf->codes[64623] = 0x000132df34eafd52UL;
   tf->codes[64624] = 0x0000672cd0d22319UL;
   tf->codes[64625] = 0x0000f576254ef741UL;
   tf->codes[64626] = 0x00008d1c1f1ce6cdUL;
   tf->codes[64627] = 0x000175712836ddb9UL;
   tf->codes[64628] = 0x000177dab61ca9b6UL;
   tf->codes[64629] = 0x0000ca0716bb42e5UL;
   tf->codes[64630] = 0x0000055b2588a679UL;
   tf->codes[64631] = 0x0000bbc14a5d386dUL;
   tf->codes[64632] = 0x0000e508bb4249bdUL;
   tf->codes[64633] = 0x00015cee66db66c0UL;
   tf->codes[64634] = 0x00000f1f19c0c477UL;
   tf->codes[64635] = 0x00006df14681655aUL;
   tf->codes[64636] = 0x0001ee750c09d7bcUL;
   tf->codes[64637] = 0x0001f2fbde52042eUL;
   tf->codes[64638] = 0x0001661752d54abfUL;
   tf->codes[64639] = 0x00017a0c918caeffUL;
   tf->codes[64640] = 0x0001a35085855c05UL;
   tf->codes[64641] = 0x00010ca1d91db79aUL;
   tf->codes[64642] = 0x000016fbb6e4c5ddUL;
   tf->codes[64643] = 0x0001760e5e1da247UL;
   tf->codes[64644] = 0x00017d09c7a7bd65UL;
   tf->codes[64645] = 0x0001edf4f3f2d65eUL;
   tf->codes[64646] = 0x00002284de67970bUL;
   tf->codes[64647] = 0x00018a3d99a6a47fUL;
   tf->codes[64648] = 0x00012697b05b36dbUL;
   tf->codes[64649] = 0x0001615b529f65d9UL;
   tf->codes[64650] = 0x00003ff9bad669f1UL;
   tf->codes[64651] = 0x0001d7f4575ab037UL;
   tf->codes[64652] = 0x00010fbcaec3988cUL;
   tf->codes[64653] = 0x0001af28a7179f01UL;
   tf->codes[64654] = 0x000028cf1ed2f3d6UL;
   tf->codes[64655] = 0x00013f4d66874442UL;
   tf->codes[64656] = 0x0000aa9c5eddd65bUL;
   tf->codes[64657] = 0x00019657d64b9c17UL;
   tf->codes[64658] = 0x00006addd3faf246UL;
   tf->codes[64659] = 0x0000b621b1cf21fcUL;
   tf->codes[64660] = 0x0001e6372b9ddc09UL;
   tf->codes[64661] = 0x00003e9385198b36UL;
   tf->codes[64662] = 0x0000aaa6e5567d53UL;
   tf->codes[64663] = 0x0000c2400c1fb2a5UL;
   tf->codes[64664] = 0x00011e4dcca3874bUL;
   tf->codes[64665] = 0x000054710583f1ebUL;
   tf->codes[64666] = 0x0001d37fb5d6a232UL;
   tf->codes[64667] = 0x00007847ebb2dc12UL;
   tf->codes[64668] = 0x00019bb71cca949dUL;
   tf->codes[64669] = 0x0000dd79295317feUL;
   tf->codes[64670] = 0x000118bdceaffd00UL;
   tf->codes[64671] = 0x0001f9fd691a54d3UL;
   tf->codes[64672] = 0x0001fd5107133ccaUL;
   tf->codes[64673] = 0x000120025c76409fUL;
   tf->codes[64674] = 0x00007d4d02c24815UL;
   tf->codes[64675] = 0x0001feea237872fdUL;
   tf->codes[64676] = 0x000075e66eab8555UL;
   tf->codes[64677] = 0x00013793909f888aUL;
   tf->codes[64678] = 0x00010d3e2653a038UL;
   tf->codes[64679] = 0x00012db313e244acUL;
   tf->codes[64680] = 0x00013a2f45cd2096UL;
   tf->codes[64681] = 0x00011ff3b97a6cf1UL;
   tf->codes[64682] = 0x00013a0b4d8b8906UL;
   tf->codes[64683] = 0x00015947fe806a11UL;
   tf->codes[64684] = 0x000186324fc24b18UL;
   tf->codes[64685] = 0x00019c17b4419175UL;
   tf->codes[64686] = 0x0000a400de461321UL;
   tf->codes[64687] = 0x0001d7d503844149UL;
   tf->codes[64688] = 0x0000860cff9d7f2eUL;
   tf->codes[64689] = 0x0001eeb3ae6f0ab1UL;
   tf->codes[64690] = 0x00009d321e9b399aUL;
   tf->codes[64691] = 0x00014c0cbded7da2UL;
   tf->codes[64692] = 0x0000f79534a2f854UL;
   tf->codes[64693] = 0x000008675b492a05UL;
   tf->codes[64694] = 0x0000ab643f5022adUL;
   tf->codes[64695] = 0x0000ee2a599a57bfUL;
   tf->codes[64696] = 0x00013729e3ab8b5fUL;
   tf->codes[64697] = 0x0000b8b50fb7d8c3UL;
   tf->codes[64698] = 0x000129c33b7d6479UL;
   tf->codes[64699] = 0x00019beed1f402d0UL;
   tf->codes[64700] = 0x000008b95d26f493UL;
   tf->codes[64701] = 0x00005adb3f8972a0UL;
   tf->codes[64702] = 0x0001ae2812a77730UL;
   tf->codes[64703] = 0x00001d79cae838b3UL;
   tf->codes[64704] = 0x00013b647c23c663UL;
   tf->codes[64705] = 0x000025f1526ebb08UL;
   tf->codes[64706] = 0x00012877c8bb59feUL;
   tf->codes[64707] = 0x000045469aa3efb1UL;
   tf->codes[64708] = 0x00011fb25e2b1287UL;
   tf->codes[64709] = 0x0001dcc6c7b81985UL;
   tf->codes[64710] = 0x00018ebc25e8a4eaUL;
   tf->codes[64711] = 0x00005200e76ed16dUL;
   tf->codes[64712] = 0x0000b8795d0f6345UL;
   tf->codes[64713] = 0x0000cdb54192f669UL;
   tf->codes[64714] = 0x0001709afca19a99UL;
   tf->codes[64715] = 0x00019133503daf95UL;
   tf->codes[64716] = 0x0001fb652e7430d5UL;
   tf->codes[64717] = 0x00002c8d1f37080eUL;
   tf->codes[64718] = 0x00016d1d65557751UL;
   tf->codes[64719] = 0x0001fa2d75e6557eUL;
   tf->codes[64720] = 0x000031948e67bb82UL;
   tf->codes[64721] = 0x000032895031d8e8UL;
   tf->codes[64722] = 0x0001297fdfb1e3e1UL;
   tf->codes[64723] = 0x00003b13246a28cdUL;
   tf->codes[64724] = 0x000133e6a2c4313fUL;
   tf->codes[64725] = 0x000080b4d44c4d5dUL;
   tf->codes[64726] = 0x00010ecfb95f8e4eUL;
   tf->codes[64727] = 0x0000e54a5a013dfbUL;
   tf->codes[64728] = 0x000101a223641f83UL;
   tf->codes[64729] = 0x0000dbd0af333420UL;
   tf->codes[64730] = 0x0001d002b5c32627UL;
   tf->codes[64731] = 0x000106c2e870146cUL;
   tf->codes[64732] = 0x00011512072afdb2UL;
   tf->codes[64733] = 0x000199a52157dcd1UL;
   tf->codes[64734] = 0x00000a3df482d8c2UL;
   tf->codes[64735] = 0x00002ca8bfd0ef90UL;
   tf->codes[64736] = 0x000015bfacac0709UL;
   tf->codes[64737] = 0x0000f01a0dbd7363UL;
   tf->codes[64738] = 0x0000dcdf685d6554UL;
   tf->codes[64739] = 0x00004997cb6b9349UL;
   tf->codes[64740] = 0x0001405565cf01a5UL;
   tf->codes[64741] = 0x00007a784f5454abUL;
   tf->codes[64742] = 0x000076417e0afdd0UL;
   tf->codes[64743] = 0x0001f196078f9fa1UL;
   tf->codes[64744] = 0x00018af15d90a685UL;
   tf->codes[64745] = 0x0001e1af00287989UL;
   tf->codes[64746] = 0x00001869d9f9e718UL;
   tf->codes[64747] = 0x000056d3ade620daUL;
   tf->codes[64748] = 0x0001f46b097ef58dUL;
   tf->codes[64749] = 0x00005b2d1879bb70UL;
   tf->codes[64750] = 0x00009041a06c80b2UL;
   tf->codes[64751] = 0x00017ba599598efaUL;
   tf->codes[64752] = 0x0001ff123ff55ef7UL;
   tf->codes[64753] = 0x00004bc69f700e9bUL;
   tf->codes[64754] = 0x0000cfad405def80UL;
   tf->codes[64755] = 0x0000d72fda165c69UL;
   tf->codes[64756] = 0x000183e0a04c02a9UL;
   tf->codes[64757] = 0x00010ff50ad92816UL;
   tf->codes[64758] = 0x0000ec6ddc8f0002UL;
   tf->codes[64759] = 0x00016f882a0ab2f7UL;
   tf->codes[64760] = 0x0001f4af3524193aUL;
   tf->codes[64761] = 0x0000d2597cb3037cUL;
   tf->codes[64762] = 0x0001062340cb3200UL;
   tf->codes[64763] = 0x0001e4d296bcafd3UL;
   tf->codes[64764] = 0x0000e9a5708253c4UL;
   tf->codes[64765] = 0x00013c4838849d8eUL;
   tf->codes[64766] = 0x00019314444edc0dUL;
   tf->codes[64767] = 0x000030ac3992c60cUL;
   tf->codes[64768] = 0x000098e74142b01fUL;
   tf->codes[64769] = 0x00010ed18328c291UL;
   tf->codes[64770] = 0x0001d61ed292aabeUL;
   tf->codes[64771] = 0x0001e790d646af12UL;
   tf->codes[64772] = 0x00012fd60906808aUL;
   tf->codes[64773] = 0x0000a088823af0efUL;
   tf->codes[64774] = 0x0000cd49e17bc937UL;
   tf->codes[64775] = 0x0001aef9cc3631e1UL;
   tf->codes[64776] = 0x0001387b33336949UL;
   tf->codes[64777] = 0x0000d39be8831b63UL;
   tf->codes[64778] = 0x000000367acc1adcUL;
   tf->codes[64779] = 0x0001ec772962fa79UL;
   tf->codes[64780] = 0x00003f8ad44c4aebUL;
   tf->codes[64781] = 0x00019a11f8979d38UL;
   tf->codes[64782] = 0x00004a643144e2d2UL;
   tf->codes[64783] = 0x0000c98d80682c60UL;
   tf->codes[64784] = 0x000019224a4a6426UL;
   tf->codes[64785] = 0x00008bcd587b9dddUL;
   tf->codes[64786] = 0x0000c4c6cdb5a87cUL;
   tf->codes[64787] = 0x000147052b36976eUL;
   tf->codes[64788] = 0x0000d974308cfffeUL;
   tf->codes[64789] = 0x0001a0c26a32ff3fUL;
   tf->codes[64790] = 0x0000ece10bbfe7dbUL;
   tf->codes[64791] = 0x00018c9ead86fa09UL;
   tf->codes[64792] = 0x00018f5601606faaUL;
   tf->codes[64793] = 0x000197c8c9b68695UL;
   tf->codes[64794] = 0x000185605bc42eb9UL;
   tf->codes[64795] = 0x0001c90afa2de78eUL;
   tf->codes[64796] = 0x00003278a3f8ef14UL;
   tf->codes[64797] = 0x00003750d69a13bbUL;
   tf->codes[64798] = 0x00007fbbdd8a992fUL;
   tf->codes[64799] = 0x000132f0eec2aa5fUL;
   tf->codes[64800] = 0x0000a015bea18716UL;
   tf->codes[64801] = 0x0000ea42c50a6ef4UL;
   tf->codes[64802] = 0x00005a98e314d234UL;
   tf->codes[64803] = 0x0001a02bf649a4ffUL;
   tf->codes[64804] = 0x000073b872fe725eUL;
   tf->codes[64805] = 0x0000bacc2fe53180UL;
   tf->codes[64806] = 0x0001dc4423e35513UL;
   tf->codes[64807] = 0x0001df59c475217fUL;
   tf->codes[64808] = 0x00000880537201beUL;
   tf->codes[64809] = 0x000064f662b81d4cUL;
   tf->codes[64810] = 0x0000f9a7214777afUL;
   tf->codes[64811] = 0x00014550f559d813UL;
   tf->codes[64812] = 0x0001033f0cc257a6UL;
   tf->codes[64813] = 0x0001ba69af7f45a1UL;
   tf->codes[64814] = 0x0001b5de760e9dd1UL;
   tf->codes[64815] = 0x0001c101405d71bdUL;
   tf->codes[64816] = 0x0001e19fcf9a303fUL;
   tf->codes[64817] = 0x00006ab8139b05aeUL;
   tf->codes[64818] = 0x000199e43b8ec2cfUL;
   tf->codes[64819] = 0x0001f4c4e64de102UL;
   tf->codes[64820] = 0x0000268c0be867d3UL;
   tf->codes[64821] = 0x0001023fd495dc2bUL;
   tf->codes[64822] = 0x00019ebc5fa4d9b7UL;
   tf->codes[64823] = 0x00017abd8f29e82cUL;
   tf->codes[64824] = 0x000032f2aec417a8UL;
   tf->codes[64825] = 0x00005233e45a5e58UL;
   tf->codes[64826] = 0x000078697ab41b0aUL;
   tf->codes[64827] = 0x0000a8c4ec00cc4dUL;
   tf->codes[64828] = 0x00007566b96b11ffUL;
   tf->codes[64829] = 0x00013fd344ddb8eaUL;
   tf->codes[64830] = 0x00004302d4930d4eUL;
   tf->codes[64831] = 0x0001e389c974e2f0UL;
   tf->codes[64832] = 0x00018824559696ebUL;
   tf->codes[64833] = 0x00010d08ba1a723cUL;
   tf->codes[64834] = 0x000169b206859a2aUL;
   tf->codes[64835] = 0x0000cf4dd507686cUL;
   tf->codes[64836] = 0x0000d5babc82791fUL;
   tf->codes[64837] = 0x0000e8a9d6fa097dUL;
   tf->codes[64838] = 0x0000304c2bf1cf0dUL;
   tf->codes[64839] = 0x000110b152d1a0f9UL;
   tf->codes[64840] = 0x0001b73ac9ee1e35UL;
   tf->codes[64841] = 0x0001e39ed53dc485UL;
   tf->codes[64842] = 0x0000b59a0b79fc63UL;
   tf->codes[64843] = 0x0000e865464d2329UL;
   tf->codes[64844] = 0x000198d48bee457eUL;
   tf->codes[64845] = 0x0000a95935bae10fUL;
   tf->codes[64846] = 0x000013afb4cbebb3UL;
   tf->codes[64847] = 0x000056be523045b6UL;
   tf->codes[64848] = 0x0000bef8f34d31feUL;
   tf->codes[64849] = 0x00008658dff9e983UL;
   tf->codes[64850] = 0x0000df7d604e5107UL;
   tf->codes[64851] = 0x00010feec73d2c2aUL;
   tf->codes[64852] = 0x0000edeb08d023edUL;
   tf->codes[64853] = 0x0001e20820ad4fddUL;
   tf->codes[64854] = 0x00002a25e55344f6UL;
   tf->codes[64855] = 0x000051b08aab9c07UL;
   tf->codes[64856] = 0x0000d5c8ced560e9UL;
   tf->codes[64857] = 0x0001dd71ec6b931dUL;
   tf->codes[64858] = 0x0000f9f199065c8eUL;
   tf->codes[64859] = 0x00010e579d2bdd2fUL;
   tf->codes[64860] = 0x00012b089c7188d5UL;
   tf->codes[64861] = 0x0001f2ef68bb905dUL;
   tf->codes[64862] = 0x0000c0856ccfebe8UL;
   tf->codes[64863] = 0x0000fc8862ff912aUL;
   tf->codes[64864] = 0x0001d875c1eba5afUL;
   tf->codes[64865] = 0x0000d4612a6db43fUL;
   tf->codes[64866] = 0x0001b6a7411fd000UL;
   tf->codes[64867] = 0x0001509cc3ae078eUL;
   tf->codes[64868] = 0x000053cf1217a12eUL;
   tf->codes[64869] = 0x0000eb8aeb85be97UL;
   tf->codes[64870] = 0x0001178365b5bf7aUL;
   tf->codes[64871] = 0x00012f3a0e90dd11UL;
   tf->codes[64872] = 0x0001e937c14c0889UL;
   tf->codes[64873] = 0x0001031a9450ebdeUL;
   tf->codes[64874] = 0x000138f6dc896bacUL;
   tf->codes[64875] = 0x0001a44eaaa7e2c5UL;
   tf->codes[64876] = 0x00001e72f1a99cd8UL;
   tf->codes[64877] = 0x0000324f6d7f843dUL;
   tf->codes[64878] = 0x00006f228c15abc5UL;
   tf->codes[64879] = 0x0000ef0c0083e3bbUL;
   tf->codes[64880] = 0x00013f3fdab0c157UL;
   tf->codes[64881] = 0x0001a0e5b891a347UL;
   tf->codes[64882] = 0x0001f79985237e34UL;
   tf->codes[64883] = 0x00005a9f064111a8UL;
   tf->codes[64884] = 0x000062c0512814e0UL;
   tf->codes[64885] = 0x0001d51ec5a7b010UL;
   tf->codes[64886] = 0x0001b284ccb7e6fdUL;
   tf->codes[64887] = 0x0001e22721804ef4UL;
   tf->codes[64888] = 0x00009aae5fab95b3UL;
   tf->codes[64889] = 0x0000ef1268ee22d9UL;
   tf->codes[64890] = 0x0001ca3c42b9002aUL;
   tf->codes[64891] = 0x0000ab038b457d37UL;
   tf->codes[64892] = 0x0000ff30da7699b3UL;
   tf->codes[64893] = 0x00017be5a0e30254UL;
   tf->codes[64894] = 0x00019cbe4a077a4cUL;
   tf->codes[64895] = 0x0001a9e721354c76UL;
   tf->codes[64896] = 0x0001eb710cdb4e4bUL;
   tf->codes[64897] = 0x00001afc1b327783UL;
   tf->codes[64898] = 0x00002a4837d44de3UL;
   tf->codes[64899] = 0x000040e27db35a34UL;
   tf->codes[64900] = 0x00000f8ff27b441aUL;
   tf->codes[64901] = 0x0000a3199c578bcbUL;
   tf->codes[64902] = 0x00017dfd3c9e7dddUL;
   tf->codes[64903] = 0x0001bc165153c2faUL;
   tf->codes[64904] = 0x00010a90d5cc2b26UL;
   tf->codes[64905] = 0x00017535c3070279UL;
   tf->codes[64906] = 0x0001997999afb4abUL;
   tf->codes[64907] = 0x0000997d0f87f97aUL;
   tf->codes[64908] = 0x0000d07571a2770aUL;
   tf->codes[64909] = 0x0000e97a122a7c25UL;
   tf->codes[64910] = 0x000068507d0da11eUL;
   tf->codes[64911] = 0x00007daf267ca13aUL;
   tf->codes[64912] = 0x000158595c88eb25UL;
   tf->codes[64913] = 0x00019a9e9fbe6239UL;
   tf->codes[64914] = 0x0001d2aec31d6fecUL;
   tf->codes[64915] = 0x0000419cebcc55f1UL;
   tf->codes[64916] = 0x00010c09773efcdcUL;
   tf->codes[64917] = 0x00018ae33a817c5dUL;
   tf->codes[64918] = 0x00000b7c6a8c1112UL;
   tf->codes[64919] = 0x000039f6cef05d02UL;
   tf->codes[64920] = 0x00007219b41f43cfUL;
   tf->codes[64921] = 0x0001ad36bfc12335UL;
   tf->codes[64922] = 0x00003649cf7381b0UL;
   tf->codes[64923] = 0x00017cb6a685c913UL;
   tf->codes[64924] = 0x00012c8b25eea572UL;
   tf->codes[64925] = 0x0000616c4c2f5492UL;
   tf->codes[64926] = 0x0000f8f1b4a614d5UL;
   tf->codes[64927] = 0x00016d7c35d68b7cUL;
   tf->codes[64928] = 0x00010d4fa8b2bdc8UL;
   tf->codes[64929] = 0x00018d79298f4536UL;
   tf->codes[64930] = 0x0001b01fe33d43a2UL;
   tf->codes[64931] = 0x0001531bb87b1b74UL;
   tf->codes[64932] = 0x000068282db9d713UL;
   tf->codes[64933] = 0x000169c5522b791dUL;
   tf->codes[64934] = 0x0000ea296984b3cfUL;
   tf->codes[64935] = 0x00010eb5139a79a3UL;
   tf->codes[64936] = 0x00002cc07aba405eUL;
   tf->codes[64937] = 0x0000b64ed58dc4a0UL;
   tf->codes[64938] = 0x00017156817d1850UL;
   tf->codes[64939] = 0x0001b45dcd00b9b3UL;
   tf->codes[64940] = 0x00009f81185d74f3UL;
   tf->codes[64941] = 0x0001502a3d574af9UL;
   tf->codes[64942] = 0x00016b72d99a5c1eUL;
   tf->codes[64943] = 0x00018246983f1e55UL;
   tf->codes[64944] = 0x000072d1da2d40feUL;
   tf->codes[64945] = 0x00010846a186ebdeUL;
   tf->codes[64946] = 0x0001f1645522b46aUL;
   tf->codes[64947] = 0x0000822f4ab9c01bUL;
   tf->codes[64948] = 0x00016ba9680aa38bUL;
   tf->codes[64949] = 0x0001d2f2b5bec8f8UL;
   tf->codes[64950] = 0x0000430ea3df76bfUL;
   tf->codes[64951] = 0x00012807a6dfbdfaUL;
   tf->codes[64952] = 0x0001cb3285323e4fUL;
   tf->codes[64953] = 0x00003b7e4216a1ebUL;
   tf->codes[64954] = 0x0000b453a72f5d66UL;
   tf->codes[64955] = 0x000189f174ae5177UL;
   tf->codes[64956] = 0x00018367e6d261d4UL;
   tf->codes[64957] = 0x0000ade2848fc95bUL;
   tf->codes[64958] = 0x0001ed5d1870dc68UL;
   tf->codes[64959] = 0x0001558c5115967aUL;
   tf->codes[64960] = 0x0001bdcfa36d5e00UL;
   tf->codes[64961] = 0x00001443bb98d981UL;
   tf->codes[64962] = 0x000076ecc4764452UL;
   tf->codes[64963] = 0x000103195839d14eUL;
   tf->codes[64964] = 0x000078aee1679103UL;
   tf->codes[64965] = 0x00004b71a4d16becUL;
   tf->codes[64966] = 0x0000a3fdbe85c32fUL;
   tf->codes[64967] = 0x000129c691272640UL;
   tf->codes[64968] = 0x0000a4932c455738UL;
   tf->codes[64969] = 0x0001148aad0661e5UL;
   tf->codes[64970] = 0x00004db6b72f55d9UL;
   tf->codes[64971] = 0x0000872f9598ee19UL;
   tf->codes[64972] = 0x00014de51f84c995UL;
   tf->codes[64973] = 0x0000e5fc53dee10cUL;
   tf->codes[64974] = 0x00018f210aa81c01UL;
   tf->codes[64975] = 0x0001e2ab157e2ecaUL;
   tf->codes[64976] = 0x0000f2a3fbf0052cUL;
   tf->codes[64977] = 0x000127dcd48f20d3UL;
   tf->codes[64978] = 0x0001c5899aaa17d9UL;
   tf->codes[64979] = 0x000034884a1dab05UL;
   tf->codes[64980] = 0x0001446a16223aaeUL;
   tf->codes[64981] = 0x0000ccbf7d9acabdUL;
   tf->codes[64982] = 0x0001c447c2fc30e7UL;
   tf->codes[64983] = 0x0001d929fc7eee63UL;
   tf->codes[64984] = 0x0000f73e14d9905cUL;
   tf->codes[64985] = 0x0000a7272a8a73fdUL;
   tf->codes[64986] = 0x000153fce22ba569UL;
   tf->codes[64987] = 0x00018deb192fcd6eUL;
   tf->codes[64988] = 0x0001d8bcd1d8ef5cUL;
   tf->codes[64989] = 0x0001e3e7e6cfa0bbUL;
   tf->codes[64990] = 0x0000468010e06e59UL;
   tf->codes[64991] = 0x0000ab7124997086UL;
   tf->codes[64992] = 0x00016f85244a083bUL;
   tf->codes[64993] = 0x0000ecf37544a637UL;
   tf->codes[64994] = 0x00002cd35ea4b52bUL;
   tf->codes[64995] = 0x00004d9318e3b842UL;
   tf->codes[64996] = 0x0000bf842edf9f58UL;
   tf->codes[64997] = 0x0000fb3750146709UL;
   tf->codes[64998] = 0x000179502fd3d914UL;
   tf->codes[64999] = 0x000006d57b865cbfUL;
   tf->codes[65000] = 0x0000afe761f4b0dbUL;
   tf->codes[65001] = 0x0001cc48a2417af3UL;
   tf->codes[65002] = 0x0001b0fa88f8ae1fUL;
   tf->codes[65003] = 0x000080b7325756acUL;
   tf->codes[65004] = 0x00014b685d64c073UL;
   tf->codes[65005] = 0x00009334197b9a4cUL;
   tf->codes[65006] = 0x0000064876ad2e02UL;
   tf->codes[65007] = 0x00008ab05542cab0UL;
   tf->codes[65008] = 0x0001a87b66da2e6fUL;
   tf->codes[65009] = 0x0000c0a534bb9e1cUL;
   tf->codes[65010] = 0x0001fbedd399e136UL;
   tf->codes[65011] = 0x000195925c621e5aUL;
   tf->codes[65012] = 0x0001160b8dac7997UL;
   tf->codes[65013] = 0x00015ba14993959bUL;
   tf->codes[65014] = 0x0001ed1f11833353UL;
   tf->codes[65015] = 0x0000ccc8a6448a3bUL;
   tf->codes[65016] = 0x0001d3391222ed7cUL;
   tf->codes[65017] = 0x0000212f3b23451cUL;
   tf->codes[65018] = 0x00007101022e8556UL;
   tf->codes[65019] = 0x0000896cc6f86ea6UL;
   tf->codes[65020] = 0x00015d857c260cbeUL;
   tf->codes[65021] = 0x000010cb0597bd56UL;
   tf->codes[65022] = 0x0001cacdc8145600UL;
   tf->codes[65023] = 0x00005822cfe5184cUL;
   tf->codes[65024] = 0x000105fe62493b4dUL;
   tf->codes[65025] = 0x0000a9b93806e4aeUL;
   tf->codes[65026] = 0x0001fc74ca619997UL;
   tf->codes[65027] = 0x000000724ee93292UL;
   tf->codes[65028] = 0x0000fe3efee2ac3aUL;
   tf->codes[65029] = 0x00019fa08bdc1185UL;
   tf->codes[65030] = 0x0001fdc6ef0ac57dUL;
   tf->codes[65031] = 0x0000d9ba7b0c75c9UL;
   tf->codes[65032] = 0x000147e66f693979UL;
   tf->codes[65033] = 0x0001786e7ba74fcbUL;
   tf->codes[65034] = 0x00009b82a2641010UL;
   tf->codes[65035] = 0x00005295cb97a7cbUL;
   tf->codes[65036] = 0x0001ed274f2b3e2bUL;
   tf->codes[65037] = 0x0000697fd7e683eeUL;
   tf->codes[65038] = 0x0000e2bd341c650eUL;
   tf->codes[65039] = 0x0000ff1119ffe481UL;
   tf->codes[65040] = 0x00000851c89d3244UL;
   tf->codes[65041] = 0x000072442cfc59ddUL;
   tf->codes[65042] = 0x0001b898069e1ea0UL;
   tf->codes[65043] = 0x00005187145b8084UL;
   tf->codes[65044] = 0x0001e9474dddf9d0UL;
   tf->codes[65045] = 0x000061823d4f711dUL;
   tf->codes[65046] = 0x0000f0a1acb95d8dUL;
   tf->codes[65047] = 0x0001c5abefdec845UL;
   tf->codes[65048] = 0x00013b0f9b419e38UL;
   tf->codes[65049] = 0x00013416a751b4d2UL;
   tf->codes[65050] = 0x0001ce64b78c9373UL;
   tf->codes[65051] = 0x000102fe8e09483aUL;
   tf->codes[65052] = 0x00012a767191c631UL;
   tf->codes[65053] = 0x000044c4c72b4134UL;
   tf->codes[65054] = 0x000089ce017f78fbUL;
   tf->codes[65055] = 0x0000bb45c73d2dc5UL;
   tf->codes[65056] = 0x00013ba21eabc3c8UL;
   tf->codes[65057] = 0x0000617150bd63bdUL;
   tf->codes[65058] = 0x0000444f42ef8832UL;
   tf->codes[65059] = 0x0001d50df45d5858UL;
   tf->codes[65060] = 0x0000bc4f2e3d2ef5UL;
   tf->codes[65061] = 0x0001dec8df52ab0cUL;
   tf->codes[65062] = 0x0000bcee9e06b31bUL;
   tf->codes[65063] = 0x0000f48376449b07UL;
   tf->codes[65064] = 0x0001554bf5e2b9ceUL;
   tf->codes[65065] = 0x0001c09903bf21bcUL;
   tf->codes[65066] = 0x00007194bc681a8fUL;
   tf->codes[65067] = 0x000095f014111145UL;
   tf->codes[65068] = 0x000163ac59fd3e12UL;
   tf->codes[65069] = 0x00004c9dad36a754UL;
   tf->codes[65070] = 0x0000c1a0bad3fe86UL;
   tf->codes[65071] = 0x00017e5e0c107d12UL;
   tf->codes[65072] = 0x000183f7d1e1c07eUL;
   tf->codes[65073] = 0x00012bb542fc8f87UL;
   tf->codes[65074] = 0x0000fa63dc8f9646UL;
   tf->codes[65075] = 0x000076f695349182UL;
   tf->codes[65076] = 0x00010448cfc600d3UL;
   tf->codes[65077] = 0x0000d677a2435498UL;
   tf->codes[65078] = 0x0000febdd9ba26adUL;
   tf->codes[65079] = 0x00012dcde66d0c6bUL;
   tf->codes[65080] = 0x0001bf25feb8ffe9UL;
   tf->codes[65081] = 0x000103b70bbc66acUL;
   tf->codes[65082] = 0x00014700e7d396feUL;
   tf->codes[65083] = 0x00018f23ef5310caUL;
   tf->codes[65084] = 0x0000c468a5259b68UL;
   tf->codes[65085] = 0x0001528056668b93UL;
   tf->codes[65086] = 0x000179be95255b9eUL;
   tf->codes[65087] = 0x000045818ef0bf86UL;
   tf->codes[65088] = 0x000096abd35bf0aaUL;
   tf->codes[65089] = 0x0001e76101328612UL;
   tf->codes[65090] = 0x00005140112adec0UL;
   tf->codes[65091] = 0x000168b2a58b4108UL;
   tf->codes[65092] = 0x00018238492bfc27UL;
   tf->codes[65093] = 0x0000a18edab9576bUL;
   tf->codes[65094] = 0x0001c64fd8724bd0UL;
   tf->codes[65095] = 0x00000e3348a181aeUL;
   tf->codes[65096] = 0x00011e57dfc8a60bUL;
   tf->codes[65097] = 0x0001c66dc11731e0UL;
   tf->codes[65098] = 0x00006a881e5a4ae8UL;
   tf->codes[65099] = 0x00007232bfd7a97cUL;
   tf->codes[65100] = 0x0001bd9f96c1016cUL;
   tf->codes[65101] = 0x0001d35e184672f7UL;
   tf->codes[65102] = 0x0000cb6d53472527UL;
   tf->codes[65103] = 0x0001b5d4e0816d5dUL;
   tf->codes[65104] = 0x0001e604dba7d66aUL;
   tf->codes[65105] = 0x0001e9389f6d8eabUL;
   tf->codes[65106] = 0x0001efa96a680173UL;
   tf->codes[65107] = 0x000121a2be5e73ceUL;
   tf->codes[65108] = 0x0001cb6f95c93f5eUL;
   tf->codes[65109] = 0x000038970e5a654eUL;
   tf->codes[65110] = 0x00007b0116f76f88UL;
   tf->codes[65111] = 0x0000758f0fd10a43UL;
   tf->codes[65112] = 0x0000c06ebc8e8c22UL;
   tf->codes[65113] = 0x000187f45167ff9dUL;
   tf->codes[65114] = 0x00000a8c106ce1eaUL;
   tf->codes[65115] = 0x0001ea5f13c43b5fUL;
   tf->codes[65116] = 0x0000e15594b93899UL;
   tf->codes[65117] = 0x0001961d3d38f429UL;
   tf->codes[65118] = 0x0001ce6d32774b8fUL;
   tf->codes[65119] = 0x0000ae4a3061a6ddUL;
   tf->codes[65120] = 0x0000ebf787f34e87UL;
   tf->codes[65121] = 0x0001935963931dbdUL;
   tf->codes[65122] = 0x00006752fcc5ab2dUL;
   tf->codes[65123] = 0x0000133e44d4e24fUL;
   tf->codes[65124] = 0x0001f878c99f97a3UL;
   tf->codes[65125] = 0x0001fbdfd9156a03UL;
   tf->codes[65126] = 0x00011309afcca195UL;
   tf->codes[65127] = 0x00002b64459bbab3UL;
   tf->codes[65128] = 0x0000d31e6ce23cf3UL;
   tf->codes[65129] = 0x00015fd71c087f2aUL;
   tf->codes[65130] = 0x00016a38aacc5594UL;
   tf->codes[65131] = 0x0000cffbfd69fc38UL;
   tf->codes[65132] = 0x0001ed7ff9cc6b63UL;
   tf->codes[65133] = 0x00003b6b7115c197UL;
   tf->codes[65134] = 0x0000be55141cb562UL;
   tf->codes[65135] = 0x0000db98ee0ed912UL;
   tf->codes[65136] = 0x0000c458797f5495UL;
   tf->codes[65137] = 0x00006d374755a613UL;
   tf->codes[65138] = 0x0001b039f898b497UL;
   tf->codes[65139] = 0x000021b6dac528c1UL;
   tf->codes[65140] = 0x000031ac2e489ed6UL;
   tf->codes[65141] = 0x00010aaefc36315aUL;
   tf->codes[65142] = 0x0001ae6946d3d32eUL;
   tf->codes[65143] = 0x0000ff64f7486759UL;
   tf->codes[65144] = 0x00016d78ac6cc777UL;
   tf->codes[65145] = 0x00016b4e5e321e25UL;
   tf->codes[65146] = 0x0001b0d0e32b5585UL;
   tf->codes[65147] = 0x000021e5769582c7UL;
   tf->codes[65148] = 0x00002459c4bd5defUL;
   tf->codes[65149] = 0x0000a910c8a0c6dfUL;
   tf->codes[65150] = 0x000146bb7fb489f8UL;
   tf->codes[65151] = 0x0001c3b6ba33e39dUL;
   tf->codes[65152] = 0x00005707e4119a3bUL;
   tf->codes[65153] = 0x000010e14dfa2c5bUL;
   tf->codes[65154] = 0x0001f142e1eb9dfaUL;
   tf->codes[65155] = 0x000075e5ff3410f7UL;
   tf->codes[65156] = 0x000077c487f736d3UL;
   tf->codes[65157] = 0x0000e5bbb3d0d37fUL;
   tf->codes[65158] = 0x0000fc26ae954344UL;
   tf->codes[65159] = 0x000100950716065fUL;
   tf->codes[65160] = 0x0001e59f31fcfe51UL;
   tf->codes[65161] = 0x00006a0408c4423fUL;
   tf->codes[65162] = 0x0001b0f8ebb5e4c2UL;
   tf->codes[65163] = 0x000125345d9a8b2aUL;
   tf->codes[65164] = 0x00012c3bac31d24cUL;
   tf->codes[65165] = 0x0001b404e245b11dUL;
   tf->codes[65166] = 0x0001eef1016cdd50UL;
   tf->codes[65167] = 0x0000139b8ceeae07UL;
   tf->codes[65168] = 0x0001ede1a84914e7UL;
   tf->codes[65169] = 0x00000745e65885acUL;
   tf->codes[65170] = 0x000069002e7d76d8UL;
   tf->codes[65171] = 0x00011bc3557c4eceUL;
   tf->codes[65172] = 0x0000550eff496cb3UL;
   tf->codes[65173] = 0x00019f1f0ec073d9UL;
   tf->codes[65174] = 0x0001489b86732914UL;
   tf->codes[65175] = 0x0001987e2c4b0681UL;
   tf->codes[65176] = 0x0001ff3e2c3e9877UL;
   tf->codes[65177] = 0x00006513fea6242cUL;
   tf->codes[65178] = 0x00018fd71f7db0a4UL;
   tf->codes[65179] = 0x000089816871e2adUL;
   tf->codes[65180] = 0x0001bc117a942f27UL;
   tf->codes[65181] = 0x0000dccfb0ec05deUL;
   tf->codes[65182] = 0x0001f2c65353f8f5UL;
   tf->codes[65183] = 0x00011204eec3042bUL;
   tf->codes[65184] = 0x0000670a51e670d9UL;
   tf->codes[65185] = 0x00008cbe357a6638UL;
   tf->codes[65186] = 0x00015a805f621b48UL;
   tf->codes[65187] = 0x0001a57075ce2ed0UL;
   tf->codes[65188] = 0x0000f953af72ec3cUL;
   tf->codes[65189] = 0x00016ab384ab83abUL;
   tf->codes[65190] = 0x00017527259221e0UL;
   tf->codes[65191] = 0x000128a211320ec8UL;
   tf->codes[65192] = 0x0001aee25a631213UL;
   tf->codes[65193] = 0x00019ced62080e15UL;
   tf->codes[65194] = 0x0000cffeb1d21658UL;
   tf->codes[65195] = 0x0001a5e47ec21611UL;
   tf->codes[65196] = 0x0001fb6b7ea94e0fUL;
   tf->codes[65197] = 0x00009d94aed25268UL;
   tf->codes[65198] = 0x0000c986203bae2fUL;
   tf->codes[65199] = 0x00006ce11de2e621UL;
   tf->codes[65200] = 0x000171eb184cf887UL;
   tf->codes[65201] = 0x0001b14296b19cd4UL;
   tf->codes[65202] = 0x0001163bc1fa64f3UL;
   tf->codes[65203] = 0x0001cb9b4d71177bUL;
   tf->codes[65204] = 0x00000d57d51a2220UL;
   tf->codes[65205] = 0x00015a10fb3c2b72UL;
   tf->codes[65206] = 0x0000ffa3426b47d4UL;
   tf->codes[65207] = 0x0000ca4d5d9ded04UL;
   tf->codes[65208] = 0x0001ab3bc3b344a8UL;
   tf->codes[65209] = 0x00019960ed93e023UL;
   tf->codes[65210] = 0x0000d6f8658559f0UL;
   tf->codes[65211] = 0x000141466673a0d7UL;
   tf->codes[65212] = 0x0001c26a350ddde2UL;
   tf->codes[65213] = 0x0001e81bcf0b998fUL;
   tf->codes[65214] = 0x0001a297a19e2c0dUL;
   tf->codes[65215] = 0x00015613b20935ceUL;
   tf->codes[65216] = 0x00016306e502d79fUL;
   tf->codes[65217] = 0x0001c77ad92285ddUL;
   tf->codes[65218] = 0x0001bdc856b0c9acUL;
   tf->codes[65219] = 0x0001f25547e23f58UL;
   tf->codes[65220] = 0x00016e440c7f1f92UL;
   tf->codes[65221] = 0x00000844da6f6dd8UL;
   tf->codes[65222] = 0x0001a0d3bfe82b4eUL;
   tf->codes[65223] = 0x0000bc8fd8d6afccUL;
   tf->codes[65224] = 0x00017347d322457fUL;
   tf->codes[65225] = 0x00000ce394adab62UL;
   tf->codes[65226] = 0x00007d553bc4befdUL;
   tf->codes[65227] = 0x00011f761258095bUL;
   tf->codes[65228] = 0x00017567aa97c1f3UL;
   tf->codes[65229] = 0x0001cbd1862a4792UL;
   tf->codes[65230] = 0x000047272d0317f8UL;
   tf->codes[65231] = 0x000044a77dd9f8deUL;
   tf->codes[65232] = 0x000122df6bc6e436UL;
   tf->codes[65233] = 0x00018ba3781d4e3cUL;
   tf->codes[65234] = 0x00017a7a238766dfUL;
   tf->codes[65235] = 0x00014cca96250ac3UL;
   tf->codes[65236] = 0x00018884941c7f8aUL;
   tf->codes[65237] = 0x00018283d0580a15UL;
   tf->codes[65238] = 0x0001d6ab761ca413UL;
   tf->codes[65239] = 0x0001edc15036e9afUL;
   tf->codes[65240] = 0x00011a0bd2f605d2UL;
   tf->codes[65241] = 0x0000b42245f77c30UL;
   tf->codes[65242] = 0x000099e310b46c3bUL;
   tf->codes[65243] = 0x000075257a48aee6UL;
   tf->codes[65244] = 0x0000c26469c7f921UL;
   tf->codes[65245] = 0x0000b59dfdc3b465UL;
   tf->codes[65246] = 0x0000f2d28e5975bfUL;
   tf->codes[65247] = 0x0000fcf2b1b7a8dcUL;
   tf->codes[65248] = 0x00011e7f25fbd7aeUL;
   tf->codes[65249] = 0x00004be83837234bUL;
   tf->codes[65250] = 0x00016ffe9fb4555dUL;
   tf->codes[65251] = 0x00000364514f057eUL;
   tf->codes[65252] = 0x00002db1194def1aUL;
   tf->codes[65253] = 0x000008b0e3c39517UL;
   tf->codes[65254] = 0x000128b8e84f5fc4UL;
   tf->codes[65255] = 0x00018de2e299f0cfUL;
   tf->codes[65256] = 0x00002da049d1fd38UL;
   tf->codes[65257] = 0x00004ffbb32683b8UL;
   tf->codes[65258] = 0x0001adb0f1cb0bc8UL;
   tf->codes[65259] = 0x00007beff2320143UL;
   tf->codes[65260] = 0x0001e980f45286f7UL;
   tf->codes[65261] = 0x0000ba7088e6607bUL;
   tf->codes[65262] = 0x0000d7ac26bbb477UL;
   tf->codes[65263] = 0x0001899798e44bc2UL;
   tf->codes[65264] = 0x0000a0d64072905bUL;
   tf->codes[65265] = 0x000166bf2d6f5b9aUL;
   tf->codes[65266] = 0x000029c7425d8171UL;
   tf->codes[65267] = 0x00004f4765235127UL;
   tf->codes[65268] = 0x00013c34a2fb2b01UL;
   tf->codes[65269] = 0x0001988c0b644171UL;
   tf->codes[65270] = 0x0001efd9c9f44743UL;
   tf->codes[65271] = 0x000077a9fa43bd71UL;
   tf->codes[65272] = 0x000113e24c4af5ecUL;
   tf->codes[65273] = 0x0000a496b294c271UL;
   tf->codes[65274] = 0x000168710d7bac3aUL;
   tf->codes[65275] = 0x0000880d376aef2dUL;
   tf->codes[65276] = 0x0001c6d649c28512UL;
   tf->codes[65277] = 0x0001381f8122cf96UL;
   tf->codes[65278] = 0x0001d655115540caUL;
   tf->codes[65279] = 0x000060128b3f6992UL;
   tf->codes[65280] = 0x0000ed7a54e004f8UL;
   tf->codes[65281] = 0x00013aa17aa7c5f4UL;
   tf->codes[65282] = 0x0001fbd3b80da12dUL;
   tf->codes[65283] = 0x0000f6ca5ec59257UL;
   tf->codes[65284] = 0x000030193c650102UL;
   tf->codes[65285] = 0x00000e69ba1b51b4UL;
   tf->codes[65286] = 0x0000673245d8a9deUL;
   tf->codes[65287] = 0x000081fec9d499a6UL;
   tf->codes[65288] = 0x0000aa7bacd1cea6UL;
   tf->codes[65289] = 0x00012fc75fd9ddc8UL;
   tf->codes[65290] = 0x0001086b55ef11f4UL;
   tf->codes[65291] = 0x0000ba4456d8d1edUL;
   tf->codes[65292] = 0x0001cf6fd924c1acUL;
   tf->codes[65293] = 0x0000c5a843d6046bUL;
   tf->codes[65294] = 0x0000df783f0912a3UL;
   tf->codes[65295] = 0x0001a0b9a3d97865UL;
   tf->codes[65296] = 0x00010b68f23a4f5cUL;
   tf->codes[65297] = 0x0001d556c42a79f5UL;
   tf->codes[65298] = 0x0001509700812808UL;
   tf->codes[65299] = 0x0000b659024fb9cdUL;
   tf->codes[65300] = 0x0000be0a7204b7b8UL;
   tf->codes[65301] = 0x00008b88d08bc4fdUL;
   tf->codes[65302] = 0x00009f551d42207eUL;
   tf->codes[65303] = 0x0000c9c7a36fc213UL;
   tf->codes[65304] = 0x0000f9873fbb0c8aUL;
   tf->codes[65305] = 0x0000304e149ba220UL;
   tf->codes[65306] = 0x0000abe518b1d6ddUL;
   tf->codes[65307] = 0x0001bccb347e0c40UL;
   tf->codes[65308] = 0x00004fcf2aff0f0bUL;
   tf->codes[65309] = 0x000092817c273871UL;
   tf->codes[65310] = 0x000138a43e6a9728UL;
   tf->codes[65311] = 0x0001af7ef8086720UL;
   tf->codes[65312] = 0x0001f51ea76e6582UL;
   tf->codes[65313] = 0x00001e7f5052ff37UL;
   tf->codes[65314] = 0x0001635f82a4323cUL;
   tf->codes[65315] = 0x000074aab9605dc1UL;
   tf->codes[65316] = 0x000107b0a16faa32UL;
   tf->codes[65317] = 0x00003227fccfb334UL;
   tf->codes[65318] = 0x000096771cfcc08dUL;
   tf->codes[65319] = 0x00017459e48a3be2UL;
   tf->codes[65320] = 0x000047df1e4c2d29UL;
   tf->codes[65321] = 0x00004a94288f6918UL;
   tf->codes[65322] = 0x0001933d517413d9UL;
   tf->codes[65323] = 0x00005fdd60682766UL;
   tf->codes[65324] = 0x0001b77885cfc755UL;
   tf->codes[65325] = 0x0001b9b3b2d70ddaUL;
   tf->codes[65326] = 0x00016ad08f6e2bc7UL;
   tf->codes[65327] = 0x00010d6f10bad1a1UL;
   tf->codes[65328] = 0x000026c361b0aa8bUL;
   tf->codes[65329] = 0x00016fd113512466UL;
   tf->codes[65330] = 0x000177bf6a2d2ec2UL;
   tf->codes[65331] = 0x00018e83604562e0UL;
   tf->codes[65332] = 0x0001b429ff72099dUL;
   tf->codes[65333] = 0x00000ef622742e4dUL;
   tf->codes[65334] = 0x000034cc474a775bUL;
   tf->codes[65335] = 0x00004575e996bd93UL;
   tf->codes[65336] = 0x0000d3e4037b24e1UL;
   tf->codes[65337] = 0x00014805111e37c7UL;
   tf->codes[65338] = 0x0000c67db2f21f3eUL;
   tf->codes[65339] = 0x00017ec1b0dcc5bfUL;
   tf->codes[65340] = 0x0001c05990972785UL;
   tf->codes[65341] = 0x0001d7c6918d0352UL;
   tf->codes[65342] = 0x0000c30a66c9ff97UL;
   tf->codes[65343] = 0x0000a1b062e7b058UL;
   tf->codes[65344] = 0x0000b89d4b00ed35UL;
   tf->codes[65345] = 0x0001fb9d2016cc36UL;
   tf->codes[65346] = 0x000095e0d6a29977UL;
   tf->codes[65347] = 0x000113d4b66b7297UL;
   tf->codes[65348] = 0x00012dbec54f1289UL;
   tf->codes[65349] = 0x0001b2120d9ca7f5UL;
   tf->codes[65350] = 0x00003e2af55444c3UL;
   tf->codes[65351] = 0x00009dbd2a49b890UL;
   tf->codes[65352] = 0x0000dded913d96e9UL;
   tf->codes[65353] = 0x0001ef87ed478eb0UL;
   tf->codes[65354] = 0x0001a769c2716a95UL;
   tf->codes[65355] = 0x000028444fb963a1UL;
   tf->codes[65356] = 0x0000938e0cad5f4bUL;
   tf->codes[65357] = 0x0000eb66d0600b3eUL;
   tf->codes[65358] = 0x0001a1608863ee70UL;
   tf->codes[65359] = 0x0001e42fabf0eeccUL;
   tf->codes[65360] = 0x00008be455cee694UL;
   tf->codes[65361] = 0x0000d147f95c1311UL;
   tf->codes[65362] = 0x00015f49b4fad95cUL;
   tf->codes[65363] = 0x000021c90e5c92c4UL;
   tf->codes[65364] = 0x00019f9e5d4a62c9UL;
   tf->codes[65365] = 0x0001ca9c6c43c3c8UL;
   tf->codes[65366] = 0x0001e49ee663bf52UL;
   tf->codes[65367] = 0x0000d388debdb89cUL;
   tf->codes[65368] = 0x0000dd8d8eae6898UL;
   tf->codes[65369] = 0x0000eeaaefac1632UL;
   tf->codes[65370] = 0x00009b0b55c6d754UL;
   tf->codes[65371] = 0x0000f8a4212297f5UL;
   tf->codes[65372] = 0x000132e685bf0b2aUL;
   tf->codes[65373] = 0x0001c30443def993UL;
   tf->codes[65374] = 0x000179cf5f1677e7UL;
   tf->codes[65375] = 0x0001da5ee997fa11UL;
   tf->codes[65376] = 0x0001dd7b92f06b99UL;
   tf->codes[65377] = 0x0000a7b8c4bd6839UL;
   tf->codes[65378] = 0x0000c5a44a3310faUL;
   tf->codes[65379] = 0x0000742ce0f639c2UL;
   tf->codes[65380] = 0x0000ff3016707a5aUL;
   tf->codes[65381] = 0x0001572ac35d89f0UL;
   tf->codes[65382] = 0x000084a078de209fUL;
   tf->codes[65383] = 0x0000a709e4d214cfUL;
   tf->codes[65384] = 0x00011a6b6e4c3cddUL;
   tf->codes[65385] = 0x000120916c965102UL;
   tf->codes[65386] = 0x00005090c4bee929UL;
   tf->codes[65387] = 0x0001d8cbc07ef772UL;
   tf->codes[65388] = 0x0001c6b3538b752dUL;
   tf->codes[65389] = 0x0000e56457278d0cUL;
   tf->codes[65390] = 0x0000a543f3b2115aUL;
   tf->codes[65391] = 0x0001939e192deb5aUL;
   tf->codes[65392] = 0x00012286b8846b1dUL;
   tf->codes[65393] = 0x000141f372cc07c2UL;
   tf->codes[65394] = 0x000027194b4cb9d1UL;
   tf->codes[65395] = 0x0000143c60d3aa4eUL;
   tf->codes[65396] = 0x000030e22ab93b3fUL;
   tf->codes[65397] = 0x0001dfb010c43832UL;
   tf->codes[65398] = 0x0001e426a561cb01UL;
   tf->codes[65399] = 0x00000d6631cf2de0UL;
   tf->codes[65400] = 0x0001f0dd57c75e2cUL;
   tf->codes[65401] = 0x0001e7122f8a409eUL;
   tf->codes[65402] = 0x00003d1939c309cdUL;
   tf->codes[65403] = 0x0001401c6915fee7UL;
   tf->codes[65404] = 0x0001abb09ab26928UL;
   tf->codes[65405] = 0x00010975dc728516UL;
   tf->codes[65406] = 0x00011fd7764f084eUL;
   tf->codes[65407] = 0x00012823963a502cUL;
   tf->codes[65408] = 0x00009acc3648466fUL;
   tf->codes[65409] = 0x0000b230ec9644c9UL;
   tf->codes[65410] = 0x0001fa2aa2f8a64fUL;
   tf->codes[65411] = 0x00007907c6116e9cUL;
   tf->codes[65412] = 0x0000e87616280150UL;
   tf->codes[65413] = 0x000184f55feb4418UL;
   tf->codes[65414] = 0x00018327e1f8b375UL;
   tf->codes[65415] = 0x000010f48bfa3f38UL;
   tf->codes[65416] = 0x00004afe9c9c1960UL;
   tf->codes[65417] = 0x00011639416e0ea4UL;
   tf->codes[65418] = 0x0001a24a6226e748UL;
   tf->codes[65419] = 0x000096df56c3e274UL;
   tf->codes[65420] = 0x0000aa3092e81df3UL;
   tf->codes[65421] = 0x0001db9328b2b62fUL;
   tf->codes[65422] = 0x0001dc11e2353281UL;
   tf->codes[65423] = 0x000103deb90508faUL;
   tf->codes[65424] = 0x0001fcebcd9db199UL;
   tf->codes[65425] = 0x0000d11f0b99ecf5UL;
   tf->codes[65426] = 0x00019f5e2916fdeeUL;
   tf->codes[65427] = 0x0001cd5a83a5dedbUL;
   tf->codes[65428] = 0x0001df3cc91ee647UL;
   tf->codes[65429] = 0x0001a45cf597e3e3UL;
   tf->codes[65430] = 0x00003ae4eb09ab82UL;
   tf->codes[65431] = 0x000194df272f1bc7UL;
   tf->codes[65432] = 0x0001bdb1c322b69bUL;
   tf->codes[65433] = 0x0001259be70ea247UL;
   tf->codes[65434] = 0x000089571dc616c0UL;
   tf->codes[65435] = 0x00005032d387c77bUL;
   tf->codes[65436] = 0x000029caa12b01f9UL;
   tf->codes[65437] = 0x0000908e5899fdfeUL;
   tf->codes[65438] = 0x00014eba1cd89754UL;
   tf->codes[65439] = 0x0001de30b31e19f5UL;
   tf->codes[65440] = 0x0000894078d9aa5aUL;
   tf->codes[65441] = 0x0001f6110c952e22UL;
   tf->codes[65442] = 0x00002008f74ebb3fUL;
   tf->codes[65443] = 0x00003c846fd920d3UL;
   tf->codes[65444] = 0x0000b1bc8f13b28dUL;
   tf->codes[65445] = 0x00013bbd92bb5de0UL;
   tf->codes[65446] = 0x00018d66bcad035cUL;
   tf->codes[65447] = 0x00005c0661ed9713UL;
   tf->codes[65448] = 0x0000d5783d29bceaUL;
   tf->codes[65449] = 0x00004c876eb9b21eUL;
   tf->codes[65450] = 0x0001a066a766232eUL;
   tf->codes[65451] = 0x00005f1284815b74UL;
   tf->codes[65452] = 0x00004e00fa05cc1fUL;
   tf->codes[65453] = 0x0001379983a4aee8UL;
   tf->codes[65454] = 0x00014c9253eb99d4UL;
   tf->codes[65455] = 0x0001d108d642a7c2UL;
   tf->codes[65456] = 0x0001f6303843b8e4UL;
   tf->codes[65457] = 0x0000f4e78ae74457UL;
   tf->codes[65458] = 0x00013652fbb43914UL;
   tf->codes[65459] = 0x0001dceb7d25255bUL;
   tf->codes[65460] = 0x0001c847a79c8135UL;
   tf->codes[65461] = 0x00008c1448fe10d2UL;
   tf->codes[65462] = 0x000018c0d11132fcUL;
   tf->codes[65463] = 0x00012c397b4f4adaUL;
   tf->codes[65464] = 0x000057acf8e537a1UL;
   tf->codes[65465] = 0x0001cae83910a029UL;
   tf->codes[65466] = 0x0000fa898d9af509UL;
   tf->codes[65467] = 0x000097751fa1dcd1UL;
   tf->codes[65468] = 0x000166c7e0551613UL;
   tf->codes[65469] = 0x0001fcf69fe41394UL;
   tf->codes[65470] = 0x000048ed5e391447UL;
   tf->codes[65471] = 0x0000915c91c30f54UL;
   tf->codes[65472] = 0x0000b336916be205UL;
   tf->codes[65473] = 0x000160c7f841a9f3UL;
   tf->codes[65474] = 0x0001de0f995a8a9eUL;
   tf->codes[65475] = 0x000110fb6584e0adUL;
   tf->codes[65476] = 0x00009c2dd017c1ceUL;
   tf->codes[65477] = 0x00011d9f64a5a87dUL;
   tf->codes[65478] = 0x00002fd1de359d01UL;
   tf->codes[65479] = 0x00004e79a576d215UL;
   tf->codes[65480] = 0x0001eb18d0e432d7UL;
   tf->codes[65481] = 0x0000e804a5ae850cUL;
   tf->codes[65482] = 0x0001ca20fd399c78UL;
   tf->codes[65483] = 0x0001ba364ce21a10UL;
   tf->codes[65484] = 0x00012dc6a4e1e4dcUL;
   tf->codes[65485] = 0x0001f69087663fcaUL;
   tf->codes[65486] = 0x000152a2b6897e12UL;
   tf->codes[65487] = 0x0001c40451af35eaUL;
   tf->codes[65488] = 0x000010a56bb0f32bUL;
   tf->codes[65489] = 0x00001d1acf642fbeUL;
   tf->codes[65490] = 0x0001a231fbef0be5UL;
   tf->codes[65491] = 0x0000fa09012b85b3UL;
   tf->codes[65492] = 0x00013199accff806UL;
   tf->codes[65493] = 0x00004c805a7e758bUL;
   tf->codes[65494] = 0x00007e97ca31e577UL;
   tf->codes[65495] = 0x0001e04bcfa20da2UL;
   tf->codes[65496] = 0x00001a77806437e9UL;
   tf->codes[65497] = 0x00003050b6bc3ebeUL;
   tf->codes[65498] = 0x0000e6fd8a32c77bUL;
   tf->codes[65499] = 0x0000ed0b75487014UL;
   tf->codes[65500] = 0x00013c343176089fUL;
   tf->codes[65501] = 0x00016dc29c82f898UL;
   tf->codes[65502] = 0x0000adb614d8dc3cUL;
   tf->codes[65503] = 0x0001ca97e32050ceUL;
   tf->codes[65504] = 0x000095373699f88fUL;
   tf->codes[65505] = 0x00004b9d28567302UL;
   tf->codes[65506] = 0x000145df19b2963eUL;
   tf->codes[65507] = 0x0000b74848befabfUL;
   tf->codes[65508] = 0x00000b733857e186UL;
   tf->codes[65509] = 0x000042a271fcba07UL;
   tf->codes[65510] = 0x0000e8c5d5621c4eUL;
   tf->codes[65511] = 0x00015b90af3b77fcUL;
   tf->codes[65512] = 0x0001c2a9b90ddc0aUL;
   tf->codes[65513] = 0x0000e4f160547659UL;
   tf->codes[65514] = 0x00013f1dd960dfe7UL;
   tf->codes[65515] = 0x00002589a800af8bUL;
   tf->codes[65516] = 0x000100fdd95ddff5UL;
   tf->codes[65517] = 0x000114ea66da68f7UL;
   tf->codes[65518] = 0x000118a52eca7afdUL;
   tf->codes[65519] = 0x00012223d357f607UL;
   tf->codes[65520] = 0x0001ab60eb4b6c5bUL;
   tf->codes[65521] = 0x0001af9738eba9edUL;
   tf->codes[65522] = 0x0000487608fe722eUL;
   tf->codes[65523] = 0x0000b1b525e6fc36UL;
   tf->codes[65524] = 0x0001242eae553c37UL;
   tf->codes[65525] = 0x00005efe4ba8933cUL;
   tf->codes[65526] = 0x0000f75e8e3cd731UL;
   tf->codes[65527] = 0x0001a984f5fe3147UL;
   tf->codes[65528] = 0x00009fabd235c584UL;
   tf->codes[65529] = 0x000175e10d8da503UL;
   tf->codes[65530] = 0x0001a4cf4e1c429cUL;
   tf->codes[65531] = 0x0001d909368089f1UL;
   tf->codes[65532] = 0x0000333ab7d7726dUL;
   tf->codes[65533] = 0x0001719f5eec237fUL;
   tf->codes[65534] = 0x0001e520c2997b43UL;
   tf->nbits = 49;
   tf->bit_x = (uint32_t *)calloc(49, sizeof(uint32_t));
   tf->bit_y = (uint32_t *)calloc(49, sizeof(uint32_t));
   tf->bit_x[0] = 1;
   tf->bit_y[0] = -3;
   tf->bit_x[1] = 2;
   tf->bit_y[1] = -3;
   tf->bit_x[2] = 3;
   tf->bit_y[2] = -3;
   tf->bit_x[3] = -1;
   tf->bit_y[3] = -2;
   tf->bit_x[4] = 0;
   tf->bit_y[4] = -2;
   tf->bit_x[5] = 1;
   tf->bit_y[5] = -2;
   tf->bit_x[6] = 2;
   tf->bit_y[6] = -2;
   tf->bit_x[7] = 3;
   tf->bit_y[7] = -2;
   tf->bit_x[8] = 4;
   tf->bit_y[8] = -2;
   tf->bit_x[9] = 5;
   tf->bit_y[9] = -2;
   tf->bit_x[10] = 1;
   tf->bit_y[10] = 1;
   tf->bit_x[11] = 2;
   tf->bit_y[11] = 1;
   tf->bit_x[12] = 7;
   tf->bit_y[12] = 1;
   tf->bit_x[13] = 7;
   tf->bit_y[13] = 2;
   tf->bit_x[14] = 7;
   tf->bit_y[14] = 3;
   tf->bit_x[15] = 6;
   tf->bit_y[15] = -1;
   tf->bit_x[16] = 6;
   tf->bit_y[16] = 0;
   tf->bit_x[17] = 6;
   tf->bit_y[17] = 1;
   tf->bit_x[18] = 6;
   tf->bit_y[18] = 2;
   tf->bit_x[19] = 6;
   tf->bit_y[19] = 3;
   tf->bit_x[20] = 6;
   tf->bit_y[20] = 4;
   tf->bit_x[21] = 6;
   tf->bit_y[21] = 5;
   tf->bit_x[22] = 3;
   tf->bit_y[22] = 1;
   tf->bit_x[23] = 3;
   tf->bit_y[23] = 2;
   tf->bit_x[24] = 3;
   tf->bit_y[24] = 7;
   tf->bit_x[25] = 2;
   tf->bit_y[25] = 7;
   tf->bit_x[26] = 1;
   tf->bit_y[26] = 7;
   tf->bit_x[27] = 5;
   tf->bit_y[27] = 6;
   tf->bit_x[28] = 4;
   tf->bit_y[28] = 6;
   tf->bit_x[29] = 3;
   tf->bit_y[29] = 6;
   tf->bit_x[30] = 2;
   tf->bit_y[30] = 6;
   tf->bit_x[31] = 1;
   tf->bit_y[31] = 6;
   tf->bit_x[32] = 0;
   tf->bit_y[32] = 6;
   tf->bit_x[33] = -1;
   tf->bit_y[33] = 6;
   tf->bit_x[34] = 3;
   tf->bit_y[34] = 3;
   tf->bit_x[35] = 2;
   tf->bit_y[35] = 3;
   tf->bit_x[36] = -3;
   tf->bit_y[36] = 3;
   tf->bit_x[37] = -3;
   tf->bit_y[37] = 2;
   tf->bit_x[38] = -3;
   tf->bit_y[38] = 1;
   tf->bit_x[39] = -2;
   tf->bit_y[39] = 5;
   tf->bit_x[40] = -2;
   tf->bit_y[40] = 4;
   tf->bit_x[41] = -2;
   tf->bit_y[41] = 3;
   tf->bit_x[42] = -2;
   tf->bit_y[42] = 2;
   tf->bit_x[43] = -2;
   tf->bit_y[43] = 1;
   tf->bit_x[44] = -2;
   tf->bit_y[44] = 0;
   tf->bit_x[45] = -2;
   tf->bit_y[45] = -1;
   tf->bit_x[46] = 1;
   tf->bit_y[46] = 3;
   tf->bit_x[47] = 1;
   tf->bit_y[47] = 2;
   tf->bit_x[48] = 2;
   tf->bit_y[48] = 2;
   tf->width_at_border = 5;
   tf->total_width = 11;
   tf->reversed_border = true;
   return tf;
}

void tagCircle49h12_destroy(apriltag_family_t *tf)
{
   free(tf->codes);
   free(tf->bit_x);
   free(tf->bit_y);
   free(tf->name);
   free(tf);
}
