/* Copyright (C) 2013-2016, The Regents of The University of Michigan.
All rights reserved.
This software was developed in the APRIL Robotics Lab under the
direction of Edwin Olson, ebolson@umich.edu. This software may be
available under alternative licensing terms; contact the address above.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
1. Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
The views and conclusions contained in the software and documentation are those
of the authors and should not be interpreted as representing official policies,
either expressed or implied, of the Regents of The University of Michigan.
*/

#include <stdlib.h>
#include "apriltag.h"

apriltag_family_t *tagStandard52h13_create()
{
  apriltag_family_t *tf = (apriltag_family_t *)calloc(1, sizeof(apriltag_family_t));
   tf->name = strdup("tagStandard52h13");
   tf->h = 13;
   tf->ncodes = 48714;
   tf->codes = (uint64_t *)calloc(48714, sizeof(uint64_t));
   tf->codes[0] = 0x0004064a19651ff1UL;
   tf->codes[1] = 0x0004064a53f425b6UL;
   tf->codes[2] = 0x0004064a8e832b7bUL;
   tf->codes[3] = 0x0004064ac9123140UL;
   tf->codes[4] = 0x0004064b03a13705UL;
   tf->codes[5] = 0x0004064b3e303ccaUL;
   tf->codes[6] = 0x0004064b78bf428fUL;
   tf->codes[7] = 0x0004064bb34e4854UL;
   tf->codes[8] = 0x0004064beddd4e19UL;
   tf->codes[9] = 0x0004064c286c53deUL;
   tf->codes[10] = 0x0004064c62fb59a3UL;
   tf->codes[11] = 0x0004064c9d8a5f68UL;
   tf->codes[12] = 0x0004064d12a86af2UL;
   tf->codes[13] = 0x0004064d4d3770b7UL;
   tf->codes[14] = 0x0004064dc2557c41UL;
   tf->codes[15] = 0x0004064dfce48206UL;
   tf->codes[16] = 0x0004064e377387cbUL;
   tf->codes[17] = 0x0004064e72028d90UL;
   tf->codes[18] = 0x0004064eac919355UL;
   tf->codes[19] = 0x0004064f21af9edfUL;
   tf->codes[20] = 0x0004064fd15cb02eUL;
   tf->codes[21] = 0x000406500bebb5f3UL;
   tf->codes[22] = 0x00040650467abbb8UL;
   tf->codes[23] = 0x00040650bb98c742UL;
   tf->codes[24] = 0x00040650f627cd07UL;
   tf->codes[25] = 0x000406516b45d891UL;
   tf->codes[26] = 0x00040651a5d4de56UL;
   tf->codes[27] = 0x000406521af2e9e0UL;
   tf->codes[28] = 0x000406525581efa5UL;
   tf->codes[29] = 0x00040653052f00f4UL;
   tf->codes[30] = 0x000406533fbe06b9UL;
   tf->codes[31] = 0x000406537a4d0c7eUL;
   tf->codes[32] = 0x00040653ef6b1808UL;
   tf->codes[33] = 0x0004065429fa1dcdUL;
   tf->codes[34] = 0x0004065464892392UL;
   tf->codes[35] = 0x000406549f182957UL;
   tf->codes[36] = 0x00040654d9a72f1cUL;
   tf->codes[37] = 0x00040655143634e1UL;
   tf->codes[38] = 0x000406554ec53aa6UL;
   tf->codes[39] = 0x000406558954406bUL;
   tf->codes[40] = 0x00040655c3e34630UL;
   tf->codes[41] = 0x00040655fe724bf5UL;
   tf->codes[42] = 0x000406567390577fUL;
   tf->codes[43] = 0x00040656ae1f5d44UL;
   tf->codes[44] = 0x00040657233d68ceUL;
   tf->codes[45] = 0x00040657985b7458UL;
   tf->codes[46] = 0x00040657d2ea7a1dUL;
   tf->codes[47] = 0x00040658480885a7UL;
   tf->codes[48] = 0x00040658bd269131UL;
   tf->codes[49] = 0x00040659e1f1ae0aUL;
   tf->codes[50] = 0x0004065a919ebf59UL;
   tf->codes[51] = 0x0004065bb669dc32UL;
   tf->codes[52] = 0x0004065bf0f8e1f7UL;
   tf->codes[53] = 0x0004065cdb34f90bUL;
   tf->codes[54] = 0x0004065d15c3fed0UL;
   tf->codes[55] = 0x0004065d50530495UL;
   tf->codes[56] = 0x0004065e3a8f1ba9UL;
   tf->codes[57] = 0x0004065eea3c2cf8UL;
   tf->codes[58] = 0x0004066049964f96UL;
   tf->codes[59] = 0x000406608425555bUL;
   tf->codes[60] = 0x00040660beb45b20UL;
   tf->codes[61] = 0x0004066133d266aaUL;
   tf->codes[62] = 0x00040661e37f77f9UL;
   tf->codes[63] = 0x000406621e0e7dbeUL;
   tf->codes[64] = 0x00040662932c8948UL;
   tf->codes[65] = 0x00040662cdbb8f0dUL;
   tf->codes[66] = 0x00040663084a94d2UL;
   tf->codes[67] = 0x0004066342d99a97UL;
   tf->codes[68] = 0x000406637d68a05cUL;
   tf->codes[69] = 0x00040663f286abe6UL;
   tf->codes[70] = 0x0004066467a4b770UL;
   tf->codes[71] = 0x00040664a233bd35UL;
   tf->codes[72] = 0x00040664dcc2c2faUL;
   tf->codes[73] = 0x000406651751c8bfUL;
   tf->codes[74] = 0x0004066551e0ce84UL;
   tf->codes[75] = 0x00040666b13af122UL;
   tf->codes[76] = 0x00040666ebc9f6e7UL;
   tf->codes[77] = 0x0004066760e80271UL;
   tf->codes[78] = 0x00040668109513c0UL;
   tf->codes[79] = 0x000406684b241985UL;
   tf->codes[80] = 0x00040668fad12ad4UL;
   tf->codes[81] = 0x000406696fef365eUL;
   tf->codes[82] = 0x00040669aa7e3c23UL;
   tf->codes[83] = 0x00040669e50d41e8UL;
   tf->codes[84] = 0x0004066bb9857010UL;
   tf->codes[85] = 0x0004066bf41475d5UL;
   tf->codes[86] = 0x0004066c6932815fUL;
   tf->codes[87] = 0x0004066ca3c18724UL;
   tf->codes[88] = 0x0004066d536e9873UL;
   tf->codes[89] = 0x0004066dc88ca3fdUL;
   tf->codes[90] = 0x0004066e031ba9c2UL;
   tf->codes[91] = 0x0004066eb2c8bb11UL;
   tf->codes[92] = 0x000406704cb1e374UL;
   tf->codes[93] = 0x00040670c1cfeefeUL;
   tf->codes[94] = 0x00040670fc5ef4c3UL;
   tf->codes[95] = 0x0004067136edfa88UL;
   tf->codes[96] = 0x00040671ac0c0612UL;
   tf->codes[97] = 0x00040673bb1339ffUL;
   tf->codes[98] = 0x000406746ac04b4eUL;
   tf->codes[99] = 0x00040676b4568500UL;
   tf->codes[100] = 0x00040676eee58ac5UL;
   tf->codes[101] = 0x000406776403964fUL;
   tf->codes[102] = 0x00040678fdecbeb2UL;
   tf->codes[103] = 0x0004067b4782f864UL;
   tf->codes[104] = 0x0004067c6c4e153dUL;
   tf->codes[105] = 0x0004067ce16c20c7UL;
   tf->codes[106] = 0x0004067d568a2c51UL;
   tf->codes[107] = 0x0004067eb5e44eefUL;
   tf->codes[108] = 0x0004067f2b025a79UL;
   tf->codes[109] = 0x0004067f6591603eUL;
   tf->codes[110] = 0x000406808a5c7d17UL;
   tf->codes[111] = 0x00040680c4eb82dcUL;
   tf->codes[112] = 0x00040680ff7a88a1UL;
   tf->codes[113] = 0x000406817498942bUL;
   tf->codes[114] = 0x00040681e9b69fb5UL;
   tf->codes[115] = 0x000406825ed4ab3fUL;
   tf->codes[116] = 0x00040682d3f2b6c9UL;
   tf->codes[117] = 0x000406834910c253UL;
   tf->codes[118] = 0x00040683be2ecdddUL;
   tf->codes[119] = 0x000406846ddbdf2cUL;
   tf->codes[120] = 0x00040684a86ae4f1UL;
   tf->codes[121] = 0x00040684e2f9eab6UL;
   tf->codes[122] = 0x000406855817f640UL;
   tf->codes[123] = 0x0004068592a6fc05UL;
   tf->codes[124] = 0x00040685cd3601caUL;
   tf->codes[125] = 0x000406867ce31319UL;
   tf->codes[126] = 0x00040686b77218deUL;
   tf->codes[127] = 0x00040687671f2a2dUL;
   tf->codes[128] = 0x00040687a1ae2ff2UL;
   tf->codes[129] = 0x00040688515b4141UL;
   tf->codes[130] = 0x000406888bea4706UL;
   tf->codes[131] = 0x00040689eb4469a4UL;
   tf->codes[132] = 0x0004068a6062752eUL;
   tf->codes[133] = 0x0004068a9af17af3UL;
   tf->codes[134] = 0x0004068ad58080b8UL;
   tf->codes[135] = 0x0004068b100f867dUL;
   tf->codes[136] = 0x0004068b4a9e8c42UL;
   tf->codes[137] = 0x0004068b852d9207UL;
   tf->codes[138] = 0x0004068c34daa356UL;
   tf->codes[139] = 0x0004068ce487b4a5UL;
   tf->codes[140] = 0x0004068d9434c5f4UL;
   tf->codes[141] = 0x0004068dcec3cbb9UL;
   tf->codes[142] = 0x0004068f68acf41cUL;
   tf->codes[143] = 0x0004069052e90b30UL;
   tf->codes[144] = 0x00040691b2432dceUL;
   tf->codes[145] = 0x00040691ecd23393UL;
   tf->codes[146] = 0x0004069261f03f1dUL;
   tf->codes[147] = 0x000406929c7f44e2UL;
   tf->codes[148] = 0x00040692d70e4aa7UL;
   tf->codes[149] = 0x00040693119d506cUL;
   tf->codes[150] = 0x000406934c2c5631UL;
   tf->codes[151] = 0x0004069386bb5bf6UL;
   tf->codes[152] = 0x00040693c14a61bbUL;
   tf->codes[153] = 0x0004069436686d45UL;
   tf->codes[154] = 0x000406955b338a1eUL;
   tf->codes[155] = 0x0004069595c28fe3UL;
   tf->codes[156] = 0x00040695d05195a8UL;
   tf->codes[157] = 0x000406960ae09b6dUL;
   tf->codes[158] = 0x00040696f51cb281UL;
   tf->codes[159] = 0x000406972fabb846UL;
   tf->codes[160] = 0x0004069819e7cf5aUL;
   tf->codes[161] = 0x000406988f05dae4UL;
   tf->codes[162] = 0x000406993eb2ec33UL;
   tf->codes[163] = 0x00040699b3d0f7bdUL;
   tf->codes[164] = 0x0004069ad89c1496UL;
   tf->codes[165] = 0x0004069b4dba2020UL;
   tf->codes[166] = 0x0004069d22324e48UL;
   tf->codes[167] = 0x0004069dd1df5f97UL;
   tf->codes[168] = 0x0004069f6bc887faUL;
   tf->codes[169] = 0x0004069fa6578dbfUL;
   tf->codes[170] = 0x000406a09093a4d3UL;
   tf->codes[171] = 0x000406a105b1b05dUL;
   tf->codes[172] = 0x000406a2650bd2fbUL;
   tf->codes[173] = 0x000406a2da29de85UL;
   tf->codes[174] = 0x000406a4741306e8UL;
   tf->codes[175] = 0x000406a4aea20cadUL;
   tf->codes[176] = 0x000406a4e9311272UL;
   tf->codes[177] = 0x000406a598de23c1UL;
   tf->codes[178] = 0x000406a60dfc2f4bUL;
   tf->codes[179] = 0x000406a6bda9409aUL;
   tf->codes[180] = 0x000406a7a7e557aeUL;
   tf->codes[181] = 0x000406a7e2745d73UL;
   tf->codes[182] = 0x000406a8579268fdUL;
   tf->codes[183] = 0x000406a97c5d85d6UL;
   tf->codes[184] = 0x000406a9b6ec8b9bUL;
   tf->codes[185] = 0x000406ac75a0d0d7UL;
   tf->codes[186] = 0x000406acb02fd69cUL;
   tf->codes[187] = 0x000406af34551613UL;
   tf->codes[188] = 0x000406afa973219dUL;
   tf->codes[189] = 0x000406b0592032ecUL;
   tf->codes[190] = 0x000406b093af38b1UL;
   tf->codes[191] = 0x000406b0ce3e3e76UL;
   tf->codes[192] = 0x000406b1435c4a00UL;
   tf->codes[193] = 0x000406b17deb4fc5UL;
   tf->codes[194] = 0x000406b2682766d9UL;
   tf->codes[195] = 0x000406b2a2b66c9eUL;
   tf->codes[196] = 0x000406b2dd457263UL;
   tf->codes[197] = 0x000406b3c7818977UL;
   tf->codes[198] = 0x000406b61117c329UL;
   tf->codes[199] = 0x000406b64ba6c8eeUL;
   tf->codes[200] = 0x000406b6c0c4d478UL;
   tf->codes[201] = 0x000406b7e58ff151UL;
   tf->codes[202] = 0x000406b85aadfcdbUL;
   tf->codes[203] = 0x000406b944ea13efUL;
   tf->codes[204] = 0x000406ba2f262b03UL;
   tf->codes[205] = 0x000406baa444368dUL;
   tf->codes[206] = 0x000406bb53f147dcUL;
   tf->codes[207] = 0x000406bcb34b6a7aUL;
   tf->codes[208] = 0x000406be87c398a2UL;
   tf->codes[209] = 0x000406bf3770a9f1UL;
   tf->codes[210] = 0x000406c14677dddeUL;
   tf->codes[211] = 0x000406c1bb95e968UL;
   tf->codes[212] = 0x000406c47a4a2ea4UL;
   tf->codes[213] = 0x000406c5648645b8UL;
   tf->codes[214] = 0x000406c64ec25cccUL;
   tf->codes[215] = 0x000406c8233a8af4UL;
   tf->codes[216] = 0x000406c89858967eUL;
   tf->codes[217] = 0x000406c9f7b2b91cUL;
   tf->codes[218] = 0x000406caa75fca6bUL;
   tf->codes[219] = 0x000406cae1eed030UL;
   tf->codes[220] = 0x000406cb570cdbbaUL;
   tf->codes[221] = 0x000406cbcc2ae744UL;
   tf->codes[222] = 0x000406cda0a3156cUL;
   tf->codes[223] = 0x000406cf751b4394UL;
   tf->codes[224] = 0x000406d1f940830bUL;
   tf->codes[225] = 0x000406d68c6cf66fUL;
   tf->codes[226] = 0x000406d7b1381348UL;
   tf->codes[227] = 0x000406dc446486acUL;
   tf->codes[228] = 0x000406dd692fa385UL;
   tf->codes[229] = 0x000406de8dfac05eUL;
   tf->codes[230] = 0x000406dfed54e2fcUL;
   tf->codes[231] = 0x000406e1873e0b5fUL;
   tf->codes[232] = 0x000406e40b634ad6UL;
   tf->codes[233] = 0x000406e5302e67afUL;
   tf->codes[234] = 0x000406e56abd6d74UL;
   tf->codes[235] = 0x000406e73f359b9cUL;
   tf->codes[236] = 0x000406e94e3ccf89UL;
   tf->codes[237] = 0x000406ea7307ec62UL;
   tf->codes[238] = 0x000406eaad96f227UL;
   tf->codes[239] = 0x000406ec0cf114c5UL;
   tf->codes[240] = 0x000406ef40c3658bUL;
   tf->codes[241] = 0x000406f0658e8264UL;
   tf->codes[242] = 0x000406f1153b93b3UL;
   tf->codes[243] = 0x000406f1c4e8a502UL;
   tf->codes[244] = 0x000406f658151866UL;
   tf->codes[245] = 0x000406f742512f7aUL;
   tf->codes[246] = 0x000406f8dc3a57ddUL;
   tf->codes[247] = 0x000406fa010574b6UL;
   tf->codes[248] = 0x000406fb25d0918fUL;
   tf->codes[249] = 0x000407018d75331bUL;
   tf->codes[250] = 0x00040702eccf55b9UL;
   tf->codes[251] = 0x00040703275e5b7eUL;
   tf->codes[252] = 0x0004070361ed6143UL;
   tf->codes[253] = 0x00040704119a7292UL;
   tf->codes[254] = 0x0004070486b87e1cUL;
   tf->codes[255] = 0x00040704c14783e1UL;
   tf->codes[256] = 0x000407065b30ac44UL;
   tf->codes[257] = 0x00040706d04eb7ceUL;
   tf->codes[258] = 0x00040707ba8acee2UL;
   tf->codes[259] = 0x00040708a4c6e5f6UL;
   tf->codes[260] = 0x0004070919e4f180UL;
   tf->codes[261] = 0x0004070ab3ce19e3UL;
   tf->codes[262] = 0x0004070b9e0a30f7UL;
   tf->codes[263] = 0x0004070de7a06aa9UL;
   tf->codes[264] = 0x0004070e974d7bf8UL;
   tf->codes[265] = 0x0004070f0c6b8782UL;
   tf->codes[266] = 0x000407103136a45bUL;
   tf->codes[267] = 0x00040712b55be3d2UL;
   tf->codes[268] = 0x00040712efeae997UL;
   tf->codes[269] = 0x00040713da2700abUL;
   tf->codes[270] = 0x000407144f450c35UL;
   tf->codes[271] = 0x00040714c46317bfUL;
   tf->codes[272] = 0x00040715ae9f2ed3UL;
   tf->codes[273] = 0x00040715e92e3498UL;
   tf->codes[274] = 0x000407170df95171UL;
   tf->codes[275] = 0x0004071783175cfbUL;
   tf->codes[276] = 0x00040717bda662c0UL;
   tf->codes[277] = 0x00040719578f8b23UL;
   tf->codes[278] = 0x00040719921e90e8UL;
   tf->codes[279] = 0x00040719ccad96adUL;
   tf->codes[280] = 0x0004071a073c9c72UL;
   tf->codes[281] = 0x0004071b6696bf10UL;
   tf->codes[282] = 0x0004071ba125c4d5UL;
   tf->codes[283] = 0x0004071bdbb4ca9aUL;
   tf->codes[284] = 0x0004071c50d2d624UL;
   tf->codes[285] = 0x0004071d007fe773UL;
   tf->codes[286] = 0x0004071d3b0eed38UL;
   tf->codes[287] = 0x0004071d759df2fdUL;
   tf->codes[288] = 0x0004071e5fda0a11UL;
   tf->codes[289] = 0x0004071f4a162125UL;
   tf->codes[290] = 0x0004071ff9c33274UL;
   tf->codes[291] = 0x00040720a97043c3UL;
   tf->codes[292] = 0x00040721591d5512UL;
   tf->codes[293] = 0x0004072193ac5ad7UL;
   tf->codes[294] = 0x00040721ce3b609cUL;
   tf->codes[295] = 0x0004072208ca6661UL;
   tf->codes[296] = 0x0004072243596c26UL;
   tf->codes[297] = 0x00040723682488ffUL;
   tf->codes[298] = 0x00040723dd429489UL;
   tf->codes[299] = 0x000407245260a013UL;
   tf->codes[300] = 0x00040725020db162UL;
   tf->codes[301] = 0x00040725772bbcecUL;
   tf->codes[302] = 0x00040725ec49c876UL;
   tf->codes[303] = 0x0004072626d8ce3bUL;
   tf->codes[304] = 0x000407269bf6d9c5UL;
   tf->codes[305] = 0x00040726d685df8aUL;
   tf->codes[306] = 0x000407274ba3eb14UL;
   tf->codes[307] = 0x00040728e58d1377UL;
   tf->codes[308] = 0x0004072a44e73615UL;
   tf->codes[309] = 0x0004072a7f763bdaUL;
   tf->codes[310] = 0x0004072b2f234d29UL;
   tf->codes[311] = 0x0004072bded05e78UL;
   tf->codes[312] = 0x0004072c195f643dUL;
   tf->codes[313] = 0x0004072c8e7d6fc7UL;
   tf->codes[314] = 0x0004072d78b986dbUL;
   tf->codes[315] = 0x0004072e62f59defUL;
   tf->codes[316] = 0x0004072ed813a979UL;
   tf->codes[317] = 0x00040730e71add66UL;
   tf->codes[318] = 0x0004073196c7eeb5UL;
   tf->codes[319] = 0x00040732f6221153UL;
   tf->codes[320] = 0x00040733e05e2867UL;
   tf->codes[321] = 0x000407341aed2e2cUL;
   tf->codes[322] = 0x00040734557c33f1UL;
   tf->codes[323] = 0x00040735b4d6568fUL;
   tf->codes[324] = 0x0004073629f46219UL;
   tf->codes[325] = 0x000407369f126da3UL;
   tf->codes[326] = 0x000407371430792dUL;
   tf->codes[327] = 0x00040737c3dd8a7cUL;
   tf->codes[328] = 0x0004073c919903a5UL;
   tf->codes[329] = 0x0004073ccc28096aUL;
   tf->codes[330] = 0x0004073ea0a03792UL;
   tf->codes[331] = 0x0004073edb2f3d57UL;
   tf->codes[332] = 0x0004073f15be431cUL;
   tf->codes[333] = 0x0004073f504d48e1UL;
   tf->codes[334] = 0x0004073fc56b546bUL;
   tf->codes[335] = 0x0004074199e38293UL;
   tf->codes[336] = 0x00040741d4728858UL;
   tf->codes[337] = 0x00040742841f99a7UL;
   tf->codes[338] = 0x00040742f93da531UL;
   tf->codes[339] = 0x000407436e5bb0bbUL;
   tf->codes[340] = 0x00040746a22e0181UL;
   tf->codes[341] = 0x00040746dcbd0746UL;
   tf->codes[342] = 0x00040747174c0d0bUL;
   tf->codes[343] = 0x0004074a85ad6396UL;
   tf->codes[344] = 0x0004074ac03c695bUL;
   tf->codes[345] = 0x0004074baa78806fUL;
   tf->codes[346] = 0x0004074c1f968bf9UL;
   tf->codes[347] = 0x0004074df40eba21UL;
   tf->codes[348] = 0x00040753e6955023UL;
   tf->codes[349] = 0x00040754212455e8UL;
   tf->codes[350] = 0x00040759d91be625UL;
   tf->codes[351] = 0x0004075bad94144dUL;
   tf->codes[352] = 0x0004075d820c4275UL;
   tf->codes[353] = 0x0004075dbc9b483aUL;
   tf->codes[354] = 0x000407650e7c00daUL;
   tf->codes[355] = 0x00040765839a0c64UL;
   tf->codes[356] = 0x00040765be291229UL;
   tf->codes[357] = 0x0004076758123a8cUL;
   tf->codes[358] = 0x00040769a1a8743eUL;
   tf->codes[359] = 0x0004076a5155858dUL;
   tf->codes[360] = 0x0004076b3b919ca1UL;
   tf->codes[361] = 0x0004076d4a98d08eUL;
   tf->codes[362] = 0x0004076ee481f8f1UL;
   tf->codes[363] = 0x0004077168a73868UL;
   tf->codes[364] = 0x00040772185449b7UL;
   tf->codes[365] = 0x00040773029060cbUL;
   tf->codes[366] = 0x00040774d7088ef3UL;
   tf->codes[367] = 0x00040775119794b8UL;
   tf->codes[368] = 0x000407796a350257UL;
   tf->codes[369] = 0x0004077a19e213a6UL;
   tf->codes[370] = 0x0004077a8f001f30UL;
   tf->codes[371] = 0x0004077b041e2abaUL;
   tf->codes[372] = 0x0004077c63784d58UL;
   tf->codes[373] = 0x0004077e37f07b80UL;
   tf->codes[374] = 0x0004077f974a9e1eUL;
   tf->codes[375] = 0x00040781e0e0d7d0UL;
   tf->codes[376] = 0x0004078305abf4a9UL;
   tf->codes[377] = 0x000407854f422e5bUL;
   tf->codes[378] = 0x00040785c46039e5UL;
   tf->codes[379] = 0x000407884885795cUL;
   tf->codes[380] = 0x0004079084a24910UL;
   tf->codes[381] = 0x00040792591a7738UL;
   tf->codes[382] = 0x00040792ce3882c2UL;
   tf->codes[383] = 0x00040793b87499d6UL;
   tf->codes[384] = 0x000407942d92a560UL;
   tf->codes[385] = 0x00040794a2b0b0eaUL;
   tf->codes[386] = 0x0004079517cebc74UL;
   tf->codes[387] = 0x000407967728df12UL;
   tf->codes[388] = 0x00040798fb4e1e89UL;
   tf->codes[389] = 0x00040799706c2a13UL;
   tf->codes[390] = 0x0004079a20193b62UL;
   tf->codes[391] = 0x0004079ca43e7ad9UL;
   tf->codes[392] = 0x0004079f62f2c015UL;
   tf->codes[393] = 0x000407a296c510dbUL;
   tf->codes[394] = 0x000407a34672222aUL;
   tf->codes[395] = 0x000407a605266766UL;
   tf->codes[396] = 0x000407a67a4472f0UL;
   tf->codes[397] = 0x000407a764808a04UL;
   tf->codes[398] = 0x000407aa9852dacaUL;
   tf->codes[399] = 0x000407ab828ef1deUL;
   tf->codes[400] = 0x000407abf7acfd68UL;
   tf->codes[401] = 0x000407adcc252b90UL;
   tf->codes[402] = 0x000407aef0f04869UL;
   tf->codes[403] = 0x000407afa09d59b8UL;
   tf->codes[404] = 0x000407b13a86821bUL;
   tf->codes[405] = 0x000407b25f519ef4UL;
   tf->codes[406] = 0x000407b3498db608UL;
   tf->codes[407] = 0x000407b5cdb2f57fUL;
   tf->codes[408] = 0x000407b642d10109UL;
   tf->codes[409] = 0x000407b9ebc15d59UL;
   tf->codes[410] = 0x000407bc6fe69cd0UL;
   tf->codes[411] = 0x000407c05365fee5UL;
   tf->codes[412] = 0x000407c1ed4f2748UL;
   tf->codes[413] = 0x000407c2d78b3e5cUL;
   tf->codes[414] = 0x000407c3121a4421UL;
   tf->codes[415] = 0x000407c55bb07dd3UL;
   tf->codes[416] = 0x000407c76ab7b1c0UL;
   tf->codes[417] = 0x000407c904a0da23UL;
   tf->codes[418] = 0x000407c9b44deb72UL;
   tf->codes[419] = 0x000407ca296bf6fcUL;
   tf->codes[420] = 0x000407cbc3551f5fUL;
   tf->codes[421] = 0x000407cc38732ae9UL;
   tf->codes[422] = 0x000407cfe1638739UL;
   tf->codes[423] = 0x000407d140bda9d7UL;
   tf->codes[424] = 0x000407d38a53e389UL;
   tf->codes[425] = 0x000407d55ecc11b1UL;
   tf->codes[426] = 0x000407d9424b73c6UL;
   tf->codes[427] = 0x000407da2c878adaUL;
   tf->codes[428] = 0x000407dadc349c29UL;
   tf->codes[429] = 0x000407de4a95f2b4UL;
   tf->codes[430] = 0x000407df34d209c8UL;
   tf->codes[431] = 0x000407e2a3336053UL;
   tf->codes[432] = 0x000407e527589fcaUL;
   tf->codes[433] = 0x000407e5d705b119UL;
   tf->codes[434] = 0x000407e770eed97cUL;
   tf->codes[435] = 0x000407e85b2af090UL;
   tf->codes[436] = 0x000407ee132280cdUL;
   tf->codes[437] = 0x000407ee88408c57UL;
   tf->codes[438] = 0x000407eefd5e97e1UL;
   tf->codes[439] = 0x000407efad0ba930UL;
   tf->codes[440] = 0x000407f09747c044UL;
   tf->codes[441] = 0x000407f2a64ef431UL;
   tf->codes[442] = 0x000407f3908b0b45UL;
   tf->codes[443] = 0x000407f440381c94UL;
   tf->codes[444] = 0x000407f52a7433a8UL;
   tf->codes[445] = 0x000407f5da2144f7UL;
   tf->codes[446] = 0x000407f64f3f5081UL;
   tf->codes[447] = 0x000407f7e92878e4UL;
   tf->codes[448] = 0x000407f823b77ea9UL;
   tf->codes[449] = 0x000407fa32beb296UL;
   tf->codes[450] = 0x000407fcf172f7d2UL;
   tf->codes[451] = 0x0004080025454898UL;
   tf->codes[452] = 0x000408009a635422UL;
   tf->codes[453] = 0x00040800d4f259e7UL;
   tf->codes[454] = 0x000408010f815facUL;
   tf->codes[455] = 0x000408014a106571UL;
   tf->codes[456] = 0x00040801849f6b36UL;
   tf->codes[457] = 0x00040801f9bd76c0UL;
   tf->codes[458] = 0x000408026edb824aUL;
   tf->codes[459] = 0x00040802e3f98dd4UL;
   tf->codes[460] = 0x000408031e889399UL;
   tf->codes[461] = 0x000408035917995eUL;
   tf->codes[462] = 0x0004080393a69f23UL;
   tf->codes[463] = 0x00040803ce35a4e8UL;
   tf->codes[464] = 0x0004080408c4aaadUL;
   tf->codes[465] = 0x000408044353b072UL;
   tf->codes[466] = 0x000408047de2b637UL;
   tf->codes[467] = 0x00040805681ecd4bUL;
   tf->codes[468] = 0x00040805a2add310UL;
   tf->codes[469] = 0x00040805dd3cd8d5UL;
   tf->codes[470] = 0x0004080617cbde9aUL;
   tf->codes[471] = 0x00040806c778efe9UL;
   tf->codes[472] = 0x000408070207f5aeUL;
   tf->codes[473] = 0x000408073c96fb73UL;
   tf->codes[474] = 0x0004080777260138UL;
   tf->codes[475] = 0x00040807b1b506fdUL;
   tf->codes[476] = 0x00040807ec440cc2UL;
   tf->codes[477] = 0x00040808d68023d6UL;
   tf->codes[478] = 0x00040809110f299bUL;
   tf->codes[479] = 0x00040809862d3525UL;
   tf->codes[480] = 0x00040809fb4b40afUL;
   tf->codes[481] = 0x0004080a70694c39UL;
   tf->codes[482] = 0x0004080aaaf851feUL;
   tf->codes[483] = 0x0004080ae58757c3UL;
   tf->codes[484] = 0x0004080b5aa5634dUL;
   tf->codes[485] = 0x0004080c0a52749cUL;
   tf->codes[486] = 0x0004080c44e17a61UL;
   tf->codes[487] = 0x0004080cb9ff85ebUL;
   tf->codes[488] = 0x0004080cf48e8bb0UL;
   tf->codes[489] = 0x0004080da43b9cffUL;
   tf->codes[490] = 0x0004080e53e8ae4eUL;
   tf->codes[491] = 0x0004080e8e77b413UL;
   tf->codes[492] = 0x0004080fedd1d6b1UL;
   tf->codes[493] = 0x0004081062efe23bUL;
   tf->codes[494] = 0x00040811c24a04d9UL;
   tf->codes[495] = 0x00040811fcd90a9eUL;
   tf->codes[496] = 0x0004081237681063UL;
   tf->codes[497] = 0x0004081271f71628UL;
   tf->codes[498] = 0x00040812ac861bedUL;
   tf->codes[499] = 0x00040812e71521b2UL;
   tf->codes[500] = 0x00040814bb8d4fdaUL;
   tf->codes[501] = 0x00040814f61c559fUL;
   tf->codes[502] = 0x00040815a5c966eeUL;
   tf->codes[503] = 0x000408165576783dUL;
   tf->codes[504] = 0x0004081690057e02UL;
   tf->codes[505] = 0x00040816ca9483c7UL;
   tf->codes[506] = 0x000408170523898cUL;
   tf->codes[507] = 0x000408177a419516UL;
   tf->codes[508] = 0x000408189f0cb1efUL;
   tf->codes[509] = 0x00040818d99bb7b4UL;
   tf->codes[510] = 0x000408194eb9c33eUL;
   tf->codes[511] = 0x00040819c3d7cec8UL;
   tf->codes[512] = 0x0004081a38f5da52UL;
   tf->codes[513] = 0x0004081a7384e017UL;
   tf->codes[514] = 0x0004081b2331f166UL;
   tf->codes[515] = 0x0004081b5dc0f72bUL;
   tf->codes[516] = 0x0004081b984ffcf0UL;
   tf->codes[517] = 0x0004081bd2df02b5UL;
   tf->codes[518] = 0x0004081c0d6e087aUL;
   tf->codes[519] = 0x0004081d32392553UL;
   tf->codes[520] = 0x0004081da75730ddUL;
   tf->codes[521] = 0x0004081ecc224db6UL;
   tf->codes[522] = 0x0004081f41405940UL;
   tf->codes[523] = 0x0004081f7bcf5f05UL;
   tf->codes[524] = 0x000408218ad692f2UL;
   tf->codes[525] = 0x00040821fff49e7cUL;
   tf->codes[526] = 0x00040822afa1afcbUL;
   tf->codes[527] = 0x00040823d46ccca4UL;
   tf->codes[528] = 0x00040824498ad82eUL;
   tf->codes[529] = 0x0004082533c6ef42UL;
   tf->codes[530] = 0x00040825e3740091UL;
   tf->codes[531] = 0x000408261e030656UL;
   tf->codes[532] = 0x00040826932111e0UL;
   tf->codes[533] = 0x0004082742ce232fUL;
   tf->codes[534] = 0x000408277d5d28f4UL;
   tf->codes[535] = 0x00040827f27b347eUL;
   tf->codes[536] = 0x0004082c10899c58UL;
   tf->codes[537] = 0x0004082c4b18a21dUL;
   tf->codes[538] = 0x0004082cfac5b36cUL;
   tf->codes[539] = 0x0004082e1f90d045UL;
   tf->codes[540] = 0x0004082e5a1fd60aUL;
   tf->codes[541] = 0x0004082e94aedbcfUL;
   tf->codes[542] = 0x0004082f09cce759UL;
   tf->codes[543] = 0x0004082f445bed1eUL;
   tf->codes[544] = 0x0004082f7eeaf2e3UL;
   tf->codes[545] = 0x0004082fb979f8a8UL;
   tf->codes[546] = 0x0004082ff408fe6dUL;
   tf->codes[547] = 0x00040830692709f7UL;
   tf->codes[548] = 0x00040830de451581UL;
   tf->codes[549] = 0x00040831c8812c95UL;
   tf->codes[550] = 0x00040832b2bd43a9UL;
   tf->codes[551] = 0x00040832ed4c496eUL;
   tf->codes[552] = 0x0004083327db4f33UL;
   tf->codes[553] = 0x00040833d7886082UL;
   tf->codes[554] = 0x00040834c1c47796UL;
   tf->codes[555] = 0x00040834fc537d5bUL;
   tf->codes[556] = 0x00040836211e9a34UL;
   tf->codes[557] = 0x00040836d0cbab83UL;
   tf->codes[558] = 0x000408370b5ab148UL;
   tf->codes[559] = 0x000408378078bcd2UL;
   tf->codes[560] = 0x00040837bb07c297UL;
   tf->codes[561] = 0x00040838a543d9abUL;
   tf->codes[562] = 0x0004083954f0eafaUL;
   tf->codes[563] = 0x00040839ca0ef684UL;
   tf->codes[564] = 0x0004083a3f2d020eUL;
   tf->codes[565] = 0x0004083a79bc07d3UL;
   tf->codes[566] = 0x0004083bd9162a71UL;
   tf->codes[567] = 0x0004083c4e3435fbUL;
   tf->codes[568] = 0x0004083d38704d0fUL;
   tf->codes[569] = 0x0004083dad8e5899UL;
   tf->codes[570] = 0x0004083de81d5e5eUL;
   tf->codes[571] = 0x0004083f0ce87b37UL;
   tf->codes[572] = 0x000408406c429dd5UL;
   tf->codes[573] = 0x0004084240bacbfdUL;
   tf->codes[574] = 0x00040842b5d8d787UL;
   tf->codes[575] = 0x00040842f067dd4cUL;
   tf->codes[576] = 0x00040843a014ee9bUL;
   tf->codes[577] = 0x000408448a5105afUL;
   tf->codes[578] = 0x00040845af1c2288UL;
   tf->codes[579] = 0x000408469958399cUL;
   tf->codes[580] = 0x0004084749054aebUL;
   tf->codes[581] = 0x00040847f8b25c3aUL;
   tf->codes[582] = 0x000408486dd067c4UL;
   tf->codes[583] = 0x00040848a85f6d89UL;
   tf->codes[584] = 0x0004084a424895ecUL;
   tf->codes[585] = 0x0004084ab766a176UL;
   tf->codes[586] = 0x0004084ba1a2b88aUL;
   tf->codes[587] = 0x0004084d761ae6b2UL;
   tf->codes[588] = 0x0004084e9ae6038bUL;
   tf->codes[589] = 0x0004084ed5750950UL;
   tf->codes[590] = 0x0004084f10040f15UL;
   tf->codes[591] = 0x0004084fbfb12064UL;
   tf->codes[592] = 0x0004084ffa402629UL;
   tf->codes[593] = 0x00040850a9ed3778UL;
   tf->codes[594] = 0x000408511f0b4302UL;
   tf->codes[595] = 0x000408532e1276efUL;
   tf->codes[596] = 0x00040854184e8e03UL;
   tf->codes[597] = 0x0004085452dd93c8UL;
   tf->codes[598] = 0x00040855ecc6bc2bUL;
   tf->codes[599] = 0x000408595b2812b6UL;
   tf->codes[600] = 0x0004085995b7187bUL;
   tf->codes[601] = 0x0004085a0ad52405UL;
   tf->codes[602] = 0x0004085a7ff32f8fUL;
   tf->codes[603] = 0x0004085aba823554UL;
   tf->codes[604] = 0x0004085d79367a90UL;
   tf->codes[605] = 0x0004085f883dae7dUL;
   tf->codes[606] = 0x0004085ffd5bba07UL;
   tf->codes[607] = 0x0004086037eabfccUL;
   tf->codes[608] = 0x00040860e797d11bUL;
   tf->codes[609] = 0x00040861d1d3e82fUL;
   tf->codes[610] = 0x0004086455f927a6UL;
   tf->codes[611] = 0x0004086505a638f5UL;
   tf->codes[612] = 0x000408657ac4447fUL;
   tf->codes[613] = 0x00040865b5534a44UL;
   tf->codes[614] = 0x000408669f8f6158UL;
   tf->codes[615] = 0x0004086a830ec36dUL;
   tf->codes[616] = 0x0004086b32bbd4bcUL;
   tf->codes[617] = 0x0004086ccca4fd1fUL;
   tf->codes[618] = 0x0004086db6e11433UL;
   tf->codes[619] = 0x0004086e2bff1fbdUL;
   tf->codes[620] = 0x0004086e668e2582UL;
   tf->codes[621] = 0x0004086ea11d2b47UL;
   tf->codes[622] = 0x00040870eab364f9UL;
   tf->codes[623] = 0x00040872849c8d5cUL;
   tf->codes[624] = 0x00040872f9ba98e6UL;
   tf->codes[625] = 0x000408736ed8a470UL;
   tf->codes[626] = 0x00040873e3f6affaUL;
   tf->codes[627] = 0x00040874ce32c70eUL;
   tf->codes[628] = 0x00040876681bef71UL;
   tf->codes[629] = 0x00040876dd39fafbUL;
   tf->codes[630] = 0x00040878ec412ee8UL;
   tf->codes[631] = 0x00040879d67d45fcUL;
   tf->codes[632] = 0x0004087a4b9b5186UL;
   tf->codes[633] = 0x0004087afb4862d5UL;
   tf->codes[634] = 0x0004087b70666e5fUL;
   tf->codes[635] = 0x0004087c20137faeUL;
   tf->codes[636] = 0x0004087ccfc090fdUL;
   tf->codes[637] = 0x0004087df48badd6UL;
   tf->codes[638] = 0x0004087f53e5d074UL;
   tf->codes[639] = 0x000408800392e1c3UL;
   tf->codes[640] = 0x0004088162ed0461UL;
   tf->codes[641] = 0x000408819d7c0a26UL;
   tf->codes[642] = 0x000408824d291b75UL;
   tf->codes[643] = 0x0004088337653289UL;
   tf->codes[644] = 0x00040883ac833e13UL;
   tf->codes[645] = 0x000408845c304f62UL;
   tf->codes[646] = 0x00040884d14e5aecUL;
   tf->codes[647] = 0x000408850bdd60b1UL;
   tf->codes[648] = 0x0004088630a87d8aUL;
   tf->codes[649] = 0x000408879002a028UL;
   tf->codes[650] = 0x00040889647ace50UL;
   tf->codes[651] = 0x00040890b65b86f0UL;
   tf->codes[652] = 0x000408912b79927aUL;
   tf->codes[653] = 0x00040891db26a3c9UL;
   tf->codes[654] = 0x00040893af9ed1f1UL;
   tf->codes[655] = 0x000408950ef8f48fUL;
   tf->codes[656] = 0x000408966e53172dUL;
   tf->codes[657] = 0x00040897cdad39cbUL;
   tf->codes[658] = 0x00040898083c3f90UL;
   tf->codes[659] = 0x000408996796622eUL;
   tf->codes[660] = 0x0004089a1743737dUL;
   tf->codes[661] = 0x0004089b3c0e9056UL;
   tf->codes[662] = 0x0004089bb12c9be0UL;
   tf->codes[663] = 0x0004089d1086be7eUL;
   tf->codes[664] = 0x000408a253604331UL;
   tf->codes[665] = 0x000408a2c87e4ebbUL;
   tf->codes[666] = 0x000408a3030d5480UL;
   tf->codes[667] = 0x000408a427d87159UL;
   tf->codes[668] = 0x000408a5c1c199bcUL;
   tf->codes[669] = 0x000408a6e68cb695UL;
   tf->codes[670] = 0x000408a8bb04e4bdUL;
   tf->codes[671] = 0x000408a8f593ea82UL;
   tf->codes[672] = 0x000408a96ab1f60cUL;
   tf->codes[673] = 0x000408abb4482fbeUL;
   tf->codes[674] = 0x000408ad13a2525cUL;
   tf->codes[675] = 0x000408aee81a8084UL;
   tf->codes[676] = 0x000408b340b7ee23UL;
   tf->codes[677] = 0x000408b5ff6c335fUL;
   tf->codes[678] = 0x000408b639fb3924UL;
   tf->codes[679] = 0x000408b6e9a84a73UL;
   tf->codes[680] = 0x000408ba1d7a9b39UL;
   tf->codes[681] = 0x000408ba5809a0feUL;
   tf->codes[682] = 0x000408bb4245b812UL;
   tf->codes[683] = 0x000408bcdc2ee075UL;
   tf->codes[684] = 0x000408be761808d8UL;
   tf->codes[685] = 0x000408beeb361462UL;
   tf->codes[686] = 0x000408bf60541fecUL;
   tf->codes[687] = 0x000408bf9ae325b1UL;
   tf->codes[688] = 0x000408c0851f3cc5UL;
   tf->codes[689] = 0x000408c2942670b2UL;
   tf->codes[690] = 0x000408c2ceb57677UL;
   tf->codes[691] = 0x000408c309447c3cUL;
   tf->codes[692] = 0x000408c3b8f18d8bUL;
   tf->codes[693] = 0x000408c3f3809350UL;
   tf->codes[694] = 0x000408c8c13c0c79UL;
   tf->codes[695] = 0x000408c9365a1803UL;
   tf->codes[696] = 0x000408c9e6072952UL;
   tf->codes[697] = 0x000408ca5b2534dcUL;
   tf->codes[698] = 0x000408cb7ff051b5UL;
   tf->codes[699] = 0x000408cbf50e5d3fUL;
   tf->codes[700] = 0x000408cc6a2c68c9UL;
   tf->codes[701] = 0x000408ccdf4a7453UL;
   tf->codes[702] = 0x000408cd54687fddUL;
   tf->codes[703] = 0x000408cdc9868b67UL;
   tf->codes[704] = 0x000408ce0415912cUL;
   tf->codes[705] = 0x000408ce3ea496f1UL;
   tf->codes[706] = 0x000408cf636fb3caUL;
   tf->codes[707] = 0x000408d0131cc519UL;
   tf->codes[708] = 0x000408d0fd58dc2dUL;
   tf->codes[709] = 0x000408d3bc0d2169UL;
   tf->codes[710] = 0x000408d4e0d83e42UL;
   tf->codes[711] = 0x000408d555f649ccUL;
   tf->codes[712] = 0x000408d5cb145556UL;
   tf->codes[713] = 0x000408d605a35b1bUL;
   tf->codes[714] = 0x000408d72a6e77f4UL;
   tf->codes[715] = 0x000408d764fd7db9UL;
   tf->codes[716] = 0x000408d79f8c837eUL;
   tf->codes[717] = 0x000408d7da1b8943UL;
   tf->codes[718] = 0x000408d814aa8f08UL;
   tf->codes[719] = 0x000408d889c89a92UL;
   tf->codes[720] = 0x000408d8fee6a61cUL;
   tf->codes[721] = 0x000408d9e922bd30UL;
   tf->codes[722] = 0x000408dad35ed444UL;
   tf->codes[723] = 0x000408db830be593UL;
   tf->codes[724] = 0x000408dbbd9aeb58UL;
   tf->codes[725] = 0x000408e43446c0d1UL;
   tf->codes[726] = 0x000408e46ed5c696UL;
   tf->codes[727] = 0x000408e4e3f3d220UL;
   tf->codes[728] = 0x000408e72d8a0bd2UL;
   tf->codes[729] = 0x000408e8525528abUL;
   tf->codes[730] = 0x000408e8c7733435UL;
   tf->codes[731] = 0x000408e9b1af4b49UL;
   tf->codes[732] = 0x000408ed5a9fa799UL;
   tf->codes[733] = 0x000408edcfbdb323UL;
   tf->codes[734] = 0x000408ee44dbbeadUL;
   tf->codes[735] = 0x000408f053e2f29aUL;
   tf->codes[736] = 0x000408f13e1f09aeUL;
   tf->codes[737] = 0x000408f2285b20c2UL;
   tf->codes[738] = 0x000408f29d792c4cUL;
   tf->codes[739] = 0x000408f3129737d6UL;
   tf->codes[740] = 0x000408f4376254afUL;
   tf->codes[741] = 0x000408f4e70f65feUL;
   tf->codes[742] = 0x000408fa6477f076UL;
   tf->codes[743] = 0x000408fd984a413cUL;
   tf->codes[744] = 0x000408fe82865850UL;
   tf->codes[745] = 0x000408febd155e15UL;
   tf->codes[746] = 0x000408ffa7517529UL;
   tf->codes[747] = 0x000409001c6f80b3UL;
   tf->codes[748] = 0x0004090106ab97c7UL;
   tf->codes[749] = 0x00040901b658a916UL;
   tf->codes[750] = 0x00040901f0e7aedbUL;
   tf->codes[751] = 0x000409022b76b4a0UL;
   tf->codes[752] = 0x00040903c55fdd03UL;
   tf->codes[753] = 0x00040904ea2af9dcUL;
   tf->codes[754] = 0x000409068414223fUL;
   tf->codes[755] = 0x00040906f9322dc9UL;
   tf->codes[756] = 0x00040908588c5067UL;
   tf->codes[757] = 0x00040909b7e67305UL;
   tf->codes[758] = 0x0004090a2d047e8fUL;
   tf->codes[759] = 0x0004090aa2228a19UL;
   tf->codes[760] = 0x0004090c017cacb7UL;
   tf->codes[761] = 0x0004090ec030f1f3UL;
   tf->codes[762] = 0x0004090faa6d0907UL;
   tf->codes[763] = 0x000409114456316aUL;
   tf->codes[764] = 0x00040911f40342b9UL;
   tf->codes[765] = 0x00040912de3f59cdUL;
   tf->codes[766] = 0x0004091478288230UL;
   tf->codes[767] = 0x000409159cf39f09UL;
   tf->codes[768] = 0x0004091736dcc76cUL;
   tf->codes[769] = 0x000409198073011eUL;
   tf->codes[770] = 0x0004091a6aaf1832UL;
   tf->codes[771] = 0x0004091c04984095UL;
   tf->codes[772] = 0x0004091cb44551e4UL;
   tf->codes[773] = 0x0004091d9e8168f8UL;
   tf->codes[774] = 0x0004091fad889ce5UL;
   tf->codes[775] = 0x0004091fe817a2aaUL;
   tf->codes[776] = 0x0004092022a6a86fUL;
   tf->codes[777] = 0x000409214771c548UL;
   tf->codes[778] = 0x000409231be9f370UL;
   tf->codes[779] = 0x00040923cb9704bfUL;
   tf->codes[780] = 0x0004092406260a84UL;
   tf->codes[781] = 0x000409252af1275dUL;
   tf->codes[782] = 0x000409268a4b49fbUL;
   tf->codes[783] = 0x0004092948ff8f37UL;
   tf->codes[784] = 0x00040929be1d9ac1UL;
   tf->codes[785] = 0x00040929f8aca086UL;
   tf->codes[786] = 0x0004092a333ba64bUL;
   tf->codes[787] = 0x0004092aa859b1d5UL;
   tf->codes[788] = 0x0004092b5806c324UL;
   tf->codes[789] = 0x0004092e16bb0860UL;
   tf->codes[790] = 0x0004093060514212UL;
   tf->codes[791] = 0x000409309ae047d7UL;
   tf->codes[792] = 0x00040931851c5eebUL;
   tf->codes[793] = 0x00040932e4768189UL;
   tf->codes[794] = 0x0004093409419e62UL;
   tf->codes[795] = 0x000409352e0cbb3bUL;
   tf->codes[796] = 0x00040935ddb9cc8aUL;
   tf->codes[797] = 0x0004093861df0c01UL;
   tf->codes[798] = 0x00040939fbc83464UL;
   tf->codes[799] = 0x0004093a36573a29UL;
   tf->codes[800] = 0x0004093d2f9a852aUL;
   tf->codes[801] = 0x0004093d6a298aefUL;
   tf->codes[802] = 0x0004093e8ef4a7c8UL;
   tf->codes[803] = 0x00040940d88ae17aUL;
   tf->codes[804] = 0x000409414da8ed04UL;
   tf->codes[805] = 0x00040943973f26b6UL;
   tf->codes[806] = 0x00040945a6465aa3UL;
   tf->codes[807] = 0x00040945e0d56068UL;
   tf->codes[808] = 0x00040947b54d8e90UL;
   tf->codes[809] = 0x00040949fee3c842UL;
   tf->codes[810] = 0x0004094a3972ce07UL;
   tf->codes[811] = 0x0004094aae90d991UL;
   tf->codes[812] = 0x0004094c487a01f4UL;
   tf->codes[813] = 0x0004094cbd980d7eUL;
   tf->codes[814] = 0x0004094d32b61908UL;
   tf->codes[815] = 0x0004094f7c4c52baUL;
   tf->codes[816] = 0x00040950668869ceUL;
   tf->codes[817] = 0x0004095116357b1dUL;
   tf->codes[818] = 0x000409535fcbb4cfUL;
   tf->codes[819] = 0x00040953d4e9c059UL;
   tf->codes[820] = 0x00040954bf25d76dUL;
   tf->codes[821] = 0x000409556ed2e8bcUL;
   tf->codes[822] = 0x00040956ce2d0b5aUL;
   tf->codes[823] = 0x0004095708bc111fUL;
   tf->codes[824] = 0x00040958681633bdUL;
   tf->codes[825] = 0x00040958dd343f47UL;
   tf->codes[826] = 0x00040959c770565bUL;
   tf->codes[827] = 0x0004095ecfbad549UL;
   tf->codes[828] = 0x00040960a4330371UL;
   tf->codes[829] = 0x0004096278ab3199UL;
   tf->codes[830] = 0x00040962edc93d23UL;
   tf->codes[831] = 0x0004096571ee7c9aUL;
   tf->codes[832] = 0x00040965e70c8824UL;
   tf->codes[833] = 0x000409665c2a93aeUL;
   tf->codes[834] = 0x0004096780f5b087UL;
   tf->codes[835] = 0x000409686b31c79bUL;
   tf->codes[836] = 0x00040968a5c0cd60UL;
   tf->codes[837] = 0x0004096cc3cf353aUL;
   tf->codes[838] = 0x0004096de89a5213UL;
   tf->codes[839] = 0x0004097032308bc5UL;
   tf->codes[840] = 0x00040971918aae63UL;
   tf->codes[841] = 0x000409765f46278cUL;
   tf->codes[842] = 0x000409770ef338dbUL;
   tf->codes[843] = 0x0004097784114465UL;
   tf->codes[844] = 0x0004097993187852UL;
   tf->codes[845] = 0x0004097d7697da67UL;
   tf->codes[846] = 0x0004097db126e02cUL;
   tf->codes[847] = 0x0004097e2644ebb6UL;
   tf->codes[848] = 0x0004097ed5f1fd05UL;
   tf->codes[849] = 0x0004097f108102caUL;
   tf->codes[850] = 0x00040980354c1fa3UL;
   tf->codes[851] = 0x00040980e4f930f2UL;
   tf->codes[852] = 0x00040983691e7069UL;
   tf->codes[853] = 0x00040984535a877dUL;
   tf->codes[854] = 0x00040984c8789307UL;
   tf->codes[855] = 0x0004098bdfca45e2UL;
   tf->codes[856] = 0x0004098d79b36e45UL;
   tf->codes[857] = 0x0004098deed179cfUL;
   tf->codes[858] = 0x0004098f139c96a8UL;
   tf->codes[859] = 0x00040990e814c4d0UL;
   tf->codes[860] = 0x00040991d250dbe4UL;
   tf->codes[861] = 0x000409920cdfe1a9UL;
   tf->codes[862] = 0x000409941be71596UL;
   tf->codes[863] = 0x00040995b5d03df9UL;
   tf->codes[864] = 0x00040996657d4f48UL;
   tf->codes[865] = 0x000409978a486c21UL;
   tf->codes[866] = 0x00040998e9a28ebfUL;
   tf->codes[867] = 0x0004099924319484UL;
   tf->codes[868] = 0x000409995ec09a49UL;
   tf->codes[869] = 0x0004099c9292eb0fUL;
   tf->codes[870] = 0x0004099df1ed0dadUL;
   tf->codes[871] = 0x0004099edc2924c1UL;
   tf->codes[872] = 0x0004099f16b82a86UL;
   tf->codes[873] = 0x0004099f8bd63610UL;
   tf->codes[874] = 0x000409a0eb3058aeUL;
   tf->codes[875] = 0x000409a41f02a974UL;
   tf->codes[876] = 0x000409a49420b4feUL;
   tf->codes[877] = 0x000409a5093ec088UL;
   tf->codes[878] = 0x000409a62e09dd61UL;
   tf->codes[879] = 0x000409a6ddb6eeb0UL;
   tf->codes[880] = 0x000409a78d63ffffUL;
   tf->codes[881] = 0x000409a99c6b33ecUL;
   tf->codes[882] = 0x000409a9d6fa39b1UL;
   tf->codes[883] = 0x000409aa11893f76UL;
   tf->codes[884] = 0x000409aafbc5568aUL;
   tf->codes[885] = 0x000409aedf44b89fUL;
   tf->codes[886] = 0x000409b0ee4bec8cUL;
   tf->codes[887] = 0x000409b24da60f2aUL;
   tf->codes[888] = 0x000409b337e2263eUL;
   tf->codes[889] = 0x000409b4221e3d52UL;
   tf->codes[890] = 0x000409b45cad4317UL;
   tf->codes[891] = 0x000409b63125713fUL;
   tf->codes[892] = 0x000409b7907f93ddUL;
   tf->codes[893] = 0x000409b7cb0e99a2UL;
   tf->codes[894] = 0x000409b8402ca52cUL;
   tf->codes[895] = 0x000409b9da15cd8fUL;
   tf->codes[896] = 0x000409bac451e4a3UL;
   tf->codes[897] = 0x000409c1a11491b9UL;
   tf->codes[898] = 0x000409c250c1a308UL;
   tf->codes[899] = 0x000409c3006eb457UL;
   tf->codes[900] = 0x000409c33afdba1cUL;
   tf->codes[901] = 0x000409c3b01bc5a6UL;
   tf->codes[902] = 0x000409c50f75e844UL;
   tf->codes[903] = 0x000409c5bf22f993UL;
   tf->codes[904] = 0x000409c6a95f10a7UL;
   tf->codes[905] = 0x000409cac76d7881UL;
   tf->codes[906] = 0x000409cbec38955aUL;
   tf->codes[907] = 0x000409cc26c79b1fUL;
   tf->codes[908] = 0x000409cee57be05bUL;
   tf->codes[909] = 0x000409cf5a99ebe5UL;
   tf->codes[910] = 0x000409d0f4831448UL;
   tf->codes[911] = 0x000409d169a11fd2UL;
   tf->codes[912] = 0x000409d49d737098UL;
   tf->codes[913] = 0x000409d880f2d2adUL;
   tf->codes[914] = 0x000409d9a5bdef86UL;
   tf->codes[915] = 0x000409dcd990404cUL;
   tf->codes[916] = 0x000409de38ea62eaUL;
   tf->codes[917] = 0x000409df98448588UL;
   tf->codes[918] = 0x000409e29187d089UL;
   tf->codes[919] = 0x000409e306a5dc13UL;
   tf->codes[920] = 0x000409e6ea253e28UL;
   tf->codes[921] = 0x000409e724b443edUL;
   tf->codes[922] = 0x000409e7d461553cUL;
   tf->codes[923] = 0x000409e8840e668bUL;
   tf->codes[924] = 0x000409e8be9d6c50UL;
   tf->codes[925] = 0x000409ea1df78eeeUL;
   tf->codes[926] = 0x000409ea93159a78UL;
   tf->codes[927] = 0x000409eb7d51b18cUL;
   tf->codes[928] = 0x000409ed173ad9efUL;
   tf->codes[929] = 0x000409f04b0d2ab5UL;
   tf->codes[930] = 0x000409f1aa674d53UL;
   tf->codes[931] = 0x000409f25a145ea2UL;
   tf->codes[932] = 0x000409f37edf7b7bUL;
   tf->codes[933] = 0x000409f3f3fd8705UL;
   tf->codes[934] = 0x000409f6ed40d206UL;
   tf->codes[935] = 0x000409f7d77ce91aUL;
   tf->codes[936] = 0x000409f8fc4805f3UL;
   tf->codes[937] = 0x000409f97166117dUL;
   tf->codes[938] = 0x000409f9e6841d07UL;
   tf->codes[939] = 0x000409fad0c0341bUL;
   tf->codes[940] = 0x000409fbf58b50f4UL;
   tf->codes[941] = 0x00040a001399b8ceUL;
   tf->codes[942] = 0x00040a00fdd5cfe2UL;
   tf->codes[943] = 0x00040a013864d5a7UL;
   tf->codes[944] = 0x00040a0556733d81UL;
   tf->codes[945] = 0x00040a05cb91490bUL;
   tf->codes[946] = 0x00040a06f05c65e4UL;
   tf->codes[947] = 0x00040a072aeb6ba9UL;
   tf->codes[948] = 0x00040a088a458e47UL;
   tf->codes[949] = 0x00040a08c4d4940cUL;
   tf->codes[950] = 0x00040a0a242eb6aaUL;
   tf->codes[951] = 0x00040a0b48f9d383UL;
   tf->codes[952] = 0x00040a0bbe17df0dUL;
   tf->codes[953] = 0x00040a0e423d1e84UL;
   tf->codes[954] = 0x00040a0f2c793598UL;
   tf->codes[955] = 0x00040a113b806985UL;
   tf->codes[956] = 0x00040a16093be2aeUL;
   tf->codes[957] = 0x00040a16f377f9c2UL;
   tf->codes[958] = 0x00040a181843169bUL;
   tf->codes[959] = 0x00040a188d612225UL;
   tf->codes[960] = 0x00040a19779d3939UL;
   tf->codes[961] = 0x00040a19ecbb44c3UL;
   tf->codes[962] = 0x00040a1d208d9589UL;
   tf->codes[963] = 0x00040a1fa4b2d500UL;
   tf->codes[964] = 0x00040a20545fe64fUL;
   tf->codes[965] = 0x00040a229df62001UL;
   tf->codes[966] = 0x00040a2388323715UL;
   tf->codes[967] = 0x00040a255caa653dUL;
   tf->codes[968] = 0x00040a2855edb03eUL;
   tf->codes[969] = 0x00040a28cb0bbbc8UL;
   tf->codes[970] = 0x00040a2dd3563ab6UL;
   tf->codes[971] = 0x00040a2e83034c05UL;
   tf->codes[972] = 0x00040a2ef821578fUL;
   tf->codes[973] = 0x00040a2fe25d6ea3UL;
   tf->codes[974] = 0x00040a301cec7468UL;
   tf->codes[975] = 0x00040a30920a7ff2UL;
   tf->codes[976] = 0x00040a3107288b7cUL;
   tf->codes[977] = 0x00040a3141b79141UL;
   tf->codes[978] = 0x00040a322bf3a855UL;
   tf->codes[979] = 0x00040a34006bd67dUL;
   tf->codes[980] = 0x00040a352536f356UL;
   tf->codes[981] = 0x00040a376ecd2d08UL;
   tf->codes[982] = 0x00040a3bc76a9aa7UL;
   tf->codes[983] = 0x00040a3d9be2c8cfUL;
   tf->codes[984] = 0x00040a3efb3ceb6dUL;
   tf->codes[985] = 0x00040a3f35cbf132UL;
   tf->codes[986] = 0x00040a4353da590cUL;
   tf->codes[987] = 0x00040a438e695ed1UL;
   tf->codes[988] = 0x00040a43c8f86496UL;
   tf->codes[989] = 0x00040a4528528734UL;
   tf->codes[990] = 0x00040a482195d235UL;
   tf->codes[991] = 0x00040a485c24d7faUL;
   tf->codes[992] = 0x00040a4aa5bb11acUL;
   tf->codes[993] = 0x00040a4b556822fbUL;
   tf->codes[994] = 0x00040a4d9efe5cadUL;
   tf->codes[995] = 0x00040a4f73768ad5UL;
   tf->codes[996] = 0x00040a4fae05909aUL;
   tf->codes[997] = 0x00040a50d2d0ad73UL;
   tf->codes[998] = 0x00040a539184f2afUL;
   tf->codes[999] = 0x00040a57750454c4UL;
   tf->codes[1000] = 0x00040a59840b88b1UL;
   tf->codes[1001] = 0x00040a5a33b89a00UL;
   tf->codes[1002] = 0x00040a5cb7ddd977UL;
   tf->codes[1003] = 0x00040a5cf26cdf3cUL;
   tf->codes[1004] = 0x00040a5ddca8f650UL;
   tf->codes[1005] = 0x00040a61c0285865UL;
   tf->codes[1006] = 0x00040a62aa646f79UL;
   tf->codes[1007] = 0x00040a63cf2f8c52UL;
   tf->codes[1008] = 0x00040a647edc9da1UL;
   tf->codes[1009] = 0x00040a6b211044f2UL;
   tf->codes[1010] = 0x00040a6cf588731aUL;
   tf->codes[1011] = 0x00040a6da5358469UL;
   tf->codes[1012] = 0x00040a6f3f1eacccUL;
   tf->codes[1013] = 0x00040a70d907d52fUL;
   tf->codes[1014] = 0x00040a71fdd2f208UL;
   tf->codes[1015] = 0x00040a7481f8317fUL;
   tf->codes[1016] = 0x00040a794fb3aaa8UL;
   tf->codes[1017] = 0x00040a7e1d6f23d1UL;
   tf->codes[1018] = 0x00040a7f423a40aaUL;
   tf->codes[1019] = 0x00040a840ff5b9d3UL;
   tf->codes[1020] = 0x00040a85e46de7fbUL;
   tf->codes[1021] = 0x00040a86598bf385UL;
   tf->codes[1022] = 0x00040a8743c80a99UL;
   tf->codes[1023] = 0x00040a8868932772UL;
   tf->codes[1024] = 0x00040a8cfbbf9ad6UL;
   tf->codes[1025] = 0x00040a927928254eUL;
   tf->codes[1026] = 0x00040a92ee4630d8UL;
   tf->codes[1027] = 0x00040a93d88247ecUL;
   tf->codes[1028] = 0x00040a970c5498b2UL;
   tf->codes[1029] = 0x00040a9746e39e77UL;
   tf->codes[1030] = 0x00040a9ab544f502UL;
   tf->codes[1031] = 0x00040a9b2a63008cUL;
   tf->codes[1032] = 0x00040a9bda1011dbUL;
   tf->codes[1033] = 0x00040a9d396a3479UL;
   tf->codes[1034] = 0x00040a9e23a64b8dUL;
   tf->codes[1035] = 0x00040a9f48716866UL;
   tf->codes[1036] = 0x00040a9ff81e79b5UL;
   tf->codes[1037] = 0x00040aa48b4aed19UL;
   tf->codes[1038] = 0x00040aa749ff3255UL;
   tf->codes[1039] = 0x00040aa9ce2471ccUL;
   tf->codes[1040] = 0x00040aaffb3a0d93UL;
   tf->codes[1041] = 0x00040ab244d04745UL;
   tf->codes[1042] = 0x00040ab2b9ee52cfUL;
   tf->codes[1043] = 0x00040ab3a42a69e3UL;
   tf->codes[1044] = 0x00040ab7fcc7d782UL;
   tf->codes[1045] = 0x00040ab92192f45bUL;
   tf->codes[1046] = 0x00040aba465e1134UL;
   tf->codes[1047] = 0x00040ababb7c1cbeUL;
   tf->codes[1048] = 0x00040abcca8350abUL;
   tf->codes[1049] = 0x00040ac3e1d50386UL;
   tf->codes[1050] = 0x00040acb6e44c1ebUL;
   tf->codes[1051] = 0x00040acdf26a0162UL;
   tf->codes[1052] = 0x00040ace2cf90727UL;
   tf->codes[1053] = 0x00040acf51c42400UL;
   tf->codes[1054] = 0x00040ad1263c5228UL;
   tf->codes[1055] = 0x00040ad24b076f01UL;
   tf->codes[1056] = 0x00040ad335438615UL;
   tf->codes[1057] = 0x00040ad6a3a4dca0UL;
   tf->codes[1058] = 0x00040ad78de0f3b4UL;
   tf->codes[1059] = 0x00040ad8b2ac108dUL;
   tf->codes[1060] = 0x00040add45d883f1UL;
   tf->codes[1061] = 0x00040addbaf68f7bUL;
   tf->codes[1062] = 0x00040adea532a68fUL;
   tf->codes[1063] = 0x00040ae0b439da7cUL;
   tf->codes[1064] = 0x00040ae21393fd1aUL;
   tf->codes[1065] = 0x00040ae4229b3107UL;
   tf->codes[1066] = 0x00040ae50cd7481bUL;
   tf->codes[1067] = 0x00040ae7566d81cdUL;
   tf->codes[1068] = 0x00040ae790fc8792UL;
   tf->codes[1069] = 0x00040ae96574b5baUL;
   tf->codes[1070] = 0x00040aea8a3fd293UL;
   tf->codes[1071] = 0x00040aedbe122359UL;
   tf->codes[1072] = 0x00040aeea84e3a6dUL;
   tf->codes[1073] = 0x00040af216af90f8UL;
   tf->codes[1074] = 0x00040af46045caaaUL;
   tf->codes[1075] = 0x00040af6e46b0a21UL;
   tf->codes[1076] = 0x00040af71efa0fe6UL;
   tf->codes[1077] = 0x00040af7598915abUL;
   tf->codes[1078] = 0x00040af87e543284UL;
   tf->codes[1079] = 0x00040afb77977d85UL;
   tf->codes[1080] = 0x00040afc9c629a5eUL;
   tf->codes[1081] = 0x00040afeab69ce4bUL;
   tf->codes[1082] = 0x00040aff95a5e55fUL;
   tf->codes[1083] = 0x00040b01a4ad194cUL;
   tf->codes[1084] = 0x00040b033e9641afUL;
   tf->codes[1085] = 0x00040b05c2bb8126UL;
   tf->codes[1086] = 0x00040b06e7869dffUL;
   tf->codes[1087] = 0x00040b075ca4a989UL;
   tf->codes[1088] = 0x00040b079733af4eUL;
   tf->codes[1089] = 0x00040b07d1c2b513UL;
   tf->codes[1090] = 0x00040b0b059505d9UL;
   tf->codes[1091] = 0x00040b0dc4494b15UL;
   tf->codes[1092] = 0x00040b0e73f65c64UL;
   tf->codes[1093] = 0x00040b0f5e327378UL;
   tf->codes[1094] = 0x00040b10f81b9bdbUL;
   tf->codes[1095] = 0x00040b116d39a765UL;
   tf->codes[1096] = 0x00040b129204c43eUL;
   tf->codes[1097] = 0x00040b12cc93ca03UL;
   tf->codes[1098] = 0x00040b19e3e57cdeUL;
   tf->codes[1099] = 0x00040b1b7dcea541UL;
   tf->codes[1100] = 0x00040b1d17b7cda4UL;
   tf->codes[1101] = 0x00040b1fd66c12e0UL;
   tf->codes[1102] = 0x00040b23f47a7abaUL;
   tf->codes[1103] = 0x00040b27284ccb80UL;
   tf->codes[1104] = 0x00040b2887a6ee1eUL;
   tf->codes[1105] = 0x00040b2971e30532UL;
   tf->codes[1106] = 0x00040b29e70110bcUL;
   tf->codes[1107] = 0x00040b2d1ad36182UL;
   tf->codes[1108] = 0x00040b2e050f7896UL;
   tf->codes[1109] = 0x00040b2e3f9e7e5bUL;
   tf->codes[1110] = 0x00040b32d2caf1bfUL;
   tf->codes[1111] = 0x00040b33f7960e98UL;
   tf->codes[1112] = 0x00040b34e1d225acUL;
   tf->codes[1113] = 0x00040b3556f03136UL;
   tf->codes[1114] = 0x00040b372b685f5eUL;
   tf->codes[1115] = 0x00040b38ffe08d86UL;
   tf->codes[1116] = 0x00040b393a6f934bUL;
   tf->codes[1117] = 0x00040b3f2cf6294dUL;
   tf->codes[1118] = 0x00040b413bfd5d3aUL;
   tf->codes[1119] = 0x00040b422639744eUL;
   tf->codes[1120] = 0x00040b4310758b62UL;
   tf->codes[1121] = 0x00040b4609b8d663UL;
   tf->codes[1122] = 0x00040b4818c00a50UL;
   tf->codes[1123] = 0x00040b48534f1015UL;
   tf->codes[1124] = 0x00040b4a9ce549c7UL;
   tf->codes[1125] = 0x00040b4ad7744f8cUL;
   tf->codes[1126] = 0x00040b4bfc3f6c65UL;
   tf->codes[1127] = 0x00040b4e8064abdcUL;
   tf->codes[1128] = 0x00040b4ebaf3b1a1UL;
   tf->codes[1129] = 0x00040b4f3011bd2bUL;
   tf->codes[1130] = 0x00040b522955082cUL;
   tf->codes[1131] = 0x00040b5263e40df1UL;
   tf->codes[1132] = 0x00040b53c33e308fUL;
   tf->codes[1133] = 0x00040b581bdb9e2eUL;
   tf->codes[1134] = 0x00040b5890f9a9b8UL;
   tf->codes[1135] = 0x00040b5940a6bb07UL;
   tf->codes[1136] = 0x00040b5a6571d7e0UL;
   tf->codes[1137] = 0x00040b5b151ee92fUL;
   tf->codes[1138] = 0x00040b5b4fadeef4UL;
   tf->codes[1139] = 0x00040b5bc4cbfa7eUL;
   tf->codes[1140] = 0x00040b62a18ea794UL;
   tf->codes[1141] = 0x00040b638bcabea8UL;
   tf->codes[1142] = 0x00040b643b77cff7UL;
   tf->codes[1143] = 0x00040b64eb24e146UL;
   tf->codes[1144] = 0x00040b6525b3e70bUL;
   tf->codes[1145] = 0x00040b6943c24ee5UL;
   tf->codes[1146] = 0x00040b6a2dfe65f9UL;
   tf->codes[1147] = 0x00040b6a688d6bbeUL;
   tf->codes[1148] = 0x00040b6e4c0ccdd3UL;
   tf->codes[1149] = 0x00040b6fab66f071UL;
   tf->codes[1150] = 0x00040b72df394137UL;
   tf->codes[1151] = 0x00040b75d87c8c38UL;
   tf->codes[1152] = 0x00040b777265b49bUL;
   tf->codes[1153] = 0x00040b7946dde2c3UL;
   tf->codes[1154] = 0x00040b7b1b5610ebUL;
   tf->codes[1155] = 0x00040b7e89b76776UL;
   tf->codes[1156] = 0x00040b8232a7c3c6UL;
   tf->codes[1157] = 0x00040b86162725dbUL;
   tf->codes[1158] = 0x00040b8cf2e9d2f1UL;
   tf->codes[1159] = 0x00040b8e8cd2fb54UL;
   tf->codes[1160] = 0x00040b9026bc23b7UL;
   tf->codes[1161] = 0x00040b909bda2f41UL;
   tf->codes[1162] = 0x00040b92aae1632eUL;
   tf->codes[1163] = 0x00040b940a3b85ccUL;
   tf->codes[1164] = 0x00040b97789cdc57UL;
   tf->codes[1165] = 0x00040b97b32be21cUL;
   tf->codes[1166] = 0x00040b9862d8f36bUL;
   tf->codes[1167] = 0x00040b994d150a7fUL;
   tf->codes[1168] = 0x00040b9b218d38a7UL;
   tf->codes[1169] = 0x00040b9cbb76610aUL;
   tf->codes[1170] = 0x00040b9eca7d94f7UL;
   tf->codes[1171] = 0x00040ba0d984c8e4UL;
   tf->codes[1172] = 0x00040ba2adfcf70cUL;
   tf->codes[1173] = 0x00040ba3231b0296UL;
   tf->codes[1174] = 0x00040ba482752534UL;
   tf->codes[1175] = 0x00040ba532223683UL;
   tf->codes[1176] = 0x00040ba6cc0b5ee6UL;
   tf->codes[1177] = 0x00040ba950309e5dUL;
   tf->codes[1178] = 0x00040ba9ffddafacUL;
   tf->codes[1179] = 0x00040bae587b1d4bUL;
   tf->codes[1180] = 0x00040baf08282e9aUL;
   tf->codes[1181] = 0x00040bb0a21156fdUL;
   tf->codes[1182] = 0x00040bb5353dca61UL;
   tf->codes[1183] = 0x00040bb74444fe4eUL;
   tf->codes[1184] = 0x00040bb98ddb3800UL;
   tf->codes[1185] = 0x00040bbc871e8301UL;
   tf->codes[1186] = 0x00040bbde678a59fUL;
   tf->codes[1187] = 0x00040bc39e7035dcUL;
   tf->codes[1188] = 0x00040bc44e1d472bUL;
   tf->codes[1189] = 0x00040bc6d24286a2UL;
   tf->codes[1190] = 0x00040bc74760922cUL;
   tf->codes[1191] = 0x00040bc95667c619UL;
   tf->codes[1192] = 0x00040bcaf050ee7cUL;
   tf->codes[1193] = 0x00040bcb2adff441UL;
   tf->codes[1194] = 0x00040bcb9ffdffcbUL;
   tf->codes[1195] = 0x00040bcd39e7282eUL;
   tf->codes[1196] = 0x00040bcfbe0c67a5UL;
   tf->codes[1197] = 0x00040bd0e2d7847eUL;
   tf->codes[1198] = 0x00040bd2f1deb86bUL;
   tf->codes[1199] = 0x00040bd7fa293759UL;
   tf->codes[1200] = 0x00040bdaf36c825aUL;
   tf->codes[1201] = 0x00040bddb220c796UL;
   tf->codes[1202] = 0x00040be0ab641297UL;
   tf->codes[1203] = 0x00040be15b1123e6UL;
   tf->codes[1204] = 0x00040be195a029abUL;
   tf->codes[1205] = 0x00040be1d02f2f70UL;
   tf->codes[1206] = 0x00040be36a1857d3UL;
   tf->codes[1207] = 0x00040be628cc9d0fUL;
   tf->codes[1208] = 0x00040beabbf91073UL;
   tf->codes[1209] = 0x00040beffed29526UL;
   tf->codes[1210] = 0x00040bf5f1592b28UL;
   tf->codes[1211] = 0x00040bffc75f233fUL;
   tf->codes[1212] = 0x00040c0001ee2904UL;
   tf->codes[1213] = 0x00040c0544c7adb7UL;
   tf->codes[1214] = 0x00040c05b9e5b941UL;
   tf->codes[1215] = 0x00040c0a128326e0UL;
   tf->codes[1216] = 0x00040c0ac230382fUL;
   tf->codes[1217] = 0x00040c119ef2e545UL;
   tf->codes[1218] = 0x00040c1338dc0da8UL;
   tf->codes[1219] = 0x00040c1498363046UL;
   tf->codes[1220] = 0x00040c171c5b6fbdUL;
   tf->codes[1221] = 0x00040c1791797b47UL;
   tf->codes[1222] = 0x00040c192b62a3aaUL;
   tf->codes[1223] = 0x00040c1c24a5eeabUL;
   tf->codes[1224] = 0x00040c1ea8cb2e22UL;
   tf->codes[1225] = 0x00040c1ee35a33e7UL;
   tf->codes[1226] = 0x00040c2809b31aafUL;
   tf->codes[1227] = 0x00040c29690d3d4dUL;
   tf->codes[1228] = 0x00040c2b7814713aUL;
   tf->codes[1229] = 0x00040c2cd76e93d8UL;
   tf->codes[1230] = 0x00040c2d4c8c9f62UL;
   tf->codes[1231] = 0x00040c2e7157bc3bUL;
   tf->codes[1232] = 0x00040c30805ef028UL;
   tf->codes[1233] = 0x00040c3379a23b29UL;
   tf->codes[1234] = 0x00040c3722929779UL;
   tf->codes[1235] = 0x00040c3bf04e10a2UL;
   tf->codes[1236] = 0x00040c3c2add1667UL;
   tf->codes[1237] = 0x00040c4133279555UL;
   tf->codes[1238] = 0x00040c41e2d4a6a4UL;
   tf->codes[1239] = 0x00040c4a1ef17658UL;
   tf->codes[1240] = 0x00040c4bf369a480UL;
   tf->codes[1241] = 0x00040c4d1834c159UL;
   tf->codes[1242] = 0x00040c4d52c3c71eUL;
   tf->codes[1243] = 0x00040c50fbb4236eUL;
   tf->codes[1244] = 0x00040c52959d4bd1UL;
   tf->codes[1245] = 0x00040c55c96f9c97UL;
   tf->codes[1246] = 0x00040c5603fea25cUL;
   tf->codes[1247] = 0x00040c5e401b7210UL;
   tf->codes[1248] = 0x00040c5f9f7594aeUL;
   tf->codes[1249] = 0x00040c64e24f1961UL;
   tf->codes[1250] = 0x00040c66071a363aUL;
   tf->codes[1251] = 0x00040c667c3841c4UL;
   tf->codes[1252] = 0x00040c693aec8700UL;
   tf->codes[1253] = 0x00040c6bbf11c677UL;
   tf->codes[1254] = 0x00040c6ce3dce350UL;
   tf->codes[1255] = 0x00040c6d9389f49fUL;
   tf->codes[1256] = 0x00040c6e433705eeUL;
   tf->codes[1257] = 0x00040c6f2d731d02UL;
   tf->codes[1258] = 0x00040c7017af3416UL;
   tf->codes[1259] = 0x00040c71ec27623eUL;
   tf->codes[1260] = 0x00040c74e56aad3fUL;
   tf->codes[1261] = 0x00040c78c8ea0f54UL;
   tf->codes[1262] = 0x00040c7903791519UL;
   tf->codes[1263] = 0x00040c7b12804906UL;
   tf->codes[1264] = 0x00040c7dd1348e42UL;
   tf->codes[1265] = 0x00040c817a24ea92UL;
   tf->codes[1266] = 0x00040c8229d1fbe1UL;
   tf->codes[1267] = 0x00040c8a2b5fc5d0UL;
   tf->codes[1268] = 0x00040c8bc548ee33UL;
   tf->codes[1269] = 0x00040c8caf850547UL;
   tf->codes[1270] = 0x00040c8cea140b0cUL;
   tf->codes[1271] = 0x00040c8d24a310d1UL;
   tf->codes[1272] = 0x00040c8ebe8c3934UL;
   tf->codes[1273] = 0x00040c8fa8c85048UL;
   tf->codes[1274] = 0x00040c917d407e70UL;
   tf->codes[1275] = 0x00040c947683c971UL;
   tf->codes[1276] = 0x00040c9b53467687UL;
   tf->codes[1277] = 0x00040c9ced2f9eeaUL;
   tf->codes[1278] = 0x00040c9d9cdcb039UL;
   tf->codes[1279] = 0x00040ca26a982962UL;
   tf->codes[1280] = 0x00040ca354d44076UL;
   tf->codes[1281] = 0x00040ca6138885b2UL;
   tf->codes[1282] = 0x00040ca688a6913cUL;
   tf->codes[1283] = 0x00040ca6c3359701UL;
   tf->codes[1284] = 0x00040ca772e2a850UL;
   tf->codes[1285] = 0x00040ca7e800b3daUL;
   tf->codes[1286] = 0x00040ca897adc529UL;
   tf->codes[1287] = 0x00040ca8d23ccaeeUL;
   tf->codes[1288] = 0x00040cab90f1102aUL;
   tf->codes[1289] = 0x00040cac409e2179UL;
   tf->codes[1290] = 0x00040cad9ff84417UL;
   tf->codes[1291] = 0x00040cadda8749dcUL;
   tf->codes[1292] = 0x00040caf39e16c7aUL;
   tf->codes[1293] = 0x00040cb2e2d1c8caUL;
   tf->codes[1294] = 0x00040cb31d60ce8fUL;
   tf->codes[1295] = 0x00040cb5a1860e06UL;
   tf->codes[1296] = 0x00040cb7eb1c47b8UL;
   tf->codes[1297] = 0x00040cbaa9d08cf4UL;
   tf->codes[1298] = 0x00040cbbce9ba9cdUL;
   tf->codes[1299] = 0x00040cc445477f46UL;
   tf->codes[1300] = 0x00040cc47fd6850bUL;
   tf->codes[1301] = 0x00040cc52f83965aUL;
   tf->codes[1302] = 0x00040cc6544eb333UL;
   tf->codes[1303] = 0x00040cc703fbc482UL;
   tf->codes[1304] = 0x00040cc89de4ece5UL;
   tf->codes[1305] = 0x00040cccf6825a84UL;
   tf->codes[1306] = 0x00040cce906b82e7UL;
   tf->codes[1307] = 0x00040cd189aecde8UL;
   tf->codes[1308] = 0x00040cd1feccd972UL;
   tf->codes[1309] = 0x00040cd398b601d5UL;
   tf->codes[1310] = 0x00040cd5329f2a38UL;
   tf->codes[1311] = 0x00040cd7b6c469afUL;
   tf->codes[1312] = 0x00040cdaea96ba75UL;
   tf->codes[1313] = 0x00040cdc49f0dd13UL;
   tf->codes[1314] = 0x00040cdd342cf427UL;
   tf->codes[1315] = 0x00040ce18cca61c6UL;
   tf->codes[1316] = 0x00040ce1c759678bUL;
   tf->codes[1317] = 0x00040ce23c777315UL;
   tf->codes[1318] = 0x00040ce2ec248464UL;
   tf->codes[1319] = 0x00040ce326b38a29UL;
   tf->codes[1320] = 0x00040ce5aad8c9a0UL;
   tf->codes[1321] = 0x00040ce70a32ec3eUL;
   tf->codes[1322] = 0x00040ceab323488eUL;
   tf->codes[1323] = 0x00040cedac66938fUL;
   tf->codes[1324] = 0x00040cede6f59954UL;
   tf->codes[1325] = 0x00040cf1ca74fb69UL;
   tf->codes[1326] = 0x00040cf4892940a5UL;
   tf->codes[1327] = 0x00040cf623126908UL;
   tf->codes[1328] = 0x00040cf7bcfb916bUL;
   tf->codes[1329] = 0x00040cf832199cf5UL;
   tf->codes[1330] = 0x00040cfa7bafd6a7UL;
   tf->codes[1331] = 0x00040cfaf0cde231UL;
   tf->codes[1332] = 0x00040cfba07af380UL;
   tf->codes[1333] = 0x00040cfe99be3e81UL;
   tf->codes[1334] = 0x00040d02b7cca65bUL;
   tf->codes[1335] = 0x00040d0451b5cebeUL;
   tf->codes[1336] = 0x00040d05eb9ef721UL;
   tf->codes[1337] = 0x00040d069b4c0870UL;
   tf->codes[1338] = 0x00040d0a7ecb6a85UL;
   tf->codes[1339] = 0x00040d0e27bbc6d5UL;
   tf->codes[1340] = 0x00040d1036c2fac2UL;
   tf->codes[1341] = 0x00040d11d0ac2325UL;
   tf->codes[1342] = 0x00040d13dfb35712UL;
   tf->codes[1343] = 0x00040d15b42b853aUL;
   tf->codes[1344] = 0x00040d171385a7d8UL;
   tf->codes[1345] = 0x00040d1788a3b362UL;
   tf->codes[1346] = 0x00040d18e7fdd600UL;
   tf->codes[1347] = 0x00040d19228cdbc5UL;
   tf->codes[1348] = 0x00040d1b6c231577UL;
   tf->codes[1349] = 0x00040d1c1bd026c6UL;
   tf->codes[1350] = 0x00040d1fff4f88dbUL;
   tf->codes[1351] = 0x00040d219938b13eUL;
   tf->codes[1352] = 0x00040d23a83fe52bUL;
   tf->codes[1353] = 0x00040d2a0fe486b7UL;
   tf->codes[1354] = 0x00040d2a4a738c7cUL;
   tf->codes[1355] = 0x00040d2e6881f456UL;
   tf->codes[1356] = 0x00040d30b2182e08UL;
   tf->codes[1357] = 0x00040d319c54451cUL;
   tf->codes[1358] = 0x00040d32c11f61f5UL;
   tf->codes[1359] = 0x00040d39d87114d0UL;
   tf->codes[1360] = 0x00040d3a13001a95UL;
   tf->codes[1361] = 0x00040d3a4d8f205aUL;
   tf->codes[1362] = 0x00040d3bace942f8UL;
   tf->codes[1363] = 0x00040d3ea62c8df9UL;
   tf->codes[1364] = 0x00040d3ee0bb93beUL;
   tf->codes[1365] = 0x00040d3f55d99f48UL;
   tf->codes[1366] = 0x00040d407aa4bc21UL;
   tf->codes[1367] = 0x00040d42148de484UL;
   tf->codes[1368] = 0x00040d424f1cea49UL;
   tf->codes[1369] = 0x00040d433959015dUL;
   tf->codes[1370] = 0x00040d4841a3804bUL;
   tf->codes[1371] = 0x00040d4c9a40edeaUL;
   tf->codes[1372] = 0x00040d4e342a164dUL;
   tf->codes[1373] = 0x00040d4f1e662d61UL;
   tf->codes[1374] = 0x00040d4f58f53326UL;
   tf->codes[1375] = 0x00040d4fce133eb0UL;
   tf->codes[1376] = 0x00040d5008a24475UL;
   tf->codes[1377] = 0x00040d554b7bc928UL;
   tf->codes[1378] = 0x00040d55c099d4b2UL;
   tf->codes[1379] = 0x00040d575a82fd15UL;
   tf->codes[1380] = 0x00040d592efb2b3dUL;
   tf->codes[1381] = 0x00040d59dea83c8cUL;
   tf->codes[1382] = 0x00040d5cd7eb878dUL;
   tf->codes[1383] = 0x00040d654e975d06UL;
   tf->codes[1384] = 0x00040d675d9e90f3UL;
   tf->codes[1385] = 0x00040d6bf0cb0457UL;
   tf->codes[1386] = 0x00040d6d502526f5UL;
   tf->codes[1387] = 0x00040d758c41f6a9UL;
   tf->codes[1388] = 0x00040d76b10d1382UL;
   tf->codes[1389] = 0x00040d78c014476fUL;
   tf->codes[1390] = 0x00040d7acf1b7b5cUL;
   tf->codes[1391] = 0x00040d7b09aa8121UL;
   tf->codes[1392] = 0x00040d7b443986e6UL;
   tf->codes[1393] = 0x00040d7b7ec88cabUL;
   tf->codes[1394] = 0x00040d7e02edcc22UL;
   tf->codes[1395] = 0x00040d7f6247eec0UL;
   tf->codes[1396] = 0x00040d8087130b99UL;
   tf->codes[1397] = 0x00040d84dfb07938UL;
   tf->codes[1398] = 0x00040d8554ce84c2UL;
   tf->codes[1399] = 0x00040d86eeb7ad25UL;
   tf->codes[1400] = 0x00040d8972dcec9cUL;
   tf->codes[1401] = 0x00040d89e7faf826UL;
   tf->codes[1402] = 0x00040d8ad2370f3aUL;
   tf->codes[1403] = 0x00040d8ef0457714UL;
   tf->codes[1404] = 0x00040d91e988c215UL;
   tf->codes[1405] = 0x00040d92d3c4d929UL;
   tf->codes[1406] = 0x00040d946dae018cUL;
   tf->codes[1407] = 0x00040d96079729efUL;
   tf->codes[1408] = 0x00040d9900da74f0UL;
   tf->codes[1409] = 0x00040d993b697ab5UL;
   tf->codes[1410] = 0x00040d9a9ac39d53UL;
   tf->codes[1411] = 0x00040d9dce95ee19UL;
   tf->codes[1412] = 0x00040d9e0924f3deUL;
   tf->codes[1413] = 0x00040da13cf744a4UL;
   tf->codes[1414] = 0x00040da177864a69UL;
   tf->codes[1415] = 0x00040da29c516742UL;
   tf->codes[1416] = 0x00040da52076a6b9UL;
   tf->codes[1417] = 0x00040da59594b243UL;
   tf->codes[1418] = 0x00040da72f7ddaa6UL;
   tf->codes[1419] = 0x00040da7a49be630UL;
   tf->codes[1420] = 0x00040da8c9670309UL;
   tf->codes[1421] = 0x00040da903f608ceUL;
   tf->codes[1422] = 0x00040da9ee321fe2UL;
   tf->codes[1423] = 0x00040dadd1b181f7UL;
   tf->codes[1424] = 0x00040db34f1a0c6fUL;
   tf->codes[1425] = 0x00040db3fec71dbeUL;
   tf->codes[1426] = 0x00040db598b04621UL;
   tf->codes[1427] = 0x00040dba666bbf4aUL;
   tf->codes[1428] = 0x00040dbe0f5c1b9aUL;
   tf->codes[1429] = 0x00040dbe847a2724UL;
   tf->codes[1430] = 0x00040dc2a2888efeUL;
   tf->codes[1431] = 0x00040dc6c096f6d8UL;
   tf->codes[1432] = 0x00040dc90a2d308aUL;
   tf->codes[1433] = 0x00040dc944bc364fUL;
   tf->codes[1434] = 0x00040dcb19346477UL;
   tf->codes[1435] = 0x00040dcc03707b8bUL;
   tf->codes[1436] = 0x00040dcd283b9864UL;
   tf->codes[1437] = 0x00040dcd62ca9e29UL;
   tf->codes[1438] = 0x00040dd0217ee365UL;
   tf->codes[1439] = 0x00040dd2a5a422dcUL;
   tf->codes[1440] = 0x00040dd404fe457aUL;
   tf->codes[1441] = 0x00040dd738d09640UL;
   tf->codes[1442] = 0x00040dd8d2b9bea3UL;
   tf->codes[1443] = 0x00040de099b882cdUL;
   tf->codes[1444] = 0x00040de9faa06f5aUL;
   tf->codes[1445] = 0x00040deaaa4d80a9UL;
   tf->codes[1446] = 0x00040deb948997bdUL;
   tf->codes[1447] = 0x00040decf3e3ba5bUL;
   tf->codes[1448] = 0x00040df445c472fbUL;
   tf->codes[1449] = 0x00040df61a3ca123UL;
   tf->codes[1450] = 0x00040df9fdbc0338UL;
   tf->codes[1451] = 0x00040dfcbc704874UL;
   tf->codes[1452] = 0x00040dfcf6ff4e39UL;
   tf->codes[1453] = 0x00040dfd6c1d59c3UL;
   tf->codes[1454] = 0x00040dfe565970d7UL;
   tf->codes[1455] = 0x00040dff7b248db0UL;
   tf->codes[1456] = 0x00040e05331c1dedUL;
   tf->codes[1457] = 0x00040e08dc0c7a3dUL;
   tf->codes[1458] = 0x00040e0ab084a865UL;
   tf->codes[1459] = 0x00040e0d34a9e7dcUL;
   tf->codes[1460] = 0x00040e10687c38a2UL;
   tf->codes[1461] = 0x00040e11182949f1UL;
   tf->codes[1462] = 0x00040e12eca17819UL;
   tf->codes[1463] = 0x00040e17453ee5b8UL;
   tf->codes[1464] = 0x00040e198ed51f6aUL;
   tf->codes[1465] = 0x00040e1d7254817fUL;
   tf->codes[1466] = 0x00040e291cd2a7beUL;
   tf->codes[1467] = 0x00040e2d005209d3UL;
   tf->codes[1468] = 0x00040e32089c88c1UL;
   tf->codes[1469] = 0x00040e3626aaf09bUL;
   tf->codes[1470] = 0x00040e391fee3b9cUL;
   tf->codes[1471] = 0x00040e3af46669c4UL;
   tf->codes[1472] = 0x00040e4629c68479UL;
   tf->codes[1473] = 0x00040e492309cf7aUL;
   tf->codes[1474] = 0x00040e4db63642deUL;
   tf->codes[1475] = 0x00040e4f8aae7106UL;
   tf->codes[1476] = 0x00040e583be94c44UL;
   tf->codes[1477] = 0x00040e5c1f68ae59UL;
   tf->codes[1478] = 0x00040e5e2e6fe246UL;
   tf->codes[1479] = 0x00040e5fc8590aa9UL;
   tf->codes[1480] = 0x00040e62c19c55aaUL;
   tf->codes[1481] = 0x00040e65badfa0abUL;
   tf->codes[1482] = 0x00040e6d81de64d5UL;
   tf->codes[1483] = 0x00040e6e318b7624UL;
   tf->codes[1484] = 0x00040e70b5b0b59bUL;
   tf->codes[1485] = 0x00040e71da7bd274UL;
   tf->codes[1486] = 0x00040e76a8374b9dUL;
   tf->codes[1487] = 0x00040e771d555727UL;
   tf->codes[1488] = 0x00040e7ac645b377UL;
   tf->codes[1489] = 0x00040e7b00d4b93cUL;
   tf->codes[1490] = 0x00040e7b75f2c4c6UL;
   tf->codes[1491] = 0x00040e86e5e1e540UL;
   tf->codes[1492] = 0x00040e872070eb05UL;
   tf->codes[1493] = 0x00040e8a54433bcbUL;
   tf->codes[1494] = 0x00040e92caef1144UL;
   tf->codes[1495] = 0x00040e9882e6a181UL;
   tf->codes[1496] = 0x00040e9bb6b8f247UL;
   tf->codes[1497] = 0x00040e9fd4c75a21UL;
   tf->codes[1498] = 0x00040ea3b846bc36UL;
   tf->codes[1499] = 0x00040ea79bc61e4bUL;
   tf->codes[1500] = 0x00040eaa5a7a6387UL;
   tf->codes[1501] = 0x00040eab44b67a9bUL;
   tf->codes[1502] = 0x00040eae036abfd7UL;
   tf->codes[1503] = 0x00040eb0c21f0513UL;
   tf->codes[1504] = 0x00040eb5554b7877UL;
   tf->codes[1505] = 0x00040eb6b4a59b15UL;
   tf->codes[1506] = 0x00040ec1af76b005UL;
   tf->codes[1507] = 0x00040ec6b7c12ef3UL;
   tf->codes[1508] = 0x00040ec8c6c862e0UL;
   tf->codes[1509] = 0x00040ed2d75d60bcUL;
   tf->codes[1510] = 0x00040ed55b82a033UL;
   tf->codes[1511] = 0x00040ed6badcc2d1UL;
   tf->codes[1512] = 0x00040edd2281645dUL;
   tf->codes[1513] = 0x00040edebc6a8cc0UL;
   tf->codes[1514] = 0x00040ee17b1ed1fcUL;
   tf->codes[1515] = 0x00040ee1f03cdd86UL;
   tf->codes[1516] = 0x00040ee5992d39d6UL;
   tf->codes[1517] = 0x00040eebc642d59dUL;
   tf->codes[1518] = 0x00040ef561b9c7efUL;
   tf->codes[1519] = 0x00040efa2f754118UL;
   tf->codes[1520] = 0x00040f02e0b01c56UL;
   tf->codes[1521] = 0x00040f04057b392fUL;
   tf->codes[1522] = 0x00040f0f756a59a9UL;
   tf->codes[1523] = 0x00040f10d4c47c47UL;
   tf->codes[1524] = 0x00040f1358e9bbbeUL;
   tf->codes[1525] = 0x00040f139378c183UL;
   tf->codes[1526] = 0x00040f13ce07c748UL;
   tf->codes[1527] = 0x00040f23d1235b26UL;
   tf->codes[1528] = 0x00040f323a55c6a1UL;
   tf->codes[1529] = 0x00040f332491ddb5UL;
   tf->codes[1530] = 0x00040f3692f33440UL;
   tf->codes[1531] = 0x00040f3aeb90a1dfUL;
   tf->codes[1532] = 0x00040f402e6a2692UL;
   tf->codes[1533] = 0x00040f47804adf32UL;
   tf->codes[1534] = 0x00040f49c9e118e4UL;
   tf->codes[1535] = 0x00040f4c88955e20UL;
   tf->codes[1536] = 0x00040f4de7ef80beUL;
   tf->codes[1537] = 0x00040f5f84f43cffUL;
   tf->codes[1538] = 0x00040f6f12f1c553UL;
   tf->codes[1539] = 0x00040f7121f8f940UL;
   tf->codes[1540] = 0x00040f74905a4fcbUL;
   tf->codes[1541] = 0x00040f769f6183b8UL;
   tf->codes[1542] = 0x00040f77c42ca091UL;
   tf->codes[1543] = 0x00040f78ae68b7a5UL;
   tf->codes[1544] = 0x00040f7b328df71cUL;
   tf->codes[1545] = 0x00040f7d07062544UL;
   tf->codes[1546] = 0x00040f7df1423c58UL;
   tf->codes[1547] = 0x00040f82f98cbb46UL;
   tf->codes[1548] = 0x00040f8db9ceca71UL;
   tf->codes[1549] = 0x00040f9580cd8e9bUL;
   tf->codes[1550] = 0x00040f98b49fdf61UL;
   tf->codes[1551] = 0x00040f9a13fa01ffUL;
   tf->codes[1552] = 0x00040f9a89180d89UL;
   tf->codes[1553] = 0x00040f9c981f4176UL;
   tf->codes[1554] = 0x00040f9d825b588aUL;
   tf->codes[1555] = 0x00040fa45f1e05a0UL;
   tf->codes[1556] = 0x00040fa583e92279UL;
   tf->codes[1557] = 0x00040fa6339633c8UL;
   tf->codes[1558] = 0x00040fa71dd24adcUL;
   tf->codes[1559] = 0x00040fa8b7bb733fUL;
   tf->codes[1560] = 0x00040fa92cd97ec9UL;
   tf->codes[1561] = 0x00040fabb0febe40UL;
   tf->codes[1562] = 0x00040fad4ae7e6a3UL;
   tf->codes[1563] = 0x00040fae6fb3037cUL;
   tf->codes[1564] = 0x00040fb07eba3769UL;
   tf->codes[1565] = 0x00040fb6abcfd330UL;
   tf->codes[1566] = 0x00040fb7d09af009UL;
   tf->codes[1567] = 0x00040fbd137474bcUL;
   tf->codes[1568] = 0x00040fc54f914470UL;
   tf->codes[1569] = 0x00040fc724097298UL;
   tf->codes[1570] = 0x00040fceeb0836c2UL;
   tf->codes[1571] = 0x00040fd1a9bc7bfeUL;
   tf->codes[1572] = 0x00040fd1e44b81c3UL;
   tf->codes[1573] = 0x00040fd3f352b5b0UL;
   tf->codes[1574] = 0x00040fd67777f527UL;
   tf->codes[1575] = 0x00040fd6b206faecUL;
   tf->codes[1576] = 0x00040fd7d6d217c5UL;
   tf->codes[1577] = 0x00040fd9ab4a45edUL;
   tf->codes[1578] = 0x00040fdad01562c6UL;
   tf->codes[1579] = 0x00040fdb45336e50UL;
   tf->codes[1580] = 0x00040fdd543aa23dUL;
   tf->codes[1581] = 0x00040fe012eee779UL;
   tf->codes[1582] = 0x00040fe137ba0452UL;
   tf->codes[1583] = 0x00040fe381503e04UL;
   tf->codes[1584] = 0x00040fe46b8c5518UL;
   tf->codes[1585] = 0x00040fe4e0aa60a2UL;
   tf->codes[1586] = 0x00040fe7d9edaba3UL;
   tf->codes[1587] = 0x00040fe8899abcf2UL;
   tf->codes[1588] = 0x00040feb484f022eUL;
   tf->codes[1589] = 0x00040feca7a924ccUL;
   tf->codes[1590] = 0x00040feef13f5e7eUL;
   tf->codes[1591] = 0x00040ff0c5b78ca6UL;
   tf->codes[1592] = 0x00040ffeb9cbec97UL;
   tf->codes[1593] = 0x00041001788031d3UL;
   tf->codes[1594] = 0x00041002282d4322UL;
   tf->codes[1595] = 0x0004100262bc48e7UL;
   tf->codes[1596] = 0x00041002d7da5471UL;
   tf->codes[1597] = 0x000410034cf85ffbUL;
   tf->codes[1598] = 0x00041003c2166b85UL;
   tf->codes[1599] = 0x0004100471c37cd4UL;
   tf->codes[1600] = 0x00041004ac528299UL;
   tf->codes[1601] = 0x0004100521708e23UL;
   tf->codes[1602] = 0x00041005968e99adUL;
   tf->codes[1603] = 0x00041005d11d9f72UL;
   tf->codes[1604] = 0x0004100680cab0c1UL;
   tf->codes[1605] = 0x00041006bb59b686UL;
   tf->codes[1606] = 0x00041007e024d35fUL;
   tf->codes[1607] = 0x000410081ab3d924UL;
   tf->codes[1608] = 0x000410088fd1e4aeUL;
   tf->codes[1609] = 0x00041008ca60ea73UL;
   tf->codes[1610] = 0x000410093f7ef5fdUL;
   tf->codes[1611] = 0x00041009b49d0187UL;
   tf->codes[1612] = 0x00041009ef2c074cUL;
   tf->codes[1613] = 0x0004100a29bb0d11UL;
   tf->codes[1614] = 0x0004100a644a12d6UL;
   tf->codes[1615] = 0x0004100ad9681e60UL;
   tf->codes[1616] = 0x0004100b4e8629eaUL;
   tf->codes[1617] = 0x0004100c735146c3UL;
   tf->codes[1618] = 0x0004100d981c639cUL;
   tf->codes[1619] = 0x0004100dd2ab6961UL;
   tf->codes[1620] = 0x0004100e82587ab0UL;
   tf->codes[1621] = 0x0004100f6c9491c4UL;
   tf->codes[1622] = 0x00041010915fae9dUL;
   tf->codes[1623] = 0x00041011067dba27UL;
   tf->codes[1624] = 0x00041011f0b9d13bUL;
   tf->codes[1625] = 0x00041012a066e28aUL;
   tf->codes[1626] = 0x000410131584ee14UL;
   tf->codes[1627] = 0x000410138aa2f99eUL;
   tf->codes[1628] = 0x00041013ffc10528UL;
   tf->codes[1629] = 0x0004101474df10b2UL;
   tf->codes[1630] = 0x00041014af6e1677UL;
   tf->codes[1631] = 0x0004101599aa2d8bUL;
   tf->codes[1632] = 0x00041016be754a64UL;
   tf->codes[1633] = 0x000410181dcf6d02UL;
   tf->codes[1634] = 0x000410197d298fa0UL;
   tf->codes[1635] = 0x00041019f2479b2aUL;
   tf->codes[1636] = 0x0004101a6765a6b4UL;
   tf->codes[1637] = 0x0004101aa1f4ac79UL;
   tf->codes[1638] = 0x0004101bc6bfc952UL;
   tf->codes[1639] = 0x0004101c766cdaa1UL;
   tf->codes[1640] = 0x0004101cb0fbe066UL;
   tf->codes[1641] = 0x0004101ceb8ae62bUL;
   tf->codes[1642] = 0x0004101e4ae508c9UL;
   tf->codes[1643] = 0x0004101e85740e8eUL;
   tf->codes[1644] = 0x0004101ec0031453UL;
   tf->codes[1645] = 0x0004101efa921a18UL;
   tf->codes[1646] = 0x0004101fe4ce312cUL;
   tf->codes[1647] = 0x00041021b9465f54UL;
   tf->codes[1648] = 0x00041023532f87b7UL;
   tf->codes[1649] = 0x00041023c84d9341UL;
   tf->codes[1650] = 0x0004102402dc9906UL;
   tf->codes[1651] = 0x0004102527a7b5dfUL;
   tf->codes[1652] = 0x00041025d754c72eUL;
   tf->codes[1653] = 0x0004102945b61db9UL;
   tf->codes[1654] = 0x000410298045237eUL;
   tf->codes[1655] = 0x0004102c3ef968baUL;
   tf->codes[1656] = 0x0004102cb4177444UL;
   tf->codes[1657] = 0x0004102dd8e2911dUL;
   tf->codes[1658] = 0x0004102e4e009ca7UL;
   tf->codes[1659] = 0x000410310cb4e1e3UL;
   tf->codes[1660] = 0x0004103390da215aUL;
   tf->codes[1661] = 0x00041034b5a53e33UL;
   tf->codes[1662] = 0x000410368a1d6c5bUL;
   tf->codes[1663] = 0x00041036ff3b77e5UL;
   tf->codes[1664] = 0x000410377459836fUL;
   tf->codes[1665] = 0x0004103a6d9cce70UL;
   tf->codes[1666] = 0x0004103aa82bd435UL;
   tf->codes[1667] = 0x0004103cf1c20de7UL;
   tf->codes[1668] = 0x0004103d66e01971UL;
   tf->codes[1669] = 0x0004103f00c941d4UL;
   tf->codes[1670] = 0x0004103fb0765323UL;
   tf->codes[1671] = 0x0004104060236472UL;
   tf->codes[1672] = 0x00041041fa0c8cd5UL;
   tf->codes[1673] = 0x000410426f2a985fUL;
   tf->codes[1674] = 0x0004104393f5b538UL;
   tf->codes[1675] = 0x00041045dd8beeeaUL;
   tf->codes[1676] = 0x00041046181af4afUL;
   tf->codes[1677] = 0x0004104652a9fa74UL;
   tf->codes[1678] = 0x000410468d390039UL;
   tf->codes[1679] = 0x000410477775174dUL;
   tf->codes[1680] = 0x00041047ec9322d7UL;
   tf->codes[1681] = 0x00041049115e3fb0UL;
   tf->codes[1682] = 0x00041049867c4b3aUL;
   tf->codes[1683] = 0x0004104b95837f27UL;
   tf->codes[1684] = 0x0004104c7fbf963bUL;
   tf->codes[1685] = 0x0004104d69fbad4fUL;
   tf->codes[1686] = 0x0004104e8ec6ca28UL;
   tf->codes[1687] = 0x0004105112ec099fUL;
   tf->codes[1688] = 0x00041051c2991aeeUL;
   tf->codes[1689] = 0x00041052acd53202UL;
   tf->codes[1690] = 0x00041053d1a04edbUL;
   tf->codes[1691] = 0x000410540c2f54a0UL;
   tf->codes[1692] = 0x00041054bbdc65efUL;
   tf->codes[1693] = 0x00041055a6187d03UL;
   tf->codes[1694] = 0x000410561b36888dUL;
   tf->codes[1695] = 0x000410577a90ab2bUL;
   tf->codes[1696] = 0x000410591479d38eUL;
   tf->codes[1697] = 0x00041059c426e4ddUL;
   tf->codes[1698] = 0x00041059feb5eaa2UL;
   tf->codes[1699] = 0x0004105c484c2454UL;
   tf->codes[1700] = 0x0004105ecc7163cbUL;
   tf->codes[1701] = 0x0004105fb6ad7adfUL;
   tf->codes[1702] = 0x00041063250ed16aUL;
   tf->codes[1703] = 0x00041063d4bbe2b9UL;
   tf->codes[1704] = 0x000410648468f408UL;
   tf->codes[1705] = 0x000410656ea50b1cUL;
   tf->codes[1706] = 0x00041066937027f5UL;
   tf->codes[1707] = 0x00041066cdff2dbaUL;
   tf->codes[1708] = 0x00041067f2ca4a93UL;
   tf->codes[1709] = 0x000410682d595058UL;
   tf->codes[1710] = 0x00041069c74278bbUL;
   tf->codes[1711] = 0x0004106ab17e8fcfUL;
   tf->codes[1712] = 0x0004106b269c9b59UL;
   tf->codes[1713] = 0x0004106c10d8b26dUL;
   tf->codes[1714] = 0x0004106daac1dad0UL;
   tf->codes[1715] = 0x0004107153b23720UL;
   tf->codes[1716] = 0x0004107412667c5cUL;
   tf->codes[1717] = 0x000410744cf58221UL;
   tf->codes[1718] = 0x00041074fca29370UL;
   tf->codes[1719] = 0x000410798fcf06d4UL;
   tf->codes[1720] = 0x0004107aef292972UL;
   tf->codes[1721] = 0x0004107b9ed63ac1UL;
   tf->codes[1722] = 0x0004107bd9654086UL;
   tf->codes[1723] = 0x0004107e981985c2UL;
   tf->codes[1724] = 0x0004107f47c69711UL;
   tf->codes[1725] = 0x00041080a720b9afUL;
   tf->codes[1726] = 0x0004108156cdcafeUL;
   tf->codes[1727] = 0x00041081915cd0c3UL;
   tf->codes[1728] = 0x00041081cbebd688UL;
   tf->codes[1729] = 0x000410827b98e7d7UL;
   tf->codes[1730] = 0x00041082f0b6f361UL;
   tf->codes[1731] = 0x00041083a06404b0UL;
   tf->codes[1732] = 0x00041084501115ffUL;
   tf->codes[1733] = 0x000410865f1849ecUL;
   tf->codes[1734] = 0x00041087be726c8aUL;
   tf->codes[1735] = 0x00041088a8ae839eUL;
   tf->codes[1736] = 0x0004108af244bd50UL;
   tf->codes[1737] = 0x0004108b2cd3c315UL;
   tf->codes[1738] = 0x0004108d014bf13dUL;
   tf->codes[1739] = 0x00041090aa3c4d8dUL;
   tf->codes[1740] = 0x0004109368f092c9UL;
   tf->codes[1741] = 0x00041094189da418UL;
   tf->codes[1742] = 0x000410974c6ff4deUL;
   tf->codes[1743] = 0x0004109b6a7e5cb8UL;
   tf->codes[1744] = 0x0004109d0467851bUL;
   tf->codes[1745] = 0x0004109e9e50ad7eUL;
   tf->codes[1746] = 0x000410a0ad57e16bUL;
   tf->codes[1747] = 0x000410a2f6ee1b1dUL;
   tf->codes[1748] = 0x000410a36c0c26a7UL;
   tf->codes[1749] = 0x000410a3a69b2c6cUL;
   tf->codes[1750] = 0x000410a4cb664945UL;
   tf->codes[1751] = 0x000410a5f031661eUL;
   tf->codes[1752] = 0x000410a6da6d7d32UL;
   tf->codes[1753] = 0x000410a7c4a99446UL;
   tf->codes[1754] = 0x000410a7ff389a0bUL;
   tf->codes[1755] = 0x000410aaf87be50cUL;
   tf->codes[1756] = 0x000410ab330aead1UL;
   tf->codes[1757] = 0x000410ab6d99f096UL;
   tf->codes[1758] = 0x000410adf1bf300dUL;
   tf->codes[1759] = 0x000410afc6375e35UL;
   tf->codes[1760] = 0x000410b20fcd97e7UL;
   tf->codes[1761] = 0x000410b36f27ba85UL;
   tf->codes[1762] = 0x000410b41ed4cbd4UL;
   tf->codes[1763] = 0x000410b5f34cf9fcUL;
   tf->codes[1764] = 0x000410b7181816d5UL;
   tf->codes[1765] = 0x000410b752a71c9aUL;
   tf->codes[1766] = 0x000410b78d36225fUL;
   tf->codes[1767] = 0x000410b9d6cc5c11UL;
   tf->codes[1768] = 0x000410ba4bea679bUL;
   tf->codes[1769] = 0x000410bac1087325UL;
   tf->codes[1770] = 0x000410bafb9778eaUL;
   tf->codes[1771] = 0x000410bc9580a14dUL;
   tf->codes[1772] = 0x000410bd0a9eacd7UL;
   tf->codes[1773] = 0x000410bf5434e689UL;
   tf->codes[1774] = 0x000410c1d85a2600UL;
   tf->codes[1775] = 0x000410c45c7f6577UL;
   tf->codes[1776] = 0x000410c4970e6b3cUL;
   tf->codes[1777] = 0x000410c8056fc1c7UL;
   tf->codes[1778] = 0x000410ca4f05fb79UL;
   tf->codes[1779] = 0x000410cac4240703UL;
   tf->codes[1780] = 0x000410cee2326eddUL;
   tf->codes[1781] = 0x000410cf1cc174a2UL;
   tf->codes[1782] = 0x000410cf57507a67UL;
   tf->codes[1783] = 0x000410cfcc6e85f1UL;
   tf->codes[1784] = 0x000410d0418c917bUL;
   tf->codes[1785] = 0x000410d16657ae54UL;
   tf->codes[1786] = 0x000410d2c5b1d0f2UL;
   tf->codes[1787] = 0x000410d30040d6b7UL;
   tf->codes[1788] = 0x000410d50f480aa4UL;
   tf->codes[1789] = 0x000410d66ea22d42UL;
   tf->codes[1790] = 0x000410d6e3c038ccUL;
   tf->codes[1791] = 0x000410d87da9612fUL;
   tf->codes[1792] = 0x000410d8b83866f4UL;
   tf->codes[1793] = 0x000410d8f2c76cb9UL;
   tf->codes[1794] = 0x000410d967e57843UL;
   tf->codes[1795] = 0x000410da17928992UL;
   tf->codes[1796] = 0x000410db01cea0a6UL;
   tf->codes[1797] = 0x000410dc6128c344UL;
   tf->codes[1798] = 0x000410dcd646ceceUL;
   tf->codes[1799] = 0x000410dee54e02bbUL;
   tf->codes[1800] = 0x000410e12ee43c6dUL;
   tf->codes[1801] = 0x000410e42827876eUL;
   tf->codes[1802] = 0x000410e462b68d33UL;
   tf->codes[1803] = 0x000410e49d4592f8UL;
   tf->codes[1804] = 0x000410e671bdc120UL;
   tf->codes[1805] = 0x000410e96b010c21UL;
   tf->codes[1806] = 0x000410e9e01f17abUL;
   tf->codes[1807] = 0x000410ea1aae1d70UL;
   tf->codes[1808] = 0x000410ed4e806e36UL;
   tf->codes[1809] = 0x000410edc39e79c0UL;
   tf->codes[1810] = 0x000410eee8699699UL;
   tf->codes[1811] = 0x000410efd2a5adadUL;
   tf->codes[1812] = 0x000410f0bce1c4c1UL;
   tf->codes[1813] = 0x000410f256caed24UL;
   tf->codes[1814] = 0x000410f3b6250fc2UL;
   tf->codes[1815] = 0x000410f4daf02c9bUL;
   tf->codes[1816] = 0x000410f5157f3260UL;
   tf->codes[1817] = 0x000410f63a4a4f39UL;
   tf->codes[1818] = 0x000410f883e088ebUL;
   tf->codes[1819] = 0x000410f9e33aab89UL;
   tf->codes[1820] = 0x000410fc2cd0e53bUL;
   tf->codes[1821] = 0x000410fd519c0214UL;
   tf->codes[1822] = 0x000410ff60a33601UL;
   tf->codes[1823] = 0x00041101aa396fb3UL;
   tf->codes[1824] = 0x00041103b940a3a0UL;
   tf->codes[1825] = 0x0004110468edb4efUL;
   tf->codes[1826] = 0x0004110811de113fUL;
   tf->codes[1827] = 0x0004110886fc1cc9UL;
   tf->codes[1828] = 0x0004110936a92e18UL;
   tf->codes[1829] = 0x00041109e6563f67UL;
   tf->codes[1830] = 0x0004110b803f67caUL;
   tf->codes[1831] = 0x0004110bbace6d8fUL;
   tf->codes[1832] = 0x0004110eeea0be55UL;
   tf->codes[1833] = 0x0004110fd8dcd569UL;
   tf->codes[1834] = 0x00041110c318ec7dUL;
   tf->codes[1835] = 0x00041113bc5c377eUL;
   tf->codes[1836] = 0x00041113f6eb3d43UL;
   tf->codes[1837] = 0x00041114317a4308UL;
   tf->codes[1838] = 0x000411167b107cbaUL;
   tf->codes[1839] = 0x000411172abd8e09UL;
   tf->codes[1840] = 0x000411179fdb9993UL;
   tf->codes[1841] = 0x00041117da6a9f58UL;
   tf->codes[1842] = 0x000411188a17b0a7UL;
   tf->codes[1843] = 0x0004111939c4c1f6UL;
   tf->codes[1844] = 0x00041119e971d345UL;
   tf->codes[1845] = 0x0004111d92622f95UL;
   tf->codes[1846] = 0x0004111e07803b1fUL;
   tf->codes[1847] = 0x0004111e7c9e46a9UL;
   tf->codes[1848] = 0x0004112100c38620UL;
   tf->codes[1849] = 0x000411229aacae83UL;
   tf->codes[1850] = 0x00041124a9b3e270UL;
   tf->codes[1851] = 0x000411290251500fUL;
   tf->codes[1852] = 0x0004112a9c3a7872UL;
   tf->codes[1853] = 0x0004112fa484f760UL;
   tf->codes[1854] = 0x00041131ee1b3112UL;
   tf->codes[1855] = 0x000411360c2998ecUL;
   tf->codes[1856] = 0x00041136f665b000UL;
   tf->codes[1857] = 0x000411397a8aef77UL;
   tf->codes[1858] = 0x00041139b519f53cUL;
   tf->codes[1859] = 0x0004113c73ce3a78UL;
   tf->codes[1860] = 0x0004113cae5d403dUL;
   tf->codes[1861] = 0x0004113ce8ec4602UL;
   tf->codes[1862] = 0x0004113d237b4bc7UL;
   tf->codes[1863] = 0x000411414189b3a1UL;
   tf->codes[1864] = 0x000411422bc5cab5UL;
   tf->codes[1865] = 0x00041144003df8ddUL;
   tf->codes[1866] = 0x000411460f452ccaUL;
   tf->codes[1867] = 0x0004114dd643f0f4UL;
   tf->codes[1868] = 0x0004115094f83630UL;
   tf->codes[1869] = 0x000411510a1641baUL;
   tf->codes[1870] = 0x0004115144a5477fUL;
   tf->codes[1871] = 0x00041151f45258ceUL;
   tf->codes[1872] = 0x000411552824a994UL;
   tf->codes[1873] = 0x00041156c20dd1f7UL;
   tf->codes[1874] = 0x00041159bb511cf8UL;
   tf->codes[1875] = 0x00041159f5e022bdUL;
   tf->codes[1876] = 0x0004115a6afe2e47UL;
   tf->codes[1877] = 0x0004115e890c9621UL;
   tf->codes[1878] = 0x0004115efe2aa1abUL;
   tf->codes[1879] = 0x0004115f38b9a770UL;
   tf->codes[1880] = 0x0004115f7348ad35UL;
   tf->codes[1881] = 0x000411631c390985UL;
   tf->codes[1882] = 0x00041164f0b137adUL;
   tf->codes[1883] = 0x00041166157c5486UL;
   tf->codes[1884] = 0x00041166500b5a4bUL;
   tf->codes[1885] = 0x000411673a47715fUL;
   tf->codes[1886] = 0x00041167e9f482aeUL;
   tf->codes[1887] = 0x000411685f128e38UL;
   tf->codes[1888] = 0x00041168d43099c2UL;
   tf->codes[1889] = 0x0004116aa8a8c7eaUL;
   tf->codes[1890] = 0x0004116b92e4defeUL;
   tf->codes[1891] = 0x0004116cf23f019cUL;
   tf->codes[1892] = 0x0004116ec6b72fc4UL;
   tf->codes[1893] = 0x0004116fb0f346d8UL;
   tf->codes[1894] = 0x00041172e4c5979eUL;
   tf->codes[1895] = 0x000411740990b477UL;
   tf->codes[1896] = 0x00041175de08e29fUL;
   tf->codes[1897] = 0x000411789cbd27dbUL;
   tf->codes[1898] = 0x00041178d74c2da0UL;
   tf->codes[1899] = 0x0004117a36a6503eUL;
   tf->codes[1900] = 0x0004117a71355603UL;
   tf->codes[1901] = 0x0004117ddf96ac8eUL;
   tf->codes[1902] = 0x0004117e1a25b253UL;
   tf->codes[1903] = 0x0004117f797fd4f1UL;
   tf->codes[1904] = 0x000411809e4af1caUL;
   tf->codes[1905] = 0x0004118238341a2dUL;
   tf->codes[1906] = 0x00041182ad5225b7UL;
   tf->codes[1907] = 0x00041182e7e12b7cUL;
   tf->codes[1908] = 0x00041184473b4e1aUL;
   tf->codes[1909] = 0x000411861bb37c42UL;
   tf->codes[1910] = 0x00041187b59ca4a5UL;
   tf->codes[1911] = 0x00041188da67c17eUL;
   tf->codes[1912] = 0x0004118a7450e9e1UL;
   tf->codes[1913] = 0x0004118bd3ab0c7fUL;
   tf->codes[1914] = 0x0004118c0e3a1244UL;
   tf->codes[1915] = 0x0004118cbde72393UL;
   tf->codes[1916] = 0x0004118de2b2406cUL;
   tf->codes[1917] = 0x00041193d538d66eUL;
   tf->codes[1918] = 0x00041195a9b10496UL;
   tf->codes[1919] = 0x0004119693ed1baaUL;
   tf->codes[1920] = 0x00041197090b2734UL;
   tf->codes[1921] = 0x000411977e2932beUL;
   tf->codes[1922] = 0x0004119a776c7dbfUL;
   tf->codes[1923] = 0x0004119aec8a8949UL;
   tf->codes[1924] = 0x0004119b27198f0eUL;
   tf->codes[1925] = 0x0004119b9c379a98UL;
   tf->codes[1926] = 0x0004119c4be4abe7UL;
   tf->codes[1927] = 0x0004119d3620c2fbUL;
   tf->codes[1928] = 0x0004119d70afc8c0UL;
   tf->codes[1929] = 0x0004119de5cdd44aUL;
   tf->codes[1930] = 0x0004119e957ae599UL;
   tf->codes[1931] = 0x0004119ed009eb5eUL;
   tf->codes[1932] = 0x0004119f0a98f123UL;
   tf->codes[1933] = 0x0004119fba460272UL;
   tf->codes[1934] = 0x000411a363365ec2UL;
   tf->codes[1935] = 0x000411a3d8546a4cUL;
   tf->codes[1936] = 0x000411a488017b9bUL;
   tf->codes[1937] = 0x000411a621eaa3feUL;
   tf->codes[1938] = 0x000411a70c26bb12UL;
   tf->codes[1939] = 0x000411ac898f458aUL;
   tf->codes[1940] = 0x000411af0db48501UL;
   tf->codes[1941] = 0x000411af48438ac6UL;
   tf->codes[1942] = 0x000411b3a0e0f865UL;
   tf->codes[1943] = 0x000411b53aca20c8UL;
   tf->codes[1944] = 0x000411b65f953da1UL;
   tf->codes[1945] = 0x000411b6d4b3492bUL;
   tf->codes[1946] = 0x000411b9cdf6942cUL;
   tf->codes[1947] = 0x000411ba088599f1UL;
   tf->codes[1948] = 0x000411bd3c57eab7UL;
   tf->codes[1949] = 0x000411be269401cbUL;
   tf->codes[1950] = 0x000411be9bb20d55UL;
   tf->codes[1951] = 0x000411c1cf845e1bUL;
   tf->codes[1952] = 0x000411c3a3fc8c43UL;
   tf->codes[1953] = 0x000411c453a99d92UL;
   tf->codes[1954] = 0x000411c74cece893UL;
   tf->codes[1955] = 0x000411c95bf41c80UL;
   tf->codes[1956] = 0x000411c996832245UL;
   tf->codes[1957] = 0x000411caf5dd44e3UL;
   tf->codes[1958] = 0x000411ce643e9b6eUL;
   tf->codes[1959] = 0x000411d07345cf5bUL;
   tf->codes[1960] = 0x000411d3e1a725e6UL;
   tf->codes[1961] = 0x000411d41c362babUL;
   tf->codes[1962] = 0x000411d665cc655dUL;
   tf->codes[1963] = 0x000411db3387de86UL;
   tf->codes[1964] = 0x000411db6e16e44bUL;
   tf->codes[1965] = 0x000411dd7d1e1838UL;
   tf->codes[1966] = 0x000411ddf23c23c2UL;
   tf->codes[1967] = 0x000411de2ccb2987UL;
   tf->codes[1968] = 0x000411dedc783ad6UL;
   tf->codes[1969] = 0x000411e0b0f068feUL;
   tf->codes[1970] = 0x000411e2fa86a2b0UL;
   tf->codes[1971] = 0x000411e459e0c54eUL;
   tf->codes[1972] = 0x000411e5098dd69dUL;
   tf->codes[1973] = 0x000411e5441cdc62UL;
   tf->codes[1974] = 0x000411e62e58f376UL;
   tf->codes[1975] = 0x000411e6de0604c5UL;
   tf->codes[1976] = 0x000411ea86f66115UL;
   tf->codes[1977] = 0x000411ebabc17deeUL;
   tf->codes[1978] = 0x000411ebe65083b3UL;
   tf->codes[1979] = 0x000411ec20df8978UL;
   tf->codes[1980] = 0x000411ef54b1da3eUL;
   tf->codes[1981] = 0x000411f1292a0866UL;
   tf->codes[1982] = 0x000411f1d8d719b5UL;
   tf->codes[1983] = 0x000411f45cfc592cUL;
   tf->codes[1984] = 0x000411fd48c63a2fUL;
   tf->codes[1985] = 0x0004120166d4a209UL;
   tf->codes[1986] = 0x000412071ecc3246UL;
   tf->codes[1987] = 0x000412087e2654e4UL;
   tf->codes[1988] = 0x0004120a529e830cUL;
   tf->codes[1989] = 0x0004120d1152c848UL;
   tf->codes[1990] = 0x0004120e361de521UL;
   tf->codes[1991] = 0x00041212c94a5885UL;
   tf->codes[1992] = 0x0004121378f769d4UL;
   tf->codes[1993] = 0x00041214633380e8UL;
   tf->codes[1994] = 0x00041216723ab4d5UL;
   tf->codes[1995] = 0x00041219e09c0b60UL;
   tf->codes[1996] = 0x000412237c12fdb2UL;
   tf->codes[1997] = 0x000412263ac742eeUL;
   tf->codes[1998] = 0x000412275f925fc7UL;
   tf->codes[1999] = 0x00041227d4b06b51UL;
   tf->codes[2000] = 0x00041228beec8265UL;
   tf->codes[2001] = 0x0004122a9364b08dUL;
   tf->codes[2002] = 0x0004122e3c550cddUL;
   tf->codes[2003] = 0x00041231359857deUL;
   tf->codes[2004] = 0x000412330a108606UL;
   tf->codes[2005] = 0x00041233b9bd9755UL;
   tf->codes[2006] = 0x00041234de88b42eUL;
   tf->codes[2007] = 0x0004123762adf3a5UL;
   tf->codes[2008] = 0x000412379d3cf96aUL;
   tf->codes[2009] = 0x0004123a216238e1UL;
   tf->codes[2010] = 0x0004123a5bf13ea6UL;
   tf->codes[2011] = 0x0004123a9680446bUL;
   tf->codes[2012] = 0x0004123b462d55baUL;
   tf->codes[2013] = 0x0004123d553489a7UL;
   tf->codes[2014] = 0x0004123f9ecac359UL;
   tf->codes[2015] = 0x00041241e860fd0bUL;
   tf->codes[2016] = 0x00041242980e0e5aUL;
   tf->codes[2017] = 0x000412472b3a81beUL;
   tf->codes[2018] = 0x0004124850059e97UL;
   tf->codes[2019] = 0x0004124b4948e998UL;
   tf->codes[2020] = 0x0004124e428c3499UL;
   tf->codes[2021] = 0x0004124f67575172UL;
   tf->codes[2022] = 0x000412538565b94cUL;
   tf->codes[2023] = 0x00041254aa30d625UL;
   tf->codes[2024] = 0x000412564419fe88UL;
   tf->codes[2025] = 0x000412567ea9044dUL;
   tf->codes[2026] = 0x00041258c83f3dffUL;
   tf->codes[2027] = 0x0004125b4c647d76UL;
   tf->codes[2028] = 0x0004125c36a0948aUL;
   tf->codes[2029] = 0x0004125f6a72e550UL;
   tf->codes[2030] = 0x0004125fdf90f0daUL;
   tf->codes[2031] = 0x00041264ad4c6a03UL;
   tf->codes[2032] = 0x00041264e7db6fc8UL;
   tf->codes[2033] = 0x0004126647359266UL;
   tf->codes[2034] = 0x00041267a68fb504UL;
   tf->codes[2035] = 0x00041268563cc653UL;
   tf->codes[2036] = 0x00041268cb5ad1ddUL;
   tf->codes[2037] = 0x00041269b596e8f1UL;
   tf->codes[2038] = 0x0004126a2ab4f47bUL;
   tf->codes[2039] = 0x0004126bc49e1cdeUL;
   tf->codes[2040] = 0x0004126c39bc2868UL;
   tf->codes[2041] = 0x0004126dd3a550cbUL;
   tf->codes[2042] = 0x00041270cce89bccUL;
   tf->codes[2043] = 0x000412710777a191UL;
   tf->codes[2044] = 0x00041271b724b2e0UL;
   tf->codes[2045] = 0x000412722c42be6aUL;
   tf->codes[2046] = 0x00041274b067fde1UL;
   tf->codes[2047] = 0x00041276bf6f31ceUL;
   tf->codes[2048] = 0x0004127859585a31UL;
   tf->codes[2049] = 0x000412797e23770aUL;
   tf->codes[2050] = 0x00041279b8b27ccfUL;
   tf->codes[2051] = 0x0004127a685f8e1eUL;
   tf->codes[2052] = 0x0004128478f48bfaUL;
   tf->codes[2053] = 0x000412877237d6fbUL;
   tf->codes[2054] = 0x0004128aa60a27c1UL;
   tf->codes[2055] = 0x0004128b1b28334bUL;
   tf->codes[2056] = 0x0004128bcad5449aUL;
   tf->codes[2057] = 0x0004128cb5115baeUL;
   tf->codes[2058] = 0x0004128e146b7e4cUL;
   tf->codes[2059] = 0x0004128e898989d6UL;
   tf->codes[2060] = 0x0004128f73c5a0eaUL;
   tf->codes[2061] = 0x00041291483dcf12UL;
   tf->codes[2062] = 0x00041293cc630e89UL;
   tf->codes[2063] = 0x00041295664c36ecUL;
   tf->codes[2064] = 0x00041295a0db3cb1UL;
   tf->codes[2065] = 0x000412968b1753c5UL;
   tf->codes[2066] = 0x0004129775536ad9UL;
   tf->codes[2067] = 0x00041298d4ad8d77UL;
   tf->codes[2068] = 0x00041299845a9ec6UL;
   tf->codes[2069] = 0x000412a5a3f6d08fUL;
   tf->codes[2070] = 0x000412a94ce72cdfUL;
   tf->codes[2071] = 0x000412ab5bee60ccUL;
   tf->codes[2072] = 0x000412ac0b9b721bUL;
   tf->codes[2073] = 0x000412ad30668ef4UL;
   tf->codes[2074] = 0x000412ada5849a7eUL;
   tf->codes[2075] = 0x000412ae1aa2a608UL;
   tf->codes[2076] = 0x000412afef1ad430UL;
   tf->codes[2077] = 0x000412b3980b3080UL;
   tf->codes[2078] = 0x000412b40d293c0aUL;
   tf->codes[2079] = 0x000412bcbe641748UL;
   tf->codes[2080] = 0x000412c0a1e3795dUL;
   tf->codes[2081] = 0x000412c1c6ae9636UL;
   tf->codes[2082] = 0x000412c32608b8d4UL;
   tf->codes[2083] = 0x000412cab2787739UL;
   tf->codes[2084] = 0x000412cbd7439412UL;
   tf->codes[2085] = 0x000412cc86f0a561UL;
   tf->codes[2086] = 0x000412ccc17fab26UL;
   tf->codes[2087] = 0x000412cf8033f062UL;
   tf->codes[2088] = 0x000412d0df8e1300UL;
   tf->codes[2089] = 0x000412d279773b63UL;
   tf->codes[2090] = 0x000412d39e42583cUL;
   tf->codes[2091] = 0x000412daf02310dcUL;
   tf->codes[2092] = 0x000412db9fd0222bUL;
   tf->codes[2093] = 0x000412dc4f7d337aUL;
   tf->codes[2094] = 0x000412dd74485053UL;
   tf->codes[2095] = 0x000412ded3a272f1UL;
   tf->codes[2096] = 0x000412e24203c97cUL;
   tf->codes[2097] = 0x000412e4167bf7a4UL;
   tf->codes[2098] = 0x000412e6d5303ce0UL;
   tf->codes[2099] = 0x000412e7f9fb59b9UL;
   tf->codes[2100] = 0x000412eaf33ea4baUL;
   tf->codes[2101] = 0x000412f837a5f35cUL;
   tf->codes[2102] = 0x000412fe2a2c895eUL;
   tf->codes[2103] = 0x000412ffc415b1c1UL;
   tf->codes[2104] = 0x000413020dabeb73UL;
   tf->codes[2105] = 0x00041302f7e80287UL;
   tf->codes[2106] = 0x00041306db67649cUL;
   tf->codes[2107] = 0x0004130a8457c0ecUL;
   tf->codes[2108] = 0x0004130ccdedfa9eUL;
   tf->codes[2109] = 0x0004130d7d9b0bedUL;
   tf->codes[2110] = 0x0004130df2b91777UL;
   tf->codes[2111] = 0x0004130e2d481d3cUL;
   tf->codes[2112] = 0x0004130fc731459fUL;
   tf->codes[2113] = 0x0004131210c77f51UL;
   tf->codes[2114] = 0x00041315b9b7dba1UL;
   tf->codes[2115] = 0x000413178e3009c9UL;
   tf->codes[2116] = 0x0004131c5beb82f2UL;
   tf->codes[2117] = 0x0004131df5d4ab55UL;
   tf->codes[2118] = 0x0004131e3063b11aUL;
   tf->codes[2119] = 0x00041325f7627544UL;
   tf->codes[2120] = 0x00041326e19e8c58UL;
   tf->codes[2121] = 0x0004132be9e90b46UL;
   tf->codes[2122] = 0x0004132d83d233a9UL;
   tf->codes[2123] = 0x00041330f2338a34UL;
   tf->codes[2124] = 0x00041331dc6fa148UL;
   tf->codes[2125] = 0x00041333eb76d535UL;
   tf->codes[2126] = 0x000413346094e0bfUL;
   tf->codes[2127] = 0x000413354ad0f7d3UL;
   tf->codes[2128] = 0x000413371f4925fbUL;
   tf->codes[2129] = 0x0004133759d82bc0UL;
   tf->codes[2130] = 0x00041339a36e6572UL;
   tf->codes[2131] = 0x0004133e369ad8d6UL;
   tf->codes[2132] = 0x0004133fd0840139UL;
   tf->codes[2133] = 0x000413412fde23d7UL;
   tf->codes[2134] = 0x00041345fd999d00UL;
   tf->codes[2135] = 0x0004134881bedc77UL;
   tf->codes[2136] = 0x00041349e118ff15UL;
   tf->codes[2137] = 0x0004134b407321b3UL;
   tf->codes[2138] = 0x0004134d4f7a55a0UL;
   tf->codes[2139] = 0x0004134dff2766efUL;
   tf->codes[2140] = 0x00041350834ca666UL;
   tf->codes[2141] = 0x000413537c8ff167UL;
   tf->codes[2142] = 0x00041356eaf147f2UL;
   tf->codes[2143] = 0x0004135d5295e97eUL;
   tf->codes[2144] = 0x0004136136154b93UL;
   tf->codes[2145] = 0x00041362956f6e31UL;
   tf->codes[2146] = 0x0004136603d0c4bcUL;
   tf->codes[2147] = 0x00041367289be195UL;
   tf->codes[2148] = 0x0004136b46aa496fUL;
   tf->codes[2149] = 0x0004136c30e66083UL;
   tf->codes[2150] = 0x0004136eb50b9ffaUL;
   tf->codes[2151] = 0x000413725dfbfc4aUL;
   tf->codes[2152] = 0x0004137591ce4d10UL;
   tf->codes[2153] = 0x00041375cc5d52d5UL;
   tf->codes[2154] = 0x00041376f1286faeUL;
   tf->codes[2155] = 0x0004137766467b38UL;
   tf->codes[2156] = 0x00041379afdcb4eaUL;
   tf->codes[2157] = 0x0004137bf972ee9cUL;
   tf->codes[2158] = 0x0004137d1e3e0b75UL;
   tf->codes[2159] = 0x000413808c9f6200UL;
   tf->codes[2160] = 0x0004138a28165452UL;
   tf->codes[2161] = 0x0004138a62a55a17UL;
   tf->codes[2162] = 0x000413913f68072dUL;
   tf->codes[2163] = 0x00041393c38d46a4UL;
   tf->codes[2164] = 0x00041394e858637dUL;
   tf->codes[2165] = 0x00041395d2947a91UL;
   tf->codes[2166] = 0x00041396f75f976aUL;
   tf->codes[2167] = 0x000413981c2ab443UL;
   tf->codes[2168] = 0x000413997b84d6e1UL;
   tf->codes[2169] = 0x0004139d24753331UL;
   tf->codes[2170] = 0x000413a142839b0bUL;
   tf->codes[2171] = 0x000413a1b7a1a695UL;
   tf->codes[2172] = 0x000413a2a1ddbda9UL;
   tf->codes[2173] = 0x000413ae11ccde23UL;
   tf->codes[2174] = 0x000413afe6450c4bUL;
   tf->codes[2175] = 0x000413b1459f2ee9UL;
   tf->codes[2176] = 0x000413b1babd3a73UL;
   tf->codes[2177] = 0x000413b354a662d6UL;
   tf->codes[2178] = 0x000413b9472cf8d8UL;
   tf->codes[2179] = 0x000413b981bbfe9dUL;
   tf->codes[2180] = 0x000413bbcb52384fUL;
   tf->codes[2181] = 0x000413bd653b60b2UL;
   tf->codes[2182] = 0x000413bf7442949fUL;
   tf->codes[2183] = 0x000413bfaed19a64UL;
   tf->codes[2184] = 0x000413bfe960a029UL;
   tf->codes[2185] = 0x000413c148bac2c7UL;
   tf->codes[2186] = 0x000413c232f6d9dbUL;
   tf->codes[2187] = 0x000413c52c3a24dcUL;
   tf->codes[2188] = 0x000413c8257d6fddUL;
   tf->codes[2189] = 0x000413c90fb986f1UL;
   tf->codes[2190] = 0x000413c984d7927bUL;
   tf->codes[2191] = 0x000413cddd75001aUL;
   tf->codes[2192] = 0x000413cfec7c3407UL;
   tf->codes[2193] = 0x000413d186655c6aUL;
   tf->codes[2194] = 0x000413d7b37af831UL;
   tf->codes[2195] = 0x000413d8289903bbUL;
   tf->codes[2196] = 0x000413dcbbc5771fUL;
   tf->codes[2197] = 0x000413e1fe9efbd2UL;
   tf->codes[2198] = 0x000413e398882435UL;
   tf->codes[2199] = 0x000413e6cc5a74fbUL;
   tf->codes[2200] = 0x000413e98b0eba37UL;
   tf->codes[2201] = 0x000413ee93593925UL;
   tf->codes[2202] = 0x000413ef087744afUL;
   tf->codes[2203] = 0x000413f201ba8fb0UL;
   tf->codes[2204] = 0x000413f23c499575UL;
   tf->codes[2205] = 0x000413f276d89b3aUL;
   tf->codes[2206] = 0x000413f2b167a0ffUL;
   tf->codes[2207] = 0x000413f32685ac89UL;
   tf->codes[2208] = 0x000413f5358ce076UL;
   tf->codes[2209] = 0x000413f61fc8f78aUL;
   tf->codes[2210] = 0x000413fa3dd75f64UL;
   tf->codes[2211] = 0x000413fc124f8d8cUL;
   tf->codes[2212] = 0x000413fcc1fc9edbUL;
   tf->codes[2213] = 0x000413fcfc8ba4a0UL;
   tf->codes[2214] = 0x000413fe9674cd03UL;
   tf->codes[2215] = 0x00041408a709cadfUL;
   tf->codes[2216] = 0x00041408e198d0a4UL;
   tf->codes[2217] = 0x0004140cffa7387eUL;
   tf->codes[2218] = 0x0004140e999060e1UL;
   tf->codes[2219] = 0x00041410e3269a93UL;
   tf->codes[2220] = 0x0004141959d2700cUL;
   tf->codes[2221] = 0x0004141b2e4a9e34UL;
   tf->codes[2222] = 0x0004141c8da4c0d2UL;
   tf->codes[2223] = 0x0004141d77e0d7e6UL;
   tf->codes[2224] = 0x0004141decfee370UL;
   tf->codes[2225] = 0x0004141ed73afa84UL;
   tf->codes[2226] = 0x0004141fc1771198UL;
   tf->codes[2227] = 0x0004142195ef3fc0UL;
   tf->codes[2228] = 0x00041422baba5c99UL;
   tf->codes[2229] = 0x000414253edf9c10UL;
   tf->codes[2230] = 0x0004142ba6843d9cUL;
   tf->codes[2231] = 0x0004142d05de603aUL;
   tf->codes[2232] = 0x0004142d7afc6bc4UL;
   tf->codes[2233] = 0x0004142eda568e62UL;
   tf->codes[2234] = 0x0004142fc492a576UL;
   tf->codes[2235] = 0x0004143af9f2c02bUL;
   tf->codes[2236] = 0x0004144211447306UL;
   tf->codes[2237] = 0x000414424bd378cbUL;
   tf->codes[2238] = 0x00041444cff8b842UL;
   tf->codes[2239] = 0x00041447198ef1f4UL;
   tf->codes[2240] = 0x00041449289625e1UL;
   tf->codes[2241] = 0x0004144fcac9cd32UL;
   tf->codes[2242] = 0x000414519f41fb5aUL;
   tf->codes[2243] = 0x0004145806e69ce6UL;
   tf->codes[2244] = 0x00041458b693ae35UL;
   tf->codes[2245] = 0x00041459a0cfc549UL;
   tf->codes[2246] = 0x0004145bafd6f936UL;
   tf->codes[2247] = 0x0004145d0f311bd4UL;
   tf->codes[2248] = 0x0004145df96d32e8UL;
   tf->codes[2249] = 0x000414633c46b79bUL;
   tf->codes[2250] = 0x00041464d62fdffeUL;
   tf->codes[2251] = 0x00041466358a029cUL;
   tf->codes[2252] = 0x00041466aaa80e26UL;
   tf->codes[2253] = 0x0004146bb2f28d14UL;
   tf->codes[2254] = 0x00041470461f0078UL;
   tf->codes[2255] = 0x00041471a5792316UL;
   tf->codes[2256] = 0x00041471e00828dbUL;
   tf->codes[2257] = 0x00041472ca443fefUL;
   tf->codes[2258] = 0x00041475fe1690b5UL;
   tf->codes[2259] = 0x0004147722e1ad8eUL;
   tf->codes[2260] = 0x000414775d70b353UL;
   tf->codes[2261] = 0x00041478f759dbb6UL;
   tf->codes[2262] = 0x0004147ee9e071b8UL;
   tf->codes[2263] = 0x0004148292d0ce08UL;
   tf->codes[2264] = 0x0004148307eed992UL;
   tf->codes[2265] = 0x00041483f22af0a6UL;
   tf->codes[2266] = 0x0004148516f60d7fUL;
   tf->codes[2267] = 0x000414867650301dUL;
   tf->codes[2268] = 0x000414884ac85e45UL;
   tf->codes[2269] = 0x00041489e4b186a8UL;
   tf->codes[2270] = 0x0004148aceed9dbcUL;
   tf->codes[2271] = 0x0004148d5312dd33UL;
   tf->codes[2272] = 0x0004148dc830e8bdUL;
   tf->codes[2273] = 0x0004149011c7226fUL;
   tf->codes[2274] = 0x0004149220ce565cUL;
   tf->codes[2275] = 0x000414946a64900eUL;
   tf->codes[2276] = 0x00041496044db871UL;
   tf->codes[2277] = 0x000414984de3f223UL;
   tf->codes[2278] = 0x0004149938200937UL;
   tf->codes[2279] = 0x00041499ad3e14c1UL;
   tf->codes[2280] = 0x0004149ca6815fc2UL;
   tf->codes[2281] = 0x000414a5924b40c5UL;
   tf->codes[2282] = 0x000414a607694c4fUL;
   tf->codes[2283] = 0x000414ab4a42d102UL;
   tf->codes[2284] = 0x000414ad1ebaff2aUL;
   tf->codes[2285] = 0x000414b1023a613fUL;
   tf->codes[2286] = 0x000414b3c0eea67bUL;
   tf->codes[2287] = 0x000414b3fb7dac40UL;
   tf->codes[2288] = 0x000414b6ba31f17cUL;
   tf->codes[2289] = 0x000414b8c9392569UL;
   tf->codes[2290] = 0x000414ba9db15391UL;
   tf->codes[2291] = 0x000414bc722981b9UL;
   tf->codes[2292] = 0x000414bd21d69308UL;
   tf->codes[2293] = 0x000414be8130b5a6UL;
   tf->codes[2294] = 0x000414c22a2111f6UL;
   tf->codes[2295] = 0x000414c29f3f1d80UL;
   tf->codes[2296] = 0x000414c4392845e3UL;
   tf->codes[2297] = 0x000414c55df362bcUL;
   tf->codes[2298] = 0x000414c81ca7a7f8UL;
   tf->codes[2299] = 0x000414c9b690d05bUL;
   tf->codes[2300] = 0x000414ca663de1aaUL;
   tf->codes[2301] = 0x000414cc00270a0dUL;
   tf->codes[2302] = 0x000414cd9a103270UL;
   tf->codes[2303] = 0x000414ce844c4984UL;
   tf->codes[2304] = 0x000414d093537d71UL;
   tf->codes[2305] = 0x000414d22d3ca5d4UL;
   tf->codes[2306] = 0x000414d267cbab99UL;
   tf->codes[2307] = 0x000414d31778bce8UL;
   tf->codes[2308] = 0x000414d35207c2adUL;
   tf->codes[2309] = 0x000414d9f43b69feUL;
   tf->codes[2310] = 0x000414dd629cc089UL;
   tf->codes[2311] = 0x000414de4cd8d79dUL;
   tf->codes[2312] = 0x000414df71a3f476UL;
   tf->codes[2313] = 0x000414e1f5c933edUL;
   tf->codes[2314] = 0x000414e3ca416215UL;
   tf->codes[2315] = 0x000414e5299b84b3UL;
   tf->codes[2316] = 0x000414e688f5a751UL;
   tf->codes[2317] = 0x000414e7e84fc9efUL;
   tf->codes[2318] = 0x000414ec40ed378eUL;
   tf->codes[2319] = 0x000414ec7b7c3d53UL;
   tf->codes[2320] = 0x000414efaf4e8e19UL;
   tf->codes[2321] = 0x000414f14937b67cUL;
   tf->codes[2322] = 0x000414f26e02d355UL;
   tf->codes[2323] = 0x000414f392cdf02eUL;
   tf->codes[2324] = 0x000414f910367aa6UL;
   tf->codes[2325] = 0x000414f985548630UL;
   tf->codes[2326] = 0x000414f9bfe38bf5UL;
   tf->codes[2327] = 0x000414fae4aea8ceUL;
   tf->codes[2328] = 0x000414fb945bba1dUL;
   tf->codes[2329] = 0x000414fbceeabfe2UL;
   tf->codes[2330] = 0x00041502e63c72bdUL;
   tf->codes[2331] = 0x0004150320cb7882UL;
   tf->codes[2332] = 0x0004150395e9840cUL;
   tf->codes[2333] = 0x00041506549dc948UL;
   tf->codes[2334] = 0x000415068f2ccf0dUL;
   tf->codes[2335] = 0x00041507b3f7ebe6UL;
   tf->codes[2336] = 0x000415089e3402faUL;
   tf->codes[2337] = 0x00041508d8c308bfUL;
   tf->codes[2338] = 0x0004150b22594271UL;
   tf->codes[2339] = 0x0004150d3160765eUL;
   tf->codes[2340] = 0x0004150d6bef7c23UL;
   tf->codes[2341] = 0x0004150e90ba98fcUL;
   tf->codes[2342] = 0x0004151189fde3fdUL;
   tf->codes[2343] = 0x0004151239aaf54cUL;
   tf->codes[2344] = 0x00041512aec900d6UL;
   tf->codes[2345] = 0x00041512e958069bUL;
   tf->codes[2346] = 0x0004151323e70c60UL;
   tf->codes[2347] = 0x00041516924862ebUL;
   tf->codes[2348] = 0x000415198b8badecUL;
   tf->codes[2349] = 0x0004151de4291b8bUL;
   tf->codes[2350] = 0x000415277fa00dddUL;
   tf->codes[2351] = 0x0004152a3e545319UL;
   tf->codes[2352] = 0x0004153190350bb9UL;
   tf->codes[2353] = 0x0004153205531743UL;
   tf->codes[2354] = 0x000415365df084e2UL;
   tf->codes[2355] = 0x00041536987f8aa7UL;
   tf->codes[2356] = 0x0004153a06e0e132UL;
   tf->codes[2357] = 0x0004153f49ba65e5UL;
   tf->codes[2358] = 0x000415411e32940dUL;
   tf->codes[2359] = 0x00041542086eab21UL;
   tf->codes[2360] = 0x0004154576d001acUL;
   tf->codes[2361] = 0x00041548e5315837UL;
   tf->codes[2362] = 0x0004154d785dcb9bUL;
   tf->codes[2363] = 0x00041550e6bf2226UL;
   tf->codes[2364] = 0x00041552bb37504eUL;
   tf->codes[2365] = 0x00041554ca3e843bUL;
   tf->codes[2366] = 0x000415553f5c8fc5UL;
   tf->codes[2367] = 0x0004155788f2c977UL;
   tf->codes[2368] = 0x0004155a47a70eb3UL;
   tf->codes[2369] = 0x0004155ea0447c52UL;
   tf->codes[2370] = 0x000415662cb43ab7UL;
   tf->codes[2371] = 0x00041567c69d631aUL;
   tf->codes[2372] = 0x0004156b34feb9a5UL;
   tf->codes[2373] = 0x0004156df3b2fee1UL;
   tf->codes[2374] = 0x0004156fc82b2d09UL;
   tf->codes[2375] = 0x00041570ecf649e2UL;
   tf->codes[2376] = 0x00041572c16e780aUL;
   tf->codes[2377] = 0x0004157420c89aa8UL;
   tf->codes[2378] = 0x000415758022bd46UL;
   tf->codes[2379] = 0x000415778f29f133UL;
   tf->codes[2380] = 0x000415799e312520UL;
   tf->codes[2381] = 0x0004157afd8b47beUL;
   tf->codes[2382] = 0x0004157c5ce56a5cUL;
   tf->codes[2383] = 0x00041585f85c5caeUL;
   tf->codes[2384] = 0x0004158792458511UL;
   tf->codes[2385] = 0x0004158ea99737ecUL;
   tf->codes[2386] = 0x0004159008f15a8aUL;
   tf->codes[2387] = 0x00041591a2da82edUL;
   tf->codes[2388] = 0x000415930234a58bUL;
   tf->codes[2389] = 0x00041599a4684cdcUL;
   tf->codes[2390] = 0x0004159b03c26f7aUL;
   tf->codes[2391] = 0x0004159d4d58a92cUL;
   tf->codes[2392] = 0x000415a37a6e44f3UL;
   tf->codes[2393] = 0x000415a84829be1cUL;
   tf->codes[2394] = 0x000415a96cf4daf5UL;
   tf->codes[2395] = 0x000415a9a783e0baUL;
   tf->codes[2396] = 0x000415aacc4efd93UL;
   tf->codes[2397] = 0x000415abf11a1a6cUL;
   tf->codes[2398] = 0x000415b133f39f1fUL;
   tf->codes[2399] = 0x000415b258bebbf8UL;
   tf->codes[2400] = 0x000415b517730134UL;
   tf->codes[2401] = 0x000415b885d457bfUL;
   tf->codes[2402] = 0x000415b8c0635d84UL;
   tf->codes[2403] = 0x000415bacf6a9171UL;
   tf->codes[2404] = 0x000415bc6953b9d4UL;
   tf->codes[2405] = 0x000415bd8e1ed6adUL;
   tf->codes[2406] = 0x000415beb2e9f386UL;
   tf->codes[2407] = 0x000415c30b876125UL;
   tf->codes[2408] = 0x000415c4a5708988UL;
   tf->codes[2409] = 0x000415c58faca09cUL;
   tf->codes[2410] = 0x000415c6ef06c33aUL;
   tf->codes[2411] = 0x000415cd1c1c5f01UL;
   tf->codes[2412] = 0x000415d4336e11dcUL;
   tf->codes[2413] = 0x000415d72cb15cddUL;
   tf->codes[2414] = 0x000415d816ed73f1UL;
   tf->codes[2415] = 0x000415dbfa6cd606UL;
   tf->codes[2416] = 0x000415dd1f37f2dfUL;
   tf->codes[2417] = 0x000415e1ecf36c08UL;
   tf->codes[2418] = 0x000415e29ca07d57UL;
   tf->codes[2419] = 0x000415e3c16b9a30UL;
   tf->codes[2420] = 0x000415e47118ab7fUL;
   tf->codes[2421] = 0x000415e64590d9a7UL;
   tf->codes[2422] = 0x000415e904451ee3UL;
   tf->codes[2423] = 0x000415ee471ea396UL;
   tf->codes[2424] = 0x000415f090b4dd48UL;
   tf->codes[2425] = 0x000415f105d2e8d2UL;
   tf->codes[2426] = 0x000415f17af0f45cUL;
   tf->codes[2427] = 0x000415f2da4b16faUL;
   tf->codes[2428] = 0x000415f5d38e61fbUL;
   tf->codes[2429] = 0x000415f60e1d67c0UL;
   tf->codes[2430] = 0x000415f9f19cc9d5UL;
   tf->codes[2431] = 0x000415fcb0510f11UL;
   tf->codes[2432] = 0x00041601b89b8dffUL;
   tf->codes[2433] = 0x00041603c7a2c1ecUL;
   tf->codes[2434] = 0x000416085acf3550UL;
   tf->codes[2435] = 0x0004160a69d6693dUL;
   tf->codes[2436] = 0x0004161146991653UL;
   tf->codes[2437] = 0x00041613cabe55caUL;
   tf->codes[2438] = 0x0004161689729b06UL;
   tf->codes[2439] = 0x0004161773aeb21aUL;
   tf->codes[2440] = 0x0004161982b5e607UL;
   tf->codes[2441] = 0x0004162358bbde1eUL;
   tf->codes[2442] = 0x00041624f2a50681UL;
   tf->codes[2443] = 0x000416252d340c46UL;
   tf->codes[2444] = 0x0004162985d179e5UL;
   tf->codes[2445] = 0x0004162ae52b9c83UL;
   tf->codes[2446] = 0x0004163480a28ed5UL;
   tf->codes[2447] = 0x0004163988ed0dc3UL;
   tf->codes[2448] = 0x00041639fe0b194dUL;
   tf->codes[2449] = 0x0004163da6fb759dUL;
   tf->codes[2450] = 0x0004163fb602a98aUL;
   tf->codes[2451] = 0x00041645336b3402UL;
   tf->codes[2452] = 0x00041645a8893f8cUL;
   tf->codes[2453] = 0x00041647427267efUL;
   tf->codes[2454] = 0x00041647f21f793eUL;
   tf->codes[2455] = 0x000416482cae7f03UL;
   tf->codes[2456] = 0x0004164b6080cfc9UL;
   tf->codes[2457] = 0x0004164b9b0fd58eUL;
   tf->codes[2458] = 0x0004164e59c41acaUL;
   tf->codes[2459] = 0x000416582fca12e1UL;
   tf->codes[2460] = 0x0004165a04424109UL;
   tf->codes[2461] = 0x0004166832e5a6bfUL;
   tf->codes[2462] = 0x0004166c8b83145eUL;
   tf->codes[2463] = 0x0004166d3b3025adUL;
   tf->codes[2464] = 0x0004167417f2d2c3UL;
   tf->codes[2465] = 0x0004167c8e9ea83cUL;
   tf->codes[2466] = 0x0004167d03bcb3c6UL;
   tf->codes[2467] = 0x00041681d1782cefUL;
   tf->codes[2468] = 0x000416820c0732b4UL;
   tf->codes[2469] = 0x00041682bbb44403UL;
   tf->codes[2470] = 0x00041684559d6c66UL;
   tf->codes[2471] = 0x00041684cabb77f0UL;
   tf->codes[2472] = 0x00041685b4f78f04UL;
   tf->codes[2473] = 0x00041687c3fec2f1UL;
   tf->codes[2474] = 0x0004168d06d847a4UL;
   tf->codes[2475] = 0x0004168d7bf6532eUL;
   tf->codes[2476] = 0x00041697176d4580UL;
   tf->codes[2477] = 0x0004169afaeca795UL;
   tf->codes[2478] = 0x0004169b357bad5aUL;
   tf->codes[2479] = 0x0004169e694dfe20UL;
   tf->codes[2480] = 0x000416a2875c65faUL;
   tf->codes[2481] = 0x000416b50e9d394fUL;
   tf->codes[2482] = 0x000416b9673aa6eeUL;
   tf->codes[2483] = 0x000416bac694c98cUL;
   tf->codes[2484] = 0x000416be6f8525dcUL;
   tf->codes[2485] = 0x000416c07e8c59c9UL;
   tf->codes[2486] = 0x000416c12e396b18UL;
   tf->codes[2487] = 0x000416c3b25eaa8fUL;
   tf->codes[2488] = 0x000416c4277cb619UL;
   tf->codes[2489] = 0x000416c511b8cd2dUL;
   tf->codes[2490] = 0x000416c80afc182eUL;
   tf->codes[2491] = 0x000416c8f5382f42UL;
   tf->codes[2492] = 0x000416cc290a8008UL;
   tf->codes[2493] = 0x000416d3405c32e3UL;
   tf->codes[2494] = 0x000416d7d388a647UL;
   tf->codes[2495] = 0x000416de75bc4d98UL;
   tf->codes[2496] = 0x000416e6774a1787UL;
   tf->codes[2497] = 0x000416ed197dbed8UL;
   tf->codes[2498] = 0x000416ee78d7e176UL;
   tf->codes[2499] = 0x000416f590299451UL;
   tf->codes[2500] = 0x000416f8c3fbe517UL;
   tf->codes[2501] = 0x000416fa235607b5UL;
   tf->codes[2502] = 0x000416fd1c9952b6UL;
   tf->codes[2503] = 0x000416fdcc466405UL;
   tf->codes[2504] = 0x000416ff662f8c68UL;
   tf->codes[2505] = 0x0004170558b6226aUL;
   tf->codes[2506] = 0x0004170a26719b93UL;
   tf->codes[2507] = 0x0004170caa96db0aUL;
   tf->codes[2508] = 0x0004171018f83195UL;
   tf->codes[2509] = 0x0004171178525433UL;
   tf->codes[2510] = 0x00041719b46f23e7UL;
   tf->codes[2511] = 0x0004171e0d0c9186UL;
   tf->codes[2512] = 0x00041724af4038d7UL;
   tf->codes[2513] = 0x00041731f3a78779UL;
   tf->codes[2514] = 0x000417322e368d3eUL;
   tf->codes[2515] = 0x00041732a35498c8UL;
   tf->codes[2516] = 0x00041742a6702ca6UL;
   tf->codes[2517] = 0x0004174e50ee52e5UL;
   tf->codes[2518] = 0x000417514a319de6UL;
   tf->codes[2519] = 0x0004175184c0a3abUL;
   tf->codes[2520] = 0x00041752e41ac649UL;
   tf->codes[2521] = 0x0004175702292e23UL;
   tf->codes[2522] = 0x0004175826f44afcUL;
   tf->codes[2523] = 0x0004175ec927f24dUL;
   tf->codes[2524] = 0x00041764811f828aUL;
   tf->codes[2525] = 0x00041769144bf5eeUL;
   tf->codes[2526] = 0x0004176d6ce9638dUL;
   tf->codes[2527] = 0x00041774f95921f2UL;
   tf->codes[2528] = 0x0004177658b34490UL;
   tf->codes[2529] = 0x000417777d7e6169UL;
   tf->codes[2530] = 0x0004177aebdfb7f4UL;
   tf->codes[2531] = 0x0004177d7004f76bUL;
   tf->codes[2532] = 0x0004177ff42a36e2UL;
   tf->codes[2533] = 0x00041788dff417e5UL;
   tf->codes[2534] = 0x0004178e5d5ca25dUL;
   tf->codes[2535] = 0x00041791912ef323UL;
   tf->codes[2536] = 0x00041792f08915c1UL;
   tf->codes[2537] = 0x0004179992bcbd12UL;
   tf->codes[2538] = 0x000417aed8b1d5a3UL;
   tf->codes[2539] = 0x000417b1d1f520a4UL;
   tf->codes[2540] = 0x000417bf8b7a7ad0UL;
   tf->codes[2541] = 0x000417c493c4f9beUL;
   tf->codes[2542] = 0x000417cf19780324UL;
   tf->codes[2543] = 0x000417cf8e960eaeUL;
   tf->codes[2544] = 0x000417d0edf0314cUL;
   tf->codes[2545] = 0x000417d2c2685f74UL;
   tf->codes[2546] = 0x000417d45c5187d7UL;
   tf->codes[2547] = 0x000417dafe852f28UL;
   tf->codes[2548] = 0x000417dc5ddf51c6UL;
   tf->codes[2549] = 0x000417e0f10bc52aUL;
   tf->codes[2550] = 0x000417e9a246a068UL;
   tf->codes[2551] = 0x000417f8460811a8UL;
   tf->codes[2552] = 0x000417faca2d511fUL;
   tf->codes[2553] = 0x00041801e17f03faUL;
   tf->codes[2554] = 0x000418096deec25fUL;
   tf->codes[2555] = 0x0004181ca4dca703UL;
   tf->codes[2556] = 0x0004182556178241UL;
   tf->codes[2557] = 0x0004182a5e62012fUL;
   tf->codes[2558] = 0x0004182e07525d7fUL;
   tf->codes[2559] = 0x0004183608e0276eUL;
   tf->codes[2560] = 0x00041836b88d38bdUL;
   tf->codes[2561] = 0x00041837683a4a0cUL;
   tf->codes[2562] = 0x00041849b4ec179cUL;
   tf->codes[2563] = 0x00041854752e26c7UL;
   tf->codes[2564] = 0x0004185599f943a0UL;
   tf->codes[2565] = 0x00041856f953663eUL;
   tf->codes[2566] = 0x00041857e38f7d52UL;
   tf->codes[2567] = 0x00041858cdcb9466UL;
   tf->codes[2568] = 0x0004185f357035f2UL;
   tf->codes[2569] = 0x0004186980943993UL;
   tf->codes[2570] = 0x0004187022c7e0e4UL;
   tf->codes[2571] = 0x0004187231cf14d1UL;
   tf->codes[2572] = 0x00041879be3ed336UL;
   tf->codes[2573] = 0x0004187a6debe485UL;
   tf->codes[2574] = 0x00041880d5908611UL;
   tf->codes[2575] = 0x0004188ae62583edUL;
   tf->codes[2576] = 0x0004188f3ec2f18cUL;
   tf->codes[2577] = 0x0004189d6d665742UL;
   tf->codes[2578] = 0x000418b5720fb50fUL;
   tf->codes[2579] = 0x000418c32b950f3bUL;
   tf->codes[2580] = 0x000418c48aef31d9UL;
   tf->codes[2581] = 0x000418c624d85a3cUL;
   tf->codes[2582] = 0x000418cb67b1deefUL;
   tf->codes[2583] = 0x000418cc8c7cfbc8UL;
   tf->codes[2584] = 0x000418ce2666242bUL;
   tf->codes[2585] = 0x000418cf85c046c9UL;
   tf->codes[2586] = 0x000418d1cf56807bUL;
   tf->codes[2587] = 0x000418d71230052eUL;
   tf->codes[2588] = 0x000418da0b73502fUL;
   tf->codes[2589] = 0x000418dd79d4a6baUL;
   tf->codes[2590] = 0x000418eea1bb5771UL;
   tf->codes[2591] = 0x000418f802a343feUL;
   tf->codes[2592] = 0x000418f877c14f88UL;
   tf->codes[2593] = 0x000418f8ecdf5b12UL;
   tf->codes[2594] = 0x000418fbab93a04eUL;
   tf->codes[2595] = 0x000419092a89f4b5UL;
   tf->codes[2596] = 0x000419096518fa7aUL;
   tf->codes[2597] = 0x00041909da370604UL;
   tf->codes[2598] = 0x0004190a89e41753UL;
   tf->codes[2599] = 0x0004190d0e0956caUL;
   tf->codes[2600] = 0x000419121653d5b8UL;
   tf->codes[2601] = 0x00041912c600e707UL;
   tf->codes[2602] = 0x0004191793bc6030UL;
   tf->codes[2603] = 0x00041918f31682ceUL;
   tf->codes[2604] = 0x0004191ee59d18d0UL;
   tf->codes[2605] = 0x000419200a6835a9UL;
   tf->codes[2606] = 0x0004192acaaa44d4UL;
   tf->codes[2607] = 0x0004192bef7561adUL;
   tf->codes[2608] = 0x00041940c04c6eb4UL;
   tf->codes[2609] = 0x0004194f640ddff4UL;
   tf->codes[2610] = 0x0004195138860e1cUL;
   tf->codes[2611] = 0x0004195431c9591dUL;
   tf->codes[2612] = 0x00041957659ba9e3UL;
   tf->codes[2613] = 0x0004195c6de628d1UL;
   tf->codes[2614] = 0x000419638537dbacUL;
   tf->codes[2615] = 0x0004196643ec20e8UL;
   tf->codes[2616] = 0x0004196c3672b6eaUL;
   tf->codes[2617] = 0x00041972638852b1UL;
   tf->codes[2618] = 0x0004197b89e13979UL;
   tf->codes[2619] = 0x0004197ebdb38a3fUL;
   tf->codes[2620] = 0x0004197fa7efa153UL;
   tf->codes[2621] = 0x00041982a132ec54UL;
   tf->codes[2622] = 0x000419897df5996aUL;
   tf->codes[2623] = 0x0004198add4fbc08UL;
   tf->codes[2624] = 0x0004198bc78bd31cUL;
   tf->codes[2625] = 0x0004198c3ca9dea6UL;
   tf->codes[2626] = 0x0004198d26e5f5baUL;
   tf->codes[2627] = 0x0004199403a8a2d0UL;
   tf->codes[2628] = 0x0004199612afd6bdUL;
   tf->codes[2629] = 0x0004199e4ecca671UL;
   tf->codes[2630] = 0x000419a90f0eb59cUL;
   tf->codes[2631] = 0x000419a9bebbc6ebUL;
   tf->codes[2632] = 0x000419a9f94accb0UL;
   tf->codes[2633] = 0x000419addcca2ec5UL;
   tf->codes[2634] = 0x000419af01954b9eUL;
   tf->codes[2635] = 0x000419ba36f56653UL;
   tf->codes[2636] = 0x000419c4bca86fb9UL;
   tf->codes[2637] = 0x000419c94fd4e31dUL;
   tf->codes[2638] = 0x000419cae9be0b80UL;
   tf->codes[2639] = 0x000419cb244d1145UL;
   tf->codes[2640] = 0x000419cd33544532UL;
   tf->codes[2641] = 0x000419d4fa53095cUL;
   tf->codes[2642] = 0x000419d743e9430eUL;
   tf->codes[2643] = 0x000419df45770cfdUL;
   tf->codes[2644] = 0x000419e2b3d86388UL;
   tf->codes[2645] = 0x000419e3d8a38061UL;
   tf->codes[2646] = 0x000419e44dc18bebUL;
   tf->codes[2647] = 0x000419e537fda2ffUL;
   tf->codes[2648] = 0x000419e9909b109eUL;
   tf->codes[2649] = 0x000419ecc46d6164UL;
   tf->codes[2650] = 0x000419ef4892a0dbUL;
   tf->codes[2651] = 0x000419fb2d9fccdfUL;
   tf->codes[2652] = 0x000419fd77360691UL;
   tf->codes[2653] = 0x00041a01202662e1UL;
   tf->codes[2654] = 0x00041a0503a5c4f6UL;
   tf->codes[2655] = 0x00041a0a467f49a9UL;
   tf->codes[2656] = 0x00041a0e9f1cb748UL;
   tf->codes[2657] = 0x00041a0fc3e7d421UL;
   tf->codes[2658] = 0x00041a1750579286UL;
   tf->codes[2659] = 0x00041a1c93311739UL;
   tf->codes[2660] = 0x00041a1d42de2888UL;
   tf->codes[2661] = 0x00041a27c89131eeUL;
   tf->codes[2662] = 0x00041a2a4cb67165UL;
   tf->codes[2663] = 0x00041a2d8088c22bUL;
   tf->codes[2664] = 0x00041a33730f582dUL;
   tf->codes[2665] = 0x00041a3cd3f744baUL;
   tf->codes[2666] = 0x00041a4007c99580UL;
   tf->codes[2667] = 0x00041a43b0b9f1d0UL;
   tf->codes[2668] = 0x00041a4585321ff8UL;
   tf->codes[2669] = 0x00041a4b3d29b035UL;
   tf->codes[2670] = 0x00041a554dbeae11UL;
   tf->codes[2671] = 0x00041a579754e7c3UL;
   tf->codes[2672] = 0x00041a57d1e3ed88UL;
   tf->codes[2673] = 0x00041a584701f912UL;
   tf->codes[2674] = 0x00041a5c9f9f66b1UL;
   tf->codes[2675] = 0x00041a64dbbc3665UL;
   tf->codes[2676] = 0x00041a6b7defddb6UL;
   tf->codes[2677] = 0x00041a6c682bf4caUL;
   tf->codes[2678] = 0x00041a6e773328b7UL;
   tf->codes[2679] = 0x00041a7220238507UL;
   tf->codes[2680] = 0x00041a75c913e157UL;
   tf->codes[2681] = 0x00041a79ac93436cUL;
   tf->codes[2682] = 0x00041a7b0bed660aUL;
   tf->codes[2683] = 0x00041a7eb4ddc25aUL;
   tf->codes[2684] = 0x00041a8ca8f2224bUL;
   tf->codes[2685] = 0x00041a8fa2356d4cUL;
   tf->codes[2686] = 0x00041a9385b4cf61UL;
   tf->codes[2687] = 0x00041a943561e0b0UL;
   tf->codes[2688] = 0x00041a988dff4e4fUL;
   tf->codes[2689] = 0x00041a99b2ca6b28UL;
   tf->codes[2690] = 0x00041a99ed5970edUL;
   tf->codes[2691] = 0x00041a9a27e876b2UL;
   tf->codes[2692] = 0x00041a9d5bbac778UL;
   tf->codes[2693] = 0x00041aace9b84fccUL;
   tf->codes[2694] = 0x00041ab17ce4c330UL;
   tf->codes[2695] = 0x00041ab316cdeb93UL;
   tf->codes[2696] = 0x00041ab4b0b713f6UL;
   tf->codes[2697] = 0x00041ab560642545UL;
   tf->codes[2698] = 0x00041abd61f1ef34UL;
   tf->codes[2699] = 0x00041abe119f0083UL;
   tf->codes[2700] = 0x00041abec14c11d2UL;
   tf->codes[2701] = 0x00041ac10ae24b84UL;
   tf->codes[2702] = 0x00041ac2a4cb73e7UL;
   tf->codes[2703] = 0x00041ac6fd68e186UL;
   tf->codes[2704] = 0x00041ac8975209e9UL;
   tf->codes[2705] = 0x00041ad2e2760d8aUL;
   tf->codes[2706] = 0x00041adcb87c05a1UL;
   tf->codes[2707] = 0x00041ae3cfcdb87cUL;
   tf->codes[2708] = 0x00041ae4ba09cf90UL;
   tf->codes[2709] = 0x00041ae4f498d555UL;
   tf->codes[2710] = 0x00041aeb21ae711cUL;
   tf->codes[2711] = 0x00041aebd15b826bUL;
   tf->codes[2712] = 0x00041aeda5d3b093UL;
   tf->codes[2713] = 0x00041af1fe711e32UL;
   tf->codes[2714] = 0x00041af7f0f7b434UL;
   tf->codes[2715] = 0x00041af95051d6d2UL;
   tf->codes[2716] = 0x00041afa3a8dede6UL;
   tf->codes[2717] = 0x00041afa751cf3abUL;
   tf->codes[2718] = 0x00041affb7f6785eUL;
   tf->codes[2719] = 0x00041b02b139c35fUL;
   tf->codes[2720] = 0x00041b08de4f5f26UL;
   tf->codes[2721] = 0x00041b0a78388789UL;
   tf->codes[2722] = 0x00041b0d36ecccc5UL;
   tf->codes[2723] = 0x00041b1488cd8565UL;
   tf->codes[2724] = 0x00041b15ad98a23eUL;
   tf->codes[2725] = 0x00041b1a40c515a2UL;
   tf->codes[2726] = 0x00041b1af07226f1UL;
   tf->codes[2727] = 0x00041b1c4fcc498fUL;
   tf->codes[2728] = 0x00041b1f839e9a55UL;
   tf->codes[2729] = 0x00041b23dc3c07f4UL;
   tf->codes[2730] = 0x00041b2f86ba2e33UL;
   tf->codes[2731] = 0x00041b336a399048UL;
   tf->codes[2732] = 0x00041b33a4c8960dUL;
   tf->codes[2733] = 0x00041b378847f822UL;
   tf->codes[2734] = 0x00041b38e7a21ac0UL;
   tf->codes[2735] = 0x00041b39974f2c0fUL;
   tf->codes[2736] = 0x00041b3a46fc3d5eUL;
   tf->codes[2737] = 0x00041b3ffef3cd9bUL;
   tf->codes[2738] = 0x00041b41d36bfbc3UL;
   tf->codes[2739] = 0x00041b4283190d12UL;
   tf->codes[2740] = 0x00041b45b6eb5dd8UL;
   tf->codes[2741] = 0x00041b524ba59b2bUL;
   tf->codes[2742] = 0x00041b54cfcadaa2UL;
   tf->codes[2743] = 0x00041b5719611454UL;
   tf->codes[2744] = 0x00041b599d8653cbUL;
   tf->codes[2745] = 0x00041b62fe6e4058UL;
   tf->codes[2746] = 0x00041b6582937fcfUL;
   tf->codes[2747] = 0x00041b696612e1e4UL;
   tf->codes[2748] = 0x00041b6a504ef8f8UL;
   tf->codes[2749] = 0x00041b78b9816473UL;
   tf->codes[2750] = 0x00041b7a18db8711UL;
   tf->codes[2751] = 0x00041b7a536a8cd6UL;
   tf->codes[2752] = 0x00041b8797d1db78UL;
   tf->codes[2753] = 0x00041b88820df28cUL;
   tf->codes[2754] = 0x00041b916dd7d38fUL;
   tf->codes[2755] = 0x00041b91e2f5df19UL;
   tf->codes[2756] = 0x00041b979aed6f56UL;
   tf->codes[2757] = 0x00041b9fd70a3f0aUL;
   tf->codes[2758] = 0x00041ba76379fd6fUL;
   tf->codes[2759] = 0x00041bb641ca7474UL;
   tf->codes[2760] = 0x00041bb81642a29cUL;
   tf->codes[2761] = 0x00041bbd591c274fUL;
   tf->codes[2762] = 0x00041bbef3054fb2UL;
   tf->codes[2763] = 0x00041bc9b3475eddUL;
   tf->codes[2764] = 0x00041bcce719afa3UL;
   tf->codes[2765] = 0x00041bd17a462307UL;
   tf->codes[2766] = 0x00041bd4e8a77992UL;
   tf->codes[2767] = 0x00041bd7e1eac493UL;
   tf->codes[2768] = 0x00041bd97bd3ecf6UL;
   tf->codes[2769] = 0x00041bdb504c1b1eUL;
   tf->codes[2770] = 0x00041bdfa8e988bdUL;
   tf->codes[2771] = 0x00041be560e118faUL;
   tf->codes[2772] = 0x00041be64b1d300eUL;
   tf->codes[2773] = 0x00041bf10b5f3f39UL;
   tf->codes[2774] = 0x00041bf2302a5c12UL;
   tf->codes[2775] = 0x00041bf6fde5d53bUL;
   tf->codes[2776] = 0x00041bf77303e0c5UL;
   tf->codes[2777] = 0x00041c06c6726354UL;
   tf->codes[2778] = 0x00041c07b0ae7a68UL;
   tf->codes[2779] = 0x00041c0ae480cb2eUL;
   tf->codes[2780] = 0x00041c0e18531bf4UL;
   tf->codes[2781] = 0x00041c1270f08993UL;
   tf->codes[2782] = 0x00041c1988423c6eUL;
   tf->codes[2783] = 0x00041c1d6bc19e83UL;
   tf->codes[2784] = 0x00041c1e55fdb597UL;
   tf->codes[2785] = 0x00041c2323b92ec0UL;
   tf->codes[2786] = 0x00041c240df545d4UL;
   tf->codes[2787] = 0x00041c26cca98b10UL;
   tf->codes[2788] = 0x00041c2950ceca87UL;
   tf->codes[2789] = 0x00041c2cbf302112UL;
   tf->codes[2790] = 0x00041c3326d4c29eUL;
   tf->codes[2791] = 0x00041c3f4670f467UL;
   tf->codes[2792] = 0x00041c3fbb8efff1UL;
   tf->codes[2793] = 0x00041c4030ad0b7bUL;
   tf->codes[2794] = 0x00041c406b3c1140UL;
   tf->codes[2795] = 0x00041c4cfff64e93UL;
   tf->codes[2796] = 0x00041c4f841b8e0aUL;
   tf->codes[2797] = 0x00041c5451d70733UL;
   tf->codes[2798] = 0x00041c57108b4c6fUL;
   tf->codes[2799] = 0x00041c5a7eeca2faUL;
   tf->codes[2800] = 0x00041c63dfd48f87UL;
   tf->codes[2801] = 0x00041c6d40bc7c14UL;
   tf->codes[2802] = 0x00041c6e658798edUL;
   tf->codes[2803] = 0x00041c7c599bf8deUL;
   tf->codes[2804] = 0x00041c7df3852141UL;
   tf->codes[2805] = 0x00041c7f18503e1aUL;
   tf->codes[2806] = 0x00041c819c757d91UL;
   tf->codes[2807] = 0x00041c85ba83e56bUL;
   tf->codes[2808] = 0x00041c8cd1d59846UL;
   tf->codes[2809] = 0x00041c924f3e22beUL;
   tf->codes[2810] = 0x00041c93ae98455cUL;
   tf->codes[2811] = 0x00041c987c53be85UL;
   tf->codes[2812] = 0x00041c99a11edb5eUL;
   tf->codes[2813] = 0x00041c9c25441ad5UL;
   tf->codes[2814] = 0x00041c9d0f8031e9UL;
   tf->codes[2815] = 0x00041cafd1500b03UL;
   tf->codes[2816] = 0x00041cb00bdf10c8UL;
   tf->codes[2817] = 0x00041cb2ca935604UL;
   tf->codes[2818] = 0x00041cb4d99a89f1UL;
   tf->codes[2819] = 0x00041cb72330c3a3UL;
   tf->codes[2820] = 0x00041cb8828ae641UL;
   tf->codes[2821] = 0x00041cbe75117c43UL;
   tf->codes[2822] = 0x00041cc517452394UL;
   tf->codes[2823] = 0x00041cc58c632f1eUL;
   tf->codes[2824] = 0x00041cc8c0357fe4UL;
   tf->codes[2825] = 0x00041cceb2bc15e6UL;
   tf->codes[2826] = 0x00041ccf27da2170UL;
   tf->codes[2827] = 0x00041cd6b449dfd5UL;
   tf->codes[2828] = 0x00041cd8c35113c2UL;
   tf->codes[2829] = 0x00041cd9386f1f4cUL;
   tf->codes[2830] = 0x00041cdb820558feUL;
   tf->codes[2831] = 0x00041ce7a1a18ac7UL;
   tf->codes[2832] = 0x00041ced942820c9UL;
   tf->codes[2833] = 0x00041ceef3824367UL;
   tf->codes[2834] = 0x00041cf7df4c246aUL;
   tf->codes[2835] = 0x00041cf979354ccdUL;
   tf->codes[2836] = 0x00041cf9b3c45292UL;
   tf->codes[2837] = 0x00041cfad88f6f6bUL;
   tf->codes[2838] = 0x00041cfb883c80baUL;
   tf->codes[2839] = 0x00041cfc37e99209UL;
   tf->codes[2840] = 0x00041d0523b3730cUL;
   tf->codes[2841] = 0x00041d12681ac1aeUL;
   tf->codes[2842] = 0x00041d147721f59bUL;
   tf->codes[2843] = 0x00041d177065409cUL;
   tf->codes[2844] = 0x00041d1d9d7adc63UL;
   tf->codes[2845] = 0x00041d1fe7111615UL;
   tf->codes[2846] = 0x00041d26c3d3c32bUL;
   tf->codes[2847] = 0x00041d28d2daf718UL;
   tf->codes[2848] = 0x00041d356795346bUL;
   tf->codes[2849] = 0x00041d35dcb33ff5UL;
   tf->codes[2850] = 0x00041d3cf404f2d0UL;
   tf->codes[2851] = 0x00041d3f3d9b2c82UL;
   tf->codes[2852] = 0x00041d47b44701fbUL;
   tf->codes[2853] = 0x00041d4b97c66410UL;
   tf->codes[2854] = 0x00041d4de15c9dc2UL;
   tf->codes[2855] = 0x00041d50da9fe8c3UL;
   tf->codes[2856] = 0x00041d55333d5662UL;
   tf->codes[2857] = 0x00041d5742448a4fUL;
   tf->codes[2858] = 0x00041d58670fa728UL;
   tf->codes[2859] = 0x00041d5e59963d2aUL;
   tf->codes[2860] = 0x00041d60689d7117UL;
   tf->codes[2861] = 0x00041d68df494690UL;
   tf->codes[2862] = 0x00041d6c131b9756UL;
   tf->codes[2863] = 0x00041d6f0c5ee257UL;
   tf->codes[2864] = 0x00041d703129ff30UL;
   tf->codes[2865] = 0x00041d7489c76ccfUL;
   tf->codes[2866] = 0x00041d770decac46UL;
   tf->codes[2867] = 0x00041d836817e3d4UL;
   tf->codes[2868] = 0x00041d86615b2ed5UL;
   tf->codes[2869] = 0x00041d995dba0db4UL;
   tf->codes[2870] = 0x00041d9b32323bdcUL;
   tf->codes[2871] = 0x00041d9db6577b53UL;
   tf->codes[2872] = 0x00041d9f5040a3b6UL;
   tf->codes[2873] = 0x00041da5083833f3UL;
   tf->codes[2874] = 0x00041daa85a0be6bUL;
   tf->codes[2875] = 0x00041dab6fdcd57fUL;
   tf->codes[2876] = 0x00041dabaa6bdb44UL;
   tf->codes[2877] = 0x00041daf18cd31cfUL;
   tf->codes[2878] = 0x00041db2872e885aUL;
   tf->codes[2879] = 0x00041db2fc4c93e4UL;
   tf->codes[2880] = 0x00041dbbe81674e7UL;
   tf->codes[2881] = 0x00041dd28d65b016UL;
   tf->codes[2882] = 0x00041dd636560c66UL;
   tf->codes[2883] = 0x00041de00c5c047dUL;
   tf->codes[2884] = 0x00041de75e3cbd1dUL;
   tf->codes[2885] = 0x00041de9a7d2f6cfUL;
   tf->codes[2886] = 0x00041deca11641d0UL;
   tf->codes[2887] = 0x00041df4a2a40bbfUL;
   tf->codes[2888] = 0x00041df79be756c0UL;
   tf->codes[2889] = 0x00041df935d07f23UL;
   tf->codes[2890] = 0x00041df9705f84e8UL;
   tf->codes[2891] = 0x00041dfe3e1afe11UL;
   tf->codes[2892] = 0x00041e067a37cdc5UL;
   tf->codes[2893] = 0x00041e0dcc188665UL;
   tf->codes[2894] = 0x00041e0e7bc597b4UL;
   tf->codes[2895] = 0x00041e13498110ddUL;
   tf->codes[2896] = 0x00041e1a9b61c97dUL;
   tf->codes[2897] = 0x00041e39f1ebdfeaUL;
   tf->codes[2898] = 0x00041e3bc6640e12UL;
   tf->codes[2899] = 0x00041e3e8518534eUL;
   tf->codes[2900] = 0x00041e3f6f546a62UL;
   tf->codes[2901] = 0x00041e417e5b9e4fUL;
   tf->codes[2902] = 0x00041e4c040ea7b5UL;
   tf->codes[2903] = 0x00041e53cb0d6bdfUL;
   tf->codes[2904] = 0x00041e59f82307a6UL;
   tf->codes[2905] = 0x00041e5a32b20d6bUL;
   tf->codes[2906] = 0x00041e5b577d2a44UL;
   tf->codes[2907] = 0x00041e5d66845e31UL;
   tf->codes[2908] = 0x00041e6408b80582UL;
   tf->codes[2909] = 0x00041e66c76c4abeUL;
   tf->codes[2910] = 0x00041e6a35cda149UL;
   tf->codes[2911] = 0x00041e7062e33d10UL;
   tf->codes[2912] = 0x00041e7aae0740b1UL;
   tf->codes[2913] = 0x00041e8533ba4a17UL;
   tf->codes[2914] = 0x00041e88a21ba0a2UL;
   tf->codes[2915] = 0x00041e8daa661f90UL;
   tf->codes[2916] = 0x00041e95e682ef44UL;
   tf->codes[2917] = 0x00041e9696300093UL;
   tf->codes[2918] = 0x00041e96d0bf0658UL;
   tf->codes[2919] = 0x00041e9a79af62a8UL;
   tf->codes[2920] = 0x00041ea65ebc8eacUL;
   tf->codes[2921] = 0x00041ea91d70d3e8UL;
   tf->codes[2922] = 0x00041ea9cd1de537UL;
   tf->codes[2923] = 0x00041eae604a589bUL;
   tf->codes[2924] = 0x00041eaed5686425UL;
   tf->codes[2925] = 0x00041eaffa3380feUL;
   tf->codes[2926] = 0x00041eb2093ab4ebUL;
   tf->codes[2927] = 0x00041eb2f376cbffUL;
   tf->codes[2928] = 0x00041eb661d8228aUL;
   tf->codes[2929] = 0x00041eb7fbc14aedUL;
   tf->codes[2930] = 0x00041eb9d0397915UL;
   tf->codes[2931] = 0x00041ebb2f939bb3UL;
   tf->codes[2932] = 0x00041ecb32af2f91UL;
   tf->codes[2933] = 0x00041ecf50bd976bUL;
   tf->codes[2934] = 0x00041ed5b86238f7UL;
   tf->codes[2935] = 0x00041edb35cac36fUL;
   tf->codes[2936] = 0x00041edccfb3ebd2UL;
   tf->codes[2937] = 0x00041ede699d1435UL;
   tf->codes[2938] = 0x00041ededebb1fbfUL;
   tf->codes[2939] = 0x00041edfc8f736d3UL;
   tf->codes[2940] = 0x00041ee128515971UL;
   tf->codes[2941] = 0x00041ee19d6f64fbUL;
   tf->codes[2942] = 0x00041ee3ac7698e8UL;
   tf->codes[2943] = 0x00041ee87a321211UL;
   tf->codes[2944] = 0x00041ee8ef501d9bUL;
   tf->codes[2945] = 0x00041eef1c65b962UL;
   tf->codes[2946] = 0x00041ef215a90463UL;
   tf->codes[2947] = 0x00041ef3ea21328bUL;
   tf->codes[2948] = 0x00041efbb11ff6b5UL;
   tf->codes[2949] = 0x00041f06abf10ba5UL;
   tf->codes[2950] = 0x00041f0d4e24b2f6UL;
   tf->codes[2951] = 0x00041f0ee80ddb59UL;
   tf->codes[2952] = 0x00041f121be02c1fUL;
   tf->codes[2953] = 0x00041f180e66c221UL;
   tf->codes[2954] = 0x00041f196dc0e4bfUL;
   tf->codes[2955] = 0x00041f2a208989ecUL;
   tf->codes[2956] = 0x00041f2a95a79576UL;
   tf->codes[2957] = 0x00041f2ca4aec963UL;
   tf->codes[2958] = 0x00041f2f63630e9fUL;
   tf->codes[2959] = 0x00041f34e0cb9917UL;
   tf->codes[2960] = 0x00041f40c5d8c51bUL;
   tf->codes[2961] = 0x00041f446ec9216bUL;
   tf->codes[2962] = 0x00041f47680c6c6cUL;
   tf->codes[2963] = 0x00041f555c20cc5dUL;
   tf->codes[2964] = 0x00041f560bcdddacUL;
   tf->codes[2965] = 0x00041f573098fa85UL;
   tf->codes[2966] = 0x00041f5a9efa5110UL;
   tf->codes[2967] = 0x00041f5bfe5473aeUL;
   tf->codes[2968] = 0x00041f5ce8908ac2UL;
   tf->codes[2969] = 0x00041f5d231f9087UL;
   tf->codes[2970] = 0x00041f5e47eaad60UL;
   tf->codes[2971] = 0x00041f5f3226c474UL;
   tf->codes[2972] = 0x00041f69f268d39fUL;
   tf->codes[2973] = 0x00041f6adca4eab3UL;
   tf->codes[2974] = 0x00041f6b51c2f63dUL;
   tf->codes[2975] = 0x00041f701f7e6f66UL;
   tf->codes[2976] = 0x00041f759ce6f9deUL;
   tf->codes[2977] = 0x00041f7612050568UL;
   tf->codes[2978] = 0x00041f76c1b216b7UL;
   tf->codes[2979] = 0x00041f7980665bf3UL;
   tf->codes[2980] = 0x00041f7fad7bf7baUL;
   tf->codes[2981] = 0x00041f84b5c676a8UL;
   tf->codes[2982] = 0x00041f898381efd1UL;
   tf->codes[2983] = 0x00041f8c07a72f48UL;
   tf->codes[2984] = 0x00041f8e8bcc6ebfUL;
   tf->codes[2985] = 0x00041f8f760885d3UL;
   tf->codes[2986] = 0x00041f94f371104bUL;
   tf->codes[2987] = 0x00041f994c0e7deaUL;
   tf->codes[2988] = 0x00041fae9203967bUL;
   tf->codes[2989] = 0x00041fb3253009dfUL;
   tf->codes[2990] = 0x00041fbc10f9eae2UL;
   tf->codes[2991] = 0x00041fbcc0a6fc31UL;
   tf->codes[2992] = 0x00041fbff4794cf7UL;
   tf->codes[2993] = 0x00041fc487a5c05bUL;
   tf->codes[2994] = 0x00041fc86b252270UL;
   tf->codes[2995] = 0x00041fc8e0432dfaUL;
   tf->codes[2996] = 0x00041fcb64686d71UL;
   tf->codes[2997] = 0x00041fcf0d58c9c1UL;
   tf->codes[2998] = 0x00041fcf47e7cf86UL;
   tf->codes[2999] = 0x00041fd2069c14c2UL;
   tf->codes[3000] = 0x00041fd48ac15439UL;
   tf->codes[3001] = 0x00041fd91dedc79dUL;
   tf->codes[3002] = 0x00041fda0829deb1UL;
   tf->codes[3003] = 0x00041fda42b8e476UL;
   tf->codes[3004] = 0x00041fdd016d29b2UL;
   tf->codes[3005] = 0x00041fdd768b353cUL;
   tf->codes[3006] = 0x00041fe32e82c579UL;
   tf->codes[3007] = 0x00041fe5ed370ab5UL;
   tf->codes[3008] = 0x00041fea45d47854UL;
   tf->codes[3009] = 0x00041fed79a6c91aUL;
   tf->codes[3010] = 0x00041ff1d24436b9UL;
   tf->codes[3011] = 0x00041ff41bda706bUL;
   tf->codes[3012] = 0x00041ffbe2d93495UL;
   tf->codes[3013] = 0x00041ffd42335733UL;
   tf->codes[3014] = 0x00042000b094adbeUL;
   tf->codes[3015] = 0x000420024a7dd621UL;
   tf->codes[3016] = 0x00042002bf9be1abUL;
   tf->codes[3017] = 0x00042002fa2ae770UL;
   tf->codes[3018] = 0x0004200509321b5dUL;
   tf->codes[3019] = 0x0004200927408337UL;
   tf->codes[3020] = 0x0004200961cf88fcUL;
   tf->codes[3021] = 0x00042009d6ed9486UL;
   tf->codes[3022] = 0x0004200d0abfe54cUL;
   tf->codes[3023] = 0x0004200dba6cf69bUL;
   tf->codes[3024] = 0x0004200e2f8b0225UL;
   tf->codes[3025] = 0x0004200e6a1a07eaUL;
   tf->codes[3026] = 0x0004200f19c71939UL;
   tf->codes[3027] = 0x00042013726486d8UL;
   tf->codes[3028] = 0x000420166ba7d1d9UL;
   tf->codes[3029] = 0x00042016e0c5dd63UL;
   tf->codes[3030] = 0x00042018efcd1150UL;
   tf->codes[3031] = 0x000420199f7a229fUL;
   tf->codes[3032] = 0x0004201a89b639b3UL;
   tf->codes[3033] = 0x0004201d486a7eefUL;
   tf->codes[3034] = 0x000420233af114f1UL;
   tf->codes[3035] = 0x000420250f694319UL;
   tf->codes[3036] = 0x0004202549f848deUL;
   tf->codes[3037] = 0x000420266ec365b7UL;
   tf->codes[3038] = 0x000420271e707706UL;
   tf->codes[3039] = 0x00042029a295b67dUL;
   tf->codes[3040] = 0x0004202b3c7edee0UL;
   tf->codes[3041] = 0x0004202bb19cea6aUL;
   tf->codes[3042] = 0x0004202cd6680743UL;
   tf->codes[3043] = 0x0004202dc0a41e57UL;
   tf->codes[3044] = 0x0004202ee56f3b30UL;
   tf->codes[3045] = 0x0004202f1ffe40f5UL;
   tf->codes[3046] = 0x0004203462d7c5a8UL;
   tf->codes[3047] = 0x0004203587a2e281UL;
   tf->codes[3048] = 0x00042035c231e846UL;
   tf->codes[3049] = 0x0004203671def995UL;
   tf->codes[3050] = 0x00042036ac6dff5aUL;
   tf->codes[3051] = 0x000420375c1b10a9UL;
   tf->codes[3052] = 0x0004203796aa166eUL;
   tf->codes[3053] = 0x00042038bb753347UL;
   tf->codes[3054] = 0x000420396b224496UL;
   tf->codes[3055] = 0x0004203b050b6cf9UL;
   tf->codes[3056] = 0x0004203b7a297883UL;
   tf->codes[3057] = 0x0004203bef47840dUL;
   tf->codes[3058] = 0x0004203c29d689d2UL;
   tf->codes[3059] = 0x0004203c64658f97UL;
   tf->codes[3060] = 0x0004203d1412a0e6UL;
   tf->codes[3061] = 0x0004203eadfbc949UL;
   tf->codes[3062] = 0x0004203f2319d4d3UL;
   tf->codes[3063] = 0x000420400d55ebe7UL;
   tf->codes[3064] = 0x0004204047e4f1acUL;
   tf->codes[3065] = 0x00042040f79202fbUL;
   tf->codes[3066] = 0x0004204341283cadUL;
   tf->codes[3067] = 0x00042047d454b011UL;
   tf->codes[3068] = 0x0004204933aed2afUL;
   tf->codes[3069] = 0x0004204bf26317ebUL;
   tf->codes[3070] = 0x0004204c2cf21db0UL;
   tf->codes[3071] = 0x0004204e016a4bd8UL;
   tf->codes[3072] = 0x0004204eeba662ecUL;
   tf->codes[3073] = 0x0004204fd5e27a00UL;
   tf->codes[3074] = 0x00042050c01e9114UL;
   tf->codes[3075] = 0x00042051e4e9adedUL;
   tf->codes[3076] = 0x00042053b961dc15UL;
   tf->codes[3077] = 0x000420542e7fe79fUL;
   tf->codes[3078] = 0x00042054a39df329UL;
   tf->codes[3079] = 0x0004205518bbfeb3UL;
   tf->codes[3080] = 0x00042055c8691002UL;
   tf->codes[3081] = 0x00042056b2a52716UL;
   tf->codes[3082] = 0x0004205762523865UL;
   tf->codes[3083] = 0x0004205811ff49b4UL;
   tf->codes[3084] = 0x0004205ad0b38ef0UL;
   tf->codes[3085] = 0x0004205b8060a03fUL;
   tf->codes[3086] = 0x0004205c6a9cb753UL;
   tf->codes[3087] = 0x0004205d54d8ce67UL;
   tf->codes[3088] = 0x0004205fd8fe0ddeUL;
   tf->codes[3089] = 0x00042062d24158dfUL;
   tf->codes[3090] = 0x000420667b31b52fUL;
   tf->codes[3091] = 0x00042066b5c0baf4UL;
   tf->codes[3092] = 0x00042067656dcc43UL;
   tf->codes[3093] = 0x000420679ffcd208UL;
   tf->codes[3094] = 0x00042067da8bd7cdUL;
   tf->codes[3095] = 0x000420688a38e91cUL;
   tf->codes[3096] = 0x0004206b48ed2e58UL;
   tf->codes[3097] = 0x0004206bf89a3fa7UL;
   tf->codes[3098] = 0x0004206c3329456cUL;
   tf->codes[3099] = 0x0004206ca84750f6UL;
   tf->codes[3100] = 0x0004206e7cbf7f1eUL;
   tf->codes[3101] = 0x0004206eb74e84e3UL;
   tf->codes[3102] = 0x0004206f2c6c906dUL;
   tf->codes[3103] = 0x00042071eb20d5a9UL;
   tf->codes[3104] = 0x000420729acde6f8UL;
   tf->codes[3105] = 0x0004207818367170UL;
   tf->codes[3106] = 0x0004207852c57735UL;
   tf->codes[3107] = 0x000420788d547cfaUL;
   tf->codes[3108] = 0x00042079ecae9f98UL;
   tf->codes[3109] = 0x0004207bc126cdc0UL;
   tf->codes[3110] = 0x0004207c3644d94aUL;
   tf->codes[3111] = 0x0004207e7fdb12fcUL;
   tf->codes[3112] = 0x0004207f2f88244bUL;
   tf->codes[3113] = 0x000420834d968c25UL;
   tf->codes[3114] = 0x00042085d1bbcb9cUL;
   tf->codes[3115] = 0x00042087e0c2ff89UL;
   tf->codes[3116] = 0x000420881b52054eUL;
   tf->codes[3117] = 0x00042088907010d8UL;
   tf->codes[3118] = 0x00042089b53b2db1UL;
   tf->codes[3119] = 0x0004208ada064a8aUL;
   tf->codes[3120] = 0x0004208bfed16763UL;
   tf->codes[3121] = 0x0004208e4867a115UL;
   tf->codes[3122] = 0x0004208f6d32bdeeUL;
   tf->codes[3123] = 0x0004208fe250c978UL;
   tf->codes[3124] = 0x00042090576ed502UL;
   tf->codes[3125] = 0x00042090cc8ce08cUL;
   tf->codes[3126] = 0x00042094757d3cdcUL;
   tf->codes[3127] = 0x000420955fb953f0UL;
   tf->codes[3128] = 0x00042095d4d75f7aUL;
   tf->codes[3129] = 0x000420994338b605UL;
   tf->codes[3130] = 0x0004209b8cceefb7UL;
   tf->codes[3131] = 0x0004209bc75df57cUL;
   tf->codes[3132] = 0x0004209c01ecfb41UL;
   tf->codes[3133] = 0x0004209ec0a1407dUL;
   tf->codes[3134] = 0x0004209f35bf4c07UL;
   tf->codes[3135] = 0x0004209faadd5791UL;
   tf->codes[3136] = 0x000420a22f029708UL;
   tf->codes[3137] = 0x000420a7374d15f6UL;
   tf->codes[3138] = 0x000420aa6b1f66bcUL;
   tf->codes[3139] = 0x000420aae03d7246UL;
   tf->codes[3140] = 0x000420ac3f9794e4UL;
   tf->codes[3141] = 0x000420b182711997UL;
   tf->codes[3142] = 0x000420b2321e2ae6UL;
   tf->codes[3143] = 0x000420b565f07bacUL;
   tf->codes[3144] = 0x000420b6159d8cfbUL;
   tf->codes[3145] = 0x000420b6c54a9e4aUL;
   tf->codes[3146] = 0x000420b90ee0d7fcUL;
   tf->codes[3147] = 0x000420b9be8de94bUL;
   tf->codes[3148] = 0x000420c1106ea1ebUL;
   tf->codes[3149] = 0x000420c1faaab8ffUL;
   tf->codes[3150] = 0x000420c26fc8c489UL;
   tf->codes[3151] = 0x000420c409b1ececUL;
   tf->codes[3152] = 0x000420c5de2a1b14UL;
   tf->codes[3153] = 0x000420c7ed314f01UL;
   tf->codes[3154] = 0x000420c94c8b719fUL;
   tf->codes[3155] = 0x000420cfeebf18f0UL;
   tf->codes[3156] = 0x000420d3229169b6UL;
   tf->codes[3157] = 0x000420d690f2c041UL;
   tf->codes[3158] = 0x000420d70610cbcbUL;
   tf->codes[3159] = 0x000420d7f04ce2dfUL;
   tf->codes[3160] = 0x000420d98a360b42UL;
   tf->codes[3161] = 0x000420dc0e5b4ab9UL;
   tf->codes[3162] = 0x000420df422d9b7fUL;
   tf->codes[3163] = 0x000420e39acb091eUL;
   tf->codes[3164] = 0x000420e44a781a6dUL;
   tf->codes[3165] = 0x000420e5e46142d0UL;
   tf->codes[3166] = 0x000420eb273ac783UL;
   tf->codes[3167] = 0x000420ec1176de97UL;
   tf->codes[3168] = 0x000420ee959c1e0eUL;
   tf->codes[3169] = 0x000420f203fd7499UL;
   tf->codes[3170] = 0x000420f2b3aa85e8UL;
   tf->codes[3171] = 0x000420f2ee398badUL;
   tf->codes[3172] = 0x000420f39de69cfcUL;
   tf->codes[3173] = 0x000420f3d875a2c1UL;
   tf->codes[3174] = 0x000420f5725ecb24UL;
   tf->codes[3175] = 0x000420fa401a444dUL;
   tf->codes[3176] = 0x000420fd395d8f4eUL;
   tf->codes[3177] = 0x0004210191fafcedUL;
   tf->codes[3178] = 0x00042108e3dbb58dUL;
   tf->codes[3179] = 0x000421091e6abb52UL;
   tf->codes[3180] = 0x000421099388c6dcUL;
   tf->codes[3181] = 0x0004210bdd1f008eUL;
   tf->codes[3182] = 0x0004210d770828f1UL;
   tf->codes[3183] = 0x0004210dec26347bUL;
   tf->codes[3184] = 0x0004211035bc6e2dUL;
   tf->codes[3185] = 0x00042113698ebef3UL;
   tf->codes[3186] = 0x00042117879d26cdUL;
   tf->codes[3187] = 0x00042118ac6843a6UL;
   tf->codes[3188] = 0x0004211af5fe7d58UL;
   tf->codes[3189] = 0x0004211f892af0bcUL;
   tf->codes[3190] = 0x0004211ffe48fc46UL;
   tf->codes[3191] = 0x000421236caa52d1UL;
   tf->codes[3192] = 0x00042128ea12dd49UL;
   tf->codes[3193] = 0x0004212a83fc05acUL;
   tf->codes[3194] = 0x0004212ba8c72285UL;
   tf->codes[3195] = 0x0004212edc99734bUL;
   tf->codes[3196] = 0x0004213076829baeUL;
   tf->codes[3197] = 0x00042130b111a173UL;
   tf->codes[3198] = 0x00042133aa54ec74UL;
   tf->codes[3199] = 0x0004213509af0f12UL;
   tf->codes[3200] = 0x0004213afc35a514UL;
   tf->codes[3201] = 0x0004213c961ecd77UL;
   tf->codes[3202] = 0x0004213d805ae48bUL;
   tf->codes[3203] = 0x0004213f1a440ceeUL;
   tf->codes[3204] = 0x0004213fc9f11e3dUL;
   tf->codes[3205] = 0x00042144228e8bdcUL;
   tf->codes[3206] = 0x000421450ccaa2f0UL;
   tf->codes[3207] = 0x000421466c24c58eUL;
   tf->codes[3208] = 0x000421475660dca2UL;
   tf->codes[3209] = 0x00042148060dedf1UL;
   tf->codes[3210] = 0x0004214d0e586cdfUL;
   tf->codes[3211] = 0x0004214ee2d09b07UL;
   tf->codes[3212] = 0x0004214f927dac56UL;
   tf->codes[3213] = 0x000421550fe636ceUL;
   tf->codes[3214] = 0x0004215634b153a7UL;
   tf->codes[3215] = 0x0004215c61c6ef6eUL;
   tf->codes[3216] = 0x0004215c9c55f533UL;
   tf->codes[3217] = 0x0004215cd6e4faf8UL;
   tf->codes[3218] = 0x000421628edc8b35UL;
   tf->codes[3219] = 0x00042163ee36add3UL;
   tf->codes[3220] = 0x00042164d872c4e7UL;
   tf->codes[3221] = 0x00042165fd3de1c0UL;
   tf->codes[3222] = 0x00042166725bed4aUL;
   tf->codes[3223] = 0x00042166aceaf30fUL;
   tf->codes[3224] = 0x000421680c4515adUL;
   tf->codes[3225] = 0x0004216931103286UL;
   tf->codes[3226] = 0x000421696b9f384bUL;
   tf->codes[3227] = 0x0004216b40176673UL;
   tf->codes[3228] = 0x000421700dd2df9cUL;
   tf->codes[3229] = 0x00042173f15241b1UL;
   tf->codes[3230] = 0x00042174db8e58c5UL;
   tf->codes[3231] = 0x0004217550ac644fUL;
   tf->codes[3232] = 0x0004217ca28d1cefUL;
   tf->codes[3233] = 0x0004217d523a2e3eUL;
   tf->codes[3234] = 0x0004217eec2356a1UL;
   tf->codes[3235] = 0x000421830a31be7bUL;
   tf->codes[3236] = 0x00042184dea9eca3UL;
   tf->codes[3237] = 0x000421858e56fdf2UL;
   tf->codes[3238] = 0x00042185c8e603b7UL;
   tf->codes[3239] = 0x0004218678931506UL;
   tf->codes[3240] = 0x00042188fcb8547dUL;
   tf->codes[3241] = 0x0004218937475a42UL;
   tf->codes[3242] = 0x0004218ad13082a5UL;
   tf->codes[3243] = 0x0004218b80dd93f4UL;
   tf->codes[3244] = 0x0004218ce037b692UL;
   tf->codes[3245] = 0x000421904e990d1dUL;
   tf->codes[3246] = 0x00042195cc019795UL;
   tf->codes[3247] = 0x00042197a079c5bdUL;
   tf->codes[3248] = 0x000421981597d147UL;
   tf->codes[3249] = 0x0004219a5f2e0af9UL;
   tf->codes[3250] = 0x0004219d93005bbfUL;
   tf->codes[3251] = 0x0004219e42ad6d0eUL;
   tf->codes[3252] = 0x000421a29b4adaadUL;
   tf->codes[3253] = 0x000421a559ff1fe9UL;
   tf->codes[3254] = 0x000421aa9cd8a49cUL;
   tf->codes[3255] = 0x000421add0aaf562UL;
   tf->codes[3256] = 0x000421ae45c900ecUL;
   tf->codes[3257] = 0x000421b597a9b98cUL;
   tf->codes[3258] = 0x000421bb4fa149c9UL;
   tf->codes[3259] = 0x000421bcaefb6c67UL;
   tf->codes[3260] = 0x000421bf6dafb1a3UL;
   tf->codes[3261] = 0x000421bfa83eb768UL;
   tf->codes[3262] = 0x000421c3512f13b8UL;
   tf->codes[3263] = 0x000421c400dc2507UL;
   tf->codes[3264] = 0x000421c475fa3091UL;
   tf->codes[3265] = 0x000421c4eb183c1bUL;
   tf->codes[3266] = 0x000421c97e44af7fUL;
   tf->codes[3267] = 0x000421caa30fcc58UL;
   tf->codes[3268] = 0x000421cd61c41194UL;
   tf->codes[3269] = 0x000421cf363c3fbcUL;
   tf->codes[3270] = 0x000421d2a49d9647UL;
   tf->codes[3271] = 0x000421d5d86fe70dUL;
   tf->codes[3272] = 0x000421d8d1b3320eUL;
   tf->codes[3273] = 0x000421dae0ba65fbUL;
   tf->codes[3274] = 0x000421db1b496bc0UL;
   tf->codes[3275] = 0x000421dc7aa38e5eUL;
   tf->codes[3276] = 0x000421dcb5329423UL;
   tf->codes[3277] = 0x000421de4f1bbc86UL;
   tf->codes[3278] = 0x000421e098b1f638UL;
   tf->codes[3279] = 0x000421e4b6c05e12UL;
   tf->codes[3280] = 0x000421e77574a34eUL;
   tf->codes[3281] = 0x000421eb58f40563UL;
   tf->codes[3282] = 0x000421eda28a3f15UL;
   tf->codes[3283] = 0x000421ee52375064UL;
   tf->codes[3284] = 0x000421eec7555beeUL;
   tf->codes[3285] = 0x000421f235b6b279UL;
   tf->codes[3286] = 0x000421f39510d517UL;
   tf->codes[3287] = 0x000421f653c51a53UL;
   tf->codes[3288] = 0x000421f68e542018UL;
   tf->codes[3289] = 0x000421f6c8e325ddUL;
   tf->codes[3290] = 0x000421f7b31f3cf1UL;
   tf->codes[3291] = 0x000421f8d7ea59caUL;
   tf->codes[3292] = 0x000421f987976b19UL;
   tf->codes[3293] = 0x000421fb5c0f9941UL;
   tf->codes[3294] = 0x000421fcf5f8c1a4UL;
   tf->codes[3295] = 0x000421fda5a5d2f3UL;
   tf->codes[3296] = 0x000421ff7a1e011bUL;
   tf->codes[3297] = 0x0004220238d24657UL;
   tf->codes[3298] = 0x00042207f0c9d694UL;
   tf->codes[3299] = 0x000422095023f932UL;
   tf->codes[3300] = 0x0004220b5f2b2d1fUL;
   tf->codes[3301] = 0x0004220b99ba32e4UL;
   tf->codes[3302] = 0x0004220cbe854fbdUL;
   tf->codes[3303] = 0x0004220f081b896fUL;
   tf->codes[3304] = 0x0004220f42aa8f34UL;
   tf->codes[3305] = 0x000422132629f149UL;
   tf->codes[3306] = 0x00042217b95664adUL;
   tf->codes[3307] = 0x000422182e747037UL;
   tf->codes[3308] = 0x00042218a3927bc1UL;
   tf->codes[3309] = 0x0004221918b0874bUL;
   tf->codes[3310] = 0x0004221e20fb0639UL;
   tf->codes[3311] = 0x0004222d746988c8UL;
   tf->codes[3312] = 0x00042238a9c9a37dUL;
   tf->codes[3313] = 0x0004224070c867a7UL;
   tf->codes[3314] = 0x0004224195938480UL;
   tf->codes[3315] = 0x000422427fcf9b94UL;
   tf->codes[3316] = 0x00042242ba5ea159UL;
   tf->codes[3317] = 0x00042245b3a1ec5aUL;
   tf->codes[3318] = 0x00042248e7743d20UL;
   tf->codes[3319] = 0x0004224fc436ea36UL;
   tf->codes[3320] = 0x00042253a7b64c4bUL;
   tf->codes[3321] = 0x00042255419f74aeUL;
   tf->codes[3322] = 0x00042255b6bd8038UL;
   tf->codes[3323] = 0x00042256db889d11UL;
   tf->codes[3324] = 0x000422580053b9eaUL;
   tf->codes[3325] = 0x0004225c1e6221c4UL;
   tf->codes[3326] = 0x00042266dea430efUL;
   tf->codes[3327] = 0x0004226962c97066UL;
   tf->codes[3328] = 0x0004226ac2239304UL;
   tf->codes[3329] = 0x0004226afcb298c9UL;
   tf->codes[3330] = 0x0004227004fd17b7UL;
   tf->codes[3331] = 0x0004227498298b1bUL;
   tf->codes[3332] = 0x0004227547d69c6aUL;
   tf->codes[3333] = 0x00042275bcf4a7f4UL;
   tf->codes[3334] = 0x00042275f783adb9UL;
   tf->codes[3335] = 0x00042276e1bfc4cdUL;
   tf->codes[3336] = 0x000422784119e76bUL;
   tf->codes[3337] = 0x0004227965e50444UL;
   tf->codes[3338] = 0x0004227b74ec3831UL;
   tf->codes[3339] = 0x0004227dbe8271e3UL;
   tf->codes[3340] = 0x0004227e6e2f8332UL;
   tf->codes[3341] = 0x000422854af23048UL;
   tf->codes[3342] = 0x00042285fa9f4197UL;
   tf->codes[3343] = 0x000422871f6a5e70UL;
   tf->codes[3344] = 0x00042287948869faUL;
   tf->codes[3345] = 0x0004228a8dcbb4fbUL;
   tf->codes[3346] = 0x0004228c27b4dd5eUL;
   tf->codes[3347] = 0x0004228c6243e323UL;
   tf->codes[3348] = 0x0004228eabda1cd5UL;
   tf->codes[3349] = 0x0004228ee669229aUL;
   tf->codes[3350] = 0x0004228f20f8285fUL;
   tf->codes[3351] = 0x00042290f5705687UL;
   tf->codes[3352] = 0x000422954e0dc426UL;
   tf->codes[3353] = 0x00042298bc6f1ab1UL;
   tf->codes[3354] = 0x0004229c9fee7cc6UL;
   tf->codes[3355] = 0x000422a5c647638eUL;
   tf->codes[3356] = 0x000422a6b0837aa2UL;
   tf->codes[3357] = 0x000422a8fa19b454UL;
   tf->codes[3358] = 0x000422ae02643342UL;
   tf->codes[3359] = 0x000422ae77823eccUL;
   tf->codes[3360] = 0x000422af61be55e0UL;
   tf->codes[3361] = 0x000422b30aaeb230UL;
   tf->codes[3362] = 0x000422b37fccbdbaUL;
   tf->codes[3363] = 0x000422b3ba5bc37fUL;
   tf->codes[3364] = 0x000422ba971e7095UL;
   tf->codes[3365] = 0x000422bf9f68ef83UL;
   tf->codes[3366] = 0x000422bfd9f7f548UL;
   tf->codes[3367] = 0x000422c382e85198UL;
   tf->codes[3368] = 0x000422c90050dc10UL;
   tf->codes[3369] = 0x000422cfa2848361UL;
   tf->codes[3370] = 0x000422d4aacf024fUL;
   tf->codes[3371] = 0x000422d51fed0dd9UL;
   tf->codes[3372] = 0x000422d72ef441c6UL;
   tf->codes[3373] = 0x000422d9036c6feeUL;
   tf->codes[3374] = 0x000422da28378cc7UL;
   tf->codes[3375] = 0x000422da62c6928cUL;
   tf->codes[3376] = 0x000422da9d559851UL;
   tf->codes[3377] = 0x000422dcac5ccc3eUL;
   tf->codes[3378] = 0x000422de4645f4a1UL;
   tf->codes[3379] = 0x000422dfa5a0173fUL;
   tf->codes[3380] = 0x000422e76c9edb69UL;
   tf->codes[3381] = 0x000422e9068803ccUL;
   tf->codes[3382] = 0x000422ec3a5a5492UL;
   tf->codes[3383] = 0x000422eebe7f9409UL;
   tf->codes[3384] = 0x000422f38c3b0d32UL;
   tf->codes[3385] = 0x000422f4eb952fd0UL;
   tf->codes[3386] = 0x000422f610604ca9UL;
   tf->codes[3387] = 0x00042302a51a89fcUL;
   tf->codes[3388] = 0x000423059e5dd4fdUL;
   tf->codes[3389] = 0x00042305d8ecdac2UL;
   tf->codes[3390] = 0x000423064e0ae64cUL;
   tf->codes[3391] = 0x00042306fdb7f79bUL;
   tf->codes[3392] = 0x0004230dda7aa4b1UL;
   tf->codes[3393] = 0x0004230e4f98b03bUL;
   tf->codes[3394] = 0x000423102410de63UL;
   tf->codes[3395] = 0x0004231616977465UL;
   tf->codes[3396] = 0x00042317b0809cc8UL;
   tf->codes[3397] = 0x000423189abcb3dcUL;
   tf->codes[3398] = 0x00042318d54bb9a1UL;
   tf->codes[3399] = 0x0004231ae452ed8eUL;
   tf->codes[3400] = 0x00042323d01cce91UL;
   tf->codes[3401] = 0x00042324f4e7eb6aUL;
   tf->codes[3402] = 0x00042326c9601992UL;
   tf->codes[3403] = 0x0004232a725075e2UL;
   tf->codes[3404] = 0x0004232b971b92bbUL;
   tf->codes[3405] = 0x0004232d6b93c0e3UL;
   tf->codes[3406] = 0x0004232e55cfd7f7UL;
   tf->codes[3407] = 0x0004232ecaede381UL;
   tf->codes[3408] = 0x0004232fb529fa95UL;
   tf->codes[3409] = 0x000423353292850dUL;
   tf->codes[3410] = 0x00042335e23f965cUL;
   tf->codes[3411] = 0x00042336575da1e6UL;
   tf->codes[3412] = 0x0004233691eca7abUL;
   tf->codes[3413] = 0x000423418cbdbc9bUL;
   tf->codes[3414] = 0x00042344fb1f1326UL;
   tf->codes[3415] = 0x000423461fea2fffUL;
   tf->codes[3416] = 0x0004234953bc80c5UL;
   tf->codes[3417] = 0x000423511abb44efUL;
   tf->codes[3418] = 0x00042351554a4ab4UL;
   tf->codes[3419] = 0x000423527a15678dUL;
   tf->codes[3420] = 0x0004235329c278dcUL;
   tf->codes[3421] = 0x000423539ee08466UL;
   tf->codes[3422] = 0x000423565d94c9a2UL;
   tf->codes[3423] = 0x00042358a72b0354UL;
   tf->codes[3424] = 0x0004235d3a5776b8UL;
   tf->codes[3425] = 0x0004235daf758242UL;
   tf->codes[3426] = 0x00042362f24f06f5UL;
   tf->codes[3427] = 0x000423691f64a2bcUL;
   tf->codes[3428] = 0x0004236b68fadc6eUL;
   tf->codes[3429] = 0x0004236cc854ff0cUL;
   tf->codes[3430] = 0x000423748f53c336UL;
   tf->codes[3431] = 0x00042377137902adUL;
   tf->codes[3432] = 0x0004237a81da5938UL;
   tf->codes[3433] = 0x0004237ba6a57611UL;
   tf->codes[3434] = 0x0004237be1347bd6UL;
   tf->codes[3435] = 0x0004237c1bc3819bUL;
   tf->codes[3436] = 0x0004237e6559bb4dUL;
   tf->codes[3437] = 0x00042382bdf728ecUL;
   tf->codes[3438] = 0x00042385b73a73edUL;
   tf->codes[3439] = 0x0004238666e7853cUL;
   tf->codes[3440] = 0x00042388b07dbeeeUL;
   tf->codes[3441] = 0x0004238edd935ab5UL;
   tf->codes[3442] = 0x0004238f52b1663fUL;
   tf->codes[3443] = 0x0004238fc7cf71c9UL;
   tf->codes[3444] = 0x00042394d019f0b7UL;
   tf->codes[3445] = 0x0004239719b02a69UL;
   tf->codes[3446] = 0x000423983e7b4742UL;
   tf->codes[3447] = 0x000423996346641bUL;
   tf->codes[3448] = 0x0004239d0c36c06bUL;
   tf->codes[3449] = 0x000423a3ae6a67bcUL;
   tf->codes[3450] = 0x000423a71ccbbe47UL;
   tf->codes[3451] = 0x000423a9db800383UL;
   tf->codes[3452] = 0x000423abaff831abUL;
   tf->codes[3453] = 0x000423ad84705fd3UL;
   tf->codes[3454] = 0x000423b0b842b099UL;
   tf->codes[3455] = 0x000423b376f6f5d5UL;
   tf->codes[3456] = 0x000423b585fe29c2UL;
   tf->codes[3457] = 0x000423b7cf946374UL;
   tf->codes[3458] = 0x000423b9a40c919cUL;
   tf->codes[3459] = 0x000423bac8d7ae75UL;
   tf->codes[3460] = 0x000423bb7884bfc4UL;
   tf->codes[3461] = 0x000423bd4cfcedecUL;
   tf->codes[3462] = 0x000423bdfca9ff3bUL;
   tf->codes[3463] = 0x000423c28fd6729fUL;
   tf->codes[3464] = 0x000423c3b4a18f78UL;
   tf->codes[3465] = 0x000423c4d96cac51UL;
   tf->codes[3466] = 0x000423c513fbb216UL;
   tf->codes[3467] = 0x000423c6ade4da79UL;
   tf->codes[3468] = 0x000423cc65dc6ab6UL;
   tf->codes[3469] = 0x000423cd15897c05UL;
   tf->codes[3470] = 0x000423d13397e3dfUL;
   tf->codes[3471] = 0x000423d2cd810c42UL;
   tf->codes[3472] = 0x000423e38049b16fUL;
   tf->codes[3473] = 0x000423eb0cb96fd4UL;
   tf->codes[3474] = 0x000423ec31848cadUL;
   tf->codes[3475] = 0x000423ece1319dfcUL;
   tf->codes[3476] = 0x000423f25e9a2874UL;
   tf->codes[3477] = 0x000423f38365454dUL;
   tf->codes[3478] = 0x000423f3bdf44b12UL;
   tf->codes[3479] = 0x000423f7a173ad27UL;
   tf->codes[3480] = 0x000423f81691b8b1UL;
   tf->codes[3481] = 0x000423fd1edc379fUL;
   tf->codes[3482] = 0x000423fe09184eb3UL;
   tf->codes[3483] = 0x000424017779a53eUL;
   tf->codes[3484] = 0x0004240903e963a3UL;
   tf->codes[3485] = 0x000424093e786968UL;
   tf->codes[3486] = 0x00042409b39674f2UL;
   tf->codes[3487] = 0x0004240a28b4807cUL;
   tf->codes[3488] = 0x0004240b4d7f9d55UL;
   tf->codes[3489] = 0x0004240cacd9bff3UL;
   tf->codes[3490] = 0x0004240fe0ac10b9UL;
   tf->codes[3491] = 0x00042413c42b72ceUL;
   tf->codes[3492] = 0x00042414ae6789e2UL;
   tf->codes[3493] = 0x000424160dc1ac80UL;
   tf->codes[3494] = 0x00042416f7fdc394UL;
   tf->codes[3495] = 0x00042417328cc959UL;
   tf->codes[3496] = 0x00042417e239daa8UL;
   tf->codes[3497] = 0x000424185757e632UL;
   tf->codes[3498] = 0x0004241a665f1a1fUL;
   tf->codes[3499] = 0x0004241c75664e0cUL;
   tf->codes[3500] = 0x0004241dd4c070aaUL;
   tf->codes[3501] = 0x000424238cb800e7UL;
   tf->codes[3502] = 0x00042427703762fcUL;
   tf->codes[3503] = 0x0004242b53b6c511UL;
   tf->codes[3504] = 0x0004242b8e45cad6UL;
   tf->codes[3505] = 0x0004242fac5432b0UL;
   tf->codes[3506] = 0x0004243021723e3aUL;
   tf->codes[3507] = 0x00042432e0268376UL;
   tf->codes[3508] = 0x0004243b1c43532aUL;
   tf->codes[3509] = 0x0004243c7b9d75c8UL;
   tf->codes[3510] = 0x0004243cb62c7b8dUL;
   tf->codes[3511] = 0x00042440d43ae367UL;
   tf->codes[3512] = 0x00042441be76fa7bUL;
   tf->codes[3513] = 0x0004244651a36ddfUL;
   tf->codes[3514] = 0x00042448d5c8ad56UL;
   tf->codes[3515] = 0x000424509cc77180UL;
   tf->codes[3516] = 0x000424568f4e0782UL;
   tf->codes[3517] = 0x0004245988915283UL;
   tf->codes[3518] = 0x0004245ae7eb7521UL;
   tf->codes[3519] = 0x0004245c81d49d84UL;
   tf->codes[3520] = 0x0004245d6c10b498UL;
   tf->codes[3521] = 0x0004245e1bbdc5e7UL;
   tf->codes[3522] = 0x00042463d3b55624UL;
   tf->codes[3523] = 0x00042464bdf16d38UL;
   tf->codes[3524] = 0x00042469511de09cUL;
   tf->codes[3525] = 0x000424698bace661UL;
   tf->codes[3526] = 0x0004246a3b59f7b0UL;
   tf->codes[3527] = 0x0004246b25960ec4UL;
   tf->codes[3528] = 0x0004246ece866b14UL;
   tf->codes[3529] = 0x00042471c7c9b615UL;
   tf->codes[3530] = 0x00042472ec94d2eeUL;
   tf->codes[3531] = 0x000424732723d8b3UL;
   tf->codes[3532] = 0x000424777fc14652UL;
   tf->codes[3533] = 0x0004247869fd5d66UL;
   tf->codes[3534] = 0x000424795439747aUL;
   tf->codes[3535] = 0x0004247f814f1041UL;
   tf->codes[3536] = 0x000424832a3f6c91UL;
   tf->codes[3537] = 0x00042483d9ec7de0UL;
   tf->codes[3538] = 0x000424865e11bd57UL;
   tf->codes[3539] = 0x0004248a41911f6cUL;
   tf->codes[3540] = 0x0004248cc5b65ee3UL;
   tf->codes[3541] = 0x000424911e53cc82UL;
   tf->codes[3542] = 0x0004249710da6284UL;
   tf->codes[3543] = 0x0004249ba406d5e8UL;
   tf->codes[3544] = 0x0004249d0360f886UL;
   tf->codes[3545] = 0x0004249ded9d0f9aUL;
   tf->codes[3546] = 0x0004249ed7d926aeUL;
   tf->codes[3547] = 0x000424a33076944dUL;
   tf->codes[3548] = 0x000424aa82574cedUL;
   tf->codes[3549] = 0x000424ab32045e3cUL;
   tf->codes[3550] = 0x000424ac1c407550UL;
   tf->codes[3551] = 0x000424accbed869fUL;
   tf->codes[3552] = 0x000424ad067c8c64UL;
   tf->codes[3553] = 0x000424ae65d6af02UL;
   tf->codes[3554] = 0x000424aedaf4ba8cUL;
   tf->codes[3555] = 0x000424b3e33f397aUL;
   tf->codes[3556] = 0x000424b41dce3f3fUL;
   tf->codes[3557] = 0x000424b751a09005UL;
   tf->codes[3558] = 0x000424b7c6be9b8fUL;
   tf->codes[3559] = 0x000424b83bdca719UL;
   tf->codes[3560] = 0x000424b8eb89b868UL;
   tf->codes[3561] = 0x000424bb351ff21aUL;
   tf->codes[3562] = 0x000424bbe4cd0369UL;
   tf->codes[3563] = 0x000424be68f242e0UL;
   tf->codes[3564] = 0x000424c1d753996bUL;
   tf->codes[3565] = 0x000424c211e29f30UL;
   tf->codes[3566] = 0x000424c420e9d31dUL;
   tf->codes[3567] = 0x000424c5f5620145UL;
   tf->codes[3568] = 0x000424c7c9da2f6dUL;
   tf->codes[3569] = 0x000424ca4dff6ee4UL;
   tf->codes[3570] = 0x000424ca888e74a9UL;
   tf->codes[3571] = 0x000424cbe7e89747UL;
   tf->codes[3572] = 0x000424cea69cdc83UL;
   tf->codes[3573] = 0x000424d0f0331635UL;
   tf->codes[3574] = 0x000424d12ac21bfaUL;
   tf->codes[3575] = 0x000424d19fe02784UL;
   tf->codes[3576] = 0x000424d3745855acUL;
   tf->codes[3577] = 0x000424d5835f8999UL;
   tf->codes[3578] = 0x000424d66d9ba0adUL;
   tf->codes[3579] = 0x000424da8baa0887UL;
   tf->codes[3580] = 0x000424db75e61f9bUL;
   tf->codes[3581] = 0x000424dbb0752560UL;
   tf->codes[3582] = 0x000424e1686cb59dUL;
   tf->codes[3583] = 0x000424e42720fad9UL;
   tf->codes[3584] = 0x000424e6ab463a50UL;
   tf->codes[3585] = 0x000424e6e5d54015UL;
   tf->codes[3586] = 0x000424e92f6b79c7UL;
   tf->codes[3587] = 0x000424f0f66a3df1UL;
   tf->codes[3588] = 0x000424f42a3c8eb7UL;
   tf->codes[3589] = 0x000424f932870da5UL;
   tf->codes[3590] = 0x000424f96d16136aUL;
   tf->codes[3591] = 0x000424fca0e86430UL;
   tf->codes[3592] = 0x000424fcdb7769f5UL;
   tf->codes[3593] = 0x000424fd16066fbaUL;
   tf->codes[3594] = 0x000424fdc5b38109UL;
   tf->codes[3595] = 0x000425008467c645UL;
   tf->codes[3596] = 0x00042502936efa32UL;
   tf->codes[3597] = 0x00042506ec0c67d1UL;
   tf->codes[3598] = 0x0004250810d784aaUL;
   tf->codes[3599] = 0x0004250a1fdeb897UL;
   tf->codes[3600] = 0x0004250b44a9d570UL;
   tf->codes[3601] = 0x0004250b7f38db35UL;
   tf->codes[3602] = 0x0004250d8e400f22UL;
   tf->codes[3603] = 0x000425104cf4545eUL;
   tf->codes[3604] = 0x00042512968a8e10UL;
   tf->codes[3605] = 0x0004251380c6a524UL;
   tf->codes[3606] = 0x00042513bb55aae9UL;
   tf->codes[3607] = 0x0004251764460739UL;
   tf->codes[3608] = 0x0004251a981857ffUL;
   tf->codes[3609] = 0x0004251f65d3d128UL;
   tf->codes[3610] = 0x0004252642967e3eUL;
   tf->codes[3611] = 0x00042527a1f0a0dcUL;
   tf->codes[3612] = 0x0004252bfa8e0e7bUL;
   tf->codes[3613] = 0x0004252d947736deUL;
   tf->codes[3614] = 0x00042534abc8e9b9UL;
   tf->codes[3615] = 0x00042537df9b3a7fUL;
   tf->codes[3616] = 0x000425381a2a4044UL;
   tf->codes[3617] = 0x00042539eea26e6cUL;
   tf->codes[3618] = 0x0004253bc31a9c94UL;
   tf->codes[3619] = 0x00042544aee47d97UL;
   tf->codes[3620] = 0x000425505962a3d6UL;
   tf->codes[3621] = 0x000425526869d7c3UL;
   tf->codes[3622] = 0x000425543ce205ebUL;
   tf->codes[3623] = 0x000425564be939d8UL;
   tf->codes[3624] = 0x0004255b8ec2be8bUL;
   tf->codes[3625] = 0x0004255ec2950f51UL;
   tf->codes[3626] = 0x000425631b327cf0UL;
   tf->codes[3627] = 0x0004256773cfea8fUL;
   tf->codes[3628] = 0x00042569484818b7UL;
   tf->codes[3629] = 0x0004256e8b219d6aUL;
   tf->codes[3630] = 0x00042572a9300544UL;
   tf->codes[3631] = 0x0004257910d4a6d0UL;
   tf->codes[3632] = 0x0004257c44a6f796UL;
   tf->codes[3633] = 0x00042589fe2c51c2UL;
   tf->codes[3634] = 0x00042592e9f632c5UL;
   tf->codes[3635] = 0x00042595a8aa7801UL;
   tf->codes[3636] = 0x0004259b9b310e03UL;
   tf->codes[3637] = 0x0004259fb93f75ddUL;
   tf->codes[3638] = 0x000425a1c846a9caUL;
   tf->codes[3639] = 0x000425ac4df9b330UL;
   tf->codes[3640] = 0x000425adad53d5ceUL;
   tf->codes[3641] = 0x000425afbc5b09bbUL;
   tf->codes[3642] = 0x000425aff6ea0f80UL;
   tf->codes[3643] = 0x000425b623ffab47UL;
   tf->codes[3644] = 0x000425b7bde8d3aaUL;
   tf->codes[3645] = 0x000425b86d95e4f9UL;
   tf->codes[3646] = 0x000425b8a824eabeUL;
   tf->codes[3647] = 0x000425b957d1fc0dUL;
   tf->codes[3648] = 0x000425bcc6335298UL;
   tf->codes[3649] = 0x000425c06f23aee8UL;
   tf->codes[3650] = 0x000425c11ed0c037UL;
   tf->codes[3651] = 0x000425c193eecbc1UL;
   tf->codes[3652] = 0x000425c6d6c85074UL;
   tf->codes[3653] = 0x000425c8ab407e9cUL;
   tf->codes[3654] = 0x000425cb69f4c3d8UL;
   tf->codes[3655] = 0x000425cdb38afd8aUL;
   tf->codes[3656] = 0x000425ce9dc7149eUL;
   tf->codes[3657] = 0x000425d037b03d01UL;
   tf->codes[3658] = 0x000425d2f664823dUL;
   tf->codes[3659] = 0x000425d5056bb62aUL;
   tf->codes[3660] = 0x000425d5b518c779UL;
   tf->codes[3661] = 0x000425d664c5d8c8UL;
   tf->codes[3662] = 0x000425d7c41ffb66UL;
   tf->codes[3663] = 0x000425da82d440a2UL;
   tf->codes[3664] = 0x000425dabd634667UL;
   tf->codes[3665] = 0x000425e493693e7eUL;
   tf->codes[3666] = 0x000425e543164fcdUL;
   tf->codes[3667] = 0x000425e5b8345b57UL;
   tf->codes[3668] = 0x000425e801ca9509UL;
   tf->codes[3669] = 0x000425eb359ce5cfUL;
   tf->codes[3670] = 0x000425ec1fd8fce3UL;
   tf->codes[3671] = 0x000425ef8e3a536eUL;
   tf->codes[3672] = 0x000425f3ac48bb48UL;
   tf->codes[3673] = 0x000425f964404b85UL;
   tf->codes[3674] = 0x000425fc22f490c1UL;
   tf->codes[3675] = 0x000425fd0d30a7d5UL;
   tf->codes[3676] = 0x000425fdbcddb924UL;
   tf->codes[3677] = 0x00042603e9f354ebUL;
   tf->codes[3678] = 0x00042605494d7789UL;
   tf->codes[3679] = 0x00042606a8a79a27UL;
   tf->codes[3680] = 0x00042614d74affddUL;
   tf->codes[3681] = 0x0004261b04609ba4UL;
   tf->codes[3682] = 0x0004261cd8d8c9ccUL;
   tf->codes[3683] = 0x000426258a13a50aUL;
   tf->codes[3684] = 0x00042627991ad8f7UL;
   tf->codes[3685] = 0x00042638867283e9UL;
   tf->codes[3686] = 0x0004263ad008bd9bUL;
   tf->codes[3687] = 0x0004264814700c3dUL;
   tf->codes[3688] = 0x00042648feac2351UL;
   tf->codes[3689] = 0x00042650508cdbf1UL;
   tf->codes[3690] = 0x000426530f41212dUL;
   tf->codes[3691] = 0x00042663877ac095UL;
   tf->codes[3692] = 0x00042667306b1ce5UL;
   tf->codes[3693] = 0x0004266dd29ec436UL;
   tf->codes[3694] = 0x0004267bc6b32427UL;
   tf->codes[3695] = 0x0004267d9b2b524fUL;
   tf->codes[3696] = 0x0004267faa32863cUL;
   tf->codes[3697] = 0x00042681b939ba29UL;
   tf->codes[3698] = 0x00042682a375d13dUL;
   tf->codes[3699] = 0x00042684b27d052aUL;
   tf->codes[3700] = 0x000426859cb91c3eUL;
   tf->codes[3701] = 0x0004268820de5bb5UL;
   tf->codes[3702] = 0x0004268f72bf1455UL;
   tf->codes[3703] = 0x00042690978a312eUL;
   tf->codes[3704] = 0x00042694407a8d7eUL;
   tf->codes[3705] = 0x0004269b1d3d3a94UL;
   tf->codes[3706] = 0x0004269cf1b568bcUL;
   tf->codes[3707] = 0x000426a6180e4f84UL;
   tf->codes[3708] = 0x000426b446b1b53aUL;
   tf->codes[3709] = 0x000426b61b29e362UL;
   tf->codes[3710] = 0x000426ba39384b3cUL;
   tf->codes[3711] = 0x000426bc483f7f29UL;
   tf->codes[3712] = 0x000426bc82ce84eeUL;
   tf->codes[3713] = 0x000426bda799a1c7UL;
   tf->codes[3714] = 0x000426be1cb7ad51UL;
   tf->codes[3715] = 0x000426c0a0dcecc8UL;
   tf->codes[3716] = 0x000426c3d4af3d8eUL;
   tf->codes[3717] = 0x000426c82d4cab2dUL;
   tf->codes[3718] = 0x000426ca76e2e4dfUL;
   tf->codes[3719] = 0x000426cb268ff62eUL;
   tf->codes[3720] = 0x000426d02eda751cUL;
   tf->codes[3721] = 0x000426d18e3497baUL;
   tf->codes[3722] = 0x000426d65bf010e3UL;
   tf->codes[3723] = 0x000426d7f5d93946UL;
   tf->codes[3724] = 0x000426d91aa4561fUL;
   tf->codes[3725] = 0x000426dcc394b26fUL;
   tf->codes[3726] = 0x000426e65f0ba4c1UL;
   tf->codes[3727] = 0x000426f8369f66c7UL;
   tf->codes[3728] = 0x000426f8e64c7816UL;
   tf->codes[3729] = 0x000426fbdf8fc317UL;
   tf->codes[3730] = 0x000426fd3ee9e5b5UL;
   tf->codes[3731] = 0x00042704563b9890UL;
   tf->codes[3732] = 0x00042705b595bb2eUL;
   tf->codes[3733] = 0x000427103b48c494UL;
   tf->codes[3734] = 0x00042718b1f49a0dUL;
   tf->codes[3735] = 0x00042725813ddd25UL;
   tf->codes[3736] = 0x00042738f2bac78eUL;
   tf->codes[3737] = 0x0004273bb16f0ccaUL;
   tf->codes[3738] = 0x0004273e35944c41UL;
   tf->codes[3739] = 0x0004273fcf7d74a4UL;
   tf->codes[3740] = 0x000427451256f957UL;
   tf->codes[3741] = 0x00042746ac4021baUL;
   tf->codes[3742] = 0x000427480b9a4458UL;
   tf->codes[3743] = 0x0004275bb7a63486UL;
   tf->codes[3744] = 0x0004275f609690d6UL;
   tf->codes[3745] = 0x0004276ca4fddf78UL;
   tf->codes[3746] = 0x0004276e04580216UL;
   tf->codes[3747] = 0x000427729784757aUL;
   tf->codes[3748] = 0x0004277ca8197356UL;
   tf->codes[3749] = 0x0004277e077395f4UL;
   tf->codes[3750] = 0x0004278f2f5a46abUL;
   tf->codes[3751] = 0x0004279387f7b44aUL;
   tf->codes[3752] = 0x00042796813aff4bUL;
   tf->codes[3753] = 0x00042796f6590ad5UL;
   tf->codes[3754] = 0x00042797a6061c24UL;
   tf->codes[3755] = 0x0004279a2a2b5b9bUL;
   tf->codes[3756] = 0x000427ad268a3a7aUL;
   tf->codes[3757] = 0x000427b528180469UL;
   tf->codes[3758] = 0x000427b6c2012cccUL;
   tf->codes[3759] = 0x000427b90b97667eUL;
   tf->codes[3760] = 0x000427bec38ef6bbUL;
   tf->codes[3761] = 0x000427bfe85a1394UL;
   tf->codes[3762] = 0x000427ce16fd794aUL;
   tf->codes[3763] = 0x000427cfb0e6a1adUL;
   tf->codes[3764] = 0x000427db95f3cdb1UL;
   tf->codes[3765] = 0x000427e063af46daUL;
   tf->codes[3766] = 0x000427e3d2109d65UL;
   tf->codes[3767] = 0x000427e5316ac003UL;
   tf->codes[3768] = 0x000427e74071f3f0UL;
   tf->codes[3769] = 0x000427fc86670c81UL;
   tf->codes[3770] = 0x00042805e74ef90eUL;
   tf->codes[3771] = 0x0004280f0da7dfd6UL;
   tf->codes[3772] = 0x0004281191cd1f4dUL;
   tf->codes[3773] = 0x00042812b6983c26UL;
   tf->codes[3774] = 0x00042813a0d4533aUL;
   tf->codes[3775] = 0x000428178453b54fUL;
   tf->codes[3776] = 0x0004282194e8b32bUL;
   tf->codes[3777] = 0x000428248e2bfe2cUL;
   tf->codes[3778] = 0x0004282996767d1aUL;
   tf->codes[3779] = 0x00042837156cd181UL;
   tf->codes[3780] = 0x000428407654be0eUL;
   tf->codes[3781] = 0x0004286300b12541UL;
   tf->codes[3782] = 0x00042869a2e4cc92UL;
   tf->codes[3783] = 0x0004286bec7b0644UL;
   tf->codes[3784] = 0x0004286f204d570aUL;
   tf->codes[3785] = 0x000428700a896e1eUL;
   tf->codes[3786] = 0x000428721990a20bUL;
   tf->codes[3787] = 0x00042875fd100420UL;
   tf->codes[3788] = 0x0004287b055a830eUL;
   tf->codes[3789] = 0x0004288306e84cfdUL;
   tf->codes[3790] = 0x00042891701ab878UL;
   tf->codes[3791] = 0x00042892cf74db16UL;
   tf->codes[3792] = 0x00042899e6c68df1UL;
   tf->codes[3793] = 0x0004289bbb3ebc19UL;
   tf->codes[3794] = 0x0004289e3f63fb90UL;
   tf->codes[3795] = 0x0004289f29a012a4UL;
   tf->codes[3796] = 0x000428a347ae7a7eUL;
   tf->codes[3797] = 0x000428ae07f089a9UL;
   tf->codes[3798] = 0x000428b1eb6febbeUL;
   tf->codes[3799] = 0x000428bd5b5f0c38UL;
   tf->codes[3800] = 0x000428bfa4f545eaUL;
   tf->codes[3801] = 0x000428c1b3fc79d7UL;
   tf->codes[3802] = 0x000428c2291a8561UL;
   tf->codes[3803] = 0x000428c263a98b26UL;
   tf->codes[3804] = 0x000428c29e3890ebUL;
   tf->codes[3805] = 0x000428c34de5a23aUL;
   tf->codes[3806] = 0x000428d141fa022bUL;
   tf->codes[3807] = 0x000428d38b903bddUL;
   tf->codes[3808] = 0x000428e22f51ad1dUL;
   tf->codes[3809] = 0x000428e64d6014f7UL;
   tf->codes[3810] = 0x000428eb55aa93e5UL;
   tf->codes[3811] = 0x000428f357385dd4UL;
   tf->codes[3812] = 0x000428f73ab7bfe9UL;
   tf->codes[3813] = 0x000428f949bef3d6UL;
   tf->codes[3814] = 0x00042904b9ae1450UL;
   tf->codes[3815] = 0x00042908629e70a0UL;
   tf->codes[3816] = 0x0004291273336e7cUL;
   tf->codes[3817] = 0x0004291322e07fcbUL;
   tf->codes[3818] = 0x00042913d28d911aUL;
   tf->codes[3819] = 0x00042914823aa269UL;
   tf->codes[3820] = 0x00042915e194c507UL;
   tf->codes[3821] = 0x000429198a852157UL;
   tf->codes[3822] = 0x0004291da8938931UL;
   tf->codes[3823] = 0x0004291f427cb194UL;
   tf->codes[3824] = 0x00042923d5a924f8UL;
   tf->codes[3825] = 0x000429295311af70UL;
   tf->codes[3826] = 0x0004292bd736eee7UL;
   tf->codes[3827] = 0x000429453b3a6f52UL;
   tf->codes[3828] = 0x0004294ffb7c7e7dUL;
   tf->codes[3829] = 0x00042952f4bfc97eUL;
   tf->codes[3830] = 0x00042953a46cdacdUL;
   tf->codes[3831] = 0x00042955b3740ebaUL;
   tf->codes[3832] = 0x0004295a812f87e3UL;
   tf->codes[3833] = 0x0004296282bd51d2UL;
   tf->codes[3834] = 0x0004296506e29149UL;
   tf->codes[3835] = 0x0004296a844b1bc1UL;
   tf->codes[3836] = 0x0004296d08705b38UL;
   tf->codes[3837] = 0x00042975448d2aecUL;
   tf->codes[3838] = 0x00042976a3e74d8aUL;
   tf->codes[3839] = 0x0004297803417028UL;
   tf->codes[3840] = 0x000429799d2a988bUL;
   tf->codes[3841] = 0x0004297afc84bb29UL;
   tf->codes[3842] = 0x000429819eb8627aUL;
   tf->codes[3843] = 0x0004298288f4798eUL;
   tf->codes[3844] = 0x000429866c73dba3UL;
   tf->codes[3845] = 0x0004298a4ff33db8UL;
   tf->codes[3846] = 0x0004299968d2ba82UL;
   tf->codes[3847] = 0x0004299e368e33abUL;
   tf->codes[3848] = 0x0004299fd0775c0eUL;
   tf->codes[3849] = 0x000429a80c942bc2UL;
   tf->codes[3850] = 0x000429acda4fa4ebUL;
   tf->codes[3851] = 0x000429af23e5de9dUL;
   tf->codes[3852] = 0x000429b884cdcb2aUL;
   tf->codes[3853] = 0x000429bb43821066UL;
   tf->codes[3854] = 0x000429c37f9ee01aUL;
   tf->codes[3855] = 0x000429c7288f3c6aUL;
   tf->codes[3856] = 0x000429d591c1a7e5UL;
   tf->codes[3857] = 0x000429d76639d60dUL;
   tf->codes[3858] = 0x000429d9ea5f1584UL;
   tf->codes[3859] = 0x000429deb81a8eadUL;
   tf->codes[3860] = 0x000429e51fbf3039UL;
   tf->codes[3861] = 0x000429ebc1f2d78aUL;
   tf->codes[3862] = 0x000429ec719fe8d9UL;
   tf->codes[3863] = 0x000429f29eb584a0UL;
   tf->codes[3864] = 0x000429f6bcc3ec7aUL;
   tf->codes[3865] = 0x000429f9b607377bUL;
   tf->codes[3866] = 0x000429ffe31cd342UL;
   tf->codes[3867] = 0x00042a03c69c3557UL;
   tf->codes[3868] = 0x00042a04b0d84c6bUL;
   tf->codes[3869] = 0x00042a059b14637fUL;
   tf->codes[3870] = 0x00042a105b5672aaUL;
   tf->codes[3871] = 0x00042a1faec4f539UL;
   tf->codes[3872] = 0x00042a24b70f7427UL;
   tf->codes[3873] = 0x00042a2e52866679UL;
   tf->codes[3874] = 0x00042a3de083eecdUL;
   tf->codes[3875] = 0x00042a40d9c739ceUL;
   tf->codes[3876] = 0x00042a453264a76dUL;
   tf->codes[3877] = 0x00042a4691beca0bUL;
   tf->codes[3878] = 0x00042a49c5911ad1UL;
   tf->codes[3879] = 0x00042a4cbed465d2UL;
   tf->codes[3880] = 0x00042a4ff2a6b698UL;
   tf->codes[3881] = 0x00042a511771d371UL;
   tf->codes[3882] = 0x00042a54c0622fc1UL;
   tf->codes[3883] = 0x00042a55700f4110UL;
   tf->codes[3884] = 0x00042a5918ff9d60UL;
   tf->codes[3885] = 0x00042a706dfbe9deUL;
   tf->codes[3886] = 0x00042a75b0d56e91UL;
   tf->codes[3887] = 0x00042a791f36c51cUL;
   tf->codes[3888] = 0x00042a79cee3d66bUL;
   tf->codes[3889] = 0x00042a7a7e90e7baUL;
   tf->codes[3890] = 0x00042a7db2633880UL;
   tf->codes[3891] = 0x00042a8195e29a95UL;
   tf->codes[3892] = 0x00042a86639e13beUL;
   tf->codes[3893] = 0x00042a8fc486004bUL;
   tf->codes[3894] = 0x00042a8fff150610UL;
   tf->codes[3895] = 0x00042a9be4223214UL;
   tf->codes[3896] = 0x00042a9c59403d9eUL;
   tf->codes[3897] = 0x00042a9f17f482daUL;
   tf->codes[3898] = 0x00042aa7c92f5e18UL;
   tf->codes[3899] = 0x00042aac5c5bd17cUL;
   tf->codes[3900] = 0x00042aba5070316dUL;
   tf->codes[3901] = 0x00042abf9349b620UL;
   tf->codes[3902] = 0x00042ac75a487a4aUL;
   tf->codes[3903] = 0x00042ac87f139723UL;
   tf->codes[3904] = 0x00042ac92ec0a872UL;
   tf->codes[3905] = 0x00042ad7d28219b2UL;
   tf->codes[3906] = 0x00042ade74b5c103UL;
   tf->codes[3907] = 0x00042ae8102cb355UL;
   tf->codes[3908] = 0x00042aea59c2ed07UL;
   tf->codes[3909] = 0x00042aeca35926b9UL;
   tf->codes[3910] = 0x00042af6b3ee2495UL;
   tf->codes[3911] = 0x00042af972a269d1UL;
   tf->codes[3912] = 0x00042afa224f7b20UL;
   tf->codes[3913] = 0x00042afd5621cbe6UL;
   tf->codes[3914] = 0x00042afd90b0d1abUL;
   tf->codes[3915] = 0x00042afe05cedd35UL;
   tf->codes[3916] = 0x00042afe7aece8bfUL;
   tf->codes[3917] = 0x00042b0223dd450fUL;
   tf->codes[3918] = 0x00042b03bdc66d72UL;
   tf->codes[3919] = 0x00042b0850f2e0d6UL;
   tf->codes[3920] = 0x00042b0a9a891a88UL;
   tf->codes[3921] = 0x00042b113cbcc1d9UL;
   tf->codes[3922] = 0x00042b16ba254c51UL;
   tf->codes[3923] = 0x00042b1d5c58f3a2UL;
   tf->codes[3924] = 0x00042b2682b1da6aUL;
   tf->codes[3925] = 0x00042b276cedf17eUL;
   tf->codes[3926] = 0x00042b29b6842b30UL;
   tf->codes[3927] = 0x00042b2c7538706cUL;
   tf->codes[3928] = 0x00042b2dd492930aUL;
   tf->codes[3929] = 0x00042b32dcdd11f8UL;
   tf->codes[3930] = 0x00042b343c373496UL;
   tf->codes[3931] = 0x00042b3526734baaUL;
   tf->codes[3932] = 0x00042b35d6205cf9UL;
   tf->codes[3933] = 0x00042b4404c3c2afUL;
   tf->codes[3934] = 0x00042b50245ff478UL;
   tf->codes[3935] = 0x00042b54426e5c52UL;
   tf->codes[3936] = 0x00042b552caa7366UL;
   tf->codes[3937] = 0x00042b5825edbe67UL;
   tf->codes[3938] = 0x00042b5b1f310968UL;
   tf->codes[3939] = 0x00042b665491241dUL;
   tf->codes[3940] = 0x00042b6f405b0520UL;
   tf->codes[3941] = 0x00042b72399e5021UL;
   tf->codes[3942] = 0x00042b818d0cd2b0UL;
   tf->codes[3943] = 0x00042b86cfe65763UL;
   tf->codes[3944] = 0x00042b94144da605UL;
   tf->codes[3945] = 0x00042b969872e57cUL;
   tf->codes[3946] = 0x00042b98e2091f2eUL;
   tf->codes[3947] = 0x00042b99cc453642UL;
   tf->codes[3948] = 0x00042b9a7bf24791UL;
   tf->codes[3949] = 0x00042b9c15db6ff4UL;
   tf->codes[3950] = 0x00042ba6d61d7f1fUL;
   tf->codes[3951] = 0x00042ba710ac84e4UL;
   tf->codes[3952] = 0x00042bb037056bacUL;
   tf->codes[3953] = 0x00042bb20b7d99d4UL;
   tf->codes[3954] = 0x00042bb3a566c237UL;
   tf->codes[3955] = 0x00042bb74e571e87UL;
   tf->codes[3956] = 0x00042bbabcb87512UL;
   tf->codes[3957] = 0x00042bc2be463f01UL;
   tf->codes[3958] = 0x00042bcc59bd3153UL;
   tf->codes[3959] = 0x00042bcdb91753f1UL;
   tf->codes[3960] = 0x00042bd78f1d4c08UL;
   tf->codes[3961] = 0x00042bd8ee776ea6UL;
   tf->codes[3962] = 0x00042bdd4714dc45UL;
   tf->codes[3963] = 0x00042bde6bdff91eUL;
   tf->codes[3964] = 0x00042be1da414fa9UL;
   tf->codes[3965] = 0x00042be80756eb70UL;
   tf->codes[3966] = 0x00042bec9a835ed4UL;
   tf->codes[3967] = 0x00042befce55af9aUL;
   tf->codes[3968] = 0x00042bf5c0dc459cUL;
   tf->codes[3969] = 0x00042bf80a727f4eUL;
   tf->codes[3970] = 0x00042bf8f4ae9662UL;
   tf->codes[3971] = 0x00042bfbedf1e163UL;
   tf->codes[3972] = 0x00042bff21c43229UL;
   tf->codes[3973] = 0x00042c063915e504UL;
   tf->codes[3974] = 0x00042c100f1bdd1bUL;
   tf->codes[3975] = 0x00042c163c3178e2UL;
   tf->codes[3976] = 0x00042c1d53832bbdUL;
   tf->codes[3977] = 0x00042c1f27fb59e5UL;
   tf->codes[3978] = 0x00042c26b46b184aUL;
   tf->codes[3979] = 0x00042c27d9363523UL;
   tf->codes[3980] = 0x00042c2a5d5b749aUL;
   tf->codes[3981] = 0x00042c2bbcb59738UL;
   tf->codes[3982] = 0x00042c2eb5f8e239UL;
   tf->codes[3983] = 0x00042c2f65a5f388UL;
   tf->codes[3984] = 0x00042c325ee93e89UL;
   tf->codes[3985] = 0x00042c330e964fd8UL;
   tf->codes[3986] = 0x00042c351d9d83c5UL;
   tf->codes[3987] = 0x00042c35582c898aUL;
   tf->codes[3988] = 0x00042c367cf7a663UL;
   tf->codes[3989] = 0x00042c36b786ac28UL;
   tf->codes[3990] = 0x00042c3ad5951402UL;
   tf->codes[3991] = 0x00042c3e096764c8UL;
   tf->codes[3992] = 0x00042c464584347cUL;
   tf->codes[3993] = 0x00042c4c7299d043UL;
   tf->codes[3994] = 0x00042c50cb373de2UL;
   tf->codes[3995] = 0x00042c51b57354f6UL;
   tf->codes[3996] = 0x00042c5adbcc3bbeUL;
   tf->codes[3997] = 0x00042c5f3469a95dUL;
   tf->codes[3998] = 0x00042c62dd5a05adUL;
   tf->codes[3999] = 0x00042c685ac29025UL;
   tf->codes[4000] = 0x00042c6cb35ffdc4UL;
   tf->codes[4001] = 0x00042c6d9d9c14d8UL;
   tf->codes[4002] = 0x00042c7aa7745db5UL;
   tf->codes[4003] = 0x00042c7da0b7a8b6UL;
   tf->codes[4004] = 0x00042c8099faf3b7UL;
   tf->codes[4005] = 0x00042c80d489f97cUL;
   tf->codes[4006] = 0x00042c8dde624259UL;
   tf->codes[4007] = 0x00042c8f032d5f32UL;
   tf->codes[4008] = 0x00042c914cc398e4UL;
   tf->codes[4009] = 0x00042c92ac1dbb82UL;
   tf->codes[4010] = 0x00042c9988e06898UL;
   tf->codes[4011] = 0x00042c99c36f6e5dUL;
   tf->codes[4012] = 0x00042c9d31d0c4e8UL;
   tf->codes[4013] = 0x00042c9de17dd637UL;
   tf->codes[4014] = 0x00042cb6d0634b18UL;
   tf->codes[4015] = 0x00042cb98f179054UL;
   tf->codes[4016] = 0x00042cc240526b92UL;
   tf->codes[4017] = 0x00042cc832d90194UL;
   tf->codes[4018] = 0x00042cc8a7f70d1eUL;
   tf->codes[4019] = 0x00042ccfbf48bff9UL;
   tf->codes[4020] = 0x00042cdffcf3599cUL;
   tf->codes[4021] = 0x00042ce8e8bd3a9fUL;
   tf->codes[4022] = 0x00042cf6a24294cbUL;
   tf->codes[4023] = 0x00042cfa85c1f6e0UL;
   tf->codes[4024] = 0x00042cfc5a3a2508UL;
   tf->codes[4025] = 0x00042cfdf4234d6bUL;
   tf->codes[4026] = 0x00042d07ca294582UL;
   tf->codes[4027] = 0x00042d12c4fa5a72UL;
   tf->codes[4028] = 0x00042d150e909424UL;
   tf->codes[4029] = 0x00042d16335bb0fdUL;
   tf->codes[4030] = 0x00042d1c60714cc4UL;
   tf->codes[4031] = 0x00042d1e6f7880b1UL;
   tf->codes[4032] = 0x00042d21a34ad177UL;
   tf->codes[4033] = 0x00042d25c1593951UL;
   tf->codes[4034] = 0x00042d25fbe83f16UL;
   tf->codes[4035] = 0x00042d275b4261b4UL;
   tf->codes[4036] = 0x00042d2bee6ed518UL;
   tf->codes[4037] = 0x00042d32cb31822eUL;
   tf->codes[4038] = 0x00042d3accbf4c1dUL;
   tf->codes[4039] = 0x00042d3b41dd57a7UL;
   tf->codes[4040] = 0x00042d3ca1377a45UL;
   tf->codes[4041] = 0x00042d42ce4d160cUL;
   tf->codes[4042] = 0x00042d4308dc1bd1UL;
   tf->codes[4043] = 0x00042d4f6307535fUL;
   tf->codes[4044] = 0x00042d4f9d965924UL;
   tf->codes[4045] = 0x00042d504d436a73UL;
   tf->codes[4046] = 0x00042d50c26175fdUL;
   tf->codes[4047] = 0x00042d53bba4c0feUL;
   tf->codes[4048] = 0x00042d53f633c6c3UL;
   tf->codes[4049] = 0x00042d579f242313UL;
   tf->codes[4050] = 0x00042d5a98676e14UL;
   tf->codes[4051] = 0x00042d5bf7c190b2UL;
   tf->codes[4052] = 0x00042d60505efe51UL;
   tf->codes[4053] = 0x00042d613a9b1565UL;
   tf->codes[4054] = 0x00042d63f94f5aa1UL;
   tf->codes[4055] = 0x00042d6608568e8eUL;
   tf->codes[4056] = 0x00042d667d749a18UL;
   tf->codes[4057] = 0x00042d68175dc27bUL;
   tf->codes[4058] = 0x00042d6d94c64cf3UL;
   tf->codes[4059] = 0x00042d6eb99169ccUL;
   tf->codes[4060] = 0x00042d717845af08UL;
   tf->codes[4061] = 0x00042d755bc5111dUL;
   tf->codes[4062] = 0x00042d7680902df6UL;
   tf->codes[4063] = 0x00042d7c3887be33UL;
   tf->codes[4064] = 0x00042d810643375cUL;
   tf->codes[4065] = 0x00042d89f20d185fUL;
   tf->codes[4066] = 0x00042d8bc6854687UL;
   tf->codes[4067] = 0x00042d8cb0c15d9bUL;
   tf->codes[4068] = 0x00042d931865ff27UL;
   tf->codes[4069] = 0x00042d9352f504ecUL;
   tf->codes[4070] = 0x00042d9402a2163bUL;
   tf->codes[4071] = 0x00042d9b5482cedbUL;
   tf->codes[4072] = 0x00042da3561098caUL;
   tf->codes[4073] = 0x00042db26ef01594UL;
   tf->codes[4074] = 0x00042db568336095UL;
   tf->codes[4075] = 0x00042dc4bba1e324UL;
   tf->codes[4076] = 0x00042dc7b4e52e25UL;
   tf->codes[4077] = 0x00042dc9895d5c4dUL;
   tf->codes[4078] = 0x00042dd8a23cd917UL;
   tf->codes[4079] = 0x00042ddc85bc3b2cUL;
   tf->codes[4080] = 0x00042ddcc04b40f1UL;
   tf->codes[4081] = 0x00042ddcfada46b6UL;
   tf->codes[4082] = 0x00042de2b2d1d6f3UL;
   tf->codes[4083] = 0x00042dee22c0f76dUL;
   tf->codes[4084] = 0x00042deed26e08bcUL;
   tf->codes[4085] = 0x00042deff7392595UL;
   tf->codes[4086] = 0x00042df3659a7c20UL;
   tf->codes[4087] = 0x00042dfffa54b973UL;
   tf->codes[4088] = 0x00042e03ddd41b88UL;
   tf->codes[4089] = 0x00042e06d7176689UL;
   tf->codes[4090] = 0x00042e08ab8f94b1UL;
   tf->codes[4091] = 0x00042e18741c22caUL;
   tf->codes[4092] = 0x00042e19d3764568UL;
   tf->codes[4093] = 0x00042e1a832356b7UL;
   tf->codes[4094] = 0x00042e1abdb25c7cUL;
   tf->codes[4095] = 0x00042e1b6d5f6dcbUL;
   tf->codes[4096] = 0x00042e1edbc0c456UL;
   tf->codes[4097] = 0x00042e23a97c3d7fUL;
   tf->codes[4098] = 0x00042e2afb5cf61fUL;
   tf->codes[4099] = 0x00042e39d9ad6d24UL;
   tf->codes[4100] = 0x00042e3fcc340326UL;
   tf->codes[4101] = 0x00042e42c5774e27UL;
   tf->codes[4102] = 0x00042e4f1fa285b5UL;
   tf->codes[4103] = 0x00042e512ea9b9a2UL;
   tf->codes[4104] = 0x00042e5427ed04a3UL;
   tf->codes[4105] = 0x00042e5c297ace92UL;
   tf->codes[4106] = 0x00042e5f97dc251dUL;
   tf->codes[4107] = 0x00042e679969ef0cUL;
   tf->codes[4108] = 0x00042e742e242c5fUL;
   tf->codes[4109] = 0x00042e7ad057d3b0UL;
   tf->codes[4110] = 0x00042e7c2fb1f64eUL;
   tf->codes[4111] = 0x00042e7e79483000UL;
   tf->codes[4112] = 0x00042e80884f63edUL;
   tf->codes[4113] = 0x00042e8b0e026d53UL;
   tf->codes[4114] = 0x00042e8c32cd8a2cUL;
   tf->codes[4115] = 0x00042e967df18dcdUL;
   tf->codes[4116] = 0x00042e9b111e0131UL;
   tf->codes[4117] = 0x00042e9e7f7f57bcUL;
   tf->codes[4118] = 0x00042ea76b4938bfUL;
   tf->codes[4119] = 0x00042eb6f946c113UL;
   tf->codes[4120] = 0x00042eb9084df500UL;
   tf->codes[4121] = 0x00042ec736f15ab6UL;
   tf->codes[4122] = 0x00042ec8d0da8319UL;
   tf->codes[4123] = 0x00042ed10cf752cdUL;
   tf->codes[4124] = 0x00042ed61541d1bbUL;
   tf->codes[4125] = 0x00042ede8beda734UL;
   tf->codes[4126] = 0x00042ee5ddce5fd4UL;
   tf->codes[4127] = 0x00042ee6185d6599UL;
   tf->codes[4128] = 0x00042eecba910ceaUL;
   tf->codes[4129] = 0x00042eeddf5c29c3UL;
   tf->codes[4130] = 0x00042f0cfb573a6bUL;
   tf->codes[4131] = 0x00042f14c255fe95UL;
   tf->codes[4132] = 0x00042f1c4ec5bcfaUL;
   tf->codes[4133] = 0x00042f26d478c660UL;
   tf->codes[4134] = 0x00042f2ba2343f89UL;
   tf->codes[4135] = 0x00042f2c51e150d8UL;
   tf->codes[4136] = 0x00042f34536f1ac7UL;
   tf->codes[4137] = 0x00042f353dab31dbUL;
   tf->codes[4138] = 0x00042f3f88cf357cUL;
   tf->codes[4139] = 0x00042f4be2fa6d0aUL;
   tf->codes[4140] = 0x00042f4db7729b32UL;
   tf->codes[4141] = 0x00042f4f16ccbdd0UL;
   tf->codes[4142] = 0x00042f51d581030cUL;
   tf->codes[4143] = 0x00042f5459a64283UL;
   tf->codes[4144] = 0x00042f5668ad7670UL;
   tf->codes[4145] = 0x00042f62fd67b3c3UL;
   tf->codes[4146] = 0x00042f6805b232b1UL;
   tf->codes[4147] = 0x00042f68b55f4400UL;
   tf->codes[4148] = 0x00042f68efee49c5UL;
   tf->codes[4149] = 0x00042f6b7413893cUL;
   tf->codes[4150] = 0x00042f6dbda9c2eeUL;
   tf->codes[4151] = 0x00042f6df838c8b3UL;
   tf->codes[4152] = 0x00042f6fccb0f6dbUL;
   tf->codes[4153] = 0x00042f7f5aae7f2fUL;
   tf->codes[4154] = 0x00042f8587c41af6UL;
   tf->codes[4155] = 0x00042f9acdb93387UL;
   tf->codes[4156] = 0x00042f9e018b844dUL;
   tf->codes[4157] = 0x00042fad1a6b0117UL;
   tf->codes[4158] = 0x00042fad8f890ca1UL;
   tf->codes[4159] = 0x00042fb3f72dae2dUL;
   tf->codes[4160] = 0x00042fb51bf8cb06UL;
   tf->codes[4161] = 0x00042fb8153c1607UL;
   tf->codes[4162] = 0x00042fbad3f05b43UL;
   tf->codes[4163] = 0x00042fbc334a7de1UL;
   tf->codes[4164] = 0x00042fbd58159abaUL;
   tf->codes[4165] = 0x00042fbd92a4a07fUL;
   tf->codes[4166] = 0x00042fc2606019a8UL;
   tf->codes[4167] = 0x00042fcd5b312e98UL;
   tf->codes[4168] = 0x00042fce0ade3fe7UL;
   tf->codes[4169] = 0x00042fce7ffc4b71UL;
   tf->codes[4170] = 0x00042fd31328bed5UL;
   tf->codes[4171] = 0x00042fd4e7a0ecfdUL;
   tf->codes[4172] = 0x00042fe17c5b2a50UL;
   tf->codes[4173] = 0x00042fe1f17935daUL;
   tf->codes[4174] = 0x00042fecec4a4acaUL;
   tf->codes[4175] = 0x00042fed61685654UL;
   tf->codes[4176] = 0x00042ff2ded0e0ccUL;
   tf->codes[4177] = 0x00042ff478ba092fUL;
   tf->codes[4178] = 0x00042ff4edd814b9UL;
   tf->codes[4179] = 0x00042ff7376e4e6bUL;
   tf->codes[4180] = 0x00042ff896c87109UL;
   tf->codes[4181] = 0x00042ff90be67c93UL;
   tf->codes[4182] = 0x0004300d679f7e10UL;
   tf->codes[4183] = 0x000430102653c34cUL;
   tf->codes[4184] = 0x0004301e1a68233dUL;
   tf->codes[4185] = 0x00043030a1a8f692UL;
   tf->codes[4186] = 0x000430356f646fbbUL;
   tf->codes[4187] = 0x00043035a9f37580UL;
   tf->codes[4188] = 0x00043036942f8c94UL;
   tf->codes[4189] = 0x000430439e07d571UL;
   tf->codes[4190] = 0x000430448843ec85UL;
   tf->codes[4191] = 0x0004304e5e49e49cUL;
   tf->codes[4192] = 0x0004305450d07a9eUL;
   tf->codes[4193] = 0x0004305993a9ff51UL;
   tf->codes[4194] = 0x00043062f491ebdeUL;
   tf->codes[4195] = 0x000430653e282590UL;
   tf->codes[4196] = 0x0004306b6b3dc157UL;
   tf->codes[4197] = 0x0004306be05bcce1UL;
   tf->codes[4198] = 0x0004306d3fb5ef7fUL;
   tf->codes[4199] = 0x0004306def6300ceUL;
   tf->codes[4200] = 0x0004306fc3db2ef6UL;
   tf->codes[4201] = 0x000430762b7fd082UL;
   tf->codes[4202] = 0x0004307d42d1835dUL;
   tf->codes[4203] = 0x00043086a3b96feaUL;
   tf->codes[4204] = 0x0004308f54f44b28UL;
   tf->codes[4205] = 0x00043098062f2666UL;
   tf->codes[4206] = 0x0004309baf1f82b6UL;
   tf->codes[4207] = 0x000430b8bc135f71UL;
   tf->codes[4208] = 0x000430c307376312UL;
   tf->codes[4209] = 0x000430c8f9bdf914UL;
   tf->codes[4210] = 0x000430d8c24a872dUL;
   tf->codes[4211] = 0x000430dc30abddb8UL;
   tf->codes[4212] = 0x000430e9afa2321fUL;
   tf->codes[4213] = 0x000430f609cd69adUL;
   tf->codes[4214] = 0x000430f9ed4ccbc2UL;
   tf->codes[4215] = 0x000430fb1217e89bUL;
   tf->codes[4216] = 0x000430ff6ab5563aUL;
   tf->codes[4217] = 0x00043108cb9d42c7UL;
   tf->codes[4218] = 0x0004310e0e76c77aUL;
   tf->codes[4219] = 0x00043113c66e57b7UL;
   tf->codes[4220] = 0x0004311a68a1ff08UL;
   tf->codes[4221] = 0x0004311ec13f6ca7UL;
   tf->codes[4222] = 0x0004312d9f8fe3acUL;
   tf->codes[4223] = 0x0004313232bc5710UL;
   tf->codes[4224] = 0x00043133578773e9UL;
   tf->codes[4225] = 0x00043134f1709c4cUL;
   tf->codes[4226] = 0x00043135dbacb360UL;
   tf->codes[4227] = 0x00043138d4effe61UL;
   tf->codes[4228] = 0x000431414b9bd3daUL;
   tf->codes[4229] = 0x0004314444df1edbUL;
   tf->codes[4230] = 0x0004314a71f4baa2UL;
   tf->codes[4231] = 0x0004314cf619fa19UL;
   tf->codes[4232] = 0x00043154f7a7c408UL;
   tf->codes[4233] = 0x0004315e588fb095UL;
   tf->codes[4234] = 0x0004316744599198UL;
   tf->codes[4235] = 0x00043168a3b3b436UL;
   tf->codes[4236] = 0x0004316c8733164bUL;
   tf->codes[4237] = 0x0004316ed0c94ffdUL;
   tf->codes[4238] = 0x00043179567c5963UL;
   tf->codes[4239] = 0x0004317c4fbfa464UL;
   tf->codes[4240] = 0x0004317d748ac13dUL;
   tf->codes[4241] = 0x0004317de9a8ccc7UL;
   tf->codes[4242] = 0x0004317f0e73e9a0UL;
   tf->codes[4243] = 0x000431806dce0c3eUL;
   tf->codes[4244] = 0x0004318500fa7fa2UL;
   tf->codes[4245] = 0x00043187851fbf19UL;
   tf->codes[4246] = 0x00043190ab78a5e1UL;
   tf->codes[4247] = 0x0004319504161380UL;
   tf->codes[4248] = 0x000431953ea51945UL;
   tf->codes[4249] = 0x000431a62bfcc437UL;
   tf->codes[4250] = 0x000431af17c6a53aUL;
   tf->codes[4251] = 0x000431b2fb46074fUL;
   tf->codes[4252] = 0x000431b80390863dUL;
   tf->codes[4253] = 0x000431b8b33d978cUL;
   tf->codes[4254] = 0x000431bafcd3d13eUL;
   tf->codes[4255] = 0x000431c2c3d29568UL;
   tf->codes[4256] = 0x000431d1679406a8UL;
   tf->codes[4257] = 0x000431d3769b3a95UL;
   tf->codes[4258] = 0x000431d5108462f8UL;
   tf->codes[4259] = 0x000431d794a9a26fUL;
   tf->codes[4260] = 0x000431da8deced70UL;
   tf->codes[4261] = 0x000431dac87bf335UL;
   tf->codes[4262] = 0x000431db78290484UL;
   tf->codes[4263] = 0x000431e588be0260UL;
   tf->codes[4264] = 0x000431eacb978713UL;
   tf->codes[4265] = 0x000431f7d56fcff0UL;
   tf->codes[4266] = 0x000431f9e47703ddUL;
   tf->codes[4267] = 0x00043200fbc8b6b8UL;
   tf->codes[4268] = 0x00043203ba7cfbf4UL;
   tf->codes[4269] = 0x0004320519d71e92UL;
   tf->codes[4270] = 0x0004321a253d315eUL;
   tf->codes[4271] = 0x000432301adf5b3eUL;
   tf->codes[4272] = 0x00043233c3cfb78eUL;
   tf->codes[4273] = 0x0004323aa09264a4UL;
   tf->codes[4274] = 0x0004323caf999891UL;
   tf->codes[4275] = 0x0004323e0ef3bb2fUL;
   tf->codes[4276] = 0x0004323e8411c6b9UL;
   tf->codes[4277] = 0x0004323f6e4dddcdUL;
   tf->codes[4278] = 0x00043243173e3a1dUL;
   tf->codes[4279] = 0x000432438c5c45a7UL;
   tf->codes[4280] = 0x00043246c02e966dUL;
   tf->codes[4281] = 0x000432497ee2dba9UL;
   tf->codes[4282] = 0x00043249b971e16eUL;
   tf->codes[4283] = 0x0004324b8dea0f96UL;
   tf->codes[4284] = 0x0004324d62623dbeUL;
   tf->codes[4285] = 0x0004324f36da6be6UL;
   tf->codes[4286] = 0x00043259bc8d754cUL;
   tf->codes[4287] = 0x0004325d2aeecbd7UL;
   tf->codes[4288] = 0x00043267b0a1d53dUL;
   tf->codes[4289] = 0x0004326b94213752UL;
   tf->codes[4290] = 0x0004326da3286b3fUL;
   tf->codes[4291] = 0x00043273d03e0706UL;
   tf->codes[4292] = 0x00043276c9815207UL;
   tf->codes[4293] = 0x00043281fee16cbcUL;
   tf->codes[4294] = 0x0004328b9a585f0eUL;
   tf->codes[4295] = 0x0004328cf9b281acUL;
   tf->codes[4296] = 0x0004329a78a8d613UL;
   tf->codes[4297] = 0x000432a1ca898eb3UL;
   tf->codes[4298] = 0x000432aba08f86caUL;
   tf->codes[4299] = 0x000432b193161cccUL;
   tf->codes[4300] = 0x000432b626429030UL;
   tf->codes[4301] = 0x000432b9cf32ec80UL;
   tf->codes[4302] = 0x000432bc8de731bcUL;
   tf->codes[4303] = 0x000432bd3d94430bUL;
   tf->codes[4304] = 0x000432bf4c9b76f8UL;
   tf->codes[4305] = 0x000432c0716693d1UL;
   tf->codes[4306] = 0x000432c41a56f021UL;
   tf->codes[4307] = 0x000432c663ed29d3UL;
   tf->codes[4308] = 0x000432cbe155b44bUL;
   tf->codes[4309] = 0x000432cd0620d124UL;
   tf->codes[4310] = 0x000432d15ebe3ec3UL;
   tf->codes[4311] = 0x000432d99adb0e77UL;
   tf->codes[4312] = 0x000432e3e5ff1218UL;
   tf->codes[4313] = 0x000432e57fe83a7bUL;
   tf->codes[4314] = 0x000432e78eef6e68UL;
   tf->codes[4315] = 0x000432ec5caae791UL;
   tf->codes[4316] = 0x000432ec9739ed56UL;
   tf->codes[4317] = 0x000432eee0d02708UL;
   tf->codes[4318] = 0x000432f07ab94f6bUL;
   tf->codes[4319] = 0x000432f24f317d93UL;
   tf->codes[4320] = 0x000432f9dba13bf8UL;
   tf->codes[4321] = 0x000432fd4a029283UL;
   tf->codes[4322] = 0x0004330377182e4aUL;
   tf->codes[4323] = 0x00043305c0ae67fcUL;
   tf->codes[4324] = 0x00043306aaea7f10UL;
   tf->codes[4325] = 0x0004330c28530988UL;
   tf->codes[4326] = 0x0004330c62e20f4dUL;
   tf->codes[4327] = 0x0004330e71e9433aUL;
   tf->codes[4328] = 0x000433128ff7ab14UL;
   tf->codes[4329] = 0x0004331acc147ac8UL;
   tf->codes[4330] = 0x0004331b41328652UL;
   tf->codes[4331] = 0x0004331bf0df97a1UL;
   tf->codes[4332] = 0x0004331f24b1e867UL;
   tf->codes[4333] = 0x0004332308314a7cUL;
   tf->codes[4334] = 0x0004332d53554e1dUL;
   tf->codes[4335] = 0x0004333554e3180cUL;
   tf->codes[4336] = 0x0004333763ea4bf9UL;
   tf->codes[4337] = 0x0004333b81f8b3d3UL;
   tf->codes[4338] = 0x0004333ce152d671UL;
   tf->codes[4339] = 0x0004333d1be1dc36UL;
   tf->codes[4340] = 0x0004334433338f11UL;
   tf->codes[4341] = 0x00043351779addb3UL;
   tf->codes[4342] = 0x0004335f6baf3da4UL;
   tf->codes[4343] = 0x000433622a6382e0UL;
   tf->codes[4344] = 0x000433634f2e9fb9UL;
   tf->codes[4345] = 0x0004336389bda57eUL;
   tf->codes[4346] = 0x0004337317bb2dd2UL;
   tf->codes[4347] = 0x0004337dd7fd3cfdUL;
   tf->codes[4348] = 0x0004337e87aa4e4cUL;
   tf->codes[4349] = 0x00043380219376afUL;
   tf->codes[4350] = 0x0004338b1c648b9fUL;
   tf->codes[4351] = 0x0004338b56f39164UL;
   tf->codes[4352] = 0x0004339024af0a8dUL;
   tf->codes[4353] = 0x000433910eeb21a1UL;
   tf->codes[4354] = 0x000433931df2558eUL;
   tf->codes[4355] = 0x000433991078eb90UL;
   tf->codes[4356] = 0x0004339b949e2b07UL;
   tf->codes[4357] = 0x000433abd248c4aaUL;
   tf->codes[4358] = 0x000433ae90fd09e6UL;
   tf->codes[4359] = 0x000433aff0572c84UL;
   tf->codes[4360] = 0x000433b74237e524UL;
   tf->codes[4361] = 0x000433c919cba72aUL;
   tf->codes[4362] = 0x000433cb6361e0dcUL;
   tf->codes[4363] = 0x000433cc882cfdb5UL;
   tf->codes[4364] = 0x000433cff68e5440UL;
   tf->codes[4365] = 0x000433d44f2bc1dfUL;
   tf->codes[4366] = 0x000433df0f6dd10aUL;
   tf->codes[4367] = 0x000433eb69990898UL;
   tf->codes[4368] = 0x000433ed3e1136c0UL;
   tf->codes[4369] = 0x0004340124ac2cb3UL;
   tf->codes[4370] = 0x000434036e426665UL;
   tf->codes[4371] = 0x00043405082b8ec8UL;
   tf->codes[4372] = 0x000434078c50ce3fUL;
   tf->codes[4373] = 0x0004340ea3a2811aUL;
   tf->codes[4374] = 0x000434124c92dd6aUL;
   tf->codes[4375] = 0x0004342a513c3b37UL;
   tf->codes[4376] = 0x00043435fbba6176UL;
   tf->codes[4377] = 0x00043439df39c38bUL;
   tf->codes[4378] = 0x0004343ac975da9fUL;
   tf->codes[4379] = 0x0004343dfd482b65UL;
   tf->codes[4380] = 0x0004343f5ca24e03UL;
   tf->codes[4381] = 0x00043441a63887b5UL;
   tf->codes[4382] = 0x00043445fed5f554UL;
   tf->codes[4383] = 0x0004344d8b45b3b9UL;
   tf->codes[4384] = 0x0004344e0063bf43UL;
   tf->codes[4385] = 0x00043453b85b4f80UL;
   tf->codes[4386] = 0x000434563c808ef7UL;
   tf->codes[4387] = 0x0004345c2f0724f9UL;
   tf->codes[4388] = 0x0004345cdeb43648UL;
   tf->codes[4389] = 0x0004345e3e0e58e6UL;
   tf->codes[4390] = 0x00043465ca7e174bUL;
   tf->codes[4391] = 0x000434684ea356c2UL;
   tf->codes[4392] = 0x0004346bf793b312UL;
   tf->codes[4393] = 0x0004346e069ae6ffUL;
   tf->codes[4394] = 0x0004346e7bb8f289UL;
   tf->codes[4395] = 0x0004347174fc3d8aUL;
   tf->codes[4396] = 0x000434788c4df065UL;
   tf->codes[4397] = 0x0004347a9b552452UL;
   tf->codes[4398] = 0x00043482d771f406UL;
   tf->codes[4399] = 0x0004348596263942UL;
   tf->codes[4400] = 0x0004348854da7e7eUL;
   tf->codes[4401] = 0x0004348bfdcadaceUL;
   tf->codes[4402] = 0x0004348c72e8e658UL;
   tf->codes[4403] = 0x00043496f89befbeUL;
   tf->codes[4404] = 0x0004349d9acf970fUL;
   tf->codes[4405] = 0x000434a3c7e532d6UL;
   tf->codes[4406] = 0x000434a8d02fb1c4UL;
   tf->codes[4407] = 0x000434af72635915UL;
   tf->codes[4408] = 0x000434b6c44411b5UL;
   tf->codes[4409] = 0x000434bddb95c490UL;
   tf->codes[4410] = 0x000434c05fbb0407UL;
   tf->codes[4411] = 0x000434c7770cb6e2UL;
   tf->codes[4412] = 0x000434c910f5df45UL;
   tf->codes[4413] = 0x000434c94b84e50aUL;
   tf->codes[4414] = 0x000434ce53cf63f8UL;
   tf->codes[4415] = 0x000434d028479220UL;
   tf->codes[4416] = 0x000434e324a670ffUL;
   tf->codes[4417] = 0x000434ebd5e14c3dUL;
   tf->codes[4418] = 0x000434f2ed32ff18UL;
   tf->codes[4419] = 0x00043506d3cdf50bUL;
   tf->codes[4420] = 0x00043508e2d528f8UL;
   tf->codes[4421] = 0x0004350ba1896e34UL;
   tf->codes[4422] = 0x000435136888325eUL;
   tf->codes[4423] = 0x000435241b50d78bUL;
   tf->codes[4424] = 0x0004352b32a28a66UL;
   tf->codes[4425] = 0x000435399bd4f5e1UL;
   tf->codes[4426] = 0x000435400379976dUL;
   tf->codes[4427] = 0x00043542879ed6e4UL;
   tf->codes[4428] = 0x0004354371daedf8UL;
   tf->codes[4429] = 0x00043547555a500dUL;
   tf->codes[4430] = 0x0004354ac3bba698UL;
   tf->codes[4431] = 0x0004355842b1faffUL;
   tf->codes[4432] = 0x0004355f5a03addaUL;
   tf->codes[4433] = 0x00043566abe4667aUL;
   tf->codes[4434] = 0x00043567d0af8353UL;
   tf->codes[4435] = 0x000435716c2675a5UL;
   tf->codes[4436] = 0x00043571a6b57b6aUL;
   tf->codes[4437] = 0x0004357290f1927eUL;
   tf->codes[4438] = 0x00043573409ea3cdUL;
   tf->codes[4439] = 0x00043573f04bb51cUL;
   tf->codes[4440] = 0x00043575c4c3e344UL;
   tf->codes[4441] = 0x00043577241e05e2UL;
   tf->codes[4442] = 0x00043579332539cfUL;
   tf->codes[4443] = 0x00043579e2d24b1eUL;
   tf->codes[4444] = 0x00043581a9d10f48UL;
   tf->codes[4445] = 0x000435837e493d70UL;
   tf->codes[4446] = 0x000435858d50715dUL;
   tf->codes[4447] = 0x00043586ecaa93fbUL;
   tf->codes[4448] = 0x00043590fd3f91d7UL;
   tf->codes[4449] = 0x000435943111e29dUL;
   tf->codes[4450] = 0x0004359d91f9cf2aUL;
   tf->codes[4451] = 0x000435a4342d767bUL;
   tf->codes[4452] = 0x000435a64334aa68UL;
   tf->codes[4453] = 0x000435ac704a462fUL;
   tf->codes[4454] = 0x000435b262d0dc31UL;
   tf->codes[4455] = 0x000435be0d4f0270UL;
   tf->codes[4456] = 0x000435c1f0ce6485UL;
   tf->codes[4457] = 0x000435c2a07b75d4UL;
   tf->codes[4458] = 0x000435c9b7cd28afUL;
   tf->codes[4459] = 0x000435cc76816debUL;
   tf->codes[4460] = 0x000435d6c1a5718cUL;
   tf->codes[4461] = 0x000435d736c37d16UL;
   tf->codes[4462] = 0x000435dd63d918ddUL;
   tf->codes[4463] = 0x000435eb927c7e93UL;
   tf->codes[4464] = 0x000435f2a9ce316eUL;
   tf->codes[4465] = 0x000435f2e45d3733UL;
   tf->codes[4466] = 0x000435f3940a4882UL;
   tf->codes[4467] = 0x000435f3ce994e47UL;
   tf->codes[4468] = 0x000435fb95981271UL;
   tf->codes[4469] = 0x000435fc0ab61dfbUL;
   tf->codes[4470] = 0x000435fcf4f2350fUL;
   tf->codes[4471] = 0x000435fda49f465eUL;
   tf->codes[4472] = 0x000436014d8fa2aeUL;
   tf->codes[4473] = 0x0004360864e15589UL;
   tf->codes[4474] = 0x0004360fb6c20e29UL;
   tf->codes[4475] = 0x00043614f99b92dcUL;
   tf->codes[4476] = 0x0004361867fce967UL;
   tf->codes[4477] = 0x0004361bd65e3ff2UL;
   tf->codes[4478] = 0x0004361de56573dfUL;
   tf->codes[4479] = 0x00043624c22820f5UL;
   tf->codes[4480] = 0x0004362571d53244UL;
   tf->codes[4481] = 0x00043626d12f54e2UL;
   tf->codes[4482] = 0x0004362a3f90ab6dUL;
   tf->codes[4483] = 0x0004362cfe44f0a9UL;
   tf->codes[4484] = 0x000436391de12272UL;
   tf->codes[4485] = 0x00043639cd8e33c1UL;
   tf->codes[4486] = 0x0004363af259509aUL;
   tf->codes[4487] = 0x00043651228a803fUL;
   tf->codes[4488] = 0x000436574fa01c06UL;
   tf->codes[4489] = 0x0004365c1d5b952fUL;
   tf->codes[4490] = 0x00043663e45a5959UL;
   tf->codes[4491] = 0x0004366509257632UL;
   tf->codes[4492] = 0x0004366f8ed87f98UL;
   tf->codes[4493] = 0x0004367003f68b22UL;
   tf->codes[4494] = 0x000436716350adc0UL;
   tf->codes[4495] = 0x00043674d1b2044bUL;
   tf->codes[4496] = 0x0004367a89a99488UL;
   tf->codes[4497] = 0x0004368e35b584b6UL;
   tf->codes[4498] = 0x0004369a1ac2b0baUL;
   tf->codes[4499] = 0x0004369b7a1cd358UL;
   tf->codes[4500] = 0x000436a55022cb6fUL;
   tf->codes[4501] = 0x000436a7d4480ae6UL;
   tf->codes[4502] = 0x000436a9e34f3ed3UL;
   tf->codes[4503] = 0x000436ae767bb237UL;
   tf->codes[4504] = 0x000436b4de2053c3UL;
   tf->codes[4505] = 0x000436b9e66ad2b1UL;
   tf->codes[4506] = 0x000436c1ad6996dbUL;
   tf->codes[4507] = 0x000436c34752bf3eUL;
   tf->codes[4508] = 0x000436c4318ed652UL;
   tf->codes[4509] = 0x000436c8150e3867UL;
   tf->codes[4510] = 0x000436c9aef760caUL;
   tf->codes[4511] = 0x000436d9eca1fa6dUL;
   tf->codes[4512] = 0x000436dc70c739e4UL;
   tf->codes[4513] = 0x000436ddd0215c82UL;
   tf->codes[4514] = 0x000436ec73e2cdc2UL;
   tf->codes[4515] = 0x000436f4afff9d76UL;
   tf->codes[4516] = 0x0004370144b9dac9UL;
   tf->codes[4517] = 0x0004370353c10eb6UL;
   tf->codes[4518] = 0x00043710d2b7631dUL;
   tf->codes[4519] = 0x0004371356dca294UL;
   tf->codes[4520] = 0x00043714f0c5caf7UL;
   tf->codes[4521] = 0x0004371949633896UL;
   tf->codes[4522] = 0x0004371a339f4faaUL;
   tf->codes[4523] = 0x0004371b92f97248UL;
   tf->codes[4524] = 0x0004371c7d35895cUL;
   tf->codes[4525] = 0x0004371feb96dfe7UL;
   tf->codes[4526] = 0x000437268dca8738UL;
   tf->codes[4527] = 0x0004372b20f6fa9cUL;
   tf->codes[4528] = 0x000437356c1afe3dUL;
   tf->codes[4529] = 0x0004373c48ddab53UL;
   tf->codes[4530] = 0x000437411699247cUL;
   tf->codes[4531] = 0x000437439abe63f3UL;
   tf->codes[4532] = 0x000437465972a92fUL;
   tf->codes[4533] = 0x00043747b8cccbcdUL;
   tf->codes[4534] = 0x00043750df25b295UL;
   tf->codes[4535] = 0x0004375412f8035bUL;
   tf->codes[4536] = 0x00043755e7703183UL;
   tf->codes[4537] = 0x0004375621ff3748UL;
   tf->codes[4538] = 0x000437591b428249UL;
   tf->codes[4539] = 0x000437678474edc4UL;
   tf->codes[4540] = 0x0004376a089a2d3bUL;
   tf->codes[4541] = 0x0004376af2d6444fUL;
   tf->codes[4542] = 0x0004376cc74e7277UL;
   tf->codes[4543] = 0x0004376e26a89515UL;
   tf->codes[4544] = 0x0004376f8602b7b3UL;
   tf->codes[4545] = 0x00043774c8dc3c66UL;
   tf->codes[4546] = 0x00043775eda7593fUL;
   tf->codes[4547] = 0x000437769d546a8eUL;
   tf->codes[4548] = 0x0004377a4644c6deUL;
   tf->codes[4549] = 0x0004377b3080ddf2UL;
   tf->codes[4550] = 0x0004377be02def41UL;
   tf->codes[4551] = 0x0004377e9ee2347dUL;
   tf->codes[4552] = 0x00043785b633e758UL;
   tf->codes[4553] = 0x00043787501d0fbbUL;
   tf->codes[4554] = 0x00043791d5d01921UL;
   tf->codes[4555] = 0x000437936fb94184UL;
   tf->codes[4556] = 0x0004379718a99dd4UL;
   tf->codes[4557] = 0x00043797c856af23UL;
   tf->codes[4558] = 0x0004379a4c7bee9aUL;
   tf->codes[4559] = 0x0004379babd61138UL;
   tf->codes[4560] = 0x0004379d45bf399bUL;
   tf->codes[4561] = 0x0004379edfa861feUL;
   tf->codes[4562] = 0x000437a756543777UL;
   tf->codes[4563] = 0x000437aac4b58e02UL;
   tf->codes[4564] = 0x000437abaef1a516UL;
   tf->codes[4565] = 0x000437b12c5a2f8eUL;
   tf->codes[4566] = 0x000437b634a4ae7cUL;
   tf->codes[4567] = 0x000437bc61ba4a43UL;
   tf->codes[4568] = 0x000437bdfba372a6UL;
   tf->codes[4569] = 0x000437c4d8661fbcUL;
   tf->codes[4570] = 0x000437c6e76d53a9UL;
   tf->codes[4571] = 0x000437c8f6748796UL;
   tf->codes[4572] = 0x000437ca1b3fa46fUL;
   tf->codes[4573] = 0x000437cd89a0fafaUL;
   tf->codes[4574] = 0x000437dc2d626c3aUL;
   tf->codes[4575] = 0x000437df6134bd00UL;
   tf->codes[4576] = 0x000437e21fe9023cUL;
   tf->codes[4577] = 0x000437e4697f3beeUL;
   tf->codes[4578] = 0x000437e9e6e7c666UL;
   tf->codes[4579] = 0x000437ebf5eefa53UL;
   tf->codes[4580] = 0x000437f9af74547fUL;
   tf->codes[4581] = 0x000437fca8b79f80UL;
   tf->codes[4582] = 0x000437fd5864b0cfUL;
   tf->codes[4583] = 0x000437feb7bed36dUL;
   tf->codes[4584] = 0x000438093d71dcd3UL;
   tf->codes[4585] = 0x00043812d8e8cf25UL;
   tf->codes[4586] = 0x00043813c324e639UL;
   tf->codes[4587] = 0x000438181bc253d8UL;
   tf->codes[4588] = 0x00043830d018c2f4UL;
   tf->codes[4589] = 0x000438359dd43c1dUL;
   tf->codes[4590] = 0x000438405e164b48UL;
   tf->codes[4591] = 0x00043840d33456d2UL;
   tf->codes[4592] = 0x00043844b6b3b8e7UL;
   tf->codes[4593] = 0x00043853cf9335b1UL;
   tf->codes[4594] = 0x0004385da5992dc8UL;
   tf->codes[4595] = 0x00043862e872b27bUL;
   tf->codes[4596] = 0x0004386706811a55UL;
   tf->codes[4597] = 0x0004386915884e42UL;
   tf->codes[4598] = 0x0004386ff24afb58UL;
   tf->codes[4599] = 0x0004387485776ebcUL;
   tf->codes[4600] = 0x00043874fa957a46UL;
   tf->codes[4601] = 0x0004387918a3e220UL;
   tf->codes[4602] = 0x0004387b623a1bd2UL;
   tf->codes[4603] = 0x0004387b9cc92197UL;
   tf->codes[4604] = 0x0004387c4c7632e6UL;
   tf->codes[4605] = 0x00043885384013e9UL;
   tf->codes[4606] = 0x000438870cb84211UL;
   tf->codes[4607] = 0x0004388b9fe4b575UL;
   tf->codes[4608] = 0x0004388e2409f4ecUL;
   tf->codes[4609] = 0x0004388fbdf31d4fUL;
   tf->codes[4610] = 0x00043891ccfa513cUL;
   tf->codes[4611] = 0x0004389993f91566UL;
   tf->codes[4612] = 0x0004389a7e352c7aUL;
   tf->codes[4613] = 0x0004389af3533804UL;
   tf->codes[4614] = 0x0004389f867fab68UL;
   tf->codes[4615] = 0x000438a20aa4eadfUL;
   tf->codes[4616] = 0x000438ab30fdd1a7UL;
   tf->codes[4617] = 0x000438b4cc74c3f9UL;
   tf->codes[4618] = 0x000438b57c21d548UL;
   tf->codes[4619] = 0x000438ba846c5436UL;
   tf->codes[4620] = 0x000438c001d4deaeUL;
   tf->codes[4621] = 0x000438c076f2ea38UL;
   tf->codes[4622] = 0x000438c19bbe0711UL;
   tf->codes[4623] = 0x000438c370363539UL;
   tf->codes[4624] = 0x000438c50a1f5d9cUL;
   tf->codes[4625] = 0x000438ca1269dc8aUL;
   tf->codes[4626] = 0x000438cdbb5a38daUL;
   tf->codes[4627] = 0x000438d338c2c352UL;
   tf->codes[4628] = 0x000438dcd439b5a4UL;
   tf->codes[4629] = 0x000438dee340e991UL;
   tf->codes[4630] = 0x000438e0f2481d7eUL;
   tf->codes[4631] = 0x000438e4261a6e44UL;
   tf->codes[4632] = 0x000438e759ecbf0aUL;
   tf->codes[4633] = 0x000438e7947bc4cfUL;
   tf->codes[4634] = 0x000438ef20eb8334UL;
   tf->codes[4635] = 0x000438f7979758adUL;
   tf->codes[4636] = 0x000438fb4087b4fdUL;
   tf->codes[4637] = 0x000438fc2ac3cc11UL;
   tf->codes[4638] = 0x000438fcda70dd60UL;
   tf->codes[4639] = 0x000438fe39cafffeUL;
   tf->codes[4640] = 0x0004390fd6cfbc3fUL;
   tf->codes[4641] = 0x000439104bedc7c9UL;
   tf->codes[4642] = 0x0004391170b8e4a2UL;
   tf->codes[4643] = 0x0004391ce0a8051cUL;
   tf->codes[4644] = 0x0004391d9055166bUL;
   tf->codes[4645] = 0x0004391dcae41c30UL;
   tf->codes[4646] = 0x00043932d64a2efcUL;
   tf->codes[4647] = 0x000439388e41bf39UL;
   tf->codes[4648] = 0x0004393e46394f76UL;
   tf->codes[4649] = 0x0004394a65d5813fUL;
   tf->codes[4650] = 0x0004394caf6bbaf1UL;
   tf->codes[4651] = 0x000439522cd44569UL;
   tf->codes[4652] = 0x00043958cf07ecbaUL;
   tf->codes[4653] = 0x0004395ced165494UL;
   tf->codes[4654] = 0x00043967ad5863bfUL;
   tf->codes[4655] = 0x0004396dda6dff86UL;
   tf->codes[4656] = 0x0004396ec4aa169aUL;
   tf->codes[4657] = 0x00043971f87c6760UL;
   tf->codes[4658] = 0x0004398619a66318UL;
   tf->codes[4659] = 0x0004398a7243d0b7UL;
   tf->codes[4660] = 0x0004398b21f0e206UL;
   tf->codes[4661] = 0x0004398fefac5b2fUL;
   tf->codes[4662] = 0x00043990d9e87243UL;
   tf->codes[4663] = 0x0004399e936dcc6fUL;
   tf->codes[4664] = 0x000439a7b9c6b337UL;
   tf->codes[4665] = 0x000439ae216b54c3UL;
   tf->codes[4666] = 0x000439b3d962e500UL;
   tf->codes[4667] = 0x000439b622f91eb2UL;
   tf->codes[4668] = 0x000439b782534150UL;
   tf->codes[4669] = 0x000439ba067880c7UL;
   tf->codes[4670] = 0x000439bdaf68dd17UL;
   tf->codes[4671] = 0x000439c158593967UL;
   tf->codes[4672] = 0x000439c4c6ba8ff2UL;
   tf->codes[4673] = 0x000439c959e70356UL;
   tf->codes[4674] = 0x000439d0abc7bbf6UL;
   tf->codes[4675] = 0x000439d41a291281UL;
   tf->codes[4676] = 0x000439d5eea140a9UL;
   tf->codes[4677] = 0x000439d838377a5bUL;
   tf->codes[4678] = 0x000439db317ac55cUL;
   tf->codes[4679] = 0x000439dd4081f949UL;
   tf->codes[4680] = 0x000439dd7b10ff0eUL;
   tf->codes[4681] = 0x000439e5420fc338UL;
   tf->codes[4682] = 0x000439ed439d8d27UL;
   tf->codes[4683] = 0x000439f0776fddedUL;
   tf->codes[4684] = 0x000439ff904f5ab7UL;
   tf->codes[4685] = 0x000439ffcade607cUL;
   tf->codes[4686] = 0x00043a02feb0b142UL;
   tf->codes[4687] = 0x00043a0806fb3030UL;
   tf->codes[4688] = 0x00043a08418a35f5UL;
   tf->codes[4689] = 0x00043a092bc64d09UL;
   tf->codes[4690] = 0x00043a09665552ceUL;
   tf->codes[4691] = 0x00043a0d49d4b4e3UL;
   tf->codes[4692] = 0x00043a107da705a9UL;
   tf->codes[4693] = 0x00043a1376ea50aaUL;
   tf->codes[4694] = 0x00043a16359e95e6UL;
   tf->codes[4695] = 0x00043a17cf87be49UL;
   tf->codes[4696] = 0x00043a1a53acfdc0UL;
   tf->codes[4697] = 0x00043a1bed962623UL;
   tf->codes[4698] = 0x00043a1c62b431adUL;
   tf->codes[4699] = 0x00043a1eac4a6b5fUL;
   tf->codes[4700] = 0x00043a25fe2b23ffUL;
   tf->codes[4701] = 0x00043a2673492f89UL;
   tf->codes[4702] = 0x00043a2722f640d8UL;
   tf->codes[4703] = 0x00043a300ec021dbUL;
   tf->codes[4704] = 0x00043a3b7eaf4255UL;
   tf->codes[4705] = 0x00043a484df8856dUL;
   tf->codes[4706] = 0x00043a4f2abb3283UL;
   tf->codes[4707] = 0x00043a530e3a9498UL;
   tf->codes[4708] = 0x00043a56420ce55eUL;
   tf->codes[4709] = 0x00043a59eafd41aeUL;
   tf->codes[4710] = 0x00043a68542fad29UL;
   tf->codes[4711] = 0x00043a6a28a7db51UL;
   tf->codes[4712] = 0x00043a6d970931dcUL;
   tf->codes[4713] = 0x00043a7055bd7718UL;
   tf->codes[4714] = 0x00043a76f7f11e69UL;
   tf->codes[4715] = 0x00043a7906f85256UL;
   tf->codes[4716] = 0x00043a794187581bUL;
   tf->codes[4717] = 0x00043a8401c96746UL;
   tf->codes[4718] = 0x00043a8610d09b33UL;
   tf->codes[4719] = 0x00043a86c07dac82UL;
   tf->codes[4720] = 0x00043a890a13e634UL;
   tf->codes[4721] = 0x00043a8e877c70acUL;
   tf->codes[4722] = 0x00043aa392e28378UL;
   tf->codes[4723] = 0x00043aa98569197aUL;
   tf->codes[4724] = 0x00043aaf77efaf7cUL;
   tf->codes[4725] = 0x00043ab1fc14eef3UL;
   tf->codes[4726] = 0x00043ab7b40c7f30UL;
   tf->codes[4727] = 0x00043ab7ee9b84f5UL;
   tf->codes[4728] = 0x00043ab863b9907fUL;
   tf->codes[4729] = 0x00043ab8d8d79c09UL;
   tf->codes[4730] = 0x00043ab9c313b31dUL;
   tf->codes[4731] = 0x00043ac35e8aa56fUL;
   tf->codes[4732] = 0x00043aca00be4cc0UL;
   tf->codes[4733] = 0x00043aca3b4d5285UL;
   tf->codes[4734] = 0x00043acaeafa63d4UL;
   tf->codes[4735] = 0x00043ad3d6c444d7UL;
   tf->codes[4736] = 0x00043ad7ba43a6ecUL;
   tf->codes[4737] = 0x00043ad8a47fbe00UL;
   tf->codes[4738] = 0x00043ad9199dc98aUL;
   tf->codes[4739] = 0x00043adb6334033cUL;
   tf->codes[4740] = 0x00043adf0c245f8cUL;
   tf->codes[4741] = 0x00043ae27a85b617UL;
   tf->codes[4742] = 0x00043ae364c1cd2bUL;
   tf->codes[4743] = 0x00043aeaf1318b90UL;
   tf->codes[4744] = 0x00043af243124430UL;
   tf->codes[4745] = 0x00043afa44a00e1fUL;
   tf->codes[4746] = 0x00043afd3de35920UL;
   tf->codes[4747] = 0x00043b06643c3fe8UL;
   tf->codes[4748] = 0x00043b069ecb45adUL;
   tf->codes[4749] = 0x00043b06d95a4b72UL;
   tf->codes[4750] = 0x00043b0b31f7b911UL;
   tf->codes[4751] = 0x00043b0c56c2d5eaUL;
   tf->codes[4752] = 0x00043b11247e4f13UL;
   tf->codes[4753] = 0x00043b1249496becUL;
   tf->codes[4754] = 0x00043b1492dfa59eUL;
   tf->codes[4755] = 0x00043b1d098b7b17UL;
   tf->codes[4756] = 0x00043b2afd9fdb08UL;
   tf->codes[4757] = 0x00043b2e31722bceUL;
   tf->codes[4758] = 0x00043b3df9feb9e7UL;
   tf->codes[4759] = 0x00043b3f5958dc85UL;
   tf->codes[4760] = 0x00043b45fb8c83d6UL;
   tf->codes[4761] = 0x00043b4b03d702c4UL;
   tf->codes[4762] = 0x00043b4c9dc02b27UL;
   tf->codes[4763] = 0x00043b4e7238594fUL;
   tf->codes[4764] = 0x00043b642d4b7d6aUL;
   tf->codes[4765] = 0x00043b6601c3ab92UL;
   tf->codes[4766] = 0x00043b6a5a611931UL;
   tf->codes[4767] = 0x00043b72967de8e5UL;
   tf->codes[4768] = 0x00043b7b0d29be5eUL;
   tf->codes[4769] = 0x00043b7bbcd6cfadUL;
   tf->codes[4770] = 0x00043b843382a526UL;
   tf->codes[4771] = 0x00043b8607fad34eUL;
   tf->codes[4772] = 0x00043b8d946a91b3UL;
   tf->codes[4773] = 0x00043b8e7ea6a8c7UL;
   tf->codes[4774] = 0x00043b95d0876167UL;
   tf->codes[4775] = 0x00043b972fe18405UL;
   tf->codes[4776] = 0x00043b9d97862591UL;
   tf->codes[4777] = 0x00043bb22dce2cd3UL;
   tf->codes[4778] = 0x00043bb43cd560c0UL;
   tf->codes[4779] = 0x00043bb73618abc1UL;
   tf->codes[4780] = 0x00043bbcee103bfeUL;
   tf->codes[4781] = 0x00043bbf72357b75UL;
   tf->codes[4782] = 0x00043bc1f65abaecUL;
   tf->codes[4783] = 0x00043bc85dff5c78UL;
   tf->codes[4784] = 0x00043bcaa795962aUL;
   tf->codes[4785] = 0x00043bcf75510f53UL;
   tf->codes[4786] = 0x00043bd65213bc69UL;
   tf->codes[4787] = 0x00043bd985e60d2fUL;
   tf->codes[4788] = 0x00043bdbcf7c46e1UL;
   tf->codes[4789] = 0x00043bdc0a0b4ca6UL;
   tf->codes[4790] = 0x00043bdf786ca331UL;
   tf->codes[4791] = 0x00043be9fe1fac97UL;
   tf->codes[4792] = 0x00043bed6c810322UL;
   tf->codes[4793] = 0x00043bf40eb4aa73UL;
   tf->codes[4794] = 0x00043bf4be61bbc2UL;
   tf->codes[4795] = 0x00043bf8a1e11dd7UL;
   tf->codes[4796] = 0x00043c00a36ee7c6UL;
   tf->codes[4797] = 0x00043c0c4ded0e05UL;
   tf->codes[4798] = 0x00043c0cc30b198fUL;
   tf->codes[4799] = 0x00043c111ba8872eUL;
   tf->codes[4800] = 0x00043c1cc626ad6dUL;
   tf->codes[4801] = 0x00043c2aba3b0d5eUL;
   tf->codes[4802] = 0x00043c2d78ef529aUL;
   tf->codes[4803] = 0x00043c2fc2858c4cUL;
   tf->codes[4804] = 0x00043c3246aacbc3UL;
   tf->codes[4805] = 0x00043c32f657dd12UL;
   tf->codes[4806] = 0x00043c341b22f9ebUL;
   tf->codes[4807] = 0x00043c3abd56a13cUL;
   tf->codes[4808] = 0x00043c3b3274acc6UL;
   tf->codes[4809] = 0x00043c3ea0d60351UL;
   tf->codes[4810] = 0x00043c41d4a85417UL;
   tf->codes[4811] = 0x00043c48b16b012dUL;
   tf->codes[4812] = 0x00043c5162a5dc6bUL;
   tf->codes[4813] = 0x00043c52fc8f04ceUL;
   tf->codes[4814] = 0x00043c566af05b59UL;
   tf->codes[4815] = 0x00043c5a13e0b7a9UL;
   tf->codes[4816] = 0x00043c642475b585UL;
   tf->codes[4817] = 0x00043c66337ce972UL;
   tf->codes[4818] = 0x00043c6a8c1a5711UL;
   tf->codes[4819] = 0x00043c6b0138629bUL;
   tf->codes[4820] = 0x00043c707ea0ed13UL;
   tf->codes[4821] = 0x00043c7427914963UL;
   tf->codes[4822] = 0x00043c79df88d9a0UL;
   tf->codes[4823] = 0x00043c7a1a17df65UL;
   tf->codes[4824] = 0x00043c7e3826473fUL;
   tf->codes[4825] = 0x00043c81e116a38fUL;
   tf->codes[4826] = 0x00043c82cb52baa3UL;
   tf->codes[4827] = 0x00043c8acce08492UL;
   tf->codes[4828] = 0x00043c8b41fe901cUL;
   tf->codes[4829] = 0x00043c8b7c8d95e1UL;
   tf->codes[4830] = 0x00043c95c7b19982UL;
   tf->codes[4831] = 0x00043c97d6b8cd6fUL;
   tf->codes[4832] = 0x00043ca51b201c11UL;
   tf->codes[4833] = 0x00043cb1754b539fUL;
   tf->codes[4834] = 0x00043cb558cab5b4UL;
   tf->codes[4835] = 0x00043cd22b2f8caaUL;
   tf->codes[4836] = 0x00043cd2dadc9df9UL;
   tf->codes[4837] = 0x00043cdd9b1ead24UL;
   tf->codes[4838] = 0x00043cdfe4b4e6d6UL;
   tf->codes[4839] = 0x00043ce5278e6b89UL;
   tf->codes[4840] = 0x00043ceefd9463a0UL;
   tf->codes[4841] = 0x00043cf6c49327caUL;
   tf->codes[4842] = 0x00043cf739b13354UL;
   tf->codes[4843] = 0x00043cf7aecf3edeUL;
   tf->codes[4844] = 0x00043d02e42f5993UL;
   tf->codes[4845] = 0x00043d068d1fb5e3UL;
   tf->codes[4846] = 0x00043d089c26e9d0UL;
   tf->codes[4847] = 0x00043d0d2f535d34UL;
   tf->codes[4848] = 0x00043d15a5ff32adUL;
   tf->codes[4849] = 0x00043d161b1d3e37UL;
   tf->codes[4850] = 0x00043d1ae8d8b760UL;
   tf->codes[4851] = 0x00043d274303eeeeUL;
   tf->codes[4852] = 0x00043d27f2b1003dUL;
   tf->codes[4853] = 0x00043d2a76d63fb4UL;
   tf->codes[4854] = 0x00043d2b26835103UL;
   tf->codes[4855] = 0x00043d2b9ba15c8dUL;
   tf->codes[4856] = 0x00043d2daaa8907aUL;
   tf->codes[4857] = 0x00043d34876b3d90UL;
   tf->codes[4858] = 0x00043d395526b6b9UL;
   tf->codes[4859] = 0x00043d3f823c5280UL;
   tf->codes[4860] = 0x00043d3fbccb5845UL;
   tf->codes[4861] = 0x00043d45e9e0f40cUL;
   tf->codes[4862] = 0x00043d47493b16aaUL;
   tf->codes[4863] = 0x00043d4af22b72faUL;
   tf->codes[4864] = 0x00043d5a4599f589UL;
   tf->codes[4865] = 0x00043d6281b6c53dUL;
   tf->codes[4866] = 0x00043d6ea152f706UL;
   tf->codes[4867] = 0x00043d719a964207UL;
   tf->codes[4868] = 0x00043d72f9f064a5UL;
   tf->codes[4869] = 0x00043d79d6b311bbUL;
   tf->codes[4870] = 0x00043d80b375bed1UL;
   tf->codes[4871] = 0x00043d8d82bf01e9UL;
   tf->codes[4872] = 0x00043d9a52084501UL;
   tf->codes[4873] = 0x00043d9b76d361daUL;
   tf->codes[4874] = 0x00043d9bebf16d64UL;
   tf->codes[4875] = 0x00043da4629d42ddUL;
   tf->codes[4876] = 0x00043da5c1f7657bUL;
   tf->codes[4877] = 0x00043daf5d6e57cdUL;
   tf->codes[4878] = 0x00043db340edb9e2UL;
   tf->codes[4879] = 0x00043dbb07ec7e0cUL;
   tf->codes[4880] = 0x00043dbe3bbeced2UL;
   tf->codes[4881] = 0x00043dc1aa20255dUL;
   tf->codes[4882] = 0x00043dcc2fd32ec3UL;
   tf->codes[4883] = 0x00043dcd549e4b9cUL;
   tf->codes[4884] = 0x00043dd172acb376UL;
   tf->codes[4885] = 0x00043dd79fc24f3dUL;
   tf->codes[4886] = 0x00043dd814e05ac7UL;
   tf->codes[4887] = 0x00043dd84f6f608cUL;
   tf->codes[4888] = 0x00043ddd9248e53fUL;
   tf->codes[4889] = 0x00043de3bf5e8106UL;
   tf->codes[4890] = 0x00043de5ce65b4f3UL;
   tf->codes[4891] = 0x00043de6f330d1ccUL;
   tf->codes[4892] = 0x00043def69dca745UL;
   tf->codes[4893] = 0x00043dfc73b4f022UL;
   tf->codes[4894] = 0x00043dfe482d1e4aUL;
   tf->codes[4895] = 0x00043e0c01b27876UL;
   tf->codes[4896] = 0x00043e12de75258cUL;
   tf->codes[4897] = 0x00043e1403404265UL;
   tf->codes[4898] = 0x00043e15d7b8708dUL;
   tf->codes[4899] = 0x00043e2b1dad891eUL;
   tf->codes[4900] = 0x00043e2d2cb4bd0bUL;
   tf->codes[4901] = 0x00043e352e4286faUL;
   tf->codes[4902] = 0x00043e37ecf6cc36UL;
   tf->codes[4903] = 0x00043e44f6cf1513UL;
   tf->codes[4904] = 0x00043e46562937b1UL;
   tf->codes[4905] = 0x00043e4c48afcdb3UL;
   tf->codes[4906] = 0x00043e4c833ed378UL;
   tf->codes[4907] = 0x00043e4f076412efUL;
   tf->codes[4908] = 0x00043e58684bff7cUL;
   tf->codes[4909] = 0x00043e5a023527dfUL;
   tf->codes[4910] = 0x00043e665c605f6dUL;
   tf->codes[4911] = 0x00043e7032665784UL;
   tf->codes[4912] = 0x00043e70a784630eUL;
   tf->codes[4913] = 0x00043e7206de85acUL;
   tf->codes[4914] = 0x00043e73a0c7ae0fUL;
   tf->codes[4915] = 0x00043e745074bf5eUL;
   tf->codes[4916] = 0x00043e7d76cda626UL;
   tf->codes[4917] = 0x00043e83de7247b2UL;
   tf->codes[4918] = 0x00043e85033d648bUL;
   tf->codes[4919] = 0x00043e899669d7efUL;
   tf->codes[4920] = 0x00043e8e9eb456ddUL;
   tf->codes[4921] = 0x00043e93e18ddb90UL;
   tf->codes[4922] = 0x00043e941c1ce155UL;
   tf->codes[4923] = 0x00043e9540e7fe2eUL;
   tf->codes[4924] = 0x00043e957b7703f3UL;
   tf->codes[4925] = 0x00043ea334fc5e1fUL;
   tf->codes[4926] = 0x00043eafc9b69b72UL;
   tf->codes[4927] = 0x00043eb45ce30ed6UL;
   tf->codes[4928] = 0x00043ec1dbd9633dUL;
   tf->codes[4929] = 0x00043ec3eae0972aUL;
   tf->codes[4930] = 0x00043ec92dba1bddUL;
   tf->codes[4931] = 0x00043edc9f370646UL;
   tf->codes[4932] = 0x00043edf987a5147UL;
   tf->codes[4933] = 0x00043ee1e2108af9UL;
   tf->codes[4934] = 0x00043ee4db53d5faUL;
   tf->codes[4935] = 0x00043eeca2529a24UL;
   tf->codes[4936] = 0x00043eef2677d99bUL;
   tf->codes[4937] = 0x00043ef5538d7562UL;
   tf->codes[4938] = 0x00043efc30502278UL;
   tf->codes[4939] = 0x00043f05cbc714caUL;
   tf->codes[4940] = 0x00043f06f09231a3UL;
   tf->codes[4941] = 0x00043f0b0ea0997dUL;
   tf->codes[4942] = 0x00043f13bfdb74bbUL;
   tf->codes[4943] = 0x00043f260c8d424bUL;
   tf->codes[4944] = 0x00043f2856237bfdUL;
   tf->codes[4945] = 0x00043f3908ec212aUL;
   tf->codes[4946] = 0x00043f3cb1dc7d7aUL;
   tf->codes[4947] = 0x00043f45631758b8UL;
   tf->codes[4948] = 0x00043f4b559deebaUL;
   tf->codes[4949] = 0x00043f50235967e3UL;
   tf->codes[4950] = 0x00043f5182b38a81UL;
   tf->codes[4951] = 0x00043f5824e731d2UL;
   tf->codes[4952] = 0x00043f5da24fbc4aUL;
   tf->codes[4953] = 0x00043f66538a9788UL;
   tf->codes[4954] = 0x00043f668e199d4dUL;
   tf->codes[4955] = 0x00043f677855b461UL;
   tf->codes[4956] = 0x00043f6c80a0334fUL;
   tf->codes[4957] = 0x00043f7397f1e62aUL;
   tf->codes[4958] = 0x00043f7ecd5200dfUL;
   tf->codes[4959] = 0x00043f7f42700c69UL;
   tf->codes[4960] = 0x00043f81c6954be0UL;
   tf->codes[4961] = 0x00043f923eceeb48UL;
   tf->codes[4962] = 0x00043f96d1fb5eacUL;
   tf->codes[4963] = 0x00043f991b91985eUL;
   tf->codes[4964] = 0x00043faa7e074edaUL;
   tf->codes[4965] = 0x00043faba2d26bb3UL;
   tf->codes[4966] = 0x00043fb0ab1ceaa1UL;
   tf->codes[4967] = 0x00043fb0e5abf066UL;
   tf->codes[4968] = 0x00043fb787df97b7UL;
   tf->codes[4969] = 0x00043fc491b7e094UL;
   tf->codes[4970] = 0x00043fc83aa83ce4UL;
   tf->codes[4971] = 0x00043fcbe3989934UL;
   tf->codes[4972] = 0x00043fd8ed70e211UL;
   tf->codes[4973] = 0x00043fda875a0a74UL;
   tf->codes[4974] = 0x00043fe422d0fcc6UL;
   tf->codes[4975] = 0x00043fe7cbc15916UL;
   tf->codes[4976] = 0x00043fe8f08c75efUL;
   tf->codes[4977] = 0x00043fec997cd23fUL;
   tf->codes[4978] = 0x00043ff71f2fdba5UL;
   tf->codes[4979] = 0x00043ffac82037f5UL;
   tf->codes[4980] = 0x00044002c9ae01e4UL;
   tf->codes[4981] = 0x00044003043d07a9UL;
   tf->codes[4982] = 0x00044003b3ea18f8UL;
   tf->codes[4983] = 0x00044005c2f14ce5UL;
   tf->codes[4984] = 0x0004400a90acc60eUL;
   tf->codes[4985] = 0x0004400b4059d75dUL;
   tf->codes[4986] = 0x000440137c76a711UL;
   tf->codes[4987] = 0x0004401675b9f212UL;
   tf->codes[4988] = 0x0004401a1eaa4e62UL;
   tf->codes[4989] = 0x0004401b43756b3bUL;
   tf->codes[4990] = 0x0004401c2db1824fUL;
   tf->codes[4991] = 0x00044024a45d57c8UL;
   tf->codes[4992] = 0x00044029aca7d6b6UL;
   tf->codes[4993] = 0x0004402a21c5e240UL;
   tf->codes[4994] = 0x0004402eef815b69UL;
   tf->codes[4995] = 0x000440329871b7b9UL;
   tf->codes[4996] = 0x00044033bd3cd492UL;
   tf->codes[4997] = 0x00044033f7cbda57UL;
   tf->codes[4998] = 0x00044034a778eba6UL;
   tf->codes[4999] = 0x000440367bf119ceUL;
   tf->codes[5000] = 0x000440372b9e2b1dUL;
   tf->codes[5001] = 0x00044037662d30e2UL;
   tf->codes[5002] = 0x0004403a24e1761eUL;
   tf->codes[5003] = 0x0004403ce395bb5aUL;
   tf->codes[5004] = 0x0004403d58b3c6e4UL;
   tf->codes[5005] = 0x0004404260fe45d2UL;
   tf->codes[5006] = 0x00044044357673faUL;
   tf->codes[5007] = 0x0004404bc1e6325fUL;
   tf->codes[5008] = 0x0004404d965e6087UL;
   tf->codes[5009] = 0x0004404e809a779bUL;
   tf->codes[5010] = 0x0004404f6ad68eafUL;
   tf->codes[5011] = 0x00044050ca30b14dUL;
   tf->codes[5012] = 0x0004405104bfb712UL;
   tf->codes[5013] = 0x000440534e55f0c4UL;
   tf->codes[5014] = 0x00044054389207d8UL;
   tf->codes[5015] = 0x0004405473210d9dUL;
   tf->codes[5016] = 0x0004405647993bc5UL;
   tf->codes[5017] = 0x00044058cbbe7b3cUL;
   tf->codes[5018] = 0x00044059064d8101UL;
   tf->codes[5019] = 0x00044059b5fa9250UL;
   tf->codes[5020] = 0x00044059f0899815UL;
   tf->codes[5021] = 0x0004405a2b189ddaUL;
   tf->codes[5022] = 0x0004406267356d8eUL;
   tf->codes[5023] = 0x000440643bad9bb6UL;
   tf->codes[5024] = 0x00044064763ca17bUL;
   tf->codes[5025] = 0x00044064b0cba740UL;
   tf->codes[5026] = 0x00044066fa61e0f2UL;
   tf->codes[5027] = 0x0004406734f0e6b7UL;
   tf->codes[5028] = 0x0004406a68c3377dUL;
   tf->codes[5029] = 0x0004406cece876f4UL;
   tf->codes[5030] = 0x0004406ec160a51cUL;
   tf->codes[5031] = 0x0004406fe62bc1f5UL;
   tf->codes[5032] = 0x000440738f1c1e45UL;
   tf->codes[5033] = 0x00044073c9ab240aUL;
   tf->codes[5034] = 0x00044074043a29cfUL;
   tf->codes[5035] = 0x00044079f6c0bfd1UL;
   tf->codes[5036] = 0x0004407b561ae26fUL;
   tf->codes[5037] = 0x0004407c4056f983UL;
   tf->codes[5038] = 0x0004407e14cf27abUL;
   tf->codes[5039] = 0x0004407e4f5e2d70UL;
   tf->codes[5040] = 0x000440868b7afd24UL;
   tf->codes[5041] = 0x0004408d2daea475UL;
   tf->codes[5042] = 0x0004408d683daa3aUL;
   tf->codes[5043] = 0x0004408da2ccafffUL;
   tf->codes[5044] = 0x0004408ddd5bb5c4UL;
   tf->codes[5045] = 0x00044093cfe24bc6UL;
   tf->codes[5046] = 0x00044098287fb965UL;
   tf->codes[5047] = 0x0004409ae733fea1UL;
   tf->codes[5048] = 0x0004409de07749a2UL;
   tf->codes[5049] = 0x0004409f7a607205UL;
   tf->codes[5050] = 0x000440a2ae32c2cbUL;
   tf->codes[5051] = 0x000440ab99fca3ceUL;
   tf->codes[5052] = 0x000440b0a24722bcUL;
   tf->codes[5053] = 0x000440ba032f0f49UL;
   tf->codes[5054] = 0x000440ba784d1ad3UL;
   tf->codes[5055] = 0x000440bbd7a73d71UL;
   tf->codes[5056] = 0x000440bc12364336UL;
   tf->codes[5057] = 0x000440bfbb269f86UL;
   tf->codes[5058] = 0x000440c2b469ea87UL;
   tf->codes[5059] = 0x000440c747965debUL;
   tf->codes[5060] = 0x000440c9cbbb9d62UL;
   tf->codes[5061] = 0x000440ca7b68aeb1UL;
   tf->codes[5062] = 0x000440cc1551d714UL;
   tf->codes[5063] = 0x000440d0a87e4a78UL;
   tf->codes[5064] = 0x000440d0e30d503dUL;
   tf->codes[5065] = 0x000440d1582b5bc7UL;
   tf->codes[5066] = 0x000440d192ba618cUL;
   tf->codes[5067] = 0x000440d27cf678a0UL;
   tf->codes[5068] = 0x000440d2b7857e65UL;
   tf->codes[5069] = 0x000440d66075dab5UL;
   tf->codes[5070] = 0x000440da09663705UL;
   tf->codes[5071] = 0x000440dbddde652dUL;
   tf->codes[5072] = 0x000440ded721b02eUL;
   tf->codes[5073] = 0x000440e0ab99de56UL;
   tf->codes[5074] = 0x000440e20af400f4UL;
   tf->codes[5075] = 0x000440e36a4e2392UL;
   tf->codes[5076] = 0x000440e87298a280UL;
   tf->codes[5077] = 0x000440ea0c81cae3UL;
   tf->codes[5078] = 0x000440eb6bdbed81UL;
   tf->codes[5079] = 0x000440efc4795b20UL;
   tf->codes[5080] = 0x000440f1d3808f0dUL;
   tf->codes[5081] = 0x000440f332dab1abUL;
   tf->codes[5082] = 0x000440f57c70eb5dUL;
   tf->codes[5083] = 0x000440f95ff04d72UL;
   tf->codes[5084] = 0x000440fa4a2c6486UL;
   tf->codes[5085] = 0x000440fb6ef7815fUL;
   tf->codes[5086] = 0x000440fd08e0a9c2UL;
   tf->codes[5087] = 0x00044101617e1761UL;
   tf->codes[5088] = 0x000441028649343aUL;
   tf->codes[5089] = 0x00044102fb673fc4UL;
   tf->codes[5090] = 0x000441062f39908aUL;
   tf->codes[5091] = 0x00044106a4579c14UL;
   tf->codes[5092] = 0x0004410cd16d37dbUL;
   tf->codes[5093] = 0x0004410f90217d17UL;
   tf->codes[5094] = 0x0004410fcab082dcUL;
   tf->codes[5095] = 0x00044113ae2fe4f1UL;
   tf->codes[5096] = 0x00044115bd3718deUL;
   tf->codes[5097] = 0x00044116e20235b7UL;
   tf->codes[5098] = 0x000441171c913b7cUL;
   tf->codes[5099] = 0x00044118415c5855UL;
   tf->codes[5100] = 0x000441192b986f69UL;
   tf->codes[5101] = 0x0004411c24dbba6aUL;
   tf->codes[5102] = 0x0004411dbec4e2cdUL;
   tf->codes[5103] = 0x0004411f1e1f056bUL;
   tf->codes[5104] = 0x0004411f933d10f5UL;
   tf->codes[5105] = 0x00044123ebda7e94UL;
   tf->codes[5106] = 0x000441271faccf5aUL;
   tf->codes[5107] = 0x0004412b3dbb3734UL;
   tf->codes[5108] = 0x0004412bb2d942beUL;
   tf->codes[5109] = 0x00044133b4670cadUL;
   tf->codes[5110] = 0x00044140f8ce5b4fUL;
   tf->codes[5111] = 0x000441476072fcdbUL;
   tf->codes[5112] = 0x0004414a1f274217UL;
   tf->codes[5113] = 0x0004414ca34c818eUL;
   tf->codes[5114] = 0x0004414e02a6a42cUL;
   tf->codes[5115] = 0x000441513678f4f2UL;
   tf->codes[5116] = 0x000441563ec373e0UL;
   tf->codes[5117] = 0x0004415a5cd1dbbaUL;
   tf->codes[5118] = 0x0004415ad1efe744UL;
   tf->codes[5119] = 0x0004416014c96bf7UL;
   tf->codes[5120] = 0x0004416223d09fe4UL;
   tf->codes[5121] = 0x000441630e0cb6f8UL;
   tf->codes[5122] = 0x000441659231f66fUL;
   tf->codes[5123] = 0x00044169b0405e49UL;
   tf->codes[5124] = 0x0004416a9a7c755dUL;
   tf->codes[5125] = 0x0004416b84b88c71UL;
   tf->codes[5126] = 0x0004416c6ef4a385UL;
   tf->codes[5127] = 0x0004416d1ea1b4d4UL;
   tf->codes[5128] = 0x0004416dce4ec623UL;
   tf->codes[5129] = 0x0004416eb88add37UL;
   tf->codes[5130] = 0x000441705274059aUL;
   tf->codes[5131] = 0x000441713cb01caeUL;
   tf->codes[5132] = 0x0004417470826d74UL;
   tf->codes[5133] = 0x00044175202f7ec3UL;
   tf->codes[5134] = 0x0004417769c5b875UL;
   tf->codes[5135] = 0x0004417ef63576daUL;
   tf->codes[5136] = 0x00044183c3f0f003UL;
   tf->codes[5137] = 0x0004418598691e2bUL;
   tf->codes[5138] = 0x000441897be88040UL;
   tf->codes[5139] = 0x0004418bc57eb9f2UL;
   tf->codes[5140] = 0x0004418ef9510ab8UL;
   tf->codes[5141] = 0x000441938c7d7e1cUL;
   tf->codes[5142] = 0x00044194b1489af5UL;
   tf->codes[5143] = 0x00044199b99319e3UL;
   tf->codes[5144] = 0x0004419b18ed3c81UL;
   tf->codes[5145] = 0x000441a4b4642ed3UL;
   tf->codes[5146] = 0x000441a613be5171UL;
   tf->codes[5147] = 0x000441a77318740fUL;
   tf->codes[5148] = 0x000441a822c5855eUL;
   tf->codes[5149] = 0x000441ac7b62f2fdUL;
   tf->codes[5150] = 0x000441b26de988ffUL;
   tf->codes[5151] = 0x000441b9bfca419fUL;
   tf->codes[5152] = 0x000441bb94426fc7UL;
   tf->codes[5153] = 0x000441bc7e7e86dbUL;
   tf->codes[5154] = 0x000441be1867af3eUL;
   tf->codes[5155] = 0x000441bf02a3c652UL;
   tf->codes[5156] = 0x000441bf77c1d1dcUL;
   tf->codes[5157] = 0x000441bfecdfdd66UL;
   tf->codes[5158] = 0x000441c4ba9b568fUL;
   tf->codes[5159] = 0x000441c704319041UL;
   tf->codes[5160] = 0x000441c7b3dea190UL;
   tf->codes[5161] = 0x000441c8638bb2dfUL;
   tf->codes[5162] = 0x000441cf7add65baUL;
   tf->codes[5163] = 0x000441d1c4739f6cUL;
   tf->codes[5164] = 0x000441d23991aaf6UL;
   tf->codes[5165] = 0x000441d35e5cc7cfUL;
   tf->codes[5166] = 0x000441d398ebcd94UL;
   tf->codes[5167] = 0x000441d5e2820746UL;
   tf->codes[5168] = 0x000441d77c6b2fa9UL;
   tf->codes[5169] = 0x000441dda980cb70UL;
   tf->codes[5170] = 0x000441df08daee0eUL;
   tf->codes[5171] = 0x000441e326e955e8UL;
   tf->codes[5172] = 0x000441e77f86c387UL;
   tf->codes[5173] = 0x000441eb28771fd7UL;
   tf->codes[5174] = 0x000441ec87d14275UL;
   tf->codes[5175] = 0x000441ecfcef4dffUL;
   tf->codes[5176] = 0x000441efbba3933bUL;
   tf->codes[5177] = 0x000441f2ef75e401UL;
   tf->codes[5178] = 0x000441f5ae2a293dUL;
   tf->codes[5179] = 0x000441f91c8b7fc8UL;
   tf->codes[5180] = 0x000441fc15cecac9UL;
   tf->codes[5181] = 0x00044202085560cbUL;
   tf->codes[5182] = 0x0004420ab9903c09UL;
   tf->codes[5183] = 0x0004420ba3cc531dUL;
   tf->codes[5184] = 0x0004420bde5b58e2UL;
   tf->codes[5185] = 0x0004420ed79ea3e3UL;
   tf->codes[5186] = 0x00044212f5ad0bbdUL;
   tf->codes[5187] = 0x00044213dfe922d1UL;
   tf->codes[5188] = 0x00044215eef056beUL;
   tf->codes[5189] = 0x00044216d92c6dd2UL;
   tf->codes[5190] = 0x000442174e4a795cUL;
   tf->codes[5191] = 0x00044217c36884e6UL;
   tf->codes[5192] = 0x0004421922c2a784UL;
   tf->codes[5193] = 0x0004421a478dc45dUL;
   tf->codes[5194] = 0x000442233357a560UL;
   tf->codes[5195] = 0x00044227c68418c4UL;
   tf->codes[5196] = 0x0004422eddd5cb9fUL;
   tf->codes[5197] = 0x00044233ab9144c8UL;
   tf->codes[5198] = 0x0004423928f9cf40UL;
   tf->codes[5199] = 0x0004423ea66259b8UL;
   tf->codes[5200] = 0x0004423f909e70ccUL;
   tf->codes[5201] = 0x000442412a87992fUL;
   tf->codes[5202] = 0x00044241da34aa7eUL;
   tf->codes[5203] = 0x00044243741dd2e1UL;
   tf->codes[5204] = 0x00044245bdb40c93UL;
   tf->codes[5205] = 0x000442466d611de2UL;
   tf->codes[5206] = 0x0004424df9d0dc47UL;
   tf->codes[5207] = 0x00044254d693895dUL;
   tf->codes[5208] = 0x0004425bb3563673UL;
   tf->codes[5209] = 0x00044261e06bd23aUL;
   tf->codes[5210] = 0x000442621afad7ffUL;
   tf->codes[5211] = 0x000442637a54fa9dUL;
   tf->codes[5212] = 0x00044268f7bd8515UL;
   tf->codes[5213] = 0x0004426bb671ca51UL;
   tf->codes[5214] = 0x0004426c2b8fd5dbUL;
   tf->codes[5215] = 0x00044272cdc37d2cUL;
   tf->codes[5216] = 0x000442751759b6deUL;
   tf->codes[5217] = 0x0004427a5a333b91UL;
   tf->codes[5218] = 0x0004427a94c24156UL;
   tf->codes[5219] = 0x0004427bb98d5e2fUL;
   tf->codes[5220] = 0x00044282d0df110aUL;
   tf->codes[5221] = 0x0004428345fd1c94UL;
   tf->codes[5222] = 0x00044284303933a8UL;
   tf->codes[5223] = 0x000442851a754abcUL;
   tf->codes[5224] = 0x0004428604b161d0UL;
   tf->codes[5225] = 0x000442863f406795UL;
   tf->codes[5226] = 0x00044287297c7ea9UL;
   tf->codes[5227] = 0x000442884e479b82UL;
   tf->codes[5228] = 0x0004428b0cfbe0beUL;
   tf->codes[5229] = 0x0004428d56921a70UL;
   tf->codes[5230] = 0x000442930e89aaadUL;
   tf->codes[5231] = 0x0004429a25db5d88UL;
   tf->codes[5232] = 0x000442a645778f51UL;
   tf->codes[5233] = 0x000442a76a42ac2aUL;
   tf->codes[5234] = 0x000442aa9e14fcf0UL;
   tf->codes[5235] = 0x000442b97c6573f5UL;
   tf->codes[5236] = 0x000442bb50dda21dUL;
   tf->codes[5237] = 0x000442bd2555d045UL;
   tf->codes[5238] = 0x000442be84aff2e3UL;
   tf->codes[5239] = 0x000442c9f49f135dUL;
   tf->codes[5240] = 0x000442cdd81e7572UL;
   tf->codes[5241] = 0x000442d021b4af24UL;
   tf->codes[5242] = 0x000442d05c43b4e9UL;
   tf->codes[5243] = 0x000442d096d2baaeUL;
   tf->codes[5244] = 0x000442d6895950b0UL;
   tf->codes[5245] = 0x000442d7e8b3734eUL;
   tf->codes[5246] = 0x000442d89860849dUL;
   tf->codes[5247] = 0x000442d9829c9bb1UL;
   tf->codes[5248] = 0x000442dc06c1db28UL;
   tf->codes[5249] = 0x000442dfea413d3dUL;
   tf->codes[5250] = 0x000442e3cdc09f52UL;
   tf->codes[5251] = 0x000442e7ebcf072cUL;
   tf->codes[5252] = 0x000442e8265e0cf1UL;
   tf->codes[5253] = 0x000442ea6ff446a3UL;
   tf->codes[5254] = 0x000442ec446c74cbUL;
   tf->codes[5255] = 0x000442ecf419861aUL;
   tf->codes[5256] = 0x000442f11227edf4UL;
   tf->codes[5257] = 0x000442f14cb6f3b9UL;
   tf->codes[5258] = 0x000442f236f30acdUL;
   tf->codes[5259] = 0x000442ff7b5a596fUL;
   tf->codes[5260] = 0x000443044915d298UL;
   tf->codes[5261] = 0x000443056de0ef71UL;
   tf->codes[5262] = 0x00044305a86ff536UL;
   tf->codes[5263] = 0x0004430707ca17d4UL;
   tf->codes[5264] = 0x0004430cfa50add6UL;
   tf->codes[5265] = 0x0004430e59aad074UL;
   tf->codes[5266] = 0x000443102e22fe9cUL;
   tf->codes[5267] = 0x0004431b28f4138cUL;
   tf->codes[5268] = 0x0004431c13302aa0UL;
   tf->codes[5269] = 0x0004431c884e362aUL;
   tf->codes[5270] = 0x0004431cc2dd3befUL;
   tf->codes[5271] = 0x0004431fbc2086f0UL;
   tf->codes[5272] = 0x0004432414bdf48fUL;
   tf->codes[5273] = 0x0004432539891168UL;
   tf->codes[5274] = 0x0004432ff9cb2093UL;
   tf->codes[5275] = 0x0004433502159f81UL;
   tf->codes[5276] = 0x0004433d78c174faUL;
   tf->codes[5277] = 0x00044343e0661686UL;
   tf->codes[5278] = 0x000443441af51c4bUL;
   tf->codes[5279] = 0x00044344caa22d9aUL;
   tf->codes[5280] = 0x00044348ae218fafUL;
   tf->codes[5281] = 0x0004434a8299bdd7UL;
   tf->codes[5282] = 0x0004434b3246cf26UL;
   tf->codes[5283] = 0x0004434ccc2ff789UL;
   tf->codes[5284] = 0x00044354cdbdc178UL;
   tf->codes[5285] = 0x0004435876ae1dc8UL;
   tf->codes[5286] = 0x00044363e69d3e42UL;
   tf->codes[5287] = 0x00044365f5a4722fUL;
   tf->codes[5288] = 0x0004436879c9b1a6UL;
   tf->codes[5289] = 0x000443728a5eaf82UL;
   tf->codes[5290] = 0x000443766dde1197UL;
   tf->codes[5291] = 0x000443771d8b22e6UL;
   tf->codes[5292] = 0x0004437ac67b7f36UL;
   tf->codes[5293] = 0x0004437b76289085UL;
   tf->codes[5294] = 0x0004437bb0b7964aUL;
   tf->codes[5295] = 0x0004437d4aa0beadUL;
   tf->codes[5296] = 0x0004437f59a7f29aUL;
   tf->codes[5297] = 0x00044383b2456039UL;
   tf->codes[5298] = 0x0004438427636bc3UL;
   tf->codes[5299] = 0x0004438670f9a575UL;
   tf->codes[5300] = 0x0004438b042618d9UL;
   tf->codes[5301] = 0x0004438d132d4cc6UL;
   tf->codes[5302] = 0x0004439514bb16b5UL;
   tf->codes[5303] = 0x0004439ca12ad51aUL;
   tf->codes[5304] = 0x0004439eb0320907UL;
   tf->codes[5305] = 0x000443a60212c1a7UL;
   tf->codes[5306] = 0x000443afd818b9beUL;
   tf->codes[5307] = 0x000443b1ac90e7e6UL;
   tf->codes[5308] = 0x000443b8895394fcUL;
   tf->codes[5309] = 0x000443ba5dcbc324UL;
   tf->codes[5310] = 0x000443be414b2539UL;
   tf->codes[5311] = 0x000443bf2b873c4dUL;
   tf->codes[5312] = 0x000443c224ca874eUL;
   tf->codes[5313] = 0x000443c433d1bb3bUL;
   tf->codes[5314] = 0x000443c8c6fe2e9fUL;
   tf->codes[5315] = 0x000443cdcf48ad8dUL;
   tf->codes[5316] = 0x000443d08dfcf2c9UL;
   tf->codes[5317] = 0x000443d3fc5e4954UL;
   tf->codes[5318] = 0x000443d6bb128e90UL;
   tf->codes[5319] = 0x000443d7dfddab69UL;
   tf->codes[5320] = 0x000443dbfdec1343UL;
   tf->codes[5321] = 0x000443e5d3f20b5aUL;
   tf->codes[5322] = 0x000443e60e81111fUL;
   tf->codes[5323] = 0x000443e6be2e226eUL;
   tf->codes[5324] = 0x000443e9b7716d6fUL;
   tf->codes[5325] = 0x000443ed25d2c3faUL;
   tf->codes[5326] = 0x000443f094341a85UL;
   tf->codes[5327] = 0x000443fbc994353aUL;
   tf->codes[5328] = 0x00044409f8379af0UL;
   tf->codes[5329] = 0x0004440b5791bd8eUL;
   tf->codes[5330] = 0x0004440da127f740UL;
   tf->codes[5331] = 0x00044410254d36b7UL;
   tf->codes[5332] = 0x000444114a185390UL;
   tf->codes[5333] = 0x00044411f9c564dfUL;
   tf->codes[5334] = 0x00044412e4017bf3UL;
   tf->codes[5335] = 0x00044414435b9e91UL;
   tf->codes[5336] = 0x000444165262d27eUL;
   tf->codes[5337] = 0x0004441cf49679cfUL;
   tf->codes[5338] = 0x00044421fce0f8bdUL;
   tf->codes[5339] = 0x000444298950b722UL;
   tf->codes[5340] = 0x0004442d32411372UL;
   tf->codes[5341] = 0x000444323a8b9260UL;
   tf->codes[5342] = 0x0004443b9b737eedUL;
   tf->codes[5343] = 0x0004443f7ef2e102UL;
   tf->codes[5344] = 0x0004444536ea713fUL;
   tf->codes[5345] = 0x00044446964493ddUL;
   tf->codes[5346] = 0x00044448dfdacd8fUL;
   tf->codes[5347] = 0x0004444b9e8f12cbUL;
   tf->codes[5348] = 0x0004444fbc9d7aa5UL;
   tf->codes[5349] = 0x00044450a6d991b9UL;
   tf->codes[5350] = 0x000444515686a308UL;
   tf->codes[5351] = 0x0004445a4250840bUL;
   tf->codes[5352] = 0x0004445a7cdf89d0UL;
   tf->codes[5353] = 0x0004445d7622d4d1UL;
   tf->codes[5354] = 0x000444627e6d53bfUL;
   tf->codes[5355] = 0x000444671199c723UL;
   tf->codes[5356] = 0x0004446b2fa82efdUL;
   tf->codes[5357] = 0x0004446f88459c9cUL;
   tf->codes[5358] = 0x000444769f974f77UL;
   tf->codes[5359] = 0x00044477c4626c50UL;
   tf->codes[5360] = 0x0004447a8316b18cUL;
   tf->codes[5361] = 0x0004447b32c3c2dbUL;
   tf->codes[5362] = 0x00044488772b117dUL;
   tf->codes[5363] = 0x0004448a111439e0UL;
   tf->codes[5364] = 0x0004448d0a5784e1UL;
   tf->codes[5365] = 0x000444903e29d5a7UL;
   tf->codes[5366] = 0x0004449078b8db6cUL;
   tf->codes[5367] = 0x0004449287c00f59UL;
   tf->codes[5368] = 0x00044499d9a0c7f9UL;
   tf->codes[5369] = 0x0004449e323e3598UL;
   tf->codes[5370] = 0x000444ab76a5843aUL;
   tf->codes[5371] = 0x000444b4d78d70c7UL;
   tf->codes[5372] = 0x000444bb04a30c8eUL;
   tf->codes[5373] = 0x000444be38755d54UL;
   tf->codes[5374] = 0x000444bead9368deUL;
   tf->codes[5375] = 0x000444cdc672e5a8UL;
   tf->codes[5376] = 0x000444ce3b90f132UL;
   tf->codes[5377] = 0x000444d16f6341f8UL;
   tf->codes[5378] = 0x000444d3b8f97baaUL;
   tf->codes[5379] = 0x000444d7275ad235UL;
   tf->codes[5380] = 0x000444d936620622UL;
   tf->codes[5381] = 0x000444da209e1d36UL;
   tf->codes[5382] = 0x000444e30c67fe39UL;
   tf->codes[5383] = 0x000444e79f94719dUL;
   tf->codes[5384] = 0x000444e7da237762UL;
   tf->codes[5385] = 0x000444e8c45f8e76UL;
   tf->codes[5386] = 0x000444f1b0296f79UL;
   tf->codes[5387] = 0x000444f51e8ac604UL;
   tf->codes[5388] = 0x000444f76820ffb6UL;
   tf->codes[5389] = 0x000444f7dd3f0b40UL;
   tf->codes[5390] = 0x00044503129f25f5UL;
   tf->codes[5391] = 0x000445090525bbf7UL;
   tf->codes[5392] = 0x0004450bc3da0133UL;
   tf->codes[5393] = 0x00044513fff6d0e7UL;
   tf->codes[5394] = 0x000445143a85d6acUL;
   tf->codes[5395] = 0x0004451908414fd5UL;
   tf->codes[5396] = 0x00044519f27d66e9UL;
   tf->codes[5397] = 0x00044529807aef3dUL;
   tf->codes[5398] = 0x0004452fe81f90c9UL;
   tf->codes[5399] = 0x0004453d6715e530UL;
   tf->codes[5400] = 0x00044542e47e6fa8UL;
   tf->codes[5401] = 0x0004454aab7d33d2UL;
   tf->codes[5402] = 0x000445556bbf42fdUL;
   tf->codes[5403] = 0x00044555e0dd4e87UL;
   tf->codes[5404] = 0x0004455a7409c1ebUL;
   tf->codes[5405] = 0x0004455b23b6d33aUL;
   tf->codes[5406] = 0x0004456ab1b45b8eUL;
   tf->codes[5407] = 0x0004456aec436153UL;
   tf->codes[5408] = 0x0004456f0a51c92dUL;
   tf->codes[5409] = 0x0004457328603107UL;
   tf->codes[5410] = 0x00044579ca93d858UL;
   tf->codes[5411] = 0x0004457c4eb917cfUL;
   tf->codes[5412] = 0x0004457f47fc62d0UL;
   tf->codes[5413] = 0x000445848ad5e783UL;
   tf->codes[5414] = 0x0004458cc6f2b737UL;
   tf->codes[5415] = 0x0004459d049d50daUL;
   tf->codes[5416] = 0x0004459e29686db3UL;
   tf->codes[5417] = 0x000445b41f0a9793UL;
   tf->codes[5418] = 0x000445b99c73220bUL;
   tf->codes[5419] = 0x000445be6a2e9b34UL;
   tf->codes[5420] = 0x000445c422262b71UL;
   tf->codes[5421] = 0x000445c50c624285UL;
   tf->codes[5422] = 0x000445c6e0da70adUL;
   tf->codes[5423] = 0x000445c8efe1a49aUL;
   tf->codes[5424] = 0x000445ca4f3bc738UL;
   tf->codes[5425] = 0x000445cd830e17feUL;
   tf->codes[5426] = 0x000445cf92154bebUL;
   tf->codes[5427] = 0x000445d4d4eed09eUL;
   tf->codes[5428] = 0x000445d6a966fec6UL;
   tf->codes[5429] = 0x000445d808c12164UL;
   tf->codes[5430] = 0x000445d9dd394f8cUL;
   tf->codes[5431] = 0x000445da52575b16UL;
   tf->codes[5432] = 0x000445dc9bed94c8UL;
   tf->codes[5433] = 0x000445dd8629abdcUL;
   tf->codes[5434] = 0x000445ddfb47b766UL;
   tf->codes[5435] = 0x000445e49d7b5eb7UL;
   tf->codes[5436] = 0x000445f1e1e2ad59UL;
   tf->codes[5437] = 0x000445f42b78e70bUL;
   tf->codes[5438] = 0x000445f515b4fe1fUL;
   tf->codes[5439] = 0x000445facdac8e5cUL;
   tf->codes[5440] = 0x00044604a3b28673UL;
   tf->codes[5441] = 0x0004460518d091fdUL;
   tf->codes[5442] = 0x0004460d54ed61b1UL;
   tf->codes[5443] = 0x0004460e3f2978c5UL;
   tf->codes[5444] = 0x00044615cb99372aUL;
   tf->codes[5445] = 0x00044616f0645403UL;
   tf->codes[5446] = 0x0004461c6dccde7bUL;
   tf->codes[5447] = 0x0004461d9297fb54UL;
   tf->codes[5448] = 0x0004464d9beab6eeUL;
   tf->codes[5449] = 0x000446505a9efc2aUL;
   tf->codes[5450] = 0x000446594668dd2dUL;
   tf->codes[5451] = 0x0004465b5570111aUL;
   tf->codes[5452] = 0x0004465e4eb35c1bUL;
   tf->codes[5453] = 0x00044673cf377a71UL;
   tf->codes[5454] = 0x0004467ae6892d4cUL;
   tf->codes[5455] = 0x00044694851bb37cUL;
   tf->codes[5456] = 0x000446982e0c0fccUL;
   tf->codes[5457] = 0x00044699184826e0UL;
   tf->codes[5458] = 0x0004469c4c1a77a6UL;
   tf->codes[5459] = 0x000446a7817a925bUL;
   tf->codes[5460] = 0x000446ab9f88fa35UL;
   tf->codes[5461] = 0x000446b3a116c424UL;
   tf->codes[5462] = 0x000446b784962639UL;
   tf->codes[5463] = 0x000446b7f9b431c3UL;
   tf->codes[5464] = 0x000446bcc76faaecUL;
   tf->codes[5465] = 0x000446c1952b2415UL;
   tf->codes[5466] = 0x000446c9d147f3c9UL;
   tf->codes[5467] = 0x000446cfc3ce89cbUL;
   tf->codes[5468] = 0x000446d6a09136e1UL;
   tf->codes[5469] = 0x000446d78acd4df5UL;
   tf->codes[5470] = 0x000446da49819331UL;
   tf->codes[5471] = 0x000446e45a16910dUL;
   tf->codes[5472] = 0x000446ef1a58a038UL;
   tf->codes[5473] = 0x000446f0eed0ce60UL;
   tf->codes[5474] = 0x000446f4d2503075UL;
   tf->codes[5475] = 0x000446f8b5cf928aUL;
   tf->codes[5476] = 0x000446fb39f4d201UL;
   tf->codes[5477] = 0x0004470425beb304UL;
   tf->codes[5478] = 0x0004470a8d635490UL;
   tf->codes[5479] = 0x0004471c2a6810d1UL;
   tf->codes[5480] = 0x0004471c9f861c5bUL;
   tf->codes[5481] = 0x00044726b01b1a37UL;
   tf->codes[5482] = 0x0004472dc76ccd12UL;
   tf->codes[5483] = 0x0004472e7719de61UL;
   tf->codes[5484] = 0x00044733f48268d9UL;
   tf->codes[5485] = 0x00044739375bed8cUL;
   tf->codes[5486] = 0x00044744a74b0e06UL;
   tf->codes[5487] = 0x0004474a5f429e43UL;
   tf->codes[5488] = 0x0004474c6e49d230UL;
   tf->codes[5489] = 0x0004475101764594UL;
   tf->codes[5490] = 0x000447572e8be15bUL;
   tf->codes[5491] = 0x00044759b2b120d2UL;
   tf->codes[5492] = 0x000447660cdc5860UL;
   tf->codes[5493] = 0x0004476d5ebd1100UL;
   tf->codes[5494] = 0x0004477267078feeUL;
   tf->codes[5495] = 0x00044778598e25f0UL;
   tf->codes[5496] = 0x0004477cecba9954UL;
   tf->codes[5497] = 0x00044781ba76127dUL;
   tf->codes[5498] = 0x000447843e9b51f4UL;
   tf->codes[5499] = 0x0004478fe9197833UL;
   tf->codes[5500] = 0x000447905e3783bdUL;
   tf->codes[5501] = 0x00044793577acebeUL;
   tf->codes[5502] = 0x000447ac0bd13ddaUL;
   tf->codes[5503] = 0x000447b56cb92a67UL;
   tf->codes[5504] = 0x000447bfb7dd2e08UL;
   tf->codes[5505] = 0x000447bff26c33cdUL;
   tf->codes[5506] = 0x000447c3d5eb95e2UL;
   tf->codes[5507] = 0x000447c56fd4be45UL;
   tf->codes[5508] = 0x000447c5e4f2c9cfUL;
   tf->codes[5509] = 0x000447c7f3f9fdbcUL;
   tf->codes[5510] = 0x000447c8de3614d0UL;
   tf->codes[5511] = 0x000447cc87267120UL;
   tf->codes[5512] = 0x000447d44e25354aUL;
   tf->codes[5513] = 0x000447de994938ebUL;
   tf->codes[5514] = 0x000447e66047fd15UL;
   tf->codes[5515] = 0x000447effbbeef67UL;
   tf->codes[5516] = 0x000447f2ba7334a3UL;
   tf->codes[5517] = 0x000447f419cd5741UL;
   tf->codes[5518] = 0x000447fba63d15a6UL;
   tf->codes[5519] = 0x000447fdb5444993UL;
   tf->codes[5520] = 0x0004483eabeeb01fUL;
   tf->codes[5521] = 0x0004483f962ac733UL;
   tf->codes[5522] = 0x000448400b48d2bdUL;
   tf->codes[5523] = 0x0004484d4fb0215fUL;
   tf->codes[5524] = 0x0004484e39ec3873UL;
   tf->codes[5525] = 0x000448580ff2308aUL;
   tf->codes[5526] = 0x0004485bf371929fUL;
   tf->codes[5527] = 0x000448772bed4132UL;
   tf->codes[5528] = 0x0004487850b85e0bUL;
   tf->codes[5529] = 0x000448905561bbd8UL;
   tf->codes[5530] = 0x00044894e88e2f3cUL;
   tf->codes[5531] = 0x0004489b5032d0c8UL;
   tf->codes[5532] = 0x0004489b8ac1d68dUL;
   tf->codes[5533] = 0x000448ac02fb75f5UL;
   tf->codes[5534] = 0x000448b9bc80d021UL;
   tf->codes[5535] = 0x000448e3d34cf5b9UL;
   tf->codes[5536] = 0x000448e40ddbfb7eUL;
   tf->codes[5537] = 0x000448e56d361e1cUL;
   tf->codes[5538] = 0x000448e5a7c523e1UL;
   tf->codes[5539] = 0x000448e98b4485f6UL;
   tf->codes[5540] = 0x000448ee1e70f95aUL;
   tf->codes[5541] = 0x000448ee938f04e4UL;
   tf->codes[5542] = 0x000448f2b19d6cbeUL;
   tf->codes[5543] = 0x000448f486159ae6UL;
   tf->codes[5544] = 0x00044905adfc4b9dUL;
   tf->codes[5545] = 0x000449091c5da228UL;
   tf->codes[5546] = 0x0004490956eca7edUL;
   tf->codes[5547] = 0x0004490c502ff2eeUL;
   tf->codes[5548] = 0x0004491a09b54d1aUL;
   tf->codes[5549] = 0x0004491f871dd792UL;
   tf->codes[5550] = 0x00044934cd12f023UL;
   tf->codes[5551] = 0x00044936a18b1e4bUL;
   tf->codes[5552] = 0x0004493800e540e9UL;
   tf->codes[5553] = 0x0004493c5982ae88UL;
   tf->codes[5554] = 0x0004493e2dfadcb0UL;
   tf->codes[5555] = 0x0004494d46da597aUL;
   tf->codes[5556] = 0x0004494ee0c381ddUL;
   tf->codes[5557] = 0x000449512a59bb8fUL;
   tf->codes[5558] = 0x000449533960ef7cUL;
   tf->codes[5559] = 0x00044954239d0690UL;
   tf->codes[5560] = 0x000449566d334042UL;
   tf->codes[5561] = 0x00044957576f5756UL;
   tf->codes[5562] = 0x00044958f1587fb9UL;
   tf->codes[5563] = 0x0004495a16239c92UL;
   tf->codes[5564] = 0x0004495d0f66e793UL;
   tf->codes[5565] = 0x0004496217b16681UL;
   tf->codes[5566] = 0x00044963ec2994a9UL;
   tf->codes[5567] = 0x0004496f96a7bae8UL;
   tf->codes[5568] = 0x000449721accfa5fUL;
   tf->codes[5569] = 0x0004498551badf03UL;
   tf->codes[5570] = 0x0004498760c212f0UL;
   tf->codes[5571] = 0x00044995c9f47e6bUL;
   tf->codes[5572] = 0x0004499ca6b72b81UL;
   tf->codes[5573] = 0x000449ab4a789cc1UL;
   tf->codes[5574] = 0x000449b3fbb377ffUL;
   tf->codes[5575] = 0x000449bfa6319e3eUL;
   tf->codes[5576] = 0x000449c01b4fa9c8UL;
   tf->codes[5577] = 0x000449c1efc7d7f0UL;
   tf->codes[5578] = 0x000449c4ae7c1d2cUL;
   tf->codes[5579] = 0x000449c907198acbUL;
   tf->codes[5580] = 0x000449cd2527f2a5UL;
   tf->codes[5581] = 0x000449d4b197b10aUL;
   tf->codes[5582] = 0x000449e85da3a138UL;
   tf->codes[5583] = 0x000449fc09af9166UL;
   tf->codes[5584] = 0x00044a1239e0c10bUL;
   tf->codes[5585] = 0x00044a12e98dd25aUL;
   tf->codes[5586] = 0x00044a135eabdde4UL;
   tf->codes[5587] = 0x00044a140e58ef33UL;
   tf->codes[5588] = 0x00044a1e1eeded0fUL;
   tf->codes[5589] = 0x00044a286a11f0b0UL;
   tf->codes[5590] = 0x00044a34149016efUL;
   tf->codes[5591] = 0x00044a495a852f80UL;
   tf->codes[5592] = 0x00044a649300de13UL;
   tf->codes[5593] = 0x00044a71d7682cb5UL;
   tf->codes[5594] = 0x00044a72c1a443c9UL;
   tf->codes[5595] = 0x00044a7420fe6667UL;
   tf->codes[5596] = 0x00044a7b38501942UL;
   tf->codes[5597] = 0x00044a7d0cc8476aUL;
   tf->codes[5598] = 0x00044a80f047a97fUL;
   tf->codes[5599] = 0x00044a84d3c70b94UL;
   tf->codes[5600] = 0x00044a8548e5171eUL;
   tf->codes[5601] = 0x00044a8beb18be6fUL;
   tf->codes[5602] = 0x00044a8c6036c9f9UL;
   tf->codes[5603] = 0x00044a9252bd5ffbUL;
   tf->codes[5604] = 0x00044a9f2206a313UL;
   tf->codes[5605] = 0x00044ab1e3d67c2dUL;
   tf->codes[5606] = 0x00044ab517a8ccf3UL;
   tf->codes[5607] = 0x00044ab7613f06a5UL;
   tf->codes[5608] = 0x00044abb7f4d6e7fUL;
   tf->codes[5609] = 0x00044abd53c59ca7UL;
   tf->codes[5610] = 0x00044abd8e54a26cUL;
   tf->codes[5611] = 0x00044ac3f5f943f8UL;
   tf->codes[5612] = 0x00044acd9170364aUL;
   tf->codes[5613] = 0x00044ad46e32e360UL;
   tf->codes[5614] = 0x00044ae1ed2937c7UL;
   tf->codes[5615] = 0x00044aea63d50d40UL;
   tf->codes[5616] = 0x00044aec72dc412dUL;
   tf->codes[5617] = 0x00044aed97a75e06UL;
   tf->codes[5618] = 0x00044af6be0044ceUL;
   tf->codes[5619] = 0x00044b02dd9c7697UL;
   tf->codes[5620] = 0x00044b03182b7c5cUL;
   tf->codes[5621] = 0x00044b043cf69935UL;
   tf->codes[5622] = 0x00044b0fe774bf74UL;
   tf->codes[5623] = 0x00044b16c4376c8aUL;
   tf->codes[5624] = 0x00044b1c0710f13dUL;
   tf->codes[5625] = 0x00044b205fae5edcUL;
   tf->codes[5626] = 0x00044b36555088bcUL;
   tf->codes[5627] = 0x00044b37b4aaab5aUL;
   tf->codes[5628] = 0x00044b3b982a0d6fUL;
   tf->codes[5629] = 0x00044b3fb6387549UL;
   tf->codes[5630] = 0x00044b3ff0c77b0eUL;
   tf->codes[5631] = 0x00044b4692fb225fUL;
   tf->codes[5632] = 0x00044b5620f8aab3UL;
   tf->codes[5633] = 0x00044b5a04780cc8UL;
   tf->codes[5634] = 0x00044b5b9e61352bUL;
   tf->codes[5635] = 0x00044b686daa7843UL;
   tf->codes[5636] = 0x00044b6ba17cc909UL;
   tf->codes[5637] = 0x00044b7ffd35ca86UL;
   tf->codes[5638] = 0x00044b895e1db713UL;
   tf->codes[5639] = 0x00044b8d7c2c1eedUL;
   tf->codes[5640] = 0x00044b8f8b3352daUL;
   tf->codes[5641] = 0x00044b8fc5c2589fUL;
   tf->codes[5642] = 0x00044b920f589251UL;
   tf->codes[5643] = 0x00044b9f53bfe0f3UL;
   tf->codes[5644] = 0x00044bb1a071ae83UL;
   tf->codes[5645] = 0x00044bb6a8bc2d71UL;
   tf->codes[5646] = 0x00044bb842a555d4UL;
   tf->codes[5647] = 0x00044bc044331fc3UL;
   tf->codes[5648] = 0x00044bc8badef53cUL;
   tf->codes[5649] = 0x00044bc92ffd00c6UL;
   tf->codes[5650] = 0x00044bdc2c5bdfa5UL;
   tf->codes[5651] = 0x00044beca4957f0dUL;
   tf->codes[5652] = 0x00044bee03efa1abUL;
   tf->codes[5653] = 0x00044beeee2bb8bfUL;
   tf->codes[5654] = 0x00044bf0c2a3e6e7UL;
   tf->codes[5655] = 0x00044bf3bbe731e8UL;
   tf->codes[5656] = 0x00044bfc32930761UL;
   tf->codes[5657] = 0x00044c060898ff78UL;
   tf->codes[5658] = 0x00044c0bc0908fb5UL;
   tf->codes[5659] = 0x00044c0dcf97c3a2UL;
   tf->codes[5660] = 0x00044c0e0a26c967UL;
   tf->codes[5661] = 0x00044c13fcad5f69UL;
   tf->codes[5662] = 0x00044c2f6fb813c1UL;
   tf->codes[5663] = 0x00044c3268fb5ec2UL;
   tf->codes[5664] = 0x00044c47e97f7d18UL;
   tf->codes[5665] = 0x00044c4ddc06131aUL;
   tf->codes[5666] = 0x00044c514a6769a5UL;
   tf->codes[5667] = 0x00044c54f357c5f5UL;
   tf->codes[5668] = 0x00044c5a36314aa8UL;
   tf->codes[5669] = 0x00044c5a70c0506dUL;
   tf->codes[5670] = 0x00044c5cf4e58fe4UL;
   tf->codes[5671] = 0x00044c5e19b0acbdUL;
   tf->codes[5672] = 0x00044c67efb6a4d4UL;
   tf->codes[5673] = 0x00044c68d9f2bbe8UL;
   tf->codes[5674] = 0x00044c6aae6aea10UL;
   tf->codes[5675] = 0x00044c6da7ae3511UL;
   tf->codes[5676] = 0x00044c7066627a4dUL;
   tf->codes[5677] = 0x00044c7693781614UL;
   tf->codes[5678] = 0x00044c7cfb1cb7a0UL;
   tf->codes[5679] = 0x00044c8c4e8b3a2fUL;
   tf->codes[5680] = 0x00044c90e1b7ad93UL;
   tf->codes[5681] = 0x00044c9b676ab6f9UL;
   tf->codes[5682] = 0x00044c9cc6c4d997UL;
   tf->codes[5683] = 0x00044ca9960e1cafUL;
   tf->codes[5684] = 0x00044cac8f5167b0UL;
   tf->codes[5685] = 0x00044caf1376a727UL;
   tf->codes[5686] = 0x00044cb0e7eed54fUL;
   tf->codes[5687] = 0x00044cba48d6c1dcUL;
   tf->codes[5688] = 0x00044cbd078b0718UL;
   tf->codes[5689] = 0x00044cc5b8c5e256UL;
   tf->codes[5690] = 0x00044cc6dd90ff2fUL;
   tf->codes[5691] = 0x00044cc83ceb21cdUL;
   tf->codes[5692] = 0x00044cd630ff81beUL;
   tf->codes[5693] = 0x00044cdb73d90671UL;
   tf->codes[5694] = 0x00044ce549defe88UL;
   tf->codes[5695] = 0x00044cf00a210db3UL;
   tf->codes[5696] = 0x00044cf28e464d2aUL;
   tf->codes[5697] = 0x00044cfdfe356da4UL;
   tf->codes[5698] = 0x00044d0b7d2bc20bUL;
   tf->codes[5699] = 0x00044d2ca82e06a0UL;
   tf->codes[5700] = 0x00044d2e7ca634c8UL;
   tf->codes[5701] = 0x00044d33fa0ebf40UL;
   tf->codes[5702] = 0x00044d37a2ff1b90UL;
   tf->codes[5703] = 0x00044d3bc10d836aUL;
   tf->codes[5704] = 0x00044d490574d20cUL;
   tf->codes[5705] = 0x00044d4cae652e5cUL;
   tf->codes[5706] = 0x00044d4d238339e6UL;
   tf->codes[5707] = 0x00044d4dd3304b35UL;
   tf->codes[5708] = 0x00044d5091e49071UL;
   tf->codes[5709] = 0x00044d56befa2c38UL;
   tf->codes[5710] = 0x00044d5e4b69ea9dUL;
   tf->codes[5711] = 0x00044d5ec087f627UL;
   tf->codes[5712] = 0x00044d5faac40d3bUL;
   tf->codes[5713] = 0x00044d6c3f7e4a8eUL;
   tf->codes[5714] = 0x00044d6e4e857e7bUL;
   tf->codes[5715] = 0x00044d73cbee08f3UL;
   tf->codes[5716] = 0x00044d911370eb73UL;
   tf->codes[5717] = 0x00044d9fb7325cb3UL;
   tf->codes[5718] = 0x00044da659660404UL;
   tf->codes[5719] = 0x00044dacfb99ab55UL;
   tf->codes[5720] = 0x00044dad3628b11aUL;
   tf->codes[5721] = 0x00044db328af471cUL;
   tf->codes[5722] = 0x00044dc958e076c1UL;
   tf->codes[5723] = 0x00044dce269befeaUL;
   tf->codes[5724] = 0x00044dced6490139UL;
   tf->codes[5725] = 0x00044dd194fd4675UL;
   tf->codes[5726] = 0x00044dd20a1b51ffUL;
   tf->codes[5727] = 0x00044dd244aa57c4UL;
   tf->codes[5728] = 0x00044dd48e409176UL;
   tf->codes[5729] = 0x00044dd95bfc0a9fUL;
   tf->codes[5730] = 0x00044ddc8fce5b65UL;
   tf->codes[5731] = 0x00044ddd7a0a7279UL;
   tf->codes[5732] = 0x00044ddffe2fb1f0UL;
   tf->codes[5733] = 0x00044de5f0b647f2UL;
   tf->codes[5734] = 0x00044defc6bc4009UL;
   tf->codes[5735] = 0x00044dfb36ab6083UL;
   tf->codes[5736] = 0x00044dfd45b29470UL;
   tf->codes[5737] = 0x00044e03e7e63bc1UL;
   tf->codes[5738] = 0x00044e0a8a19e312UL;
   tf->codes[5739] = 0x00044e0ac4a8e8d7UL;
   tf->codes[5740] = 0x00044e0b7455fa26UL;
   tf->codes[5741] = 0x00044e0f92646200UL;
   tf->codes[5742] = 0x00044e0fccf367c5UL;
   tf->codes[5743] = 0x00044e1007826d8aUL;
   tf->codes[5744] = 0x00044e166f270f16UL;
   tf->codes[5745] = 0x00044e1bec8f998eUL;
   tf->codes[5746] = 0x00044e23ee1d637dUL;
   tf->codes[5747] = 0x00044e300db99546UL;
   tf->codes[5748] = 0x00044e34db750e6fUL;
   tf->codes[5749] = 0x00044e396ea181d3UL;
   tf->codes[5750] = 0x00044e3acdfba471UL;
   tf->codes[5751] = 0x00044e3e3c5cfafcUL;
   tf->codes[5752] = 0x00044e3f9bb71d9aUL;
   tf->codes[5753] = 0x00044e43f4548b39UL;
   tf->codes[5754] = 0x00044e4553aeadd7UL;
   tf->codes[5755] = 0x00044e4d553c77c6UL;
   tf->codes[5756] = 0x00044e5a99a3c668UL;
   tf->codes[5757] = 0x00044e60170c50e0UL;
   tf->codes[5758] = 0x00044e6559e5d593UL;
   tf->codes[5759] = 0x00044e6b4c6c6b95UL;
   tf->codes[5760] = 0x00044e6b86fb715aUL;
   tf->codes[5761] = 0x00044e6dd091ab0cUL;
   tf->codes[5762] = 0x00044e7ada69f3e9UL;
   tf->codes[5763] = 0x00044e81077f8fb0UL;
   tf->codes[5764] = 0x00044e81b72ca0ffUL;
   tf->codes[5765] = 0x00044e881ed1428bUL;
   tf->codes[5766] = 0x00044e8fab4100f0UL;
   tf->codes[5767] = 0x00044e99f6650491UL;
   tf->codes[5768] = 0x00044e9dd9e466a6UL;
   tf->codes[5769] = 0x00044e9f393e8944UL;
   tf->codes[5770] = 0x00044eb4b9c2a79aUL;
   tf->codes[5771] = 0x00044ebc80c16bc4UL;
   tf->codes[5772] = 0x00044ec3d2a22464UL;
   tf->codes[5773] = 0x00044ec4bcde3b78UL;
   tf->codes[5774] = 0x00044ec61c385e16UL;
   tf->codes[5775] = 0x00044ecc83dcffa2UL;
   tf->codes[5776] = 0x00044ed1519878cbUL;
   tf->codes[5777] = 0x00044ed77eae1492UL;
   tf->codes[5778] = 0x00044ed918973cf5UL;
   tf->codes[5779] = 0x00044eda3d6259ceUL;
   tf->codes[5780] = 0x00044ede5b70c1a8UL;
   tf->codes[5781] = 0x00044ee18f43126eUL;
   tf->codes[5782] = 0x00044ef53b4f029cUL;
   tf->codes[5783] = 0x00044ef834924d9dUL;
   tf->codes[5784] = 0x00044ef8a9b05927UL;
   tf->codes[5785] = 0x00044efd024dc6c6UL;
   tf->codes[5786] = 0x00044efed6c5f4eeUL;
   tf->codes[5787] = 0x00044f08723ce740UL;
   tf->codes[5788] = 0x00044f08e75af2caUL;
   tf->codes[5789] = 0x00044f0c1b2d4390UL;
   tf->codes[5790] = 0x00044f1db831ffd1UL;
   tf->codes[5791] = 0x00044f1f178c226fUL;
   tf->codes[5792] = 0x00044f24cf83b2acUL;
   tf->codes[5793] = 0x00044f2753a8f223UL;
   tf->codes[5794] = 0x00044f299d3f2bd5UL;
   tf->codes[5795] = 0x00044f2b71b759fdUL;
   tf->codes[5796] = 0x00044f3129aeea3aUL;
   tf->codes[5797] = 0x00044f3756c48601UL;
   tf->codes[5798] = 0x00044f392b3cb429UL;
   tf->codes[5799] = 0x00044f3a8a96d6c7UL;
   tf->codes[5800] = 0x00044f3f58524ff0UL;
   tf->codes[5801] = 0x00044f48441c30f3UL;
   tf->codes[5802] = 0x00044f4eabc0d27fUL;
   tf->codes[5803] = 0x00044f5045a9fae2UL;
   tf->codes[5804] = 0x00044f55c312855aUL;
   tf->codes[5805] = 0x00044f58bc55d05bUL;
   tf->codes[5806] = 0x00044f5c9fd53270UL;
   tf->codes[5807] = 0x00044f630779d3fcUL;
   tf->codes[5808] = 0x00044f6600bd1efdUL;
   tf->codes[5809] = 0x00044f6b4396a3b0UL;
   tf->codes[5810] = 0x00044f6e7768f476UL;
   tf->codes[5811] = 0x00044f6f9c34114fUL;
   tf->codes[5812] = 0x00044f758ebaa751UL;
   tf->codes[5813] = 0x00044f89003791baUL;
   tf->codes[5814] = 0x00044f8b0f3ec5a7UL;
   tf->codes[5815] = 0x00044f8bbeebd6f6UL;
   tf->codes[5816] = 0x00044f8d1e45f994UL;
   tf->codes[5817] = 0x00044f93c079a0e5UL;
   tf->codes[5818] = 0x00044f9ef5d9bb9aUL;
   tf->codes[5819] = 0x00044fa4e860519cUL;
   tf->codes[5820] = 0x00044fb0cd6d7da0UL;
   tf->codes[5821] = 0x00044fb6fa831967UL;
   tf->codes[5822] = 0x00044fbc02cd9855UL;
   tf->codes[5823] = 0x00044fbefc10e356UL;
   tf->codes[5824] = 0x00044fc981c3ecbcUL;
   tf->codes[5825] = 0x00044fca6c0003d0UL;
   tf->codes[5826] = 0x00044fd7b0675272UL;
   tf->codes[5827] = 0x00044fd89aa36986UL;
   tf->codes[5828] = 0x00044fdc7e22cb9bUL;
   tf->codes[5829] = 0x00044fe35ae578b1UL;
   tf->codes[5830] = 0x00044fe4f4cea114UL;
   tf->codes[5831] = 0x00044fea72372b8cUL;
   tf->codes[5832] = 0x00044ff02a2ebbc9UL;
   tf->codes[5833] = 0x00044ff482cc2968UL;
   tf->codes[5834] = 0x00044ff8664b8b7dUL;
   tf->codes[5835] = 0x00044ffb24ffd0b9UL;
   tf->codes[5836] = 0x000450098e323c34UL;
   tf->codes[5837] = 0x0004500d37229884UL;
   tf->codes[5838] = 0x0004501279fc1d37UL;
   tf->codes[5839] = 0x00045017bcd5a1eaUL;
   tf->codes[5840] = 0x0004501e99984f00UL;
   tf->codes[5841] = 0x0004501f0eb65a8aUL;
   tf->codes[5842] = 0x0004502710442479UL;
   tf->codes[5843] = 0x000450286f9e4717UL;
   tf->codes[5844] = 0x0004502b2e528c53UL;
   tf->codes[5845] = 0x00045035b40595b9UL;
   tf->codes[5846] = 0x00045047167b4c35UL;
   tf->codes[5847] = 0x0004504d4390e7fcUL;
   tf->codes[5848] = 0x0004504e2dccff10UL;
   tf->codes[5849] = 0x0004505002452d38UL;
   tf->codes[5850] = 0x000450503cd432fdUL;
   tf->codes[5851] = 0x0004505370a683c3UL;
   tf->codes[5852] = 0x0004505803d2f727UL;
   tf->codes[5853] = 0x000450775a5d0d94UL;
   tf->codes[5854] = 0x0004507e371fbaaaUL;
   tf->codes[5855] = 0x00045083b4884522UL;
   tf->codes[5856] = 0x0004508429a650acUL;
   tf->codes[5857] = 0x0004508931f0cf9aUL;
   tf->codes[5858] = 0x000450a51a198f7cUL;
   tf->codes[5859] = 0x000450af9fcc98e2UL;
   tf->codes[5860] = 0x000450b25e80de1eUL;
   tf->codes[5861] = 0x000450b975d290f9UL;
   tf->codes[5862] = 0x000450be08ff045dUL;
   tf->codes[5863] = 0x000450c55adfbcfdUL;
   tf->codes[5864] = 0x000450c903d0194dUL;
   tf->codes[5865] = 0x000450c9b37d2a9cUL;
   tf->codes[5866] = 0x000450c9ee0c3061UL;
   tf->codes[5867] = 0x000450d29f470b9fUL;
   tf->codes[5868] = 0x000450d8573e9bdcUL;
   tf->codes[5869] = 0x000450dd24fa1505UL;
   tf->codes[5870] = 0x000450dfa91f547cUL;
   tf->codes[5871] = 0x000450e685e20192UL;
   tf->codes[5872] = 0x000450ec3dd991cfUL;
   tf->codes[5873] = 0x000450f05be7f9a9UL;
   tf->codes[5874] = 0x000450f8d293cf22UL;
   tf->codes[5875] = 0x000450fb56b90e99UL;
   tf->codes[5876] = 0x000450fb9148145eUL;
   tf->codes[5877] = 0x000450fe8a8b5f5fUL;
   tf->codes[5878] = 0x0004510aaa279128UL;
   tf->codes[5879] = 0x0004510f77e30a51UL;
   tf->codes[5880] = 0x00045113d08077f0UL;
   tf->codes[5881] = 0x00045118d8caf6deUL;
   tf->codes[5882] = 0x0004511ae7d22acbUL;
   tf->codes[5883] = 0x0004511c472c4d69UL;
   tf->codes[5884] = 0x000451209fc9bb08UL;
   tf->codes[5885] = 0x0004512d3483f85bUL;
   tf->codes[5886] = 0x0004512da9a203e5UL;
   tf->codes[5887] = 0x00045130dd7454abUL;
   tf->codes[5888] = 0x00045132023f7184UL;
   tf->codes[5889] = 0x0004513aee095287UL;
   tf->codes[5890] = 0x0004513c12d46f60UL;
   tf->codes[5891] = 0x0004513c4d637525UL;
   tf->codes[5892] = 0x0004513f0c17ba61UL;
   tf->codes[5893] = 0x000451427a7910ecUL;
   tf->codes[5894] = 0x00045143d9d3338aUL;
   tf->codes[5895] = 0x00045148a78eacb3UL;
   tf->codes[5896] = 0x0004514d002c1a52UL;
   tf->codes[5897] = 0x000451532d41b619UL;
   tf->codes[5898] = 0x00045156d6321269UL;
   tf->codes[5899] = 0x00045158358c3507UL;
   tf->codes[5900] = 0x0004515f124ee21dUL;
   tf->codes[5901] = 0x000451641a99610bUL;
   tf->codes[5902] = 0x00045167fe18c320UL;
   tf->codes[5903] = 0x00045168adc5d46fUL;
   tf->codes[5904] = 0x0004516df09f5922UL;
   tf->codes[5905] = 0x00045171d41ebb37UL;
   tf->codes[5906] = 0x00045175b79e1d4cUL;
   tf->codes[5907] = 0x000451783bc35cc3UL;
   tf->codes[5908] = 0x0004517abfe89c3aUL;
   tf->codes[5909] = 0x0004518420d088c7UL;
   tf->codes[5910] = 0x00045191da55e2f3UL;
   tf->codes[5911] = 0x000451966d825657UL;
   tf->codes[5912] = 0x0004519e34811a81UL;
   tf->codes[5913] = 0x000451a6360ee470UL;
   tf->codes[5914] = 0x000451a6e5bbf5bfUL;
   tf->codes[5915] = 0x000451a80a871298UL;
   tf->codes[5916] = 0x000451adc27ea2d5UL;
   tf->codes[5917] = 0x000451b42a234461UL;
   tf->codes[5918] = 0x000451b6ae4883d8UL;
   tf->codes[5919] = 0x000451c049bf762aUL;
   tf->codes[5920] = 0x000451ce0344d056UL;
   tf->codes[5921] = 0x000451cf9d2df8b9UL;
   tf->codes[5922] = 0x000451d938a4eb0bUL;
   tf->codes[5923] = 0x000451dad28e136eUL;
   tf->codes[5924] = 0x000451db823b24bdUL;
   tf->codes[5925] = 0x000451f386e4828aUL;
   tf->codes[5926] = 0x000451f72fd4dedaUL;
   tf->codes[5927] = 0x000451f81a10f5eeUL;
   tf->codes[5928] = 0x000451fef6d3a304UL;
   tf->codes[5929] = 0x000451ffa680b453UL;
   tf->codes[5930] = 0x0004520941f7a6a5UL;
   tf->codes[5931] = 0x00045217ab2a1220UL;
   tf->codes[5932] = 0x000452190a8434beUL;
   tf->codes[5933] = 0x0004521adefc62e6UL;
   tf->codes[5934] = 0x00045229482ece61UL;
   tf->codes[5935] = 0x0004522b1ca6fc89UL;
   tf->codes[5936] = 0x000452310f2d928bUL;
   tf->codes[5937] = 0x00045232e3a5c0b3UL;
   tf->codes[5938] = 0x00045235a25a05efUL;
   tf->codes[5939] = 0x000452389b9d50f0UL;
   tf->codes[5940] = 0x0004523bcf6fa1b6UL;
   tf->codes[5941] = 0x0004523cf43abe8fUL;
   tf->codes[5942] = 0x0004523f0341f27cUL;
   tf->codes[5943] = 0x00045243966e65e0UL;
   tf->codes[5944] = 0x00045244f5c8887eUL;
   tf->codes[5945] = 0x0004524704cfbc6bUL;
   tf->codes[5946] = 0x0004524779edc7f5UL;
   tf->codes[5947] = 0x000452518a82c5d1UL;
   tf->codes[5948] = 0x000452561daf3935UL;
   tf->codes[5949] = 0x0004526327878212UL;
   tf->codes[5950] = 0x00045268df7f124fUL;
   tf->codes[5951] = 0x0004526fbc41bf65UL;
   tf->codes[5952] = 0x00045270a67dd679UL;
   tf->codes[5953] = 0x0004527365321bb5UL;
   tf->codes[5954] = 0x0004527ab712d455UL;
   tf->codes[5955] = 0x00045282b8a09e44UL;
   tf->codes[5956] = 0x00045283dd6bbb1dUL;
   tf->codes[5957] = 0x0004528d3e53a7aaUL;
   tf->codes[5958] = 0x0004528e631ec483UL;
   tf->codes[5959] = 0x0004528f12cbd5d2UL;
   tf->codes[5960] = 0x0004529196f11549UL;
   tf->codes[5961] = 0x000452969f3b9437UL;
   tf->codes[5962] = 0x000452aa10b87ea0UL;
   tf->codes[5963] = 0x000452ac94ddbe17UL;
   tf->codes[5964] = 0x000452aede73f7c9UL;
   tf->codes[5965] = 0x000452c374bbff0bUL;
   tf->codes[5966] = 0x000452c807e8726fUL;
   tf->codes[5967] = 0x000452ceaa1c19c0UL;
   tf->codes[5968] = 0x000452d302b9875fUL;
   tf->codes[5969] = 0x000452da8f2945c4UL;
   tf->codes[5970] = 0x000452dc9e3079b1UL;
   tf->codes[5971] = 0x000452fb0a7e790aUL;
   tf->codes[5972] = 0x00045308fe92d8fbUL;
   tf->codes[5973] = 0x0004531349b6dc9cUL;
   tf->codes[5974] = 0x0004531852015b8aUL;
   tf->codes[5975] = 0x0004531e4487f18cUL;
   tf->codes[5976] = 0x0004532b4e603a69UL;
   tf->codes[5977] = 0x0004532e47a3856aUL;
   tf->codes[5978] = 0x0004533265b1ed44UL;
   tf->codes[5979] = 0x0004534e134ba761UL;
   tf->codes[5980] = 0x000453531b96264fUL;
   tf->codes[5981] = 0x000453590e1cbc51UL;
   tf->codes[5982] = 0x0004535a6d76deefUL;
   tf->codes[5983] = 0x0004535c07600752UL;
   tf->codes[5984] = 0x000453623475a319UL;
   tf->codes[5985] = 0x00045362a993aea3UL;
   tf->codes[5986] = 0x000453689c1a44a5UL;
   tf->codes[5987] = 0x0004537ae8cc1235UL;
   tf->codes[5988] = 0x0004537f41697fd4UL;
   tf->codes[5989] = 0x000453818affb986UL;
   tf->codes[5990] = 0x00045390a3df3650UL;
   tf->codes[5991] = 0x00045392033958eeUL;
   tf->codes[5992] = 0x00045398304ef4b5UL;
   tf->codes[5993] = 0x0004539b29923fb6UL;
   tf->codes[5994] = 0x0004539bd93f5105UL;
   tf->codes[5995] = 0x000453a783bd7744UL;
   tf->codes[5996] = 0x000453b32e3b9d83UL;
   tf->codes[5997] = 0x000453babaab5be8UL;
   tf->codes[5998] = 0x000453bdb3eea6e9UL;
   tf->codes[5999] = 0x000453c69fb887ecUL;
   tf->codes[6000] = 0x000453d284c5b3f0UL;
   tf->codes[6001] = 0x000453e87a67ddd0UL;
   tf->codes[6002] = 0x000453ed0d945134UL;
   tf->codes[6003] = 0x000453ee6cee73d2UL;
   tf->codes[6004] = 0x000453eee20c7f5cUL;
   tf->codes[6005] = 0x000453fbb155c274UL;
   tf->codes[6006] = 0x000453fc9b91d988UL;
   tf->codes[6007] = 0x000454067197d19fUL;
   tf->codes[6008] = 0x00045408460fffc7UL;
   tf->codes[6009] = 0x0004540fd27fbe2cUL;
   tf->codes[6010] = 0x000454121c15f7deUL;
   tf->codes[6011] = 0x0004541256a4fda3UL;
   tf->codes[6012] = 0x000454142b1d2bcbUL;
   tf->codes[6013] = 0x0004541674b3657dUL;
   tf->codes[6014] = 0x00045419e314bc08UL;
   tf->codes[6015] = 0x0004541eb0d03531UL;
   tf->codes[6016] = 0x00045427d7291bf9UL;
   tf->codes[6017] = 0x0004542e043eb7c0UL;
   tf->codes[6018] = 0x00045439399ed275UL;
   tf->codes[6019] = 0x00045439aebcddffUL;
   tf->codes[6020] = 0x0004543e7c785728UL;
   tf->codes[6021] = 0x0004543f66b46e3cUL;
   tf->codes[6022] = 0x0004545521c79257UL;
   tf->codes[6023] = 0x00045455d174a3a6UL;
   tf->codes[6024] = 0x00045457a5ecd1ceUL;
   tf->codes[6025] = 0x0004545e82af7ee4UL;
   tf->codes[6026] = 0x0004546a2d2da523UL;
   tf->codes[6027] = 0x00045472694a74d7UL;
   tf->codes[6028] = 0x00045477e6b2ff4fUL;
   tf->codes[6029] = 0x0004547aa567448bUL;
   tf->codes[6030] = 0x0004547f3893b7efUL;
   tf->codes[6031] = 0x0004547fadb1c379UL;
   tf->codes[6032] = 0x00045484b5fc4267UL;
   tf->codes[6033] = 0x0004548cb78a0c56UL;
   tf->codes[6034] = 0x0004548e16e42ef4UL;
   tf->codes[6035] = 0x0004548ec6914043UL;
   tf->codes[6036] = 0x000454a77ae7af5fUL;
   tf->codes[6037] = 0x000454bbd6a0b0dcUL;
   tf->codes[6038] = 0x000454caef802da6UL;
   tf->codes[6039] = 0x000454d5afc23cd1UL;
   tf->codes[6040] = 0x000454dab80cbbbfUL;
   tf->codes[6041] = 0x000454e6d7a8ed88UL;
   tf->codes[6042] = 0x000454ea0b7b3e4eUL;
   tf->codes[6043] = 0x000454f5064c533eUL;
   tf->codes[6044] = 0x000454fb3361ef05UL;
   tf->codes[6045] = 0x000454fd426922f2UL;
   tf->codes[6046] = 0x00045502fa60b32fUL;
   tf->codes[6047] = 0x00045509620554bbUL;
   tf->codes[6048] = 0x00045513e7b85e21UL;
   tf->codes[6049] = 0x000455333e42748eUL;
   tf->codes[6050] = 0x0004553378d17a53UL;
   tf->codes[6051] = 0x0004553acab232f3UL;
   tf->codes[6052] = 0x0004553b054138b8UL;
   tf->codes[6053] = 0x000455458af4421eUL;
   tf->codes[6054] = 0x0004554884378d1fUL;
   tf->codes[6055] = 0x00045550fae36298UL;
   tf->codes[6056] = 0x0004555309ea9685UL;
   tf->codes[6057] = 0x0004555812351573UL;
   tf->codes[6058] = 0x00045560fdfef676UL;
   tf->codes[6059] = 0x000455646c604d01UL;
   tf->codes[6060] = 0x00045568c4fdbaa0UL;
   tf->codes[6061] = 0x0004556a9975e8c8UL;
   tf->codes[6062] = 0x0004556b4922fa17UL;
   tf->codes[6063] = 0x00045572d592b87cUL;
   tf->codes[6064] = 0x0004557643f40f07UL;
   tf->codes[6065] = 0x00045583885b5da9UL;
   tf->codes[6066] = 0x000455860c809d20UL;
   tf->codes[6067] = 0x0004558b89e92798UL;
   tf->codes[6068] = 0x000455909233a686UL;
   tf->codes[6069] = 0x0004559684ba3c88UL;
   tf->codes[6070] = 0x00045598ce50763aUL;
   tf->codes[6071] = 0x000455a6fcf3dbf0UL;
   tf->codes[6072] = 0x000455a9bba8212cUL;
   tf->codes[6073] = 0x000455ad9f278341UL;
   tf->codes[6074] = 0x000455bc42e8f481UL;
   tf->codes[6075] = 0x000455c3cf58b2e6UL;
   tf->codes[6076] = 0x000455c7b2d814fbUL;
   tf->codes[6077] = 0x000455d865a0ba28UL;
   tf->codes[6078] = 0x000455db2454ff64UL;
   tf->codes[6079] = 0x000455f18f1534ceUL;
   tf->codes[6080] = 0x000455fe23cf7221UL;
   tf->codes[6081] = 0x000455ffbdb89a84UL;
   tf->codes[6082] = 0x00045600e283b75dUL;
   tf->codes[6083] = 0x000456027c6cdfc0UL;
   tf->codes[6084] = 0x00045603dbc7025eUL;
   tf->codes[6085] = 0x00045604c6031972UL;
   tf->codes[6086] = 0x0004560e26eb05ffUL;
   tf->codes[6087] = 0x0004561578cbbe9fUL;
   tf->codes[6088] = 0x0004561ba5e15a66UL;
   tf->codes[6089] = 0x0004561db4e88e53UL;
   tf->codes[6090] = 0x0004562282a4077cUL;
   tf->codes[6091] = 0x0004562edccf3f0aUL;
   tf->codes[6092] = 0x000456341fa8c3bdUL;
   tf->codes[6093] = 0x0004563b71897c5dUL;
   tf->codes[6094] = 0x00045641d92e1de9UL;
   tf->codes[6095] = 0x0004564d83ac4428UL;
   tf->codes[6096] = 0x0004565425dfeb79UL;
   tf->codes[6097] = 0x00045655101c028dUL;
   tf->codes[6098] = 0x000456571f23367aUL;
   tf->codes[6099] = 0x0004565843ee5353UL;
   tf->codes[6100] = 0x0004565a52f58740UL;
   tf->codes[6101] = 0x000456625483512fUL;
   tf->codes[6102] = 0x0004566bb56b3dbcUL;
   tf->codes[6103] = 0x00045672922dead2UL;
   tf->codes[6104] = 0x00045673b6f907abUL;
   tf->codes[6105] = 0x0004567dc78e0587UL;
   tf->codes[6106] = 0x00045686ede6ec4fUL;
   tf->codes[6107] = 0x00045688fcee203cUL;
   tf->codes[6108] = 0x0004569382a129a2UL;
   tf->codes[6109] = 0x00045693f7bf352cUL;
   tf->codes[6110] = 0x0004569a24d4d0f3UL;
   tf->codes[6111] = 0x0004569e7d723e92UL;
   tf->codes[6112] = 0x000456a609e1fcf7UL;
   tf->codes[6113] = 0x000456a7a3cb255aUL;
   tf->codes[6114] = 0x000456ace6a4aa0dUL;
   tf->codes[6115] = 0x000456afa558ef49UL;
   tf->codes[6116] = 0x000456b3c3675723UL;
   tf->codes[6117] = 0x000456b7e175befdUL;
   tf->codes[6118] = 0x000456c525dd0d9fUL;
   tf->codes[6119] = 0x000456d1ba974af2UL;
   tf->codes[6120] = 0x000456d1f52650b7UL;
   tf->codes[6121] = 0x000456d8d1e8fdcdUL;
   tf->codes[6122] = 0x000456db560e3d44UL;
   tf->codes[6123] = 0x000456dd2a866b6cUL;
   tf->codes[6124] = 0x000456dec46f93cfUL;
   tf->codes[6125] = 0x000456e1bdb2ded0UL;
   tf->codes[6126] = 0x000456e4b6f629d1UL;
   tf->codes[6127] = 0x000456e89a758be6UL;
   tf->codes[6128] = 0x000456e9f9cfae84UL;
   tf->codes[6129] = 0x000456eb93b8d6e7UL;
   tf->codes[6130] = 0x000456ee8cfc21e8UL;
   tf->codes[6131] = 0x000456f3cfd5a69bUL;
   tf->codes[6132] = 0x00045701895b00c7UL;
   tf->codes[6133] = 0x00045701fe790c51UL;
   tf->codes[6134] = 0x000457077be196c9UL;
   tf->codes[6135] = 0x0004570b5f60f8deUL;
   tf->codes[6136] = 0x00045713d60cce57UL;
   tf->codes[6137] = 0x0004571a3db16fe3UL;
   tf->codes[6138] = 0x00045728a6e3db5eUL;
   tf->codes[6139] = 0x0004572af07a1510UL;
   tf->codes[6140] = 0x0004572ff8c493feUL;
   tf->codes[6141] = 0x0004573785345263UL;
   tf->codes[6142] = 0x0004573c1860c5c7UL;
   tf->codes[6143] = 0x0004576ac2595ec3UL;
   tf->codes[6144] = 0x0004578dc1d3d180UL;
   tf->codes[6145] = 0x0004579dc4ef655eUL;
   tf->codes[6146] = 0x0004579ee9ba8237UL;
   tf->codes[6147] = 0x000457b728f2e5c9UL;
   tf->codes[6148] = 0x000457bad1e34219UL;
   tf->codes[6149] = 0x000457be05b592dfUL;
   tf->codes[6150] = 0x000457c04f4bcc91UL;
   tf->codes[6151] = 0x000457c3488f1792UL;
   tf->codes[6152] = 0x000457c90086a7cfUL;
   tf->codes[6153] = 0x000457ce08d126bdUL;
   tf->codes[6154] = 0x000457d7a448190fUL;
   tf->codes[6155] = 0x000457db4d38755fUL;
   tf->codes[6156] = 0x000457e6bd2795d9UL;
   tf->codes[6157] = 0x000457e97bdbdb15UL;
   tf->codes[6158] = 0x000457ebc57214c7UL;
   tf->codes[6159] = 0x000457ed5f5b3d2aUL;
   tf->codes[6160] = 0x000457f4ebcafb8fUL;
   tf->codes[6161] = 0x000457fade519191UL;
   tf->codes[6162] = 0x000457fb536f9d1bUL;
   tf->codes[6163] = 0x000457fe8741ede1UL;
   tf->codes[6164] = 0x0004580897d6ebbdUL;
   tf->codes[6165] = 0x0004580aa6de1faaUL;
   tf->codes[6166] = 0x0004580ae16d256fUL;
   tf->codes[6167] = 0x0004580b1bfc2b34UL;
   tf->codes[6168] = 0x0004580b568b30f9UL;
   tf->codes[6169] = 0x0004580bcba93c83UL;
   tf->codes[6170] = 0x00045814f202234bUL;
   tf->codes[6171] = 0x00045817eb456e4cUL;
   tf->codes[6172] = 0x0004581a34dba7feUL;
   tf->codes[6173] = 0x00045827b3d1fc65UL;
   tf->codes[6174] = 0x0004582d313a86ddUL;
   tf->codes[6175] = 0x00045834bdaa4542UL;
   tf->codes[6176] = 0x0004583c4a1a03a7UL;
   tf->codes[6177] = 0x0004583f08ce48e3UL;
   tf->codes[6178] = 0x00045840a2b77146UL;
   tf->codes[6179] = 0x0004584117d57cd0UL;
   tf->codes[6180] = 0x00045848a4453b35UL;
   tf->codes[6181] = 0x0004584c87c49d4aUL;
   tf->codes[6182] = 0x0004584d7200b45eUL;
   tf->codes[6183] = 0x00045851ca9e21fdUL;
   tf->codes[6184] = 0x0004585a06baf1b1UL;
   tf->codes[6185] = 0x0004585f84237c29UL;
   tf->codes[6186] = 0x00045863dcc0e9c8UL;
   tf->codes[6187] = 0x0004586451def552UL;
   tf->codes[6188] = 0x000458774e3dd431UL;
   tf->codes[6189] = 0x00045877c35bdfbbUL;
   tf->codes[6190] = 0x0004588afa49c45fUL;
   tf->codes[6191] = 0x0004589719e5f628UL;
   tf->codes[6192] = 0x000458a6e2728441UL;
   tf->codes[6193] = 0x000458abb02dfd6aUL;
   tf->codes[6194] = 0x000458b58633f581UL;
   tf->codes[6195] = 0x000458b92f2451d1UL;
   tf->codes[6196] = 0x000458bdc250c535UL;
   tf->codes[6197] = 0x000458be71fdd684UL;
   tf->codes[6198] = 0x000458c429f566c1UL;
   tf->codes[6199] = 0x000458c9e1ecf6feUL;
   tf->codes[6200] = 0x000458cbf0f42aebUL;
   tf->codes[6201] = 0x000458cdc56c5913UL;
   tf->codes[6202] = 0x000458d21e09c6b2UL;
   tf->codes[6203] = 0x000458d5c6fa2302UL;
   tf->codes[6204] = 0x000458d6b1363a16UL;
   tf->codes[6205] = 0x000458d760e34b65UL;
   tf->codes[6206] = 0x000458d8facc73c8UL;
   tf->codes[6207] = 0x000458e345f07769UL;
   tf->codes[6208] = 0x000458eb477e4158UL;
   tf->codes[6209] = 0x000458ee06328694UL;
   tf->codes[6210] = 0x000458f6424f5648UL;
   tf->codes[6211] = 0x0004590311989960UL;
   tf->codes[6212] = 0x0004590fe0e1dc78UL;
   tf->codes[6213] = 0x00045914740e4fdcUL;
   tf->codes[6214] = 0x00045914ae9d55a1UL;
   tf->codes[6215] = 0x00045919073ac340UL;
   tf->codes[6216] = 0x00045919b6e7d48fUL;
   tf->codes[6217] = 0x00045926863117a7UL;
   tf->codes[6218] = 0x00045926fb4f2331UL;
   tf->codes[6219] = 0x00045930d1551b48UL;
   tf->codes[6220] = 0x000459347a457798UL;
   tf->codes[6221] = 0x000459439324f462UL;
   tf->codes[6222] = 0x00045946c6f74528UL;
   tf->codes[6223] = 0x0004594cb97ddb2aUL;
   tf->codes[6224] = 0x00045957eeddf5dfUL;
   tf->codes[6225] = 0x0004595b22b046a5UL;
   tf->codes[6226] = 0x0004595ff06bbfceUL;
   tf->codes[6227] = 0x00045962af20050aUL;
   tf->codes[6228] = 0x0004597152e1764aUL;
   tf->codes[6229] = 0x0004597b63767426UL;
   tf->codes[6230] = 0x0004597cc2d096c4UL;
   tf->codes[6231] = 0x0004597e222ab962UL;
   tf->codes[6232] = 0x0004598698d68edbUL;
   tf->codes[6233] = 0x0004598c8b5d24ddUL;
   tf->codes[6234] = 0x0004598e9a6458caUL;
   tf->codes[6235] = 0x000459a57a4299beUL;
   tf->codes[6236] = 0x000459b4cdb11c4dUL;
   tf->codes[6237] = 0x000459ba108aa100UL;
   tf->codes[6238] = 0x000459bac037b24fUL;
   tf->codes[6239] = 0x000459c58079c17aUL;
   tf->codes[6240] = 0x000459c754f1efa2UL;
   tf->codes[6241] = 0x000459d6a8607231UL;
   tf->codes[6242] = 0x000459d87cd8a059UL;
   tf->codes[6243] = 0x000459db00fddfd0UL;
   tf->codes[6244] = 0x000459eb041973aeUL;
   tf->codes[6245] = 0x000459efd1d4ecd7UL;
   tf->codes[6246] = 0x000459f2cb1837d8UL;
   tf->codes[6247] = 0x000459f514ae718aUL;
   tf->codes[6248] = 0x000459fcdbad35b4UL;
   tf->codes[6249] = 0x00045a0d8e75dae1UL;
   tf->codes[6250] = 0x00045a0eb340f7baUL;
   tf->codes[6251] = 0x00045a17647bd2f8UL;
   tf->codes[6252] = 0x00045a3262687bc6UL;
   tf->codes[6253] = 0x00045a3436e0a9eeUL;
   tf->codes[6254] = 0x00045a40567cdbb7UL;
   tf->codes[6255] = 0x00045a434fc026b8UL;
   tf->codes[6256] = 0x00045a46be217d43UL;
   tf->codes[6257] = 0x00045a57e6082dfaUL;
   tf->codes[6258] = 0x00045a5b19da7ec0UL;
   tf->codes[6259] = 0x00045a6355f74e74UL;
   tf->codes[6260] = 0x00045a685e41cd62UL;
   tf->codes[6261] = 0x00045a6b1cf6129eUL;
   tf->codes[6262] = 0x00045a6c41c12f77UL;
   tf->codes[6263] = 0x00045a78d67b6ccaUL;
   tf->codes[6264] = 0x00045a7aaaf39af2UL;
   tf->codes[6265] = 0x00045a7bcfbeb7cbUL;
   tf->codes[6266] = 0x00045a809d7a30f4UL;
   tf->codes[6267] = 0x00045a8530a6a458UL;
   tf->codes[6268] = 0x00045a8ecc1d96aaUL;
   tf->codes[6269] = 0x00045a98679488fcUL;
   tf->codes[6270] = 0x00045aafbc90d57aUL;
   tf->codes[6271] = 0x00045ab4ff6a5a2dUL;
   tf->codes[6272] = 0x00045ab7be1e9f69UL;
   tf->codes[6273] = 0x00045ab8e2e9bc42UL;
   tf->codes[6274] = 0x00045aba07b4d91bUL;
   tf->codes[6275] = 0x00045abdeb343b30UL;
   tf->codes[6276] = 0x00045abe25c340f5UL;
   tf->codes[6277] = 0x00045ac3689cc5a8UL;
   tf->codes[6278] = 0x00045ac3ddbad132UL;
   tf->codes[6279] = 0x00045ac870e74496UL;
   tf->codes[6280] = 0x00045ac9d0416734UL;
   tf->codes[6281] = 0x00045adabd991226UL;
   tf->codes[6282] = 0x00045ae24a08d08bUL;
   tf->codes[6283] = 0x00045ae28497d650UL;
   tf->codes[6284] = 0x00045ae6dd3543efUL;
   tf->codes[6285] = 0x00045aedf486f6caUL;
   tf->codes[6286] = 0x00045aee2f15fc8fUL;
   tf->codes[6287] = 0x00045aeedec30ddeUL;
   tf->codes[6288] = 0x00045afc5db96245UL;
   tf->codes[6289] = 0x00045afe6cc09632UL;
   tf->codes[6290] = 0x00045b128dea91eaUL;
   tf->codes[6291] = 0x00045b1d88bba6daUL;
   tf->codes[6292] = 0x00045b1fd251e08cUL;
   tf->codes[6293] = 0x00045b2dc666407dUL;
   tf->codes[6294] = 0x00045b2eeb315d56UL;
   tf->codes[6295] = 0x00045b2f25c0631bUL;
   tf->codes[6296] = 0x00045b47da16d237UL;
   tf->codes[6297] = 0x00045b4bf8253a11UL;
   tf->codes[6298] = 0x00045b4c32b43fd6UL;
   tf->codes[6299] = 0x00045b4ce2615125UL;
   tf->codes[6300] = 0x00045b51b01cca4eUL;
   tf->codes[6301] = 0x00045b59b1aa943dUL;
   tf->codes[6302] = 0x00045b664664d190UL;
   tf->codes[6303] = 0x00045b693fa81c91UL;
   tf->codes[6304] = 0x00045b7ec02c3ae7UL;
   tf->codes[6305] = 0x00045b7faa6851fbUL;
   tf->codes[6306] = 0x00045b87e68521afUL;
   tf->codes[6307] = 0x00045b8d295ea662UL;
   tf->codes[6308] = 0x00045b9bcd2017a2UL;
   tf->codes[6309] = 0x00045b9cb75c2eb6UL;
   tf->codes[6310] = 0x00045bb4f6949248UL;
   tf->codes[6311] = 0x00045bbf41b895e9UL;
   tf->codes[6312] = 0x00045bcfb9f23551UL;
   tf->codes[6313] = 0x00045bd23e1774c8UL;
   tf->codes[6314] = 0x00045bd362e291a1UL;
   tf->codes[6315] = 0x00045bd98ff82d68UL;
   tf->codes[6316] = 0x00045bda3fa53eb7UL;
   tf->codes[6317] = 0x00045be8e366aff7UL;
   tf->codes[6318] = 0x00045beba21af533UL;
   tf->codes[6319] = 0x00045bf9d0be5ae9UL;
   tf->codes[6320] = 0x00045bfaf58977c2UL;
   tf->codes[6321] = 0x00045bfc1a54949bUL;
   tf->codes[6322] = 0x00045bfc54e39a60UL;
   tf->codes[6323] = 0x00045c07c4d2badaUL;
   tf->codes[6324] = 0x00045c0839f0c664UL;
   tf->codes[6325] = 0x00045c120ff6be7bUL;
   tf->codes[6326] = 0x00045c1927487156UL;
   tf->codes[6327] = 0x00045c33eaa6145fUL;
   tf->codes[6328] = 0x00045c36343c4e11UL;
   tf->codes[6329] = 0x00045c3cd66ff562UL;
   tf->codes[6330] = 0x00045c43b332a278UL;
   tf->codes[6331] = 0x00045c53f0dd3c1bUL;
   tf->codes[6332] = 0x00045c5550375eb9UL;
   tf->codes[6333] = 0x00045c55c5556a43UL;
   tf->codes[6334] = 0x00045c74a6c17526UL;
   tf->codes[6335] = 0x00045c75566e8675UL;
   tf->codes[6336] = 0x00045c7fdc218fdbUL;
   tf->codes[6337] = 0x00045c80c65da6efUL;
   tf->codes[6338] = 0x00045c8768914e40UL;
   tf->codes[6339] = 0x00045c8b4c10b055UL;
   tf->codes[6340] = 0x00045c8bfbbdc1a4UL;
   tf->codes[6341] = 0x00045c8c364cc769UL;
   tf->codes[6342] = 0x00045c934d9e7a44UL;
   tf->codes[6343] = 0x00045c94acf89ce2UL;
   tf->codes[6344] = 0x00045c9940251046UL;
   tf->codes[6345] = 0x00045c9a2a61275aUL;
   tf->codes[6346] = 0x00045ca734397037UL;
   tf->codes[6347] = 0x00045cac3c83ef25UL;
   tf->codes[6348] = 0x00045cb38e64a7c5UL;
   tf->codes[6349] = 0x00045cb478a0bed9UL;
   tf->codes[6350] = 0x00045cc05dadeaddUL;
   tf->codes[6351] = 0x00045cc6503480dfUL;
   tf->codes[6352] = 0x00045cc90ee8c61bUL;
   tf->codes[6353] = 0x00045ccbcd9d0b57UL;
   tf->codes[6354] = 0x00045cd44448e0d0UL;
   tf->codes[6355] = 0x00045cdf3f19f5c0UL;
   tf->codes[6356] = 0x00045ce6566ba89bUL;
   tf->codes[6357] = 0x00045ce86572dc88UL;
   tf->codes[6358] = 0x00045cf56f4b2565UL;
   tf->codes[6359] = 0x00045cff0ac217b7UL;
   tf->codes[6360] = 0x00045d05e784c4cdUL;
   tf->codes[6361] = 0x00045d0b9f7c550aUL;
   tf->codes[6362] = 0x00045d0f486cb15aUL;
   tf->codes[6363] = 0x00045d132bec136fUL;
   tf->codes[6364] = 0x00045d35f0d78067UL;
   tf->codes[6365] = 0x00045d395f38d6f2UL;
   tf->codes[6366] = 0x00045d424b02b7f5UL;
   tf->codes[6367] = 0x00045d462e821a0aUL;
   tf->codes[6368] = 0x00045d592ae0f8e9UL;
   tf->codes[6369] = 0x00045d628bc8e576UL;
   tf->codes[6370] = 0x00045d69688b928cUL;
   tf->codes[6371] = 0x00045d69dda99e16UL;
   tf->codes[6372] = 0x00045d6a8d56af65UL;
   tf->codes[6373] = 0x00045d780c4d03ccUL;
   tf->codes[6374] = 0x00045d79e0c531f4UL;
   tf->codes[6375] = 0x00045d7dfed399ceUL;
   tf->codes[6376] = 0x00045d83b6cb2a0bUL;
   tf->codes[6377] = 0x00045d84db9646e4UL;
   tf->codes[6378] = 0x00045d8bb858f3faUL;
   tf->codes[6379] = 0x00045d9553cfe64cUL;
   tf->codes[6380] = 0x00045d97d7f525c3UL;
   tf->codes[6381] = 0x00045d9971de4e26UL;
   tf->codes[6382] = 0x00045d9c6b219927UL;
   tf->codes[6383] = 0x00045d9f6464e428UL;
   tf->codes[6384] = 0x00045dad58794419UL;
   tf->codes[6385] = 0x00045dae42b55b2dUL;
   tf->codes[6386] = 0x00045db34affda1bUL;
   tf->codes[6387] = 0x00045db4e4e9027eUL;
   tf->codes[6388] = 0x00045dc7a6b8db98UL;
   tf->codes[6389] = 0x00045dd64a7a4cd8UL;
   tf->codes[6390] = 0x00045de319c38ff0UL;
   tf->codes[6391] = 0x00045de59de8cf67UL;
   tf->codes[6392] = 0x00045df73aed8ba8UL;
   tf->codes[6393] = 0x00045dfb938af947UL;
   tf->codes[6394] = 0x00045dfc7dc7105bUL;
   tf->codes[6395] = 0x00045e056990f15eUL;
   tf->codes[6396] = 0x00045e0f7a25ef3aUL;
   tf->codes[6397] = 0x00045e1273693a3bUL;
   tf->codes[6398] = 0x00045e156cac853cUL;
   tf->codes[6399] = 0x00045e1d6e3a4f2bUL;
   tf->codes[6400] = 0x00045e1de3585ab5UL;
   tf->codes[6401] = 0x00045e2cfc37d77fUL;
   tf->codes[6402] = 0x00045e2f805d16f6UL;
   tf->codes[6403] = 0x00045e2ff57b2280UL;
   tf->codes[6404] = 0x00045e32eebe6d81UL;
   tf->codes[6405] = 0x00045e3bda884e84UL;
   tf->codes[6406] = 0x00045e3daf007cacUL;
   tf->codes[6407] = 0x00045e55b3a9da79UL;
   tf->codes[6408] = 0x00045e5c1b4e7c05UL;
   tf->codes[6409] = 0x00045e6507185d08UL;
   tf->codes[6410] = 0x00045e6a49f1e1bbUL;
   tf->codes[6411] = 0x00045e6a8480e780UL;
   tf->codes[6412] = 0x00045e7335bbc2beUL;
   tf->codes[6413] = 0x00045e74cfa4eb21UL;
   tf->codes[6414] = 0x00045e845da27375UL;
   tf->codes[6415] = 0x00045ea7228de06dUL;
   tf->codes[6416] = 0x00045eb3422a1236UL;
   tf->codes[6417] = 0x00045eb3b7481dc0UL;
   tf->codes[6418] = 0x00045ec58edbdfc6UL;
   tf->codes[6419] = 0x00045ec603f9eb50UL;
   tf->codes[6420] = 0x00045ed173e90bcaUL;
   tf->codes[6421] = 0x00045ed4a7bb5c90UL;
   tf->codes[6422] = 0x00045ed88b3abea5UL;
   tf->codes[6423] = 0x00045ed9ea94e143UL;
   tf->codes[6424] = 0x00045edb0f5ffe1cUL;
   tf->codes[6425] = 0x00045edd1e673209UL;
   tf->codes[6426] = 0x00045ee435b8e4e4UL;
   tf->codes[6427] = 0x00045ef5d2bda125UL;
   tf->codes[6428] = 0x00045ef9068ff1ebUL;
   tf->codes[6429] = 0x00045efd5f2d5f8aUL;
   tf->codes[6430] = 0x00045f04767f1265UL;
   tf->codes[6431] = 0x00045f09443a8b8eUL;
   tf->codes[6432] = 0x00045f2c43b4fe4bUL;
   tf->codes[6433] = 0x00045f32ab599fd7UL;
   tf->codes[6434] = 0x00045f3e55d7c616UL;
   tf->codes[6435] = 0x00045f50a28993a6UL;
   tf->codes[6436] = 0x00045f5c1278b420UL;
   tf->codes[6437] = 0x00045f5de6f0e248UL;
   tf->codes[6438] = 0x00045f639ee87285UL;
   tf->codes[6439] = 0x00045f6747d8ced5UL;
   tf->codes[6440] = 0x00045f69cbfe0e4cUL;
   tf->codes[6441] = 0x00045f7e6246158eUL;
   tf->codes[6442] = 0x00045f8ba6ad6430UL;
   tf->codes[6443] = 0x00045f8e9ff0af31UL;
   tf->codes[6444] = 0x00045f92bdff170bUL;
   tf->codes[6445] = 0x00045f9457e83f6eUL;
   tf->codes[6446] = 0x00045fa49592d911UL;
   tf->codes[6447] = 0x00045fb1d9fa27b3UL;
   tf->codes[6448] = 0x00045fb5f8088f8dUL;
   tf->codes[6449] = 0x00045fbc251e2b54UL;
   tf->codes[6450] = 0x00045fc376fee3f4UL;
   tf->codes[6451] = 0x00045fc5c0951da6UL;
   tf->codes[6452] = 0x00045fc6e5603a7fUL;
   tf->codes[6453] = 0x00045fe3b7c51175UL;
   tf->codes[6454] = 0x00045fe4dc902e4eUL;
   tf->codes[6455] = 0x00045fe7d5d3794fUL;
   tf->codes[6456] = 0x00045fed18acfe02UL;
   tf->codes[6457] = 0x00045ff30b339404UL;
   tf->codes[6458] = 0x00045ff8137e12f2UL;
   tf->codes[6459] = 0x00045ffd1bc891e0UL;
   tf->codes[6460] = 0x00046001aef50544UL;
   tf->codes[6461] = 0x000460046da94a80UL;
   tf->codes[6462] = 0x00046004a8385045UL;
   tf->codes[6463] = 0x0004600a25a0dabdUL;
   tf->codes[6464] = 0x0004600d59732b83UL;
   tf->codes[6465] = 0x0004601052b67684UL;
   tf->codes[6466] = 0x00046025d33a94daUL;
   tf->codes[6467] = 0x000460359bc722f3UL;
   tf->codes[6468] = 0x0004603a69829c1cUL;
   tf->codes[6469] = 0x0004603bc8dcbebaUL;
   tf->codes[6470] = 0x0004604947d31321UL;
   tf->codes[6471] = 0x00046056c6c96788UL;
   tf->codes[6472] = 0x00046059c00cb289UL;
   tf->codes[6473] = 0x000460639612aaa0UL;
   tf->codes[6474] = 0x00046066c9e4fb66UL;
   tf->codes[6475] = 0x0004606863ce23c9UL;
   tf->codes[6476] = 0x0004606cf6fa972dUL;
   tf->codes[6477] = 0x0004606e1bc5b406UL;
   tf->codes[6478] = 0x0004607bd54b0e32UL;
   tf->codes[6479] = 0x0004607e93ff536eUL;
   tf->codes[6480] = 0x00046092400b439cUL;
   tf->codes[6481] = 0x0004609d3adc588cUL;
   tf->codes[6482] = 0x000460b0ac5942f5UL;
   tf->codes[6483] = 0x000460b504f6b094UL;
   tf->codes[6484] = 0x000460c20ecef971UL;
   tf->codes[6485] = 0x000460c3339a164aUL;
   tf->codes[6486] = 0x000460c5b7bf55c1UL;
   tf->codes[6487] = 0x000460ca105cc360UL;
   tf->codes[6488] = 0x000460d804712351UL;
   tf->codes[6489] = 0x000460e2c4b3327cUL;
   tf->codes[6490] = 0x000460e548d871f3UL;
   tf->codes[6491] = 0x000460f7958a3f83UL;
   tf->codes[6492] = 0x000460fc6345b8acUL;
   tf->codes[6493] = 0x00046109e23c0d13UL;
   tf->codes[6494] = 0x0004610dc5bb6f28UL;
   tf->codes[6495] = 0x00046119aac89b2cUL;
   tf->codes[6496] = 0x0004611bb9cfcf19UL;
   tf->codes[6497] = 0x0004611c697ce068UL;
   tf->codes[6498] = 0x0004613b8577f110UL;
   tf->codes[6499] = 0x0004613e442c364cUL;
   tf->codes[6500] = 0x0004613e7ebb3c11UL;
   tf->codes[6501] = 0x00046146f567118aUL;
   tf->codes[6502] = 0x00046149046e4577UL;
   tf->codes[6503] = 0x00046149eeaa5c8bUL;
   tf->codes[6504] = 0x0004614bfdb19078UL;
   tf->codes[6505] = 0x00046151408b152bUL;
   tf->codes[6506] = 0x0004615648d59419UL;
   tf->codes[6507] = 0x00046161f353ba58UL;
   tf->codes[6508] = 0x0004616611622232UL;
   tf->codes[6509] = 0x0004616c3e77bdf9UL;
   tf->codes[6510] = 0x00046173cae77c5eUL;
   tf->codes[6511] = 0x000461752a419efcUL;
   tf->codes[6512] = 0x00046185a27b3e64UL;
   tf->codes[6513] = 0x000461909d4c5354UL;
   tf->codes[6514] = 0x00046197ef2d0bf4UL;
   tf->codes[6515] = 0x000461994e872e92UL;
   tf->codes[6516] = 0x0004619d6c95966cUL;
   tf->codes[6517] = 0x0004619f067ebecfUL;
   tf->codes[6518] = 0x000461b277fba938UL;
   tf->codes[6519] = 0x000461bc13729b8aUL;
   tf->codes[6520] = 0x000461c205f9318cUL;
   tf->codes[6521] = 0x000461cab7340ccaUL;
   tf->codes[6522] = 0x000461e330fb7621UL;
   tf->codes[6523] = 0x000461e4905598bfUL;
   tf->codes[6524] = 0x000461f2bef8fe75UL;
   tf->codes[6525] = 0x000461f62d5a5500UL;
   tf->codes[6526] = 0x000461f7522571d9UL;
   tf->codes[6527] = 0x0004620ac3a25c42UL;
   tf->codes[6528] = 0x00046211daf40f1dUL;
   tf->codes[6529] = 0x000462150ec65fe3UL;
   tf->codes[6530] = 0x00046218f245c1f8UL;
   tf->codes[6531] = 0x0004621ac6bdf020UL;
   tf->codes[6532] = 0x0004621b014cf5e5UL;
   tf->codes[6533] = 0x0004621cd5c5240dUL;
   tf->codes[6534] = 0x000462249cc3e837UL;
   tf->codes[6535] = 0x0004622586ffff4bUL;
   tf->codes[6536] = 0x0004622796073338UL;
   tf->codes[6537] = 0x0004622d136fbdb0UL;
   tf->codes[6538] = 0x0004622dc31cceffUL;
   tf->codes[6539] = 0x000462300cb308b1UL;
   tf->codes[6540] = 0x00046233b5a36501UL;
   tf->codes[6541] = 0x0004623a92661217UL;
   tf->codes[6542] = 0x000462458d372707UL;
   tf->codes[6543] = 0x0004624677733e1bUL;
   tf->codes[6544] = 0x0004624ca488d9e2UL;
   tf->codes[6545] = 0x00046259e8f02884UL;
   tf->codes[6546] = 0x0004627b4e8172deUL;
   tf->codes[6547] = 0x0004627e47c4bddfUL;
   tf->codes[6548] = 0x0004627ef771cf2eUL;
   tf->codes[6549] = 0x00046291099496f9UL;
   tf->codes[6550] = 0x00046296fc1b2cfbUL;
   tf->codes[6551] = 0x000462990b2260e8UL;
   tf->codes[6552] = 0x0004629efda8f6eaUL;
   tf->codes[6553] = 0x000462a90e3df4c6UL;
   tf->codes[6554] = 0x000462ae8ba67f3eUL;
   tf->codes[6555] = 0x000462b5a2f83219UL;
   tf->codes[6556] = 0x000462b9115988a4UL;
   tf->codes[6557] = 0x000462bc452bd96aUL;
   tf->codes[6558] = 0x000462c9feb13396UL;
   tf->codes[6559] = 0x000462cae8ed4aaaUL;
   tf->codes[6560] = 0x000462cbd32961beUL;
   tf->codes[6561] = 0x000462d5e3be5f9aUL;
   tf->codes[6562] = 0x000462de5a6a3513UL;
   tf->codes[6563] = 0x000462e362b4b401UL;
   tf->codes[6564] = 0x000462e780c31bdbUL;
   tf->codes[6565] = 0x000462eb64427df0UL;
   tf->codes[6566] = 0x000462eff76ef154UL;
   tf->codes[6567] = 0x000462f3daee5369UL;
   tf->codes[6568] = 0x000462faf2400644UL;
   tf->codes[6569] = 0x000462fb2ccf0c09UL;
   tf->codes[6570] = 0x000462fe60a15ccfUL;
   tf->codes[6571] = 0x000463095b7271bfUL;
   tf->codes[6572] = 0x0004630b6a79a5acUL;
   tf->codes[6573] = 0x0004630bdf97b136UL;
   tf->codes[6574] = 0x0004630d7980d999UL;
   tf->codes[6575] = 0x0004630db40fdf5eUL;
   tf->codes[6576] = 0x00046317c4a4dd3aUL;
   tf->codes[6577] = 0x00046318e96ffa13UL;
   tf->codes[6578] = 0x0004631a0e3b16ecUL;
   tf->codes[6579] = 0x0004631a48ca1cb1UL;
   tf->codes[6580] = 0x0004632668664e7aUL;
   tf->codes[6581] = 0x0004632fc94e3b07UL;
   tf->codes[6582] = 0x0004633288028043UL;
   tf->codes[6583] = 0x00046338efa721cfUL;
   tf->codes[6584] = 0x0004633cd32683e4UL;
   tf->codes[6585] = 0x000463580ba23277UL;
   tf->codes[6586] = 0x0004635dc399c2b4UL;
   tf->codes[6587] = 0x00046365157a7b54UL;
   tf->codes[6588] = 0x00046367999fbacbUL;
   tf->codes[6589] = 0x0004636f9b2d84baUL;
   tf->codes[6590] = 0x00046373441de10aUL;
   tf->codes[6591] = 0x00046389744f10afUL;
   tf->codes[6592] = 0x00046391eafae628UL;
   tf->codes[6593] = 0x000463929aa7f777UL;
   tf->codes[6594] = 0x00046394e43e3129UL;
   tf->codes[6595] = 0x00046397686370a0UL;
   tf->codes[6596] = 0x0004639bfb8fe404UL;
   tf->codes[6597] = 0x0004639e7fb5237bUL;
   tf->codes[6598] = 0x000463b4ea7558e5UL;
   tf->codes[6599] = 0x000463bd9bb03423UL;
   tf->codes[6600] = 0x000463c896814913UL;
   tf->codes[6601] = 0x000463cb8fc49414UL;
   tf->codes[6602] = 0x000463d615779d7aUL;
   tf->codes[6603] = 0x000463e3cefcf7a6UL;
   tf->codes[6604] = 0x000463e8d7477694UL;
   tf->codes[6605] = 0x000463eae64eaa81UL;
   tf->codes[6606] = 0x000463ebd08ac195UL;
   tf->codes[6607] = 0x000463ee8f3f06d1UL;
   tf->codes[6608] = 0x000463fecce9a074UL;
   tf->codes[6609] = 0x0004640693e8649eUL;
   tf->codes[6610] = 0x0004640b9c32e38cUL;
   tf->codes[6611] = 0x0004640f0a943a17UL;
   tf->codes[6612] = 0x00046411c9487f53UL;
   tf->codes[6613] = 0x0004641328a2a1f1UL;
   tf->codes[6614] = 0x000464265f908695UL;
   tf->codes[6615] = 0x0004642af2bcf9f9UL;
   tf->codes[6616] = 0x0004642bdcf9110dUL;
   tf->codes[6617] = 0x0004642c52171c97UL;
   tf->codes[6618] = 0x0004642ffb0778e7UL;
   tf->codes[6619] = 0x0004643d3f6ec789UL;
   tf->codes[6620] = 0x00046445f0a9a2c7UL;
   tf->codes[6621] = 0x000464562e543c6aUL;
   tf->codes[6622] = 0x0004645d45a5ef45UL;
   tf->codes[6623] = 0x0004646d835088e8UL;
   tf->codes[6624] = 0x000464704204ce24UL;
   tf->codes[6625] = 0x00046470f1b1df73UL;
   tf->codes[6626] = 0x00046477ce748c89UL;
   tf->codes[6627] = 0x00046486acc5038eUL;
   tf->codes[6628] = 0x00046494664a5dbaUL;
   tf->codes[6629] = 0x000464988458c594UL;
   tf->codes[6630] = 0x0004649b087e050bUL;
   tf->codes[6631] = 0x0004649bb82b165aUL;
   tf->codes[6632] = 0x000464a5c8c01436UL;
   tf->codes[6633] = 0x000464c17659ce53UL;
   tf->codes[6634] = 0x000464c26095e567UL;
   tf->codes[6635] = 0x000464ca9cb2b51bUL;
   tf->codes[6636] = 0x000464d52265be81UL;
   tf->codes[6637] = 0x000464d5d212cfd0UL;
   tf->codes[6638] = 0x000464dc74467721UL;
   tf->codes[6639] = 0x000464e7e435979bUL;
   tf->codes[6640] = 0x000464e9438fba39UL;
   tf->codes[6641] = 0x000464ecec801689UL;
   tf->codes[6642] = 0x000464f17fac89edUL;
   tf->codes[6643] = 0x00046505db658b6aUL;
   tf->codes[6644] = 0x00046517b2f94d70UL;
   tf->codes[6645] = 0x0004651c80b4c699UL;
   tf->codes[6646] = 0x00046535e4b84704UL;
   tf->codes[6647] = 0x0004653a3d55b4a3UL;
   tf->codes[6648] = 0x0004653dabb70b2eUL;
   tf->codes[6649] = 0x00046543d8cca6f5UL;
   tf->codes[6650] = 0x00046545e7d3dae2UL;
   tf->codes[6651] = 0x000465465cf1e66cUL;
   tf->codes[6652] = 0x0004654b2aad5f95UL;
   tf->codes[6653] = 0x00046550e2a4efd2UL;
   tf->codes[6654] = 0x000465569a9c800fUL;
   tf->codes[6655] = 0x000465570fba8b99UL;
   tf->codes[6656] = 0x0004655b2dc8f373UL;
   tf->codes[6657] = 0x0004656a46a8703dUL;
   tf->codes[6658] = 0x0004658b71aab4d2UL;
   tf->codes[6659] = 0x0004659213de5c23UL;
   tf->codes[6660] = 0x00046592fe1a7337UL;
   tf->codes[6661] = 0x00046596e199d54cUL;
   tf->codes[6662] = 0x000465992b300efeUL;
   tf->codes[6663] = 0x0004659c5f025fc4UL;
   tf->codes[6664] = 0x000465ac621df3a2UL;
   tf->codes[6665] = 0x000465bc9fc88d45UL;
   tf->codes[6666] = 0x000465d5c93d07ebUL;
   tf->codes[6667] = 0x000465d76326304eUL;
   tf->codes[6668] = 0x000465e25df7453eUL;
   tf->codes[6669] = 0x000465e4a78d7ef0UL;
   tf->codes[6670] = 0x000465f644923b31UL;
   tf->codes[6671] = 0x000465f7de7b6394UL;
   tf->codes[6672] = 0x000465fa62a0a30bUL;
   tf->codes[6673] = 0x000465febb3e10aaUL;
   tf->codes[6674] = 0x0004660d5eff81eaUL;
   tf->codes[6675] = 0x0004661b5313e1dbUL;
   tf->codes[6676] = 0x0004662772b013a4UL;
   tf->codes[6677] = 0x0004663566c47395UL;
   tf->codes[6678] = 0x00046635a153795aUL;
   tf->codes[6679] = 0x0004663b1ebc03d2UL;
   tf->codes[6680] = 0x0004663c08f81ae6UL;
   tf->codes[6681] = 0x0004663c7e162670UL;
   tf->codes[6682] = 0x00046641c0efab23UL;
   tf->codes[6683] = 0x000466440a85e4d5UL;
   tf->codes[6684] = 0x00046647ee0546eaUL;
   tf->codes[6685] = 0x0004664f3fe5ff8aUL;
   tf->codes[6686] = 0x0004665cf96b59b6UL;
   tf->codes[6687] = 0x00046666cf7151cdUL;
   tf->codes[6688] = 0x0004666b280ebf6cUL;
   tf->codes[6689] = 0x0004666dac33fee3UL;
   tf->codes[6690] = 0x00046671ca4266bdUL;
   tf->codes[6691] = 0x000466765d6eda21UL;
   tf->codes[6692] = 0x00046685eb6c6275UL;
   tf->codes[6693] = 0x0004668785558ad8UL;
   tf->codes[6694] = 0x0004669a0c965e2dUL;
   tf->codes[6695] = 0x0004669abc436f7cUL;
   tf->codes[6696] = 0x000466a62c328ff6UL;
   tf->codes[6697] = 0x000466a750fdaccfUL;
   tf->codes[6698] = 0x000466aabf5f035aUL;
   tf->codes[6699] = 0x000466b16192aaabUL;
   tf->codes[6700] = 0x000466cf58c29e7aUL;
   tf->codes[6701] = 0x000466d794df6e2eUL;
   tf->codes[6702] = 0x000466e28fb0831eUL;
   tf->codes[6703] = 0x000466e2ca3f88e3UL;
   tf->codes[6704] = 0x000466e931e42a6fUL;
   tf->codes[6705] = 0x000466fa1f3bd561UL;
   tf->codes[6706] = 0x000466fe02bb3776UL;
   tf->codes[6707] = 0x0004670604490165UL;
   tf->codes[6708] = 0x00046707d8c12f8dUL;
   tf->codes[6709] = 0x0004670c315e9d2cUL;
   tf->codes[6710] = 0x0004670d90b8bfcaUL;
   tf->codes[6711] = 0x0004672fa5f71b73UL;
   tf->codes[6712] = 0x0004673c00225301UL;
   tf->codes[6713] = 0x0004674352030ba1UL;
   tf->codes[6714] = 0x000467443c3f22b5UL;
   tf->codes[6715] = 0x00046750966a5a43UL;
   tf->codes[6716] = 0x00046752305382a6UL;
   tf->codes[6717] = 0x0004675ae18e5de4UL;
   tf->codes[6718] = 0x0004675c40e88082UL;
   tf->codes[6719] = 0x00046761be510afaUL;
   tf->codes[6720] = 0x0004676407e744acUL;
   tf->codes[6721] = 0x0004676776489b37UL;
   tf->codes[6722] = 0x0004676c7e931a25UL;
   tf->codes[6723] = 0x0004676f77d66526UL;
   tf->codes[6724] = 0x00046771fbfba49dUL;
   tf->codes[6725] = 0x00046775a4ec00edUL;
   tf->codes[6726] = 0x0004677779642f15UL;
   tf->codes[6727] = 0x000467789e2f4beeUL;
   tf->codes[6728] = 0x0004677c81aeae03UL;
   tf->codes[6729] = 0x0004677e90b5e1f0UL;
   tf->codes[6730] = 0x0004678a00a5026aUL;
   tf->codes[6731] = 0x000467a2ef8a774bUL;
   tf->codes[6732] = 0x000467ad753d80b1UL;
   tf->codes[6733] = 0x000467b242f8f9daUL;
   tf->codes[6734] = 0x000467b994d9b27aUL;
   tf->codes[6735] = 0x000467bb2ec2daddUL;
   tf->codes[6736] = 0x000467bba3e0e667UL;
   tf->codes[6737] = 0x000467cea03fc546UL;
   tf->codes[6738] = 0x000467d3e31949f9UL;
   tf->codes[6739] = 0x000467dafa6afcd4UL;
   tf->codes[6740] = 0x000467e6a4e92313UL;
   tf->codes[6741] = 0x000467e78f253a27UL;
   tf->codes[6742] = 0x000467e87961513bUL;
   tf->codes[6743] = 0x000467e99e2c6e14UL;
   tf->codes[6744] = 0x000467ef5623fe51UL;
   tf->codes[6745] = 0x000467f66d75b12cUL;
   tf->codes[6746] = 0x000467f6e293bcb6UL;
   tf->codes[6747] = 0x000467fd0fa9587dUL;
   tf->codes[6748] = 0x00046812559e710eUL;
   tf->codes[6749] = 0x000468158970c1d4UL;
   tf->codes[6750] = 0x000468196cf023e9UL;
   tf->codes[6751] = 0x0004681a91bb40c2UL;
   tf->codes[6752] = 0x0004681d15e08039UL;
   tf->codes[6753] = 0x0004681f24e7b426UL;
   tf->codes[6754] = 0x00046825c71b5b77UL;
   tf->codes[6755] = 0x0004683ef08fd61dUL;
   tf->codes[6756] = 0x000468408a78fe80UL;
   tf->codes[6757] = 0x0004684592c37d6eUL;
   tf->codes[6758] = 0x00046849eb60eb0dUL;
   tf->codes[6759] = 0x0004684f68c97585UL;
   tf->codes[6760] = 0x000468534c48d79aUL;
   tf->codes[6761] = 0x000468560afd1cd6UL;
   tf->codes[6762] = 0x000468593ecf6d9cUL;
   tf->codes[6763] = 0x0004685e81a8f24fUL;
   tf->codes[6764] = 0x00046867e290dedcUL;
   tf->codes[6765] = 0x0004686c009f46b6UL;
   tf->codes[6766] = 0x0004686ceadb5dcaUL;
   tf->codes[6767] = 0x0004686e84c4862dUL;
   tf->codes[6768] = 0x00046870ce5abfdfUL;
   tf->codes[6769] = 0x0004687aa460b7f6UL;
   tf->codes[6770] = 0x000468885de61222UL;
   tf->codes[6771] = 0x000468952d2f553aUL;
   tf->codes[6772] = 0x0004689cb99f139fUL;
   tf->codes[6773] = 0x000468ac822ba1b8UL;
   tf->codes[6774] = 0x000468b692c09f94UL;
   tf->codes[6775] = 0x000468ba3bb0fbe4UL;
   tf->codes[6776] = 0x000468bf43fb7ad2UL;
   tf->codes[6777] = 0x000468c068c697abUL;
   tf->codes[6778] = 0x000468ca3ecc8fc2UL;
   tf->codes[6779] = 0x000468d5e94ab601UL;
   tf->codes[6780] = 0x000468df0fa39cc9UL;
   tf->codes[6781] = 0x000468df4a32a28eUL;
   tf->codes[6782] = 0x000468e8ab1a8f1bUL;
   tf->codes[6783] = 0x000468e920389aa5UL;
   tf->codes[6784] = 0x000468eb69ced457UL;
   tf->codes[6785] = 0x000468ed03b7fcbaUL;
   tf->codes[6786] = 0x000468f072195345UL;
   tf->codes[6787] = 0x000468f0e7375ecfUL;
   tf->codes[6788] = 0x000468faf7cc5cabUL;
   tf->codes[6789] = 0x0004690493434efdUL;
   tf->codes[6790] = 0x000469099b8dcdebUL;
   tf->codes[6791] = 0x000469178fa22ddcUL;
   tf->codes[6792] = 0x00046925be459392UL;
   tf->codes[6793] = 0x00046927582ebbf5UL;
   tf->codes[6794] = 0x0004692d854457bcUL;
   tf->codes[6795] = 0x0004692dfa626346UL;
   tf->codes[6796] = 0x00046938baa47271UL;
   tf->codes[6797] = 0x0004693a548d9ad4UL;
   tf->codes[6798] = 0x000469437ae6819cUL;
   tf->codes[6799] = 0x0004694bf1925715UL;
   tf->codes[6800] = 0x0004694f9a82b365UL;
   tf->codes[6801] = 0x000469504a2fc4b4UL;
   tf->codes[6802] = 0x00046956b1d46640UL;
   tf->codes[6803] = 0x00046958fb6a9ff2UL;
   tf->codes[6804] = 0x0004695935f9a5b7UL;
   tf->codes[6805] = 0x000469788c83bc24UL;
   tf->codes[6806] = 0x0004697e09ec469cUL;
   tf->codes[6807] = 0x00046985213df977UL;
   tf->codes[6808] = 0x000469855bccff3cUL;
   tf->codes[6809] = 0x0004698cadadb7dcUL;
   tf->codes[6810] = 0x00046992dac353a3UL;
   tf->codes[6811] = 0x0004699c763a45f5UL;
   tf->codes[6812] = 0x000469ac3ec6d40eUL;
   tf->codes[6813] = 0x000469b1bc2f5e86UL;
   tf->codes[6814] = 0x000469bd66ad84c5UL;
   tf->codes[6815] = 0x000469c3ce522651UL;
   tf->codes[6816] = 0x000469ccba1c0754UL;
   tf->codes[6817] = 0x000469d5e074ee1cUL;
   tf->codes[6818] = 0x000469dcf7c6a0f7UL;
   tf->codes[6819] = 0x000469df415cdaa9UL;
   tf->codes[6820] = 0x000469e61e1f87bfUL;
   tf->codes[6821] = 0x000469e867b5c171UL;
   tf->codes[6822] = 0x000469ec10a61dc1UL;
   tf->codes[6823] = 0x000469ef44786e87UL;
   tf->codes[6824] = 0x000469fb6414a050UL;
   tf->codes[6825] = 0x00046a006c5f1f3eUL;
   tf->codes[6826] = 0x00046a1627724359UL;
   tf->codes[6827] = 0x00046a17fbea7181UL;
   tf->codes[6828] = 0x00046a1c8f16e4e5UL;
   tf->codes[6829] = 0x00046a23e0f79d85UL;
   tf->codes[6830] = 0x00046a257ae0c5e8UL;
   tf->codes[6831] = 0x00046a36683870daUL;
   tf->codes[6832] = 0x00046a39d699c765UL;
   tf->codes[6833] = 0x00046a42fcf2ae2dUL;
   tf->codes[6834] = 0x00046a51db432532UL;
   tf->codes[6835] = 0x00046a550f1575f8UL;
   tf->codes[6836] = 0x00046a5967b2e397UL;
   tf->codes[6837] = 0x00046a5cd6143a22UL;
   tf->codes[6838] = 0x00046a61de5eb910UL;
   tf->codes[6839] = 0x00046a68bb216626UL;
   tf->codes[6840] = 0x00046a6dfdfaead9UL;
   tf->codes[6841] = 0x00046a75ff88b4c8UL;
   tf->codes[6842] = 0x00046a772453d1a1UL;
   tf->codes[6843] = 0x00046a7bf20f4acaUL;
   tf->codes[6844] = 0x00046a829442f21bUL;
   tf->codes[6845] = 0x00046a8811ab7c93UL;
   tf->codes[6846] = 0x00046a9d922f9ae9UL;
   tf->codes[6847] = 0x00046aa2255c0e4dUL;
   tf->codes[6848] = 0x00046aa6f3178776UL;
   tf->codes[6849] = 0x00046ac01c8c021cUL;
   tf->codes[6850] = 0x00046acb175d170cUL;
   tf->codes[6851] = 0x00046ad109e3ad0eUL;
   tf->codes[6852] = 0x00046ad35379e6c0UL;
   tf->codes[6853] = 0x00046ad562811aadUL;
   tf->codes[6854] = 0x00046ad6122e2bfcUL;
   tf->codes[6855] = 0x00046ad8d0e27138UL;
   tf->codes[6856] = 0x00046adcb461d34dUL;
   tf->codes[6857] = 0x00046ae73a14dcb3UL;
   tf->codes[6858] = 0x00046aecf20c6cf0UL;
   tf->codes[6859] = 0x00046aeec6849b18UL;
   tf->codes[6860] = 0x00046b048197bf33UL;
   tf->codes[6861] = 0x00046b0914c43297UL;
   tf->codes[6862] = 0x00046b094f53385cUL;
   tf->codes[6863] = 0x00046b0989e23e21UL;
   tf->codes[6864] = 0x00046b0c4896835dUL;
   tf->codes[6865] = 0x00046b0cf84394acUL;
   tf->codes[6866] = 0x00046b1534606460UL;
   tf->codes[6867] = 0x00046b186832b526UL;
   tf->codes[6868] = 0x00046b270bf42666UL;
   tf->codes[6869] = 0x00046b29901965ddUL;
   tf->codes[6870] = 0x00046b30e1fa1e7dUL;
   tf->codes[6871] = 0x00046b348aea7acdUL;
   tf->codes[6872] = 0x00046b35ea449d6bUL;
   tf->codes[6873] = 0x00046b3f109d8433UL;
   tf->codes[6874] = 0x00046b3f85bb8fbdUL;
   tf->codes[6875] = 0x00046b4996508d99UL;
   tf->codes[6876] = 0x00046b4cca22de5fUL;
   tf->codes[6877] = 0x00046b52821a6e9cUL;
   tf->codes[6878] = 0x00046b61606ae5a1UL;
   tf->codes[6879] = 0x00046b636f72198eUL;
   tf->codes[6880] = 0x00046b6a11a5c0dfUL;
   tf->codes[6881] = 0x00046b6bab8ee942UL;
   tf->codes[6882] = 0x00046b6d0ae90be0UL;
   tf->codes[6883] = 0x00046b6ea4d23443UL;
   tf->codes[6884] = 0x00046b6edf613a08UL;
   tf->codes[6885] = 0x00046b750c76d5cfUL;
   tf->codes[6886] = 0x00046b7840492695UL;
   tf->codes[6887] = 0x00046b7dbdb1b10dUL;
   tf->codes[6888] = 0x00046b812c130798UL;
   tf->codes[6889] = 0x00046b8ee59861c4UL;
   tf->codes[6890] = 0x00046b97d16242c7UL;
   tf->codes[6891] = 0x00046b9bb4e1a4dcUL;
   tf->codes[6892] = 0x00046bad51e6611dUL;
   tf->codes[6893] = 0x00046bb603213c5bUL;
   tf->codes[6894] = 0x00046bb8c1d58197UL;
   tf->codes[6895] = 0x00046bbd8f90fac0UL;
   tf->codes[6896] = 0x00046bbeb45c1799UL;
   tf->codes[6897] = 0x00046bc0fdf2514bUL;
   tf->codes[6898] = 0x00046bc640cbd5feUL;
   tf->codes[6899] = 0x00046bc9749e26c4UL;
   tf->codes[6900] = 0x00046be7313f14ceUL;
   tf->codes[6901] = 0x00046bf2dbbd3b0dUL;
   tf->codes[6902] = 0x00046c0353f6da75UL;
   tf->codes[6903] = 0x00046c0403a3ebc4UL;
   tf->codes[6904] = 0x00046c0ae06698daUL;
   tf->codes[6905] = 0x00046c0c7a4fc13dUL;
   tf->codes[6906] = 0x00046c0d9f1ade16UL;
   tf->codes[6907] = 0x00046c1406bf7fa2UL;
   tf->codes[6908] = 0x00046c19beb70fdfUL;
   tf->codes[6909] = 0x00046c1c42dc4f56UL;
   tf->codes[6910] = 0x00046c1cf28960a5UL;
   tf->codes[6911] = 0x00046c29fc61a982UL;
   tf->codes[6912] = 0x00046c3740c8f824UL;
   tf->codes[6913] = 0x00046c40a1b0e4b1UL;
   tf->codes[6914] = 0x00046c477e7391c7UL;
   tf->codes[6915] = 0x00046c4ab245e28dUL;
   tf->codes[6916] = 0x00046c4f0ae3502cUL;
   tf->codes[6917] = 0x00046c4f457255f1UL;
   tf->codes[6918] = 0x00046c665fdf9caaUL;
   tf->codes[6919] = 0x00046c7921af75c4UL;
   tf->codes[6920] = 0x00046c7fc3e31d15UL;
   tf->codes[6921] = 0x00046c820d7956c7UL;
   tf->codes[6922] = 0x00046c83a7627f2aUL;
   tf->codes[6923] = 0x00046c84cc2d9c03UL;
   tf->codes[6924] = 0x00046c8e67a48e55UL;
   tf->codes[6925] = 0x00046c9afc5ecba8UL;
   tf->codes[6926] = 0x00046c9e6ac02233UL;
   tf->codes[6927] = 0x00046ca6e16bf7acUL;
   tf->codes[6928] = 0x00046cae334cb04cUL;
   tf->codes[6929] = 0x00046cb0f200f588UL;
   tf->codes[6930] = 0x00046cb8f38ebf77UL;
   tf->codes[6931] = 0x00046cbc61f01602UL;
   tf->codes[6932] = 0x00046cc16a3a94f0UL;
   tf->codes[6933] = 0x00046ccacb22817dUL;
   tf->codes[6934] = 0x00046cd550d58ae3UL;
   tf->codes[6935] = 0x00046ce9377080d6UL;
   tf->codes[6936] = 0x00046cea21ac97eaUL;
   tf->codes[6937] = 0x00046cea96caa374UL;
   tf->codes[6938] = 0x00046cec30b3cbd7UL;
   tf->codes[6939] = 0x00046cef29f716d8UL;
   tf->codes[6940] = 0x00046cf382948477UL;
   tf->codes[6941] = 0x00046cf3bd238a3cUL;
   tf->codes[6942] = 0x00046cf5570cb29fUL;
   tf->codes[6943] = 0x00046cf67bd7cf78UL;
   tf->codes[6944] = 0x00046cfad4753d17UL;
   tf->codes[6945] = 0x00046d097836ae57UL;
   tf->codes[6946] = 0x00046d0ce69804e2UL;
   tf->codes[6947] = 0x00046d160cf0ebaaUL;
   tf->codes[6948] = 0x00046d1caf2492fbUL;
   tf->codes[6949] = 0x00046d1d24429e85UL;
   tf->codes[6950] = 0x00046d2d61ed3828UL;
   tf->codes[6951] = 0x00046d2fe612779fUL;
   tf->codes[6952] = 0x00046d38222f4753UL;
   tf->codes[6953] = 0x00046d3cefeac07cUL;
   tf->codes[6954] = 0x00046d468b61b2ceUL;
   tf->codes[6955] = 0x00046d47b02ccfa7UL;
   tf->codes[6956] = 0x00046d59fcde9d37UL;
   tf->codes[6957] = 0x00046d5bd156cb5fUL;
   tf->codes[6958] = 0x00046d698adc258bUL;
   tf->codes[6959] = 0x00046d6b5f5453b3UL;
   tf->codes[6960] = 0x00046d6f42d3b5c8UL;
   tf->codes[6961] = 0x00046d7b27e0e1ccUL;
   tf->codes[6962] = 0x00046d8ed3ecd1faUL;
   tf->codes[6963] = 0x00046d8f8399e349UL;
   tf->codes[6964] = 0x00046d969aeb9624UL;
   tf->codes[6965] = 0x00046d9c1854209cUL;
   tf->codes[6966] = 0x00046da070f18e3bUL;
   tf->codes[6967] = 0x00046db332c16755UL;
   tf->codes[6968] = 0x00046db78b5ed4f4UL;
   tf->codes[6969] = 0x00046dd005263e4bUL;
   tf->codes[6970] = 0x00046dd2fe69894cUL;
   tf->codes[6971] = 0x00046dd50d70bd39UL;
   tf->codes[6972] = 0x00046dd6323bda12UL;
   tf->codes[6973] = 0x00046ddc24c27014UL;
   tf->codes[6974] = 0x00046ddea8e7af8bUL;
   tf->codes[6975] = 0x00046de5c0396266UL;
   tf->codes[6976] = 0x00046de66fe673b5UL;
   tf->codes[6977] = 0x00046dee71743da4UL;
   tf->codes[6978] = 0x00046df49e89d96bUL;
   tf->codes[6979] = 0x00046e037cda5070UL;
   tf->codes[6980] = 0x00046e0516c378d3UL;
   tf->codes[6981] = 0x00046e0eb23a6b25UL;
   tf->codes[6982] = 0x00046e1295b9cd3aUL;
   tf->codes[6983] = 0x00046e137ff5e44eUL;
   tf->codes[6984] = 0x00046e1b0c65a2b3UL;
   tf->codes[6985] = 0x00046e1fda211bdcUL;
   tf->codes[6986] = 0x00046e238311782cUL;
   tf->codes[6987] = 0x00046e2eb87192e1UL;
   tf->codes[6988] = 0x00046e3853e88533UL;
   tf->codes[6989] = 0x00046e3fa5c93dd3UL;
   tf->codes[6990] = 0x00046e4a660b4cfeUL;
   tf->codes[6991] = 0x00046e561089733dUL;
   tf->codes[6992] = 0x00046e5894aeb2b4UL;
   tf->codes[6993] = 0x00046e5e12173d2cUL;
   tf->codes[6994] = 0x00046e61f5969f41UL;
   tf->codes[6995] = 0x00046e631a61bc1aUL;
   tf->codes[6996] = 0x00046e71f8b2331fUL;
   tf->codes[6997] = 0x00046e72a85f446eUL;
   tf->codes[6998] = 0x00046e73cd2a6147UL;
   tf->codes[6999] = 0x00046e7e8d6c7072UL;
   tf->codes[7000] = 0x00046e832098e3d6UL;
   tf->codes[7001] = 0x00046e8bd1d3bf14UL;
   tf->codes[7002] = 0x00046eb5e89fe4acUL;
   tf->codes[7003] = 0x00046eb6232eea71UL;
   tf->codes[7004] = 0x00046ebb66086f24UL;
   tf->codes[7005] = 0x00046ebe24bcb460UL;
   tf->codes[7006] = 0x00046ebfbea5dcc3UL;
   tf->codes[7007] = 0x00046ec7c033a6b2UL;
   tf->codes[7008] = 0x00046ecbde420e8cUL;
   tf->codes[7009] = 0x00046ecc8def1fdbUL;
   tf->codes[7010] = 0x00046ed20b57aa53UL;
   tf->codes[7011] = 0x00046ed7c34f3a90UL;
   tf->codes[7012] = 0x00046edd0628bf43UL;
   tf->codes[7013] = 0x00046eeafa3d1f34UL;
   tf->codes[7014] = 0x00046eeb34cc24f9UL;
   tf->codes[7015] = 0x00046ef24c1dd7d4UL;
   tf->codes[7016] = 0x00046ef50ad21d10UL;
   tf->codes[7017] = 0x00046ef62f9d39e9UL;
   tf->codes[7018] = 0x00046f03e9229415UL;
   tf->codes[7019] = 0x00046f128ce40555UL;
   tf->codes[7020] = 0x00046f1b3e1ee093UL;
   tf->codes[7021] = 0x00046f45ca0911b5UL;
   tf->codes[7022] = 0x00046f5ce476586eUL;
   tf->codes[7023] = 0x00046f6ad88ab85fUL;
   tf->codes[7024] = 0x00046f6f6bb72bc3UL;
   tf->codes[7025] = 0x00046f717abe5fb0UL;
   tf->codes[7026] = 0x00046f743972a4ecUL;
   tf->codes[7027] = 0x00046f789210128bUL;
   tf->codes[7028] = 0x00046f87aaef8f55UL;
   tf->codes[7029] = 0x00046f8d285819cdUL;
   tf->codes[7030] = 0x00046f91bb848d31UL;
   tf->codes[7031] = 0x00046f943fa9cca8UL;
   tf->codes[7032] = 0x00046f9b56fb7f83UL;
   tf->codes[7033] = 0x00046f9ec55cd60eUL;
   tf->codes[7034] = 0x00046f9faf98ed22UL;
   tf->codes[7035] = 0x00046fafb2b48100UL;
   tf->codes[7036] = 0x00046fba72f6902bUL;
   tf->codes[7037] = 0x00046fbd6c39db2cUL;
   tf->codes[7038] = 0x00046fbda6c8e0f1UL;
   tf->codes[7039] = 0x00046fbf40b20954UL;
   tf->codes[7040] = 0x00046fc35ec0712eUL;
   tf->codes[7041] = 0x00046fc40e6d827dUL;
   tf->codes[7042] = 0x00046fc7b75ddecdUL;
   tf->codes[7043] = 0x00046fc8dc28fba6UL;
   tf->codes[7044] = 0x00046fdb9df8d4c0UL;
   tf->codes[7045] = 0x00046feff9b1d63dUL;
   tf->codes[7046] = 0x00046ff6d6748353UL;
   tf->codes[7047] = 0x00046ff8705dabb6UL;
   tf->codes[7048] = 0x0004701db96e5825UL;
   tf->codes[7049] = 0x00047029295d789fUL;
   tf->codes[7050] = 0x0004702be811bddbUL;
   tf->codes[7051] = 0x0004702c22a0c3a0UL;
   tf->codes[7052] = 0x00047040f377d0a7UL;
   tf->codes[7053] = 0x000470449c682cf7UL;
   tf->codes[7054] = 0x000470463651555aUL;
   tf->codes[7055] = 0x0004704cd884fcabUL;
   tf->codes[7056] = 0x000470516bb1700fUL;
   tf->codes[7057] = 0x00047056ae8af4c2UL;
   tf->codes[7058] = 0x0004705a1cec4b4dUL;
   tf->codes[7059] = 0x0004705acc995c9cUL;
   tf->codes[7060] = 0x0004705bb6d573b0UL;
   tf->codes[7061] = 0x0004705eeaa7c476UL;
   tf->codes[7062] = 0x0004706ca42d1ea2UL;
   tf->codes[7063] = 0x000470746b2be2ccUL;
   tf->codes[7064] = 0x000470758ff6ffa5UL;
   tf->codes[7065] = 0x00047078893a4aa6UL;
   tf->codes[7066] = 0x0004707a23237309UL;
   tf->codes[7067] = 0x0004707ca748b280UL;
   tf->codes[7068] = 0x00047082d45e4e47UL;
   tf->codes[7069] = 0x000470867d4eaa97UL;
   tf->codes[7070] = 0x0004709c72f0d477UL;
   tf->codes[7071] = 0x000470af34c0ad91UL;
   tf->codes[7072] = 0x000470b0941ad02fUL;
   tf->codes[7073] = 0x000470b38d5e1b30UL;
   tf->codes[7074] = 0x000470b9ba73b6f7UL;
   tf->codes[7075] = 0x000470c52a62d771UL;
   tf->codes[7076] = 0x000470c6fedb0599UL;
   tf->codes[7077] = 0x000470cc7c439011UL;
   tf->codes[7078] = 0x000470dae575fb8cUL;
   tf->codes[7079] = 0x000470dec8f55da1UL;
   tf->codes[7080] = 0x000470df78a26ef0UL;
   tf->codes[7081] = 0x000470eecc10f17fUL;
   tf->codes[7082] = 0x000470f40eea7632UL;
   tf->codes[7083] = 0x000470f82cf8de0cUL;
   tf->codes[7084] = 0x0004710118c2bf0fUL;
   tf->codes[7085] = 0x0004710536d126e9UL;
   tf->codes[7086] = 0x0004711031a23bd9UL;
   tf->codes[7087] = 0x0004711b2c7350c9UL;
   tf->codes[7088] = 0x000471415fc0144cUL;
   tf->codes[7089] = 0x000471419a4f1a11UL;
   tf->codes[7090] = 0x00047143a9564dfeUL;
   tf->codes[7091] = 0x00047143e3e553c3UL;
   tf->codes[7092] = 0x0004716a51c11d0bUL;
   tf->codes[7093] = 0x00047172c86cf284UL;
   tf->codes[7094] = 0x00047173b2a90998UL;
   tf->codes[7095] = 0x0004717a1a4dab24UL;
   tf->codes[7096] = 0x0004717b3f18c7fdUL;
   tf->codes[7097] = 0x000471916f49f7a2UL;
   tf->codes[7098] = 0x00047193f36f3719UL;
   tf->codes[7099] = 0x000471a4e0c6e20bUL;
   tf->codes[7100] = 0x000471b4e3e275e9UL;
   tf->codes[7101] = 0x000471b85243cc74UL;
   tf->codes[7102] = 0x000471bad6690bebUL;
   tf->codes[7103] = 0x000471c3c232eceeUL;
   tf->codes[7104] = 0x000471cce88bd3b6UL;
   tf->codes[7105] = 0x000471cf32220d68UL;
   tf->codes[7106] = 0x000471d3c54e80ccUL;
   tf->codes[7107] = 0x000471dfaa5bacd0UL;
   tf->codes[7108] = 0x000471e562533d0dUL;
   tf->codes[7109] = 0x000471ee88ac23d5UL;
   tf->codes[7110] = 0x000471f26c2b85eaUL;
   tf->codes[7111] = 0x000471f6ff57f94eUL;
   tf->codes[7112] = 0x000471ffb092d48cUL;
   tf->codes[7113] = 0x0004720b2081f506UL;
   tf->codes[7114] = 0x0004720cba6b1d69UL;
   tf->codes[7115] = 0x0004720f3e905ce0UL;
   tf->codes[7116] = 0x000472109dea7f7eUL;
   tf->codes[7117] = 0x000472194f255abcUL;
   tf->codes[7118] = 0x00047219fed26c0bUL;
   tf->codes[7119] = 0x0004721a396171d0UL;
   tf->codes[7120] = 0x0004721de251ce20UL;
   tf->codes[7121] = 0x00047226ce1baf23UL;
   tf->codes[7122] = 0x0004722ff47495ebUL;
   tf->codes[7123] = 0x000472341282fdc5UL;
   tf->codes[7124] = 0x00047236218a31b2UL;
   tf->codes[7125] = 0x0004723d736aea52UL;
   tf->codes[7126] = 0x0004724206975db6UL;
   tf->codes[7127] = 0x0004724699c3d11aUL;
   tf->codes[7128] = 0x0004724deba489baUL;
   tf->codes[7129] = 0x0004724f106fa693UL;
   tf->codes[7130] = 0x000472532e7e0e6dUL;
   tf->codes[7131] = 0x0004725a0b40bb83UL;
   tf->codes[7132] = 0x0004725fc3384bc0UL;
   tf->codes[7133] = 0x0004726281ec90fcUL;
   tf->codes[7134] = 0x00047268747326feUL;
   tf->codes[7135] = 0x0004727b70d205ddUL;
   tf->codes[7136] = 0x00047283aceed591UL;
   tf->codes[7137] = 0x00047294252874f9UL;
   tf->codes[7138] = 0x00047296e3dcba35UL;
   tf->codes[7139] = 0x0004729b01eb220fUL;
   tf->codes[7140] = 0x0004729b3c7a27d4UL;
   tf->codes[7141] = 0x0004729bec273923UL;
   tf->codes[7142] = 0x0004729c26b63ee8UL;
   tf->codes[7143] = 0x000472b4db0cae04UL;
   tf->codes[7144] = 0x000472b5c548c518UL;
   tf->codes[7145] = 0x000472b933aa1ba3UL;
   tf->codes[7146] = 0x000472bc2ced66a4UL;
   tf->codes[7147] = 0x000472c5c86458f6UL;
   tf->codes[7148] = 0x000472c6b2a0700aUL;
   tf->codes[7149] = 0x000472cb0b3ddda9UL;
   tf->codes[7150] = 0x000472cc6a980047UL;
   tf->codes[7151] = 0x000472d590f0e70fUL;
   tf->codes[7152] = 0x000472d7da8720c1UL;
   tf->codes[7153] = 0x000472dd927eb0feUL;
   tf->codes[7154] = 0x000472df66f6df26UL;
   tf->codes[7155] = 0x000472e2603a2a27UL;
   tf->codes[7156] = 0x000472e46f415e14UL;
   tf->codes[7157] = 0x000472e6b8d797c6UL;
   tf->codes[7158] = 0x000472e7dda2b49fUL;
   tf->codes[7159] = 0x000472eb869310efUL;
   tf->codes[7160] = 0x000472eeba6561b5UL;
   tf->codes[7161] = 0x000472ef6a127304UL;
   tf->codes[7162] = 0x000472f0c96c95a2UL;
   tf->codes[7163] = 0x000472f81b4d4e42UL;
   tf->codes[7164] = 0x000472fa2a54822fUL;
   tf->codes[7165] = 0x000472fe0dd3e444UL;
   tf->codes[7166] = 0x000473017c353acfUL;
   tf->codes[7167] = 0x00047304757885d0UL;
   tf->codes[7168] = 0x0004731ae038bb3aUL;
   tf->codes[7169] = 0x00047327af81fe52UL;
   tf->codes[7170] = 0x0004734063d86d6eUL;
   tf->codes[7171] = 0x000473414e148482UL;
   tf->codes[7172] = 0x00047345e140f7e6UL;
   tf->codes[7173] = 0x000473644d8ef73fUL;
   tf->codes[7174] = 0x00047371cc854ba6UL;
   tf->codes[7175] = 0x000473770f5ed059UL;
   tf->codes[7176] = 0x00047386283e4d23UL;
   tf->codes[7177] = 0x0004739d42ab93dcUL;
   tf->codes[7178] = 0x000473a41f6e40f2UL;
   tf->codes[7179] = 0x000473acd0a91c30UL;
   tf->codes[7180] = 0x000473b54754f1a9UL;
   tf->codes[7181] = 0x000473c634ac9c9bUL;
   tf->codes[7182] = 0x000473c80924cac3UL;
   tf->codes[7183] = 0x000473cbb2152713UL;
   tf->codes[7184] = 0x000473cbeca42cd8UL;
   tf->codes[7185] = 0x000473e4a0fa9bf4UL;
   tf->codes[7186] = 0x000473e4db89a1b9UL;
   tf->codes[7187] = 0x000473e96eb6151dUL;
   tf->codes[7188] = 0x000473f6788e5dfaUL;
   tf->codes[7189] = 0x000473fdca6f169aUL;
   tf->codes[7190] = 0x00047402230c8439UL;
   tf->codes[7191] = 0x0004740ce34e9364UL;
   tf->codes[7192] = 0x0004741818aeae19UL;
   tf->codes[7193] = 0x0004743684fcad72UL;
   tf->codes[7194] = 0x0004743c77834374UL;
   tf->codes[7195] = 0x00047448971f753dUL;
   tf->codes[7196] = 0x0004744d9f69f42bUL;
   tf->codes[7197] = 0x00047475e1bdeb9bUL;
   tf->codes[7198] = 0x000474777ba713feUL;
   tf->codes[7199] = 0x00047479c53d4db0UL;
   tf->codes[7200] = 0x0004747c0ed38762UL;
   tf->codes[7201] = 0x0004747d6e2daa00UL;
   tf->codes[7202] = 0x0004748b9cd10fb6UL;
   tf->codes[7203] = 0x000474923f04b707UL;
   tf->codes[7204] = 0x00047497bc6d417fUL;
   tf->codes[7205] = 0x00047498e1385e58UL;
   tf->codes[7206] = 0x0004749bda7ba959UL;
   tf->codes[7207] = 0x000474adb20f6b5fUL;
   tf->codes[7208] = 0x000474b1958ecd74UL;
   tf->codes[7209] = 0x000474c20dc86cdcUL;
   tf->codes[7210] = 0x000474c8756d0e68UL;
   tf->codes[7211] = 0x000474d5b9d45d0aUL;
   tf->codes[7212] = 0x000474d7c8db90f7UL;
   tf->codes[7213] = 0x000474da878fd633UL;
   tf->codes[7214] = 0x000474e58260eb23UL;
   tf->codes[7215] = 0x000474e5bceff0e8UL;
   tf->codes[7216] = 0x000474e6e1bb0dc1UL;
   tf->codes[7217] = 0x000474f460b16228UL;
   tf->codes[7218] = 0x000474fb02e50979UL;
   tf->codes[7219] = 0x000474ff20f37153UL;
   tf->codes[7220] = 0x000474ffd0a082a2UL;
   tf->codes[7221] = 0x000475016a89ab05UL;
   tf->codes[7222] = 0x0004750e7461f3e2UL;
   tf->codes[7223] = 0x0004750f5e9e0af6UL;
   tf->codes[7224] = 0x000475100e4b1c45UL;
   tf->codes[7225] = 0x0004751292705bbcUL;
   tf->codes[7226] = 0x00047513078e6746UL;
   tf->codes[7227] = 0x00047514a1778fa9UL;
   tf->codes[7228] = 0x0004751516959b33UL;
   tf->codes[7229] = 0x0004751c687653d3UL;
   tf->codes[7230] = 0x00047527d865744dUL;
   tf->codes[7231] = 0x00047535cc79d43eUL;
   tf->codes[7232] = 0x00047539aff93653UL;
   tf->codes[7233] = 0x0004753ce3cb8719UL;
   tf->codes[7234] = 0x0004754e46413d95UL;
   tf->codes[7235] = 0x0004754f307d54a9UL;
   tf->codes[7236] = 0x00047559b6305e0fUL;
   tf->codes[7237] = 0x0004755bffc697c1UL;
   tf->codes[7238] = 0x0004755dd43ec5e9UL;
   tf->codes[7239] = 0x000475759e591df1UL;
   tf->codes[7240] = 0x000475894a650e1fUL;
   tf->codes[7241] = 0x0004758a34a12533UL;
   tf->codes[7242] = 0x000475be96914e6cUL;
   tf->codes[7243] = 0x000475c204f2a4f7UL;
   tf->codes[7244] = 0x000475c413f9d8e4UL;
   tf->codes[7245] = 0x000475cfbe77ff23UL;
   tf->codes[7246] = 0x000475d959eef175UL;
   tf->codes[7247] = 0x000475de27aa6a9eUL;
   tf->codes[7248] = 0x000475ea81d5a22cUL;
   tf->codes[7249] = 0x000475ed05fae1a3UL;
   tf->codes[7250] = 0x000476045af72e21UL;
   tf->codes[7251] = 0x0004761005755460UL;
   tf->codes[7252] = 0x00047618f13f3563UL;
   tf->codes[7253] = 0x0004761a160a523cUL;
   tf->codes[7254] = 0x0004761c9a2f91b3UL;
   tf->codes[7255] = 0x0004761e6ea7bfdbUL;
   tf->codes[7256] = 0x0004762585f972b6UL;
   tf->codes[7257] = 0x000476416e223298UL;
   tf->codes[7258] = 0x00047647d5c6d424UL;
   tf->codes[7259] = 0x000476488573e573UL;
   tf->codes[7260] = 0x000476530b26eed9UL;
   tf->codes[7261] = 0x0004765d90d9f83fUL;
   tf->codes[7262] = 0x000476743629336eUL;
   tf->codes[7263] = 0x000476829f5b9ee9UL;
   tf->codes[7264] = 0x00047684ae62d2d6UL;
   tf->codes[7265] = 0x00047687e235239cUL;
   tf->codes[7266] = 0x0004768adb786e9dUL;
   tf->codes[7267] = 0x000476985a6ec304UL;
   tf->codes[7268] = 0x0004769b8e4113caUL;
   tf->codes[7269] = 0x000476a529b8061cUL;
   tf->codes[7270] = 0x000476b233904ef9UL;
   tf->codes[7271] = 0x000476b392ea7197UL;
   tf->codes[7272] = 0x000476c61a2b44ecUL;
   tf->codes[7273] = 0x000476c654ba4ab1UL;
   tf->codes[7274] = 0x000476cf7b133179UL;
   tf->codes[7275] = 0x000476d18a1a6566UL;
   tf->codes[7276] = 0x000476d239c776b5UL;
   tf->codes[7277] = 0x000476d35e92938eUL;
   tf->codes[7278] = 0x000476d69264e454UL;
   tf->codes[7279] = 0x000476df7e2ec557UL;
   tf->codes[7280] = 0x000476dfb8bdcb1cUL;
   tf->codes[7281] = 0x000476fe5f9ad03aUL;
   tf->codes[7282] = 0x00047704c73f71c6UL;
   tf->codes[7283] = 0x00047707c082bcc7UL;
   tf->codes[7284] = 0x0004770bde9124a1UL;
   tf->codes[7285] = 0x0004770db30952c9UL;
   tf->codes[7286] = 0x0004773127a1d110UL;
   tf->codes[7287] = 0x000477316230d6d5UL;
   tf->codes[7288] = 0x0004773420e51c11UL;
   tf->codes[7289] = 0x0004773cd21ff74fUL;
   tf->codes[7290] = 0x0004773f90d43c8bUL;
   tf->codes[7291] = 0x000477424f8881c7UL;
   tf->codes[7292] = 0x000477528d331b6aUL;
   tf->codes[7293] = 0x0004775a5431df94UL;
   tf->codes[7294] = 0x0004775bee1b07f7UL;
   tf->codes[7295] = 0x0004776f5f97f260UL;
   tf->codes[7296] = 0x00047779702cf03cUL;
   tf->codes[7297] = 0x0004777ca3ff4102UL;
   tf->codes[7298] = 0x0004778938b97e55UL;
   tf->codes[7299] = 0x0004778bbcdebdccUL;
   tf->codes[7300] = 0x0004778c6c8bcf1bUL;
   tf->codes[7301] = 0x00047794338a9345UL;
   tf->codes[7302] = 0x00047799766417f8UL;
   tf->codes[7303] = 0x0004779d1f547448UL;
   tf->codes[7304] = 0x0004779fa379b3bfUL;
   tf->codes[7305] = 0x000477b1b59c7b8aUL;
   tf->codes[7306] = 0x000477c85aebb6b9UL;
   tf->codes[7307] = 0x000477d89896505cUL;
   tf->codes[7308] = 0x000477e358d85f87UL;
   tf->codes[7309] = 0x000477e47da37c60UL;
   tf->codes[7310] = 0x000477e4f2c187eaUL;
   tf->codes[7311] = 0x000477e6c739b612UL;
   tf->codes[7312] = 0x000477eb5a662976UL;
   tf->codes[7313] = 0x000477f704e44fb5UL;
   tf->codes[7314] = 0x000477f7ef2066c9UL;
   tf->codes[7315] = 0x000478002b3d367dUL;
   tf->codes[7316] = 0x0004781c4df4fc24UL;
   tf->codes[7317] = 0x0004782ba1637eb3UL;
   tf->codes[7318] = 0x0004782e6017c3efUL;
   tf->codes[7319] = 0x0004783661a58ddeUL;
   tf->codes[7320] = 0x0004783d3e683af4UL;
   tf->codes[7321] = 0x0004784a82cf8996UL;
   tf->codes[7322] = 0x000478520f3f47fbUL;
   tf->codes[7323] = 0x00047854cdf38d37UL;
   tf->codes[7324] = 0x00047855b82fa44bUL;
   tf->codes[7325] = 0x000478650b9e26daUL;
   tf->codes[7326] = 0x00047871a058642dUL;
   tf->codes[7327] = 0x00047893f025c59bUL;
   tf->codes[7328] = 0x000478949fd2d6eaUL;
   tf->codes[7329] = 0x00047895c49df3c3UL;
   tf->codes[7330] = 0x00047896e969109cUL;
   tf->codes[7331] = 0x00047898bde13ec4UL;
   tf->codes[7332] = 0x0004789c66d19b14UL;
   tf->codes[7333] = 0x0004789e00bac377UL;
   tf->codes[7334] = 0x000478a3b8b253b4UL;
   tf->codes[7335] = 0x000478abba401da3UL;
   tf->codes[7336] = 0x000478af9dbf7fb8UL;
   tf->codes[7337] = 0x000478b221e4bf2fUL;
   tf->codes[7338] = 0x000478b7d9dc4f6cUL;
   tf->codes[7339] = 0x000478b973c577cfUL;
   tf->codes[7340] = 0x000478bce226ce5aUL;
   tf->codes[7341] = 0x000478bd1cb5d41fUL;
   tf->codes[7342] = 0x000478bdcc62e56eUL;
   tf->codes[7343] = 0x000478cc359550e9UL;
   tf->codes[7344] = 0x000478dbfe21df02UL;
   tf->codes[7345] = 0x000478def7652a03UL;
   tf->codes[7346] = 0x000478e8cd6b221aUL;
   tf->codes[7347] = 0x000478f3531e2b80UL;
   tf->codes[7348] = 0x000478f7abbb991fUL;
   tf->codes[7349] = 0x000478f85b68aa6eUL;
   tf->codes[7350] = 0x000478fdd8d134e6UL;
   tf->codes[7351] = 0x00047904b593e1fcUL;
   tf->codes[7352] = 0x0004791c7fae3a04UL;
   tf->codes[7353] = 0x000479277a7f4ef4UL;
   tf->codes[7354] = 0x00047931c5a35295UL;
   tf->codes[7355] = 0x00047934845797d1UL;
   tf->codes[7356] = 0x0004793cc0746785UL;
   tf->codes[7357] = 0x000479465beb59d7UL;
   tf->codes[7358] = 0x0004794f47b53adaUL;
   tf->codes[7359] = 0x0004795365c3a2b4UL;
   tf->codes[7360] = 0x00047955af59dc66UL;
   tf->codes[7361] = 0x0004795ab7a45b54UL;
   tf->codes[7362] = 0x000479606f9beb91UL;
   tf->codes[7363] = 0x000479669cb18758UL;
   tf->codes[7364] = 0x00047967c17ca431UL;
   tf->codes[7365] = 0x0004796fc30a6e20UL;
   tf->codes[7366] = 0x00047970e7d58af9UL;
   tf->codes[7367] = 0x000479715cf39683UL;
   tf->codes[7368] = 0x00047972472fad97UL;
   tf->codes[7369] = 0x00047977c498380fUL;
   tf->codes[7370] = 0x0004797a834c7d4bUL;
   tf->codes[7371] = 0x0004797c1d35a5aeUL;
   tf->codes[7372] = 0x0004797e2c3cd99bUL;
   tf->codes[7373] = 0x0004798c956f4516UL;
   tf->codes[7374] = 0x0004798e2f586d79UL;
   tf->codes[7375] = 0x0004799a1465997dUL;
   tf->codes[7376] = 0x0004799afea1b091UL;
   tf->codes[7377] = 0x0004799c5dfbd32fUL;
   tf->codes[7378] = 0x000479ab01bd446fUL;
   tf->codes[7379] = 0x000479b9a57eb5afUL;
   tf->codes[7380] = 0x000479bc6432faebUL;
   tf->codes[7381] = 0x000479bc9ec200b0UL;
   tf->codes[7382] = 0x000479ca58475adcUL;
   tf->codes[7383] = 0x000479e5563403aaUL;
   tf->codes[7384] = 0x000479eb83499f71UL;
   tf->codes[7385] = 0x000479ee076edee8UL;
   tf->codes[7386] = 0x000479feba378415UL;
   tf->codes[7387] = 0x00047a0437a00e8dUL;
   tf->codes[7388] = 0x00047a08903d7c2cUL;
   tf->codes[7389] = 0x00047a0cae4be406UL;
   tf->codes[7390] = 0x00047a1d2685836eUL;
   tf->codes[7391] = 0x00047a2cb4830bc2UL;
   tf->codes[7392] = 0x00047a31f75c9075UL;
   tf->codes[7393] = 0x00047a35dadbf28aUL;
   tf->codes[7394] = 0x00047a36156af84fUL;
   tf->codes[7395] = 0x00047a37e9e32677UL;
   tf->codes[7396] = 0x00047a3c07f18e51UL;
   tf->codes[7397] = 0x00047a3c7d0f99dbUL;
   tf->codes[7398] = 0x00047a3da1dab6b4UL;
   tf->codes[7399] = 0x00047a3ddc69bc79UL;
   tf->codes[7400] = 0x00047a468da497b7UL;
   tf->codes[7401] = 0x00047a4986e7e2b8UL;
   tf->codes[7402] = 0x00047a4b95ef16a5UL;
   tf->codes[7403] = 0x00047a5b23ec9ef9UL;
   tf->codes[7404] = 0x00047a639a987472UL;
   tf->codes[7405] = 0x00047a702f52b1c5UL;
   tf->codes[7406] = 0x00047a75379d30b3UL;
   tf->codes[7407] = 0x00047a7e5df6177bUL;
   tf->codes[7408] = 0x00047a8c520a776cUL;
   tf->codes[7409] = 0x00047a948e274720UL;
   tf->codes[7410] = 0x00047aa95efe5427UL;
   tf->codes[7411] = 0x00047ab03bc1013dUL;
   tf->codes[7412] = 0x00047ab285573aefUL;
   tf->codes[7413] = 0x00047acc5e78c6e4UL;
   tf->codes[7414] = 0x00047ad84385f2e8UL;
   tf->codes[7415] = 0x00047adbb1e74973UL;
   tf->codes[7416] = 0x00047ae2c938fc4eUL;
   tf->codes[7417] = 0x00047aed145cffefUL;
   tf->codes[7418] = 0x00047af75f810390UL;
   tf->codes[7419] = 0x00047afd8c969f57UL;
   tf->codes[7420] = 0x00047b167b7c1438UL;
   tf->codes[7421] = 0x00047b17dad636d6UL;
   tf->codes[7422] = 0x00047b1b83c69326UL;
   tf->codes[7423] = 0x00047b2f2fd28354UL;
   tf->codes[7424] = 0x00047b3a9fc1a3ceUL;
   tf->codes[7425] = 0x00047b4141f54b1fUL;
   tf->codes[7426] = 0x00047b4475c79be5UL;
   tf->codes[7427] = 0x00047b4a2dbf2c22UL;
   tf->codes[7428] = 0x00047b4a684e31e7UL;
   tf->codes[7429] = 0x00047b4b17fb4336UL;
   tf->codes[7430] = 0x00047b585c6291d8UL;
   tf->codes[7431] = 0x00047b5e89782d9fUL;
   tf->codes[7432] = 0x00047b68d49c3140UL;
   tf->codes[7433] = 0x00047b690f2b3705UL;
   tf->codes[7434] = 0x00047b7394de406bUL;
   tf->codes[7435] = 0x00047b76c8b09131UL;
   tf->codes[7436] = 0x00047b794cd5d0a8UL;
   tf->codes[7437] = 0x00047b7f3f5c66aaUL;
   tf->codes[7438] = 0x00047b9067431761UL;
   tf->codes[7439] = 0x00047b9659c9ad63UL;
   tf->codes[7440] = 0x00047b9ff5409fb5UL;
   tf->codes[7441] = 0x00047bac89fadd08UL;
   tf->codes[7442] = 0x00047bbe26ff9949UL;
   tf->codes[7443] = 0x00047bc19560efd4UL;
   tf->codes[7444] = 0x00047bc9d17dbf88UL;
   tf->codes[7445] = 0x00047bca0c0cc54dUL;
   tf->codes[7446] = 0x00047bcd3fdf1613UL;
   tf->codes[7447] = 0x00047bd3a783b79fUL;
   tf->codes[7448] = 0x00047bd62ba8f716UL;
   tf->codes[7449] = 0x00047be6695390b9UL;
   tf->codes[7450] = 0x00047bf19eb3ab6eUL;
   tf->codes[7451] = 0x00047bf9dad07b22UL;
   tf->codes[7452] = 0x00047c13b3f20717UL;
   tf->codes[7453] = 0x00047c14d8bd23f0UL;
   tf->codes[7454] = 0x00047c154ddb2f7aUL;
   tf->codes[7455] = 0x00047c196be99754UL;
   tf->codes[7456] = 0x00047c2dc7a298d1UL;
   tf->codes[7457] = 0x00047c3554125736UL;
   tf->codes[7458] = 0x00047c4d58bbb503UL;
   tf->codes[7459] = 0x00047c5176ca1cddUL;
   tf->codes[7460] = 0x00047c5b12410f2fUL;
   tf->codes[7461] = 0x00047c5cac2a3792UL;
   tf->codes[7462] = 0x00047c5ce6b93d57UL;
   tf->codes[7463] = 0x00047c60551a93e2UL;
   tf->codes[7464] = 0x00047c69b602806fUL;
   tf->codes[7465] = 0x00047c6caf45cb70UL;
   tf->codes[7466] = 0x00047c7ec168933bUL;
   tf->codes[7467] = 0x00047c81f53ae401UL;
   tf->codes[7468] = 0x00047c864dd851a0UL;
   tf->codes[7469] = 0x00047c8822507fc8UL;
   tf->codes[7470] = 0x00047c8bcb40dc18UL;
   tf->codes[7471] = 0x00047c8dda481005UL;
   tf->codes[7472] = 0x00047c8e14d715caUL;
   tf->codes[7473] = 0x00047c9f022ec0bcUL;
   tf->codes[7474] = 0x00047c9fb1dbd20bUL;
   tf->codes[7475] = 0x00047cb1fe8d9f9bUL;
   tf->codes[7476] = 0x00047cb9506e583bUL;
   tf->codes[7477] = 0x00047ccde6b65f7dUL;
   tf->codes[7478] = 0x00047cce5bd46b07UL;
   tf->codes[7479] = 0x00047cd11a88b043UL;
   tf->codes[7480] = 0x00047cd488ea06ceUL;
   tf->codes[7481] = 0x00047cd831da631eUL;
   tf->codes[7482] = 0x00047ce74ab9dfe8UL;
   tf->codes[7483] = 0x00047cea7e8c30aeUL;
   tf->codes[7484] = 0x00047cedeced8739UL;
   tf->codes[7485] = 0x00047ceed7299e4dUL;
   tf->codes[7486] = 0x00047cfb3154d5dbUL;
   tf->codes[7487] = 0x00047cfccb3dfe3eUL;
   tf->codes[7488] = 0x00047d1d0c042bbfUL;
   tf->codes[7489] = 0x00047d333c355b64UL;
   tf->codes[7490] = 0x00047d3dc1e864caUL;
   tf->codes[7491] = 0x00047d449eab11e0UL;
   tf->codes[7492] = 0x00047d48bcb979baUL;
   tf->codes[7493] = 0x00047d4c65a9d60aUL;
   tf->codes[7494] = 0x00047d5acedc4185UL;
   tf->codes[7495] = 0x00047d5b096b474aUL;
   tf->codes[7496] = 0x00047d5f2779af24UL;
   tf->codes[7497] = 0x00047d65c9ad5675UL;
   tf->codes[7498] = 0x00047d6a9768cf9eUL;
   tf->codes[7499] = 0x00047d6eb5773778UL;
   tf->codes[7500] = 0x00047d704f605fdbUL;
   tf->codes[7501] = 0x00047d79009b3b19UL;
   tf->codes[7502] = 0x00047d7d93c7ae7dUL;
   tf->codes[7503] = 0x00047d872f3ea0cfUL;
   tf->codes[7504] = 0x00047dad628b6452UL;
   tf->codes[7505] = 0x00047dae4cc77b66UL;
   tf->codes[7506] = 0x00047db85d5c7942UL;
   tf->codes[7507] = 0x00047dc233627159UL;
   tf->codes[7508] = 0x00047dc2a8807ce3UL;
   tf->codes[7509] = 0x00047dc44269a546UL;
   tf->codes[7510] = 0x00047dc8d59618aaUL;
   tf->codes[7511] = 0x00047dc94ab42434UL;
   tf->codes[7512] = 0x00047de8dbcd4066UL;
   tf->codes[7513] = 0x00047df20226272eUL;
   tf->codes[7514] = 0x00047df3d69e5556UL;
   tf->codes[7515] = 0x00047df4112d5b1bUL;
   tf->codes[7516] = 0x00047df4864b66a5UL;
   tf->codes[7517] = 0x00047e07bd394b49UL;
   tf->codes[7518] = 0x00047e0e24ddecd5UL;
   tf->codes[7519] = 0x00047e25eef844ddUL;
   tf->codes[7520] = 0x00047e3199766b1cUL;
   tf->codes[7521] = 0x00047e31d40570e1UL;
   tf->codes[7522] = 0x00047e362ca2de80UL;
   tf->codes[7523] = 0x00047e416202f935UL;
   tf->codes[7524] = 0x00047e462fbe725eUL;
   tf->codes[7525] = 0x00047e48b3e3b1d5UL;
   tf->codes[7526] = 0x00047e592c1d513dUL;
   tf->codes[7527] = 0x00047e5c9a7ea7c8UL;
   tf->codes[7528] = 0x00047e63b1d05aa3UL;
   tf->codes[7529] = 0x00047e6dfcf45e44UL;
   tf->codes[7530] = 0x00047e70bba8a380UL;
   tf->codes[7531] = 0x00047e7d15d3db0eUL;
   tf->codes[7532] = 0x00047e7e752dfdacUL;
   tf->codes[7533] = 0x00047e8810a4effeUL;
   tf->codes[7534] = 0x00047e884b33f5c3UL;
   tf->codes[7535] = 0x00047e8d8e0d7a76UL;
   tf->codes[7536] = 0x00047e8e7849918aUL;
   tf->codes[7537] = 0x00047e91ac1be250UL;
   tf->codes[7538] = 0x00047e929657f964UL;
   tf->codes[7539] = 0x00047e99ada9ac3fUL;
   tf->codes[7540] = 0x00047eac34ea7f94UL;
   tf->codes[7541] = 0x00047ebbfd770dadUL;
   tf->codes[7542] = 0x00047ecf3464f251UL;
   tf->codes[7543] = 0x00047ed093bf14efUL;
   tf->codes[7544] = 0x00047ed735f2bc40UL;
   tf->codes[7545] = 0x00047eddd8266391UL;
   tf->codes[7546] = 0x00047edefcf1806aUL;
   tf->codes[7547] = 0x00047eed2b94e620UL;
   tf->codes[7548] = 0x00047f040b732714UL;
   tf->codes[7549] = 0x00047f18dc4a341bUL;
   tf->codes[7550] = 0x00047f1916d939e0UL;
   tf->codes[7551] = 0x00047f1ab0c26243UL;
   tf->codes[7552] = 0x00047f1d6f76a77fUL;
   tf->codes[7553] = 0x00047f4b69c22f2cUL;
   tf->codes[7554] = 0x00047f59986594e2UL;
   tf->codes[7555] = 0x00047f5db673fcbcUL;
   tf->codes[7556] = 0x00047f68ebd41771UL;
   tf->codes[7557] = 0x00047f6f18e9b338UL;
   tf->codes[7558] = 0x00047f77ca248e76UL;
   tf->codes[7559] = 0x00047f8967294ab7UL;
   tf->codes[7560] = 0x00047f8f943ee67eUL;
   tf->codes[7561] = 0x00047f8fcecdec43UL;
   tf->codes[7562] = 0x00047f94d7186b31UL;
   tf->codes[7563] = 0x00047fb468318763UL;
   tf->codes[7564] = 0x00047fb81121e3b3UL;
   tf->codes[7565] = 0x00047fb935ed008cUL;
   tf->codes[7566] = 0x00047fbe03a879b5UL;
   tf->codes[7567] = 0x00047fbeede490c9UL;
   tf->codes[7568] = 0x00047fc430be157cUL;
   tf->codes[7569] = 0x00047fd60851d782UL;
   tf->codes[7570] = 0x00047fda60ef4521UL;
   tf->codes[7571] = 0x00047fe1b2cffdc1UL;
   tf->codes[7572] = 0x00047fe4e6a24e87UL;
   tf->codes[7573] = 0x00047ff0912074c6UL;
   tf->codes[7574] = 0x00048002a3433c91UL;
   tf->codes[7575] = 0x00048007366faff5UL;
   tf->codes[7576] = 0x000480090ae7de1dUL;
   tf->codes[7577] = 0x000480098005e9a7UL;
   tf->codes[7578] = 0x0004800b547e17cfUL;
   tf->codes[7579] = 0x0004800f728c7fa9UL;
   tf->codes[7580] = 0x00048012a65ed06fUL;
   tf->codes[7581] = 0x0004801cf182d410UL;
   tf->codes[7582] = 0x0004802d69bc7378UL;
   tf->codes[7583] = 0x0004802f3e34a1a0UL;
   tf->codes[7584] = 0x00048039c3e7ab06UL;
   tf->codes[7585] = 0x0004803c0d7de4b8UL;
   tf->codes[7586] = 0x0004803d6cd80756UL;
   tf->codes[7587] = 0x0004803e91a3242fUL;
   tf->codes[7588] = 0x00048040db395de1UL;
   tf->codes[7589] = 0x000480461e12e294UL;
   tf->codes[7590] = 0x00048048a238220bUL;
   tf->codes[7591] = 0x0004804daa82a0f9UL;
   tf->codes[7592] = 0x000480515372fd49UL;
   tf->codes[7593] = 0x0004805536f25f5eUL;
   tf->codes[7594] = 0x0004805e97da4bebUL;
   tf->codes[7595] = 0x0004805ed26951b0UL;
   tf->codes[7596] = 0x000480606c527a13UL;
   tf->codes[7597] = 0x00048068e2fe4f8cUL;
   tf->codes[7598] = 0x00048069cd3a66a0UL;
   tf->codes[7599] = 0x0004806a07c96c65UL;
   tf->codes[7600] = 0x0004806e9af5dfc9UL;
   tf->codes[7601] = 0x0004807b2fb01d1cUL;
   tf->codes[7602] = 0x0004807f132f7f31UL;
   tf->codes[7603] = 0x0004807fc2dc9080UL;
   tf->codes[7604] = 0x00048088aea67183UL;
   tf->codes[7605] = 0x0004808af83cab35UL;
   tf->codes[7606] = 0x0004808d7c61eaacUL;
   tf->codes[7607] = 0x0004808edbbc0d4aUL;
   tf->codes[7608] = 0x00048092bf3b6f5fUL;
   tf->codes[7609] = 0x00048094ce42a34cUL;
   tf->codes[7610] = 0x00048099d68d223aUL;
   tf->codes[7611] = 0x0004809a4bab2dc4UL;
   tf->codes[7612] = 0x0004809e69b9959eUL;
   tf->codes[7613] = 0x0004809ea4489b63UL;
   tf->codes[7614] = 0x0004809f1966a6edUL;
   tf->codes[7615] = 0x000480a5bb9a4e3eUL;
   tf->codes[7616] = 0x000480a6e0656b17UL;
   tf->codes[7617] = 0x000480ac233eefcaUL;
   tf->codes[7618] = 0x000480b87d6a2758UL;
   tf->codes[7619] = 0x000480b9a2354431UL;
   tf->codes[7620] = 0x000480bcd60794f7UL;
   tf->codes[7621] = 0x000480bdfad2b1d0UL;
   tf->codes[7622] = 0x000480c3031d30beUL;
   tf->codes[7623] = 0x000480c3783b3c48UL;
   tf->codes[7624] = 0x000480cfd26673d6UL;
   tf->codes[7625] = 0x000480d3b5e5d5ebUL;
   tf->codes[7626] = 0x000480d63a0b1562UL;
   tf->codes[7627] = 0x000480d883a14f14UL;
   tf->codes[7628] = 0x000480d9334e6063UL;
   tf->codes[7629] = 0x000480e4a33d80ddUL;
   tf->codes[7630] = 0x000480e60297a37bUL;
   tf->codes[7631] = 0x000480e761f1c619UL;
   tf->codes[7632] = 0x000480e886bce2f2UL;
   tf->codes[7633] = 0x000480e93669f441UL;
   tf->codes[7634] = 0x000480ee3eb4732fUL;
   tf->codes[7635] = 0x000480eeb3d27eb9UL;
   tf->codes[7636] = 0x000480f25cc2db09UL;
   tf->codes[7637] = 0x000480fa23c19f33UL;
   tf->codes[7638] = 0x000480fe07410148UL;
   tf->codes[7639] = 0x000480ff669b23e6UL;
   tf->codes[7640] = 0x0004810dcfcd8f61UL;
   tf->codes[7641] = 0x0004810fa445bd89UL;
   tf->codes[7642] = 0x00048116467964daUL;
   tf->codes[7643] = 0x000481197a4bb5a0UL;
   tf->codes[7644] = 0x0004811f324345ddUL;
   tf->codes[7645] = 0x0004811f6cd24ba2UL;
   tf->codes[7646] = 0x0004812d9b75b158UL;
   tf->codes[7647] = 0x0004813bca19170eUL;
   tf->codes[7648] = 0x00048145a01f0f25UL;
   tf->codes[7649] = 0x00048145daae14eaUL;
   tf->codes[7650] = 0x0004814ec677f5edUL;
   tf->codes[7651] = 0x000481514a9d3564UL;
   tf->codes[7652] = 0x0004815359a46951UL;
   tf->codes[7653] = 0x000481570294c5a1UL;
   tf->codes[7654] = 0x000481627283e61bUL;
   tf->codes[7655] = 0x000481640c6d0e7eUL;
   tf->codes[7656] = 0x0004816cf836ef81UL;
   tf->codes[7657] = 0x0004817d70708ee9UL;
   tf->codes[7658] = 0x0004817e5aaca5fdUL;
   tf->codes[7659] = 0x0004818746768700UL;
   tf->codes[7660] = 0x00048189ca9bc677UL;
   tf->codes[7661] = 0x0004818aef66e350UL;
   tf->codes[7662] = 0x00048191570b84dcUL;
   tf->codes[7663] = 0x000481927bd6a1b5UL;
   tf->codes[7664] = 0x00048192b665a77aUL;
   tf->codes[7665] = 0x0004819624c6fe05UL;
   tf->codes[7666] = 0x000481a53da67acfUL;
   tf->codes[7667] = 0x000481a95bb4e2a9UL;
   tf->codes[7668] = 0x000481ac8f87336fUL;
   tf->codes[7669] = 0x000481acca163934UL;
   tf->codes[7670] = 0x000481b7ff7653e9UL;
   tf->codes[7671] = 0x000481bb3348a4afUL;
   tf->codes[7672] = 0x000481c8eccdfedbUL;
   tf->codes[7673] = 0x000481cf19e39aa2UL;
   tf->codes[7674] = 0x000481d4d1db2adfUL;
   tf->codes[7675] = 0x000481d6a6535907UL;
   tf->codes[7676] = 0x000481e584a3d00cUL;
   tf->codes[7677] = 0x000481e808c90f83UL;
   tf->codes[7678] = 0x000481ee706db10fUL;
   tf->codes[7679] = 0x000481eeaafcb6d4UL;
   tf->codes[7680] = 0x000481f8f620ba75UL;
   tf->codes[7681] = 0x000481f96b3ec5ffUL;
   tf->codes[7682] = 0x000481fa1aebd74eUL;
   tf->codes[7683] = 0x000481fd894d2dd9UL;
   tf->codes[7684] = 0x0004820cdcbbb068UL;
   tf->codes[7685] = 0x000482121f95351bUL;
   tf->codes[7686] = 0x0004821d54f54fd0UL;
   tf->codes[7687] = 0x0004821d8f845595UL;
   tf->codes[7688] = 0x0004822a5ecd98adUL;
   tf->codes[7689] = 0x0004822f6718179bUL;
   tf->codes[7690] = 0x0004823434d390c4UL;
   tf->codes[7691] = 0x000482346f629689UL;
   tf->codes[7692] = 0x0004823a61e92c8bUL;
   tf->codes[7693] = 0x000482476bc17568UL;
   tf->codes[7694] = 0x000482481b6e86b7UL;
   tf->codes[7695] = 0x0004824a2a75baa4UL;
   tf->codes[7696] = 0x0004825350cea16cUL;
   tf->codes[7697] = 0x00048255d4f3e0e3UL;
   tf->codes[7698] = 0x00048256f9befdbcUL;
   tf->codes[7699] = 0x0004825e862ebc21UL;
   tf->codes[7700] = 0x000482690be1c587UL;
   tf->codes[7701] = 0x0004826980ffd111UL;
   tf->codes[7702] = 0x0004826ae059f3afUL;
   tf->codes[7703] = 0x00048270985183ecUL;
   tf->codes[7704] = 0x000482726cc9b214UL;
   tf->codes[7705] = 0x00048277afa336c7UL;
   tf->codes[7706] = 0x0004827aa8e681c8UL;
   tf->codes[7707] = 0x0004827b1e048d52UL;
   tf->codes[7708] = 0x0004827f3c12f52cUL;
   tf->codes[7709] = 0x000482940cea0233UL;
   tf->codes[7710] = 0x000482994fc386e6UL;
   tf->codes[7711] = 0x0004829f07bb1723UL;
   tf->codes[7712] = 0x000482a82e13fdebUL;
   tf->codes[7713] = 0x000482ae209a93edUL;
   tf->codes[7714] = 0x000482ae95b89f77UL;
   tf->codes[7715] = 0x000482b2b3c70751UL;
   tf->codes[7716] = 0x000482c2073589e0UL;
   tf->codes[7717] = 0x000482c4163cbdcdUL;
   tf->codes[7718] = 0x000482cbdd3b81f7UL;
   tf->codes[7719] = 0x000482cd3c95a495UL;
   tf->codes[7720] = 0x000482ced67eccf8UL;
   tf->codes[7721] = 0x000482d6285f8598UL;
   tf->codes[7722] = 0x000482e78ad53c14UL;
   tf->codes[7723] = 0x000482f96268fe1aUL;
   tf->codes[7724] = 0x000482fa4ca5152eUL;
   tf->codes[7725] = 0x000482fcd0ca54a5UL;
   tf->codes[7726] = 0x000483087b487ae4UL;
   tf->codes[7727] = 0x0004830c2438d734UL;
   tf->codes[7728] = 0x0004831a184d3725UL;
   tf->codes[7729] = 0x0004831b77a759c3UL;
   tf->codes[7730] = 0x000483249e00408bUL;
   tf->codes[7731] = 0x0004832c2a6ffef0UL;
   tf->codes[7732] = 0x0004832ee924442cUL;
   tf->codes[7733] = 0x000483300def6105UL;
   tf->codes[7734] = 0x00048334668ccea4UL;
   tf->codes[7735] = 0x00048343f48a56f8UL;
   tf->codes[7736] = 0x000483442f195cbdUL;
   tf->codes[7737] = 0x00048344dec66e0cUL;
   tf->codes[7738] = 0x0004835ce36fcbd9UL;
   tf->codes[7739] = 0x00048369782a092cUL;
   tf->codes[7740] = 0x0004836ad7842bcaUL;
   tf->codes[7741] = 0x0004836cabfc59f2UL;
   tf->codes[7742] = 0x0004836ce68b5fb7UL;
   tf->codes[7743] = 0x000483708f7bbc07UL;
   tf->codes[7744] = 0x0004837313a0fb7eUL;
   tf->codes[7745] = 0x0004837647734c44UL;
   tf->codes[7746] = 0x0004838b52d95f10UL;
   tf->codes[7747] = 0x0004838b8d6864d5UL;
   tf->codes[7748] = 0x0004838d27518d38UL;
   tf->codes[7749] = 0x0004838fe605d274UL;
   tf->codes[7750] = 0x000483938ef62ec4UL;
   tf->codes[7751] = 0x000483aa6ed46fb8UL;
   tf->codes[7752] = 0x000483ac434c9de0UL;
   tf->codes[7753] = 0x000483af0200e31cUL;
   tf->codes[7754] = 0x000483b35a9e50bbUL;
   tf->codes[7755] = 0x000483bf3fab7cbfUL;
   tf->codes[7756] = 0x000483d709c5d4c7UL;
   tf->codes[7757] = 0x000483d98deb143eUL;
   tf->codes[7758] = 0x000483ded0c498f1UL;
   tf->codes[7759] = 0x000483df45e2a47bUL;
   tf->codes[7760] = 0x000483f11d766681UL;
   tf->codes[7761] = 0x000483f834c8195cUL;
   tf->codes[7762] = 0x0004840195b005e9UL;
   tf->codes[7763] = 0x0004840788369bebUL;
   tf->codes[7764] = 0x00048409d1ccd59dUL;
   tf->codes[7765] = 0x000484195fca5df1UL;
   tf->codes[7766] = 0x0004841a0f776f40UL;
   tf->codes[7767] = 0x0004841e6814dcdfUL;
   tf->codes[7768] = 0x00048422862344b9UL;
   tf->codes[7769] = 0x0004842753debde2UL;
   tf->codes[7770] = 0x0004842ea5bf7682UL;
   tf->codes[7771] = 0x0004842f1add820cUL;
   tf->codes[7772] = 0x00048430ef55b034UL;
   tf->codes[7773] = 0x0004843f93172174UL;
   tf->codes[7774] = 0x000484487ee10277UL;
   tf->codes[7775] = 0x0004844dc1ba872aUL;
   tf->codes[7776] = 0x0004844dfc498cefUL;
   tf->codes[7777] = 0x0004845b0621d5ccUL;
   tf->codes[7778] = 0x000484655145d96dUL;
   tf->codes[7779] = 0x0004846c2e088683UL;
   tf->codes[7780] = 0x0004846eecbccbbfUL;
   tf->codes[7781] = 0x000484758ef07310UL;
   tf->codes[7782] = 0x00048487dba240a0UL;
   tf->codes[7783] = 0x00048489006d5d79UL;
   tf->codes[7784] = 0x0004848b0f749166UL;
   tf->codes[7785] = 0x000484913c8a2d2dUL;
   tf->codes[7786] = 0x00048494705c7df3UL;
   tf->codes[7787] = 0x00048494aaeb83b8UL;
   tf->codes[7788] = 0x000484960a45a656UL;
   tf->codes[7789] = 0x0004849bc23d3693UL;
   tf->codes[7790] = 0x0004849d5c265ef6UL;
   tf->codes[7791] = 0x0004849ebb808194UL;
   tf->codes[7792] = 0x000484a4e8961d5bUL;
   tf->codes[7793] = 0x000484a856f773e6UL;
   tf->codes[7794] = 0x000484b22cfd6bfdUL;
   tf->codes[7795] = 0x000484bcb2b07563UL;
   tf->codes[7796] = 0x000484bf7164ba9fUL;
   tf->codes[7797] = 0x000484bfe682c629UL;
   tf->codes[7798] = 0x000484c1806bee8cUL;
   tf->codes[7799] = 0x000484c64e2767b5UL;
   tf->codes[7800] = 0x000484cb5671e6a3UL;
   tf->codes[7801] = 0x000484d26dc3997eUL;
   tf->codes[7802] = 0x000484e40ac855bfUL;
   tf->codes[7803] = 0x000484e91312d4adUL;
   tf->codes[7804] = 0x000484eae78b02d5UL;
   tf->codes[7805] = 0x000484f3d354e3d8UL;
   tf->codes[7806] = 0x000484f40de3e99dUL;
   tf->codes[7807] = 0x000484f5e25c17c5UL;
   tf->codes[7808] = 0x000484f61ceb1d8aUL;
   tf->codes[7809] = 0x000484f6cc982ed9UL;
   tf->codes[7810] = 0x000484ffb8620fdcUL;
   tf->codes[7811] = 0x0004850a3e151942UL;
   tf->codes[7812] = 0x0004850c128d476aUL;
   tf->codes[7813] = 0x00048510309baf44UL;
   tf->codes[7814] = 0x0004851538e62e32UL;
   tf->codes[7815] = 0x00048517827c67e4UL;
   tf->codes[7816] = 0x000485186cb87ef8UL;
   tf->codes[7817] = 0x0004851fbe993798UL;
   tf->codes[7818] = 0x0004852c8de27ab0UL;
   tf->codes[7819] = 0x0004852f1207ba27UL;
   tf->codes[7820] = 0x0004853b31a3ebf0UL;
   tf->codes[7821] = 0x00048540af0c7668UL;
   tf->codes[7822] = 0x0004854716b117f4UL;
   tf->codes[7823] = 0x000485478bcf237eUL;
   tf->codes[7824] = 0x00048548760b3a92UL;
   tf->codes[7825] = 0x0004854b6f4e8593UL;
   tf->codes[7826] = 0x0004855928d3dfbfUL;
   tf->codes[7827] = 0x00048560efd2a3e9UL;
   tf->codes[7828] = 0x0004856c2532be9eUL;
   tf->codes[7829] = 0x000485767056c23fUL;
   tf->codes[7830] = 0x000485780a3feaa2UL;
   tf->codes[7831] = 0x000485896cb5a11eUL;
   tf->codes[7832] = 0x000485942cf7b049UL;
   tf->codes[7833] = 0x00048599e4ef4086UL;
   tf->codes[7834] = 0x0004859d8ddf9cd6UL;
   tf->codes[7835] = 0x000485a6b438839eUL;
   tf->codes[7836] = 0x000485ac31a10e16UL;
   tf->codes[7837] = 0x000485ad566c2aefUL;
   tf->codes[7838] = 0x000485b59288faa3UL;
   tf->codes[7839] = 0x000485bbbf9e966aUL;
   tf->codes[7840] = 0x000485c1ecb43231UL;
   tf->codes[7841] = 0x000485c3117f4f0aUL;
   tf->codes[7842] = 0x000485c4e5f77d32UL;
   tf->codes[7843] = 0x000485c819c9cdf8UL;
   tf->codes[7844] = 0x000485c9ee41fc20UL;
   tf->codes[7845] = 0x000485cbc2ba2a48UL;
   tf->codes[7846] = 0x000485d055e69dacUL;
   tf->codes[7847] = 0x000485d389b8ee72UL;
   tf->codes[7848] = 0x000485d682fc3973UL;
   tf->codes[7849] = 0x000485dbc5d5be26UL;
   tf->codes[7850] = 0x000485e59bdbb63dUL;
   tf->codes[7851] = 0x000485e68617cd51UL;
   tf->codes[7852] = 0x000485e735c4dea0UL;
   tf->codes[7853] = 0x000485efac70b419UL;
   tf->codes[7854] = 0x000485ffaf8c47f7UL;
   tf->codes[7855] = 0x000486052cf4d26fUL;
   tf->codes[7856] = 0x0004860b5a0a6e36UL;
   tf->codes[7857] = 0x0004860c09b77f85UL;
   tf->codes[7858] = 0x000486111201fe73UL;
   tf->codes[7859] = 0x0004861a385ae53bUL;
   tf->codes[7860] = 0x0004861f40a56429UL;
   tf->codes[7861] = 0x00048633d6ed6b6bUL;
   tf->codes[7862] = 0x000486406ba7a8beUL;
   tf->codes[7863] = 0x0004866b6cafe56aUL;
   tf->codes[7864] = 0x000486703a6b5e93UL;
   tf->codes[7865] = 0x000486750826d7bcUL;
   tf->codes[7866] = 0x0004867a107156aaUL;
   tf->codes[7867] = 0x000486824c8e265eUL;
   tf->codes[7868] = 0x000486950e5dff78UL;
   tf->codes[7869] = 0x00048699a18a72dcUL;
   tf->codes[7870] = 0x0004869ea9d4f1caUL;
   tf->codes[7871] = 0x000486a586979ee0UL;
   tf->codes[7872] = 0x000486af972c9cbcUL;
   tf->codes[7873] = 0x000486c3f2e59e39UL;
   tf->codes[7874] = 0x000486c935bf22ecUL;
   tf->codes[7875] = 0x000486ca1ffb3a00UL;
   tf->codes[7876] = 0x000486d171dbf2a0UL;
   tf->codes[7877] = 0x000486d67a26718eUL;
   tf->codes[7878] = 0x000486dc321e01cbUL;
   tf->codes[7879] = 0x000486e299c2a357UL;
   tf->codes[7880] = 0x000486eb858c845aUL;
   tf->codes[7881] = 0x000486ee7ecfcf5bUL;
   tf->codes[7882] = 0x000486f311fc42bfUL;
   tf->codes[7883] = 0x000486f6f57ba4d4UL;
   tf->codes[7884] = 0x000486fa63dcfb5fUL;
   tf->codes[7885] = 0x000486fa9e6c0124UL;
   tf->codes[7886] = 0x000486ff31987488UL;
   tf->codes[7887] = 0x00048709079e6c9fUL;
   tf->codes[7888] = 0x0004870ebf95fcdcUL;
   tf->codes[7889] = 0x000487252a563246UL;
   tf->codes[7890] = 0x0004872ec5cd2498UL;
   tf->codes[7891] = 0x000487310f635e4aUL;
   tf->codes[7892] = 0x000487352d71c624UL;
   tf->codes[7893] = 0x0004873826b51125UL;
   tf->codes[7894] = 0x0004873cb9e18489UL;
   tf->codes[7895] = 0x00048742ac681a8bUL;
   tf->codes[7896] = 0x00048745308d5a02UL;
   tf->codes[7897] = 0x000487461ac97116UL;
   tf->codes[7898] = 0x00048747ef419f3eUL;
   tf->codes[7899] = 0x0004874cbcfd1867UL;
   tf->codes[7900] = 0x00048752ea12b42eUL;
   tf->codes[7901] = 0x0004875e9490da6dUL;
   tf->codes[7902] = 0x0004876f0cca79d5UL;
   tf->codes[7903] = 0x00048778e2d071ecUL;
   tf->codes[7904] = 0x00048785b219b504UL;
   tf->codes[7905] = 0x0004879923969f6dUL;
   tf->codes[7906] = 0x0004879d41a50747UL;
   tf->codes[7907] = 0x000487a3342b9d49UL;
   tf->codes[7908] = 0x000487b2127c144eUL;
   tf->codes[7909] = 0x000487b3ac653cb1UL;
   tf->codes[7910] = 0x000487b9d97ad878UL;
   tf->codes[7911] = 0x000487ba8927e9c7UL;
   tf->codes[7912] = 0x000487c25026adf1UL;
   tf->codes[7913] = 0x000487d28dd14794UL;
   tf->codes[7914] = 0x000487d49cd87b81UL;
   tf->codes[7915] = 0x000487d587149295UL;
   tf->codes[7916] = 0x000487d5c1a3985aUL;
   tf->codes[7917] = 0x000487d720fdbaf8UL;
   tf->codes[7918] = 0x000487db3f0c22d2UL;
   tf->codes[7919] = 0x000487dcd8f54b35UL;
   tf->codes[7920] = 0x000487dead6d795dUL;
   tf->codes[7921] = 0x000487ec66f2d389UL;
   tf->codes[7922] = 0x000487ed169fe4d8UL;
   tf->codes[7923] = 0x000487f1e45b5e01UL;
   tf->codes[7924] = 0x000487f9e5e927f0UL;
   tf->codes[7925] = 0x000487fa5b07337aUL;
   tf->codes[7926] = 0x000487fa9596393fUL;
   tf->codes[7927] = 0x0004880ad340d2e2UL;
   tf->codes[7928] = 0x0004882b4e960628UL;
   tf->codes[7929] = 0x0004885b9277c787UL;
   tf->codes[7930] = 0x0004885e169d06feUL;
   tf->codes[7931] = 0x000488626f3a749dUL;
   tf->codes[7932] = 0x00048864b8d0ae4fUL;
   tf->codes[7933] = 0x0004886cba5e783eUL;
   tf->codes[7934] = 0x0004888de560bcd3UL;
   tf->codes[7935] = 0x000488941276589aUL;
   tf->codes[7936] = 0x000488afc01012b7UL;
   tf->codes[7937] = 0x000488b6d761c592UL;
   tf->codes[7938] = 0x000488bc8f5955cfUL;
   tf->codes[7939] = 0x000488df19b5bd02UL;
   tf->codes[7940] = 0x000488dfc962ce51UL;
   tf->codes[7941] = 0x000488ec98ac1169UL;
   tf->codes[7942] = 0x000488edf8063407UL;
   tf->codes[7943] = 0x000488f50f57e6e2UL;
   tf->codes[7944] = 0x00048913f0c3f1c5UL;
   tf->codes[7945] = 0x00048916af783701UL;
   tf->codes[7946] = 0x0004891883f06529UL;
   tf->codes[7947] = 0x000489263d75bf55UL;
   tf->codes[7948] = 0x0004893f2c5b3436UL;
   tf->codes[7949] = 0x0004894643ace711UL;
   tf->codes[7950] = 0x00048946f359f860UL;
   tf->codes[7951] = 0x00048954acdf528cUL;
   tf->codes[7952] = 0x000489576b9397c8UL;
   tf->codes[7953] = 0x000489581b40a917UL;
   tf->codes[7954] = 0x00048965d4c60343UL;
   tf->codes[7955] = 0x0004898c0812c6c6UL;
   tf->codes[7956] = 0x00048995de18beddUL;
   tf->codes[7957] = 0x000489965336ca67UL;
   tf->codes[7958] = 0x00048998623dfe54UL;
   tf->codes[7959] = 0x0004899e1a358e91UL;
   tf->codes[7960] = 0x000489bb61b87111UL;
   tf->codes[7961] = 0x000489bc86838deaUL;
   tf->codes[7962] = 0x000489c5e76b7a77UL;
   tf->codes[7963] = 0x000489ce23884a2bUL;
   tf->codes[7964] = 0x000489d5756902cbUL;
   tf->codes[7965] = 0x000489d7f98e4242UL;
   tf->codes[7966] = 0x000489dba27e9e92UL;
   tf->codes[7967] = 0x000489df10dff51dUL;
   tf->codes[7968] = 0x000489e62831a7f8UL;
   tf->codes[7969] = 0x000489eb307c26e6UL;
   tf->codes[7970] = 0x000489ec554743bfUL;
   tf->codes[7971] = 0x000489eed96c8336UL;
   tf->codes[7972] = 0x000489f6dafa4d25UL;
   tf->codes[7973] = 0x000489fa83eaa975UL;
   tf->codes[7974] = 0x00048a0f54c1b67cUL;
   tf->codes[7975] = 0x00048a124e05017dUL;
   tf->codes[7976] = 0x00048a1e6da13346UL;
   tf->codes[7977] = 0x00048a2c27268d72UL;
   tf->codes[7978] = 0x00048a31a48f17eaUL;
   tf->codes[7979] = 0x00048a38f66fd08aUL;
   tf->codes[7980] = 0x00048a3b05770477UL;
   tf->codes[7981] = 0x00048a3b7a951001UL;
   tf->codes[7982] = 0x00048a3fd3327da0UL;
   tf->codes[7983] = 0x00048a521fe44b30UL;
   tf->codes[7984] = 0x00048a530a206244UL;
   tf->codes[7985] = 0x00048a59ac540995UL;
   tf->codes[7986] = 0x00048a5a5c011ae4UL;
   tf->codes[7987] = 0x00048a5bbb5b3d82UL;
   tf->codes[7988] = 0x00048a5dca62716fUL;
   tf->codes[7989] = 0x00048a5e3f807cf9UL;
   tf->codes[7990] = 0x00048a66b62c5272UL;
   tf->codes[7991] = 0x00048a6fdc85393aUL;
   tf->codes[7992] = 0x00048a71766e619dUL;
   tf->codes[7993] = 0x00048a7c713f768dUL;
   tf->codes[7994] = 0x00048a829e551254UL;
   tf->codes[7995] = 0x00048a834e0223a3UL;
   tf->codes[7996] = 0x00048a8ada71e208UL;
   tf->codes[7997] = 0x00048a91b7348f1eUL;
   tf->codes[7998] = 0x00048aac0574269dUL;
   tf->codes[7999] = 0x00048ab6c5b635c8UL;
   tf->codes[8000] = 0x00048ab85f9f5e2bUL;
   tf->codes[8001] = 0x00048accf5e7656dUL;
   tf->codes[8002] = 0x00048ad0d966c782UL;
   tf->codes[8003] = 0x00048ad4825723d2UL;
   tf->codes[8004] = 0x00048ad9ffbfae4aUL;
   tf->codes[8005] = 0x00048ada3a4eb40fUL;
   tf->codes[8006] = 0x00048ae659eae5d8UL;
   tf->codes[8007] = 0x00048aeb9cc46a8bUL;
   tf->codes[8008] = 0x00048aff0e4154f4UL;
   tf->codes[8009] = 0x00048b032c4fbcceUL;
   tf->codes[8010] = 0x00048b0f867af45cUL;
   tf->codes[8011] = 0x00048b1d057148c3UL;
   tf->codes[8012] = 0x00048b362ee5c369UL;
   tf->codes[8013] = 0x00048b4498182ee4UL;
   tf->codes[8014] = 0x00048b466c905d0cUL;
   tf->codes[8015] = 0x00048b46a71f62d1UL;
   tf->codes[8016] = 0x00048b5ee657c663UL;
   tf->codes[8017] = 0x00048b5fd093dd77UL;
   tf->codes[8018] = 0x00048b68f6ecc43fUL;
   tf->codes[8019] = 0x00048b6bf0300f40UL;
   tf->codes[8020] = 0x00048b6d8a1937a3UL;
   tf->codes[8021] = 0x00048b6ee9735a41UL;
   tf->codes[8022] = 0x00048b7884ea4c93UL;
   tf->codes[8023] = 0x00048b7ace808645UL;
   tf->codes[8024] = 0x00048b7dc7c3d146UL;
   tf->codes[8025] = 0x00048b7f271df3e4UL;
   tf->codes[8026] = 0x00048b8220613ee5UL;
   tf->codes[8027] = 0x00048b8e056e6ae9UL;
   tf->codes[8028] = 0x00048b9173cfc174UL;
   tf->codes[8029] = 0x00048b951cc01dc4UL;
   tf->codes[8030] = 0x00048b99afec9128UL;
   tf->codes[8031] = 0x00048bb2d9610bceUL;
   tf->codes[8032] = 0x00048bbb157ddb82UL;
   tf->codes[8033] = 0x00048bbc3a48f85bUL;
   tf->codes[8034] = 0x00048bbd99a31af9UL;
   tf->codes[8035] = 0x00048bc3519aab36UL;
   tf->codes[8036] = 0x00048bc5d5bfeaadUL;
   tf->codes[8037] = 0x00048bc7aa3818d5UL;
   tf->codes[8038] = 0x00048bcb53287525UL;
   tf->codes[8039] = 0x00048bd09601f9d8UL;
   tf->codes[8040] = 0x00048bd1f55c1c76UL;
   tf->codes[8041] = 0x00048bd31a27394fUL;
   tf->codes[8042] = 0x00048bf061aa1bcfUL;
   tf->codes[8043] = 0x00048bf569f49abdUL;
   tf->codes[8044] = 0x00048bf778fbceaaUL;
   tf->codes[8045] = 0x00048bf7b38ad46fUL;
   tf->codes[8046] = 0x00048c032379f4e9UL;
   tf->codes[8047] = 0x00048c1ab305472cUL;
   tf->codes[8048] = 0x00048c2daf64260bUL;
   tf->codes[8049] = 0x00048c2de9f32bd0UL;
   tf->codes[8050] = 0x00048c3db27fb9e9UL;
   tf->codes[8051] = 0x00048c4a81c8fd01UL;
   tf->codes[8052] = 0x00048c4d407d423dUL;
   tf->codes[8053] = 0x00048c624be35509UL;
   tf->codes[8054] = 0x00048c750db32e23UL;
   tf->codes[8055] = 0x00048c787c1484aeUL;
   tf->codes[8056] = 0x00048c8d125c8bf0UL;
   tf->codes[8057] = 0x00048c975d808f91UL;
   tf->codes[8058] = 0x00048cadc840c4fbUL;
   tf->codes[8059] = 0x00048caeb27cdc0fUL;
   tf->codes[8060] = 0x00048cb46a746c4cUL;
   tf->codes[8061] = 0x00048cc08a109e15UL;
   tf->codes[8062] = 0x00048ce523743935UL;
   tf->codes[8063] = 0x00048ceef97a314cUL;
   tf->codes[8064] = 0x00048cf01e454e25UL;
   tf->codes[8065] = 0x00048cf894f1239eUL;
   tf->codes[8066] = 0x00048d02306815f0UL;
   tf->codes[8067] = 0x00048d0738b294deUL;
   tf->codes[8068] = 0x00048d0c7b8c1991UL;
   tf->codes[8069] = 0x00048d0d65c830a5UL;
   tf->codes[8070] = 0x00048d11be659e44UL;
   tf->codes[8071] = 0x00048d17765d2e81UL;
   tf->codes[8072] = 0x00048d194ad55ca9UL;
   tf->codes[8073] = 0x00048d3866d06d51UL;
   tf->codes[8074] = 0x00048d3ab066a703UL;
   tf->codes[8075] = 0x00048d41529a4e54UL;
   tf->codes[8076] = 0x00048d4869ec012fUL;
   tf->codes[8077] = 0x00048d523ff1f946UL;
   tf->codes[8078] = 0x00048d55e8e25596UL;
   tf->codes[8079] = 0x00048d565e006120UL;
   tf->codes[8080] = 0x00048d5991d2b1e6UL;
   tf->codes[8081] = 0x00048d6a0a0c514eUL;
   tf->codes[8082] = 0x00048d6f4ce5d601UL;
   tf->codes[8083] = 0x00048d7b31f30205UL;
   tf->codes[8084] = 0x00048d7c1c2f1919UL;
   tf->codes[8085] = 0x00048d88b0e9566cUL;
   tf->codes[8086] = 0x00048d8f8dac0382UL;
   tf->codes[8087] = 0x00048d9d47315daeUL;
   tf->codes[8088] = 0x00048db75ae1ef68UL;
   tf->codes[8089] = 0x00048dc80daa9495UL;
   tf->codes[8090] = 0x00048dcca0d707f9UL;
   tf->codes[8091] = 0x00048de1e6cc208aUL;
   tf->codes[8092] = 0x00048dee40f75818UL;
   tf->codes[8093] = 0x00048df4e32aff69UL;
   tf->codes[8094] = 0x00048e04e6469347UL;
   tf->codes[8095] = 0x00048e0fa688a272UL;
   tf->codes[8096] = 0x00048e134f78fec2UL;
   tf->codes[8097] = 0x00048e16834b4f88UL;
   tf->codes[8098] = 0x00048e1a2c3babd8UL;
   tf->codes[8099] = 0x00048e1c75d1e58aUL;
   tf->codes[8100] = 0x00048e2ec283b31aUL;
   tf->codes[8101] = 0x00048e34ef994ee1UL;
   tf->codes[8102] = 0x00048e431e3cb497UL;
   tf->codes[8103] = 0x00048e468c9e0b22UL;
   tf->codes[8104] = 0x00048e5c82403502UL;
   tf->codes[8105] = 0x00048e5ecbd66eb4UL;
   tf->codes[8106] = 0x00048e6e9462fccdUL;
   tf->codes[8107] = 0x00048e7b63ac3fe5UL;
   tf->codes[8108] = 0x00048e7de7d17f5cUL;
   tf->codes[8109] = 0x00048e911ebf6400UL;
   tf->codes[8110] = 0x00048e927e19869eUL;
   tf->codes[8111] = 0x00048e969c27ee78UL;
   tf->codes[8112] = 0x00048eaaf7e0eff5UL;
   tf->codes[8113] = 0x00048eab326ff5baUL;
   tf->codes[8114] = 0x00048eaccc591e1dUL;
   tf->codes[8115] = 0x00048ead7c062f6cUL;
   tf->codes[8116] = 0x00048eb28450ae5aUL;
   tf->codes[8117] = 0x00048eb6dcee1bf9UL;
   tf->codes[8118] = 0x00048eb876d7445cUL;
   tf->codes[8119] = 0x00048ebac06d7e0eUL;
   tf->codes[8120] = 0x00048ebc94e5ac36UL;
   tf->codes[8121] = 0x00048ebea3ece023UL;
   tf->codes[8122] = 0x00048eccd29045d9UL;
   tf->codes[8123] = 0x00048ecd47ae5163UL;
   tf->codes[8124] = 0x00048ed00662969fUL;
   tf->codes[8125] = 0x00048ed2ffa5e1a0UL;
   tf->codes[8126] = 0x00048ed8f22c77a2UL;
   tf->codes[8127] = 0x00048ed92cbb7d67UL;
   tf->codes[8128] = 0x00048edb7651b719UL;
   tf->codes[8129] = 0x00048edfceef24b8UL;
   tf->codes[8130] = 0x00048eed1356735aUL;
   tf->codes[8131] = 0x00048ef3b58a1aabUL;
   tf->codes[8132] = 0x00048ef6743e5fe7UL;
   tf->codes[8133] = 0x00048efaccdbcd86UL;
   tf->codes[8134] = 0x00048f046852bfd8UL;
   tf->codes[8135] = 0x00048f0cdefe9551UL;
   tf->codes[8136] = 0x00048f179f40a47cUL;
   tf->codes[8137] = 0x00048f1a2365e3f3UL;
   tf->codes[8138] = 0x00048f1b82c00691UL;
   tf->codes[8139] = 0x00048f3f6c769062UL;
   tf->codes[8140] = 0x00048f42dad7e6edUL;
   tf->codes[8141] = 0x00048f585b5c0543UL;
   tf->codes[8142] = 0x00048f58d07a10cdUL;
   tf->codes[8143] = 0x00048f5a2fd4336bUL;
   tf->codes[8144] = 0x00048f6b9249e9e7UL;
   tf->codes[8145] = 0x00048f6ddbe02399UL;
   tf->codes[8146] = 0x00048f77ec752175UL;
   tf->codes[8147] = 0x00048f79865e49d8UL;
   tf->codes[8148] = 0x00048f7f78e4dfdaUL;
   tf->codes[8149] = 0x00048f84bbbe648dUL;
   tf->codes[8150] = 0x00048f94844af2a6UL;
   tf->codes[8151] = 0x00048f97f2ac4931UL;
   tf->codes[8152] = 0x00048fa9ca400b37UL;
   tf->codes[8153] = 0x00048fb3a046034eUL;
   tf->codes[8154] = 0x00048fcdee859acdUL;
   tf->codes[8155] = 0x00048fcf4ddfbd6bUL;
   tf->codes[8156] = 0x00048fd3a67d2b0aUL;
   tf->codes[8157] = 0x00048fd5f01364bcUL;
   tf->codes[8158] = 0x00048fd923e5b582UL;
   tf->codes[8159] = 0x00048fdc57b80648UL;
   tf->codes[8160] = 0x00048fe1d52090c0UL;
   tf->codes[8161] = 0x00048fe5b89ff2d5UL;
   tf->codes[8162] = 0x00048ff421d25e50UL;
   tf->codes[8163] = 0x00048ffbe8d1227aUL;
   tf->codes[8164] = 0x00048fff1ca37340UL;
   tf->codes[8165] = 0x000490049a0bfdb8UL;
   tf->codes[8166] = 0x0004901462988bd1UL;
   tf->codes[8167] = 0x00049026e9d95f26UL;
   tf->codes[8168] = 0x000490337e939c79UL;
   tf->codes[8169] = 0x0004903fd8bed407UL;
   tf->codes[8170] = 0x0004907aa2539eccUL;
   tf->codes[8171] = 0x0004907faa9e1dbaUL;
   tf->codes[8172] = 0x000490868760cad0UL;
   tf->codes[8173] = 0x00049087ac2be7a9UL;
   tf->codes[8174] = 0x0004909022d7bd22UL;
   tf->codes[8175] = 0x00049093913913adUL;
   tf->codes[8176] = 0x00049093cbc81972UL;
   tf->codes[8177] = 0x00049094b6043086UL;
   tf->codes[8178] = 0x0004909c4273eeebUL;
   tf->codes[8179] = 0x000490a9c16a4352UL;
   tf->codes[8180] = 0x000490ab5b536bb5UL;
   tf->codes[8181] = 0x000490ad6a5a9fa2UL;
   tf->codes[8182] = 0x000490ca023070d3UL;
   tf->codes[8183] = 0x000490d9559ef362UL;
   tf->codes[8184] = 0x000490dd73ad5b3cUL;
   tf->codes[8185] = 0x000490e24168d465UL;
   tf->codes[8186] = 0x000490edebe6faa4UL;
   tf->codes[8187] = 0x000490f5ed74c493UL;
   tf->codes[8188] = 0x00049107155b754aUL;
   tf->codes[8189] = 0x00049126315685f2UL;
   tf->codes[8190] = 0x00049126a674917cUL;
   tf->codes[8191] = 0x0004912be94e162fUL;
   tf->codes[8192] = 0x0004912ee2916130UL;
   tf->codes[8193] = 0x0004913f955a065dUL;
   tf->codes[8194] = 0x00049143edf773fcUL;
   tf->codes[8195] = 0x0004915d176beea2UL;
   tf->codes[8196] = 0x0004915d8c89fa2cUL;
   tf->codes[8197] = 0x0004915e01a805b6UL;
   tf->codes[8198] = 0x0004916a5bd33d44UL;
   tf->codes[8199] = 0x0004917222d2016eUL;
   tf->codes[8200] = 0x00049173822c240cUL;
   tf->codes[8201] = 0x0004917b83b9edfbUL;
   tf->codes[8202] = 0x0004917e426e3337UL;
   tf->codes[8203] = 0x0004918853033113UL;
   tf->codes[8204] = 0x00049193c2f2518dUL;
   tf->codes[8205] = 0x0004919681a696c9UL;
   tf->codes[8206] = 0x000491b3540b6dbfUL;
   tf->codes[8207] = 0x000491b7aca8db5eUL;
   tf->codes[8208] = 0x000491ba6b5d209aUL;
   tf->codes[8209] = 0x000491bcb4f35a4cUL;
   tf->codes[8210] = 0x000491be144d7ceaUL;
   tf->codes[8211] = 0x000491ccf29df3efUL;
   tf->codes[8212] = 0x000491cd67bbff79UL;
   tf->codes[8213] = 0x000491cda24b053eUL;
   tf->codes[8214] = 0x000491ce51f8168dUL;
   tf->codes[8215] = 0x000491d0d61d5604UL;
   tf->codes[8216] = 0x000491d1c0596d18UL;
   tf->codes[8217] = 0x000491d3cf60a105UL;
   tf->codes[8218] = 0x000491dc809b7c43UL;
   tf->codes[8219] = 0x000491e7f08a9cbdUL;
   tf->codes[8220] = 0x000491eff21866acUL;
   tf->codes[8221] = 0x000491f44ab5d44bUL;
   tf->codes[8222] = 0x0004920622499651UL;
   tf->codes[8223] = 0x000492065cd89c16UL;
   tf->codes[8224] = 0x000492191ea87530UL;
   tf->codes[8225] = 0x0004923db80c1050UL;
   tf->codes[8226] = 0x0004924210a97defUL;
   tf->codes[8227] = 0x0004924e3045afb8UL;
   tf->codes[8228] = 0x0004924edff2c107UL;
   tf->codes[8229] = 0x0004924f1a81c6ccUL;
   tf->codes[8230] = 0x000492503f4ce3a5UL;
   tf->codes[8231] = 0x0004925213c511cdUL;
   tf->codes[8232] = 0x000492524e541792UL;
   tf->codes[8233] = 0x00049258064ba7cfUL;
   tf->codes[8234] = 0x0004925840daad94UL;
   tf->codes[8235] = 0x0004925a1552dbbcUL;
   tf->codes[8236] = 0x00049275fd7b9b9eUL;
   tf->codes[8237] = 0x0004927d4f5c543eUL;
   tf->codes[8238] = 0x000492830753e47bUL;
   tf->codes[8239] = 0x0004928b08e1ae6aUL;
   tf->codes[8240] = 0x0004928e3cb3ff30UL;
   tf->codes[8241] = 0x0004928eec61107fUL;
   tf->codes[8242] = 0x0004929dcab18784UL;
   tf->codes[8243] = 0x000492a7a0b77f9bUL;
   tf->codes[8244] = 0x000492b594cbdf8cUL;
   tf->codes[8245] = 0x000492be4606bacaUL;
   tf->codes[8246] = 0x000492c229861cdfUL;
   tf->codes[8247] = 0x000492c597e7736aUL;
   tf->codes[8248] = 0x000492cbff8c14f6UL;
   tf->codes[8249] = 0x000492ccaf392645UL;
   tf->codes[8250] = 0x000492d4eb55f5f9UL;
   tf->codes[8251] = 0x000492dcece3bfe8UL;
   tf->codes[8252] = 0x000492dd2772c5adUL;
   tf->codes[8253] = 0x000492ee89e87c29UL;
   tf->codes[8254] = 0x000492f098efb016UL;
   tf->codes[8255] = 0x000492f10e0dbba0UL;
   tf->codes[8256] = 0x000492f68b764618UL;
   tf->codes[8257] = 0x00049309fcf33081UL;
   tf->codes[8258] = 0x0004930fb4eac0beUL;
   tf->codes[8259] = 0x00049314f7c44571UL;
   tf->codes[8260] = 0x00049343672dd8a8UL;
   tf->codes[8261] = 0x0004934c1868b3e6UL;
   tf->codes[8262] = 0x0004935036771bc0UL;
   tf->codes[8263] = 0x00049352ba9c5b37UL;
   tf->codes[8264] = 0x00049356d8aac311UL;
   tf->codes[8265] = 0x0004936af9d4bec9UL;
   tf->codes[8266] = 0x0004936e2da70f8fUL;
   tf->codes[8267] = 0x0004937161796055UL;
   tf->codes[8268] = 0x0004937335f18e7dUL;
   tf->codes[8269] = 0x0004937544f8c26aUL;
   tf->codes[8270] = 0x0004937753fff657UL;
   tf->codes[8271] = 0x0004937df6339da8UL;
   tf->codes[8272] = 0x00049383e8ba33aaUL;
   tf->codes[8273] = 0x0004938c99f50ee8UL;
   tf->codes[8274] = 0x000493966ffb06ffUL;
   tf->codes[8275] = 0x0004939b784585edUL;
   tf->codes[8276] = 0x0004939e7188d0eeUL;
   tf->codes[8277] = 0x000493a5c369898eUL;
   tf->codes[8278] = 0x000493a6e834a667UL;
   tf->codes[8279] = 0x000493b4dc490658UL;
   tf->codes[8280] = 0x000493b725df400aUL;
   tf->codes[8281] = 0x000493b84aaa5ce3UL;
   tf->codes[8282] = 0x000493bacecf9c5aUL;
   tf->codes[8283] = 0x000493bd1865d60cUL;
   tf->codes[8284] = 0x000493be3d30f2e5UL;
   tf->codes[8285] = 0x000493bf61fc0fbeUL;
   tf->codes[8286] = 0x000493c1e6214f35UL;
   tf->codes[8287] = 0x000493cb81984187UL;
   tf->codes[8288] = 0x000493ce404c86c3UL;
   tf->codes[8289] = 0x000493d383260b76UL;
   tf->codes[8290] = 0x000493db4a24cfa0UL;
   tf->codes[8291] = 0x000493e3112393caUL;
   tf->codes[8292] = 0x000493fd5f632b49UL;
   tf->codes[8293] = 0x0004940560f0f538UL;
   tf->codes[8294] = 0x0004940735692360UL;
   tf->codes[8295] = 0x0004940b18e88575UL;
   tf->codes[8296] = 0x0004940c03249c89UL;
   tf->codes[8297] = 0x00049414eeee7d8cUL;
   tf->codes[8298] = 0x00049434800799beUL;
   tf->codes[8299] = 0x0004943a728e2fc0UL;
   tf->codes[8300] = 0x000494482c1389ecUL;
   tf->codes[8301] = 0x0004944cf9cf0315UL;
   tf->codes[8302] = 0x00049469cc33da0bUL;
   tf->codes[8303] = 0x0004946a06c2dfd0UL;
   tf->codes[8304] = 0x00049470e3858ce6UL;
   tf->codes[8305] = 0x00049475b141060fUL;
   tf->codes[8306] = 0x0004947e627be14dUL;
   tf->codes[8307] = 0x0004948a82181316UL;
   tf->codes[8308] = 0x0004948e2b086f66UL;
   tf->codes[8309] = 0x000494b5bdaf5587UL;
   tf->codes[8310] = 0x000494bdf9cc253bUL;
   tf->codes[8311] = 0x000494be6eea30c5UL;
   tf->codes[8312] = 0x000494c5fb59ef2aUL;
   tf->codes[8313] = 0x000494c92f2c3ff0UL;
   tf->codes[8314] = 0x000494d0f62b041aUL;
   tf->codes[8315] = 0x000494e676af2270UL;
   tf->codes[8316] = 0x000494eacf4c900fUL;
   tf->codes[8317] = 0x0004950642574467UL;
   tf->codes[8318] = 0x000495176a3df51eUL;
   tf->codes[8319] = 0x000495193eb62346UL;
   tf->codes[8320] = 0x0004951fa65ac4d2UL;
   tf->codes[8321] = 0x000495289224a5d5UL;
   tf->codes[8322] = 0x0004953dd819be66UL;
   tf->codes[8323] = 0x0004953e4d37c9f0UL;
   tf->codes[8324] = 0x00049541467b14f1UL;
   tf->codes[8325] = 0x000495431af34319UL;
   tf->codes[8326] = 0x00049544ef6b7141UL;
   tf->codes[8327] = 0x0004954bcc2e1e57UL;
   tf->codes[8328] = 0x00049552e37fd132UL;
   tf->codes[8329] = 0x00049556175221f8UL;
   tf->codes[8330] = 0x00049557b13b4a5bUL;
   tf->codes[8331] = 0x0004956c4783519dUL;
   tf->codes[8332] = 0x00049571ff7ae1daUL;
   tf->codes[8333] = 0x0004957916cc94b5UL;
   tf->codes[8334] = 0x0004957ecec424f2UL;
   tf->codes[8335] = 0x00049582029675b8UL;
   tf->codes[8336] = 0x0004958a3eb3456cUL;
   tf->codes[8337] = 0x0004958ab3d150f6UL;
   tf->codes[8338] = 0x00049598e274b6acUL;
   tf->codes[8339] = 0x000495bea0a36ea5UL;
   tf->codes[8340] = 0x000495bffffd9143UL;
   tf->codes[8341] = 0x000495c4cdb90a6cUL;
   tf->codes[8342] = 0x000495c8ebc77246UL;
   tf->codes[8343] = 0x000495eb3b94d3b4UL;
   tf->codes[8344] = 0x000495eee4853004UL;
   tf->codes[8345] = 0x000495f377b1a368UL;
   tf->codes[8346] = 0x000495f9df5644f4UL;
   tf->codes[8347] = 0x0004960c66971849UL;
   tf->codes[8348] = 0x0004960cdbb523d3UL;
   tf->codes[8349] = 0x00049615c77f04d6UL;
   tf->codes[8350] = 0x0004961d8e7dc900UL;
   tf->codes[8351] = 0x0004961e039bd48aUL;
   tf->codes[8352] = 0x0004962bf7b0347bUL;
   tf->codes[8353] = 0x00049632d472e191UL;
   tf->codes[8354] = 0x000496393c17831dUL;
   tf->codes[8355] = 0x0004964b88c950adUL;
   tf->codes[8356] = 0x000496597cddb09eUL;
   tf->codes[8357] = 0x0004967d2c0534aaUL;
   tf->codes[8358] = 0x0004968c44e4b174UL;
   tf->codes[8359] = 0x000496b1c88463a8UL;
   tf->codes[8360] = 0x000496b7807bf3e5UL;
   tf->codes[8361] = 0x000496b7f599ff6fUL;
   tf->codes[8362] = 0x000496bcc3557898UL;
   tf->codes[8363] = 0x000496dfc2cfeb55UL;
   tf->codes[8364] = 0x000496e2bc133656UL;
   tf->codes[8365] = 0x000496f2849fc46fUL;
   tf->codes[8366] = 0x000496f5435409abUL;
   tf->codes[8367] = 0x000496f926d36bc0UL;
   tf->codes[8368] = 0x000496fafb4b99e8UL;
   tf->codes[8369] = 0x000496fbaaf8ab37UL;
   tf->codes[8370] = 0x0004970f9193a12aUL;
   tf->codes[8371] = 0x000497104140b279UL;
   tf->codes[8372] = 0x00049710b65ebe03UL;
   tf->codes[8373] = 0x00049710f0edc3c8UL;
   tf->codes[8374] = 0x00049711db29dadcUL;
   tf->codes[8375] = 0x0004972c9e877de5UL;
   tf->codes[8376] = 0x0004973e3b8c3a26UL;
   tf->codes[8377] = 0x000497479c7426b3UL;
   tf->codes[8378] = 0x0004974970ec54dbUL;
   tf->codes[8379] = 0x0004974a2099662aUL;
   tf->codes[8380] = 0x00049750c2cd0d7bUL;
   tf->codes[8381] = 0x0004975605a6922eUL;
   tf->codes[8382] = 0x0004975d57874aceUL;
   tf->codes[8383] = 0x0004975e41c361e2UL;
   tf->codes[8384] = 0x0004976643512bd1UL;
   tf->codes[8385] = 0x00049769b1b2825cUL;
   tf->codes[8386] = 0x0004976f69aa1299UL;
   tf->codes[8387] = 0x0004977103933afcUL;
   tf->codes[8388] = 0x0004977471f49187UL;
   tf->codes[8389] = 0x0004977ad9993313UL;
   tf->codes[8390] = 0x0004978e108717b7UL;
   tf->codes[8391] = 0x0004978efac32ecbUL;
   tf->codes[8392] = 0x00049797e68d0fceUL;
   tf->codes[8393] = 0x000497a5a01269faUL;
   tf->codes[8394] = 0x000497b6c7f91ab1UL;
   tf->codes[8395] = 0x000497cda7d75ba5UL;
   tf->codes[8396] = 0x000497d3253fe61dUL;
   tf->codes[8397] = 0x000497eaef5a3e25UL;
   tf->codes[8398] = 0x000497ecfe617212UL;
   tf->codes[8399] = 0x000497f32b770dd9UL;
   tf->codes[8400] = 0x000497f415b324edUL;
   tf->codes[8401] = 0x000497f450422ab2UL;
   tf->codes[8402] = 0x000497fcc6ee002bUL;
   tf->codes[8403] = 0x0004980f4e2ed380UL;
   tf->codes[8404] = 0x00049810386aea94UL;
   tf->codes[8405] = 0x0004981ea19d560fUL;
   tf->codes[8406] = 0x00049823a9e7d4fdUL;
   tf->codes[8407] = 0x0004983c5e3e4419UL;
   tf->codes[8408] = 0x00049847939e5eceUL;
   tf->codes[8409] = 0x0004984dc0b3fa95UL;
   tf->codes[8410] = 0x000498528e6f73beUL;
   tf->codes[8411] = 0x000498551294b335UL;
   tf->codes[8412] = 0x00049863b6562475UL;
   tf->codes[8413] = 0x000498742e8fc3ddUL;
   tf->codes[8414] = 0x00049879abf84e55UL;
   tf->codes[8415] = 0x0004987d54e8aaa5UL;
   tf->codes[8416] = 0x0004987eeed1d308UL;
   tf->codes[8417] = 0x00049886f05f9cf7UL;
   tf->codes[8418] = 0x0004988bbe1b1620UL;
   tf->codes[8419] = 0x0004989225bfb7acUL;
   tf->codes[8420] = 0x0004989643ce1f86UL;
   tf->codes[8421] = 0x000498b01cefab7bUL;
   tf->codes[8422] = 0x000498b26685e52dUL;
   tf->codes[8423] = 0x000498bb524fc630UL;
   tf->codes[8424] = 0x000498be4b931131UL;
   tf->codes[8425] = 0x000498c687afe0e5UL;
   tf->codes[8426] = 0x000498d02326d337UL;
   tf->codes[8427] = 0x000498d356f923fdUL;
   tf->codes[8428] = 0x000498da6e4ad6d8UL;
   tf->codes[8429] = 0x000498e394a3bda0UL;
   tf->codes[8430] = 0x000498e5de39f752UL;
   tf->codes[8431] = 0x000498f14e2917ccUL;
   tf->codes[8432] = 0x000498f531a879e1UL;
   tf->codes[8433] = 0x000498f77b3eb393UL;
   tf->codes[8434] = 0x000498f9c4d4ed45UL;
   tf->codes[8435] = 0x00049907f37852fbUL;
   tf->codes[8436] = 0x00049908a325644aUL;
   tf->codes[8437] = 0x0004990b9c68af4bUL;
   tf->codes[8438] = 0x0004990dab6fe338UL;
   tf->codes[8439] = 0x00049912792b5c61UL;
   tf->codes[8440] = 0x00049915726ea762UL;
   tf->codes[8441] = 0x000499170c57cfc5UL;
   tf->codes[8442] = 0x0004991b2a66379fUL;
   tf->codes[8443] = 0x0004993abb7f53d1UL;
   tf->codes[8444] = 0x0004993db4c29ed2UL;
   tf->codes[8445] = 0x0004994715aa8b5fUL;
   tf->codes[8446] = 0x0004994924b1bf4cUL;
   tf->codes[8447] = 0x00049949d45ed09bUL;
   tf->codes[8448] = 0x0004994fc6e5669dUL;
   tf->codes[8449] = 0x00049952c028b19eUL;
   tf->codes[8450] = 0x00049958782041dbUL;
   tf->codes[8451] = 0x0004995dbaf9c68eUL;
   tf->codes[8452] = 0x00049960eecc1754UL;
   tf->codes[8453] = 0x0004996d48f74ee2UL;
   tf->codes[8454] = 0x0004996d838654a7UL;
   tf->codes[8455] = 0x0004997634c12fe5UL;
   tf->codes[8456] = 0x0004999a1e77b9b6UL;
   tf->codes[8457] = 0x000499b3827b3a21UL;
   tf->codes[8458] = 0x000499b815a7ad85UL;
   tf->codes[8459] = 0x000499b93a72ca5eUL;
   tf->codes[8460] = 0x000499c8c87052b2UL;
   tf->codes[8461] = 0x000499d34e235c18UL;
   tf->codes[8462] = 0x000499d681f5acdeUL;
   tf->codes[8463] = 0x000499efab6a2784UL;
   tf->codes[8464] = 0x000499f319cb7e0fUL;
   tf->codes[8465] = 0x000499f56361b7c1UL;
   tf->codes[8466] = 0x000499fb55e84dc3UL;
   tf->codes[8467] = 0x00049a0d2d7c0fc9UL;
   tf->codes[8468] = 0x00049a17edbe1ef4UL;
   tf->codes[8469] = 0x00049a1b96ae7b44UL;
   tf->codes[8470] = 0x00049a235dad3f6eUL;
   tf->codes[8471] = 0x00049a27069d9bbeUL;
   tf->codes[8472] = 0x00049a2fb7d876fcUL;
   tf->codes[8473] = 0x00049a365a0c1e4dUL;
   tf->codes[8474] = 0x00049a377ed73b26UL;
   tf->codes[8475] = 0x00049a3b62569d3bUL;
   tf->codes[8476] = 0x00049a3d715dd128UL;
   tf->codes[8477] = 0x00049a474763c93fUL;
   tf->codes[8478] = 0x00049a4d74796506UL;
   tf->codes[8479] = 0x00049a4f838098f3UL;
   tf->codes[8480] = 0x00049a4ff89ea47dUL;
   tf->codes[8481] = 0x00049a66635ed9e7UL;
   tf->codes[8482] = 0x00049a7c1e71fe02UL;
   tf->codes[8483] = 0x00049a903f9bf9baUL;
   tf->codes[8484] = 0x00049a984129c3a9UL;
   tf->codes[8485] = 0x00049a9cd456370dUL;
   tf->codes[8486] = 0x00049aa844455787UL;
   tf->codes[8487] = 0x00049ab672e8bd3dUL;
   tf->codes[8488] = 0x00049abc2ae04d7aUL;
   tf->codes[8489] = 0x00049abe39e78167UL;
   tf->codes[8490] = 0x00049ac1a848d7f2UL;
   tf->codes[8491] = 0x00049ac29284ef06UL;
   tf->codes[8492] = 0x00049ad170d5660bUL;
   tf->codes[8493] = 0x00049ad4df36bc96UL;
   tf->codes[8494] = 0x00049ad6ee3df083UL;
   tf->codes[8495] = 0x00049ad9e7813b84UL;
   tf->codes[8496] = 0x00049add55e2920fUL;
   tf->codes[8497] = 0x00049ae81624a13aUL;
   tf->codes[8498] = 0x00049af017b26b29UL;
   tf->codes[8499] = 0x00049af853cf3addUL;
   tf->codes[8500] = 0x00049afbfcbf972dUL;
   tf->codes[8501] = 0x00049b00555d04ccUL;
   tf->codes[8502] = 0x00049b09b644f159UL;
   tf->codes[8503] = 0x00049b0e0ee25ef8UL;
   tf->codes[8504] = 0x00049b101de992e5UL;
   tf->codes[8505] = 0x00049b1e871bfe60UL;
   tf->codes[8506] = 0x00049b3616a750a3UL;
   tf->codes[8507] = 0x00049b37eb1f7ecbUL;
   tf->codes[8508] = 0x00049b3b5980d556UL;
   tf->codes[8509] = 0x00049b41fbb47ca7UL;
   tf->codes[8510] = 0x00049b468ee0f00bUL;
   tf->codes[8511] = 0x00049b4fefc8dc98UL;
   tf->codes[8512] = 0x00049b5189b204fbUL;
   tf->codes[8513] = 0x00049b5448664a37UL;
   tf->codes[8514] = 0x00049b5d34302b3aUL;
   tf->codes[8515] = 0x00049b6a3e087417UL;
   tf->codes[8516] = 0x00049b6c879eadc9UL;
   tf->codes[8517] = 0x00049b6ed134e77bUL;
   tf->codes[8518] = 0x00049b77826fc2b9UL;
   tf->codes[8519] = 0x00049b7d3a6752f6UL;
   tf->codes[8520] = 0x00049b85eba22e34UL;
   tf->codes[8521] = 0x00049b874afc50d2UL;
   tf->codes[8522] = 0x00049b8af3ecad22UL;
   tf->codes[8523] = 0x00049b920b3e5ffdUL;
   tf->codes[8524] = 0x00049b941a4593eaUL;
   tf->codes[8525] = 0x00049b95b42ebc4dUL;
   tf->codes[8526] = 0x00049ba75133788eUL;
   tf->codes[8527] = 0x00049bb719c006a7UL;
   tf->codes[8528] = 0x00049bbd0c469ca9UL;
   tf->codes[8529] = 0x00049bbea62fc50cUL;
   tf->codes[8530] = 0x00049bc289af2721UL;
   tf->codes[8531] = 0x00049bc2fecd32abUL;
   tf->codes[8532] = 0x00049bc7cc88abd4UL;
   tf->codes[8533] = 0x00049bd92efe6250UL;
   tf->codes[8534] = 0x00049bdc9d5fb8dbUL;
   tf->codes[8535] = 0x00049bf3f25c0559UL;
   tf->codes[8536] = 0x00049bf96fc48fd1UL;
   tf->codes[8537] = 0x00049c051a42b610UL;
   tf->codes[8538] = 0x00049c063f0dd2e9UL;
   tf->codes[8539] = 0x00049c1d597b19a2UL;
   tf->codes[8540] = 0x00049c293e8845a6UL;
   tf->codes[8541] = 0x00049c2bfd3c8ae2UL;
   tf->codes[8542] = 0x00049c37a7bab121UL;
   tf->codes[8543] = 0x00049c4108a29daeUL;
   tf->codes[8544] = 0x00049c435238d760UL;
   tf->codes[8545] = 0x00049c4b8e55a714UL;
   tf->codes[8546] = 0x00049c4bc8e4acd9UL;
   tf->codes[8547] = 0x00049c4c7891be28UL;
   tf->codes[8548] = 0x00049c6233a4e243UL;
   tf->codes[8549] = 0x00049c69faa3a66dUL;
   tf->codes[8550] = 0x00049c6e8dd019d1UL;
   tf->codes[8551] = 0x00049c756a92c6e7UL;
   tf->codes[8552] = 0x00049c7da6af969bUL;
   tf->codes[8553] = 0x00049c811510ed26UL;
   tf->codes[8554] = 0x00049c85e2cc664fUL;
   tf->codes[8555] = 0x00049c8866f1a5c6UL;
   tf->codes[8556] = 0x00049c8fb8d25e66UL;
   tf->codes[8557] = 0x00049c96d0241141UL;
   tf->codes[8558] = 0x00049ca4fec776f7UL;
   tf->codes[8559] = 0x00049cb45235f986UL;
   tf->codes[8560] = 0x00049cb48cc4ff4bUL;
   tf->codes[8561] = 0x00049cc504fe9eb3UL;
   tf->codes[8562] = 0x00049cc74e94d865UL;
   tf->codes[8563] = 0x00049ccb6ca3403fUL;
   tf->codes[8564] = 0x00049cd24965ed55UL;
   tf->codes[8565] = 0x00049cdc1f6be56cUL;
   tf->codes[8566] = 0x00049ceb72da67fbUL;
   tf->codes[8567] = 0x00049cec2287794aUL;
   tf->codes[8568] = 0x00049cef1bcac44bUL;
   tf->codes[8569] = 0x00049cf424154339UL;
   tf->codes[8570] = 0x00049cf966eec7ecUL;
   tf->codes[8571] = 0x00049cfb75f5fbd9UL;
   tf->codes[8572] = 0x00049cfc603212edUL;
   tf->codes[8573] = 0x00049d0cd86bb255UL;
   tf->codes[8574] = 0x00049d0e7254dab8UL;
   tf->codes[8575] = 0x00049d116b9825b9UL;
   tf->codes[8576] = 0x00049d15c4359358UL;
   tf->codes[8577] = 0x00049d1673e2a4a7UL;
   tf->codes[8578] = 0x00049d1b7c2d2395UL;
   tf->codes[8579] = 0x00049d29aad0894bUL;
   tf->codes[8580] = 0x00049d3d916b7f3eUL;
   tf->codes[8581] = 0x00049d43be811b05UL;
   tf->codes[8582] = 0x00049d4b1061d3a5UL;
   tf->codes[8583] = 0x00049d5ce7f595abUL;
   tf->codes[8584] = 0x00049d5e0cc0b284UL;
   tf->codes[8585] = 0x00049d694220cd39UL;
   tf->codes[8586] = 0x00049d6d9abe3ad8UL;
   tf->codes[8587] = 0x00049d74b20fedb3UL;
   tf->codes[8588] = 0x00049d805c8e13f2UL;
   tf->codes[8589] = 0x00049d8355d15ef3UL;
   tf->codes[8590] = 0x00049d859f6798a5UL;
   tf->codes[8591] = 0x00049d8aa7b21793UL;
   tf->codes[8592] = 0x00049d8bcc7d346cUL;
   tf->codes[8593] = 0x00049d90251aa20bUL;
   tf->codes[8594] = 0x00049d9701dd4f21UL;
   tf->codes[8595] = 0x00049dae1c4a95daUL;
   tf->codes[8596] = 0x00049dbf7ec04c56UL;
   tf->codes[8597] = 0x00049dc3623fae6bUL;
   tf->codes[8598] = 0x00049dc6d0a104f6UL;
   tf->codes[8599] = 0x00049dc954c6446dUL;
   tf->codes[8600] = 0x00049dc9c9e44ff7UL;
   tf->codes[8601] = 0x00049dccfdb6a0bdUL;
   tf->codes[8602] = 0x00049dcf0cbdd4aaUL;
   tf->codes[8603] = 0x00049ddb2c5a0673UL;
   tf->codes[8604] = 0x00049dfba7af39b9UL;
   tf->codes[8605] = 0x00049dff16109044UL;
   tf->codes[8606] = 0x00049e05f2d33d5aUL;
   tf->codes[8607] = 0x00049e0d7f42fbbfUL;
   tf->codes[8608] = 0x00049e0fc8d93571UL;
   tf->codes[8609] = 0x00049e11d7e0695eUL;
   tf->codes[8610] = 0x00049e12878d7aadUL;
   tf->codes[8611] = 0x00049e17ca66ff60UL;
   tf->codes[8612] = 0x00049e3720f115cdUL;
   tf->codes[8613] = 0x00049e38bada3e30UL;
   tf->codes[8614] = 0x00049e3c9e59a045UL;
   tf->codes[8615] = 0x00049e400cbaf6d0UL;
   tf->codes[8616] = 0x00049e4b078c0bc0UL;
   tf->codes[8617] = 0x00049e4bb7391d0fUL;
   tf->codes[8618] = 0x00049e563cec2675UL;
   tf->codes[8619] = 0x00049e667a96c018UL;
   tf->codes[8620] = 0x00049e6fa0efa6e0UL;
   tf->codes[8621] = 0x00049e7b85fcd2e4UL;
   tf->codes[8622] = 0x00049e7bfb1ade6eUL;
   tf->codes[8623] = 0x00049e7d5a75010cUL;
   tf->codes[8624] = 0x00049e943a534200UL;
   tf->codes[8625] = 0x00049e9733968d01UL;
   tf->codes[8626] = 0x00049eb9f881f9f9UL;
   tf->codes[8627] = 0x00049eba6da00583UL;
   tf->codes[8628] = 0x00049ebb926b225cUL;
   tf->codes[8629] = 0x00049ec2349ec9adUL;
   tf->codes[8630] = 0x00049ec47e35035fUL;
   tf->codes[8631] = 0x00049ec7b2075425UL;
   tf->codes[8632] = 0x00049ecb5af7b075UL;
   tf->codes[8633] = 0x00049eccf4e0d8d8UL;
   tf->codes[8634] = 0x00049ede57568f54UL;
   tf->codes[8635] = 0x00049ee9c745afceUL;
   tf->codes[8636] = 0x00049eed35a70659UL;
   tf->codes[8637] = 0x00049eef44ae3a46UL;
   tf->codes[8638] = 0x00049eefb9cc45d0UL;
   tf->codes[8639] = 0x00049ef0a4085ce4UL;
   tf->codes[8640] = 0x00049ef3d7daadaaUL;
   tf->codes[8641] = 0x00049ef5e6e1e197UL;
   tf->codes[8642] = 0x00049ef62170e75cUL;
   tf->codes[8643] = 0x00049f0699aa86c4UL;
   tf->codes[8644] = 0x00049f0db0fc399fUL;
   tf->codes[8645] = 0x00049f11947b9bb4UL;
   tf->codes[8646] = 0x00049f17870231b6UL;
   tf->codes[8647] = 0x00049f1920eb5a19UL;
   tf->codes[8648] = 0x00049f1abad4827cUL;
   tf->codes[8649] = 0x00049f1b2ff28e06UL;
   tf->codes[8650] = 0x00049f1d3ef9c1f3UL;
   tf->codes[8651] = 0x00049f3493f60e71UL;
   tf->codes[8652] = 0x00049f5d85f71730UL;
   tf->codes[8653] = 0x00049f65fca2eca9UL;
   tf->codes[8654] = 0x00049f66e6df03bdUL;
   tf->codes[8655] = 0x00049f74daf363aeUL;
   tf->codes[8656] = 0x00049f7dc6bd44b1UL;
   tf->codes[8657] = 0x00049f8886ff53dcUL;
   tf->codes[8658] = 0x00049f984f8be1f5UL;
   tf->codes[8659] = 0x00049f9b835e32bbUL;
   tf->codes[8660] = 0x00049fae0a9f0610UL;
   tf->codes[8661] = 0x00049fb76b86f29dUL;
   tf->codes[8662] = 0x00049fbf3285b6c7UL;
   tf->codes[8663] = 0x00049fc858de9d8fUL;
   tf->codes[8664] = 0x00049fcaa274d741UL;
   tf->codes[8665] = 0x00049fd64cf2fd80UL;
   tf->codes[8666] = 0x00049fe774d9ae37UL;
   tf->codes[8667] = 0x00049ff26faac327UL;
   tf->codes[8668] = 0x0004a0014dfb3a2cUL;
   tf->codes[8669] = 0x0004a00c0e3d4957UL;
   tf->codes[8670] = 0x0004a00f07809458UL;
   tf->codes[8671] = 0x0004a01066dab6f6UL;
   tf->codes[8672] = 0x0004a0115116ce0aUL;
   tf->codes[8673] = 0x0004a01484e91ed0UL;
   tf->codes[8674] = 0x0004a017f34a755bUL;
   tf->codes[8675] = 0x0004a03a0888d104UL;
   tf->codes[8676] = 0x0004a046282502cdUL;
   tf->codes[8677] = 0x0004a053a71b5734UL;
   tf->codes[8678] = 0x0004a057157cadbfUL;
   tf->codes[8679] = 0x0004a05874d6d05dUL;
   tf->codes[8680] = 0x0004a06a86f99828UL;
   tf->codes[8681] = 0x0004a06cd08fd1daUL;
   tf->codes[8682] = 0x0004a077cb60e6caUL;
   tf->codes[8683] = 0x0004a07c23fe5469UL;
   tf->codes[8684] = 0x0004a082c631fbbaUL;
   tf->codes[8685] = 0x0004a08c9c37f3d1UL;
   tf->codes[8686] = 0x0004a09721eafd37UL;
   tf->codes[8687] = 0x0004a09930f23124UL;
   tf->codes[8688] = 0x0004a09cd9e28d74UL;
   tf->codes[8689] = 0x0004a0acdcfe2152UL;
   tf->codes[8690] = 0x0004a0ad8cab32a1UL;
   tf->codes[8691] = 0x0004a0c29811456dUL;
   tf->codes[8692] = 0x0004a0d4e4c312fdUL;
   tf->codes[8693] = 0x0004a0d853246988UL;
   tf->codes[8694] = 0x0004a0de45aaff8aUL;
   tf->codes[8695] = 0x0004a0e4ad4fa116UL;
   tf->codes[8696] = 0x0004a0e681c7cf3eUL;
   tf->codes[8697] = 0x0004a0fa6862c531UL;
   tf->codes[8698] = 0x0004a10269f08f20UL;
   tf->codes[8699] = 0x0004a116c5a9909dUL;
   tf->codes[8700] = 0x0004a117afe5a7b1UL;
   tf->codes[8701] = 0x0004a11ae3b7f877UL;
   tf->codes[8702] = 0x0004a11c7da120daUL;
   tf->codes[8703] = 0x0004a14ff55532ffUL;
   tf->codes[8704] = 0x0004a1506a733e89UL;
   tf->codes[8705] = 0x0004a1511a204fd8UL;
   tf->codes[8706] = 0x0004a156226acec6UL;
   tf->codes[8707] = 0x0004a1620777facaUL;
   tf->codes[8708] = 0x0004a16b2dd0e192UL;
   tf->codes[8709] = 0x0004a17af65d6fabUL;
   tf->codes[8710] = 0x0004a18c1e442062UL;
   tf->codes[8711] = 0x0004a18c93622becUL;
   tf->codes[8712] = 0x0004a19076e18e01UL;
   tf->codes[8713] = 0x0004a193aab3dec7UL;
   tf->codes[8714] = 0x0004a19e6af5edf2UL;
   tf->codes[8715] = 0x0004a1a840fbe609UL;
   tf->codes[8716] = 0x0004a1ae6e1181d0UL;
   tf->codes[8717] = 0x0004a1bac83cb95eUL;
   tf->codes[8718] = 0x0004a1c254ac77c3UL;
   tf->codes[8719] = 0x0004a1ca563a41b2UL;
   tf->codes[8720] = 0x0004a1ce39b9a3c7UL;
   tf->codes[8721] = 0x0004a1e812db2fbcUL;
   tf->codes[8722] = 0x0004a1e887f93b46UL;
   tf->codes[8723] = 0x0004a1f606ef8fadUL;
   tf->codes[8724] = 0x0004a1fa5f8cfd4cUL;
   tf->codes[8725] = 0x0004a2055a5e123cUL;
   tf->codes[8726] = 0x0004a2093ddd7451UL;
   tf->codes[8727] = 0x0004a20a62a8912aUL;
   tf->codes[8728] = 0x0004a20b8773ae03UL;
   tf->codes[8729] = 0x0004a214adcc94cbUL;
   tf->codes[8730] = 0x0004a215d297b1a4UL;
   tf->codes[8731] = 0x0004a21731f1d442UL;
   tf->codes[8732] = 0x0004a219f0a6197eUL;
   tf->codes[8733] = 0x0004a21b8a8f41e1UL;
   tf->codes[8734] = 0x0004a21d5f077009UL;
   tf->codes[8735] = 0x0004a2385cf418d7UL;
   tf->codes[8736] = 0x0004a2439254338cUL;
   tf->codes[8737] = 0x0004a24d2dcb25deUL;
   tf->codes[8738] = 0x0004a24e18073cf2UL;
   tf->codes[8739] = 0x0004a252e5c2b61bUL;
   tf->codes[8740] = 0x0004a257b37e2f44UL;
   tf->codes[8741] = 0x0004a25f7a7cf36eUL;
   tf->codes[8742] = 0x0004a264f7e57de6UL;
   tf->codes[8743] = 0x0004a284c38d9fddUL;
   tf->codes[8744] = 0x0004a285e858bcb6UL;
   tf->codes[8745] = 0x0004a287f75ff0a3UL;
   tf->codes[8746] = 0x0004a29416fc226cUL;
   tf->codes[8747] = 0x0004a297103f6d6dUL;
   tf->codes[8748] = 0x0004a29f4c5c3d21UL;
   tf->codes[8749] = 0x0004a2afc495dc89UL;
   tf->codes[8750] = 0x0004a2b0aed1f39dUL;
   tf->codes[8751] = 0x0004a2b78b94a0b3UL;
   tf->codes[8752] = 0x0004a2c2c0f4bb68UL;
   tf->codes[8753] = 0x0004a2c4cffbef55UL;
   tf->codes[8754] = 0x0004a2d24ef243bcUL;
   tf->codes[8755] = 0x0004a2d8b696e548UL;
   tf->codes[8756] = 0x0004a2da15f107e6UL;
   tf->codes[8757] = 0x0004a2f304d67cc7UL;
   tf->codes[8758] = 0x0004a2f5fe19c7c8UL;
   tf->codes[8759] = 0x0004a2f6e855dedcUL;
   tf->codes[8760] = 0x0004a2fd8a89862dUL;
   tf->codes[8761] = 0x0004a309aa25b7f6UL;
   tf->codes[8762] = 0x0004a31888762efbUL;
   tf->codes[8763] = 0x0004a33d21d9ca1bUL;
   tf->codes[8764] = 0x0004a351f2b0d722UL;
   tf->codes[8765] = 0x0004a3638fb59363UL;
   tf->codes[8766] = 0x0004a36738a5efb3UL;
   tf->codes[8767] = 0x0004a3726e060a68UL;
   tf->codes[8768] = 0x0004a377eb6e94e0UL;
   tf->codes[8769] = 0x0004a3794ac8b77eUL;
   tf->codes[8770] = 0x0004a37d68d71f58UL;
   tf->codes[8771] = 0x0004a3873edd176fUL;
   tf->codes[8772] = 0x0004a3889e373a0dUL;
   tf->codes[8773] = 0x0004a391c49020d5UL;
   tf->codes[8774] = 0x0004a39d6f0e4714UL;
   tf->codes[8775] = 0x0004a3a7f4c1507aUL;
   tf->codes[8776] = 0x0004a3ab9db1accaUL;
   tf->codes[8777] = 0x0004a3c69b9e5598UL;
   tf->codes[8778] = 0x0004a3c74b4b66e7UL;
   tf->codes[8779] = 0x0004a3c95a529ad4UL;
   tf->codes[8780] = 0x0004a3c9cf70a65eUL;
   tf->codes[8781] = 0x0004a3d121515efeUL;
   tf->codes[8782] = 0x0004a3ddb60b9c51UL;
   tf->codes[8783] = 0x0004a3eabfe3e52eUL;
   tf->codes[8784] = 0x0004a40d0fb1469cUL;
   tf->codes[8785] = 0x0004a41043839762UL;
   tf->codes[8786] = 0x0004a4112dbfae76UL;
   tf->codes[8787] = 0x0004a411a2ddba00UL;
   tf->codes[8788] = 0x0004a414d6b00ac6UL;
   tf->codes[8789] = 0x0004a41b78e3b217UL;
   tf->codes[8790] = 0x0004a42e3ab38b31UL;
   tf->codes[8791] = 0x0004a43552053e0cUL;
   tf->codes[8792] = 0x0004a445ca3edd74UL;
   tf->codes[8793] = 0x0004a44fdad3db50UL;
   tf->codes[8794] = 0x0004a45a25f7def1UL;
   tf->codes[8795] = 0x0004a4734f6c5997UL;
   tf->codes[8796] = 0x0004a47389fb5f5cUL;
   tf->codes[8797] = 0x0004a47bc6182f10UL;
   tf->codes[8798] = 0x0004a49390328718UL;
   tf->codes[8799] = 0x0004a49564aab540UL;
   tf->codes[8800] = 0x0004a4990d9b1190UL;
   tf->codes[8801] = 0x0004a49fafceb8e1UL;
   tf->codes[8802] = 0x0004a4bb22d96d39UL;
   tf->codes[8803] = 0x0004a4be913ac3c4UL;
   tf->codes[8804] = 0x0004a4c483c159c6UL;
   tf->codes[8805] = 0x0004a4c56dfd70daUL;
   tf->codes[8806] = 0x0004a4d32782cb06UL;
   tf->codes[8807] = 0x0004a4d5aba80a7dUL;
   tf->codes[8808] = 0x0004a4da3ed47de1UL;
   tf->codes[8809] = 0x0004a4dff6cc0e1eUL;
   tf->codes[8810] = 0x0004a4e992430070UL;
   tf->codes[8811] = 0x0004a4f27e0ce173UL;
   tf->codes[8812] = 0x0004a4f7c0e66626UL;
   tf->codes[8813] = 0x0004a4fa0a7c9fd8UL;
   tf->codes[8814] = 0x0004a4fe631a0d77UL;
   tf->codes[8815] = 0x0004a505b4fac617UL;
   tf->codes[8816] = 0x0004a509235c1ca2UL;
   tf->codes[8817] = 0x0004a50f5071b869UL;
   tf->codes[8818] = 0x0004a5141e2d3192UL;
   tf->codes[8819] = 0x0004a51afaefdea8UL;
   tf->codes[8820] = 0x0004a5333a28423aUL;
   tf->codes[8821] = 0x0004a538b790ccb2UL;
   tf->codes[8822] = 0x0004a53c25f2233dUL;
   tf->codes[8823] = 0x0004a53f945379c8UL;
   tf->codes[8824] = 0x0004a541dde9b37aUL;
   tf->codes[8825] = 0x0004a54c9e2bc2a5UL;
   tf->codes[8826] = 0x0004a54f976f0da6UL;
   tf->codes[8827] = 0x0004a55305d06431UL;
   tf->codes[8828] = 0x0004a554da489259UL;
   tf->codes[8829] = 0x0004a55514d7981eUL;
   tf->codes[8830] = 0x0004a5567431babcUL;
   tf->codes[8831] = 0x0004a559e2931147UL;
   tf->codes[8832] = 0x0004a55d8b836d97UL;
   tf->codes[8833] = 0x0004a56a955bb674UL;
   tf->codes[8834] = 0x0004a56b7f97cd88UL;
   tf->codes[8835] = 0x0004a571721e638aUL;
   tf->codes[8836] = 0x0004a57c326072b5UL;
   tf->codes[8837] = 0x0004a57d91ba9553UL;
   tf->codes[8838] = 0x0004a581ea5802f2UL;
   tf->codes[8839] = 0x0004a588176d9eb9UL;
   tf->codes[8840] = 0x0004a58b10b0e9baUL;
   tf->codes[8841] = 0x0004a590c8a879f7UL;
   tf->codes[8842] = 0x0004a591b2e4910bUL;
   tf->codes[8843] = 0x0004a594e6b6e1d1UL;
   tf->codes[8844] = 0x0004a596f5be15beUL;
   tf->codes[8845] = 0x0004a59e479ece5eUL;
   tf->codes[8846] = 0x0004a59f6c69eb37UL;
   tf->codes[8847] = 0x0004a5afe4a38a9fUL;
   tf->codes[8848] = 0x0004a5bd6399df06UL;
   tf->codes[8849] = 0x0004a5c23155582fUL;
   tf->codes[8850] = 0x0004a5c90e180545UL;
   tf->codes[8851] = 0x0004a5cc7c795bd0UL;
   tf->codes[8852] = 0x0004a5d09a87c3aaUL;
   tf->codes[8853] = 0x0004a5d2a98ef797UL;
   tf->codes[8854] = 0x0004a5d31ead0321UL;
   tf->codes[8855] = 0x0004a5d7774a70c0UL;
   tf->codes[8856] = 0x0004a5d98651a4adUL;
   tf->codes[8857] = 0x0004a5dc0a76e424UL;
   tf->codes[8858] = 0x0004a5dddeef124cUL;
   tf->codes[8859] = 0x0004a5de540d1dd6UL;
   tf->codes[8860] = 0x0004a5e56b5ed0b1UL;
   tf->codes[8861] = 0x0004a5f1506bfcb5UL;
   tf->codes[8862] = 0x0004a5f6cdd4872dUL;
   tf->codes[8863] = 0x0004a5f742f292b7UL;
   tf->codes[8864] = 0x0004a60c88e7ab48UL;
   tf->codes[8865] = 0x0004a61d3bb05075UL;
   tf->codes[8866] = 0x0004a61e25ec6789UL;
   tf->codes[8867] = 0x0004a6274c454e51UL;
   tf->codes[8868] = 0x0004a62d043cde8eUL;
   tf->codes[8869] = 0x0004a6420fa2f15aUL;
   tf->codes[8870] = 0x0004a64508e63c5bUL;
   tf->codes[8871] = 0x0004a64ea45d2eadUL;
   tf->codes[8872] = 0x0004a65be8c47d4fUL;
   tf->codes[8873] = 0x0004a6628af824a0UL;
   tf->codes[8874] = 0x0004a66bebe0112dUL;
   tf->codes[8875] = 0x0004a66fcf5f7342UL;
   tf->codes[8876] = 0x0004a673b2ded557UL;
   tf->codes[8877] = 0x0004a6775bcf31a7UL;
   tf->codes[8878] = 0x0004a67ee83ef00cUL;
   tf->codes[8879] = 0x0004a689a880ff37UL;
   tf->codes[8880] = 0x0004a68c67354473UL;
   tf->codes[8881] = 0x0004a68f25e989afUL;
   tf->codes[8882] = 0x0004a6904ab4a688UL;
   tf->codes[8883] = 0x0004a69677ca424fUL;
   tf->codes[8884] = 0x0004a69a5b49a464UL;
   tf->codes[8885] = 0x0004a6b559364d32UL;
   tf->codes[8886] = 0x0004a6c103b47371UL;
   tf->codes[8887] = 0x0004a6c387d9b2e8UL;
   tf->codes[8888] = 0x0004a6c4aca4cfc1UL;
   tf->codes[8889] = 0x0004a6c55c51e110UL;
   tf->codes[8890] = 0x0004a6c6bbac03aeUL;
   tf->codes[8891] = 0x0004a6d091b1fbc5UL;
   tf->codes[8892] = 0x0004a6d6843891c7UL;
   tf->codes[8893] = 0x0004a6d81e21ba2aUL;
   tf->codes[8894] = 0x0004a6ee4e52e9cfUL;
   tf->codes[8895] = 0x0004a6eec370f559UL;
   tf->codes[8896] = 0x0004a6ef388f00e3UL;
   tf->codes[8897] = 0x0004a6f7e9c9dc21UL;
   tf->codes[8898] = 0x0004a70025e6abd5UL;
   tf->codes[8899] = 0x0004a708d7218713UL;
   tf->codes[8900] = 0x0004a71272987965UL;
   tf->codes[8901] = 0x0004a71da7f8941aUL;
   tf->codes[8902] = 0x0004a72693c2751dUL;
   tf->codes[8903] = 0x0004a739902153fcUL;
   tf->codes[8904] = 0x0004a73ab4ec70d5UL;
   tf->codes[8905] = 0x0004a74699f99cd9UL;
   tf->codes[8906] = 0x0004a74958ade215UL;
   tf->codes[8907] = 0x0004a7724aaeead4UL;
   tf->codes[8908] = 0x0004a77b3678cbd7UL;
   tf->codes[8909] = 0x0004a78805c20eefUL;
   tf->codes[8910] = 0x0004a79a5273dc7fUL;
   tf->codes[8911] = 0x0004a79c617b106cUL;
   tf->codes[8912] = 0x0004a7ad1443b599UL;
   tf->codes[8913] = 0x0004a7adc3f0c6e8UL;
   tf->codes[8914] = 0x0004a7d34790791cUL;
   tf->codes[8915] = 0x0004a7d93a170f1eUL;
   tf->codes[8916] = 0x0004a7eef52a3339UL;
   tf->codes[8917] = 0x0004a81c7a57af5cUL;
   tf->codes[8918] = 0x0004a8268aecad38UL;
   tf->codes[8919] = 0x0004a838d79e7ac8UL;
   tf->codes[8920] = 0x0004a83cf5ace2a2UL;
   tf->codes[8921] = 0x0004a83feef02da3UL;
   tf->codes[8922] = 0x0004a8414e4a5041UL;
   tf->codes[8923] = 0x0004a842e83378a4UL;
   tf->codes[8924] = 0x0004a845e176c3a5UL;
   tf->codes[8925] = 0x0004a854bfc73aaaUL;
   tf->codes[8926] = 0x0004a858a3469cbfUL;
   tf->codes[8927] = 0x0004a858ddd5a284UL;
   tf->codes[8928] = 0x0004a85cc1550499UL;
   tf->codes[8929] = 0x0004a877bf41ad67UL;
   tf->codes[8930] = 0x0004a87ba2c10f7cUL;
   tf->codes[8931] = 0x0004a8853e3801ceUL;
   tf->codes[8932] = 0x0004a887fcec470aUL;
   tf->codes[8933] = 0x0004a88d7a54d182UL;
   tf->codes[8934] = 0x0004a897505ac999UL;
   tf->codes[8935] = 0x0004a89af94b25e9UL;
   tf->codes[8936] = 0x0004a8b8f07b19b8UL;
   tf->codes[8937] = 0x0004a8baff824da5UL;
   tf->codes[8938] = 0x0004a8dc2a84923aUL;
   tf->codes[8939] = 0x0004a8e550dd7902UL;
   tf->codes[8940] = 0x0004a8e79a73b2b4UL;
   tf->codes[8941] = 0x0004a8eb43640f04UL;
   tf->codes[8942] = 0x0004a8f9ac967a7fUL;
   tf->codes[8943] = 0x0004a8fad1619758UL;
   tf->codes[8944] = 0x0004a9131099faeaUL;
   tf->codes[8945] = 0x0004a93f70fc5a34UL;
   tf->codes[8946] = 0x0004a947728a2423UL;
   tf->codes[8947] = 0x0004a953ccb55bb1UL;
   tf->codes[8948] = 0x0004a95a6ee90302UL;
   tf->codes[8949] = 0x0004a95ae4070e8cUL;
   tf->codes[8950] = 0x0004a95e17d95f52UL;
   tf->codes[8951] = 0x0004a977f0faeb47UL;
   tf->codes[8952] = 0x0004a978db37025bUL;
   tf->codes[8953] = 0x0004a987f4167f25UL;
   tf->codes[8954] = 0x0004a988de529639UL;
   tf->codes[8955] = 0x0004a98ab2cac461UL;
   tf->codes[8956] = 0x0004a98f45f737c5UL;
   tf->codes[8957] = 0x0004a99782140779UL;
   tf->codes[8958] = 0x0004a9b95cc35d5dUL;
   tf->codes[8959] = 0x0004a9ba0c706eacUL;
   tf->codes[8960] = 0x0004a9bbe0e89cd4UL;
   tf->codes[8961] = 0x0004a9c45794724dUL;
   tf->codes[8962] = 0x0004a9c62c0ca075UL;
   tf->codes[8963] = 0x0004a9cc1e933677UL;
   tf->codes[8964] = 0x0004a9d07730a416UL;
   tf->codes[8965] = 0x0004a9d0ec4eafa0UL;
   tf->codes[8966] = 0x0004a9dac254a7b7UL;
   tf->codes[8967] = 0x0004a9db3772b341UL;
   tf->codes[8968] = 0x0004a9dc5c3dd01aUL;
   tf->codes[8969] = 0x0004a9e164884f08UL;
   tf->codes[8970] = 0x0004a9f92ea2a710UL;
   tf->codes[8971] = 0x0004a9ff5bb842d7UL;
   tf->codes[8972] = 0x0004aa0dff79b417UL;
   tf->codes[8973] = 0x0004aa1725d29adfUL;
   tf->codes[8974] = 0x0004aa1f276064ceUL;
   tf->codes[8975] = 0x0004aa29e7a273f9UL;
   tf->codes[8976] = 0x0004aa36b6ebb711UL;
   tf->codes[8977] = 0x0004aa447071113dUL;
   tf->codes[8978] = 0x0004aa57e1edfba6UL;
   tf->codes[8979] = 0x0004aa5e0f03976dUL;
   tf->codes[8980] = 0x0004aa6f71794de9UL;
   tf->codes[8981] = 0x0004aa7738781213UL;
   tf->codes[8982] = 0x0004aa79f72c574fUL;
   tf->codes[8983] = 0x0004aa7cf06fa250UL;
   tf->codes[8984] = 0x0004aa873b93a5f1UL;
   tf->codes[8985] = 0x0004aa8d68a941b8UL;
   tf->codes[8986] = 0x0004aa91fbd5b51cUL;
   tf->codes[8987] = 0x0004aa96547322bbUL;
   tf->codes[8988] = 0x0004aa99fd637f0bUL;
   tf->codes[8989] = 0x0004aaa7073bc7e8UL;
   tf->codes[8990] = 0x0004aaad345163afUL;
   tf->codes[8991] = 0x0004aab2b1b9ee27UL;
   tf->codes[8992] = 0x0004aabdac8b0317UL;
   tf->codes[8993] = 0x0004aac030b0428eUL;
   tf->codes[8994] = 0x0004aacab6634bf4UL;
   tf->codes[8995] = 0x0004aacba09f6308UL;
   tf->codes[8996] = 0x0004aad3a22d2cf7UL;
   tf->codes[8997] = 0x0004aad3dcbc32bcUL;
   tf->codes[8998] = 0x0004aad4c6f849d0UL;
   tf->codes[8999] = 0x0004aaee658ad000UL;
   tf->codes[9000] = 0x0004aafba9f21ea2UL;
   tf->codes[9001] = 0x0004aafd43db4705UL;
   tf->codes[9002] = 0x0004ab078eff4aa6UL;
   tf->codes[9003] = 0x0004ab09d8958458UL;
   tf->codes[9004] = 0x0004ab0fcb1c1a5aUL;
   tf->codes[9005] = 0x0004ab1423b987f9UL;
   tf->codes[9006] = 0x0004ab1a16401dfbUL;
   tf->codes[9007] = 0x0004ab1ee3fb9724UL;
   tf->codes[9008] = 0x0004ab2eac88253dUL;
   tf->codes[9009] = 0x0004ab32ca968d17UL;
   tf->codes[9010] = 0x0004ab337a439e66UL;
   tf->codes[9011] = 0x0004ab3f99dfd02fUL;
   tf->codes[9012] = 0x0004ab47d5fc9fe3UL;
   tf->codes[9013] = 0x0004ab6383965a00UL;
   tf->codes[9014] = 0x0004ab64a86176d9UL;
   tf->codes[9015] = 0x0004ab708d6ea2ddUL;
   tf->codes[9016] = 0x0004ab74365eff2dUL;
   tf->codes[9017] = 0x0004ab764566331aUL;
   tf->codes[9018] = 0x0004ab77df4f5b7dUL;
   tf->codes[9019] = 0x0004ab7d5cb7e5f5UL;
   tf->codes[9020] = 0x0004ab8f6edaadc0UL;
   tf->codes[9021] = 0x0004abaae1e56218UL;
   tf->codes[9022] = 0x0004abb1498a03a4UL;
   tf->codes[9023] = 0x0004abb1f93714f3UL;
   tf->codes[9024] = 0x0004abbf782d695aUL;
   tf->codes[9025] = 0x0004abc027da7aa9UL;
   tf->codes[9026] = 0x0004abc35baccb6fUL;
   tf->codes[9027] = 0x0004abc6ca0e21faUL;
   tf->codes[9028] = 0x0004abd14fc12b60UL;
   tf->codes[9029] = 0x0004abd18a503125UL;
   tf->codes[9030] = 0x0004abd239fd4274UL;
   tf->codes[9031] = 0x0004abdb25c72377UL;
   tf->codes[9032] = 0x0004abde94287a02UL;
   tf->codes[9033] = 0x0004abef46f11f2fUL;
   tf->codes[9034] = 0x0004abf4fee8af6cUL;
   tf->codes[9035] = 0x0004abfe5fd09bf9UL;
   tf->codes[9036] = 0x0004ac074b9a7cfcUL;
   tf->codes[9037] = 0x0004ac0bdec6f060UL;
   tf->codes[9038] = 0x0004ac1196be809dUL;
   tf->codes[9039] = 0x0004ac153faedcedUL;
   tf->codes[9040] = 0x0004ac15ef5bee3cUL;
   tf->codes[9041] = 0x0004ac18ae103378UL;
   tf->codes[9042] = 0x0004ac328731bf6dUL;
   tf->codes[9043] = 0x0004ac32fc4fcaf7UL;
   tf->codes[9044] = 0x0004ac3ac34e8f21UL;
   tf->codes[9045] = 0x0004ac40062813d4UL;
   tf->codes[9046] = 0x0004ac40b5d52523UL;
   tf->codes[9047] = 0x0004ac45be1fa411UL;
   tf->codes[9048] = 0x0004ac5dc2c901deUL;
   tf->codes[9049] = 0x0004ac69e26533a7UL;
   tf->codes[9050] = 0x0004ac6a57833f31UL;
   tf->codes[9051] = 0x0004ac73434d2034UL;
   tf->codes[9052] = 0x0004ac74a2a742d2UL;
   tf->codes[9053] = 0x0004ac7552545421UL;
   tf->codes[9054] = 0x0004ac8ce1dfa664UL;
   tf->codes[9055] = 0x0004ac8d918cb7b3UL;
   tf->codes[9056] = 0x0004acb97cd10b73UL;
   tf->codes[9057] = 0x0004acbefa3995ebUL;
   tf->codes[9058] = 0x0004acc9455d998cUL;
   tf->codes[9059] = 0x0004acca6a28b665UL;
   tf->codes[9060] = 0x0004acdaa7d35008UL;
   tf->codes[9061] = 0x0004acde50c3ac58UL;
   tf->codes[9062] = 0x0004acee8e6e45fbUL;
   tf->codes[9063] = 0x0004acfaae0a77c4UL;
   tf->codes[9064] = 0x0004acff06a7e563UL;
   tf->codes[9065] = 0x0004ad18a53a6b93UL;
   tf->codes[9066] = 0x0004ad1954e77ce2UL;
   tf->codes[9067] = 0x0004ad1b63eeb0cfUL;
   tf->codes[9068] = 0x0004ad3d3e9e06b3UL;
   tf->codes[9069] = 0x0004ad4ccc9b8f07UL;
   tf->codes[9070] = 0x0004ad541e7c47a7UL;
   tf->codes[9071] = 0x0004ad54939a5331UL;
   tf->codes[9072] = 0x0004ad6496b5e70fUL;
   tf->codes[9073] = 0x0004ad6df79dd39cUL;
   tf->codes[9074] = 0x0004ad70f0e11e9dUL;
   tf->codes[9075] = 0x0004ad74d46080b2UL;
   tf->codes[9076] = 0x0004ad792cfdee51UL;
   tf->codes[9077] = 0x0004ad79678cf416UL;
   tf->codes[9078] = 0x0004ad8dfdd4fb58UL;
   tf->codes[9079] = 0x0004ad97994bedaaUL;
   tf->codes[9080] = 0x0004ad9d8bd283acUL;
   tf->codes[9081] = 0x0004ad9e00f08f36UL;
   tf->codes[9082] = 0x0004ad9fd568bd5eUL;
   tf->codes[9083] = 0x0004adb3f692b916UL;
   tf->codes[9084] = 0x0004adb64028f2c8UL;
   tf->codes[9085] = 0x0004adc0162eeadfUL;
   tf->codes[9086] = 0x0004adc25fc52491UL;
   tf->codes[9087] = 0x0004adeaa2191c01UL;
   tf->codes[9088] = 0x0004adfb54e1c12eUL;
   tf->codes[9089] = 0x0004adfc048ed27dUL;
   tf->codes[9090] = 0x0004adffad7f2ecdUL;
   tf->codes[9091] = 0x0004ae01bc8662baUL;
   tf->codes[9092] = 0x0004ae0b1d6e4f47UL;
   tf->codes[9093] = 0x0004ae36ce239d42UL;
   tf->codes[9094] = 0x0004ae3e5a935ba7UL;
   tf->codes[9095] = 0x0004ae4e983df54aUL;
   tf->codes[9096] = 0x0004ae5e60ca8363UL;
   tf->codes[9097] = 0x0004ae648de01f2aUL;
   tf->codes[9098] = 0x0004ae68e67d8cc9UL;
   tf->codes[9099] = 0x0004ae6db43905f2UL;
   tf->codes[9100] = 0x0004ae7c57fa7732UL;
   tf->codes[9101] = 0x0004ae7edc1fb6a9UL;
   tf->codes[9102] = 0x0004ae8961d2c00fUL;
   tf->codes[9103] = 0x0004ae8d7fe127e9UL;
   tf->codes[9104] = 0x0004ae924d9ca112UL;
   tf->codes[9105] = 0x0004ae95816ef1d8UL;
   tf->codes[9106] = 0x0004ae9f9203efb4UL;
   tf->codes[9107] = 0x0004aeb9a5b4816eUL;
   tf->codes[9108] = 0x0004aec84975f2aeUL;
   tf->codes[9109] = 0x0004aee30cd395b7UL;
   tf->codes[9110] = 0x0004aef5cea36ed1UL;
   tf->codes[9111] = 0x0004aef8c7e6b9d2UL;
   tf->codes[9112] = 0x0004aefcab661be7UL;
   tf->codes[9113] = 0x0004af0fe254008bUL;
   tf->codes[9114] = 0x0004af14758073efUL;
   tf->codes[9115] = 0x0004af2e4ea1ffe4UL;
   tf->codes[9116] = 0x0004af34b646a170UL;
   tf->codes[9117] = 0x0004af37ea18f236UL;
   tf->codes[9118] = 0x0004af486252919eUL;
   tf->codes[9119] = 0x0004af5272e78f7aUL;
   tf->codes[9120] = 0x0004af52ad76953fUL;
   tf->codes[9121] = 0x0004af561bd7ebcaUL;
   tf->codes[9122] = 0x0004af58656e257cUL;
   tf->codes[9123] = 0x0004af5bd3cf7c07UL;
   tf->codes[9124] = 0x0004af623b741d93UL;
   tf->codes[9125] = 0x0004af6e5b104f5cUL;
   tf->codes[9126] = 0x0004af77bbf83be9UL;
   tf->codes[9127] = 0x0004af77f68741aeUL;
   tf->codes[9128] = 0x0004afa665f0d4e5UL;
   tf->codes[9129] = 0x0004afaf8c49bbadUL;
   tf->codes[9130] = 0x0004afbbe674f33bUL;
   tf->codes[9131] = 0x0004afbedfb83e3cUL;
   tf->codes[9132] = 0x0004afd0f1db0607UL;
   tf->codes[9133] = 0x0004afdb027003e3UL;
   tf->codes[9134] = 0x0004afe0ba679420UL;
   tf->codes[9135] = 0x0004b013bcfd9abbUL;
   tf->codes[9136] = 0x0004b017db0c0295UL;
   tf->codes[9137] = 0x0004b03104807d3bUL;
   tf->codes[9138] = 0x0004b04b52c014baUL;
   tf->codes[9139] = 0x0004b04d273842e2UL;
   tf->codes[9140] = 0x0004b05563551296UL;
   tf->codes[9141] = 0x0004b06b9386423bUL;
   tf->codes[9142] = 0x0004b0747f50233eUL;
   tf->codes[9143] = 0x0004b07653c85166UL;
   tf->codes[9144] = 0x0004b0768e57572bUL;
   tf->codes[9145] = 0x0004b07e1ac71590UL;
   tf->codes[9146] = 0x0004b08c0edb7581UL;
   tf->codes[9147] = 0x0004b095aa5267d3UL;
   tf->codes[9148] = 0x0004b09f45c95a25UL;
   tf->codes[9149] = 0x0004b0b157ec21f0UL;
   tf->codes[9150] = 0x0004b0b9ce97f769UL;
   tf->codes[9151] = 0x0004b0bc52bd36e0UL;
   tf->codes[9152] = 0x0004b0bed6e27657UL;
   tf->codes[9153] = 0x0004b0bf11717c1cUL;
   tf->codes[9154] = 0x0004b0cabbefa25bUL;
   tf->codes[9155] = 0x0004b0d83ae5f6c2UL;
   tf->codes[9156] = 0x0004b0da0f5e24eaUL;
   tf->codes[9157] = 0x0004b0e8edae9befUL;
   tf->codes[9158] = 0x0004b0e9283da1b4UL;
   tf->codes[9159] = 0x0004b0fd83f6a331UL;
   tf->codes[9160] = 0x0004b102c6d027e4UL;
   tf->codes[9161] = 0x0004b10510666196UL;
   tf->codes[9162] = 0x0004b10b02ecf798UL;
   tf->codes[9163] = 0x0004b1121a3eaa73UL;
   tf->codes[9164] = 0x0004b1280fe0d453UL;
   tf->codes[9165] = 0x0004b146b6bdd971UL;
   tf->codes[9166] = 0x0004b1529bcb0575UL;
   tf->codes[9167] = 0x0004b15644bb61c5UL;
   tf->codes[9168] = 0x0004b156f4687314UL;
   tf->codes[9169] = 0x0004b16b8ab07a56UL;
   tf->codes[9170] = 0x0004b171b7c6161dUL;
   tf->codes[9171] = 0x0004b17351af3e80UL;
   tf->codes[9172] = 0x0004b17909a6cebdUL;
   tf->codes[9173] = 0x0004b17c3d791f83UL;
   tf->codes[9174] = 0x0004b19825a1df65UL;
   tf->codes[9175] = 0x0004b199bf8b07c8UL;
   tf->codes[9176] = 0x0004b19cb8ce52c9UL;
   tf->codes[9177] = 0x0004b1af400f261eUL;
   tf->codes[9178] = 0x0004b1cf46464ddaUL;
   tf->codes[9179] = 0x0004b1d39ee3bb79UL;
   tf->codes[9180] = 0x0004b1dc158f90f2UL;
   tf->codes[9181] = 0x0004b1e4171d5ae1UL;
   tf->codes[9182] = 0x0004b1f454c7f484UL;
   tf->codes[9183] = 0x0004b20f52b49d52UL;
   tf->codes[9184] = 0x0004b20fc7d2a8dcUL;
   tf->codes[9185] = 0x0004b210ec9dc5b5UL;
   tf->codes[9186] = 0x0004b228b6b81dbdUL;
   tf->codes[9187] = 0x0004b22cd4c68597UL;
   tf->codes[9188] = 0x0004b240bb617b8aUL;
   tf->codes[9189] = 0x0004b24429c2d215UL;
   tf->codes[9190] = 0x0004b246e8771751UL;
   tf->codes[9191] = 0x0004b25e02e45e0aUL;
   tf->codes[9192] = 0x0004b26ce134d50fUL;
   tf->codes[9193] = 0x0004b29314819892UL;
   tf->codes[9194] = 0x0004b29fe3cadbaaUL;
   tf->codes[9195] = 0x0004b2ad62c13011UL;
   tf->codes[9196] = 0x0004b2aefcaa5874UL;
   tf->codes[9197] = 0x0004b2afac5769c3UL;
   tf->codes[9198] = 0x0004b2b43f83dd27UL;
   tf->codes[9199] = 0x0004b2b9f77b6d64UL;
   tf->codes[9200] = 0x0004b2c05f200ef0UL;
   tf->codes[9201] = 0x0004b2c10ecd203fUL;
   tf->codes[9202] = 0x0004b2c5a1f993a3UL;
   tf->codes[9203] = 0x0004b2c8261ed31aUL;
   tf->codes[9204] = 0x0004b2d111e8b41dUL;
   tf->codes[9205] = 0x0004b2e0da754236UL;
   tf->codes[9206] = 0x0004b2e1c4b1594aUL;
   tf->codes[9207] = 0x0004b2ea75ec3488UL;
   tf->codes[9208] = 0x0004b2f361b6158bUL;
   tf->codes[9209] = 0x0004b2f486813264UL;
   tf->codes[9210] = 0x0004b2fd724b1367UL;
   tf->codes[9211] = 0x0004b2ffbbe14d19UL;
   tf->codes[9212] = 0x0004b307bd6f1708UL;
   tf->codes[9213] = 0x0004b30a4194567fUL;
   tf->codes[9214] = 0x0004b32a47cb7e3bUL;
   tf->codes[9215] = 0x0004b344d09a1b7fUL;
   tf->codes[9216] = 0x0004b3450b292144UL;
   tf->codes[9217] = 0x0004b3471a305531UL;
   tf->codes[9218] = 0x0004b347c9dd6680UL;
   tf->codes[9219] = 0x0004b34a8891abbcUL;
   tf->codes[9220] = 0x0004b35339cc86faUL;
   tf->codes[9221] = 0x0004b35548d3bae7UL;
   tf->codes[9222] = 0x0004b358421705e8UL;
   tf->codes[9223] = 0x0004b35a8bad3f9aUL;
   tf->codes[9224] = 0x0004b378bd6c392eUL;
   tf->codes[9225] = 0x0004b396ef2b32c2UL;
   tf->codes[9226] = 0x0004b39bf775b1b0UL;
   tf->codes[9227] = 0x0004b39c3204b775UL;
   tf->codes[9228] = 0x0004b3ca2c503f22UL;
   tf->codes[9229] = 0x0004b3d43ce53cfeUL;
   tf->codes[9230] = 0x0004b3d6fb99823aUL;
   tf->codes[9231] = 0x0004b3eae234782dUL;
   tf->codes[9232] = 0x0004b3ec06ff9506UL;
   tf->codes[9233] = 0x0004b3f4f2c97609UL;
   tf->codes[9234] = 0x0004b3f89bb9d259UL;
   tf->codes[9235] = 0x0004b403968ae749UL;
   tf->codes[9236] = 0x0004b410daf235ebUL;
   tf->codes[9237] = 0x0004b412af6a6413UL;
   tf->codes[9238] = 0x0004b438e2b72796UL;
   tf->codes[9239] = 0x0004b43c1689785cUL;
   tf->codes[9240] = 0x0004b4403497e036UL;
   tf->codes[9241] = 0x0004b4515c7e90edUL;
   tf->codes[9242] = 0x0004b4520c2ba23cUL;
   tf->codes[9243] = 0x0004b4553ffdf302UL;
   tf->codes[9244] = 0x0004b459d32a6666UL;
   tf->codes[9245] = 0x0004b464936c7591UL;
   tf->codes[9246] = 0x0004b468ec09e330UL;
   tf->codes[9247] = 0x0004b46afb11171dUL;
   tf->codes[9248] = 0x0004b46c5a6b39bbUL;
   tf->codes[9249] = 0x0004b46d0a184b0aUL;
   tf->codes[9250] = 0x0004b47964438298UL;
   tf->codes[9251] = 0x0004b47b38bbb0c0UL;
   tf->codes[9252] = 0x0004b499df98b5deUL;
   tf->codes[9253] = 0x0004b49fd21f4be0UL;
   tf->codes[9254] = 0x0004b4af9aabd9f9UL;
   tf->codes[9255] = 0x0004b4b602507b85UL;
   tf->codes[9256] = 0x0004b4b84be6b537UL;
   tf->codes[9257] = 0x0004b4b970b1d210UL;
   tf->codes[9258] = 0x0004b4beee1a5c88UL;
   tf->codes[9259] = 0x0004b4bf28a9624dUL;
   tf->codes[9260] = 0x0004b4c30c28c462UL;
   tf->codes[9261] = 0x0004b4c9e8eb7178UL;
   tf->codes[9262] = 0x0004b4cb48459416UL;
   tf->codes[9263] = 0x0004b4ceb6a6eaa1UL;
   tf->codes[9264] = 0x0004b4d3f9806f54UL;
   tf->codes[9265] = 0x0004b4dd94f761a6UL;
   tf->codes[9266] = 0x0004b4ebc39ac75cUL;
   tf->codes[9267] = 0x0004b51c7c9a9445UL;
   tf->codes[9268] = 0x0004b51e1683bca8UL;
   tf->codes[9269] = 0x0004b5289c36c60eUL;
   tf->codes[9270] = 0x0004b52e199f5086UL;
   tf->codes[9271] = 0x0004b5418b1c3aefUL;
   tf->codes[9272] = 0x0004b547b831d6b6UL;
   tf->codes[9273] = 0x0004b548dcfcf38fUL;
   tf->codes[9274] = 0x0004b54cc07c55a4UL;
   tf->codes[9275] = 0x0004b54daab86cb8UL;
   tf->codes[9276] = 0x0004b554c20a1f93UL;
   tf->codes[9277] = 0x0004b55571b730e2UL;
   tf->codes[9278] = 0x0004b55de863065bUL;
   tf->codes[9279] = 0x0004b5686e160fc1UL;
   tf->codes[9280] = 0x0004b57f13654af0UL;
   tf->codes[9281] = 0x0004b5895e894e91UL;
   tf->codes[9282] = 0x0004b59961a4e26fUL;
   tf->codes[9283] = 0x0004b5b6e3b6cab4UL;
   tf->codes[9284] = 0x0004b5b71e45d079UL;
   tf->codes[9285] = 0x0004b5d3b61ba1aaUL;
   tf->codes[9286] = 0x0004b5d9a8a237acUL;
   tf->codes[9287] = 0x0004b5db428b600fUL;
   tf->codes[9288] = 0x0004b5deb0ecb69aUL;
   tf->codes[9289] = 0x0004b5deeb7bbc5fUL;
   tf->codes[9290] = 0x0004b5ecdf901c50UL;
   tf->codes[9291] = 0x0004b5f2d216b252UL;
   tf->codes[9292] = 0x0004b5f43170d4f0UL;
   tf->codes[9293] = 0x0004b5f939bb53deUL;
   tf->codes[9294] = 0x0004b5fd57c9bbb8UL;
   tf->codes[9295] = 0x0004b5fe7c94d891UL;
   tf->codes[9296] = 0x0004b607dd7cc51eUL;
   tf->codes[9297] = 0x0004b61b4ef9af87UL;
   tf->codes[9298] = 0x0004b64f765ad2fbUL;
   tf->codes[9299] = 0x0004b64feb78de85UL;
   tf->codes[9300] = 0x0004b66063b27dedUL;
   tf->codes[9301] = 0x0004b662382aac15UL;
   tf->codes[9302] = 0x0004b665a68c02a0UL;
   tf->codes[9303] = 0x0004b66690c819b4UL;
   tf->codes[9304] = 0x0004b66e1d37d819UL;
   tf->codes[9305] = 0x0004b672eaf35142UL;
   tf->codes[9306] = 0x0004b67c866a4394UL;
   tf->codes[9307] = 0x0004b67e20536bf7UL;
   tf->codes[9308] = 0x0004b68746ac52bfUL;
   tf->codes[9309] = 0x0004b68bd9d8c623UL;
   tf->codes[9310] = 0x0004b694c5a2a726UL;
   tf->codes[9311] = 0x0004b69ab8293d28UL;
   tf->codes[9312] = 0x0004b6ac1a9ef3a4UL;
   tf->codes[9313] = 0x0004b6adb4881c07UL;
   tf->codes[9314] = 0x0004b6ae9ec4331bUL;
   tf->codes[9315] = 0x0004b6b2bcd29af5UL;
   tf->codes[9316] = 0x0004b6b78a8e141eUL;
   tf->codes[9317] = 0x0004b6c877e5bf10UL;
   tf->codes[9318] = 0x0004b6d33827ce3bUL;
   tf->codes[9319] = 0x0004b6d5bc4d0db2UL;
   tf->codes[9320] = 0x0004b6dc5e80b503UL;
   tf->codes[9321] = 0x0004b6eb02422643UL;
   tf->codes[9322] = 0x0004b6fc64b7dcbfUL;
   tf->codes[9323] = 0x0004b6ff5dfb27c0UL;
   tf->codes[9324] = 0x0004b701327355e8UL;
   tf->codes[9325] = 0x0004b70ca2627662UL;
   tf->codes[9326] = 0x0004b716b2f7743eUL;
   tf->codes[9327] = 0x0004b718125196dcUL;
   tf->codes[9328] = 0x0004b71f64324f7cUL;
   tf->codes[9329] = 0x0004b732d5af39e5UL;
   tf->codes[9330] = 0x0004b736f3bda1bfUL;
   tf->codes[9331] = 0x0004b73c71262c37UL;
   tf->codes[9332] = 0x0004b75266c85617UL;
   tf->codes[9333] = 0x0004b75684d6bdf1UL;
   tf->codes[9334] = 0x0004b7576f12d505UL;
   tf->codes[9335] = 0x0004b76d2a25f920UL;
   tf->codes[9336] = 0x0004b77f76d7c6b0UL;
   tf->codes[9337] = 0x0004b787b2f49664UL;
   tf->codes[9338] = 0x0004b794823dd97cUL;
   tf->codes[9339] = 0x0004b797066318f3UL;
   tf->codes[9340] = 0x0004b7977b81247dUL;
   tf->codes[9341] = 0x0004b79c83cba36bUL;
   tf->codes[9342] = 0x0004b7a77e9cb85bUL;
   tf->codes[9343] = 0x0004b7aed07d70fbUL;
   tf->codes[9344] = 0x0004b7b18f31b637UL;
   tf->codes[9345] = 0x0004b7c1ccdc4fdaUL;
   tf->codes[9346] = 0x0004b7d628955157UL;
   tf->codes[9347] = 0x0004b7da8132bef6UL;
   tf->codes[9348] = 0x0004b7dccac8f8a8UL;
   tf->codes[9349] = 0x0004b7ded9d02c95UL;
   tf->codes[9350] = 0x0004b7df145f325aUL;
   tf->codes[9351] = 0x0004b7e41ca9b148UL;
   tf->codes[9352] = 0x0004b7e491c7bcd2UL;
   tf->codes[9353] = 0x0004b7f2c06b2288UL;
   tf->codes[9354] = 0x0004b7f83dd3ad00UL;
   tf->codes[9355] = 0x0004b7f9280fc414UL;
   tf->codes[9356] = 0x0004b7fc96711a9fUL;
   tf->codes[9357] = 0x0004b81425fc6ce2UL;
   tf->codes[9358] = 0x0004b81b77dd2582UL;
   tf->codes[9359] = 0x0004b83c2dc15e8dUL;
   tf->codes[9360] = 0x0004b83eb1e69e04UL;
   tf->codes[9361] = 0x0004b840c0edd1f1UL;
   tf->codes[9362] = 0x0004b850fe986b94UL;
   tf->codes[9363] = 0x0004b854a788c7e4UL;
   tf->codes[9364] = 0x0004b85e0870b471UL;
   tf->codes[9365] = 0x0004b870ca408d8bUL;
   tf->codes[9366] = 0x0004b87682381dc8UL;
   tf->codes[9367] = 0x0004b8bae743dadfUL;
   tf->codes[9368] = 0x0004b8c4f7d8d8bbUL;
   tf->codes[9369] = 0x0004b8df4618703aUL;
   tf->codes[9370] = 0x0004b8e65d6a2315UL;
   tf->codes[9371] = 0x0004b8ee5ef7ed04UL;
   tf->codes[9372] = 0x0004b8f78550d3ccUL;
   tf->codes[9373] = 0x0004b8ff4c4f97f6UL;
   tf->codes[9374] = 0x0004b90ba67acf84UL;
   tf->codes[9375] = 0x0004b90f14dc260fUL;
   tf->codes[9376] = 0x0004b90f4f6b2bd4UL;
   tf->codes[9377] = 0x0004b90f89fa3199UL;
   tf->codes[9378] = 0x0004b910aec54e72UL;
   tf->codes[9379] = 0x0004b9136d7993aeUL;
   tf->codes[9380] = 0x0004b92b7222f17bUL;
   tf->codes[9381] = 0x0004b92e6b663c7cUL;
   tf->codes[9382] = 0x0004b93a15e462bbUL;
   tf->codes[9383] = 0x0004b93bea5c90e3UL;
   tf->codes[9384] = 0x0004b93f58bde76eUL;
   tf->codes[9385] = 0x0004b9425201326fUL;
   tf->codes[9386] = 0x0004b94d4cd2475fUL;
   tf->codes[9387] = 0x0004b95513d10b89UL;
   tf->codes[9388] = 0x0004b956e84939b1UL;
   tf->codes[9389] = 0x0004b95847a35c4fUL;
   tf->codes[9390] = 0x0004b96bb92046b8UL;
   tf->codes[9391] = 0x0004b9742fcc1c31UL;
   tf->codes[9392] = 0x0004b977639e6cf7UL;
   tf->codes[9393] = 0x0004b98bbf576e74UL;
   tf->codes[9394] = 0x0004b994709249b2UL;
   tf->codes[9395] = 0x0004b99d96eb307aUL;
   tf->codes[9396] = 0x0004b99f6b635ea2UL;
   tf->codes[9397] = 0x0004b9b351fe5495UL;
   tf->codes[9398] = 0x0004b9bced7546e7UL;
   tf->codes[9399] = 0x0004b9c7adb75612UL;
   tf->codes[9400] = 0x0004b9c7e8465bd7UL;
   tf->codes[9401] = 0x0004b9db94524c05UL;
   tf->codes[9402] = 0x0004b9e2aba3fee0UL;
   tf->codes[9403] = 0x0004b9e5a4e749e1UL;
   tf->codes[9404] = 0x0004b9ed6be60e0bUL;
   tf->codes[9405] = 0x0004ba0d378e3002UL;
   tf->codes[9406] = 0x0004ba18325f44f2UL;
   tf->codes[9407] = 0x0004ba191c9b5c06UL;
   tf->codes[9408] = 0x0004ba1f843ffd92UL;
   tf->codes[9409] = 0x0004ba3d0651e5d7UL;
   tf->codes[9410] = 0x0004ba607aea641eUL;
   tf->codes[9411] = 0x0004ba6c25688a5dUL;
   tf->codes[9412] = 0x0004ba6f1eabd55eUL;
   tf->codes[9413] = 0x0004ba792f40d33aUL;
   tf->codes[9414] = 0x0004ba79deede489UL;
   tf->codes[9415] = 0x0004ba86e8c62d66UL;
   tf->codes[9416] = 0x0004ba8acc458f7bUL;
   tf->codes[9417] = 0x0004ba8cdb4cc368UL;
   tf->codes[9418] = 0x0004ba91e3974256UL;
   tf->codes[9419] = 0x0004ba93b80f707eUL;
   tf->codes[9420] = 0x0004ba993577faf6UL;
   tf->codes[9421] = 0x0004ba9e78517fa9UL;
   tf->codes[9422] = 0x0004baa973229499UL;
   tf->codes[9423] = 0x0004baad9130fc73UL;
   tf->codes[9424] = 0x0004baafdac73625UL;
   tf->codes[9425] = 0x0004bab592bec662UL;
   tf->codes[9426] = 0x0004babef3a6b2efUL;
   tf->codes[9427] = 0x0004babfa353c43eUL;
   tf->codes[9428] = 0x0004bac645876b8fUL;
   tf->codes[9429] = 0x0004bac9043bb0cbUL;
   tf->codes[9430] = 0x0004bae5d6a087c1UL;
   tf->codes[9431] = 0x0004baeb197a0c74UL;
   tf->codes[9432] = 0x0004baecedf23a9cUL;
   tf->codes[9433] = 0x0004baf64eda2729UL;
   tf->codes[9434] = 0x0004bafc4160bd2bUL;
   tf->codes[9435] = 0x0004bb061766b542UL;
   tf->codes[9436] = 0x0004bb0dde65796cUL;
   tf->codes[9437] = 0x0004bb1a731fb6bfUL;
   tf->codes[9438] = 0x0004bb4f84bcf147UL;
   tf->codes[9439] = 0x0004bb532dad4d97UL;
   tf->codes[9440] = 0x0004bb592033e399UL;
   tf->codes[9441] = 0x0004bb5dedef5cc2UL;
   tf->codes[9442] = 0x0004bb615c50b34dUL;
   tf->codes[9443] = 0x0004bb6330c8e175UL;
   tf->codes[9444] = 0x0004bb653fd01562UL;
   tf->codes[9445] = 0x0004bb6e6628fc2aUL;
   tf->codes[9446] = 0x0004bb70afbf35dcUL;
   tf->codes[9447] = 0x0004bb778c81e2f2UL;
   tf->codes[9448] = 0x0004bb83ac1e14bbUL;
   tf->codes[9449] = 0x0004bb9eaa0abd89UL;
   tf->codes[9450] = 0x0004bbaf22445cf1UL;
   tf->codes[9451] = 0x0004bbb589e8fe7dUL;
   tf->codes[9452] = 0x0004bbbeb041e545UL;
   tf->codes[9453] = 0x0004bbc97083f470UL;
   tf->codes[9454] = 0x0004bbcd8e925c4aUL;
   tf->codes[9455] = 0x0004bbce3e3f6d99UL;
   tf->codes[9456] = 0x0004bbd9e8bd93d8UL;
   tf->codes[9457] = 0x0004bbe2d48774dbUL;
   tf->codes[9458] = 0x0004bbf0c89bd4ccUL;
   tf->codes[9459] = 0x0004bbf5d0e653baUL;
   tf->codes[9460] = 0x0004bc017b6479f9UL;
   tf->codes[9461] = 0x0004bc09f2104f72UL;
   tf->codes[9462] = 0x0004bc14b2525e9dUL;
   tf->codes[9463] = 0x0004bc1aa4d8f49fUL;
   tf->codes[9464] = 0x0004bc34b8898659UL;
   tf->codes[9465] = 0x0004bc373caec5d0UL;
   tf->codes[9466] = 0x0004bc3fede9a10eUL;
   tf->codes[9467] = 0x0004bc4989609360UL;
   tf->codes[9468] = 0x0004bc7d3ba3ab4aUL;
   tf->codes[9469] = 0x0004bc8786c7aeebUL;
   tf->codes[9470] = 0x0004bc93a663e0b4UL;
   tf->codes[9471] = 0x0004bca8773aedbbUL;
   tf->codes[9472] = 0x0004bcb5468430d3UL;
   tf->codes[9473] = 0x0004bcc842e30fb2UL;
   tf->codes[9474] = 0x0004bcd33db424a2UL;
   tf->codes[9475] = 0x0004bcdd13ba1cb9UL;
   tf->codes[9476] = 0x0004bce4dab8e0e3UL;
   tf->codes[9477] = 0x0004bce7d3fc2be4UL;
   tf->codes[9478] = 0x0004bcea1d926596UL;
   tf->codes[9479] = 0x0004bcf6029f919aUL;
   tf->codes[9480] = 0x0004bcfca4d338ebUL;
   tf->codes[9481] = 0x0004bd004dc3953bUL;
   tf->codes[9482] = 0x0004bd0605bb2578UL;
   tf->codes[9483] = 0x0004bd06b56836c7UL;
   tf->codes[9484] = 0x0004bd072a864251UL;
   tf->codes[9485] = 0x0004bd125fe65d06UL;
   tf->codes[9486] = 0x0004bd13bf407fa4UL;
   tf->codes[9487] = 0x0004bd1b4bb03e09UL;
   tf->codes[9488] = 0x0004bd229d90f6a9UL;
   tf->codes[9489] = 0x0004bd33c577a760UL;
   tf->codes[9490] = 0x0004bd37e3860f3aUL;
   tf->codes[9491] = 0x0004bd3b17586000UL;
   tf->codes[9492] = 0x0004bd5022be72ccUL;
   tf->codes[9493] = 0x0004bd52a6e3b243UL;
   tf->codes[9494] = 0x0004bd5fb0bbfb20UL;
   tf->codes[9495] = 0x0004bd7c8320d216UL;
   tf->codes[9496] = 0x0004bd89526a152eUL;
   tf->codes[9497] = 0x0004bd902f2cc244UL;
   tf->codes[9498] = 0x0004bd9e5dd027faUL;
   tf->codes[9499] = 0x0004bda9933042afUL;
   tf->codes[9500] = 0x0004bdb06ff2efc5UL;
   tf->codes[9501] = 0x0004bdb7fc62ae2aUL;
   tf->codes[9502] = 0x0004bdc24786b1cbUL;
   tf->codes[9503] = 0x0004bdc5063af707UL;
   tf->codes[9504] = 0x0004bdd7c80ad021UL;
   tf->codes[9505] = 0x0004bddf8f09944bUL;
   tf->codes[9506] = 0x0004bde004279fd5UL;
   tf->codes[9507] = 0x0004bde16381c273UL;
   tf->codes[9508] = 0x0004bde45cc50d74UL;
   tf->codes[9509] = 0x0004bdefccb42deeUL;
   tf->codes[9510] = 0x0004bdf0b6f04502UL;
   tf->codes[9511] = 0x0004be0378c01e1cUL;
   tf->codes[9512] = 0x0004be0ee8af3e96UL;
   tf->codes[9513] = 0x0004be10829866f9UL;
   tf->codes[9514] = 0x0004be1b42da7624UL;
   tf->codes[9515] = 0x0004be1d51e1aa11UL;
   tf->codes[9516] = 0x0004be34e16cfc54UL;
   tf->codes[9517] = 0x0004be41eb454531UL;
   tf->codes[9518] = 0x0004be4643e2b2d0UL;
   tf->codes[9519] = 0x0004be47ddcbdb33UL;
   tf->codes[9520] = 0x0004be490296f80cUL;
   tf->codes[9521] = 0x0004be4bc14b3d48UL;
   tf->codes[9522] = 0x0004be4d20a55fe6UL;
   tf->codes[9523] = 0x0004be4e45707cbfUL;
   tf->codes[9524] = 0x0004be5ada2aba12UL;
   tf->codes[9525] = 0x0004be5bc466d126UL;
   tf->codes[9526] = 0x0004be659a6cc93dUL;
   tf->codes[9527] = 0x0004be7e14343294UL;
   tf->codes[9528] = 0x0004be95de4e8a9cUL;
   tf->codes[9529] = 0x0004beada868e2a4UL;
   tf->codes[9530] = 0x0004beb151593ef4UL;
   tf->codes[9531] = 0x0004beb868aaf1cfUL;
   tf->codes[9532] = 0x0004bec06a38bbbeUL;
   tf->codes[9533] = 0x0004bed8e4002515UL;
   tf->codes[9534] = 0x0004bee7fcdfa1dfUL;
   tf->codes[9535] = 0x0004bf0927e1e674UL;
   tf->codes[9536] = 0x0004bf3a1b70b922UL;
   tf->codes[9537] = 0x0004bf3c2a77ed0fUL;
   tf->codes[9538] = 0x0004bf3f98d9439aUL;
   tf->codes[9539] = 0x0004bf46759bf0b0UL;
   tf->codes[9540] = 0x0004bf479a670d89UL;
   tf->codes[9541] = 0x0004bf4ca2b18c77UL;
   tf->codes[9542] = 0x0004bf558e7b6d7aUL;
   tf->codes[9543] = 0x0004bf655707fb93UL;
   tf->codes[9544] = 0x0004bf6d5895c582UL;
   tf->codes[9545] = 0x0004bf73fac96cd3UL;
   tf->codes[9546] = 0x0004bf95d578c2b7UL;
   tf->codes[9547] = 0x0004bf96bfb4d9cbUL;
   tf->codes[9548] = 0x0004bfae4f402c0eUL;
   tf->codes[9549] = 0x0004bfb89a642fafUL;
   tf->codes[9550] = 0x0004bfcaac86f77aUL;
   tf->codes[9551] = 0x0004bfce1ae84e05UL;
   tf->codes[9552] = 0x0004bfcfb4d17668UL;
   tf->codes[9553] = 0x0004bfd56cc906a5UL;
   tf->codes[9554] = 0x0004bfe65a20b197UL;
   tf->codes[9555] = 0x0004c0053b8cbc7aUL;
   tf->codes[9556] = 0x0004c009ceb92fdeUL;
   tf->codes[9557] = 0x0004c00b2e13527cUL;
   tf->codes[9558] = 0x0004c00ba3315e06UL;
   tf->codes[9559] = 0x0004c014546c3944UL;
   tf->codes[9560] = 0x0004c018727aa11eUL;
   tf->codes[9561] = 0x0004c033aaf64fb1UL;
   tf->codes[9562] = 0x0004c04806af512eUL;
   tf->codes[9563] = 0x0004c04ac563966aUL;
   tf->codes[9564] = 0x0004c05042cc20e2UL;
   tf->codes[9565] = 0x0004c0528c625a94UL;
   tf->codes[9566] = 0x0004c0575a1dd3bdUL;
   tf->codes[9567] = 0x0004c065c3503f38UL;
   tf->codes[9568] = 0x0004c0675d39679bUL;
   tf->codes[9569] = 0x0004c06bb5d6d53aUL;
   tf->codes[9570] = 0x0004c06e748b1a76UL;
   tf->codes[9571] = 0x0004c0842f9e3e91UL;
   tf->codes[9572] = 0x0004c08519da55a5UL;
   tf->codes[9573] = 0x0004c093bd9bc6e5UL;
   tf->codes[9574] = 0x0004c098c5e645d3UL;
   tf->codes[9575] = 0x0004c09a9a5e73fbUL;
   tf->codes[9576] = 0x0004c09f6819ed24UL;
   tf->codes[9577] = 0x0004c0ab12981363UL;
   tf->codes[9578] = 0x0004c0ca2e93240bUL;
   tf->codes[9579] = 0x0004c0cd27d66f0cUL;
   tf->codes[9580] = 0x0004c0eda32ba252UL;
   tf->codes[9581] = 0x0004c0f0d6fdf318UL;
   tf->codes[9582] = 0x0004c10c4a08a770UL;
   tf->codes[9583] = 0x0004c10d6ed3c449UL;
   tf->codes[9584] = 0x0004c12ab656a6c9UL;
   tf->codes[9585] = 0x0004c134c6eba4a5UL;
   tf->codes[9586] = 0x0004c1391f891244UL;
   tf->codes[9587] = 0x0004c14872f794d3UL;
   tf->codes[9588] = 0x0004c14a0ce0bd36UL;
   tf->codes[9589] = 0x0004c14c1be7f123UL;
   tf->codes[9590] = 0x0004c14d7b4213c1UL;
   tf->codes[9591] = 0x0004c15507b1d226UL;
   tf->codes[9592] = 0x0004c155f1ede93aUL;
   tf->codes[9593] = 0x0004c1578bd7119dUL;
   tf->codes[9594] = 0x0004c15df37bb329UL;
   tf->codes[9595] = 0x0004c160b22ff865UL;
   tf->codes[9596] = 0x0004c1624c1920c8UL;
   tf->codes[9597] = 0x0004c165455c6bc9UL;
   tf->codes[9598] = 0x0004c16e6bb55291UL;
   tf->codes[9599] = 0x0004c17966866781UL;
   tf->codes[9600] = 0x0004c17d8494cf5bUL;
   tf->codes[9601] = 0x0004c1833c8c5f98UL;
   tf->codes[9602] = 0x0004c192ca89e7ecUL;
   tf->codes[9603] = 0x0004c1972327558bUL;
   tf->codes[9604] = 0x0004c1b8fdd6ab6fUL;
   tf->codes[9605] = 0x0004c1bfa00a52c0UL;
   tf->codes[9606] = 0x0004c1cb4a8878ffUL;
   tf->codes[9607] = 0x0004c1cce471a162UL;
   tf->codes[9608] = 0x0004c1d67fe893b4UL;
   tf->codes[9609] = 0x0004c1d76a24aac8UL;
   tf->codes[9610] = 0x0004c1ddd1c94c54UL;
   tf->codes[9611] = 0x0004c1efe3ec141fUL;
   tf->codes[9612] = 0x0004c1f09399256eUL;
   tf->codes[9613] = 0x0004c1f7aaead849UL;
   tf->codes[9614] = 0x0004c1f82008e3d3UL;
   tf->codes[9615] = 0x0004c1fb8e6a3a5eUL;
   tf->codes[9616] = 0x0004c1ffe707a7fdUL;
   tf->codes[9617] = 0x0004c208232477b1UL;
   tf->codes[9618] = 0x0004c233994abfe7UL;
   tf->codes[9619] = 0x0004c23448f7d136UL;
   tf->codes[9620] = 0x0004c24ed1c66e7aUL;
   tf->codes[9621] = 0x0004c26a0a421d0dUL;
   tf->codes[9622] = 0x0004c273e0481524UL;
   tf->codes[9623] = 0x0004c27d7bbf0776UL;
   tf->codes[9624] = 0x0004c2841df2aec7UL;
   tf->codes[9625] = 0x0004c286a217ee3eUL;
   tf->codes[9626] = 0x0004c28fc870d506UL;
   tf->codes[9627] = 0x0004c2b5fbbd9889UL;
   tf->codes[9628] = 0x0004c2c7d3515a8fUL;
   tf->codes[9629] = 0x0004c2d8c0a90581UL;
   tf->codes[9630] = 0x0004c2eca743fb74UL;
   tf->codes[9631] = 0x0004c2ee7bbc299cUL;
   tf->codes[9632] = 0x0004c2efa0874675UL;
   tf->codes[9633] = 0x0004c2f642baedc6UL;
   tf->codes[9634] = 0x0004c2fe4448b7b5UL;
   tf->codes[9635] = 0x0004c3138a3dd046UL;
   tf->codes[9636] = 0x0004c32fe7849bb2UL;
   tf->codes[9637] = 0x0004c337ae835fdcUL;
   tf->codes[9638] = 0x0004c33a32a89f53UL;
   tf->codes[9639] = 0x0004c344433d9d2fUL;
   tf->codes[9640] = 0x0004c3468cd3d6e1UL;
   tf->codes[9641] = 0x0004c34cb9e972a8UL;
   tf->codes[9642] = 0x0004c35396ac1fbeUL;
   tf->codes[9643] = 0x0004c35b5daae3e8UL;
   tf->codes[9644] = 0x0004c35d32231210UL;
   tf->codes[9645] = 0x0004c37ed243622fUL;
   tf->codes[9646] = 0x0004c38190f7a76bUL;
   tf->codes[9647] = 0x0004c38240a4b8baUL;
   tf->codes[9648] = 0x0004c39a7fdd1c4cUL;
   tf->codes[9649] = 0x0004c3b0757f462cUL;
   tf->codes[9650] = 0x0004c3b5433abf55UL;
   tf->codes[9651] = 0x0004c3b926ba216aUL;
   tf->codes[9652] = 0x0004c3c12847eb59UL;
   tf->codes[9653] = 0x0004c3c546565333UL;
   tf->codes[9654] = 0x0004c3c8b4b7a9beUL;
   tf->codes[9655] = 0x0004c3cd827322e7UL;
   tf->codes[9656] = 0x0004c3d00698625eUL;
   tf->codes[9657] = 0x0004c3d58400ecd6UL;
   tf->codes[9658] = 0x0004c3d6e35b0f74UL;
   tf->codes[9659] = 0x0004c3d967804eebUL;
   tf->codes[9660] = 0x0004c3deaa59d39eUL;
   tf->codes[9661] = 0x0004c3ea54d7f9ddUL;
   tf->codes[9662] = 0x0004c3edc3395068UL;
   tf->codes[9663] = 0x0004c3f674742ba6UL;
   tf->codes[9664] = 0x0004c3f80e5d5409UL;
   tf->codes[9665] = 0x0004c40b0abc32e8UL;
   tf->codes[9666] = 0x0004c40d8ee1725fUL;
   tf->codes[9667] = 0x0004c40eb3ac8f38UL;
   tf->codes[9668] = 0x0004c40f28ca9ac2UL;
   tf->codes[9669] = 0x0004c4146ba41f75UL;
   tf->codes[9670] = 0x0004c41555e03689UL;
   tf->codes[9671] = 0x0004c437e03c9dbcUL;
   tf->codes[9672] = 0x0004c43bfe4b0596UL;
   tf->codes[9673] = 0x0004c449b7d05fc2UL;
   tf->codes[9674] = 0x0004c44faa56f5c4UL;
   tf->codes[9675] = 0x0004c4501f75014eUL;
   tf->codes[9676] = 0x0004c465da882569UL;
   tf->codes[9677] = 0x0004c4685ead64e0UL;
   tf->codes[9678] = 0x0004c468d3cb706aUL;
   tf->codes[9679] = 0x0004c4709aca3494UL;
   tf->codes[9680] = 0x0004c484bbf4304cUL;
   tf->codes[9681] = 0x0004c486cafb6439UL;
   tf->codes[9682] = 0x0004c48d32a005c5UL;
   tf->codes[9683] = 0x0004c48e1cdc1cd9UL;
   tf->codes[9684] = 0x0004c494bf0fc42aUL;
   tf->codes[9685] = 0x0004c4b91de45985UL;
   tf->codes[9686] = 0x0004c4ba7d3e7c23UL;
   tf->codes[9687] = 0x0004c4df8bc022cdUL;
   tf->codes[9688] = 0x0004c4f21300f622UL;
   tf->codes[9689] = 0x0004c4f99f70b487UL;
   tf->codes[9690] = 0x0004c4fb3959dceaUL;
   tf->codes[9691] = 0x0004c505f99bec15UL;
   tf->codes[9692] = 0x0004c5092d6e3cdbUL;
   tf->codes[9693] = 0x0004c50ac757653eUL;
   tf->codes[9694] = 0x0004c51b3f9104a6UL;
   tf->codes[9695] = 0x0004c51bb4af1030UL;
   tf->codes[9696] = 0x0004c51c29cd1bbaUL;
   tf->codes[9697] = 0x0004c52cdc95c0e7UL;
   tf->codes[9698] = 0x0004c53f63d6943cUL;
   tf->codes[9699] = 0x0004c549aefa97ddUL;
   tf->codes[9700] = 0x0004c550169f3969UL;
   tf->codes[9701] = 0x0004c5526035731bUL;
   tf->codes[9702] = 0x0004c5555978be1cUL;
   tf->codes[9703] = 0x0004c55a9c5242cfUL;
   tf->codes[9704] = 0x0004c563fd3a2f5cUL;
   tf->codes[9705] = 0x0004c56437c93521UL;
   tf->codes[9706] = 0x0004c564e7764670UL;
   tf->codes[9707] = 0x0004c56d98b121aeUL;
   tf->codes[9708] = 0x0004c56ef80b444cUL;
   tf->codes[9709] = 0x0004c57649ebfcecUL;
   tf->codes[9710] = 0x0004c579b84d5377UL;
   tf->codes[9711] = 0x0004c5873743a7deUL;
   tf->codes[9712] = 0x0004c58cb4ac3256UL;
   tf->codes[9713] = 0x0004c5926ca3c293UL;
   tf->codes[9714] = 0x0004c596502324a8UL;
   tf->codes[9715] = 0x0004c5973a5f3bbcUL;
   tf->codes[9716] = 0x0004c5a618afb2c1UL;
   tf->codes[9717] = 0x0004c5ac8054544dUL;
   tf->codes[9718] = 0x0004c5af79979f4eUL;
   tf->codes[9719] = 0x0004c5c9182a257eUL;
   tf->codes[9720] = 0x0004c5c98d483108UL;
   tf->codes[9721] = 0x0004c5cc116d707fUL;
   tf->codes[9722] = 0x0004c5eed658dd77UL;
   tf->codes[9723] = 0x0004c5f27f4939c7UL;
   tf->codes[9724] = 0x0004c5f3dea35c65UL;
   tf->codes[9725] = 0x0004c5f4c8df7379UL;
   tf->codes[9726] = 0x0004c5fe645665cbUL;
   tf->codes[9727] = 0x0004c60a496391cfUL;
   tf->codes[9728] = 0x0004c60a83f29794UL;
   tf->codes[9729] = 0x0004c61459f88fabUL;
   tf->codes[9730] = 0x0004c6162e70bdd3UL;
   tf->codes[9731] = 0x0004c61a4c7f25adUL;
   tf->codes[9732] = 0x0004c62ea838272aUL;
   tf->codes[9733] = 0x0004c639687a3655UL;
   tf->codes[9734] = 0x0004c63c9c4c871bUL;
   tf->codes[9735] = 0x0004c63eab53bb08UL;
   tf->codes[9736] = 0x0004c644d86956cfUL;
   tf->codes[9737] = 0x0004c64dfec23d97UL;
   tf->codes[9738] = 0x0004c652575fab36UL;
   tf->codes[9739] = 0x0004c65bf2d69d88UL;
   tf->codes[9740] = 0x0004c65f26a8ee4eUL;
   tf->codes[9741] = 0x0004c669ac5bf7b4UL;
   tf->codes[9742] = 0x0004c66b0bb61a52UL;
   tf->codes[9743] = 0x0004c66bbb632ba1UL;
   tf->codes[9744] = 0x0004c674e1bc1269UL;
   tf->codes[9745] = 0x0004c67606872f42UL;
   tf->codes[9746] = 0x0004c6788aac6eb9UL;
   tf->codes[9747] = 0x0004c67c339ccb09UL;
   tf->codes[9748] = 0x0004c67d92f6eda7UL;
   tf->codes[9749] = 0x0004c687a38beb83UL;
   tf->codes[9750] = 0x0004c6aa6877587bUL;
   tf->codes[9751] = 0x0004c6c7affa3afbUL;
   tf->codes[9752] = 0x0004c6c825184685UL;
   tf->codes[9753] = 0x0004c6ce522de24cUL;
   tf->codes[9754] = 0x0004c6df3f858d3eUL;
   tf->codes[9755] = 0x0004c6e09edfafdcUL;
   tf->codes[9756] = 0x0004c6eb2492b942UL;
   tf->codes[9757] = 0x0004c6f117194f44UL;
   tf->codes[9758] = 0x0004c6f326208331UL;
   tf->codes[9759] = 0x0004c6f6cf10df81UL;
   tf->codes[9760] = 0x0004c6fb27ae4d20UL;
   tf->codes[9761] = 0x0004c7153b5ededaUL;
   tf->codes[9762] = 0x0004c73abefe910eUL;
   tf->codes[9763] = 0x0004c741d65043e9UL;
   tf->codes[9764] = 0x0004c7483df4e575UL;
   tf->codes[9765] = 0x0004c75f1dd32669UL;
   tf->codes[9766] = 0x0004c76cd7588095UL;
   tf->codes[9767] = 0x0004c7728f5010d2UL;
   tf->codes[9768] = 0x0004c7749e5744bfUL;
   tf->codes[9769] = 0x0004c78b43a67feeUL;
   tf->codes[9770] = 0x0004c79fd9ee8730UL;
   tf->codes[9771] = 0x0004c7bb4cf93b88UL;
   tf->codes[9772] = 0x0004c7e9bc62cebfUL;
   tf->codes[9773] = 0x0004c7e9f6f1d484UL;
   tf->codes[9774] = 0x0004c7ee8a1e47e8UL;
   tf->codes[9775] = 0x0004c7f1836192e9UL;
   tf->codes[9776] = 0x0004c808633fd3ddUL;
   tf->codes[9777] = 0x0004c80b971224a3UL;
   tf->codes[9778] = 0x0004c811feb6c62fUL;
   tf->codes[9779] = 0x0004c814f7fa1130UL;
   tf->codes[9780] = 0x0004c82a036023fcUL;
   tf->codes[9781] = 0x0004c82ed11b9d25UL;
   tf->codes[9782] = 0x0004c82ff5e6b9feUL;
   tf->codes[9783] = 0x0004c8448c2ec140UL;
   tf->codes[9784] = 0x0004c84e6234b957UL;
   tf->codes[9785] = 0x0004c84f86ffd630UL;
   tf->codes[9786] = 0x0004c85be12b0dbeUL;
   tf->codes[9787] = 0x0004c85e65504d35UL;
   tf->codes[9788] = 0x0004c861d3b1a3c0UL;
   tf->codes[9789] = 0x0004c87420637150UL;
   tf->codes[9790] = 0x0004c875f4db9f78UL;
   tf->codes[9791] = 0x0004c88ac5b2ac7fUL;
   tf->codes[9792] = 0x0004c8912d574e0bUL;
   tf->codes[9793] = 0x0004c8be77f5c469UL;
   tf->codes[9794] = 0x0004c8c380404357UL;
   tf->codes[9795] = 0x0004c8e2d6ca59c4UL;
   tf->codes[9796] = 0x0004c8fd5f98f708UL;
   tf->codes[9797] = 0x0004c8fd9a27fccdUL;
   tf->codes[9798] = 0x0004c92e1898c3f1UL;
   tf->codes[9799] = 0x0004c93f407f74a8UL;
   tf->codes[9800] = 0x0004c945e2b31bf9UL;
   tf->codes[9801] = 0x0004c94a75df8f5dUL;
   tf->codes[9802] = 0x0004c956957bc126UL;
   tf->codes[9803] = 0x0004c958a482f513UL;
   tf->codes[9804] = 0x0004c95fbbd4a7eeUL;
   tf->codes[9805] = 0x0004c961904cd616UL;
   tf->codes[9806] = 0x0004c968e22d8eb6UL;
   tf->codes[9807] = 0x0004c9836afc2bfaUL;
   tf->codes[9808] = 0x0004c986643f76fbUL;
   tf->codes[9809] = 0x0004c988add5b0adUL;
   tf->codes[9810] = 0x0004c98922f3bc37UL;
   tf->codes[9811] = 0x0004c991d42e9775UL;
   tf->codes[9812] = 0x0004c999260f5015UL;
   tf->codes[9813] = 0x0004c99afa877e3dUL;
   tf->codes[9814] = 0x0004c9a9d8d7f542UL;
   tf->codes[9815] = 0x0004c9afcb5e8b44UL;
   tf->codes[9816] = 0x0004c9b7ccec5533UL;
   tf->codes[9817] = 0x0004c9d4d9e031eeUL;
   tf->codes[9818] = 0x0004c9d723766ba0UL;
   tf->codes[9819] = 0x0004c9e2cdf491dfUL;
   tf->codes[9820] = 0x0004c9e3b830a8f3UL;
   tf->codes[9821] = 0x0004c9edc8c5a6cfUL;
   tf->codes[9822] = 0x0004c9f13726fd5aUL;
   tf->codes[9823] = 0x0004c9f6b48f87d2UL;
   tf->codes[9824] = 0x0004ca0ad5b9838aUL;
   tf->codes[9825] = 0x0004ca134c655903UL;
   tf->codes[9826] = 0x0004ca1dd2186269UL;
   tf->codes[9827] = 0x0004ca26bde2436cUL;
   tf->codes[9828] = 0x0004ca2e84e10796UL;
   tf->codes[9829] = 0x0004ca3c03d75bfdUL;
   tf->codes[9830] = 0x0004ca3cb3846d4cUL;
   tf->codes[9831] = 0x0004ca447a833176UL;
   tf->codes[9832] = 0x0004ca4823738dc6UL;
   tf->codes[9833] = 0x0004ca4ddb6b1e03UL;
   tf->codes[9834] = 0x0004ca547d9ec554UL;
   tf->codes[9835] = 0x0004ca70a0568afbUL;
   tf->codes[9836] = 0x0004ca723a3fb35eUL;
   tf->codes[9837] = 0x0004ca72af5dbee8UL;
   tf->codes[9838] = 0x0004ca74be64f2d5UL;
   tf->codes[9839] = 0x0004ca78dc735aafUL;
   tf->codes[9840] = 0x0004ca7de4bdd99dUL;
   tf->codes[9841] = 0x0004ca7fb93607c5UL;
   tf->codes[9842] = 0x0004ca8362266415UL;
   tf->codes[9843] = 0x0004ca87f552d779UL;
   tf->codes[9844] = 0x0004ca8c4df04518UL;
   tf->codes[9845] = 0x0004ca8f47339019UL;
   tf->codes[9846] = 0x0004ca9deaf50159UL;
   tf->codes[9847] = 0x0004caaf87f9bd9aUL;
   tf->codes[9848] = 0x0004cac5b82aed3fUL;
   tf->codes[9849] = 0x0004cac78ca31b67UL;
   tf->codes[9850] = 0x0004cac8b16e3840UL;
   tf->codes[9851] = 0x0004cad3e6ce52f5UL;
   tf->codes[9852] = 0x0004cad7ca4db50aUL;
   tf->codes[9853] = 0x0004cad83f6bc094UL;
   tf->codes[9854] = 0x0004cae165c4a75cUL;
   tf->codes[9855] = 0x0004cae5f8f11ac0UL;
   tf->codes[9856] = 0x0004caf49cb28c00UL;
   tf->codes[9857] = 0x0004cafe72b88417UL;
   tf->codes[9858] = 0x0004cb0c2c3dde43UL;
   tf->codes[9859] = 0x0004cb10bf6a51a7UL;
   tf->codes[9860] = 0x0004cb18c0f81b96UL;
   tf->codes[9861] = 0x0004cb1e78efabd3UL;
   tf->codes[9862] = 0x0004cb2e7c0b3fb1UL;
   tf->codes[9863] = 0x0004cb2eb69a4576UL;
   tf->codes[9864] = 0x0004cb36087afe16UL;
   tf->codes[9865] = 0x0004cb36f2b7152aUL;
   tf->codes[9866] = 0x0004cb37dcf32c3eUL;
   tf->codes[9867] = 0x0004cb388ca03d8dUL;
   tf->codes[9868] = 0x0004cb413ddb18cbUL;
   tf->codes[9869] = 0x0004cb4904d9dcf5UL;
   tf->codes[9870] = 0x0004cb49ef15f409UL;
   tf->codes[9871] = 0x0004cb4dd295561eUL;
   tf->codes[9872] = 0x0004cb510667a6e4UL;
   tf->codes[9873] = 0x0004cb58cd666b0eUL;
   tf->codes[9874] = 0x0004cb5adc6d9efbUL;
   tf->codes[9875] = 0x0004cb5f6f9a125fUL;
   tf->codes[9876] = 0x0004cb68d081feecUL;
   tf->codes[9877] = 0x0004cb7405e219a1UL;
   tf->codes[9878] = 0x0004cb7823f0817bUL;
   tf->codes[9879] = 0x0004cb7f00b32e91UL;
   tf->codes[9880] = 0x0004cb85a2e6d5e2UL;
   tf->codes[9881] = 0x0004cb8b5ade661fUL;
   tf->codes[9882] = 0x0004cb9b9888ffc2UL;
   tf->codes[9883] = 0x0004cbba3f6604e0UL;
   tf->codes[9884] = 0x0004cbc91db67be5UL;
   tf->codes[9885] = 0x0004cbd786e8e760UL;
   tf->codes[9886] = 0x0004cbdf1358a5c5UL;
   tf->codes[9887] = 0x0004cc0fcc5872aeUL;
   tf->codes[9888] = 0x0004cc145f84e612UL;
   tf->codes[9889] = 0x0004cc1758c83113UL;
   tf->codes[9890] = 0x0004cc1a177c764fUL;
   tf->codes[9891] = 0x0004cc1bebf4a477UL;
   tf->codes[9892] = 0x0004cc37d41d6459UL;
   tf->codes[9893] = 0x0004cc3c6749d7bdUL;
   tf->codes[9894] = 0x0004cc3f608d22beUL;
   tf->codes[9895] = 0x0004cc576536808bUL;
   tf->codes[9896] = 0x0004cc693cca4291UL;
   tf->codes[9897] = 0x0004cc6e7fa3c744UL;
   tf->codes[9898] = 0x0004cc70198cefa7UL;
   tf->codes[9899] = 0x0004cc74acb9630bUL;
   tf->codes[9900] = 0x0004cc822bafb772UL;
   tf->codes[9901] = 0x0004cc8a67cc8726UL;
   tf->codes[9902] = 0x0004cc8dd62dddb1UL;
   tf->codes[9903] = 0x0004cc922ecb4b50UL;
   tf->codes[9904] = 0x0004cc92695a5115UL;
   tf->codes[9905] = 0x0004cc92a3e956daUL;
   tf->codes[9906] = 0x0004cc990b8df866UL;
   tf->codes[9907] = 0x0004cc9d9eba6bcaUL;
   tf->codes[9908] = 0x0004cc9f38a3942dUL;
   tf->codes[9909] = 0x0004ccafb0dd3395UL;
   tf->codes[9910] = 0x0004ccb3945c95aaUL;
   tf->codes[9911] = 0x0004ccb89ca71498UL;
   tf->codes[9912] = 0x0004ccb9c1723171UL;
   tf->codes[9913] = 0x0004ccc2381e06eaUL;
   tf->codes[9914] = 0x0004ccc5e10e633aUL;
   tf->codes[9915] = 0x0004ccc9c48dc54fUL;
   tf->codes[9916] = 0x0004ccd39a93bd66UL;
   tf->codes[9917] = 0x0004ccd5347ce5c9UL;
   tf->codes[9918] = 0x0004cce278e4346bUL;
   tf->codes[9919] = 0x0004cce621d490bbUL;
   tf->codes[9920] = 0x0004cd015a503f4eUL;
   tf->codes[9921] = 0x0004cd078765db15UL;
   tf->codes[9922] = 0x0004cd0c8fb05a03UL;
   tf->codes[9923] = 0x0004cd195ef99d1bUL;
   tf->codes[9924] = 0x0004cd68bed66f22UL;
   tf->codes[9925] = 0x0004cd6d5202e286UL;
   tf->codes[9926] = 0x0004cd73b9a78412UL;
   tf->codes[9927] = 0x0004cd755390ac75UL;
   tf->codes[9928] = 0x0004cd7b0b883cb2UL;
   tf->codes[9929] = 0x0004cd846c70293fUL;
   tf->codes[9930] = 0x0004cd89af49adf2UL;
   tf->codes[9931] = 0x0004cd8ce31bfeb8UL;
   tf->codes[9932] = 0x0004cd9559c7d431UL;
   tf->codes[9933] = 0x0004cd9977d63c0bUL;
   tf->codes[9934] = 0x0004cd9b86dd6ff8UL;
   tf->codes[9935] = 0x0004cdb266bbb0ecUL;
   tf->codes[9936] = 0x0004cdb7e4243b64UL;
   tf->codes[9937] = 0x0004cdc77221c3b8UL;
   tf->codes[9938] = 0x0004cdc896ece091UL;
   tf->codes[9939] = 0x0004cdc94699f1e0UL;
   tf->codes[9940] = 0x0004cdeb9667534eUL;
   tf->codes[9941] = 0x0004ce03d59fb6e0UL;
   tf->codes[9942] = 0x0004ce0744010d6bUL;
   tf->codes[9943] = 0x0004ce4506d92331UL;
   tf->codes[9944] = 0x0004ce5509f4b70fUL;
   tf->codes[9945] = 0x0004ce583dc707d5UL;
   tf->codes[9946] = 0x0004ce5a4cce3bc2UL;
   tf->codes[9947] = 0x0004ce5f1a89b4ebUL;
   tf->codes[9948] = 0x0004ce645d63399eUL;
   tf->codes[9949] = 0x0004ce6ee3164304UL;
   tf->codes[9950] = 0x0004ce7f20c0dca7UL;
   tf->codes[9951] = 0x0004ce89a673e60dUL;
   tf->codes[9952] = 0x0004cea58e9ca5efUL;
   tf->codes[9953] = 0x0004cec8538812e7UL;
   tf->codes[9954] = 0x0004cec8c8a61e71UL;
   tf->codes[9955] = 0x0004ced13f51f3eaUL;
   tf->codes[9956] = 0x0004ced5d27e674eUL;
   tf->codes[9957] = 0x0004ced6f7498427UL;
   tf->codes[9958] = 0x0004cee40121cd04UL;
   tf->codes[9959] = 0x0004cee734f41dcaUL;
   tf->codes[9960] = 0x0004cef4043d60e2UL;
   tf->codes[9961] = 0x0004cef4ee7977f6UL;
   tf->codes[9962] = 0x0004cef7380fb1a8UL;
   tf->codes[9963] = 0x0004cefa6be2026eUL;
   tf->codes[9964] = 0x0004cf068b7e3437UL;
   tf->codes[9965] = 0x0004cf10d6a237d8UL;
   tf->codes[9966] = 0x0004cf11c0de4eecUL;
   tf->codes[9967] = 0x0004cf16540ac250UL;
   tf->codes[9968] = 0x0004cf173e46d964UL;
   tf->codes[9969] = 0x0004cf1912bf078cUL;
   tf->codes[9970] = 0x0004cf2ecdd22ba7UL;
   tf->codes[9971] = 0x0004cf3201a47c6dUL;
   tf->codes[9972] = 0x0004cf361fb2e447UL;
   tf->codes[9973] = 0x0004cf41ca310a86UL;
   tf->codes[9974] = 0x0004cf42eefc275fUL;
   tf->codes[9975] = 0x0004cf4b65a7fcd8UL;
   tf->codes[9976] = 0x0004cf4c4fe413ecUL;
   tf->codes[9977] = 0x0004cf4cff91253bUL;
   tf->codes[9978] = 0x0004cf51582e92daUL;
   tf->codes[9979] = 0x0004cf57fa623a2bUL;
   tf->codes[9980] = 0x0004cf5f86d1f890UL;
   tf->codes[9981] = 0x0004cf6af6c1190aUL;
   tf->codes[9982] = 0x0004cf7123d6b4d1UL;
   tf->codes[9983] = 0x0004cf720e12cbe5UL;
   tf->codes[9984] = 0x0004cf7457a90597UL;
   tf->codes[9985] = 0x0004cf762c2133bfUL;
   tf->codes[9986] = 0x0004cf76dbce450eUL;
   tf->codes[9987] = 0x0004cf892880129eUL;
   tf->codes[9988] = 0x0004cfb304bd3271UL;
   tf->codes[9989] = 0x0004cfbb064afc60UL;
   tf->codes[9990] = 0x0004cfbd4fe13612UL;
   tf->codes[9991] = 0x0004cfc083b386d8UL;
   tf->codes[9992] = 0x0004cfc2cd49c08aUL;
   tf->codes[9993] = 0x0004cfc63bab1715UL;
   tf->codes[9994] = 0x0004cfd0fbed2640UL;
   tf->codes[9995] = 0x0004cfd1e6293d54UL;
   tf->codes[9996] = 0x0004cfd30af45a2dUL;
   tf->codes[9997] = 0x0004cfdfda3d9d45UL;
   tf->codes[9998] = 0x0004cfe9b043955cUL;
   tf->codes[9999] = 0x0004cfef2dac1fd4UL;
   tf->codes[10000] = 0x0004cffad82a4613UL;
   tf->codes[10001] = 0x0004d007e2028ef0UL;
   tf->codes[10002] = 0x0004d00b8af2eb40UL;
   tf->codes[10003] = 0x0004d014ebdad7cdUL;
   tf->codes[10004] = 0x0004d037b0c644c5UL;
   tf->codes[10005] = 0x0004d03e186ae651UL;
   tf->codes[10006] = 0x0004d04027721a3eUL;
   tf->codes[10007] = 0x0004d0470434c754UL;
   tf->codes[10008] = 0x0004d048d8acf57cUL;
   tf->codes[10009] = 0x0004d04c819d51ccUL;
   tf->codes[10010] = 0x0004d058a1398395UL;
   tf->codes[10011] = 0x0004d05f7dfc30abUL;
   tf->codes[10012] = 0x0004d0648646af99UL;
   tf->codes[10013] = 0x0004d06cc2637f4dUL;
   tf->codes[10014] = 0x0004d07ed4864718UL;
   tf->codes[10015] = 0x0004d08f874eec45UL;
   tf->codes[10016] = 0x0004d09fff888badUL;
   tf->codes[10017] = 0x0004d0a9d58e83c4UL;
   tf->codes[10018] = 0x0004d0b7c9a2e3b5UL;
   tf->codes[10019] = 0x0004d0cbeaccdf6dUL;
   tf->codes[10020] = 0x0004d0ce6ef21ee4UL;
   tf->codes[10021] = 0x0004d0d008db4747UL;
   tf->codes[10022] = 0x0004d0d07df952d1UL;
   tf->codes[10023] = 0x0004d0d4d696c070UL;
   tf->codes[10024] = 0x0004d0db03ac5c37UL;
   tf->codes[10025] = 0x0004d0e130c1f7feUL;
   tf->codes[10026] = 0x0004d0f58c7af97bUL;
   tf->codes[10027] = 0x0004d0f7266421deUL;
   tf->codes[10028] = 0x0004d0f9aa896155UL;
   tf->codes[10029] = 0x0004d0fa1fa76cdfUL;
   tf->codes[10030] = 0x0004d118c68471fdUL;
   tf->codes[10031] = 0x0004d11a606d9a60UL;
   tf->codes[10032] = 0x0004d12b13363f8dUL;
   tf->codes[10033] = 0x0004d13c008dea7fUL;
   tf->codes[10034] = 0x0004d13ebf422fbbUL;
   tf->codes[10035] = 0x0004d144ec57cb82UL;
   tf->codes[10036] = 0x0004d1526b4e1fe9UL;
   tf->codes[10037] = 0x0004d1589863bbb0UL;
   tf->codes[10038] = 0x0004d15c06c5123bUL;
   tf->codes[10039] = 0x0004d16442e1e1efUL;
   tf->codes[10040] = 0x0004d1673c252cf0UL;
   tf->codes[10041] = 0x0004d16b94c29a8fUL;
   tf->codes[10042] = 0x0004d175dfe69e30UL;
   tf->codes[10043] = 0x0004d17aada21759UL;
   tf->codes[10044] = 0x0004d189c6819423UL;
   tf->codes[10045] = 0x0004d18b25dbb6c1UL;
   tf->codes[10046] = 0x0004d19118624cc3UL;
   tf->codes[10047] = 0x0004d1944c349d89UL;
   tf->codes[10048] = 0x0004d1adb0381df4UL;
   tf->codes[10049] = 0x0004d1b3682fae31UL;
   tf->codes[10050] = 0x0004d1d03a948527UL;
   tf->codes[10051] = 0x0004d1d0afb290b1UL;
   tf->codes[10052] = 0x0004d1d124d09c3bUL;
   tf->codes[10053] = 0x0004d1d542df0415UL;
   tf->codes[10054] = 0x0004d1d78c753dc7UL;
   tf->codes[10055] = 0x0004d1db35659a17UL;
   tf->codes[10056] = 0x0004d1dd446cce04UL;
   tf->codes[10057] = 0x0004d1e99e980592UL;
   tf->codes[10058] = 0x0004d1ea88d41ca6UL;
   tf->codes[10059] = 0x0004d1ef568f95cfUL;
   tf->codes[10060] = 0x0004d1f16596c9bcUL;
   tf->codes[10061] = 0x0004d1f5be34375bUL;
   tf->codes[10062] = 0x0004d1f87ce87c97UL;
   tf->codes[10063] = 0x0004d1f9672493abUL;
   tf->codes[10064] = 0x0004d20bee656700UL;
   tf->codes[10065] = 0x0004d210f6afe5eeUL;
   tf->codes[10066] = 0x0004d21accb5de05UL;
   tf->codes[10067] = 0x0004d21eeac445dfUL;
   tf->codes[10068] = 0x0004d21f5fe25169UL;
   tf->codes[10069] = 0x0004d228fb5943bbUL;
   tf->codes[10070] = 0x0004d2346b486435UL;
   tf->codes[10071] = 0x0004d2410002a188UL;
   tf->codes[10072] = 0x0004d24d1f9ed351UL;
   tf->codes[10073] = 0x0004d251783c40f0UL;
   tf->codes[10074] = 0x0004d25c730d55e0UL;
   tf->codes[10075] = 0x0004d2655ed736e3UL;
   tf->codes[10076] = 0x0004d274ecd4bf37UL;
   tf->codes[10077] = 0x0004d28ddbba3418UL;
   tf->codes[10078] = 0x0004d29e8e82d945UL;
   tf->codes[10079] = 0x0004d2c5717cae17UL;
   tf->codes[10080] = 0x0004d2c5e69ab9a1UL;
   tf->codes[10081] = 0x0004d2c7bb12e7c9UL;
   tf->codes[10082] = 0x0004d2ccc35d66b7UL;
   tf->codes[10083] = 0x0004d2ce97d594dfUL;
   tf->codes[10084] = 0x0004d2e1943473beUL;
   tf->codes[10085] = 0x0004d2e53d24d00eUL;
   tf->codes[10086] = 0x0004d2ed3eb299fdUL;
   tf->codes[10087] = 0x0004d2f5b55e6f76UL;
   tf->codes[10088] = 0x0004d305b87a0354UL;
   tf->codes[10089] = 0x0004d30dba07cd43UL;
   tf->codes[10090] = 0x0004d31287c3466cUL;
   tf->codes[10091] = 0x0004d31e6cd07270UL;
   tf->codes[10092] = 0x0004d32a8c6ca439UL;
   tf->codes[10093] = 0x0004d32e6fec064eUL;
   tf->codes[10094] = 0x0004d335c1ccbeeeUL;
   tf->codes[10095] = 0x0004d33bb45354f0UL;
   tf->codes[10096] = 0x0004d340bc9dd3deUL;
   tf->codes[10097] = 0x0004d3425686fc41UL;
   tf->codes[10098] = 0x0004d344a01d35f3UL;
   tf->codes[10099] = 0x0004d353f38bb882UL;
   tf->codes[10100] = 0x0004d35a95bf5fd3UL;
   tf->codes[10101] = 0x0004d35eb3cdc7adUL;
   tf->codes[10102] = 0x0004d37bc0c1a468UL;
   tf->codes[10103] = 0x0004d3922b81d9d2UL;
   tf->codes[10104] = 0x0004d395d4723622UL;
   tf->codes[10105] = 0x0004d3a90b601ac6UL;
   tf->codes[10106] = 0x0004d3ac04a365c7UL;
   tf->codes[10107] = 0x0004d3be51553357UL;
   tf->codes[10108] = 0x0004d3caab806ae5UL;
   tf->codes[10109] = 0x0004d3e56ede0deeUL;
   tf->codes[10110] = 0x0004d3ecc0bec68eUL;
   tf->codes[10111] = 0x0004d3f696c4bea5UL;
   tf->codes[10112] = 0x0004d415b2bfcf4dUL;
   tf->codes[10113] = 0x0004d415ed4ed512UL;
   tf->codes[10114] = 0x0004d41e296ba4c6UL;
   tf->codes[10115] = 0x0004d41f88c5c764UL;
   tf->codes[10116] = 0x0004d42be2f0fef2UL;
   tf->codes[10117] = 0x0004d43c5b2a9e5aUL;
   tf->codes[10118] = 0x0004d43f19dee396UL;
   tf->codes[10119] = 0x0004d44213222e97UL;
   tf->codes[10120] = 0x0004d456e3f93b9eUL;
   tf->codes[10121] = 0x0004d45ac7789db3UL;
   tf->codes[10122] = 0x0004d46462ef9005UL;
   tf->codes[10123] = 0x0004d46ee8a2996bUL;
   tf->codes[10124] = 0x0004d47047fcbc09UL;
   tf->codes[10125] = 0x0004d476afa15d95UL;
   tf->codes[10126] = 0x0004d47c6798edd2UL;
   tf->codes[10127] = 0x0004d4ad2098babbUL;
   tf->codes[10128] = 0x0004d4add045cc0aUL;
   tf->codes[10129] = 0x0004d4af2f9feea8UL;
   tf->codes[10130] = 0x0004d4b5222684aaUL;
   tf->codes[10131] = 0x0004d4b9b552f80eUL;
   tf->codes[10132] = 0x0004d4c40076fbafUL;
   tf->codes[10133] = 0x0004d4c4eab312c3UL;
   tf->codes[10134] = 0x0004d4c60f7e2f9cUL;
   tf->codes[10135] = 0x0004d4db90024df2UL;
   tf->codes[10136] = 0x0004d4dc3faf5f41UL;
   tf->codes[10137] = 0x0004d4e35701121cUL;
   tf->codes[10138] = 0x0004d4e7ea2d8580UL;
   tf->codes[10139] = 0x0004d4ecf278046eUL;
   tf->codes[10140] = 0x0004d4eddcb41b82UL;
   tf->codes[10141] = 0x0004d4f2e4fe9a70UL;
   tf->codes[10142] = 0x0004d4f6535ff0fbUL;
   tf->codes[10143] = 0x0004d4f9c1c14786UL;
   tf->codes[10144] = 0x0004d4fe1a5eb525UL;
   tf->codes[10145] = 0x0004d50ff1f2772bUL;
   tf->codes[10146] = 0x0004d512b0a6bc67UL;
   tf->codes[10147] = 0x0004d51e5b24e2a6UL;
   tf->codes[10148] = 0x0004d54af61647b5UL;
   tf->codes[10149] = 0x0004d54d3fac8167UL;
   tf->codes[10150] = 0x0004d5519849ef06UL;
   tf->codes[10151] = 0x0004d55a0ef5c47fUL;
   tf->codes[10152] = 0x0004d55ccdaa09bbUL;
   tf->codes[10153] = 0x0004d5636fddb10cUL;
   tf->codes[10154] = 0x0004d563e4fbbc96UL;
   tf->codes[10155] = 0x0004d59637e4b1e2UL;
   tf->codes[10156] = 0x0004d5a75fcb6299UL;
   tf->codes[10157] = 0x0004d5c4a74e4519UL;
   tf->codes[10158] = 0x0004d5c9ea27c9ccUL;
   tf->codes[10159] = 0x0004d5d4aa69d8f7UL;
   tf->codes[10160] = 0x0004d5d5cf34f5d0UL;
   tf->codes[10161] = 0x0004d5d67ee2071fUL;
   tf->codes[10162] = 0x0004d5d6b9710ce4UL;
   tf->codes[10163] = 0x0004d5dbc1bb8bd2UL;
   tf->codes[10164] = 0x0004d5fdd6f9e77bUL;
   tf->codes[10165] = 0x0004d6090c5a0230UL;
   tf->codes[10166] = 0x0004d611f823e333UL;
   tf->codes[10167] = 0x0004d61c4347e6d4UL;
   tf->codes[10168] = 0x0004d637f0e1a0f1UL;
   tf->codes[10169] = 0x0004d6382b70a6b6UL;
   tf->codes[10170] = 0x0004d63cbe9d1a1aUL;
   tf->codes[10171] = 0x0004d6439b5fc730UL;
   tf->codes[10172] = 0x0004d646cf3217f6UL;
   tf->codes[10173] = 0x0004d64f806cf334UL;
   tf->codes[10174] = 0x0004d65488b77222UL;
   tf->codes[10175] = 0x0004d65b2aeb1973UL;
   tf->codes[10176] = 0x0004d65d39f24d60UL;
   tf->codes[10177] = 0x0004d6670ff84577UL;
   tf->codes[10178] = 0x0004d668a9e16ddaUL;
   tf->codes[10179] = 0x0004d66cc7efd5b4UL;
   tf->codes[10180] = 0x0004d67195ab4eddUL;
   tf->codes[10181] = 0x0004d6727fe765f1UL;
   tf->codes[10182] = 0x0004d6732f947740UL;
   tf->codes[10183] = 0x0004d675ee48bc7cUL;
   tf->codes[10184] = 0x0004d6774da2df1aUL;
   tf->codes[10185] = 0x0004d67defd6866bUL;
   tf->codes[10186] = 0x0004d68875898fd1UL;
   tf->codes[10187] = 0x0004d695f47fe438UL;
   tf->codes[10188] = 0x0004d69ac23b5d61UL;
   tf->codes[10189] = 0x0004d6a338e732daUL;
   tf->codes[10190] = 0x0004d6a6322a7ddbUL;
   tf->codes[10191] = 0x0004d6ad497c30b6UL;
   tf->codes[10192] = 0x0004d6c588b49448UL;
   tf->codes[10193] = 0x0004d6cc2ae83b99UL;
   tf->codes[10194] = 0x0004d6d048f6a373UL;
   tf->codes[10195] = 0x0004d6d37cc8f439UL;
   tf->codes[10196] = 0x0004d6da941aa714UL;
   tf->codes[10197] = 0x0004d700c7676a97UL;
   tf->codes[10198] = 0x0004d713fe554f3bUL;
   tf->codes[10199] = 0x0004d72f36d0fdceUL;
   tf->codes[10200] = 0x0004d73cb5c75235UL;
   tf->codes[10201] = 0x0004d74d2e00f19dUL;
   tf->codes[10202] = 0x0004d7786998340eUL;
   tf->codes[10203] = 0x0004d78538e17726UL;
   tf->codes[10204] = 0x0004d7878277b0d8UL;
   tf->codes[10205] = 0x0004d78a7bbafbd9UL;
   tf->codes[10206] = 0x0004d78f0ee76f3dUL;
   tf->codes[10207] = 0x0004d7adb5c4745bUL;
   tf->codes[10208] = 0x0004d7b800e877fcUL;
   tf->codes[10209] = 0x0004d7c9635e2e78UL;
   tf->codes[10210] = 0x0004d7d5486b5a7cUL;
   tf->codes[10211] = 0x0004d7d96679c256UL;
   tf->codes[10212] = 0x0004d7dbb00ffc08UL;
   tf->codes[10213] = 0x0004d7e301f0b4a8UL;
   tf->codes[10214] = 0x0004d7f16b232023UL;
   tf->codes[10215] = 0x0004d7f1e0412badUL;
   tf->codes[10216] = 0x0004d7f3ef485f9aUL;
   tf->codes[10217] = 0x0004d7f514137c73UL;
   tf->codes[10218] = 0x0004d7fc2b652f4eUL;
   tf->codes[10219] = 0x0004d80d8ddae5caUL;
   tf->codes[10220] = 0x0004d818138def30UL;
   tf->codes[10221] = 0x0004d81d90f679a8UL;
   tf->codes[10222] = 0x0004d81e06148532UL;
   tf->codes[10223] = 0x0004d81e7b3290bcUL;
   tf->codes[10224] = 0x0004d827a18b7784UL;
   tf->codes[10225] = 0x0004d8338698a388UL;
   tf->codes[10226] = 0x0004d8388ee32276UL;
   tf->codes[10227] = 0x0004d83dd1bca729UL;
   tf->codes[10228] = 0x0004d84264e91a8dUL;
   tf->codes[10229] = 0x0004d84648687ca2UL;
   tf->codes[10230] = 0x0004d8497c3acd68UL;
   tf->codes[10231] = 0x0004d84e0f6740ccUL;
   tf->codes[10232] = 0x0004d8768c4a3e01UL;
   tf->codes[10233] = 0x0004d87c4441ce3eUL;
   tf->codes[10234] = 0x0004d884baeda3b7UL;
   tf->codes[10235] = 0x0004d89448eb2c0bUL;
   tf->codes[10236] = 0x0004d89c0fe9f035UL;
   tf->codes[10237] = 0x0004d8cc53cbb194UL;
   tf->codes[10238] = 0x0004d8dd7bb2624bUL;
   tf->codes[10239] = 0x0004d8dedb0c84e9UL;
   tf->codes[10240] = 0x0004d8df502a9073UL;
   tf->codes[10241] = 0x0004d8e6a20b4913UL;
   tf->codes[10242] = 0x0004d8ea4afba563UL;
   tf->codes[10243] = 0x0004d9045eac371dUL;
   tf->codes[10244] = 0x0004d908079c936dUL;
   tf->codes[10245] = 0x0004d90b00dfde6eUL;
   tf->codes[10246] = 0x0004d9112df57a35UL;
   tf->codes[10247] = 0x0004d92882f1c6b3UL;
   tf->codes[10248] = 0x0004d9334333d5deUL;
   tf->codes[10249] = 0x0004d9379bd1437dUL;
   tf->codes[10250] = 0x0004d940c22a2a45UL;
   tf->codes[10251] = 0x0004d94a9830225cUL;
   tf->codes[10252] = 0x0004d94d1c5561d3UL;
   tf->codes[10253] = 0x0004d94e069178e7UL;
   tf->codes[10254] = 0x0004d95851b57c88UL;
   tf->codes[10255] = 0x0004d96ad8f64fddUL;
   tf->codes[10256] = 0x0004d96e4757a668UL;
   tf->codes[10257] = 0x0004d971409af169UL;
   tf->codes[10258] = 0x0004d9729ff51407UL;
   tf->codes[10259] = 0x0004d98bc9698eadUL;
   tf->codes[10260] = 0x0004d99da0fd50b3UL;
   tf->codes[10261] = 0x0004d9b8645af3bcUL;
   tf->codes[10262] = 0x0004d9bd6ca572aaUL;
   tf->codes[10263] = 0x0004d9cf09aa2eebUL;
   tf->codes[10264] = 0x0004d9d44c83b39eUL;
   tf->codes[10265] = 0x0004d9d4fc30c4edUL;
   tf->codes[10266] = 0x0004d9e5746a6455UL;
   tf->codes[10267] = 0x0004d9e65ea67b69UL;
   tf->codes[10268] = 0x0004d9eb2c61f492UL;
   tf->codes[10269] = 0x0004d9ecc64b1cf5UL;
   tf->codes[10270] = 0x0004d9f7116f2096UL;
   tf->codes[10271] = 0x0004da0998aff3ebUL;
   tf->codes[10272] = 0x0004da119a3dbddaUL;
   tf->codes[10273] = 0x0004da1db9d9efa3UL;
   tf->codes[10274] = 0x0004da2e32138f0bUL;
   tf->codes[10275] = 0x0004da312b56da0cUL;
   tf->codes[10276] = 0x0004da45870fdb89UL;
   tf->codes[10277] = 0x0004da4796170f76UL;
   tf->codes[10278] = 0x0004da6084fc8457UL;
   tf->codes[10279] = 0x0004da60bf8b8a1cUL;
   tf->codes[10280] = 0x0004da6b0aaf8dbdUL;
   tf->codes[10281] = 0x0004da760580a2adUL;
   tf->codes[10282] = 0x0004da7ef14a83b0UL;
   tf->codes[10283] = 0x0004da7fdb869ac4UL;
   tf->codes[10284] = 0x0004da801615a089UL;
   tf->codes[10285] = 0x0004da82d4c9e5c5UL;
   tf->codes[10286] = 0x0004da8caacfdddcUL;
   tf->codes[10287] = 0x0004da8ce55ee3a1UL;
   tf->codes[10288] = 0x0004da9dd2b68e93UL;
   tf->codes[10289] = 0x0004daab171ddd35UL;
   tf->codes[10290] = 0x0004dab17ec27ec1UL;
   tf->codes[10291] = 0x0004dac31bc73b02UL;
   tf->codes[10292] = 0x0004dad4f35afd08UL;
   tf->codes[10293] = 0x0004dafaec18bac6UL;
   tf->codes[10294] = 0x0004dafdaacd0002UL;
   tf->codes[10295] = 0x0004db039d539604UL;
   tf->codes[10296] = 0x0004db11cbf6fbbaUL;
   tf->codes[10297] = 0x0004db2711ec144bUL;
   tf->codes[10298] = 0x0004db2f1379de3aUL;
   tf->codes[10299] = 0x0004db2f4e08e3ffUL;
   tf->codes[10300] = 0x0004db3281db34c5UL;
   tf->codes[10301] = 0x0004db387461cac7UL;
   tf->codes[10302] = 0x0004db3c57e12cdcUL;
   tf->codes[10303] = 0x0004db420fd8bd19UL;
   tf->codes[10304] = 0x0004db4a11668708UL;
   tf->codes[10305] = 0x0004db4b3631a3e1UL;
   tf->codes[10306] = 0x0004db58057ae6f9UL;
   tf->codes[10307] = 0x0004db5afebe31faUL;
   tf->codes[10308] = 0x0004db5fcc79ab23UL;
   tf->codes[10309] = 0x0004db6793786f4dUL;
   tf->codes[10310] = 0x0004db67ce077512UL;
   tf->codes[10311] = 0x0004db6d10e0f9c5UL;
   tf->codes[10312] = 0x0004db6dfb1d10d9UL;
   tf->codes[10313] = 0x0004db6eaaca2228UL;
   tf->codes[10314] = 0x0004db7b04f559b6UL;
   tf->codes[10315] = 0x0004db8c676b1032UL;
   tf->codes[10316] = 0x0004db8cdc891bbcUL;
   tf->codes[10317] = 0x0004db8dc6c532d0UL;
   tf->codes[10318] = 0x0004dba88a22d5d9UL;
   tf->codes[10319] = 0x0004dbc1ee265644UL;
   tf->codes[10320] = 0x0004dbc8cae9035aUL;
   tf->codes[10321] = 0x0004dbcc73d95faaUL;
   tf->codes[10322] = 0x0004dbd94322a2c2UL;
   tf->codes[10323] = 0x0004dbe22eec83c5UL;
   tf->codes[10324] = 0x0004dbe9463e36a0UL;
   tf->codes[10325] = 0x0004dbf2320817a3UL;
   tf->codes[10326] = 0x0004dbff3be06080UL;
   tf->codes[10327] = 0x0004dc11c32133d5UL;
   tf->codes[10328] = 0x0004dc174089be4dUL;
   tf->codes[10329] = 0x0004dc2b2724b440UL;
   tf->codes[10330] = 0x0004dc550361d413UL;
   tf->codes[10331] = 0x0004dc59968e4777UL;
   tf->codes[10332] = 0x0004dc5af5e86a15UL;
   tf->codes[10333] = 0x0004dc62bce72e3fUL;
   tf->codes[10334] = 0x0004dc72c002c21dUL;
   tf->codes[10335] = 0x0004dc82137144acUL;
   tf->codes[10336] = 0x0004dc987e317a16UL;
   tf->codes[10337] = 0x0004dcb6aff073aaUL;
   tf->codes[10338] = 0x0004dccb80c780b1UL;
   tf->codes[10339] = 0x0004dcd1734e16b3UL;
   tf->codes[10340] = 0x0004dcd1e86c223dUL;
   tf->codes[10341] = 0x0004dcd93a4cdaddUL;
   tf->codes[10342] = 0x0004dcdb49540ecaUL;
   tf->codes[10343] = 0x0004dcdeb7b56555UL;
   tf->codes[10344] = 0x0004dce1014b9f07UL;
   tf->codes[10345] = 0x0004dcf60cb1b1d3UL;
   tf->codes[10346] = 0x0004dcfe835d874cUL;
   tf->codes[10347] = 0x0004dd0560203462UL;
   tf->codes[10348] = 0x0004dd1478ffb12cUL;
   tf->codes[10349] = 0x0004dd2cf2c71a83UL;
   tf->codes[10350] = 0x0004dd3e8fcbd6c4UL;
   tf->codes[10351] = 0x0004dd47b624bd8cUL;
   tf->codes[10352] = 0x0004dd4ae9f70e52UL;
   tf->codes[10353] = 0x0004dd4c83e036b5UL;
   tf->codes[10354] = 0x0004dd6ff878b4fcUL;
   tf->codes[10355] = 0x0004dd80ab415a29UL;
   tf->codes[10356] = 0x0004dd9a8462e61eUL;
   tf->codes[10357] = 0x0004dd9f178f5982UL;
   tf->codes[10358] = 0x0004ddac2167a25fUL;
   tf->codes[10359] = 0x0004ddb07a050ffeUL;
   tf->codes[10360] = 0x0004ddcbb280be91UL;
   tf->codes[10361] = 0x0004ddcf5b711ae1UL;
   tf->codes[10362] = 0x0004ddd0f55a4344UL;
   tf->codes[10363] = 0x0004ddd21a25601dUL;
   tf->codes[10364] = 0x0004dddeaedf9d70UL;
   tf->codes[10365] = 0x0004dddf5e8caebfUL;
   tf->codes[10366] = 0x0004dde8bf749b4cUL;
   tf->codes[10367] = 0x0004ddf58ebdde64UL;
   tf->codes[10368] = 0x0004ddf84d7223a0UL;
   tf->codes[10369] = 0x0004ddfa21ea51c8UL;
   tf->codes[10370] = 0x0004ddfbf6627ff0UL;
   tf->codes[10371] = 0x0004ddfdcadaae18UL;
   tf->codes[10372] = 0x0004de07a0e0a62fUL;
   tf->codes[10373] = 0x0004de0ce3ba2ae2UL;
   tf->codes[10374] = 0x0004de1ad7ce8ad3UL;
   tf->codes[10375] = 0x0004de438f408dcdUL;
   tf->codes[10376] = 0x0004de5860179ad4UL;
   tf->codes[10377] = 0x0004de64ba42d262UL;
   tf->codes[10378] = 0x0004de69c28d5150UL;
   tf->codes[10379] = 0x0004de7c0f3f1ee0UL;
   tf->codes[10380] = 0x0004de8fbb4b0f0eUL;
   tf->codes[10381] = 0x0004de8ff5da14d3UL;
   tf->codes[10382] = 0x0004de9538b39986UL;
   tf->codes[10383] = 0x0004de95add1a510UL;
   tf->codes[10384] = 0x0004deaf86f33105UL;
   tf->codes[10385] = 0x0004deb9d21734a6UL;
   tf->codes[10386] = 0x0004debaf6e2517fUL;
   tf->codes[10387] = 0x0004dec507774f5bUL;
   tf->codes[10388] = 0x0004dec666d171f9UL;
   tf->codes[10389] = 0x0004dec7c62b9497UL;
   tf->codes[10390] = 0x0004decf529b52fcUL;
   tf->codes[10391] = 0x0004ded3e5c7c660UL;
   tf->codes[10392] = 0x0004deda12dd6227UL;
   tf->codes[10393] = 0x0004dedc21e49614UL;
   tf->codes[10394] = 0x0004dedee098db50UL;
   tf->codes[10395] = 0x0004defa53a38fa8UL;
   tf->codes[10396] = 0x0004defcd7c8cf1fUL;
   tf->codes[10397] = 0x0004df16eb7960d9UL;
   tf->codes[10398] = 0x0004df2fda5ed5baUL;
   tf->codes[10399] = 0x0004df3c348a0d48UL;
   tf->codes[10400] = 0x0004df41776391fbUL;
   tf->codes[10401] = 0x0004df49b38061afUL;
   tf->codes[10402] = 0x0004df5473c270daUL;
   tf->codes[10403] = 0x0004df738fbd8182UL;
   tf->codes[10404] = 0x0004df7cf0a56e0fUL;
   tf->codes[10405] = 0x0004df7ddae18523UL;
   tf->codes[10406] = 0x0004df7e4fff90adUL;
   tf->codes[10407] = 0x0004df8567514388UL;
   tf->codes[10408] = 0x0004df8860948e89UL;
   tf->codes[10409] = 0x0004df909cb15e3dUL;
   tf->codes[10410] = 0x0004df90d7406402UL;
   tf->codes[10411] = 0x0004df93d083af03UL;
   tf->codes[10412] = 0x0004df95a4fbdd2bUL;
   tf->codes[10413] = 0x0004dfacbf6923e4UL;
   tf->codes[10414] = 0x0004dfb919945b72UL;
   tf->codes[10415] = 0x0004dfd69ba643b7UL;
   tf->codes[10416] = 0x0004dfe8e8581147UL;
   tf->codes[10417] = 0x0004dff0e9e5db36UL;
   tf->codes[10418] = 0x0004dff19992ec85UL;
   tf->codes[10419] = 0x0004dff4584731c1UL;
   tf->codes[10420] = 0x0004dff7c6a8884cUL;
   tf->codes[10421] = 0x0004e00963ad448dUL;
   tf->codes[10422] = 0x0004e00fcb51e619UL;
   tf->codes[10423] = 0x0004e0128a062b55UL;
   tf->codes[10424] = 0x0004e02eacbdf0fcUL;
   tf->codes[10425] = 0x0004e04bf440d37cUL;
   tf->codes[10426] = 0x0004e07f3165dfdcUL;
   tf->codes[10427] = 0x0004e082da563c2cUL;
   tf->codes[10428] = 0x0004e083c4925340UL;
   tf->codes[10429] = 0x0004e0afea65acc5UL;
   tf->codes[10430] = 0x0004e0b6c72859dbUL;
   tf->codes[10431] = 0x0004e0b910be938dUL;
   tf->codes[10432] = 0x0004e0bc4490e453UL;
   tf->codes[10433] = 0x0004e0c5305ac556UL;
   tf->codes[10434] = 0x0004e0ccbcca83bbUL;
   tf->codes[10435] = 0x0004e0cd6c77950aUL;
   tf->codes[10436] = 0x0004e0e70b0a1b3aUL;
   tf->codes[10437] = 0x0004e0f2406a35efUL;
   tf->codes[10438] = 0x0004e0f7f861c62cUL;
   tf->codes[10439] = 0x0004e0fd00ac451aUL;
   tf->codes[10440] = 0x0004e100e42ba72fUL;
   tf->codes[10441] = 0x0004e10417fdf7f5UL;
   tf->codes[10442] = 0x0004e108709b6594UL;
   tf->codes[10443] = 0x0004e10d78e5e482UL;
   tf->codes[10444] = 0x0004e11330dd74bfUL;
   tf->codes[10445] = 0x0004e115ef91b9fbUL;
   tf->codes[10446] = 0x0004e127c7257c01UL;
   tf->codes[10447] = 0x0004e12d448e0679UL;
   tf->codes[10448] = 0x0004e1521880a75eUL;
   tf->codes[10449] = 0x0004e15a8f2c7cd7UL;
   tf->codes[10450] = 0x0004e175c7a82b6aUL;
   tf->codes[10451] = 0x0004e17bf4bdc731UL;
   tf->codes[10452] = 0x0004e18973b41b98UL;
   tf->codes[10453] = 0x0004e18b0d9d43fbUL;
   tf->codes[10454] = 0x0004e191ea5ff111UL;
   tf->codes[10455] = 0x0004e1925f7dfc9bUL;
   tf->codes[10456] = 0x0004e1b1f09718cdUL;
   tf->codes[10457] = 0x0004e1b94277d16dUL;
   tf->codes[10458] = 0x0004e1c64c501a4aUL;
   tf->codes[10459] = 0x0004e1d405d57476UL;
   tf->codes[10460] = 0x0004e1da32eb103dUL;
   tf->codes[10461] = 0x0004e1e1f9e9d467UL;
   tf->codes[10462] = 0x0004e1ea7095a9e0UL;
   tf->codes[10463] = 0x0004e1ec0a7ed243UL;
   tf->codes[10464] = 0x0004e1ef3e512309UL;
   tf->codes[10465] = 0x0004e1f7054fe733UL;
   tf->codes[10466] = 0x0004e1f914571b20UL;
   tf->codes[10467] = 0x0004e1fa73b13dbeUL;
   tf->codes[10468] = 0x0004e2106953679eUL;
   tf->codes[10469] = 0x0004e2148761cf78UL;
   tf->codes[10470] = 0x0004e2165bd9fda0UL;
   tf->codes[10471] = 0x0004e21780a51a79UL;
   tf->codes[10472] = 0x0004e234c827fcf9UL;
   tf->codes[10473] = 0x0004e23786dc4235UL;
   tf->codes[10474] = 0x0004e23b2fcc9e85UL;
   tf->codes[10475] = 0x0004e23d3ed3d272UL;
   tf->codes[10476] = 0x0004e23fc2f911e9UL;
   tf->codes[10477] = 0x0004e24122533487UL;
   tf->codes[10478] = 0x0004e248aec2f2ecUL;
   tf->codes[10479] = 0x0004e25284c8eb03UL;
   tf->codes[10480] = 0x0004e25c5acee31aUL;
   tf->codes[10481] = 0x0004e26c235b7133UL;
   tf->codes[10482] = 0x0004e2771e2c8623UL;
   tf->codes[10483] = 0x0004e27e357e38feUL;
   tf->codes[10484] = 0x0004e29256a834b6UL;
   tf->codes[10485] = 0x0004e295ff989106UL;
   tf->codes[10486] = 0x0004e2a9368675aaUL;
   tf->codes[10487] = 0x0004e2b25cdf5c72UL;
   tf->codes[10488] = 0x0004e2bb48a93d75UL;
   tf->codes[10489] = 0x0004e2bc6d745a4eUL;
   tf->codes[10490] = 0x0004e2cbc0e2dcddUL;
   tf->codes[10491] = 0x0004e2cd955b0b05UL;
   tf->codes[10492] = 0x0004e2d1b36972dfUL;
   tf->codes[10493] = 0x0004e2dfe20cd895UL;
   tf->codes[10494] = 0x0004e2e76e7c96faUL;
   tf->codes[10495] = 0x0004e2fd641ec0daUL;
   tf->codes[10496] = 0x0004e2ff3896ef02UL;
   tf->codes[10497] = 0x0004e3005d620bdbUL;
   tf->codes[10498] = 0x0004e30983baf2a3UL;
   tf->codes[10499] = 0x0004e30ae3151541UL;
   tf->codes[10500] = 0x0004e30b1da41b06UL;
   tf->codes[10501] = 0x0004e31702b1470aUL;
   tf->codes[10502] = 0x0004e343d831b1deUL;
   tf->codes[10503] = 0x0004e34ab4f45ef4UL;
   tf->codes[10504] = 0x0004e353662f3a32UL;
   tf->codes[10505] = 0x0004e35f4b3c6636UL;
   tf->codes[10506] = 0x0004e362447fb137UL;
   tf->codes[10507] = 0x0004e3648e15eae9UL;
   tf->codes[10508] = 0x0004e374cbc0848cUL;
   tf->codes[10509] = 0x0004e381d598cd69UL;
   tf->codes[10510] = 0x0004e38c95dadc94UL;
   tf->codes[10511] = 0x0004e3966be0d4abUL;
   tf->codes[10512] = 0x0004e3971b8de5faUL;
   tf->codes[10513] = 0x0004e3c21c9622a6UL;
   tf->codes[10514] = 0x0004e3c37bf04544UL;
   tf->codes[10515] = 0x0004e3c724e0a194UL;
   tf->codes[10516] = 0x0004e3c9e394e6d0UL;
   tf->codes[10517] = 0x0004e3cacdd0fde4UL;
   tf->codes[10518] = 0x0004e3cb7d7e0f33UL;
   tf->codes[10519] = 0x0004e3d010aa8297UL;
   tf->codes[10520] = 0x0004e3da965d8bfdUL;
   tf->codes[10521] = 0x0004e3db0b7b9787UL;
   tf->codes[10522] = 0x0004e3df9ea80aebUL;
   tf->codes[10523] = 0x0004e3e8ff8ff778UL;
   tf->codes[10524] = 0x0004e3f72e335d2eUL;
   tf->codes[10525] = 0x0004e3ffa4df32a7UL;
   tf->codes[10526] = 0x0004e40b89ec5eabUL;
   tf->codes[10527] = 0x0004e40ef84db536UL;
   tf->codes[10528] = 0x0004e410ccc5e35eUL;
   tf->codes[10529] = 0x0004e438d48ad509UL;
   tf->codes[10530] = 0x0004e43a6e73fd6cUL;
   tf->codes[10531] = 0x0004e4447f08fb48UL;
   tf->codes[10532] = 0x0004e451fdff4fafUL;
   tf->codes[10533] = 0x0004e4570649ce9dUL;
   tf->codes[10534] = 0x0004e458dac1fcc5UL;
   tf->codes[10535] = 0x0004e45c0e944d8bUL;
   tf->codes[10536] = 0x0004e47ed37fba83UL;
   tf->codes[10537] = 0x0004e487f9d8a14bUL;
   tf->codes[10538] = 0x0004e488e414b85fUL;
   tf->codes[10539] = 0x0004e48a08dfd538UL;
   tf->codes[10540] = 0x0004e4932f38bc00UL;
   tf->codes[10541] = 0x0004e49e2a09d0f0UL;
   tf->codes[10542] = 0x0004e4a78af1bd7dUL;
   tf->codes[10543] = 0x0004e4b12668afcfUL;
   tf->codes[10544] = 0x0004e4bafc6ea7e6UL;
   tf->codes[10545] = 0x0004e4bd0b75dbd3UL;
   tf->codes[10546] = 0x0004e4c7cbb7eafeUL;
   tf->codes[10547] = 0x0004e4d9dddab2c9UL;
   tf->codes[10548] = 0x0004e4da52f8be53UL;
   tf->codes[10549] = 0x0004e4ebeffd7a94UL;
   tf->codes[10550] = 0x0004e4f3f18b4483UL;
   tf->codes[10551] = 0x0004e4f5c60372abUL;
   tf->codes[10552] = 0x0004e4f884b7b7e7UL;
   tf->codes[10553] = 0x0004e50887d34bc5UL;
   tf->codes[10554] = 0x0004e51bbec13069UL;
   tf->codes[10555] = 0x0004e51d1e1b5307UL;
   tf->codes[10556] = 0x0004e54476333363UL;
   tf->codes[10557] = 0x0004e54b8d84e63eUL;
   tf->codes[10558] = 0x0004e5526a479354UL;
   tf->codes[10559] = 0x0004e55aa6646308UL;
   tf->codes[10560] = 0x0004e56ae40efcabUL;
   tf->codes[10561] = 0x0004e57912b26261UL;
   tf->codes[10562] = 0x0004e5886620e4f0UL;
   tf->codes[10563] = 0x0004e58bd4823b7bUL;
   tf->codes[10564] = 0x0004e5944b2e10f4UL;
   tf->codes[10565] = 0x0004e59ab2d2b280UL;
   tf->codes[10566] = 0x0004e5cccb2ca207UL;
   tf->codes[10567] = 0x0004e5d0aeac041cUL;
   tf->codes[10568] = 0x0004e5d666a39459UL;
   tf->codes[10569] = 0x0004e5d8008cbcbcUL;
   tf->codes[10570] = 0x0004e5df17de6f97UL;
   tf->codes[10571] = 0x0004e5dfc78b80e6UL;
   tf->codes[10572] = 0x0004e5e2c0cecbe7UL;
   tf->codes[10573] = 0x0004e5e8b35561e9UL;
   tf->codes[10574] = 0x0004e5ec96d4c3feUL;
   tf->codes[10575] = 0x0004e5f12a013762UL;
   tf->codes[10576] = 0x0004e60376b304f2UL;
   tf->codes[10577] = 0x0004e60d874802ceUL;
   tf->codes[10578] = 0x0004e61eaf2eb385UL;
   tf->codes[10579] = 0x0004e61f5edbc4d4UL;
   tf->codes[10580] = 0x0004e62e77bb419eUL;
   tf->codes[10581] = 0x0004e642d374431bUL;
   tf->codes[10582] = 0x0004e644e27b7708UL;
   tf->codes[10583] = 0x0004e64a9a730745UL;
   tf->codes[10584] = 0x0004e65226e2c5aaUL;
   tf->codes[10585] = 0x0004e654ab080521UL;
   tf->codes[10586] = 0x0004e65f6b4a144cUL;
   tf->codes[10587] = 0x0004e65fe0681fd6UL;
   tf->codes[10588] = 0x0004e66e499a8b51UL;
   tf->codes[10589] = 0x0004e6805bbd531cUL;
   tf->codes[10590] = 0x0004e68822bc1746UL;
   tf->codes[10591] = 0x0004e68e4fd1b30dUL;
   tf->codes[10592] = 0x0004e68f749ccfe6UL;
   tf->codes[10593] = 0x0004e69bcec80774UL;
   tf->codes[10594] = 0x0004e6b70743b607UL;
   tf->codes[10595] = 0x0004e6c15267b9a8UL;
   tf->codes[10596] = 0x0004e6c20214caf7UL;
   tf->codes[10597] = 0x0004e6cf467c1999UL;
   tf->codes[10598] = 0x0004e6d8e1f30bebUL;
   tf->codes[10599] = 0x0004e6d9cc2f22ffUL;
   tf->codes[10600] = 0x0004e6dbdb3656ecUL;
   tf->codes[10601] = 0x0004e6dc15c55cb1UL;
   tf->codes[10602] = 0x0004e6dcc5726e00UL;
   tf->codes[10603] = 0x0004e6eb2ea4d97bUL;
   tf->codes[10604] = 0x0004e6fa47845645UL;
   tf->codes[10605] = 0x0004e70925d4cd4aUL;
   tf->codes[10606] = 0x0004e70d43e33524UL;
   tf->codes[10607] = 0x0004e7150ae1f94eUL;
   tf->codes[10608] = 0x0004e730b87bb36bUL;
   tf->codes[10609] = 0x0004e7333ca0f2e2UL;
   tf->codes[10610] = 0x0004e77dcec24bc0UL;
   tf->codes[10611] = 0x0004e77f68ab7423UL;
   tf->codes[10612] = 0x0004e78e0c6ce563UL;
   tf->codes[10613] = 0x0004e7929f9958c7UL;
   tf->codes[10614] = 0x0004e7a9f495a545UL;
   tf->codes[10615] = 0x0004e7afac8d3582UL;
   tf->codes[10616] = 0x0004e7b31aee8c0dUL;
   tf->codes[10617] = 0x0004e7bc06b86d10UL;
   tf->codes[10618] = 0x0004e7c701898200UL;
   tf->codes[10619] = 0x0004e7c9c03dc73cUL;
   tf->codes[10620] = 0x0004e7d68f870a54UL;
   tf->codes[10621] = 0x0004e7d7eee12cf2UL;
   tf->codes[10622] = 0x0004e7e274943658UL;
   tf->codes[10623] = 0x0004e7ede48356d2UL;
   tf->codes[10624] = 0x0004e7ef43dd7970UL;
   tf->codes[10625] = 0x0004e7f2b23ecffbUL;
   tf->codes[10626] = 0x0004e8153c9b372eUL;
   tf->codes[10627] = 0x0004e81835de822fUL;
   tf->codes[10628] = 0x0004e82b323d610eUL;
   tf->codes[10629] = 0x0004e84fcba0fc2eUL;
   tf->codes[10630] = 0x0004e861ddc3c3f9UL;
   tf->codes[10631] = 0x0004e87255fd6361UL;
   tf->codes[10632] = 0x0004e88726d47068UL;
   tf->codes[10633] = 0x0004e89d1c769a48UL;
   tf->codes[10634] = 0x0004e89e06b2b15cUL;
   tf->codes[10635] = 0x0004e8bdd25ad353UL;
   tf->codes[10636] = 0x0004e8c6f8b3ba1bUL;
   tf->codes[10637] = 0x0004e8c7e2efd12fUL;
   tf->codes[10638] = 0x0004e8cebfb27e45UL;
   tf->codes[10639] = 0x0004e8d477aa0e82UL;
   tf->codes[10640] = 0x0004e8e3cb189111UL;
   tf->codes[10641] = 0x0004e8e6c45bdc12UL;
   tf->codes[10642] = 0x0004e8e90df215c4UL;
   tf->codes[10643] = 0x0004e8fd2f1c117cUL;
   tf->codes[10644] = 0x0004e901fcd78aa5UL;
   tf->codes[10645] = 0x0004e91449895835UL;
   tf->codes[10646] = 0x0004e937f8b0dc41UL;
   tf->codes[10647] = 0x0004e93c514e49e0UL;
   tf->codes[10648] = 0x0004e9406f5cb1baUL;
   tf->codes[10649] = 0x0004e943a32f0280UL;
   tf->codes[10650] = 0x0004e94b2f9ec0e5UL;
   tf->codes[10651] = 0x0004e952bc0e7f4aUL;
   tf->codes[10652] = 0x0004e95f1639b6d8UL;
   tf->codes[10653] = 0x0004e975bb88f207UL;
   tf->codes[10654] = 0x0004e97e3234c780UL;
   tf->codes[10655] = 0x0004e983ea2c57bdUL;
   tf->codes[10656] = 0x0004e9b602864744UL;
   tf->codes[10657] = 0x0004e9bca4b9ee95UL;
   tf->codes[10658] = 0x0004e9c0c2c8566fUL;
   tf->codes[10659] = 0x0004e9c67abfe6acUL;
   tf->codes[10660] = 0x0004e9cc6d467caeUL;
   tf->codes[10661] = 0x0004e9ce41beaad6UL;
   tf->codes[10662] = 0x0004e9d608bd6f00UL;
   tf->codes[10663] = 0x0004e9e93fab53a4UL;
   tf->codes[10664] = 0x0004e9f8cda8dbf8UL;
   tf->codes[10665] = 0x0004ea01b972bcfbUL;
   tf->codes[10666] = 0x0004ea164fbac43dUL;
   tf->codes[10667] = 0x0004ea60e1dc1d1bUL;
   tf->codes[10668] = 0x0004ea727ee0d95cUL;
   tf->codes[10669] = 0x0004ea72f3fee4e6UL;
   tf->codes[10670] = 0x0004ea7996328c37UL;
   tf->codes[10671] = 0x0004ea9b3652dc56UL;
   tf->codes[10672] = 0x0004eaa8efd83682UL;
   tf->codes[10673] = 0x0004eac796b53ba0UL;
   tf->codes[10674] = 0x0004eac80bd3472aUL;
   tf->codes[10675] = 0x0004eade0175710aUL;
   tf->codes[10676] = 0x0004eaf4a6c4ac39UL;
   tf->codes[10677] = 0x0004eafca8527628UL;
   tf->codes[10678] = 0x0004eb1a64f36432UL;
   tf->codes[10679] = 0x0004eb3f38e60517UL;
   tf->codes[10680] = 0x0004eb431c65672cUL;
   tf->codes[10681] = 0x0004eb49be990e7dUL;
   tf->codes[10682] = 0x0004eb4aa8d52591UL;
   tf->codes[10683] = 0x0004eb5060ccb5ceUL;
   tf->codes[10684] = 0x0004eb5d3015f8e6UL;
   tf->codes[10685] = 0x0004eb677b39fc87UL;
   tf->codes[10686] = 0x0004eb70a192e34fUL;
   tf->codes[10687] = 0x0004eb7bd6f2fe04UL;
   tf->codes[10688] = 0x0004eb8955e9526bUL;
   tf->codes[10689] = 0x0004eb9ba29b1ffbUL;
   tf->codes[10690] = 0x0004ebad7a2ee201UL;
   tf->codes[10691] = 0x0004ebb6db16ce8eUL;
   tf->codes[10692] = 0x0004ebcd0b47fe33UL;
   tf->codes[10693] = 0x0004ebe54a8061c5UL;
   tf->codes[10694] = 0x0004ebe5bf9e6d4fUL;
   tf->codes[10695] = 0x0004ebfc9f7cae43UL;
   tf->codes[10696] = 0x0004ebfdfed6d0e1UL;
   tf->codes[10697] = 0x0004ec06eaa0b1e4UL;
   tf->codes[10698] = 0x0004ec0dc7635efaUL;
   tf->codes[10699] = 0x0004ec1d1ad1e189UL;
   tf->codes[10700] = 0x0004ec29ea1b24a1UL;
   tf->codes[10701] = 0x0004ec38c86b9ba6UL;
   tf->codes[10702] = 0x0004ec4ce995975eUL;
   tf->codes[10703] = 0x0004ec522c6f1c11UL;
   tf->codes[10704] = 0x0004ec58cea2c362UL;
   tf->codes[10705] = 0x0004ec5a688bebc5UL;
   tf->codes[10706] = 0x0004ec5d9c5e3c8bUL;
   tf->codes[10707] = 0x0004ec5efbb85f29UL;
   tf->codes[10708] = 0x0004ec5fe5f4763dUL;
   tf->codes[10709] = 0x0004ec6737d52eddUL;
   tf->codes[10710] = 0x0004ec6ec444ed42UL;
   tf->codes[10711] = 0x0004ec6fae810456UL;
   tf->codes[10712] = 0x0004ec7098bd1b6aUL;
   tf->codes[10713] = 0x0004ec7cb8594d33UL;
   tf->codes[10714] = 0x0004ec93d2c693ecUL;
   tf->codes[10715] = 0x0004ec9a74fa3b3dUL;
   tf->codes[10716] = 0x0004ec9de35b91c8UL;
   tf->codes[10717] = 0x0004ecacfc3b0e92UL;
   tf->codes[10718] = 0x0004ecaf80604e09UL;
   tf->codes[10719] = 0x0004eccc52c524ffUL;
   tf->codes[10720] = 0x0004ecd036448714UL;
   tf->codes[10721] = 0x0004ecd8e77f6252UL;
   tf->codes[10722] = 0x0004ecdd7aabd5b6UL;
   tf->codes[10723] = 0x0004ecee2d747ae3UL;
   tf->codes[10724] = 0x0004ecf41ffb10e5UL;
   tf->codes[10725] = 0x0004ecfe30900ec1UL;
   tf->codes[10726] = 0x0004ed0affd951d9UL;
   tf->codes[10727] = 0x0004ed1a5347d468UL;
   tf->codes[10728] = 0x0004ed2e39e2ca5bUL;
   tf->codes[10729] = 0x0004ed2fd3cbf2beUL;
   tf->codes[10730] = 0x0004ed3cdda43b9bUL;
   tf->codes[10731] = 0x0004ed3eecab6f88UL;
   tf->codes[10732] = 0x0004ed4a972995c7UL;
   tf->codes[10733] = 0x0004ed588b3df5b8UL;
   tf->codes[10734] = 0x0004ed5b49f23af4UL;
   tf->codes[10735] = 0x0004ed6a2842b1f9UL;
   tf->codes[10736] = 0x0004ed82677b158bUL;
   tf->codes[10737] = 0x0004ed85d5dc6c16UL;
   tf->codes[10738] = 0x0004ed86c018832aUL;
   tf->codes[10739] = 0x0004ed8d27bd24b6UL;
   tf->codes[10740] = 0x0004ed8efc3552deUL;
   tf->codes[10741] = 0x0004ed938f61c642UL;
   tf->codes[10742] = 0x0004ed94b42ce31bUL;
   tf->codes[10743] = 0x0004edbb5c97b228UL;
   tf->codes[10744] = 0x0004edbcbbf1d4c6UL;
   tf->codes[10745] = 0x0004edc40dd28d66UL;
   tf->codes[10746] = 0x0004edc8666ffb05UL;
   tf->codes[10747] = 0x0004edcc0f605755UL;
   tf->codes[10748] = 0x0004edcde3d8857dUL;
   tf->codes[10749] = 0x0004edd39bd015baUL;
   tf->codes[10750] = 0x0004edde5c1224e5UL;
   tf->codes[10751] = 0x0004edf86fc2b69fUL;
   tf->codes[10752] = 0x0004edfe9cd85266UL;
   tf->codes[10753] = 0x0004ee0db5b7cf30UL;
   tf->codes[10754] = 0x0004ee0fc4bf031dUL;
   tf->codes[10755] = 0x0004ee1800dbd2d1UL;
   tf->codes[10756] = 0x0004ee1be45b34e6UL;
   tf->codes[10757] = 0x0004ee371cd6e379UL;
   tf->codes[10758] = 0x0004ee39a0fc22f0UL;
   tf->codes[10759] = 0x0004ee3ee3d5a7a3UL;
   tf->codes[10760] = 0x0004ee4301e40f7dUL;
   tf->codes[10761] = 0x0004ee537a1daee5UL;
   tf->codes[10762] = 0x0004ee596ca444e7UL;
   tf->codes[10763] = 0x0004ee65c6cf7c75UL;
   tf->codes[10764] = 0x0004ee69aa4ede8aUL;
   tf->codes[10765] = 0x0004ee6f9cd5748cUL;
   tf->codes[10766] = 0x0004ee7345c5d0dcUL;
   tf->codes[10767] = 0x0004ee743001e7f0UL;
   tf->codes[10768] = 0x0004ee7f656202a5UL;
   tf->codes[10769] = 0x0004eea2d9fa80ecUL;
   tf->codes[10770] = 0x0004eeaadb884adbUL;
   tf->codes[10771] = 0x0004eebc788d071cUL;
   tf->codes[10772] = 0x0004eebfe6ee5da7UL;
   tf->codes[10773] = 0x0004eee1c19db38bUL;
   tf->codes[10774] = 0x0004eee3d0a4e778UL;
   tf->codes[10775] = 0x0004eee56a8e0fdbUL;
   tf->codes[10776] = 0x0004eee70477383eUL;
   tf->codes[10777] = 0x0004eee7799543c8UL;
   tf->codes[10778] = 0x0004eef2e9846442UL;
   tf->codes[10779] = 0x0004ef077fcc6b84UL;
   tf->codes[10780] = 0x0004ef0b634bcd99UL;
   tf->codes[10781] = 0x0004ef0b9ddad35eUL;
   tf->codes[10782] = 0x0004ef12400e7aafUL;
   tf->codes[10783] = 0x0004ef12efbb8bfeUL;
   tf->codes[10784] = 0x0004ef132a4a91c3UL;
   tf->codes[10785] = 0x0004ef1f0f57bdc7UL;
   tf->codes[10786] = 0x0004ef2c53bf0c69UL;
   tf->codes[10787] = 0x0004ef415f251f35UL;
   tf->codes[10788] = 0x0004ef6424108c2dUL;
   tf->codes[10789] = 0x0004ef69dc081c6aUL;
   tf->codes[10790] = 0x0004ef6dfa168444UL;
   tf->codes[10791] = 0x0004ef7252b3f1e3UL;
   tf->codes[10792] = 0x0004ef7670c259bdUL;
   tf->codes[10793] = 0x0004ef79a494aa83UL;
   tf->codes[10794] = 0x0004ef7cd866fb49UL;
   tf->codes[10795] = 0x0004ef8f9a36d463UL;
   tf->codes[10796] = 0x0004ef92ce092529UL;
   tf->codes[10797] = 0x0004ef9cde9e2305UL;
   tf->codes[10798] = 0x0004efb1ea0435d1UL;
   tf->codes[10799] = 0x0004efb30ecf52aaUL;
   tf->codes[10800] = 0x0004efb608129dabUL;
   tf->codes[10801] = 0x0004efc904717c8aUL;
   tf->codes[10802] = 0x0004efcef6f8128cUL;
   tf->codes[10803] = 0x0004efd17b1d5203UL;
   tf->codes[10804] = 0x0004eff355cca7e7UL;
   tf->codes[10805] = 0x0004eff5d9f1e75eUL;
   tf->codes[10806] = 0x0004eff90dc43824UL;
   tf->codes[10807] = 0x0004effae23c664cUL;
   tf->codes[10808] = 0x0004effe160eb712UL;
   tf->codes[10809] = 0x0004f009fb1be316UL;
   tf->codes[10810] = 0x0004f00b5a7605b4UL;
   tf->codes[10811] = 0x0004f01a7355827eUL;
   tf->codes[10812] = 0x0004f01bd2afa51cUL;
   tf->codes[10813] = 0x0004f03e227d068aUL;
   tf->codes[10814] = 0x0004f043da7496c7UL;
   tf->codes[10815] = 0x0004f044c4b0addbUL;
   tf->codes[10816] = 0x0004f0592069af58UL;
   tf->codes[10817] = 0x0004f075f2ce864eUL;
   tf->codes[10818] = 0x0004f07c1fe42215UL;
   tf->codes[10819] = 0x0004f09b766e3882UL;
   tf->codes[10820] = 0x0004f09bb0fd3e47UL;
   tf->codes[10821] = 0x0004f0b80e4409b3UL;
   tf->codes[10822] = 0x0004f0bbf1c36bc8UL;
   tf->codes[10823] = 0x0004f0c6b2057af3UL;
   tf->codes[10824] = 0x0004f0cf9dcf5bf6UL;
   tf->codes[10825] = 0x0004f0d1acd68fe3UL;
   tf->codes[10826] = 0x0004f0da2382655cUL;
   tf->codes[10827] = 0x0004f0e2d4bd409aUL;
   tf->codes[10828] = 0x0004f0eb85f81bd8UL;
   tf->codes[10829] = 0x0004f0ebfb162762UL;
   tf->codes[10830] = 0x0004f0fd981ae3a3UL;
   tf->codes[10831] = 0x0004f1038aa179a5UL;
   tf->codes[10832] = 0x0004f104e9fb9c43UL;
   tf->codes[10833] = 0x0004f10a2cd520f6UL;
   tf->codes[10834] = 0x0004f10b8c2f4394UL;
   tf->codes[10835] = 0x0004f111f3d3e520UL;
   tf->codes[10836] = 0x0004f118d0969236UL;
   tf->codes[10837] = 0x0004f11bc9d9dd37UL;
   tf->codes[10838] = 0x0004f12f00c7c1dbUL;
   tf->codes[10839] = 0x0004f150a0e811faUL;
   tf->codes[10840] = 0x0004f1548467740fUL;
   tf->codes[10841] = 0x0004f1556ea38b23UL;
   tf->codes[10842] = 0x0004f15cc08443c3UL;
   tf->codes[10843] = 0x0004f166968a3bdaUL;
   tf->codes[10844] = 0x0004f16a04eb9265UL;
   tf->codes[10845] = 0x0004f16fbce322a2UL;
   tf->codes[10846] = 0x0004f18577f646bdUL;
   tf->codes[10847] = 0x0004f18af55ed135UL;
   tf->codes[10848] = 0x0004f1bc5e0baf6dUL;
   tf->codes[10849] = 0x0004f1bd82d6cc46UL;
   tf->codes[10850] = 0x0004f1cc26983d86UL;
   tf->codes[10851] = 0x0004f1d846346f4fUL;
   tf->codes[10852] = 0x0004f1ffd8db5570UL;
   tf->codes[10853] = 0x0004f2051bb4da23UL;
   tf->codes[10854] = 0x0004f20b48ca75eaUL;
   tf->codes[10855] = 0x0004f20fa167e389UL;
   tf->codes[10856] = 0x0004f22bfeaeaef5UL;
   tf->codes[10857] = 0x0004f23cec0659e7UL;
   tf->codes[10858] = 0x0004f24144a3c786UL;
   tf->codes[10859] = 0x0004f24562b22f60UL;
   tf->codes[10860] = 0x0004f24d29b0f38aUL;
   tf->codes[10861] = 0x0004f25391559516UL;
   tf->codes[10862] = 0x0004f27272c19ff9UL;
   tf->codes[10863] = 0x0004f273d21bc297UL;
   tf->codes[10864] = 0x0004f277407d1922UL;
   tf->codes[10865] = 0x0004f286ce7aa176UL;
   tf->codes[10866] = 0x0004f28e205b5a16UL;
   tf->codes[10867] = 0x0004f291542daadcUL;
   tf->codes[10868] = 0x0004f29bd9e0b442UL;
   tf->codes[10869] = 0x0004f2b11fd5ccd3UL;
   tf->codes[10870] = 0x0004f2bffe2643d8UL;
   tf->codes[10871] = 0x0004f2cf1705c0a2UL;
   tf->codes[10872] = 0x0004f2d1260cf48fUL;
   tf->codes[10873] = 0x0004f2d2bff61cf2UL;
   tf->codes[10874] = 0x0004f2d4cefd50dfUL;
   tf->codes[10875] = 0x0004f2d5098c56a4UL;
   tf->codes[10876] = 0x0004f2d9279abe7eUL;
   tf->codes[10877] = 0x0004f2e71baf1e6fUL;
   tf->codes[10878] = 0x0004f2f1a16227d5UL;
   tf->codes[10879] = 0x0004f31934090df6UL;
   tf->codes[10880] = 0x0004f32eef1c3211UL;
   tf->codes[10881] = 0x0004f336b61af63bUL;
   tf->codes[10882] = 0x0004f345cefa7305UL;
   tf->codes[10883] = 0x0004f346098978caUL;
   tf->codes[10884] = 0x0004f349b279d51aUL;
   tf->codes[10885] = 0x0004f34d95f9372fUL;
   tf->codes[10886] = 0x0004f35e8350e221UL;
   tf->codes[10887] = 0x0004f393cf7d226eUL;
   tf->codes[10888] = 0x0004f39de012204aUL;
   tf->codes[10889] = 0x0004f3bf0b1464dfUL;
   tf->codes[10890] = 0x0004f3cb653f9c6dUL;
   tf->codes[10891] = 0x0004f3cd39b7ca95UL;
   tf->codes[10892] = 0x0004f3d3dbeb71e6UL;
   tf->codes[10893] = 0x0004f3df4bda9260UL;
   tf->codes[10894] = 0x0004f3f95f8b241aUL;
   tf->codes[10895] = 0x0004f3fabee546b8UL;
   tf->codes[10896] = 0x0004f3ff5211ba1cUL;
   tf->codes[10897] = 0x0004f4062ed46732UL;
   tf->codes[10898] = 0x0004f40a4ce2cf0cUL;
   tf->codes[10899] = 0x0004f42c9cb0307aUL;
   tf->codes[10900] = 0x0004f43acb539630UL;
   tf->codes[10901] = 0x0004f44675d1bc6fUL;
   tf->codes[10902] = 0x0004f4625dfa7c51UL;
   tf->codes[10903] = 0x0004f46815f20c8eUL;
   tf->codes[10904] = 0x0004f47a62a3da1eUL;
   tf->codes[10905] = 0x0004f48940f45123UL;
   tf->codes[10906] = 0x0004f49859d3cdedUL;
   tf->codes[10907] = 0x0004f4ad9fc8e67eUL;
   tf->codes[10908] = 0x0004f4b4b71a9959UL;
   tf->codes[10909] = 0x0004f4b4f1a99f1eUL;
   tf->codes[10910] = 0x0004f4c4ba362d37UL;
   tf->codes[10911] = 0x0004f4d35df79e77UL;
   tf->codes[10912] = 0x0004f4d915ef2eb4UL;
   tf->codes[10913] = 0x0004f4db9a146e2bUL;
   tf->codes[10914] = 0x0004f4e276d71b41UL;
   tf->codes[10915] = 0x0004f50e621b6f01UL;
   tf->codes[10916] = 0x0004f5141a12ff3eUL;
   tf->codes[10917] = 0x0004f5283b3cfaf6UL;
   tf->codes[10918] = 0x0004f52cce696e5aUL;
   tf->codes[10919] = 0x0004f53c21d7f0e9UL;
   tf->codes[10920] = 0x0004f53f1b1b3beaUL;
   tf->codes[10921] = 0x0004f543e8d6b513UL;
   tf->codes[10922] = 0x0004f56673331c46UL;
   tf->codes[10923] = 0x0004f573427c5f5eUL;
   tf->codes[10924] = 0x0004f57d53115d3aUL;
   tf->codes[10925] = 0x0004f58e7af80df1UL;
   tf->codes[10926] = 0x0004f59dce669080UL;
   tf->codes[10927] = 0x0004f5a88ea89fabUL;
   tf->codes[10928] = 0x0004f6040e21a37bUL;
   tf->codes[10929] = 0x0004f608dbdd1ca4UL;
   tf->codes[10930] = 0x0004f609c61933b8UL;
   tf->codes[10931] = 0x0004f614865b42e3UL;
   tf->codes[10932] = 0x0004f633a256538bUL;
   tf->codes[10933] = 0x0004f63ab9a80666UL;
   tf->codes[10934] = 0x0004f63bde73233fUL;
   tf->codes[10935] = 0x0004f6448fadfe7dUL;
   tf->codes[10936] = 0x0004f64713d33df4UL;
   tf->codes[10937] = 0x0004f65f187c9bc1UL;
   tf->codes[10938] = 0x0004f66f90b63b29UL;
   tf->codes[10939] = 0x0004f67841f11667UL;
   tf->codes[10940] = 0x0004f689def5d2a8UL;
   tf->codes[10941] = 0x0004f69a1ca06c4bUL;
   tf->codes[10942] = 0x0004f69bb68994aeUL;
   tf->codes[10943] = 0x0004f6a2934c41c4UL;
   tf->codes[10944] = 0x0004f6be40e5fbe1UL;
   tf->codes[10945] = 0x0004f6c64273c5d0UL;
   tf->codes[10946] = 0x0004f6d01879bde7UL;
   tf->codes[10947] = 0x0004f6d4aba6314bUL;
   tf->codes[10948] = 0x0004f6f8cfebc0e1UL;
   tf->codes[10949] = 0x0004f70e8afee4fcUL;
   tf->codes[10950] = 0x0004f71776c8c5ffUL;
   tf->codes[10951] = 0x0004f731155b4c2fUL;
   tf->codes[10952] = 0x0004f731ff976343UL;
   tf->codes[10953] = 0x0004f736cd52dc6cUL;
   tf->codes[10954] = 0x0004f740dde7da48UL;
   tf->codes[10955] = 0x0004f74277d102abUL;
   tf->codes[10956] = 0x0004f7532a99a7d8UL;
   tf->codes[10957] = 0x0004f75698fafe63UL;
   tf->codes[10958] = 0x0004f75f0fa6d3dcUL;
   tf->codes[10959] = 0x0004f767c0e1af1aUL;
   tf->codes[10960] = 0x0004f78a85cd1c12UL;
   tf->codes[10961] = 0x0004f798eeff878dUL;
   tf->codes[10962] = 0x0004f7bf224c4b10UL;
   tf->codes[10963] = 0x0004f7cf5ff6e4b3UL;
   tf->codes[10964] = 0x0004f7d084c2018cUL;
   tf->codes[10965] = 0x0004f7d0bf510751UL;
   tf->codes[10966] = 0x0004f7d84bc0c5b6UL;
   tf->codes[10967] = 0x0004f7e1378aa6b9UL;
   tf->codes[10968] = 0x0004f7e973a7766dUL;
   tf->codes[10969] = 0x0004f7ec325bbba9UL;
   tf->codes[10970] = 0x0004f80d22cefa79UL;
   tf->codes[10971] = 0x0004f81b5172602fUL;
   tf->codes[10972] = 0x0004f843ce555d64UL;
   tf->codes[10973] = 0x0004f84826f2cb03UL;
   tf->codes[10974] = 0x0004f84cf4ae442cUL;
   tf->codes[10975] = 0x0004f8702eb7bcaeUL;
   tf->codes[10976] = 0x0004f873d7a818feUL;
   tf->codes[10977] = 0x0004f89194490708UL;
   tf->codes[10978] = 0x0004f89368c13530UL;
   tf->codes[10979] = 0x0004f8a7c47a36adUL;
   tf->codes[10980] = 0x0004f8bd0a6f4f3eUL;
   tf->codes[10981] = 0x0004f8c630c83606UL;
   tf->codes[10982] = 0x0004f8c87a5e6fb8UL;
   tf->codes[10983] = 0x0004f8cbe8bfc643UL;
   tf->codes[10984] = 0x0004f8e796598060UL;
   tf->codes[10985] = 0x0004f8ea8f9ccb61UL;
   tf->codes[10986] = 0x0004f8ed4e51109dUL;
   tf->codes[10987] = 0x0004f9084c3db96bUL;
   tf->codes[10988] = 0x0004f908c15bc4f5UL;
   tf->codes[10989] = 0x0004f912d1f0c2d1UL;
   tf->codes[10990] = 0x0004f9164052195cUL;
   tf->codes[10991] = 0x0004f9301973a551UL;
   tf->codes[10992] = 0x0004f9590b74ae10UL;
   tf->codes[10993] = 0x0004f95b1a7be1fdUL;
   tf->codes[10994] = 0x0004f977b251b32eUL;
   tf->codes[10995] = 0x0004f979c158e71bUL;
   tf->codes[10996] = 0x0004f97aab94fe2fUL;
   tf->codes[10997] = 0x0004f989c4747af9UL;
   tf->codes[10998] = 0x0004f990dbc62dd4UL;
   tf->codes[10999] = 0x0004f99917e2fd88UL;
   tf->codes[11000] = 0x0004f9aed2f621a3UL;
   tf->codes[11001] = 0x0004f9b32b938f42UL;
   tf->codes[11002] = 0x0004f9b699f4e5cdUL;
   tf->codes[11003] = 0x0004f9c95bc4bee7UL;
   tf->codes[11004] = 0x0004f9d874a43bb1UL;
   tf->codes[11005] = 0x0004f9f128faaacdUL;
   tf->codes[11006] = 0x0004fa0bec584dd6UL;
   tf->codes[11007] = 0x0004fa1bb4e4dbefUL;
   tf->codes[11008] = 0x0004fa1dc3ec0fdcUL;
   tf->codes[11009] = 0x0004fa4297deb0c1UL;
   tf->codes[11010] = 0x0004fa4e425cd700UL;
   tf->codes[11011] = 0x0004fa4e7cebdcc5UL;
   tf->codes[11012] = 0x0004fa4eb77ae28aUL;
   tf->codes[11013] = 0x0004fa5768b5bdc8UL;
   tf->codes[11014] = 0x0004fa655cca1db9UL;
   tf->codes[11015] = 0x0004fa6bc46ebf45UL;
   tf->codes[11016] = 0x0004fa6fe27d271fUL;
   tf->codes[11017] = 0x0004fa91829d773eUL;
   tf->codes[11018] = 0x0004fa9c42df8669UL;
   tf->codes[11019] = 0x0004fab740cc2f37UL;
   tf->codes[11020] = 0x0004fabda870d0c3UL;
   tf->codes[11021] = 0x0004fabe581de212UL;
   tf->codes[11022] = 0x0004fad20429d240UL;
   tf->codes[11023] = 0x0004faef4bacb4c0UL;
   tf->codes[11024] = 0x0004faf27f7f0586UL;
   tf->codes[11025] = 0x0004fb033247aab3UL;
   tf->codes[11026] = 0x0004fb145a2e5b6aUL;
   tf->codes[11027] = 0x0004fb28b5e75ce7UL;
   tf->codes[11028] = 0x0004fb2b749ba223UL;
   tf->codes[11029] = 0x0004fb2d0e84ca86UL;
   tf->codes[11030] = 0x0004fb349af488ebUL;
   tf->codes[11031] = 0x0004fb412faec63eUL;
   tf->codes[11032] = 0x0004fb50f83b5457UL;
   tf->codes[11033] = 0x0004fb572550f01eUL;
   tf->codes[11034] = 0x0004fb5e3ca2a2f9UL;
   tf->codes[11035] = 0x0004fb71e8ae9327UL;
   tf->codes[11036] = 0x0004fb7bf9439103UL;
   tf->codes[11037] = 0x0004fb855a2b7d90UL;
   tf->codes[11038] = 0x0004fb87de50bd07UL;
   tf->codes[11039] = 0x0004fb91eee5bae3UL;
   tf->codes[11040] = 0x0004fb9313b0d7bcUL;
   tf->codes[11041] = 0x0004fb9682122e47UL;
   tf->codes[11042] = 0x0004fbb59e0d3eefUL;
   tf->codes[11043] = 0x0004fbbe89d71ff2UL;
   tf->codes[11044] = 0x0004fbc47c5db5f4UL;
   tf->codes[11045] = 0x0004fbcd682796f7UL;
   tf->codes[11046] = 0x0004fbd68e807dbfUL;
   tf->codes[11047] = 0x0004fbd82869a622UL;
   tf->codes[11048] = 0x0004fbde557f41e9UL;
   tf->codes[11049] = 0x0004fbde900e47aeUL;
   tf->codes[11050] = 0x0004fbdeca9d4d73UL;
   tf->codes[11051] = 0x0004fbf709d5b105UL;
   tf->codes[11052] = 0x0004fbf918dce4f2UL;
   tf->codes[11053] = 0x0004fc0747804aa8UL;
   tf->codes[11054] = 0x0004fc16605fc772UL;
   tf->codes[11055] = 0x0004fc18e48506e9UL;
   tf->codes[11056] = 0x0004fc1c8d756339UL;
   tf->codes[11057] = 0x0004fc416168041eUL;
   tf->codes[11058] = 0x0004fc4544e76633UL;
   tf->codes[11059] = 0x0004fc47195f945bUL;
   tf->codes[11060] = 0x0004fc483e2ab134UL;
   tf->codes[11061] = 0x0004fc4c96c81ed3UL;
   tf->codes[11062] = 0x0004fc59661161ebUL;
   tf->codes[11063] = 0x0004fc69a3bbfb8eUL;
   tf->codes[11064] = 0x0004fc6d4cac57deUL;
   tf->codes[11065] = 0x0004fc6f96429190UL;
   tf->codes[11066] = 0x0004fc92209ef8c3UL;
   tf->codes[11067] = 0x0004fc979e07833bUL;
   tf->codes[11068] = 0x0004fc9e05ac24c7UL;
   tf->codes[11069] = 0x0004fcb9b345dee4UL;
   tf->codes[11070] = 0x0004fcc13fb59d49UL;
   tf->codes[11071] = 0x0004fcc598530ae8UL;
   tf->codes[11072] = 0x0004fcc7323c334bUL;
   tf->codes[11073] = 0x0004fcd01e06144eUL;
   tf->codes[11074] = 0x0004fcf89ae91183UL;
   tf->codes[11075] = 0x0004fd07b3c88e4dUL;
   tf->codes[11076] = 0x0004fd3030ab8b82UL;
   tf->codes[11077] = 0x0004fd344eb9f35cUL;
   tf->codes[11078] = 0x0004fd4ffc53ad79UL;
   tf->codes[11079] = 0x0004fd5788c36bdeUL;
   tf->codes[11080] = 0x0004fd6a4a9344f8UL;
   tf->codes[11081] = 0x0004fd79d890cd4cUL;
   tf->codes[11082] = 0x0004fd8d849cbd7aUL;
   tf->codes[11083] = 0x0004fd9b78b11d6bUL;
   tf->codes[11084] = 0x0004fd9dc247571dUL;
   tf->codes[11085] = 0x0004fda5c3d5210cUL;
   tf->codes[11086] = 0x0004fda8f7a771d2UL;
   tf->codes[11087] = 0x0004fdb3f27886c2UL;
   tf->codes[11088] = 0x0004fdb7264ad788UL;
   tf->codes[11089] = 0x0004fdcdcb9a12b7UL;
   tf->codes[11090] = 0x0004fdd93b893331UL;
   tf->codes[11091] = 0x0004fdd9761838f6UL;
   tf->codes[11092] = 0x0004fde76a2c98e7UL;
   tf->codes[11093] = 0x0004fdfceab0b73dUL;
   tf->codes[11094] = 0x0004fe185dbb6b95UL;
   tf->codes[11095] = 0x0004fe1effef12e6UL;
   tf->codes[11096] = 0x0004fe28d5f50afdUL;
   tf->codes[11097] = 0x0004fe353020428bUL;
   tf->codes[11098] = 0x0004fe3b97c4e417UL;
   tf->codes[11099] = 0x0004fe3cf71f06b5UL;
   tf->codes[11100] = 0x0004fe4a3b865557UL;
   tf->codes[11101] = 0x0004fe58a4b8c0d2UL;
   tf->codes[11102] = 0x0004fe5bd88b1198UL;
   tf->codes[11103] = 0x0004fe5e5cb0510fUL;
   tf->codes[11104] = 0x0004fe653972fe25UL;
   tf->codes[11105] = 0x0004fe670deb2c4dUL;
   tf->codes[11106] = 0x0004fe72b869528cUL;
   tf->codes[11107] = 0x0004fe7452527aefUL;
   tf->codes[11108] = 0x0004fe903a7b3ad1UL;
   tf->codes[11109] = 0x0004fe9284117483UL;
   tf->codes[11110] = 0x0004fe945889a2abUL;
   tf->codes[11111] = 0x0004fed514a50372UL;
   tf->codes[11112] = 0x0004feea5a9a1c03UL;
   tf->codes[11113] = 0x0004feffdb1e3a59UL;
   tf->codes[11114] = 0x0004ff013a785cf7UL;
   tf->codes[11115] = 0x0004ff0d94a39485UL;
   tf->codes[11116] = 0x0004ff0fde39ce37UL;
   tf->codes[11117] = 0x0004ff15d0c06439UL;
   tf->codes[11118] = 0x0004ff190492b4ffUL;
   tf->codes[11119] = 0x0004ff1e0cdd33edUL;
   tf->codes[11120] = 0x0004ff4898c7650fUL;
   tf->codes[11121] = 0x0004ff4ddba0e9c2UL;
   tf->codes[11122] = 0x0004ff5617bdb976UL;
   tf->codes[11123] = 0x0004ff5c0a444f78UL;
   tf->codes[11124] = 0x0004ff9cc65fb03fUL;
   tf->codes[11125] = 0x0004ffb41b5bfcbdUL;
   tf->codes[11126] = 0x0004ffb9d3538cfaUL;
   tf->codes[11127] = 0x0004ffdc983ef9f2UL;
   tf->codes[11128] = 0x0004ffed1078995aUL;
   tf->codes[11129] = 0x0005001294184b8eUL;
   tf->codes[11130] = 0x000500172744bef2UL;
   tf->codes[11131] = 0x0005001a208809f3UL;
   tf->codes[11132] = 0x00050031b0135c36UL;
   tf->codes[11133] = 0x0005003c35c6659cUL;
   tf->codes[11134] = 0x0005004387a71e3cUL;
   tf->codes[11135] = 0x0005005d2639a46cUL;
   tf->codes[11136] = 0x000500685b99bf21UL;
   tf->codes[11137] = 0x000500785eb552ffUL;
   tf->codes[11138] = 0x0005007da18ed7b2UL;
   tf->codes[11139] = 0x0005007e8bcaeec6UL;
   tf->codes[11140] = 0x0005008cba6e547cUL;
   tf->codes[11141] = 0x0005009655e546ceUL;
   tf->codes[11142] = 0x0005009d32a7f3e4UL;
   tf->codes[11143] = 0x000500d3a39f510aUL;
   tf->codes[11144] = 0x000500d5b2a684f7UL;
   tf->codes[11145] = 0x000500dabaf103e5UL;
   tf->codes[11146] = 0x000500e24760c24aUL;
   tf->codes[11147] = 0x000500f03b75223bUL;
   tf->codes[11148] = 0x000500fb70d53cf0UL;
   tf->codes[11149] = 0x000500fd454d6b18UL;
   tf->codes[11150] = 0x000500fd7fdc70ddUL;
   tf->codes[11151] = 0x000500fdba6b76a2UL;
   tf->codes[11152] = 0x00050101d879de7cUL;
   tf->codes[11153] = 0x000501071b53632fUL;
   tf->codes[11154] = 0x0005010afed2c544UL;
   tf->codes[11155] = 0x0005010b73f0d0ceUL;
   tf->codes[11156] = 0x00050110b6ca5581UL;
   tf->codes[11157] = 0x00050111db95725aUL;
   tf->codes[11158] = 0x0005011250b37de4UL;
   tf->codes[11159] = 0x00050120b9e5e95fUL;
   tf->codes[11160] = 0x0005013674f90d7aUL;
   tf->codes[11161] = 0x0005013c677fa37cUL;
   tf->codes[11162] = 0x0005014309b34acdUL;
   tf->codes[11163] = 0x0005014eb431710cUL;
   tf->codes[11164] = 0x000501513856b083UL;
   tf->codes[11165] = 0x0005015381ecea35UL;
   tf->codes[11166] = 0x00050158ff5574adUL;
   tf->codes[11167] = 0x0005015b837ab424UL;
   tf->codes[11168] = 0x0005016225ae5b75UL;
   tf->codes[11169] = 0x0005016d207f7065UL;
   tf->codes[11170] = 0x0005017646d8572dUL;
   tf->codes[11171] = 0x000501acb7cfb453UL;
   tf->codes[11172] = 0x000501b1c01a3341UL;
   tf->codes[11173] = 0x000501b4b95d7e42UL;
   tf->codes[11174] = 0x000501bb96202b58UL;
   tf->codes[11175] = 0x000501c14e17bb95UL;
   tf->codes[11176] = 0x000501ce1d60feadUL;
   tf->codes[11177] = 0x000501d23b6f6687UL;
   tf->codes[11178] = 0x000501dfba65baeeUL;
   tf->codes[11179] = 0x000501dff4f4c0b3UL;
   tf->codes[11180] = 0x000501e36356173eUL;
   tf->codes[11181] = 0x000501eb9f72e6f2UL;
   tf->codes[11182] = 0x000501ef0dd43d7dUL;
   tf->codes[11183] = 0x000501f0a7bd65e0UL;
   tf->codes[11184] = 0x000501f5005ad37fUL;
   tf->codes[11185] = 0x0005020d3f933711UL;
   tf->codes[11186] = 0x00050213a737d89dUL;
   tf->codes[11187] = 0x0005022d0b3b5908UL;
   tf->codes[11188] = 0x000502399ff5965bUL;
   tf->codes[11189] = 0x0005023df89303faUL;
   tf->codes[11190] = 0x000502446037a586UL;
   tf->codes[11191] = 0x0005024ee5eaaeecUL;
   tf->codes[11192] = 0x000502516a0fee63UL;
   tf->codes[11193] = 0x0005025303f916c6UL;
   tf->codes[11194] = 0x00050279ac63e5d3UL;
   tf->codes[11195] = 0x0005028a5f2c8b00UL;
   tf->codes[11196] = 0x0005028c33a4b928UL;
   tf->codes[11197] = 0x000502931067663eUL;
   tf->codes[11198] = 0x000502967ec8bcc9UL;
   tf->codes[11199] = 0x0005029ce66d5e55UL;
   tf->codes[11200] = 0x000502be868dae74UL;
   tf->codes[11201] = 0x000502cae0b8e602UL;
   tf->codes[11202] = 0x000502d4b6bede19UL;
   tf->codes[11203] = 0x000502e0d65b0fe2UL;
   tf->codes[11204] = 0x000502f14e94af4aUL;
   tf->codes[11205] = 0x000502f1c3b2bad4UL;
   tf->codes[11206] = 0x000502f7b63950d6UL;
   tf->codes[11207] = 0x000502faaf7c9bd7UL;
   tf->codes[11208] = 0x000502fb249aa761UL;
   tf->codes[11209] = 0x000502fde34eec9dUL;
   tf->codes[11210] = 0x00050301c6ce4eb2UL;
   tf->codes[11211] = 0x00050312eeb4ff69UL;
   tf->codes[11212] = 0x000503144e0f2207UL;
   tf->codes[11213] = 0x000503195659a0f5UL;
   tf->codes[11214] = 0x0005032e61bfb3c1UL;
   tf->codes[11215] = 0x000503320ab01011UL;
   tf->codes[11216] = 0x00050333df283e39UL;
   tf->codes[11217] = 0x000503487570457bUL;
   tf->codes[11218] = 0x000503583dfcd394UL;
   tf->codes[11219] = 0x0005035d80d65847UL;
   tf->codes[11220] = 0x0005036d4962e660UL;
   tf->codes[11221] = 0x0005036f1ddb1488UL;
   tf->codes[11222] = 0x00050372c6cb70d8UL;
   tf->codes[11223] = 0x000503ce0bb56ee3UL;
   tf->codes[11224] = 0x000503daa06fac36UL;
   tf->codes[11225] = 0x000503dd5f23f172UL;
   tf->codes[11226] = 0x000503dfa8ba2b24UL;
   tf->codes[11227] = 0x000503ec78036e3cUL;
   tf->codes[11228] = 0x000503ecb2927401UL;
   tf->codes[11229] = 0x000503ed9cce8b15UL;
   tf->codes[11230] = 0x000503eec199a7eeUL;
   tf->codes[11231] = 0x000503f563cd4f3fUL;
   tf->codes[11232] = 0x000503fc0600f690UL;
   tf->codes[11233] = 0x000504114bf60f21UL;
   tf->codes[11234] = 0x00050412e5df3784UL;
   tf->codes[11235] = 0x0005041a724ef5e9UL;
   tf->codes[11236] = 0x0005042c49e2b7efUL;
   tf->codes[11237] = 0x00050432b187597bUL;
   tf->codes[11238] = 0x0005043d373a62e1UL;
   tf->codes[11239] = 0x0005043dac586e6bUL;
   tf->codes[11240] = 0x0005044747cf60bdUL;
   tf->codes[11241] = 0x0005044a7ba1b183UL;
   tf->codes[11242] = 0x0005045208116fe8UL;
   tf->codes[11243] = 0x0005045d78009062UL;
   tf->codes[11244] = 0x00050471d3b991dfUL;
   tf->codes[11245] = 0x000504757ca9ee2fUL;
   tf->codes[11246] = 0x0005047f52afe646UL;
   tf->codes[11247] = 0x00050495f7ff2175UL;
   tf->codes[11248] = 0x0005049a8b2b94d9UL;
   tf->codes[11249] = 0x0005049d846edfdaUL;
   tf->codes[11250] = 0x000504ab3df43a06UL;
   tf->codes[11251] = 0x000504ad4cfb6df3UL;
   tf->codes[11252] = 0x000504b5c3a7436cUL;
   tf->codes[11253] = 0x000504bf5f1e35beUL;
   tf->codes[11254] = 0x000504c63be0e2d4UL;
   tf->codes[11255] = 0x000504c6b0feee5eUL;
   tf->codes[11256] = 0x000504d63efc76b2UL;
   tf->codes[11257] = 0x000504da9799e451UL;
   tf->codes[11258] = 0x000504dd564e298dUL;
   tf->codes[11259] = 0x000504dd90dd2f52UL;
   tf->codes[11260] = 0x000504e975ea5b56UL;
   tf->codes[11261] = 0x000504ee7e34da44UL;
   tf->codes[11262] = 0x0005050caff3d3d8UL;
   tf->codes[11263] = 0x0005050d5fa0e527UL;
   tf->codes[11264] = 0x0005051e12698a54UL;
   tf->codes[11265] = 0x0005052d2b49071eUL;
   tf->codes[11266] = 0x0005052ddaf6186dUL;
   tf->codes[11267] = 0x00050540d754f74cUL;
   tf->codes[11268] = 0x0005054cbc622350UL;
   tf->codes[11269] = 0x0005054ecb69573dUL;
   tf->codes[11270] = 0x00050552e977bf17UL;
   tf->codes[11271] = 0x000505695437f481UL;
   tf->codes[11272] = 0x0005056a03e505d0UL;
   tf->codes[11273] = 0x0005056b28b022a9UL;
   tf->codes[11274] = 0x0005056bd85d33f8UL;
   tf->codes[11275] = 0x0005056d37b75696UL;
   tf->codes[11276] = 0x0005057364ccf25dUL;
   tf->codes[11277] = 0x0005057f49da1e61UL;
   tf->codes[11278] = 0x0005059838bf9342UL;
   tf->codes[11279] = 0x0005059f8aa04be2UL;
   tf->codes[11280] = 0x000505b336ac3c10UL;
   tf->codes[11281] = 0x000505c0408484edUL;
   tf->codes[11282] = 0x000505d28d36527dUL;
   tf->codes[11283] = 0x000505ebb6aacd23UL;
   tf->codes[11284] = 0x000505f601ced0c4UL;
   tf->codes[11285] = 0x000505fa5a6c3e63UL;
   tf->codes[11286] = 0x00050604a5904204UL;
   tf->codes[11287] = 0x000506058fcc5918UL;
   tf->codes[11288] = 0x00050609734bbb2dUL;
   tf->codes[11289] = 0x00050609e869c6b7UL;
   tf->codes[11290] = 0x000506151dc9e16cUL;
   tf->codes[11291] = 0x0005062c72c62deaUL;
   tf->codes[11292] = 0x0005063a66da8ddbUL;
   tf->codes[11293] = 0x000506490a9bff1bUL;
   tf->codes[11294] = 0x0005066b94f8664eUL;
   tf->codes[11295] = 0x0005068f441fea5aUL;
   tf->codes[11296] = 0x000506a86d946500UL;
   tf->codes[11297] = 0x000506ad00c0d864UL;
   tf->codes[11298] = 0x000506d15f956dbfUL;
   tf->codes[11299] = 0x000506dd0a1393feUL;
   tf->codes[11300] = 0x000506ebadd5053eUL;
   tf->codes[11301] = 0x000506f8428f4291UL;
   tf->codes[11302] = 0x0005071e00bdfa8aUL;
   tf->codes[11303] = 0x00050741755678d1UL;
   tf->codes[11304] = 0x0005074901c63736UL;
   tf->codes[11305] = 0x0005078c7c95dd39UL;
   tf->codes[11306] = 0x0005078d2c42ee88UL;
   tf->codes[11307] = 0x0005078e8b9d1126UL;
   tf->codes[11308] = 0x00050794f341b2b2UL;
   tf->codes[11309] = 0x000507994bdf2051UL;
   tf->codes[11310] = 0x000507ba76e164e6UL;
   tf->codes[11311] = 0x000507cf47b871edUL;
   tf->codes[11312] = 0x000507d41573eb16UL;
   tf->codes[11313] = 0x000507d70eb73617UL;
   tf->codes[11314] = 0x000507e5b278a757UL;
   tf->codes[11315] = 0x000507f714ee5dd3UL;
   tf->codes[11316] = 0x000507fa48c0ae99UL;
   tf->codes[11317] = 0x000507fb32fcc5adUL;
   tf->codes[11318] = 0x000507fbe2a9d6fcUL;
   tf->codes[11319] = 0x000507fe66cf1673UL;
   tf->codes[11320] = 0x00050808b1f31a14UL;
   tf->codes[11321] = 0x00050829a26658e4UL;
   tf->codes[11322] = 0x000508458a8f18c6UL;
   tf->codes[11323] = 0x00050849a89d80a0UL;
   tf->codes[11324] = 0x0005085d54a970ceUL;
   tf->codes[11325] = 0x0005086d57c504acUL;
   tf->codes[11326] = 0x000508730fbc94e9UL;
   tf->codes[11327] = 0x0005088437a345a0UL;
   tf->codes[11328] = 0x0005088bc4130405UL;
   tf->codes[11329] = 0x0005089315f3bca5UL;
   tf->codes[11330] = 0x000508955f89f657UL;
   tf->codes[11331] = 0x0005089858cd4158UL;
   tf->codes[11332] = 0x000508b9f8ed9177UL;
   tf->codes[11333] = 0x000508c1103f4452UL;
   tf->codes[11334] = 0x000508d272b4faceUL;
   tf->codes[11335] = 0x000508d35cf111e2UL;
   tf->codes[11336] = 0x000508df41fe3de6UL;
   tf->codes[11337] = 0x000508e0dbe76649UL;
   tf->codes[11338] = 0x000508f1c93f113bUL;
   tf->codes[11339] = 0x000508f830e3b2c7UL;
   tf->codes[11340] = 0x00050908e3ac57f4UL;
   tf->codes[11341] = 0x000509091e3b5db9UL;
   tf->codes[11342] = 0x0005092ccd62e1c5UL;
   tf->codes[11343] = 0x0005094805de9058UL;
   tf->codes[11344] = 0x000509696b6fdab2UL;
   tf->codes[11345] = 0x0005096c2a241feeUL;
   tf->codes[11346] = 0x000509bbc48ff7baUL;
   tf->codes[11347] = 0x000509be0e26316cUL;
   tf->codes[11348] = 0x000509c0ccda76a8UL;
   tf->codes[11349] = 0x000509c9b8a457abUL;
   tf->codes[11350] = 0x000509d7e747bd61UL;
   tf->codes[11351] = 0x000509f185da4391UL;
   tf->codes[11352] = 0x00050a0aaf4ebe37UL;
   tf->codes[11353] = 0x00050a15aa1fd327UL;
   tf->codes[11354] = 0x00050a1b27885d9fUL;
   tf->codes[11355] = 0x00050a4ccac4419cUL;
   tf->codes[11356] = 0x00050a4d7a7152ebUL;
   tf->codes[11357] = 0x00050a4f897886d8UL;
   tf->codes[11358] = 0x00050a51987fbac5UL;
   tf->codes[11359] = 0x00050a562bac2e29UL;
   tf->codes[11360] = 0x00050a583ab36216UL;
   tf->codes[11361] = 0x00050a5be3a3be66UL;
   tf->codes[11362] = 0x00050a6285d765b7UL;
   tf->codes[11363] = 0x00050a6df5c68631UL;
   tf->codes[11364] = 0x00050a7dbe53144aUL;
   tf->codes[11365] = 0x00050a7e33711fd4UL;
   tf->codes[11366] = 0x00050a83764aa487UL;
   tf->codes[11367] = 0x00050a95134f60c8UL;
   tf->codes[11368] = 0x00050a9b7af40254UL;
   tf->codes[11369] = 0x00050ace086bfd65UL;
   tf->codes[11370] = 0x00050af1427575e7UL;
   tf->codes[11371] = 0x00050b0095e3f876UL;
   tf->codes[11372] = 0x00050b105e70868fUL;
   tf->codes[11373] = 0x00050b139242d755UL;
   tf->codes[11374] = 0x00050b1d6848cf6cUL;
   tf->codes[11375] = 0x00050b2b5c5d2f5dUL;
   tf->codes[11376] = 0x00050b2d30d55d85UL;
   tf->codes[11377] = 0x00050b35e21038c3UL;
   tf->codes[11378] = 0x00050b4de6b99690UL;
   tf->codes[11379] = 0x00050b54c37c43a6UL;
   tf->codes[11380] = 0x00050b57bcbf8ea7UL;
   tf->codes[11381] = 0x00050b703686f7feUL;
   tf->codes[11382] = 0x00050b732fca42ffUL;
   tf->codes[11383] = 0x00050b748f24659dUL;
   tf->codes[11384] = 0x00050b7ccb413551UL;
   tf->codes[11385] = 0x00050b84923ff97bUL;
   tf->codes[11386] = 0x00050b85f19a1c19UL;
   tf->codes[11387] = 0x00050b8db898e043UL;
   tf->codes[11388] = 0x00050b93e5ae7c0aUL;
   tf->codes[11389] = 0x00050b957f97a46dUL;
   tf->codes[11390] = 0x00050ba9a0c1a025UL;
   tf->codes[11391] = 0x00050bbbb2e467f0UL;
   tf->codes[11392] = 0x00050bc21a89097cUL;
   tf->codes[11393] = 0x00050bcd155a1e6cUL;
   tf->codes[11394] = 0x00050bd25833a31fUL;
   tf->codes[11395] = 0x00050bd6b0d110beUL;
   tf->codes[11396] = 0x00050bd7d59c2d97UL;
   tf->codes[11397] = 0x00050bde77cfd4e8UL;
   tf->codes[11398] = 0x00050bdf277ce637UL;
   tf->codes[11399] = 0x00050bee405c6301UL;
   tf->codes[11400] = 0x00050bffa2d2197dUL;
   tf->codes[11401] = 0x00050c093e490bcfUL;
   tf->codes[11402] = 0x00050c16482154acUL;
   tf->codes[11403] = 0x00050c2c78528451UL;
   tf->codes[11404] = 0x00050c309660ec2bUL;
   tf->codes[11405] = 0x00050c3613c976a3UL;
   tf->codes[11406] = 0x00050c3822d0aa90UL;
   tf->codes[11407] = 0x00050c4ec81fe5bfUL;
   tf->codes[11408] = 0x00050c53d06a64adUL;
   tf->codes[11409] = 0x00050c54baa67bc1UL;
   tf->codes[11410] = 0x00050c6b9a84bcb5UL;
   tf->codes[11411] = 0x00050c76cfe4d76aUL;
   tf->codes[11412] = 0x00050c865de25fbeUL;
   tf->codes[11413] = 0x00050c8a4161c1d3UL;
   tf->codes[11414] = 0x00050cb15eea9c6aUL;
   tf->codes[11415] = 0x00050cb492bced30UL;
   tf->codes[11416] = 0x00050cc6a4dfb4fbUL;
   tf->codes[11417] = 0x00050cc99e22fffcUL;
   tf->codes[11418] = 0x00050ccafd7d229aUL;
   tf->codes[11419] = 0x00050ccd81a26211UL;
   tf->codes[11420] = 0x00050cd632dd3d4fUL;
   tf->codes[11421] = 0x00050cd757a85a28UL;
   tf->codes[11422] = 0x00050cd966af8e15UL;
   tf->codes[11423] = 0x00050ce9dee92d7dUL;
   tf->codes[11424] = 0x00050cef5c51b7f5UL;
   tf->codes[11425] = 0x00050cf1a5e7f1a7UL;
   tf->codes[11426] = 0x00050cfacc40d86fUL;
   tf->codes[11427] = 0x00050d03f299bf37UL;
   tf->codes[11428] = 0x00050d09357343eaUL;
   tf->codes[11429] = 0x00050d0cde63a03aUL;
   tf->codes[11430] = 0x00050d0dc89fb74eUL;
   tf->codes[11431] = 0x00050d326203526eUL;
   tf->codes[11432] = 0x00050d49b6ff9eecUL;
   tf->codes[11433] = 0x00050d5efcf4b77dUL;
   tf->codes[11434] = 0x00050d7cb995a587UL;
   tf->codes[11435] = 0x00050d7e8e0dd3afUL;
   tf->codes[11436] = 0x00050d840b765e27UL;
   tf->codes[11437] = 0x00050d8e9129678dUL;
   tf->codes[11438] = 0x00050d8fb5f48466UL;
   tf->codes[11439] = 0x00050d9a76369391UL;
   tf->codes[11440] = 0x00050d9cfa5bd308UL;
   tf->codes[11441] = 0x00050d9eced40130UL;
   tf->codes[11442] = 0x00050dae224283bfUL;
   tf->codes[11443] = 0x00050db190a3da4aUL;
   tf->codes[11444] = 0x00050dc45273b364UL;
   tf->codes[11445] = 0x00050dc50220c4b3UL;
   tf->codes[11446] = 0x00050dd5ef786fa5UL;
   tf->codes[11447] = 0x00050de6dcd01a97UL;
   tf->codes[11448] = 0x00050df78f98bfc4UL;
   tf->codes[11449] = 0x00050dfafdfa164fUL;
   tf->codes[11450] = 0x00050e050e8f142bUL;
   tf->codes[11451] = 0x00050e09a1bb878fUL;
   tf->codes[11452] = 0x00050e16ab93d06cUL;
   tf->codes[11453] = 0x00050e16e622d631UL;
   tf->codes[11454] = 0x00050e3a5abb5478UL;
   tf->codes[11455] = 0x00050e41e72b12ddUL;
   tf->codes[11456] = 0x00050e4c6cde1c43UL;
   tf->codes[11457] = 0x00050e551e18f781UL;
   tf->codes[11458] = 0x00050e559337030bUL;
   tf->codes[11459] = 0x00050e5b4b2e9348UL;
   tf->codes[11460] = 0x00050e66f5acb987UL;
   tf->codes[11461] = 0x00050e69eef00488UL;
   tf->codes[11462] = 0x00050e6a9e9d15d7UL;
   tf->codes[11463] = 0x00050e709123abd9UL;
   tf->codes[11464] = 0x00050e8561fab8e0UL;
   tf->codes[11465] = 0x00050e8aa4d43d93UL;
   tf->codes[11466] = 0x00050e931b80130cUL;
   tf->codes[11467] = 0x00050e95da345848UL;
   tf->codes[11468] = 0x00050e97398e7ae6UL;
   tf->codes[11469] = 0x00050eb5a5dc7a3fUL;
   tf->codes[11470] = 0x00050eb73fc5a2a2UL;
   tf->codes[11471] = 0x00050ebae8b5fef2UL;
   tf->codes[11472] = 0x00050ec35f61d46bUL;
   tf->codes[11473] = 0x00050ec4f94afcceUL;
   tf->codes[11474] = 0x00050ef41861a154UL;
   tf->codes[11475] = 0x00050efe9e14aabaUL;
   tf->codes[11476] = 0x00050f283fc2c4c8UL;
   tf->codes[11477] = 0x00050f428e025c47UL;
   tf->codes[11478] = 0x00050f580e867a9dUL;
   tf->codes[11479] = 0x00050f6677b8e618UL;
   tf->codes[11480] = 0x00050f6b45745f41UL;
   tf->codes[11481] = 0x00050f7e0744385bUL;
   tf->codes[11482] = 0x00050f808b6977d2UL;
   tf->codes[11483] = 0x00050f8902154d4bUL;
   tf->codes[11484] = 0x00050f94e722794fUL;
   tf->codes[11485] = 0x00050f9e480a65dcUL;
   tf->codes[11486] = 0x00050fba303325beUL;
   tf->codes[11487] = 0x00050fca334eb99cUL;
   tf->codes[11488] = 0x00050fcddc3f15ecUL;
   tf->codes[11489] = 0x00050fd234dc838bUL;
   tf->codes[11490] = 0x00050fdfee61ddb7UL;
   tf->codes[11491] = 0x00050ff98cf463e7UL;
   tf->codes[11492] = 0x00050ffa77307afbUL;
   tf->codes[11493] = 0x00050fff44ebf424UL;
   tf->codes[11494] = 0x0005100c4ec43d01UL;
   tf->codes[11495] = 0x000510545cc05668UL;
   tf->codes[11496] = 0x0005105546fc6d7cUL;
   tf->codes[11497] = 0x0005107c29f6424eUL;
   tf->codes[11498] = 0x0005108e76a80fdeUL;
   tf->codes[11499] = 0x000510925a2771f3UL;
   tf->codes[11500] = 0x000510a97494b8acUL;
   tf->codes[11501] = 0x000510c13eaf10b4UL;
   tf->codes[11502] = 0x000510c9b55ae62dUL;
   tf->codes[11503] = 0x000510e4edd694c0UL;
   tf->codes[11504] = 0x000510ec7a465325UL;
   tf->codes[11505] = 0x000510f4b66322d9UL;
   tf->codes[11506] = 0x000511014b1d602cUL;
   tf->codes[11507] = 0x00051104f40dbc7cUL;
   tf->codes[11508] = 0x00051118658aa6e5UL;
   tf->codes[11509] = 0x0005112bd707914eUL;
   tf->codes[11510] = 0x00051137f6a3c317UL;
   tf->codes[11511] = 0x0005113aefe70e18UL;
   tf->codes[11512] = 0x0005114032c092cbUL;
   tf->codes[11513] = 0x000511470f833fe1UL;
   tf->codes[11514] = 0x0005114cc77ad01eUL;
   tf->codes[11515] = 0x0005115120183dbdUL;
   tf->codes[11516] = 0x0005116a0efdb29eUL;
   tf->codes[11517] = 0x00051176de46f5b6UL;
   tf->codes[11518] = 0x0005117a1219467cUL;
   tf->codes[11519] = 0x0005117afc555d90UL;
   tf->codes[11520] = 0x0005118b39fff733UL;
   tf->codes[11521] = 0x0005118ea8614dbeUL;
   tf->codes[11522] = 0x000511b1e26ac640UL;
   tf->codes[11523] = 0x000511c4dec9a51fUL;
   tf->codes[11524] = 0x000511d88ad5954dUL;
   tf->codes[11525] = 0x000511e3fac4b5c7UL;
   tf->codes[11526] = 0x000511f9f066dfa7UL;
   tf->codes[11527] = 0x0005120efbccf273UL;
   tf->codes[11528] = 0x0005120f70eafdfdUL;
   tf->codes[11529] = 0x0005122c7ddedab8UL;
   tf->codes[11530] = 0x0005124c84160274UL;
   tf->codes[11531] = 0x0005125485a3cc63UL;
   tf->codes[11532] = 0x0005125e9638ca3fUL;
   tf->codes[11533] = 0x0005126363f44368UL;
   tf->codes[11534] = 0x0005127500f8ffa9UL;
   tf->codes[11535] = 0x0005127710003396UL;
   tf->codes[11536] = 0x0005127f118dfd85UL;
   tf->codes[11537] = 0x0005127f4c1d034aUL;
   tf->codes[11538] = 0x00051283df4976aeUL;
   tf->codes[11539] = 0x0005129123b0c550UL;
   tf->codes[11540] = 0x000512abac7f6294UL;
   tf->codes[11541] = 0x000512b2c3d1156fUL;
   tf->codes[11542] = 0x000512b71c6e830eUL;
   tf->codes[11543] = 0x000512c96920509eUL;
   tf->codes[11544] = 0x000512dcda9d3b07UL;
   tf->codes[11545] = 0x000512de7486636aUL;
   tf->codes[11546] = 0x000512e725c13ea8UL;
   tf->codes[11547] = 0x000512f220925398UL;
   tf->codes[11548] = 0x000512f728dcd286UL;
   tf->codes[11549] = 0x0005130e08bb137aUL;
   tf->codes[11550] = 0x00051311ec3a758fUL;
   tf->codes[11551] = 0x0005131978aa33f4UL;
   tf->codes[11552] = 0x0005131e4665ad1dUL;
   tf->codes[11553] = 0x0005132adb1fea70UL;
   tf->codes[11554] = 0x00051336859e10afUL;
   tf->codes[11555] = 0x00051344eed07c2aUL;
   tf->codes[11556] = 0x0005134cf05e4619UL;
   tf->codes[11557] = 0x00051354f1ec1008UL;
   tf->codes[11558] = 0x000513689df80036UL;
   tf->codes[11559] = 0x0005138bd80178b8UL;
   tf->codes[11560] = 0x000513aba3a99aafUL;
   tf->codes[11561] = 0x000513b788b6c6b3UL;
   tf->codes[11562] = 0x000513d4208c97e4UL;
   tf->codes[11563] = 0x000513d57fe6ba82UL;
   tf->codes[11564] = 0x000513d6a4b1d75bUL;
   tf->codes[11565] = 0x000513de6bb09b85UL;
   tf->codes[11566] = 0x000513dee0cea70fUL;
   tf->codes[11567] = 0x000513e498c6374cUL;
   tf->codes[11568] = 0x000513f54b8edc79UL;
   tf->codes[11569] = 0x000514137d4dd60dUL;
   tf->codes[11570] = 0x000514501b5acefaUL;
   tf->codes[11571] = 0x0005145055e9d4bfUL;
   tf->codes[11572] = 0x000514617dd08576UL;
   tf->codes[11573] = 0x00051465d66df315UL;
   tf->codes[11574] = 0x00051469f47c5aefUL;
   tf->codes[11575] = 0x0005146e87a8ce53UL;
   tf->codes[11576] = 0x0005146ec237d418UL;
   tf->codes[11577] = 0x000514785daec66aUL;
   tf->codes[11578] = 0x000514956aa2a325UL;
   tf->codes[11579] = 0x00051496c9fcc5c3UL;
   tf->codes[11580] = 0x000514973f1ad14dUL;
   tf->codes[11581] = 0x0005149f06199577UL;
   tf->codes[11582] = 0x000514b86a1d15e2UL;
   tf->codes[11583] = 0x000514c573f55ebfUL;
   tf->codes[11584] = 0x000514c70dde8722UL;
   tf->codes[11585] = 0x000514c782fc92acUL;
   tf->codes[11586] = 0x000514f0ea1ba6f5UL;
   tf->codes[11587] = 0x0005150f1bdaa089UL;
   tf->codes[11588] = 0x0005152eacf3bcbbUL;
   tf->codes[11589] = 0x0005153514985e47UL;
   tf->codes[11590] = 0x0005153c2bea1122UL;
   tf->codes[11591] = 0x0005153eb00f5099UL;
   tf->codes[11592] = 0x00051544dd24ec60UL;
   tf->codes[11593] = 0x0005154e789bdeb2UL;
   tf->codes[11594] = 0x0005156224a7cee0UL;
   tf->codes[11595] = 0x00051565587a1fa6UL;
   tf->codes[11596] = 0x0005156b858fbb6dUL;
   tf->codes[11597] = 0x0005156e7ed3066eUL;
   tf->codes[11598] = 0x000515708dda3a5bUL;
   tf->codes[11599] = 0x00051577300de1acUL;
   tf->codes[11600] = 0x0005158648ed5e76UL;
   tf->codes[11601] = 0x0005158dd55d1cdbUL;
   tf->codes[11602] = 0x0005158f34b73f79UL;
   tf->codes[11603] = 0x00051590cea067dcUL;
   tf->codes[11604] = 0x0005159a2f885469UL;
   tf->codes[11605] = 0x0005159b8ee27707UL;
   tf->codes[11606] = 0x000515abcc8d10aaUL;
   tf->codes[11607] = 0x000515b408a9e05eUL;
   tf->codes[11608] = 0x000515b4b856f1adUL;
   tf->codes[11609] = 0x000515bf037af54eUL;
   tf->codes[11610] = 0x000515c2e6fa5763UL;
   tf->codes[11611] = 0x000515e5e674ca20UL;
   tf->codes[11612] = 0x000515f783798661UL;
   tf->codes[11613] = 0x000515fa079ec5d8UL;
   tf->codes[11614] = 0x0005161df1554fa9UL;
   tf->codes[11615] = 0x0005162f53cb0625UL;
   tf->codes[11616] = 0x00051632127f4b61UL;
   tf->codes[11617] = 0x000516366b1cb900UL;
   tf->codes[11618] = 0x000516378fe7d5d9UL;
   tf->codes[11619] = 0x0005165d88a59397UL;
   tf->codes[11620] = 0x0005166d16a31bebUL;
   tf->codes[11621] = 0x0005167dc96bc118UL;
   tf->codes[11622] = 0x0005168e07165abbUL;
   tf->codes[11623] = 0x0005169608a424aaUL;
   tf->codes[11624] = 0x000516988cc96421UL;
   tf->codes[11625] = 0x000516b43a631e3eUL;
   tf->codes[11626] = 0x000516c68714ebceUL;
   tf->codes[11627] = 0x000516cceeb98d5aUL;
   tf->codes[11628] = 0x000516cdd8f5a46eUL;
   tf->codes[11629] = 0x000516d10cc7f534UL;
   tf->codes[11630] = 0x000516d7aefb9c85UL;
   tf->codes[11631] = 0x000516de16a03e11UL;
   tf->codes[11632] = 0x000516e35979c2c4UL;
   tf->codes[11633] = 0x000516f61b499bdeUL;
   tf->codes[11634] = 0x000516f82a50cfcbUL;
   tf->codes[11635] = 0x000517018b38bc58UL;
   tf->codes[11636] = 0x0005170c4b7acb83UL;
   tf->codes[11637] = 0x000517127890674aUL;
   tf->codes[11638] = 0x0005171de87f87c4UL;
   tf->codes[11639] = 0x000517332e74a055UL;
   tf->codes[11640] = 0x0005173fc32edda8UL;
   tf->codes[11641] = 0x00051753a9c9d39bUL;
   tf->codes[11642] = 0x00051757c7d83b75UL;
   tf->codes[11643] = 0x0005176fcc819942UL;
   tf->codes[11644] = 0x000517745fae0ca6UL;
   tf->codes[11645] = 0x00051775f9973509UL;
   tf->codes[11646] = 0x0005177a5234a2a8UL;
   tf->codes[11647] = 0x0005177bb18ec546UL;
   tf->codes[11648] = 0x000517bb0e50036fUL;
   tf->codes[11649] = 0x000517bd57e63d21UL;
   tf->codes[11650] = 0x000517c3bf8adeadUL;
   tf->codes[11651] = 0x000517c60921185fUL;
   tf->codes[11652] = 0x000517cc3636b426UL;
   tf->codes[11653] = 0x000517d054451c00UL;
   tf->codes[11654] = 0x000517d1b39f3e9eUL;
   tf->codes[11655] = 0x000517d855d2e5efUL;
   tf->codes[11656] = 0x000517e31614f51aUL;
   tf->codes[11657] = 0x000517e7e3d06e43UL;
   tf->codes[11658] = 0x0005180cf25214edUL;
   tf->codes[11659] = 0x000518126fba9f65UL;
   tf->codes[11660] = 0x0005181827b22fa2UL;
   tf->codes[11661] = 0x000518189cd03b2cUL;
   tf->codes[11662] = 0x00051836ce8f34c0UL;
   tf->codes[11663] = 0x0005185d3c6afe08UL;
   tf->codes[11664] = 0x000518657887cdbcUL;
   tf->codes[11665] = 0x000518674cfffbe4UL;
   tf->codes[11666] = 0x0005187282601699UL;
   tf->codes[11667] = 0x00051872f77e2223UL;
   tf->codes[11668] = 0x0005187abe7ce64dUL;
   tf->codes[11669] = 0x0005187d7d312b89UL;
   tf->codes[11670] = 0x0005188c5b81a28eUL;
   tf->codes[11671] = 0x00051894979e7242UL;
   tf->codes[11672] = 0x000518b79718e4ffUL;
   tf->codes[11673] = 0x000518c6ea87678eUL;
   tf->codes[11674] = 0x000518d21fe78243UL;
   tf->codes[11675] = 0x000518d63df5ea1dUL;
   tf->codes[11676] = 0x000518d762c106f6UL;
   tf->codes[11677] = 0x000518eb0eccf724UL;
   tf->codes[11678] = 0x000518f2d5cbbb4eUL;
   tf->codes[11679] = 0x000518f3fa96d827UL;
   tf->codes[11680] = 0x000518f559f0fac5UL;
   tf->codes[11681] = 0x0005190054c20fb5UL;
   tf->codes[11682] = 0x000519034e055ab6UL;
   tf->codes[11683] = 0x0005193c0892f18eUL;
   tf->codes[11684] = 0x00051951c3a615a9UL;
   tf->codes[11685] = 0x0005195e92ef58c1UL;
   tf->codes[11686] = 0x000519791bbdf605UL;
   tf->codes[11687] = 0x0005197c4f9046cbUL;
   tf->codes[11688] = 0x000519824216dccdUL;
   tf->codes[11689] = 0x0005198b2de0bdd0UL;
   tf->codes[11690] = 0x000519b8787f342eUL;
   tf->codes[11691] = 0x000519bdbb58b8e1UL;
   tf->codes[11692] = 0x000519d71f5c394cUL;
   tf->codes[11693] = 0x000519dc6235bdffUL;
   tf->codes[11694] = 0x000519e49e528db3UL;
   tf->codes[11695] = 0x000519e72277cd2aUL;
   tf->codes[11696] = 0x000519edff3a7a40UL;
   tf->codes[11697] = 0x000519f84a5e7de1UL;
   tf->codes[11698] = 0x00051a125e0f0f9bUL;
   tf->codes[11699] = 0x00051a185095a59dUL;
   tf->codes[11700] = 0x00051a213c5f86a0UL;
   tf->codes[11701] = 0x00051a29ed9a61deUL;
   tf->codes[11702] = 0x00051a2e80c6d542UL;
   tf->codes[11703] = 0x00051a5354b97627UL;
   tf->codes[11704] = 0x00051a6984eaa5ccUL;
   tf->codes[11705] = 0x00051a6bce80df7eUL;
   tf->codes[11706] = 0x00051a7e55c1b2d3UL;
   tf->codes[11707] = 0x00051a7f056ec422UL;
   tf->codes[11708] = 0x00051a8e58dd46b1UL;
   tf->codes[11709] = 0x00051a944b63dcb3UL;
   tf->codes[11710] = 0x00051a95e54d0516UL;
   tf->codes[11711] = 0x00051a9744a727b4UL;
   tf->codes[11712] = 0x00051a9c4cf1a6a2UL;
   tf->codes[11713] = 0x00051a9cfc9eb7f1UL;
   tf->codes[11714] = 0x00051abb2e5db185UL;
   tf->codes[11715] = 0x00051ac454b6984dUL;
   tf->codes[11716] = 0x00051ac48f459e12UL;
   tf->codes[11717] = 0x00051ac69e4cd1ffUL;
   tf->codes[11718] = 0x00051ad20e3bf279UL;
   tf->codes[11719] = 0x00051b0301cac527UL;
   tf->codes[11720] = 0x00051b100ba30e04UL;
   tf->codes[11721] = 0x00051b128fc84d7bUL;
   tf->codes[11722] = 0x00051b133f755ecaUL;
   tf->codes[11723] = 0x00051b1464407ba3UL;
   tf->codes[11724] = 0x00051b16add6b555UL;
   tf->codes[11725] = 0x00051b1931fbf4ccUL;
   tf->codes[11726] = 0x00051b3763baee60UL;
   tf->codes[11727] = 0x00051b381367ffafUL;
   tf->codes[11728] = 0x00051b3e7b0ca13bUL;
   tf->codes[11729] = 0x00051b4557cf4e51UL;
   tf->codes[11730] = 0x00051b4766d6823eUL;
   tf->codes[11731] = 0x00051b5052a06341UL;
   tf->codes[11732] = 0x00051b5227189169UL;
   tf->codes[11733] = 0x00051b555aeae22fUL;
   tf->codes[11734] = 0x00051b5caccb9acfUL;
   tf->codes[11735] = 0x00051b7efc98fc3dUL;
   tf->codes[11736] = 0x00051b847a0186b5UL;
   tf->codes[11737] = 0x00051bbb2587e9a0UL;
   tf->codes[11738] = 0x00051bcf46b1e558UL;
   tf->codes[11739] = 0x00051bd698929df8UL;
   tf->codes[11740] = 0x00051bda06f3f483UL;
   tf->codes[11741] = 0x00051bebde87b689UL;
   tf->codes[11742] = 0x00051bedb2ffe4b1UL;
   tf->codes[11743] = 0x00051bf1967f46c6UL;
   tf->codes[11744] = 0x00051bf20b9d5250UL;
   tf->codes[11745] = 0x00051bfa47ba2204UL;
   tf->codes[11746] = 0x00051c08765d87baUL;
   tf->codes[11747] = 0x00051c119cb66e82UL;
   tf->codes[11748] = 0x00051c124c637fd1UL;
   tf->codes[11749] = 0x00051c12c1818b5bUL;
   tf->codes[11750] = 0x00051c15bac4d65cUL;
   tf->codes[11751] = 0x00051c16df8ff335UL;
   tf->codes[11752] = 0x00051c1b72bc6699UL;
   tf->codes[11753] = 0x00051c2d84df2e64UL;
   tf->codes[11754] = 0x00051c475e00ba59UL;
   tf->codes[11755] = 0x00051c50f977acabUL;
   tf->codes[11756] = 0x00051c613722464eUL;
   tf->codes[11757] = 0x00051c66ef19d68bUL;
   tf->codes[11758] = 0x00051c6a980a32dbUL;
   tf->codes[11759] = 0x00051c7349450e19UL;
   tf->codes[11760] = 0x00051c7607f95355UL;
   tf->codes[11761] = 0x00051c76f2356a69UL;
   tf->codes[11762] = 0x00051c8595f6dba9UL;
   tf->codes[11763] = 0x00051c86bac1f882UL;
   tf->codes[11764] = 0x00051c994202cbd7UL;
   tf->codes[11765] = 0x00051cc149c7bd82UL;
   tf->codes[11766] = 0x00051cc7b16c5f0eUL;
   tf->codes[11767] = 0x00051cc89ba87622UL;
   tf->codes[11768] = 0x00051cc94b558771UL;
   tf->codes[11769] = 0x00051cd1fc9062afUL;
   tf->codes[11770] = 0x00051cdaadcb3dedUL;
   tf->codes[11771] = 0x00051ced6f9b1707UL;
   tf->codes[11772] = 0x00051cfa0455545aUL;
   tf->codes[11773] = 0x00051d0414ea5236UL;
   tf->codes[11774] = 0x00051d0a41ffedfdUL;
   tf->codes[11775] = 0x00051d1870a353b3UL;
   tf->codes[11776] = 0x00051d1a0a8c7c16UL;
   tf->codes[11777] = 0x00051d1bdf04aa3eUL;
   tf->codes[11778] = 0x00051d5165bff050UL;
   tf->codes[11779] = 0x00051d63b271bde0UL;
   tf->codes[11780] = 0x00051d663696fd57UL;
   tf->codes[11781] = 0x00051d79e2a2ed85UL;
   tf->codes[11782] = 0x00051d7eb05e66aeUL;
   tf->codes[11783] = 0x00051d8e78eaf4c7UL;
   tf->codes[11784] = 0x00051d9764b4d5caUL;
   tf->codes[11785] = 0x00051db08e295070UL;
   tf->codes[11786] = 0x00051db262a17e98UL;
   tf->codes[11787] = 0x00051dcdd5ac32f0UL;
   tf->codes[11788] = 0x00051dd895ee421bUL;
   tf->codes[11789] = 0x00051ddbc9c092e1UL;
   tf->codes[11790] = 0x00051de948b6e748UL;
   tf->codes[11791] = 0x00051deb57be1b35UL;
   tf->codes[11792] = 0x00051dec41fa3249UL;
   tf->codes[11793] = 0x00051def00ae7785UL;
   tf->codes[11794] = 0x00051dfcf4c2d776UL;
   tf->codes[11795] = 0x00051e014d604515UL;
   tf->codes[11796] = 0x00051e08d9d0037aUL;
   tf->codes[11797] = 0x00051e1ecf722d5aUL;
   tf->codes[11798] = 0x00051e2d38a498d5UL;
   tf->codes[11799] = 0x00051e3031e7e3d6UL;
   tf->codes[11800] = 0x00051e495b5c5e7cUL;
   tf->codes[11801] = 0x00051e520c9739baUL;
   tf->codes[11802] = 0x00051e58743bdb46UL;
   tf->codes[11803] = 0x00051e5d41f7546fUL;
   tf->codes[11804] = 0x00051e7546a0b23cUL;
   tf->codes[11805] = 0x00051e766b6bcf15UL;
   tf->codes[11806] = 0x00051e771b18e064UL;
   tf->codes[11807] = 0x00051e85f9695769UL;
   tf->codes[11808] = 0x00051e91a3e77da8UL;
   tf->codes[11809] = 0x00051e98f5c83648UL;
   tf->codes[11810] = 0x00051eb7621635a1UL;
   tf->codes[11811] = 0x00051ec2225844ccUL;
   tf->codes[11812] = 0x00051ec2d205561bUL;
   tf->codes[11813] = 0x00051ec9aec80331UL;
   tf->codes[11814] = 0x00051ecb48b12b94UL;
   tf->codes[11815] = 0x00051ecb83403159UL;
   tf->codes[11816] = 0x00051ece7c837c5aUL;
   tf->codes[11817] = 0x00051ed7a2dc6322UL;
   tf->codes[11818] = 0x00051ee890340e14UL;
   tf->codes[11819] = 0x00051eefe214c6b4UL;
   tf->codes[11820] = 0x00051efec0653db9UL;
   tf->codes[11821] = 0x00051f0a6ae363f8UL;
   tf->codes[11822] = 0x00051f0ec380d197UL;
   tf->codes[11823] = 0x00051f1f764976c4UL;
   tf->codes[11824] = 0x00051f394f6b02b9UL;
   tf->codes[11825] = 0x00051f50def654fcUL;
   tf->codes[11826] = 0x00051f518ea3664bUL;
   tf->codes[11827] = 0x00051f6ed62648cbUL;
   tf->codes[11828] = 0x00051f70aa9e76f3UL;
   tf->codes[11829] = 0x00051f769d250cf5UL;
   tf->codes[11830] = 0x00051f8665b19b0eUL;
   tf->codes[11831] = 0x00051f9001288d60UL;
   tf->codes[11832] = 0x00051f957e9117d8UL;
   tf->codes[11833] = 0x00051f9c20c4bf29UL;
   tf->codes[11834] = 0x00051fc303be93fbUL;
   tf->codes[11835] = 0x00051fd16cf0ff76UL;
   tf->codes[11836] = 0x00051fd80f24a6c7UL;
   tf->codes[11837] = 0x00051fe6b2e61807UL;
   tf->codes[11838] = 0x00051fe8fc7c51b9UL;
   tf->codes[11839] = 0x00051ff8155bce83UL;
   tf->codes[11840] = 0x00051ff88a79da0dUL;
   tf->codes[11841] = 0x0005200a277e964eUL;
   tf->codes[11842] = 0x000520185621fc04UL;
   tf->codes[11843] = 0x0005204615de7decUL;
   tf->codes[11844] = 0x0005204cb812253dUL;
   tf->codes[11845] = 0x0005205a71977f69UL;
   tf->codes[11846] = 0x0005205f04c3f2cdUL;
   tf->codes[11847] = 0x00052074fa661cadUL;
   tf->codes[11848] = 0x0005209a7e05cee1UL;
   tf->codes[11849] = 0x000520ab30ce740eUL;
   tf->codes[11850] = 0x000520aed9bed05eUL;
   tf->codes[11851] = 0x000520b8ea53ce3aUL;
   tf->codes[11852] = 0x000520be67bc58b2UL;
   tf->codes[11853] = 0x000520c87851568eUL;
   tf->codes[11854] = 0x000520cf1a84fddfUL;
   tf->codes[11855] = 0x000520da4fe51894UL;
   tf->codes[11856] = 0x000520df582f9782UL;
   tf->codes[11857] = 0x000520ec9c96e624UL;
   tf->codes[11858] = 0x000520f75cd8f54fUL;
   tf->codes[11859] = 0x0005210e0228307eUL;
   tf->codes[11860] = 0x0005211678d405f7UL;
   tf->codes[11861] = 0x00052119e7355c82UL;
   tf->codes[11862] = 0x0005213e4609f1ddUL;
   tf->codes[11863] = 0x0005214adac42f30UL;
   tf->codes[11864] = 0x00052157aa0d7248UL;
   tf->codes[11865] = 0x0005215b186ec8d3UL;
   tf->codes[11866] = 0x00052177b0449a04UL;
   tf->codes[11867] = 0x00052189fcf66794UL;
   tf->codes[11868] = 0x000521902a0c035bUL;
   tf->codes[11869] = 0x0005219114481a6fUL;
   tf->codes[11870] = 0x000521b2eef77053UL;
   tf->codes[11871] = 0x000521bc8a6e62a5UL;
   tf->codes[11872] = 0x000521dc5616849cUL;
   tf->codes[11873] = 0x000521e457a44e8bUL;
   tf->codes[11874] = 0x000521f9d8286ce1UL;
   tf->codes[11875] = 0x0005220214453c95UL;
   tf->codes[11876] = 0x000522092b96ef70UL;
   tf->codes[11877] = 0x0005220c5f694036UL;
   tf->codes[11878] = 0x0005220dbec362d4UL;
   tf->codes[11879] = 0x0005220ea8ff79e8UL;
   tf->codes[11880] = 0x0005222b06464554UL;
   tf->codes[11881] = 0x000522396f78b0cfUL;
   tf->codes[11882] = 0x0005226ce72cc2f4UL;
   tf->codes[11883] = 0x000522810856beacUL;
   tf->codes[11884] = 0x00052284019a09adUL;
   tf->codes[11885] = 0x0005228ade5cb6c3UL;
   tf->codes[11886] = 0x0005229688dadd02UL;
   tf->codes[11887] = 0x000522977316f416UL;
   tf->codes[11888] = 0x000522b111a97a46UL;
   tf->codes[11889] = 0x000522b68f1204beUL;
   tf->codes[11890] = 0x000522c09fa7029aUL;
   tf->codes[11891] = 0x000522eb2b9133bcUL;
   tf->codes[11892] = 0x000522f5b1443d22UL;
   tf->codes[11893] = 0x000522f7fada76d4UL;
   tf->codes[11894] = 0x000522fd3db3fb87UL;
   tf->codes[11895] = 0x00052315b77b64deUL;
   tf->codes[11896] = 0x0005232c5ccaa00dUL;
   tf->codes[11897] = 0x000523392c13e325UL;
   tf->codes[11898] = 0x0005233c25572e26UL;
   tf->codes[11899] = 0x0005233d84b150c4UL;
   tf->codes[11900] = 0x0005233dbf405689UL;
   tf->codes[11901] = 0x000523596cda10a6UL;
   tf->codes[11902] = 0x0005236b446dd2acUL;
   tf->codes[11903] = 0x00052370fc6562e9UL;
   tf->codes[11904] = 0x00052389eb4ad7caUL;
   tf->codes[11905] = 0x000523929c85b308UL;
   tf->codes[11906] = 0x000523be12abfb3eUL;
   tf->codes[11907] = 0x000523d18428e5a7UL;
   tf->codes[11908] = 0x000523d3cdbf1f59UL;
   tf->codes[11909] = 0x000523e4bb16ca4bUL;
   tf->codes[11910] = 0x000523e913b437eaUL;
   tf->codes[11911] = 0x000523e9fdf04efeUL;
   tf->codes[11912] = 0x000523eaad9d604dUL;
   tf->codes[11913] = 0x00052408a4cd541cUL;
   tf->codes[11914] = 0x0005240fbc1f06f7UL;
   tf->codes[11915] = 0x00052410e0ea23d0UL;
   tf->codes[11916] = 0x0005242dedde008bUL;
   tf->codes[11917] = 0x0005243df0f99469UL;
   tf->codes[11918] = 0x0005244b3560e30bUL;
   tf->codes[11919] = 0x0005244d446816f8UL;
   tf->codes[11920] = 0x0005244fc88d566fUL;
   tf->codes[11921] = 0x00052476e6163106UL;
   tf->codes[11922] = 0x000524780ae14ddfUL;
   tf->codes[11923] = 0x00052478ba8e5f2eUL;
   tf->codes[11924] = 0x0005248256055180UL;
   tf->codes[11925] = 0x000524958cf33624UL;
   tf->codes[11926] = 0x000524b433d03b42UL;
   tf->codes[11927] = 0x000524bad603e293UL;
   tf->codes[11928] = 0x000524d9f1fef33bUL;
   tf->codes[11929] = 0x000524e31857da03UL;
   tf->codes[11930] = 0x000524e6119b2504UL;
   tf->codes[11931] = 0x000524f0d1dd342fUL;
   tf->codes[11932] = 0x00052508d68691fcUL;
   tf->codes[11933] = 0x0005250bcfc9dcfdUL;
   tf->codes[11934] = 0x0005250d69b30560UL;
   tf->codes[11935] = 0x0005254031ba0636UL;
   tf->codes[11936] = 0x000525444fc86e10UL;
   tf->codes[11937] = 0x0005254e25ce6627UL;
   tf->codes[11938] = 0x0005256db6e78259UL;
   tf->codes[11939] = 0x0005256e669493a8UL;
   tf->codes[11940] = 0x0005257e2f2121c1UL;
   tf->codes[11941] = 0x00052590f0f0fadbUL;
   tf->codes[11942] = 0x000525933a87348dUL;
   tf->codes[11943] = 0x00052598b7efbf05UL;
   tf->codes[11944] = 0x000525ceb3c910a1UL;
   tf->codes[11945] = 0x000525dd921987a6UL;
   tf->codes[11946] = 0x000525f13e2577d4UL;
   tf->codes[11947] = 0x000525f9ef605312UL;
   tf->codes[11948] = 0x0005260faa73772dUL;
   tf->codes[11949] = 0x000526140310e4ccUL;
   tf->codes[11950] = 0x0005263911928b76UL;
   tf->codes[11951] = 0x0005263d6a2ff915UL;
   tf->codes[11952] = 0x0005264446f2a62bUL;
   tf->codes[11953] = 0x0005264989cc2adeUL;
   tf->codes[11954] = 0x0005264c4880701aUL;
   tf->codes[11955] = 0x000526535fd222f5UL;
   tf->codes[11956] = 0x00052657b86f9094UL;
   tf->codes[11957] = 0x0005265e5aa337e5UL;
   tf->codes[11958] = 0x00052665e712f64aUL;
   tf->codes[11959] = 0x0005266d7382b4afUL;
   tf->codes[11960] = 0x0005267d3c0f42c8UL;
   tf->codes[11961] = 0x0005269b6dce3c5cUL;
   tf->codes[11962] = 0x0005269e6711875dUL;
   tf->codes[11963] = 0x000526b0b3c354edUL;
   tf->codes[11964] = 0x000526b5f69cd9a0UL;
   tf->codes[11965] = 0x000526b87ac21917UL;
   tf->codes[11966] = 0x000526bd830c9805UL;
   tf->codes[11967] = 0x000526d462ead8f9UL;
   tf->codes[11968] = 0x000526d5fcd4015cUL;
   tf->codes[11969] = 0x000526d9e0536371UL;
   tf->codes[11970] = 0x000526df984af3aeUL;
   tf->codes[11971] = 0x000526e3413b4ffeUL;
   tf->codes[11972] = 0x000526e3b6595b88UL;
   tf->codes[11973] = 0x000526e8bea3da76UL;
   tf->codes[11974] = 0x000526eb083a1428UL;
   tf->codes[11975] = 0x000526ef9b66878cUL;
   tf->codes[11976] = 0x000527172e0d6dadUL;
   tf->codes[11977] = 0x00052719b232ad24UL;
   tf->codes[11978] = 0x0005271d209403afUL;
   tf->codes[11979] = 0x00052736f9b58fa4UL;
   tf->codes[11980] = 0x0005275182842ce8UL;
   tf->codes[11981] = 0x0005275899d5dfc3UL;
   tf->codes[11982] = 0x0005276026459e28UL;
   tf->codes[11983] = 0x00052777b5d0f06bUL;
   tf->codes[11984] = 0x000527802c7cc5e4UL;
   tf->codes[11985] = 0x00052785a9e5505cUL;
   tf->codes[11986] = 0x00052792ee4c9efeUL;
   tf->codes[11987] = 0x0005279328dba4c3UL;
   tf->codes[11988] = 0x00052794c2c4cd26UL;
   tf->codes[11989] = 0x000527bf4eaefe48UL;
   tf->codes[11990] = 0x000527c3322e605dUL;
   tf->codes[11991] = 0x000527d494a416d9UL;
   tf->codes[11992] = 0x000527e5476cbc06UL;
   tf->codes[11993] = 0x000527f2c663106dUL;
   tf->codes[11994] = 0x000527f54a884fe4UL;
   tf->codes[11995] = 0x000527f71f007e0cUL;
   tf->codes[11996] = 0x000527f843cb9ae5UL;
   tf->codes[11997] = 0x000527f96896b7beUL;
   tf->codes[11998] = 0x000527feab703c71UL;
   tf->codes[11999] = 0x0005281ca2a03040UL;
   tf->codes[12000] = 0x00052836b650c1faUL;
   tf->codes[12001] = 0x0005283a24b21885UL;
   tf->codes[12002] = 0x0005284b1209c377UL;
   tf->codes[12003] = 0x0005285c39f0742eUL;
   tf->codes[12004] = 0x0005285c747f79f3UL;
   tf->codes[12005] = 0x0005286107abed57UL;
   tf->codes[12006] = 0x000528676f508ee3UL;
   tf->codes[12007] = 0x00052868ceaab181UL;
   tf->codes[12008] = 0x0005286b8d5ef6bdUL;
   tf->codes[12009] = 0x0005286cb22a1396UL;
   tf->codes[12010] = 0x0005286d9c662aaaUL;
   tf->codes[12011] = 0x00052878d1c6455fUL;
   tf->codes[12012] = 0x0005287ae0cd794cUL;
   tf->codes[12013] = 0x0005287f73f9ecb0UL;
   tf->codes[12014] = 0x0005287fae88f275UL;
   tf->codes[12015] = 0x00052898d7fd6d1bUL;
   tf->codes[12016] = 0x000528b709bc66afUL;
   tf->codes[12017] = 0x000528ca061b458eUL;
   tf->codes[12018] = 0x000528ca7b395118UL;
   tf->codes[12019] = 0x000528cb2ae66267UL;
   tf->codes[12020] = 0x000528cc4fb17f40UL;
   tf->codes[12021] = 0x000528cd39ed9654UL;
   tf->codes[12022] = 0x000528d11d6cf869UL;
   tf->codes[12023] = 0x000528dcc7eb1ea8UL;
   tf->codes[12024] = 0x000528e3a4adcbbeUL;
   tf->codes[12025] = 0x000528ff524785dbUL;
   tf->codes[12026] = 0x00052909d7fa8f41UL;
   tf->codes[12027] = 0x0005290b71e3b7a4UL;
   tf->codes[12028] = 0x0005290bac72bd69UL;
   tf->codes[12029] = 0x0005291547e9afbbUL;
   tf->codes[12030] = 0x0005293463e4c063UL;
   tf->codes[12031] = 0x000529396c2f3f51UL;
   tf->codes[12032] = 0x00052939a6be4516UL;
   tf->codes[12033] = 0x0005294d52ca3544UL;
   tf->codes[12034] = 0x0005294e02774693UL;
   tf->codes[12035] = 0x0005294f2742636cUL;
   tf->codes[12036] = 0x0005295e0592da71UL;
   tf->codes[12037] = 0x0005295f64ecfd0fUL;
   tf->codes[12038] = 0x0005296173f430fcUL;
   tf->codes[12039] = 0x000529681627d84dUL;
   tf->codes[12040] = 0x00052971b19eca9fUL;
   tf->codes[12041] = 0x00052971ec2dd064UL;
   tf->codes[12042] = 0x000529734b87f302UL;
   tf->codes[12043] = 0x00052973c0a5fe8cUL;
   tf->codes[12044] = 0x000529897bb922a7UL;
   tf->codes[12045] = 0x0005299560c64eabUL;
   tf->codes[12046] = 0x000529976fcd8298UL;
   tf->codes[12047] = 0x000529a3c9f8ba26UL;
   tf->codes[12048] = 0x000529bcb8de2f07UL;
   tf->codes[12049] = 0x000529be183851a5UL;
   tf->codes[12050] = 0x000529c5a4a8100aUL;
   tf->codes[12051] = 0x000529cbd1bdabd1UL;
   tf->codes[12052] = 0x000529dbd4d93fafUL;
   tf->codes[12053] = 0x000529edac6d01b5UL;
   tf->codes[12054] = 0x000529ede6fc077aUL;
   tf->codes[12055] = 0x000529ee218b0d3fUL;
   tf->codes[12056] = 0x000529f4fe4dba55UL;
   tf->codes[12057] = 0x000529fbdb10676bUL;
   tf->codes[12058] = 0x00052a0ba39cf584UL;
   tf->codes[12059] = 0x00052a1a475e66c4UL;
   tf->codes[12060] = 0x00052a34d02d0408UL;
   tf->codes[12061] = 0x00052a53770a0926UL;
   tf->codes[12062] = 0x00052a649ef0b9ddUL;
   tf->codes[12063] = 0x00052a64d97fbfa2UL;
   tf->codes[12064] = 0x00052a6638d9e240UL;
   tf->codes[12065] = 0x00052a6b7bb366f3UL;
   tf->codes[12066] = 0x00052a7cde291d6fUL;
   tf->codes[12067] = 0x00052a81e6739c5dUL;
   tf->codes[12068] = 0x00052a846a98dbd4UL;
   tf->codes[12069] = 0x00052ab4395c91a9UL;
   tf->codes[12070] = 0x00052ab473eb976eUL;
   tf->codes[12071] = 0x00052ac058f8c372UL;
   tf->codes[12072] = 0x00052ac267fff75fUL;
   tf->codes[12073] = 0x00052ad738d70466UL;
   tf->codes[12074] = 0x00052af14c879620UL;
   tf->codes[12075] = 0x00052b1c4d8fd2ccUL;
   tf->codes[12076] = 0x00052b3ffcb756d8UL;
   tf->codes[12077] = 0x00052b5f8dd0730aUL;
   tf->codes[12078] = 0x00052b73aefa6ec2UL;
   tf->codes[12079] = 0x00052b9ca0fb7781UL;
   tf->codes[12080] = 0x00052baeedad4511UL;
   tf->codes[12081] = 0x00052bc9eb99eddfUL;
   tf->codes[12082] = 0x00052bd93f08706eUL;
   tf->codes[12083] = 0x00052bdbfdbcb5aaUL;
   tf->codes[12084] = 0x00052bec75f65512UL;
   tf->codes[12085] = 0x00052bfaa499bac8UL;
   tf->codes[12086] = 0x00052c061488db42UL;
   tf->codes[12087] = 0x00052c0c070f7144UL;
   tf->codes[12088] = 0x00052c0da0f899a7UL;
   tf->codes[12089] = 0x00052c2cf782b014UL;
   tf->codes[12090] = 0x00052c2f0689e401UL;
   tf->codes[12091] = 0x00052c4411eff6cdUL;
   tf->codes[12092] = 0x00052c532acf7397UL;
   tf->codes[12093] = 0x00052c60a9c5c7feUL;
   tf->codes[12094] = 0x00052c771485fd68UL;
   tf->codes[12095] = 0x00052c7e6666b608UL;
   tf->codes[12096] = 0x00052c93373dc30fUL;
   tf->codes[12097] = 0x00052c949697e5adUL;
   tf->codes[12098] = 0x00052c9580d3fcc1UL;
   tf->codes[12099] = 0x00052c95bb630286UL;
   tf->codes[12100] = 0x00052c96e02e1f5fUL;
   tf->codes[12101] = 0x00052c9b38cb8cfeUL;
   tf->codes[12102] = 0x00052c9c9825af9cUL;
   tf->codes[12103] = 0x00052caac6c91552UL;
   tf->codes[12104] = 0x00052cba54c69da6UL;
   tf->codes[12105] = 0x00052cccdc0770fbUL;
   tf->codes[12106] = 0x00052d05969507d3UL;
   tf->codes[12107] = 0x00052d09b4a36fadUL;
   tf->codes[12108] = 0x00052d185864e0edUL;
   tf->codes[12109] = 0x00052d1adc8a2064UL;
   tf->codes[12110] = 0x00052d3405fe9b0aUL;
   tf->codes[12111] = 0x00052d3cf1c87c0dUL;
   tf->codes[12112] = 0x00052d4ae5dcdbfeUL;
   tf->codes[12113] = 0x00052d540c35c2c6UL;
   tf->codes[12114] = 0x00052d57efb524dbUL;
   tf->codes[12115] = 0x00052d640f5156a4UL;
   tf->codes[12116] = 0x00052d65341c737dUL;
   tf->codes[12117] = 0x00052d7621741e6fUL;
   tf->codes[12118] = 0x00052d7b29be9d5dUL;
   tf->codes[12119] = 0x00052d7dade3dcd4UL;
   tf->codes[12120] = 0x00052d96d758577aUL;
   tf->codes[12121] = 0x00052da69fe4e593UL;
   tf->codes[12122] = 0x00052db41edb39faUL;
   tf->codes[12123] = 0x00052dbc206903e9UL;
   tf->codes[12124] = 0x00052dbdf4e13211UL;
   tf->codes[12125] = 0x00052dc45c85d39dUL;
   tf->codes[12126] = 0x00052dc790582463UL;
   tf->codes[12127] = 0x00052dd45fa1677bUL;
   tf->codes[12128] = 0x00052dd5846c8454UL;
   tf->codes[12129] = 0x00052ddf1fe376a6UL;
   tf->codes[12130] = 0x00052dea1ab48b96UL;
   tf->codes[12131] = 0x00052dedc3a4e7e6UL;
   tf->codes[12132] = 0x00052df5ffc1b79aUL;
   tf->codes[12133] = 0x00052dfc2cd75361UL;
   tf->codes[12134] = 0x00052dff261a9e62UL;
   tf->codes[12135] = 0x00052e0f63c53805UL;
   tf->codes[12136] = 0x00052e313e748de9UL;
   tf->codes[12137] = 0x00052e42665b3ea0UL;
   tf->codes[12138] = 0x00052e468469a67aUL;
   tf->codes[12139] = 0x00052e4b179619deUL;
   tf->codes[12140] = 0x00052e4b8cb42568UL;
   tf->codes[12141] = 0x00052e5b8fcfb946UL;
   tf->codes[12142] = 0x00052e5e4e83fe82UL;
   tf->codes[12143] = 0x00052e76189e568aUL;
   tf->codes[12144] = 0x00052e7ddf9d1ab4UL;
   tf->codes[12145] = 0x00052e7f0468378dUL;
   tf->codes[12146] = 0x00052e8e9265bfe1UL;
   tf->codes[12147] = 0x00052e8f0783cb6bUL;
   tf->codes[12148] = 0x00052e9066ddee09UL;
   tf->codes[12149] = 0x00052e9534996732UL;
   tf->codes[12150] = 0x00052e9a3ce3e620UL;
   tf->codes[12151] = 0x00052ec8372f6dcdUL;
   tf->codes[12152] = 0x00052ed122f94ed0UL;
   tf->codes[12153] = 0x00052edba8ac5836UL;
   tf->codes[12154] = 0x00052ee5099444c3UL;
   tf->codes[12155] = 0x00052ee802d78fc4UL;
   tf->codes[12156] = 0x00052ee96231b262UL;
   tf->codes[12157] = 0x00052ef0b4126b02UL;
   tf->codes[12158] = 0x00052efcd3ae9ccbUL;
   tf->codes[12159] = 0x00052f033b533e57UL;
   tf->codes[12160] = 0x00052f146339ef0eUL;
   tf->codes[12161] = 0x00052f175c7d3a0fUL;
   tf->codes[12162] = 0x00052f1acade909aUL;
   tf->codes[12163] = 0x00052f1b7a8ba1e9UL;
   tf->codes[12164] = 0x00052f2d17905e2aUL;
   tf->codes[12165] = 0x00052f49af662f5bUL;
   tf->codes[12166] = 0x00052f59b281c339UL;
   tf->codes[12167] = 0x00052f5bc188f726UL;
   tf->codes[12168] = 0x00052f5c36a702b0UL;
   tf->codes[12169] = 0x00052f6890d23a3eUL;
   tf->codes[12170] = 0x00052f6d23feada2UL;
   tf->codes[12171] = 0x00052f7aa2f50209UL;
   tf->codes[12172] = 0x00052f7cec8b3bbbUL;
   tf->codes[12173] = 0x00052f7e11565894UL;
   tf->codes[12174] = 0x00052f9c43155228UL;
   tf->codes[12175] = 0x00052fb70672f531UL;
   tf->codes[12176] = 0x00052fcde6513625UL;
   tf->codes[12177] = 0x00052fd2ee9bb513UL;
   tf->codes[12178] = 0x00052fd70caa1cedUL;
   tf->codes[12179] = 0x00052fee271763a6UL;
   tf->codes[12180] = 0x0005300c936562ffUL;
   tf->codes[12181] = 0x0005300f178aa276UL;
   tf->codes[12182] = 0x0005301c5bf1f118UL;
   tf->codes[12183] = 0x0005303251941af8UL;
   tf->codes[12184] = 0x000530433eebc5eaUL;
   tf->codes[12185] = 0x00053045c3110561UL;
   tf->codes[12186] = 0x0005304acb5b844fUL;
   tf->codes[12187] = 0x0005305048c40ec7UL;
   tf->codes[12188] = 0x0005305600bb9f04UL;
   tf->codes[12189] = 0x0005305d529c57a4UL;
   tf->codes[12190] = 0x0005306678f53e6cUL;
   tf->codes[12191] = 0x00053067d84f610aUL;
   tf->codes[12192] = 0x0005306b46b0b795UL;
   tf->codes[12193] = 0x0005306e0564fcd1UL;
   tf->codes[12194] = 0x000530867f2c6628UL;
   tf->codes[12195] = 0x0005308ef5d83ba1UL;
   tf->codes[12196] = 0x000530c023f61414UL;
   tf->codes[12197] = 0x000530d02711a7f2UL;
   tf->codes[12198] = 0x000530df3ff124bcUL;
   tf->codes[12199] = 0x000530f0a266db38UL;
   tf->codes[12200] = 0x000530f3268c1aafUL;
   tf->codes[12201] = 0x000530f98e30bc3bUL;
   tf->codes[12202] = 0x000530fff5d55dc7UL;
   tf->codes[12203] = 0x0005310de9e9bdb8UL;
   tf->codes[12204] = 0x0005313e685a84dcUL;
   tf->codes[12205] = 0x000531433615fe05UL;
   tf->codes[12206] = 0x000531457fac37b7UL;
   tf->codes[12207] = 0x0005314ac285bc6aUL;
   tf->codes[12208] = 0x000531554838c5d0UL;
   tf->codes[12209] = 0x00053158b69a1c5bUL;
   tf->codes[12210] = 0x0005315c5f8a78abUL;
   tf->codes[12211] = 0x0005316eac3c463bUL;
   tf->codes[12212] = 0x00053171306185b2UL;
   tf->codes[12213] = 0x0005317d156eb1b6UL;
   tf->codes[12214] = 0x000531842cc06491UL;
   tf->codes[12215] = 0x0005318a59d60058UL;
   tf->codes[12216] = 0x00053191abb6b8f8UL;
   tf->codes[12217] = 0x000531979e3d4efaUL;
   tf->codes[12218] = 0x000531aad52b339eUL;
   tf->codes[12219] = 0x000531b05293be16UL;
   tf->codes[12220] = 0x000531bce74dfb69UL;
   tf->codes[12221] = 0x000531bef6552f56UL;
   tf->codes[12222] = 0x000531d267d219bfUL;
   tf->codes[12223] = 0x000531d5d633704aUL;
   tf->codes[12224] = 0x000531d8cf76bb4bUL;
   tf->codes[12225] = 0x000531ef3a36f0b5UL;
   tf->codes[12226] = 0x000531f616f99dcbUL;
   tf->codes[12227] = 0x000531f6c6a6af1aUL;
   tf->codes[12228] = 0x00053215e2a1bfc2UL;
   tf->codes[12229] = 0x000532306b705d06UL;
   tf->codes[12230] = 0x000532453c476a0dUL;
   tf->codes[12231] = 0x0005324c53991ce8UL;
   tf->codes[12232] = 0x0005324d786439c1UL;
   tf->codes[12233] = 0x000532595d7165c5UL;
   tf->codes[12234] = 0x00053260e9e1242aUL;
   tf->codes[12235] = 0x000532615eff2fb4UL;
   tf->codes[12236] = 0x000532687650e28fUL;
   tf->codes[12237] = 0x00053273e6400309UL;
   tf->codes[12238] = 0x0005327afd91b5e4UL;
   tf->codes[12239] = 0x0005327fcb4d2f0dUL;
   tf->codes[12240] = 0x000532bdc8b44a98UL;
   tf->codes[12241] = 0x000532c0fc869b5eUL;
   tf->codes[12242] = 0x000532c25be0bdfcUL;
   tf->codes[12243] = 0x000532d9764e04b5UL;
   tf->codes[12244] = 0x000532e22788dff3UL;
   tf->codes[12245] = 0x000532e81a0f75f5UL;
   tf->codes[12246] = 0x000532ebc2ffd245UL;
   tf->codes[12247] = 0x000532f60e23d5e6UL;
   tf->codes[12248] = 0x000532fa2c323dc0UL;
   tf->codes[12249] = 0x0005330b8ea7f43cUL;
   tf->codes[12250] = 0x00053310d18178efUL;
   tf->codes[12251] = 0x000533182362318fUL;
   tf->codes[12252] = 0x00053336ca3f36adUL;
   tf->codes[12253] = 0x0005333aadbe98c2UL;
   tf->codes[12254] = 0x000533440ea6854fUL;
   tf->codes[12255] = 0x00053344be53969eUL;
   tf->codes[12256] = 0x00053346583cbf01UL;
   tf->codes[12257] = 0x0005334f09779a3fUL;
   tf->codes[12258] = 0x000533565b5852dfUL;
   tf->codes[12259] = 0x0005336240657ee3UL;
   tf->codes[12260] = 0x0005336489fbb895UL;
   tf->codes[12261] = 0x00053375023557fdUL;
   tf->codes[12262] = 0x0005337e288e3ec5UL;
   tf->codes[12263] = 0x00053388e8d04df0UL;
   tf->codes[12264] = 0x0005338c91c0aa40UL;
   tf->codes[12265] = 0x0005339667c6a257UL;
   tf->codes[12266] = 0x0005339a10b6fea7UL;
   tf->codes[12267] = 0x0005339b70112145UL;
   tf->codes[12268] = 0x0005339e69546c46UL;
   tf->codes[12269] = 0x000533ad47a4e34bUL;
   tf->codes[12270] = 0x000533b583c1b2ffUL;
   tf->codes[12271] = 0x000533c2187bf052UL;
   tf->codes[12272] = 0x000533c720c66f40UL;
   tf->codes[12273] = 0x000533db07616533UL;
   tf->codes[12274] = 0x000533ea5acfe7c2UL;
   tf->codes[12275] = 0x000533ebf4b91025UL;
   tf->codes[12276] = 0x000533f296ecb776UL;
   tf->codes[12277] = 0x000533f4e082f128UL;
   tf->codes[12278] = 0x0005340bc061321cUL;
   tf->codes[12279] = 0x00053410c8abb10aUL;
   tf->codes[12280] = 0x00053412d7b2e4f7UL;
   tf->codes[12281] = 0x0005342adc5c42c4UL;
   tf->codes[12282] = 0x0005343686da6903UL;
   tf->codes[12283] = 0x00053449f857536cUL;
   tf->codes[12284] = 0x000534509a8afabdUL;
   tf->codes[12285] = 0x0005345393ce45beUL;
   tf->codes[12286] = 0x000534598654dbc0UL;
   tf->codes[12287] = 0x0005345fb36a7787UL;
   tf->codes[12288] = 0x00053462721ebcc3UL;
   tf->codes[12289] = 0x0005346cf7d1c629UL;
   tf->codes[12290] = 0x00053475e39ba72cUL;
   tf->codes[12291] = 0x000534769348b87bUL;
   tf->codes[12292] = 0x0005347a76c81a90UL;
   tf->codes[12293] = 0x0005348b9eaecb47UL;
   tf->codes[12294] = 0x000534ac54930452UL;
   tf->codes[12295] = 0x000534bbe2908ca6UL;
   tf->codes[12296] = 0x000534bccccca3baUL;
   tf->codes[12297] = 0x000534c6a2d29bd1UL;
   tf->codes[12298] = 0x000534de325dee14UL;
   tf->codes[12299] = 0x000534dee20aff63UL;
   tf->codes[12300] = 0x000534f04480b5dfUL;
   tf->codes[12301] = 0x0005350b7cfc6472UL;
   tf->codes[12302] = 0x0005351f9e26602aUL;
   tf->codes[12303] = 0x00053537dd5ec3bcUL;
   tf->codes[12304] = 0x0005353bfb6d2b96UL;
   tf->codes[12305] = 0x0005353c708b3720UL;
   tf->codes[12306] = 0x000535408e999efaUL;
   tf->codes[12307] = 0x000535493fd47a38UL;
   tf->codes[12308] = 0x0005354a649f9711UL;
   tf->codes[12309] = 0x0005354bc3f9b9afUL;
   tf->codes[12310] = 0x0005354c73a6cafeUL;
   tf->codes[12311] = 0x000535576e77dfeeUL;
   tf->codes[12312] = 0x0005356ceefbfe44UL;
   tf->codes[12313] = 0x000535790e98300dUL;
   tf->codes[12314] = 0x00053584f3a55c11UL;
   tf->codes[12315] = 0x00053593d1f5d316UL;
   tf->codes[12316] = 0x0005359705c823dcUL;
   tf->codes[12317] = 0x0005359e9237e241UL;
   tf->codes[12318] = 0x000535a8dd5be5e2UL;
   tf->codes[12319] = 0x000535bb9f2bbefcUL;
   tf->codes[12320] = 0x000535c415d79475UL;
   tf->codes[12321] = 0x000535cab80b3bc6UL;
   tf->codes[12322] = 0x000535d11fafdd52UL;
   tf->codes[12323] = 0x000535d9d0eab890UL;
   tf->codes[12324] = 0x000535e15d5a76f5UL;
   tf->codes[12325] = 0x000535ec582b8be5UL;
   tf->codes[12326] = 0x000536066bdc1d9fUL;
   tf->codes[12327] = 0x0005360e6d69e78eUL;
   tf->codes[12328] = 0x0005362bef7bcfd3UL;
   tf->codes[12329] = 0x0005363b085b4c9dUL;
   tf->codes[12330] = 0x0005363b7d795827UL;
   tf->codes[12331] = 0x0005363cdcd37ac5UL;
   tf->codes[12332] = 0x000536442eb43365UL;
   tf->codes[12333] = 0x000536538222b5f4UL;
   tf->codes[12334] = 0x0005365eb782d0a9UL;
   tf->codes[12335] = 0x0005366f6a4b75d6UL;
   tf->codes[12336] = 0x000536734dcad7ebUL;
   tf->codes[12337] = 0x0005367d23d0d002UL;
   tf->codes[12338] = 0x0005369e4ed31497UL;
   tf->codes[12339] = 0x000536d4fa597782UL;
   tf->codes[12340] = 0x000536d56f77830cUL;
   tf->codes[12341] = 0x000536ecc473cf8aUL;
   tf->codes[12342] = 0x000536ee98ebfdb2UL;
   tf->codes[12343] = 0x00053700707fbfb8UL;
   tf->codes[12344] = 0x00053718afb8234aUL;
   tf->codes[12345] = 0x000537275379948aUL;
   tf->codes[12346] = 0x00053746aa03aaf7UL;
   tf->codes[12347] = 0x00053751df63c5acUL;
   tf->codes[12348] = 0x00053776b3566691UL;
   tf->codes[12349] = 0x0005378b499e6dd3UL;
   tf->codes[12350] = 0x0005378ce3879636UL;
   tf->codes[12351] = 0x0005378fa23bdb72UL;
   tf->codes[12352] = 0x0005378fdccae137UL;
   tf->codes[12353] = 0x000537910195fe10UL;
   tf->codes[12354] = 0x000537934b2c37c2UL;
   tf->codes[12355] = 0x000537b68535b044UL;
   tf->codes[12356] = 0x000537b8943ce431UL;
   tf->codes[12357] = 0x000537ca6bd0a637UL;
   tf->codes[12358] = 0x000537e320271553UL;
   tf->codes[12359] = 0x000537ecbb9e07a5UL;
   tf->codes[12360] = 0x000537f0d9ac6f7fUL;
   tf->codes[12361] = 0x000538098e02de9bUL;
   tf->codes[12362] = 0x0005380cfc643526UL;
   tf->codes[12363] = 0x0005381a40cb83c8UL;
   tf->codes[12364] = 0x0005381ab5e98f52UL;
   tf->codes[12365] = 0x0005383837fb7797UL;
   tf->codes[12366] = 0x0005383ba65cce22UL;
   tf->codes[12367] = 0x0005385bac93f5deUL;
   tf->codes[12368] = 0x0005385d467d1e41UL;
   tf->codes[12369] = 0x0005386a5055671eUL;
   tf->codes[12370] = 0x00053887d2674f63UL;
   tf->codes[12371] = 0x00053888bca36677UL;
   tf->codes[12372] = 0x0005389e3d2784cdUL;
   tf->codes[12373] = 0x000538ad9096075cUL;
   tf->codes[12374] = 0x000538c5953f6529UL;
   tf->codes[12375] = 0x000538d7e1f132b9UL;
   tf->codes[12376] = 0x000538dd5f59bd31UL;
   tf->codes[12377] = 0x000538ecb2c83fc0UL;
   tf->codes[12378] = 0x0005390f3d24a6f3UL;
   tf->codes[12379] = 0x00053914ba8d316bUL;
   tf->codes[12380] = 0x00053919c2d7b059UL;
   tf->codes[12381] = 0x00053949cc2a6bf3UL;
   tf->codes[12382] = 0x0005394c504fab6aUL;
   tf->codes[12383] = 0x000539519329301dUL;
   tf->codes[12384] = 0x000539569b73af0bUL;
   tf->codes[12385] = 0x0005395785afc61fUL;
   tf->codes[12386] = 0x0005397abfb93ea1UL;
   tf->codes[12387] = 0x0005397e68a99af1UL;
   tf->codes[12388] = 0x000539857ffb4dccUL;
   tf->codes[12389] = 0x00053997921e1597UL;
   tf->codes[12390] = 0x0005399ac5f0665dUL;
   tf->codes[12391] = 0x0005399d0f86a00fUL;
   tf->codes[12392] = 0x000539b5142ffddcUL;
   tf->codes[12393] = 0x000539bb06b693deUL;
   tf->codes[12394] = 0x000539bbb663a52dUL;
   tf->codes[12395] = 0x000539c1a8ea3b2fUL;
   tf->codes[12396] = 0x000539d0121ca6aaUL;
   tf->codes[12397] = 0x000539d84e39765eUL;
   tf->codes[12398] = 0x000539e8c67315c6UL;
   tf->codes[12399] = 0x000539ee7e6aa603UL;
   tf->codes[12400] = 0x000539f67ff86ff2UL;
   tf->codes[12401] = 0x00053a10ce380771UL;
   tf->codes[12402] = 0x00053a1b53eb10d7UL;
   tf->codes[12403] = 0x00053a2aa7599366UL;
   tf->codes[12404] = 0x00053a3ec8838f1eUL;
   tf->codes[12405] = 0x00053a435bb00282UL;
   tf->codes[12406] = 0x00053a440b5d13d1UL;
   tf->codes[12407] = 0x00053a59c67037ecUL;
   tf->codes[12408] = 0x00053a618d6efc16UL;
   tf->codes[12409] = 0x00053a887068d0e8UL;
   tf->codes[12410] = 0x00053a92bb8cd489UL;
   tf->codes[12411] = 0x00053a95b4d01f8aUL;
   tf->codes[12412] = 0x00053a9b6cc7afc7UL;
   tf->codes[12413] = 0x00053a9d7bcee3b4UL;
   tf->codes[12414] = 0x00053aab6fe343a5UL;
   tf->codes[12415] = 0x00053ab336e207cfUL;
   tf->codes[12416] = 0x00053ab78f7f756eUL;
   tf->codes[12417] = 0x00053abfcb9c4522UL;
   tf->codes[12418] = 0x00053ac2c4df9023UL;
   tf->codes[12419] = 0x00053ac92c8431afUL;
   tf->codes[12420] = 0x00053accd5748dffUL;
   tf->codes[12421] = 0x00053ad511915db3UL;
   tf->codes[12422] = 0x00053ada546ae266UL;
   tf->codes[12423] = 0x00053ae67407142fUL;
   tf->codes[12424] = 0x00053af5c77596beUL;
   tf->codes[12425] = 0x00053b2e477427d1UL;
   tf->codes[12426] = 0x00053b2fa6ce4a6fUL;
   tf->codes[12427] = 0x00053b4895b3bf50UL;
   tf->codes[12428] = 0x00053b552a6dfca3UL;
   tf->codes[12429] = 0x00053b5b92129e2fUL;
   tf->codes[12430] = 0x00053b71c243cdd4UL;
   tf->codes[12431] = 0x00053b7271f0df23UL;
   tf->codes[12432] = 0x00053b7d6cc1f413UL;
   tf->codes[12433] = 0x00053b8066053f14UL;
   tf->codes[12434] = 0x00053b8e1f8a9940UL;
   tf->codes[12435] = 0x00053b8ff402c768UL;
   tf->codes[12436] = 0x00053bc122209fdbUL;
   tf->codes[12437] = 0x00053bce2bf8e8b8UL;
   tf->codes[12438] = 0x00053bdf8e6e9f34UL;
   tf->codes[12439] = 0x00053bf66e4ce028UL;
   tf->codes[12440] = 0x00053bf9a21f30eeUL;
   tf->codes[12441] = 0x00053bfdfabc9e8dUL;
   tf->codes[12442] = 0x00053c0303071d7bUL;
   tf->codes[12443] = 0x00053c13b5cfc2a8UL;
   tf->codes[12444] = 0x00053c1eb0a0d798UL;
   tf->codes[12445] = 0x00053c37da15523eUL;
   tf->codes[12446] = 0x00053c413afd3ecbUL;
   tf->codes[12447] = 0x00053c430f756cf3UL;
   tf->codes[12448] = 0x00053c59051796d3UL;
   tf->codes[12449] = 0x00053c593fa69c98UL;
   tf->codes[12450] = 0x00053c61f0e177d6UL;
   tf->codes[12451] = 0x00053c638acaa039UL;
   tf->codes[12452] = 0x00053c72a3aa1d03UL;
   tf->codes[12453] = 0x00053c7a6aa8e12dUL;
   tf->codes[12454] = 0x00053c8983885df7UL;
   tf->codes[12455] = 0x00053c8c423ca333UL;
   tf->codes[12456] = 0x00053c9ae5fe1473UL;
   tf->codes[12457] = 0x00053cb4f9aea62dUL;
   tf->codes[12458] = 0x00053cb9524c13ccUL;
   tf->codes[12459] = 0x00053ccff79b4efbUL;
   tf->codes[12460] = 0x00053ce78726a13eUL;
   tf->codes[12461] = 0x00053cf62ae8127eUL;
   tf->codes[12462] = 0x00053d0b364e254aUL;
   tf->codes[12463] = 0x00053d0dba7364c1UL;
   tf->codes[12464] = 0x00053d16a63d45c4UL;
   tf->codes[12465] = 0x00053d3bef4df233UL;
   tf->codes[12466] = 0x00053d3e737331aaUL;
   tf->codes[12467] = 0x00053d71eb2743cfUL;
   tf->codes[12468] = 0x00053d7a27441383UL;
   tf->codes[12469] = 0x00053d7eba7086e7UL;
   tf->codes[12470] = 0x00053d881b587374UL;
   tf->codes[12471] = 0x00053d943af4a53dUL;
   tf->codes[12472] = 0x00053dae14163132UL;
   tf->codes[12473] = 0x00053db4412bccf9UL;
   tf->codes[12474] = 0x00053dbae35f744aUL;
   tf->codes[12475] = 0x00053dd272eac68dUL;
   tf->codes[12476] = 0x00053dd6cb88342cUL;
   tf->codes[12477] = 0x00053dedab667520UL;
   tf->codes[12478] = 0x00053df1c974dcfaUL;
   tf->codes[12479] = 0x00053dfbda09dad6UL;
   tf->codes[12480] = 0x00053e0cc76185c8UL;
   tf->codes[12481] = 0x00053e0d3c7f9152UL;
   tf->codes[12482] = 0x00053e1f14135358UL;
   tf->codes[12483] = 0x00053e4790f6508dUL;
   tf->codes[12484] = 0x00053e492adf78f0UL;
   tf->codes[12485] = 0x00053e6e73f0255fUL;
   tf->codes[12486] = 0x00053e7f26b8ca8cUL;
   tf->codes[12487] = 0x00053e8469924f3fUL;
   tf->codes[12488] = 0x00053e8ce03e24b8UL;
   tf->codes[12489] = 0x00053ebfa845258eUL;
   tf->codes[12490] = 0x00053ed26a14fea8UL;
   tf->codes[12491] = 0x00053ed7acee835bUL;
   tf->codes[12492] = 0x00053edc401af6bfUL;
   tf->codes[12493] = 0x00053eea6ebe5c75UL;
   tf->codes[12494] = 0x00053ef31ff937b3UL;
   tf->codes[12495] = 0x00053ef8d7f0c7f0UL;
   tf->codes[12496] = 0x00053ef9879dd93fUL;
   tf->codes[12497] = 0x00053f08db0c5bceUL;
   tf->codes[12498] = 0x00053f0da8c7d4f7UL;
   tf->codes[12499] = 0x00053f1117292b82UL;
   tf->codes[12500] = 0x00053f4abbf2d96eUL;
   tf->codes[12501] = 0x00053f58ea963f24UL;
   tf->codes[12502] = 0x00053f86aa52c10cUL;
   tf->codes[12503] = 0x00053f9b060bc289UL;
   tf->codes[12504] = 0x00053f9bf047d99dUL;
   tf->codes[12505] = 0x00053fb170cbf7f3UL;
   tf->codes[12506] = 0x00053fc089ab74bdUL;
   tf->codes[12507] = 0x00053fc13958860cUL;
   tf->codes[12508] = 0x00053fc3485fb9f9UL;
   tf->codes[12509] = 0x00053fdcac633a64UL;
   tf->codes[12510] = 0x00053feadb06a01aUL;
   tf->codes[12511] = 0x00053feb8ab3b169UL;
   tf->codes[12512] = 0x00053febffd1bcf3UL;
   tf->codes[12513] = 0x00053ff5262aa3bbUL;
   tf->codes[12514] = 0x00053ff97ec8115aUL;
   tf->codes[12515] = 0x0005400c0608e4afUL;
   tf->codes[12516] = 0x0005400fe98846c4UL;
   tf->codes[12517] = 0x0005401700d9f99fUL;
   tf->codes[12518] = 0x0005401f7785cf18UL;
   tf->codes[12519] = 0x000540309f6c7fcfUL;
   tf->codes[12520] = 0x000540382bdc3e34UL;
   tf->codes[12521] = 0x0005404c87953fb1UL;
   tf->codes[12522] = 0x0005408cce9294eeUL;
   tf->codes[12523] = 0x00054090b211f703UL;
   tf->codes[12524] = 0x00054095f4eb7bb6UL;
   tf->codes[12525] = 0x000540b75a7cc610UL;
   tf->codes[12526] = 0x000540b7cf9ad19aUL;
   tf->codes[12527] = 0x000540eb0cbfddfaUL;
   tf->codes[12528] = 0x000540f3f889befdUL;
   tf->codes[12529] = 0x000540f43318c4c2UL;
   tf->codes[12530] = 0x000540f4e2c5d611UL;
   tf->codes[12531] = 0x000540f72c5c0fc3UL;
   tf->codes[12532] = 0x0005410a6349f467UL;
   tf->codes[12533] = 0x0005411e0f55e495UL;
   tf->codes[12534] = 0x0005411f6eb00733UL;
   tf->codes[12535] = 0x000541290a26f985UL;
   tf->codes[12536] = 0x0005412efcad8f87UL;
   tf->codes[12537] = 0x0005413f3a58292aUL;
   tf->codes[12538] = 0x0005414dde199a6aUL;
   tf->codes[12539] = 0x0005414f02e4b743UL;
   tf->codes[12540] = 0x00054176206d91daUL;
   tf->codes[12541] = 0x00054188a7ae652fUL;
   tf->codes[12542] = 0x0005419710e0d0aaUL;
   tf->codes[12543] = 0x000541974b6fd66fUL;
   tf->codes[12544] = 0x000541aaf77bc69dUL;
   tf->codes[12545] = 0x000541bb35266040UL;
   tf->codes[12546] = 0x000541be68f8b106UL;
   tf->codes[12547] = 0x000541ca8894e2cfUL;
   tf->codes[12548] = 0x000541ccd22b1c81UL;
   tf->codes[12549] = 0x000541d24f93a6f9UL;
   tf->codes[12550] = 0x000541d4d3b8e670UL;
   tf->codes[12551] = 0x000541d5bdf4fd84UL;
   tf->codes[12552] = 0x000541e7d017c54fUL;
   tf->codes[12553] = 0x000542063c65c4a8UL;
   tf->codes[12554] = 0x00054210126bbcbfUL;
   tf->codes[12555] = 0x00054210fca7d3d3UL;
   tf->codes[12556] = 0x00054216b49f6410UL;
   tf->codes[12557] = 0x00054236bad68bccUL;
   tf->codes[12558] = 0x0005423ce7ec2793UL;
   tf->codes[12559] = 0x0005424c00cba45dUL;
   tf->codes[12560] = 0x00054266feb84d2bUL;
   tf->codes[12561] = 0x0005427c0a1e5ff7UL;
   tf->codes[12562] = 0x0005427d69788295UL;
   tf->codes[12563] = 0x0005428c47c8f99aUL;
   tf->codes[12564] = 0x0005428fb62a5025UL;
   tf->codes[12565] = 0x0005429bd5c681eeUL;
   tf->codes[12566] = 0x0005429c105587b3UL;
   tf->codes[12567] = 0x000542a745b5a268UL;
   tf->codes[12568] = 0x000542ae22784f7eUL;
   tf->codes[12569] = 0x000542ba07857b82UL;
   tf->codes[12570] = 0x000542bb66df9e20UL;
   tf->codes[12571] = 0x000542c870b7e6fdUL;
   tf->codes[12572] = 0x000542ce9dcd82c4UL;
   tf->codes[12573] = 0x000542d7feb56f51UL;
   tf->codes[12574] = 0x000542de665a10ddUL;
   tf->codes[12575] = 0x000542e0ea7f5054UL;
   tf->codes[12576] = 0x000542e9d6493157UL;
   tf->codes[12577] = 0x000542ed7f398da7UL;
   tf->codes[12578] = 0x000542ef53b1bbcfUL;
   tf->codes[12579] = 0x00054308b7b53c3aUL;
   tf->codes[12580] = 0x0005430bb0f8873bUL;
   tf->codes[12581] = 0x0005434012e8b074UL;
   tf->codes[12582] = 0x000543546ea1b1f1UL;
   tf->codes[12583] = 0x0005437ceb84af26UL;
   tf->codes[12584] = 0x00054385d74e9029UL;
   tf->codes[12585] = 0x0005439097909f54UL;
   tf->codes[12586] = 0x000543947b100169UL;
   tf->codes[12587] = 0x000543985e8f637eUL;
   tf->codes[12588] = 0x000543b4f66534afUL;
   tf->codes[12589] = 0x000543b6cadd62d7UL;
   tf->codes[12590] = 0x000543c02bc54f64UL;
   tf->codes[12591] = 0x000543c48462bd03UL;
   tf->codes[12592] = 0x000543ca76e95305UL;
   tf->codes[12593] = 0x000543d0de8df491UL;
   tf->codes[12594] = 0x000543d65bf67f09UL;
   tf->codes[12595] = 0x000543ddadd737a9UL;
   tf->codes[12596] = 0x000543ee609fdcd6UL;
   tf->codes[12597] = 0x0005440f8ba2216bUL;
   tf->codes[12598] = 0x000544120fc760e2UL;
   tf->codes[12599] = 0x00054413e43f8f0aUL;
   tf->codes[12600] = 0x000544141ece94cfUL;
   tf->codes[12601] = 0x000544407f30f419UL;
   tf->codes[12602] = 0x0005444c643e201dUL;
   tf->codes[12603] = 0x0005445bb7aca2acUL;
   tf->codes[12604] = 0x00054478c4a07f67UL;
   tf->codes[12605] = 0x000544990566ace8UL;
   tf->codes[12606] = 0x000544bbca5219e0UL;
   tf->codes[12607] = 0x000544c0980d9309UL;
   tf->codes[12608] = 0x000544c4b61bfae3UL;
   tf->codes[12609] = 0x000544e481c41cdaUL;
   tf->codes[12610] = 0x000544e61bad453dUL;
   tf->codes[12611] = 0x000544ecf86ff253UL;
   tf->codes[12612] = 0x00054510e2267c24UL;
   tf->codes[12613] = 0x00054515ea70fb12UL;
   tf->codes[12614] = 0x00054536dae439e2UL;
   tf->codes[12615] = 0x00054537ffaf56bbUL;
   tf->codes[12616] = 0x0005453d07f9d5a9UL;
   tf->codes[12617] = 0x0005454f1a1c9d74UL;
   tf->codes[12618] = 0x000545545cf62227UL;
   tf->codes[12619] = 0x0005455581c13f00UL;
   tf->codes[12620] = 0x00054566e436f57cUL;
   tf->codes[12621] = 0x0005456ee5c4bf6bUL;
   tf->codes[12622] = 0x0005456f9571d0baUL;
   tf->codes[12623] = 0x000545880f393a11UL;
   tf->codes[12624] = 0x0005458acded7f4dUL;
   tf->codes[12625] = 0x0005458dc730ca4eUL;
   tf->codes[12626] = 0x0005459a5beb07a1UL;
   tf->codes[12627] = 0x0005459e04db63f1UL;
   tf->codes[12628] = 0x0005459f29a680caUL;
   tf->codes[12629] = 0x000545abf8efc3e2UL;
   tf->codes[12630] = 0x000545c29e3eff11UL;
   tf->codes[12631] = 0x000545c6bc4d66ebUL;
   tf->codes[12632] = 0x000545ce48bd2550UL;
   tf->codes[12633] = 0x000545d17c8f7616UL;
   tf->codes[12634] = 0x000545d4b061c6dcUL;
   tf->codes[12635] = 0x000545de8667bef3UL;
   tf->codes[12636] = 0x000545e612d77d58UL;
   tf->codes[12637] = 0x000545e9bbc7d9a8UL;
   tf->codes[12638] = 0x000545ee898352d1UL;
   tf->codes[12639] = 0x000545f56645ffe7UL;
   tf->codes[12640] = 0x000545f5a0d505acUL;
   tf->codes[12641] = 0x000545fa6e907ed5UL;
   tf->codes[12642] = 0x000545fcf2b5be4cUL;
   tf->codes[12643] = 0x00054601c0713775UL;
   tf->codes[12644] = 0x000546068e2cb09eUL;
   tf->codes[12645] = 0x0005460f79f691a1UL;
   tf->codes[12646] = 0x0005463c4f76fc75UL;
   tf->codes[12647] = 0x0005464157c17b63UL;
   tf->codes[12648] = 0x000546453b40dd78UL;
   tf->codes[12649] = 0x0005464ab8a967f0UL;
   tf->codes[12650] = 0x00054658379fbc57UL;
   tf->codes[12651] = 0x0005466491caf3e5UL;
   tf->codes[12652] = 0x00054673aaaa70afUL;
   tf->codes[12653] = 0x00054690428041e0UL;
   tf->codes[12654] = 0x0005469759d1f4bbUL;
   tf->codes[12655] = 0x000546b4dbe3dd00UL;
   tf->codes[12656] = 0x000546c25ada3167UL;
   tf->codes[12657] = 0x000546ce7a766330UL;
   tf->codes[12658] = 0x000546d0c40c9ce2UL;
   tf->codes[12659] = 0x000546d766404433UL;
   tf->codes[12660] = 0x000546e29ba05ee8UL;
   tf->codes[12661] = 0x000546ed5be26e13UL;
   tf->codes[12662] = 0x00054708ceed226bUL;
   tf->codes[12663] = 0x0005470f3691c3f7UL;
   tf->codes[12664] = 0x00054712a4f31a82UL;
   tf->codes[12665] = 0x0005471a6bf1deacUL;
   tf->codes[12666] = 0x0005472d6850bd8bUL;
   tf->codes[12667] = 0x0005473de08a5cf3UL;
   tf->codes[12668] = 0x00054750a25a360dUL;
   tf->codes[12669] = 0x00054766d28b65b2UL;
   tf->codes[12670] = 0x00054767bcc77cc6UL;
   tf->codes[12671] = 0x0005476c4ff3f02aUL;
   tf->codes[12672] = 0x0005476f0ea83566UL;
   tf->codes[12673] = 0x00054773dc63ae8fUL;
   tf->codes[12674] = 0x0005477a7e9755e0UL;
   tf->codes[12675] = 0x0005478f14df5d22UL;
   tf->codes[12676] = 0x00054790e9578b4aUL;
   tf->codes[12677] = 0x00054792bdcfb972UL;
   tf->codes[12678] = 0x000547978b8b329bUL;
   tf->codes[12679] = 0x000547bf1e3218bcUL;
   tf->codes[12680] = 0x000547bf93502446UL;
   tf->codes[12681] = 0x000547c6aaa1d721UL;
   tf->codes[12682] = 0x000547cb785d504aUL;
   tf->codes[12683] = 0x000547cf214dac9aUL;
   tf->codes[12684] = 0x000547d379eb1a39UL;
   tf->codes[12685] = 0x000547df5ef8463dUL;
   tf->codes[12686] = 0x000547eeecf5ce91UL;
   tf->codes[12687] = 0x00054810c7a52475UL;
   tf->codes[12688] = 0x00054811775235c4UL;
   tf->codes[12689] = 0x00054813c0e86f76UL;
   tf->codes[12690] = 0x00054844ef0647e9UL;
   tf->codes[12691] = 0x000548485d679e74UL;
   tf->codes[12692] = 0x0005487448abf234UL;
   tf->codes[12693] = 0x000548798b8576e7UL;
   tf->codes[12694] = 0x000548870a7bcb4eUL;
   tf->codes[12695] = 0x0005489030d4b216UL;
   tf->codes[12696] = 0x000548aed7b1b734UL;
   tf->codes[12697] = 0x000548b0ac29e55cUL;
   tf->codes[12698] = 0x000548c5b78ff828UL;
   tf->codes[12699] = 0x000548cf8d95f03fUL;
   tf->codes[12700] = 0x000548eb00a0a497UL;
   tf->codes[12701] = 0x000548f33cbd744bUL;
   tf->codes[12702] = 0x000548f63600bf4cUL;
   tf->codes[12703] = 0x000548fa8e9e2cebUL;
   tf->codes[12704] = 0x000549121e297f2eUL;
   tf->codes[12705] = 0x0005492a22d2dcfbUL;
   tf->codes[12706] = 0x00054932997eb274UL;
   tf->codes[12707] = 0x00054933be49cf4dUL;
   tf->codes[12708] = 0x00054946458aa2a2UL;
   tf->codes[12709] = 0x000549476a55bf7bUL;
   tf->codes[12710] = 0x0005494d224d4fb8UL;
   tf->codes[12711] = 0x0005495b50f0b56eUL;
   tf->codes[12712] = 0x00054962a2d16e0eUL;
   tf->codes[12713] = 0x0005497c7bf2fa03UL;
   tf->codes[12714] = 0x0005497da0be16dcUL;
   tf->codes[12715] = 0x000549839344acdeUL;
   tf->codes[12716] = 0x000549c748a358a6UL;
   tf->codes[12717] = 0x000549ca07579de2UL;
   tf->codes[12718] = 0x000549ce256605bcUL;
   tf->codes[12719] = 0x000549f1d48d89c8UL;
   tf->codes[12720] = 0x000549f667b9fd2cUL;
   tf->codes[12721] = 0x000549f9d61b53b7UL;
   tf->codes[12722] = 0x000549fa85c86506UL;
   tf->codes[12723] = 0x00054a07ca2fb3a8UL;
   tf->codes[12724] = 0x00054a0f569f720dUL;
   tf->codes[12725] = 0x00054a19dc527b73UL;
   tf->codes[12726] = 0x00054a1c25e8b525UL;
   tf->codes[12727] = 0x00054a375e6463b8UL;
   tf->codes[12728] = 0x00054a3b41e3c5cdUL;
   tf->codes[12729] = 0x00054a3d8b79ff7fUL;
   tf->codes[12730] = 0x00054a77dff0bebaUL;
   tf->codes[12731] = 0x00054a831550d96fUL;
   tf->codes[12732] = 0x00054a9980110ed9UL;
   tf->codes[12733] = 0x00054ac2378311d3UL;
   tf->codes[12734] = 0x00054ac396dd3471UL;
   tf->codes[12735] = 0x00054ac82a09a7d5UL;
   tf->codes[12736] = 0x00054ac9fe81d5fdUL;
   tf->codes[12737] = 0x00054ad23a9ea5b1UL;
   tf->codes[12738] = 0x00054ad7f29635eeUL;
   tf->codes[12739] = 0x00054afdeb53f3acUL;
   tf->codes[12740] = 0x00054b2a11274d31UL;
   tf->codes[12741] = 0x00054b2edee2c65aUL;
   tf->codes[12742] = 0x00054b56e6a7b805UL;
   tf->codes[12743] = 0x00054b63f08000e2UL;
   tf->codes[12744] = 0x00054b6f9afe2721UL;
   tf->codes[12745] = 0x00054b7294417222UL;
   tf->codes[12746] = 0x00054b78c1570de9UL;
   tf->codes[12747] = 0x00054b94e40ed390UL;
   tf->codes[12748] = 0x00054bc2de5a5b3dUL;
   tf->codes[12749] = 0x00054bc527f094efUL;
   tf->codes[12750] = 0x00054bd64fd745a6UL;
   tf->codes[12751] = 0x00054beddf6297e9UL;
   tf->codes[12752] = 0x00054bf56bd2564eUL;
   tf->codes[12753] = 0x00054bfe579c3751UL;
   tf->codes[12754] = 0x00054bff7c67542aUL;
   tf->codes[12755] = 0x00054c1fbd2d81abUL;
   tf->codes[12756] = 0x00054c3e9e998c8eUL;
   tf->codes[12757] = 0x00054c407311bab6UL;
   tf->codes[12758] = 0x00054c436c5505b7UL;
   tf->codes[12759] = 0x00054c56ddd1f020UL;
   tf->codes[12760] = 0x00054c6b398af19dUL;
   tf->codes[12761] = 0x00054c7166a08d64UL;
   tf->codes[12762] = 0x00054c7b3ca6857bUL;
   tf->codes[12763] = 0x00054c8930bae56cUL;
   tf->codes[12764] = 0x00054c8acaa40dcfUL;
   tf->codes[12765] = 0x00054c996e657f0fUL;
   tf->codes[12766] = 0x00054ccf6a3ed0abUL;
   tf->codes[12767] = 0x00054cd9eff1da11UL;
   tf->codes[12768] = 0x00054d123561655fUL;
   tf->codes[12769] = 0x00054d35e488e96bUL;
   tf->codes[12770] = 0x00054d37f3901d58UL;
   tf->codes[12771] = 0x00054d4d74143baeUL;
   tf->codes[12772] = 0x00054d4ed36e5e4cUL;
   tf->codes[12773] = 0x00054d520740af12UL;
   tf->codes[12774] = 0x00054d586ee5509eUL;
   tf->codes[12775] = 0x00054d591e9261edUL;
   tf->codes[12776] = 0x00054d5e26dce0dbUL;
   tf->codes[12777] = 0x00054d6af62623f3UL;
   tf->codes[12778] = 0x00054d7ea2321421UL;
   tf->codes[12779] = 0x00054d9b3a07e552UL;
   tf->codes[12780] = 0x00054daee613d580UL;
   tf->codes[12781] = 0x00054db8f6a8d35cUL;
   tf->codes[12782] = 0x00054dd678babba1UL;
   tf->codes[12783] = 0x00054dd8c250f553UL;
   tf->codes[12784] = 0x00054ddb467634caUL;
   tf->codes[12785] = 0x00054ddf64849ca4UL;
   tf->codes[12786] = 0x00054df2265475beUL;
   tf->codes[12787] = 0x00054e13c674c5ddUL;
   tf->codes[12788] = 0x00054e2aa65306d1UL;
   tf->codes[12789] = 0x00054e3a34508f25UL;
   tf->codes[12790] = 0x00054e49c24e1779UL;
   tf->codes[12791] = 0x00054e4da5cd798eUL;
   tf->codes[12792] = 0x00054e78a6d5b63aUL;
   tf->codes[12793] = 0x00054e7de9af3aedUL;
   tf->codes[12794] = 0x00054eb2fb4c7575UL;
   tf->codes[12795] = 0x00054ebdbb8e84a0UL;
   tf->codes[12796] = 0x00054ec3ae151aa2UL;
   tf->codes[12797] = 0x00054ed5108ad11eUL;
   tf->codes[12798] = 0x00054ed87eec27a9UL;
   tf->codes[12799] = 0x00054ef9e47d7203UL;
   tf->codes[12800] = 0x00054efc68a2b17aUL;
   tf->codes[12801] = 0x00054f0dcb1867f6UL;
   tf->codes[12802] = 0x00054f125e44db5aUL;
   tf->codes[12803] = 0x00054f35984e53dcUL;
   tf->codes[12804] = 0x00054f41b7ea85a5UL;
   tf->codes[12805] = 0x00054f49445a440aUL;
   tf->codes[12806] = 0x00054f5a6c40f4c1UL;
   tf->codes[12807] = 0x00054f5c40b922e9UL;
   tf->codes[12808] = 0x00054f756a2d9d8fUL;
   tf->codes[12809] = 0x00054f7a37e916b8UL;
   tf->codes[12810] = 0x00054f88668c7c6eUL;
   tf->codes[12811] = 0x00054f8950c89382UL;
   tf->codes[12812] = 0x00054f8ece311dfaUL;
   tf->codes[12813] = 0x00054f9152565d71UL;
   tf->codes[12814] = 0x00054f97b9fafefdUL;
   tf->codes[12815] = 0x00054fedf69a7e1aUL;
   tf->codes[12816] = 0x00054ff2fee4fd08UL;
   tf->codes[12817] = 0x00054ff5830a3c7fUL;
   tf->codes[12818] = 0x00055005c0b4d622UL;
   tf->codes[12819] = 0x0005501a918be329UL;
   tf->codes[12820] = 0x000550216e4e903fUL;
   tf->codes[12821] = 0x0005502f6262f030UL;
   tf->codes[12822] = 0x00055043838cebe8UL;
   tf->codes[12823] = 0x0005504816b95f4cUL;
   tf->codes[12824] = 0x0005505e46ea8ef1UL;
   tf->codes[12825] = 0x0005506adba4cc44UL;
   tf->codes[12826] = 0x0005506c3afeeee2UL;
   tf->codes[12827] = 0x0005506e4a0622cfUL;
   tf->codes[12828] = 0x0005506ef9b3341eUL;
   tf->codes[12829] = 0x0005507b194f65e7UL;
   tf->codes[12830] = 0x000550926e4bb265UL;
   tf->codes[12831] = 0x0005509651cb147aUL;
   tf->codes[12832] = 0x0005509776963153UL;
   tf->codes[12833] = 0x0005509e5358de69UL;
   tf->codes[12834] = 0x000550b7f1eb6499UL;
   tf->codes[12835] = 0x000550bda9e2f4d6UL;
   tf->codes[12836] = 0x000550d2402afc18UL;
   tf->codes[12837] = 0x000550ddb01a1c92UL;
   tf->codes[12838] = 0x000550ded4e5396bUL;
   tf->codes[12839] = 0x000550e4524dc3e3UL;
   tf->codes[12840] = 0x000550ee2853bbfaUL;
   tf->codes[12841] = 0x000550faf79cff12UL;
   tf->codes[12842] = 0x00055116dfc5bef4UL;
   tf->codes[12843] = 0x0005511d81f96645UL;
   tf->codes[12844] = 0x0005512f941c2e10UL;
   tf->codes[12845] = 0x00055140f691e48cUL;
   tf->codes[12846] = 0x00055151e3e98f7eUL;
   tf->codes[12847] = 0x00055152ce25a692UL;
   tf->codes[12848] = 0x0005515d8e67b5bdUL;
   tf->codes[12849] = 0x0005515f62dfe3e5UL;
   tf->codes[12850] = 0x00055169ae03e786UL;
   tf->codes[12851] = 0x0005517224afbcffUL;
   tf->codes[12852] = 0x0005517433b6f0ecUL;
   tf->codes[12853] = 0x000551893f1d03b8UL;
   tf->codes[12854] = 0x0005518d229c65cdUL;
   tf->codes[12855] = 0x0005519a2c74aeaaUL;
   tf->codes[12856] = 0x0005519b8bced148UL;
   tf->codes[12857] = 0x000551a6fbbdf1c2UL;
   tf->codes[12858] = 0x000551b18170fb28UL;
   tf->codes[12859] = 0x000551b59f7f6302UL;
   tf->codes[12860] = 0x000551c10f6e837cUL;
   tf->codes[12861] = 0x000551cb5a92871dUL;
   tf->codes[12862] = 0x000551d0d7fb1195UL;
   tf->codes[12863] = 0x000551d7ef4cc470UL;
   tf->codes[12864] = 0x000551e742bb46ffUL;
   tf->codes[12865] = 0x000551f412048a17UL;
   tf->codes[12866] = 0x00055219d0334210UL;
   tf->codes[12867] = 0x0005523fc8f0ffceUL;
   tf->codes[12868] = 0x00055245bb7795d0UL;
   tf->codes[12869] = 0x000552466b24a71fUL;
   tf->codes[12870] = 0x0005526218be613cUL;
   tf->codes[12871] = 0x00055264d772a678UL;
   tf->codes[12872] = 0x00055268806302c8UL;
   tf->codes[12873] = 0x0005527639e85cf4UL;
   tf->codes[12874] = 0x00055281e4668333UL;
   tf->codes[12875] = 0x00055295cb017926UL;
   tf->codes[12876] = 0x000552b6bb74b7f6UL;
   tf->codes[12877] = 0x000552b93f99f76dUL;
   tf->codes[12878] = 0x000552bd9837650cUL;
   tf->codes[12879] = 0x000552c22b63d870UL;
   tf->codes[12880] = 0x000552cb172db973UL;
   tf->codes[12881] = 0x000552e948ecb307UL;
   tf->codes[12882] = 0x000552f1fa278e45UL;
   tf->codes[12883] = 0x000552fe5452c5d3UL;
   tf->codes[12884] = 0x0005530188251699UL;
   tf->codes[12885] = 0x0005534502f4bc9cUL;
   tf->codes[12886] = 0x0005534c54d5753cUL;
   tf->codes[12887] = 0x0005535197aef9efUL;
   tf->codes[12888] = 0x00055351d23dffb4UL;
   tf->codes[12889] = 0x0005535839e2a140UL;
   tf->codes[12890] = 0x0005535f16a54e56UL;
   tf->codes[12891] = 0x0005535fc6525fa5UL;
   tf->codes[12892] = 0x0005536752c21e0aUL;
   tf->codes[12893] = 0x0005536d0ab9ae47UL;
   tf->codes[12894] = 0x0005537e6d2f64c3UL;
   tf->codes[12895] = 0x000553845fb5fac5UL;
   tf->codes[12896] = 0x00055393b3247d54UL;
   tf->codes[12897] = 0x000553949d609468UL;
   tf->codes[12898] = 0x00055395127e9ff2UL;
   tf->codes[12899] = 0x0005539e73668c7fUL;
   tf->codes[12900] = 0x000553ad51b70384UL;
   tf->codes[12901] = 0x000553c5cb7e6cdbUL;
   tf->codes[12902] = 0x000553f6bf0d3f89UL;
   tf->codes[12903] = 0x000553fa2d6e9614UL;
   tf->codes[12904] = 0x0005540d9eeb807dUL;
   tf->codes[12905] = 0x00055410982ecb7eUL;
   tf->codes[12906] = 0x00055432e7fc2cecUL;
   tf->codes[12907] = 0x0005544dab59cff5UL;
   tf->codes[12908] = 0x0005546ed65c148aUL;
   tf->codes[12909] = 0x000554715a815401UL;
   tf->codes[12910] = 0x00055471cf9f5f8bUL;
   tf->codes[12911] = 0x0005549f54ccdbaeUL;
   tf->codes[12912] = 0x000554a0eeb60411UL;
   tf->codes[12913] = 0x000554ccd9fa57d1UL;
   tf->codes[12914] = 0x000554cf98ae9d0dUL;
   tf->codes[12915] = 0x000554de3c700e4dUL;
   tf->codes[12916] = 0x000554df26ac2561UL;
   tf->codes[12917] = 0x000554e6788cde01UL;
   tf->codes[12918] = 0x000554e9e6ee348cUL;
   tf->codes[12919] = 0x000554ff677252e2UL;
   tf->codes[12920] = 0x00055516475093d6UL;
   tf->codes[12921] = 0x00055517a6aab674UL;
   tf->codes[12922] = 0x0005551caef53562UL;
   tf->codes[12923] = 0x000555377252d86bUL;
   tf->codes[12924] = 0x00055555a411d1ffUL;
   tf->codes[12925] = 0x0005555b217a5c77UL;
   tf->codes[12926] = 0x0005555eca6ab8c7UL;
   tf->codes[12927] = 0x0005556ecd864ca5UL;
   tf->codes[12928] = 0x000555744aeed71dUL;
   tf->codes[12929] = 0x0005557c11ed9b47UL;
   tf->codes[12930] = 0x00055594c6440a63UL;
   tf->codes[12931] = 0x000555bfc74c470fUL;
   tf->codes[12932] = 0x000555d0b4a3f201UL;
   tf->codes[12933] = 0x000555df58656341UL;
   tf->codes[12934] = 0x000555dfcd836ecbUL;
   tf->codes[12935] = 0x000555ea18a7726cUL;
   tf->codes[12936] = 0x000555eee662eb95UL;
   tf->codes[12937] = 0x000555fb408e2323UL;
   tf->codes[12938] = 0x000555fd8a245cd5UL;
   tf->codes[12939] = 0x000555feaeef79aeUL;
   tf->codes[12940] = 0x00055605c6412c89UL;
   tf->codes[12941] = 0x000556080fd7663bUL;
   tf->codes[12942] = 0x00055610fba1473eUL;
   tf->codes[12943] = 0x000556146a029dc9UL;
   tf->codes[12944] = 0x00055642644e2576UL;
   tf->codes[12945] = 0x0005564647cd878bUL;
   tf->codes[12946] = 0x0005565dd758d9ceUL;
   tf->codes[12947] = 0x00055663c9df6fd0UL;
   tf->codes[12948] = 0x0005567f3cea2428UL;
   tf->codes[12949] = 0x000556c91f5e6bb7UL;
   tf->codes[12950] = 0x000556f0b20551d8UL;
   tf->codes[12951] = 0x000556f2867d8000UL;
   tf->codes[12952] = 0x000556f8b3931bc7UL;
   tf->codes[12953] = 0x000556f928b12751UL;
   tf->codes[12954] = 0x000557171fe11b20UL;
   tf->codes[12955] = 0x0005572cdaf43f3bUL;
   tf->codes[12956] = 0x0005573bf3d3bc05UL;
   tf->codes[12957] = 0x0005573e77f8fb7cUL;
   tf->codes[12958] = 0x0005574296076356UL;
   tf->codes[12959] = 0x0005574b81d14459UL;
   tf->codes[12960] = 0x0005575ef34e2ec2UL;
   tf->codes[12961] = 0x0005576819a7158aUL;
   tf->codes[12962] = 0x00055776484a7b40UL;
   tf->codes[12963] = 0x00055777e233a3a3UL;
   tf->codes[12964] = 0x00055781431b9030UL;
   tf->codes[12965] = 0x00055781f2c8a17fUL;
   tf->codes[12966] = 0x0005579cb6264488UL;
   tf->codes[12967] = 0x000557a7eb865f3dUL;
   tf->codes[12968] = 0x000557bfb5a0b745UL;
   tf->codes[12969] = 0x000557c0da6bd41eUL;
   tf->codes[12970] = 0x000557ca75e2c670UL;
   tf->codes[12971] = 0x000557cab071cc35UL;
   tf->codes[12972] = 0x000557cc84e9fa5dUL;
   tf->codes[12973] = 0x000557da03e04ec4UL;
   tf->codes[12974] = 0x000557e4feb163b4UL;
   tf->codes[12975] = 0x000557e5ae5e7503UL;
   tf->codes[12976] = 0x000557ef0f466190UL;
   tf->codes[12977] = 0x000557efbef372dfUL;
   tf->codes[12978] = 0x000557f9cf8870bbUL;
   tf->codes[12979] = 0x000558069ed1b3d3UL;
   tf->codes[12980] = 0x0005581d4420ef02UL;
   tf->codes[12981] = 0x0005582a88883da4UL;
   tf->codes[12982] = 0x0005582f1bb4b108UL;
   tf->codes[12983] = 0x00055832ff34131dUL;
   tf->codes[12984] = 0x000558407e2a6784UL;
   tf->codes[12985] = 0x0005584218138fe7UL;
   tf->codes[12986] = 0x0005584b78fb7c74UL;
   tf->codes[12987] = 0x0005585c2bc421a1UL;
   tf->codes[12988] = 0x0005585e3acb558eUL;
   tf->codes[12989] = 0x0005586c2edfb57fUL;
   tf->codes[12990] = 0x00055878c399f2d2UL;
   tf->codes[12991] = 0x0005588642904739UL;
   tf->codes[12992] = 0x000558ac3b4e04f7UL;
   tf->codes[12993] = 0x000558ad258a1c0bUL;
   tf->codes[12994] = 0x000558bf37ace3d6UL;
   tf->codes[12995] = 0x000558caa79c0450UL;
   tf->codes[12996] = 0x000558d68ca93054UL;
   tf->codes[12997] = 0x000558e2e6d467e2UL;
   tf->codes[12998] = 0x000558e9c39714f8UL;
   tf->codes[12999] = 0x000558e9fe261abdUL;
   tf->codes[13000] = 0x000558eae86231d1UL;
   tf->codes[13001] = 0x000558eecbe193e6UL;
   tf->codes[13002] = 0x000558f6cd6f5dd5UL;
   tf->codes[13003] = 0x000558f7f23a7aaeUL;
   tf->codes[13004] = 0x0005590d382f933fUL;
   tf->codes[13005] = 0x0005594508811303UL;
   tf->codes[13006] = 0x000559478ca6527aUL;
   tf->codes[13007] = 0x00055948b1716f53UL;
   tf->codes[13008] = 0x000559503de12db8UL;
   tf->codes[13009] = 0x0005595a4e762b94UL;
   tf->codes[13010] = 0x0005596583d64649UL;
   tf->codes[13011] = 0x000559742797b789UL;
   tf->codes[13012] = 0x000559780b17199eUL;
   tf->codes[13013] = 0x0005597bee967bb3UL;
   tf->codes[13014] = 0x000559a6ef9eb85fUL;
   tf->codes[13015] = 0x000559a81469d538UL;
   tf->codes[13016] = 0x000559ad91d25fb0UL;
   tf->codes[13017] = 0x000559bfde842d40UL;
   tf->codes[13018] = 0x000559e5d741eafeUL;
   tf->codes[13019] = 0x000559f405e550b4UL;
   tf->codes[13020] = 0x00055a09fb877a94UL;
   tf->codes[13021] = 0x00055a14f6588f84UL;
   tf->codes[13022] = 0x00055a15a605a0d3UL;
   tf->codes[13023] = 0x00055a1b236e2b4bUL;
   tf->codes[13024] = 0x00055a1b988c36d5UL;
   tf->codes[13025] = 0x00055a3cc38e7b6aUL;
   tf->codes[13026] = 0x00055a4ffa7c600eUL;
   tf->codes[13027] = 0x00055a5711ce12e9UL;
   tf->codes[13028] = 0x00055a595b644c9bUL;
   tf->codes[13029] = 0x00055a695e7fe079UL;
   tf->codes[13030] = 0x00055a7e69e5f345UL;
   tf->codes[13031] = 0x00055a8d82c5700fUL;
   tf->codes[13032] = 0x00055a91a0d3d7e9UL;
   tf->codes[13033] = 0x00055a9cd633f29eUL;
   tf->codes[13034] = 0x00055ab1a70affa5UL;
   tf->codes[13035] = 0x00055ab80eafa131UL;
   tf->codes[13036] = 0x00055abe3bc53cf8UL;
   tf->codes[13037] = 0x00055ac259d3a4d2UL;
   tf->codes[13038] = 0x00055aceee8de225UL;
   tf->codes[13039] = 0x00055adb0e2a13eeUL;
   tf->codes[13040] = 0x00055aee7fa6fe57UL;
   tf->codes[13041] = 0x00055afc73bb5e48UL;
   tf->codes[13042] = 0x00055afe48338c70UL;
   tf->codes[13043] = 0x00055affa78daf0eUL;
   tf->codes[13044] = 0x00055b0d9ba20effUL;
   tf->codes[13045] = 0x00055b31fa76a45aUL;
   tf->codes[13046] = 0x00055b35a36700aaUL;
   tf->codes[13047] = 0x00055b43225d5511UL;
   tf->codes[13048] = 0x00055b54f9f11717UL;
   tf->codes[13049] = 0x00055b59c7ac9040UL;
   tf->codes[13050] = 0x00055b5b9c24be68UL;
   tf->codes[13051] = 0x00055b5dab2bf255UL;
   tf->codes[13052] = 0x00055b69cac8241eUL;
   tf->codes[13053] = 0x00055b6aef9340f7UL;
   tf->codes[13054] = 0x00055b8a461d5764UL;
   tf->codes[13055] = 0x00055b8e9ebac503UL;
   tf->codes[13056] = 0x00055bbac48e1e88UL;
   tf->codes[13057] = 0x00055bdd4eea85bbUL;
   tf->codes[13058] = 0x00055bef267e47c1UL;
   tf->codes[13059] = 0x00055bef9b9c534bUL;
   tf->codes[13060] = 0x00055bf170148173UL;
   tf->codes[13061] = 0x00055c05cbcd82f0UL;
   tf->codes[13062] = 0x00055c10c69e97e0UL;
   tf->codes[13063] = 0x00055c15945a1109UL;
   tf->codes[13064] = 0x00055c3266bee7ffUL;
   tf->codes[13065] = 0x00055c32dbdcf389UL;
   tf->codes[13066] = 0x00055c359a9138c5UL;
   tf->codes[13067] = 0x00055c39b89fa09fUL;
   tf->codes[13068] = 0x00055c3e4bcc1403UL;
   tf->codes[13069] = 0x00055c417f9e64c9UL;
   tf->codes[13070] = 0x00055c44b370b58fUL;
   tf->codes[13071] = 0x00055c5ddce53035UL;
   tf->codes[13072] = 0x00055c5f3c3f52d3UL;
   tf->codes[13073] = 0x00055c969772c70dUL;
   tf->codes[13074] = 0x00055c98a679fafaUL;
   tf->codes[13075] = 0x00055ca157b4d638UL;
   tf->codes[13076] = 0x00055cad3cc2023cUL;
   tf->codes[13077] = 0x00055cbdb4fba1a4UL;
   tf->codes[13078] = 0x00055cc282b71acdUL;
   tf->codes[13079] = 0x00055ccf52005de5UL;
   tf->codes[13080] = 0x00055ce004c90312UL;
   tf->codes[13081] = 0x00055ce1642325b0UL;
   tf->codes[13082] = 0x00055ce213d036ffUL;
   tf->codes[13083] = 0x00055ce8f092e415UL;
   tf->codes[13084] = 0x00055cf46082048fUL;
   tf->codes[13085] = 0x00055d1516663d9aUL;
   tf->codes[13086] = 0x00055d37db51aa92UL;
   tf->codes[13087] = 0x00055d3c6e7e1df6UL;
   tf->codes[13088] = 0x00055d4609f51048UL;
   tf->codes[13089] = 0x00055d488e1a4fbfUL;
   tf->codes[13090] = 0x00055d5ef8da8529UL;
   tf->codes[13091] = 0x00055d6ceceee51aUL;
   tf->codes[13092] = 0x00055d78d1fc111eUL;
   tf->codes[13093] = 0x00055d873b2e7c99UL;
   tf->codes[13094] = 0x00055d89bf53bc10UL;
   tf->codes[13095] = 0x00055d89f9e2c1d5UL;
   tf->codes[13096] = 0x00055d914bc37a75UL;
   tf->codes[13097] = 0x00055d973e4a1077UL;
   tf->codes[13098] = 0x00055d9b21c9728cUL;
   tf->codes[13099] = 0x00055dd7fa65713eUL;
   tf->codes[13100] = 0x00055de2f536862eUL;
   tf->codes[13101] = 0x00055def4f61bdbcUL;
   tf->codes[13102] = 0x00055df123d9ebe4UL;
   tf->codes[13103] = 0x00055dfd7e052372UL;
   tf->codes[13104] = 0x00055e0ee07ad9eeUL;
   tf->codes[13105] = 0x00055e12fe8941c8UL;
   tf->codes[13106] = 0x00055e558f1cd0b7UL;
   tf->codes[13107] = 0x00055e576394fedfUL;
   tf->codes[13108] = 0x00055e5d1b8c8f1cUL;
   tf->codes[13109] = 0x00055e6014cfda1dUL;
   tf->codes[13110] = 0x00055e6a2564d7f9UL;
   tf->codes[13111] = 0x00055e6c346c0be6UL;
   tf->codes[13112] = 0x00055e760a7203fdUL;
   tf->codes[13113] = 0x00055e78197937eaUL;
   tf->codes[13114] = 0x00055e7903b54efeUL;
   tf->codes[13115] = 0x00055e7a28806bd7UL;
   tf->codes[13116] = 0x00055e7a9d9e7761UL;
   tf->codes[13117] = 0x00055e8e0f1b61caUL;
   tf->codes[13118] = 0x00055ec395d6a7dcUL;
   tf->codes[13119] = 0x00055ec9885d3ddeUL;
   tf->codes[13120] = 0x00055ecc4711831aUL;
   tf->codes[13121] = 0x00055ecde0faab7dUL;
   tf->codes[13122] = 0x00055ed9c607d781UL;
   tf->codes[13123] = 0x00055edb9a8005a9UL;
   tf->codes[13124] = 0x00055ef8a773e264UL;
   tf->codes[13125] = 0x00055f136ad1856dUL;
   tf->codes[13126] = 0x00055f5bb35ca499UL;
   tf->codes[13127] = 0x00055f6e3a9d77eeUL;
   tf->codes[13128] = 0x00055f71e38dd43eUL;
   tf->codes[13129] = 0x00055f7a1faaa3f2UL;
   tf->codes[13130] = 0x00055f93f8cc2fe7UL;
   tf->codes[13131] = 0x00055f997634ba5fUL;
   tf->codes[13132] = 0x00055f9fa34a5626UL;
   tf->codes[13133] = 0x00055fce4d42ef22UL;
   tf->codes[13134] = 0x00055fd7e8b9e174UL;
   tf->codes[13135] = 0x00055fda6cdf20ebUL;
   tf->codes[13136] = 0x00055feb94c5d1a2UL;
   tf->codes[13137] = 0x00055fef3db62df2UL;
   tf->codes[13138] = 0x00055ff779d2fda6UL;
   tf->codes[13139] = 0x00056003996f2f6fUL;
   tf->codes[13140] = 0x00056052842df5ecUL;
   tf->codes[13141] = 0x000560666ac8ebdfUL;
   tf->codes[13142] = 0x00056074244e460bUL;
   tf->codes[13143] = 0x00056075be376e6eUL;
   tf->codes[13144] = 0x000560842769d9e9UL;
   tf->codes[13145] = 0x0005608a19f06febUL;
   tf->codes[13146] = 0x0005608a547f75b0UL;
   tf->codes[13147] = 0x00056095fefd9befUL;
   tf->codes[13148] = 0x000560b25c44675bUL;
   tf->codes[13149] = 0x000560c0c576d2d6UL;
   tf->codes[13150] = 0x000560c46e672f26UL;
   tf->codes[13151] = 0x000560c558a3463aUL;
   tf->codes[13152] = 0x000560ccaa83fedaUL;
   tf->codes[13153] = 0x000560cf2ea93e51UL;
   tf->codes[13154] = 0x000560d018e55565UL;
   tf->codes[13155] = 0x000560d5d0dce5a2UL;
   tf->codes[13156] = 0x000560dd5d4ca407UL;
   tf->codes[13157] = 0x000560eb16d1fe33UL;
   tf->codes[13158] = 0x00056103560a61c5UL;
   tf->codes[13159] = 0x000561059fa09b77UL;
   tf->codes[13160] = 0x0005610823c5daeeUL;
   tf->codes[13161] = 0x000561168cf84669UL;
   tf->codes[13162] = 0x0005611d69baf37fUL;
   tf->codes[13163] = 0x0005611dded8ff09UL;
   tf->codes[13164] = 0x00056130db37dde8UL;
   tf->codes[13165] = 0x000561356e64514cUL;
   tf->codes[13166] = 0x00056146212cf679UL;
   tf->codes[13167] = 0x00056155749b7908UL;
   tf->codes[13168] = 0x000561632e20d334UL;
   tf->codes[13169] = 0x0005616fc2db1087UL;
   tf->codes[13170] = 0x00056178aea4f18aUL;
   tf->codes[13171] = 0x000561795e5202d9UL;
   tf->codes[13172] = 0x0005617be2774250UL;
   tf->codes[13173] = 0x000561966b45df94UL;
   tf->codes[13174] = 0x000561a633d26dadUL;
   tf->codes[13175] = 0x000561b75bb91e64UL;
   tf->codes[13176] = 0x000561c2cba83edeUL;
   tf->codes[13177] = 0x000561cc671f3130UL;
   tf->codes[13178] = 0x000561d16f69b01eUL;
   tf->codes[13179] = 0x000561d8fbd96e83UL;
   tf->codes[13180] = 0x000561dd8f05e1e7UL;
   tf->codes[13181] = 0x000561deee600485UL;
   tf->codes[13182] = 0x000561dfd89c1b99UL;
   tf->codes[13183] = 0x000561f175a0d7daUL;
   tf->codes[13184] = 0x000561fad688c467UL;
   tf->codes[13185] = 0x000561fbc0c4db7bUL;
   tf->codes[13186] = 0x0005621733cf8fd3UL;
   tf->codes[13187] = 0x000562377495bd54UL;
   tf->codes[13188] = 0x0005623b92a4252eUL;
   tf->codes[13189] = 0x0005623c7ce03c42UL;
   tf->codes[13190] = 0x00056247b24056f7UL;
   tf->codes[13191] = 0x000562489c7c6e0bUL;
   tf->codes[13192] = 0x000562589f9801e9UL;
   tf->codes[13193] = 0x0005625e578f9226UL;
   tf->codes[13194] = 0x000562695260a716UL;
   tf->codes[13195] = 0x0005626aec49cf79UL;
   tf->codes[13196] = 0x00056275ac8bdea4UL;
   tf->codes[13197] = 0x0005629b6aba969dUL;
   tf->codes[13198] = 0x000562ad424e58a3UL;
   tf->codes[13199] = 0x000562c3e79d93d2UL;
   tf->codes[13200] = 0x000562c66bc2d349UL;
   tf->codes[13201] = 0x000562ee38f8bf2fUL;
   tf->codes[13202] = 0x000562f933c9d41fUL;
   tf->codes[13203] = 0x00056318c4e2f051UL;
   tf->codes[13204] = 0x0005633a9f924635UL;
   tf->codes[13205] = 0x0005633cae997a22UL;
   tf->codes[13206] = 0x000563401cfad0adUL;
   tf->codes[13207] = 0x0005634faaf85901UL;
   tf->codes[13208] = 0x0005635efe66db90UL;
   tf->codes[13209] = 0x000563735a1fdd0dUL;
   tf->codes[13210] = 0x0005637c45e9be10UL;
   tf->codes[13211] = 0x0005638322ac6b26UL;
   tf->codes[13212] = 0x000563b83449a5aeUL;
   tf->codes[13213] = 0x000563ba08c1d3d6UL;
   tf->codes[13214] = 0x000563c578b0f450UL;
   tf->codes[13215] = 0x000563d1d2dc2bdeUL;
   tf->codes[13216] = 0x000563d7fff1c7a5UL;
   tf->codes[13217] = 0x000563ed8075e5fbUL;
   tf->codes[13218] = 0x000563f58203afeaUL;
   tf->codes[13219] = 0x000563f631b0c139UL;
   tf->codes[13220] = 0x00056413b3c2a97eUL;
   tf->codes[13221] = 0x0005641b403267e3UL;
   tf->codes[13222] = 0x00056440c3d21a17UL;
   tf->codes[13223] = 0x00056440fe611fdcUL;
   tf->codes[13224] = 0x000564697b441d11UL;
   tf->codes[13225] = 0x0005648a6bb75be1UL;
   tf->codes[13226] = 0x00056496c5e2936fUL;
   tf->codes[13227] = 0x000564985fcbbbd2UL;
   tf->codes[13228] = 0x0005649b939e0c98UL;
   tf->codes[13229] = 0x000564af7a39028bUL;
   tf->codes[13230] = 0x000564ba3a7b11b6UL;
   tf->codes[13231] = 0x000564be58897990UL;
   tf->codes[13232] = 0x000564c65a17437fUL;
   tf->codes[13233] = 0x000564f788351bf2UL;
   tf->codes[13234] = 0x000564ff89c2e5e1UL;
   tf->codes[13235] = 0x0005650a4a04f50cUL;
   tf->codes[13236] = 0x0005651753dd3de9UL;
   tf->codes[13237] = 0x0005651878a85ac2UL;
   tf->codes[13238] = 0x0005653cd77cf01dUL;
   tf->codes[13239] = 0x000565449e7bb447UL;
   tf->codes[13240] = 0x0005655dc7f02eedUL;
   tf->codes[13241] = 0x00056561ab6f9102UL;
   tf->codes[13242] = 0x0005656ad1c877caUL;
   tf->codes[13243] = 0x000565751cec7b6bUL;
   tf->codes[13244] = 0x0005658a9d7099c1UL;
   tf->codes[13245] = 0x0005658e80effbd6UL;
   tf->codes[13246] = 0x0005659229e05826UL;
   tf->codes[13247] = 0x000565934eab74ffUL;
   tf->codes[13248] = 0x0005659cea226751UL;
   tf->codes[13249] = 0x000565cdddb139ffUL;
   tf->codes[13250] = 0x000565d7ee4637dbUL;
   tf->codes[13251] = 0x000565fb9d6dbbe7UL;
   tf->codes[13252] = 0x00056613678813efUL;
   tf->codes[13253] = 0x0005661c18c2ef2dUL;
   tf->codes[13254] = 0x0005661c8de0fab7UL;
   tf->codes[13255] = 0x0005661e27ca231aUL;
   tf->codes[13256] = 0x00056628e80c3245UL;
   tf->codes[13257] = 0x0005665423a374b6UL;
   tf->codes[13258] = 0x0005665582fd9754UL;
   tf->codes[13259] = 0x000566592bedf3a4UL;
   tf->codes[13260] = 0x0005665dbf1a6708UL;
   tf->codes[13261] = 0x0005665f93929530UL;
   tf->codes[13262] = 0x000566938064b2dfUL;
   tf->codes[13263] = 0x000566951a4ddb42UL;
   tf->codes[13264] = 0x0005669763e414f4UL;
   tf->codes[13265] = 0x0005669b0cd47144UL;
   tf->codes[13266] = 0x0005669b81f27cceUL;
   tf->codes[13267] = 0x000566bcacf4c163UL;
   tf->codes[13268] = 0x000566e56466c45dUL;
   tf->codes[13269] = 0x000566f73bfa8663UL;
   tf->codes[13270] = 0x00056713994151cfUL;
   tf->codes[13271] = 0x000567365e2cbec7UL;
   tf->codes[13272] = 0x0005674208aae506UL;
   tf->codes[13273] = 0x0005675c56ea7c85UL;
   tf->codes[13274] = 0x000567692633bf9dUL;
   tf->codes[13275] = 0x0005677879a2422cUL;
   tf->codes[13276] = 0x0005678b00e31581UL;
   tf->codes[13277] = 0x0005679d4d94e311UL;
   tf->codes[13278] = 0x000567bb44c4d6e0UL;
   tf->codes[13279] = 0x000567c729d202e4UL;
   tf->codes[13280] = 0x000567e053467d8aUL;
   tf->codes[13281] = 0x0005680cee37e299UL;
   tf->codes[13282] = 0x0005681440189b39UL;
   tf->codes[13283] = 0x000568440edc510eUL;
   tf->codes[13284] = 0x0005685b9e67a351UL;
   tf->codes[13285] = 0x0005685ed239f417UL;
   tf->codes[13286] = 0x0005686bdc123cf4UL;
   tf->codes[13287] = 0x000568850586b79aUL;
   tf->codes[13288] = 0x00056888ae7713eaUL;
   tf->codes[13289] = 0x0005688be24964b0UL;
   tf->codes[13290] = 0x000568936eb92315UL;
   tf->codes[13291] = 0x0005689f8e5554deUL;
   tf->codes[13292] = 0x000568d72417ceddUL;
   tf->codes[13293] = 0x000568f1ace66c21UL;
   tf->codes[13294] = 0x000568f4a629b722UL;
   tf->codes[13295] = 0x000569108e527704UL;
   tf->codes[13296] = 0x0005692b17211448UL;
   tf->codes[13297] = 0x00056958273084e1UL;
   tf->codes[13298] = 0x0005695b5b02d5a7UL;
   tf->codes[13299] = 0x0005696c82e9865eUL;
   tf->codes[13300] = 0x0005696da7b4a337UL;
   tf->codes[13301] = 0x0005697b9bc90328UL;
   tf->codes[13302] = 0x0005699a08170281UL;
   tf->codes[13303] = 0x000569c3a9c51c8fUL;
   tf->codes[13304] = 0x000569df1ccfd0e7UL;
   tf->codes[13305] = 0x000569f3036ac6daUL;
   tf->codes[13306] = 0x00056a0674e7b143UL;
   tf->codes[13307] = 0x00056a0883eee530UL;
   tf->codes[13308] = 0x00056a0f9b40980bUL;
   tf->codes[13309] = 0x00056a17d75d67bfUL;
   tf->codes[13310] = 0x00056a26b5addec4UL;
   tf->codes[13311] = 0x00056a3384f721dcUL;
   tf->codes[13312] = 0x00056a4521fbde1dUL;
   tf->codes[13313] = 0x00056a4646c6faf6UL;
   tf->codes[13314] = 0x00056a46bbe50680UL;
   tf->codes[13315] = 0x00056a4a64d562d0UL;
   tf->codes[13316] = 0x00056a4c73dc96bdUL;
   tf->codes[13317] = 0x00056a51b6b61b70UL;
   tf->codes[13318] = 0x00056a543adb5ae7UL;
   tf->codes[13319] = 0x00056a559a357d85UL;
   tf->codes[13320] = 0x00056a601fe886ebUL;
   tf->codes[13321] = 0x00056a7356d66b8fUL;
   tf->codes[13322] = 0x00056a752b4e99b7UL;
   tf->codes[13323] = 0x00056a7b1dd52fb9UL;
   tf->codes[13324] = 0x00056a80d5ccbff6UL;
   tf->codes[13325] = 0x00056a98da761dc3UL;
   tf->codes[13326] = 0x00056aaed01847a3UL;
   tf->codes[13327] = 0x00056ab9cae95c93UL;
   tf->codes[13328] = 0x00056abf4851e70bUL;
   tf->codes[13329] = 0x00056ac24195320cUL;
   tf->codes[13330] = 0x00056aca4322fbfbUL;
   tf->codes[13331] = 0x00056acd76f54cc1UL;
   tf->codes[13332] = 0x00056ad7c2195062UL;
   tf->codes[13333] = 0x00056ade9edbfd78UL;
   tf->codes[13334] = 0x00056aded96b033dUL;
   tf->codes[13335] = 0x00056af1d5c9e21cUL;
   tf->codes[13336] = 0x00056b0372ce9e5dUL;
   tf->codes[13337] = 0x00056b0ac4af56fdUL;
   tf->codes[13338] = 0x00056b1cd6d21ec8UL;
   tf->codes[13339] = 0x00056b442ee9ff24UL;
   tf->codes[13340] = 0x00056b44de971073UL;
   tf->codes[13341] = 0x00056b46ed9e4460UL;
   tf->codes[13342] = 0x00056b4887876cc3UL;
   tf->codes[13343] = 0x00056b4a5bff9aebUL;
   tf->codes[13344] = 0x00056b5f2cd6a7f2UL;
   tf->codes[13345] = 0x00056b917fbf9d3eUL;
   tf->codes[13346] = 0x00056b9528aff98eUL;
   tf->codes[13347] = 0x00056b9aa6188406UL;
   tf->codes[13348] = 0x00056bd0a1f1d5a2UL;
   tf->codes[13349] = 0x00056bec8a1a9584UL;
   tf->codes[13350] = 0x00056befbdece64aUL;
   tf->codes[13351] = 0x00056bf207831ffcUL;
   tf->codes[13352] = 0x00056bf48ba85f73UL;
   tf->codes[13353] = 0x00056c0712e932c8UL;
   tf->codes[13354] = 0x00056c0ed9e7f6f2UL;
   tf->codes[13355] = 0x00056c18ea7cf4ceUL;
   tf->codes[13356] = 0x00056c195f9b0058UL;
   tf->codes[13357] = 0x00056c1fc73fa1e4UL;
   tf->codes[13358] = 0x00056c43eb85317aUL;
   tf->codes[13359] = 0x00056c4809939954UL;
   tf->codes[13360] = 0x00056c521a289730UL;
   tf->codes[13361] = 0x00056c533ef3b409UL;
   tf->codes[13362] = 0x00056c6ca2f73474UL;
   tf->codes[13363] = 0x00056c6e3ce05cd7UL;
   tf->codes[13364] = 0x00056c7728aa3ddaUL;
   tf->codes[13365] = 0x00056c967f345447UL;
   tf->codes[13366] = 0x00056ca522f5c587UL;
   tf->codes[13367] = 0x00056ca76c8bff39UL;
   tf->codes[13368] = 0x00056cb0cd73ebc6UL;
   tf->codes[13369] = 0x00056cb6856b7c03UL;
   tf->codes[13370] = 0x00056cbaa379e3ddUL;
   tf->codes[13371] = 0x00056cbe11db3a68UL;
   tf->codes[13372] = 0x00056cc688870fe1UL;
   tf->codes[13373] = 0x00056cc8978e43ceUL;
   tf->codes[13374] = 0x00056cd0991c0dbdUL;
   tf->codes[13375] = 0x00056cd148c91f0cUL;
   tf->codes[13376] = 0x00056cd4077d6448UL;
   tf->codes[13377] = 0x00056cd4f1b97b5cUL;
   tf->codes[13378] = 0x00056ce8d854714fUL;
   tf->codes[13379] = 0x00056cf6cc68d140UL;
   tf->codes[13380] = 0x00056cfcbeef6742UL;
   tf->codes[13381] = 0x00056cffb832b243UL;
   tf->codes[13382] = 0x00056d10306c51abUL;
   tf->codes[13383] = 0x00056d10e01962faUL;
   tf->codes[13384] = 0x00056d2b68e8003eUL;
   tf->codes[13385] = 0x00056d44925c7ae4UL;
   tf->codes[13386] = 0x00056d457c9891f8UL;
   tf->codes[13387] = 0x00056d4800bdd16fUL;
   tf->codes[13388] = 0x00056d4875dbdcf9UL;
   tf->codes[13389] = 0x00056d4afa011c70UL;
   tf->codes[13390] = 0x00056d550a961a4cUL;
   tf->codes[13391] = 0x00056d59d8519375UL;
   tf->codes[13392] = 0x00056d649893a2a0UL;
   tf->codes[13393] = 0x00056d6cd4b07254UL;
   tf->codes[13394] = 0x00056d7a53a6c6bbUL;
   tf->codes[13395] = 0x00056d7bed8fef1eUL;
   tf->codes[13396] = 0x00056d7cd7cc0632UL;
   tf->codes[13397] = 0x00056d88824a2c71UL;
   tf->codes[13398] = 0x00056d9d53213978UL;
   tf->codes[13399] = 0x00056da79e453d19UL;
   tf->codes[13400] = 0x00056db1aeda3af5UL;
   tf->codes[13401] = 0x00056dc93e658d38UL;
   tf->codes[13402] = 0x00056de1f2bbfc54UL;
   tf->codes[13403] = 0x00056deced8d1144UL;
   tf->codes[13404] = 0x00056e135b68da8cUL;
   tf->codes[13405] = 0x00056e14f55202efUL;
   tf->codes[13406] = 0x00056e1863b3597aUL;
   tf->codes[13407] = 0x00056e1bd214b005UL;
   tf->codes[13408] = 0x00056e31c7b6d9e5UL;
   tf->codes[13409] = 0x00056e37f4cc75acUL;
   tf->codes[13410] = 0x00056e41cad26dc3UL;
   tf->codes[13411] = 0x00056e46236fdb62UL;
   tf->codes[13412] = 0x00056e48e224209eUL;
   tf->codes[13413] = 0x00056e4f8457c7efUL;
   tf->codes[13414] = 0x00056e6280b6a6ceUL;
   tf->codes[13415] = 0x00056e712478180eUL;
   tf->codes[13416] = 0x00056eac9db9f422UL;
   tf->codes[13417] = 0x00056ec1e3af0cb3UL;
   tf->codes[13418] = 0x00056ec9358fc553UL;
   tf->codes[13419] = 0x00056ecc69621619UL;
   tf->codes[13420] = 0x00056eceb2f84fcbUL;
   tf->codes[13421] = 0x00056ed764332b09UL;
   tf->codes[13422] = 0x00056eddcbd7cc95UL;
   tf->codes[13423] = 0x00056f0ef9f5a508UL;
   tf->codes[13424] = 0x00056f3358ca3a63UL;
   tf->codes[13425] = 0x00056f3a358ce779UL;
   tf->codes[13426] = 0x00056f439674d406UL;
   tf->codes[13427] = 0x00056f5c4acb4322UL;
   tf->codes[13428] = 0x00056f639cabfbc2UL;
   tf->codes[13429] = 0x00056f691a14863aUL;
   tf->codes[13430] = 0x00056f6c8875dcc5UL;
   tf->codes[13431] = 0x00056fb1d7bdb0f0UL;
   tf->codes[13432] = 0x00056fbbe852aeccUL;
   tf->codes[13433] = 0x00056fcdbfe670d2UL;
   tf->codes[13434] = 0x00056fd302bff585UL;
   tf->codes[13435] = 0x00056ff3b8a42e90UL;
   tf->codes[13436] = 0x00056ff517fe512eUL;
   tf->codes[13437] = 0x00056ff6775873ccUL;
   tf->codes[13438] = 0x00056ff8c0eead7eUL;
   tf->codes[13439] = 0x00056fffd8406059UL;
   tf->codes[13440] = 0x000570063fe501e5UL;
   tf->codes[13441] = 0x00057013bedb564cUL;
   tf->codes[13442] = 0x0005703dd5a77be4UL;
   tf->codes[13443] = 0x000570401f3db596UL;
   tf->codes[13444] = 0x00057049bab4a7e8UL;
   tf->codes[13445] = 0x0005704fe7ca43afUL;
   tf->codes[13446] = 0x0005705390ba9fffUL;
   tf->codes[13447] = 0x000570610fb0f466UL;
   tf->codes[13448] = 0x0005707a73b474d1UL;
   tf->codes[13449] = 0x0005707b5df08be5UL;
   tf->codes[13450] = 0x0005707b987f91aaUL;
   tf->codes[13451] = 0x0005707c0d9d9d34UL;
   tf->codes[13452] = 0x00057094c1f40c50UL;
   tf->codes[13453] = 0x000570c0e7c765d5UL;
   tf->codes[13454] = 0x000570c197747724UL;
   tf->codes[13455] = 0x000571033dcbeeffUL;
   tf->codes[13456] = 0x0005710d13d1e716UL;
   tf->codes[13457] = 0x0005710d88eff2a0UL;
   tf->codes[13458] = 0x0005715178dda42dUL;
   tf->codes[13459] = 0x00057157a5f33ff4UL;
   tf->codes[13460] = 0x0005719d2fca19e4UL;
   tf->codes[13461] = 0x0005719d6a591fa9UL;
   tf->codes[13462] = 0x000571b2eadd3dffUL;
   tf->codes[13463] = 0x000571e99663a0eaUL;
   tf->codes[13464] = 0x000571ef13cc2b62UL;
   tf->codes[13465] = 0x00057204cedf4f7dUL;
   tf->codes[13466] = 0x00057208b25eb192UL;
   tf->codes[13467] = 0x0005723a559a958fUL;
   tf->codes[13468] = 0x0005723f23560eb8UL;
   tf->codes[13469] = 0x00057248becd010aUL;
   tf->codes[13470] = 0x0005724a1e2723a8UL;
   tf->codes[13471] = 0x0005727bfbf20d6aUL;
   tf->codes[13472] = 0x0005727ebaa652a6UL;
   tf->codes[13473] = 0x000572959a84939aUL;
   tf->codes[13474] = 0x000572abcab5c33fUL;
   tf->codes[13475] = 0x000572b85f700092UL;
   tf->codes[13476] = 0x000572c09b8cd046UL;
   tf->codes[13477] = 0x000572c110aadbd0UL;
   tf->codes[13478] = 0x000572cae6b0d3e7UL;
   tf->codes[13479] = 0x000572cfb46c4d10UL;
   tf->codes[13480] = 0x000572dbd4087ed9UL;
   tf->codes[13481] = 0x000572e02ca5ec78UL;
   tf->codes[13482] = 0x000572e2eb5a31b4UL;
   tf->codes[13483] = 0x000572e77e86a518UL;
   tf->codes[13484] = 0x000572f3d8b1dca6UL;
   tf->codes[13485] = 0x000572f6d1f527a7UL;
   tf->codes[13486] = 0x0005733494cd3d6dUL;
   tf->codes[13487] = 0x00057352c68c3701UL;
   tf->codes[13488] = 0x0005736fd38013bcUL;
   tf->codes[13489] = 0x0005737257a55333UL;
   tf->codes[13490] = 0x000573763b24b548UL;
   tf->codes[13491] = 0x0005737fd69ba79aUL;
   tf->codes[13492] = 0x00057383ba1b09afUL;
   tf->codes[13493] = 0x000573c6101f92d9UL;
   tf->codes[13494] = 0x000573c7aa08bb3cUL;
   tf->codes[13495] = 0x000573cfab96852bUL;
   tf->codes[13496] = 0x000573d2a4d9d02cUL;
   tf->codes[13497] = 0x000573f912b59974UL;
   tf->codes[13498] = 0x000573fd30c4014eUL;
   tf->codes[13499] = 0x000574074158ff2aUL;
   tf->codes[13500] = 0x000574118c7d02cbUL;
   tf->codes[13501] = 0x0005741360f530f3UL;
   tf->codes[13502] = 0x0005741a7846e3ceUL;
   tf->codes[13503] = 0x0005743501158112UL;
   tf->codes[13504] = 0x00057453e2818bf5UL;
   tf->codes[13505] = 0x0005745af9d33ed0UL;
   tf->codes[13506] = 0x0005745c93bc6733UL;
   tf->codes[13507] = 0x000574650a683cacUL;
   tf->codes[13508] = 0x0005748b0325fa6aUL;
   tf->codes[13509] = 0x000574bca661de67UL;
   tf->codes[13510] = 0x000574cdce488f1eUL;
   tf->codes[13511] = 0x000574cf2da2b1bcUL;
   tf->codes[13512] = 0x000574cfa2c0bd46UL;
   tf->codes[13513] = 0x000574d6f4a175e6UL;
   tf->codes[13514] = 0x000574f38c774717UL;
   tf->codes[13515] = 0x000574fc03231c90UL;
   tf->codes[13516] = 0x0005750c40cdb633UL;
   tf->codes[13517] = 0x000575377c64f8a4UL;
   tf->codes[13518] = 0x00057542ec54191eUL;
   tf->codes[13519] = 0x00057544fb5b4d0bUL;
   tf->codes[13520] = 0x00057545e597641fUL;
   tf->codes[13521] = 0x000575527a51a172UL;
   tf->codes[13522] = 0x0005755dea40c1ecUL;
   tf->codes[13523] = 0x0005756d3daf447bUL;
   tf->codes[13524] = 0x0005757036f28f7cUL;
   tf->codes[13525] = 0x00057571964cb21aUL;
   tf->codes[13526] = 0x0005757f8a61120bUL;
   tf->codes[13527] = 0x0005758f52eda024UL;
   tf->codes[13528] = 0x0005759077b8bcfdUL;
   tf->codes[13529] = 0x000575c9324653d5UL;
   tf->codes[13530] = 0x000575cc6618a49bUL;
   tf->codes[13531] = 0x000575ce751fd888UL;
   tf->codes[13532] = 0x000575d0beb6123aUL;
   tf->codes[13533] = 0x000575dfd7958f04UL;
   tf->codes[13534] = 0x000575e43032fca3UL;
   tf->codes[13535] = 0x000575f224475c94UL;
   tf->codes[13536] = 0x000575f383a17f32UL;
   tf->codes[13537] = 0x00057603119f0786UL;
   tf->codes[13538] = 0x00057609b3d2aed7UL;
   tf->codes[13539] = 0x0005760a9e0ec5ebUL;
   tf->codes[13540] = 0x0005760dd1e116b1UL;
   tf->codes[13541] = 0x0005760ef6ac338aUL;
   tf->codes[13542] = 0x0005761389d8a6eeUL;
   tf->codes[13543] = 0x00057615d36ee0a0UL;
   tf->codes[13544] = 0x0005761ceac0937bUL;
   tf->codes[13545] = 0x0005762c03a01045UL;
   tf->codes[13546] = 0x0005762e12a74432UL;
   tf->codes[13547] = 0x00057652717bd98dUL;
   tf->codes[13548] = 0x00057656ca19472cUL;
   tf->codes[13549] = 0x00057670a33ad321UL;
   tf->codes[13550] = 0x00057677ba8c85fcUL;
   tf->codes[13551] = 0x0005767ed1de38d7UL;
   tf->codes[13552] = 0x0005768deabdb5a1UL;
   tf->codes[13553] = 0x000576987070bf07UL;
   tf->codes[13554] = 0x000576afc56d0b85UL;
   tf->codes[13555] = 0x000576bafacd263aUL;
   tf->codes[13556] = 0x000576be2e9f7700UL;
   tf->codes[13557] = 0x000576d2c4e77e42UL;
   tf->codes[13558] = 0x000576de34d69ebcUL;
   tf->codes[13559] = 0x000576edfd632cd5UL;
   tf->codes[13560] = 0x000576f37acbb74dUL;
   tf->codes[13561] = 0x00057718c3dc63bcUL;
   tf->codes[13562] = 0x0005771d5708d720UL;
   tf->codes[13563] = 0x00057733873a06c5UL;
   tf->codes[13564] = 0x0005773854f57feeUL;
   tf->codes[13565] = 0x000577460e7ada1aUL;
   tf->codes[13566] = 0x00057754028f3a0bUL;
   tf->codes[13567] = 0x000577786163cf66UL;
   tf->codes[13568] = 0x0005777cba013d05UL;
   tf->codes[13569] = 0x0005779b9b6d47e8UL;
   tf->codes[13570] = 0x000577bb2c86641aUL;
   tf->codes[13571] = 0x000577bd00fe9242UL;
   tf->codes[13572] = 0x000577c27e671cbaUL;
   tf->codes[13573] = 0x000577f790045742UL;
   tf->codes[13574] = 0x000577f9647c856aUL;
   tf->codes[13575] = 0x00057801db285ae3UL;
   tf->codes[13576] = 0x00057809a2271f0dUL;
   tf->codes[13577] = 0x0005780c264c5e84UL;
   tf->codes[13578] = 0x0005781aca0dcfc4UL;
   tf->codes[13579] = 0x0005782e3b8aba2dUL;
   tf->codes[13580] = 0x000578425cb4b5e5UL;
   tf->codes[13581] = 0x000578472a702f0eUL;
   tf->codes[13582] = 0x0005784d1cf6c510UL;
   tf->codes[13583] = 0x00057851eab23e39UL;
   tf->codes[13584] = 0x0005786f6cc4267eUL;
   tf->codes[13585] = 0x00057874ea2cb0f6UL;
   tf->codes[13586] = 0x0005787aa2244133UL;
   tf->codes[13587] = 0x0005787b17424cbdUL;
   tf->codes[13588] = 0x0005787e108597beUL;
   tf->codes[13589] = 0x0005789a6dcc632aUL;
   tf->codes[13590] = 0x0005789b58087a3eUL;
   tf->codes[13591] = 0x000578b4bc0bfaa9UL;
   tf->codes[13592] = 0x000578ccfb445e3bUL;
   tf->codes[13593] = 0x000578d18e70d19fUL;
   tf->codes[13594] = 0x0005790331acb59cUL;
   tf->codes[13595] = 0x000579062af0009dUL;
   tf->codes[13596] = 0x0005790abe1c7401UL;
   tf->codes[13597] = 0x0005790c1d76969fUL;
   tf->codes[13598] = 0x000579107614043eUL;
   tf->codes[13599] = 0x0005792ac4539bbdUL;
   tf->codes[13600] = 0x00057932c5e165acUL;
   tf->codes[13601] = 0x0005793968150cfdUL;
   tf->codes[13602] = 0x00057940b9f5c59dUL;
   tf->codes[13603] = 0x00057952cc188d68UL;
   tf->codes[13604] = 0x0005795306a7932dUL;
   tf->codes[13605] = 0x00057956af97ef7dUL;
   tf->codes[13606] = 0x00057963b970385aUL;
   tf->codes[13607] = 0x000579751be5eed6UL;
   tf->codes[13608] = 0x0005797640b10bafUL;
   tf->codes[13609] = 0x000579872e08b6a1UL;
   tf->codes[13610] = 0x0005799228d9cb91UL;
   tf->codes[13611] = 0x000579b2debe049cUL;
   tf->codes[13612] = 0x000579b85c268f14UL;
   tf->codes[13613] = 0x000579d47ede54bbUL;
   tf->codes[13614] = 0x000579d7b2b0a581UL;
   tf->codes[13615] = 0x00057a1450bd9e6eUL;
   tf->codes[13616] = 0x00057a1d3c877f71UL;
   tf->codes[13617] = 0x00057a4d45da3b0bUL;
   tf->codes[13618] = 0x00057a4e3016521fUL;
   tf->codes[13619] = 0x00057a5e3331e5fdUL;
   tf->codes[13620] = 0x00057a68f373f528UL;
   tf->codes[13621] = 0x00057a76acf94f54UL;
   tf->codes[13622] = 0x00057a8ca29b7934UL;
   tf->codes[13623] = 0x00057a98fcc6b0c2UL;
   tf->codes[13624] = 0x00057a9c6b28074dUL;
   tf->codes[13625] = 0x00057aafdca4f1b6UL;
   tf->codes[13626] = 0x00057ab7de32bba5UL;
   tf->codes[13627] = 0x00057abe806662f6UL;
   tf->codes[13628] = 0x00057acbc4cdb198UL;
   tf->codes[13629] = 0x00057ad76f4bd7d7UL;
   tf->codes[13630] = 0x00057ada2e001d13UL;
   tf->codes[13631] = 0x00057ae9bbfda567UL;
   tf->codes[13632] = 0x00057af70064f409UL;
   tf->codes[13633] = 0x00057af89a4e1c6cUL;
   tf->codes[13634] = 0x00057afae3e4561eUL;
   tf->codes[13635] = 0x00057b07b32d9936UL;
   tf->codes[13636] = 0x00057b1aea1b7ddaUL;
   tf->codes[13637] = 0x00057b218c4f252bUL;
   tf->codes[13638] = 0x00057b35385b1559UL;
   tf->codes[13639] = 0x00057b52ba6cfd9eUL;
   tf->codes[13640] = 0x00057b6ea295bd80UL;
   tf->codes[13641] = 0x00057b94d5e28103UL;
   tf->codes[13642] = 0x00057bc3ba6a1fc4UL;
   tf->codes[13643] = 0x00057bc97261b001UL;
   tf->codes[13644] = 0x00057bee80e356abUL;
   tf->codes[13645] = 0x00057befe03d7949UL;
   tf->codes[13646] = 0x00057c01b7d13b4fUL;
   tf->codes[13647] = 0x00057c1b5663c17fUL;
   tf->codes[13648] = 0x00057c35a4a358feUL;
   tf->codes[13649] = 0x00057c3c46d7004fUL;
   tf->codes[13650] = 0x00057c606b1c8fe5UL;
   tf->codes[13651] = 0x00057c68a7395f99UL;
   tf->codes[13652] = 0x00057c7a09af1615UL;
   tf->codes[13653] = 0x00057c94927db359UL;
   tf->codes[13654] = 0x00057c9abf934f20UL;
   tf->codes[13655] = 0x00057cb24f1ea163UL;
   tf->codes[13656] = 0x00057cd2ca73d4a9UL;
   tf->codes[13657] = 0x00057cd847dc5f21UL;
   tf->codes[13658] = 0x00057cd96ca77bfaUL;
   tf->codes[13659] = 0x00057cddffd3ef5eUL;
   tf->codes[13660] = 0x00057cf4dfb23052UL;
   tf->codes[13661] = 0x00057cf6eeb9643fUL;
   tf->codes[13662] = 0x00057cf9384f9df1UL;
   tf->codes[13663] = 0x00057d0816a014f6UL;
   tf->codes[13664] = 0x00057d6480552fdaUL;
   tf->codes[13665] = 0x00057d6a384cc017UL;
   tf->codes[13666] = 0x00057d756dacdaccUL;
   tf->codes[13667] = 0x00057d7c84fe8da7UL;
   tf->codes[13668] = 0x00057d911b4694e9UL;
   tf->codes[13669] = 0x00057d92efbec311UL;
   tf->codes[13670] = 0x00057d9e5fade38bUL;
   tf->codes[13671] = 0x00057dbea074110cUL;
   tf->codes[13672] = 0x00057dc7c6ccf7d4UL;
   tf->codes[13673] = 0x00057dea8bb864ccUL;
   tf->codes[13674] = 0x00057df2c7d53480UL;
   tf->codes[13675] = 0x00057e142d667edaUL;
   tf->codes[13676] = 0x00057e481a389c89UL;
   tf->codes[13677] = 0x00057e547463d417UL;
   tf->codes[13678] = 0x00057e5857e3362cUL;
   tf->codes[13679] = 0x00057e6d28ba4333UL;
   tf->codes[13680] = 0x00057e8b5a793cc7UL;
   tf->codes[13681] = 0x00057e8c44b553dbUL;
   tf->codes[13682] = 0x00057e8d2ef16aefUL;
   tf->codes[13683] = 0x00057e92e6e8fb2cUL;
   tf->codes[13684] = 0x00057ec9926f5e17UL;
   tf->codes[13685] = 0x00057ee71481465cUL;
   tf->codes[13686] = 0x00057eed0707dc5eUL;
   tf->codes[13687] = 0x00057efdf45f8750UL;
   tf->codes[13688] = 0x00057f0546403ff0UL;
   tf->codes[13689] = 0x00057f078fd679a2UL;
   tf->codes[13690] = 0x00057f2fd22a7112UL;
   tf->codes[13691] = 0x00057f36aeed1e28UL;
   tf->codes[13692] = 0x00057f41a9be3318UL;
   tf->codes[13693] = 0x00057f4552ae8f68UL;
   tf->codes[13694] = 0x00057f467779ac41UL;
   tf->codes[13695] = 0x00057f5346c2ef59UL;
   tf->codes[13696] = 0x00057f5605773495UL;
   tf->codes[13697] = 0x00057f7fe1b45468UL;
   tf->codes[13698] = 0x00057f8b8c327aa7UL;
   tf->codes[13699] = 0x00057f8c3bdf8bf6UL;
   tf->codes[13700] = 0x00057f9059edf3d0UL;
   tf->codes[13701] = 0x00057fa68a1f2375UL;
   tf->codes[13702] = 0x00057fbc0aa341cbUL;
   tf->codes[13703] = 0x00057fbf3e759291UL;
   tf->codes[13704] = 0x00057fc112edc0b9UL;
   tf->codes[13705] = 0x00057fc4f66d22ceUL;
   tf->codes[13706] = 0x00057fce91e41520UL;
   tf->codes[13707] = 0x00057fd200456babUL;
   tf->codes[13708] = 0x00057ff2b629a4b6UL;
   tf->codes[13709] = 0x00057ffdeb89bf6bUL;
   tf->codes[13710] = 0x0005800159eb15f6UL;
   tf->codes[13711] = 0x0005800c8f4b30abUL;
   tf->codes[13712] = 0x0005800cc9da3670UL;
   tf->codes[13713] = 0x0005801d7ca2db9dUL;
   tf->codes[13714] = 0x0005801f511b09c5UL;
   tf->codes[13715] = 0x0005802df4dc7b05UL;
   tf->codes[13716] = 0x00058031633dd190UL;
   tf->codes[13717] = 0x0005803212eae2dfUL;
   tf->codes[13718] = 0x00058035f66a44f4UL;
   tf->codes[13719] = 0x0005803b73d2cf6cUL;
   tf->codes[13720] = 0x000580466ea3e45cUL;
   tf->codes[13721] = 0x00058051de9304d6UL;
   tf->codes[13722] = 0x00058055fca16cb0UL;
   tf->codes[13723] = 0x0005805e38be3c64UL;
   tf->codes[13724] = 0x0005805e734d4229UL;
   tf->codes[13725] = 0x0005807344244f30UL;
   tf->codes[13726] = 0x00058075189c7d58UL;
   tf->codes[13727] = 0x00058079abc8f0bcUL;
   tf->codes[13728] = 0x0005807ad0940d95UL;
   tf->codes[13729] = 0x00058083f6ecf45dUL;
   tf->codes[13730] = 0x0005808e7c9ffdc3UL;
   tf->codes[13731] = 0x0005809902530729UL;
   tf->codes[13732] = 0x0005809b115a3b16UL;
   tf->codes[13733] = 0x000580d18251983cUL;
   tf->codes[13734] = 0x000580da6e1b793fUL;
   tf->codes[13735] = 0x000580de8c29e119UL;
   tf->codes[13736] = 0x000580ec0b203580UL;
   tf->codes[13737] = 0x000580f14df9ba33UL;
   tf->codes[13738] = 0x000580f56c08220dUL;
   tf->codes[13739] = 0x000580f690d33ee6UL;
   tf->codes[13740] = 0x000581091814123bUL;
   tf->codes[13741] = 0x000581102f65c516UL;
   tf->codes[13742] = 0x0005811203ddf33eUL;
   tf->codes[13743] = 0x00058118a6119a8fUL;
   tf->codes[13744] = 0x0005811955beabdeUL;
   tf->codes[13745] = 0x0005811de8eb1f42UL;
   tf->codes[13746] = 0x0005812fc07ee148UL;
   tf->codes[13747] = 0x0005813453ab54acUL;
   tf->codes[13748] = 0x00058137fc9bb0fcUL;
   tf->codes[13749] = 0x0005813a0ba2e4e9UL;
   tf->codes[13750] = 0x000581415d839d89UL;
   tf->codes[13751] = 0x000581462b3f16b2UL;
   tf->codes[13752] = 0x0005815f54b39158UL;
   tf->codes[13753] = 0x000581600460a2a7UL;
   tf->codes[13754] = 0x0005817300bf8186UL;
   tf->codes[13755] = 0x00058176a9afddd6UL;
   tf->codes[13756] = 0x0005817dfb909676UL;
   tf->codes[13757] = 0x00058198beee397fUL;
   tf->codes[13758] = 0x0005819c67de95cfUL;
   tf->codes[13759] = 0x000581a8c209cd5dUL;
   tf->codes[13760] = 0x000581bef23afd02UL;
   tf->codes[13761] = 0x000581c2609c538dUL;
   tf->codes[13762] = 0x000581c3bff6762bUL;
   tf->codes[13763] = 0x000581c3fa857bf0UL;
   tf->codes[13764] = 0x000581c6098cafddUL;
   tf->codes[13765] = 0x000581c977ee0668UL;
   tf->codes[13766] = 0x000581ca622a1d7cUL;
   tf->codes[13767] = 0x000581cd20de62b8UL;
   tf->codes[13768] = 0x000581d438301593UL;
   tf->codes[13769] = 0x000581def87224beUL;
   tf->codes[13770] = 0x000581f59dc15fedUL;
   tf->codes[13771] = 0x000581f85c75a529UL;
   tf->codes[13772] = 0x00058233d5b7813dUL;
   tf->codes[13773] = 0x0005824f0e332fd0UL;
   tf->codes[13774] = 0x0005824ff86f46e4UL;
   tf->codes[13775] = 0x0005825242058096UL;
   tf->codes[13776] = 0x00058255eaf5dce6UL;
   tf->codes[13777] = 0x000582574a4fff84UL;
   tf->codes[13778] = 0x00058257f9fd10d3UL;
   tf->codes[13779] = 0x000582641999429cUL;
   tf->codes[13780] = 0x00058271988f9703UL;
   tf->codes[13781] = 0x00058276a0da15f1UL;
   tf->codes[13782] = 0x00058279d4ac66b7UL;
   tf->codes[13783] = 0x0005828d80b856e5UL;
   tf->codes[13784] = 0x00058296a7113dadUL;
   tf->codes[13785] = 0x0005829df8f1f64dUL;
   tf->codes[13786] = 0x000582c675d4f382UL;
   tf->codes[13787] = 0x000582c79aa0105bUL;
   tf->codes[13788] = 0x000582c884dc276fUL;
   tf->codes[13789] = 0x000582ceb1f1c336UL;
   tf->codes[13790] = 0x000582d30a8f30d5UL;
   tf->codes[13791] = 0x000583159b22bfc4UL;
   tf->codes[13792] = 0x0005831c02c76150UL;
   tf->codes[13793] = 0x0005831e86eca0c7UL;
   tf->codes[13794] = 0x0005832772b681caUL;
   tf->codes[13795] = 0x00058337b0611b6dUL;
   tf->codes[13796] = 0x00058345a4757b5eUL;
   tf->codes[13797] = 0x0005835c0f35b0c8UL;
   tf->codes[13798] = 0x000583674495cb7dUL;
   tf->codes[13799] = 0x000583698e2c052fUL;
   tf->codes[13800] = 0x0005836a034a10b9UL;
   tf->codes[13801] = 0x000583811db75772UL;
   tf->codes[13802] = 0x00058384c6a7b3c2UL;
   tf->codes[13803] = 0x0005838af3bd4f89UL;
   tf->codes[13804] = 0x000583a666c803e1UL;
   tf->codes[13805] = 0x000583c582c31489UL;
   tf->codes[13806] = 0x000583d6701abf7bUL;
   tf->codes[13807] = 0x000583edffa611beUL;
   tf->codes[13808] = 0x000583f1a8966e0eUL;
   tf->codes[13809] = 0x00058406b3fc80daUL;
   tf->codes[13810] = 0x000584130e27b868UL;
   tf->codes[13811] = 0x0005841fa2e1f5bbUL;
   tf->codes[13812] = 0x000584381ca95f12UL;
   tf->codes[13813] = 0x000584452681a7efUL;
   tf->codes[13814] = 0x00058446c06ad052UL;
   tf->codes[13815] = 0x00058446faf9d617UL;
   tf->codes[13816] = 0x00058457adc27b44UL;
   tf->codes[13817] = 0x00058461f8e67ee5UL;
   tf->codes[13818] = 0x000584773edb9776UL;
   tf->codes[13819] = 0x0005849a78e50ff8UL;
   tf->codes[13820] = 0x0005849cfd0a4f6fUL;
   tf->codes[13821] = 0x000584b417779628UL;
   tf->codes[13822] = 0x000584d0e9dc6d1eUL;
   tf->codes[13823] = 0x000584d5b797e647UL;
   tf->codes[13824] = 0x000584d8b0db3148UL;
   tf->codes[13825] = 0x000584dbaa1e7c49UL;
   tf->codes[13826] = 0x000584dccee99922UL;
   tf->codes[13827] = 0x000584ed81b23e4fUL;
   tf->codes[13828] = 0x000584edbc414414UL;
   tf->codes[13829] = 0x000584ef90b9723cUL;
   tf->codes[13830] = 0x000584fc9a91bb19UL;
   tf->codes[13831] = 0x00058519a78597d4UL;
   tf->codes[13832] = 0x0005851a91c1aee8UL;
   tf->codes[13833] = 0x0005851eea5f1c87UL;
   tf->codes[13834] = 0x0005853380a723c9UL;
   tf->codes[13835] = 0x00058545583ae5cfUL;
   tf->codes[13836] = 0x00058554368b5cd4UL;
   tf->codes[13837] = 0x0005856ef9e8ffddUL;
   tf->codes[13838] = 0x0005858614564696UL;
   tf->codes[13839] = 0x0005859358bd9538UL;
   tf->codes[13840] = 0x000585e0e4223917UL;
   tf->codes[13841] = 0x000585fb3261d096UL;
   tf->codes[13842] = 0x0005860f8e1ad213UL;
   tf->codes[13843] = 0x0005860fc8a9d7d8UL;
   tf->codes[13844] = 0x0005863f5cde87e8UL;
   tf->codes[13845] = 0x00058655c79ebd52UL;
   tf->codes[13846] = 0x0005866ca77cfe46UL;
   tf->codes[13847] = 0x000586729a039448UL;
   tf->codes[13848] = 0x0005867e09f2b4c2UL;
   tf->codes[13849] = 0x0005867eb99fc611UL;
   tf->codes[13850] = 0x0005868dd27f42dbUL;
   tf->codes[13851] = 0x000586b14717c122UL;
   tf->codes[13852] = 0x000586c5a2d0c29fUL;
   tf->codes[13853] = 0x000586d0d830dd54UL;
   tf->codes[13854] = 0x000586d1c26cf468UL;
   tf->codes[13855] = 0x000586d396e52290UL;
   tf->codes[13856] = 0x000586ecfae8a2fbUL;
   tf->codes[13857] = 0x000586f83048bdb0UL;
   tf->codes[13858] = 0x0005870fbfd40ff3UL;
   tf->codes[13859] = 0x0005870ffa6315b8UL;
   tf->codes[13860] = 0x00058728aeb984d4UL;
   tf->codes[13861] = 0x00058732bf4e82b0UL;
   tf->codes[13862] = 0x0005875633e700f7UL;
   tf->codes[13863] = 0x00058756e3941246UL;
   tf->codes[13864] = 0x000587633dbf49d4UL;
   tf->codes[13865] = 0x00058770bcb59e3bUL;
   tf->codes[13866] = 0x000587775ee9458cUL;
   tf->codes[13867] = 0x0005877b07d9a1dcUL;
   tf->codes[13868] = 0x0005879814cd7e97UL;
   tf->codes[13869] = 0x0005879b489fcf5dUL;
   tf->codes[13870] = 0x000587c858af3ff6UL;
   tf->codes[13871] = 0x000587c8933e45bbUL;
   tf->codes[13872] = 0x0005881fba19dbecUL;
   tf->codes[13873] = 0x0005882dae2e3bddUL;
   tf->codes[13874] = 0x000588345061e32eUL;
   tf->codes[13875] = 0x0005883833e14543UL;
   tf->codes[13876] = 0x0005884418ee7147UL;
   tf->codes[13877] = 0x0005884627f5a534UL;
   tf->codes[13878] = 0x0005885a0e909b27UL;
   tf->codes[13879] = 0x00058860b0c44278UL;
   tf->codes[13880] = 0x00058875819b4f7fUL;
   tf->codes[13881] = 0x0005887790a2836cUL;
   tf->codes[13882] = 0x0005889587d2773bUL;
   tf->codes[13883] = 0x00058895c2617d00UL;
   tf->codes[13884] = 0x000588b1aa8a3ce2UL;
   tf->codes[13885] = 0x000588b42eaf7c59UL;
   tf->codes[13886] = 0x000588bdca266eabUL;
   tf->codes[13887] = 0x000588c556962d10UL;
   tf->codes[13888] = 0x000588d0c6854d8aUL;
   tf->codes[13889] = 0x000588d72e29ef16UL;
   tf->codes[13890] = 0x000588ed5e5b1ebbUL;
   tf->codes[13891] = 0x0005891bcdc4b1f2UL;
   tf->codes[13892] = 0x0005891e51e9f169UL;
   tf->codes[13893] = 0x00058940a1b752d7UL;
   tf->codes[13894] = 0x00058945aa01d1c5UL;
   tf->codes[13895] = 0x0005895ab567e491UL;
   tf->codes[13896] = 0x000589648b6ddca8UL;
   tf->codes[13897] = 0x0005897996d3ef74UL;
   tf->codes[13898] = 0x0005898f17580dcaUL;
   tf->codes[13899] = 0x0005899e6ac69059UL;
   tf->codes[13900] = 0x000589b51015cb88UL;
   tf->codes[13901] = 0x000589b843e81c4eUL;
   tf->codes[13902] = 0x000589bbecd8789eUL;
   tf->codes[13903] = 0x000589c3b3d73cc8UL;
   tf->codes[13904] = 0x000589e135e9250dUL;
   tf->codes[13905] = 0x000589e4a44a7b98UL;
   tf->codes[13906] = 0x000589fbbeb7c251UL;
   tf->codes[13907] = 0x00058a2943e53e74UL;
   tf->codes[13908] = 0x00058a2d61f3a64eUL;
   tf->codes[13909] = 0x00058a32df5c30c6UL;
   tf->codes[13910] = 0x00058a39bc1edddcUL;
   tf->codes[13911] = 0x00058a41831da206UL;
   tf->codes[13912] = 0x00058a49bf3a71baUL;
   tf->codes[13913] = 0x00058a49f9c9777fUL;
   tf->codes[13914] = 0x00058a51fb57416eUL;
   tf->codes[13915] = 0x00058a718c705da0UL;
   tf->codes[13916] = 0x00058a723c1d6eefUL;
   tf->codes[13917] = 0x00058a7f0b66b207UL;
   tf->codes[13918] = 0x00058a948bead05dUL;
   tf->codes[13919] = 0x00058a96d5810a0fUL;
   tf->codes[13920] = 0x00058ab99a6c7707UL;
   tf->codes[13921] = 0x00058abea2b6f5f5UL;
   tf->codes[13922] = 0x00058ac544ea9d46UL;
   tf->codes[13923] = 0x00058aca12a6166fUL;
   tf->codes[13924] = 0x00058ae7cf470479UL;
   tf->codes[13925] = 0x00058aecd7918367UL;
   tf->codes[13926] = 0x00058aedc1cd9a7bUL;
   tf->codes[13927] = 0x00058af08081dfb7UL;
   tf->codes[13928] = 0x00058b0bf38c940fUL;
   tf->codes[13929] = 0x00058b1220a22fd6UL;
   tf->codes[13930] = 0x00058b16042191ebUL;
   tf->codes[13931] = 0x00058b39b34915f7UL;
   tf->codes[13932] = 0x00058b4b8adcd7fdUL;
   tf->codes[13933] = 0x00058b605bb3e504UL;
   tf->codes[13934] = 0x00058b6b5684f9f4UL;
   tf->codes[13935] = 0x00058b6f3a045c09UL;
   tf->codes[13936] = 0x00058b7407bfd532UL;
   tf->codes[13937] = 0x00058b7a34d570f9UL;
   tf->codes[13938] = 0x00058b7a6f6476beUL;
   tf->codes[13939] = 0x00058b7c43dca4e6UL;
   tf->codes[13940] = 0x00058b7e1854d30eUL;
   tf->codes[13941] = 0x00058b93d367f729UL;
   tf->codes[13942] = 0x00058baff61fbcd0UL;
   tf->codes[13943] = 0x00058bb7828f7b35UL;
   tf->codes[13944] = 0x00058bbaf0f0d1c0UL;
   tf->codes[13945] = 0x00058bbe24c32286UL;
   tf->codes[13946] = 0x00058bbe99e12e10UL;
   tf->codes[13947] = 0x00058bc033ca5673UL;
   tf->codes[13948] = 0x00058bc0a8e861fdUL;
   tf->codes[13949] = 0x00058bc994b24300UL;
   tf->codes[13950] = 0x00058bd454f4522bUL;
   tf->codes[13951] = 0x00058bdf4fc5671bUL;
   tf->codes[13952] = 0x00058be2be26bda6UL;
   tf->codes[13953] = 0x00058c0214b0d413UL;
   tf->codes[13954] = 0x00058c0a50cda3c7UL;
   tf->codes[13955] = 0x00058c0f1e891cf0UL;
   tf->codes[13956] = 0x00058c13b1b59054UL;
   tf->codes[13957] = 0x00058c19a43c2656UL;
   tf->codes[13958] = 0x00058c300efc5bc0UL;
   tf->codes[13959] = 0x00058c32cdb0a0fcUL;
   tf->codes[13960] = 0x00058c42d0cc34daUL;
   tf->codes[13961] = 0x00058c46eeda9cb4UL;
   tf->codes[13962] = 0x00058c4ad259fec9UL;
   tf->codes[13963] = 0x00058c4f2af76c68UL;
   tf->codes[13964] = 0x00058c5607ba197eUL;
   tf->codes[13965] = 0x00058c5e7e65eef7UL;
   tf->codes[13966] = 0x00058c86c0b9e667UL;
   tf->codes[13967] = 0x00058c9096bfde7eUL;
   tf->codes[13968] = 0x00058c990d6bb3f7UL;
   tf->codes[13969] = 0x00058c9a6cc5d695UL;
   tf->codes[13970] = 0x00058cb35bab4b76UL;
   tf->codes[13971] = 0x00058cb6ca0ca201UL;
   tf->codes[13972] = 0x00058cbf062971b5UL;
   tf->codes[13973] = 0x00058cc239fbc27bUL;
   tf->codes[13974] = 0x00058cc40e73f0a3UL;
   tf->codes[13975] = 0x00058ccab0a797f4UL;
   tf->codes[13976] = 0x00058ce32a6f014bUL;
   tf->codes[13977] = 0x00058ce4c45829aeUL;
   tf->codes[13978] = 0x00058cefbf293e9eUL;
   tf->codes[13979] = 0x00058ceff9b84463UL;
   tf->codes[13980] = 0x00058cf193a16cc6UL;
   tf->codes[13981] = 0x00058cf6d67af179UL;
   tf->codes[13982] = 0x00058cf95aa030f0UL;
   tf->codes[13983] = 0x00058cfd03908d40UL;
   tf->codes[13984] = 0x00058d1ea3b0dd5fUL;
   tf->codes[13985] = 0x00058d3cd56fd6f3UL;
   tf->codes[13986] = 0x00058d480acff1a8UL;
   tf->codes[13987] = 0x00058d48f50c08bcUL;
   tf->codes[13988] = 0x00058d4f973fb00dUL;
   tf->codes[13989] = 0x00058d5eeaae329cUL;
   tf->codes[13990] = 0x00058d6c2f15813eUL;
   tf->codes[13991] = 0x00058d71ac7e0bb6UL;
   tf->codes[13992] = 0x00058d7296ba22caUL;
   tf->codes[13993] = 0x00058d751adf6241UL;
   tf->codes[13994] = 0x00058d78c3cfbe91UL;
   tf->codes[13995] = 0x00058d7fdb21716cUL;
   tf->codes[13996] = 0x00058d8e09c4d722UL;
   tf->codes[13997] = 0x00058d8f2e8ff3fbUL;
   tf->codes[13998] = 0x00058d9979b3f79cUL;
   tf->codes[13999] = 0x00058dc2a6440620UL;
   tf->codes[14000] = 0x00058dd826c82476UL;
   tf->codes[14001] = 0x00058ddc0a47868bUL;
   tf->codes[14002] = 0x00058df2ea25c77fUL;
   tf->codes[14003] = 0x00058df8dcac5d81UL;
   tf->codes[14004] = 0x00058e08dfc7f15fUL;
   tf->codes[14005] = 0x00058e16d3dc5150UL;
   tf->codes[14006] = 0x00058e4c5a979762UL;
   tf->codes[14007] = 0x00058e5f56f67641UL;
   tf->codes[14008] = 0x00058eaf2bf153d2UL;
   tf->codes[14009] = 0x00058ec1038515d8UL;
   tf->codes[14010] = 0x00058ec9b4bff116UL;
   tf->codes[14011] = 0x00058ed55f3e1755UL;
   tf->codes[14012] = 0x00058ee22e875a6dUL;
   tf->codes[14013] = 0x00058ef0d248cbadUL;
   tf->codes[14014] = 0x00058ef98383a6ebUL;
   tf->codes[14015] = 0x00058efcb755f7b1UL;
   tf->codes[14016] = 0x00058eff3b7b3728UL;
   tf->codes[14017] = 0x00058f15e0ca7257UL;
   tf->codes[14018] = 0x00058f2ecfafe738UL;
   tf->codes[14019] = 0x00058f4e2639fda5UL;
   tf->codes[14020] = 0x00058f699944b1fdUL;
   tf->codes[14021] = 0x00058f6b332dda60UL;
   tf->codes[14022] = 0x00058f77183b0664UL;
   tf->codes[14023] = 0x00058f8f1ce46431UL;
   tf->codes[14024] = 0x00058f963436170cUL;
   tf->codes[14025] = 0x00058fbdc6dcfd2dUL;
   tf->codes[14026] = 0x00058fcf63e1b96eUL;
   tf->codes[14027] = 0x00058fd4a6bb3e21UL;
   tf->codes[14028] = 0x00058fe902743f9eUL;
   tf->codes[14029] = 0x000590022be8ba44UL;
   tf->codes[14030] = 0x0005900649f7221eUL;
   tf->codes[14031] = 0x00059006848627e3UL;
   tf->codes[14032] = 0x0005900e10f5e648UL;
   tf->codes[14033] = 0x0005903ddfb99c1dUL;
   tf->codes[14034] = 0x000590544a79d187UL;
   tf->codes[14035] = 0x0005905dab61be14UL;
   tf->codes[14036] = 0x0005906fbd8485dfUL;
   tf->codes[14037] = 0x0005907f861113f8UL;
   tf->codes[14038] = 0x0005908244c55934UL;
   tf->codes[14039] = 0x0005908ba5ad45c1UL;
   tf->codes[14040] = 0x000590c843ba3eaeUL;
   tf->codes[14041] = 0x000590d9a62ff52aUL;
   tf->codes[14042] = 0x000590de73eb6e53UL;
   tf->codes[14043] = 0x000590e75fb54f56UL;
   tf->codes[14044] = 0x000590f7d7eeeebeUL;
   tf->codes[14045] = 0x000590f9ac671ce6UL;
   tf->codes[14046] = 0x000590fc6b1b6222UL;
   tf->codes[14047] = 0x000590fca5aa67e7UL;
   tf->codes[14048] = 0x0005911902f13353UL;
   tf->codes[14049] = 0x0005911bfc347e54UL;
   tf->codes[14050] = 0x00059136fa212722UL;
   tf->codes[14051] = 0x0005913c3cfaabd5UL;
   tf->codes[14052] = 0x000591482207d7d9UL;
   tf->codes[14053] = 0x000591490c43eeedUL;
   tf->codes[14054] = 0x0005914b1b4b22daUL;
   tf->codes[14055] = 0x0005914e4f1d73a0UL;
   tf->codes[14056] = 0x00059169c22827f8UL;
   tf->codes[14057] = 0x0005916b96a05620UL;
   tf->codes[14058] = 0x00059172e8810ec0UL;
   tf->codes[14059] = 0x0005917656e2654bUL;
   tf->codes[14060] = 0x0005917865e99938UL;
   tf->codes[14061] = 0x00059186cf1c04b3UL;
   tf->codes[14062] = 0x0005919ed3c56280UL;
   tf->codes[14063] = 0x000591ba46d016d8UL;
   tf->codes[14064] = 0x000591bbe0b93f3bUL;
   tf->codes[14065] = 0x000591c541a12bc8UL;
   tf->codes[14066] = 0x000591c99a3e9967UL;
   tf->codes[14067] = 0x000591c9d4cd9f2cUL;
   tf->codes[14068] = 0x000591cc1e63d8deUL;
   tf->codes[14069] = 0x000591e8068c98c0UL;
   tf->codes[14070] = 0x000591ed49661d73UL;
   tf->codes[14071] = 0x000592100e518a6bUL;
   tf->codes[14072] = 0x00059232238fe614UL;
   tf->codes[14073] = 0x0005924c374077ceUL;
   tf->codes[14074] = 0x00059251b4a90246UL;
   tf->codes[14075] = 0x0005926d6242bc63UL;
   tf->codes[14076] = 0x000592844220fd57UL;
   tf->codes[14077] = 0x0005928d2deade5aUL;
   tf->codes[14078] = 0x00059293d01e85abUL;
   tf->codes[14079] = 0x0005929e906094d6UL;
   tf->codes[14080] = 0x000592cc8aac1c83UL;
   tf->codes[14081] = 0x000592d7c00c3738UL;
   tf->codes[14082] = 0x000592dc8dc7b061UL;
   tf->codes[14083] = 0x000592f78bb4592fUL;
   tf->codes[14084] = 0x0005930286856e1fUL;
   tf->codes[14085] = 0x000593321aba1e2fUL;
   tf->codes[14086] = 0x000593442cdce5faUL;
   tf->codes[14087] = 0x0005934a94818786UL;
   tf->codes[14088] = 0x000593767fc5db46UL;
   tf->codes[14089] = 0x0005938c3ad8ff61UL;
   tf->codes[14090] = 0x000593cf408a99daUL;
   tf->codes[14091] = 0x000593d02ac6b0eeUL;
   tf->codes[14092] = 0x000593d7421863c9UL;
   tf->codes[14093] = 0x000593dcfa0ff406UL;
   tf->codes[14094] = 0x000593f7f7fc9cd4UL;
   tf->codes[14095] = 0x000593fbdb7bfee9UL;
   tf->codes[14096] = 0x000594041798ce9dUL;
   tf->codes[14097] = 0x00059410e6e211b5UL;
   tf->codes[14098] = 0x0005941e65d8661cUL;
   tf->codes[14099] = 0x0005941f50147d30UL;
   tf->codes[14100] = 0x00059438eea70360UL;
   tf->codes[14101] = 0x0005943df6f1824eUL;
   tf->codes[14102] = 0x0005943fcb69b076UL;
   tf->codes[14103] = 0x00059449dbfeae52UL;
   tf->codes[14104] = 0x00059453b204a669UL;
   tf->codes[14105] = 0x0005948430756d8dUL;
   tf->codes[14106] = 0x000594cfe761e344UL;
   tf->codes[14107] = 0x000594ecb9c6ba3aUL;
   tf->codes[14108] = 0x000594f7ef26d4efUL;
   tf->codes[14109] = 0x0005951cc31975d4UL;
   tf->codes[14110] = 0x000595327e2c99efUL;
   tf->codes[14111] = 0x0005954e2bc6540cUL;
   tf->codes[14112] = 0x0005956fcbe6a42bUL;
   tf->codes[14113] = 0x0005957c9b2fe743UL;
   tf->codes[14114] = 0x000595900cacd1acUL;
   tf->codes[14115] = 0x000595ce44a2f2fcUL;
   tf->codes[14116] = 0x000595d60ba1b726UL;
   tf->codes[14117] = 0x000595e8585384b6UL;
   tf->codes[14118] = 0x000595eebff82642UL;
   tf->codes[14119] = 0x000595f771330180UL;
   tf->codes[14120] = 0x000596068a127e4aUL;
   tf->codes[14121] = 0x00059612e43db5d8UL;
   tf->codes[14122] = 0x0005961d2f61b979UL;
   tf->codes[14123] = 0x0005961fee15feb5UL;
   tf->codes[14124] = 0x0005963115fcaf6cUL;
   tf->codes[14125] = 0x00059636cdf43fa9UL;
   tf->codes[14126] = 0x000596377da150f8UL;
   tf->codes[14127] = 0x0005965365ca10daUL;
   tf->codes[14128] = 0x000596641892b607UL;
   tf->codes[14129] = 0x0005967072bded95UL;
   tf->codes[14130] = 0x00059675407966beUL;
   tf->codes[14131] = 0x000596945c747766UL;
   tf->codes[14132] = 0x0005969a146c07a3UL;
   tf->codes[14133] = 0x000596d468e2c6deUL;
   tf->codes[14134] = 0x000596eeb7225e5dUL;
   tf->codes[14135] = 0x0005970a2a2d12b5UL;
   tf->codes[14136] = 0x0005972efe1fb39aUL;
   tf->codes[14137] = 0x0005972fadccc4e9UL;
   tf->codes[14138] = 0x0005975322654330UL;
   tf->codes[14139] = 0x0005975a39b6f60bUL;
   tf->codes[14140] = 0x00059776d18cc73cUL;
   tf->codes[14141] = 0x00059793a3f19e32UL;
   tf->codes[14142] = 0x000597995be92e6fUL;
   tf->codes[14143] = 0x0005979d3f689084UL;
   tf->codes[14144] = 0x0005979f4e6fc471UL;
   tf->codes[14145] = 0x000597c2c30842b8UL;
   tf->codes[14146] = 0x000597c4978070e0UL;
   tf->codes[14147] = 0x000597ca4f78011dUL;
   tf->codes[14148] = 0x000597d49a9c04beUL;
   tf->codes[14149] = 0x000597e5c282b575UL;
   tf->codes[14150] = 0x000597e9a602178aUL;
   tf->codes[14151] = 0x000597fbf2b3e51aUL;
   tf->codes[14152] = 0x000597fd8c9d0d7dUL;
   tf->codes[14153] = 0x00059807d7c1111eUL;
   tf->codes[14154] = 0x00059812d292260eUL;
   tf->codes[14155] = 0x0005984475ce0a0bUL;
   tf->codes[14156] = 0x000598517fa652e8UL;
   tf->codes[14157] = 0x0005985478e99de9UL;
   tf->codes[14158] = 0x0005986441762c02UL;
   tf->codes[14159] = 0x0005986bcde5ea67UL;
   tf->codes[14160] = 0x000598770346051cUL;
   tf->codes[14161] = 0x00059879124d3909UL;
   tf->codes[14162] = 0x000598794cdc3eceUL;
   tf->codes[14163] = 0x00059890a1d88b4cUL;
   tf->codes[14164] = 0x0005989aecfc8eedUL;
   tf->codes[14165] = 0x000598c95c662224UL;
   tf->codes[14166] = 0x000598ce2a219b4dUL;
   tf->codes[14167] = 0x000598df8c9751c9UL;
   tf->codes[14168] = 0x000598e509ffdc41UL;
   tf->codes[14169] = 0x000598ea4cd960f4UL;
   tf->codes[14170] = 0x000598fa4ff4f4d2UL;
   tf->codes[14171] = 0x000599012cb7a1e8UL;
   tf->codes[14172] = 0x000599087e985a88UL;
   tf->codes[14173] = 0x000599363e54dc70UL;
   tf->codes[14174] = 0x00059949afd1c6d9UL;
   tf->codes[14175] = 0x0005995ad7b87790UL;
   tf->codes[14176] = 0x000599743bbbf7fbUL;
   tf->codes[14177] = 0x00059974764afdc0UL;
   tf->codes[14178] = 0x0005997a2e428dfdUL;
   tf->codes[14179] = 0x0005997c02babc25UL;
   tf->codes[14180] = 0x000599822fd057ecUL;
   tf->codes[14181] = 0x0005998b90b84479UL;
   tf->codes[14182] = 0x0005998ec48a953fUL;
   tf->codes[14183] = 0x0005998f7437a68eUL;
   tf->codes[14184] = 0x000599b657317b60UL;
   tf->codes[14185] = 0x000599d11a8f1e69UL;
   tf->codes[14186] = 0x000599eb2e3fb023UL;
   tf->codes[14187] = 0x000599f8e7c50a4fUL;
   tf->codes[14188] = 0x000599fa81ae32b2UL;
   tf->codes[14189] = 0x000599fd7af17db3UL;
   tf->codes[14190] = 0x00059a1f1b11cdd2UL;
   tf->codes[14191] = 0x00059a321770acb1UL;
   tf->codes[14192] = 0x00059a34d624f1edUL;
   tf->codes[14193] = 0x00059a3794d93729UL;
   tf->codes[14194] = 0x00059a3c6294b052UL;
   tf->codes[14195] = 0x00059a3ee6b9efc9UL;
   tf->codes[14196] = 0x00059a45fe0ba2a4UL;
   tf->codes[14197] = 0x00059a521da7d46dUL;
   tf->codes[14198] = 0x00059a6136875137UL;
   tf->codes[14199] = 0x00059a7223defc29UL;
   tf->codes[14200] = 0x00059a7a5ffbcbddUL;
   tf->codes[14201] = 0x00059a997bf6dc85UL;
   tf->codes[14202] = 0x00059ac02461ab92UL;
   tf->codes[14203] = 0x00059ad2e63184acUL;
   tf->codes[14204] = 0x00059adda67393d7UL;
   tf->codes[14205] = 0x00059aecf9e21666UL;
   tf->codes[14206] = 0x00059afa3e496508UL;
   tf->codes[14207] = 0x00059b0a06d5f321UL;
   tf->codes[14208] = 0x00059b33a8840d2fUL;
   tf->codes[14209] = 0x00059b48ee7925c0UL;
   tf->codes[14210] = 0x00059b66708b0e05UL;
   tf->codes[14211] = 0x00059b7eea52775cUL;
   tf->codes[14212] = 0x00059b96b46ccf64UL;
   tf->codes[14213] = 0x00059b9eb5fa9953UL;
   tf->codes[14214] = 0x00059bce0fa0439eUL;
   tf->codes[14215] = 0x00059bd093c58315UL;
   tf->codes[14216] = 0x00059bf442ed0721UL;
   tf->codes[14217] = 0x00059bf860fb6efbUL;
   tf->codes[14218] = 0x00059bfe538204fdUL;
   tf->codes[14219] = 0x00059bff032f164cUL;
   tf->codes[14220] = 0x00059c16582b62caUL;
   tf->codes[14221] = 0x00059c198bfdb390UL;
   tf->codes[14222] = 0x00059c1e9448327eUL;
   tf->codes[14223] = 0x00059c1f43f543cdUL;
   tf->codes[14224] = 0x00059c8b3ba7e705UL;
   tf->codes[14225] = 0x00059c9dc2e8ba5aUL;
   tf->codes[14226] = 0x00059cab41df0ec1UL;
   tf->codes[14227] = 0x00059caf9a7c7c60UL;
   tf->codes[14228] = 0x00059cd1ea49ddceUL;
   tf->codes[14229] = 0x00059cf140d3f43bUL;
   tf->codes[14230] = 0x00059d038d85c1cbUL;
   tf->codes[14231] = 0x00059d0820b2352fUL;
   tf->codes[14232] = 0x00059d08d05f467eUL;
   tf->codes[14233] = 0x00059d17aeafbd83UL;
   tf->codes[14234] = 0x00059d2cba15d04fUL;
   tf->codes[14235] = 0x00059d40a0b0c642UL;
   tf->codes[14236] = 0x00059d4bd610e0f7UL;
   tf->codes[14237] = 0x00059d5362809f5cUL;
   tf->codes[14238] = 0x00059d557187d349UL;
   tf->codes[14239] = 0x00059d570b70fbacUL;
   tf->codes[14240] = 0x00059d7159b0932bUL;
   tf->codes[14241] = 0x00059d8a0e070247UL;
   tf->codes[14242] = 0x00059d98021b6238UL;
   tf->codes[14243] = 0x00059d9edede0f4eUL;
   tf->codes[14244] = 0x00059dc427eebbbdUL;
   tf->codes[14245] = 0x00059dc8bb1b2f21UL;
   tf->codes[14246] = 0x00059dd340ce3887UL;
   tf->codes[14247] = 0x00059deb45779654UL;
   tf->codes[14248] = 0x00059df013330f7dUL;
   tf->codes[14249] = 0x00059df1728d321bUL;
   tf->codes[14250] = 0x00059dffdbbf9d96UL;
   tf->codes[14251] = 0x00059e0817dc6d4aUL;
   tf->codes[14252] = 0x00059e0f69bd25eaUL;
   tf->codes[14253] = 0x00059e12d81e7c75UL;
   tf->codes[14254] = 0x00059e134d3c87ffUL;
   tf->codes[14255] = 0x00059e37ac111d5aUL;
   tf->codes[14256] = 0x00059e46ff7f9fe9UL;
   tf->codes[14257] = 0x00059e4a3351f0afUL;
   tf->codes[14258] = 0x00059e52a9fdc628UL;
   tf->codes[14259] = 0x00059e552e23059fUL;
   tf->codes[14260] = 0x00059e589c845c2aUL;
   tf->codes[14261] = 0x00059e594c316d79UL;
   tf->codes[14262] = 0x00059e665609b656UL;
   tf->codes[14263] = 0x00059e6d32cc636cUL;
   tf->codes[14264] = 0x00059e8ff7b7d064UL;
   tf->codes[14265] = 0x00059e98e381b167UL;
   tf->codes[14266] = 0x00059e9d76ae24cbUL;
   tf->codes[14267] = 0x00059eb3a6df5470UL;
   tf->codes[14268] = 0x00059ec076289788UL;
   tf->codes[14269] = 0x00059ed92a7f06a4UL;
   tf->codes[14270] = 0x00059ede32c98592UL;
   tf->codes[14271] = 0x00059ee28b66f331UL;
   tf->codes[14272] = 0x00059ee9a2b8a60cUL;
   tf->codes[14273] = 0x00059ef044ec4d5dUL;
   tf->codes[14274] = 0x00059ef1ded575c0UL;
   tf->codes[14275] = 0x00059f00f7b4f28aUL;
   tf->codes[14276] = 0x00059f05ffff7178UL;
   tf->codes[14277] = 0x00059f0bb7f701b5UL;
   tf->codes[14278] = 0x00059f0d17512453UL;
   tf->codes[14279] = 0x00059f0dc6fe35a2UL;
   tf->codes[14280] = 0x00059f297497efbfUL;
   tf->codes[14281] = 0x00059f5350d50f92UL;
   tf->codes[14282] = 0x00059f555fdc437fUL;
   tf->codes[14283] = 0x00059f6771ff0b4aUL;
   tf->codes[14284] = 0x00059f752b846576UL;
   tf->codes[14285] = 0x00059f7e8c6c5203UL;
   tf->codes[14286] = 0x00059f9cf8ba515cUL;
   tf->codes[14287] = 0x00059fc8a96f9f57UL;
   tf->codes[14288] = 0x00059fd19539805aUL;
   tf->codes[14289] = 0x00059ff0ebc396c7UL;
   tf->codes[14290] = 0x0005a0075683cc31UL;
   tf->codes[14291] = 0x0005a01c275ad938UL;
   tf->codes[14292] = 0x0005a01e70f112eaUL;
   tf->codes[14293] = 0x0005a01f95bc2fc3UL;
   tf->codes[14294] = 0x0005a03ace37de56UL;
   tf->codes[14295] = 0x0005a03fd6825d44UL;
   tf->codes[14296] = 0x0005a04f29f0dfd3UL;
   tf->codes[14297] = 0x0005a05138f813c0UL;
   tf->codes[14298] = 0x0005a054a7596a4bUL;
   tf->codes[14299] = 0x0005a05c6e582e75UL;
   tf->codes[14300] = 0x0005a09a3130443bUL;
   tf->codes[14301] = 0x0005a0b5a43af893UL;
   tf->codes[14302] = 0x0005a0bd30aab6f8UL;
   tf->codes[14303] = 0x0005a0c7413fb4d4UL;
   tf->codes[14304] = 0x0005a0c77bceba99UL;
   tf->codes[14305] = 0x0005a0cde3735c25UL;
   tf->codes[14306] = 0x0005a0cf42cd7ec3UL;
   tf->codes[14307] = 0x0005a0fb68a0d848UL;
   tf->codes[14308] = 0x0005a0fba32fde0dUL;
   tf->codes[14309] = 0x0005a105ee53e1aeUL;
   tf->codes[14310] = 0x0005a1120df01377UL;
   tf->codes[14311] = 0x0005a1178b589defUL;
   tf->codes[14312] = 0x0005a132894546bdUL;
   tf->codes[14313] = 0x0005a134d2db806fUL;
   tf->codes[14314] = 0x0005a1363235a30dUL;
   tf->codes[14315] = 0x0005a13a8ad310acUL;
   tf->codes[14316] = 0x0005a13dbea56172UL;
   tf->codes[14317] = 0x0005a13e6e5272c1UL;
   tf->codes[14318] = 0x0005a140b7e8ac73UL;
   tf->codes[14319] = 0x0005a151dfcf5d2aUL;
   tf->codes[14320] = 0x0005a166eb356ff6UL;
   tf->codes[14321] = 0x0005a18dce2f44c8UL;
   tf->codes[14322] = 0x0005a18e7ddc5617UL;
   tf->codes[14323] = 0x0005a1b3173ff137UL;
   tf->codes[14324] = 0x0005a1cb567854c9UL;
   tf->codes[14325] = 0x0005a1d1f8abfc1aUL;
   tf->codes[14326] = 0x0005a1f448795d88UL;
   tf->codes[14327] = 0x0005a1faeaad04d9UL;
   tf->codes[14328] = 0x0005a2023c8dbd79UL;
   tf->codes[14329] = 0x0005a2044b94f166UL;
   tf->codes[14330] = 0x0005a215ae0aa7e2UL;
   tf->codes[14331] = 0x0005a216d2d5c4bbUL;
   tf->codes[14332] = 0x0005a2315ba461ffUL;
   tf->codes[14333] = 0x0005a231963367c4UL;
   tf->codes[14334] = 0x0005a243e2e53554UL;
   tf->codes[14335] = 0x0005a25754621fbdUL;
   tf->codes[14336] = 0x0005a25c5cac9eabUL;
   tf->codes[14337] = 0x0005a26214a42ee8UL;
   tf->codes[14338] = 0x0005a27bedc5baddUL;
   tf->codes[14339] = 0x0005a29b09c0cb85UL;
   tf->codes[14340] = 0x0005a29b444fd14aUL;
   tf->codes[14341] = 0x0005a2b2d3db238dUL;
   tf->codes[14342] = 0x0005a2db50be20c2UL;
   tf->codes[14343] = 0x0005a2f7e893f1f3UL;
   tf->codes[14344] = 0x0005a3073c027482UL;
   tf->codes[14345] = 0x0005a30b1f81d697UL;
   tf->codes[14346] = 0x0005a310625b5b4aUL;
   tf->codes[14347] = 0x0005a3156aa5da38UL;
   tf->codes[14348] = 0x0005a317b43c13eaUL;
   tf->codes[14349] = 0x0005a363e046952bUL;
   tf->codes[14350] = 0x0005a37124ade3cdUL;
   tf->codes[14351] = 0x0005a37960cab381UL;
   tf->codes[14352] = 0x0005a388b4393610UL;
   tf->codes[14353] = 0x0005a388eec83bd5UL;
   tf->codes[14354] = 0x0005a39d4a813d52UL;
   tf->codes[14355] = 0x0005a3b673f5b7f8UL;
   tf->codes[14356] = 0x0005a3b7d34fda96UL;
   tf->codes[14357] = 0x0005a3c0848ab5d4UL;
   tf->codes[14358] = 0x0005a3ca5a90adebUL;
   tf->codes[14359] = 0x0005a3cb44ccc4ffUL;
   tf->codes[14360] = 0x0005a3d6ef4aeb3eUL;
   tf->codes[14361] = 0x0005a3dc6cb375b6UL;
   tf->codes[14362] = 0x0005a3dd917e928fUL;
   tf->codes[14363] = 0x0005a3ffa6bcee38UL;
   tf->codes[14364] = 0x0005a40648f09589UL;
   tf->codes[14365] = 0x0005a40b8bca1a3cUL;
   tf->codes[14366] = 0x0005a40c00e825c6UL;
   tf->codes[14367] = 0x0005a40e0fef59b3UL;
   tf->codes[14368] = 0x0005a4147793fb3fUL;
   tf->codes[14369] = 0x0005a44187a36bd8UL;
   tf->codes[14370] = 0x0005a4577d4595b8UL;
   tf->codes[14371] = 0x0005a4582cf2a707UL;
   tf->codes[14372] = 0x0005a45951bdc3e0UL;
   tf->codes[14373] = 0x0005a460a39e7c80UL;
   tf->codes[14374] = 0x0005a463d770cd46UL;
   tf->codes[14375] = 0x0005a48452c6008cUL;
   tf->codes[14376] = 0x0005a491220f43a4UL;
   tf->codes[14377] = 0x0005a4abe56ce6adUL;
   tf->codes[14378] = 0x0005a4b0b3285fd6UL;
   tf->codes[14379] = 0x0005a4b78feb0cecUL;
   tf->codes[14380] = 0x0005a4c28abc21dcUL;
   tf->codes[14381] = 0x0005a4c9a20dd4b7UL;
   tf->codes[14382] = 0x0005a4c9dc9cda7cUL;
   tf->codes[14383] = 0x0005a4cac6d8f190UL;
   tf->codes[14384] = 0x0005a4ce6fc94de0UL;
   tf->codes[14385] = 0x0005a4d6e6752359UL;
   tf->codes[14386] = 0x0005a4ec2c6a3beaUL;
   tf->codes[14387] = 0x0005a4ee7600759cUL;
   tf->codes[14388] = 0x0005a51643366182UL;
   tf->codes[14389] = 0x0005a51fa41e4e0fUL;
   tf->codes[14390] = 0x0005a54527be0043UL;
   tf->codes[14391] = 0x0005a547e672457fUL;
   tf->codes[14392] = 0x0005a54f72e203e4UL;
   tf->codes[14393] = 0x0005a567026d5627UL;
   tf->codes[14394] = 0x0005a56c0ab7d515UL;
   tf->codes[14395] = 0x0005a571c2af6552UL;
   tf->codes[14396] = 0x0005a57f41a5b9b9UL;
   tf->codes[14397] = 0x0005a5fdfb28360bUL;
   tf->codes[14398] = 0x0005a5feaad5475aUL;
   tf->codes[14399] = 0x0005a611a7342639UL;
   tf->codes[14400] = 0x0005a6121c5231c3UL;
   tf->codes[14401] = 0x0005a61a92fe073cUL;
   tf->codes[14402] = 0x0005a61acd8d0d01UL;
   tf->codes[14403] = 0x0005a6379ff1e3f7UL;
   tf->codes[14404] = 0x0005a648c7d894aeUL;
   tf->codes[14405] = 0x0005a65d5e209bf0UL;
   tf->codes[14406] = 0x0005a67e1404d4fbUL;
   tf->codes[14407] = 0x0005a686c53fb039UL;
   tf->codes[14408] = 0x0005a68a6e300c89UL;
   tf->codes[14409] = 0x0005a6989cd3723fUL;
   tf->codes[14410] = 0x0005a6b61ee55a84UL;
   tf->codes[14411] = 0x0005a6bab211cde8UL;
   tf->codes[14412] = 0x0005a6d70f589954UL;
   tf->codes[14413] = 0x0005a6df86046ecdUL;
   tf->codes[14414] = 0x0005a6f999b50087UL;
   tf->codes[14415] = 0x0005a7119e5e5e54UL;
   tf->codes[14416] = 0x0005a727ce8f8df9UL;
   tf->codes[14417] = 0x0005a744a0f464efUL;
   tf->codes[14418] = 0x0005a7463add8d52UL;
   tf->codes[14419] = 0x0005a760fe3b305bUL;
   tf->codes[14420] = 0x0005a766f0c1c65dUL;
   tf->codes[14421] = 0x0005a76a5f231ce8UL;
   tf->codes[14422] = 0x0005a76eb7c08a87UL;
   tf->codes[14423] = 0x0005a7751f652c13UL;
   tf->codes[14424] = 0x0005a776f3dd5a3bUL;
   tf->codes[14425] = 0x0005a78ada78502eUL;
   tf->codes[14426] = 0x0005a79316951fe2UL;
   tf->codes[14427] = 0x0005a79bc7cffb20UL;
   tf->codes[14428] = 0x0005a79fab4f5d35UL;
   tf->codes[14429] = 0x0005a7b02388fc9dUL;
   tf->codes[14430] = 0x0005a7b52bd37b8bUL;
   tf->codes[14431] = 0x0005a7b73adaaf78UL;
   tf->codes[14432] = 0x0005a7bf76f77f2cUL;
   tf->codes[14433] = 0x0005a7ca71c8941cUL;
   tf->codes[14434] = 0x0005a7cda59ae4e2UL;
   tf->codes[14435] = 0x0005a7d69164c5e5UL;
   tf->codes[14436] = 0x0005a7dcbe7a61acUL;
   tf->codes[14437] = 0x0005a7de1dd4844aUL;
   tf->codes[14438] = 0x0005a7ef0b2c2f3cUL;
   tf->codes[14439] = 0x0005a7fa05fd442cUL;
   tf->codes[14440] = 0x0005a8048bb04d92UL;
   tf->codes[14441] = 0x0005a81e9f60df4cUL;
   tf->codes[14442] = 0x0005a83b71c5b642UL;
   tf->codes[14443] = 0x0005a853766f140fUL;
   tf->codes[14444] = 0x0005a853eb8d1f99UL;
   tf->codes[14445] = 0x0005a8716d9f07deUL;
   tf->codes[14446] = 0x0005a875168f642eUL;
   tf->codes[14447] = 0x0005a8763b5a8107UL;
   tf->codes[14448] = 0x0005a8822067ad0bUL;
   tf->codes[14449] = 0x0005a8bb8aa25532UL;
   tf->codes[14450] = 0x0005a8c1f246f6beUL;
   tf->codes[14451] = 0x0005a8c859eb984aUL;
   tf->codes[14452] = 0x0005a8d61370f276UL;
   tf->codes[14453] = 0x0005a8eec7c76192UL;
   tf->codes[14454] = 0x0005a8f061b089f5UL;
   tf->codes[14455] = 0x0005a8fa37b6820cUL;
   tf->codes[14456] = 0x0005a90691e1b99aUL;
   tf->codes[14457] = 0x0005a91c1265d7f0UL;
   tf->codes[14458] = 0x0005a9369b347534UL;
   tf->codes[14459] = 0x0005a940abc97310UL;
   tf->codes[14460] = 0x0005a9457984ec39UL;
   tf->codes[14461] = 0x0005a94c1bb8938aUL;
   tf->codes[14462] = 0x0005a94f14fbde8bUL;
   tf->codes[14463] = 0x0005a952bdec3adbUL;
   tf->codes[14464] = 0x0005a956dbfaa2b5UL;
   tf->codes[14465] = 0x0005a9599aaee7f1UL;
   tf->codes[14466] = 0x0005a95b34981054UL;
   tf->codes[14467] = 0x0005a95df34c5590UL;
   tf->codes[14468] = 0x0005a9699dca7bcfUL;
   tf->codes[14469] = 0x0005a97214765148UL;
   tf->codes[14470] = 0x0005a9771cc0d036UL;
   tf->codes[14471] = 0x0005a982c73ef675UL;
   tf->codes[14472] = 0x0005a986702f52c5UL;
   tf->codes[14473] = 0x0005a991307161f0UL;
   tf->codes[14474] = 0x0005a9b9ad545f25UL;
   tf->codes[14475] = 0x0005a9c08a170c3bUL;
   tf->codes[14476] = 0x0005a9c9eafef8c8UL;
   tf->codes[14477] = 0x0005aa11f8fb122fUL;
   tf->codes[14478] = 0x0005aa16c6b68b58UL;
   tf->codes[14479] = 0x0005aa34bde67f27UL;
   tf->codes[14480] = 0x0005aa35a822963bUL;
   tf->codes[14481] = 0x0005aa3866d6db77UL;
   tf->codes[14482] = 0x0005aa565e06cf46UL;
   tf->codes[14483] = 0x0005aa6785ed7ffdUL;
   tf->codes[14484] = 0x0005aa86dc77966aUL;
   tf->codes[14485] = 0x0005aa8afa85fe44UL;
   tf->codes[14486] = 0x0005aac3056683cdUL;
   tf->codes[14487] = 0x0005aaece1a3a3a0UL;
   tf->codes[14488] = 0x0005aaf4a8a267caUL;
   tf->codes[14489] = 0x0005aaf81703be55UL;
   tf->codes[14490] = 0x0005aaffde02827fUL;
   tf->codes[14491] = 0x0005ab03c181e494UL;
   tf->codes[14492] = 0x0005ab129fd25b99UL;
   tf->codes[14493] = 0x0005ab46c7337f0dUL;
   tf->codes[14494] = 0x0005ab59c3925decUL;
   tf->codes[14495] = 0x0005ab732795de57UL;
   tf->codes[14496] = 0x0005ab88a819fcadUL;
   tf->codes[14497] = 0x0005ab950245343bUL;
   tf->codes[14498] = 0x0005abb5087c5bf7UL;
   tf->codes[14499] = 0x0005abc162a79385UL;
   tf->codes[14500] = 0x0005abc45beade86UL;
   tf->codes[14501] = 0x0005abcd47b4bf89UL;
   tf->codes[14502] = 0x0005abd0066904c5UL;
   tf->codes[14503] = 0x0005abdac6ab13f0UL;
   tf->codes[14504] = 0x0005abf256366633UL;
   tf->codes[14505] = 0x0005ac03438e1125UL;
   tf->codes[14506] = 0x0005ac1137a27116UL;
   tf->codes[14507] = 0x0005ac3b88fd9c73UL;
   tf->codes[14508] = 0x0005ac438a8b6662UL;
   tf->codes[14509] = 0x0005ac4b16fb24c7UL;
   tf->codes[14510] = 0x0005ac4f6f989266UL;
   tf->codes[14511] = 0x0005ac55d73d33f2UL;
   tf->codes[14512] = 0x0005ac59babc9607UL;
   tf->codes[14513] = 0x0005ac60977f431dUL;
   tf->codes[14514] = 0x0005ac6614e7cd95UL;
   tf->codes[14515] = 0x0005ac77ec7b8f9bUL;
   tf->codes[14516] = 0x0005ac9fb9b17b81UL;
   tf->codes[14517] = 0x0005acb27b81549bUL;
   tf->codes[14518] = 0x0005acbdeb707515UL;
   tf->codes[14519] = 0x0005acc11f42c5dbUL;
   tf->codes[14520] = 0x0005accf88753156UL;
   tf->codes[14521] = 0x0005acd247297692UL;
   tf->codes[14522] = 0x0005acf3722bbb27UL;
   tf->codes[14523] = 0x0005ad10f43da36cUL;
   tf->codes[14524] = 0x0005ad3d1a10fcf1UL;
   tf->codes[14525] = 0x0005ad3f63a736a3UL;
   tf->codes[14526] = 0x0005ad44a680bb56UL;
   tf->codes[14527] = 0x0005ad6387ecc639UL;
   tf->codes[14528] = 0x0005ad6a2a206d8aUL;
   tf->codes[14529] = 0x0005ad6ce8d4b2c6UL;
   tf->codes[14530] = 0x0005ad6d5df2be50UL;
   tf->codes[14531] = 0x0005ad7106e31aa0UL;
   tf->codes[14532] = 0x0005ad7a67cb072dUL;
   tf->codes[14533] = 0x0005ad7b52071e41UL;
   tf->codes[14534] = 0x0005ad8e88f502e5UL;
   tf->codes[14535] = 0x0005adf8e6be7dbaUL;
   tf->codes[14536] = 0x0005adfd3f5beb59UL;
   tf->codes[14537] = 0x0005adff88f2250bUL;
   tf->codes[14538] = 0x0005ae0a0ea52e71UL;
   tf->codes[14539] = 0x0005ae1b368bdf28UL;
   tf->codes[14540] = 0x0005ae3425715409UL;
   tf->codes[14541] = 0x0005ae3d4bca3ad1UL;
   tf->codes[14542] = 0x0005ae5933f2fab3UL;
   tf->codes[14543] = 0x0005ae6e04ca07baUL;
   tf->codes[14544] = 0x0005ae7088ef4731UL;
   tf->codes[14545] = 0x0005ae7431dfa381UL;
   tf->codes[14546] = 0x0005ae9ce951a67bUL;
   tf->codes[14547] = 0x0005aeb9f6458336UL;
   tf->codes[14548] = 0x0005aec73aacd1d8UL;
   tf->codes[14549] = 0x0005aec9bed2114fUL;
   tf->codes[14550] = 0x0005aed1c05fdb3eUL;
   tf->codes[14551] = 0x0005aedfb4743b2fUL;
   tf->codes[14552] = 0x0005aef325f12598UL;
   tf->codes[14553] = 0x0005aef743ff8d72UL;
   tf->codes[14554] = 0x0005aefbd72c00d6UL;
   tf->codes[14555] = 0x0005af02b3eeadecUL;
   tf->codes[14556] = 0x0005af053813ed63UL;
   tf->codes[14557] = 0x0005af1366b75319UL;
   tf->codes[14558] = 0x0005af169a89a3dfUL;
   tf->codes[14559] = 0x0005af3f51fba6d9UL;
   tf->codes[14560] = 0x0005af4494d52b8cUL;
   tf->codes[14561] = 0x0005af5a8a77556cUL;
   tf->codes[14562] = 0x0005af633bb230aaUL;
   tf->codes[14563] = 0x0005af94a45f0ee2UL;
   tf->codes[14564] = 0x0005afb01769c33aUL;
   tf->codes[14565] = 0x0005afdc3d3d1cbfUL;
   tf->codes[14566] = 0x0005b00863107644UL;
   tf->codes[14567] = 0x0005b01c843a71fcUL;
   tf->codes[14568] = 0x0005b03697eb03b6UL;
   tf->codes[14569] = 0x0005b03e5ee9c7e0UL;
   tf->codes[14570] = 0x0005b04c52fe27d1UL;
   tf->codes[14571] = 0x0005b078b360871bUL;
   tf->codes[14572] = 0x0005b07a87d8b543UL;
   tf->codes[14573] = 0x0005b0a5c36ff7b4UL;
   tf->codes[14574] = 0x0005b0c30af2da34UL;
   tf->codes[14575] = 0x0005b0c5548913e6UL;
   tf->codes[14576] = 0x0005b0c9e7b5874aUL;
   tf->codes[14577] = 0x0005b0ecaca0f442UL;
   tf->codes[14578] = 0x0005b0f4e8bdc3f6UL;
   tf->codes[14579] = 0x0005b1126acfac3bUL;
   tf->codes[14580] = 0x0005b1309c8ea5cfUL;
   tf->codes[14581] = 0x0005b132e624df81UL;
   tf->codes[14582] = 0x0005b135a4d924bdUL;
   tf->codes[14583] = 0x0005b14189e650c1UL;
   tf->codes[14584] = 0x0005b15e5c4b27b7UL;
   tf->codes[14585] = 0x0005b1644ed1bdb9UL;
   tf->codes[14586] = 0x0005b165739cda92UL;
   tf->codes[14587] = 0x0005b165e8bae61cUL;
   tf->codes[14588] = 0x0005b16bdb417c1eUL;
   tf->codes[14589] = 0x0005b1748c7c575cUL;
   tf->codes[14590] = 0x0005b18788db363bUL;
   tf->codes[14591] = 0x0005b1b8b6f90eaeUL;
   tf->codes[14592] = 0x0005b1bd4a258212UL;
   tf->codes[14593] = 0x0005b1c1a2c2efb1UL;
   tf->codes[14594] = 0x0005b1df99f2e380UL;
   tf->codes[14595] = 0x0005b1e16e6b11a8UL;
   tf->codes[14596] = 0x0005b206f20ac3dcUL;
   tf->codes[14597] = 0x0005b2193ebc916cUL;
   tf->codes[14598] = 0x0005b21a9e16b40aUL;
   tf->codes[14599] = 0x0005b249829e52cbUL;
   tf->codes[14600] = 0x0005b24da0acbaa5UL;
   tf->codes[14601] = 0x0005b2589b7dcf95UL;
   tf->codes[14602] = 0x0005b25a6ff5fdbdUL;
   tf->codes[14603] = 0x0005b27da9ff763fUL;
   tf->codes[14604] = 0x0005b28e223915a7UL;
   tf->codes[14605] = 0x0005b2b20bef9f78UL;
   tf->codes[14606] = 0x0005b2b3e067cda0UL;
   tf->codes[14607] = 0x0005b2b8ae2346c9UL;
   tf->codes[14608] = 0x0005b2c960ebebf6UL;
   tf->codes[14609] = 0x0005b2d0783d9ed1UL;
   tf->codes[14610] = 0x0005b2da13b49123UL;
   tf->codes[14611] = 0x0005b2f88002907cUL;
   tf->codes[14612] = 0x0005b3167732844bUL;
   tf->codes[14613] = 0x0005b31d8e843726UL;
   tf->codes[14614] = 0x0005b33433d37255UL;
   tf->codes[14615] = 0x0005b3408dfea9e3UL;
   tf->codes[14616] = 0x0005b34b88cfbed3UL;
   tf->codes[14617] = 0x0005b3709751657dUL;
   tf->codes[14618] = 0x0005b3731b76a4f4UL;
   tf->codes[14619] = 0x0005b399fe7079c6UL;
   tf->codes[14620] = 0x0005b39a738e8550UL;
   tf->codes[14621] = 0x0005b39f06baf8b4UL;
   tf->codes[14622] = 0x0005b3aecf4786cdUL;
   tf->codes[14623] = 0x0005b3dbdf56f766UL;
   tf->codes[14624] = 0x0005b3de28ed3118UL;
   tf->codes[14625] = 0x0005b417cdb6df04UL;
   tf->codes[14626] = 0x0005b418b7f2f618UL;
   tf->codes[14627] = 0x0005b450c2d37ba1UL;
   tf->codes[14628] = 0x0005b47596c61c86UL;
   tf->codes[14629] = 0x0005b486841dc778UL;
   tf->codes[14630] = 0x0005b49efde530cfUL;
   tf->codes[14631] = 0x0005b4c655fd112bUL;
   tf->codes[14632] = 0x0005b4e571f821d3UL;
   tf->codes[14633] = 0x0005b4edae14f187UL;
   tf->codes[14634] = 0x0005b4f3660c81c4UL;
   tf->codes[14635] = 0x0005b4f624c0c700UL;
   tf->codes[14636] = 0x0005b4fffac6bf17UL;
   tf->codes[14637] = 0x0005b5095baeaba4UL;
   tf->codes[14638] = 0x0005b50bdfd3eb1bUL;
   tf->codes[14639] = 0x0005b50c54f1f6a5UL;
   tf->codes[14640] = 0x0005b5141bf0bacfUL;
   tf->codes[14641] = 0x0005b51540bbd7a8UL;
   tf->codes[14642] = 0x0005b52b70ed074dUL;
   tf->codes[14643] = 0x0005b5387ac5502aUL;
   tf->codes[14644] = 0x0005b55637663e34UL;
   tf->codes[14645] = 0x0005b55b7a3fc2e7UL;
   tf->codes[14646] = 0x0005b55eae1213adUL;
   tf->codes[14647] = 0x0005b57085a5d5b3UL;
   tf->codes[14648] = 0x0005b57d54ef18cbUL;
   tf->codes[14649] = 0x0005b57d8f7e1e90UL;
   tf->codes[14650] = 0x0005b5834775aecdUL;
   tf->codes[14651] = 0x0005b589e9a9561eUL;
   tf->codes[14652] = 0x0005b5befb4690a6UL;
   tf->codes[14653] = 0x0005b5bfaaf3a1f5UL;
   tf->codes[14654] = 0x0005b5caa5c4b6e5UL;
   tf->codes[14655] = 0x0005b5d26cc37b0fUL;
   tf->codes[14656] = 0x0005b5dd67948fffUL;
   tf->codes[14657] = 0x0005b5e52e935429UL;
   tf->codes[14658] = 0x0005b5ee8f7b40b6UL;
   tf->codes[14659] = 0x0005b5f6567a04e0UL;
   tf->codes[14660] = 0x0005b619cb128327UL;
   tf->codes[14661] = 0x0005b61e98cdfc50UL;
   tf->codes[14662] = 0x0005b63e64761e47UL;
   tf->codes[14663] = 0x0005b65c5ba61216UL;
   tf->codes[14664] = 0x0005b65f54e95d17UL;
   tf->codes[14665] = 0x0005b66cd3dfb17eUL;
   tf->codes[14666] = 0x0005b673b0a25e94UL;
   tf->codes[14667] = 0x0005b675fa389846UL;
   tf->codes[14668] = 0x0005b6766f56a3d0UL;
   tf->codes[14669] = 0x0005b67c9c6c3f97UL;
   tf->codes[14670] = 0x0005b6bbbe9e77fbUL;
   tf->codes[14671] = 0x0005b6e7a9e2cbbbUL;
   tf->codes[14672] = 0x0005b6f737e0540fUL;
   tf->codes[14673] = 0x0005b7152f1047deUL;
   tf->codes[14674] = 0x0005b725a749e746UL;
   tf->codes[14675] = 0x0005b753a1956ef3UL;
   tf->codes[14676] = 0x0005b755760d9d1bUL;
   tf->codes[14677] = 0x0005b7566049b42fUL;
   tf->codes[14678] = 0x0005b768726c7bfaUL;
   tf->codes[14679] = 0x0005b76922198d49UL;
   tf->codes[14680] = 0x0005b772f81f8560UL;
   tf->codes[14681] = 0x0005b778006a044eUL;
   tf->codes[14682] = 0x0005b7c3f1e57fcaUL;
   tf->codes[14683] = 0x0005b7c80ff3e7a4UL;
   tf->codes[14684] = 0x0005b7cd183e6692UL;
   tf->codes[14685] = 0x0005b7ec6ec87cffUL;
   tf->codes[14686] = 0x0005b8047371daccUL;
   tf->codes[14687] = 0x0005b8356700ad7aUL;
   tf->codes[14688] = 0x0005b85aeaa05faeUL;
   tf->codes[14689] = 0x0005b877827630dfUL;
   tf->codes[14690] = 0x0005b8895a09f2e5UL;
   tf->codes[14691] = 0x0005b890e679b14aUL;
   tf->codes[14692] = 0x0005b894c9f9135fUL;
   tf->codes[14693] = 0x0005b89ccb86dd4eUL;
   tf->codes[14694] = 0x0005b89df051fa27UL;
   tf->codes[14695] = 0x0005b8b83e9191a6UL;
   tf->codes[14696] = 0x0005b8c841ad2584UL;
   tf->codes[14697] = 0x0005b8ca8b435f36UL;
   tf->codes[14698] = 0x0005b8cf938dde24UL;
   tf->codes[14699] = 0x0005b8dbb32a0fedUL;
   tf->codes[14700] = 0x0005b8f1e35b3f92UL;
   tf->codes[14701] = 0x0005b919760225b3UL;
   tf->codes[14702] = 0x0005b91ca9d47679UL;
   tf->codes[14703] = 0x0005b931058d77f6UL;
   tf->codes[14704] = 0x0005b954ef4401c7UL;
   tf->codes[14705] = 0x0005b96ae4e62ba7UL;
   tf->codes[14706] = 0x0005b97a3854ae36UL;
   tf->codes[14707] = 0x0005b9835ead94feUL;
   tf->codes[14708] = 0x0005b9986a13a7caUL;
   tf->codes[14709] = 0x0005b9adea97c620UL;
   tf->codes[14710] = 0x0005b9b2433533bfUL;
   tf->codes[14711] = 0x0005b9c7c3b95215UL;
   tf->codes[14712] = 0x0005b9cabcfc9d16UL;
   tf->codes[14713] = 0x0005b9de2e79877fUL;
   tf->codes[14714] = 0x0005b9e3abe211f7UL;
   tf->codes[14715] = 0x0005b9ecd23af8bfUL;
   tf->codes[14716] = 0x0005b9f0b5ba5ad4UL;
   tf->codes[14717] = 0x0005b9f9dc13419cUL;
   tf->codes[14718] = 0x0005ba04d6e4568cUL;
   tf->codes[14719] = 0x0005ba325c11d2afUL;
   tf->codes[14720] = 0x0005ba5645c85c80UL;
   tf->codes[14721] = 0x0005ba59799aad46UL;
   tf->codes[14722] = 0x0005ba638a2fab22UL;
   tf->codes[14723] = 0x0005babb60b852a2UL;
   tf->codes[14724] = 0x0005baced2353d0bUL;
   tf->codes[14725] = 0x0005badc8bba9737UL;
   tf->codes[14726] = 0x0005badf0fdfd6aeUL;
   tf->codes[14727] = 0x0005baefc2a87bdbUL;
   tf->codes[14728] = 0x0005bafabd7990cbUL;
   tf->codes[14729] = 0x0005bb1ea7301a9cUL;
   tf->codes[14730] = 0x0005bb3720f783f3UL;
   tf->codes[14731] = 0x0005bb3e72d83c93UL;
   tf->codes[14732] = 0x0005bb4674660682UL;
   tf->codes[14733] = 0x0005bb500fdcf8d4UL;
   tf->codes[14734] = 0x0005bb5a9590023aUL;
   tf->codes[14735] = 0x0005bb6dcc7de6deUL;
   tf->codes[14736] = 0x0005bb738475771bUL;
   tf->codes[14737] = 0x0005bb74e3cf99b9UL;
   tf->codes[14738] = 0x0005bb84e6eb2d97UL;
   tf->codes[14739] = 0x0005bba611ed722cUL;
   tf->codes[14740] = 0x0005bbb40601d21dUL;
   tf->codes[14741] = 0x0005bbd7057c44daUL;
   tf->codes[14742] = 0x0005bbd82a4761b3UL;
   tf->codes[14743] = 0x0005bbda73dd9b65UL;
   tf->codes[14744] = 0x0005bbe066643167UL;
   tf->codes[14745] = 0x0005bbe4f990a4cbUL;
   tf->codes[14746] = 0x0005bbe7f2d3efccUL;
   tf->codes[14747] = 0x0005bc08a8b828d7UL;
   tf->codes[14748] = 0x0005bc2df1c8d546UL;
   tf->codes[14749] = 0x0005bc40ee27b425UL;
   tf->codes[14750] = 0x0005bc528b2c7066UL;
   tf->codes[14751] = 0x0005bc55846fbb67UL;
   tf->codes[14752] = 0x0005bc57ce05f519UL;
   tf->codes[14753] = 0x0005bc69307bab95UL;
   tf->codes[14754] = 0x0005bc75ffc4eeadUL;
   tf->codes[14755] = 0x0005bc8468f75a28UL;
   tf->codes[14756] = 0x0005bc9138409d40UL;
   tf->codes[14757] = 0x0005bc92227cb454UL;
   tf->codes[14758] = 0x0005bc9381d6d6f2UL;
   tf->codes[14759] = 0x0005bc99aeec72b9UL;
   tf->codes[14760] = 0x0005bcb9efb2a03aUL;
   tf->codes[14761] = 0x0005bcc89374117aUL;
   tf->codes[14762] = 0x0005bccc76f3738fUL;
   tf->codes[14763] = 0x0005bccd26a084deUL;
   tf->codes[14764] = 0x0005bcd17f3df27dUL;
   tf->codes[14765] = 0x0005bcd43df237b9UL;
   tf->codes[14766] = 0x0005bcda6b07d380UL;
   tf->codes[14767] = 0x0005bce18259865bUL;
   tf->codes[14768] = 0x0005bce26c959d6fUL;
   tf->codes[14769] = 0x0005bce73a511698UL;
   tf->codes[14770] = 0x0005bcf110570eafUL;
   tf->codes[14771] = 0x0005bcfb20ec0c8bUL;
   tf->codes[14772] = 0x0005bd10dbff30a6UL;
   tf->codes[14773] = 0x0005bd19c7c911a9UL;
   tf->codes[14774] = 0x0005bd1ed0139097UL;
   tf->codes[14775] = 0x0005bd34c5b5ba77UL;
   tf->codes[14776] = 0x0005bd5122fc85e3UL;
   tf->codes[14777] = 0x0005bd5be33e950eUL;
   tf->codes[14778] = 0x0005bd80f1c03bb8UL;
   tf->codes[14779] = 0x0005bd89a2fb16f6UL;
   tf->codes[14780] = 0x0005bd9bb51ddec1UL;
   tf->codes[14781] = 0x0005bdc5915afe94UL;
   tf->codes[14782] = 0x0005bddd96045c61UL;
   tf->codes[14783] = 0x0005be07acd081f9UL;
   tf->codes[14784] = 0x0005be1e8caec2edUL;
   tf->codes[14785] = 0x0005be3e5856e4e4UL;
   tf->codes[14786] = 0x0005be527980e09cUL;
   tf->codes[14787] = 0x0005be5b9fd9c764UL;
   tf->codes[14788] = 0x0005be63dbf69718UL;
   tf->codes[14789] = 0x0005be6784e6f368UL;
   tf->codes[14790] = 0x0005be67fa04fef2UL;
   tf->codes[14791] = 0x0005be6db1fc8f2fUL;
   tf->codes[14792] = 0x0005be8df2c2bcb0UL;
   tf->codes[14793] = 0x0005be9a125eee79UL;
   tf->codes[14794] = 0x0005be9a4cedf43eUL;
   tf->codes[14795] = 0x0005beeca60e1146UL;
   tf->codes[14796] = 0x0005bf16824b3119UL;
   tf->codes[14797] = 0x0005bf1fa8a417e1UL;
   tf->codes[14798] = 0x0005bf3c7b08eed7UL;
   tf->codes[14799] = 0x0005bf440778ad3cUL;
   tf->codes[14800] = 0x0005bf490fc32c2aUL;
   tf->codes[14801] = 0x0005bf509c32ea8fUL;
   tf->codes[14802] = 0x0005bf62ae55b25aUL;
   tf->codes[14803] = 0x0005bf7485e97460UL;
   tf->codes[14804] = 0x0005bf777f2cbf61UL;
   tf->codes[14805] = 0x0005bf8b2b38af8fUL;
   tf->codes[14806] = 0x0005bf95eb7abebaUL;
   tf->codes[14807] = 0x0005bfa7fd9d8685UL;
   tf->codes[14808] = 0x0005bfaba68de2d5UL;
   tf->codes[14809] = 0x0005bfbe2dceb62aUL;
   tf->codes[14810] = 0x0005bfc19c300cb5UL;
   tf->codes[14811] = 0x0005bfcb723604ccUL;
   tf->codes[14812] = 0x0005bfdac5a4875bUL;
   tf->codes[14813] = 0x0005bfed4ce55ab0UL;
   tf->codes[14814] = 0x0005bff722eb52c7UL;
   tf->codes[14815] = 0x0005bffbf0a6cbf0UL;
   tf->codes[14816] = 0x0005bffd8a8ff453UL;
   tf->codes[14817] = 0x0005c010fc0cdebcUL;
   tf->codes[14818] = 0x0005c019e7d6bfbfUL;
   tf->codes[14819] = 0x0005c044ae4ff6a6UL;
   tf->codes[14820] = 0x0005c04cea6cc65aUL;
   tf->codes[14821] = 0x0005c05dd7c4714cUL;
   tf->codes[14822] = 0x0005c07024763edcUL;
   tf->codes[14823] = 0x0005c07bcef4651bUL;
   tf->codes[14824] = 0x0005c08654a76e81UL;
   tf->codes[14825] = 0x0005c091ff2594c0UL;
   tf->codes[14826] = 0x0005c097077013aeUL;
   tf->codes[14827] = 0x0005c0ae21dd5a67UL;
   tf->codes[14828] = 0x0005c0af46a87740UL;
   tf->codes[14829] = 0x0005c0be5f87f40aUL;
   tf->codes[14830] = 0x0005c0c501bb9b5bUL;
   tf->codes[14831] = 0x0005c0ce62a387e8UL;
   tf->codes[14832] = 0x0005c0fd0c9c20e4UL;
   tf->codes[14833] = 0x0005c10214e69fd2UL;
   tf->codes[14834] = 0x0005c14ce196fe75UL;
   tf->codes[14835] = 0x0005c14e7b8026d8UL;
   tf->codes[14836] = 0x0005c167df83a743UL;
   tf->codes[14837] = 0x0005c1734f72c7bdUL;
   tf->codes[14838] = 0x0005c17f6f0ef986UL;
   tf->codes[14839] = 0x0005c18facb99329UL;
   tf->codes[14840] = 0x0005c18fe74898eeUL;
   tf->codes[14841] = 0x0005c1b4bb3b39d3UL;
   tf->codes[14842] = 0x0005c1b9fe14be86UL;
   tf->codes[14843] = 0x0005c1ce1f3eba3eUL;
   tf->codes[14844] = 0x0005c1d5e63d7e68UL;
   tf->codes[14845] = 0x0005c1da044be642UL;
   tf->codes[14846] = 0x0005c1daee87fd56UL;
   tf->codes[14847] = 0x0005c1dc13531a2fUL;
   tf->codes[14848] = 0x0005c1ec50fdb3d2UL;
   tf->codes[14849] = 0x0005c1f11eb92cfbUL;
   tf->codes[14850] = 0x0005c1f53cc794d5UL;
   tf->codes[14851] = 0x0005c20998809652UL;
   tf->codes[14852] = 0x0005c2141e339fb8UL;
   tf->codes[14853] = 0x0005c21a4b493b7fUL;
   tf->codes[14854] = 0x0005c24795e7b1ddUL;
   tf->codes[14855] = 0x0005c253b583e3a6UL;
   tf->codes[14856] = 0x0005c258833f5ccfUL;
   tf->codes[14857] = 0x0005c25c2c2fb91fUL;
   tf->codes[14858] = 0x0005c26552889fe7UL;
   tf->codes[14859] = 0x0005c26e3e5280eaUL;
   tf->codes[14860] = 0x0005c26eedff9239UL;
   tf->codes[14861] = 0x0005c27a987db878UL;
   tf->codes[14862] = 0x0005c27b0d9bc402UL;
   tf->codes[14863] = 0x0005c2829a0b8267UL;
   tf->codes[14864] = 0x0005c2c8d38f6da6UL;
   tf->codes[14865] = 0x0005c2e2acb0f99bUL;
   tf->codes[14866] = 0x0005c2e5a5f4449cUL;
   tf->codes[14867] = 0x0005c2f3d497aa52UL;
   tf->codes[14868] = 0x0005c2f56e80d2b5UL;
   tf->codes[14869] = 0x0005c2f867c41db6UL;
   tf->codes[14870] = 0x0005c2fff433dc1bUL;
   tf->codes[14871] = 0x0005c30ed2845320UL;
   tf->codes[14872] = 0x0005c31fbfdbfe12UL;
   tf->codes[14873] = 0x0005c33db70bf1e1UL;
   tf->codes[14874] = 0x0005c3420fa95f80UL;
   tf->codes[14875] = 0x0005c3457e0ab60bUL;
   tf->codes[14876] = 0x0005c3779664a592UL;
   tf->codes[14877] = 0x0005c3942e3a76c3UL;
   tf->codes[14878] = 0x0005c39ad06e1e14UL;
   tf->codes[14879] = 0x0005c39c2fc840b2UL;
   tf->codes[14880] = 0x0005c3b4e41eafceUL;
   tf->codes[14881] = 0x0005c3bb8652571fUL;
   tf->codes[14882] = 0x0005c3bdcfe890d1UL;
   tf->codes[14883] = 0x0005c3ca9f31d3e9UL;
   tf->codes[14884] = 0x0005c41aaebbb73fUL;
   tf->codes[14885] = 0x0005c42b9c136231UL;
   tf->codes[14886] = 0x0005c43278d60f47UL;
   tf->codes[14887] = 0x0005c43bd9bdfbd4UL;
   tf->codes[14888] = 0x0005c4783d3beefcUL;
   tf->codes[14889] = 0x0005c47d45866deaUL;
   tf->codes[14890] = 0x0005c48422491b00UL;
   tf->codes[14891] = 0x0005c496e418f41aUL;
   tf->codes[14892] = 0x0005c49ac798562fUL;
   tf->codes[14893] = 0x0005c49bb1d46d43UL;
   tf->codes[14894] = 0x0005c49fcfe2d51dUL;
   tf->codes[14895] = 0x0005c4cf9ea68af2UL;
   tf->codes[14896] = 0x0005c4d0c371a7cbUL;
   tf->codes[14897] = 0x0005c4d0fe00ad90UL;
   tf->codes[14898] = 0x0005c4dbf8d1c280UL;
   tf->codes[14899] = 0x0005c4dc6defce0aUL;
   tf->codes[14900] = 0x0005c4df2ca41346UL;
   tf->codes[14901] = 0x0005c512a458256bUL;
   tf->codes[14902] = 0x0005c515d82a7631UL;
   tf->codes[14903] = 0x0005c54531d0207cUL;
   tf->codes[14904] = 0x0005c5539b028bf7UL;
   tf->codes[14905] = 0x0005c5686bd998feUL;
   tf->codes[14906] = 0x0005c574c604d08cUL;
   tf->codes[14907] = 0x0005c58712b69e1cUL;
   tf->codes[14908] = 0x0005c587fcf2b530UL;
   tf->codes[14909] = 0x0005c59b6e6f9f99UL;
   tf->codes[14910] = 0x0005c59ba8fea55eUL;
   tf->codes[14911] = 0x0005c59d42e7cdc1UL;
   tf->codes[14912] = 0x0005c59fc70d0d38UL;
   tf->codes[14913] = 0x0005c5b33889f7a1UL;
   tf->codes[14914] = 0x0005c5c79442f91eUL;
   tf->codes[14915] = 0x0005c5d1df66fcbfUL;
   tf->codes[14916] = 0x0005c5d3b3df2ae7UL;
   tf->codes[14917] = 0x0005c5ff2a05731dUL;
   tf->codes[14918] = 0x0005c63fe620d3e4UL;
   tf->codes[14919] = 0x0005c64772909249UL;
   tf->codes[14920] = 0x0005c648223da398UL;
   tf->codes[14921] = 0x0005c64a6bd3dd4aUL;
   tf->codes[14922] = 0x0005c675a76b1fbbUL;
   tf->codes[14923] = 0x0005c6be9fa35036UL;
   tf->codes[14924] = 0x0005c6bf89df674aUL;
   tf->codes[14925] = 0x0005c6c57c65fd4cUL;
   tf->codes[14926] = 0x0005c6dc96d34405UL;
   tf->codes[14927] = 0x0005c704297a2a26UL;
   tf->codes[14928] = 0x0005c71292ac95a1UL;
   tf->codes[14929] = 0x0005c73298e3bd5dUL;
   tf->codes[14930] = 0x0005c732d372c322UL;
   tf->codes[14931] = 0x0005c73432cce5c0UL;
   tf->codes[14932] = 0x0005c76b53715435UL;
   tf->codes[14933] = 0x0005c795df5b8557UL;
   tf->codes[14934] = 0x0005c79ecb25665aUL;
   tf->codes[14935] = 0x0005c7ada975dd5fUL;
   tf->codes[14936] = 0x0005c7c36489017aUL;
   tf->codes[14937] = 0x0005c7c39f18073fUL;
   tf->codes[14938] = 0x0005c7e504a95199UL;
   tf->codes[14939] = 0x0005c7e8ad99ade9UL;
   tf->codes[14940] = 0x0005c806a4c9a1b8UL;
   tf->codes[14941] = 0x0005c81f93af1699UL;
   tf->codes[14942] = 0x0005c83f24c832cbUL;
   tf->codes[14943] = 0x0005c846018adfe1UL;
   tf->codes[14944] = 0x0005c848109213ceUL;
   tf->codes[14945] = 0x0005c84c2ea07ba8UL;
   tf->codes[14946] = 0x0005c86e7e6ddd16UL;
   tf->codes[14947] = 0x0005c87fe0e39392UL;
   tf->codes[14948] = 0x0005c89a69b230d6UL;
   tf->codes[14949] = 0x0005c8a5d9a15150UL;
   tf->codes[14950] = 0x0005c8e536628f79UL;
   tf->codes[14951] = 0x0005c8e6209ea68dUL;
   tf->codes[14952] = 0x0005c8e86a34e03fUL;
   tf->codes[14953] = 0x0005c9169f0f6db1UL;
   tf->codes[14954] = 0x0005c918e8a5a763UL;
   tf->codes[14955] = 0x0005c929d5fd5255UL;
   tf->codes[14956] = 0x0005c9445ecbef99UL;
   tf->codes[14957] = 0x0005c95a19df13b4UL;
   tf->codes[14958] = 0x0005c967d3646de0UL;
   tf->codes[14959] = 0x0005c97eedd1b499UL;
   tf->codes[14960] = 0x0005c98ce1e6148aUL;
   tf->codes[14961] = 0x0005c9946e55d2efUL;
   tf->codes[14962] = 0x0005c9f4bb8a4fe8UL;
   tf->codes[14963] = 0x0005c9f77a3e9524UL;
   tf->codes[14964] = 0x0005c9fbd2dc02c3UL;
   tf->codes[14965] = 0x0005ca1153602119UL;
   tf->codes[14966] = 0x0005ca183022ce2fUL;
   tf->codes[14967] = 0x0005ca4c1cf4ebdeUL;
   tf->codes[14968] = 0x0005ca5a86275759UL;
   tf->codes[14969] = 0x0005ca671ae194acUL;
   tf->codes[14970] = 0x0005ca68b4cabd0fUL;
   tf->codes[14971] = 0x0005ca7e6fdde12aUL;
   tf->codes[14972] = 0x0005ca846264772cUL;
   tf->codes[14973] = 0x0005ca875ba7c22dUL;
   tf->codes[14974] = 0x0005ca99333b8433UL;
   tf->codes[14975] = 0x0005caba5e3dc8c8UL;
   tf->codes[14976] = 0x0005cabbf826f12bUL;
   tf->codes[14977] = 0x0005cac1b01e8168UL;
   tf->codes[14978] = 0x0005cac817c322f4UL;
   tf->codes[14979] = 0x0005cae76e4d3961UL;
   tf->codes[14980] = 0x0005cb0739f55b58UL;
   tf->codes[14981] = 0x0005cb0fb0a130d1UL;
   tf->codes[14982] = 0x0005cb18274d064aUL;
   tf->codes[14983] = 0x0005cb1b2090514bUL;
   tf->codes[14984] = 0x0005cb4e5db55dabUL;
   tf->codes[14985] = 0x0005cb75b5cd3e07UL;
   tf->codes[14986] = 0x0005cbd727ccd7d9UL;
   tf->codes[14987] = 0x0005cbffdf3edad3UL;
   tf->codes[14988] = 0x0005cc1f7057f705UL;
   tf->codes[14989] = 0x0005cc2478a275f3UL;
   tf->codes[14990] = 0x0005cc3da216f099UL;
   tf->codes[14991] = 0x0005cc6534bdd6baUL;
   tf->codes[14992] = 0x0005cc73d87f47faUL;
   tf->codes[14993] = 0x0005cc869a4f2114UL;
   tf->codes[14994] = 0x0005ccb7c86cf987UL;
   tf->codes[14995] = 0x0005ccc3e8092b50UL;
   tf->codes[14996] = 0x0005ccd3eb24bf2eUL;
   tf->codes[14997] = 0x0005ccd425b3c4f3UL;
   tf->codes[14998] = 0x0005cd11adfcd4f4UL;
   tf->codes[14999] = 0x0005cd3647607014UL;
   tf->codes[15000] = 0x0005cd3ef89b4b52UL;
   tf->codes[15001] = 0x0005cd443b74d005UL;
   tf->codes[15002] = 0x0005cd5688269d95UL;
   tf->codes[15003] = 0x0005cd5c401e2dd2UL;
   tf->codes[15004] = 0x0005cd8a3a69b57fUL;
   tf->codes[15005] = 0x0005cd9ab2a354e7UL;
   tf->codes[15006] = 0x0005cda7f70aa389UL;
   tf->codes[15007] = 0x0005cdd0ae7ca683UL;
   tf->codes[15008] = 0x0005cde3704c7f9dUL;
   tf->codes[15009] = 0x0005cde6a41ed063UL;
   tf->codes[15010] = 0x0005cded465277b4UL;
   tf->codes[15011] = 0x0005cdf7cc05811aUL;
   tf->codes[15012] = 0x0005cdf8069486dfUL;
   tf->codes[15013] = 0x0005ce121a451899UL;
   tf->codes[15014] = 0x0005ce133f103572UL;
   tf->codes[15015] = 0x0005ce3d906b60cfUL;
   tf->codes[15016] = 0x0005ce434862f10cUL;
   tf->codes[15017] = 0x0005ce4975788cd3UL;
   tf->codes[15018] = 0x0005ce5310ef7f25UL;
   tf->codes[15019] = 0x0005ce63c3b82452UL;
   tf->codes[15020] = 0x0005ce6dd44d222eUL;
   tf->codes[15021] = 0x0005ce71081f72f4UL;
   tf->codes[15022] = 0x0005ce7d27bba4bdUL;
   tf->codes[15023] = 0x0005ce8bcb7d15fdUL;
   tf->codes[15024] = 0x0005ce9feca711b5UL;
   tf->codes[15025] = 0x0005cedf83f755a3UL;
   tf->codes[15026] = 0x0005cee3a205bd7dUL;
   tf->codes[15027] = 0x0005ceec18b192f6UL;
   tf->codes[15028] = 0x0005cf3510e9c371UL;
   tf->codes[15029] = 0x0005cf3bedac7087UL;
   tf->codes[15030] = 0x0005cf46adee7fb2UL;
   tf->codes[15031] = 0x0005cf4e74ed43dcUL;
   tf->codes[15032] = 0x0005cf5c2e729e08UL;
   tf->codes[15033] = 0x0005cf89b3a01a2bUL;
   tf->codes[15034] = 0x0005cf93148806b8UL;
   tf->codes[15035] = 0x0005cf9682e95d43UL;
   tf->codes[15036] = 0x0005cf9ef99532bcUL;
   tf->codes[15037] = 0x0005cfb4ef375c9cUL;
   tf->codes[15038] = 0x0005cfd0624210f4UL;
   tf->codes[15039] = 0x0005cfe77caf57adUL;
   tf->codes[15040] = 0x0005cfe8a17a7486UL;
   tf->codes[15041] = 0x0005cff8df250e29UL;
   tf->codes[15042] = 0x0005cffdace08752UL;
   tf->codes[15043] = 0x0005d01501dcd3d0UL;
   tf->codes[15044] = 0x0005d030ea0593b2UL;
   tf->codes[15045] = 0x0005d038eb935da1UL;
   tf->codes[15046] = 0x0005d05b75efc4d4UL;
   tf->codes[15047] = 0x0005d0675afcf0d8UL;
   tf->codes[15048] = 0x0005d07046c6d1dbUL;
   tf->codes[15049] = 0x0005d0737a9922a1UL;
   tf->codes[15050] = 0x0005d09813fcbdc1UL;
   tf->codes[15051] = 0x0005d0984e8bc386UL;
   tf->codes[15052] = 0x0005d09a2303f1aeUL;
   tf->codes[15053] = 0x0005d0c81d4f795bUL;
   tf->codes[15054] = 0x0005d0d4025ca55fUL;
   tf->codes[15055] = 0x0005d0d5d6d4d387UL;
   tf->codes[15056] = 0x0005d0d8958918c3UL;
   tf->codes[15057] = 0x0005d0dadf1f5275UL;
   tf->codes[15058] = 0x0005d0e2e0ad1c64UL;
   tf->codes[15059] = 0x0005d119c6c28514UL;
   tf->codes[15060] = 0x0005d1411eda6570UL;
   tf->codes[15061] = 0x0005d16d7f3cc4baUL;
   tf->codes[15062] = 0x0005d174968e7795UL;
   tf->codes[15063] = 0x0005d1850ec816fdUL;
   tf->codes[15064] = 0x0005d19ee7e9a2f2UL;
   tf->codes[15065] = 0x0005d1e3fca27158UL;
   tf->codes[15066] = 0x0005d1eb13f42433UL;
   tf->codes[15067] = 0x0005d1f0cbebb470UL;
   tf->codes[15068] = 0x0005d219835db76aUL;
   tf->codes[15069] = 0x0005d22a36265c97UL;
   tf->codes[15070] = 0x0005d23bd32b18d8UL;
   tf->codes[15071] = 0x0005d24c85f3be05UL;
   tf->codes[15072] = 0x0005d25328276556UL;
   tf->codes[15073] = 0x0005d2570ba6c76bUL;
   tf->codes[15074] = 0x0005d257bb53d8baUL;
   tf->codes[15075] = 0x0005d27996032e9eUL;
   tf->codes[15076] = 0x0005d27a803f45b2UL;
   tf->codes[15077] = 0x0005d28e2c4b35e0UL;
   tf->codes[15078] = 0x0005d2bd85f0e02bUL;
   tf->codes[15079] = 0x0005d2c37877762dUL;
   tf->codes[15080] = 0x0005d2e79cbd05c3UL;
   tf->codes[15081] = 0x0005d2eeb40eb89eUL;
   tf->codes[15082] = 0x0005d31d9896575fUL;
   tf->codes[15083] = 0x0005d3373728dd8fUL;
   tf->codes[15084] = 0x0005d339f5dd22cbUL;
   tf->codes[15085] = 0x0005d34983daab1fUL;
   tf->codes[15086] = 0x0005d350260e5270UL;
   tf->codes[15087] = 0x0005d385723a92bdUL;
   tf->codes[15088] = 0x0005d3b5b61c541cUL;
   tf->codes[15089] = 0x0005d3cbabbe7dfcUL;
   tf->codes[15090] = 0x0005d3cedf90cec2UL;
   tf->codes[15091] = 0x0005d3e375d8d604UL;
   tf->codes[15092] = 0x0005d3e54a51042cUL;
   tf->codes[15093] = 0x0005d3e6348d1b40UL;
   tf->codes[15094] = 0x0005d3f254294d09UL;
   tf->codes[15095] = 0x0005d3f4633080f6UL;
   tf->codes[15096] = 0x0005d3fd898967beUL;
   tf->codes[15097] = 0x0005d40a1e43a511UL;
   tf->codes[15098] = 0x0005d43977e94f5cUL;
   tf->codes[15099] = 0x0005d43e0b15c2c0UL;
   tf->codes[15100] = 0x0005d451f1b0b8b3UL;
   tf->codes[15101] = 0x0005d47824fd7c36UL;
   tf->codes[15102] = 0x0005d49e92d9457eUL;
   tf->codes[15103] = 0x0005d4a9188c4ee4UL;
   tf->codes[15104] = 0x0005d4bb2aaf16afUL;
   tf->codes[15105] = 0x0005d4c500b50ec6UL;
   tf->codes[15106] = 0x0005d542204e62b5UL;
   tf->codes[15107] = 0x0005d54eef97a5cdUL;
   tf->codes[15108] = 0x0005d5534835136cUL;
   tf->codes[15109] = 0x0005d55d58ca1148UL;
   tf->codes[15110] = 0x0005d576823e8beeUL;
   tf->codes[15111] = 0x0005d576bccd91b3UL;
   tf->codes[15112] = 0x0005d583c6a5da90UL;
   tf->codes[15113] = 0x0005d5931a145d1fUL;
   tf->codes[15114] = 0x0005d5be55ab9f90UL;
   tf->codes[15115] = 0x0005d5f9945e75dfUL;
   tf->codes[15116] = 0x0005d5fa097c8169UL;
   tf->codes[15117] = 0x0005d5fd77ddd7f4UL;
   tf->codes[15118] = 0x0005d618eae88c4cUL;
   tf->codes[15119] = 0x0005d61a4a42aeeaUL;
   tf->codes[15120] = 0x0005d632c40a1841UL;
   tf->codes[15121] = 0x0005d644267fcebdUL;
   tf->codes[15122] = 0x0005d65304d045c2UL;
   tf->codes[15123] = 0x0005d675549da730UL;
   tf->codes[15124] = 0x0005d6988ea71fb2UL;
   tf->codes[15125] = 0x0005d6aadb58ed42UL;
   tf->codes[15126] = 0x0005d6ab5076f8ccUL;
   tf->codes[15127] = 0x0005d6c3ca3e6223UL;
   tf->codes[15128] = 0x0005d6caa7010f39UL;
   tf->codes[15129] = 0x0005d6e9c2fc1fe1UL;
   tf->codes[15130] = 0x0005d6f09fbeccf7UL;
   tf->codes[15131] = 0x0005d6f657b65d34UL;
   tf->codes[15132] = 0x0005d6faeae2d098UL;
   tf->codes[15133] = 0x0005d7144ee65103UL;
   tf->codes[15134] = 0x0005d71ab68af28fUL;
   tf->codes[15135] = 0x0005d74458390c9dUL;
   tf->codes[15136] = 0x0005d75077d53e66UL;
   tf->codes[15137] = 0x0005d76a8b85d020UL;
   tf->codes[15138] = 0x0005d774d6a9d3c1UL;
   tf->codes[15139] = 0x0005d77969d64725UL;
   tf->codes[15140] = 0x0005d7896cf1db03UL;
   tf->codes[15141] = 0x0005d78c2ba6203fUL;
   tf->codes[15142] = 0x0005d79258bbbc06UL;
   tf->codes[15143] = 0x0005d79b44859d09UL;
   tf->codes[15144] = 0x0005d79f629404e3UL;
   tf->codes[15145] = 0x0005d7c2277f71dbUL;
   tf->codes[15146] = 0x0005d7db1664e6bcUL;
   tf->codes[15147] = 0x0005d7ff3aaa7652UL;
   tf->codes[15148] = 0x0005d801becfb5c9UL;
   tf->codes[15149] = 0x0005d80776c74606UL;
   tf->codes[15150] = 0x0005d813966377cfUL;
   tf->codes[15151] = 0x0005d847bdc49b43UL;
   tf->codes[15152] = 0x0005d85193ca935aUL;
   tf->codes[15153] = 0x0005d86664a1a061UL;
   tf->codes[15154] = 0x0005d86f15dc7b9fUL;
   tf->codes[15155] = 0x0005d889641c131eUL;
   tf->codes[15156] = 0x0005d88afe053b81UL;
   tf->codes[15157] = 0x0005d8c04a317bceUL;
   tf->codes[15158] = 0x0005d8ee447d037bUL;
   tf->codes[15159] = 0x0005d8f6460acd6aUL;
   tf->codes[15160] = 0x0005d8f73046e47eUL;
   tf->codes[15161] = 0x0005d8fe82279d1eUL;
   tf->codes[15162] = 0x0005d911f3a48787UL;
   tf->codes[15163] = 0x0005d917ab9c17c4UL;
   tf->codes[15164] = 0x0005d918d067349dUL;
   tf->codes[15165] = 0x0005d9290e11ce40UL;
   tf->codes[15166] = 0x0005d94de2046f25UL;
   tf->codes[15167] = 0x0005d95115d6bfebUL;
   tf->codes[15168] = 0x0005d9523aa1dcc4UL;
   tf->codes[15169] = 0x0005d95742ec5bb2UL;
   tf->codes[15170] = 0x0005d97031d1d093UL;
   tf->codes[15171] = 0x0005d97d76391f35UL;
   tf->codes[15172] = 0x0005d97db0c824faUL;
   tf->codes[15173] = 0x0005d97f4ab14d5dUL;
   tf->codes[15174] = 0x0005d9811f297b85UL;
   tf->codes[15175] = 0x0005d9c25062e7d6UL;
   tf->codes[15176] = 0x0005d9c71e1e60ffUL;
   tf->codes[15177] = 0x0005d9d4d7a3bb2bUL;
   tf->codes[15178] = 0x0005d9dc64137990UL;
   tf->codes[15179] = 0x0005d9fc6a4aa14cUL;
   tf->codes[15180] = 0x0005da03f6ba5fb1UL;
   tf->codes[15181] = 0x0005da3a67b1bcd7UL;
   tf->codes[15182] = 0x0005da3e10a21927UL;
   tf->codes[15183] = 0x0005da6025e074d0UL;
   tf->codes[15184] = 0x0005da61bfc99d33UL;
   tf->codes[15185] = 0x0005da70638b0e73UL;
   tf->codes[15186] = 0x0005da81c600c4efUL;
   tf->codes[15187] = 0x0005da84bf440ff0UL;
   tf->codes[15188] = 0x0005da8b26e8b17cUL;
   tf->codes[15189] = 0x0005da98a5df05e3UL;
   tf->codes[15190] = 0x0005daae9b812fc3UL;
   tf->codes[15191] = 0x0005dab8718727daUL;
   tf->codes[15192] = 0x0005dace2c9a4bf5UL;
   tf->codes[15193] = 0x0005dad5f399101fUL;
   tf->codes[15194] = 0x0005dadc5b3db1abUL;
   tf->codes[15195] = 0x0005daee6d607976UL;
   tf->codes[15196] = 0x0005daf2c5fde715UL;
   tf->codes[15197] = 0x0005db0044f43b7cUL;
   tf->codes[15198] = 0x0005db075c45ee57UL;
   tf->codes[15199] = 0x0005db429af8c4a6UL;
   tf->codes[15200] = 0x0005db6c3ca6deb4UL;
   tf->codes[15201] = 0x0005db70cfd35218UL;
   tf->codes[15202] = 0x0005db7562ffc57cUL;
   tf->codes[15203] = 0x0005db9110997f99UL;
   tf->codes[15204] = 0x0005db9da553bcecUL;
   tf->codes[15205] = 0x0005dbbab24799a7UL;
   tf->codes[15206] = 0x0005dbc62236ba21UL;
   tf->codes[15207] = 0x0005dbd032cbb7fdUL;
   tf->codes[15208] = 0x0005dbd15796d4d6UL;
   tf->codes[15209] = 0x0005dbd19225da9bUL;
   tf->codes[15210] = 0x0005dbeed9a8bd1bUL;
   tf->codes[15211] = 0x0005dbfd084c22d1UL;
   tf->codes[15212] = 0x0005dc0b717e8e4cUL;
   tf->codes[15213] = 0x0005dc3b40424421UL;
   tf->codes[15214] = 0x0005dc53f498b33dUL;
   tf->codes[15215] = 0x0005dc5f9f16d97cUL;
   tf->codes[15216] = 0x0005dc64a761586aUL;
   tf->codes[15217] = 0x0005dc77a3c03749UL;
   tf->codes[15218] = 0x0005dc79031a59e7UL;
   tf->codes[15219] = 0x0005dc7fdfdd06fdUL;
   tf->codes[15220] = 0x0005dc92671dda52UL;
   tf->codes[15221] = 0x0005dc9943e08768UL;
   tf->codes[15222] = 0x0005dcbc08cbf460UL;
   tf->codes[15223] = 0x0005dcbe52622e12UL;
   tf->codes[15224] = 0x0005dcbf020f3f61UL;
   tf->codes[15225] = 0x0005dcc235e19027UL;
   tf->codes[15226] = 0x0005dcc5a442e6b2UL;
   tf->codes[15227] = 0x0005dcccf6239f52UL;
   tf->codes[15228] = 0x0005dcd14ec10cf1UL;
   tf->codes[15229] = 0x0005dce8de4c5f34UL;
   tf->codes[15230] = 0x0005dce9536a6abeUL;
   tf->codes[15231] = 0x0005dcf18f873a72UL;
   tf->codes[15232] = 0x0005dcf95685fe9cUL;
   tf->codes[15233] = 0x0005dcfdaf236c3bUL;
   tf->codes[15234] = 0x0005dd00e2f5bd01UL;
   tf->codes[15235] = 0x0005dd0e9c7b172dUL;
   tf->codes[15236] = 0x0005dd3afcdd7677UL;
   tf->codes[15237] = 0x0005dd3c21a89350UL;
   tf->codes[15238] = 0x0005dd42c3dc3aa1UL;
   tf->codes[15239] = 0x0005dd50f27fa057UL;
   tf->codes[15240] = 0x0005dd6b06303211UL;
   tf->codes[15241] = 0x0005dd6bb5dd4360UL;
   tf->codes[15242] = 0x0005dd713345cdd8UL;
   tf->codes[15243] = 0x0005dd7467181e9eUL;
   tf->codes[15244] = 0x0005dd7e028f10f0UL;
   tf->codes[15245] = 0x0005dd967c567a47UL;
   tf->codes[15246] = 0x0005dd997599c548UL;
   tf->codes[15247] = 0x0005dd99eab7d0d2UL;
   tf->codes[15248] = 0x0005ddb55dc2852aUL;
   tf->codes[15249] = 0x0005ddb5d2e090b4UL;
   tf->codes[15250] = 0x0005ddccb2bed1a8UL;
   tf->codes[15251] = 0x0005ddd26ab661e5UL;
   tf->codes[15252] = 0x0005ddd354f278f9UL;
   tf->codes[15253] = 0x0005ddf2365e83dcUL;
   tf->codes[15254] = 0x0005ddf70419fd05UL;
   tf->codes[15255] = 0x0005ddfb222864dfUL;
   tf->codes[15256] = 0x0005de35ebbd2fa4UL;
   tf->codes[15257] = 0x0005de40e68e4494UL;
   tf->codes[15258] = 0x0005de4edaa2a485UL;
   tf->codes[15259] = 0x0005de512438de37UL;
   tf->codes[15260] = 0x0005de54929a34c2UL;
   tf->codes[15261] = 0x0005de6f55f7d7cbUL;
   tf->codes[15262] = 0x0005de75f82b7f1cUL;
   tf->codes[15263] = 0x0005de8670651e84UL;
   tf->codes[15264] = 0x0005deb63f28d459UL;
   tf->codes[15265] = 0x0005debad25547bdUL;
   tf->codes[15266] = 0x0005dece43d23226UL;
   tf->codes[15267] = 0x0005dee81cf3be1bUL;
   tf->codes[15268] = 0x0005def108bd9f1eUL;
   tf->codes[15269] = 0x0005def735d33ae5UL;
   tf->codes[15270] = 0x0005defa2f1685e6UL;
   tf->codes[15271] = 0x0005df110ef4c6daUL;
   tf->codes[15272] = 0x0005df58a7d2d4b7UL;
   tf->codes[15273] = 0x0005df58e261da7cUL;
   tf->codes[15274] = 0x0005df8c5a15eca1UL;
   tf->codes[15275] = 0x0005df9e31a9aea7UL;
   tf->codes[15276] = 0x0005dfc1e0d132b3UL;
   tf->codes[15277] = 0x0005dfd8c0af73a7UL;
   tf->codes[15278] = 0x0005dfeef0e0a34cUL;
   tf->codes[15279] = 0x0005dff642c15becUL;
   tf->codes[15280] = 0x0005dffd5a130ec7UL;
   tf->codes[15281] = 0x0005e0093f203acbUL;
   tf->codes[15282] = 0x0005e0197ccad46eUL;
   tf->codes[15283] = 0x0005e02d9df4d026UL;
   tf->codes[15284] = 0x0005e0426ecbdd2dUL;
   tf->codes[15285] = 0x0005e043ce25ffcbUL;
   tf->codes[15286] = 0x0005e04910ff847eUL;
   tf->codes[15287] = 0x0005e04ddebafda7UL;
   tf->codes[15288] = 0x0005e066cda07288UL;
   tf->codes[15289] = 0x0005e085e99b8330UL;
   tf->codes[15290] = 0x0005e0bfc8f436e1UL;
   tf->codes[15291] = 0x0005e0cdf7979c97UL;
   tf->codes[15292] = 0x0005e0d0b64be1d3UL;
   tf->codes[15293] = 0x0005e0db768df0feUL;
   tf->codes[15294] = 0x0005e0ebeec79066UL;
   tf->codes[15295] = 0x0005e0f6747a99ccUL;
   tf->codes[15296] = 0x0005e0fcdc1f3b58UL;
   tf->codes[15297] = 0x0005e110130d1ffcUL;
   tf->codes[15298] = 0x0005e14e10743b87UL;
   tf->codes[15299] = 0x0005e15109b78688UL;
   tf->codes[15300] = 0x0005e1517ed59212UL;
   tf->codes[15301] = 0x0005e187401fdde9UL;
   tf->codes[15302] = 0x0005e18e92009689UL;
   tf->codes[15303] = 0x0005e18fb6cbb362UL;
   tf->codes[15304] = 0x0005e19f0a3a35f1UL;
   tf->codes[15305] = 0x0005e1b8a8ccbc21UL;
   tf->codes[15306] = 0x0005e1dea18a79dfUL;
   tf->codes[15307] = 0x0005e1dfc65596b8UL;
   tf->codes[15308] = 0x0005e1e4cea015a6UL;
   tf->codes[15309] = 0x0005e2321f75b3c0UL;
   tf->codes[15310] = 0x0005e246409faf78UL;
   tf->codes[15311] = 0x0005e24a5eae1752UL;
   tf->codes[15312] = 0x0005e253bf9603dfUL;
   tf->codes[15313] = 0x0005e26103fd5281UL;
   tf->codes[15314] = 0x0005e26d98b78fd4UL;
   tf->codes[15315] = 0x0005e28d9eeeb790UL;
   tf->codes[15316] = 0x0005e29feba08520UL;
   tf->codes[15317] = 0x0005e2cb9c55d31bUL;
   tf->codes[15318] = 0x0005e2f48e56dbdaUL;
   tf->codes[15319] = 0x0005e2fed97adf7bUL;
   tf->codes[15320] = 0x0005e2ffc3b6f68fUL;
   tf->codes[15321] = 0x0005e30ea2076d94UL;
   tf->codes[15322] = 0x0005e33fd0254607UL;
   tf->codes[15323] = 0x0005e35291f51f21UL;
   tf->codes[15324] = 0x0005e3542bde4784UL;
   tf->codes[15325] = 0x0005e356b00386fbUL;
   tf->codes[15326] = 0x0005e370c3b418b5UL;
   tf->codes[15327] = 0x0005e38ef5731249UL;
   tf->codes[15328] = 0x0005e3a5603347b3UL;
   tf->codes[15329] = 0x0005e3bb1b466bceUL;
   tf->codes[15330] = 0x0005e3d14b779b73UL;
   tf->codes[15331] = 0x0005e3d73dfe3175UL;
   tf->codes[15332] = 0x0005e3dc4648b063UL;
   tf->codes[15333] = 0x0005e3f918ad8759UL;
   tf->codes[15334] = 0x0005e4195973b4daUL;
   tf->codes[15335] = 0x0005e43c937d2d5cUL;
   tf->codes[15336] = 0x0005e43f17a26cd3UL;
   tf->codes[15337] = 0x0005e4483dfb539bUL;
   tf->codes[15338] = 0x0005e44afcaf98d7UL;
   tf->codes[15339] = 0x0005e4503f891d8aUL;
   tf->codes[15340] = 0x0005e4507a18234fUL;
   tf->codes[15341] = 0x0005e47254c77933UL;
   tf->codes[15342] = 0x0005e47463cead20UL;
   tf->codes[15343] = 0x0005e475c328cfbeUL;
   tf->codes[15344] = 0x0005e479a6a831d3UL;
   tf->codes[15345] = 0x0005e4b1ec17bd21UL;
   tf->codes[15346] = 0x0005e4bd5c06dd9bUL;
   tf->codes[15347] = 0x0005e4d8cf1191f3UL;
   tf->codes[15348] = 0x0005e50ae76b817aUL;
   tf->codes[15349] = 0x0005e511febd3455UL;
   tf->codes[15350] = 0x0005e51398a65cb8UL;
   tf->codes[15351] = 0x0005e519509decf5UL;
   tf->codes[15352] = 0x0005e5298e488698UL;
   tf->codes[15353] = 0x0005e5369820cf75UL;
   tf->codes[15354] = 0x0005e57127269475UL;
   tf->codes[15355] = 0x0005e578b39652daUL;
   tf->codes[15356] = 0x0005e57928b45e64UL;
   tf->codes[15357] = 0x0005e57c9715b4efUL;
   tf->codes[15358] = 0x0005e5b96fb1b3a1UL;
   tf->codes[15359] = 0x0005e5c011e55af2UL;
   tf->codes[15360] = 0x0005e5c25b7b94a4UL;
   tf->codes[15361] = 0x0005e5d46d9e5c6fUL;
   tf->codes[15362] = 0x0005e5e6f4df2fc4UL;
   tf->codes[15363] = 0x0005e5fc00454290UL;
   tf->codes[15364] = 0x0005e609f459a281UL;
   tf->codes[15365] = 0x0005e616fe31eb5eUL;
   tf->codes[15366] = 0x0005e6373ef818dfUL;
   tf->codes[15367] = 0x0005e672b839f4f3UL;
   tf->codes[15368] = 0x0005e67af456c4a7UL;
   tf->codes[15369] = 0x0005e67bde92dbbbUL;
   tf->codes[15370] = 0x0005e67d035df894UL;
   tf->codes[15371] = 0x0005e6b50e3e7e1dUL;
   tf->codes[15372] = 0x0005e6cc633aca9bUL;
   tf->codes[15373] = 0x0005e6dd5092758dUL;
   tf->codes[15374] = 0x0005e6e3f2c61cdeUL;
   tf->codes[15375] = 0x0005e71177f39901UL;
   tf->codes[15376] = 0x0005e732a2f5dd96UL;
   tf->codes[15377] = 0x0005e73c78fbd5adUL;
   tf->codes[15378] = 0x0005e74b1cbd46edUL;
   tf->codes[15379] = 0x0005e7531e4b10dcUL;
   tf->codes[15380] = 0x0005e7795197d45fUL;
   tf->codes[15381] = 0x0005e77a7662f138UL;
   tf->codes[15382] = 0x0005e77c856a2525UL;
   tf->codes[15383] = 0x0005e7a8ab3d7eaaUL;
   tf->codes[15384] = 0x0005e7c19a22f38bUL;
   tf->codes[15385] = 0x0005e7ca4b5dcec9UL;
   tf->codes[15386] = 0x0005e7dbadd38545UL;
   tf->codes[15387] = 0x0005e7f377eddd4dUL;
   tf->codes[15388] = 0x0005e7f880385c3bUL;
   tf->codes[15389] = 0x0005e7fdfda0e6b3UL;
   tf->codes[15390] = 0x0005e7ffd21914dbUL;
   tf->codes[15391] = 0x0005e80a57cc1e41UL;
   tf->codes[15392] = 0x0005e8184be07e32UL;
   tf->codes[15393] = 0x0005e83d1fd31f17UL;
   tf->codes[15394] = 0x0005e83e7f2d41b5UL;
   tf->codes[15395] = 0x0005e85056c103bbUL;
   tf->codes[15396] = 0x0005e86a2fe28fb0UL;
   tf->codes[15397] = 0x0005e86a6a719575UL;
   tf->codes[15398] = 0x0005e86d9e43e63bUL;
   tf->codes[15399] = 0x0005e8785e85f566UL;
   tf->codes[15400] = 0x0005e87a6d8d2953UL;
   tf->codes[15401] = 0x0005e89864bd1d22UL;
   tf->codes[15402] = 0x0005e89ecc61beaeUL;
   tf->codes[15403] = 0x0005e8cb2cc41df8UL;
   tf->codes[15404] = 0x0005e8d27ea4d698UL;
   tf->codes[15405] = 0x0005e8d368e0edacUL;
   tf->codes[15406] = 0x0005e9342b33762fUL;
   tf->codes[15407] = 0x0005e9525cf26fc3UL;
   tf->codes[15408] = 0x0005e95a23f133edUL;
   tf->codes[15409] = 0x0005e96e7faa356aUL;
   tf->codes[15410] = 0x0005e98bc72d17eaUL;
   tf->codes[15411] = 0x0005e98d9ba54612UL;
   tf->codes[15412] = 0x0005e98e10c3519cUL;
   tf->codes[15413] = 0x0005e9940349e79eUL;
   tf->codes[15414] = 0x0005e99c79f5bd17UL;
   tf->codes[15415] = 0x0005e9b5a36a37bdUL;
   tf->codes[15416] = 0x0005e9c89fc9169cUL;
   tf->codes[15417] = 0x0005e9ca744144c4UL;
   tf->codes[15418] = 0x0005e9da023ecd18UL;
   tf->codes[15419] = 0x0005e9f5ea678cfaUL;
   tf->codes[15420] = 0x0005ea136c79753fUL;
   tf->codes[15421] = 0x0005ea16a04bc605UL;
   tf->codes[15422] = 0x0005ea1e2cbb846aUL;
   tf->codes[15423] = 0x0005ea7678623774UL;
   tf->codes[15424] = 0x0005ea9225fbf191UL;
   tf->codes[15425] = 0x0005ea934ac70e6aUL;
   tf->codes[15426] = 0x0005ea94e4b036cdUL;
   tf->codes[15427] = 0x0005eaabff1d7d86UL;
   tf->codes[15428] = 0x0005eabb17fcfa50UL;
   tf->codes[15429] = 0x0005eac687ec1acaUL;
   tf->codes[15430] = 0x0005eacfe8d40757UL;
   tf->codes[15431] = 0x0005eadb58c327d1UL;
   tf->codes[15432] = 0x0005eaf7065ce1eeUL;
   tf->codes[15433] = 0x0005eb3503c3fd79UL;
   tf->codes[15434] = 0x0005eb3d3fe0cd2dUL;
   tf->codes[15435] = 0x0005eb787e93a37cUL;
   tf->codes[15436] = 0x0005eb980facbfaeUL;
   tf->codes[15437] = 0x0005eb9d17f73e9cUL;
   tf->codes[15438] = 0x0005eb9eb1e066ffUL;
   tf->codes[15439] = 0x0005ebb4a78290dfUL;
   tf->codes[15440] = 0x0005ebc34b44021fUL;
   tf->codes[15441] = 0x0005ebc72ec36434UL;
   tf->codes[15442] = 0x0005ebf6c2f81444UL;
   tf->codes[15443] = 0x0005ec66639b13ccUL;
   tf->codes[15444] = 0x0005ec6f4f64f4cfUL;
   tf->codes[15445] = 0x0005ec771663b8f9UL;
   tf->codes[15446] = 0x0005ec819c16c25fUL;
   tf->codes[15447] = 0x0005ec85f4b42ffeUL;
   tf->codes[15448] = 0x0005ec924edf678cUL;
   tf->codes[15449] = 0x0005ecc9aa12dbc6UL;
   tf->codes[15450] = 0x0005ed0906d419efUL;
   tf->codes[15451] = 0x0005ed0d5f71878eUL;
   tf->codes[15452] = 0x0005ed1bc8a3f309UL;
   tf->codes[15453] = 0x0005ed45a4e112dcUL;
   tf->codes[15454] = 0x0005ed4de0fde290UL;
   tf->codes[15455] = 0x0005ed5323d76743UL;
   tf->codes[15456] = 0x0005ed5da98a70a9UL;
   tf->codes[15457] = 0x0005edd9dee7ad84UL;
   tf->codes[15458] = 0x0005edde37851b23UL;
   tf->codes[15459] = 0x0005ede6ae30f09cUL;
   tf->codes[15460] = 0x0005edfd53802bcbUL;
   tf->codes[15461] = 0x0005ee0888e04680UL;
   tf->codes[15462] = 0x0005ee32da3b71ddUL;
   tf->codes[15463] = 0x0005ee3a66ab3042UL;
   tf->codes[15464] = 0x0005ee3fe413babaUL;
   tf->codes[15465] = 0x0005ee69c050da8dUL;
   tf->codes[15466] = 0x0005ee768f9a1da5UL;
   tf->codes[15467] = 0x0005ee8916daf0faUL;
   tf->codes[15468] = 0x0005ee8daa07645eUL;
   tf->codes[15469] = 0x0005ee939c8dfa60UL;
   tf->codes[15470] = 0x0005eeb5021f44baUL;
   tf->codes[15471] = 0x0005eeef569603f5UL;
   tf->codes[15472] = 0x0005ef0f975c3176UL;
   tf->codes[15473] = 0x0005ef31377c8195UL;
   tf->codes[15474] = 0x0005ef44e38871c3UL;
   tf->codes[15475] = 0x0005ef47a23cb6ffUL;
   tf->codes[15476] = 0x0005ef5d22c0d555UL;
   tf->codes[15477] = 0x0005ef65244e9f44UL;
   tf->codes[15478] = 0x0005ef81bc247075UL;
   tf->codes[15479] = 0x0005ef88d3762350UL;
   tf->codes[15480] = 0x0005ef98d691b72eUL;
   tf->codes[15481] = 0x0005ef994bafc2b8UL;
   tf->codes[15482] = 0x0005efb7f28cc7d6UL;
   tf->codes[15483] = 0x0005efcf47891454UL;
   tf->codes[15484] = 0x0005efd27b5b651aUL;
   tf->codes[15485] = 0x0005efd783a5e408UL;
   tf->codes[15486] = 0x0005effba7eb739eUL;
   tf->codes[15487] = 0x0005f0020f90152aUL;
   tf->codes[15488] = 0x0005f034d7971600UL;
   tf->codes[15489] = 0x0005f03880877250UL;
   tf->codes[15490] = 0x0005f063f6adba86UL;
   tf->codes[15491] = 0x0005f069aea54ac3UL;
   tf->codes[15492] = 0x0005f074e4056578UL;
   tf->codes[15493] = 0x0005f078c784c78dUL;
   tf->codes[15494] = 0x0005f0aaa54fb14fUL;
   tf->codes[15495] = 0x0005f0c443e2377fUL;
   tf->codes[15496] = 0x0005f0c9119db0a8UL;
   tf->codes[15497] = 0x0005f0ccba8e0cf8UL;
   tf->codes[15498] = 0x0005f0d5e0e6f3c0UL;
   tf->codes[15499] = 0x0005f0f0a44496c9UL;
   tf->codes[15500] = 0x0005f107beb1dd82UL;
   tf->codes[15501] = 0x0005f115b2c63d73UL;
   tf->codes[15502] = 0x0005f146a6551021UL;
   tf->codes[15503] = 0x0005f14790912735UL;
   tf->codes[15504] = 0x0005f14805af32bfUL;
   tf->codes[15505] = 0x0005f14f921ef124UL;
   tf->codes[15506] = 0x0005f165c25020c9UL;
   tf->codes[15507] = 0x0005f16fd2e51ea5UL;
   tf->codes[15508] = 0x0005f171a75d4ccdUL;
   tf->codes[15509] = 0x0005f17e0188845bUL;
   tf->codes[15510] = 0x0005f18553693cfbUL;
   tf->codes[15511] = 0x0005f18c302bea11UL;
   tf->codes[15512] = 0x0005f18e3f331dfeUL;
   tf->codes[15513] = 0x0005f1960631e228UL;
   tf->codes[15514] = 0x0005f1cb525e2275UL;
   tf->codes[15515] = 0x0005f1db1aeab08eUL;
   tf->codes[15516] = 0x0005f1dd29f1e47bUL;
   tf->codes[15517] = 0x0005f1f9c1c7b5acUL;
   tf->codes[15518] = 0x0005f1fc807bfae8UL;
   tf->codes[15519] = 0x0005f2014e377411UL;
   tf->codes[15520] = 0x0005f207062f044eUL;
   tf->codes[15521] = 0x0005f20ff1f8e551UL;
   tf->codes[15522] = 0x0005f21952e0d1deUL;
   tf->codes[15523] = 0x0005f21cfbd12e2eUL;
   tf->codes[15524] = 0x0005f25247fd6e7bUL;
   tf->codes[15525] = 0x0005f25be37460cdUL;
   tf->codes[15526] = 0x0005f25e6799a044UL;
   tf->codes[15527] = 0x0005f291a4beaca4UL;
   tf->codes[15528] = 0x0005f29b40359ef6UL;
   tf->codes[15529] = 0x0005f2b0c0b9bd4cUL;
   tf->codes[15530] = 0x0005f2b2cfc0f139UL;
   tf->codes[15531] = 0x0005f2c72b79f2b6UL;
   tf->codes[15532] = 0x0005f3090c607056UL;
   tf->codes[15533] = 0x0005f31cb86c6084UL;
   tf->codes[15534] = 0x0005f33238f07edaUL;
   tf->codes[15535] = 0x0005f33c49857cb6UL;
   tf->codes[15536] = 0x0005f342ebb92407UL;
   tf->codes[15537] = 0x0005f355ad88fd21UL;
   tf->codes[15538] = 0x0005f36cc7f643daUL;
   tf->codes[15539] = 0x0005f37d402fe342UL;
   tf->codes[15540] = 0x0005f3b1dcaf1240UL;
   tf->codes[15541] = 0x0005f3bcd7802730UL;
   tf->codes[15542] = 0x0005f3c5fdd90df8UL;
   tf->codes[15543] = 0x0005f3cb40b292abUL;
   tf->codes[15544] = 0x0005f3cfd3df060fUL;
   tf->codes[15545] = 0x0005f3d292934b4bUL;
   tf->codes[15546] = 0x0005f3ec6bb4d740UL;
   tf->codes[15547] = 0x0005f3ee059dffa3UL;
   tf->codes[15548] = 0x0005f40b1291dc5eUL;
   tf->codes[15549] = 0x0005f41906a63c4fUL;
   tf->codes[15550] = 0x0005f458d8858602UL;
   tf->codes[15551] = 0x0005f45b221bbfb4UL;
   tf->codes[15552] = 0x0005f478debcadbeUL;
   tf->codes[15553] = 0x0005f4953c03792aUL;
   tf->codes[15554] = 0x0005f4b0747f27bdUL;
   tf->codes[15555] = 0x0005f4c8040a7a00UL;
   tf->codes[15556] = 0x0005f4d24f2e7da1UL;
   tf->codes[15557] = 0x0005f4d71ce9f6caUL;
   tf->codes[15558] = 0x0005f4f4d98ae4d4UL;
   tf->codes[15559] = 0x0005f4f80d5d359aUL;
   tf->codes[15560] = 0x0005f4fbf0dc97afUL;
   tf->codes[15561] = 0x0005f506768fa115UL;
   tf->codes[15562] = 0x0005f540cb066050UL;
   tf->codes[15563] = 0x0005f543149c9a02UL;
   tf->codes[15564] = 0x0005f55a6998e680UL;
   tf->codes[15565] = 0x0005f56096ae8247UL;
   tf->codes[15566] = 0x0005f59b60434d0cUL;
   tf->codes[15567] = 0x0005f59cfa2c756fUL;
   tf->codes[15568] = 0x0005f59f7e51b4e6UL;
   tf->codes[15569] = 0x0005f5d41ad0e3e4UL;
   tf->codes[15570] = 0x0005f5ddb647d636UL;
   tf->codes[15571] = 0x0005f5dedb12f30fUL;
   tf->codes[15572] = 0x0005f5ec5a094776UL;
   tf->codes[15573] = 0x0005f5f2871ee33dUL;
   tf->codes[15574] = 0x0005f5f9d8ff9bddUL;
   tf->codes[15575] = 0x0005f6019ffe6007UL;
   tf->codes[15576] = 0x0005f60d4a7c8646UL;
   tf->codes[15577] = 0x0005f6100930cb82UL;
   tf->codes[15578] = 0x0005f617d02f8facUL;
   tf->codes[15579] = 0x0005f629a7c351b2UL;
   tf->codes[15580] = 0x0005f64380e4dda7UL;
   tf->codes[15581] = 0x0005f650159f1afaUL;
   tf->codes[15582] = 0x0005f6773327f591UL;
   tf->codes[15583] = 0x0005f68352c4275aUL;
   tf->codes[15584] = 0x0005f6bd6cabe0d0UL;
   tf->codes[15585] = 0x0005f6c7b7cfe471UL;
   tf->codes[15586] = 0x0005f6d3d76c163aUL;
   tf->codes[15587] = 0x0005f6d4fc373313UL;
   tf->codes[15588] = 0x0005f6d9c9f2ac3cUL;
   tf->codes[15589] = 0x0005f6da799fbd8bUL;
   tf->codes[15590] = 0x0005f6db9e6ada64UL;
   tf->codes[15591] = 0x0005f6ff88216435UL;
   tf->codes[15592] = 0x0005f708395c3f73UL;
   tf->codes[15593] = 0x0005f712f99e4e9eUL;
   tf->codes[15594] = 0x0005f7178ccac202UL;
   tf->codes[15595] = 0x0005f71ccfa446b5UL;
   tf->codes[15596] = 0x0005f71d44c2523fUL;
   tf->codes[15597] = 0x0005f72a4e9a9b1cUL;
   tf->codes[15598] = 0x0005f735be89bb96UL;
   tf->codes[15599] = 0x0005f7425343f8e9UL;
   tf->codes[15600] = 0x0005f74636c35afeUL;
   tf->codes[15601] = 0x0005f752565f8cc7UL;
   tf->codes[15602] = 0x0005f75848e622c9UL;
   tf->codes[15603] = 0x0005f770c2ad8c20UL;
   tf->codes[15604] = 0x0005f7885238de63UL;
   tf->codes[15605] = 0x0005f792283ed67aUL;
   tf->codes[15606] = 0x0005f79730895568UL;
   tf->codes[15607] = 0x0005f7b9bae5bc9bUL;
   tf->codes[15608] = 0x0005f7c64f9ff9eeUL;
   tf->codes[15609] = 0x0005f7e4bbedf947UL;
   tf->codes[15610] = 0x0005f7e4f67cff0cUL;
   tf->codes[15611] = 0x0005f806969d4f2bUL;
   tf->codes[15612] = 0x0005f81783f4fa1dUL;
   tf->codes[15613] = 0x0005f818a8c016f6UL;
   tf->codes[15614] = 0x0005f81f4af3be47UL;
   tf->codes[15615] = 0x0005f8471829aa2dUL;
   tf->codes[15616] = 0x0005f85cd33cce48UL;
   tf->codes[15617] = 0x0005f85d82e9df97UL;
   tf->codes[15618] = 0x0005f875c2224329UL;
   tf->codes[15619] = 0x0005f8b3bf895eb4UL;
   tf->codes[15620] = 0x0005f8b51ee38152UL;
   tf->codes[15621] = 0x0005f8ccae6ed395UL;
   tf->codes[15622] = 0x0005f8d091ee35aaUL;
   tf->codes[15623] = 0x0005f8d5d4c7ba5dUL;
   tf->codes[15624] = 0x0005f9089ccebb33UL;
   tf->codes[15625] = 0x0005f90bd0a10bf9UL;
   tf->codes[15626] = 0x0005f91272d4b34aUL;
   tf->codes[15627] = 0x0005f91c8369b126UL;
   tf->codes[15628] = 0x0005f9636c9aadb4UL;
   tf->codes[15629] = 0x0005f969d43f4f40UL;
   tf->codes[15630] = 0x0005f97718a69de2UL;
   tf->codes[15631] = 0x0005f9ae73da121cUL;
   tf->codes[15632] = 0x0005f9b4db7eb3a8UL;
   tf->codes[15633] = 0x0005f9bca27d77d2UL;
   tf->codes[15634] = 0x0005f9db0ecb772bUL;
   tf->codes[15635] = 0x0005f9f60cb81ff9UL;
   tf->codes[15636] = 0x0005fa1c0575ddb7UL;
   tf->codes[15637] = 0x0005fa46cbef149eUL;
   tf->codes[15638] = 0x0005fa4d3393b62aUL;
   tf->codes[15639] = 0x0005fa6781d34da9UL;
   tf->codes[15640] = 0x0005fa7242155cd4UL;
   tf->codes[15641] = 0x0005fa9abef85a09UL;
   tf->codes[15642] = 0x0005fa9c1e527ca7UL;
   tf->codes[15643] = 0x0005fb108cb0f558UL;
   tf->codes[15644] = 0x0005fb31b7b339edUL;
   tf->codes[15645] = 0x0005fb59fa07315dUL;
   tf->codes[15646] = 0x0005fb7064c766c7UL;
   tf->codes[15647] = 0x0005fb761cbef704UL;
   tf->codes[15648] = 0x0005fb9747c13b99UL;
   tf->codes[15649] = 0x0005fbaf11db93a1UL;
   tf->codes[15650] = 0x0005fbc36d94951eUL;
   tf->codes[15651] = 0x0005fbc83b500e47UL;
   tf->codes[15652] = 0x0005fbdbe75bfe75UL;
   tf->codes[15653] = 0x0005fbf28cab39a4UL;
   tf->codes[15654] = 0x0005fbf4d6417356UL;
   tf->codes[15655] = 0x0005fbf8b9c0d56bUL;
   tf->codes[15656] = 0x0005fc1b441d3c9eUL;
   tf->codes[15657] = 0x0005fc1c2e5953b2UL;
   tf->codes[15658] = 0x0005fc1c68e85977UL;
   tf->codes[15659] = 0x0005fc429c351cfaUL;
   tf->codes[15660] = 0x0005fc46ba4384d4UL;
   tf->codes[15661] = 0x0005fc5b15fc8651UL;
   tf->codes[15662] = 0x0005fc6a2edc031bUL;
   tf->codes[15663] = 0x0005fc6c78723ccdUL;
   tf->codes[15664] = 0x0005fc87765ee59bUL;
   tf->codes[15665] = 0x0005fc952fe43fc7UL;
   tf->codes[15666] = 0x0005fcad348d9d94UL;
   tf->codes[15667] = 0x0005fcaf4394d181UL;
   tf->codes[15668] = 0x0005fcc623731275UL;
   tf->codes[15669] = 0x0005fcc782cd3513UL;
   tf->codes[15670] = 0x0005fcd6268ea653UL;
   tf->codes[15671] = 0x0005fcd785e8c8f1UL;
   tf->codes[15672] = 0x0005fcd95a60f719UL;
   tf->codes[15673] = 0x0005fd0754ac7ec6UL;
   tf->codes[15674] = 0x0005fd1423f5c1deUL;
   tf->codes[15675] = 0x0005fd1dbf6cb430UL;
   tf->codes[15676] = 0x0005fd530b98f47dUL;
   tf->codes[15677] = 0x0005fd579ec567e1UL;
   tf->codes[15678] = 0x0005fd5e7b8814f7UL;
   tf->codes[15679] = 0x0005fd7854a9a0ecUL;
   tf->codes[15680] = 0x0005fdb776dbd950UL;
   tf->codes[15681] = 0x0005fdf44f77d802UL;
   tf->codes[15682] = 0x0005fe0af4c71331UL;
   tf->codes[15683] = 0x0005fe2db9b28029UL;
   tf->codes[15684] = 0x0005fe3580b14453UL;
   tf->codes[15685] = 0x0005fe3e31ec1f91UL;
   tf->codes[15686] = 0x0005fe4374c5a444UL;
   tf->codes[15687] = 0x0005fe4b76536e33UL;
   tf->codes[15688] = 0x0005fe675e7c2e15UL;
   tf->codes[15689] = 0x0005fe6accdd84a0UL;
   tf->codes[15690] = 0x0005fe79709ef5e0UL;
   tf->codes[15691] = 0x0005fe8430e1050bUL;
   tf->codes[15692] = 0x0005fe8e06e6fd22UL;
   tf->codes[15693] = 0x0005fe9b10bf45ffUL;
   tf->codes[15694] = 0x0005fec59ca97721UL;
   tf->codes[15695] = 0x0005fec686e58e35UL;
   tf->codes[15696] = 0x0005fed90e26618aUL;
   tf->codes[15697] = 0x0005fedcf1a5c39fUL;
   tf->codes[15698] = 0x0005feec7fa34bf3UL;
   tf->codes[15699] = 0x0005feefb3759cb9UL;
   tf->codes[15700] = 0x0005fefc482fda0cUL;
   tf->codes[15701] = 0x0005ff29583f4aa5UL;
   tf->codes[15702] = 0x0005ff4714e038afUL;
   tf->codes[15703] = 0x0005ff6bae43d3cfUL;
   tf->codes[15704] = 0x0005ff82c8b11a88UL;
   tf->codes[15705] = 0x0005ffbe0763f0d7UL;
   tf->codes[15706] = 0x0005ffdd235f017fUL;
   tf->codes[15707] = 0x0005ffe4ea5dc5a9UL;
   tf->codes[15708] = 0x00060040def4d503UL;
   tf->codes[15709] = 0x0006004de8cd1de0UL;
   tf->codes[15710] = 0x00060059cdda49e4UL;
   tf->codes[15711] = 0x0006006d04c82e88UL;
   tf->codes[15712] = 0x000600899c9dffb9UL;
   tf->codes[15713] = 0x00060095bc3a3182UL;
   tf->codes[15714] = 0x000600a8f3281626UL;
   tf->codes[15715] = 0x000600b7d1788d2bUL;
   tf->codes[15716] = 0x000600bd4ee117a3UL;
   tf->codes[15717] = 0x000600bf5de84b90UL;
   tf->codes[15718] = 0x000600c849b22c93UL;
   tf->codes[15719] = 0x000600d37f124748UL;
   tf->codes[15720] = 0x000600dd1a89399aUL;
   tf->codes[15721] = 0x000600fbfbf5447dUL;
   tf->codes[15722] = 0x000600ffa4e5a0cdUL;
   tf->codes[15723] = 0x0006010681a84de3UL;
   tf->codes[15724] = 0x0006011141ea5d0eUL;
   tf->codes[15725] = 0x0006012e4ede39c9UL;
   tf->codes[15726] = 0x0006014cf5bb3ee7UL;
   tf->codes[15727] = 0x0006014ddff755fbUL;
   tf->codes[15728] = 0x0006015f07de06b2UL;
   tf->codes[15729] = 0x0006015ff21a1dc6UL;
   tf->codes[15730] = 0x00060165e4a0b3c8UL;
   tf->codes[15731] = 0x0006017af006c694UL;
   tf->codes[15732] = 0x0006017e5e681d1fUL;
   tf->codes[15733] = 0x00060185ead7db84UL;
   tf->codes[15734] = 0x000601cb3a1fafafUL;
   tf->codes[15735] = 0x000601cb74aeb574UL;
   tf->codes[15736] = 0x000601cc5eeacc88UL;
   tf->codes[15737] = 0x000601d0f2173fecUL;
   tf->codes[15738] = 0x000601d87e86fe51UL;
   tf->codes[15739] = 0x000601e9a66daf08UL;
   tf->codes[15740] = 0x0006020a96e0edd8UL;
   tf->codes[15741] = 0x0006021ef299ef55UL;
   tf->codes[15742] = 0x0006023e0e94fffdUL;
   tf->codes[15743] = 0x0006024fab99bc3eUL;
   tf->codes[15744] = 0x00060269bf4a4df8UL;
   tf->codes[15745] = 0x0006026a6ef75f47UL;
   tf->codes[15746] = 0x0006026bce5181e5UL;
   tf->codes[15747] = 0x00060274ba1b62e8UL;
   tf->codes[15748] = 0x0006027cbba92cd7UL;
   tf->codes[15749] = 0x000602b91f271fffUL;
   tf->codes[15750] = 0x000602ba7e81429dUL;
   tf->codes[15751] = 0x000602be27719eedUL;
   tf->codes[15752] = 0x000602c6d8ac7a2bUL;
   tf->codes[15753] = 0x000602e803aebec0UL;
   tf->codes[15754] = 0x0006030167b23f2bUL;
   tf->codes[15755] = 0x000603084474ec41UL;
   tf->codes[15756] = 0x00060315fdfa466dUL;
   tf->codes[15757] = 0x000603196c5b9cf8UL;
   tf->codes[15758] = 0x0006033e7add43a2UL;
   tf->codes[15759] = 0x0006034766a724a5UL;
   tf->codes[15760] = 0x0006036cea46d6d9UL;
   tf->codes[15761] = 0x0006036fa8fb1c15UL;
   tf->codes[15762] = 0x000603743c278f79UL;
   tf->codes[15763] = 0x0006038404b41d92UL;
   tf->codes[15764] = 0x00060391f8c87d83UL;
   tf->codes[15765] = 0x000603bb9a769791UL;
   tf->codes[15766] = 0x000603c117df2209UL;
   tf->codes[15767] = 0x000603cf468287bfUL;
   tf->codes[15768] = 0x000603df0f0f15d8UL;
   tf->codes[15769] = 0x000603fedab737cfUL;
   tf->codes[15770] = 0x000603ffff8254a8UL;
   tf->codes[15771] = 0x00060409606a4135UL;
   tf->codes[15772] = 0x0006041ee0ee5f8bUL;
   tf->codes[15773] = 0x0006046345fa1ca2UL;
   tf->codes[15774] = 0x00060479b0ba520cUL;
   tf->codes[15775] = 0x00060484e61a6cc1UL;
   tf->codes[15776] = 0x00060497a7ea45dbUL;
   tf->codes[15777] = 0x000604d35bbb27b4UL;
   tf->codes[15778] = 0x000604fcc2da3bfdUL;
   tf->codes[15779] = 0x000605336e609ee8UL;
   tf->codes[15780] = 0x00060535f285de5fUL;
   tf->codes[15781] = 0x0006054d0cf32518UL;
   tf->codes[15782] = 0x000605c7e2f63f55UL;
   tf->codes[15783] = 0x000605d352e55fcfUL;
   tf->codes[15784] = 0x000605daa4c6186fUL;
   tf->codes[15785] = 0x000605dc3eaf40d2UL;
   tf->codes[15786] = 0x000605f31e8d81c6UL;
   tf->codes[15787] = 0x000605f89bf60c3eUL;
   tf->codes[15788] = 0x000605fb5aaa517aUL;
   tf->codes[15789] = 0x000605fbcfc85d04UL;
   tf->codes[15790] = 0x0006060cf7af0dbbUL;
   tf->codes[15791] = 0x00060618a22d33faUL;
   tf->codes[15792] = 0x0006065a0df5a610UL;
   tf->codes[15793] = 0x0006065fc5ed364dUL;
   tf->codes[15794] = 0x000606678cebfa77UL;
   tf->codes[15795] = 0x0006069b3f2f1261UL;
   tf->codes[15796] = 0x000606af9ae813deUL;
   tf->codes[15797] = 0x000606c9ae98a598UL;
   tf->codes[15798] = 0x000606d817cb1113UL;
   tf->codes[15799] = 0x000606dd5aa495c6UL;
   tf->codes[15800] = 0x000606e4ac854e66UL;
   tf->codes[15801] = 0x00060740dbab6385UL;
   tf->codes[15802] = 0x000607453448d124UL;
   tf->codes[15803] = 0x00060745e3f5e273UL;
   tf->codes[15804] = 0x00060770e4fe1f1fUL;
   tf->codes[15805] = 0x000607e0c030246cUL;
   tf->codes[15806] = 0x000607f381fffd86UL;
   tf->codes[15807] = 0x0006086c0e6cde11UL;
   tf->codes[15808] = 0x0006088a7abadd6aUL;
   tf->codes[15809] = 0x0006089450c0d581UL;
   tf->codes[15810] = 0x000608ca4c9a271dUL;
   tf->codes[15811] = 0x000608d24e27f10cUL;
   tf->codes[15812] = 0x000608f28eee1e8dUL;
   tf->codes[15813] = 0x000609042bf2daceUL;
   tf->codes[15814] = 0x0006093a27cc2c6aUL;
   tf->codes[15815] = 0x0006095b8d5d76c4UL;
   tf->codes[15816] = 0x0006095cecb79962UL;
   tf->codes[15817] = 0x0006096aa63cf38eUL;
   tf->codes[15818] = 0x0006097c4341afcfUL;
   tf->codes[15819] = 0x000609835a9362aaUL;
   tf->codes[15820] = 0x000609b2eec812baUL;
   tf->codes[15821] = 0x000609bc4fafff47UL;
   tf->codes[15822] = 0x000609f753d3cfd1UL;
   tf->codes[15823] = 0x000609f8789eecaaUL;
   tf->codes[15824] = 0x00060a0ee35f2214UL;
   tf->codes[15825] = 0x00060a149b56b251UL;
   tf->codes[15826] = 0x00060a1b78195f67UL;
   tf->codes[15827] = 0x00060a425b133439UL;
   tf->codes[15828] = 0x00060a48c2b7d5c5UL;
   tf->codes[15829] = 0x00060a655a8da6f6UL;
   tf->codes[15830] = 0x00060ad4c0a1a0b9UL;
   tf->codes[15831] = 0x00060ad5aaddb7cdUL;
   tf->codes[15832] = 0x00060ada037b256cUL;
   tf->codes[15833] = 0x00060ae99178adc0UL;
   tf->codes[15834] = 0x00060b0454d650c9UL;
   tf->codes[15835] = 0x00060b4008a732a2UL;
   tf->codes[15836] = 0x00060b533f951746UL;
   tf->codes[15837] = 0x00060b6b443e7513UL;
   tf->codes[15838] = 0x00060b7888a5c3b5UL;
   tf->codes[15839] = 0x00060b82d3c9c756UL;
   tf->codes[15840] = 0x00060b9470ce8397UL;
   tf->codes[15841] = 0x00060b976a11ce98UL;
   tf->codes[15842] = 0x00060b9fe0bda411UL;
   tf->codes[15843] = 0x00060bbf3747ba7eUL;
   tf->codes[15844] = 0x00060bd2a8c4a4e7UL;
   tf->codes[15845] = 0x00060bd52ce9e45eUL;
   tf->codes[15846] = 0x00060c0cfd3b6422UL;
   tf->codes[15847] = 0x00060c1e5fb11a9eUL;
   tf->codes[15848] = 0x00060c3e2b593c95UL;
   tf->codes[15849] = 0x00060c462ce70684UL;
   tf->codes[15850] = 0x00060c4f18b0e787UL;
   tf->codes[15851] = 0x00060c59d8f2f6b2UL;
   tf->codes[15852] = 0x00060c7e725691d2UL;
   tf->codes[15853] = 0x00060c83efbf1c4aUL;
   tf->codes[15854] = 0x00060c9f62c9d0a2UL;
   tf->codes[15855] = 0x00060cc81a3bd39cUL;
   tf->codes[15856] = 0x00060cd524141c79UL;
   tf->codes[15857] = 0x00060d156b1171b6UL;
   tf->codes[15858] = 0x00060d470e4d55b3UL;
   tf->codes[15859] = 0x00060d4d75f1f73fUL;
   tf->codes[15860] = 0x00060d5b6a065730UL;
   tf->codes[15861] = 0x00060d7a4b726213UL;
   tf->codes[15862] = 0x00060d88b4a4cd8eUL;
   tf->codes[15863] = 0x00060d8b735912caUL;
   tf->codes[15864] = 0x00060d907ba391b8UL;
   tf->codes[15865] = 0x00060d91dafdb456UL;
   tf->codes[15866] = 0x00060d95495f0ae1UL;
   tf->codes[15867] = 0x00060d98b7c0616cUL;
   tf->codes[15868] = 0x00060dc00fd841c8UL;
   tf->codes[15869] = 0x00060dd5caeb65e3UL;
   tf->codes[15870] = 0x00060e14b28e9882UL;
   tf->codes[15871] = 0x00060e4e5758466eUL;
   tf->codes[15872] = 0x00060e51509b916fUL;
   tf->codes[15873] = 0x00060e698fd3f501UL;
   tf->codes[15874] = 0x00060e9a0e44bc25UL;
   tf->codes[15875] = 0x00060ebfcc73741eUL;
   tf->codes[15876] = 0x00060ec9a2796c35UL;
   tf->codes[15877] = 0x00060ee8be747cddUL;
   tf->codes[15878] = 0x00060f0fdbfd5774UL;
   tf->codes[15879] = 0x00060f134a5eadffUL;
   tf->codes[15880] = 0x00060f490ba8f9d6UL;
   tf->codes[15881] = 0x00060f5774db6551UL;
   tf->codes[15882] = 0x00060f5c4296de7aUL;
   tf->codes[15883] = 0x00060f7656477034UL;
   tf->codes[15884] = 0x00060ff166d99036UL;
   tf->codes[15885] = 0x00060ff7ce7e31c2UL;
   tf->codes[15886] = 0x0006101082d4a0deUL;
   tf->codes[15887] = 0x000610451f53cfdcUL;
   tf->codes[15888] = 0x0006105681c98658UL;
   tf->codes[15889] = 0x000610789707e201UL;
   tf->codes[15890] = 0x0006108b58d7bb1bUL;
   tf->codes[15891] = 0x000610909bb13fceUL;
   tf->codes[15892] = 0x000610cdaedc4445UL;
   tf->codes[15893] = 0x000611479aa3476eUL;
   tf->codes[15894] = 0x0006115603d5b2e9UL;
   tf->codes[15895] = 0x0006115b46af379cUL;
   tf->codes[15896] = 0x0006115d1b2765c4UL;
   tf->codes[15897] = 0x000611cde0958225UL;
   tf->codes[15898] = 0x000611e70a09fccbUL;
   tf->codes[15899] = 0x000611ed71ae9e57UL;
   tf->codes[15900] = 0x000611f782439c33UL;
   tf->codes[15901] = 0x000612141a196d64UL;
   tf->codes[15902] = 0x00061216d8cdb2a0UL;
   tf->codes[15903] = 0x0006123b72314dc0UL;
   tf->codes[15904] = 0x0006124c9a17fe77UL;
   tf->codes[15905] = 0x0006126588fd7358UL;
   tf->codes[15906] = 0x0006127a59d4805fUL;
   tf->codes[15907] = 0x0006128e7afe7c17UL;
   tf->codes[15908] = 0x0006129592502ef2UL;
   tf->codes[15909] = 0x00061298c6227fb8UL;
   tf->codes[15910] = 0x000612bdd4a42662UL;
   tf->codes[15911] = 0x000612c52684df02UL;
   tf->codes[15912] = 0x000612c9449346dcUL;
   tf->codes[15913] = 0x000612ed2e49d0adUL;
   tf->codes[15914] = 0x000612f35b5f6c74UL;
   tf->codes[15915] = 0x000612f8d8c7f6ecUL;
   tf->codes[15916] = 0x000613415be21bddUL;
   tf->codes[15917] = 0x0006134788f7b7a4UL;
   tf->codes[15918] = 0x0006134edad87044UL;
   tf->codes[15919] = 0x0006135492d00081UL;
   tf->codes[15920] = 0x0006135baa21b35cUL;
   tf->codes[15921] = 0x0006135be4b0b921UL;
   tf->codes[15922] = 0x00061363abaf7d4bUL;
   tf->codes[15923] = 0x0006136495eb945fUL;
   tf->codes[15924] = 0x00061366df81ce11UL;
   tf->codes[15925] = 0x0006138a198b4693UL;
   tf->codes[15926] = 0x0006139bb69002d4UL;
   tf->codes[15927] = 0x000613c13a2fb508UL;
   tf->codes[15928] = 0x000613c7a1d45694UL;
   tf->codes[15929] = 0x000613ca9b17a195UL;
   tf->codes[15930] = 0x000613e474392d8aUL;
   tf->codes[15931] = 0x000613f40236b5deUL;
   tf->codes[15932] = 0x000613f7360906a4UL;
   tf->codes[15933] = 0x00061401469e0480UL;
   tf->codes[15934] = 0x00061414086ddd9aUL;
   tf->codes[15935] = 0x0006141c7f19b313UL;
   tf->codes[15936] = 0x00061445aba9c197UL;
   tf->codes[15937] = 0x0006146a0a7e56f2UL;
   tf->codes[15938] = 0x00061486dce32de8UL;
   tf->codes[15939] = 0x0006148ac0628ffdUL;
   tf->codes[15940] = 0x000614916296374eUL;
   tf->codes[15941] = 0x00061491d7b442d8UL;
   tf->codes[15942] = 0x000614c54f6854fdUL;
   tf->codes[15943] = 0x000614d084c86fb2UL;
   tf->codes[15944] = 0x000614e7d9c4bc30UL;
   tf->codes[15945] = 0x000614f7dce0500eUL;
   tf->codes[15946] = 0x00061514af452704UL;
   tf->codes[15947] = 0x000615176df96c40UL;
   tf->codes[15948] = 0x0006153390b131e7UL;
   tf->codes[15949] = 0x0006155396e859a3UL;
   tf->codes[15950] = 0x00061559c3fdf56aUL;
   tf->codes[15951] = 0x00061573d7ae8724UL;
   tf->codes[15952] = 0x0006157c13cb56d8UL;
   tf->codes[15953] = 0x00061597fbf416baUL;
   tf->codes[15954] = 0x000615a247181a5bUL;
   tf->codes[15955] = 0x000615eb79df509bUL;
   tf->codes[15956] = 0x000615ef97edb875UL;
   tf->codes[15957] = 0x0006165b1a825023UL;
   tf->codes[15958] = 0x0006167568c1e7a2UL;
   tf->codes[15959] = 0x00061677ece72719UL;
   tf->codes[15960] = 0x0006169fba1d12ffUL;
   tf->codes[15961] = 0x000616c95bcb2d0dUL;
   tf->codes[15962] = 0x000616cc8f9d7dd3UL;
   tf->codes[15963] = 0x00061713b35d8026UL;
   tf->codes[15964] = 0x0006171dc3f27e02UL;
   tf->codes[15965] = 0x0006173762850432UL;
   tf->codes[15966] = 0x000617388750210bUL;
   tf->codes[15967] = 0x0006173dca29a5beUL;
   tf->codes[15968] = 0x0006176e0e0b671dUL;
   tf->codes[15969] = 0x000617797dfa8797UL;
   tf->codes[15970] = 0x0006177c773dd298UL;
   tf->codes[15971] = 0x0006178c7a596676UL;
   tf->codes[15972] = 0x0006179b1e1ad7b6UL;
   tf->codes[15973] = 0x000617ced05defa0UL;
   tf->codes[15974] = 0x000617cf0aecf565UL;
   tf->codes[15975] = 0x000617d488557fddUL;
   tf->codes[15976] = 0x000617d8a663e7b7UL;
   tf->codes[15977] = 0x000618575fe66409UL;
   tf->codes[15978] = 0x00061858bf4086a7UL;
   tf->codes[15979] = 0x00061861707b61e5UL;
   tf->codes[15980] = 0x0006186d55888de9UL;
   tf->codes[15981] = 0x00061874324b3affUL;
   tf->codes[15982] = 0x000618772b8e8600UL;
   tf->codes[15983] = 0x0006187a99efdc8bUL;
   tf->codes[15984] = 0x0006187e7d6f3ea0UL;
   tf->codes[15985] = 0x0006188176b289a1UL;
   tf->codes[15986] = 0x0006189c749f326fUL;
   tf->codes[15987] = 0x000618c1bdafdedeUL;
   tf->codes[15988] = 0x000618d828701448UL;
   tf->codes[15989] = 0x000618e2739417e9UL;
   tf->codes[15990] = 0x000618e61c847439UL;
   tf->codes[15991] = 0x000618eaafb0e79dUL;
   tf->codes[15992] = 0x000618f7f418363fUL;
   tf->codes[15993] = 0x000618fed0dae355UL;
   tf->codes[15994] = 0x000619044e436dcdUL;
   tf->codes[15995] = 0x0006191834de63c0UL;
   tf->codes[15996] = 0x0006191b2e21aec1UL;
   tf->codes[15997] = 0x0006194ee064c6abUL;
   tf->codes[15998] = 0x0006195b0000f874UL;
   tf->codes[15999] = 0x0006196844684716UL;
   tf->codes[16000] = 0x0006197588cf95b8UL;
   tf->codes[16001] = 0x0006198f27621be8UL;
   tf->codes[16002] = 0x00061993457083c2UL;
   tf->codes[16003] = 0x000619c55dca7349UL;
   tf->codes[16004] = 0x000619d1f284b09cUL;
   tf->codes[16005] = 0x000619d81f9a4c63UL;
   tf->codes[16006] = 0x000619fb1f14bf20UL;
   tf->codes[16007] = 0x00061a1b9a69f266UL;
   tf->codes[16008] = 0x00061a96aafc1268UL;
   tf->codes[16009] = 0x00061ab30842ddd4UL;
   tf->codes[16010] = 0x00061abbb97db912UL;
   tf->codes[16011] = 0x00061ac04caa2c76UL;
   tf->codes[16012] = 0x00061ac30b5e71b2UL;
   tf->codes[16013] = 0x00061acb0cec3ba1UL;
   tf->codes[16014] = 0x00061aec37ee8036UL;
   tf->codes[16015] = 0x00061afe84a04dc6UL;
   tf->codes[16016] = 0x00061b1738f6bce2UL;
   tf->codes[16017] = 0x00061b32ac01713aUL;
   tf->codes[16018] = 0x00061b373f2de49eUL;
   tf->codes[16019] = 0x00061b70e3f7928aUL;
   tf->codes[16020] = 0x00061b7417c9e350UL;
   tf->codes[16021] = 0x00061b8330a9601aUL;
   tf->codes[16022] = 0x00061b88e8a0f057UL;
   tf->codes[16023] = 0x00061b9be4ffcf36UL;
   tf->codes[16024] = 0x00061b9d7ee8f799UL;
   tf->codes[16025] = 0x00061bbfceb65907UL;
   tf->codes[16026] = 0x00061bc043d46491UL;
   tf->codes[16027] = 0x00061bc1a32e872fUL;
   tf->codes[16028] = 0x00061bc2184c92b9UL;
   tf->codes[16029] = 0x00061bc795b51d31UL;
   tf->codes[16030] = 0x00061bde3b045860UL;
   tf->codes[16031] = 0x00061be21e83ba75UL;
   tf->codes[16032] = 0x00061bf012981a66UL;
   tf->codes[16033] = 0x00061c1bc34d6861UL;
   tf->codes[16034] = 0x00061c505fcc975fUL;
   tf->codes[16035] = 0x00061c6480f69317UL;
   tf->codes[16036] = 0x00061c7e94a724d1UL;
   tf->codes[16037] = 0x00061c8aeed25c5fUL;
   tf->codes[16038] = 0x00061c9bdc2a0751UL;
   tf->codes[16039] = 0x00061cc2bf23dc23UL;
   tf->codes[16040] = 0x00061cdd82817f2cUL;
   tf->codes[16041] = 0x00061cedfabb1e94UL;
   tf->codes[16042] = 0x00061cf845df2235UL;
   tf->codes[16043] = 0x00061d0306213160UL;
   tf->codes[16044] = 0x00061d0dc663408bUL;
   tf->codes[16045] = 0x00061d54af943d19UL;
   tf->codes[16046] = 0x00061d74061e5386UL;
   tf->codes[16047] = 0x00061d785ebbc125UL;
   tf->codes[16048] = 0x00061d7a6dc2f512UL;
   tf->codes[16049] = 0x00061d92acfb58a4UL;
   tf->codes[16050] = 0x00061d9cf81f5c45UL;
   tf->codes[16051] = 0x00061db8e0481c27UL;
   tf->codes[16052] = 0x00061dcbdca6fb06UL;
   tf->codes[16053] = 0x00061dce9b5b4042UL;
   tf->codes[16054] = 0x00061dd627cafea7UL;
   tf->codes[16055] = 0x00061dd7c1b4270aUL;
   tf->codes[16056] = 0x00061ddcc9fea5f8UL;
   tf->codes[16057] = 0x00061de15d2b195cUL;
   tf->codes[16058] = 0x00061de1d24924e6UL;
   tf->codes[16059] = 0x00061df334bedb62UL;
   tf->codes[16060] = 0x00061dfbab6ab0dbUL;
   tf->codes[16061] = 0x00061e166ec853e4UL;
   tf->codes[16062] = 0x00061e2b3f9f60ebUL;
   tf->codes[16063] = 0x00061e380ee8a403UL;
   tf->codes[16064] = 0x00061e3a587eddb5UL;
   tf->codes[16065] = 0x00061e4936cf54baUL;
   tf->codes[16066] = 0x00061e4b80658e6cUL;
   tf->codes[16067] = 0x00061e5ce2db44e8UL;
   tf->codes[16068] = 0x00061e6f2f8d1278UL;
   tf->codes[16069] = 0x00061e72635f633eUL;
   tf->codes[16070] = 0x00061e76f68bd6a2UL;
   tf->codes[16071] = 0x00061e7b149a3e7cUL;
   tf->codes[16072] = 0x00061e9d9ef6a5afUL;
   tf->codes[16073] = 0x00061eda027498d7UL;
   tf->codes[16074] = 0x00061ef7bf1586e1UL;
   tf->codes[16075] = 0x00061f0e29d5bc4bUL;
   tf->codes[16076] = 0x00061f3a4fa915d0UL;
   tf->codes[16077] = 0x00061f525452739dUL;
   tf->codes[16078] = 0x00061fa73197d01cUL;
   tf->codes[16079] = 0x00061fc1f4f57325UL;
   tf->codes[16080] = 0x00061fd9f99ed0f2UL;
   tf->codes[16081] = 0x00061fe1fb2c9ae1UL;
   tf->codes[16082] = 0x00061fecbb6eaa0cUL;
   tf->codes[16083] = 0x00061fecf5fdafd1UL;
   tf->codes[16084] = 0x00061ffa74f40438UL;
   tf->codes[16085] = 0x00062005aa541eedUL;
   tf->codes[16086] = 0x0006201a409c262fUL;
   tf->codes[16087] = 0x000620441cd94602UL;
   tf->codes[16088] = 0x0006205335b8c2ccUL;
   tf->codes[16089] = 0x00062076aa514113UL;
   tf->codes[16090] = 0x000620792e76808aUL;
   tf->codes[16091] = 0x000620c29bccbc8fUL;
   tf->codes[16092] = 0x000620c4aad3f07cUL;
   tf->codes[16093] = 0x000620ccac61ba6bUL;
   tf->codes[16094] = 0x000620efabdc2d28UL;
   tf->codes[16095] = 0x000620f4eeb5b1dbUL;
   tf->codes[16096] = 0x000620fa6c1e3c53UL;
   tf->codes[16097] = 0x00062113d021bcbeUL;
   tf->codes[16098] = 0x0006213c1275b42eUL;
   tf->codes[16099] = 0x0006213e5c0bede0UL;
   tf->codes[16100] = 0x0006213e969af3a5UL;
   tf->codes[16101] = 0x0006214d74eb6aaaUL;
   tf->codes[16102] = 0x0006214dea097634UL;
   tf->codes[16103] = 0x0006215ab952b94cUL;
   tf->codes[16104] = 0x0006216872d81378UL;
   tf->codes[16105] = 0x0006217b34a7ec92UL;
   tf->codes[16106] = 0x0006219632949560UL;
   tf->codes[16107] = 0x00062196e241a6afUL;
   tf->codes[16108] = 0x000621c3b7c21183UL;
   tf->codes[16109] = 0x000621df9fead165UL;
   tf->codes[16110] = 0x000622394aeba70dUL;
   tf->codes[16111] = 0x0006225448d84fdbUL;
   tf->codes[16112] = 0x000622774852c298UL;
   tf->codes[16113] = 0x00062278a7ace536UL;
   tf->codes[16114] = 0x0006228626a3399dUL;
   tf->codes[16115] = 0x000622957a11bc2cUL;
   tf->codes[16116] = 0x0006229998202406UL;
   tf->codes[16117] = 0x000622fe3df20e9eUL;
   tf->codes[16118] = 0x0006230c32066e8fUL;
   tf->codes[16119] = 0x00062314a8b24408UL;
   tf->codes[16120] = 0x0006231d1f5e1981UL;
   tf->codes[16121] = 0x00062341b8c1b4a1UL;
   tf->codes[16122] = 0x000623485af55bf2UL;
   tf->codes[16123] = 0x0006234dd85de66aUL;
   tf->codes[16124] = 0x00062352a6195f93UL;
   tf->codes[16125] = 0x0006238e94794731UL;
   tf->codes[16126] = 0x0006239202da9dbcUL;
   tf->codes[16127] = 0x0006239a79867335UL;
   tf->codes[16128] = 0x000623a7bdedc1d7UL;
   tf->codes[16129] = 0x000623bb2f6aac40UL;
   tf->codes[16130] = 0x000623c20c2d5956UL;
   tf->codes[16131] = 0x000623d9d647b15eUL;
   tf->codes[16132] = 0x000623dd44a907e9UL;
   tf->codes[16133] = 0x000624413acde132UL;
   tf->codes[16134] = 0x0006245bc39c7e76UL;
   tf->codes[16135] = 0x0006247402d4e208UL;
   tf->codes[16136] = 0x0006247611dc15f5UL;
   tf->codes[16137] = 0x0006247cee9ec30bUL;
   tf->codes[16138] = 0x00062488d3abef0fUL;
   tf->codes[16139] = 0x000624c53729e237UL;
   tf->codes[16140] = 0x000624c8a58b38c2UL;
   tf->codes[16141] = 0x000624cf824de5d8UL;
   tf->codes[16142] = 0x000624e6622c26ccUL;
   tf->codes[16143] = 0x000624e9d08d7d57UL;
   tf->codes[16144] = 0x000624fb330333d3UL;
   tf->codes[16145] = 0x000624fc57ce50acUL;
   tf->codes[16146] = 0x0006250a8671b662UL;
   tf->codes[16147] = 0x0006251fcc66cef3UL;
   tf->codes[16148] = 0x000625363727045dUL;
   tf->codes[16149] = 0x00062539306a4f5eUL;
   tf->codes[16150] = 0x00062549a8a3eec6UL;
   tf->codes[16151] = 0x000625521f4fc43fUL;
   tf->codes[16152] = 0x0006255cdf91d36aUL;
   tf->codes[16153] = 0x000625651baea31eUL;
   tf->codes[16154] = 0x00062569aedb1682UL;
   tf->codes[16155] = 0x000625847238b98bUL;
   tf->codes[16156] = 0x00062588cad6272aUL;
   tf->codes[16157] = 0x00062592db6b2506UL;
   tf->codes[16158] = 0x00062594003641dfUL;
   tf->codes[16159] = 0x000625bf3bcd8450UL;
   tf->codes[16160] = 0x000625e3601313e6UL;
   tf->codes[16161] = 0x000625eb9c2fe39aUL;
   tf->codes[16162] = 0x000625ef7faf45afUL;
   tf->codes[16163] = 0x000625fa3ff154daUL;
   tf->codes[16164] = 0x0006262d42875b75UL;
   tf->codes[16165] = 0x0006265bec7ff471UL;
   tf->codes[16166] = 0x0006267724fba304UL;
   tf->codes[16167] = 0x000626967b85b971UL;
   tf->codes[16168] = 0x000626d9bbc659afUL;
   tf->codes[16169] = 0x000626d9f6555f74UL;
   tf->codes[16170] = 0x000627102cbdb6d5UL;
   tf->codes[16171] = 0x00062716cef15e26UL;
   tf->codes[16172] = 0x00062719188797d8UL;
   tf->codes[16173] = 0x00062735b05d6909UL;
   tf->codes[16174] = 0x000627415adb8f48UL;
   tf->codes[16175] = 0x0006274d3fe8bb4cUL;
   tf->codes[16176] = 0x0006275123681d61UL;
   tf->codes[16177] = 0x0006275715eeb363UL;
   tf->codes[16178] = 0x0006276fca45227fUL;
   tf->codes[16179] = 0x00062779dada205bUL;
   tf->codes[16180] = 0x0006277a8a8731aaUL;
   tf->codes[16181] = 0x00062789ddf5b439UL;
   tf->codes[16182] = 0x000627916a65729eUL;
   tf->codes[16183] = 0x00062798f6d53103UL;
   tf->codes[16184] = 0x000627c46cfb7939UL;
   tf->codes[16185] = 0x000627eadad74281UL;
   tf->codes[16186] = 0x000627f97e98b3c1UL;
   tf->codes[16187] = 0x000627f9f3b6bf4bUL;
   tf->codes[16188] = 0x000627ffabae4f88UL;
   tf->codes[16189] = 0x00062807e7cb1f3cUL;
   tf->codes[16190] = 0x0006280c7af792a0UL;
   tf->codes[16191] = 0x000628189a93c469UL;
   tf->codes[16192] = 0x00062845aaa33502UL;
   tf->codes[16193] = 0x0006284ab2edb3f0UL;
   tf->codes[16194] = 0x0006284cc1f4e7ddUL;
   tf->codes[16195] = 0x0006285697fadff4UL;
   tf->codes[16196] = 0x000628578236f708UL;
   tf->codes[16197] = 0x0006286834ff9c35UL;
   tf->codes[16198] = 0x000628736a5fb6eaUL;
   tf->codes[16199] = 0x0006288a0faef219UL;
   tf->codes[16200] = 0x00062890b1e2996aUL;
   tf->codes[16201] = 0x00062896def83531UL;
   tf->codes[16202] = 0x0006289d469cd6bdUL;
   tf->codes[16203] = 0x000628b376ce0662UL;
   tf->codes[16204] = 0x000628b3ebec11ecUL;
   tf->codes[16205] = 0x000628b844897f8bUL;
   tf->codes[16206] = 0x000628bbb2ead616UL;
   tf->codes[16207] = 0x000628d934fcbe5bUL;
   tf->codes[16208] = 0x000628d96f8bc420UL;
   tf->codes[16209] = 0x000628f1aec427b2UL;
   tf->codes[16210] = 0x000628f348ad5015UL;
   tf->codes[16211] = 0x000628fc34773118UL;
   tf->codes[16212] = 0x000628feb89c708fUL;
   tf->codes[16213] = 0x0006291a2ba724e7UL;
   tf->codes[16214] = 0x0006295d3158bf60UL;
   tf->codes[16215] = 0x00062967075eb777UL;
   tf->codes[16216] = 0x0006296de421648dUL;
   tf->codes[16217] = 0x0006297cc271db92UL;
   tf->codes[16218] = 0x000629b62cac83b9UL;
   tf->codes[16219] = 0x00062a06ebe3785eUL;
   tf->codes[16220] = 0x00062a0e3dc430feUL;
   tf->codes[16221] = 0x00062a10123c5f26UL;
   tf->codes[16222] = 0x00062a2dcedd4d30UL;
   tf->codes[16223] = 0x00062a3ef6c3fde7UL;
   tf->codes[16224] = 0x00062a455e689f73UL;
   tf->codes[16225] = 0x00062a7aaa94dfc0UL;
   tf->codes[16226] = 0x00062a7d2eba1f37UL;
   tf->codes[16227] = 0x00062a94f8d4773fUL;
   tf->codes[16228] = 0x00062abba13f464cUL;
   tf->codes[16229] = 0x00062acdb3620e17UL;
   tf->codes[16230] = 0x00062ace9d9e252bUL;
   tf->codes[16231] = 0x00062acfc2694204UL;
   tf->codes[16232] = 0x00062ad45595b568UL;
   tf->codes[16233] = 0x00062adbe20573cdUL;
   tf->codes[16234] = 0x00062af58097f9fdUL;
   tf->codes[16235] = 0x00062b0792bac1c8UL;
   tf->codes[16236] = 0x00062b0d4ab25205UL;
   tf->codes[16237] = 0x00062b1252fcd0f3UL;
   tf->codes[16238] = 0x00062b1ac9a8a66cUL;
   tf->codes[16239] = 0x00062b3f9d9b4751UL;
   tf->codes[16240] = 0x00062b59019ec7bcUL;
   tf->codes[16241] = 0x00062b5a9b87f01fUL;
   tf->codes[16242] = 0x00062b5bfae212bdUL;
   tf->codes[16243] = 0x00062b6a64147e38UL;
   tf->codes[16244] = 0x00062b6bfdfda69bUL;
   tf->codes[16245] = 0x00062b7ebfcd7fb5UL;
   tf->codes[16246] = 0x00062b8cee70e56bUL;
   tf->codes[16247] = 0x00062b92e0f77b6dUL;
   tf->codes[16248] = 0x00062b93561586f7UL;
   tf->codes[16249] = 0x00062b97aeb2f496UL;
   tf->codes[16250] = 0x00062bf6d71c54b6UL;
   tf->codes[16251] = 0x00062bf920b28e68UL;
   tf->codes[16252] = 0x00062bfdb3df01ccUL;
   tf->codes[16253] = 0x00062c0abdb74aa9UL;
   tf->codes[16254] = 0x00062c40447290bbUL;
   tf->codes[16255] = 0x00062c4f97e1134aUL;
   tf->codes[16256] = 0x00062c563a14ba9bUL;
   tf->codes[16257] = 0x00062c7d922c9af7UL;
   tf->codes[16258] = 0x00062c89021bbb71UL;
   tf->codes[16259] = 0x00062cbbca22bc47UL;
   tf->codes[16260] = 0x00062cc0d26d3b35UL;
   tf->codes[16261] = 0x00062cc6ff82d6fcUL;
   tf->codes[16262] = 0x00062cf40f924795UL;
   tf->codes[16263] = 0x00062cf9526bcc48UL;
   tf->codes[16264] = 0x00062d1450587516UL;
   tf->codes[16265] = 0x00062d1ba2392db6UL;
   tf->codes[16266] = 0x00062d29212f821dUL;
   tf->codes[16267] = 0x00062d3abe343e5eUL;
   tf->codes[16268] = 0x00062d43e48d2526UL;
   tf->codes[16269] = 0x00062d462e235ed8UL;
   tf->codes[16270] = 0x00062d478d7d8176UL;
   tf->codes[16271] = 0x00062d499c84b563UL;
   tf->codes[16272] = 0x00062d57560a0f8fUL;
   tf->codes[16273] = 0x00062d58404626a3UL;
   tf->codes[16274] = 0x00062d5a14be54cbUL;
   tf->codes[16275] = 0x00062d94de531f90UL;
   tf->codes[16276] = 0x00062dc228f195eeUL;
   tf->codes[16277] = 0x00062dd05794fba4UL;
   tf->codes[16278] = 0x00062dd4008557f4UL;
   tf->codes[16279] = 0x00062ddfe59283f8UL;
   tf->codes[16280] = 0x00062e339e0cc39eUL;
   tf->codes[16281] = 0x00062e3746fd1feeUL;
   tf->codes[16282] = 0x00062e4f86358380UL;
   tf->codes[16283] = 0x00062e60e8ab39fcUL;
   tf->codes[16284] = 0x00062e6248055c9aUL;
   tf->codes[16285] = 0x00062e7927e39d8eUL;
   tf->codes[16286] = 0x00062e871bf7fd7fUL;
   tf->codes[16287] = 0x00062e892aff316cUL;
   tf->codes[16288] = 0x00062e93b0b23ad2UL;
   tf->codes[16289] = 0x00062e98b8fcb9c0UL;
   tf->codes[16290] = 0x00062ec135dfb6f5UL;
   tf->codes[16291] = 0x00062ecdca99f448UL;
   tf->codes[16292] = 0x00062ecf64831cabUL;
   tf->codes[16293] = 0x00062ed1738a5098UL;
   tf->codes[16294] = 0x00062ed4a75ca15eUL;
   tf->codes[16295] = 0x00062efa658b5957UL;
   tf->codes[16296] = 0x00062f0fab8071e8UL;
   tf->codes[16297] = 0x00062f105b2d8337UL;
   tf->codes[16298] = 0x00062f190c685e75UL;
   tf->codes[16299] = 0x00062f3ae717b459UL;
   tf->codes[16300] = 0x00062f45323bb7faUL;
   tf->codes[16301] = 0x00062f4cbeab765fUL;
   tf->codes[16302] = 0x00062f4d6e5887aeUL;
   tf->codes[16303] = 0x00062f5ab2bfd650UL;
   tf->codes[16304] = 0x00062f5de6922716UL;
   tf->codes[16305] = 0x00062f5fbb0a553eUL;
   tf->codes[16306] = 0x00062f6c4fc49291UL;
   tf->codes[16307] = 0x00062f703343f4a6UL;
   tf->codes[16308] = 0x00062f9abf2e25c8UL;
   tf->codes[16309] = 0x00062fbf1e02bb23UL;
   tf->codes[16310] = 0x00062fd588c2f08dUL;
   tf->codes[16311] = 0x00062fe96f5de680UL;
   tf->codes[16312] = 0x00062fff2a710a9bUL;
   tf->codes[16313] = 0x00063004e2689ad8UL;
   tf->codes[16314] = 0x0006301e0bdd157eUL;
   tf->codes[16315] = 0x0006302b15b55e5bUL;
   tf->codes[16316] = 0x0006303b18d0f239UL;
   tf->codes[16317] = 0x000630490ce5522aUL;
   tf->codes[16318] = 0x00063051f8af332dUL;
   tf->codes[16319] = 0x000630689dfe6e5cUL;
   tf->codes[16320] = 0x0006307e93a0983cUL;
   tf->codes[16321] = 0x00063086201056a1UL;
   tf->codes[16322] = 0x00063094fe60cda6UL;
   tf->codes[16323] = 0x000630965dbaf044UL;
   tf->codes[16324] = 0x000630d99dfb9082UL;
   tf->codes[16325] = 0x0006311760d3a648UL;
   tf->codes[16326] = 0x0006311e3d96535eUL;
   tf->codes[16327] = 0x0006314c37e1db0bUL;
   tf->codes[16328] = 0x0006315a668540c1UL;
   tf->codes[16329] = 0x0006315c3afd6ee9UL;
   tf->codes[16330] = 0x0006317529e2e3caUL;
   tf->codes[16331] = 0x0006317738ea17b7UL;
   tf->codes[16332] = 0x00063184f26f71e3UL;
   tf->codes[16333] = 0x00063191fc47bac0UL;
   tf->codes[16334] = 0x000631994e287360UL;
   tf->codes[16335] = 0x000631c06bb14df7UL;
   tf->codes[16336] = 0x000631c4c44ebb96UL;
   tf->codes[16337] = 0x000631cd3afa910fUL;
   tf->codes[16338] = 0x000631d27dd415c2UL;
   tf->codes[16339] = 0x000631fc5a113595UL;
   tf->codes[16340] = 0x00063203e680f3faUL;
   tf->codes[16341] = 0x00063210f0593cd7UL;
   tf->codes[16342] = 0x0006324eb331529dUL;
   tf->codes[16343] = 0x0006326d5a0e57bbUL;
   tf->codes[16344] = 0x0006327c72edd485UL;
   tf->codes[16345] = 0x00063281b5c75938UL;
   tf->codes[16346] = 0x00063282da927611UL;
   tf->codes[16347] = 0x0006329e130e24a4UL;
   tf->codes[16348] = 0x0006329f37d9417dUL;
   tf->codes[16349] = 0x000632c187a6a2ebUL;
   tf->codes[16350] = 0x000632d324ab5f2cUL;
   tf->codes[16351] = 0x000632d56e4198deUL;
   tf->codes[16352] = 0x000632f190f95e85UL;
   tf->codes[16353] = 0x0006334633afb53fUL;
   tf->codes[16354] = 0x00063349dca0118fUL;
   tf->codes[16355] = 0x000633528ddaeccdUL;
   tf->codes[16356] = 0x00063356abe954a7UL;
   tf->codes[16357] = 0x000633675eb1f9d4UL;
   tf->codes[16358] = 0x000633680e5f0b23UL;
   tf->codes[16359] = 0x0006336848ee10e8UL;
   tf->codes[16360] = 0x0006337d545423b4UL;
   tf->codes[16361] = 0x000633e5688764d7UL;
   tf->codes[16362] = 0x000633f40c48d617UL;
   tf->codes[16363] = 0x0006343502f33ca3UL;
   tf->codes[16364] = 0x0006343836c58d69UL;
   tf->codes[16365] = 0x0006345d7fd639d8UL;
   tf->codes[16366] = 0x0006346f91f901a3UL;
   tf->codes[16367] = 0x0006346fcc880768UL;
   tf->codes[16368] = 0x00063490826c4073UL;
   tf->codes[16369] = 0x00063490bcfb4638UL;
   tf->codes[16370] = 0x000634b88a31321eUL;
   tf->codes[16371] = 0x000634c46f3e5e22UL;
   tf->codes[16372] = 0x000634e141a33518UL;
   tf->codes[16373] = 0x000634e9f2de1056UL;
   tf->codes[16374] = 0x000634edd65d726bUL;
   tf->codes[16375] = 0x0006351359fd249fUL;
   tf->codes[16376] = 0x000635186247a38dUL;
   tf->codes[16377] = 0x000635302c61fb95UL;
   tf->codes[16378] = 0x0006353694069d21UL;
   tf->codes[16379] = 0x00063545e7751fb0UL;
   tf->codes[16380] = 0x0006354e5e20f529UL;
   tf->codes[16381] = 0x00063555ea90b38eUL;
   tf->codes[16382] = 0x0006357df255a539UL;
   tf->codes[16383] = 0x000635bdfec3f4b1UL;
   tf->codes[16384] = 0x000635c082e93428UL;
   tf->codes[16385] = 0x000635cb089c3d8eUL;
   tf->codes[16386] = 0x000636076c1a30b6UL;
   tf->codes[16387] = 0x00063614b0817f58UL;
   tf->codes[16388] = 0x0006361c3cf13dbdUL;
   tf->codes[16389] = 0x00063628d1ab7b10UL;
   tf->codes[16390] = 0x000636406136cd53UL;
   tf->codes[16391] = 0x0006365d339ba449UL;
   tf->codes[16392] = 0x000636727990bcdaUL;
   tf->codes[16393] = 0x00063674c326f68cUL;
   tf->codes[16394] = 0x00063685eb0da743UL;
   tf->codes[16395] = 0x000636c004f560b9UL;
   tf->codes[16396] = 0x000636c547cee56cUL;
   tf->codes[16397] = 0x000636c9a06c530bUL;
   tf->codes[16398] = 0x000636cea8b6d1f9UL;
   tf->codes[16399] = 0x000636ef240c053fUL;
   tf->codes[16400] = 0x000637063e794bf8UL;
   tf->codes[16401] = 0x0006371b49df5ec4UL;
   tf->codes[16402] = 0x0006372a282fd5c9UL;
   tf->codes[16403] = 0x000637360d3d01cdUL;
   tf->codes[16404] = 0x0006374d9cc85410UL;
   tf->codes[16405] = 0x0006374e4c75655fUL;
   tf->codes[16406] = 0x0006377a7248bee4UL;
   tf->codes[16407] = 0x0006377bd1a2e182UL;
   tf->codes[16408] = 0x0006378064cf54e6UL;
   tf->codes[16409] = 0x000637961fe27901UL;
   tf->codes[16410] = 0x00063799c8d2d551UL;
   tf->codes[16411] = 0x000637bbde1130faUL;
   tf->codes[16412] = 0x000637bd02dc4dd3UL;
   tf->codes[16413] = 0x000637be9cc57636UL;
   tf->codes[16414] = 0x000637ddf34f8ca3UL;
   tf->codes[16415] = 0x000637f164cc770cUL;
   tf->codes[16416] = 0x000637f92bcb3b36UL;
   tf->codes[16417] = 0x0006380794fda6b1UL;
   tf->codes[16418] = 0x0006380f5bfc6adbUL;
   tf->codes[16419] = 0x000638379e50624bUL;
   tf->codes[16420] = 0x00063848168a01b3UL;
   tf->codes[16421] = 0x0006384b0fcd4cb4UL;
   tf->codes[16422] = 0x0006384dce8191f0UL;
   tf->codes[16423] = 0x000638534bea1c68UL;
   tf->codes[16424] = 0x00063862d9e7a4bcUL;
   tf->codes[16425] = 0x0006386e49d6c536UL;
   tf->codes[16426] = 0x0006389da37c6f81UL;
   tf->codes[16427] = 0x0006389dde0b7546UL;
   tf->codes[16428] = 0x000638ccc2931407UL;
   tf->codes[16429] = 0x000639387fb6b17aUL;
   tf->codes[16430] = 0x000639442a34d7b9UL;
   tf->codes[16431] = 0x00063950f97e1ad1UL;
   tf->codes[16432] = 0x00063960fc99aeafUL;
   tf->codes[16433] = 0x0006396380beee26UL;
   tf->codes[16434] = 0x00063976b7acd2caUL;
   tf->codes[16435] = 0x00063978c6b406b7UL;
   tf->codes[16436] = 0x000639805323c51cUL;
   tf->codes[16437] = 0x00063990563f58faUL;
   tf->codes[16438] = 0x0006399b8b9f73afUL;
   tf->codes[16439] = 0x0006399ceaf9964dUL;
   tf->codes[16440] = 0x0006399e84e2beb0UL;
   tf->codes[16441] = 0x000639b739392dccUL;
   tf->codes[16442] = 0x000639c567dc9382UL;
   tf->codes[16443] = 0x000639c89baee448UL;
   tf->codes[16444] = 0x000639d14ce9bf86UL;
   tf->codes[16445] = 0x00063a0db067b2aeUL;
   tf->codes[16446] = 0x00063a0ff9fdec60UL;
   tf->codes[16447] = 0x00063a1ba47c129fUL;
   tf->codes[16448] = 0x00063a1d78f440c7UL;
   tf->codes[16449] = 0x00063a3c94ef516fUL;
   tf->codes[16450] = 0x00063a5f1f4bb8a2UL;
   tf->codes[16451] = 0x00063ad402c83cddUL;
   tf->codes[16452] = 0x00063adcb403181bUL;
   tf->codes[16453] = 0x00063ae68a091032UL;
   tf->codes[16454] = 0x00063b04f6570f8bUL;
   tf->codes[16455] = 0x00063b161e3dc042UL;
   tf->codes[16456] = 0x00063b362474e7feUL;
   tf->codes[16457] = 0x00063b3d3bc69ad9UL;
   tf->codes[16458] = 0x00063b3e2602b1edUL;
   tf->codes[16459] = 0x00063b520c9da7e0UL;
   tf->codes[16460] = 0x00063b54cb51ed1cUL;
   tf->codes[16461] = 0x00063b620fb93bbeUL;
   tf->codes[16462] = 0x00063b6be5bf33d5UL;
   tf->codes[16463] = 0x00063bf17c045d3dUL;
   tf->codes[16464] = 0x00063c06c1f975ceUL;
   tf->codes[16465] = 0x00063c09bb3cc0cfUL;
   tf->codes[16466] = 0x00063c1097ff6de5UL;
   tf->codes[16467] = 0x00063c1cb79b9faeUL;
   tf->codes[16468] = 0x00063c439a957480UL;
   tf->codes[16469] = 0x00063c44bf609159UL;
   tf->codes[16470] = 0x00063c46ce67c546UL;
   tf->codes[16471] = 0x00063c48dd6ef933UL;
   tf->codes[16472] = 0x00063c523e56e5c0UL;
   tf->codes[16473] = 0x00063cc6e7446436UL;
   tf->codes[16474] = 0x00063cc9e087af37UL;
   tf->codes[16475] = 0x00063cd1326867d7UL;
   tf->codes[16476] = 0x00063cd37bfea189UL;
   tf->codes[16477] = 0x00063cdb42fd65b3UL;
   tf->codes[16478] = 0x00063cf5cbcc02f7UL;
   tf->codes[16479] = 0x00063cf84ff1426eUL;
   tf->codes[16480] = 0x00063cfb0ea587aaUL;
   tf->codes[16481] = 0x00063cfbf8e19ebeUL;
   tf->codes[16482] = 0x00063d0e80227213UL;
   tf->codes[16483] = 0x00063d1f32eb1740UL;
   tf->codes[16484] = 0x00063d238b8884dfUL;
   tf->codes[16485] = 0x00063d656c6f027fUL;
   tf->codes[16486] = 0x00063d865ce2414fUL;
   tf->codes[16487] = 0x00063d891b96868bUL;
   tf->codes[16488] = 0x00063d8e23e10579UL;
   tf->codes[16489] = 0x00063d970faae67cUL;
   tf->codes[16490] = 0x00063da712c67a5aUL;
   tf->codes[16491] = 0x00063db2f7d3a65eUL;
   tf->codes[16492] = 0x00063dbea251cc9dUL;
   tf->codes[16493] = 0x00063dc9d7b1e752UL;
   tf->codes[16494] = 0x00063dcfca387d54UL;
   tf->codes[16495] = 0x00063dd004c78319UL;
   tf->codes[16496] = 0x00063e101135d291UL;
   tf->codes[16497] = 0x00063e1a5c59d632UL;
   tf->codes[16498] = 0x00063e3310b0454eUL;
   tf->codes[16499] = 0x00063e5734f5d4e4UL;
   tf->codes[16500] = 0x00063e5a2e391fe5UL;
   tf->codes[16501] = 0x00063e6c7aeaed75UL;
   tf->codes[16502] = 0x00063e79bf523c17UL;
   tf->codes[16503] = 0x00063e961c990783UL;
   tf->codes[16504] = 0x00063e9bd49097c0UL;
   tf->codes[16505] = 0x00063ec033652d1bUL;
   tf->codes[16506] = 0x00063ec27cfb66cdUL;
   tf->codes[16507] = 0x00063ee666b1f09eUL;
   tf->codes[16508] = 0x00063f0b3aa49183UL;
   tf->codes[16509] = 0x00063f1b784f2b26UL;
   tf->codes[16510] = 0x00063f35c68ec2a5UL;
   tf->codes[16511] = 0x00063f381024fc57UL;
   tf->codes[16512] = 0x00063f48c2eda184UL;
   tf->codes[16513] = 0x00063f7ebec6f320UL;
   tf->codes[16514] = 0x00063f9c0649d5a0UL;
   tf->codes[16515] = 0x00063f9eff8d20a1UL;
   tf->codes[16516] = 0x00063fb4baa044bcUL;
   tf->codes[16517] = 0x00063fc114cb7c4aUL;
   tf->codes[16518] = 0x00063fdf0bfb7019UL;
   tf->codes[16519] = 0x00063fedafbce159UL;
   tf->codes[16520] = 0x000640120e9176b4UL;
   tf->codes[16521] = 0x0006401492b6b62bUL;
   tf->codes[16522] = 0x00064028b3e0b1e3UL;
   tf->codes[16523] = 0x0006403498eddde7UL;
   tf->codes[16524] = 0x000640433caf4f27UL;
   tf->codes[16525] = 0x000640521affc62cUL;
   tf->codes[16526] = 0x00064052caacd77bUL;
   tf->codes[16527] = 0x0006408d9441a240UL;
   tf->codes[16528] = 0x000640b6c0d1b0c4UL;
   tf->codes[16529] = 0x000640d408549344UL;
   tf->codes[16530] = 0x000640fde491b317UL;
   tf->codes[16531] = 0x0006410b6388077eUL;
   tf->codes[16532] = 0x0006413b6cdac318UL;
   tf->codes[16533] = 0x0006414ac04945a7UL;
   tf->codes[16534] = 0x0006414d09df7f59UL;
   tf->codes[16535] = 0x00064152c1d70f96UL;
   tf->codes[16536] = 0x0006416a16d35c14UL;
   tf->codes[16537] = 0x000641937df2705dUL;
   tf->codes[16538] = 0x000641979c00d837UL;
   tf->codes[16539] = 0x000641f31b79dc07UL;
   tf->codes[16540] = 0x000641f47ad3fea5UL;
   tf->codes[16541] = 0x000641fa32cb8ee2UL;
   tf->codes[16542] = 0x000641fd669ddfa8UL;
   tf->codes[16543] = 0x00064205a2baaf5cUL;
   tf->codes[16544] = 0x0006421062fcbe87UL;
   tf->codes[16545] = 0x0006427717d5dd0cUL;
   tf->codes[16546] = 0x000642ad4e3e346dUL;
   tf->codes[16547] = 0x000642c0fa4a249bUL;
   tf->codes[16548] = 0x000642eb4ba54ff8UL;
   tf->codes[16549] = 0x000642f4ac8d3c85UL;
   tf->codes[16550] = 0x000642f6f6237637UL;
   tf->codes[16551] = 0x00064302661296b1UL;
   tf->codes[16552] = 0x00064316121e86dfUL;
   tf->codes[16553] = 0x0006431a6abbf47eUL;
   tf->codes[16554] = 0x0006435c863177e3UL;
   tf->codes[16555] = 0x0006435cc0c07da8UL;
   tf->codes[16556] = 0x0006435e5aa9a60bUL;
   tf->codes[16557] = 0x000643727bd3a1c3UL;
   tf->codes[16558] = 0x000643db7a42f9faUL;
   tf->codes[16559] = 0x000643df985161d4UL;
   tf->codes[16560] = 0x000643e4660cdafdUL;
   tf->codes[16561] = 0x000643e6ea321a74UL;
   tf->codes[16562] = 0x0006440bbe24bb59UL;
   tf->codes[16563] = 0x00064433163c9bb5UL;
   tf->codes[16564] = 0x000644359a61db2cUL;
   tf->codes[16565] = 0x0006445f3c0ff53aUL;
   tf->codes[16566] = 0x000644869427d596UL;
   tf->codes[16567] = 0x0006449746f07ac3UL;
   tf->codes[16568] = 0x0006449c89c9ff76UL;
   tf->codes[16569] = 0x000644c506acfcabUL;
   tf->codes[16570] = 0x000644c75043365dUL;
   tf->codes[16571] = 0x000644cccdabc0d5UL;
   tf->codes[16572] = 0x000644d2fac15c9cUL;
   tf->codes[16573] = 0x000644f300f88458UL;
   tf->codes[16574] = 0x000644f66f59dae3UL;
   tf->codes[16575] = 0x000644f9ddbb316eUL;
   tf->codes[16576] = 0x000645151636e001UL;
   tf->codes[16577] = 0x00064518f9b64216UL;
   tf->codes[16578] = 0x00064534e1df01f8UL;
   tf->codes[16579] = 0x0006453606aa1ed1UL;
   tf->codes[16580] = 0x000645422646509aUL;
   tf->codes[16581] = 0x00064542d5f361e9UL;
   tf->codes[16582] = 0x0006455472f81e2aUL;
   tf->codes[16583] = 0x0006455bc4d8d6caUL;
   tf->codes[16584] = 0x0006457c059f044bUL;
   tf->codes[16585] = 0x0006458bce2b9264UL;
   tf->codes[16586] = 0x000645cdaf121004UL;
   tf->codes[16587] = 0x000645d192917219UL;
   tf->codes[16588] = 0x000645d7fa3613a5UL;
   tf->codes[16589] = 0x000645fdf2f3d163UL;
   tf->codes[16590] = 0x000645ffc76bff8bUL;
   tf->codes[16591] = 0x0006463b40addb9fUL;
   tf->codes[16592] = 0x0006465086a2f430UL;
   tf->codes[16593] = 0x00064659e78ae0bdUL;
   tf->codes[16594] = 0x0006467644d1ac29UL;
   tf->codes[16595] = 0x0006467ef60c8767UL;
   tf->codes[16596] = 0x0006467f309b8d2cUL;
   tf->codes[16597] = 0x0006469142be54f7UL;
   tf->codes[16598] = 0x0006469ec1b4a95eUL;
   tf->codes[16599] = 0x000646c14c111091UL;
   tf->codes[16600] = 0x000646c270dc2d6aUL;
   tf->codes[16601] = 0x000646c2ab6b332fUL;
   tf->codes[16602] = 0x000646d2ae86c70dUL;
   tf->codes[16603] = 0x000646f2b4bdeec9UL;
   tf->codes[16604] = 0x000647032cf78e31UL;
   tf->codes[16605] = 0x0006470f4c93bffaUL;
   tf->codes[16606] = 0x000647115b9af3e7UL;
   tf->codes[16607] = 0x000647141a4f3923UL;
   tf->codes[16608] = 0x00064757cfade4ebUL;
   tf->codes[16609] = 0x000647b473f20594UL;
   tf->codes[16610] = 0x000647be49f7fdabUL;
   tf->codes[16611] = 0x0006480f7e4cfddaUL;
   tf->codes[16612] = 0x0006481a04000740UL;
   tf->codes[16613] = 0x00064852be8d9e18UL;
   tf->codes[16614] = 0x0006488f220b9140UL;
   tf->codes[16615] = 0x00064891e0bfd67cUL;
   tf->codes[16616] = 0x00064892906ce7cbUL;
   tf->codes[16617] = 0x000648d2624c317eUL;
   tf->codes[16618] = 0x000648dad8f806f7UL;
   tf->codes[16619] = 0x000648f143b83c61UL;
   tf->codes[16620] = 0x000648f26883593aUL;
   tf->codes[16621] = 0x000648fa6a112329UL;
   tf->codes[16622] = 0x0006490cb6c2f0b9UL;
   tf->codes[16623] = 0x0006490e161d1357UL;
   tf->codes[16624] = 0x0006491701e6f45aUL;
   tf->codes[16625] = 0x0006493c10689b04UL;
   tf->codes[16626] = 0x000649712205d58cUL;
   tf->codes[16627] = 0x0006497ccc83fbcbUL;
   tf->codes[16628] = 0x00064993e6f14284UL;
   tf->codes[16629] = 0x000649e764dc7c65UL;
   tf->codes[16630] = 0x000649fd1fefa080UL;
   tf->codes[16631] = 0x00064a1892fa54d8UL;
   tf->codes[16632] = 0x00064a1bc6cca59eUL;
   tf->codes[16633] = 0x00064a43ce919749UL;
   tf->codes[16634] = 0x00064a5e5760348dUL;
   tf->codes[16635] = 0x00064a6867f53269UL;
   tf->codes[16636] = 0x00064a702ef3f693UL;
   tf->codes[16637] = 0x00064a9a45c01c2bUL;
   tf->codes[16638] = 0x00064ac4971b4788UL;
   tf->codes[16639] = 0x00064acf91ec5c78UL;
   tf->codes[16640] = 0x00064ad8432737b6UL;
   tf->codes[16641] = 0x00064aec29c22da9UL;
   tf->codes[16642] = 0x00064b09e6631bb3UL;
   tf->codes[16643] = 0x00064b1172d2da18UL;
   tf->codes[16644] = 0x00064b18c4b392b8UL;
   tf->codes[16645] = 0x00064b4ec08ce454UL;
   tf->codes[16646] = 0x00064b72e4d273eaUL;
   tf->codes[16647] = 0x00064b91c63e7ecdUL;
   tf->codes[16648] = 0x00064b944a63be44UL;
   tf->codes[16649] = 0x00064bb2b6b1bd9dUL;
   tf->codes[16650] = 0x00064bb4c5b8f18aUL;
   tf->codes[16651] = 0x00064bb6d4c02577UL;
   tf->codes[16652] = 0x00064bc4c8d48568UL;
   tf->codes[16653] = 0x00064bcd7a0f60a6UL;
   tf->codes[16654] = 0x00064be78dbff260UL;
   tf->codes[16655] = 0x00064bec960a714eUL;
   tf->codes[16656] = 0x00064bf8b5a6a317UL;
   tf->codes[16657] = 0x00064c3f9ed79fa5UL;
   tf->codes[16658] = 0x00064c493a4e91f7UL;
   tf->codes[16659] = 0x00064c54aa3db271UL;
   tf->codes[16660] = 0x00064c62d8e11827UL;
   tf->codes[16661] = 0x00064c7107847dddUL;
   tf->codes[16662] = 0x00064ccde657a44bUL;
   tf->codes[16663] = 0x00064cce5b75afd5UL;
   tf->codes[16664] = 0x00064cd39e4f3488UL;
   tf->codes[16665] = 0x00064ce86f26418fUL;
   tf->codes[16666] = 0x00064d08003f5dc1UL;
   tf->codes[16667] = 0x00064d0f8caf1c26UL;
   tf->codes[16668] = 0x00064d1d0ba5708dUL;
   tf->codes[16669] = 0x00064d337665a5f7UL;
   tf->codes[16670] = 0x00064d36e4c6fc82UL;
   tf->codes[16671] = 0x00064d3bb28275abUL;
   tf->codes[16672] = 0x00064d46e7e29060UL;
   tf->codes[16673] = 0x00064d4722719625UL;
   tf->codes[16674] = 0x00064d47978fa1afUL;
   tf->codes[16675] = 0x00064d7014729ee4UL;
   tf->codes[16676] = 0x00064d7b0f43b3d4UL;
   tf->codes[16677] = 0x00064d947347343fUL;
   tf->codes[16678] = 0x00064d96f76c73b6UL;
   tf->codes[16679] = 0x00064d9731fb797bUL;
   tf->codes[16680] = 0x00064dbfe96d7c75UL;
   tf->codes[16681] = 0x00064e1b68e68045UL;
   tf->codes[16682] = 0x00064e44d005948eUL;
   tf->codes[16683] = 0x00064e46a47dc2b6UL;
   tf->codes[16684] = 0x00064e4a87fd24cbUL;
   tf->codes[16685] = 0x00064e4b37aa361aUL;
   tf->codes[16686] = 0x00064e4e6b7c86e0UL;
   tf->codes[16687] = 0x00064e52c419f47fUL;
   tf->codes[16688] = 0x00064e56e2285c59UL;
   tf->codes[16689] = 0x00064e68b9bc1e5fUL;
   tf->codes[16690] = 0x00064e7638b272c6UL;
   tf->codes[16691] = 0x00064e91369f1b94UL;
   tf->codes[16692] = 0x00064e930b1749bcUL;
   tf->codes[16693] = 0x00064ec906f09b58UL;
   tf->codes[16694] = 0x00064ecc0033e659UL;
   tf->codes[16695] = 0x00064edfe6cedc4cUL;
   tf->codes[16696] = 0x00064eea31f2dfedUL;
   tf->codes[16697] = 0x00064ef183d3988dUL;
   tf->codes[16698] = 0x00064efb94689669UL;
   tf->codes[16699] = 0x00064efdddfed01bUL;
   tf->codes[16700] = 0x00064f0f40748697UL;
   tf->codes[16701] = 0x00064f3c15f4f16bUL;
   tf->codes[16702] = 0x00064f441782bb5aUL;
   tf->codes[16703] = 0x00064f5b6c7f07d8UL;
   tf->codes[16704] = 0x00064f90f33a4deaUL;
   tf->codes[16705] = 0x00064f9252947088UL;
   tf->codes[16706] = 0x00064f98ba391214UL;
   tf->codes[16707] = 0x00064fdc6f97bddcUL;
   tf->codes[16708] = 0x00064ff76d8466aaUL;
   tf->codes[16709] = 0x00065007709ffa88UL;
   tf->codes[16710] = 0x00065041ffa5bf88UL;
   tf->codes[16711] = 0x000650423a34c54dUL;
   tf->codes[16712] = 0x00065047f22c558aUL;
   tf->codes[16713] = 0x0006504a3bc28f3cUL;
   tf->codes[16714] = 0x0006504c103abd64UL;
   tf->codes[16715] = 0x00065053621b7604UL;
   tf->codes[16716] = 0x0006505b9e3845b8UL;
   tf->codes[16717] = 0x0006506bdbe2df5bUL;
   tf->codes[16718] = 0x0006507aba335660UL;
   tf->codes[16719] = 0x00065085ef937115UL;
   tf->codes[16720] = 0x000651155bde9294UL;
   tf->codes[16721] = 0x0006511f31e48aabUL;
   tf->codes[16722] = 0x0006514e8b8a34f6UL;
   tf->codes[16723] = 0x000651510faf746dUL;
   tf->codes[16724] = 0x00065167b4feaf9cUL;
   tf->codes[16725] = 0x0006516cf7d8344fUL;
   tf->codes[16726] = 0x0006516da785459eUL;
   tf->codes[16727] = 0x00065172afcfc48cUL;
   tf->codes[16728] = 0x0006518f82349b82UL;
   tf->codes[16729] = 0x000651906c70b296UL;
   tf->codes[16730] = 0x00065194ff9d25faUL;
   tf->codes[16731] = 0x00065195e9d93d0eUL;
   tf->codes[16732] = 0x000651bbe296faccUL;
   tf->codes[16733] = 0x000651bf50f85157UL;
   tf->codes[16734] = 0x000651d287e635fbUL;
   tf->codes[16735] = 0x000651e0b6899bb1UL;
   tf->codes[16736] = 0x000651e8086a5451UL;
   tf->codes[16737] = 0x000651f5fc7eb442UL;
   tf->codes[16738] = 0x000652030656fd1fUL;
   tf->codes[16739] = 0x00065204a0402582UL;
   tf->codes[16740] = 0x0006525091bba0feUL;
   tf->codes[16741] = 0x00065259f2a38d8bUL;
   tf->codes[16742] = 0x00065271822edfceUL;
   tf->codes[16743] = 0x0006528f795ed39dUL;
   tf->codes[16744] = 0x000652977aec9d8cUL;
   tf->codes[16745] = 0x0006529f075c5bf1UL;
   tf->codes[16746] = 0x000652b2edf751e4UL;
   tf->codes[16747] = 0x000652bb2a142198UL;
   tf->codes[16748] = 0x000652d209f2628cUL;
   tf->codes[16749] = 0x000652d418f99679UL;
   tf->codes[16750] = 0x000652f5f3a8ec5dUL;
   tf->codes[16751] = 0x000652fdbaa7b087UL;
   tf->codes[16752] = 0x00065344de67b2daUL;
   tf->codes[16753] = 0x00065356b5fb74e0UL;
   tf->codes[16754] = 0x000653864a3024f0UL;
   tf->codes[16755] = 0x0006539fae33a55bUL;
   tf->codes[16756] = 0x000653bb965c653dUL;
   tf->codes[16757] = 0x000653d868c13c33UL;
   tf->codes[16758] = 0x000653ecc47a3db0UL;
   tf->codes[16759] = 0x000653f9ce52868dUL;
   tf->codes[16760] = 0x0006540af6393744UL;
   tf->codes[16761] = 0x0006540c90225fa7UL;
   tf->codes[16762] = 0x0006541a0f18b40eUL;
   tf->codes[16763] = 0x00065454d8ad7ed3UL;
   tf->codes[16764] = 0x000654567296a736UL;
   tf->codes[16765] = 0x00065459a668f7fcUL;
   tf->codes[16766] = 0x0006545acb3414d5UL;
   tf->codes[16767] = 0x0006545b7ae12624UL;
   tf->codes[16768] = 0x0006545d89e85a11UL;
   tf->codes[16769] = 0x00065461a7f6c1ebUL;
   tf->codes[16770] = 0x000654b894435257UL;
   tf->codes[16771] = 0x000654c4b3df8420UL;
   tf->codes[16772] = 0x000654d4b6fb17feUL;
   tf->codes[16773] = 0x000654ef7a58bb07UL;
   tf->codes[16774] = 0x000654f8db40a794UL;
   tf->codes[16775] = 0x0006550c4cbd91fdUL;
   tf->codes[16776] = 0x0006551ed3fe6552UL;
   tf->codes[16777] = 0x0006554db8860413UL;
   tf->codes[16778] = 0x0006555c96d67b18UL;
   tf->codes[16779] = 0x000655671c89847eUL;
   tf->codes[16780] = 0x0006557008536581UL;
   tf->codes[16781] = 0x00065582ca233e9bUL;
   tf->codes[16782] = 0x0006558304b24460UL;
   tf->codes[16783] = 0x00065588821aced8UL;
   tf->codes[16784] = 0x000655958bf317b5UL;
   tf->codes[16785] = 0x000655996f7279caUL;
   tf->codes[16786] = 0x0006559a943d96a3UL;
   tf->codes[16787] = 0x0006559eb24bfe7dUL;
   tf->codes[16788] = 0x000655bd1e99fdd6UL;
   tf->codes[16789] = 0x000655d34ecb2d7bUL;
   tf->codes[16790] = 0x000655d4e8b455deUL;
   tf->codes[16791] = 0x0006560407cafa64UL;
   tf->codes[16792] = 0x0006560d68b2e6f1UL;
   tf->codes[16793] = 0x0006561111a34341UL;
   tf->codes[16794] = 0x000656189e1301a6UL;
   tf->codes[16795] = 0x0006564c8ae51f55UL;
   tf->codes[16796] = 0x00065650a8f3872fUL;
   tf->codes[16797] = 0x0006565c5371ad6eUL;
   tf->codes[16798] = 0x0006566d063a529bUL;
   tf->codes[16799] = 0x0006567ea33f0edcUL;
   tf->codes[16800] = 0x0006568928f21842UL;
   tf->codes[16801] = 0x0006569757957df8UL;
   tf->codes[16802] = 0x000656c00f0780f2UL;
   tf->codes[16803] = 0x000656fc7285741aUL;
   tf->codes[16804] = 0x000657055e4f551dUL;
   tf->codes[16805] = 0x0006570a6699d40bUL;
   tf->codes[16806] = 0x00065718cfcc3f86UL;
   tf->codes[16807] = 0x0006571b8e8084c2UL;
   tf->codes[16808] = 0x000657439645766dUL;
   tf->codes[16809] = 0x0006574988cc0c6fUL;
   tf->codes[16810] = 0x0006575f7e6e364fUL;
   tf->codes[16811] = 0x00065772403e0f69UL;
   tf->codes[16812] = 0x00065775ae9f65f4UL;
   tf->codes[16813] = 0x000657869bf710e6UL;
   tf->codes[16814] = 0x00065793a5cf59c3UL;
   tf->codes[16815] = 0x000657bfcba2b348UL;
   tf->codes[16816] = 0x000657c8b76c944bUL;
   tf->codes[16817] = 0x000657e3403b318fUL;
   tf->codes[16818] = 0x00065806ef62b59bUL;
   tf->codes[16819] = 0x000658097387f512UL;
   tf->codes[16820] = 0x000658151e061b51UL;
   tf->codes[16821] = 0x000658459c76e275UL;
   tf->codes[16822] = 0x000658609a638b43UL;
   tf->codes[16823] = 0x0006586f78b40248UL;
   tf->codes[16824] = 0x0006588e1f910766UL;
   tf->codes[16825] = 0x0006589118d45267UL;
   tf->codes[16826] = 0x00065892782e7505UL;
   tf->codes[16827] = 0x000658939cf991deUL;
   tf->codes[16828] = 0x000658ca487ff4c9UL;
   tf->codes[16829] = 0x000658e929ebffacUL;
   tf->codes[16830] = 0x000658f6e37159d8UL;
   tf->codes[16831] = 0x0006590845e71054UL;
   tf->codes[16832] = 0x0006591340b82544UL;
   tf->codes[16833] = 0x0006594593a11a90UL;
   tf->codes[16834] = 0x00065955219ea2e4UL;
   tf->codes[16835] = 0x000659761211e1b4UL;
   tf->codes[16836] = 0x00065979f59143c9UL;
   tf->codes[16837] = 0x0006598cb7611ce3UL;
   tf->codes[16838] = 0x000659952e0cf25cUL;
   tf->codes[16839] = 0x000659c571eeb3bbUL;
   tf->codes[16840] = 0x000659c7bb84ed6dUL;
   tf->codes[16841] = 0x000659d32b740de7UL;
   tf->codes[16842] = 0x000659de264522d7UL;
   tf->codes[16843] = 0x000659e4535abe9eUL;
   tf->codes[16844] = 0x000659faf8a9f9cdUL;
   tf->codes[16845] = 0x00065a08ecbe59beUL;
   tf->codes[16846] = 0x00065a18059dd688UL;
   tf->codes[16847] = 0x00065a2634413c3eUL;
   tf->codes[16848] = 0x00065a496e4ab4c0UL;
   tf->codes[16849] = 0x00065a4bb7e0ee72UL;
   tf->codes[16850] = 0x00065a4bf26ff437UL;
   tf->codes[16851] = 0x00065a58c1b9374fUL;
   tf->codes[16852] = 0x00065a5c6aa9939fUL;
   tf->codes[16853] = 0x00065a5e0492bc02UL;
   tf->codes[16854] = 0x00065a5eb43fcd51UL;
   tf->codes[16855] = 0x00065a70c662951cUL;
   tf->codes[16856] = 0x00065a7852d25381UL;
   tf->codes[16857] = 0x00065a9943459251UL;
   tf->codes[16858] = 0x00065acc0b4c9327UL;
   tf->codes[16859] = 0x00065ad82ae8c4f0UL;
   tf->codes[16860] = 0x00065aec86a1c66dUL;
   tf->codes[16861] = 0x00065aef7fe5116eUL;
   tf->codes[16862] = 0x00065b1c8ff48207UL;
   tf->codes[16863] = 0x00065b50b755a57bUL;
   tf->codes[16864] = 0x00065b58b8e36f6aUL;
   tf->codes[16865] = 0x00065b6befd1540eUL;
   tf->codes[16866] = 0x00065b9ad458f2cfUL;
   tf->codes[16867] = 0x00065bb313915661UL;
   tf->codes[16868] = 0x00065bbbff5b3764UL;
   tf->codes[16869] = 0x00065bc1f1e1cd66UL;
   tf->codes[16870] = 0x00065bd404049531UL;
   tf->codes[16871] = 0x00065bd528cfb20aUL;
   tf->codes[16872] = 0x00065beb938fe774UL;
   tf->codes[16873] = 0x00065bf7edbb1f02UL;
   tf->codes[16874] = 0x00065bf912863bdbUL;
   tf->codes[16875] = 0x00065bffb4b9e32cUL;
   tf->codes[16876] = 0x00065c0a74fbf257UL;
   tf->codes[16877] = 0x00065c52486905f9UL;
   tf->codes[16878] = 0x00065c63704fb6b0UL;
   tf->codes[16879] = 0x00065c9881ecf138UL;
   tf->codes[16880] = 0x00065cb63e8ddf42UL;
   tf->codes[16881] = 0x00065cd3c09fc787UL;
   tf->codes[16882] = 0x00065cfcb2a0d046UL;
   tf->codes[16883] = 0x00065d0d2ada6faeUL;
   tf->codes[16884] = 0x00065d118377dd4dUL;
   tf->codes[16885] = 0x00065d12e2d1ffebUL;
   tf->codes[16886] = 0x00065d1b940cdb29UL;
   tf->codes[16887] = 0x00065d4b62d090feUL;
   tf->codes[16888] = 0x00065d5747ddbd02UL;
   tf->codes[16889] = 0x00065d5d3a645304UL;
   tf->codes[16890] = 0x00065dc0f5fa2688UL;
   tf->codes[16891] = 0x00065dcf5f2c9203UL;
   tf->codes[16892] = 0x00065de1abde5f93UL;
   tf->codes[16893] = 0x00065df6422666d5UL;
   tf->codes[16894] = 0x00065e117aa21568UL;
   tf->codes[16895] = 0x00065e3b56df353bUL;
   tf->codes[16896] = 0x00065e51871064e0UL;
   tf->codes[16897] = 0x00065e64f88d4f49UL;
   tf->codes[16898] = 0x00065e88a7b4d355UL;
   tf->codes[16899] = 0x00065e90e3d1a309UL;
   tf->codes[16900] = 0x00065e9e62c7f770UL;
   tf->codes[16901] = 0x00065ebe68ff1f2cUL;
   tf->codes[16902] = 0x00065ed3aef437bdUL;
   tf->codes[16903] = 0x00065ef42a496b03UL;
   tf->codes[16904] = 0x00065efa1cd00105UL;
   tf->codes[16905] = 0x00065efc66663ab7UL;
   tf->codes[16906] = 0x00065f034328e7cdUL;
   tf->codes[16907] = 0x00065f130bb575e6UL;
   tf->codes[16908] = 0x00065f17d970ef0fUL;
   tf->codes[16909] = 0x00065f18c3ad0623UL;
   tf->codes[16910] = 0x00065f34e664cbcaUL;
   tf->codes[16911] = 0x00065f605c8b1400UL;
   tf->codes[16912] = 0x00065f7b5a77bcceUL;
   tf->codes[16913] = 0x00065fe8b18482a4UL;
   tf->codes[16914] = 0x0006602dc63d510aUL;
   tf->codes[16915] = 0x0006605e7f3d1df3UL;
   tf->codes[16916] = 0x0006607e4ae53feaUL;
   tf->codes[16917] = 0x0006608ec31edf52UL;
   tf->codes[16918] = 0x0006609ae2bb111bUL;
   tf->codes[16919] = 0x000660d39d48a7f3UL;
   tf->codes[16920] = 0x000660ec8c2e1cd4UL;
   tf->codes[16921] = 0x00066101d2233565UL;
   tf->codes[16922] = 0x0006611b70b5bb95UL;
   tf->codes[16923] = 0x00066173bc5c6e9fUL;
   tf->codes[16924] = 0x0006617b0e3d273fUL;
   tf->codes[16925] = 0x0006619d98998e72UL;
   tf->codes[16926] = 0x000661c4f0b16eceUL;
   tf->codes[16927] = 0x000661cf3bd5726fUL;
   tf->codes[16928] = 0x000661d4441ff15dUL;
   tf->codes[16929] = 0x000661dae65398aeUL;
   tf->codes[16930] = 0x000661f18ba2d3ddUL;
   tf->codes[16931] = 0x00066217beef9760UL;
   tf->codes[16932] = 0x0006622e9ecdd854UL;
   tf->codes[16933] = 0x00066257563fdb4eUL;
   tf->codes[16934] = 0x0006625ac4a131d9UL;
   tf->codes[16935] = 0x000662707fb455f4UL;
   tf->codes[16936] = 0x00066276acc9f1bbUL;
   tf->codes[16937] = 0x0006629b0b9e8716UL;
   tf->codes[16938] = 0x000662c9f02625d7UL;
   tf->codes[16939] = 0x000662d7a9ab8003UL;
   tf->codes[16940] = 0x000662e02057557cUL;
   tf->codes[16941] = 0x000662e43e65bd56UL;
   tf->codes[16942] = 0x000662ec3ff38745UL;
   tf->codes[16943] = 0x00066333d8d19522UL;
   tf->codes[16944] = 0x000663486f199c64UL;
   tf->codes[16945] = 0x0006635070a76653UL;
   tf->codes[16946] = 0x0006636332773f6dUL;
   tf->codes[16947] = 0x000663b1e2a70025UL;
   tf->codes[16948] = 0x000663c7289c18b6UL;
   tf->codes[16949] = 0x000663c972325268UL;
   tf->codes[16950] = 0x000663d432746193UL;
   tf->codes[16951] = 0x000663d7db64bde3UL;
   tf->codes[16952] = 0x000663def2b670beUL;
   tf->codes[16953] = 0x000664131a179432UL;
   tf->codes[16954] = 0x0006641d9fca9d98UL;
   tf->codes[16955] = 0x0006643e903ddc68UL;
   tf->codes[16956] = 0x0006644398885b56UL;
   tf->codes[16957] = 0x0006646956b7134fUL;
   tf->codes[16958] = 0x00066475b0e24addUL;
   tf->codes[16959] = 0x00066478aa2595deUL;
   tf->codes[16960] = 0x00066488e7d02f81UL;
   tf->codes[16961] = 0x0006648c5631860cUL;
   tf->codes[16962] = 0x00066494924e55c0UL;
   tf->codes[16963] = 0x000664b9a0cffc6aUL;
   tf->codes[16964] = 0x000664c3ebf4000bUL;
   tf->codes[16965] = 0x000664c4268305d0UL;
   tf->codes[16966] = 0x000664c75a555696UL;
   tf->codes[16967] = 0x000664cd876af25dUL;
   tf->codes[16968] = 0x0006651978e66dd9UL;
   tf->codes[16969] = 0x0006652f33f991f4UL;
   tf->codes[16970] = 0x000665335207f9ceUL;
   tf->codes[16971] = 0x00066537aaa5676dUL;
   tf->codes[16972] = 0x0006654822df06d5UL;
   tf->codes[16973] = 0x0006654947aa23aeUL;
   tf->codes[16974] = 0x00066549bcc82f38UL;
   tf->codes[16975] = 0x000665591036b1c7UL;
   tf->codes[16976] = 0x0006655da363252bUL;
   tf->codes[16977] = 0x000665714f6f1559UL;
   tf->codes[16978] = 0x0006658d3797d53bUL;
   tf->codes[16979] = 0x00066597482cd317UL;
   tf->codes[16980] = 0x000665a835847e09UL;
   tf->codes[16981] = 0x000665c1d4170439UL;
   tf->codes[16982] = 0x000665c6dc618327UL;
   tf->codes[16983] = 0x000665d8044833deUL;
   tf->codes[16984] = 0x000665e87c81d346UL;
   tf->codes[16985] = 0x000665eb00a712bdUL;
   tf->codes[16986] = 0x0006664177d5979fUL;
   tf->codes[16987] = 0x00066643fbfad716UL;
   tf->codes[16988] = 0x0006665732e8bbbaUL;
   tf->codes[16989] = 0x0006669ae8476782UL;
   tf->codes[16990] = 0x000666bc4dd8b1dcUL;
   tf->codes[16991] = 0x000666c489f58190UL;
   tf->codes[16992] = 0x000666c65e6dafb8UL;
   tf->codes[16993] = 0x000666ed06d87ec5UL;
   tf->codes[16994] = 0x000666fbaa99f005UL;
   tf->codes[16995] = 0x00066745c79d3d59UL;
   tf->codes[16996] = 0x000667572a12f3d5UL;
   tf->codes[16997] = 0x000667776ad92156UL;
   tf->codes[16998] = 0x0006677904c249b9UL;
   tf->codes[16999] = 0x000667c09da05796UL;
   tf->codes[17000] = 0x000667c6cab5f35dUL;
   tf->codes[17001] = 0x000667ee22cdd3b9UL;
   tf->codes[17002] = 0x000667f0a6f31330UL;
   tf->codes[17003] = 0x0006681af84e3e8dUL;
   tf->codes[17004] = 0x0006681c923766f0UL;
   tf->codes[17005] = 0x00066850f4279029UL;
   tf->codes[17006] = 0x0006685427f9e0efUL;
   tf->codes[17007] = 0x0006685c2987aadeUL;
   tf->codes[17008] = 0x0006686b07d821e3UL;
   tf->codes[17009] = 0x0006687b8011c14bUL;
   tf->codes[17010] = 0x000668884f5b0463UL;
   tf->codes[17011] = 0x000668a4e730d594UL;
   tf->codes[17012] = 0x000668c9809470b4UL;
   tf->codes[17013] = 0x000668d73a19cae0UL;
   tf->codes[17014] = 0x000668efee7039fcUL;
   tf->codes[17015] = 0x000668f705c1ecd7UL;
   tf->codes[17016] = 0x000668fb23d054b1UL;
   tf->codes[17017] = 0x0006690a3cafd17bUL;
   tf->codes[17018] = 0x0006694af8cb3242UL;
   tf->codes[17019] = 0x0006695125e0ce09UL;
   tf->codes[17020] = 0x0006695752f669d0UL;
   tf->codes[17021] = 0x0006695afbe6c620UL;
   tf->codes[17022] = 0x0006698c2a049e93UL;
   tf->codes[17023] = 0x000669921c8b3495UL;
   tf->codes[17024] = 0x0006699f26637d72UL;
   tf->codes[17025] = 0x000669ce0aeb1c33UL;
   tf->codes[17026] = 0x000669d7e0f1144aUL;
   tf->codes[17027] = 0x000669dcaeac8d73UL;
   tf->codes[17028] = 0x000669fae06b8707UL;
   tf->codes[17029] = 0x00066a06505aa781UL;
   tf->codes[17030] = 0x00066a070007b8d0UL;
   tf->codes[17031] = 0x00066a19122a809bUL;
   tf->codes[17032] = 0x00066a1c808bd726UL;
   tf->codes[17033] = 0x00066a29ff822b8dUL;
   tf->codes[17034] = 0x00066a2a74a03717UL;
   tf->codes[17035] = 0x00066a465cc8f6f9UL;
   tf->codes[17036] = 0x00066a54164e5125UL;
   tf->codes[17037] = 0x00066a7b6e663181UL;
   tf->codes[17038] = 0x00066a7ba8f53746UL;
   tf->codes[17039] = 0x00066abeaea6d1bfUL;
   tf->codes[17040] = 0x00066ac6b0349baeUL;
   tf->codes[17041] = 0x00066ac84a1dc411UL;
   tf->codes[17042] = 0x00066adeef6cff40UL;
   tf->codes[17043] = 0x00066b17e4899bddUL;
   tf->codes[17044] = 0x00066b1c77b60f41UL;
   tf->codes[17045] = 0x00066b577bd9dfcbUL;
   tf->codes[17046] = 0x00066b723f3782d4UL;
   tf->codes[17047] = 0x00066b77f72f1311UL;
   tf->codes[17048] = 0x00066b7c8a5b8675UL;
   tf->codes[17049] = 0x00066b869af08451UL;
   tf->codes[17050] = 0x00066bcb3a8b472dUL;
   tf->codes[17051] = 0x00066bd510913f44UL;
   tf->codes[17052] = 0x00066bd6aa7a67a7UL;
   tf->codes[17053] = 0x00066c0937f262b8UL;
   tf->codes[17054] = 0x00066c09e79f7407UL;
   tf->codes[17055] = 0x00066c35d2e3c7c7UL;
   tf->codes[17056] = 0x00066c4aa3bad4ceUL;
   tf->codes[17057] = 0x00066c5613a9f548UL;
   tf->codes[17058] = 0x00066c564e38fb0dUL;
   tf->codes[17059] = 0x00066c7b5cbaa1b7UL;
   tf->codes[17060] = 0x00066c8532c099ceUL;
   tf->codes[17061] = 0x00066c8b5fd63595UL;
   tf->codes[17062] = 0x00066cb15893f353UL;
   tf->codes[17063] = 0x00066cc5eedbfa95UL;
   tf->codes[17064] = 0x00066cd1d3e92699UL;
   tf->codes[17065] = 0x00066d13b4cfa439UL;
   tf->codes[17066] = 0x00066d17984f064eUL;
   tf->codes[17067] = 0x00066d1847fc179dUL;
   tf->codes[17068] = 0x00066d1e3a82ad9fUL;
   tf->codes[17069] = 0x00066d3ad2587ed0UL;
   tf->codes[17070] = 0x00066d49b0a8f5d5UL;
   tf->codes[17071] = 0x00066d567ff238edUL;
   tf->codes[17072] = 0x00066d6105a54253UL;
   tf->codes[17073] = 0x00066d9c7ee71e67UL;
   tf->codes[17074] = 0x00066dbaeb351dc0UL;
   tf->codes[17075] = 0x00066dc70ad14f89UL;
   tf->codes[17076] = 0x00066dd698ced7ddUL;
   tf->codes[17077] = 0x00066dd957831d19UL;
   tf->codes[17078] = 0x00066dfa47f65be9UL;
   tf->codes[17079] = 0x00066dfb6cc178c2UL;
   tf->codes[17080] = 0x00066dfdf0e6b839UL;
   tf->codes[17081] = 0x00066e0667928db2UL;
   tf->codes[17082] = 0x00066e16301f1bcbUL;
   tf->codes[17083] = 0x00066e2d0ffd5cbfUL;
   tf->codes[17084] = 0x00066e437abd9229UL;
   tf->codes[17085] = 0x00066e4c6687732cUL;
   tf->codes[17086] = 0x00066e5b0a48e46cUL;
   tf->codes[17087] = 0x00066e5b7f66eff6UL;
   tf->codes[17088] = 0x00066e5bb9f5f5bbUL;
   tf->codes[17089] = 0x00066e5f62e6520bUL;
   tf->codes[17090] = 0x00066e6c6cbe9ae8UL;
   tf->codes[17091] = 0x00066e77678fafd8UL;
   tf->codes[17092] = 0x00066e7b859e17b2UL;
   tf->codes[17093] = 0x00066e7c6fda2ec6UL;
   tf->codes[17094] = 0x00066e8a9e7d947cUL;
   tf->codes[17095] = 0x00066e8d22a2d3f3UL;
   tf->codes[17096] = 0x00066ee742c1b525UL;
   tf->codes[17097] = 0x00066ef39cececb3UL;
   tf->codes[17098] = 0x00066ef6d0bf3d79UL;
   tf->codes[17099] = 0x00066ef91a55772bUL;
   tf->codes[17100] = 0x00066f378cda9e40UL;
   tf->codes[17101] = 0x00066f3a861de941UL;
   tf->codes[17102] = 0x00066f471ad82694UL;
   tf->codes[17103] = 0x00066f79e2df276aUL;
   tf->codes[17104] = 0x00066f91726a79adUL;
   tf->codes[17105] = 0x00066fc2a0885220UL;
   tf->codes[17106] = 0x00066fc524ad9197UL;
   tf->codes[17107] = 0x00066fcf6fd19538UL;
   tf->codes[17108] = 0x00066ff94c0eb50bUL;
   tf->codes[17109] = 0x0006700e5774c7d7UL;
   tf->codes[17110] = 0x000670365f39b982UL;
   tf->codes[17111] = 0x00067055f052d5b4UL;
   tf->codes[17112] = 0x0006707f9200efc2UL;
   tf->codes[17113] = 0x000670c60613e0c6UL;
   tf->codes[17114] = 0x000670cce2d68ddcUL;
   tf->codes[17115] = 0x000670d643be7a69UL;
   tf->codes[17116] = 0x000670dd959f3309UL;
   tf->codes[17117] = 0x000670ecae7eafd3UL;
   tf->codes[17118] = 0x0006713fb74bde2aUL;
   tf->codes[17119] = 0x0006714200e217dcUL;
   tf->codes[17120] = 0x0006719dbaea2171UL;
   tf->codes[17121] = 0x000671b5fa228503UL;
   tf->codes[17122] = 0x000671cb40179d94UL;
   tf->codes[17123] = 0x000671fef25ab57eUL;
   tf->codes[17124] = 0x000671ff2ce9bb43UL;
   tf->codes[17125] = 0x00067219f0475e4cUL;
   tf->codes[17126] = 0x0006721d5ea8b4d7UL;
   tf->codes[17127] = 0x00067238d1b3692fUL;
   tf->codes[17128] = 0x00067239f67e8608UL;
   tf->codes[17129] = 0x0006725444be1d87UL;
   tf->codes[17130] = 0x00067265e1c2d9c8UL;
   tf->codes[17131] = 0x000672870cc51e5dUL;
   tf->codes[17132] = 0x00067292b743449cUL;
   tf->codes[17133] = 0x000672aa46ce96dfUL;
   tf->codes[17134] = 0x000672d756de0778UL;
   tf->codes[17135] = 0x000672dd0ed597b5UL;
   tf->codes[17136] = 0x000672f463d1e433UL;
   tf->codes[17137] = 0x000672f8bc6f51d2UL;
   tf->codes[17138] = 0x0006731937c48518UL;
   tf->codes[17139] = 0x00067344e879d313UL;
   tf->codes[17140] = 0x000673468262fb76UL;
   tf->codes[17141] = 0x00067368d2305ce4UL;
   tf->codes[17142] = 0x0006736981dd6e33UL;
   tf->codes[17143] = 0x00067372a83654fbUL;
   tf->codes[17144] = 0x000673b413fec711UL;
   tf->codes[17145] = 0x000673c0a8b90464UL;
   tf->codes[17146] = 0x000673c2f24f3e16UL;
   tf->codes[17147] = 0x000673ecce8c5de9UL;
   tf->codes[17148] = 0x000673fea6201fefUL;
   tf->codes[17149] = 0x0006745fa301ae37UL;
   tf->codes[17150] = 0x0006747264d18751UL;
   tf->codes[17151] = 0x00067474e8f6c6c8UL;
   tf->codes[17152] = 0x000674755e14d252UL;
   tf->codes[17153] = 0x0006749529bcf449UL;
   tf->codes[17154] = 0x000674bfb5a7256bUL;
   tf->codes[17155] = 0x000674c1ff3d5f1dUL;
   tf->codes[17156] = 0x000674c866e200a9UL;
   tf->codes[17157] = 0x000674cb9ab4516fUL;
   tf->codes[17158] = 0x000674d70aa371e9UL;
   tf->codes[17159] = 0x000674f6d64b93e0UL;
   tf->codes[17160] = 0x000675015bfe9d46UL;
   tf->codes[17161] = 0x0006753ee447ad47UL;
   tf->codes[17162] = 0x000675500c2e5dfeUL;
   tf->codes[17163] = 0x0006755eafefcf3eUL;
   tf->codes[17164] = 0x000675658cb27c54UL;
   tf->codes[17165] = 0x0006756e035e51cdUL;
   tf->codes[17166] = 0x0006756e3ded5792UL;
   tf->codes[17167] = 0x00067570c2129709UL;
   tf->codes[17168] = 0x00067578fe2f66bdUL;
   tf->codes[17169] = 0x000675f18a9c4748UL;
   tf->codes[17170] = 0x0006760cfda6fba0UL;
   tf->codes[17171] = 0x00067652fc9be11aUL;
   tf->codes[17172] = 0x00067663af648647UL;
   tf->codes[17173] = 0x000676712e5adaaeUL;
   tf->codes[17174] = 0x00067687d3aa15ddUL;
   tf->codes[17175] = 0x000676cfe1a62f44UL;
   tf->codes[17176] = 0x000676d683d9d695UL;
   tf->codes[17177] = 0x000676f3563ead8bUL;
   tf->codes[17178] = 0x000676fc42088e8eUL;
   tf->codes[17179] = 0x0006774ed5b7b15bUL;
   tf->codes[17180] = 0x000677574c6386d4UL;
   tf->codes[17181] = 0x00067762bc52a74eUL;
   tf->codes[17182] = 0x0006778128a0a6a7UL;
   tf->codes[17183] = 0x0006778c5e00c15cUL;
   tf->codes[17184] = 0x0006778d0dadd2abUL;
   tf->codes[17185] = 0x000677925087575eUL;
   tf->codes[17186] = 0x0006779c268d4f75UL;
   tf->codes[17187] = 0x000677b8f8f2266bUL;
   tf->codes[17188] = 0x000677c79cb397abUL;
   tf->codes[17189] = 0x000677cca4fe1699UL;
   tf->codes[17190] = 0x000677d0887d78aeUL;
   tf->codes[17191] = 0x000677e30fbe4c03UL;
   tf->codes[17192] = 0x000677fa64ba9881UL;
   tf->codes[17193] = 0x0006781b552dd751UL;
   tf->codes[17194] = 0x0006782b1dba656aUL;
   tf->codes[17195] = 0x00067849ff26704dUL;
   tf->codes[17196] = 0x0006785bd6ba3253UL;
   tf->codes[17197] = 0x000678636329f0b8UL;
   tf->codes[17198] = 0x0006786de8dcfa1eUL;
   tf->codes[17199] = 0x00067878e3ae0f0eUL;
   tf->codes[17200] = 0x0006787ffaffc1e9UL;
   tf->codes[17201] = 0x0006788871ab9762UL;
   tf->codes[17202] = 0x000678a6a36a90f6UL;
   tf->codes[17203] = 0x000678be32f5e339UL;
   tf->codes[17204] = 0x000678c28b9350d8UL;
   tf->codes[17205] = 0x000678cb775d31dbUL;
   tf->codes[17206] = 0x0006790ce325a3f1UL;
   tf->codes[17207] = 0x00067911eb7022dfUL;
   tf->codes[17208] = 0x0006791d20d03d94UL;
   tf->codes[17209] = 0x0006791d5b5f4359UL;
   tf->codes[17210] = 0x0006795c7d917bbdUL;
   tf->codes[17211] = 0x0006798868d5cf7dUL;
   tf->codes[17212] = 0x0006798a02bef7e0UL;
   tf->codes[17213] = 0x000679aa7e142b26UL;
   tf->codes[17214] = 0x000679ad3cc87062UL;
   tf->codes[17215] = 0x000679d210bb1147UL;
   tf->codes[17216] = 0x00067a075ce75194UL;
   tf->codes[17217] = 0x00067a142c3094acUL;
   tf->codes[17218] = 0x00067a1ace643bfdUL;
   tf->codes[17219] = 0x00067a3e42fcba44UL;
   tf->codes[17220] = 0x00067a408c92f3f6UL;
   tf->codes[17221] = 0x00067a5597f906c2UL;
   tf->codes[17222] = 0x00067a5ebe51ed8aUL;
   tf->codes[17223] = 0x00067a6f368b8cf2UL;
   tf->codes[17224] = 0x00067a7822556df5UL;
   tf->codes[17225] = 0x00067a9ecac03d02UL;
   tf->codes[17226] = 0x00067ae8ad348491UL;
   tf->codes[17227] = 0x00067b0803be9afeUL;
   tf->codes[17228] = 0x00067b112a1781c6UL;
   tf->codes[17229] = 0x00067b14235accc7UL;
   tf->codes[17230] = 0x00067b328fa8cc20UL;
   tf->codes[17231] = 0x00067b38bcbe67e7UL;
   tf->codes[17232] = 0x00067b434271714dUL;
   tf->codes[17233] = 0x00067b4a1f341e63UL;
   tf->codes[17234] = 0x00067b5295dff3dcUL;
   tf->codes[17235] = 0x00067b52d06ef9a1UL;
   tf->codes[17236] = 0x00067b5a224fb241UL;
   tf->codes[17237] = 0x00067b74360043fbUL;
   tf->codes[17238] = 0x00067b7b87e0fc9bUL;
   tf->codes[17239] = 0x00067b801b0d6fffUL;
   tf->codes[17240] = 0x00067b9476c6717cUL;
   tf->codes[17241] = 0x00067b994481eaa5UL;
   tf->codes[17242] = 0x00067b9fe6b591f6UL;
   tf->codes[17243] = 0x00067bcb5cdbda2cUL;
   tf->codes[17244] = 0x00067bd950f03a1dUL;
   tf->codes[17245] = 0x00067bfd3aa6c3eeUL;
   tf->codes[17246] = 0x00067bffbecc0365UL;
   tf->codes[17247] = 0x00067c141a8504e2UL;
   tf->codes[17248] = 0x00067c153f5021bbUL;
   tf->codes[17249] = 0x00067c169eaa4459UL;
   tf->codes[17250] = 0x00067c1f8a74255cUL;
   tf->codes[17251] = 0x00067c4a50ed5c43UL;
   tf->codes[17252] = 0x00067c758c849eb4UL;
   tf->codes[17253] = 0x00067c77266dc717UL;
   tf->codes[17254] = 0x00067c7e0330742dUL;
   tf->codes[17255] = 0x00067c9a60773f99UL;
   tf->codes[17256] = 0x00067c9bbfd16237UL;
   tf->codes[17257] = 0x00067ccaa45900f8UL;
   tf->codes[17258] = 0x00067cdfafbf13c4UL;
   tf->codes[17259] = 0x00067d09516d2dd2UL;
   tf->codes[17260] = 0x00067d27489d21a1UL;
   tf->codes[17261] = 0x00067d3193c12542UL;
   tf->codes[17262] = 0x00067d4edb4407c2UL;
   tf->codes[17263] = 0x00067d5667b3c627UL;
   tf->codes[17264] = 0x00067d5c94c961eeUL;
   tf->codes[17265] = 0x00067d6fcbb74692UL;
   tf->codes[17266] = 0x00067d7040d5521cUL;
   tf->codes[17267] = 0x00067d9290a2b38aUL;
   tf->codes[17268] = 0x00067d9a57a177b4UL;
   tf->codes[17269] = 0x00067db9ae2b8e21UL;
   tf->codes[17270] = 0x00067dcbc04e55ecUL;
   tf->codes[17271] = 0x00067dd646015f52UL;
   tf->codes[17272] = 0x00067dfdd8a84573UL;
   tf->codes[17273] = 0x00067e498f94bb2aUL;
   tf->codes[17274] = 0x00067e52f07ca7b7UL;
   tf->codes[17275] = 0x00067e5af20a71a6UL;
   tf->codes[17276] = 0x00067e6f885278e8UL;
   tf->codes[17277] = 0x00067e79d3767c89UL;
   tf->codes[17278] = 0x00067efce596667aUL;
   tf->codes[17279] = 0x00067f16beb7f26fUL;
   tf->codes[17280] = 0x00067f54f6ae13bfUL;
   tf->codes[17281] = 0x00067f7cc3e3ffa5UL;
   tf->codes[17282] = 0x00067f83db35b280UL;
   tf->codes[17283] = 0x00067f9deee6443aUL;
   tf->codes[17284] = 0x00068055d81462eeUL;
   tf->codes[17285] = 0x00068074f40f7396UL;
   tf->codes[17286] = 0x000680cf4ebd5a8dUL;
   tf->codes[17287] = 0x000680d1d2e29a04UL;
   tf->codes[17288] = 0x000680dbe37797e0UL;
   tf->codes[17289] = 0x000680e2108d33a7UL;
   tf->codes[17290] = 0x000680e9d78bf7d1UL;
   tf->codes[17291] = 0x000680f004a19398UL;
   tf->codes[17292] = 0x000680f3ad91efe8UL;
   tf->codes[17293] = 0x00068144e1e6f017UL;
   tf->codes[17294] = 0x0006814fa228ff42UL;
   tf->codes[17295] = 0x0006816263f8d85cUL;
   tf->codes[17296] = 0x00068169b5d990fcUL;
   tf->codes[17297] = 0x00068177e47cf6b2UL;
   tf->codes[17298] = 0x0006819e8ce7c5bfUL;
   tf->codes[17299] = 0x000681c5e4ffa61bUL;
   tf->codes[17300] = 0x000681d11a5fc0d0UL;
   tf->codes[17301] = 0x000681dd39fbf299UL;
   tf->codes[17302] = 0x000681de5ec70f72UL;
   tf->codes[17303] = 0x000681e2b7647d11UL;
   tf->codes[17304] = 0x000681f2ba8010efUL;
   tf->codes[17305] = 0x000682228943c6c4UL;
   tf->codes[17306] = 0x00068261ab75ff28UL;
   tf->codes[17307] = 0x000682759210f51bUL;
   tf->codes[17308] = 0x0006827816363492UL;
   tf->codes[17309] = 0x000682cfecbedc12UL;
   tf->codes[17310] = 0x000682d5df457214UL;
   tf->codes[17311] = 0x00068301556bba4aUL;
   tf->codes[17312] = 0x0006830a06a69588UL;
   tf->codes[17313] = 0x0006831c18c95d53UL;
   tf->codes[17314] = 0x00068343365237eaUL;
   tf->codes[17315] = 0x000683592bf461caUL;
   tf->codes[17316] = 0x00068360f2f325f4UL;
   tf->codes[17317] = 0x00068371309dbf97UL;
   tf->codes[17318] = 0x000683749eff1622UL;
   tf->codes[17319] = 0x0006837847ef7272UL;
   tf->codes[17320] = 0x0006838eb2afa7dcUL;
   tf->codes[17321] = 0x0006839136d4e753UL;
   tf->codes[17322] = 0x000683be46e457ecUL;
   tf->codes[17323] = 0x000683d38cd9707dUL;
   tf->codes[17324] = 0x000683d43c8681ccUL;
   tf->codes[17325] = 0x000683fec870b2eeUL;
   tf->codes[17326] = 0x000684009ce8e116UL;
   tf->codes[17327] = 0x00068412e99aaea6UL;
   tf->codes[17328] = 0x0006843e5fc0f6dcUL;
   tf->codes[17329] = 0x00068442434058f1UL;
   tf->codes[17330] = 0x0006844a0a3f1d1bUL;
   tf->codes[17331] = 0x0006844af47b342fUL;
   tf->codes[17332] = 0x0006844ed7fa9644UL;
   tf->codes[17333] = 0x000684557a2e3d95UL;
   tf->codes[17334] = 0x0006845ccc0ef635UL;
   tf->codes[17335] = 0x00068464587eb49aUL;
   tf->codes[17336] = 0x000684837479c542UL;
   tf->codes[17337] = 0x00068484d3d3e7e0UL;
   tf->codes[17338] = 0x00068493b2245ee5UL;
   tf->codes[17339] = 0x000684f17b339c67UL;
   tf->codes[17340] = 0x00068500cea21ef6UL;
   tf->codes[17341] = 0x00068506fbb7babdUL;
   tf->codes[17342] = 0x00068539fe4dc158UL;
   tf->codes[17343] = 0x0006854b60c377d4UL;
   tf->codes[17344] = 0x0006858455e01471UL;
   tf->codes[17345] = 0x000685d42adaf202UL;
   tf->codes[17346] = 0x000685d58a3514a0UL;
   tf->codes[17347] = 0x000685deeb1d012dUL;
   tf->codes[17348] = 0x0006860a26b4439eUL;
   tf->codes[17349] = 0x0006861cadf516f3UL;
   tf->codes[17350] = 0x000686368716a2e8UL;
   tf->codes[17351] = 0x000686398059ede9UL;
   tf->codes[17352] = 0x0006863a6a9604fdUL;
   tf->codes[17353] = 0x0006863e4e156712UL;
   tf->codes[17354] = 0x0006866c4860eebfUL;
   tf->codes[17355] = 0x000686795239379cUL;
   tf->codes[17356] = 0x0006869bdc959ecfUL;
   tf->codes[17357] = 0x000686c961c31af2UL;
   tf->codes[17358] = 0x000686d0b3a3d392UL;
   tf->codes[17359] = 0x000686ed4b79a4c3UL;
   tf->codes[17360] = 0x000686f6e6f09715UL;
   tf->codes[17361] = 0x00068715533e966eUL;
   tf->codes[17362] = 0x0006874d23901632UL;
   tf->codes[17363] = 0x0006874e485b330bUL;
   tf->codes[17364] = 0x000687560f59f735UL;
   tf->codes[17365] = 0x0006875dd658bb5fUL;
   tf->codes[17366] = 0x00068765d7e6854eUL;
   tf->codes[17367] = 0x0006876e14035502UL;
   tf->codes[17368] = 0x00068771bcf3b152UL;
   tf->codes[17369] = 0x0006878394877358UL;
   tf->codes[17370] = 0x00068797f04074d5UL;
   tf->codes[17371] = 0x0006879aaef4ba11UL;
   tf->codes[17372] = 0x000687da4644fdffUL;
   tf->codes[17373] = 0x000687ec5867c5caUL;
   tf->codes[17374] = 0x000687fdbadd7c46UL;
   tf->codes[17375] = 0x00068800b420c747UL;
   tf->codes[17376] = 0x00068807cb727a22UL;
   tf->codes[17377] = 0x0006881968773663UL;
   tf->codes[17378] = 0x0006881f206ec6a0UL;
   tf->codes[17379] = 0x000688379a362ff7UL;
   tf->codes[17380] = 0x000688634aeb7df2UL;
   tf->codes[17381] = 0x0006888bc7ce7b27UL;
   tf->codes[17382] = 0x000688910aa7ffdaUL;
   tf->codes[17383] = 0x00068899f671e0ddUL;
   tf->codes[17384] = 0x000688ce1dd30451UL;
   tf->codes[17385] = 0x000688d2b0ff77b5UL;
   tf->codes[17386] = 0x000688d82e68022dUL;
   tf->codes[17387] = 0x000688de960ca3b9UL;
   tf->codes[17388] = 0x000688e6d229736dUL;
   tf->codes[17389] = 0x000688f66026fbc1UL;
   tf->codes[17390] = 0x0006891c58e4b97fUL;
   tf->codes[17391] = 0x0006894c62377519UL;
   tf->codes[17392] = 0x0006896600c9fb49UL;
   tf->codes[17393] = 0x000689680fd12f36UL;
   tf->codes[17394] = 0x0006898f67e90f92UL;
   tf->codes[17395] = 0x000689960a1cb6e3UL;
   tf->codes[17396] = 0x0006899853b2f095UL;
   tf->codes[17397] = 0x0006899d968c7548UL;
   tf->codes[17398] = 0x000689c9bc5fcecdUL;
   tf->codes[17399] = 0x000689d6c63817aaUL;
   tf->codes[17400] = 0x000689d984ec5ce6UL;
   tf->codes[17401] = 0x00068a0f80c5ae82UL;
   tf->codes[17402] = 0x00068a1413f221e6UL;
   tf->codes[17403] = 0x00068a186c8f8f85UL;
   tf->codes[17404] = 0x00068a18a71e954aUL;
   tf->codes[17405] = 0x00068a4b6f259620UL;
   tf->codes[17406] = 0x00068a51d6ca37acUL;
   tf->codes[17407] = 0x00068a5cd19b4c9cUL;
   tf->codes[17408] = 0x00068a5f904f91d8UL;
   tf->codes[17409] = 0x00068a8304e8101fUL;
   tf->codes[17410] = 0x00068a93f23fbb11UL;
   tf->codes[17411] = 0x00068ab38358d743UL;
   tf->codes[17412] = 0x00068ad8574b7828UL;
   tf->codes[17413] = 0x00068adcafe8e5c7UL;
   tf->codes[17414] = 0x00068ae64b5fd819UL;
   tf->codes[17415] = 0x00068ae8cf851790UL;
   tf->codes[17416] = 0x00068b0dde06be3aUL;
   tf->codes[17417] = 0x00068b189e48cd65UL;
   tf->codes[17418] = 0x00068b18d8d7d32aUL;
   tf->codes[17419] = 0x00068b1e1bb157ddUL;
   tf->codes[17420] = 0x00068b3ed19590e8UL;
   tf->codes[17421] = 0x00068b46d3235ad7UL;
   tf->codes[17422] = 0x00068b4782d06c26UL;
   tf->codes[17423] = 0x00068b5d3de39041UL;
   tf->codes[17424] = 0x00068b8ea6906e79UL;
   tf->codes[17425] = 0x00068b90b597a266UL;
   tf->codes[17426] = 0x00068b9f93e8196bUL;
   tf->codes[17427] = 0x00068bc58ca5d729UL;
   tf->codes[17428] = 0x00068bd97340cd1cUL;
   tf->codes[17429] = 0x00068c3567d7dc76UL;
   tf->codes[17430] = 0x00068c4fb61773f5UL;
   tf->codes[17431] = 0x00068c5cbfefbcd2UL;
   tf->codes[17432] = 0x00068c5ecef6f0bfUL;
   tf->codes[17433] = 0x00068c682fdedd4cUL;
   tf->codes[17434] = 0x00068c724073db28UL;
   tf->codes[17435] = 0x00068c82b8ad7a90UL;
   tf->codes[17436] = 0x00068c9edb654037UL;
   tf->codes[17437] = 0x00068cc758483d6cUL;
   tf->codes[17438] = 0x00068cd462208649UL;
   tf->codes[17439] = 0x00068d04a60247a8UL;
   tf->codes[17440] = 0x00068d0b82c4f4beUL;
   tf->codes[17441] = 0x00068d3d9b1ee445UL;
   tf->codes[17442] = 0x00068d56c4935eebUL;
   tf->codes[17443] = 0x00068d609a995702UL;
   tf->codes[17444] = 0x00068d62e42f90b4UL;
   tf->codes[17445] = 0x00068d694bd43240UL;
   tf->codes[17446] = 0x00068d79fe9cd76dUL;
   tf->codes[17447] = 0x00068d8b9ba193aeUL;
   tf->codes[17448] = 0x00068d90de7b1861UL;
   tf->codes[17449] = 0x00068d93d7be6362UL;
   tf->codes[17450] = 0x00068dd19a967928UL;
   tf->codes[17451] = 0x00068de0ee04fbb7UL;
   tf->codes[17452] = 0x00068df66e891a0dUL;
   tf->codes[17453] = 0x00068e12cbcfe579UL;
   tf->codes[17454] = 0x00068e4a9c21653dUL;
   tf->codes[17455] = 0x00068e4b113f70c7UL;
   tf->codes[17456] = 0x00068e5d5df13e57UL;
   tf->codes[17457] = 0x00068e67e3a447bdUL;
   tf->codes[17458] = 0x00068e8c07e9d753UL;
   tf->codes[17459] = 0x00068e9da4ee9394UL;
   tf->codes[17460] = 0x00068e9e549ba4e3UL;
   tf->codes[17461] = 0x00068eb82dbd30d8UL;
   tf->codes[17462] = 0x00068ec0a4690651UL;
   tf->codes[17463] = 0x00068ee53dcca171UL;
   tf->codes[17464] = 0x00068ef456ac1e3bUL;
   tf->codes[17465] = 0x00068ef6dad15db2UL;
   tf->codes[17466] = 0x00068ef95ef69d29UL;
   tf->codes[17467] = 0x00068f1b7434f8d2UL;
   tf->codes[17468] = 0x00068f48f96274f5UL;
   tf->codes[17469] = 0x00068f5b46144285UL;
   tf->codes[17470] = 0x00068f8a2a9be146UL;
   tf->codes[17471] = 0x00068f959a8b01c0UL;
   tf->codes[17472] = 0x00068f9bc7a09d87UL;
   tf->codes[17473] = 0x00068fc110b149f6UL;
   tf->codes[17474] = 0x00068fdc83bbfe4eUL;
   tf->codes[17475] = 0x00068fe44abac278UL;
   tf->codes[17476] = 0x00068ffa7aebf21dUL;
   tf->codes[17477] = 0x0006900a7e0785fbUL;
   tf->codes[17478] = 0x0006904c245efdd6UL;
   tf->codes[17479] = 0x0006905a18735dc7UL;
   tf->codes[17480] = 0x000690d64dd09aa2UL;
   tf->codes[17481] = 0x000690dc7ae63669UL;
   tf->codes[17482] = 0x000690f987da1324UL;
   tf->codes[17483] = 0x0006912af086f15cUL;
   tf->codes[17484] = 0x0006913e2774d600UL;
   tf->codes[17485] = 0x000691771c91729dUL;
   tf->codes[17486] = 0x0006917c24dbf18bUL;
   tf->codes[17487] = 0x000691821762878dUL;
   tf->codes[17488] = 0x000691a00e927b5cUL;
   tf->codes[17489] = 0x000691f0cdc97001UL;
   tf->codes[17490] = 0x00069206c36b99e1UL;
   tf->codes[17491] = 0x0006923f08db252fUL;
   tf->codes[17492] = 0x0006924f0bf6b90dUL;
   tf->codes[17493] = 0x0006925b6621f09bUL;
   tf->codes[17494] = 0x0006926fc1daf218UL;
   tf->codes[17495] = 0x0006927036f8fda2UL;
   tf->codes[17496] = 0x0006927504b476cbUL;
   tf->codes[17497] = 0x00069285b77d1bf8UL;
   tf->codes[17498] = 0x00069296a4d4c6eaUL;
   tf->codes[17499] = 0x00069298b3dbfad7UL;
   tf->codes[17500] = 0x000692ac9a76f0caUL;
   tf->codes[17501] = 0x000692c0f62ff247UL;
   tf->codes[17502] = 0x000692ceea445238UL;
   tf->codes[17503] = 0x000692e5ca22932cUL;
   tf->codes[17504] = 0x000692fbbfc4bd0cUL;
   tf->codes[17505] = 0x000692ff2e261397UL;
   tf->codes[17506] = 0x0006930c728d6239UL;
   tf->codes[17507] = 0x0006931f6eec4118UL;
   tf->codes[17508] = 0x00069341842a9cc1UL;
   tf->codes[17509] = 0x00069346c7042174UL;
   tf->codes[17510] = 0x0006939ed81bceb9UL;
   tf->codes[17511] = 0x000693d792a96591UL;
   tf->codes[17512] = 0x0006940a5ab06667UL;
   tf->codes[17513] = 0x0006943fa6dca6b4UL;
   tf->codes[17514] = 0x0006944adc3cc169UL;
   tf->codes[17515] = 0x0006945686bae7a8UL;
   tf->codes[17516] = 0x0006946fb02f624eUL;
   tf->codes[17517] = 0x000694768cf20f64UL;
   tf->codes[17518] = 0x00069479fb5365efUL;
   tf->codes[17519] = 0x000694c1cec07991UL;
   tf->codes[17520] = 0x000694c2f38b966aUL;
   tf->codes[17521] = 0x000694ed0a57bc02UL;
   tf->codes[17522] = 0x000694f50be585f1UL;
   tf->codes[17523] = 0x000694f5bb929740UL;
   tf->codes[17524] = 0x000694f87a46dc7cUL;
   tf->codes[17525] = 0x000694fafe6c1bf3UL;
   tf->codes[17526] = 0x00069519302b1587UL;
   tf->codes[17527] = 0x000695593c9964ffUL;
   tf->codes[17528] = 0x00069574ea331f1cUL;
   tf->codes[17529] = 0x000695918208f04dUL;
   tf->codes[17530] = 0x00069594b5db4113UL;
   tf->codes[17531] = 0x000695968a536f3bUL;
   tf->codes[17532] = 0x0006959f00ff44b4UL;
   tf->codes[17533] = 0x000695c066908f0eUL;
   tf->codes[17534] = 0x000695c0dbae9a98UL;
   tf->codes[17535] = 0x000695d830aae716UL;
   tf->codes[17536] = 0x000695e2f0ecf641UL;
   tf->codes[17537] = 0x000695f9d0cb3735UL;
   tf->codes[17538] = 0x0006961afbcd7bcaUL;
   tf->codes[17539] = 0x00069629da1df2cfUL;
   tf->codes[17540] = 0x00069651e1e2e47aUL;
   tf->codes[17541] = 0x0006965f264a331cUL;
   tf->codes[17542] = 0x0006967ef1f25513UL;
   tf->codes[17543] = 0x000696c4b65834c8UL;
   tf->codes[17544] = 0x000696c4f0e73a8dUL;
   tf->codes[17545] = 0x000696d026475542UL;
   tf->codes[17546] = 0x000696e7b5d2a785UL;
   tf->codes[17547] = 0x000696f27614b6b0UL;
   tf->codes[17548] = 0x0006970cfee353f4UL;
   tf->codes[17549] = 0x0006970e23ae70cdUL;
   tf->codes[17550] = 0x00069749d77f52a6UL;
   tf->codes[17551] = 0x0006976d4c17d0edUL;
   tf->codes[17552] = 0x0006977cda155941UL;
   tf->codes[17553] = 0x0006977f98c99e7dUL;
   tf->codes[17554] = 0x00069785c5df3a44UL;
   tf->codes[17555] = 0x0006979a96b6474bUL;
   tf->codes[17556] = 0x000697be0b4ec592UL;
   tf->codes[17557] = 0x000697bebafbd6e1UL;
   tf->codes[17558] = 0x000697d4eb2d0686UL;
   tf->codes[17559] = 0x0006980eca85ba37UL;
   tf->codes[17560] = 0x0006983c4fb3365aUL;
   tf->codes[17561] = 0x0006984ffbbf2688UL;
   tf->codes[17562] = 0x000698933bffc6c6UL;
   tf->codes[17563] = 0x000698c170da5438UL;
   tf->codes[17564] = 0x000698c728d1e475UL;
   tf->codes[17565] = 0x000698ff6e416fc3UL;
   tf->codes[17566] = 0x000699081f7c4b01UL;
   tf->codes[17567] = 0x0006991404897705UL;
   tf->codes[17568] = 0x0006991eff5a8bf5UL;
   tf->codes[17569] = 0x0006992ae467b7f9UL;
   tf->codes[17570] = 0x0006992c7e50e05cUL;
   tf->codes[17571] = 0x0006993f7aafbf3bUL;
   tf->codes[17572] = 0x000699440ddc329fUL;
   tf->codes[17573] = 0x00069958deb33fa6UL;
   tf->codes[17574] = 0x0006996b65f412fbUL;
   tf->codes[17575] = 0x000699720827ba4cUL;
   tf->codes[17576] = 0x00069975768910d7UL;
   tf->codes[17577] = 0x00069990af04bf6aUL;
   tf->codes[17578] = 0x0006999f52c630aaUL;
   tf->codes[17579] = 0x000699ab37d35caeUL;
   tf->codes[17580] = 0x000699d2555c3745UL;
   tf->codes[17581] = 0x000699e63bf72d38UL;
   tf->codes[17582] = 0x000699fad23f347aUL;
   tf->codes[17583] = 0x00069a008a36c4b7UL;
   tf->codes[17584] = 0x00069a5a6fc6a024UL;
   tf->codes[17585] = 0x00069a5f02f31388UL;
   tf->codes[17586] = 0x00069a6236c5644eUL;
   tf->codes[17587] = 0x00069a82eca99d59UL;
   tf->codes[17588] = 0x00069a8919bf3920UL;
   tf->codes[17589] = 0x00069a8cc2af9570UL;
   tf->codes[17590] = 0x00069ad127bb5287UL;
   tf->codes[17591] = 0x00069adf565eb83dUL;
   tf->codes[17592] = 0x00069aef940951e0UL;
   tf->codes[17593] = 0x00069b05fec9874aUL;
   tf->codes[17594] = 0x00069b1b44be9fdbUL;
   tf->codes[17595] = 0x00069b3b4af5c797UL;
   tf->codes[17596] = 0x00069b44abddb424UL;
   tf->codes[17597] = 0x00069b455b8ac573UL;
   tf->codes[17598] = 0x00069b517b26f73cUL;
   tf->codes[17599] = 0x00069b62687ea22eUL;
   tf->codes[17600] = 0x00069b70d1b10da9UL;
   tf->codes[17601] = 0x00069b8fb31d188cUL;
   tf->codes[17602] = 0x00069b9704fdd12cUL;
   tf->codes[17603] = 0x00069b99c3b21668UL;
   tf->codes[17604] = 0x00069b9c82665ba4UL;
   tf->codes[17605] = 0x00069bbaeeb45afdUL;
   tf->codes[17606] = 0x00069bc11bc9f6c4UL;
   tf->codes[17607] = 0x00069c74373c9c4fUL;
   tf->codes[17608] = 0x00069c759696beedUL;
   tf->codes[17609] = 0x00069c7bfe3b6079UL;
   tf->codes[17610] = 0x00069ce362c1904dUL;
   tf->codes[17611] = 0x00069cede87499b3UL;
   tf->codes[17612] = 0x00069cf2b63012dcUL;
   tf->codes[17613] = 0x00069d011f627e57UL;
   tf->codes[17614] = 0x00069d1247492f0eUL;
   tf->codes[17615] = 0x00069d1d421a43feUL;
   tf->codes[17616] = 0x00069d512eec61adUL;
   tf->codes[17617] = 0x00069d7677fd0e1cUL;
   tf->codes[17618] = 0x00069d913b5ab125UL;
   tf->codes[17619] = 0x00069d9593f81ec4UL;
   tf->codes[17620] = 0x00069db8ce019746UL;
   tf->codes[17621] = 0x00069dc05a7155abUL;
   tf->codes[17622] = 0x00069dc2de969522UL;
   tf->codes[17623] = 0x00069dc7e6e11410UL;
   tf->codes[17624] = 0x00069ddd67653266UL;
   tf->codes[17625] = 0x00069ddda1f4382bUL;
   tf->codes[17626] = 0x00069de47eb6e541UL;
   tf->codes[17627] = 0x00069e0275e6d910UL;
   tf->codes[17628] = 0x00069e1990541fc9UL;
   tf->codes[17629] = 0x00069e38373124e7UL;
   tf->codes[17630] = 0x00069e43320239d7UL;
   tf->codes[17631] = 0x00069e6d48ce5f6fUL;
   tf->codes[17632] = 0x00069e70f1bebbbfUL;
   tf->codes[17633] = 0x00069ec977f4748eUL;
   tf->codes[17634] = 0x00069ecebacdf941UL;
   tf->codes[17635] = 0x00069ed3c318782fUL;
   tf->codes[17636] = 0x00069ee6bf77570eUL;
   tf->codes[17637] = 0x00069f0ae3bce6a4UL;
   tf->codes[17638] = 0x00069f1394f7c1e2UL;
   tf->codes[17639] = 0x00069f356fa717c6UL;
   tf->codes[17640] = 0x00069f35aa361d8bUL;
   tf->codes[17641] = 0x00069f3bd74bb952UL;
   tf->codes[17642] = 0x00069f46226fbcf3UL;
   tf->codes[17643] = 0x00069f5993eca75cUL;
   tf->codes[17644] = 0x00069f6ba60f6f27UL;
   tf->codes[17645] = 0x00069f8ac20a7fcfUL;
   tf->codes[17646] = 0x00069f94d29f7dabUL;
   tf->codes[17647] = 0x00069f9affb51972UL;
   tf->codes[17648] = 0x00069f9cd42d479aUL;
   tf->codes[17649] = 0x00069fe93ac6cea0UL;
   tf->codes[17650] = 0x00069ffa9d3c851cUL;
   tf->codes[17651] = 0x0006a0164ad63f39UL;
   tf->codes[17652] = 0x0006a0c03feffdfcUL;
   tf->codes[17653] = 0x0006a0c4d31c7160UL;
   tf->codes[17654] = 0x0006a0cb00320d27UL;
   tf->codes[17655] = 0x0006a105c9c6d7ecUL;
   tf->codes[17656] = 0x0006a106ee91f4c5UL;
   tf->codes[17657] = 0x0006a14b8e2cb7a1UL;
   tf->codes[17658] = 0x0006a14e1251f718UL;
   tf->codes[17659] = 0x0006a15e8a8b9680UL;
   tf->codes[17660] = 0x0006a16f77e34172UL;
   tf->codes[17661] = 0x0006a1afbee096afUL;
   tf->codes[17662] = 0x0006a1cd0663792fUL;
   tf->codes[17663] = 0x0006a1dfc8335249UL;
   tf->codes[17664] = 0x0006a1ecd20b9b26UL;
   tf->codes[17665] = 0x0006a1f423ec53c6UL;
   tf->codes[17666] = 0x0006a1f757bea48cUL;
   tf->codes[17667] = 0x0006a21a57391749UL;
   tf->codes[17668] = 0x0006a2508da16eaaUL;
   tf->codes[17669] = 0x0006a2543691cafaUL;
   tf->codes[17670] = 0x0006a2697c86e38bUL;
   tf->codes[17671] = 0x0006a274ec760405UL;
   tf->codes[17672] = 0x0006a27cee03cdf4UL;
   tf->codes[17673] = 0x0006a287ae45dd1fUL;
   tf->codes[17674] = 0x0006a28c7c015648UL;
   tf->codes[17675] = 0x0006a291f969e0c0UL;
   tf->codes[17676] = 0x0006a294f2ad2bc1UL;
   tf->codes[17677] = 0x0006a2ba3bbdd830UL;
   tf->codes[17678] = 0x0006a2c2b269ada9UL;
   tf->codes[17679] = 0x0006a2c98f2c5abfUL;
   tf->codes[17680] = 0x0006a2e7c0eb5453UL;
   tf->codes[17681] = 0x0006a2e95ad47cb6UL;
   tf->codes[17682] = 0x0006a2ef87ea187dUL;
   tf->codes[17683] = 0x0006a2f3e087861cUL;
   tf->codes[17684] = 0x0006a31afe1060b3UL;
   tf->codes[17685] = 0x0006a33f2255f049UL;
   tf->codes[17686] = 0x0006a345c489979aUL;
   tf->codes[17687] = 0x0006a34723e3ba38UL;
   tf->codes[17688] = 0x0006a358c0e87679UL;
   tf->codes[17689] = 0x0006a376086b58f9UL;
   tf->codes[17690] = 0x0006a3893f593d9dUL;
   tf->codes[17691] = 0x0006a38bfe0d82d9UL;
   tf->codes[17692] = 0x0006a3e0a0c3d993UL;
   tf->codes[17693] = 0x0006a3ff822fe476UL;
   tf->codes[17694] = 0x0006a412f3accedfUL;
   tf->codes[17695] = 0x0006a41c5494bb6cUL;
   tf->codes[17696] = 0x0006a435437a304dUL;
   tf->codes[17697] = 0x0006a489aba18142UL;
   tf->codes[17698] = 0x0006a48fd8b71d09UL;
   tf->codes[17699] = 0x0006a49ad38831f9UL;
   tf->codes[17700] = 0x0006a4c05727e42dUL;
   tf->codes[17701] = 0x0006a4d9bb2b6498UL;
   tf->codes[17702] = 0x0006a4dadff68171UL;
   tf->codes[17703] = 0x0006a4e2a6f5459bUL;
   tf->codes[17704] = 0x0006a4f1bfd4c265UL;
   tf->codes[17705] = 0x0006a4f3cedbf652UL;
   tf->codes[17706] = 0x0006a4f4f3a7132bUL;
   tf->codes[17707] = 0x0006a50b98f64e5aUL;
   tf->codes[17708] = 0x0006a51bd6a0e7fdUL;
   tf->codes[17709] = 0x0006a527f63d19c6UL;
   tf->codes[17710] = 0x0006a58d4bbc15adUL;
   tf->codes[17711] = 0x0006a5b812354c94UL;
   tf->codes[17712] = 0x0006a5f22c1d060aUL;
   tf->codes[17713] = 0x0006a5f316591d1eUL;
   tf->codes[17714] = 0x0006a617ea4bbe03UL;
   tf->codes[17715] = 0x0006a61b1e1e0ec9UL;
   tf->codes[17716] = 0x0006a6370646ceabUL;
   tf->codes[17717] = 0x0006a65204337779UL;
   tf->codes[17718] = 0x0006a65aeffd587cUL;
   tf->codes[17719] = 0x0006a69c9654d057UL;
   tf->codes[17720] = 0x0006a6c1a4d67701UL;
   tf->codes[17721] = 0x0006a6c96bd53b2bUL;
   tf->codes[17722] = 0x0006a6ca5611523fUL;
   tf->codes[17723] = 0x0006a6ece06db972UL;
   tf->codes[17724] = 0x0006a70c36f7cfdfUL;
   tf->codes[17725] = 0x0006a716bcaad945UL;
   tf->codes[17726] = 0x0006a7181c04fbe3UL;
   tf->codes[17727] = 0x0006a71940d018bcUL;
   tf->codes[17728] = 0x0006a742e27e32caUL;
   tf->codes[17729] = 0x0006a74775aaa62eUL;
   tf->codes[17730] = 0x0006a74a6eedf12fUL;
   tf->codes[17731] = 0x0006a74c43661f57UL;
   tf->codes[17732] = 0x0006a76b99f035c4UL;
   tf->codes[17733] = 0x0006a78622bed308UL;
   tf->codes[17734] = 0x0006a78de9bd9732UL;
   tf->codes[17735] = 0x0006a7be682e5e56UL;
   tf->codes[17736] = 0x0006a7c1d68fb4e1UL;
   tf->codes[17737] = 0x0006a7c335e9d77fUL;
   tf->codes[17738] = 0x0006a7d2143a4e84UL;
   tf->codes[17739] = 0x0006a7da8ae623fdUL;
   tf->codes[17740] = 0x0006a7e6aa8255c6UL;
   tf->codes[17741] = 0x0006a843fe7387beUL;
   tf->codes[17742] = 0x0006a8473245d884UL;
   tf->codes[17743] = 0x0006a85560e93e3aUL;
   tf->codes[17744] = 0x0006a86d65929c07UL;
   tf->codes[17745] = 0x0006a8768beb82cfUL;
   tf->codes[17746] = 0x0006a87da33d35aaUL;
   tf->codes[17747] = 0x0006a88b9751959bUL;
   tf->codes[17748] = 0x0006a8d245f38c64UL;
   tf->codes[17749] = 0x0006a8e3e2f848a5UL;
   tf->codes[17750] = 0x0006a8fb72839ae8UL;
   tf->codes[17751] = 0x0006a900efec2560UL;
   tf->codes[17752] = 0x0006a9396feab673UL;
   tf->codes[17753] = 0x0006a9425bb49776UL;
   tf->codes[17754] = 0x0006a96819e34f6fUL;
   tf->codes[17755] = 0x0006a97f6edf9bedUL;
   tf->codes[17756] = 0x0006a98e87bf18b7UL;
   tf->codes[17757] = 0x0006a98fe7193b55UL;
   tf->codes[17758] = 0x0006a9d98efe7d1fUL;
   tf->codes[17759] = 0x0006a9dbd894b6d1UL;
   tf->codes[17760] = 0x0006a9de222af083UL;
   tf->codes[17761] = 0x0006a9ded1d801d2UL;
   tf->codes[17762] = 0x0006a9e4feed9d99UL;
   tf->codes[17763] = 0x0006a9f1ce36e0b1UL;
   tf->codes[17764] = 0x0006aa01d152748fUL;
   tf->codes[17765] = 0x0006aa3c6058398fUL;
   tf->codes[17766] = 0x0006aa3fceb9901aUL;
   tf->codes[17767] = 0x0006aa960b590f37UL;
   tf->codes[17768] = 0x0006aa9f6c40fbc4UL;
   tf->codes[17769] = 0x0006aab4ecc51a1aUL;
   tf->codes[17770] = 0x0006aac10c614be3UL;
   tf->codes[17771] = 0x0006aaccb6df7222UL;
   tf->codes[17772] = 0x0006aadfb33e5101UL;
   tf->codes[17773] = 0x0006aae9fe6254a2UL;
   tf->codes[17774] = 0x0006aaeb232d717bUL;
   tf->codes[17775] = 0x0006aafcc0322dbcUL;
   tf->codes[17776] = 0x0006ab09ca0a7699UL;
   tf->codes[17777] = 0x0006ab48771ea373UL;
   tf->codes[17778] = 0x0006ab6f1f897280UL;
   tf->codes[17779] = 0x0006ab746262f733UL;
   tf->codes[17780] = 0x0006ab7beed2b598UL;
   tf->codes[17781] = 0x0006ab83b5d179c2UL;
   tf->codes[17782] = 0x0006abba9be6e272UL;
   tf->codes[17783] = 0x0006abcbc3cd9329UL;
   tf->codes[17784] = 0x0006abea301b9282UL;
   tf->codes[17785] = 0x0006abf0d24f39d3UL;
   tf->codes[17786] = 0x0006abf440b0905eUL;
   tf->codes[17787] = 0x0006abfc07af5488UL;
   tf->codes[17788] = 0x0006ac1063685605UL;
   tf->codes[17789] = 0x0006ac2b9be40498UL;
   tf->codes[17790] = 0x0006ac3e9842e377UL;
   tf->codes[17791] = 0x0006ac4b678c268fUL;
   tf->codes[17792] = 0x0006ac54c874131cUL;
   tf->codes[17793] = 0x0006ac5627ce35baUL;
   tf->codes[17794] = 0x0006ac7000efc1afUL;
   tf->codes[17795] = 0x0006ac7334c21275UL;
   tf->codes[17796] = 0x0006ac845ca8c32cUL;
   tf->codes[17797] = 0x0006ac892a643c55UL;
   tf->codes[17798] = 0x0006ac8f1cead257UL;
   tf->codes[17799] = 0x0006acd30cd883e4UL;
   tf->codes[17800] = 0x0006ace8c7eba7ffUL;
   tf->codes[17801] = 0x0006ad16c2372facUL;
   tf->codes[17802] = 0x0006ad1aa5b691c1UL;
   tf->codes[17803] = 0x0006ad3a715eb3b8UL;
   tf->codes[17804] = 0x0006ad414e2160ceUL;
   tf->codes[17805] = 0x0006ad42385d77e2UL;
   tf->codes[17806] = 0x0006ad54fa2d50fcUL;
   tf->codes[17807] = 0x0006ad5ff4fe65ecUL;
   tf->codes[17808] = 0x0006ad657266f064UL;
   tf->codes[17809] = 0x0006ad68a639412aUL;
   tf->codes[17810] = 0x0006ad753af37e7dUL;
   tf->codes[17811] = 0x0006ad7749fab26aUL;
   tf->codes[17812] = 0x0006ad8ffe512186UL;
   tf->codes[17813] = 0x0006ad91d2c94faeUL;
   tf->codes[17814] = 0x0006ad95f0d7b788UL;
   tf->codes[17815] = 0x0006ad9ba8cf47c5UL;
   tf->codes[17816] = 0x0006adac5b97ecf2UL;
   tf->codes[17817] = 0x0006adb806161331UL;
   tf->codes[17818] = 0x0006adc5fa2a7322UL;
   tf->codes[17819] = 0x0006add30402bbffUL;
   tf->codes[17820] = 0x0006ade79a4ac341UL;
   tf->codes[17821] = 0x0006adef26ba81a6UL;
   tf->codes[17822] = 0x0006adf30a39e3bbUL;
   tf->codes[17823] = 0x0006adfca5b0d60dUL;
   tf->codes[17824] = 0x0006ae44b3acef74UL;
   tf->codes[17825] = 0x0006ae4b1b519100UL;
   tf->codes[17826] = 0x0006ae57005ebd04UL;
   tf->codes[17827] = 0x0006ae5c433841b7UL;
   tf->codes[17828] = 0x0006ae640a3705e1UL;
   tf->codes[17829] = 0x0006ae761c59cdacUL;
   tf->codes[17830] = 0x0006ae8918b8ac8bUL;
   tf->codes[17831] = 0x0006ae97bc7a1dcbUL;
   tf->codes[17832] = 0x0006ae98a6b634dfUL;
   tf->codes[17833] = 0x0006aea27cbc2cf6UL;
   tf->codes[17834] = 0x0006aea5b08e7dbcUL;
   tf->codes[17835] = 0x0006aeb48edef4c1UL;
   tf->codes[17836] = 0x0006aec8b008f079UL;
   tf->codes[17837] = 0x0006aecea28f867bUL;
   tf->codes[17838] = 0x0006aee66ca9de83UL;
   tf->codes[17839] = 0x0006aeeee355b3fcUL;
   tf->codes[17840] = 0x0006af0f5eaae742UL;
   tf->codes[17841] = 0x0006af14dc1371baUL;
   tf->codes[17842] = 0x0006af3dce147a79UL;
   tf->codes[17843] = 0x0006af4e464e19e1UL;
   tf->codes[17844] = 0x0006af681f6fa5d6UL;
   tf->codes[17845] = 0x0006af8a6f3d0744UL;
   tf->codes[17846] = 0x0006afb3d65c1b8dUL;
   tf->codes[17847] = 0x0006afc0a5a55ea5UL;
   tf->codes[17848] = 0x0006afc39ee8a9a6UL;
   tf->codes[17849] = 0x0006afc7bcf71180UL;
   tf->codes[17850] = 0x0006aff96032f57dUL;
   tf->codes[17851] = 0x0006b04308183747UL;
   tf->codes[17852] = 0x0006b05ad2328f4fUL;
   tf->codes[17853] = 0x0006b05bbc6ea663UL;
   tf->codes[17854] = 0x0006b06d1ee45cdfUL;
   tf->codes[17855] = 0x0006b07470c5157fUL;
   tf->codes[17856] = 0x0006b07fe0b435f9UL;
   tf->codes[17857] = 0x0006b088cc7e16fcUL;
   tf->codes[17858] = 0x0006b09526a94e8aUL;
   tf->codes[17859] = 0x0006b0b26e2c310aUL;
   tf->codes[17860] = 0x0006b0b442a45f32UL;
   tf->codes[17861] = 0x0006b0cc474dbcffUL;
   tf->codes[17862] = 0x0006b0dece8e9054UL;
   tf->codes[17863] = 0x0006b13f56521312UL;
   tf->codes[17864] = 0x0006b145bdf6b49eUL;
   tf->codes[17865] = 0x0006b153025e0340UL;
   tf->codes[17866] = 0x0006b17293771f72UL;
   tf->codes[17867] = 0x0006b18e0681d3caUL;
   tf->codes[17868] = 0x0006b1f2e6e2c427UL;
   tf->codes[17869] = 0x0006b24330fbad42UL;
   tf->codes[17870] = 0x0006b250ea81076eUL;
   tf->codes[17871] = 0x0006b25ac086ff85UL;
   tf->codes[17872] = 0x0006b25d44ac3efcUL;
   tf->codes[17873] = 0x0006b29b42135a87UL;
   tf->codes[17874] = 0x0006b2c976ede7f9UL;
   tf->codes[17875] = 0x0006b2ca9bb904d2UL;
   tf->codes[17876] = 0x0006b2da644592ebUL;
   tf->codes[17877] = 0x0006b2e265d35cdaUL;
   tf->codes[17878] = 0x0006b2f3c8491356UL;
   tf->codes[17879] = 0x0006b3465bf83623UL;
   tf->codes[17880] = 0x0006b356d431d58bUL;
   tf->codes[17881] = 0x0006b36b2fead708UL;
   tf->codes[17882] = 0x0006b37d420d9ed3UL;
   tf->codes[17883] = 0x0006b37f8ba3d885UL;
   tf->codes[17884] = 0x0006b3866866859bUL;
   tf->codes[17885] = 0x0006b39c9897b540UL;
   tf->codes[17886] = 0x0006b3ae359c7181UL;
   tf->codes[17887] = 0x0006b3be38b8055fUL;
   tf->codes[17888] = 0x0006b3cca1ea70daUL;
   tf->codes[17889] = 0x0006b3f1eafb1d49UL;
   tf->codes[17890] = 0x0006b40a9f518c65UL;
   tf->codes[17891] = 0x0006b40c73c9ba8dUL;
   tf->codes[17892] = 0x0006b40f327dffc9UL;
   tf->codes[17893] = 0x0006b437af60fcfeUL;
   tf->codes[17894] = 0x0006b4452e575165UL;
   tf->codes[17895] = 0x0006b45c83539de3UL;
   tf->codes[17896] = 0x0006b469180ddb36UL;
   tf->codes[17897] = 0x0006b46f7fb27cc2UL;
   tf->codes[17898] = 0x0006b47b2a30a301UL;
   tf->codes[17899] = 0x0006b48206f35017UL;
   tf->codes[17900] = 0x0006b4b9d744cfdbUL;
   tf->codes[17901] = 0x0006b4df5ae4820fUL;
   tf->codes[17902] = 0x0006b4e7d1905788UL;
   tf->codes[17903] = 0x0006b50e3f6c20d0UL;
   tf->codes[17904] = 0x0006b51bf8f17afcUL;
   tf->codes[17905] = 0x0006b53caed5b407UL;
   tf->codes[17906] = 0x0006b53fe2a804cdUL;
   tf->codes[17907] = 0x0006b541b72032f5UL;
   tf->codes[17908] = 0x0006b54ec0f87bd2UL;
   tf->codes[17909] = 0x0006b54f3616875cUL;
   tf->codes[17910] = 0x0006b55c3feed039UL;
   tf->codes[17911] = 0x0006b5656647b701UL;
   tf->codes[17912] = 0x0006b575a3f250a4UL;
   tf->codes[17913] = 0x0006b578d7c4a16aUL;
   tf->codes[17914] = 0x0006b58531efd8f8UL;
   tf->codes[17915] = 0x0006b5af48bbfe90UL;
   tf->codes[17916] = 0x0006b5ba438d1380UL;
   tf->codes[17917] = 0x0006b5cccacde6d5UL;
   tf->codes[17918] = 0x0006b5dc935a74eeUL;
   tf->codes[17919] = 0x0006b6133ee0d7d9UL;
   tf->codes[17920] = 0x0006b6175cef3fb3UL;
   tf->codes[17921] = 0x0006b64fdcedd0c6UL;
   tf->codes[17922] = 0x0006b650520bdc50UL;
   tf->codes[17923] = 0x0006b66caf52a7bcUL;
   tf->codes[17924] = 0x0006b68b90beb29fUL;
   tf->codes[17925] = 0x0006b6baafd55725UL;
   tf->codes[17926] = 0x0006b6baea645ceaUL;
   tf->codes[17927] = 0x0006b6cb629dfc52UL;
   tf->codes[17928] = 0x0006b6dba04895f5UL;
   tf->codes[17929] = 0x0006b6e7fa73cd83UL;
   tf->codes[17930] = 0x0006b6ec1882355dUL;
   tf->codes[17931] = 0x0006b6fa81b4a0d8UL;
   tf->codes[17932] = 0x0006b6fb6bf0b7ecUL;
   tf->codes[17933] = 0x0006b74bf098a6ccUL;
   tf->codes[17934] = 0x0006b758bfe1e9e4UL;
   tf->codes[17935] = 0x0006b75e02bb6e97UL;
   tf->codes[17936] = 0x0006b76972aa8f11UL;
   tf->codes[17937] = 0x0006b7955deee2d1UL;
   tf->codes[17938] = 0x0006b79d9a0bb285UL;
   tf->codes[17939] = 0x0006b7b9bcc3782cUL;
   tf->codes[17940] = 0x0006b7cf77d69c47UL;
   tf->codes[17941] = 0x0006b808a7823ea9UL;
   tf->codes[17942] = 0x0006b81c8e1d349cUL;
   tf->codes[17943] = 0x0006b84b3815cd98UL;
   tf->codes[17944] = 0x0006b85423dfae9bUL;
   tf->codes[17945] = 0x0006b854d38cbfeaUL;
   tf->codes[17946] = 0x0006b855f857dcc3UL;
   tf->codes[17947] = 0x0006b856e293f3d7UL;
   tf->codes[17948] = 0x0006b86426fb4279UL;
   tf->codes[17949] = 0x0006b873ef87d092UL;
   tf->codes[17950] = 0x0006b88c2ec03424UL;
   tf->codes[17951] = 0x0006b89dcbc4f065UL;
   tf->codes[17952] = 0x0006b8b29c9bfd6cUL;
   tf->codes[17953] = 0x0006b8e3902ad01aUL;
   tf->codes[17954] = 0x0006b8ec7bf4b11dUL;
   tf->codes[17955] = 0x0006b918673904ddUL;
   tf->codes[17956] = 0x0006b95b325b9991UL;
   tf->codes[17957] = 0x0006b96c1fb34483UL;
   tf->codes[17958] = 0x0006b98967362703UL;
   tf->codes[17959] = 0x0006b98a51723e17UL;
   tf->codes[17960] = 0x0006b98c60797204UL;
   tf->codes[17961] = 0x0006b98dfa629a67UL;
   tf->codes[17962] = 0x0006b9c6b4f0313fUL;
   tf->codes[17963] = 0x0006b9d2d48c6308UL;
   tf->codes[17964] = 0x0006b9da60fc216dUL;
   tf->codes[17965] = 0x0006b9f683b3e714UL;
   tf->codes[17966] = 0x0006b9faa1c24eeeUL;
   tf->codes[17967] = 0x0006b9fd9b0599efUL;
   tf->codes[17968] = 0x0006ba12e0fab280UL;
   tf->codes[17969] = 0x0006ba1e8b78d8bfUL;
   tf->codes[17970] = 0x0006ba36cab13c51UL;
   tf->codes[17971] = 0x0006ba373fcf47dbUL;
   tf->codes[17972] = 0x0006ba45e390b91bUL;
   tf->codes[17973] = 0x0006ba62b5f59011UL;
   tf->codes[17974] = 0x0006ba75ece374b5UL;
   tf->codes[17975] = 0x0006bacc9ea0ff5cUL;
   tf->codes[17976] = 0x0006bad5c4f9e624UL;
   tf->codes[17977] = 0x0006bb2c3c286b06UL;
   tf->codes[17978] = 0x0006bb35d79f5d58UL;
   tf->codes[17979] = 0x0006bb547e7c6276UL;
   tf->codes[17980] = 0x0006bb5b95ce1551UL;
   tf->codes[17981] = 0x0006bb82ede5f5adUL;
   tf->codes[17982] = 0x0006bb9a42e2422bUL;
   tf->codes[17983] = 0x0006bbdc5e57c590UL;
   tf->codes[17984] = 0x0006bbf0ba10c70dUL;
   tf->codes[17985] = 0x0006bbf796d37423UL;
   tf->codes[17986] = 0x0006bc0f9b7cd1f0UL;
   tf->codes[17987] = 0x0006bc8653718453UL;
   tf->codes[17988] = 0x0006bc977b58350aUL;
   tf->codes[17989] = 0x0006bcca08d0301bUL;
   tf->codes[17990] = 0x0006bd0cd3f2c4cfUL;
   tf->codes[17991] = 0x0006bd17cec3d9bfUL;
   tf->codes[17992] = 0x0006bd3f26dbba1bUL;
   tf->codes[17993] = 0x0006bd4c30b402f8UL;
   tf->codes[17994] = 0x0006bdb40a583e56UL;
   tf->codes[17995] = 0x0006bdb52f235b2fUL;
   tf->codes[17996] = 0x0006bdd0dcbd154cUL;
   tf->codes[17997] = 0x0006bdda7834079eUL;
   tf->codes[17998] = 0x0006bdee243ff7ccUL;
   tf->codes[17999] = 0x0006bdf834d4f5a8UL;
   tf->codes[18000] = 0x0006bdffc144b40dUL;
   tf->codes[18001] = 0x0006be16dbb1fac6UL;
   tf->codes[18002] = 0x0006be8766911162UL;
   tf->codes[18003] = 0x0006be9a2860ea7cUL;
   tf->codes[18004] = 0x0006be9d5c333b42UL;
   tf->codes[18005] = 0x0006bec38f7ffec5UL;
   tf->codes[18006] = 0x0006bec3ca0f048aUL;
   tf->codes[18007] = 0x0006bed407b99e2dUL;
   tf->codes[18008] = 0x0006bedc43d66de1UL;
   tf->codes[18009] = 0x0006bef1fee991fcUL;
   tf->codes[18010] = 0x0006bef7b6e12239UL;
   tf->codes[18011] = 0x0006bef98b595061UL;
   tf->codes[18012] = 0x0006bf445809af04UL;
   tf->codes[18013] = 0x0006bf50b234e692UL;
   tf->codes[18014] = 0x0006bf624f39a2d3UL;
   tf->codes[18015] = 0x0006bf73ec3e5f14UL;
   tf->codes[18016] = 0x0006bf89a751832fUL;
   tf->codes[18017] = 0x0006bf8b7bc9b157UL;
   tf->codes[18018] = 0x0006bfbb0ffe6167UL;
   tf->codes[18019] = 0x0006bfc4e604597eUL;
   tf->codes[18020] = 0x0006bfcd973f34bcUL;
   tf->codes[18021] = 0x0006bfd314a7bf34UL;
   tf->codes[18022] = 0x0006bfdfe3f1024cUL;
   tf->codes[18023] = 0x0006bfe108bc1f25UL;
   tf->codes[18024] = 0x0006bfecb33a4564UL;
   tf->codes[18025] = 0x0006bfecedc94b29UL;
   tf->codes[18026] = 0x0006c01ecb9434ebUL;
   tf->codes[18027] = 0x0006c04623ac1547UL;
   tf->codes[18028] = 0x0006c05243484710UL;
   tf->codes[18029] = 0x0006c05d3e195c00UL;
   tf->codes[18030] = 0x0006c0e7a219fe91UL;
   tf->codes[18031] = 0x0006c0f4abf2476eUL;
   tf->codes[18032] = 0x0006c11cee463edeUL;
   tf->codes[18033] = 0x0006c197fed85ee0UL;
   tf->codes[18034] = 0x0006c19e2bedfaa7UL;
   tf->codes[18035] = 0x0006c1cf5a0bd31aUL;
   tf->codes[18036] = 0x0006c1d28dde23e0UL;
   tf->codes[18037] = 0x0006c1f9ab66fe77UL;
   tf->codes[18038] = 0x0006c20ce254e31bUL;
   tf->codes[18039] = 0x0006c24e88ac5af6UL;
   tf->codes[18040] = 0x0006c25c7cc0bae7UL;
   tf->codes[18041] = 0x0006c2794f2591ddUL;
   tf->codes[18042] = 0x0006c2986b20a285UL;
   tf->codes[18043] = 0x0006c299555cb999UL;
   tf->codes[18044] = 0x0006c29e98363e4cUL;
   tf->codes[18045] = 0x0006c2dc207f4e4dUL;
   tf->codes[18046] = 0x0006c3030379231fUL;
   tf->codes[18047] = 0x0006c32518b77ec8UL;
   tf->codes[18048] = 0x0006c344a9d09afaUL;
   tf->codes[18049] = 0x0006c34a27392572UL;
   tf->codes[18050] = 0x0006c34fdf30b5afUL;
   tf->codes[18051] = 0x0006c391faa63914UL;
   tf->codes[18052] = 0x0006c3fedc94f360UL;
   tf->codes[18053] = 0x0006c4057ec89ab1UL;
   tf->codes[18054] = 0x0006c40e6a927bb4UL;
   tf->codes[18055] = 0x0006c41497a8177bUL;
   tf->codes[18056] = 0x0006c418409873cbUL;
   tf->codes[18057] = 0x0006c4558e527e07UL;
   tf->codes[18058] = 0x0006c45a969cfcf5UL;
   tf->codes[18059] = 0x0006c45e04fe5380UL;
   tf->codes[18060] = 0x0006c45f9ee77be3UL;
   tf->codes[18061] = 0x0006c4638266ddf8UL;
   tf->codes[18062] = 0x0006c47ce66a5e63UL;
   tf->codes[18063] = 0x0006c48e836f1aa4UL;
   tf->codes[18064] = 0x0006c4960fded909UL;
   tf->codes[18065] = 0x0006c49e868aae82UL;
   tf->codes[18066] = 0x0006c4ceca6c6fe1UL;
   tf->codes[18067] = 0x0006c4da3a5b905bUL;
   tf->codes[18068] = 0x0006c4e02ce2265dUL;
   tf->codes[18069] = 0x0006c50784fa06b9UL;
   tf->codes[18070] = 0x0006c541d970c5f4UL;
   tf->codes[18071] = 0x0006c55426229384UL;
   tf->codes[18072] = 0x0006c5554aedb05dUL;
   tf->codes[18073] = 0x0006c555fa9ac1acUL;
   tf->codes[18074] = 0x0006c561dfa7edb0UL;
   tf->codes[18075] = 0x0006c565fdb6558aUL;
   tf->codes[18076] = 0x0006c56cda7902a0UL;
   tf->codes[18077] = 0x0006c5796f333ff3UL;
   tf->codes[18078] = 0x0006c57ca30590b9UL;
   tf->codes[18079] = 0x0006c59f67f0fdb1UL;
   tf->codes[18080] = 0x0006c5b9b6309530UL;
   tf->codes[18081] = 0x0006c5c97ebd2349UL;
   tf->codes[18082] = 0x0006c605328e0522UL;
   tf->codes[18083] = 0x0006c60e1e57e625UL;
   tf->codes[18084] = 0x0006c6177f3fd2b2UL;
   tf->codes[18085] = 0x0006c618de99f550UL;
   tf->codes[18086] = 0x0006c61c126c4616UL;
   tf->codes[18087] = 0x0006c6536d9fba50UL;
   tf->codes[18088] = 0x0006c6678ec9b608UL;
   tf->codes[18089] = 0x0006c6c7dbfe3301UL;
   tf->codes[18090] = 0x0006c714b7b5c591UL;
   tf->codes[18091] = 0x0006c750e0a4b2f4UL;
   tf->codes[18092] = 0x0006c77ea06134dcUL;
   tf->codes[18093] = 0x0006c7999e4dddaaUL;
   tf->codes[18094] = 0x0006c79f90d473acUL;
   tf->codes[18095] = 0x0006c7bd12e65bf1UL;
   tf->codes[18096] = 0x0006c7c6e8ec5408UL;
   tf->codes[18097] = 0x0006c7f72cce1567UL;
   tf->codes[18098] = 0x0006c7fa26116068UL;
   tf->codes[18099] = 0x0006c80645ad9231UL;
   tf->codes[18100] = 0x0006c84826940fd1UL;
   tf->codes[18101] = 0x0006c84aaab94f48UL;
   tf->codes[18102] = 0x0006c86daa33c205UL;
   tf->codes[18103] = 0x0006c87745aab457UL;
   tf->codes[18104] = 0x0006c8cc22f010d6UL;
   tf->codes[18105] = 0x0006c8cd824a3374UL;
   tf->codes[18106] = 0x0006c8e96a72f356UL;
   tf->codes[18107] = 0x0006c906ec84db9bUL;
   tf->codes[18108] = 0x0006c90bf4cf5a89UL;
   tf->codes[18109] = 0x0006c91ad31fd18eUL;
   tf->codes[18110] = 0x0006c91d57451105UL;
   tf->codes[18111] = 0x0006c94d6097cc9fUL;
   tf->codes[18112] = 0x0006c959f55209f2UL;
   tf->codes[18113] = 0x0006c97e54269f4dUL;
   tf->codes[18114] = 0x0006c98272350727UL;
   tf->codes[18115] = 0x0006c98c82ca0503UL;
   tf->codes[18116] = 0x0006c9956e93e606UL;
   tf->codes[18117] = 0x0006c9cc8f38547bUL;
   tf->codes[18118] = 0x0006c9d490c61e6aUL;
   tf->codes[18119] = 0x0006c9d714eb5de1UL;
   tf->codes[18120] = 0x0006c9dba817d145UL;
   tf->codes[18121] = 0x0006c9de66cc1681UL;
   tf->codes[18122] = 0x0006c9eb36155999UL;
   tf->codes[18123] = 0x0006c9f078eede4cUL;
   tf->codes[18124] = 0x0006ca03754dbd2bUL;
   tf->codes[18125] = 0x0006ca04d4a7dfc9UL;
   tf->codes[18126] = 0x0006ca237b84e4e7UL;
   tf->codes[18127] = 0x0006ca4c32f6e7e1UL;
   tf->codes[18128] = 0x0006ca97e9e35d98UL;
   tf->codes[18129] = 0x0006cabda8121591UL;
   tf->codes[18130] = 0x0006cacff4c3e321UL;
   tf->codes[18131] = 0x0006cad3289633e7UL;
   tf->codes[18132] = 0x0006cadbd9d10f25UL;
   tf->codes[18133] = 0x0006cade98855461UL;
   tf->codes[18134] = 0x0006cb4cd9ce314bUL;
   tf->codes[18135] = 0x0006cb521ca7b5feUL;
   tf->codes[18136] = 0x0006cb6b80ab3669UL;
   tf->codes[18137] = 0x0006cb901a0ed189UL;
   tf->codes[18138] = 0x0006cb9e48b2373fUL;
   tf->codes[18139] = 0x0006cbc824ef5712UL;
   tf->codes[18140] = 0x0006cbdd6ae46fa3UL;
   tf->codes[18141] = 0x0006cbfa02ba40d4UL;
   tf->codes[18142] = 0x0006cbfdabaa9d24UL;
   tf->codes[18143] = 0x0006cc14c617e3ddUL;
   tf->codes[18144] = 0x0006cc153b35ef67UL;
   tf->codes[18145] = 0x0006cc45f435bc50UL;
   tf->codes[18146] = 0x0006cc5e336e1fe2UL;
   tf->codes[18147] = 0x0006cc6dfbfaadfbUL;
   tf->codes[18148] = 0x0006cc6e3689b3c0UL;
   tf->codes[18149] = 0x0006cc733ed432aeUL;
   tf->codes[18150] = 0x0006cc7a5625e589UL;
   tf->codes[18151] = 0x0006cc88f9e756c9UL;
   tf->codes[18152] = 0x0006cc9a96ec130aUL;
   tf->codes[18153] = 0x0006ccc81c198f2dUL;
   tf->codes[18154] = 0x0006ccccaf460291UL;
   tf->codes[18155] = 0x0006cce6134982fcUL;
   tf->codes[18156] = 0x0006ccf357b0d19eUL;
   tf->codes[18157] = 0x0006cd1cbecfe5e7UL;
   tf->codes[18158] = 0x0006cd2f809fbf01UL;
   tf->codes[18159] = 0x0006cd3c1559fc54UL;
   tf->codes[18160] = 0x0006cd4416e7c643UL;
   tf->codes[18161] = 0x0006cd75f4b2b005UL;
   tf->codes[18162] = 0x0006cd7a12c117dfUL;
   tf->codes[18163] = 0x0006cd7f9029a257UL;
   tf->codes[18164] = 0x0006cdc6b3e9a4aaUL;
   tf->codes[18165] = 0x0006cdd9b0488389UL;
   tf->codes[18166] = 0x0006cddb0fa2a627UL;
   tf->codes[18167] = 0x0006cdf7a7787758UL;
   tf->codes[18168] = 0x0006cdfcea51fc0bUL;
   tf->codes[18169] = 0x0006ce1f3a1f5d79UL;
   tf->codes[18170] = 0x0006ce58a45a05a0UL;
   tf->codes[18171] = 0x0006ce5de7338a53UL;
   tf->codes[18172] = 0x0006ce5ed16fa167UL;
   tf->codes[18173] = 0x0006ce8c1c0e17c5UL;
   tf->codes[18174] = 0x0006ce92be41bf16UL;
   tf->codes[18175] = 0x0006cebd4a2bf038UL;
   tf->codes[18176] = 0x0006cebf1ea41e60UL;
   tf->codes[18177] = 0x0006cec969c82201UL;
   tf->codes[18178] = 0x0006ceceaca1a6b4UL;
   tf->codes[18179] = 0x0006cef9731add9bUL;
   tf->codes[18180] = 0x0006cf025ee4be9eUL;
   tf->codes[18181] = 0x0006cf1819f7e2b9UL;
   tf->codes[18182] = 0x0006cf55a240f2baUL;
   tf->codes[18183] = 0x0006cf6da6ea5087UL;
   tf->codes[18184] = 0x0006cfdac3681098UL;
   tf->codes[18185] = 0x0006cfdd821c55d4UL;
   tf->codes[18186] = 0x0006cffe728f94a4UL;
   tf->codes[18187] = 0x0006d0075e5975a7UL;
   tf->codes[18188] = 0x0006d00e3b1c22bdUL;
   tf->codes[18189] = 0x0006d047dfe5d0a9UL;
   tf->codes[18190] = 0x0006d04e478a7235UL;
   tf->codes[18191] = 0x0006d04ef7378384UL;
   tf->codes[18192] = 0x0006d0601f1e343bUL;
   tf->codes[18193] = 0x0006d071f6b1f641UL;
   tf->codes[18194] = 0x0006d072a65f0790UL;
   tf->codes[18195] = 0x0006d07ec5fb3959UL;
   tf->codes[18196] = 0x0006d0c0a6e1b6f9UL;
   tf->codes[18197] = 0x0006d0d27e7578ffUL;
   tf->codes[18198] = 0x0006d1071af4a7fdUL;
   tf->codes[18199] = 0x0006d14d5478933cUL;
   tf->codes[18200] = 0x0006d1755c3d84e7UL;
   tf->codes[18201] = 0x0006d1dab1bc80ceUL;
   tf->codes[18202] = 0x0006d1ee985776c1UL;
   tf->codes[18203] = 0x0006d1fa0846973bUL;
   tf->codes[18204] = 0x0006d2183a0590cfUL;
   tf->codes[18205] = 0x0006d243b02bd905UL;
   tf->codes[18206] = 0x0006d24b3c9b976aUL;
   tf->codes[18207] = 0x0006d270108e384fUL;
   tf->codes[18208] = 0x0006d2725a247201UL;
   tf->codes[18209] = 0x0006d279e6943066UL;
   tf->codes[18210] = 0x0006d2de51d71539UL;
   tf->codes[18211] = 0x0006d2e1c0386bc4UL;
   tf->codes[18212] = 0x0006d2e912192464UL;
   tf->codes[18213] = 0x0006d2f322ae2240UL;
   tf->codes[18214] = 0x0006d31537ec7de9UL;
   tf->codes[18215] = 0x0006d31955fae5c3UL;
   tf->codes[18216] = 0x0006d3383766f0a6UL;
   tf->codes[18217] = 0x0006d35c963b8601UL;
   tf->codes[18218] = 0x0006d36d0e752569UL;
   tf->codes[18219] = 0x0006d36dbe2236b8UL;
   tf->codes[18220] = 0x0006d389a64af69aUL;
   tf->codes[18221] = 0x0006d394dbab114fUL;
   tf->codes[18222] = 0x0006d3c72e94069bUL;
   tf->codes[18223] = 0x0006d3cbfc4f7fc4UL;
   tf->codes[18224] = 0x0006d3d08f7bf328UL;
   tf->codes[18225] = 0x0006d3e8942550f5UL;
   tf->codes[18226] = 0x0006d4039211f9c3UL;
   tf->codes[18227] = 0x0006d4907a37dbcbUL;
   tf->codes[18228] = 0x0006d49f588852d0UL;
   tf->codes[18229] = 0x0006d4bc657c2f8bUL;
   tf->codes[18230] = 0x0006d4cb43cca690UL;
   tf->codes[18231] = 0x0006d4d9acff120bUL;
   tf->codes[18232] = 0x0006d4dce0d162d1UL;
   tf->codes[18233] = 0x0006d4e5920c3e0fUL;
   tf->codes[18234] = 0x0006d5001adadb53UL;
   tf->codes[18235] = 0x0006d53407acf902UL;
   tf->codes[18236] = 0x0006d54828d6f4baUL;
   tf->codes[18237] = 0x0006d56dac76a6eeUL;
   tf->codes[18238] = 0x0006d58a444c781fUL;
   tf->codes[18239] = 0x0006d58c18c4a647UL;
   tf->codes[18240] = 0x0006d591962d30bfUL;
   tf->codes[18241] = 0x0006d59fc4d09675UL;
   tf->codes[18242] = 0x0006d5bdf68f9009UL;
   tf->codes[18243] = 0x0006d5d252489186UL;
   tf->codes[18244] = 0x0006d6108a3eb2d6UL;
   tf->codes[18245] = 0x0006d65cb6493417UL;
   tf->codes[18246] = 0x0006d666c6de31f3UL;
   tf->codes[18247] = 0x0006d68f43c12f28UL;
   tf->codes[18248] = 0x0006d69152c86315UL;
   tf->codes[18249] = 0x0006d6ba0a3a660fUL;
   tf->codes[18250] = 0x0006d6cb322116c6UL;
   tf->codes[18251] = 0x0006d6dccf25d307UL;
   tf->codes[18252] = 0x0006d74642b336c8UL;
   tf->codes[18253] = 0x0006d74b4afdb5b6UL;
   tf->codes[18254] = 0x0006d7647472305cUL;
   tf->codes[18255] = 0x0006d76b8bc3e337UL;
   tf->codes[18256] = 0x0006d777ab601500UL;
   tf->codes[18257] = 0x0006d7cf4759b6bbUL;
   tf->codes[18258] = 0x0006d7d2409d01bcUL;
   tf->codes[18259] = 0x0006d7e69c560339UL;
   tf->codes[18260] = 0x0006d7f6da009cdcUL;
   tf->codes[18261] = 0x0006d80d44c0d246UL;
   tf->codes[18262] = 0x0006d8150bbf9670UL;
   tf->codes[18263] = 0x0006d83218b3732bUL;
   tf->codes[18264] = 0x0006d841a6b0fb7fUL;
   tf->codes[18265] = 0x0006d87c35b6c07fUL;
   tf->codes[18266] = 0x0006d87e44bdf46cUL;
   tf->codes[18267] = 0x0006d89efaa22d77UL;
   tf->codes[18268] = 0x0006d8c443b2d9e6UL;
   tf->codes[18269] = 0x0006d8db98af2664UL;
   tf->codes[18270] = 0x0006d8dc485c37b3UL;
   tf->codes[18271] = 0x0006d8e5342618b6UL;
   tf->codes[18272] = 0x0006d8f23dfe6193UL;
   tf->codes[18273] = 0x0006d8f9ca6e1ff8UL;
   tf->codes[18274] = 0x0006d910e4db66b1UL;
   tf->codes[18275] = 0x0006d91a80525903UL;
   tf->codes[18276] = 0x0006d91c1a3b8166UL;
   tf->codes[18277] = 0x0006d93bab549d98UL;
   tf->codes[18278] = 0x0006d94212f93f24UL;
   tf->codes[18279] = 0x0006d953ea8d012aUL;
   tf->codes[18280] = 0x0006d96fd2b5c10cUL;
   tf->codes[18281] = 0x0006d98259f69461UL;
   tf->codes[18282] = 0x0006d9984f98be41UL;
   tf->codes[18283] = 0x0006d9c9b8459c79UL;
   tf->codes[18284] = 0x0006d9dd9ee0926cUL;
   tf->codes[18285] = 0x0006da14fa1406a6UL;
   tf->codes[18286] = 0x0006da1d3630d65aUL;
   tf->codes[18287] = 0x0006da3ffb1c4352UL;
   tf->codes[18288] = 0x0006da4453b9b0f1UL;
   tf->codes[18289] = 0x0006da4a464046f3UL;
   tf->codes[18290] = 0x0006da5038c6dcf5UL;
   tf->codes[18291] = 0x0006da9c9f6063fbUL;
   tf->codes[18292] = 0x0006da9e73d89223UL;
   tf->codes[18293] = 0x0006dab7282f013fUL;
   tf->codes[18294] = 0x0006dadfdfa10439UL;
   tf->codes[18295] = 0x0006dae597989476UL;
   tf->codes[18296] = 0x0006dae81bbdd3edUL;
   tf->codes[18297] = 0x0006daee48d36fb4UL;
   tf->codes[18298] = 0x0006daf4b0781140UL;
   tf->codes[18299] = 0x0006daf7e44a6206UL;
   tf->codes[18300] = 0x0006db64c6391c52UL;
   tf->codes[18301] = 0x0006db6d7773f790UL;
   tf->codes[18302] = 0x0006db7c9053745aUL;
   tf->codes[18303] = 0x0006db82f7f815e6UL;
   tf->codes[18304] = 0x0006db8a8467d44bUL;
   tf->codes[18305] = 0x0006dbdeec8f2540UL;
   tf->codes[18306] = 0x0006dc06b9c51126UL;
   tf->codes[18307] = 0x0006dc49fa05b164UL;
   tf->codes[18308] = 0x0006dc57ee1a1155UL;
   tf->codes[18309] = 0x0006dc6482d44ea8UL;
   tf->codes[18310] = 0x0006dc68a0e2b682UL;
   tf->codes[18311] = 0x0006dc8fbe6b9119UL;
   tf->codes[18312] = 0x0006dcd6a79c8da7UL;
   tf->codes[18313] = 0x0006dcdc5f941de4UL;
   tf->codes[18314] = 0x0006dcf080be199cUL;
   tf->codes[18315] = 0x0006dd0d1893eacdUL;
   tf->codes[18316] = 0x0006dd0eb27d1330UL;
   tf->codes[18317] = 0x0006dd52a26ac4bdUL;
   tf->codes[18318] = 0x0006dd710eb8c416UL;
   tf->codes[18319] = 0x0006dd7dde02072eUL;
   tf->codes[18320] = 0x0006dd877978f980UL;
   tf->codes[18321] = 0x0006dd9de4392eeaUL;
   tf->codes[18322] = 0x0006ddbdea7056a6UL;
   tf->codes[18323] = 0x0006ddc48ca3fdf7UL;
   tf->codes[18324] = 0x0006ddcc53a2c221UL;
   tf->codes[18325] = 0x0006ddf4d085bf56UL;
   tf->codes[18326] = 0x0006de15fb8803ebUL;
   tf->codes[18327] = 0x0006de1d4d68bc8bUL;
   tf->codes[18328] = 0x0006de358ca1201dUL;
   tf->codes[18329] = 0x0006de41371f465cUL;
   tf->codes[18330] = 0x0006de70cb53f66cUL;
   tf->codes[18331] = 0x0006de74744452bcUL;
   tf->codes[18332] = 0x0006de7fa9a46d71UL;
   tf->codes[18333] = 0x0006dec8a1dc9decUL;
   tf->codes[18334] = 0x0006df1a10c0a3e0UL;
   tf->codes[18335] = 0x0006df47d07d25c8UL;
   tf->codes[18336] = 0x0006df580e27bf6bUL;
   tf->codes[18337] = 0x0006df69ab2c7bacUL;
   tf->codes[18338] = 0x0006df7c6cfc54c6UL;
   tf->codes[18339] = 0x0006df934cda95baUL;
   tf->codes[18340] = 0x0006df9b4e685fa9UL;
   tf->codes[18341] = 0x0006dfea39272626UL;
   tf->codes[18342] = 0x0006dffe1fc21c19UL;
   tf->codes[18343] = 0x0006e008305719f5UL;
   tf->codes[18344] = 0x0006e01992ccd071UL;
   tf->codes[18345] = 0x0006e044ce6412e2UL;
   tf->codes[18346] = 0x0006e055bbbbbdd4UL;
   tf->codes[18347] = 0x0006e084dad2625aUL;
   tf->codes[18348] = 0x0006e09b80219d89UL;
   tf->codes[18349] = 0x0006e09d1a0ac5ecUL;
   tf->codes[18350] = 0x0006e0a3f6cd7302UL;
   tf->codes[18351] = 0x0006e0c6f647e5bfUL;
   tf->codes[18352] = 0x0006e0ce0d99989aUL;
   tf->codes[18353] = 0x0006e0e56295e518UL;
   tf->codes[18354] = 0x0006e0fd673f42e5UL;
   tf->codes[18355] = 0x0006e10cbaadc574UL;
   tf->codes[18356] = 0x0006e11272a555b1UL;
   tf->codes[18357] = 0x0006e171607fb00cUL;
   tf->codes[18358] = 0x0006e17dbaaae79aUL;
   tf->codes[18359] = 0x0006e183e7c08361UL;
   tf->codes[18360] = 0x0006e1875621d9ecUL;
   tf->codes[18361] = 0x0006e199a2d3a77cUL;
   tf->codes[18362] = 0x0006e1c010af70c4UL;
   tf->codes[18363] = 0x0006e1d46c687241UL;
   tf->codes[18364] = 0x0006e1fdd387868aUL;
   tf->codes[18365] = 0x0006e2017c77e2daUL;
   tf->codes[18366] = 0x0006e2373dc22eb1UL;
   tf->codes[18367] = 0x0006e270e28bdc9dUL;
   tf->codes[18368] = 0x0006e28b6b5a79e1UL;
   tf->codes[18369] = 0x0006e29b33e707faUL;
   tf->codes[18370] = 0x0006e2c16733cb7dUL;
   tf->codes[18371] = 0x0006e2da1b8a3a99UL;
   tf->codes[18372] = 0x0006e2fbf639907dUL;
   tf->codes[18373] = 0x0006e31ad7a59b60UL;
   tf->codes[18374] = 0x0006e3326730eda3UL;
   tf->codes[18375] = 0x0006e3438f179e5aUL;
   tf->codes[18376] = 0x0006e34897621d48UL;
   tf->codes[18377] = 0x0006e34c7ae17f5dUL;
   tf->codes[18378] = 0x0006e359f9d7d3c4UL;
   tf->codes[18379] = 0x0006e37482a67108UL;
   tf->codes[18380] = 0x0006e37706cbb07fUL;
   tf->codes[18381] = 0x0006e38e5bc7fcfdUL;
   tf->codes[18382] = 0x0006e3cabf45f025UL;
   tf->codes[18383] = 0x0006e3d8b35a5016UL;
   tf->codes[18384] = 0x0006e3e214423ca3UL;
   tf->codes[18385] = 0x0006e41c2e29f619UL;
   tf->codes[18386] = 0x0006e438c5ffc74aUL;
   tf->codes[18387] = 0x0006e45e0f1073b9UL;
   tf->codes[18388] = 0x0006e46fac152ffaUL;
   tf->codes[18389] = 0x0006e498d8a53e7eUL;
   tf->codes[18390] = 0x0006e4c3648f6fa0UL;
   tf->codes[18391] = 0x0006e53cdb38673fUL;
   tf->codes[18392] = 0x0006e542932ff77cUL;
   tf->codes[18393] = 0x0006e547d6097c2fUL;
   tf->codes[18394] = 0x0006e54ca3c4f558UL;
   tf->codes[18395] = 0x0006e598cfcf7699UL;
   tf->codes[18396] = 0x0006e5bf783a45a6UL;
   tf->codes[18397] = 0x0006e5c68f8bf881UL;
   tf->codes[18398] = 0x0006e5d1c4ec1336UL;
   tf->codes[18399] = 0x0006e5d82c90b4c2UL;
   tf->codes[18400] = 0x0006e5decec45c13UL;
   tf->codes[18401] = 0x0006e5f0e0e723deUL;
   tf->codes[18402] = 0x0006e5fd008355a7UL;
   tf->codes[18403] = 0x0006e61196cb5ce9UL;
   tf->codes[18404] = 0x0006e61f8adfbcdaUL;
   tf->codes[18405] = 0x0006e64e34d855d6UL;
   tf->codes[18406] = 0x0006e66accae2707UL;
   tf->codes[18407] = 0x0006e67468251959UL;
   tf->codes[18408] = 0x0006e67eedd822bfUL;
   tf->codes[18409] = 0x0006e68c323f7161UL;
   tf->codes[18410] = 0x0006e6cd9e07e377UL;
   tf->codes[18411] = 0x0006e6cf7280119fUL;
   tf->codes[18412] = 0x0006e702afa51dffUL;
   tf->codes[18413] = 0x0006e72cc6714397UL;
   tf->codes[18414] = 0x0006e74037ee2e00UL;
   tf->codes[18415] = 0x0006e78a54f17b54UL;
   tf->codes[18416] = 0x0006e7921bf03f7eUL;
   tf->codes[18417] = 0x0006e7958a519609UL;
   tf->codes[18418] = 0x0006e7c0c5e8d87aUL;
   tf->codes[18419] = 0x0006e7c593a451a3UL;
   tf->codes[18420] = 0x0006e7e3fff250fcUL;
   tf->codes[18421] = 0x0006e7e60ef984e9UL;
   tf->codes[18422] = 0x0006e7eb8c620f61UL;
   tf->codes[18423] = 0x0006e809f8b00ebaUL;
   tf->codes[18424] = 0x0006e80b9299371dUL;
   tf->codes[18425] = 0x0006e84487b5d3baUL;
   tf->codes[18426] = 0x0006e8486b3535cfUL;
   tf->codes[18427] = 0x0006e84b9f078695UL;
   tf->codes[18428] = 0x0006e8f67e5d5c6cUL;
   tf->codes[18429] = 0x0006e9117c4a053aUL;
   tf->codes[18430] = 0x0006e937ea25ce82UL;
   tf->codes[18431] = 0x0006e940d5efaf85UL;
   tf->codes[18432] = 0x0006e944f3fe175fUL;
   tf->codes[18433] = 0x0006e9677e5a7e92UL;
   tf->codes[18434] = 0x0006e996d80028ddUL;
   tf->codes[18435] = 0x0006e9b66919450fUL;
   tf->codes[18436] = 0x0006e9bb7163c3fdUL;
   tf->codes[18437] = 0x0006e9c50cdab64fUL;
   tf->codes[18438] = 0x0006e9ccd3d97a79UL;
   tf->codes[18439] = 0x0006e9fb43430db0UL;
   tf->codes[18440] = 0x0006ea0d1ad6cfb6UL;
   tf->codes[18441] = 0x0006ea4057fbdc16UL;
   tf->codes[18442] = 0x0006ea543e96d209UL;
   tf->codes[18443] = 0x0006ea559df0f4a7UL;
   tf->codes[18444] = 0x0006ea7aac729b51UL;
   tf->codes[18445] = 0x0006ea7e1ad3f1dcUL;
   tf->codes[18446] = 0x0006ea7f7a2e147aUL;
   tf->codes[18447] = 0x0006eaf07a2b36a0UL;
   tf->codes[18448] = 0x0006eaf8069af505UL;
   tf->codes[18449] = 0x0006eb0bb2a6e533UL;
   tf->codes[18450] = 0x0006eb24a18c5a14UL;
   tf->codes[18451] = 0x0006eb57deb16674UL;
   tf->codes[18452] = 0x0006eb5b87a1c2c4UL;
   tf->codes[18453] = 0x0006eb5f6b2124d9UL;
   tf->codes[18454] = 0x0006eb7351bc1accUL;
   tf->codes[18455] = 0x0006eb77e4e88e30UL;
   tf->codes[18456] = 0x0006eb9566fa7675UL;
   tf->codes[18457] = 0x0006eb989accc73bUL;
   tf->codes[18458] = 0x0006eb9c43bd238bUL;
   tf->codes[18459] = 0x0006ebc98e5b99e9UL;
   tf->codes[18460] = 0x0006ebd0e03c5289UL;
   tf->codes[18461] = 0x0006ebdd74f68fdcUL;
   tf->codes[18462] = 0x0006ebed02f41830UL;
   tf->codes[18463] = 0x0006ebf48f63d695UL;
   tf->codes[18464] = 0x0006ec4ca07b83daUL;
   tf->codes[18465] = 0x0006ec67d8f7326dUL;
   tf->codes[18466] = 0x0006ec6ad23a7d6eUL;
   tf->codes[18467] = 0x0006eccc7ec91d05UL;
   tf->codes[18468] = 0x0006ecd1fc31a77dUL;
   tf->codes[18469] = 0x0006ece866f1dce7UL;
   tf->codes[18470] = 0x0006ecf7ba605f76UL;
   tf->codes[18471] = 0x0006ecfd7257efb3UL;
   tf->codes[18472] = 0x0006ed027aa26ea1UL;
   tf->codes[18473] = 0x0006ed053956b3ddUL;
   tf->codes[18474] = 0x0006ed1af469d7f8UL;
   tf->codes[18475] = 0x0006ed36a2039215UL;
   tf->codes[18476] = 0x0006ed47c9ea42ccUL;
   tf->codes[18477] = 0x0006ed737a9f90c7UL;
   tf->codes[18478] = 0x0006ed858cc25892UL;
   tf->codes[18479] = 0x0006ed9c321193c1UL;
   tf->codes[18480] = 0x0006edcb8bb73e0cUL;
   tf->codes[18481] = 0x0006ededdb849f7aUL;
   tf->codes[18482] = 0x0006edf2e3cf1e68UL;
   tf->codes[18483] = 0x0006ee1483ef6e87UL;
   tf->codes[18484] = 0x0006ee3957e20f6cUL;
   tf->codes[18485] = 0x0006ee5b32916550UL;
   tf->codes[18486] = 0x0006ee678cbc9cdeUL;
   tf->codes[18487] = 0x0006ee76307e0e1eUL;
   tf->codes[18488] = 0x0006ee7a4e8c75f8UL;
   tf->codes[18489] = 0x0006ee9a1a3497efUL;
   tf->codes[18490] = 0x0006ee9dc324f43fUL;
   tf->codes[18491] = 0x0006eec79f621412UL;
   tf->codes[18492] = 0x0006eed7a27da7f0UL;
   tf->codes[18493] = 0x0006eee2d7ddc2a5UL;
   tf->codes[18494] = 0x0006eeea29be7b45UL;
   tf->codes[18495] = 0x0006eef35017620dUL;
   tf->codes[18496] = 0x0006ef164f91d4caUL;
   tf->codes[18497] = 0x0006ef1c7ca77091UL;
   tf->codes[18498] = 0x0006ef4ab181fe03UL;
   tf->codes[18499] = 0x0006ef53282dd37cUL;
   tf->codes[18500] = 0x0006ef5c13f7b47fUL;
   tf->codes[18501] = 0x0006ef6bdc844298UL;
   tf->codes[18502] = 0x0006ef74c84e239bUL;
   tf->codes[18503] = 0x0006ef769cc651c3UL;
   tf->codes[18504] = 0x0006ef7920eb913aUL;
   tf->codes[18505] = 0x0006ef7d3ef9f914UL;
   tf->codes[18506] = 0x0006efc07f3a9952UL;
   tf->codes[18507] = 0x0006efd4daf39acfUL;
   tf->codes[18508] = 0x0006f00ce5d42058UL;
   tf->codes[18509] = 0x0006f01d5e0dbfc0UL;
   tf->codes[18510] = 0x0006f044b625a01cUL;
   tf->codes[18511] = 0x0006f04aa8ac361eUL;
   tf->codes[18512] = 0x0006f088a61351a9UL;
   tf->codes[18513] = 0x0006f0aed960152cUL;
   tf->codes[18514] = 0x0006f0c24adcff95UL;
   tf->codes[18515] = 0x0006f0d2c3169efdUL;
   tf->codes[18516] = 0x0006f0f8f6636280UL;
   tf->codes[18517] = 0x0006f0ff5e08040cUL;
   tf->codes[18518] = 0x0006f104665282faUL;
   tf->codes[18519] = 0x0006f11f9ece318dUL;
   tf->codes[18520] = 0x0006f12ca8a67a6aUL;
   tf->codes[18521] = 0x0006f1610a96a3a3UL;
   tf->codes[18522] = 0x0006f1773ac7d348UL;
   tf->codes[18523] = 0x0006f1aed08a4d47UL;
   tf->codes[18524] = 0x0006f1bc14f19be9UL;
   tf->codes[18525] = 0x0006f1c0e2ad1512UL;
   tf->codes[18526] = 0x0006f1c784e0bc63UL;
   tf->codes[18527] = 0x0006f1cf866e8652UL;
   tf->codes[18528] = 0x0006f1e3e22787cfUL;
   tf->codes[18529] = 0x0006f2087b8b22efUL;
   tf->codes[18530] = 0x0006f219a371d3a6UL;
   tf->codes[18531] = 0x0006f21c2797131dUL;
   tf->codes[18532] = 0x0006f2425ae3d6a0UL;
   tf->codes[18533] = 0x0006f24b0c1eb1deUL;
   tf->codes[18534] = 0x0006f25850860080UL;
   tf->codes[18535] = 0x0006f26cac3f01fdUL;
   tf->codes[18536] = 0x0006f26f6af34739UL;
   tf->codes[18537] = 0x0006f2776c811128UL;
   tf->codes[18538] = 0x0006f278cbdb33c6UL;
   tf->codes[18539] = 0x0006f27fe32ce6a1UL;
   tf->codes[18540] = 0x0006f29c7b02b7d2UL;
   tf->codes[18541] = 0x0006f2c064b941a3UL;
   tf->codes[18542] = 0x0006f2ce935ca759UL;
   tf->codes[18543] = 0x0006f33d49c38fcdUL;
   tf->codes[18544] = 0x0006f3400877d509UL;
   tf->codes[18545] = 0x0006f34585e05f81UL;
   tf->codes[18546] = 0x0006f3492ed0bbd1UL;
   tf->codes[18547] = 0x0006f364dc6a75eeUL;
   tf->codes[18548] = 0x0006f36c2e4b2e8eUL;
   tf->codes[18549] = 0x0006f3704c599668UL;
   tf->codes[18550] = 0x0006f383bdd680d1UL;
   tf->codes[18551] = 0x0006f38d594d7323UL;
   tf->codes[18552] = 0x0006f3c947ad5ac1UL;
   tf->codes[18553] = 0x0006f3d1be59303aUL;
   tf->codes[18554] = 0x0006f3eb225cb0a5UL;
   tf->codes[18555] = 0x0006f3eb977abc2fUL;
   tf->codes[18556] = 0x0006f3ecbc45d908UL;
   tf->codes[18557] = 0x0006f475113f47acUL;
   tf->codes[18558] = 0x0006f476360a6485UL;
   tf->codes[18559] = 0x0006f47c2890fa87UL;
   tf->codes[18560] = 0x0006f4c9796698a1UL;
   tf->codes[18561] = 0x0006f507ebebbfb6UL;
   tf->codes[18562] = 0x0006f51f0659066fUL;
   tf->codes[18563] = 0x0006f55ed8385022UL;
   tf->codes[18564] = 0x0006f58ac37ca3e2UL;
   tf->codes[18565] = 0x0006f5c5c7a0746cUL;
   tf->codes[18566] = 0x0006f5d84ee147c1UL;
   tf->codes[18567] = 0x0006f5e6f2a2b901UL;
   tf->codes[18568] = 0x0006f606f8d9e0bdUL;
   tf->codes[18569] = 0x0006f60e102b9398UL;
   tf->codes[18570] = 0x0006f61477d03524UL;
   tf->codes[18571] = 0x0006f654843e849cUL;
   tf->codes[18572] = 0x0006f68159beef70UL;
   tf->codes[18573] = 0x0006f6ac955631e1UL;
   tf->codes[18574] = 0x0006f6d2c8a2f564UL;
   tf->codes[18575] = 0x0006f6d3785006b3UL;
   tf->codes[18576] = 0x0006f6d80b7c7a17UL;
   tf->codes[18577] = 0x0006f6e0bcb75555UL;
   tf->codes[18578] = 0x0006f6fa5b49db85UL;
   tf->codes[18579] = 0x0006f7193cb5e668UL;
   tf->codes[18580] = 0x0006f71bc0db25dfUL;
   tf->codes[18581] = 0x0006f7405a3ec0ffUL;
   tf->codes[18582] = 0x0006f7422eb6ef27UL;
   tf->codes[18583] = 0x0006f74687545cc6UL;
   tf->codes[18584] = 0x0006f74c79daf2c8UL;
   tf->codes[18585] = 0x0006f7564fe0eadfUL;
   tf->codes[18586] = 0x0006f76cbaa12049UL;
   tf->codes[18587] = 0x0006f7babb23cfb2UL;
   tf->codes[18588] = 0x0006f7ca0e925241UL;
   tf->codes[18589] = 0x0006f7d210201c30UL;
   tf->codes[18590] = 0x0006f7d494455ba7UL;
   tf->codes[18591] = 0x0006f7ed0e0cc4feUL;
   tf->codes[18592] = 0x0006f7eee284f326UL;
   tf->codes[18593] = 0x0006f7f45fed7d9eUL;
   tf->codes[18594] = 0x0006f7f584b89a77UL;
   tf->codes[18595] = 0x0006f7fe35f375b5UL;
   tf->codes[18596] = 0x0006f81a58ab3b5cUL;
   tf->codes[18597] = 0x0006f81b42e75270UL;
   tf->codes[18598] = 0x0006f81bf29463bfUL;
   tf->codes[18599] = 0x0006f8434aac441bUL;
   tf->codes[18600] = 0x0006f858cb306271UL;
   tf->codes[18601] = 0x0006f891fadc04d3UL;
   tf->codes[18602] = 0x0006f8986280a65fUL;
   tf->codes[18603] = 0x0006f89eca2547ebUL;
   tf->codes[18604] = 0x0006f8c15481af1eUL;
   tf->codes[18605] = 0x0006f8eed9af2b41UL;
   tf->codes[18606] = 0x0006f943b6f487c0UL;
   tf->codes[18607] = 0x0006f9472555de4bUL;
   tf->codes[18608] = 0x0006f9484a20fb24UL;
   tf->codes[18609] = 0x0006f95b467fda03UL;
   tf->codes[18610] = 0x0006f9701756e70aUL;
   tf->codes[18611] = 0x0006f9c14babe739UL;
   tf->codes[18612] = 0x0006f9f697d82786UL;
   tf->codes[18613] = 0x0006f9f9cbaa784cUL;
   tf->codes[18614] = 0x0006fa7b7e703f9fUL;
   tf->codes[18615] = 0x0006fac9f410fa92UL;
   tf->codes[18616] = 0x0006facade4d11a6UL;
   tf->codes[18617] = 0x0006fad773074ef9UL;
   tf->codes[18618] = 0x0006fad9f72c8e70UL;
   tf->codes[18619] = 0x0006faf73eaf70f0UL;
   tf->codes[18620] = 0x0006fafc46f9efdeUL;
   tf->codes[18621] = 0x0006fb1d71fc3473UL;
   tf->codes[18622] = 0x0006fb4a820ba50cUL;
   tf->codes[18623] = 0x0006fb5074923b0eUL;
   tf->codes[18624] = 0x0006fb666a3464eeUL;
   tf->codes[18625] = 0x0006fbe64881fe19UL;
   tf->codes[18626] = 0x0006fbed5fd3b0f4UL;
   tf->codes[18627] = 0x0006fc2ae81cc0f5UL;
   tf->codes[18628] = 0x0006fc3a00fc3dbfUL;
   tf->codes[18629] = 0x0006fc4d37ea2263UL;
   tf->codes[18630] = 0x0006fc627ddf3af4UL;
   tf->codes[18631] = 0x0006fc678629b9e2UL;
   tf->codes[18632] = 0x0006fc8a10862115UL;
   tf->codes[18633] = 0x0006fcd1e3f334b7UL;
   tf->codes[18634] = 0x0006fcd293a04606UL;
   tf->codes[18635] = 0x0006fcd58ce39107UL;
   tf->codes[18636] = 0x0006fd405fcb1766UL;
   tf->codes[18637] = 0x0006fd47ec3ad5cbUL;
   tf->codes[18638] = 0x0006fd4b200d2691UL;
   tf->codes[18639] = 0x0006fd4f78aa9430UL;
   tf->codes[18640] = 0x0006fd5f06a81c84UL;
   tf->codes[18641] = 0x0006fd8833382b08UL;
   tf->codes[18642] = 0x0006fdbd44d56590UL;
   tf->codes[18643] = 0x0006fdc1d801d8f4UL;
   tf->codes[18644] = 0x0006fdcf1c692796UL;
   tf->codes[18645] = 0x0006fdd8f26f1fadUL;
   tf->codes[18646] = 0x0006fdf21be39a53UL;
   tf->codes[18647] = 0x0006fe5b1a52f28aUL;
   tf->codes[18648] = 0x0006fe7861d5d50aUL;
   tf->codes[18649] = 0x0006fe839735efbfUL;
   tf->codes[18650] = 0x0006fe9c10fd5916UL;
   tf->codes[18651] = 0x0006febb67876f83UL;
   tf->codes[18652] = 0x0006febd3bff9dabUL;
   tf->codes[18653] = 0x0006fec502fe61d5UL;
   tf->codes[18654] = 0x0006feca0b48e0c3UL;
   tf->codes[18655] = 0x0006feca45d7e688UL;
   tf->codes[18656] = 0x0006fecabaf5f212UL;
   tf->codes[18657] = 0x0006fef66bab400dUL;
   tf->codes[18658] = 0x0006ff3bbaf31438UL;
   tf->codes[18659] = 0x0006ff44a6bcf53bUL;
   tf->codes[18660] = 0x0006ff48c4cb5d15UL;
   tf->codes[18661] = 0x0006ff4ca84abf2aUL;
   tf->codes[18662] = 0x0006ff4f66ff0466UL;
   tf->codes[18663] = 0x0006ff567e50b741UL;
   tf->codes[18664] = 0x0006ff63130af494UL;
   tf->codes[18665] = 0x0006ff6dd34d03bfUL;
   tf->codes[18666] = 0x0006ffc116a937dbUL;
   tf->codes[18667] = 0x0006ffc39ace7752UL;
   tf->codes[18668] = 0x0006ffd02f88b4a5UL;
   tf->codes[18669] = 0x0006ffdaefcac3d0UL;
   tf->codes[18670] = 0x0006fffabb72e5c7UL;
   tf->codes[18671] = 0x000700546673bb6fUL;
   tf->codes[18672] = 0x0007005ace185cfbUL;
   tf->codes[18673] = 0x00070061704c044cUL;
   tf->codes[18674] = 0x00070094e8001671UL;
   tf->codes[18675] = 0x000700deca745e00UL;
   tf->codes[18676] = 0x000700e3d2bedceeUL;
   tf->codes[18677] = 0x000700e77baf393eUL;
   tf->codes[18678] = 0x000701106db041fdUL;
   tf->codes[18679] = 0x000701153b6bbb26UL;
   tf->codes[18680] = 0x000701445a825facUL;
   tf->codes[18681] = 0x000701450a2f70fbUL;
   tf->codes[18682] = 0x000701480372bbfcUL;
   tf->codes[18683] = 0x0007016dfc3079baUL;
   tf->codes[18684] = 0x00070175c32f3de4UL;
   tf->codes[18685] = 0x0007018c2def734eUL;
   tf->codes[18686] = 0x0007019bf67c0167UL;
   tf->codes[18687] = 0x000701f94a6d335fUL;
   tf->codes[18688] = 0x000701ffb211d4ebUL;
   tf->codes[18689] = 0x000702406e2d35b2UL;
   tf->codes[18690] = 0x0007024a7ec2338eUL;
   tf->codes[18691] = 0x00070267c645160eUL;
   tf->codes[18692] = 0x000702757fca703aUL;
   tf->codes[18693] = 0x00070281d9f5a7c8UL;
   tf->codes[18694] = 0x00070289db8371b7UL;
   tf->codes[18695] = 0x0007028e6eafe51bUL;
   tf->codes[18696] = 0x000702980a26d76dUL;
   tf->codes[18697] = 0x0007029f969695d2UL;
   tf->codes[18698] = 0x000702c6b41f7069UL;
   tf->codes[18699] = 0x000702d25e9d96a8UL;
   tf->codes[18700] = 0x000702de43aac2acUL;
   tf->codes[18701] = 0x000702f81ccc4ea1UL;
   tf->codes[18702] = 0x000702fe0f52e4a3UL;
   tf->codes[18703] = 0x0007030526a4977eUL;
   tf->codes[18704] = 0x000703097f42051dUL;
   tf->codes[18705] = 0x0007034d34a0b0e5UL;
   tf->codes[18706] = 0x00070352777a3598UL;
   tf->codes[18707] = 0x000703632a42dac5UL;
   tf->codes[18708] = 0x0007036a7c239365UL;
   tf->codes[18709] = 0x00070398b0fe20d7UL;
   tf->codes[18710] = 0x000703cdc29b5b5fUL;
   tf->codes[18711] = 0x000703d29056d488UL;
   tf->codes[18712] = 0x000703e810daf2deUL;
   tf->codes[18713] = 0x000703ffa0664521UL;
   tf->codes[18714] = 0x000704689ed59d58UL;
   tf->codes[18715] = 0x0007047cfa8e9ed5UL;
   tf->codes[18716] = 0x00070485abc97a13UL;
   tf->codes[18717] = 0x0007048e97935b16UL;
   tf->codes[18718] = 0x000704939fddda04UL;
   tf->codes[18719] = 0x000704dd47c31bceUL;
   tf->codes[18720] = 0x000704e8429430beUL;
   tf->codes[18721] = 0x000704ef59e5e399UL;
   tf->codes[18722] = 0x000704f4d74e6e11UL;
   tf->codes[18723] = 0x000705497a04c4cbUL;
   tf->codes[18724] = 0x00070555d42ffc59UL;
   tf->codes[18725] = 0x00070565d74b9037UL;
   tf->codes[18726] = 0x00070567abc3be5fUL;
   tf->codes[18727] = 0x000705785e8c638cUL;
   tf->codes[18728] = 0x000705847e289555UL;
   tf->codes[18729] = 0x0007059e1cbb1b85UL;
   tf->codes[18730] = 0x000705b7f5dca77aUL;
   tf->codes[18731] = 0x000705d1946f2daaUL;
   tf->codes[18732] = 0x000705d8abc0e085UL;
   tf->codes[18733] = 0x00070611a0dd7d22UL;
   tf->codes[18734] = 0x00070613ea73b6d4UL;
   tf->codes[18735] = 0x00070641e4bf3e81UL;
   tf->codes[18736] = 0x0007065e7c950fb2UL;
   tf->codes[18737] = 0x0007066f2f5db4dfUL;
   tf->codes[18738] = 0x00070674e755451cUL;
   tf->codes[18739] = 0x00070678cad4a731UL;
   tf->codes[18740] = 0x000706c32266fa4aUL;
   tf->codes[18741] = 0x000706ce92561ac4UL;
   tf->codes[18742] = 0x000706d0dbec5476UL;
   tf->codes[18743] = 0x000706d5e436d364UL;
   tf->codes[18744] = 0x000706da02453b3eUL;
   tf->codes[18745] = 0x000706daec815252UL;
   tf->codes[18746] = 0x000706f6d4aa1234UL;
   tf->codes[18747] = 0x0007073ac497c3c1UL;
   tf->codes[18748] = 0x0007073fcce242afUL;
   tf->codes[18749] = 0x0007075dfea13c43UL;
   tf->codes[18750] = 0x000707db58c995f7UL;
   tf->codes[18751] = 0x00070802b0e17653UL;
   tf->codes[18752] = 0x000708039b1d8d67UL;
   tf->codes[18753] = 0x0007081d743f195cUL;
   tf->codes[18754] = 0x0007083e9f415df1UL;
   tf->codes[18755] = 0x0007084edcebf794UL;
   tf->codes[18756] = 0x0007085076d51ff7UL;
   tf->codes[18757] = 0x000708792e4722f1UL;
   tf->codes[18758] = 0x000708d0ca40c4acUL;
   tf->codes[18759] = 0x000708eefbffbe40UL;
   tf->codes[18760] = 0x000708fc40670ce2UL;
   tf->codes[18761] = 0x0007091a72260676UL;
   tf->codes[18762] = 0x00070931177541a5UL;
   tf->codes[18763] = 0x0007093f4618a75bUL;
   tf->codes[18764] = 0x00070942ef0903abUL;
   tf->codes[18765] = 0x000709883e50d7d6UL;
   tf->codes[18766] = 0x0007098fcac0963bUL;
   tf->codes[18767] = 0x000709907a6da78aUL;
   tf->codes[18768] = 0x000709924ee5d5b2UL;
   tf->codes[18769] = 0x000709c4dc5dd0c3UL;
   tf->codes[18770] = 0x000709c63bb7f361UL;
   tf->codes[18771] = 0x000709ed93cfd3bdUL;
   tf->codes[18772] = 0x000709f55ace97e7UL;
   tf->codes[18773] = 0x000709f7def3d75eUL;
   tf->codes[18774] = 0x00070a0e0f250703UL;
   tf->codes[18775] = 0x00070a335835b372UL;
   tf->codes[18776] = 0x00070a3a34f86088UL;
   tf->codes[18777] = 0x00070a56ccce31b9UL;
   tf->codes[18778] = 0x00070a61c79f46a9UL;
   tf->codes[18779] = 0x00070a732a14fd25UL;
   tf->codes[18780] = 0x00070a78325f7c13UL;
   tf->codes[18781] = 0x00070a7ba0c0d29eUL;
   tf->codes[18782] = 0x00070a8033ed4602UL;
   tf->codes[18783] = 0x00070ab62fc6979eUL;
   tf->codes[18784] = 0x00070abd81a7503eUL;
   tf->codes[18785] = 0x00070ac12a97ac8eUL;
   tf->codes[18786] = 0x00070ac2c480d4f1UL;
   tf->codes[18787] = 0x00070b38ccc87605UL;
   tf->codes[18788] = 0x00070b4f7217b134UL;
   tf->codes[18789] = 0x00070b53cab51ed3UL;
   tf->codes[18790] = 0x00070b87426930f8UL;
   tf->codes[18791] = 0x00070b89517064e5UL;
   tf->codes[18792] = 0x00070bbc54066b80UL;
   tf->codes[18793] = 0x00070be71a7fa267UL;
   tf->codes[18794] = 0x00070c00f3a12e5cUL;
   tf->codes[18795] = 0x00070c03b2557398UL;
   tf->codes[18796] = 0x00070c1514cb2a14UL;
   tf->codes[18797] = 0x00070c1a9233b48cUL;
   tf->codes[18798] = 0x00070c2fd828cd1dUL;
   tf->codes[18799] = 0x00070c42d487abfcUL;
   tf->codes[18800] = 0x00070c4558aceb73UL;
   tf->codes[18801] = 0x00070c7f7294a4e9UL;
   tf->codes[18802] = 0x00070c8d2c19ff15UL;
   tf->codes[18803] = 0x00070cd4ff8712b7UL;
   tf->codes[18804] = 0x00070cd6d3ff40dfUL;
   tf->codes[18805] = 0x00070d0ededfc668UL;
   tf->codes[18806] = 0x00070d713b1b774eUL;
   tf->codes[18807] = 0x00070d7768311315UL;
   tf->codes[18808] = 0x00070d8c739725e1UL;
   tf->codes[18809] = 0x00070db4b5eb1d51UL;
   tf->codes[18810] = 0x00070dc9fbe035e2UL;
   tf->codes[18811] = 0x00070dca366f3ba7UL;
   tf->codes[18812] = 0x00070dd237fd0596UL;
   tf->codes[18813] = 0x00070dd40c7533beUL;
   tf->codes[18814] = 0x00070df5ac9583ddUL;
   tf->codes[18815] = 0x00070e195bbd07e9UL;
   tf->codes[18816] = 0x00070e1f4e439debUL;
   tf->codes[18817] = 0x00070e4c98e21449UL;
   tf->codes[18818] = 0x00070e7cdcc3d5a8UL;
   tf->codes[18819] = 0x00070e8d1a6e6f4bUL;
   tf->codes[18820] = 0x00070e9088cfc5d6UL;
   tf->codes[18821] = 0x00070ed6c253b115UL;
   tf->codes[18822] = 0x00070ed896cbdf3dUL;
   tf->codes[18823] = 0x00070ee566152255UL;
   tf->codes[18824] = 0x00070f48e71bf014UL;
   tf->codes[18825] = 0x00070f51d2e5d117UL;
   tf->codes[18826] = 0x00070f79daaac2c2UL;
   tf->codes[18827] = 0x00070fcef27f2506UL;
   tf->codes[18828] = 0x00070fdd5bb19081UL;
   tf->codes[18829] = 0x00070fdd96409646UL;
   tf->codes[18830] = 0x00070feb4fc5f072UL;
   tf->codes[18831] = 0x00070feebe2746fdUL;
   tf->codes[18832] = 0x00071011f830bf7fUL;
   tf->codes[18833] = 0x00071017007b3e6dUL;
   tf->codes[18834] = 0x0007101b93a7b1d1UL;
   tf->codes[18835] = 0x00071035a758438bUL;
   tf->codes[18836] = 0x0007104276a186a3UL;
   tf->codes[18837] = 0x0007104ab2be5657UL;
   tf->codes[18838] = 0x0007105ed3e8520fUL;
   tf->codes[18839] = 0x0007107c1b6b348fUL;
   tf->codes[18840] = 0x0007107ffeea96a4UL;
   tf->codes[18841] = 0x00071083a7daf2f4UL;
   tf->codes[18842] = 0x0007108e681d021fUL;
   tf->codes[18843] = 0x000710ad0efa073dUL;
   tf->codes[18844] = 0x000710d3f1f3dc0fUL;
   tf->codes[18845] = 0x000710fa5fcfa557UL;
   tf->codes[18846] = 0x0007111aa095d2d8UL;
   tf->codes[18847] = 0x0007111ebea43ab2UL;
   tf->codes[18848] = 0x00071137386ba409UL;
   tf->codes[18849] = 0x00071142a85ac483UL;
   tf->codes[18850] = 0x0007115e90838465UL;
   tf->codes[18851] = 0x000711995a184f2aUL;
   tf->codes[18852] = 0x000711c719d4d112UL;
   tf->codes[18853] = 0x000711cc5cae55c5UL;
   tf->codes[18854] = 0x000711cea6448f77UL;
   tf->codes[18855] = 0x00071206017803b1UL;
   tf->codes[18856] = 0x00071213806e5818UL;
   tf->codes[18857] = 0x00071219e812f9a4UL;
   tf->codes[18858] = 0x00071237a4b3e7aeUL;
   tf->codes[18859] = 0x000712455e3941daUL;
   tf->codes[18860] = 0x00071248920b92a0UL;
   tf->codes[18861] = 0x00071275678bfd74UL;
   tf->codes[18862] = 0x0007127d2e8ac19eUL;
   tf->codes[18863] = 0x0007127e8de4e43cUL;
   tf->codes[18864] = 0x0007128445dc7479UL;
   tf->codes[18865] = 0x000712870490b9b5UL;
   tf->codes[18866] = 0x000712ae2219944cUL;
   tf->codes[18867] = 0x000712ba7c44cbdaUL;
   tf->codes[18868] = 0x000712bd3af91116UL;
   tf->codes[18869] = 0x000712c920063d1aUL;
   tf->codes[18870] = 0x0007133a5a926505UL;
   tf->codes[18871] = 0x0007134d1c623e1fUL;
   tf->codes[18872] = 0x00071385d6efd4f7UL;
   tf->codes[18873] = 0x0007139982fbc525UL;
   tf->codes[18874] = 0x000713c2ea1ad96eUL;
   tf->codes[18875] = 0x000713c7f265585cUL;
   tf->codes[18876] = 0x000713f41838b1e1UL;
   tf->codes[18877] = 0x0007141801ef3bb2UL;
   tf->codes[18878] = 0x0007141d0a39baa0UL;
   tf->codes[18879] = 0x000714396780860cUL;
   tf->codes[18880] = 0x00071444d76fa686UL;
   tf->codes[18881] = 0x0007149bfe4b3cb7UL;
   tf->codes[18882] = 0x0007149cadf84e06UL;
   tf->codes[18883] = 0x000714d234b39418UL;
   tf->codes[18884] = 0x000714f743353ac2UL;
   tf->codes[18885] = 0x000714fcc09dc53aUL;
   tf->codes[18886] = 0x00071516d44e56f4UL;
   tf->codes[18887] = 0x0007154075fc7102UL;
   tf->codes[18888] = 0x0007155a89ad02bcUL;
   tf->codes[18889] = 0x000715b5ce9700c7UL;
   tf->codes[18890] = 0x000715ba27346e66UL;
   tf->codes[18891] = 0x000715c3881c5af3UL;
   tf->codes[18892] = 0x000715c76b9bbd08UL;
   tf->codes[18893] = 0x000715fa33a2bddeUL;
   tf->codes[18894] = 0x000716370c3ebc90UL;
   tf->codes[18895] = 0x000716515a7e540fUL;
   tf->codes[18896] = 0x0007166999b6b7a1UL;
   tf->codes[18897] = 0x000716819e60156eUL;
   tf->codes[18898] = 0x00071685475071beUL;
   tf->codes[18899] = 0x000716880604b6faUL;
   tf->codes[18900] = 0x0007168cd3c03023UL;
   tf->codes[18901] = 0x000716bca283e5f8UL;
   tf->codes[18902] = 0x000716c812730672UL;
   tf->codes[18903] = 0x000716c8879111fcUL;
   tf->codes[18904] = 0x000716d7a0708ec6UL;
   tf->codes[18905] = 0x000716d8ffcab164UL;
   tf->codes[18906] = 0x0007173c4642795eUL;
   tf->codes[18907] = 0x0007174273581525UL;
   tf->codes[18908] = 0x0007174de347359fUL;
   tf->codes[18909] = 0x000717523be4a33eUL;
   tf->codes[18910] = 0x0007176363cb53f5UL;
   tf->codes[18911] = 0x000717741693f922UL;
   tf->codes[18912] = 0x000717769ab93899UL;
   tf->codes[18913] = 0x0007177cc7ced460UL;
   tf->codes[18914] = 0x0007179be3c9e508UL;
   tf->codes[18915] = 0x0007179c58e7f092UL;
   tf->codes[18916] = 0x000717b37355374bUL;
   tf->codes[18917] = 0x000717c12cda9177UL;
   tf->codes[18918] = 0x000717c7947f3303UL;
   tf->codes[18919] = 0x000717d4d8e681a5UL;
   tf->codes[18920] = 0x000717dd4f92571eUL;
   tf->codes[18921] = 0x0007181bfca683f8UL;
   tf->codes[18922] = 0x000718338c31d63bUL;
   tf->codes[18923] = 0x0007184b90db3408UL;
   tf->codes[18924] = 0x000718632066864bUL;
   tf->codes[18925] = 0x00071871feb6fd50UL;
   tf->codes[18926] = 0x0007187a7562d2c9UL;
   tf->codes[18927] = 0x000718818cb485a4UL;
   tf->codes[18928] = 0x000718877f3b1ba6UL;
   tf->codes[18929] = 0x0007188e968cce81UL;
   tf->codes[18930] = 0x0007188ff5e6f11fUL;
   tf->codes[18931] = 0x0007189fbe737f38UL;
   tf->codes[18932] = 0x000718e791e092daUL;
   tf->codes[18933] = 0x000718e96658c102UL;
   tf->codes[18934] = 0x000718f87f383dccUL;
   tf->codes[18935] = 0x00071906addba382UL;
   tf->codes[18936] = 0x0007194052a5516eUL;
   tf->codes[18937] = 0x0007196ec20ee4a5UL;
   tf->codes[18938] = 0x0007197fe9f5955cUL;
   tf->codes[18939] = 0x00071991c1895762UL;
   tf->codes[18940] = 0x000719c782d3a339UL;
   tf->codes[18941] = 0x000719dab9c187ddUL;
   tf->codes[18942] = 0x000719e1968434f3UL;
   tf->codes[18943] = 0x000719f9260f8736UL;
   tf->codes[18944] = 0x00071a119fd6f08dUL;
   tf->codes[18945] = 0x00071a3fd4b17dffUL;
   tf->codes[18946] = 0x00071a41e3b8b1ecUL;
   tf->codes[18947] = 0x00071a4a5a648765UL;
   tf->codes[18948] = 0x00071a834f812402UL;
   tf->codes[18949] = 0x00071ae695f8ebfcUL;
   tf->codes[18950] = 0x00071aebd8d270afUL;
   tf->codes[18951] = 0x00071aecc30e87c3UL;
   tf->codes[18952] = 0x00071aff0fc05553UL;
   tf->codes[18953] = 0x00071b057764f6dfUL;
   tf->codes[18954] = 0x00071b7293e2b6f0UL;
   tf->codes[18955] = 0x00071b7e03d1d76aUL;
   tf->codes[18956] = 0x00071b9ef445163aUL;
   tf->codes[18957] = 0x00071bd440715687UL;
   tf->codes[18958] = 0x00071be2e432c7c7UL;
   tf->codes[18959] = 0x00071beb5ade9d40UL;
   tf->codes[18960] = 0x00071beda474d6f2UL;
   tf->codes[18961] = 0x00071bf35c6c672fUL;
   tf->codes[18962] = 0x00071c0f44952711UL;
   tf->codes[18963] = 0x00071c1e22e59e16UL;
   tf->codes[18964] = 0x00071c43a685504aUL;
   tf->codes[18965] = 0x00071c4f167470c4UL;
   tf->codes[18966] = 0x00071c51257ba4b1UL;
   tf->codes[18967] = 0x00071c71db5fddbcUL;
   tf->codes[18968] = 0x00071c73002afa95UL;
   tf->codes[18969] = 0x00071c98493ba704UL;
   tf->codes[18970] = 0x00071caf9e37f382UL;
   tf->codes[18971] = 0x00071ccbc0efb929UL;
   tf->codes[18972] = 0x00071ce22bafee93UL;
   tf->codes[18973] = 0x00071ceefaf931abUL;
   tf->codes[18974] = 0x00071d0c427c142bUL;
   tf->codes[18975] = 0x00071d1568d4faf3UL;
   tf->codes[18976] = 0x00071d8afbfe907dUL;
   tf->codes[18977] = 0x00071d9ee2998670UL;
   tf->codes[18978] = 0x00071dc0f7d7e219UL;
   tf->codes[18979] = 0x00071dd010b75ee3UL;
   tf->codes[18980] = 0x00071dd294dc9e5aUL;
   tf->codes[18981] = 0x00071dea2467f09dUL;
   tf->codes[18982] = 0x00071dffdf7b14b8UL;
   tf->codes[18983] = 0x00071e0681aebc09UL;
   tf->codes[18984] = 0x00071e409b96757fUL;
   tf->codes[18985] = 0x00071e57b603bc38UL;
   tf->codes[18986] = 0x00071e739e2c7c1aUL;
   tf->codes[18987] = 0x00071e8a7e0abd0eUL;
   tf->codes[18988] = 0x00071e932f45984cUL;
   tf->codes[18989] = 0x00071e9d3fda9628UL;
   tf->codes[18990] = 0x00071f0812c21c87UL;
   tf->codes[18991] = 0x00071f43c692fe60UL;
   tf->codes[18992] = 0x00071f4a68c6a5b1UL;
   tf->codes[18993] = 0x00071fbe620712d8UL;
   tf->codes[18994] = 0x00071fcc561b72c9UL;
   tf->codes[18995] = 0x00071fd800999908UL;
   tf->codes[18996] = 0x00071fdf17eb4be3UL;
   tf->codes[18997] = 0x00071fed468eb199UL;
   tf->codes[18998] = 0x00071ff5481c7b88UL;
   tf->codes[18999] = 0x000720175d5ad731UL;
   tf->codes[19000] = 0x0007203eb572b78dUL;
   tf->codes[19001] = 0x00072042d3811f67UL;
   tf->codes[19002] = 0x00072056ba1c155aUL;
   tf->codes[19003] = 0x00072057dee73233UL;
   tf->codes[19004] = 0x0007205ad82a7d34UL;
   tf->codes[19005] = 0x0007207fe6ac23deUL;
   tf->codes[19006] = 0x00072083ca2b85f3UL;
   tf->codes[19007] = 0x000720894794106bUL;
   tf->codes[19008] = 0x0007209825e48770UL;
   tf->codes[19009] = 0x000720e660f63c9eUL;
   tf->codes[19010] = 0x00072102491efc80UL;
   tf->codes[19011] = 0x00072105f20f58d0UL;
   tf->codes[19012] = 0x0007211928fd3d74UL;
   tf->codes[19013] = 0x0007214882a2e7bfUL;
   tf->codes[19014] = 0x0007214acc392171UL;
   tf->codes[19015] = 0x00072150bebfb773UL;
   tf->codes[19016] = 0x0007215d5379f4c6UL;
   tf->codes[19017] = 0x00072160122e3a02UL;
   tf->codes[19018] = 0x0007217558235293UL;
   tf->codes[19019] = 0x0007218fe0f1efd7UL;
   tf->codes[19020] = 0x000721960e078b9eUL;
   tf->codes[19021] = 0x000721d4808cb2b3UL;
   tf->codes[19022] = 0x000722070e04adc4UL;
   tf->codes[19023] = 0x0007221af49fa3b7UL;
   tf->codes[19024] = 0x0007223f18e5334dUL;
   tf->codes[19025] = 0x00072254d3f85768UL;
   tf->codes[19026] = 0x0007225ac67eed6aUL;
   tf->codes[19027] = 0x0007225f943a6693UL;
   tf->codes[19028] = 0x0007228552691e8cUL;
   tf->codes[19029] = 0x0007229973931a44UL;
   tf->codes[19030] = 0x000722c5d3f5798eUL;
   tf->codes[19031] = 0x000722d90ae35e32UL;
   tf->codes[19032] = 0x000722ee164970feUL;
   tf->codes[19033] = 0x000723386ddbc417UL;
   tf->codes[19034] = 0x0007234db3d0dca8UL;
   tf->codes[19035] = 0x0007234e9e0cf3bcUL;
   tf->codes[19036] = 0x000723557acfa0d2UL;
   tf->codes[19037] = 0x0007237c98587b69UL;
   tf->codes[19038] = 0x0007238cd603150cUL;
   tf->codes[19039] = 0x000723beee5d0493UL;
   tf->codes[19040] = 0x000723c5cb1fb1a9UL;
   tf->codes[19041] = 0x000723cad36a3097UL;
   tf->codes[19042] = 0x000723da26d8b326UL;
   tf->codes[19043] = 0x000723f2a0a01c7dUL;
   tf->codes[19044] = 0x000724035368c1aaUL;
   tf->codes[19045] = 0x0007240945ef57acUL;
   tf->codes[19046] = 0x000724147b4f7261UL;
   tf->codes[19047] = 0x00072437efe7f0a8UL;
   tf->codes[19048] = 0x00072445344f3f4aUL;
   tf->codes[19049] = 0x0007244b9bf3e0d6UL;
   tf->codes[19050] = 0x0007245ed2e1c57aUL;
   tf->codes[19051] = 0x00072483a6d4665fUL;
   tf->codes[19052] = 0x00072488af1ee54dUL;
   tf->codes[19053] = 0x0007248a0e7907ebUL;
   tf->codes[19054] = 0x0007249d0ad7e6caUL;
   tf->codes[19055] = 0x000724db083f0255UL;
   tf->codes[19056] = 0x000724ddc6f34791UL;
   tf->codes[19057] = 0x000724ead0cb906eUL;
   tf->codes[19058] = 0x000724f72af6c7fcUL;
   tf->codes[19059] = 0x0007250c365cdac8UL;
   tf->codes[19060] = 0x0007251dd3619709UL;
   tf->codes[19061] = 0x0007251e487fa293UL;
   tf->codes[19062] = 0x000725465044943eUL;
   tf->codes[19063] = 0x00072555a3b316cdUL;
   tf->codes[19064] = 0x0007255827d85644UL;
   tf->codes[19065] = 0x00072562e81a656fUL;
   tf->codes[19066] = 0x0007258f0dedbef4UL;
   tf->codes[19067] = 0x000725c160d6b440UL;
   tf->codes[19068] = 0x000725c78dec5007UL;
   tf->codes[19069] = 0x000725d288bd64f7UL;
   tf->codes[19070] = 0x000725d9a00f17d2UL;
   tf->codes[19071] = 0x000725e8b8ee949cUL;
   tf->codes[19072] = 0x000725f6e791fa52UL;
   tf->codes[19073] = 0x000725f846ec1cf0UL;
   tf->codes[19074] = 0x000726037c4c37a5UL;
   tf->codes[19075] = 0x00072618fcd055fbUL;
   tf->codes[19076] = 0x0007261b0bd789e8UL;
   tf->codes[19077] = 0x0007261c30a2a6c1UL;
   tf->codes[19078] = 0x0007264940b2175aUL;
   tf->codes[19079] = 0x0007264e0e6d9083UL;
   tf->codes[19080] = 0x000726c7bfa58de7UL;
   tf->codes[19081] = 0x000726d32f94ae61UL;
   tf->codes[19082] = 0x000726fa87ac8ebdUL;
   tf->codes[19083] = 0x000726fac23b9482UL;
   tf->codes[19084] = 0x00072731e2e002f7UL;
   tf->codes[19085] = 0x0007275f680d7f1aUL;
   tf->codes[19086] = 0x0007276d5c21df0bUL;
   tf->codes[19087] = 0x00072774e8919d70UL;
   tf->codes[19088] = 0x0007279a6c314fa4UL;
   tf->codes[19089] = 0x000727bae78682eaUL;
   tf->codes[19090] = 0x000727c98b47f42aUL;
   tf->codes[19091] = 0x000727caeaa216c8UL;
   tf->codes[19092] = 0x000727ea069d2770UL;
   tf->codes[19093] = 0x00072816dc1d9244UL;
   tf->codes[19094] = 0x000728500bc934a6UL;
   tf->codes[19095] = 0x00072856736dd632UL;
   tf->codes[19096] = 0x0007285932221b6eUL;
   tf->codes[19097] = 0x00072864a2113be8UL;
   tf->codes[19098] = 0x0007286a1f79c660UL;
   tf->codes[19099] = 0x00072879e8065479UL;
   tf->codes[19100] = 0x000728bdd7f40606UL;
   tf->codes[19101] = 0x0007293246527eb7UL;
   tf->codes[19102] = 0x0007294ede284fe8UL;
   tf->codes[19103] = 0x0007297670cf3609UL;
   tf->codes[19104] = 0x000729979bd17a9eUL;
   tf->codes[19105] = 0x0007299d8e5810a0UL;
   tf->codes[19106] = 0x000729c3fc33d9e8UL;
   tf->codes[19107] = 0x000729d8927be12aUL;
   tf->codes[19108] = 0x000729dc3b6c3d7aUL;
   tf->codes[19109] = 0x00072a1b982d7ba3UL;
   tf->codes[19110] = 0x00072a1e1c52bb1aUL;
   tf->codes[19111] = 0x00072a4957e9fd8bUL;
   tf->codes[19112] = 0x00072a4d3b695fa0UL;
   tf->codes[19113] = 0x00072a92ffcf3f55UL;
   tf->codes[19114] = 0x00072aaf228704fcUL;
   tf->codes[19115] = 0x00072ad25c907d7eUL;
   tf->codes[19116] = 0x00072ae3bf0633faUL;
   tf->codes[19117] = 0x00072af2d7e5b0c4UL;
   tf->codes[19118] = 0x00072b13c858ef94UL;
   tf->codes[19119] = 0x00072b4028bb4edeUL;
   tf->codes[19120] = 0x00072b418815717cUL;
   tf->codes[19121] = 0x00072b55e3ce72f9UL;
   tf->codes[19122] = 0x00072b5aec18f1e7UL;
   tf->codes[19123] = 0x00072b61c8db9efdUL;
   tf->codes[19124] = 0x00072b706c9d103dUL;
   tf->codes[19125] = 0x00072b9be2c35873UL;
   tf->codes[19126] = 0x00072bd9e02a73feUL;
   tf->codes[19127] = 0x00072be9a8b70217UL;
   tf->codes[19128] = 0x00072bf58dc42e1bUL;
   tf->codes[19129] = 0x00072bff63ca2632UL;
   tf->codes[19130] = 0x00072c0590dfc1f9UL;
   tf->codes[19131] = 0x00072c0939d01e49UL;
   tf->codes[19132] = 0x00072c0a5e9b3b22UL;
   tf->codes[19133] = 0x00072c3ec08b645bUL;
   tf->codes[19134] = 0x00072c53cbf17727UL;
   tf->codes[19135] = 0x00072c7b5e985d48UL;
   tf->codes[19136] = 0x00072c8659697238UL;
   tf->codes[19137] = 0x00072c8aec95e59cUL;
   tf->codes[19138] = 0x00072c8e20683662UL;
   tf->codes[19139] = 0x00072c923e769e3cUL;
   tf->codes[19140] = 0x00072cb53df110f9UL;
   tf->codes[19141] = 0x00072cbe29baf1fcUL;
   tf->codes[19142] = 0x00072cc5b62ab061UL;
   tf->codes[19143] = 0x00072cde6a811f7dUL;
   tf->codes[19144] = 0x00072d3bbe725175UL;
   tf->codes[19145] = 0x00072d4902d9a017UL;
   tf->codes[19146] = 0x00072d50c9d86441UL;
   tf->codes[19147] = 0x00072d8c431a4055UL;
   tf->codes[19148] = 0x00072d8da27462f3UL;
   tf->codes[19149] = 0x00072dafb7b2be9cUL;
   tf->codes[19150] = 0x00072dcf48cbdaceUL;
   tf->codes[19151] = 0x00072dd74a59a4bdUL;
   tf->codes[19152] = 0x00072e18f0b11c98UL;
   tf->codes[19153] = 0x00072e1b3a47564aUL;
   tf->codes[19154] = 0x00072e1baf6561d4UL;
   tf->codes[19155] = 0x00072e4466d764ceUL;
   tf->codes[19156] = 0x00072e46eafca445UL;
   tf->codes[19157] = 0x00072e4f61a879beUL;
   tf->codes[19158] = 0x00072e6014711eebUL;
   tf->codes[19159] = 0x00072f3d0c20e449UL;
   tf->codes[19160] = 0x00072f407a823ad4UL;
   tf->codes[19161] = 0x00072fcfac3e568eUL;
   tf->codes[19162] = 0x00072fe7eb76ba20UL;
   tf->codes[19163] = 0x0007301486681f2fUL;
   tf->codes[19164] = 0x0007303994e9c5d9UL;
   tf->codes[19165] = 0x00073040e6ca7e79UL;
   tf->codes[19166] = 0x00073052f8ed4644UL;
   tf->codes[19167] = 0x000730be7b81ddf2UL;
   tf->codes[19168] = 0x000730cc6f963de3UL;
   tf->codes[19169] = 0x000730ccaa2543a8UL;
   tf->codes[19170] = 0x000730d311c9e534UL;
   tf->codes[19171] = 0x000730e0cb4f3f60UL;
   tf->codes[19172] = 0x000730f1f335f017UL;
   tf->codes[19173] = 0x000730f4023d2404UL;
   tf->codes[19174] = 0x0007310982c1425aUL;
   tf->codes[19175] = 0x000731578343f1c3UL;
   tf->codes[19176] = 0x00073165b1e75779UL;
   tf->codes[19177] = 0x0007316c541afecaUL;
   tf->codes[19178] = 0x00073178ae463658UL;
   tf->codes[19179] = 0x000731871778a1d3UL;
   tf->codes[19180] = 0x0007318ccf703210UL;
   tf->codes[19181] = 0x0007319879ee584fUL;
   tf->codes[19182] = 0x000731bb3ed9c547UL;
   tf->codes[19183] = 0x000731bcd8c2edaaUL;
   tf->codes[19184] = 0x000731c5ff1bd472UL;
   tf->codes[19185] = 0x000731cb7c845eeaUL;
   tf->codes[19186] = 0x000731cd166d874dUL;
   tf->codes[19187] = 0x000731db7f9ff2c8UL;
   tf->codes[19188] = 0x000731e9e8d25e43UL;
   tf->codes[19189] = 0x00073248d6acb89eUL;
   tf->codes[19190] = 0x0007325bd30b977dUL;
   tf->codes[19191] = 0x000732744cd300d4UL;
   tf->codes[19192] = 0x00073297c16b7f1bUL;
   tf->codes[19193] = 0x000732b8774fb826UL;
   tf->codes[19194] = 0x000732bbe5b10eb1UL;
   tf->codes[19195] = 0x000732c24d55b03dUL;
   tf->codes[19196] = 0x000732c630d51252UL;
   tf->codes[19197] = 0x000732c7cabe3ab5UL;
   tf->codes[19198] = 0x000732c8b4fa51c9UL;
   tf->codes[19199] = 0x000732e512411d35UL;
   tf->codes[19200] = 0x000732ec6421d5d5UL;
   tf->codes[19201] = 0x000732edc37bf873UL;
   tf->codes[19202] = 0x000733167aedfb6dUL;
   tf->codes[19203] = 0x0007331f66b7dc70UL;
   tf->codes[19204] = 0x0007335896637ed2UL;
   tf->codes[19205] = 0x00073359bb2e9babUL;
   tf->codes[19206] = 0x0007336e16e79d28UL;
   tf->codes[19207] = 0x00073383224daff4UL;
   tf->codes[19208] = 0x0007339bd6a41f10UL;
   tf->codes[19209] = 0x000733d5f08bd886UL;
   tf->codes[19210] = 0x000733dbe3126e88UL;
   tf->codes[19211] = 0x000733f92a955108UL;
   tf->codes[19212] = 0x000734100a7391fcUL;
   tf->codes[19213] = 0x0007341512be10eaUL;
   tf->codes[19214] = 0x000734404e55535bUL;
   tf->codes[19215] = 0x0007345d95d835dbUL;
   tf->codes[19216] = 0x0007348ec3f60e4eUL;
   tf->codes[19217] = 0x0007348fae322562UL;
   tf->codes[19218] = 0x000734caece4fbb1UL;
   tf->codes[19219] = 0x000734ccfbec2f9eUL;
   tf->codes[19220] = 0x000734d39e1fd6efUL;
   tf->codes[19221] = 0x000734d572980517UL;
   tf->codes[19222] = 0x000734d7bc2e3ec9UL;
   tf->codes[19223] = 0x000734d95617672cUL;
   tf->codes[19224] = 0x000734ea436f121eUL;
   tf->codes[19225] = 0x000734fed9b71960UL;
   tf->codes[19226] = 0x0007350a0f173415UL;
   tf->codes[19227] = 0x0007353bece21dd7UL;
   tf->codes[19228] = 0x000735558b74a407UL;
   tf->codes[19229] = 0x0007355e02207980UL;
   tf->codes[19230] = 0x0007356dcaad0799UL;
   tf->codes[19231] = 0x0007357bbec1678aUL;
   tf->codes[19232] = 0x00073599b5f15b59UL;
   tf->codes[19233] = 0x000735c3579f7567UL;
   tf->codes[19234] = 0x000735ccb88761f4UL;
   tf->codes[19235] = 0x000735d1c0d1e0e2UL;
   tf->codes[19236] = 0x000735f067aee600UL;
   tf->codes[19237] = 0x000735fb627ffaf0UL;
   tf->codes[19238] = 0x000736171019b50dUL;
   tf->codes[19239] = 0x00073648ede49ecfUL;
   tf->codes[19240] = 0x000736587be22723UL;
   tf->codes[19241] = 0x0007368a59ad10e5UL;
   tf->codes[19242] = 0x00073691366fbdfbUL;
   tf->codes[19243] = 0x0007369eb5661262UL;
   tf->codes[19244] = 0x000736ae7df2a07bUL;
   tf->codes[19245] = 0x000737406e630171UL;
   tf->codes[19246] = 0x0007374af4160ad7UL;
   tf->codes[19247] = 0x0007375245f6c377UL;
   tf->codes[19248] = 0x000737666720bf2fUL;
   tf->codes[19249] = 0x0007376ea33d8ee3UL;
   tf->codes[19250] = 0x00073791dd470765UL;
   tf->codes[19251] = 0x0007379d87c52da4UL;
   tf->codes[19252] = 0x000737ea637cc034UL;
   tf->codes[19253] = 0x00073806863485dbUL;
   tf->codes[19254] = 0x000738147a48e5ccUL;
   tf->codes[19255] = 0x00073817738c30cdUL;
   tf->codes[19256] = 0x0007386623bbf185UL;
   tf->codes[19257] = 0x000738711e8d0675UL;
   tf->codes[19258] = 0x0007388e2b80e330UL;
   tf->codes[19259] = 0x000738c80ad996e1UL;
   tf->codes[19260] = 0x000738de3b0ac686UL;
   tf->codes[19261] = 0x000738dfd4f3eee9UL;
   tf->codes[19262] = 0x000738e6ec45a1c4UL;
   tf->codes[19263] = 0x000738fbf7abb490UL;
   tf->codes[19264] = 0x000738ff2b7e0556UL;
   tf->codes[19265] = 0x000739060840b26cUL;
   tf->codes[19266] = 0x00073910c882c197UL;
   tf->codes[19267] = 0x0007394f0078e2e7UL;
   tf->codes[19268] = 0x0007399db0a8a39fUL;
   tf->codes[19269] = 0x000739d630a734b2UL;
   tf->codes[19270] = 0x000739d8ef5b79eeUL;
   tf->codes[19271] = 0x000739f04457c66cUL;
   tf->codes[19272] = 0x00073a1d8ef63ccaUL;
   tf->codes[19273] = 0x00073a23f69ade56UL;
   tf->codes[19274] = 0x00073a48ca8d7f3bUL;
   tf->codes[19275] = 0x00073a6fe81659d2UL;
   tf->codes[19276] = 0x00073a7c7cd09725UL;
   tf->codes[19277] = 0x00073a9b23ad9c43UL;
   tf->codes[19278] = 0x00073ab98ffb9b9cUL;
   tf->codes[19279] = 0x00073ad1cf33ff2eUL;
   tf->codes[19280] = 0x00073afb70e2193cUL;
   tf->codes[19281] = 0x00073b1eaaeb91beUL;
   tf->codes[19282] = 0x00073b40107cdc18UL;
   tf->codes[19283] = 0x00073b56f05b1d0cUL;
   tf->codes[19284] = 0x00073b99f60cb785UL;
   tf->codes[19285] = 0x00073bbe1a52471bUL;
   tf->codes[19286] = 0x00073bd7f373d310UL;
   tf->codes[19287] = 0x00073bf53af6b590UL;
   tf->codes[19288] = 0x00073bfa4341347eUL;
   tf->codes[19289] = 0x00073c97a3a0b5eeUL;
   tf->codes[19290] = 0x00073c98534dc73dUL;
   tf->codes[19291] = 0x00073c9cabeb34dcUL;
   tf->codes[19292] = 0x00073ccaa636bc89UL;
   tf->codes[19293] = 0x00073ccd9f7a078aUL;
   tf->codes[19294] = 0x00073cdfec2bd51aUL;
   tf->codes[19295] = 0x00073ce82848a4ceUL;
   tf->codes[19296] = 0x00073cf32319b9beUL;
   tf->codes[19297] = 0x00073d1a40a29455UL;
   tf->codes[19298] = 0x00073d56a420877dUL;
   tf->codes[19299] = 0x00073d5c96a71d7fUL;
   tf->codes[19300] = 0x00073d71dc9c3610UL;
   tf->codes[19301] = 0x00073d7d871a5c4fUL;
   tf->codes[19302] = 0x00073d8f993d241aUL;
   tf->codes[19303] = 0x00073d99a9d221f6UL;
   tf->codes[19304] = 0x00073d99e46127bbUL;
   tf->codes[19305] = 0x00073dbbf99f8364UL;
   tf->codes[19306] = 0x00073dc3fb2d4d53UL;
   tf->codes[19307] = 0x00073dc72eff9e19UL;
   tf->codes[19308] = 0x00073dc8c8e8c67cUL;
   tf->codes[19309] = 0x00073dd3c3b9db6cUL;
   tf->codes[19310] = 0x00073dfd9ff6fb3fUL;
   tf->codes[19311] = 0x00073e0da3128f1dUL;
   tf->codes[19312] = 0x00073e61961bd488UL;
   tf->codes[19313] = 0x00073e6fff4e4003UL;
   tf->codes[19314] = 0x00073e77169ff2deUL;
   tf->codes[19315] = 0x00073e8fcaf661faUL;
   tf->codes[19316] = 0x00073ec3f257856eUL;
   tf->codes[19317] = 0x00073ecb7ec743d3UL;
   tf->codes[19318] = 0x00073ed972dba3c4UL;
   tf->codes[19319] = 0x00073edb4753d1ecUL;
   tf->codes[19320] = 0x00073f12a2874626UL;
   tf->codes[19321] = 0x00073f4f0605394eUL;
   tf->codes[19322] = 0x00073f8367f56287UL;
   tf->codes[19323] = 0x00073f9838cc6f8eUL;
   tf->codes[19324] = 0x00073fbd81dd1bfdUL;
   tf->codes[19325] = 0x00073fe5c431136dUL;
   tf->codes[19326] = 0x00073fe673de24bcUL;
   tf->codes[19327] = 0x000740113a575ba3UL;
   tf->codes[19328] = 0x0007403e84f5d201UL;
   tf->codes[19329] = 0x0007405773db46e2UL;
   tf->codes[19330] = 0x0007405fea871c5bUL;
   tf->codes[19331] = 0x0007407271c7efb0UL;
   tf->codes[19332] = 0x000740856e26ce8fUL;
   tf->codes[19333] = 0x000740f0b62c6078UL;
   tf->codes[19334] = 0x0007411883624c5eUL;
   tf->codes[19335] = 0x0007411ca170b438UL;
   tf->codes[19336] = 0x00074146b83cd9d0UL;
   tf->codes[19337] = 0x0007414bfb165e83UL;
   tf->codes[19338] = 0x00074154e6e03f86UL;
   tf->codes[19339] = 0x0007418147429ed0UL;
   tf->codes[19340] = 0x000741835649d2bdUL;
   tf->codes[19341] = 0x0007418ddbfcdc23UL;
   tf->codes[19342] = 0x000741994bebfc9dUL;
   tf->codes[19343] = 0x000741ce22fa3160UL;
   tf->codes[19344] = 0x000741e3de0d557bUL;
   tf->codes[19345] = 0x000741ffc636155dUL;
   tf->codes[19346] = 0x0007420be5d24726UL;
   tf->codes[19347] = 0x0007420d0a9d63ffUL;
   tf->codes[19348] = 0x000742480ec13489UL;
   tf->codes[19349] = 0x0007424dc6b8c4c6UL;
   tf->codes[19350] = 0x00074250104efe78UL;
   tf->codes[19351] = 0x000742542e5d6652UL;
   tf->codes[19352] = 0x0007426bbde8b895UL;
   tf->codes[19353] = 0x00074292a0e28d67UL;
   tf->codes[19354] = 0x000742c5a3789402UL;
   tf->codes[19355] = 0x000742c702d2b6a0UL;
   tf->codes[19356] = 0x000742c8622cd93eUL;
   tf->codes[19357] = 0x000742c986f7f617UL;
   tf->codes[19358] = 0x000742dc8356d4f6UL;
   tf->codes[19359] = 0x000742e39aa887d1UL;
   tf->codes[19360] = 0x000742e6ce7ad897UL;
   tf->codes[19361] = 0x000743132edd37e1UL;
   tf->codes[19362] = 0x0007436befa1f675UL;
   tf->codes[19363] = 0x00074396066e1c0dUL;
   tf->codes[19364] = 0x000744048245febcUL;
   tf->codes[19365] = 0x00074410dc71364aUL;
   tf->codes[19366] = 0x0007441e20d884ecUL;
   tf->codes[19367] = 0x0007443b685b676cUL;
   tf->codes[19368] = 0x0007444e2a2b4086UL;
   tf->codes[19369] = 0x0007444ffea36eaeUL;
   tf->codes[19370] = 0x0007445d087bb78bUL;
   tf->codes[19371] = 0x000744662ed49e53UL;
   tf->codes[19372] = 0x0007446d80b556f3UL;
   tf->codes[19373] = 0x000744716434b908UL;
   tf->codes[19374] = 0x00074491a4fae689UL;
   tf->codes[19375] = 0x00074496382759edUL;
   tf->codes[19376] = 0x0007449797817c8bUL;
   tf->codes[19377] = 0x000744d9b2f6fff0UL;
   tf->codes[19378] = 0x000744faddf94485UL;
   tf->codes[19379] = 0x00074501babbf19bUL;
   tf->codes[19380] = 0x00074519f9f4552dUL;
   tf->codes[19381] = 0x00074541177d2fc4UL;
   tf->codes[19382] = 0x0007457872b0a3feUL;
   tf->codes[19383] = 0x000745ceaf50231bUL;
   tf->codes[19384] = 0x000745d00eaa45b9UL;
   tf->codes[19385] = 0x000745d307ed90baUL;
   tf->codes[19386] = 0x000745d46747b358UL;
   tf->codes[19387] = 0x000745f93b3a543dUL;
   tf->codes[19388] = 0x000745ffa2def5c9UL;
   tf->codes[19389] = 0x0007461adb5aa45cUL;
   tf->codes[19390] = 0x0007461c3ab4c6faUL;
   tf->codes[19391] = 0x0007461c7543ccbfUL;
   tf->codes[19392] = 0x000746405efa5690UL;
   tf->codes[19393] = 0x0007464f77d9d35aUL;
   tf->codes[19394] = 0x0007467d72255b07UL;
   tf->codes[19395] = 0x00074687f7d8646dUL;
   tf->codes[19396] = 0x000746d24f6ab786UL;
   tf->codes[19397] = 0x000746d7ccd341feUL;
   tf->codes[19398] = 0x00074719adb9bf9eUL;
   tf->codes[19399] = 0x0007475c3e4d4e8dUL;
   tf->codes[19400] = 0x00074770d49555cfUL;
   tf->codes[19401] = 0x0007477651fde047UL;
   tf->codes[19402] = 0x0007478b5d63f313UL;
   tf->codes[19403] = 0x000747bc1663bffcUL;
   tf->codes[19404] = 0x000747ce9da49351UL;
   tf->codes[19405] = 0x000747eac05c58f8UL;
   tf->codes[19406] = 0x0007480b76409203UL;
   tf->codes[19407] = 0x0007483e03b88d14UL;
   tf->codes[19408] = 0x00074841378adddaUL;
   tf->codes[19409] = 0x0007487b16e3918bUL;
   tf->codes[19410] = 0x000748b35c531cd9UL;
   tf->codes[19411] = 0x000748bc82ac03a1UL;
   tf->codes[19412] = 0x000748d0de65051eUL;
   tf->codes[19413] = 0x000748d91a81d4d2UL;
   tf->codes[19414] = 0x000748ed763ad64fUL;
   tf->codes[19415] = 0x000748efbfd11001UL;
   tf->codes[19416] = 0x000748f4186e7da0UL;
   tf->codes[19417] = 0x000748f6d722c2dcUL;
   tf->codes[19418] = 0x000748f7fbeddfb5UL;
   tf->codes[19419] = 0x000748fcc9a958deUL;
   tf->codes[19420] = 0x00074917c79601acUL;
   tf->codes[19421] = 0x0007491a112c3b5eUL;
   tf->codes[19422] = 0x000749387d7a3ab7UL;
   tf->codes[19423] = 0x0007493cd617a856UL;
   tf->codes[19424] = 0x00074954dac10623UL;
   tf->codes[19425] = 0x000749558a6e1772UL;
   tf->codes[19426] = 0x00074955c4fd1d37UL;
   tf->codes[19427] = 0x000749905402e237UL;
   tf->codes[19428] = 0x000749ce16daf7fdUL;
   tf->codes[19429] = 0x000749dfb3dfb43eUL;
   tf->codes[19430] = 0x00074a08e06fc2c2UL;
   tf->codes[19431] = 0x00074a5128fae1eeUL;
   tf->codes[19432] = 0x00074a53e7af272aUL;
   tf->codes[19433] = 0x00074a6793bb1758UL;
   tf->codes[19434] = 0x00074a6e707dc46eUL;
   tf->codes[19435] = 0x00074a7d143f35aeUL;
   tf->codes[19436] = 0x00074a837be3d73aUL;
   tf->codes[19437] = 0x00074ad22c1397f2UL;
   tf->codes[19438] = 0x00074ad908d64508UL;
   tf->codes[19439] = 0x00074adcec55a71dUL;
   tf->codes[19440] = 0x00074addd691be31UL;
   tf->codes[19441] = 0x00074b2ab24950c1UL;
   tf->codes[19442] = 0x00074b45eac4ff54UL;
   tf->codes[19443] = 0x00074b4784ae27b7UL;
   tf->codes[19444] = 0x00074b587205d2a9UL;
   tf->codes[19445] = 0x00074b5d7a505197UL;
   tf->codes[19446] = 0x00074bd606bd3222UL;
   tf->codes[19447] = 0x00074be72ea3e2d9UL;
   tf->codes[19448] = 0x00074bfadaafd307UL;
   tf->codes[19449] = 0x00074c056062dc6dUL;
   tf->codes[19450] = 0x00074c5cfc5c7e28UL;
   tf->codes[19451] = 0x00074cc0b7f251acUL;
   tf->codes[19452] = 0x00074cdca01b118eUL;
   tf->codes[19453] = 0x00074cec68a79fa7UL;
   tf->codes[19454] = 0x00074cf170f21e95UL;
   tf->codes[19455] = 0x00074cfbbc162236UL;
   tf->codes[19456] = 0x00074d00c460a124UL;
   tf->codes[19457] = 0x00074d2e0eff1782UL;
   tf->codes[19458] = 0x00074d381f94155eUL;
   tf->codes[19459] = 0x00074d3d9cfc9fd6UL;
   tf->codes[19460] = 0x00074d5aa9f07c91UL;
   tf->codes[19461] = 0x00074d5fb23afb7fUL;
   tf->codes[19462] = 0x00074d9dafa2170aUL;
   tf->codes[19463] = 0x00074dc36dd0cf03UL;
   tf->codes[19464] = 0x00074dce68a1e3f3UL;
   tf->codes[19465] = 0x00074dd161e52ef4UL;
   tf->codes[19466] = 0x00074e2ef06566b1UL;
   tf->codes[19467] = 0x00074e4e46ef7d1eUL;
   tf->codes[19468] = 0x00074e9654eb9685UL;
   tf->codes[19469] = 0x00074e97eed4bee8UL;
   tf->codes[19470] = 0x00074e9e56796074UL;
   tf->codes[19471] = 0x00074edbdec27075UL;
   tf->codes[19472] = 0x00074ee6d9938565UL;
   tf->codes[19473] = 0x00074eec56fc0fddUL;
   tf->codes[19474] = 0x00074f3d8b51100cUL;
   tf->codes[19475] = 0x00074f6caa67b492UL;
   tf->codes[19476] = 0x00074f71b2b23380UL;
   tf->codes[19477] = 0x00074f89b75b914dUL;
   tf->codes[19478] = 0x00074f8a2c799cd7UL;
   tf->codes[19479] = 0x00074f9cee4975f1UL;
   tf->codes[19480] = 0x00074fd0db1b93a0UL;
   tf->codes[19481] = 0x00074fe118c62d43UL;
   tf->codes[19482] = 0x00074fe536d4951dUL;
   tf->codes[19483] = 0x00074fe954e2fcf7UL;
   tf->codes[19484] = 0x00074ff44fb411e7UL;
   tf->codes[19485] = 0x0007502edeb9d6e7UL;
   tf->codes[19486] = 0x00075059dfc21393UL;
   tf->codes[19487] = 0x000750779c63019dUL;
   tf->codes[19488] = 0x0007507b0ac45828UL;
   tf->codes[19489] = 0x000750cc3f195857UL;
   tf->codes[19490] = 0x000750dfb09642c0UL;
   tf->codes[19491] = 0x000750f0d87cf377UL;
   tf->codes[19492] = 0x000751023af2a9f3UL;
   tf->codes[19493] = 0x0007511ab4ba134aUL;
   tf->codes[19494] = 0x0007513d048774b8UL;
   tf->codes[19495] = 0x00075143a6bb1c09UL;
   tf->codes[19496] = 0x0007516ac443f6a0UL;
   tf->codes[19497] = 0x000751c29acc9e20UL;
   tf->codes[19498] = 0x000751c3fa26c0beUL;
   tf->codes[19499] = 0x000751db14940777UL;
   tf->codes[19500] = 0x0007520c42b1dfeaUL;
   tf->codes[19501] = 0x00075213cf219e4fUL;
   tf->codes[19502] = 0x00075242ee3842d5UL;
   tf->codes[19503] = 0x00075252b6c4d0eeUL;
   tf->codes[19504] = 0x000752778ab771d3UL;
   tf->codes[19505] = 0x0007527b6e36d3e8UL;
   tf->codes[19506] = 0x0007527df25c135fUL;
   tf->codes[19507] = 0x000752875343ffecUL;
   tf->codes[19508] = 0x000752b8bbf0de24UL;
   tf->codes[19509] = 0x000752c1329cb39dUL;
   tf->codes[19510] = 0x000752e6068f5482UL;
   tf->codes[19511] = 0x0007531e4bfedfd0UL;
   tf->codes[19512] = 0x0007536e5b88c326UL;
   tf->codes[19513] = 0x0007539defbd7336UL;
   tf->codes[19514] = 0x000753c0ef37e5f3UL;
   tf->codes[19515] = 0x000753da18ac6099UL;
   tf->codes[19516] = 0x000753dc62429a4bUL;
   tf->codes[19517] = 0x000753ea5656fa3cUL;
   tf->codes[19518] = 0x0007543104f8f105UL;
   tf->codes[19519] = 0x0007543b501cf4a6UL;
   tf->codes[19520] = 0x00075467b07f53f0UL;
   tf->codes[19521] = 0x000754690fd9768eUL;
   tf->codes[19522] = 0x000754c32ff857c0UL;
   tf->codes[19523] = 0x000754d2f884e5d9UL;
   tf->codes[19524] = 0x000754da4a659e79UL;
   tf->codes[19525] = 0x000754ebacdb54f5UL;
   tf->codes[19526] = 0x000754f5f7ff5896UL;
   tf->codes[19527] = 0x000754f9db7ebaabUL;
   tf->codes[19528] = 0x000755193208d118UL;
   tf->codes[19529] = 0x000755446da01389UL;
   tf->codes[19530] = 0x000755513ce956a1UL;
   tf->codes[19531] = 0x00075559ee2431dfUL;
   tf->codes[19532] = 0x000755681cc79795UL;
   tf->codes[19533] = 0x000755c98ec73167UL;
   tf->codes[19534] = 0x000755d2efaf1df4UL;
   tf->codes[19535] = 0x000755d5ae636330UL;
   tf->codes[19536] = 0x000755d91cc4b9bbUL;
   tf->codes[19537] = 0x000755de9a2d4433UL;
   tf->codes[19538] = 0x000755ed035fafaeUL;
   tf->codes[19539] = 0x0007561336ac7331UL;
   tf->codes[19540] = 0x0007565885f4475cUL;
   tf->codes[19541] = 0x000756608782114bUL;
   tf->codes[19542] = 0x0007566604ea9bc3UL;
   tf->codes[19543] = 0x000756960e3d575dUL;
   tf->codes[19544] = 0x000756aaa4855e9fUL;
   tf->codes[19545] = 0x000756c910d35df8UL;
   tf->codes[19546] = 0x000756cda3ffd15cUL;
   tf->codes[19547] = 0x0007570e9aaa37e8UL;
   tf->codes[19548] = 0x0007572f8b1d76b8UL;
   tf->codes[19549] = 0x000757336e9cd8cdUL;
   tf->codes[19550] = 0x0007573ede8bf947UL;
   tf->codes[19551] = 0x00075740787521aaUL;
   tf->codes[19552] = 0x0007574b38b730d5UL;
   tf->codes[19553] = 0x000757675b6ef67cUL;
   tf->codes[19554] = 0x00075767d08d0206UL;
   tf->codes[19555] = 0x00075768803a1355UL;
   tf->codes[19556] = 0x000757d4b27bbc52UL;
   tf->codes[19557] = 0x000757d7abbf0753UL;
   tf->codes[19558] = 0x000757e52ab55bbaUL;
   tf->codes[19559] = 0x000757fc0a939caeUL;
   tf->codes[19560] = 0x000758069046a614UL;
   tf->codes[19561] = 0x00075808d9dcdfc6UL;
   tf->codes[19562] = 0x00075855407666ccUL;
   tf->codes[19563] = 0x0007585d7c933680UL;
   tf->codes[19564] = 0x000758771b25bcb0UL;
   tf->codes[19565] = 0x00075883ea6effc8UL;
   tf->codes[19566] = 0x000758c0887bf8b5UL;
   tf->codes[19567] = 0x000758e3c2857137UL;
   tf->codes[19568] = 0x000758ee48387a9dUL;
   tf->codes[19569] = 0x000758ff3590258fUL;
   tf->codes[19570] = 0x0007590c3f686e6cUL;
   tf->codes[19571] = 0x00075941c623b47eUL;
   tf->codes[19572] = 0x00075942eaeed157UL;
   tf->codes[19573] = 0x0007594ff4c71a34UL;
   tf->codes[19574] = 0x00075950df033148UL;
   tf->codes[19575] = 0x00075955722fa4acUL;
   tf->codes[19576] = 0x0007596833ff7dc6UL;
   tf->codes[19577] = 0x000759c5c27fb583UL;
   tf->codes[19578] = 0x000759ceae499686UL;
   tf->codes[19579] = 0x000759d79a137789UL;
   tf->codes[19580] = 0x00075a16f6d4b5b2UL;
   tf->codes[19581] = 0x00075a4b9353e4b0UL;
   tf->codes[19582] = 0x00075a51faf8863cUL;
   tf->codes[19583] = 0x00075ad338a04205UL;
   tf->codes[19584] = 0x00075adc246a2308UL;
   tf->codes[19585] = 0x00075aeb02ba9a0dUL;
   tf->codes[19586] = 0x00075b1b0c0d55a7UL;
   tf->codes[19587] = 0x00075b3fdffff68cUL;
   tf->codes[19588] = 0x00075b6b90b54487UL;
   tf->codes[19589] = 0x00075b76c6155f3cUL;
   tf->codes[19590] = 0x00075b794a3a9eb3UL;
   tf->codes[19591] = 0x00075b8fef89d9e2UL;
   tf->codes[19592] = 0x00075bdf14d7a624UL;
   tf->codes[19593] = 0x00075be666b85ec4UL;
   tf->codes[19594] = 0x00075c1510b0f7c0UL;
   tf->codes[19595] = 0x00075c3f277d1d58UL;
   tf->codes[19596] = 0x00075c455492b91fUL;
   tf->codes[19597] = 0x00075c5816629239UL;
   tf->codes[19598] = 0x00075c5dce5a2276UL;
   tf->codes[19599] = 0x00075c781c99b9f5UL;
   tf->codes[19600] = 0x00075cd117ed7e4eUL;
   tf->codes[19601] = 0x00075cf6266f24f8UL;
   tf->codes[19602] = 0x00075d1f52ff337cUL;
   tf->codes[19603] = 0x00075d2c5cd77c59UL;
   tf->codes[19604] = 0x00075d425279a639UL;
   tf->codes[19605] = 0x00075d533fd1512bUL;
   tf->codes[19606] = 0x00075d5eea4f776aUL;
   tf->codes[19607] = 0x00075d6517651331UL;
   tf->codes[19608] = 0x00075d679b8a52a8UL;
   tf->codes[19609] = 0x00075d7e7b68939cUL;
   tf->codes[19610] = 0x00075d8caa0bf952UL;
   tf->codes[19611] = 0x00075d96f52ffcf3UL;
   tf->codes[19612] = 0x00075d9e0c81afceUL;
   tf->codes[19613] = 0x00075daf6ef7664aUL;
   tf->codes[19614] = 0x00075dcfea4c9990UL;
   tf->codes[19615] = 0x00075de913c11436UL;
   tf->codes[19616] = 0x00075df8672f96c5UL;
   tf->codes[19617] = 0x00075dfb25e3dc01UL;
   tf->codes[19618] = 0x00075e52874e77f7UL;
   tf->codes[19619] = 0x00075e6374a622e9UL;
   tf->codes[19620] = 0x00075e86aeaf9b6bUL;
   tf->codes[19621] = 0x00075eb433dd178eUL;
   tf->codes[19622] = 0x00075edefa564e75UL;
   tf->codes[19623] = 0x00075ef0d1ea107bUL;
   tf->codes[19624] = 0x00075f15e06bb725UL;
   tf->codes[19625] = 0x00075f47f8c5a6acUL;
   tf->codes[19626] = 0x00075f5577bbfb13UL;
   tf->codes[19627] = 0x00075f5920ac5763UL;
   tf->codes[19628] = 0x00075f757df322cfUL;
   tf->codes[19629] = 0x00075f9842de8fc7UL;
   tf->codes[19630] = 0x00075fda98e318f1UL;
   tf->codes[19631] = 0x0007601cb4589c56UL;
   tf->codes[19632] = 0x00076027af29b146UL;
   tf->codes[19633] = 0x0007603d6a3cd561UL;
   tf->codes[19634] = 0x0007605f7f7b310aUL;
   tf->codes[19635] = 0x000760786e60a5ebUL;
   tf->codes[19636] = 0x000760ce70711f43UL;
   tf->codes[19637] = 0x000760e63a8b774bUL;
   tf->codes[19638] = 0x000760e799e599e9UL;
   tf->codes[19639] = 0x000760fe79c3daddUL;
   tf->codes[19640] = 0x000761129aedd695UL;
   tf->codes[19641] = 0x00076117ddc75b48UL;
   tf->codes[19642] = 0x0007612d5e4b799eUL;
   tf->codes[19643] = 0x00076135254a3dc8UL;
   tf->codes[19644] = 0x00076187b8f96095UL;
   tf->codes[19645] = 0x00076189c8009482UL;
   tf->codes[19646] = 0x0007621307361a3aUL;
   tf->codes[19647] = 0x0007627dda1da099UL;
   tf->codes[19648] = 0x0007629da5c5c290UL;
   tf->codes[19649] = 0x000762c2049a57ebUL;
   tf->codes[19650] = 0x00076300771f7f00UL;
   tf->codes[19651] = 0x00076308038f3d65UL;
   tf->codes[19652] = 0x0007630bac7f99b5UL;
   tf->codes[19653] = 0x0007630d4668c218UL;
   tf->codes[19654] = 0x000763233c0aebf8UL;
   tf->codes[19655] = 0x00076344a19c3652UL;
   tf->codes[19656] = 0x0007635170e5796aUL;
   tf->codes[19657] = 0x0007638bffeb3e6aUL;
   tf->codes[19658] = 0x0007638c3a7a442fUL;
   tf->codes[19659] = 0x0007638f6e4c94f5UL;
   tf->codes[19660] = 0x0007639b18cabb34UL;
   tf->codes[19661] = 0x000763a6c348e173UL;
   tf->codes[19662] = 0x000763b39292248bUL;
   tf->codes[19663] = 0x000763cc0c598de2UL;
   tf->codes[19664] = 0x000763d91631d6bfUL;
   tf->codes[19665] = 0x000763ef46630664UL;
   tf->codes[19666] = 0x000763f27a35572aUL;
   tf->codes[19667] = 0x000763fdea2477a4UL;
   tf->codes[19668] = 0x0007641c567276fdUL;
   tf->codes[19669] = 0x0007641d7b3d93d6UL;
   tf->codes[19670] = 0x00076449db9ff320UL;
   tf->codes[19671] = 0x000764528cdace5eUL;
   tf->codes[19672] = 0x000764972c75913aUL;
   tf->codes[19673] = 0x000764edde331be1UL;
   tf->codes[19674] = 0x0007650916aeca74UL;
   tf->codes[19675] = 0x0007657c6042264cUL;
   tf->codes[19676] = 0x00076598f817f77dUL;
   tf->codes[19677] = 0x0007659fd4daa493UL;
   tf->codes[19678] = 0x000765c6b7d47965UL;
   tf->codes[19679] = 0x000765cb1071e704UL;
   tf->codes[19680] = 0x000765ea2c6cf7acUL;
   tf->codes[19681] = 0x000765f1f36bbbd6UL;
   tf->codes[19682] = 0x000765f736454089UL;
   tf->codes[19683] = 0x000765fd635adc50UL;
   tf->codes[19684] = 0x0007660ae25130b7UL;
   tf->codes[19685] = 0x0007660b1ce0367cUL;
   tf->codes[19686] = 0x0007661358fd0630UL;
   tf->codes[19687] = 0x00076642b2a2b07bUL;
   tf->codes[19688] = 0x000766565eaea0a9UL;
   tf->codes[19689] = 0x00076669207e79c3UL;
   tf->codes[19690] = 0x0007666a0aba90d7UL;
   tf->codes[19691] = 0x00076680ea98d1cbUL;
   tf->codes[19692] = 0x000766c3060e5530UL;
   tf->codes[19693] = 0x000766d886927386UL;
   tf->codes[19694] = 0x000766e7da00f615UL;
   tf->codes[19695] = 0x0007671265eb2737UL;
   tf->codes[19696] = 0x000767176e35a625UL;
   tf->codes[19697] = 0x0007673d66f363e3UL;
   tf->codes[19698] = 0x00076750635242c2UL;
   tf->codes[19699] = 0x0007675397249388UL;
   tf->codes[19700] = 0x00076770a4187043UL;
   tf->codes[19701] = 0x00076783db0654e7UL;
   tf->codes[19702] = 0x00076793a392e300UL;
   tf->codes[19703] = 0x000767d6e3d3833eUL;
   tf->codes[19704] = 0x000767f2cbfc4320UL;
   tf->codes[19705] = 0x0007684ec093527aUL;
   tf->codes[19706] = 0x0007687f047513d9UL;
   tf->codes[19707] = 0x00076890dc08d5dfUL;
   tf->codes[19708] = 0x0007689534a6437eUL;
   tf->codes[19709] = 0x0007689ff4e852a9UL;
   tf->codes[19710] = 0x000768bab845f5b2UL;
   tf->codes[19711] = 0x000768d3320d5f09UL;
   tf->codes[19712] = 0x000768f24e086fb1UL;
   tf->codes[19713] = 0x0007691c64d49549UL;
   tf->codes[19714] = 0x0007698821f832bcUL;
   tf->codes[19715] = 0x0007698c7a95a05bUL;
   tf->codes[19716] = 0x00076997aff5bb10UL;
   tf->codes[19717] = 0x000769b8a068f9e0UL;
   tf->codes[19718] = 0x000769c3261c0346UL;
   tf->codes[19719] = 0x000769e9ce86d253UL;
   tf->codes[19720] = 0x000769fccae5b132UL;
   tf->codes[19721] = 0x00076a015e122496UL;
   tf->codes[19722] = 0x00076a45888edbe8UL;
   tf->codes[19723] = 0x00076a4fd3b2df89UL;
   tf->codes[19724] = 0x00076a579ab1a3b3UL;
   tf->codes[19725] = 0x00076a888e407661UL;
   tf->codes[19726] = 0x00076a959818bf3eUL;
   tf->codes[19727] = 0x00076ac407825275UL;
   tf->codes[19728] = 0x00076acae444ff8bUL;
   tf->codes[19729] = 0x00076ad32061cf3fUL;
   tf->codes[19730] = 0x00076ad47fbbf1ddUL;
   tf->codes[19731] = 0x00076ad68ec325caUL;
   tf->codes[19732] = 0x00076ae3989b6ea7UL;
   tf->codes[19733] = 0x00076b044e7fa7b2UL;
   tf->codes[19734] = 0x00076b4878fc5f04UL;
   tf->codes[19735] = 0x00076b94df95e60aUL;
   tf->codes[19736] = 0x00076bbe0c25f48eUL;
   tf->codes[19737] = 0x00076bc55e06ad2eUL;
   tf->codes[19738] = 0x00076bd894f491d2UL;
   tf->codes[19739] = 0x00076bf9fa85dc2cUL;
   tf->codes[19740] = 0x00076bfcf3c9272dUL;
   tf->codes[19741] = 0x00076c34c41aa6f1UL;
   tf->codes[19742] = 0x00076c636e133fedUL;
   tf->codes[19743] = 0x00076c8e348c76d4UL;
   tf->codes[19744] = 0x00076cbf62aa4f47UL;
   tf->codes[19745] = 0x00076cd8c6adcfb2UL;
   tf->codes[19746] = 0x00076cf4744789cfUL;
   tf->codes[19747] = 0x00076cffa9a7a484UL;
   tf->codes[19748] = 0x00076d36ca4c12f9UL;
   tf->codes[19749] = 0x00076d857a7bd3b1UL;
   tf->codes[19750] = 0x00076dbfcef292ecUL;
   tf->codes[19751] = 0x00076e0f2ecf64f3UL;
   tf->codes[19752] = 0x00076e5568535032UL;
   tf->codes[19753] = 0x00076e5ae5bbdaaaUL;
   tf->codes[19754] = 0x00076e6fb692e7b1UL;
   tf->codes[19755] = 0x00076ec0eae7e7e0UL;
   tf->codes[19756] = 0x00076ed5f64dfaacUL;
   tf->codes[19757] = 0x00076efd13d6d543UL;
   tf->codes[19758] = 0x00076f104ac4b9e7UL;
   tf->codes[19759] = 0x00076f3ef4bd52e3UL;
   tf->codes[19760] = 0x00076f4bfe959bc0UL;
   tf->codes[19761] = 0x00076f74f096a47fUL;
   tf->codes[19762] = 0x00076f9fb70fdb66UL;
   tf->codes[19763] = 0x00076fb70c0c27e4UL;
   tf->codes[19764] = 0x00076fda4615a066UL;
   tf->codes[19765] = 0x0007701b0231012dUL;
   tf->codes[19766] = 0x0007701e360351f3UL;
   tf->codes[19767] = 0x0007705e07e29ba6UL;
   tf->codes[19768] = 0x000770a7afc7dd70UL;
   tf->codes[19769] = 0x000770be8fa61e64UL;
   tf->codes[19770] = 0x000770e1c9af96e6UL;
   tf->codes[19771] = 0x000770ed742dbd25UL;
   tf->codes[19772] = 0x000770f2075a3089UL;
   tf->codes[19773] = 0x00077101cfe6bea2UL;
   tf->codes[19774] = 0x0007710def82f06bUL;
   tf->codes[19775] = 0x000771115de446f6UL;
   tf->codes[19776] = 0x0007712e30491decUL;
   tf->codes[19777] = 0x0007714cd726230aUL;
   tf->codes[19778] = 0x000771516a52966eUL;
   tf->codes[19779] = 0x00077157224a26abUL;
   tf->codes[19780] = 0x0007715eaeb9e510UL;
   tf->codes[19781] = 0x00077173ba1ff7dcUL;
   tf->codes[19782] = 0x0007719b4cc6ddfdUL;
   tf->codes[19783] = 0x000771e0d69db7edUL;
   tf->codes[19784] = 0x000771e235f7da8bUL;
   tf->codes[19785] = 0x0007726bafbc6608UL;
   tf->codes[19786] = 0x000772766ffe7533UL;
   tf->codes[19787] = 0x000772aca666cc94UL;
   tf->codes[19788] = 0x000772d4ae2bbe3fUL;
   tf->codes[19789] = 0x000772f146018f70UL;
   tf->codes[19790] = 0x000772f43f44da71UL;
   tf->codes[19791] = 0x0007731e1b81fa44UL;
   tf->codes[19792] = 0x0007731f404d171dUL;
   tf->codes[19793] = 0x00077340e06d673cUL;
   tf->codes[19794] = 0x00077357fadaadf5UL;
   tf->codes[19795] = 0x00077371996d3425UL;
   tf->codes[19796] = 0x0007738df6b3ff91UL;
   tf->codes[19797] = 0x000773919fa45be1UL;
   tf->codes[19798] = 0x0007739498e7a6e2UL;
   tf->codes[19799] = 0x000773d84e4652aaUL;
   tf->codes[19800] = 0x00077403c46c9ae0UL;
   tf->codes[19801] = 0x00077444f5a60731UL;
   tf->codes[19802] = 0x000774502b0621e6UL;
   tf->codes[19803] = 0x0007746570fb3a77UL;
   tf->codes[19804] = 0x0007748f12a95485UL;
   tf->codes[19805] = 0x000774b6dfdf406bUL;
   tf->codes[19806] = 0x000774d3ecd31d26UL;
   tf->codes[19807] = 0x000774f552646780UL;
   tf->codes[19808] = 0x0007751a60e60e2aUL;
   tf->codes[19809] = 0x0007754268aaffd5UL;
   tf->codes[19810] = 0x00077567020e9af5UL;
   tf->codes[19811] = 0x0007756d69b33c81UL;
   tf->codes[19812] = 0x0007758aebc524c6UL;
   tf->codes[19813] = 0x000775b034d5d135UL;
   tf->codes[19814] = 0x000775b7fbd4955fUL;
   tf->codes[19815] = 0x000775ee6ccbf285UL;
   tf->codes[19816] = 0x000775efcc261523UL;
   tf->codes[19817] = 0x0007760378320551UL;
   tf->codes[19818] = 0x0007760aca12bdf1UL;
   tf->codes[19819] = 0x00077643bf2f5a8eUL;
   tf->codes[19820] = 0x0007764bc0bd247dUL;
   tf->codes[19821] = 0x00077655d1522259UL;
   tf->codes[19822] = 0x00077662660c5facUL;
   tf->codes[19823] = 0x0007766d60dd749cUL;
   tf->codes[19824] = 0x00077686c4e0f507UL;
   tf->codes[19825] = 0x0007768a6dd15157UL;
   tf->codes[19826] = 0x0007769b5b28fc49UL;
   tf->codes[19827] = 0x000776c153e6ba07UL;
   tf->codes[19828] = 0x000776e5b2bb4f62UL;
   tf->codes[19829] = 0x000776f8af1a2e41UL;
   tf->codes[19830] = 0x000776fb333f6db8UL;
   tf->codes[19831] = 0x00077770c6690342UL;
   tf->codes[19832] = 0x0007777f2f9b6ebdUL;
   tf->codes[19833] = 0x000777947590874eUL;
   tf->codes[19834] = 0x0007779cb1ad5702UL;
   tf->codes[19835] = 0x000777dfb75ef17bUL;
   tf->codes[19836] = 0x000777f2b3bdd05aUL;
   tf->codes[19837] = 0x000777fd3970d9c0UL;
   tf->codes[19838] = 0x00077805006f9deaUL;
   tf->codes[19839] = 0x00077810aaedc429UL;
   tf->codes[19840] = 0x00077811cfb8e102UL;
   tf->codes[19841] = 0x00077859a325f4a4UL;
   tf->codes[19842] = 0x0007785eab707392UL;
   tf->codes[19843] = 0x0007786dfedef621UL;
   tf->codes[19844] = 0x00077871e25e5836UL;
   tf->codes[19845] = 0x000778721ced5dfbUL;
   tf->codes[19846] = 0x00077897a08d102fUL;
   tf->codes[19847] = 0x000778bb8a439a00UL;
   tf->codes[19848] = 0x000778dc7ab6d8d0UL;
   tf->codes[19849] = 0x000778fc465efac7UL;
   tf->codes[19850] = 0x000779118c541358UL;
   tf->codes[19851] = 0x00077913263d3bbbUL;
   tf->codes[19852] = 0x00077948e7878792UL;
   tf->codes[19853] = 0x0007795b6ec85ae7UL;
   tf->codes[19854] = 0x00077978b64b3d67UL;
   tf->codes[19855] = 0x000779858594807fUL;
   tf->codes[19856] = 0x000779d7a42597c2UL;
   tf->codes[19857] = 0x000779eebe92de7bUL;
   tf->codes[19858] = 0x00077a14b7509c39UL;
   tf->codes[19859] = 0x00077a19fa2a20ecUL;
   tf->codes[19860] = 0x00077a4b2847f95fUL;
   tf->codes[19861] = 0x00077a8e2df993d8UL;
   tf->codes[19862] = 0x00077a90b21ed34fUL;
   tf->codes[19863] = 0x00077a90ecadd914UL;
   tf->codes[19864] = 0x00077abac8eaf8e7UL;
   tf->codes[19865] = 0x00077ac5fe4b139cUL;
   tf->codes[19866] = 0x00077ac6adf824ebUL;
   tf->codes[19867] = 0x00077adf624e9407UL;
   tf->codes[19868] = 0x00077ae763dc5df6UL;
   tf->codes[19869] = 0x00077af3be079584UL;
   tf->codes[19870] = 0x00077af4e2d2b25dUL;
   tf->codes[19871] = 0x00077afce4607c4cUL;
   tf->codes[19872] = 0x00077afd940d8d9bUL;
   tf->codes[19873] = 0x00077b3fea1216c5UL;
   tf->codes[19874] = 0x00077b7de7793250UL;
   tf->codes[19875] = 0x00077baf50261088UL;
   tf->codes[19876] = 0x00077bcbe7fbe1b9UL;
   tf->codes[19877] = 0x00077bf0bbee829eUL;
   tf->codes[19878] = 0x00077bf54f1af602UL;
   tf->codes[19879] = 0x00077bfd50a8bff1UL;
   tf->codes[19880] = 0x00077c18fe427a0eUL;
   tf->codes[19881] = 0x00077c74b84a83a3UL;
   tf->codes[19882] = 0x00077c81fcb1d245UL;
   tf->codes[19883] = 0x00077c9e9487a376UL;
   tf->codes[19884] = 0x00077d0b3be757fdUL;
   tf->codes[19885] = 0x00077d4bbd73b2ffUL;
   tf->codes[19886] = 0x00077de156d47045UL;
   tf->codes[19887] = 0x00077e124a6342f3UL;
   tf->codes[19888] = 0x00077e141edb711bUL;
   tf->codes[19889] = 0x00077e15f3539f43UL;
   tf->codes[19890] = 0x00077e7381d3d700UL;
   tf->codes[19891] = 0x00077e976b8a60d1UL;
   tf->codes[19892] = 0x00077e9fe236364aUL;
   tf->codes[19893] = 0x00077ee740853e62UL;
   tf->codes[19894] = 0x00077efde5d47991UL;
   tf->codes[19895] = 0x00077f1d76ed95c3UL;
   tf->codes[19896] = 0x00077f3ea1efda58UL;
   tf->codes[19897] = 0x00077f775c7d7130UL;
   tf->codes[19898] = 0x00077f7a55c0bc31UL;
   tf->codes[19899] = 0x00077f8849d51c22UL;
   tf->codes[19900] = 0x00077fd092603b4eUL;
   tf->codes[19901] = 0x00077fd97e2a1c51UL;
   tf->codes[19902] = 0x00077fdbc7c05603UL;
   tf->codes[19903] = 0x00077fdd9c38842bUL;
   tf->codes[19904] = 0x000780031fd8365fUL;
   tf->codes[19905] = 0x000780520a96fcdcUL;
   tf->codes[19906] = 0x0007807076e4fc35UL;
   tf->codes[19907] = 0x00078070ec0307bfUL;
   tf->codes[19908] = 0x0007808be9efb08dUL;
   tf->codes[19909] = 0x0007809007fe1867UL;
   tf->codes[19910] = 0x0007809c9cb855baUL;
   tf->codes[19911] = 0x000780ee462b6173UL;
   tf->codes[19912] = 0x000780ef30677887UL;
   tf->codes[19913] = 0x000780fadae59ec6UL;
   tf->codes[19914] = 0x000781118034d9f5UL;
   tf->codes[19915] = 0x00078145a795fd69UL;
   tf->codes[19916] = 0x0007816956bd8175UL;
   tf->codes[19917] = 0x000781c80a08d60bUL;
   tf->codes[19918] = 0x000781cac8bd1b47UL;
   tf->codes[19919] = 0x0007820a9a9c64faUL;
   tf->codes[19920] = 0x00078257eb720314UL;
   tf->codes[19921] = 0x0007826ae7d0e1f3UL;
   tf->codes[19922] = 0x0007827b600a815bUL;
   tf->codes[19923] = 0x00078285709f7f37UL;
   tf->codes[19924] = 0x000782c507efc325UL;
   tf->codes[19925] = 0x000782ee6f0ed76eUL;
   tf->codes[19926] = 0x0007837564ae2374UL;
   tf->codes[19927] = 0x000783c06bed87dcUL;
   tf->codes[19928] = 0x000783c24065b604UL;
   tf->codes[19929] = 0x000783ce2572e208UL;
   tf->codes[19930] = 0x000783d452887dcfUL;
   tf->codes[19931] = 0x000783d7865ace95UL;
   tf->codes[19932] = 0x000783f36e838e77UL;
   tf->codes[19933] = 0x000784078fad8a2fUL;
   tf->codes[19934] = 0x0007840804cb95b9UL;
   tf->codes[19935] = 0x0007841bb0d785e7UL;
   tf->codes[19936] = 0x000784481139e531UL;
   tf->codes[19937] = 0x000784534699ffe6UL;
   tf->codes[19938] = 0x0007848ceb63add2UL;
   tf->codes[19939] = 0x00078499baacf0eaUL;
   tf->codes[19940] = 0x000784c40c081c47UL;
   tf->codes[19941] = 0x000784daebe65d3bUL;
   tf->codes[19942] = 0x000784e3d7b03e3eUL;
   tf->codes[19943] = 0x000784e91a89c2f1UL;
   tf->codes[19944] = 0x000784f0a6f98156UL;
   tf->codes[19945] = 0x000785596ad9d3c8UL;
   tf->codes[19946] = 0x000785befae7d574UL;
   tf->codes[19947] = 0x000785cceefc3565UL;
   tf->codes[19948] = 0x000785de8c00f1a6UL;
   tf->codes[19949] = 0x000785f6561b49aeUL;
   tf->codes[19950] = 0x00078613288020a4UL;
   tf->codes[19951] = 0x0007862d3c30b25eUL;
   tf->codes[19952] = 0x0007864924597240UL;
   tf->codes[19953] = 0x0007865bab9a4595UL;
   tf->codes[19954] = 0x0007869f9b87f722UL;
   tf->codes[19955] = 0x000786be07d5f67bUL;
   tf->codes[19956] = 0x000786c9b2541cbaUL;
   tf->codes[19957] = 0x000786d94051a50eUL;
   tf->codes[19958] = 0x0007874328fd1459UL;
   tf->codes[19959] = 0x0007874ed37b3a98UL;
   tf->codes[19960] = 0x00078770ae2a907cUL;
   tf->codes[19961] = 0x00078775b6750f6aUL;
   tf->codes[19962] = 0x00078778ea476030UL;
   tf->codes[19963] = 0x000787c6eaca0f99UL;
   tf->codes[19964] = 0x000787c9e40d5a9aUL;
   tf->codes[19965] = 0x000787d553fc7b14UL;
   tf->codes[19966] = 0x000787e9afb57c91UL;
   tf->codes[19967] = 0x0007884569bd8626UL;
   tf->codes[19968] = 0x000788473e35b44eUL;
   tf->codes[19969] = 0x00078885762bd59eUL;
   tf->codes[19970] = 0x00078897884e9d69UL;
   tf->codes[19971] = 0x000788c6a76541efUL;
   tf->codes[19972] = 0x000788c87bdd7017UL;
   tf->codes[19973] = 0x00078917dbba421eUL;
   tf->codes[19974] = 0x0007893a2b87a38cUL;
   tf->codes[19975] = 0x0007897619e78b2aUL;
   tf->codes[19976] = 0x000789e62fa8963cUL;
   tf->codes[19977] = 0x000789f33980df19UL;
   tf->codes[19978] = 0x000789f966967ae0UL;
   tf->codes[19979] = 0x00078a4976205e36UL;
   tf->codes[19980] = 0x00078a4a605c754aUL;
   tf->codes[19981] = 0x00078a7fac88b597UL;
   tf->codes[19982] = 0x00078a8a6ccac4c2UL;
   tf->codes[19983] = 0x00078b500f7e3da2UL;
   tf->codes[19984] = 0x00078b5b0a4f5292UL;
   tf->codes[19985] = 0x00078b7d5a1cb400UL;
   tf->codes[19986] = 0x00078b8c72fc30caUL;
   tf->codes[19987] = 0x00078b9bc66ab359UL;
   tf->codes[19988] = 0x00078bc65254e47bUL;
   tf->codes[19989] = 0x00078bcaaaf2521aUL;
   tf->codes[19990] = 0x00078bd187b4ff30UL;
   tf->codes[19991] = 0x00078bdd3233256fUL;
   tf->codes[19992] = 0x00078bed6fddbf12UL;
   tf->codes[19993] = 0x00078c011be9af40UL;
   tf->codes[19994] = 0x00078c07f8ac5c56UL;
   tf->codes[19995] = 0x00078c2c920ff776UL;
   tf->codes[19996] = 0x00078c366815ef8dUL;
   tf->codes[19997] = 0x00078c3d44d89ca3UL;
   tf->codes[19998] = 0x00078c4df7a141d0UL;
   tf->codes[19999] = 0x00078c58f27256c0UL;
   tf->codes[20000] = 0x00078c91e78ef35dUL;
   tf->codes[20001] = 0x00078ca67dd6fa9fUL;
   tf->codes[20002] = 0x00078cb93fa6d3b9UL;
   tf->codes[20003] = 0x00078cd43d937c87UL;
   tf->codes[20004] = 0x00078d699c653408UL;
   tf->codes[20005] = 0x00078d7c23a6075dUL;
   tf->codes[20006] = 0x00078d892d7e503aUL;
   tf->codes[20007] = 0x00078e0a3097063eUL;
   tf->codes[20008] = 0x00078e539ded4243UL;
   tf->codes[20009] = 0x00078e5e5e2f516eUL;
   tf->codes[20010] = 0x00078e753e0d9262UL;
   tf->codes[20011] = 0x00078e8750305a2dUL;
   tf->codes[20012] = 0x00078ec6e7809e1bUL;
   tf->codes[20013] = 0x00078ef1e888dac7UL;
   tf->codes[20014] = 0x00078f447c37fd94UL;
   tf->codes[20015] = 0x00078f64f78d30daUL;
   tf->codes[20016] = 0x00078f8f0e595672UL;
   tf->codes[20017] = 0x00078fae9f7272a4UL;
   tf->codes[20018] = 0x00078fbb342caff7UL;
   tf->codes[20019] = 0x00078fcee038a025UL;
   tf->codes[20020] = 0x00078fd03f92c2c3UL;
   tf->codes[20021] = 0x0007901937caf33eUL;
   tf->codes[20022] = 0x00079044e8804139UL;
   tf->codes[20023] = 0x000790a3d65a9b94UL;
   tf->codes[20024] = 0x000790f50aaf9bc3UL;
   tf->codes[20025] = 0x00079151aef3bc6cUL;
   tf->codes[20026] = 0x000791530e4ddf0aUL;
   tf->codes[20027] = 0x0007917264d7f577UL;
   tf->codes[20028] = 0x000791734f140c8bUL;
   tf->codes[20029] = 0x0007919da06f37e8UL;
   tf->codes[20030] = 0x000791cfb8c9276fUL;
   tf->codes[20031] = 0x000791fdb314af1cUL;
   tf->codes[20032] = 0x000792036b0c3f59UL;
   tf->codes[20033] = 0x0007924e37bc9dfcUL;
   tf->codes[20034] = 0x0007924f5c87bad5UL;
   tf->codes[20035] = 0x0007928bfa94b3c2UL;
   tf->codes[20036] = 0x00079291b28c43ffUL;
   tf->codes[20037] = 0x000792976a83d43cUL;
   tf->codes[20038] = 0x0007929b4e033651UL;
   tf->codes[20039] = 0x000792bcb39480abUL;
   tf->codes[20040] = 0x000792d39372c19fUL;
   tf->codes[20041] = 0x000792e89ed8d46bUL;
   tf->codes[20042] = 0x000792f02b4892d0UL;
   tf->codes[20043] = 0x0007936dbffff249UL;
   tf->codes[20044] = 0x00079372189d5fe8UL;
   tf->codes[20045] = 0x0007938a57d5c37aUL;
   tf->codes[20046] = 0x000793c4372e772bUL;
   tf->codes[20047] = 0x000793faa825d451UL;
   tf->codes[20048] = 0x0007941d32823b84UL;
   tf->codes[20049] = 0x00079470eafc7b2aUL;
   tf->codes[20050] = 0x0007947ea481d556UL;
   tf->codes[20051] = 0x000794df66d45dd9UL;
   tf->codes[20052] = 0x0007951ec3959c02UL;
   tf->codes[20053] = 0x0007954481c453fbUL;
   tf->codes[20054] = 0x000795540fc1dc4fUL;
   tf->codes[20055] = 0x0007956487fb7bb7UL;
   tf->codes[20056] = 0x000795669702afa4UL;
   tf->codes[20057] = 0x00079585786eba87UL;
   tf->codes[20058] = 0x000795d4289e7b3fUL;
   tf->codes[20059] = 0x000795d930e8fa2dUL;
   tf->codes[20060] = 0x000795dacad22290UL;
   tf->codes[20061] = 0x000795e75f8c5fe3UL;
   tf->codes[20062] = 0x000795fb462755d6UL;
   tf->codes[20063] = 0x000795fce0107e39UL;
   tf->codes[20064] = 0x00079657ea6b767fUL;
   tf->codes[20065] = 0x0007966394e99cbeUL;
   tf->codes[20066] = 0x000796668e2ce7bfUL;
   tf->codes[20067] = 0x0007968d3697b6ccUL;
   tf->codes[20068] = 0x000796bdef9783b5UL;
   tf->codes[20069] = 0x000796dbac3871bfUL;
   tf->codes[20070] = 0x00079712924dda6fUL;
   tf->codes[20071] = 0x0007971884d47071UL;
   tf->codes[20072] = 0x0007976cecfbc166UL;
   tf->codes[20073] = 0x000797b152077e7dUL;
   tf->codes[20074] = 0x000797d5b0dc13d8UL;
   tf->codes[20075] = 0x000797eccb495a91UL;
   tf->codes[20076] = 0x0007987c722381d5UL;
   tf->codes[20077] = 0x0007989aa3e27b69UL;
   tf->codes[20078] = 0x000798c6c9b5d4eeUL;
   tf->codes[20079] = 0x000798ce90b49918UL;
   tf->codes[20080] = 0x000798d866ba912fUL;
   tf->codes[20081] = 0x00079973f2a1e477UL;
   tf->codes[20082] = 0x000799c6fb6f12ceUL;
   tf->codes[20083] = 0x000799da325cf772UL;
   tf->codes[20084] = 0x000799dc7bf33124UL;
   tf->codes[20085] = 0x000799dda0be4dfdUL;
   tf->codes[20086] = 0x000799edde68e7a0UL;
   tf->codes[20087] = 0x000799fb97ee41ccUL;
   tf->codes[20088] = 0x000799fd6c666ff4UL;
   tf->codes[20089] = 0x00079a0f7e8937bfUL;
   tf->codes[20090] = 0x00079a499870f135UL;
   tf->codes[20091] = 0x00079a49d2fff6faUL;
   tf->codes[20092] = 0x00079a56dcd83fd7UL;
   tf->codes[20093] = 0x00079a5e2eb8f877UL;
   tf->codes[20094] = 0x00079a6e6c63921aUL;
   tf->codes[20095] = 0x00079af686cdfaf9UL;
   tf->codes[20096] = 0x00079b1184baa3c7UL;
   tf->codes[20097] = 0x00079b42032b6aebUL;
   tf->codes[20098] = 0x00079b4d388b85a0UL;
   tf->codes[20099] = 0x00079b769faa99e9UL;
   tf->codes[20100] = 0x00079b8edee2fd7bUL;
   tf->codes[20101] = 0x00079c126620f2f6UL;
   tf->codes[20102] = 0x00079c4652f310a5UL;
   tf->codes[20103] = 0x00079c535ccb5982UL;
   tf->codes[20104] = 0x00079c811c87db6aUL;
   tf->codes[20105] = 0x00079c9a808b5bd5UL;
   tf->codes[20106] = 0x00079ccf57999098UL;
   tf->codes[20107] = 0x00079ccf9228965dUL;
   tf->codes[20108] = 0x00079cd84363719bUL;
   tf->codes[20109] = 0x00079cfa1e12c77fUL;
   tf->codes[20110] = 0x00079d02cf4da2bdUL;
   tf->codes[20111] = 0x00079d2c366cb706UL;
   tf->codes[20112] = 0x00079d3a9f9f2281UL;
   tf->codes[20113] = 0x00079d41b6f0d55cUL;
   tf->codes[20114] = 0x00079d5a30b83eb3UL;
   tf->codes[20115] = 0x00079d882b03c660UL;
   tf->codes[20116] = 0x00079d99185b7152UL;
   tf->codes[20117] = 0x00079db993b0a498UL;
   tf->codes[20118] = 0x00079dc872011b9dUL;
   tf->codes[20119] = 0x00079df3387a5284UL;
   tf->codes[20120] = 0x00079e49ea37dd2bUL;
   tf->codes[20121] = 0x00079e6bff7638d4UL;
   tf->codes[20122] = 0x00079e6e839b784bUL;
   tf->codes[20123] = 0x00079e85d897c4c9UL;
   tf->codes[20124] = 0x00079e8c403c6655UL;
   tf->codes[20125] = 0x00079eb482905dc5UL;
   tf->codes[20126] = 0x00079edcff735afaUL;
   tf->codes[20127] = 0x00079f1df61dc186UL;
   tf->codes[20128] = 0x00079f449e889093UL;
   tf->codes[20129] = 0x00079f5600fe470fUL;
   tf->codes[20130] = 0x00079f5bf384dd11UL;
   tf->codes[20131] = 0x00079f8c71f5a435UL;
   tf->codes[20132] = 0x00079ff70a4e24cfUL;
   tf->codes[20133] = 0x0007a04b37e66fffUL;
   tf->codes[20134] = 0x0007a04d0c5e9e27UL;
   tf->codes[20135] = 0x0007a06426cbe4e0UL;
   tf->codes[20136] = 0x0007a065fb441308UL;
   tf->codes[20137] = 0x0007a0dc038bb41cUL;
   tf->codes[20138] = 0x0007a0e738ebced1UL;
   tf->codes[20139] = 0x0007a0e9f7a0140dUL;
   tf->codes[20140] = 0x0007a0f2e369f510UL;
   tf->codes[20141] = 0x0007a0f5a21e3a4cUL;
   tf->codes[20142] = 0x0007a0fb1f86c4c4UL;
   tf->codes[20143] = 0x0007a11a3b81d56cUL;
   tf->codes[20144] = 0x0007a1427dd5ccdcUL;
   tf->codes[20145] = 0x0007a166a21b5c72UL;
   tf->codes[20146] = 0x0007a1678c577386UL;
   tf->codes[20147] = 0x0007a17c97bd8652UL;
   tf->codes[20148] = 0x0007a182ff6227deUL;
   tf->codes[20149] = 0x0007a18757ff957dUL;
   tf->codes[20150] = 0x0007a1c4e048a57eUL;
   tf->codes[20151] = 0x0007a1dad5eacf5eUL;
   tf->codes[20152] = 0x0007a21e50ba7561UL;
   tf->codes[20153] = 0x0007a27c8ee7be6dUL;
   tf->codes[20154] = 0x0007a27dee41e10bUL;
   tf->codes[20155] = 0x0007a28a486d1899UL;
   tf->codes[20156] = 0x0007a2af56eebf43UL;
   tf->codes[20157] = 0x0007a3510febae52UL;
   tf->codes[20158] = 0x0007a3c8b21c77c9UL;
   tf->codes[20159] = 0x0007a3d2c2b175a5UL;
   tf->codes[20160] = 0x0007a3de32a0961fUL;
   tf->codes[20161] = 0x0007a3e00718c447UL;
   tf->codes[20162] = 0x0007a46d645cb1d9UL;
   tf->codes[20163] = 0x0007a496565dba98UL;
   tf->codes[20164] = 0x0007a49c8373565fUL;
   tf->codes[20165] = 0x0007a49de2cd78fdUL;
   tf->codes[20166] = 0x0007a49fb745a725UL;
   tf->codes[20167] = 0x0007a4d2f46ab385UL;
   tf->codes[20168] = 0x0007a4dd7a1dbcebUL;
   tf->codes[20169] = 0x0007a54344bac45cUL;
   tf->codes[20170] = 0x0007a590207256ecUL;
   tf->codes[20171] = 0x0007a614575d5db6UL;
   tf->codes[20172] = 0x0007a62928346abdUL;
   tf->codes[20173] = 0x0007a658f6f82092UL;
   tf->codes[20174] = 0x0007a6d9fa10d696UL;
   tf->codes[20175] = 0x0007a6f35e145701UL;
   tf->codes[20176] = 0x0007a6fe937471b6UL;
   tf->codes[20177] = 0x0007a75fcae505c3UL;
   tf->codes[20178] = 0x0007a793080a1223UL;
   tf->codes[20179] = 0x0007a7af9fdfe354UL;
   tf->codes[20180] = 0x0007a7ffaf69c6aaUL;
   tf->codes[20181] = 0x0007a807eb86965eUL;
   tf->codes[20182] = 0x0007a846989ac338UL;
   tf->codes[20183] = 0x0007a85a44a6b366UL;
   tf->codes[20184] = 0x0007a85a7f35b92bUL;
   tf->codes[20185] = 0x0007a85ffc9e43a3UL;
   tf->codes[20186] = 0x0007a8c676e85c63UL;
   tf->codes[20187] = 0x0007a8f0c84387c0UL;
   tf->codes[20188] = 0x0007a90e84e475caUL;
   tf->codes[20189] = 0x0007a93a3599c3c5UL;
   tf->codes[20190] = 0x0007a97e60167b17UL;
   tf->codes[20191] = 0x0007a98af4d0b86aUL;
   tf->codes[20192] = 0x0007a9aa4b5aced7UL;
   tf->codes[20193] = 0x0007a9c0066df2f2UL;
   tf->codes[20194] = 0x0007a9f293e5ee03UL;
   tf->codes[20195] = 0x0007aa113ac2f321UL;
   tf->codes[20196] = 0x0007aa4fe7d71ffbUL;
   tf->codes[20197] = 0x0007aa52a68b6537UL;
   tf->codes[20198] = 0x0007aa56ff28d2d6UL;
   tf->codes[20199] = 0x0007aa7bd31b73bbUL;
   tf->codes[20200] = 0x0007aa839a1a37e5UL;
   tf->codes[20201] = 0x0007aad19a9ce74eUL;
   tf->codes[20202] = 0x0007aaebe8dc7ecdUL;
   tf->codes[20203] = 0x0007aaed82c5a730UL;
   tf->codes[20204] = 0x0007ab1674c6afefUL;
   tf->codes[20205] = 0x0007ab38ff231722UL;
   tf->codes[20206] = 0x0007ab4dcffa2429UL;
   tf->codes[20207] = 0x0007ab4eba363b3dUL;
   tf->codes[20208] = 0x0007abd27c03367dUL;
   tf->codes[20209] = 0x0007abdc8c983459UL;
   tf->codes[20210] = 0x0007abdf10bd73d0UL;
   tf->codes[20211] = 0x0007ac5010ba95f6UL;
   tf->codes[20212] = 0x0007ac5ad0fca521UL;
   tf->codes[20213] = 0x0007accae6bdb033UL;
   tf->codes[20214] = 0x0007ad0e26fe5071UL;
   tf->codes[20215] = 0x0007ad43e8489c48UL;
   tf->codes[20216] = 0x0007ad4f5837bcc2UL;
   tf->codes[20217] = 0x0007ad784a38c581UL;
   tf->codes[20218] = 0x0007adcf368555edUL;
   tf->codes[20219] = 0x0007adda6be570a2UL;
   tf->codes[20220] = 0x0007adf5a4611f35UL;
   tf->codes[20221] = 0x0007ae082ba1f28aUL;
   tf->codes[20222] = 0x0007ae18a3db91f2UL;
   tf->codes[20223] = 0x0007ae85c0595203UL;
   tf->codes[20224] = 0x0007aeabf3a61586UL;
   tf->codes[20225] = 0x0007aec72c21c419UL;
   tf->codes[20226] = 0x0007aef770038578UL;
   tf->codes[20227] = 0x0007aef9447bb3a0UL;
   tf->codes[20228] = 0x0007af04eef9d9dfUL;
   tf->codes[20229] = 0x0007af67fae29c14UL;
   tf->codes[20230] = 0x0007af7d40d7b4a5UL;
   tf->codes[20231] = 0x0007af7ea031d743UL;
   tf->codes[20232] = 0x0007af8a4aaffd82UL;
   tf->codes[20233] = 0x0007afe888dd468eUL;
   tf->codes[20234] = 0x0007afebf73e9d19UL;
   tf->codes[20235] = 0x0007aff13a1821ccUL;
   tf->codes[20236] = 0x0007aff174a72791UL;
   tf->codes[20237] = 0x0007b01056133274UL;
   tf->codes[20238] = 0x0007b06a763213a6UL;
   tf->codes[20239] = 0x0007b06b9afd307fUL;
   tf->codes[20240] = 0x0007b073276ceee4UL;
   tf->codes[20241] = 0x0007b08deaca91edUL;
   tf->codes[20242] = 0x0007b08e9a77a33cUL;
   tf->codes[20243] = 0x0007b097fb5f8fc9UL;
   tf->codes[20244] = 0x0007b0a50537d8a6UL;
   tf->codes[20245] = 0x0007b0abe1fa85bcUL;
   tf->codes[20246] = 0x0007b0d87cebeacbUL;
   tf->codes[20247] = 0x0007b10bba10f72bUL;
   tf->codes[20248] = 0x0007b117648f1d6aUL;
   tf->codes[20249] = 0x0007b11c324a9693UL;
   tf->codes[20250] = 0x0007b136808a2e12UL;
   tf->codes[20251] = 0x0007b14056902629UL;
   tf->codes[20252] = 0x0007b176526977c5UL;
   tf->codes[20253] = 0x0007b177ec52a028UL;
   tf->codes[20254] = 0x0007b1d9d3704584UL;
   tf->codes[20255] = 0x0007b1dcccb39085UL;
   tf->codes[20256] = 0x0007b208b7f7e445UL;
   tf->codes[20257] = 0x0007b20e6fef7482UL;
   tf->codes[20258] = 0x0007b20fcf499720UL;
   tf->codes[20259] = 0x0007b23c6a3afc2fUL;
   tf->codes[20260] = 0x0007b24ca7e595d2UL;
   tf->codes[20261] = 0x0007b2508b64f7e7UL;
   tf->codes[20262] = 0x0007b25593af76d5UL;
   tf->codes[20263] = 0x0007b2576827a4fdUL;
   tf->codes[20264] = 0x0007b26312a5cb3cUL;
   tf->codes[20265] = 0x0007b29cf1fe7eedUL;
   tf->codes[20266] = 0x0007b2c40f875984UL;
   tf->codes[20267] = 0x0007b2cf44e77439UL;
   tf->codes[20268] = 0x0007b2d1195fa261UL;
   tf->codes[20269] = 0x0007b2f6d78e5a5aUL;
   tf->codes[20270] = 0x0007b36eeedd2f5bUL;
   tf->codes[20271] = 0x0007b373477a9cfaUL;
   tf->codes[20272] = 0x0007b377daa7105eUL;
   tf->codes[20273] = 0x0007b38c366011dbUL;
   tf->codes[20274] = 0x0007b3bae058aad7UL;
   tf->codes[20275] = 0x0007b3d2aa7302dfUL;
   tf->codes[20276] = 0x0007b3d8626a931cUL;
   tf->codes[20277] = 0x0007b40c4f3cb0cbUL;
   tf->codes[20278] = 0x0007b4893446fef5UL;
   tf->codes[20279] = 0x0007b4c104987eb9UL;
   tf->codes[20280] = 0x0007b4c1b4459008UL;
   tf->codes[20281] = 0x0007b4c472f9d544UL;
   tf->codes[20282] = 0x0007b4d64a8d974aUL;
   tf->codes[20283] = 0x0007b4dc02852787UL;
   tf->codes[20284] = 0x0007b4f1f8275167UL;
   tf->codes[20285] = 0x0007b55036549a73UL;
   tf->codes[20286] = 0x0007b552ba79d9eaUL;
   tf->codes[20287] = 0x0007b58d497f9eeaUL;
   tf->codes[20288] = 0x0007b5987edfb99fUL;
   tf->codes[20289] = 0x0007b5da9a553d04UL;
   tf->codes[20290] = 0x0007b60476925cd7UL;
   tf->codes[20291] = 0x0007b63c8172e260UL;
   tf->codes[20292] = 0x0007b640da104fffUL;
   tf->codes[20293] = 0x0007b6456d3cc363UL;
   tf->codes[20294] = 0x0007b6d6e88f18cfUL;
   tf->codes[20295] = 0x0007b6e1a8d127faUL;
   tf->codes[20296] = 0x0007b77f43bfaf2fUL;
   tf->codes[20297] = 0x0007b7898ee3b2d0UL;
   tf->codes[20298] = 0x0007b78e5c9f2bf9UL;
   tf->codes[20299] = 0x0007b79e5fbabfd7UL;
   tf->codes[20300] = 0x0007b7f7207f7e6bUL;
   tf->codes[20301] = 0x0007b7fa8ee0d4f6UL;
   tf->codes[20302] = 0x0007b81726b6a627UL;
   tf->codes[20303] = 0x0007b85fe45fd0ddUL;
   tf->codes[20304] = 0x0007b89fb63f1a90UL;
   tf->codes[20305] = 0x0007b8e7148e22a8UL;
   tf->codes[20306] = 0x0007b9133a617c2dUL;
   tf->codes[20307] = 0x0007b95e7c2fe65aUL;
   tf->codes[20308] = 0x0007b9ec1402d9b1UL;
   tf->codes[20309] = 0x0007ba1839d63336UL;
   tf->codes[20310] = 0x0007ba5f5d963589UL;
   tf->codes[20311] = 0x0007bac94641a4d4UL;
   tf->codes[20312] = 0x0007bacbca66e44bUL;
   tf->codes[20313] = 0x0007baf77b1c3246UL;
   tf->codes[20314] = 0x0007bb0ab20a16eaUL;
   tf->codes[20315] = 0x0007bb0d362f5661UL;
   tf->codes[20316] = 0x0007bb0de5dc67b0UL;
   tf->codes[20317] = 0x0007bb5927aad1ddUL;
   tf->codes[20318] = 0x0007bb5e2ff550cbUL;
   tf->codes[20319] = 0x0007bb5e6a845690UL;
   tf->codes[20320] = 0x0007bbb974df4ed6UL;
   tf->codes[20321] = 0x0007bbc34ae546edUL;
   tf->codes[20322] = 0x0007bc669dcb5e5fUL;
   tf->codes[20323] = 0x0007bc7073d15676UL;
   tf->codes[20324] = 0x0007bc83aabf3b1aUL;
   tf->codes[20325] = 0x0007bcc2ccf1737eUL;
   tf->codes[20326] = 0x0007bcc6b070d593UL;
   tf->codes[20327] = 0x0007bcfb1260feccUL;
   tf->codes[20328] = 0x0007bd0caf65bb0dUL;
   tf->codes[20329] = 0x0007bd4da6102199UL;
   tf->codes[20330] = 0x0007bd9872c0803cUL;
   tf->codes[20331] = 0x0007bd9eda6521c8UL;
   tf->codes[20332] = 0x0007bd9fc4a138dcUL;
   tf->codes[20333] = 0x0007bdc2feaab15eUL;
   tf->codes[20334] = 0x0007be505bee9ef0UL;
   tf->codes[20335] = 0x0007be5e8a9204a6UL;
   tf->codes[20336] = 0x0007be9e5c714e59UL;
   tf->codes[20337] = 0x0007bec713e35153UL;
   tf->codes[20338] = 0x0007bec8adcc79b6UL;
   tf->codes[20339] = 0x0007bed1d425607eUL;
   tf->codes[20340] = 0x0007bedf8daabaaaUL;
   tf->codes[20341] = 0x0007bf18f7e562d1UL;
   tf->codes[20342] = 0x0007bf19a7927420UL;
   tf->codes[20343] = 0x0007bf501889d146UL;
   tf->codes[20344] = 0x0007bf5b8878f1c0UL;
   tf->codes[20345] = 0x0007bf6cb05fa277UL;
   tf->codes[20346] = 0x0007bfc5abb366d0UL;
   tf->codes[20347] = 0x0007bfd2b58bafadUL;
   tf->codes[20348] = 0x0007bff0e74aa941UL;
   tf->codes[20349] = 0x0007bff8e8d87330UL;
   tf->codes[20350] = 0x0007c012c1f9ff25UL;
   tf->codes[20351] = 0x0007c04514e2f471UL;
   tf->codes[20352] = 0x0007c05308f75462UL;
   tf->codes[20353] = 0x0007c05d8eaa5dc8UL;
   tf->codes[20354] = 0x0007c075cde2c15aUL;
   tf->codes[20355] = 0x0007c07fde77bf36UL;
   tf->codes[20356] = 0x0007c0c09a931ffdUL;
   tf->codes[20357] = 0x0007c12f8b890e36UL;
   tf->codes[20358] = 0x0007c159a25533ceUL;
   tf->codes[20359] = 0x0007c1adcfed7efeUL;
   tf->codes[20360] = 0x0007c1c524e9cb7cUL;
   tf->codes[20361] = 0x0007c1c81e2d167dUL;
   tf->codes[20362] = 0x0007c1ce4b42b244UL;
   tf->codes[20363] = 0x0007c1ef7644f6d9UL;
   tf->codes[20364] = 0x0007c1fc0aff342cUL;
   tf->codes[20365] = 0x0007c21066b835a9UL;
   tf->codes[20366] = 0x0007c2123b3063d1UL;
   tf->codes[20367] = 0x0007c2578a7837fcUL;
   tf->codes[20368] = 0x0007c274d1fb1a7cUL;
   tf->codes[20369] = 0x0007c28166b557cfUL;
   tf->codes[20370] = 0x0007c2d3bfd574d7UL;
   tf->codes[20371] = 0x0007c2de80178402UL;
   tf->codes[20372] = 0x0007c2f4ead7b96cUL;
   tf->codes[20373] = 0x0007c30ec3f94561UL;
   tf->codes[20374] = 0x0007c3e37f8c3b0bUL;
   tf->codes[20375] = 0x0007c3ec30c71649UL;
   tf->codes[20376] = 0x0007c4586308bf46UL;
   tf->codes[20377] = 0x0007c45912b5d095UL;
   tf->codes[20378] = 0x0007c46f0857fa75UL;
   tf->codes[20379] = 0x0007c4bd7df8b568UL;
   tf->codes[20380] = 0x0007c50b7e7b64d1UL;
   tf->codes[20381] = 0x0007c50d52f392f9UL;
   tf->codes[20382] = 0x0007c51d560f26d7UL;
   tf->codes[20383] = 0x0007c54857176383UL;
   tf->codes[20384] = 0x0007c54aa0ad9d35UL;
   tf->codes[20385] = 0x0007c55142e14486UL;
   tf->codes[20386] = 0x0007c568d26c96c9UL;
   tf->codes[20387] = 0x0007c57bcecb75a8UL;
   tf->codes[20388] = 0x0007c58a728ce6e8UL;
   tf->codes[20389] = 0x0007c5cf8745b54eUL;
   tf->codes[20390] = 0x0007c5daf734d5c8UL;
   tf->codes[20391] = 0x0007c5eea340c5f6UL;
   tf->codes[20392] = 0x0007c6154bab9503UL;
   tf->codes[20393] = 0x0007c64c6c500378UL;
   tf->codes[20394] = 0x0007c667df5ab7d0UL;
   tf->codes[20395] = 0x0007c679f17d7f9bUL;
   tf->codes[20396] = 0x0007c69230b5e32dUL;
   tf->codes[20397] = 0x0007c69effff2645UL;
   tf->codes[20398] = 0x0007c74a547307a6UL;
   tf->codes[20399] = 0x0007c7b318535a18UL;
   tf->codes[20400] = 0x0007c7d10f834de7UL;
   tf->codes[20401] = 0x0007c7d9862f2360UL;
   tf->codes[20402] = 0x0007c7e4f61e43daUL;
   tf->codes[20403] = 0x0007c90d6a2b792aUL;
   tf->codes[20404] = 0x0007c9189f8b93dfUL;
   tf->codes[20405] = 0x0007c952445541cbUL;
   tf->codes[20406] = 0x0007c958abf9e357UL;
   tf->codes[20407] = 0x0007c962f71de6f8UL;
   tf->codes[20408] = 0x0007c964cb961520UL;
   tf->codes[20409] = 0x0007c97a86a9393bUL;
   tf->codes[20410] = 0x0007c9c21f874718UL;
   tf->codes[20411] = 0x0007c9f81b6098b4UL;
   tf->codes[20412] = 0x0007ca42e810f757UL;
   tf->codes[20413] = 0x0007ca52760e7fabUL;
   tf->codes[20414] = 0x0007ca732bf2b8b6UL;
   tf->codes[20415] = 0x0007ca7cc769ab08UL;
   tf->codes[20416] = 0x0007cb155a0db34fUL;
   tf->codes[20417] = 0x0007cb62aae35169UL;
   tf->codes[20418] = 0x0007cb95ad795804UL;
   tf->codes[20419] = 0x0007cbebaf89d15cUL;
   tf->codes[20420] = 0x0007cc1fd6eaf4d0UL;
   tf->codes[20421] = 0x0007cc3014958e73UL;
   tf->codes[20422] = 0x0007cc53c3bd127fUL;
   tf->codes[20423] = 0x0007cc6fabe5d261UL;
   tf->codes[20424] = 0x0007cc71baed064eUL;
   tf->codes[20425] = 0x0007cca8db9174c3UL;
   tf->codes[20426] = 0x0007ccd033a9551fUL;
   tf->codes[20427] = 0x0007cd0b37cd25a9UL;
   tf->codes[20428] = 0x0007cd1498b51236UL;
   tf->codes[20429] = 0x0007cd78544ae5baUL;
   tf->codes[20430] = 0x0007cd7a9de11f6cUL;
   tf->codes[20431] = 0x0007cd97aad4fc27UL;
   tf->codes[20432] = 0x0007cdfba0f9d570UL;
   tf->codes[20433] = 0x0007ce0158f165adUL;
   tf->codes[20434] = 0x0007ce01ce0f7137UL;
   tf->codes[20435] = 0x0007ce6882e88fbcUL;
   tf->codes[20436] = 0x0007ce72ce0c935dUL;
   tf->codes[20437] = 0x0007ced59f664fcdUL;
   tf->codes[20438] = 0x0007ced614845b57UL;
   tf->codes[20439] = 0x0007cef0d7e1fe60UL;
   tf->codes[20440] = 0x0007cf0bd5cea72eUL;
   tf->codes[20441] = 0x0007cf854c779ecdUL;
   tf->codes[20442] = 0x0007cff9bad6177eUL;
   tf->codes[20443] = 0x0007d00ec63c2a4aUL;
   tf->codes[20444] = 0x0007d042036136aaUL;
   tf->codes[20445] = 0x0007d05b2cd5b150UL;
   tf->codes[20446] = 0x0007d05e9b3707dbUL;
   tf->codes[20447] = 0x0007d08c206483feUL;
   tf->codes[20448] = 0x0007d0c2cbeae6e9UL;
   tf->codes[20449] = 0x0007d0c4a0631511UL;
   tf->codes[20450] = 0x0007d1131603d004UL;
   tf->codes[20451] = 0x0007d1238e3d6f6cUL;
   tf->codes[20452] = 0x0007d153d21f30cbUL;
   tf->codes[20453] = 0x0007d1582abc9e6aUL;
   tf->codes[20454] = 0x0007d1869a2631a1UL;
   tf->codes[20455] = 0x0007d19662b2bfbaUL;
   tf->codes[20456] = 0x0007d19a0ba31c0aUL;
   tf->codes[20457] = 0x0007d1b9d74b3e01UL;
   tf->codes[20458] = 0x0007d1cee2b150cdUL;
   tf->codes[20459] = 0x0007d1e6723ca310UL;
   tf->codes[20460] = 0x0007d1f42bc1fd3cUL;
   tf->codes[20461] = 0x0007d1ff2693122cUL;
   tf->codes[20462] = 0x0007d21d92e11185UL;
   tf->codes[20463] = 0x0007d24943965f80UL;
   tf->codes[20464] = 0x0007d2714b5b512bUL;
   tf->codes[20465] = 0x0007d276c8c3dba3UL;
   tf->codes[20466] = 0x0007d27eca51a592UL;
   tf->codes[20467] = 0x0007d2cb6b7a325dUL;
   tf->codes[20468] = 0x0007d2d57c0f3039UL;
   tf->codes[20469] = 0x0007d2edbb4793cbUL;
   tf->codes[20470] = 0x0007d30b77e881d5UL;
   tf->codes[20471] = 0x0007d318f6ded63cUL;
   tf->codes[20472] = 0x0007d37c77e5a3fbUL;
   tf->codes[20473] = 0x0007d37cb274a9c0UL;
   tf->codes[20474] = 0x0007d39f3cd110f3UL;
   tf->codes[20475] = 0x0007d3c61fcae5c5UL;
   tf->codes[20476] = 0x0007d407c6225da0UL;
   tf->codes[20477] = 0x0007d47e7e171003UL;
   tf->codes[20478] = 0x0007d49264b205f6UL;
   tf->codes[20479] = 0x0007d494e8d7456dUL;
   tf->codes[20480] = 0x0007d497e21a906eUL;
   tf->codes[20481] = 0x0007d49fe3a85a5dUL;
   tf->codes[20482] = 0x0007d4b09670ff8aUL;
   tf->codes[20483] = 0x0007d4c7764f407eUL;
   tf->codes[20484] = 0x0007d4ef08f6269fUL;
   tf->codes[20485] = 0x0007d535f227232dUL;
   tf->codes[20486] = 0x0007d540b2693258UL;
   tf->codes[20487] = 0x0007d55423e61cc1UL;
   tf->codes[20488] = 0x0007d56969db3552UL;
   tf->codes[20489] = 0x0007d58467c7de20UL;
   tf->codes[20490] = 0x0007d5946ae371feUL;
   tf->codes[20491] = 0x0007d5af68d01accUL;
   tf->codes[20492] = 0x0007d5f26e81b545UL;
   tf->codes[20493] = 0x0007d60cbcc14cc4UL;
   tf->codes[20494] = 0x0007d61de4a7fd7bUL;
   tf->codes[20495] = 0x0007d63698fe6c97UL;
   tf->codes[20496] = 0x0007d66e2ec0e696UL;
   tf->codes[20497] = 0x0007d6c46b6065b3UL;
   tf->codes[20498] = 0x0007d6c6ef85a52aUL;
   tf->codes[20499] = 0x0007d6e6460fbb97UL;
   tf->codes[20500] = 0x0007d6e7304bd2abUL;
   tf->codes[20501] = 0x0007d6e9b4711222UL;
   tf->codes[20502] = 0x0007d6fadc57c2d9UL;
   tf->codes[20503] = 0x0007d6fc3bb1e577UL;
   tf->codes[20504] = 0x0007d76cc690fc13UL;
   tf->codes[20505] = 0x0007d78edbcf57bcUL;
   tf->codes[20506] = 0x0007d80bfb68ababUL;
   tf->codes[20507] = 0x0007d80cab15bcfaUL;
   tf->codes[20508] = 0x0007d84d67311dc1UL;
   tf->codes[20509] = 0x0007d855dddcf33aUL;
   tf->codes[20510] = 0x0007d85777c61b9dUL;
   tf->codes[20511] = 0x0007d887f636e2c1UL;
   tf->codes[20512] = 0x0007d8e968367c93UL;
   tf->codes[20513] = 0x0007d965d822bf33UL;
   tf->codes[20514] = 0x0007d979bebdb526UL;
   tf->codes[20515] = 0x0007d9cc17ddd22eUL;
   tf->codes[20516] = 0x0007d9ed42e016c3UL;
   tf->codes[20517] = 0x0007d9fd808ab066UL;
   tf->codes[20518] = 0x0007da146068f15aUL;
   tf->codes[20519] = 0x0007da1809594daaUL;
   tf->codes[20520] = 0x0007da36eac5588dUL;
   tf->codes[20521] = 0x0007dacda8f132acUL;
   tf->codes[20522] = 0x0007dad98dfe5eb0UL;
   tf->codes[20523] = 0x0007daea40c703ddUL;
   tf->codes[20524] = 0x0007db1c1e91ed9fUL;
   tf->codes[20525] = 0x0007db1e2d99218cUL;
   tf->codes[20526] = 0x0007db58820fe0c7UL;
   tf->codes[20527] = 0x0007db596c4bf7dbUL;
   tf->codes[20528] = 0x0007db73ba8b8f5aUL;
   tf->codes[20529] = 0x0007db7a5cbf36abUL;
   tf->codes[20530] = 0x0007db8766977f88UL;
   tf->codes[20531] = 0x0007dbafe37a7cbdUL;
   tf->codes[20532] = 0x0007dbe1fbd46c44UL;
   tf->codes[20533] = 0x0007dbf02a77d1faUL;
   tf->codes[20534] = 0x0007dc41d3eaddb3UL;
   tf->codes[20535] = 0x0007dc578efe01ceUL;
   tf->codes[20536] = 0x0007dc7a8e78748bUL;
   tf->codes[20537] = 0x0007dc9133c7afbaUL;
   tf->codes[20538] = 0x0007dcc4365db655UL;
   tf->codes[20539] = 0x0007dcee87b8e1b2UL;
   tf->codes[20540] = 0x0007dcf4b4ce7d79UL;
   tf->codes[20541] = 0x0007dd4af16dfc96UL;
   tf->codes[20542] = 0x0007dd8b72fa5798UL;
   tf->codes[20543] = 0x0007ddc6ec3c33acUL;
   tf->codes[20544] = 0x0007ddda5db91e15UL;
   tf->codes[20545] = 0x0007ddeeb9721f92UL;
   tf->codes[20546] = 0x0007de1736551cc7UL;
   tf->codes[20547] = 0x0007de5fb96f41b8UL;
   tf->codes[20548] = 0x0007de68dfc82880UL;
   tf->codes[20549] = 0x0007de6f0cddc447UL;
   tf->codes[20550] = 0x0007de99d356fb2eUL;
   tf->codes[20551] = 0x0007decac6e5cddcUL;
   tf->codes[20552] = 0x0007ded6abf2f9e0UL;
   tf->codes[20553] = 0x0007def2941bb9c2UL;
   tf->codes[20554] = 0x0007df5e8bce5cfaUL;
   tf->codes[20555] = 0x0007df962190d6f9UL;
   tf->codes[20556] = 0x0007dfd41ef7f284UL;
   tf->codes[20557] = 0x0007dff12bebcf3fUL;
   tf->codes[20558] = 0x0007e005c233d681UL;
   tf->codes[20559] = 0x0007e00bef497248UL;
   tf->codes[20560] = 0x0007e0121c5f0e0fUL;
   tf->codes[20561] = 0x0007e091faaca73aUL;
   tf->codes[20562] = 0x0007e0c363598572UL;
   tf->codes[20563] = 0x0007e0ccfed077c4UL;
   tf->codes[20564] = 0x0007e14d8ccb223eUL;
   tf->codes[20565] = 0x0007e153f46fc3caUL;
   tf->codes[20566] = 0x0007e197e45d7557UL;
   tf->codes[20567] = 0x0007e23e3086d7caUL;
   tf->codes[20568] = 0x0007e24d0ed74ecfUL;
   tf->codes[20569] = 0x0007e24e6e31716dUL;
   tf->codes[20570] = 0x0007e24ea8c07732UL;
   tf->codes[20571] = 0x0007e25f96182224UL;
   tf->codes[20572] = 0x0007e27b43b1dc41UL;
   tf->codes[20573] = 0x0007e29a9a3bf2aeUL;
   tf->codes[20574] = 0x0007e2fda624b4e3UL;
   tf->codes[20575] = 0x0007e3165a7b23ffUL;
   tf->codes[20576] = 0x0007e3198e4d74c5UL;
   tf->codes[20577] = 0x0007e376a7afa0f8UL;
   tf->codes[20578] = 0x0007e37ee3cc70acUL;
   tf->codes[20579] = 0x0007e39046422728UL;
   tf->codes[20580] = 0x0007e393b4a37db3UL;
   tf->codes[20581] = 0x0007e4173be1732eUL;
   tf->codes[20582] = 0x0007e42e90ddbfacUL;
   tf->codes[20583] = 0x0007e435a82f7287UL;
   tf->codes[20584] = 0x0007e44f46c1f8b7UL;
   tf->codes[20585] = 0x0007e46ed7db14e9UL;
   tf->codes[20586] = 0x0007e4dc2ee7dabfUL;
   tf->codes[20587] = 0x0007e4de787e1471UL;
   tf->codes[20588] = 0x0007e4f08aa0dc3cUL;
   tf->codes[20589] = 0x0007e50b888d850aUL;
   tf->codes[20590] = 0x0007e50ce7e7a7a8UL;
   tf->codes[20591] = 0x0007e5152404775cUL;
   tf->codes[20592] = 0x0007e55c82537f74UL;
   tf->codes[20593] = 0x0007e584ff367ca9UL;
   tf->codes[20594] = 0x0007e5d66e1a829dUL;
   tf->codes[20595] = 0x0007e5ef5cfff77eUL;
   tf->codes[20596] = 0x0007e60d542feb4dUL;
   tf->codes[20597] = 0x0007e63fe1a7e65eUL;
   tf->codes[20598] = 0x0007e6443a4553fdUL;
   tf->codes[20599] = 0x0007e6c368e5dbd9UL;
   tf->codes[20600] = 0x0007e6d57b08a3a4UL;
   tf->codes[20601] = 0x0007e717967e2709UL;
   tf->codes[20602] = 0x0007e74a5e8527dfUL;
   tf->codes[20603] = 0x0007e759ec82b033UL;
   tf->codes[20604] = 0x0007e78737212691UL;
   tf->codes[20605] = 0x0007e7df82c7d99bUL;
   tf->codes[20606] = 0x0007e7fdef15d8f4UL;
   tf->codes[20607] = 0x0007e856afda9788UL;
   tf->codes[20608] = 0x0007e8634494d4dbUL;
   tf->codes[20609] = 0x0007e8684cdf53c9UL;
   tf->codes[20610] = 0x0007e8d68e2830b3UL;
   tf->codes[20611] = 0x0007e8f116f6cdf7UL;
   tf->codes[20612] = 0x0007e8f1c6a3df46UL;
   tf->codes[20613] = 0x0007e9616746deceUL;
   tf->codes[20614] = 0x0007e97672acf19aUL;
   tf->codes[20615] = 0x0007e9be461a053cUL;
   tf->codes[20616] = 0x0007e9c29eb772dbUL;
   tf->codes[20617] = 0x0007e9c68236d4f0UL;
   tf->codes[20618] = 0x0007e9e8d204365eUL;
   tf->codes[20619] = 0x0007e9e9472241e8UL;
   tf->codes[20620] = 0x0007e9fd2dbd37dbUL;
   tf->codes[20621] = 0x0007ea186638e66eUL;
   tf->codes[20622] = 0x0007ea55ee81f66fUL;
   tf->codes[20623] = 0x0007ea6f17f67115UL;
   tf->codes[20624] = 0x0007eacd1b94b45cUL;
   tf->codes[20625] = 0x0007eace405fd135UL;
   tf->codes[20626] = 0x0007eadb4a381a12UL;
   tf->codes[20627] = 0x0007eae29c18d2b2UL;
   tf->codes[20628] = 0x0007eae6f4b64051UL;
   tf->codes[20629] = 0x0007eae7def25765UL;
   tf->codes[20630] = 0x0007eaf13fda43f2UL;
   tf->codes[20631] = 0x0007ebc217edd787UL;
   tf->codes[20632] = 0x0007ebcbb364c9d9UL;
   tf->codes[20633] = 0x0007ebd6ae35dec9UL;
   tf->codes[20634] = 0x0007ebf0c1e67083UL;
   tf->codes[20635] = 0x0007ec09763cdf9fUL;
   tf->codes[20636] = 0x0007ec126206c0a2UL;
   tf->codes[20637] = 0x0007ec4a32584066UL;
   tf->codes[20638] = 0x0007ec8aee73a12dUL;
   tf->codes[20639] = 0x0007ecd21233a380UL;
   tf->codes[20640] = 0x0007ecebeb552f75UL;
   tf->codes[20641] = 0x0007ecf3b253f39fUL;
   tf->codes[20642] = 0x0007ed476ace3345UL;
   tf->codes[20643] = 0x0007ed7c074d6243UL;
   tf->codes[20644] = 0x0007ed84b8883d81UL;
   tf->codes[20645] = 0x0007ed94f632d724UL;
   tf->codes[20646] = 0x0007ed96caab054cUL;
   tf->codes[20647] = 0x0007edd0aa03b8fdUL;
   tf->codes[20648] = 0x0007edd368b7fe39UL;
   tf->codes[20649] = 0x0007ee1f94c27f7aUL;
   tf->codes[20650] = 0x0007ee2d4e47d9a6UL;
   tf->codes[20651] = 0x0007ee3a58202283UL;
   tf->codes[20652] = 0x0007ee64e40a53a5UL;
   tf->codes[20653] = 0x0007ee8a67aa05d9UL;
   tf->codes[20654] = 0x0007ee985bbe65caUL;
   tf->codes[20655] = 0x0007eed77df09e2eUL;
   tf->codes[20656] = 0x0007eefd76ae5becUL;
   tf->codes[20657] = 0x0007ef07874359c8UL;
   tf->codes[20658] = 0x0007ef500a5d7eb9UL;
   tf->codes[20659] = 0x0007ef5b7a4c9f33UL;
   tf->codes[20660] = 0x0007effc0e7e7169UL;
   tf->codes[20661] = 0x0007f046db2ed00cUL;
   tf->codes[20662] = 0x0007f0849e06e5d2UL;
   tf->codes[20663] = 0x0007f09dc77b6078UL;
   tf->codes[20664] = 0x0007f173a7d972fbUL;
   tf->codes[20665] = 0x0007f17f17c89375UL;
   tf->codes[20666] = 0x0007f17fc775a4c4UL;
   tf->codes[20667] = 0x0007f1819bedd2ecUL;
   tf->codes[20668] = 0x0007f188b33f85c7UL;
   tf->codes[20669] = 0x0007f1bb7b46869dUL;
   tf->codes[20670] = 0x0007f1c08391058bUL;
   tf->codes[20671] = 0x0007f1ebf9b74dc1UL;
   tf->codes[20672] = 0x0007f21909c6be5aUL;
   tf->codes[20673] = 0x0007f263d6771cfdUL;
   tf->codes[20674] = 0x0007f2c498c9a580UL;
   tf->codes[20675] = 0x0007f2f258862768UL;
   tf->codes[20676] = 0x0007f3490a43b20fUL;
   tf->codes[20677] = 0x0007f376ca0033f7UL;
   tf->codes[20678] = 0x0007f37a72f09047UL;
   tf->codes[20679] = 0x0007f44fde309740UL;
   tf->codes[20680] = 0x0007f47ec2b83601UL;
   tf->codes[20681] = 0x0007f4923435206aUL;
   tf->codes[20682] = 0x0007f4a56b23050eUL;
   tf->codes[20683] = 0x0007f4c5e6783854UL;
   tf->codes[20684] = 0x0007f4cf476024e1UL;
   tf->codes[20685] = 0x0007f4f69f78053dUL;
   tf->codes[20686] = 0x0007f506a293991bUL;
   tf->codes[20687] = 0x0007f50f53ce7459UL;
   tf->codes[20688] = 0x0007f512fcbed0a9UL;
   tf->codes[20689] = 0x0007f5793c79e3a4UL;
   tf->codes[20690] = 0x0007f590cc0535e7UL;
   tf->codes[20691] = 0x0007f5976e38dd38UL;
   tf->codes[20692] = 0x0007f5cf03fb5737UL;
   tf->codes[20693] = 0x0007f654d4cf8664UL;
   tf->codes[20694] = 0x0007f68e3f0a2e8bUL;
   tf->codes[20695] = 0x0007f6caa28821b3UL;
   tf->codes[20696] = 0x0007f6ea33a13de5UL;
   tf->codes[20697] = 0x0007f6faabdadd4dUL;
   tf->codes[20698] = 0x0007f71b27301093UL;
   tf->codes[20699] = 0x0007f757501efdf6UL;
   tf->codes[20700] = 0x0007f7703f0472d7UL;
   tf->codes[20701] = 0x0007f7833b6351b6UL;
   tf->codes[20702] = 0x0007f79eae6e060eUL;
   tf->codes[20703] = 0x0007f7beef34338fUL;
   tf->codes[20704] = 0x0007f7ee48d9dddaUL;
   tf->codes[20705] = 0x0007f7f9b8c8fe54UL;
   tf->codes[20706] = 0x0007f807e76c640aUL;
   tf->codes[20707] = 0x0007f863dc037364UL;
   tf->codes[20708] = 0x0007f87abbe1b458UL;
   tf->codes[20709] = 0x0007f8d2926a5bd8UL;
   tf->codes[20710] = 0x0007f8f93ad52ae5UL;
   tf->codes[20711] = 0x0007f90cac52154eUL;
   tf->codes[20712] = 0x0007f91fe33ff9f2UL;
   tf->codes[20713] = 0x0007f94442148f4dUL;
   tf->codes[20714] = 0x0007f94700c8d489UL;
   tf->codes[20715] = 0x0007f9c8b38e9bdcUL;
   tf->codes[20716] = 0x0007f9d12a3a7155UL;
   tf->codes[20717] = 0x0007f9de3412ba32UL;
   tf->codes[20718] = 0x0007f9f21aadb025UL;
   tf->codes[20719] = 0x0007fa794adc01f0UL;
   tf->codes[20720] = 0x0007fa9e1ecea2d5UL;
   tf->codes[20721] = 0x0007fae99b2c12c7UL;
   tf->codes[20722] = 0x0007faeb35153b2aUL;
   tf->codes[20723] = 0x0007fb38c079df09UL;
   tf->codes[20724] = 0x0007fb451aa51697UL;
   tf->codes[20725] = 0x0007fb49e8608fc0UL;
   tf->codes[20726] = 0x0007fb693eeaa62dUL;
   tf->codes[20727] = 0x0007fb82a2ee2698UL;
   tf->codes[20728] = 0x0007fbc150025372UL;
   tf->codes[20729] = 0x0007fbc5e32ec6d6UL;
   tf->codes[20730] = 0x0007fbd9c9c9bcc9UL;
   tf->codes[20731] = 0x0007fbeab72167bbUL;
   tf->codes[20732] = 0x0007fc4168def262UL;
   tf->codes[20733] = 0x0007fc4cd8ce12dcUL;
   tf->codes[20734] = 0x0007fc534072b468UL;
   tf->codes[20735] = 0x0007fc66ec7ea496UL;
   tf->codes[20736] = 0x0007fc7087f596e8UL;
   tf->codes[20737] = 0x0007fc79ae4e7db0UL;
   tf->codes[20738] = 0x0007fce94ef17d38UL;
   tf->codes[20739] = 0x0007fd0b9ebedea6UL;
   tf->codes[20740] = 0x0007fd65beddbfd8UL;
   tf->codes[20741] = 0x0007fdf26c749c1bUL;
   tf->codes[20742] = 0x0007fdf9be5554bbUL;
   tf->codes[20743] = 0x0007fe0ae63c0572UL;
   tf->codes[20744] = 0x0007fe0b5b5a10fcUL;
   tf->codes[20745] = 0x0007fe465f7de186UL;
   tf->codes[20746] = 0x0007fe56d7b780eeUL;
   tf->codes[20747] = 0x0007fe6999875a08UL;
   tf->codes[20748] = 0x0007fe75f3b29196UL;
   tf->codes[20749] = 0x0007feaa1b13b50aUL;
   tf->codes[20750] = 0x0007feb9e3a04323UL;
   tf->codes[20751] = 0x0007fecf9eb3673eUL;
   tf->codes[20752] = 0x0007fef681ad3c10UL;
   tf->codes[20753] = 0x0007ff10cfecd38fUL;
   tf->codes[20754] = 0x0007ff748b82a713UL;
   tf->codes[20755] = 0x0007ffc759c0cfa5UL;
   tf->codes[20756] = 0x0007ffd75cdc6383UL;
   tf->codes[20757] = 0x000800129b8f39d2UL;
   tf->codes[20758] = 0x00080048d1f79133UL;
   tf->codes[20759] = 0x0008004aa66fbf5bUL;
   tf->codes[20760] = 0x00080052e28c8f0fUL;
   tf->codes[20761] = 0x00080057ead70dfdUL;
   tf->codes[20762] = 0x00080069fcf9d5c8UL;
   tf->codes[20763] = 0x0008006b96e2fe2bUL;
   tf->codes[20764] = 0x000800709f2d7d19UL;
   tf->codes[20765] = 0x0008009bdac4bf8aUL;
   tf->codes[20766] = 0x0008009f0e971050UL;
   tf->codes[20767] = 0x000800c750eb07c0UL;
   tf->codes[20768] = 0x000800c99a814172UL;
   tf->codes[20769] = 0x000800cf5278d1afUL;
   tf->codes[20770] = 0x000800d83e42b2b2UL;
   tf->codes[20771] = 0x000800dd468d31a0UL;
   tf->codes[20772] = 0x000800f217643ea7UL;
   tf->codes[20773] = 0x0008014226ee21fdUL;
   tf->codes[20774] = 0x0008014e468a53c6UL;
   tf->codes[20775] = 0x000801526498bba0UL;
   tf->codes[20776] = 0x0008015cea4bc506UL;
   tf->codes[20777] = 0x00080162a2435543UL;
   tf->codes[20778] = 0x0008016a2eb313a8UL;
   tf->codes[20779] = 0x0008017a6c5dad4bUL;
   tf->codes[20780] = 0x0008017bcbb7cfe9UL;
   tf->codes[20781] = 0x0008018407d49f9dUL;
   tf->codes[20782] = 0x00080192e62516a2UL;
   tf->codes[20783] = 0x0008019ecb3242a6UL;
   tf->codes[20784] = 0x000801c06b5292c5UL;
   tf->codes[20785] = 0x000801c1caacb563UL;
   tf->codes[20786] = 0x000801c44ed1f4daUL;
   tf->codes[20787] = 0x000801cab6769666UL;
   tf->codes[20788] = 0x000801d9cf561330UL;
   tf->codes[20789] = 0x000801ddb2d57545UL;
   tf->codes[20790] = 0x0008020336752779UL;
   tf->codes[20791] = 0x00080216a7f211e2UL;
   tf->codes[20792] = 0x00080241e3895453UL;
   tf->codes[20793] = 0x00080254303b21e3UL;
   tf->codes[20794] = 0x0008025dcbb21435UL;
   tf->codes[20795] = 0x0008025e40d01fbfUL;
   tf->codes[20796] = 0x0008026592b0d85fUL;
   tf->codes[20797] = 0x0008029c3e373b4aUL;
   tf->codes[20798] = 0x000802c988d5b1a8UL;
   tf->codes[20799] = 0x000802cb22beda0bUL;
   tf->codes[20800] = 0x000802cc8218fca9UL;
   tf->codes[20801] = 0x000802cecbaf365bUL;
   tf->codes[20802] = 0x000802d4f8c4d222UL;
   tf->codes[20803] = 0x000802da3b9e56d5UL;
   tf->codes[20804] = 0x000802f39fa1d740UL;
   tf->codes[20805] = 0x000802fa7c648456UL;
   tf->codes[20806] = 0x000803095ab4fb5bUL;
   tf->codes[20807] = 0x0008034c606695d4UL;
   tf->codes[20808] = 0x000803621b79b9efUL;
   tf->codes[20809] = 0x000803763ca3b5a7UL;
   tf->codes[20810] = 0x0008037cded75cf8UL;
   tf->codes[20811] = 0x00080381ac92d621UL;
   tf->codes[20812] = 0x00080394a8f1b500UL;
   tf->codes[20813] = 0x0008039851e21150UL;
   tf->codes[20814] = 0x0008039d5a2c903eUL;
   tf->codes[20815] = 0x0008039eb986b2dcUL;
   tf->codes[20816] = 0x000803c59c8087aeUL;
   tf->codes[20817] = 0x000803d2a658d08bUL;
   tf->codes[20818] = 0x000803db9222b18eUL;
   tf->codes[20819] = 0x000803dbccb1b753UL;
   tf->codes[20820] = 0x000803e68cf3c67eUL;
   tf->codes[20821] = 0x000803ef3e2ea1bcUL;
   tf->codes[20822] = 0x000803f6ca9e6021UL;
   tf->codes[20823] = 0x00080414122142a1UL;
   tf->codes[20824] = 0x000804348d7675e7UL;
   tf->codes[20825] = 0x00080436d70caf99UL;
   tf->codes[20826] = 0x00080443a655f2b1UL;
   tf->codes[20827] = 0x000804541e8f9219UL;
   tf->codes[20828] = 0x0008046d82931284UL;
   tf->codes[20829] = 0x0008047f5a26d48aUL;
   tf->codes[20830] = 0x000804812e9f02b2UL;
   tf->codes[20831] = 0x00080485873c7051UL;
   tf->codes[20832] = 0x000804b4e0e21a9cUL;
   tf->codes[20833] = 0x000804c050d13b16UL;
   tf->codes[20834] = 0x000804ccaafc72a4UL;
   tf->codes[20835] = 0x000804cfdecec36aUL;
   tf->codes[20836] = 0x000804d6bb917080UL;
   tf->codes[20837] = 0x000804e8cdb4384bUL;
   tf->codes[20838] = 0x000804e9f27f5524UL;
   tf->codes[20839] = 0x000804fe88c75c66UL;
   tf->codes[20840] = 0x000805109aea2431UL;
   tf->codes[20841] = 0x0008051568a59d5aUL;
   tf->codes[20842] = 0x0008052e578b123bUL;
   tf->codes[20843] = 0x000805532b7db320UL;
   tf->codes[20844] = 0x0008055af27c774aUL;
   tf->codes[20845] = 0x00080569d0ccee4fUL;
   tf->codes[20846] = 0x0008056a8079ff9eUL;
   tf->codes[20847] = 0x0008058f8efba648UL;
   tf->codes[20848] = 0x000805916373d470UL;
   tf->codes[20849] = 0x000805924dafeb84UL;
   tf->codes[20850] = 0x000805992a72989aUL;
   tf->codes[20851] = 0x0008059f57883461UL;
   tf->codes[20852] = 0x000805ca931f76d2UL;
   tf->codes[20853] = 0x000805d0c0351299UL;
   tf->codes[20854] = 0x000805d6782ca2d6UL;
   tf->codes[20855] = 0x000805ebf8b0c12cUL;
   tf->codes[20856] = 0x0008065f42441d04UL;
   tf->codes[20857] = 0x000806d3b0a295b5UL;
   tf->codes[20858] = 0x0008074734c4f752UL;
   tf->codes[20859] = 0x00080748ceae1fb5UL;
   tf->codes[20860] = 0x0008077653db9bd8UL;
   tf->codes[20861] = 0x000807c53e9a6255UL;
   tf->codes[20862] = 0x000807c628d67969UL;
   tf->codes[20863] = 0x000807d8eaa65283UL;
   tf->codes[20864] = 0x000807e50a42844cUL;
   tf->codes[20865] = 0x000807f1646dbbdaUL;
   tf->codes[20866] = 0x00080813b43b1d48UL;
   tf->codes[20867] = 0x000808425e33b644UL;
   tf->codes[20868] = 0x0008085e465c7626UL;
   tf->codes[20869] = 0x00080861ef4cd276UL;
   tf->codes[20870] = 0x000808629ef9e3c5UL;
   tf->codes[20871] = 0x0008086732265729UL;
   tf->codes[20872] = 0x0008087cb2aa757fUL;
   tf->codes[20873] = 0x0008089f0277d6edUL;
   tf->codes[20874] = 0x000808b65774236bUL;
   tf->codes[20875] = 0x000808bc8489bf32UL;
   tf->codes[20876] = 0x000808d6231c4562UL;
   tf->codes[20877] = 0x000808f2baf21693UL;
   tf->codes[20878] = 0x0008090457f6d2d4UL;
   tf->codes[20879] = 0x0008090fc7e5f34eUL;
   tf->codes[20880] = 0x00080919635ce5a0UL;
   tf->codes[20881] = 0x000809546780b62aUL;
   tf->codes[20882] = 0x00080954a20fbbefUL;
   tf->codes[20883] = 0x000809581071127aUL;
   tf->codes[20884] = 0x0008096dcb843695UL;
   tf->codes[20885] = 0x0008097a9acd79adUL;
   tf->codes[20886] = 0x000809893e8eeaedUL;
   tf->codes[20887] = 0x000809bcf0d202d7UL;
   tf->codes[20888] = 0x000809c73bf60678UL;
   tf->codes[20889] = 0x000809d89e6bbcf4UL;
   tf->codes[20890] = 0x00080a00e0bfb464UL;
   tf->codes[20891] = 0x00080a04fece1c3eUL;
   tf->codes[20892] = 0x00080a1f879cb982UL;
   tf->codes[20893] = 0x00080a592c66676eUL;
   tf->codes[20894] = 0x00080a5b00de9596UL;
   tf->codes[20895] = 0x00080a68f4f2f587UL;
   tf->codes[20896] = 0x00080a6fd1b5a29dUL;
   tf->codes[20897] = 0x00080a930bbf1b1fUL;
   tf->codes[20898] = 0x00080aa88c433975UL;
   tf->codes[20899] = 0x00080ac942277280UL;
   tf->codes[20900] = 0x00080ac9b7457e0aUL;
   tf->codes[20901] = 0x00080adec2ab90d6UL;
   tf->codes[20902] = 0x00080ae7ae7571d9UL;
   tf->codes[20903] = 0x00080af5a289d1caUL;
   tf->codes[20904] = 0x00080af9fb273f69UL;
   tf->codes[20905] = 0x00080afda4179bb9UL;
   tf->codes[20906] = 0x00080b056b165fe3UL;
   tf->codes[20907] = 0x00080b068fe17cbcUL;
   tf->codes[20908] = 0x00080b0f068d5235UL;
   tf->codes[20909] = 0x00080b140ed7d123UL;
   tf->codes[20910] = 0x00080b17f2573338UL;
   tf->codes[20911] = 0x00080b4870c7fa5cUL;
   tf->codes[20912] = 0x00080b52f67b03c2UL;
   tf->codes[20913] = 0x00080b557aa04339UL;
   tf->codes[20914] = 0x00080b6edea3c3a4UL;
   tf->codes[20915] = 0x00080b74969b53e1UL;
   tf->codes[20916] = 0x00080b7546486530UL;
   tf->codes[20917] = 0x00080b8b767994d5UL;
   tf->codes[20918] = 0x00080bce070d23c4UL;
   tf->codes[20919] = 0x00080bd2d4c89cedUL;
   tf->codes[20920] = 0x00080bdbfb2183b5UL;
   tf->codes[20921] = 0x00080bfefa9bf672UL;
   tf->codes[20922] = 0x00080c0b8f5633c5UL;
   tf->codes[20923] = 0x00080c0ec328848bUL;
   tf->codes[20924] = 0x00080c4658eafe8aUL;
   tf->codes[20925] = 0x00080c52b3163618UL;
   tf->codes[20926] = 0x00080c5d38c93f7eUL;
   tf->codes[20927] = 0x00080c6b676ca534UL;
   tf->codes[20928] = 0x00080c78abd3f3d6UL;
   tf->codes[20929] = 0x00080c7f4e079b27UL;
   tf->codes[20930] = 0x00080c7f8896a0ecUL;
   tf->codes[20931] = 0x00080c85f03b4278UL;
   tf->codes[20932] = 0x00080c98777c15cdUL;
   tf->codes[20933] = 0x00080c9afba15544UL;
   tf->codes[20934] = 0x00080cc9307be2b6UL;
   tf->codes[20935] = 0x00080d3562bd8bb3UL;
   tf->codes[20936] = 0x00080d865c83861dUL;
   tf->codes[20937] = 0x00080d969a2e1fc0UL;
   tf->codes[20938] = 0x00080d991e535f37UL;
   tf->codes[20939] = 0x00080d9a088f764bUL;
   tf->codes[20940] = 0x00080dd4d2244110UL;
   tf->codes[20941] = 0x00080df721f1a27eUL;
   tf->codes[20942] = 0x00080e1dca5c718bUL;
   tf->codes[20943] = 0x00080e4597925d71UL;
   tf->codes[20944] = 0x00080e46bc5d7a4aUL;
   tf->codes[20945] = 0x00080e4caee4104cUL;
   tf->codes[20946] = 0x00080e522c4c9ac4UL;
   tf->codes[20947] = 0x00080e56fa0813edUL;
   tf->codes[20948] = 0x00080e597e2d5364UL;
   tf->codes[20949] = 0x00080e5aa2f8703dUL;
   tf->codes[20950] = 0x00080e6aa614041bUL;
   tf->codes[20951] = 0x00080e6d2a394392UL;
   tf->codes[20952] = 0x00080ea8de0a256bUL;
   tf->codes[20953] = 0x00080ed48ebf7366UL;
   tf->codes[20954] = 0x00080ed8e75ce105UL;
   tf->codes[20955] = 0x00080efbe6d753c2UL;
   tf->codes[20956] = 0x00080f1e36a4b530UL;
   tf->codes[20957] = 0x00080f49723bf7a1UL;
   tf->codes[20958] = 0x00080f57a0df5d57UL;
   tf->codes[20959] = 0x00080f5b845ebf6cUL;
   tf->codes[20960] = 0x00080f5c6e9ad680UL;
   tf->codes[20961] = 0x00080f66f44ddfe6UL;
   tf->codes[20962] = 0x00080f6e0b9f92c1UL;
   tf->codes[20963] = 0x00080f9d2ab63747UL;
   tf->codes[20964] = 0x00080fc5e2283a41UL;
   tf->codes[20965] = 0x00080fcaafe3b36aUL;
   tf->codes[20966] = 0x00080fd067db43a7UL;
   tf->codes[20967] = 0x00080fdf80bac071UL;
   tf->codes[20968] = 0x00080feba056f23aUL;
   tf->codes[20969] = 0x0008101be438b399UL;
   tf->codes[20970] = 0x0008106b441585a0UL;
   tf->codes[20971] = 0x00081072d0854405UL;
   tf->codes[20972] = 0x0008107380325554UL;
   tf->codes[20973] = 0x00081080c499a3f6UL;
   tf->codes[20974] = 0x000810817446b545UL;
   tf->codes[20975] = 0x0008108432fafa81UL;
   tf->codes[20976] = 0x000810c05be9e7e4UL;
   tf->codes[20977] = 0x000810d05f057bc2UL;
   tf->codes[20978] = 0x000810d5a1df0075UL;
   tf->codes[20979] = 0x000810ebd210301aUL;
   tf->codes[20980] = 0x00081124c72cccb7UL;
   tf->codes[20981] = 0x0008114507f2fa38UL;
   tf->codes[20982] = 0x00081184d9d243ebUL;
   tf->codes[20983] = 0x00081189a78dbd14UL;
   tf->codes[20984] = 0x000811d2da54f354UL;
   tf->codes[20985] = 0x000811fddb5d3000UL;
   tf->codes[20986] = 0x00081204f2aee2dbUL;
   tf->codes[20987] = 0x00081211124b14a4UL;
   tf->codes[20988] = 0x00081211fc872bb8UL;
   tf->codes[20989] = 0x0008121480ac6b2fUL;
   tf->codes[20990] = 0x00081219fe14f5a7UL;
   tf->codes[20991] = 0x00081242f015fe66UL;
   tf->codes[20992] = 0x0008124deae71356UL;
   tf->codes[20993] = 0x000812569c21ee94UL;
   tf->codes[20994] = 0x0008126e663c469cUL;
   tf->codes[20995] = 0x0008127542fef3b2UL;
   tf->codes[20996] = 0x0008127fc8b1fd18UL;
   tf->codes[20997] = 0x000812933a2ee781UL;
   tf->codes[20998] = 0x00081298b79771f9UL;
   tf->codes[20999] = 0x000812ca5ad355f6UL;
   tf->codes[21000] = 0x000812e6f2a92727UL;
   tf->codes[21001] = 0x000812f1b2eb3652UL;
   tf->codes[21002] = 0x0008131b8f285625UL;
   tf->codes[21003] = 0x0008134655a18d0cUL;
   tf->codes[21004] = 0x00081379583793a7UL;
   tf->codes[21005] = 0x0008138e639da673UL;
   tf->codes[21006] = 0x000813dd88eb72b5UL;
   tf->codes[21007] = 0x000813df22d49b18UL;
   tf->codes[21008] = 0x000813ed16e8fb09UL;
   tf->codes[21009] = 0x000813fad06e5535UL;
   tf->codes[21010] = 0x0008144d9eac7dc7UL;
   tf->codes[21011] = 0x0008146ae62f6047UL;
   tf->codes[21012] = 0x0008148693c91a64UL;
   tf->codes[21013] = 0x0008148cc0deb62bUL;
   tf->codes[21014] = 0x000814b453859c4cUL;
   tf->codes[21015] = 0x000814bd04c0778aUL;
   tf->codes[21016] = 0x000814c0adb0d3daUL;
   tf->codes[21017] = 0x000814c874af9804UL;
   tf->codes[21018] = 0x000814d03bae5c2eUL;
   tf->codes[21019] = 0x000814d802ad2058UL;
   tf->codes[21020] = 0x000814df548dd8f8UL;
   tf->codes[21021] = 0x000814e6a66e9198UL;
   tf->codes[21022] = 0x000814e99fb1dc99UL;
   tf->codes[21023] = 0x0008150cd9bb551bUL;
   tf->codes[21024] = 0x00081514db491f0aUL;
   tf->codes[21025] = 0x00081544aa0cd4dfUL;
   tf->codes[21026] = 0x0008154ebaa1d2bbUL;
   tf->codes[21027] = 0x00081554729962f8UL;
   tf->codes[21028] = 0x00081556bc2f9caaUL;
   tf->codes[21029] = 0x0008155a2a90f335UL;
   tf->codes[21030] = 0x0008157896def28eUL;
   tf->codes[21031] = 0x0008157f73a19fa4UL;
   tf->codes[21032] = 0x000815814819cdccUL;
   tf->codes[21033] = 0x000815b8a34d4206UL;
   tf->codes[21034] = 0x000815c3d8ad5cbbUL;
   tf->codes[21035] = 0x000815c7f6bbc495UL;
   tf->codes[21036] = 0x000815dba2c7b4c3UL;
   tf->codes[21037] = 0x000815e3dee48477UL;
   tf->codes[21038] = 0x000815ea46892603UL;
   tf->codes[21039] = 0x000815f5f1074c42UL;
   tf->codes[21040] = 0x000815fb6e6fd6baUL;
   tf->codes[21041] = 0x00081602fadf951fUL;
   tf->codes[21042] = 0x00081612c36c2338UL;
   tf->codes[21043] = 0x000816525abc6726UL;
   tf->codes[21044] = 0x000816558e8eb7ecUL;
   tf->codes[21045] = 0x0008166c33ddf31bUL;
   tf->codes[21046] = 0x000816938bf5d377UL;
   tf->codes[21047] = 0x000816c1c0d060e9UL;
   tf->codes[21048] = 0x000816d9505bb32cUL;
   tf->codes[21049] = 0x000816dbd480f2a3UL;
   tf->codes[21050] = 0x000816fbdab81a5fUL;
   tf->codes[21051] = 0x000817048bf2f59dUL;
   tf->codes[21052] = 0x000817169e15bd68UL;
   tf->codes[21053] = 0x00081748f0feb2b4UL;
   tf->codes[21054] = 0x00081749661cbe3eUL;
   tf->codes[21055] = 0x000817533c22b655UL;
   tf->codes[21056] = 0x000817c1084d87b5UL;
   tf->codes[21057] = 0x000817c2dcc5b5ddUL;
   tf->codes[21058] = 0x000817c31754bba2UL;
   tf->codes[21059] = 0x000817dc063a3083UL;
   tf->codes[21060] = 0x000817fb2235412bUL;
   tf->codes[21061] = 0x0008180cbf39fd6cUL;
   tf->codes[21062] = 0x000818123ca287e4UL;
   tf->codes[21063] = 0x0008181953f43abfUL;
   tf->codes[21064] = 0x00081836265911b5UL;
   tf->codes[21065] = 0x000818441a6d71a6UL;
   tf->codes[21066] = 0x00081848730adf45UL;
   tf->codes[21067] = 0x0008184af7301ebcUL;
   tf->codes[21068] = 0x0008185d7e70f211UL;
   tf->codes[21069] = 0x00081863ab868dd8UL;
   tf->codes[21070] = 0x0008186928ef1850UL;
   tf->codes[21071] = 0x000818bfdaaca2f7UL;
   tf->codes[21072] = 0x000818d55b30c14dUL;
   tf->codes[21073] = 0x000818d67ffbde26UL;
   tf->codes[21074] = 0x000818def6a7b39fUL;
   tf->codes[21075] = 0x000818e55e4c552bUL;
   tf->codes[21076] = 0x000818e7e27194a2UL;
   tf->codes[21077] = 0x000818ebc5f0f6b7UL;
   tf->codes[21078] = 0x000818fc3e2a961fUL;
   tf->codes[21079] = 0x0008191bcf43b251UL;
   tf->codes[21080] = 0x0008191fb2c31466UL;
   tf->codes[21081] = 0x0008192654f6bbb7UL;
   tf->codes[21082] = 0x0008194e5cbbad62UL;
   tf->codes[21083] = 0x0008194f46f7c476UL;
   tf->codes[21084] = 0x000819565e497751UL;
   tf->codes[21085] = 0x000819836e58e7eaUL;
   tf->codes[21086] = 0x0008199df727852eUL;
   tf->codes[21087] = 0x000819d16edb9753UL;
   tf->codes[21088] = 0x000819d9aaf86707UL;
   tf->codes[21089] = 0x000819df62eff744UL;
   tf->codes[21090] = 0x00081a0b4e344b04UL;
   tf->codes[21091] = 0x00081a138a511ab8UL;
   tf->codes[21092] = 0x00081a16839465b9UL;
   tf->codes[21093] = 0x00081a43ce32dc17UL;
   tf->codes[21094] = 0x00081a6aebbbb6aeUL;
   tf->codes[21095] = 0x00081a6daa6ffbeaUL;
   tf->codes[21096] = 0x00081a6e1f8e0774UL;
   tf->codes[21097] = 0x00081a86d3e47690UL;
   tf->codes[21098] = 0x00081a9b6a2c7dd2UL;
   tf->codes[21099] = 0x00081ac8b4caf430UL;
   tf->codes[21100] = 0x00081b060284fe6cUL;
   tf->codes[21101] = 0x00081b4524b736d0UL;
   tf->codes[21102] = 0x00081b5e88bab73bUL;
   tf->codes[21103] = 0x00081b8de2606186UL;
   tf->codes[21104] = 0x00081bbd76951196UL;
   tf->codes[21105] = 0x00081be2fa34c3caUL;
   tf->codes[21106] = 0x00081bea4c157c6aUL;
   tf->codes[21107] = 0x00081bef8eef011dUL;
   tf->codes[21108] = 0x00081bf45caa7a46UL;
   tf->codes[21109] = 0x00081c1044d33a28UL;
   tf->codes[21110] = 0x00081c1aca86438eUL;
   tf->codes[21111] = 0x00081c1b7a3354ddUL;
   tf->codes[21112] = 0x00081c1e73769fdeUL;
   tf->codes[21113] = 0x00081c534a84d4a1UL;
   tf->codes[21114] = 0x00081c55ceaa1418UL;
   tf->codes[21115] = 0x00081c56f37530f1UL;
   tf->codes[21116] = 0x00081c572e0436b6UL;
   tf->codes[21117] = 0x00081c5eba73f51bUL;
   tf->codes[21118] = 0x00081c626364516bUL;
   tf->codes[21119] = 0x00081c7efb3a229cUL;
   tf->codes[21120] = 0x00081c90983ededdUL;
   tf->codes[21121] = 0x00081cbbd3d6214eUL;
   tf->codes[21122] = 0x00081cc1c65cb750UL;
   tf->codes[21123] = 0x00081cf3a427a112UL;
   tf->codes[21124] = 0x00081d5082fac780UL;
   tf->codes[21125] = 0x00081d5d17b504d3UL;
   tf->codes[21126] = 0x00081d5d8cd3105dUL;
   tf->codes[21127] = 0x00081d6e7a2abb4fUL;
   tf->codes[21128] = 0x00081d7347e63478UL;
   tf->codes[21129] = 0x00081d8644451357UL;
   tf->codes[21130] = 0x00081d964760a735UL;
   tf->codes[21131] = 0x00081dc1f815f530UL;
   tf->codes[21132] = 0x00081dc7b00d856dUL;
   tf->codes[21133] = 0x00081e1db21dfec5UL;
   tf->codes[21134] = 0x00081e1e9c5a15d9UL;
   tf->codes[21135] = 0x00081e50b4b40560UL;
   tf->codes[21136] = 0x00081e5b74f6148bUL;
   tf->codes[21137] = 0x00081e780ccbe5bcUL;
   tf->codes[21138] = 0x00081e91e5ed71b1UL;
   tf->codes[21139] = 0x00081e937fd69a14UL;
   tf->codes[21140] = 0x00081ec229cf3310UL;
   tf->codes[21141] = 0x00081ecf6e3681b2UL;
   tf->codes[21142] = 0x00081ed1b7ccbb64UL;
   tf->codes[21143] = 0x00081ed2dc97d83dUL;
   tf->codes[21144] = 0x00081ed97ecb7f8eUL;
   tf->codes[21145] = 0x00081ef9fa20b2d4UL;
   tf->codes[21146] = 0x00081f1d6eb9311bUL;
   tf->codes[21147] = 0x00081f51961a548fUL;
   tf->codes[21148] = 0x00081f5f8a2eb480UL;
   tf->codes[21149] = 0x00081f750ab2d2d6UL;
   tf->codes[21150] = 0x00081f78ee3234ebUL;
   tf->codes[21151] = 0x00081f8a8b36f12cUL;
   tf->codes[21152] = 0x00081f8c9a3e2519UL;
   tf->codes[21153] = 0x00081f9dfcb3db95UL;
   tf->codes[21154] = 0x00081fc51a3cb62cUL;
   tf->codes[21155] = 0x00081fc6eeb4e454UL;
   tf->codes[21156] = 0x00081fc7d8f0fb68UL;
   tf->codes[21157] = 0x00081fd6b741726dUL;
   tf->codes[21158] = 0x00081fe1b212875dUL;
   tf->codes[21159] = 0x00081fe60aaff4fcUL;
   tf->codes[21160] = 0x00081ff314883dd9UL;
   tf->codes[21161] = 0x00081ffb8b341352UL;
   tf->codes[21162] = 0x0008204fb8cc5e82UL;
   tf->codes[21163] = 0x0008204ff35b6447UL;
   tf->codes[21164] = 0x0008206a7c2a018bUL;
   tf->codes[21165] = 0x0008207576fb167bUL;
   tf->codes[21166] = 0x0008208c1c4a51aaUL;
   tf->codes[21167] = 0x00082093a8ba100fUL;
   tf->codes[21168] = 0x000820d16b9225d5UL;
   tf->codes[21169] = 0x000820d673dca4c3UL;
   tf->codes[21170] = 0x000820dc66633ac5UL;
   tf->codes[21171] = 0x000820e84b7066c9UL;
   tf->codes[21172] = 0x000820f0fcab4207UL;
   tf->codes[21173] = 0x000820f1e6e7591bUL;
   tf->codes[21174] = 0x000820fa98223459UL;
   tf->codes[21175] = 0x000820fef0bfa1f8UL;
   tf->codes[21176] = 0x0008210c6fb5f65fUL;
   tf->codes[21177] = 0x0008211fa6a3db03UL;
   tf->codes[21178] = 0x0008213770be330bUL;
   tf->codes[21179] = 0x0008214898a4e3c2UL;
   tf->codes[21180] = 0x0008215b5a74bcdcUL;
   tf->codes[21181] = 0x00082175a8b4545bUL;
   tf->codes[21182] = 0x0008219a7ca6f540UL;
   tf->codes[21183] = 0x0008219b2c54068fUL;
   tf->codes[21184] = 0x000821c508912662UL;
   tf->codes[21185] = 0x000821c99bbd99c6UL;
   tf->codes[21186] = 0x000821ca10dba550UL;
   tf->codes[21187] = 0x000821f3b289bf5eUL;
   tf->codes[21188] = 0x00082213b8c0e71aUL;
   tf->codes[21189] = 0x00082244e6debf8dUL;
   tf->codes[21190] = 0x000822497a0b32f1UL;
   tf->codes[21191] = 0x0008224b13f45b54UL;
   tf->codes[21192] = 0x00082288d6cc711aUL;
   tf->codes[21193] = 0x0008229d32857297UL;
   tf->codes[21194] = 0x000822c48a9d52f3UL;
   tf->codes[21195] = 0x000822c86e1cb508UL;
   tf->codes[21196] = 0x000822ca4294e330UL;
   tf->codes[21197] = 0x000822e78a17c5b0UL;
   tf->codes[21198] = 0x000822ef16878415UL;
   tf->codes[21199] = 0x000823092a3815cfUL;
   tf->codes[21200] = 0x000823171e4c75c0UL;
   tf->codes[21201] = 0x0008231fcf8750feUL;
   tf->codes[21202] = 0x0008234f9e4b06d3UL;
   tf->codes[21203] = 0x000823646f2213daUL;
   tf->codes[21204] = 0x00082397372914b0UL;
   tf->codes[21205] = 0x000823e69705e6b7UL;
   tf->codes[21206] = 0x000823f15747f5e2UL;
   tf->codes[21207] = 0x000823f1cc66016cUL;
   tf->codes[21208] = 0x000823fd3c5521e6UL;
   tf->codes[21209] = 0x000823fed63e4a49UL;
   tf->codes[21210] = 0x000824384078f270UL;
   tf->codes[21211] = 0x0008247294efb1abUL;
   tf->codes[21212] = 0x000824967ea63b7cUL;
   tf->codes[21213] = 0x0008249cabbbd743UL;
   tf->codes[21214] = 0x0008249dd086f41cUL;
   tf->codes[21215] = 0x000824cbcad27bc9UL;
   tf->codes[21216] = 0x000824cfe8e0e3a3UL;
   tf->codes[21217] = 0x000824e110c7945aUL;
   tf->codes[21218] = 0x000824fb24782614UL;
   tf->codes[21219] = 0x0008254abee3fde0UL;
   tf->codes[21220] = 0x000825b9002cdacaUL;
   tf->codes[21221] = 0x000825bfa260821bUL;
   tf->codes[21222] = 0x000825ef3695322bUL;
   tf->codes[21223] = 0x00082613204bbbfcUL;
   tf->codes[21224] = 0x0008261912d251feUL;
   tf->codes[21225] = 0x0008261987f05d88UL;
   tf->codes[21226] = 0x0008264a7b7f3036UL;
   tf->codes[21227] = 0x00082674924b55ceUL;
   tf->codes[21228] = 0x0008268d46a1c4eaUL;
   tf->codes[21229] = 0x000826c307ec10c1UL;
   tf->codes[21230] = 0x000826d04c535f63UL;
   tf->codes[21231] = 0x000826da2259577aUL;
   tf->codes[21232] = 0x000826dca67e96f1UL;
   tf->codes[21233] = 0x000826e93b38d444UL;
   tf->codes[21234] = 0x000827461a0bfab2UL;
   tf->codes[21235] = 0x0008274c0c9290b4UL;
   tf->codes[21236] = 0x0008274c47219679UL;
   tf->codes[21237] = 0x000827648659fa0bUL;
   tf->codes[21238] = 0x000827670a7f3982UL;
   tf->codes[21239] = 0x000827cf93d0862fUL;
   tf->codes[21240] = 0x000827d87f9a6732UL;
   tf->codes[21241] = 0x000827deacb002f9UL;
   tf->codes[21242] = 0x000827efd496b3b0UL;
   tf->codes[21243] = 0x000827f8c06094b3UL;
   tf->codes[21244] = 0x000828125ef31ae3UL;
   tf->codes[21245] = 0x00082817673d99d1UL;
   tf->codes[21246] = 0x00082851bbb4590cUL;
   tf->codes[21247] = 0x000828547a689e48UL;
   tf->codes[21248] = 0x00082854b4f7a40dUL;
   tf->codes[21249] = 0x0008285a6cef344aUL;
   tf->codes[21250] = 0x0008289153049cfaUL;
   tf->codes[21251] = 0x000828d1d490f7fcUL;
   tf->codes[21252] = 0x0008290c6396bcfcUL;
   tf->codes[21253] = 0x0008290f224b0238UL;
   tf->codes[21254] = 0x00082943beca3136UL;
   tf->codes[21255] = 0x00082995a2cc42b4UL;
   tf->codes[21256] = 0x000829daf21416dfUL;
   tf->codes[21257] = 0x000829e5b256260aUL;
   tf->codes[21258] = 0x000829e627743194UL;
   tf->codes[21259] = 0x000829e8367b6581UL;
   tf->codes[21260] = 0x000829e920b77c95UL;
   tf->codes[21261] = 0x000829eba4dcbc0cUL;
   tf->codes[21262] = 0x000829ee9e20070dUL;
   tf->codes[21263] = 0x000829f072983535UL;
   tf->codes[21264] = 0x000829f20c815d98UL;
   tf->codes[21265] = 0x000829ffc606b7c4UL;
   tf->codes[21266] = 0x00082a3e731ae49eUL;
   tf->codes[21267] = 0x00082a5343f1f1a5UL;
   tf->codes[21268] = 0x00082a5602a636e1UL;
   tf->codes[21269] = 0x00082a59e62598f6UL;
   tf->codes[21270] = 0x00082a6b489b4f72UL;
   tf->codes[21271] = 0x00082a6e074f94aeUL;
   tf->codes[21272] = 0x00082a7434653075UL;
   tf->codes[21273] = 0x00082a89ef785490UL;
   tf->codes[21274] = 0x00082a96bec197a8UL;
   tf->codes[21275] = 0x00082a9f6ffc72e6UL;
   tf->codes[21276] = 0x00082ac94c3992b9UL;
   tf->codes[21277] = 0x00082acaab93b557UL;
   tf->codes[21278] = 0x00082acf043122f6UL;
   tf->codes[21279] = 0x00082ad1133856e3UL;
   tf->codes[21280] = 0x00082ae23b1f079aUL;
   tf->codes[21281] = 0x00082afc4ecf9954UL;
   tf->codes[21282] = 0x00082b399c89a390UL;
   tf->codes[21283] = 0x00082b499fa5376eUL;
   tf->codes[21284] = 0x00082b4b741d6596UL;
   tf->codes[21285] = 0x00082b5166a3fb98UL;
   tf->codes[21286] = 0x00082b7eebd177bbUL;
   tf->codes[21287] = 0x00082bd43e34dfc4UL;
   tf->codes[21288] = 0x00082bdd648dc68cUL;
   tf->codes[21289] = 0x00082bf618e435a8UL;
   tf->codes[21290] = 0x00082bfa36f29d82UL;
   tf->codes[21291] = 0x00082c02730f6d36UL;
   tf->codes[21292] = 0x00082c0cbe3370d7UL;
   tf->codes[21293] = 0x00082c4a0bed7b13UL;
   tf->codes[21294] = 0x00082c8becd3f8b3UL;
   tf->codes[21295] = 0x00082c9637f7fc54UL;
   tf->codes[21296] = 0x00082c9dfef6c07eUL;
   tf->codes[21297] = 0x00082cd9031a9108UL;
   tf->codes[21298] = 0x00082ceb8a5b645dUL;
   tf->codes[21299] = 0x00082cf64a9d7388UL;
   tf->codes[21300] = 0x00082cf76f689061UL;
   tf->codes[21301] = 0x00082d44facd3440UL;
   tf->codes[21302] = 0x00082d5d3a0597d2UL;
   tf->codes[21303] = 0x00082d7872814665UL;
   tf->codes[21304] = 0x00082d86dbb3b1e0UL;
   tf->codes[21305] = 0x00082d98039a6297UL;
   tf->codes[21306] = 0x00082dc28f8493b9UL;
   tf->codes[21307] = 0x00082dceaf20c582UL;
   tf->codes[21308] = 0x00082df7dbb0d406UL;
   tf->codes[21309] = 0x00082e1090074322UL;
   tf->codes[21310] = 0x00082e1b5049524dUL;
   tf->codes[21311] = 0x00082e42a86132a9UL;
   tf->codes[21312] = 0x00082e9a445ad464UL;
   tf->codes[21313] = 0x00082e9a7ee9da29UL;
   tf->codes[21314] = 0x00082eb20e752c6cUL;
   tf->codes[21315] = 0x00082ec3365bdd23UL;
   tf->codes[21316] = 0x00082ec83ea65c11UL;
   tf->codes[21317] = 0x00082edc5fd057c9UL;
   tf->codes[21318] = 0x00082edd849b74a2UL;
   tf->codes[21319] = 0x00082efca096854aUL;
   tf->codes[21320] = 0x00082f104ca27578UL;
   tf->codes[21321] = 0x00082f16eed61cc9UL;
   tf->codes[21322] = 0x00082f4907300c50UL;
   tf->codes[21323] = 0x00082f49b6dd1d9fUL;
   tf->codes[21324] = 0x00082f5ec243306bUL;
   tf->codes[21325] = 0x00082f67ae0d116eUL;
   tf->codes[21326] = 0x00082f74b7e55a4bUL;
   tf->codes[21327] = 0x00082f7651ce82aeUL;
   tf->codes[21328] = 0x00082f7b94a80761UL;
   tf->codes[21329] = 0x00082f814c9f979eUL;
   tf->codes[21330] = 0x00082f940e6f70b8UL;
   tf->codes[21331] = 0x00082faff698309aUL;
   tf->codes[21332] = 0x00082fcd78aa18dfUL;
   tf->codes[21333] = 0x00082fd280f497cdUL;
   tf->codes[21334] = 0x00082fda828261bcUL;
   tf->codes[21335] = 0x00082fec5a1623c2UL;
   tf->codes[21336] = 0x00083016e60054e4UL;
   tf->codes[21337] = 0x0008301b3e9dc283UL;
   tf->codes[21338] = 0x0008301c28d9d997UL;
   tf->codes[21339] = 0x00083040c23d74b7UL;
   tf->codes[21340] = 0x0008304380f1b9f3UL;
   tf->codes[21341] = 0x00083045ca87f3a5UL;
   tf->codes[21342] = 0x0008304c322c9531UL;
   tf->codes[21343] = 0x0008304d56f7b20aUL;
   tf->codes[21344] = 0x0008305a2640f522UL;
   tf->codes[21345] = 0x0008305a9b5f00acUL;
   tf->codes[21346] = 0x0008305bfab9234aUL;
   tf->codes[21347] = 0x0008308f726d356fUL;
   tf->codes[21348] = 0x000830ac0a4306a0UL;
   tf->codes[21349] = 0x000830c18ac724f6UL;
   tf->codes[21350] = 0x000830c3d45d5ea8UL;
   tf->codes[21351] = 0x000830c4be9975bcUL;
   tf->codes[21352] = 0x000830ccfab64570UL;
   tf->codes[21353] = 0x000830fc545befbbUL;
   tf->codes[21354] = 0x000831069f7ff35cUL;
   tf->codes[21355] = 0x00083107c44b1035UL;
   tf->codes[21356] = 0x0008310ba7ca724aUL;
   tf->codes[21357] = 0x000831115fc20287UL;
   tf->codes[21358] = 0x0008311926c0c6b1UL;
   tf->codes[21359] = 0x0008314427c9035dUL;
   tf->codes[21360] = 0x0008314f97b823d7UL;
   tf->codes[21361] = 0x0008316d8ee817a6UL;
   tf->codes[21362] = 0x0008317297329694UL;
   tf->codes[21363] = 0x00083178c448325bUL;
   tf->codes[21364] = 0x0008318fdeb57914UL;
   tf->codes[21365] = 0x0008319e47e7e48fUL;
   tf->codes[21366] = 0x000831cd2c6f8350UL;
   tf->codes[21367] = 0x000831d47e503bf0UL;
   tf->codes[21368] = 0x000831daab65d7b7UL;
   tf->codes[21369] = 0x0008320ed2c6fb2bUL;
   tf->codes[21370] = 0x00083247c7e397c8UL;
   tf->codes[21371] = 0x0008324a4c08d73fUL;
   tf->codes[21372] = 0x0008325c239c9945UL;
   tf->codes[21373] = 0x00083267938bb9bfUL;
   tf->codes[21374] = 0x0008327aca799e63UL;
   tf->codes[21375] = 0x0008329b0b3fcbe4UL;
   tf->codes[21376] = 0x000832ac33267c9bUL;
   tf->codes[21377] = 0x000832d26673401eUL;
   tf->codes[21378] = 0x0008330e1a4421f7UL;
   tf->codes[21379] = 0x0008331c83768d72UL;
   tf->codes[21380] = 0x00083342b6c350f5UL;
   tf->codes[21381] = 0x00083349ce1503d0UL;
   tf->codes[21382] = 0x0008335f4e992226UL;
   tf->codes[21383] = 0x00083366a079dac6UL;
   tf->codes[21384] = 0x00083370767fd2ddUL;
   tf->codes[21385] = 0x00083373aa5223a3UL;
   tf->codes[21386] = 0x00083375f3e85d55UL;
   tf->codes[21387] = 0x0008337babdfed92UL;
   tf->codes[21388] = 0x000833c8c22685e7UL;
   tf->codes[21389] = 0x000833d8ffd11f8aUL;
   tf->codes[21390] = 0x000833ead764e190UL;
   tf->codes[21391] = 0x000833f7a6ae24a8UL;
   tf->codes[21392] = 0x0008340a687dfdc2UL;
   tf->codes[21393] = 0x0008341737c740daUL;
   tf->codes[21394] = 0x0008341c7aa0c58dUL;
   tf->codes[21395] = 0x0008346990e75de2UL;
   tf->codes[21396] = 0x00083469cb7663a7UL;
   tf->codes[21397] = 0x0008348fc4342165UL;
   tf->codes[21398] = 0x0008349073e132b4UL;
   tf->codes[21399] = 0x000834ac5c09f296UL;
   tf->codes[21400] = 0x000834c0f251f9d8UL;
   tf->codes[21401] = 0x000834c8f3dfc3c7UL;
   tf->codes[21402] = 0x000834d797a13507UL;
   tf->codes[21403] = 0x000834d7d2303accUL;
   tf->codes[21404] = 0x000834eb7e3c2afaUL;
   tf->codes[21405] = 0x000834f8881473d7UL;
   tf->codes[21406] = 0x00083504a7b0a5a0UL;
   tf->codes[21407] = 0x0008351310e3111bUL;
   tf->codes[21408] = 0x000835160a265c1cUL;
   tf->codes[21409] = 0x00083554421c7d6cUL;
   tf->codes[21410] = 0x0008356619b03f72UL;
   tf->codes[21411] = 0x0008356cbbe3e6c3UL;
   tf->codes[21412] = 0x00083572e8f9828aUL;
   tf->codes[21413] = 0x00083579509e2416UL;
   tf->codes[21414] = 0x0008359f0eccdc0fUL;
   tf->codes[21415] = 0x000835c3a830772fUL;
   tf->codes[21416] = 0x000835dbacd9d4fcUL;
   tf->codes[21417] = 0x000835f0b83fe7c8UL;
   tf->codes[21418] = 0x000836100ec9fe35UL;
   tf->codes[21419] = 0x000836488ec88f48UL;
   tf->codes[21420] = 0x000836afb8bfb957UL;
   tf->codes[21421] = 0x000836b39c3f1b6cUL;
   tf->codes[21422] = 0x000836b5e5d5551eUL;
   tf->codes[21423] = 0x000836c2efad9dfbUL;
   tf->codes[21424] = 0x000836c782da115fUL;
   tf->codes[21425] = 0x000836d5ec0c7cdaUL;
   tf->codes[21426] = 0x000836d994fcd92aUL;
   tf->codes[21427] = 0x000836f36e1e651fUL;
   tf->codes[21428] = 0x00083716e2b6e366UL;
   tf->codes[21429] = 0x000837455220769dUL;
   tf->codes[21430] = 0x00083774e65526adUL;
   tf->codes[21431] = 0x000837776a7a6624UL;
   tf->codes[21432] = 0x000837d0a05d3042UL;
   tf->codes[21433] = 0x000837fe9aa8b7efUL;
   tf->codes[21434] = 0x0008384ee4c1a10aUL;
   tf->codes[21435] = 0x00083850f3c8d4f7UL;
   tf->codes[21436] = 0x000838580b1a87d2UL;
   tf->codes[21437] = 0x00083865ff2ee7c3UL;
   tf->codes[21438] = 0x0008389d5a625bfdUL;
   tf->codes[21439] = 0x000838c59cb6536dUL;
   tf->codes[21440] = 0x000838ccb4080648UL;
   tf->codes[21441] = 0x000838d1bc528536UL;
   tf->codes[21442] = 0x000838f77a813d2fUL;
   tf->codes[21443] = 0x0008393af550e332UL;
   tf->codes[21444] = 0x0008395ac0f90529UL;
   tf->codes[21445] = 0x0008395bab351c3dUL;
   tf->codes[21446] = 0x00083963acc2e62cUL;
   tf->codes[21447] = 0x0008396a146787b8UL;
   tf->codes[21448] = 0x0008396d82c8de43UL;
   tf->codes[21449] = 0x000839712bb93a93UL;
   tf->codes[21450] = 0x0008398dc38f0bc4UL;
   tf->codes[21451] = 0x000839bad39e7c5dUL;
   tf->codes[21452] = 0x000839c9b1eef362UL;
   tf->codes[21453] = 0x000839d312d6dfefUL;
   tf->codes[21454] = 0x000839d437a1fcc8UL;
   tf->codes[21455] = 0x000839ebc72d4f0bUL;
   tf->codes[21456] = 0x000839fb8fb9dd24UL;
   tf->codes[21457] = 0x00083a1b5b61ff1bUL;
   tf->codes[21458] = 0x00083a3ecffa7d62UL;
   tf->codes[21459] = 0x00083a7b3378708aUL;
   tf->codes[21460] = 0x00083acf9b9fc17fUL;
   tf->codes[21461] = 0x00083ad04b4cd2ceUL;
   tf->codes[21462] = 0x00083adc6ae90497UL;
   tf->codes[21463] = 0x00083af016f4f4c5UL;
   tf->codes[21464] = 0x00083af81882beb4UL;
   tf->codes[21465] = 0x00083b10ccd92dd0UL;
   tf->codes[21466] = 0x00083b1141f7395aUL;
   tf->codes[21467] = 0x00083b1aa2df25e7UL;
   tf->codes[21468] = 0x00083b527330a5abUL;
   tf->codes[21469] = 0x00083b5740ec1ed4UL;
   tf->codes[21470] = 0x00083b594ff352c1UL;
   tf->codes[21471] = 0x00083b5fb797f44dUL;
   tf->codes[21472] = 0x00083bc7cbcb3570UL;
   tf->codes[21473] = 0x00083bd007e80524UL;
   tf->codes[21474] = 0x00083be1df7bc72aUL;
   tf->codes[21475] = 0x00083c08c2759bfcUL;
   tf->codes[21476] = 0x00083c72e5b0110cUL;
   tf->codes[21477] = 0x00083c8c8442973cUL;
   tf->codes[21478] = 0x00083cbcc824589bUL;
   tf->codes[21479] = 0x00083cc48f231cc5UL;
   tf->codes[21480] = 0x00083ce8b368ac5bUL;
   tf->codes[21481] = 0x00083cfb3aa97fb0UL;
   tf->codes[21482] = 0x00083d634edcc0d3UL;
   tf->codes[21483] = 0x00083d64ae36e371UL;
   tf->codes[21484] = 0x00083d738c875a76UL;
   tf->codes[21485] = 0x00083d7ade681316UL;
   tf->codes[21486] = 0x00083dca03b5df58UL;
   tf->codes[21487] = 0x00083dcc12bd1345UL;
   tf->codes[21488] = 0x00083dfe2b1702ccUL;
   tf->codes[21489] = 0x00083e015ee95392UL;
   tf->codes[21490] = 0x00083e0507d9afe2UL;
   tf->codes[21491] = 0x00083e0baa0d5733UL;
   tf->codes[21492] = 0x00083e0cced8740cUL;
   tf->codes[21493] = 0x00083e17548b7d72UL;
   tf->codes[21494] = 0x00083e558c819ec2UL;
   tf->codes[21495] = 0x00083e68c36f8366UL;
   tf->codes[21496] = 0x00083e69388d8ef0UL;
   tf->codes[21497] = 0x00083e6ad276b753UL;
   tf->codes[21498] = 0x00083e7b102150f6UL;
   tf->codes[21499] = 0x00083e917ae18660UL;
   tf->codes[21500] = 0x00083e9a66ab6763UL;
   tf->codes[21501] = 0x00083ec2a8ff5ed3UL;
   tf->codes[21502] = 0x00083ecb94c93fd6UL;
   tf->codes[21503] = 0x00083ecda3d073c3UL;
   tf->codes[21504] = 0x00083ef8df67b634UL;
   tf->codes[21505] = 0x00083f0205c09cfcUL;
   tf->codes[21506] = 0x00083f1f87d28541UL;
   tf->codes[21507] = 0x00083f7a579e77c2UL;
   tf->codes[21508] = 0x00083f7eb03be561UL;
   tf->codes[21509] = 0x00083f95558b2090UL;
   tf->codes[21510] = 0x00083fcd9afaabdeUL;
   tf->codes[21511] = 0x00083fcf6f72da06UL;
   tf->codes[21512] = 0x00083fec7c66b6c1UL;
   tf->codes[21513] = 0x00083fee50dee4e9UL;
   tf->codes[21514] = 0x00083ff14a222feaUL;
   tf->codes[21515] = 0x00083ff73ca8c5ecUL;
   tf->codes[21516] = 0x0008404dee665093UL;
   tf->codes[21517] = 0x00084058aea85fbeUL;
   tf->codes[21518] = 0x000840916935f696UL;
   tf->codes[21519] = 0x000840928e01136fUL;
   tf->codes[21520] = 0x000840a58a5ff24eUL;
   tf->codes[21521] = 0x000840c3f6adf1a7UL;
   tf->codes[21522] = 0x000840c72a80426dUL;
   tf->codes[21523] = 0x000840f1f0f97954UL;
   tf->codes[21524] = 0x00084116ff7b1ffeUL;
   tf->codes[21525] = 0x0008414b9bfa4efcUL;
   tf->codes[21526] = 0x000841570be96f76UL;
   tf->codes[21527] = 0x0008418d4251c6d7UL;
   tf->codes[21528] = 0x0008419cd04f4f2bUL;
   tf->codes[21529] = 0x00084236fcdc7fd5UL;
   tf->codes[21530] = 0x000842568df59c07UL;
   tf->codes[21531] = 0x000842577831b31bUL;
   tf->codes[21532] = 0x00084275e47fb274UL;
   tf->codes[21533] = 0x00084284884123b4UL;
   tf->codes[21534] = 0x0008428537ee3503UL;
   tf->codes[21535] = 0x000842870c66632bUL;
   tf->codes[21536] = 0x00084298344d13e2UL;
   tf->codes[21537] = 0x000842c5445c847bUL;
   tf->codes[21538] = 0x000842c6a3b6a719UL;
   tf->codes[21539] = 0x000842d71bf04681UL;
   tf->codes[21540] = 0x000842f75cb67402UL;
   tf->codes[21541] = 0x000843060077e542UL;
   tf->codes[21542] = 0x0008433818d1d4c9UL;
   tf->codes[21543] = 0x0008434682044044UL;
   tf->codes[21544] = 0x0008434dd3e4f8e4UL;
   tf->codes[21545] = 0x0008434fa85d270cUL;
   tf->codes[21546] = 0x00084351b7645af9UL;
   tf->codes[21547] = 0x00084362a4bc05ebUL;
   tf->codes[21548] = 0x0008436c4032f83dUL;
   tf->codes[21549] = 0x00084371487d772bUL;
   tf->codes[21550] = 0x00084375668bdf05UL;
   tf->codes[21551] = 0x00084378d4ed3590UL;
   tf->codes[21552] = 0x0008445089c3763bUL;
   tf->codes[21553] = 0x00084469038adf92UL;
   tf->codes[21554] = 0x0008447906a67370UL;
   tf->codes[21555] = 0x000844926aa9f3dbUL;
   tf->codes[21556] = 0x000844e4893b0b1eUL;
   tf->codes[21557] = 0x000844f48c569efcUL;
   tf->codes[21558] = 0x000844faf3fb4088UL;
   tf->codes[21559] = 0x000844fe625c9713UL;
   tf->codes[21560] = 0x00084513e2e0b569UL;
   tf->codes[21561] = 0x0008451f52cfd5e3UL;
   tf->codes[21562] = 0x00084553b4bfff1cUL;
   tf->codes[21563] = 0x00084557983f6131UL;
   tf->codes[21564] = 0x0008459e46e157faUL;
   tf->codes[21565] = 0x000845ae0f6de613UL;
   tf->codes[21566] = 0x000845c7e88f7208UL;
   tf->codes[21567] = 0x000845d68c50e348UL;
   tf->codes[21568] = 0x000845d73bfdf497UL;
   tf->codes[21569] = 0x000845dbcf2a67fbUL;
   tf->codes[21570] = 0x000845e2abed1511UL;
   tf->codes[21571] = 0x000845f98bcb5605UL;
   tf->codes[21572] = 0x000845fcbf9da6cbUL;
   tf->codes[21573] = 0x000845fecea4dab8UL;
   tf->codes[21574] = 0x0008460c882a34e4UL;
   tf->codes[21575] = 0x0008460dacf551bdUL;
   tf->codes[21576] = 0x0008461ed4dc0274UL;
   tf->codes[21577] = 0x000846483bfb16bdUL;
   tf->codes[21578] = 0x000846580487a4d6UL;
   tf->codes[21579] = 0x0008465b3859f59cUL;
   tf->codes[21580] = 0x0008466b00e683b5UL;
   tf->codes[21581] = 0x00084673ecb064b8UL;
   tf->codes[21582] = 0x0008467cd87a45bbUL;
   tf->codes[21583] = 0x000846854f261b34UL;
   tf->codes[21584] = 0x0008468b41acb136UL;
   tf->codes[21585] = 0x00084693b85886afUL;
   tf->codes[21586] = 0x000846a2d1380379UL;
   tf->codes[21587] = 0x000846b851bc21cfUL;
   tf->codes[21588] = 0x000846c76a9b9e99UL;
   tf->codes[21589] = 0x000846df6f44fc66UL;
   tf->codes[21590] = 0x000847619728cf43UL;
   tf->codes[21591] = 0x0008476873eb7c59UL;
   tf->codes[21592] = 0x0008477c5a86724cUL;
   tf->codes[21593] = 0x00084783e6f630b1UL;
   tf->codes[21594] = 0x0008478d826d2303UL;
   tf->codes[21595] = 0x000847db82efd26cUL;
   tf->codes[21596] = 0x000847deb6c22332UL;
   tf->codes[21597] = 0x000847ee7f4eb14bUL;
   tf->codes[21598] = 0x000847f262ce1360UL;
   tf->codes[21599] = 0x00084810cf1c12b9UL;
   tf->codes[21600] = 0x00084845a62a477cUL;
   tf->codes[21601] = 0x00084849fec7b51bUL;
   tf->codes[21602] = 0x00084859523637aaUL;
   tf->codes[21603] = 0x000848670bbb91d6UL;
   tf->codes[21604] = 0x0008488e9e6277f7UL;
   tf->codes[21605] = 0x0008489e66ef0610UL;
   tf->codes[21606] = 0x000848af5446b102UL;
   tf->codes[21607] = 0x000848d6ac5e915eUL;
   tf->codes[21608] = 0x000848d80bb8b3fcUL;
   tf->codes[21609] = 0x000848f468ff7f68UL;
   tf->codes[21610] = 0x0008490bf88ad1abUL;
   tf->codes[21611] = 0x0008495f3be705c7UL;
   tf->codes[21612] = 0x000849652e6d9bc9UL;
   tf->codes[21613] = 0x0008497a39d3ae95UL;
   tf->codes[21614] = 0x0008497e57e2166fUL;
   tf->codes[21615] = 0x0008497f7cad3348UL;
   tf->codes[21616] = 0x00084984bf86b7fbUL;
   tf->codes[21617] = 0x0008498693fee623UL;
   tf->codes[21618] = 0x00084992ee2a1db1UL;
   tf->codes[21619] = 0x000849cfc6c61c63UL;
   tf->codes[21620] = 0x000849e00470b606UL;
   tf->codes[21621] = 0x00084a1082e17d2aUL;
   tf->codes[21622] = 0x00084a17d4c235caUL;
   tf->codes[21623] = 0x00084a44e4d1a663UL;
   tf->codes[21624] = 0x00084a4977fe19c7UL;
   tf->codes[21625] = 0x00084a4bfc23593eUL;
   tf->codes[21626] = 0x00084a53889317a3UL;
   tf->codes[21627] = 0x00084a652597d3e4UL;
   tf->codes[21628] = 0x00084a71f4e116fcUL;
   tf->codes[21629] = 0x00084a947f3d7e2fUL;
   tf->codes[21630] = 0x00084ad2421593f5UL;
   tf->codes[21631] = 0x00084ad366e0b0ceUL;
   tf->codes[21632] = 0x00084afd431dd0a1UL;
   tf->codes[21633] = 0x00084b458ba8efcdUL;
   tf->codes[21634] = 0x00084b48fa0a4658UL;
   tf->codes[21635] = 0x00084b4d52a7b3f7UL;
   tf->codes[21636] = 0x00084b651cc20bffUL;
   tf->codes[21637] = 0x00084bd7b6a85688UL;
   tf->codes[21638] = 0x00084bee21688bf2UL;
   tf->codes[21639] = 0x00084c4d0f42e64dUL;
   tf->codes[21640] = 0x00084c4d8460f1d7UL;
   tf->codes[21641] = 0x00084c8b0caa01d8UL;
   tf->codes[21642] = 0x00084c9557ce0579UL;
   tf->codes[21643] = 0x00084cb891d77dfbUL;
   tf->codes[21644] = 0x00084cc610cdd262UL;
   tf->codes[21645] = 0x00084ccc787273eeUL;
   tf->codes[21646] = 0x00084cdbcbe0f67dUL;
   tf->codes[21647] = 0x00084cdc7b8e07ccUL;
   tf->codes[21648] = 0x00084cec7ea99baaUL;
   tf->codes[21649] = 0x00084cedde03be48UL;
   tf->codes[21650] = 0x00084ceec83fd55cUL;
   tf->codes[21651] = 0x00084d1e5c74856cUL;
   tf->codes[21652] = 0x00084d2c5088e55dUL;
   tf->codes[21653] = 0x00084d3994f033ffUL;
   tf->codes[21654] = 0x00084d47c39399b5UL;
   tf->codes[21655] = 0x00084d5a10456745UL;
   tf->codes[21656] = 0x00084d6420da6521UL;
   tf->codes[21657] = 0x00084d6754acb5e7UL;
   tf->codes[21658] = 0x00084d7966cf7db2UL;
   tf->codes[21659] = 0x00084d8b3e633fb8UL;
   tf->codes[21660] = 0x00084dc816ff3e6aUL;
   tf->codes[21661] = 0x00084de8925471b0UL;
   tf->codes[21662] = 0x00084dee84db07b2UL;
   tf->codes[21663] = 0x00084e7246a802f2UL;
   tf->codes[21664] = 0x00084e75ef985f42UL;
   tf->codes[21665] = 0x00084e945be65e9bUL;
   tf->codes[21666] = 0x00084e996430dd89UL;
   tf->codes[21667] = 0x00084ed93610273cUL;
   tf->codes[21668] = 0x00084edd8ead94dbUL;
   tf->codes[21669] = 0x00084f3feae945c1UL;
   tf->codes[21670] = 0x00084f4fb375d3daUL;
   tf->codes[21671] = 0x00084f5e5737451aUL;
   tf->codes[21672] = 0x00084f79ca41f972UL;
   tf->codes[21673] = 0x00084f94531096b6UL;
   tf->codes[21674] = 0x00084f9b2fd343ccUL;
   tf->codes[21675] = 0x00084fd4d49cf1b8UL;
   tf->codes[21676] = 0x00084fed4e645b0fUL;
   tf->codes[21677] = 0x00084ff674bd41d7UL;
   tf->codes[21678] = 0x00084ff933718713UL;
   tf->codes[21679] = 0x00084ffbb796c68aUL;
   tf->codes[21680] = 0x0008500a20c93205UL;
   tf->codes[21681] = 0x0008500e3ed799dfUL;
   tf->codes[21682] = 0x0008504efaf2faa6UL;
   tf->codes[21683] = 0x00085053c8ae73cfUL;
   tf->codes[21684] = 0x000850d2f74efbabUL;
   tf->codes[21685] = 0x000850d6a03f57fbUL;
   tf->codes[21686] = 0x000850ffcccf667fUL;
   tf->codes[21687] = 0x0008514b0e9dd0acUL;
   tf->codes[21688] = 0x0008515434f6b774UL;
   tf->codes[21689] = 0x0008515d5b4f9e3cUL;
   tf->codes[21690] = 0x00085165224e6266UL;
   tf->codes[21691] = 0x000851676be49c18UL;
   tf->codes[21692] = 0x000851b531d845bcUL;
   tf->codes[21693] = 0x000851fa0c020e5dUL;
   tf->codes[21694] = 0x00085203a77900afUL;
   tf->codes[21695] = 0x0008523e367ec5afUL;
   tf->codes[21696] = 0x000852449e23673bUL;
   tf->codes[21697] = 0x0008524f23d670a1UL;
   tf->codes[21698] = 0x00085250f84e9ec9UL;
   tf->codes[21699] = 0x00085259e4187fccUL;
   tf->codes[21700] = 0x0008526170883e31UL;
   tf->codes[21701] = 0x0008526b468e3648UL;
   tf->codes[21702] = 0x0008526ce0775eabUL;
   tf->codes[21703] = 0x000852cb93c2b341UL;
   tf->codes[21704] = 0x000852d35ac1776bUL;
   tf->codes[21705] = 0x000852e06499c048UL;
   tf->codes[21706] = 0x0008534803aef5e1UL;
   tf->codes[21707] = 0x000853700b73e78cUL;
   tf->codes[21708] = 0x0008539d56125deaUL;
   tf->codes[21709] = 0x000853c8cc38a620UL;
   tf->codes[21710] = 0x000853d267af9872UL;
   tf->codes[21711] = 0x000853f73ba23957UL;
   tf->codes[21712] = 0x0008540a72901dfbUL;
   tf->codes[21713] = 0x0008540b5ccc350fUL;
   tf->codes[21714] = 0x0008543fbebc5e48UL;
   tf->codes[21715] = 0x00085453dfe65a00UL;
   tf->codes[21716] = 0x0008547ee0ee96acUL;
   tf->codes[21717] = 0x000854c5ca1f933aUL;
   tf->codes[21718] = 0x000854df2e2313a5UL;
   tf->codes[21719] = 0x000855097f7e3f02UL;
   tf->codes[21720] = 0x00085519f7b7de6aUL;
   tf->codes[21721] = 0x0008554916ce82f0UL;
   tf->codes[21722] = 0x00085550a33e4155UL;
   tf->codes[21723] = 0x0008555f46ffb295UL;
   tf->codes[21724] = 0x0008557ed818cec7UL;
   tf->codes[21725] = 0x0008558ea0a55ce0UL;
   tf->codes[21726] = 0x000855cf2231b7e2UL;
   tf->codes[21727] = 0x0008560642d62657UL;
   tf->codes[21728] = 0x0008561b88cb3ee8UL;
   tf->codes[21729] = 0x0008561e477f8424UL;
   tf->codes[21730] = 0x00085636c146ed7bUL;
   tf->codes[21731] = 0x00085644efea5331UL;
   tf->codes[21732] = 0x0008564e8b614583UL;
   tf->codes[21733] = 0x0008569d3b91063bUL;
   tf->codes[21734] = 0x000856e6a8e74240UL;
   tf->codes[21735] = 0x000856e9679b877cUL;
   tf->codes[21736] = 0x000856f378308558UL;
   tf->codes[21737] = 0x000856f75bafe76dUL;
   tf->codes[21738] = 0x00085703062e0dacUL;
   tf->codes[21739] = 0x000857184c23263dUL;
   tf->codes[21740] = 0x0008574680fdb3afUL;
   tf->codes[21741] = 0x00085755d46c363eUL;
   tf->codes[21742] = 0x0008576e13a499d0UL;
   tf->codes[21743] = 0x0008577d67131c5fUL;
   tf->codes[21744] = 0x000857c0a753bc9dUL;
   tf->codes[21745] = 0x000857c833c37b02UL;
   tf->codes[21746] = 0x000857da0b573d08UL;
   tf->codes[21747] = 0x000857eba85bf949UL;
   tf->codes[21748] = 0x0008585b838dfe96UL;
   tf->codes[21749] = 0x0008586b4c1a8cafUL;
   tf->codes[21750] = 0x00085876f698b2eeUL;
   tf->codes[21751] = 0x000858789081db51UL;
   tf->codes[21752] = 0x0008587d23ae4eb5UL;
   tf->codes[21753] = 0x000858859a5a242eUL;
   tf->codes[21754] = 0x0008588908bb7ab9UL;
   tf->codes[21755] = 0x0008588d26c9e293UL;
   tf->codes[21756] = 0x000858c2ad8528a5UL;
   tf->codes[21757] = 0x000858ec14a43ceeUL;
   tf->codes[21758] = 0x00085940f1e9996dUL;
   tf->codes[21759] = 0x000859412c789f32UL;
   tf->codes[21760] = 0x0008594b027e9749UL;
   tf->codes[21761] = 0x0008594f208cff23UL;
   tf->codes[21762] = 0x0008599818c52f9eUL;
   tf->codes[21763] = 0x000859c981720dd6UL;
   tf->codes[21764] = 0x000859cf73f8a3d8UL;
   tf->codes[21765] = 0x000859d40725173cUL;
   tf->codes[21766] = 0x000859f9ffe2d4faUL;
   tf->codes[21767] = 0x00085a1cc4ce41f2UL;
   tf->codes[21768] = 0x00085a67cc0da65aUL;
   tf->codes[21769] = 0x00085a792e835cd6UL;
   tf->codes[21770] = 0x00085a8379a76077UL;
   tf->codes[21771] = 0x00085a9600e833ccUL;
   tf->codes[21772] = 0x00085a976042566aUL;
   tf->codes[21773] = 0x00085a9eecb214cfUL;
   tf->codes[21774] = 0x00085abc3434f74fUL;
   tf->codes[21775] = 0x00085ae64b011ce7UL;
   tf->codes[21776] = 0x00085af59e6f9f76UL;
   tf->codes[21777] = 0x00085af82294deedUL;
   tf->codes[21778] = 0x00085afb90f63578UL;
   tf->codes[21779] = 0x00085b0ae464b807UL;
   tf->codes[21780] = 0x00085b15a4a6c732UL;
   tf->codes[21781] = 0x00085b4623178e56UL;
   tf->codes[21782] = 0x00085b4cffda3b6cUL;
   tf->codes[21783] = 0x00085b54c6d8ff96UL;
   tf->codes[21784] = 0x00085b7f52c330b8UL;
   tf->codes[21785] = 0x00085bf93e8a33e1UL;
   tf->codes[21786] = 0x00085c07329e93d2UL;
   tf->codes[21787] = 0x00085c0941a5c7bfUL;
   tf->codes[21788] = 0x00085c0a6670e498UL;
   tf->codes[21789] = 0x00085c2f3a63857dUL;
   tf->codes[21790] = 0x00085c502ad6c44dUL;
   tf->codes[21791] = 0x00085c52746cfdffUL;
   tf->codes[21792] = 0x00085c5d6f3e12efUL;
   tf->codes[21793] = 0x00085c7e9a405784UL;
   tf->codes[21794] = 0x00085cd6ab5804c9UL;
   tf->codes[21795] = 0x00085ce0815dfce0UL;
   tf->codes[21796] = 0x00085ce882ebc6cfUL;
   tf->codes[21797] = 0x00085cf467f8f2d3UL;
   tf->codes[21798] = 0x00085d5e50a4621eUL;
   tf->codes[21799] = 0x00085d898c3ba48fUL;
   tf->codes[21800] = 0x00085d94fc2ac509UL;
   tf->codes[21801] = 0x00085dc62a489d7cUL;
   tf->codes[21802] = 0x00085ddc5a79cd21UL;
   tf->codes[21803] = 0x00085de19d5351d4UL;
   tf->codes[21804] = 0x00085df3af76199fUL;
   tf->codes[21805] = 0x00085e242de6e0c3UL;
   tf->codes[21806] = 0x00085e8fb07b7871UL;
   tf->codes[21807] = 0x00085ec9ca6331e7UL;
   tf->codes[21808] = 0x00085edaf249e29eUL;
   tf->codes[21809] = 0x00085eedeea8c17dUL;
   tf->codes[21810] = 0x00085f0668702ad4UL;
   tf->codes[21811] = 0x00085f44daf551e9UL;
   tf->codes[21812] = 0x00085f730fcfdf5bUL;
   tf->codes[21813] = 0x00085f83c2988488UL;
   tf->codes[21814] = 0x00085f9e10d81c07UL;
   tf->codes[21815] = 0x00086015035bd42fUL;
   tf->codes[21816] = 0x0008602874d8be98UL;
   tf->codes[21817] = 0x00086054601d1258UL;
   tf->codes[21818] = 0x0008605ac7c1b3e4UL;
   tf->codes[21819] = 0x0008607a9369d5dbUL;
   tf->codes[21820] = 0x0008608a5bf663f4UL;
   tf->codes[21821] = 0x000860c400c011e0UL;
   tf->codes[21822] = 0x000860c60fc745cdUL;
   tf->codes[21823] = 0x000860d38ebd9a34UL;
   tf->codes[21824] = 0x000860f394f4c1f0UL;
   tf->codes[21825] = 0x000860f3cf83c7b5UL;
   tf->codes[21826] = 0x000860f444a1d33fUL;
   tf->codes[21827] = 0x0008611a77ee96c2UL;
   tf->codes[21828] = 0x0008614b6b7d6970UL;
   tf->codes[21829] = 0x0008614e64c0b471UL;
   tf->codes[21830] = 0x0008614ed9debffbUL;
   tf->codes[21831] = 0x00086158ea73bdd7UL;
   tf->codes[21832] = 0x00086175bcd894cdUL;
   tf->codes[21833] = 0x0008617b74d0250aUL;
   tf->codes[21834] = 0x00086187cefb5c98UL;
   tf->codes[21835] = 0x0008618968e484fbUL;
   tf->codes[21836] = 0x00086193045b774dUL;
   tf->codes[21837] = 0x000861d3fb05ddd9UL;
   tf->codes[21838] = 0x000861ee0eb66f93UL;
   tf->codes[21839] = 0x0008625f0eb391b9UL;
   tf->codes[21840] = 0x0008627f4f79bf3aUL;
   tf->codes[21841] = 0x000862cc2b3151caUL;
   tf->codes[21842] = 0x000862d083cebf69UL;
   tf->codes[21843] = 0x000862f3f8673db0UL;
   tf->codes[21844] = 0x0008631f6e8d85e6UL;
   tf->codes[21845] = 0x00086343cd621b41UL;
   tf->codes[21846] = 0x0008634da3681358UL;
   tf->codes[21847] = 0x00086373d6b4d6dbUL;
   tf->codes[21848] = 0x0008637a3e597867UL;
   tf->codes[21849] = 0x0008638ab69317cfUL;
   tf->codes[21850] = 0x000863c1278a74f5UL;
   tf->codes[21851] = 0x000863edc27bda04UL;
   tf->codes[21852] = 0x000864058c96320cUL;
   tf->codes[21853] = 0x0008641e065d9b63UL;
   tf->codes[21854] = 0x0008644a66bffaadUL;
   tf->codes[21855] = 0x0008644cb056345fUL;
   tf->codes[21856] = 0x000864661459b4caUL;
   tf->codes[21857] = 0x0008646b5733397dUL;
   tf->codes[21858] = 0x00086477ebed76d0UL;
   tf->codes[21859] = 0x000864d0acb23564UL;
   tf->codes[21860] = 0x000864d8e8cf0518UL;
   tf->codes[21861] = 0x000864f162966e6fUL;
   tf->codes[21862] = 0x0008659898fbe7f6UL;
   tf->codes[21863] = 0x000865cc4b3effe0UL;
   tf->codes[21864] = 0x000865d20336901dUL;
   tf->codes[21865] = 0x000865e7be49b438UL;
   tf->codes[21866] = 0x00086631db4d018cUL;
   tf->codes[21867] = 0x0008663424e33b3eUL;
   tf->codes[21868] = 0x0008664a1a85651eUL;
   tf->codes[21869] = 0x0008666fd8b41d17UL;
   tf->codes[21870] = 0x00086675cb3ab319UL;
   tf->codes[21871] = 0x0008668d2036ff97UL;
   tf->codes[21872] = 0x00086698cab525d6UL;
   tf->codes[21873] = 0x0008669ef7cac19dUL;
   tf->codes[21874] = 0x000866b7e6b0367eUL;
   tf->codes[21875] = 0x000866c4f0887f5bUL;
   tf->codes[21876] = 0x000866ce16e16623UL;
   tf->codes[21877] = 0x000866d7ece75e3aUL;
   tf->codes[21878] = 0x000866df3ec816daUL;
   tf->codes[21879] = 0x00086723de62d9b6UL;
   tf->codes[21880] = 0x000867549762a69fUL;
   tf->codes[21881] = 0x0008675f57a4b5caUL;
   tf->codes[21882] = 0x00086773b35db747UL;
   tf->codes[21883] = 0x00086774287bc2d1UL;
   tf->codes[21884] = 0x000867916ffea551UL;
   tf->codes[21885] = 0x0008679b8093a32dUL;
   tf->codes[21886] = 0x0008679c6acfba41UL;
   tf->codes[21887] = 0x000867f3571c4aadUL;
   tf->codes[21888] = 0x000868035a37de8bUL;
   tf->codes[21889] = 0x00086806c8993516UL;
   tf->codes[21890] = 0x0008681c83ac5931UL;
   tf->codes[21891] = 0x00086858377d3b0aUL;
   tf->codes[21892] = 0x0008686ba8fa2573UL;
   tf->codes[21893] = 0x000868bd17de2b67UL;
   tf->codes[21894] = 0x00086966d268e465UL;
   tf->codes[21895] = 0x00086970a86edc7cUL;
   tf->codes[21896] = 0x00086992f83c3deaUL;
   tf->codes[21897] = 0x000869cd874202eaUL;
   tf->codes[21898] = 0x000869dd4fce9103UL;
   tf->codes[21899] = 0x00086a09eabff612UL;
   tf->codes[21900] = 0x00086a160a5c27dbUL;
   tf->codes[21901] = 0x00086a1d96cbe640UL;
   tf->codes[21902] = 0x00086a52334b153eUL;
   tf->codes[21903] = 0x00086a67b3cf3394UL;
   tf->codes[21904] = 0x00086a7c0f883511UL;
   tf->codes[21905] = 0x00086a8b62f6b7a0UL;
   tf->codes[21906] = 0x00086a9a7bd6346aUL;
   tf->codes[21907] = 0x00086acfc80274b7UL;
   tf->codes[21908] = 0x00086af87f7477b1UL;
   tf->codes[21909] = 0x00086b11a8e8f257UL;
   tf->codes[21910] = 0x00086b50908c24f6UL;
   tf->codes[21911] = 0x00086b6944e29412UL;
   tf->codes[21912] = 0x00086bc7830fdd1eUL;
   tf->codes[21913] = 0x00086be9984e38c7UL;
   tf->codes[21914] = 0x00086beea098b7b5UL;
   tf->codes[21915] = 0x00086c0e6c40d9acUL;
   tf->codes[21916] = 0x00086c1b00fb16ffUL;
   tf->codes[21917] = 0x00086c44a2a9310dUL;
   tf->codes[21918] = 0x00086c713d9a961cUL;
   tf->codes[21919] = 0x00086c78ca0a5481UL;
   tf->codes[21920] = 0x00086c8bc6693360UL;
   tf->codes[21921] = 0x00086cd742c6a352UL;
   tf->codes[21922] = 0x00086d9bfb3e051eUL;
   tf->codes[21923] = 0x00086d9fdebd6733UL;
   tf->codes[21924] = 0x00086dcf72f21743UL;
   tf->codes[21925] = 0x00086e04848f51cbUL;
   tf->codes[21926] = 0x00086e0ecfb3556cUL;
   tf->codes[21927] = 0x00086eb6f054e607UL;
   tf->codes[21928] = 0x00086ed7a6391f12UL;
   tf->codes[21929] = 0x00086ee908aed58eUL;
   tf->codes[21930] = 0x00086ef896ac5de2UL;
   tf->codes[21931] = 0x00086f15a3a03a9dUL;
   tf->codes[21932] = 0x00086f3f0abf4ee6UL;
   tf->codes[21933] = 0x00086f511ce216b1UL;
   tf->codes[21934] = 0x00086f7038dd2759UL;
   tf->codes[21935] = 0x00086f750698a082UL;
   tf->codes[21936] = 0x00086fb80c4a3afbUL;
   tf->codes[21937] = 0x00086ffb4c8adb39UL;
   tf->codes[21938] = 0x0008705ff25cc5d1UL;
   tf->codes[21939] = 0x0008707154d27c4dUL;
   tf->codes[21940] = 0x0008708416a25567UL;
   tf->codes[21941] = 0x0008708f869175e1UL;
   tf->codes[21942] = 0x00087097c2ae4595UL;
   tf->codes[21943] = 0x0008709a46d3850cUL;
   tf->codes[21944] = 0x000870efd3c5f2daUL;
   tf->codes[21945] = 0x00087148948ab16eUL;
   tf->codes[21946] = 0x00087196cf9c669cUL;
   tf->codes[21947] = 0x000871c8e7f65623UL;
   tf->codes[21948] = 0x000871cf4f9af7afUL;
   tf->codes[21949] = 0x000871dc5973408cUL;
   tf->codes[21950] = 0x000871fd84758521UL;
   tf->codes[21951] = 0x00087235c9e5106fUL;
   tf->codes[21952] = 0x0008724bbf873a4fUL;
   tf->codes[21953] = 0x000872538685fe79UL;
   tf->codes[21954] = 0x000872970155a47cUL;
   tf->codes[21955] = 0x0008729fb2907fbaUL;
   tf->codes[21956] = 0x0008731f564f1320UL;
   tf->codes[21957] = 0x0008738b1372b093UL;
   tf->codes[21958] = 0x000873cdde954547UL;
   tf->codes[21959] = 0x000873ea766b1678UL;
   tf->codes[21960] = 0x0008741d3e72174eUL;
   tf->codes[21961] = 0x00087451daf1464cUL;
   tf->codes[21962] = 0x000874925c7da14eUL;
   tf->codes[21963] = 0x00087499ae5e59eeUL;
   tf->codes[21964] = 0x000874cf6fa8a5c5UL;
   tf->codes[21965] = 0x000874eddbf6a51eUL;
   tf->codes[21966] = 0x000874f7024f8be6UL;
   tf->codes[21967] = 0x000874fb5aecf985UL;
   tf->codes[21968] = 0x000875123acb3a79UL;
   tf->codes[21969] = 0x0008751daaba5af3UL;
   tf->codes[21970] = 0x0008755e66d5bbbaUL;
   tf->codes[21971] = 0x000875bd54b01615UL;
   tf->codes[21972] = 0x000875cf66d2dde0UL;
   tf->codes[21973] = 0x000875da9c32f895UL;
   tf->codes[21974] = 0x000875ece8e4c625UL;
   tf->codes[21975] = 0x0008765a7a8091c0UL;
   tf->codes[21976] = 0x0008765b2a2da30fUL;
   tf->codes[21977] = 0x0008765ff7e91c38UL;
   tf->codes[21978] = 0x000876657551a6b0UL;
   tf->codes[21979] = 0x000876665f8dbdc4UL;
   tf->codes[21980] = 0x0008767cca4df32eUL;
   tf->codes[21981] = 0x0008768edc70baf9UL;
   tf->codes[21982] = 0x000876b7ce71c3b8UL;
   tf->codes[21983] = 0x0008770ebabe5424UL;
   tf->codes[21984] = 0x000877152262f5b0UL;
   tf->codes[21985] = 0x0008774c08785e60UL;
   tf->codes[21986] = 0x0008776b5f0274cdUL;
   tf->codes[21987] = 0x0008777d369636d3UL;
   tf->codes[21988] = 0x000877991ebef6b5UL;
   tf->codes[21989] = 0x0008779a08fb0dc9UL;
   tf->codes[21990] = 0x0008779cc7af5305UL;
   tf->codes[21991] = 0x000877fb7afaa79bUL;
   tf->codes[21992] = 0x00087805167199edUL;
   tf->codes[21993] = 0x0008781f9f403731UL;
   tf->codes[21994] = 0x00087849f09b628eUL;
   tf->codes[21995] = 0x00087867e7cb565dUL;
   tf->codes[21996] = 0x00087869bc438485UL;
   tf->codes[21997] = 0x0008789ff2abdbe6UL;
   tf->codes[21998] = 0x000878b5732ffa3cUL;
   tf->codes[21999] = 0x000878efc7a6b977UL;
   tf->codes[22000] = 0x0008791b785c0772UL;
   tf->codes[22001] = 0x0008794972a78f1fUL;
   tf->codes[22002] = 0x0008794d90b5f6f9UL;
   tf->codes[22003] = 0x0008799404c8e7fdUL;
   tf->codes[22004] = 0x000879c69240e30eUL;
   tf->codes[22005] = 0x00087a1c94515c66UL;
   tf->codes[22006] = 0x00087a475aca934dUL;
   tf->codes[22007] = 0x00087a763f52320eUL;
   tf->codes[22008] = 0x00087a784e5965fbUL;
   tf->codes[22009] = 0x00087a79e8428e5eUL;
   tf->codes[22010] = 0x00087a830e9b7526UL;
   tf->codes[22011] = 0x00087a846df597c4UL;
   tf->codes[22012] = 0x00087a8d944e7e8cUL;
   tf->codes[22013] = 0x00087ad2e39652b7UL;
   tf->codes[22014] = 0x00087ae9fe039970UL;
   tf->codes[22015] = 0x00087af18a7357d5UL;
   tf->codes[22016] = 0x00087b1414cfbf08UL;
   tf->codes[22017] = 0x00087b1783311593UL;
   tf->codes[22018] = 0x00087b712e31eb3bUL;
   tf->codes[22019] = 0x00087b85c479f27dUL;
   tf->codes[22020] = 0x00087b90f9da0d32UL;
   tf->codes[22021] = 0x00087c194ed37bd6UL;
   tf->codes[22022] = 0x00087c4fbfcad8fcUL;
   tf->codes[22023] = 0x00087c7334635743UL;
   tf->codes[22024] = 0x00087c83e72bfc70UL;
   tf->codes[22025] = 0x00087c907be639c3UL;
   tf->codes[22026] = 0x00087cb0bcac6744UL;
   tf->codes[22027] = 0x00087ccf28fa669dUL;
   tf->codes[22028] = 0x00087d0a67ad3cecUL;
   tf->codes[22029] = 0x00087d461b7e1ec5UL;
   tf->codes[22030] = 0x00087dc71e96d4c9UL;
   tf->codes[22031] = 0x00087dc87df0f767UL;
   tf->codes[22032] = 0x00087dcf20249eb8UL;
   tf->codes[22033] = 0x00087dd462fe236bUL;
   tf->codes[22034] = 0x00087de9e38241c1UL;
   tf->codes[22035] = 0x00087df3f4173f9dUL;
   tf->codes[22036] = 0x00087e4c3fbdf2a7UL;
   tf->codes[22037] = 0x00087e6bd0d70ed9UL;
   tf->codes[22038] = 0x00087ec4570cc7a8UL;
   tf->codes[22039] = 0x00087ef042511b68UL;
   tf->codes[22040] = 0x00087efa1857137fUL;
   tf->codes[22041] = 0x00087f0b403dc436UL;
   tf->codes[22042] = 0x00087f51eedfbaffUL;
   tf->codes[22043] = 0x00087f5856845c8bUL;
   tf->codes[22044] = 0x00087fa98ad95cbaUL;
   tf->codes[22045] = 0x00087fd500ffa4f0UL;
   tf->codes[22046] = 0x00087fddecc985f3UL;
   tf->codes[22047] = 0x00087ff8007a17adUL;
   tf->codes[22048] = 0x0008800d466f303eUL;
   tf->codes[22049] = 0x0008801bea30a17eUL;
   tf->codes[22050] = 0x0008801e33c6db30UL;
   tf->codes[22051] = 0x000880563ea760b9UL;
   tf->codes[22052] = 0x000880655786dd83UL;
   tf->codes[22053] = 0x000880705257f273UL;
   tf->codes[22054] = 0x0008807c71f4243cUL;
   tf->codes[22055] = 0x000880c89dfea57dUL;
   tf->codes[22056] = 0x000880f65dbb2765UL;
   tf->codes[22057] = 0x000880fdea2ae5caUL;
   tf->codes[22058] = 0x000880ff0ef602a3UL;
   tf->codes[22059] = 0x00088110e689c4a9UL;
   tf->codes[22060] = 0x000881195d359a22UL;
   tf->codes[22061] = 0x000881471cf21c0aUL;
   tf->codes[22062] = 0x0008814c9a5aa682UL;
   tf->codes[22063] = 0x000881533c8e4dd3UL;
   tf->codes[22064] = 0x0008819174846f23UL;
   tf->codes[22065] = 0x000881d31adbe6feUL;
   tf->codes[22066] = 0x000881f9c346b60bUL;
   tf->codes[22067] = 0x000881fff05c51d2UL;
   tf->codes[22068] = 0x000882170ac9988bUL;
   tf->codes[22069] = 0x000882366153aef8UL;
   tf->codes[22070] = 0x00088251d45e6350UL;
   tf->codes[22071] = 0x0008826a88b4d26cUL;
   tf->codes[22072] = 0x0008828670dd924eUL;
   tf->codes[22073] = 0x0008829c2bf0b669UL;
   tf->codes[22074] = 0x0008829eb015f5e0UL;
   tf->codes[22075] = 0x000882ca60cb43dbUL;
   tf->codes[22076] = 0x000882e2da92ad32UL;
   tf->codes[22077] = 0x000882f9f4fff3ebUL;
   tf->codes[22078] = 0x0008830b1ce6a4a2UL;
   tf->codes[22079] = 0x000883189bdcf909UL;
   tf->codes[22080] = 0x0008835748f125e3UL;
   tf->codes[22081] = 0x0008835992875f95UL;
   tf->codes[22082] = 0x0008837f162711c9UL;
   tf->codes[22083] = 0x00088390037ebcbbUL;
   tf->codes[22084] = 0x0008839f56ed3f4aUL;
   tf->codes[22085] = 0x000883df635b8ec2UL;
   tf->codes[22086] = 0x000883f29a497366UL;
   tf->codes[22087] = 0x00088419f26153c2UL;
   tf->codes[22088] = 0x0008847e231532d0UL;
   tf->codes[22089] = 0x00088488e35741fbUL;
   tf->codes[22090] = 0x0008848ba20b8737UL;
   tf->codes[22091] = 0x0008849418b75cb0UL;
   tf->codes[22092] = 0x0008849502f373c4UL;
   tf->codes[22093] = 0x000884978718b33bUL;
   tf->codes[22094] = 0x00088497fc36bec5UL;
   tf->codes[22095] = 0x0008849deebd54c7UL;
   tf->codes[22096] = 0x000884afc65116cdUL;
   tf->codes[22097] = 0x000884b0eb1c33a6UL;
   tf->codes[22098] = 0x000884c71b4d634bUL;
   tf->codes[22099] = 0x000884d0b6c4559dUL;
   tf->codes[22100] = 0x000884dc26b37617UL;
   tf->codes[22101] = 0x000884df1ff6c118UL;
   tf->codes[22102] = 0x0008851939de7a8eUL;
   tf->codes[22103] = 0x0008855ec3b5547eUL;
   tf->codes[22104] = 0x0008856a33a474f8UL;
   tf->codes[22105] = 0x0008856f3beef3e6UL;
   tf->codes[22106] = 0x000885afbd7b4ee8UL;
   tf->codes[22107] = 0x000885eafc2e2537UL;
   tf->codes[22108] = 0x000886050fdeb6f1UL;
   tf->codes[22109] = 0x0008863ce03036b5UL;
   tf->codes[22110] = 0x0008865818abe548UL;
   tf->codes[22111] = 0x00088697004f17e7UL;
   tf->codes[22112] = 0x000886d572d43efcUL;
   tf->codes[22113] = 0x00088735105baaa6UL;
   tf->codes[22114] = 0x0008875fd6d4e18dUL;
   tf->codes[22115] = 0x00088761e5dc157aUL;
   tf->codes[22116] = 0x0008876345363818UL;
   tf->codes[22117] = 0x0008876d905a3bb9UL;
   tf->codes[22118] = 0x0008877382e0d1bbUL;
   tf->codes[22119] = 0x0008877900495c33UL;
   tf->codes[22120] = 0x0008885ee3c30294UL;
   tf->codes[22121] = 0x000888754e8337feUL;
   tf->codes[22122] = 0x0008887f24893015UL;
   tf->codes[22123] = 0x000888be0c2c62b4UL;
   tf->codes[22124] = 0x000888ddd7d484abUL;
   tf->codes[22125] = 0x000888efaf6846b1UL;
   tf->codes[22126] = 0x000888f6519bee02UL;
   tf->codes[22127] = 0x00088913d3add647UL;
   tf->codes[22128] = 0x0008893fbef22a07UL;
   tf->codes[22129] = 0x000889448cada330UL;
   tf->codes[22130] = 0x0008894ed7d1a6d1UL;
   tf->codes[22131] = 0x00088971d74c198eUL;
   tf->codes[22132] = 0x0008898c258bb10dUL;
   tf->codes[22133] = 0x00088991686535c0UL;
   tf->codes[22134] = 0x000889b21e496ecbUL;
   tf->codes[22135] = 0x000889ba94f54444UL;
   tf->codes[22136] = 0x000889cfa05b5710UL;
   tf->codes[22137] = 0x000889df2e58df64UL;
   tf->codes[22138] = 0x000889eb888416f2UL;
   tf->codes[22139] = 0x000889f4aedcfdbaUL;
   tf->codes[22140] = 0x00088a3e1c3339bfUL;
   tf->codes[22141] = 0x00088a73a2ee7fd1UL;
   tf->codes[22142] = 0x00088a96dcf7f853UL;
   tf->codes[22143] = 0x00088ac33d5a579dUL;
   tf->codes[22144] = 0x00088afb483add26UL;
   tf->codes[22145] = 0x00088afc3276f43aUL;
   tf->codes[22146] = 0x00088b0852132603UL;
   tf->codes[22147] = 0x00088b11034e0141UL;
   tf->codes[22148] = 0x00088b2e1041ddfcUL;
   tf->codes[22149] = 0x00088b2efa7df510UL;
   tf->codes[22150] = 0x00088b5408ff9bbaUL;
   tf->codes[22151] = 0x00088b694ef4b44bUL;
   tf->codes[22152] = 0x00088b6bd319f3c2UL;
   tf->codes[22153] = 0x00088be5f96ffcb0UL;
   tf->codes[22154] = 0x00088be9dcef5ec5UL;
   tf->codes[22155] = 0x00088bfd13dd4369UL;
   tf->codes[22156] = 0x00088c1f9e39aa9cUL;
   tf->codes[22157] = 0x00088c3ad6b5592fUL;
   tf->codes[22158] = 0x00088c48903ab35bUL;
   tf->codes[22159] = 0x00088c53507cc286UL;
   tf->codes[22160] = 0x00088c85a365b7d2UL;
   tf->codes[22161] = 0x00088c8f044da45fUL;
   tf->codes[22162] = 0x00088c9de29e1b64UL;
   tf->codes[22163] = 0x00088ccbdce9a311UL;
   tf->codes[22164] = 0x00088ceedc6415ceUL;
   tf->codes[22165] = 0x00088cf92788196fUL;
   tf->codes[22166] = 0x00088cfea4f0a3e7UL;
   tf->codes[22167] = 0x00088cff549db536UL;
   tf->codes[22168] = 0x00088d08b585a1c3UL;
   tf->codes[22169] = 0x00088d64e4abb6e2UL;
   tf->codes[22170] = 0x00088d69ecf635d0UL;
   tf->codes[22171] = 0x00088d797af3be24UL;
   tf->codes[22172] = 0x00088d864a3d013cUL;
   tf->codes[22173] = 0x00088d99f648f16aUL;
   tf->codes[22174] = 0x00088dc98a7da17aUL;
   tf->codes[22175] = 0x00088dd0dc5e5a1aUL;
   tf->codes[22176] = 0x00088de95625c371UL;
   tf->codes[22177] = 0x00088def48ac5973UL;
   tf->codes[22178] = 0x00088e6bb8989c13UL;
   tf->codes[22179] = 0x00088eabff95f150UL;
   tf->codes[22180] = 0x00088eda34707ec2UL;
   tf->codes[22181] = 0x00088f1204c1fe86UL;
   tf->codes[22182] = 0x00088f1488e73dfdUL;
   tf->codes[22183] = 0x00088f4c93c7c386UL;
   tf->codes[22184] = 0x00088f55f4afb013UL;
   tf->codes[22185] = 0x00088f67cc437219UL;
   tf->codes[22186] = 0x00088f6d843b0256UL;
   tf->codes[22187] = 0x00088f813046f284UL;
   tf->codes[22188] = 0x00088f9ca351a6dcUL;
   tf->codes[22189] = 0x00088fb5ccc62182UL;
   tf->codes[22190] = 0x00088fd7e2047d2bUL;
   tf->codes[22191] = 0x00088ff2dff125f9UL;
   tf->codes[22192] = 0x00088fff3a1c5d87UL;
   tf->codes[22193] = 0x00089012367b3c66UL;
   tf->codes[22194] = 0x00089012ab9947f0UL;
   tf->codes[22195] = 0x0008902ab042a5bdUL;
   tf->codes[22196] = 0x0008904f49a640ddUL;
   tf->codes[22197] = 0x00089080ece224daUL;
   tf->codes[22198] = 0x0008909b0092b694UL;
   tf->codes[22199] = 0x000890b96ce0b5edUL;
   tf->codes[22200] = 0x000890d93888d7e4UL;
   tf->codes[22201] = 0x000890dbf73d1d20UL;
   tf->codes[22202] = 0x000890fbc2e53f17UL;
   tf->codes[22203] = 0x0008910732d45f91UL;
   tf->codes[22204] = 0x0008911526e8bf82UL;
   tf->codes[22205] = 0x0008913bcf538e8fUL;
   tf->codes[22206] = 0x0008916954810ab2UL;
   tf->codes[22207] = 0x0008916b63883e9fUL;
   tf->codes[22208] = 0x000891c792ae53beUL;
   tf->codes[22209] = 0x000891c7cd3d5983UL;
   tf->codes[22210] = 0x000891ca16d39335UL;
   tf->codes[22211] = 0x000891d5fbe0bf39UL;
   tf->codes[22212] = 0x000891de37fd8eedUL;
   tf->codes[22213] = 0x00089203f62c46e6UL;
   tf->codes[22214] = 0x00089205caa4750eUL;
   tf->codes[22215] = 0x0008924aa4ce3dafUL;
   tf->codes[22216] = 0x0008924fe7a7c262UL;
   tf->codes[22217] = 0x000892505cc5cdecUL;
   tf->codes[22218] = 0x0008925a32cbc603UL;
   tf->codes[22219] = 0x000892626ee895b7UL;
   tf->codes[22220] = 0x000892c19751f5d7UL;
   tf->codes[22221] = 0x000892c74f498614UL;
   tf->codes[22222] = 0x000892d284a9a0c9UL;
   tf->codes[22223] = 0x000892d493b0d4b6UL;
   tf->codes[22224] = 0x000892d717d6142dUL;
   tf->codes[22225] = 0x0008934fded1fa7dUL;
   tf->codes[22226] = 0x00089356bb94a793UL;
   tf->codes[22227] = 0x0008935ef7b17747UL;
   tf->codes[22228] = 0x0008937094b63388UL;
   tf->codes[22229] = 0x0008937c04a55402UL;
   tf->codes[22230] = 0x0008937f3877a4c8UL;
   tf->codes[22231] = 0x0008939c0adc7bbeUL;
   tf->codes[22232] = 0x000893cab4d514baUL;
   tf->codes[22233] = 0x000893d9589685faUL;
   tf->codes[22234] = 0x0008940543dad9baUL;
   tf->codes[22235] = 0x0008940f546fd796UL;
   tf->codes[22236] = 0x0008941c23b91aaeUL;
   tf->codes[22237] = 0x0008944fd5fc3298UL;
   tf->codes[22238] = 0x0008949c7724bf63UL;
   tf->codes[22239] = 0x000894e116bf823fUL;
   tf->codes[22240] = 0x000894e44a91d305UL;
   tf->codes[22241] = 0x000894fd397747e6UL;
   tf->codes[22242] = 0x000894fdae955370UL;
   tf->codes[22243] = 0x0008952abea4c409UL;
   tf->codes[22244] = 0x00089538782a1e35UL;
   tf->codes[22245] = 0x0008954b39f9f74fUL;
   tf->codes[22246] = 0x0008954c5ec51428UL;
   tf->codes[22247] = 0x00089551670f9316UL;
   tf->codes[22248] = 0x0008956eae927596UL;
   tf->codes[22249] = 0x00089571a7d5c097UL;
   tf->codes[22250] = 0x0008958e3fab91c8UL;
   tf->codes[22251] = 0x0008959c6e4ef77eUL;
   tf->codes[22252] = 0x000895fd30a18001UL;
   tf->codes[22253] = 0x0008960de36a252eUL;
   tf->codes[22254] = 0x0008961fbafde734UL;
   tf->codes[22255] = 0x0008969a1be2f5e7UL;
   tf->codes[22256] = 0x000896d978a43410UL;
   tf->codes[22257] = 0x000897857cc526c0UL;
   tf->codes[22258] = 0x0008978a4a809fe9UL;
   tf->codes[22259] = 0x000897ee7b347ef7UL;
   tf->codes[22260] = 0x00089809ee3f334fUL;
   tf->codes[22261] = 0x000898117aaef1b4UL;
   tf->codes[22262] = 0x0008986d34b6fb49UL;
   tf->codes[22263] = 0x000898aea07f6d5fUL;
   tf->codes[22264] = 0x0008996cb6c327daUL;
   tf->codes[22265] = 0x0008996d2be13364UL;
   tf->codes[22266] = 0x000899cbdf2c87faUL;
   tf->codes[22267] = 0x000899f3e6f179a5UL;
   tf->codes[22268] = 0x000899fdbcf771bcUL;
   tf->codes[22269] = 0x00089a4012fbfae6UL;
   tf->codes[22270] = 0x00089a41ace52349UL;
   tf->codes[22271] = 0x00089a559380193cUL;
   tf->codes[22272] = 0x00089a5852345e78UL;
   tf->codes[22273] = 0x00089a5fdea41cddUL;
   tf->codes[22274] = 0x00089a9ec6474f7cUL;
   tf->codes[22275] = 0x00089ab989a4f285UL;
   tf->codes[22276] = 0x00089ac917a27ad9UL;
   tf->codes[22277] = 0x00089ad2b3196d2bUL;
   tf->codes[22278] = 0x00089afbdfa97bafUL;
   tf->codes[22279] = 0x00089b08aef2bec7UL;
   tf->codes[22280] = 0x00089b5883ed9c58UL;
   tf->codes[22281] = 0x00089b6b804c7b37UL;
   tf->codes[22282] = 0x00089b85596e072cUL;
   tf->codes[22283] = 0x00089b8768753b19UL;
   tf->codes[22284] = 0x00089b8b8683a2f3UL;
   tf->codes[22285] = 0x00089b913e7b3330UL;
   tf->codes[22286] = 0x00089bc0d2afe340UL;
   tf->codes[22287] = 0x00089bfc8680c519UL;
   tf->codes[22288] = 0x00089bfd362dd668UL;
   tf->codes[22289] = 0x00089c08e0abfca7UL;
   tf->codes[22290] = 0x00089c7463409455UL;
   tf->codes[22291] = 0x00089c84db7a33bdUL;
   tf->codes[22292] = 0x00089c9344ac9f38UL;
   tf->codes[22293] = 0x00089cd4b075114eUL;
   tf->codes[22294] = 0x00089d0653b0f54bUL;
   tf->codes[22295] = 0x00089d6abef3da1eUL;
   tf->codes[22296] = 0x00089d7a12625cadUL;
   tf->codes[22297] = 0x00089d7d80c3b338UL;
   tf->codes[22298] = 0x00089d9c622fbe1bUL;
   tf->codes[22299] = 0x00089d9d86fadaf4UL;
   tf->codes[22300] = 0x00089e126a775f2fUL;
   tf->codes[22301] = 0x00089e168885c709UL;
   tf->codes[22302] = 0x00089e2cb8b6f6aeUL;
   tf->codes[22303] = 0x00089e5c125ca0f9UL;
   tf->codes[22304] = 0x00089e8120de47a3UL;
   tf->codes[22305] = 0x00089f51be62d573UL;
   tf->codes[22306] = 0x00089f5b9468cd8aUL;
   tf->codes[22307] = 0x00089f709fcee056UL;
   tf->codes[22308] = 0x00089f82b1f1a821UL;
   tf->codes[22309] = 0x00089f844bdad084UL;
   tf->codes[22310] = 0x00089f898eb45537UL;
   tf->codes[22311] = 0x00089f96988c9e14UL;
   tf->codes[22312] = 0x00089f98e222d7c6UL;
   tf->codes[22313] = 0x0008a005fea097d7UL;
   tf->codes[22314] = 0x0008a01eb2f706f3UL;
   tf->codes[22315] = 0x0008a0397654a9fcUL;
   tf->codes[22316] = 0x0008a0493ee13815UL;
   tf->codes[22317] = 0x0008a059076dc62eUL;
   tf->codes[22318] = 0x0008a063c7afd559UL;
   tf->codes[22319] = 0x0008a07c7c064475UL;
   tf->codes[22320] = 0x0008a0956aebb956UL;
   tf->codes[22321] = 0x0008a0ad6f951723UL;
   tf->codes[22322] = 0x0008a0b18da37efdUL;
   tf->codes[22323] = 0x0008a0c6d398978eUL;
   tf->codes[22324] = 0x0008a0daf4c29346UL;
   tf->codes[22325] = 0x0008a0e8e8d6f337UL;
   tf->codes[22326] = 0x0008a141a99bb1cbUL;
   tf->codes[22327] = 0x0008a166f2ac5e3aUL;
   tf->codes[22328] = 0x0008a19c3ed89e87UL;
   tf->codes[22329] = 0x0008a1bd69dae31cUL;
   tf->codes[22330] = 0x0008a1c4f64aa181UL;
   tf->codes[22331] = 0x0008a1c77a6fe0f8UL;
   tf->codes[22332] = 0x0008a1d2ea5f0172UL;
   tf->codes[22333] = 0x0008a1eff752de2dUL;
   tf->codes[22334] = 0x0008a1f70ea49108UL;
   tf->codes[22335] = 0x0008a21c57b53d77UL;
   tf->codes[22336] = 0x0008a235bbb8bde2UL;
   tf->codes[22337] = 0x0008a23c987b6af8UL;
   tf->codes[22338] = 0x0008a2445f7a2f22UL;
   tf->codes[22339] = 0x0008a2580b861f50UL;
   tf->codes[22340] = 0x0008a28a98fe1a61UL;
   tf->codes[22341] = 0x0008a2cb1a8a7563UL;
   tf->codes[22342] = 0x0008a2d5a03d7ec9UL;
   tf->codes[22343] = 0x0008a2f09e2a2797UL;
   tf->codes[22344] = 0x0008a2fa74301faeUL;
   tf->codes[22345] = 0x0008a317bbb3022eUL;
   tf->codes[22346] = 0x0008a398843cb26dUL;
   tf->codes[22347] = 0x0008a39f267059beUL;
   tf->codes[22348] = 0x0008a3bfdc5492c9UL;
   tf->codes[22349] = 0x0008a3dfa7fcb4c0UL;
   tf->codes[22350] = 0x0008a3f403b5b63dUL;
   tf->codes[22351] = 0x0008a3f737880703UL;
   tf->codes[22352] = 0x0008a4457299bc31UL;
   tf->codes[22353] = 0x0008a45b683be611UL;
   tf->codes[22354] = 0x0008a46f4ed6dc04UL;
   tf->codes[22355] = 0x0008a4775064a5f3UL;
   tf->codes[22356] = 0x0008a4980648defeUL;
   tf->codes[22357] = 0x0008a49dbe406f3bUL;
   tf->codes[22358] = 0x0008a4cca2c80dfcUL;
   tf->codes[22359] = 0x0008a4ddcaaebeb3UL;
   tf->codes[22360] = 0x0008a4e382a64ef0UL;
   tf->codes[22361] = 0x0008a4e7a0b4b6caUL;
   tf->codes[22362] = 0x0008a5cb3a982379UL;
   tf->codes[22363] = 0x0008a5e045fe3645UL;
   tf->codes[22364] = 0x0008a6030ae9a33dUL;
   tf->codes[22365] = 0x0008a63f33d890a0UL;
   tf->codes[22366] = 0x0008a64dd79a01e0UL;
   tf->codes[22367] = 0x0008a674ba93d6b2UL;
   tf->codes[22368] = 0x0008a69f467e07d4UL;
   tf->codes[22369] = 0x0008a6e7547a213bUL;
   tf->codes[22370] = 0x0008a6f19f9e24dcUL;
   tf->codes[22371] = 0x0008a74d94353436UL;
   tf->codes[22372] = 0x0008a74f2e1e5c99UL;
   tf->codes[22373] = 0x0008a7567fff1539UL;
   tf->codes[22374] = 0x0008a794b7f53689UL;
   tf->codes[22375] = 0x0008a7eba441c6f5UL;
   tf->codes[22376] = 0x0008a7f66483d620UL;
   tf->codes[22377] = 0x0008a812fc59a751UL;
   tf->codes[22378] = 0x0008a85d8e7b002fUL;
   tf->codes[22379] = 0x0008a87fa3b95bd8UL;
   tf->codes[22380] = 0x0008a88d97cdbbc9UL;
   tf->codes[22381] = 0x0008a8976dd3b3e0UL;
   tf->codes[22382] = 0x0008a89ceb3c3e58UL;
   tf->codes[22383] = 0x0008a8d9fe6742cfUL;
   tf->codes[22384] = 0x0008a8eb9b6bff10UL;
   tf->codes[22385] = 0x0008a949647b3c92UL;
   tf->codes[22386] = 0x0008a94be8a07c09UL;
   tf->codes[22387] = 0x0008a94cd2dc931dUL;
   tf->codes[22388] = 0x0008a964d785f0eaUL;
   tf->codes[22389] = 0x0008a9780e73d58eUL;
   tf->codes[22390] = 0x0008a9821f08d36aUL;
   tf->codes[22391] = 0x0008a993bc0d8fabUL;
   tf->codes[22392] = 0x0008a998c4580e99UL;
   tf->codes[22393] = 0x0008a9d1f403b0fbUL;
   tf->codes[22394] = 0x0008a9dd9e81d73aUL;
   tf->codes[22395] = 0x0008a9ecb7615404UL;
   tf->codes[22396] = 0x0008aa06cb11e5beUL;
   tf->codes[22397] = 0x0008aa16939e73d7UL;
   tf->codes[22398] = 0x0008aa47872d4685UL;
   tf->codes[22399] = 0x0008aa68028279cbUL;
   tf->codes[22400] = 0x0008aa7128db6093UL;
   tf->codes[22401] = 0x0008aa787abc1933UL;
   tf->codes[22402] = 0x0008aa96ac7b12c7UL;
   tf->codes[22403] = 0x0008aa9bef54977aUL;
   tf->codes[22404] = 0x0008aaefe25ddce5UL;
   tf->codes[22405] = 0x0008ab1615aaa068UL;
   tf->codes[22406] = 0x0008ab6207261be4UL;
   tf->codes[22407] = 0x0008ab77c2393fffUL;
   tf->codes[22408] = 0x0008ab98b2ac7ecfUL;
   tf->codes[22409] = 0x0008abdbb85e1948UL;
   tf->codes[22410] = 0x0008abf6b64ac216UL;
   tf->codes[22411] = 0x0008ac0c36cee06cUL;
   tf->codes[22412] = 0x0008ac1e0e62a272UL;
   tf->codes[22413] = 0x0008ac45667a82ceUL;
   tf->codes[22414] = 0x0008ac4b1e72130bUL;
   tf->codes[22415] = 0x0008ac5e8feefd74UL;
   tf->codes[22416] = 0x0008ac661c5ebbd9UL;
   tf->codes[22417] = 0x0008ac94c65754d5UL;
   tf->codes[22418] = 0x0008acc57f5721beUL;
   tf->codes[22419] = 0x0008ace8f3efa005UL;
   tf->codes[22420] = 0x0008acfa56655681UL;
   tf->codes[22421] = 0x0008ad037cbe3d49UL;
   tf->codes[22422] = 0x0008ad6dda87b81eUL;
   tf->codes[22423] = 0x0008ad8d6ba0d450UL;
   tf->codes[22424] = 0x0008ad977c35d22cUL;
   tf->codes[22425] = 0x0008ad9ff2e1a7a5UL;
   tf->codes[22426] = 0x0008adc9948fc1b3UL;
   tf->codes[22427] = 0x0008ae06a7bac62aUL;
   tf->codes[22428] = 0x0008ae192efb997fUL;
   tf->codes[22429] = 0x0008ae1b7891d331UL;
   tf->codes[22430] = 0x0008ae3f9cd762c7UL;
   tf->codes[22431] = 0x0008ae4bbc739490UL;
   tf->codes[22432] = 0x0008ae781cd5f3daUL;
   tf->codes[22433] = 0x0008ae9529c9d095UL;
   tf->codes[22434] = 0x0008af069ee4fe45UL;
   tf->codes[22435] = 0x0008af500c3b3a4aUL;
   tf->codes[22436] = 0x0008af56ae6ee19bUL;
   tf->codes[22437] = 0x0008af7f2b51ded0UL;
   tf->codes[22438] = 0x0008af9a63cd8d63UL;
   tf->codes[22439] = 0x0008afcc41987725UL;
   tf->codes[22440] = 0x0008b0115651458bUL;
   tf->codes[22441] = 0x0008b048ec13bf8aUL;
   tf->codes[22442] = 0x0008b0571ab72540UL;
   tf->codes[22443] = 0x0008b0599edc64b7UL;
   tf->codes[22444] = 0x0008b08f9ab5b653UL;
   tf->codes[22445] = 0x0008b0cfa72405cbUL;
   tf->codes[22446] = 0x0008b0dcb0fc4ea8UL;
   tf->codes[22447] = 0x0008b1094bedb3b7UL;
   tf->codes[22448] = 0x0008b149585c032fUL;
   tf->codes[22449] = 0x0008b15836ac7a34UL;
   tf->codes[22450] = 0x0008b169d3b13675UL;
   tf->codes[22451] = 0x0008b1966ea29b84UL;
   tf->codes[22452] = 0x0008b2076e9fbdaaUL;
   tf->codes[22453] = 0x0008b23e54b5265aUL;
   tf->codes[22454] = 0x0008b24e925fbffdUL;
   tf->codes[22455] = 0x0008b25b2719fd50UL;
   tf->codes[22456] = 0x0008b2732bc35b1dUL;
   tf->codes[22457] = 0x0008b2815a66c0d3UL;
   tf->codes[22458] = 0x0008b293a7188e63UL;
   tf->codes[22459] = 0x0008b2d0f4d2989fUL;
   tf->codes[22460] = 0x0008b2d28ebbc102UL;
   tf->codes[22461] = 0x0008b2deae57f2cbUL;
   tf->codes[22462] = 0x0008b315946d5b7bUL;
   tf->codes[22463] = 0x0008b319b27bc355UL;
   tf->codes[22464] = 0x0008b34d64bedb3fUL;
   tf->codes[22465] = 0x0008b36de0140e85UL;
   tf->codes[22466] = 0x0008b39c4f7da1bcUL;
   tf->codes[22467] = 0x0008b433f7e592efUL;
   tf->codes[22468] = 0x0008b44ebb4335f8UL;
   tf->codes[22469] = 0x0008b45313e0a397UL;
   tf->codes[22470] = 0x0008b45dd422b2c2UL;
   tf->codes[22471] = 0x0008b476887921deUL;
   tf->codes[22472] = 0x0008b48984d800bdUL;
   tf->codes[22473] = 0x0008b48b93df34aaUL;
   tf->codes[22474] = 0x0008b49270a1e1c0UL;
   tf->codes[22475] = 0x0008b49cbbc5e561UL;
   tf->codes[22476] = 0x0008b4c7823f1c48UL;
   tf->codes[22477] = 0x0008b4ce2472c399UL;
   tf->codes[22478] = 0x0008b4f1d39a47a5UL;
   tf->codes[22479] = 0x0008b4fbe42f4581UL;
   tf->codes[22480] = 0x0008b5458c14874bUL;
   tf->codes[22481] = 0x0008b552d07bd5edUL;
   tf->codes[22482] = 0x0008b564e29e9db8UL;
   tf->codes[22483] = 0x0008b59b5395fadeUL;
   tf->codes[22484] = 0x0008b5cda67ef02aUL;
   tf->codes[22485] = 0x0008b5eb2890d86fUL;
   tf->codes[22486] = 0x0008b5f1cac47fc0UL;
   tf->codes[22487] = 0x0008b65c9dac061fUL;
   tf->codes[22488] = 0x0008b68a97f78dccUL;
   tf->codes[22489] = 0x0008b69caa1a5597UL;
   tf->codes[22490] = 0x0008b6f2e6b9d4b4UL;
   tf->codes[22491] = 0x0008b6f9c37c81caUL;
   tf->codes[22492] = 0x0008b6fa73299319UL;
   tf->codes[22493] = 0x0008b712b261f6abUL;
   tf->codes[22494] = 0x0008b716d0705e85UL;
   tf->codes[22495] = 0x0008b717baac7599UL;
   tf->codes[22496] = 0x0008b74a82b3766fUL;
   tf->codes[22497] = 0x0008b755f2a296e9UL;
   tf->codes[22498] = 0x0008b76580a01f3dUL;
   tf->codes[22499] = 0x0008b77f1f32a56dUL;
   tf->codes[22500] = 0x0008b7954f63d512UL;
   tf->codes[22501] = 0x0008b79b7c7970d9UL;
   tf->codes[22502] = 0x0008b7a6b1d98b8eUL;
   tf->codes[22503] = 0x0008b7b430cfdff5UL;
   tf->codes[22504] = 0x0008b7c8c717e737UL;
   tf->codes[22505] = 0x0008b85156a05ba0UL;
   tf->codes[22506] = 0x0008b8544fe3a6a1UL;
   tf->codes[22507] = 0x0008b890b36199c9UL;
   tf->codes[22508] = 0x0008b8e0fd7a82e4UL;
   tf->codes[22509] = 0x0008b8f51ea47e9cUL;
   tf->codes[22510] = 0x0008b945a34c6d7cUL;
   tf->codes[22511] = 0x0008b967436cbd9bUL;
   tf->codes[22512] = 0x0008b983db428eccUL;
   tf->codes[22513] = 0x0008b990356dc65aUL;
   tf->codes[22514] = 0x0008b993de5e22aaUL;
   tf->codes[22515] = 0x0008b9ccd37abf47UL;
   tf->codes[22516] = 0x0008b9df5abb929cUL;
   tf->codes[22517] = 0x0008ba13bcabbbd5UL;
   tf->codes[22518] = 0x0008ba41b6f74382UL;
   tf->codes[22519] = 0x0008ba44b03a8e83UL;
   tf->codes[22520] = 0x0008ba459a76a597UL;
   tf->codes[22521] = 0x0008ba8f07cce19cUL;
   tf->codes[22522] = 0x0008ba96cecba5c6UL;
   tf->codes[22523] = 0x0008ba9b27691365UL;
   tf->codes[22524] = 0x0008ba9c86c33603UL;
   tf->codes[22525] = 0x0008bacf4eca36d9UL;
   tf->codes[22526] = 0x0008baee6ac54781UL;
   tf->codes[22527] = 0x0008baf19e979847UL;
   tf->codes[22528] = 0x0008bb1dc46af1ccUL;
   tf->codes[22529] = 0x0008bbd86c4d55bcUL;
   tf->codes[22530] = 0x0008bc02f83786deUL;
   tf->codes[22531] = 0x0008bc0d08cc84baUL;
   tf->codes[22532] = 0x0008bc41dfdab97dUL;
   tf->codes[22533] = 0x0008bc54dc39985cUL;
   tf->codes[22534] = 0x0008bcea3b0b4fddUL;
   tf->codes[22535] = 0x0008bd17108bbab1UL;
   tf->codes[22536] = 0x0008bd40028cc370UL;
   tf->codes[22537] = 0x0008bd4ee0dd3a75UL;
   tf->codes[22538] = 0x0008bd754eb903bdUL;
   tf->codes[22539] = 0x0008bdc7e268268aUL;
   tf->codes[22540] = 0x0008bdd352574704UL;
   tf->codes[22541] = 0x0008bde230a7be09UL;
   tf->codes[22542] = 0x0008be4a0a4bf967UL;
   tf->codes[22543] = 0x0008be5c56fdc6f7UL;
   tf->codes[22544] = 0x0008be666792c4d3UL;
   tf->codes[22545] = 0x0008be6c5a195ad5UL;
   tf->codes[22546] = 0x0008be6c94a8609aUL;
   tf->codes[22547] = 0x0008be992f99c5a9UL;
   tf->codes[22548] = 0x0008bedfa3acb6adUL;
   tf->codes[22549] = 0x0008bf0a2f96e7cfUL;
   tf->codes[22550] = 0x0008bf0d28da32d0UL;
   tf->codes[22551] = 0x0008bf39c3cb97dfUL;
   tf->codes[22552] = 0x0008bf64ff62da50UL;
   tf->codes[22553] = 0x0008bf6b67077bdcUL;
   tf->codes[22554] = 0x0008bf7e63665abbUL;
   tf->codes[22555] = 0x0008bf936ecc6d87UL;
   tf->codes[22556] = 0x0008bf9801f8e0ebUL;
   tf->codes[22557] = 0x0008bfca8f70dbfcUL;
   tf->codes[22558] = 0x0008bfcd13961b73UL;
   tf->codes[22559] = 0x0008bfd5c4d0f6b1UL;
   tf->codes[22560] = 0x0008bfd883853bedUL;
   tf->codes[22561] = 0x0008bffe0724ee21UL;
   tf->codes[22562] = 0x0008c003bf1c7e5eUL;
   tf->codes[22563] = 0x0008c056183c9b66UL;
   tf->codes[22564] = 0x0008c079c7641f72UL;
   tf->codes[22565] = 0x0008c091cc0d7d3fUL;
   tf->codes[22566] = 0x0008c0d3acf3fadfUL;
   tf->codes[22567] = 0x0008c0e21626665aUL;
   tf->codes[22568] = 0x0008c0f28e6005c2UL;
   tf->codes[22569] = 0x0008c0fc6465fdd9UL;
   tf->codes[22570] = 0x0008c107d4551e53UL;
   tf->codes[22571] = 0x0008c1080ee42418UL;
   tf->codes[22572] = 0x0008c11727c3a0e2UL;
   tf->codes[22573] = 0x0008c11f9e6f765bUL;
   tf->codes[22574] = 0x0008c17356e9b601UL;
   tf->codes[22575] = 0x0008c17983ff51c8UL;
   tf->codes[22576] = 0x0008c17a33ac6317UL;
   tf->codes[22577] = 0x0008c183cf235569UL;
   tf->codes[22578] = 0x0008c1ca4336466dUL;
   tf->codes[22579] = 0x0008c1d3a41e32faUL;
   tf->codes[22580] = 0x0008c1dabb6fe5d5UL;
   tf->codes[22581] = 0x0008c20790f050a9UL;
   tf->codes[22582] = 0x0008c20df894f235UL;
   tf->codes[22583] = 0x0008c21843b8f5d6UL;
   tf->codes[22584] = 0x0008c25a249f7376UL;
   tf->codes[22585] = 0x0008c272d8f5e292UL;
   tf->codes[22586] = 0x0008c2897e451dc1UL;
   tf->codes[22587] = 0x0008c28a688134d5UL;
   tf->codes[22588] = 0x0008c2959de14f8aUL;
   tf->codes[22589] = 0x0008c2ca74ef844dUL;
   tf->codes[22590] = 0x0008c2cbd449a6ebUL;
   tf->codes[22591] = 0x0008c2cde350dad8UL;
   tf->codes[22592] = 0x0008c2e572dc2d1bUL;
   tf->codes[22593] = 0x0008c2f5b086c6beUL;
   tf->codes[22594] = 0x0008c37d1b441e4eUL;
   tf->codes[22595] = 0x0008c3967f479eb9UL;
   tf->codes[22596] = 0x0008c3ce4f991e7dUL;
   tf->codes[22597] = 0x0008c3d10e4d63b9UL;
   tf->codes[22598] = 0x0008c3e52f775f71UL;
   tf->codes[22599] = 0x0008c411554ab8f6UL;
   tf->codes[22600] = 0x0008c41c8aaad3abUL;
   tf->codes[22601] = 0x0008c4578ecea435UL;
   tf->codes[22602] = 0x0008c48e3a550720UL;
   tf->codes[22603] = 0x0008c4bfdd90eb1dUL;
   tf->codes[22604] = 0x0008c4c903e9d1e5UL;
   tf->codes[22605] = 0x0008c4c93e78d7aaUL;
   tf->codes[22606] = 0x0008c4d1efb3b2e8UL;
   tf->codes[22607] = 0x0008c4f9bce99eceUL;
   tf->codes[22608] = 0x0008c5135b7c24feUL;
   tf->codes[22609] = 0x0008c54364cee098UL;
   tf->codes[22610] = 0x0008c554179785c5UL;
   tf->codes[22611] = 0x0008c55d036166c8UL;
   tf->codes[22612] = 0x0008c563e02413deUL;
   tf->codes[22613] = 0x0008c596e2ba1a79UL;
   tf->codes[22614] = 0x0008c5bfd4bb2338UL;
   tf->codes[22615] = 0x0008c5ceed9aa002UL;
   tf->codes[22616] = 0x0008c5d6b499642cUL;
   tf->codes[22617] = 0x0008c5e2248884a6UL;
   tf->codes[22618] = 0x0008c5f177f70735UL;
   tf->codes[22619] = 0x0008c64d6c8e168fUL;
   tf->codes[22620] = 0x0008c652af679b42UL;
   tf->codes[22621] = 0x0008c655a8aae643UL;
   tf->codes[22622] = 0x0008c66aee9ffed4UL;
   tf->codes[22623] = 0x0008c66e97905b24UL;
   tf->codes[22624] = 0x0008c67a7c9d8728UL;
   tf->codes[22625] = 0x0008c6e49fd7fc38UL;
   tf->codes[22626] = 0x0008c6fa5aeb2053UL;
   tf->codes[22627] = 0x0008c75e1680f3d7UL;
   tf->codes[22628] = 0x0008c78e5a62b536UL;
   tf->codes[22629] = 0x0008c7cba81cbf72UL;
   tf->codes[22630] = 0x0008c7d4ce75a63aUL;
   tf->codes[22631] = 0x0008c7fcd63a97e5UL;
   tf->codes[22632] = 0x0008c813066bc78aUL;
   tf->codes[22633] = 0x0008c84593e3c29bUL;
   tf->codes[22634] = 0x0008c8493cd41eebUL;
   tf->codes[22635] = 0x0008c85437a533dbUL;
   tf->codes[22636] = 0x0008c870cf7b050cUL;
   tf->codes[22637] = 0x0008c88aa89c9101UL;
   tf->codes[22638] = 0x0008c8b5e433d372UL;
   tf->codes[22639] = 0x0008c8b7f33b075fUL;
   tf->codes[22640] = 0x0008c8d9935b577eUL;
   tf->codes[22641] = 0x0008c8dd76dab993UL;
   tf->codes[22642] = 0x0008c8e7876fb76fUL;
   tf->codes[22643] = 0x0008c8f038aa92adUL;
   tf->codes[22644] = 0x0008c8ffc6a81b01UL;
   tf->codes[22645] = 0x0008c95294e64393UL;
   tf->codes[22646] = 0x0008c99400aeb5a9UL;
   tf->codes[22647] = 0x0008c9a9bbc1d9c4UL;
   tf->codes[22648] = 0x0008c9bc7d91b2deUL;
   tf->codes[22649] = 0x0008c9fff86158e1UL;
   tf->codes[22650] = 0x0008ca779a922258UL;
   tf->codes[22651] = 0x0008cabfa88e3bbfUL;
   tf->codes[22652] = 0x0008cac4eb67c072UL;
   tf->codes[22653] = 0x0008cac7aa1c05aeUL;
   tf->codes[22654] = 0x0008cad020c7db27UL;
   tf->codes[22655] = 0x0008caec08f09b09UL;
   tf->codes[22656] = 0x0008caf14bca1fbcUL;
   tf->codes[22657] = 0x0008caf5def69320UL;
   tf->codes[22658] = 0x0008cb0d33f2df9eUL;
   tf->codes[22659] = 0x0008cb7a8affa574UL;
   tf->codes[22660] = 0x0008cb83ebe79201UL;
   tf->codes[22661] = 0x0008cb9a1c18c1a6UL;
   tf->codes[22662] = 0x0008cbf0cdd64c4dUL;
   tf->codes[22663] = 0x0008cc5a7bf2b5d3UL;
   tf->codes[22664] = 0x0008cc5e24e31223UL;
   tf->codes[22665] = 0x0008cc6db2e09a77UL;
   tf->codes[22666] = 0x0008cc71965ffc8cUL;
   tf->codes[22667] = 0x0008cc72bb2b1965UL;
   tf->codes[22668] = 0x0008cc7d40de22cbUL;
   tf->codes[22669] = 0x0008cc8f1871e4d1UL;
   tf->codes[22670] = 0x0008cccca0baf4d2UL;
   tf->codes[22671] = 0x0008ccf7dc523743UL;
   tf->codes[22672] = 0x0008cd076a4fbf97UL;
   tf->codes[22673] = 0x0008cd1f346a179fUL;
   tf->codes[22674] = 0x0008cd953cb1b8b3UL;
   tf->codes[22675] = 0x0008cdb2bec3a0f8UL;
   tf->codes[22676] = 0x0008cddc6071bb06UL;
   tf->codes[22677] = 0x0008cdf2cb31f070UL;
   tf->codes[22678] = 0x0008ce6aa7f1bfacUL;
   tf->codes[22679] = 0x0008ce969336136cUL;
   tf->codes[22680] = 0x0008cecaba9736e0UL;
   tf->codes[22681] = 0x0008ced1223bd86cUL;
   tf->codes[22682] = 0x0008ced4cb2c34bcUL;
   tf->codes[22683] = 0x0008ced62a86575aUL;
   tf->codes[22684] = 0x0008cf1845fbdabfUL;
   tf->codes[22685] = 0x0008cf43f6b128baUL;
   tf->codes[22686] = 0x0008cf45cb2956e2UL;
   tf->codes[22687] = 0x0008cf62d81d339dUL;
   tf->codes[22688] = 0x0008d014cec4bc4fUL;
   tf->codes[22689] = 0x0008d01c20a574efUL;
   tf->codes[22690] = 0x0008d05cdcc0d5b6UL;
   tf->codes[22691] = 0x0008d06d54fa751eUL;
   tf->codes[22692] = 0x0008d07ce2f7fd72UL;
   tf->codes[22693] = 0x0008d0834a9c9efeUL;
   tf->codes[22694] = 0x0008d0caa8eba716UL;
   tf->codes[22695] = 0x0008d0db96435208UL;
   tf->codes[22696] = 0x0008d10f83156fb7UL;
   tf->codes[22697] = 0x0008d13edcbb1a02UL;
   tf->codes[22698] = 0x0008d14927df1da3UL;
   tf->codes[22699] = 0x0008d14d45ed857dUL;
   tf->codes[22700] = 0x0008d15ee2f241beUL;
   tf->codes[22701] = 0x0008d18c681fbde1UL;
   tf->codes[22702] = 0x0008d19b0be12f21UL;
   tf->codes[22703] = 0x0008d1be45eaa7a3UL;
   tf->codes[22704] = 0x0008d1d4761bd748UL;
   tf->codes[22705] = 0x0008d1d4eb39e2d2UL;
   tf->codes[22706] = 0x0008d1df365de673UL;
   tf->codes[22707] = 0x0008d1e404195f9cUL;
   tf->codes[22708] = 0x0008d1e56373823aUL;
   tf->codes[22709] = 0x0008d1f2a7dad0dcUL;
   tf->codes[22710] = 0x0008d1f85fd26119UL;
   tf->codes[22711] = 0x0008d203cfc18193UL;
   tf->codes[22712] = 0x0008d20987b911d0UL;
   tf->codes[22713] = 0x0008d209c2481795UL;
   tf->codes[22714] = 0x0008d20ae713346eUL;
   tf->codes[22715] = 0x0008d20b5c313ff8UL;
   tf->codes[22716] = 0x0008d2536a2d595fUL;
   tf->codes[22717] = 0x0008d28affefd35eUL;
   tf->codes[22718] = 0x0008d29d8730a6b3UL;
   tf->codes[22719] = 0x0008d2c97274fa73UL;
   tf->codes[22720] = 0x0008d2da5fcca565UL;
   tf->codes[22721] = 0x0008d2ef30a3b26cUL;
   tf->codes[22722] = 0x0008d3d46470477eUL;
   tf->codes[22723] = 0x0008d41f6bafabe6UL;
   tf->codes[22724] = 0x0008d47916b0818eUL;
   tf->codes[22725] = 0x0008d53c6fcdc0bcUL;
   tf->codes[22726] = 0x0008d550cb86c239UL;
   tf->codes[22727] = 0x0008d55d9ad00551UL;
   tf->codes[22728] = 0x0008d55e0fee10dbUL;
   tf->codes[22729] = 0x0008d567ab65032dUL;
   tf->codes[22730] = 0x0008d592ac6d3fd9UL;
   tf->codes[22731] = 0x0008d6437e49abb2UL;
   tf->codes[22732] = 0x0008d64f6356d7b6UL;
   tf->codes[22733] = 0x0008d650c2b0fa54UL;
   tf->codes[22734] = 0x0008d651e77c172dUL;
   tf->codes[22735] = 0x0008d65973ebd592UL;
   tf->codes[22736] = 0x0008d68d60bdf341UL;
   tf->codes[22737] = 0x0008d6fc8c42e73fUL;
   tf->codes[22738] = 0x0008d72c9595a2d9UL;
   tf->codes[22739] = 0x0008d7d2e1bf054cUL;
   tf->codes[22740] = 0x0008d80dab53d011UL;
   tf->codes[22741] = 0x0008d899e3cca0caUL;
   tf->codes[22742] = 0x0008d9147f40b542UL;
   tf->codes[22743] = 0x0008d91828311192UL;
   tf->codes[22744] = 0x0008d919878b3430UL;
   tf->codes[22745] = 0x0008d91f04f3bea8UL;
   tf->codes[22746] = 0x0008d936947f10ebUL;
   tf->codes[22747] = 0x0008d9453840822bUL;
   tf->codes[22748] = 0x0008d96f147da1feUL;
   tf->codes[22749] = 0x0008d98335a79db6UL;
   tf->codes[22750] = 0x0008d99c5f1c185cUL;
   tf->codes[22751] = 0x0008d9c257d9d61aUL;
   tf->codes[22752] = 0x0008da3b93f3c7f4UL;
   tf->codes[22753] = 0x0008da4cf6697e70UL;
   tf->codes[22754] = 0x0008da51feb3fd5eUL;
   tf->codes[22755] = 0x0008da9454b88688UL;
   tf->codes[22756] = 0x0008da99d2211100UL;
   tf->codes[22757] = 0x0008dacf1e4d514dUL;
   tf->codes[22758] = 0x0008dae847c1cbf3UL;
   tf->codes[22759] = 0x0008daed8a9b50a6UL;
   tf->codes[22760] = 0x0008dafe77f2fb98UL;
   tf->codes[22761] = 0x0008db1c6f22ef67UL;
   tf->codes[22762] = 0x0008db5c06733355UL;
   tf->codes[22763] = 0x0008db6aaa34a495UL;
   tf->codes[22764] = 0x0008dc08ba413754UL;
   tf->codes[22765] = 0x0008dc1a5745f395UL;
   tf->codes[22766] = 0x0008dc57df8f0396UL;
   tf->codes[22767] = 0x0008dc5fa68dc7c0UL;
   tf->codes[22768] = 0x0008dc7cb381a47bUL;
   tf->codes[22769] = 0x0008dc8d2bbb43e3UL;
   tf->codes[22770] = 0x0008dc92e3b2d420UL;
   tf->codes[22771] = 0x0008dccfbc4ed2d2UL;
   tf->codes[22772] = 0x0008dcfd06ed4930UL;
   tf->codes[22773] = 0x0008dd663feba72cUL;
   tf->codes[22774] = 0x0008dd7608783545UL;
   tf->codes[22775] = 0x0008ddc56855074cUL;
   tf->codes[22776] = 0x0008ddcd2f53cb76UL;
   tf->codes[22777] = 0x0008ddefb9b032a9UL;
   tf->codes[22778] = 0x0008de1786e61e8fUL;
   tf->codes[22779] = 0x0008de2b32f20ebdUL;
   tf->codes[22780] = 0x0008de6dc3859dacUL;
   tf->codes[22781] = 0x0008de708239e2e8UL;
   tf->codes[22782] = 0x0008de837e98c1c7UL;
   tf->codes[22783] = 0x0008de979fc2bd7fUL;
   tf->codes[22784] = 0x0008dec9f2abb2cbUL;
   tf->codes[22785] = 0x0008dede4e64b448UL;
   tf->codes[22786] = 0x0008deffb3f5fea2UL;
   tf->codes[22787] = 0x0008df035ce65af2UL;
   tf->codes[22788] = 0x0008df0c833f41baUL;
   tf->codes[22789] = 0x0008df123b36d1f7UL;
   tf->codes[22790] = 0x0008df68b26556d9UL;
   tf->codes[22791] = 0x0008dfdb4c4ba162UL;
   tf->codes[22792] = 0x0008e015a0c2609dUL;
   tf->codes[22793] = 0x0008e018d494b163UL;
   tf->codes[22794] = 0x0008e0bf5b4d199bUL;
   tf->codes[22795] = 0x0008e1108fa219caUL;
   tf->codes[22796] = 0x0008e13d2a937ed9UL;
   tf->codes[22797] = 0x0008e1698af5de23UL;
   tf->codes[22798] = 0x0008e195b0c937a8UL;
   tf->codes[22799] = 0x0008e272a878fd06UL;
   tf->codes[22800] = 0x0008e29239921938UL;
   tf->codes[22801] = 0x0008e2ad377ec206UL;
   tf->codes[22802] = 0x0008e2f83ebe266eUL;
   tf->codes[22803] = 0x0008e33d5376f4d4UL;
   tf->codes[22804] = 0x0008e35383a82479UL;
   tf->codes[22805] = 0x0008e3c3244b2401UL;
   tf->codes[22806] = 0x0008e3f4c78707feUL;
   tf->codes[22807] = 0x0008e41b6ff1d70bUL;
   tf->codes[22808] = 0x0008e473467a7e8bUL;
   tf->codes[22809] = 0x0008e47973901a52UL;
   tf->codes[22810] = 0x0008e50de825babfUL;
   tf->codes[22811] = 0x0008e565beae623fUL;
   tf->codes[22812] = 0x0008e5754cabea93UL;
   tf->codes[22813] = 0x0008e5904a989361UL;
   tf->codes[22814] = 0x0008e59bba87b3dbUL;
   tf->codes[22815] = 0x0008e5d43a8644eeUL;
   tf->codes[22816] = 0x0008e5d60efe7316UL;
   tf->codes[22817] = 0x0008e5f615359ad2UL;
   tf->codes[22818] = 0x0008e61063753251UL;
   tf->codes[22819] = 0x0008e66d07b952faUL;
   tf->codes[22820] = 0x0008e69d4b9b1459UL;
   tf->codes[22821] = 0x0008e6e1eb35d735UL;
   tf->codes[22822] = 0x0008e70b5254eb7eUL;
   tf->codes[22823] = 0x0008e7518bd8d6bdUL;
   tf->codes[22824] = 0x0008e76c89c57f8bUL;
   tf->codes[22825] = 0x0008e76f4879c4c7UL;
   tf->codes[22826] = 0x0008e79f8c5b8626UL;
   tf->codes[22827] = 0x0008e89c8a427340UL;
   tf->codes[22828] = 0x0008e8c0ae8802d6UL;
   tf->codes[22829] = 0x0008e8d1d66eb38dUL;
   tf->codes[22830] = 0x0008e8f71f7f5ffcUL;
   tf->codes[22831] = 0x0008e96909b89936UL;
   tf->codes[22832] = 0x0008e96efc3f2f38UL;
   tf->codes[22833] = 0x0008e982e2da252bUL;
   tf->codes[22834] = 0x0008e9889ad1b568UL;
   tf->codes[22835] = 0x0008e9af7dcb8a3aUL;
   tf->codes[22836] = 0x0008e9ce5f37951dUL;
   tf->codes[22837] = 0x0008e9d5eba75382UL;
   tf->codes[22838] = 0x0008e9dd02f9065dUL;
   tf->codes[22839] = 0x0008e9e7c33b1588UL;
   tf->codes[22840] = 0x0008ea2b3e0abb8bUL;
   tf->codes[22841] = 0x0008ea5938564338UL;
   tf->codes[22842] = 0x0008ea5c6c2893feUL;
   tf->codes[22843] = 0x0008ea5e7b2fc7ebUL;
   tf->codes[22844] = 0x0008ea5ef04dd375UL;
   tf->codes[22845] = 0x0008ea70c7e1957bUL;
   tf->codes[22846] = 0x0008ea8b50b032bfUL;
   tf->codes[22847] = 0x0008ead5a84285d8UL;
   tf->codes[22848] = 0x0008eb1af78a5a03UL;
   tf->codes[22849] = 0x0008eb487cb7d626UL;
   tf->codes[22850] = 0x0008eb65148da757UL;
   tf->codes[22851] = 0x0008eb89adf14277UL;
   tf->codes[22852] = 0x0008eb8d56e19ec7UL;
   tf->codes[22853] = 0x0008eba4e66cf10aUL;
   tf->codes[22854] = 0x0008ebc9f4ee97b4UL;
   tf->codes[22855] = 0x0008ec0708199c2bUL;
   tf->codes[22856] = 0x0008ec541e603480UL;
   tf->codes[22857] = 0x0008ec7d4af04304UL;
   tf->codes[22858] = 0x0008ec8b3f04a2f5UL;
   tf->codes[22859] = 0x0008ec98f889fd21UL;
   tf->codes[22860] = 0x0008ec9f259f98e8UL;
   tf->codes[22861] = 0x0008ed0c7cac5ebeUL;
   tf->codes[22862] = 0x0008ed10d549cc5dUL;
   tf->codes[22863] = 0x0008ed77ff40f66cUL;
   tf->codes[22864] = 0x0008ed8543a8450eUL;
   tf->codes[22865] = 0x0008ed9f5758d6c8UL;
   tf->codes[22866] = 0x0008edc93395f69bUL;
   tf->codes[22867] = 0x0008edcbf24a3bd7UL;
   tf->codes[22868] = 0x0008edfbfb9cf771UL;
   tf->codes[22869] = 0x0008edfc70bb02fbUL;
   tf->codes[22870] = 0x0008ee122bce2716UL;
   tf->codes[22871] = 0x0008ee7746be1d38UL;
   tf->codes[22872] = 0x0008eff87b90111cUL;
   tf->codes[22873] = 0x0008f01acb5d728aUL;
   tf->codes[22874] = 0x0008f03ca60cc86eUL;
   tf->codes[22875] = 0x0008f06fa8a2cf09UL;
   tf->codes[22876] = 0x0008f07e86f3460eUL;
   tf->codes[22877] = 0x0008f07f36a0575dUL;
   tf->codes[22878] = 0x0008f11a12da9956UL;
   tf->codes[22879] = 0x0008f15c68df2280UL;
   tf->codes[22880] = 0x0008f176b71eb9ffUL;
   tf->codes[22881] = 0x0008f182270dda79UL;
   tf->codes[22882] = 0x0008f193fea19c7fUL;
   tf->codes[22883] = 0x0008f1cf77e37893UL;
   tf->codes[22884] = 0x0008f1f23ccee58bUL;
   tf->codes[22885] = 0x0008f22a823e70d9UL;
   tf->codes[22886] = 0x0008f25966c60f9aUL;
   tf->codes[22887] = 0x0008f262c7adfc27UL;
   tf->codes[22888] = 0x0008f2646197248aUL;
   tf->codes[22889] = 0x0008f2929671b1fcUL;
   tf->codes[22890] = 0x0008f2c5d396be5cUL;
   tf->codes[22891] = 0x0008f2cbc61d545eUL;
   tf->codes[22892] = 0x0008f3724cd5bc96UL;
   tf->codes[22893] = 0x0008f388b795f200UL;
   tf->codes[22894] = 0x0008f3d6086b901aUL;
   tf->codes[22895] = 0x0008f4919a8a0b1eUL;
   tf->codes[22896] = 0x0008f4f46be3c78eUL;
   tf->codes[22897] = 0x0008f50bfb6f19d1UL;
   tf->codes[22898] = 0x0008f51b4edd9c60UL;
   tf->codes[22899] = 0x0008f5f4630dffa9UL;
   tf->codes[22900] = 0x0008f5feae32034aUL;
   tf->codes[22901] = 0x0008f6581ea3d32dUL;
   tf->codes[22902] = 0x0008f66896dd7295UL;
   tf->codes[22903] = 0x0008f695a6ece32eUL;
   tf->codes[22904] = 0x0008f6dd3fcaf10bUL;
   tf->codes[22905] = 0x0008f6e282a475beUL;
   tf->codes[22906] = 0x0008f719a348e433UL;
   tf->codes[22907] = 0x0008f7f2f2084d41UL;
   tf->codes[22908] = 0x0008f7fffbe0961eUL;
   tf->codes[22909] = 0x0008f8024576cfd0UL;
   tf->codes[22910] = 0x0008f836a766f909UL;
   tf->codes[22911] = 0x0008f8371c850493UL;
   tf->codes[22912] = 0x0008f8663b9ba919UL;
   tf->codes[22913] = 0x0008f88e08d194ffUL;
   tf->codes[22914] = 0x0008f8d47ce48603UL;
   tf->codes[22915] = 0x0008f8ec46fede0bUL;
   tf->codes[22916] = 0x0008f9462c8eb978UL;
   tf->codes[22917] = 0x0008f94d7e6f7218UL;
   tf->codes[22918] = 0x0008f94e2e1c8367UL;
   tf->codes[22919] = 0x0008f989a75e5f7bUL;
   tf->codes[22920] = 0x0008f9d6bda4f7d0UL;
   tf->codes[22921] = 0x0008f9e38cee3ae8UL;
   tf->codes[22922] = 0x0008f9f7e8a73c65UL;
   tf->codes[22923] = 0x0008f9fe8adae3b6UL;
   tf->codes[22924] = 0x0008fa53a2af45faUL;
   tf->codes[22925] = 0x0008fa98f1f71a25UL;
   tf->codes[22926] = 0x0008fad79f0b46ffUL;
   tf->codes[22927] = 0x0008fb1d28e220efUL;
   tf->codes[22928] = 0x0008fb5b60d8423fUL;
   tf->codes[22929] = 0x0008fb9e2bfad6f3UL;
   tf->codes[22930] = 0x0008fbda1a5abe91UL;
   tf->codes[22931] = 0x0008fbf602837e73UL;
   tf->codes[22932] = 0x0008fc4fad84541bUL;
   tf->codes[22933] = 0x0008fc5e16b6bf96UL;
   tf->codes[22934] = 0x0008fc83d4e5778fUL;
   tf->codes[22935] = 0x0008fc99ca87a16fUL;
   tf->codes[22936] = 0x0008fc9d38e8f7faUL;
   tf->codes[22937] = 0x0008fceac44d9bd9UL;
   tf->codes[22938] = 0x0008fd1eebaebf4dUL;
   tf->codes[22939] = 0x0008fd279ce99a8bUL;
   tf->codes[22940] = 0x0008fd710a3fd690UL;
   tf->codes[22941] = 0x0008fd72a428fef3UL;
   tf->codes[22942] = 0x0008fd7e4ea72532UL;
   tf->codes[22943] = 0x0008fd81f7978182UL;
   tf->codes[22944] = 0x0008fd87af8f11bfUL;
   tf->codes[22945] = 0x0008fdb61ef8a4f6UL;
   tf->codes[22946] = 0x0008fdff51bfdb36UL;
   tf->codes[22947] = 0x0008fecaac6ae453UL;
   tf->codes[22948] = 0x0008fee69493a435UL;
   tf->codes[22949] = 0x0008fef44e18fe61UL;
   tf->codes[22950] = 0x0008ff0a7e4a2e06UL;
   tf->codes[22951] = 0x0008ff17882276e3UL;
   tf->codes[22952] = 0x0008ff7e778a9b2dUL;
   tf->codes[22953] = 0x0008ff9f67fdd9fdUL;
   tf->codes[22954] = 0x0008ffd5d8f53723UL;
   tf->codes[22955] = 0x0008ffef0269b1c9UL;
   tf->codes[22956] = 0x0009001067fafc23UL;
   tf->codes[22957] = 0x0009001953c4dd26UL;
   tf->codes[22958] = 0x0009006928bfbab7UL;
   tf->codes[22959] = 0x0009006cd1b01707UL;
   tf->codes[22960] = 0x0009006df67b33e0UL;
   tf->codes[22961] = 0x0009008cd7e73ec3UL;
   tf->codes[22962] = 0x000900949ee602edUL;
   tf->codes[22963] = 0x0009009a1c4e8d65UL;
   tf->codes[22964] = 0x000900dcace21c54UL;
   tf->codes[22965] = 0x000900f64b74a284UL;
   tf->codes[22966] = 0x0009010180d4bd39UL;
   tf->codes[22967] = 0x0009010ddafff4c7UL;
   tf->codes[22968] = 0x0009011b1f674369UL;
   tf->codes[22969] = 0x0009014a03eee22aUL;
   tf->codes[22970] = 0x0009017db631fa14UL;
   tf->codes[22971] = 0x000901cb41969df3UL;
   tf->codes[22972] = 0x000901db7f413796UL;
   tf->codes[22973] = 0x00090266cd7df13bUL;
   tf->codes[22974] = 0x0009026b261b5edaUL;
   tf->codes[22975] = 0x000902791a2fbecbUL;
   tf->codes[22976] = 0x000902d6e33efc4dUL;
   tf->codes[22977] = 0x000902dac6be5e62UL;
   tf->codes[22978] = 0x00090316efad4bc5UL;
   tf->codes[22979] = 0x0009031ce233e1c7UL;
   tf->codes[22980] = 0x000903d5f02d1d54UL;
   tf->codes[22981] = 0x000903f16337d1acUL;
   tf->codes[22982] = 0x0009040a521d468dUL;
   tf->codes[22983] = 0x00090458529ff5f6UL;
   tf->codes[22984] = 0x0009047b178b62eeUL;
   tf->codes[22985] = 0x0009047faab7d652UL;
   tf->codes[22986] = 0x000904ded3213672UL;
   tf->codes[22987] = 0x0009055ca2679bb0UL;
   tf->codes[22988] = 0x000905730d27d11aUL;
   tf->codes[22989] = 0x000905cec72fdaafUL;
   tf->codes[22990] = 0x0009064494e875feUL;
   tf->codes[22991] = 0x0009065547b11b2bUL;
   tf->codes[22992] = 0x0009065d0eafdf55UL;
   tf->codes[22993] = 0x0009065f1db71342UL;
   tf->codes[22994] = 0x0009069678ea877cUL;
   tf->codes[22995] = 0x000907047fa45ea1UL;
   tf->codes[22996] = 0x000907699a9454c3UL;
   tf->codes[22997] = 0x0009076b347d7d26UL;
   tf->codes[22998] = 0x00090772865e35c6UL;
   tf->codes[22999] = 0x000907c4df7e52ceUL;
   tf->codes[23000] = 0x000907d3f85dcf98UL;
   tf->codes[23001] = 0x000907fbc593bb7eUL;
   tf->codes[23002] = 0x0009087f1242ab34UL;
   tf->codes[23003] = 0x0009088504c94136UL;
   tf->codes[23004] = 0x0009089df3aeb617UL;
   tf->codes[23005] = 0x000908bd84c7d249UL;
   tf->codes[23006] = 0x000908f380a123e5UL;
   tf->codes[23007] = 0x000909735eeebd10UL;
   tf->codes[23008] = 0x00090982ecec4564UL;
   tf->codes[23009] = 0x00090997f8525830UL;
   tf->codes[23010] = 0x000909af87ddaa73UL;
   tf->codes[23011] = 0x000909efcedaffb0UL;
   tf->codes[23012] = 0x00090a8826f00232UL;
   tf->codes[23013] = 0x00090ad194463e37UL;
   tf->codes[23014] = 0x00090adbdf6a41d8UL;
   tf->codes[23015] = 0x00090b0d82a625d5UL;
   tf->codes[23016] = 0x00090b630f9893a3UL;
   tf->codes[23017] = 0x00090b651e9fc790UL;
   tf->codes[23018] = 0x00090b8a2d216e3aUL;
   tf->codes[23019] = 0x00090b9b8f9724b6UL;
   tf->codes[23020] = 0x00090b9ceef14754UL;
   tf->codes[23021] = 0x00090bab5823b2cfUL;
   tf->codes[23022] = 0x00090bceccbc3116UL;
   tf->codes[23023] = 0x00090c174fd65607UL;
   tf->codes[23024] = 0x00090c5acaa5fc0aUL;
   tf->codes[23025] = 0x00090c7d1a735d78UL;
   tf->codes[23026] = 0x00090ca3884f26c0UL;
   tf->codes[23027] = 0x00090cdb58a0a684UL;
   tf->codes[23028] = 0x00090d082e211158UL;
   tf->codes[23029] = 0x00090d0b9c8267e3UL;
   tf->codes[23030] = 0x00090d1328f22648UL;
   tf->codes[23031] = 0x00090d38ac91d87cUL;
   tf->codes[23032] = 0x00090d9f26dbf13cUL;
   tf->codes[23033] = 0x00090e089a6954fdUL;
   tf->codes[23034] = 0x00090e7d4356d373UL;
   tf->codes[23035] = 0x00090e8d0be3618cUL;
   tf->codes[23036] = 0x00090e971c785f68UL;
   tf->codes[23037] = 0x00090f1b53636632UL;
   tf->codes[23038] = 0x00090f452fa08605UL;
   tf->codes[23039] = 0x00090f5f08c211faUL;
   tf->codes[23040] = 0x00090f98386db45cUL;
   tf->codes[23041] = 0x00090fb6df4ab97aUL;
   tf->codes[23042] = 0x0009100d1bea3897UL;
   tf->codes[23043] = 0x00091077eed1bef6UL;
   tf->codes[23044] = 0x0009108916b86fadUL;
   tf->codes[23045] = 0x0009109cc2c45fdbUL;
   tf->codes[23046] = 0x000910c7fe5ba24cUL;
   tf->codes[23047] = 0x0009110bee4953d9UL;
   tf->codes[23048] = 0x0009113e7bc14eeaUL;
   tf->codes[23049] = 0x0009118feaa554deUL;
   tf->codes[23050] = 0x0009119cb9ee97f6UL;
   tf->codes[23051] = 0x000911d83330740aUL;
   tf->codes[23052] = 0x000911f2f68e1713UL;
   tf->codes[23053] = 0x000912171ad3a6a9UL;
   tf->codes[23054] = 0x000912500ff04346UL;
   tf->codes[23055] = 0x0009126a23a0d500UL;
   tf->codes[23056] = 0x00091288ca7dda1eUL;
   tf->codes[23057] = 0x00091292db12d7faUL;
   tf->codes[23058] = 0x000912c5688ad30bUL;
   tf->codes[23059] = 0x000912f70bc6b708UL;
   tf->codes[23060] = 0x000912ff47e386bcUL;
   tf->codes[23061] = 0x00091312f3ef76eaUL;
   tf->codes[23062] = 0x000913157814b661UL;
   tf->codes[23063] = 0x0009131c54d76377UL;
   tf->codes[23064] = 0x000913628e5b4eb6UL;
   tf->codes[23065] = 0x0009137ca20be070UL;
   tf->codes[23066] = 0x000913842e7b9ed5UL;
   tf->codes[23067] = 0x000913dd29cf632eUL;
   tf->codes[23068] = 0x0009149c2a4f34bdUL;
   tf->codes[23069] = 0x0009149dc4385d20UL;
   tf->codes[23070] = 0x0009150e89a67981UL;
   tf->codes[23071] = 0x00091512a7b4e15bUL;
   tf->codes[23072] = 0x000915691ee3663dUL;
   tf->codes[23073] = 0x0009156dec9edf66UL;
   tf->codes[23074] = 0x000915d9e451829eUL;
   tf->codes[23075] = 0x000915f6b6b65994UL;
   tf->codes[23076] = 0x0009160385ff9cacUL;
   tf->codes[23077] = 0x00091616bced8150UL;
   tf->codes[23078] = 0x0009167f80cdd3c2UL;
   tf->codes[23079] = 0x000916839edc3b9cUL;
   tf->codes[23080] = 0x00091692429dacdcUL;
   tf->codes[23081] = 0x00091699947e657cUL;
   tf->codes[23082] = 0x000916e6aac4fdd1UL;
   tf->codes[23083] = 0x000916e8f45b3783UL;
   tf->codes[23084] = 0x0009175e1266c183UL;
   tf->codes[23085] = 0x000917710ec5a062UL;
   tf->codes[23086] = 0x000917e2be6fd3d7UL;
   tf->codes[23087] = 0x000918092c4b9d1fUL;
   tf->codes[23088] = 0x0009183885f1476aUL;
   tf->codes[23089] = 0x0009187857d0911dUL;
   tf->codes[23090] = 0x00091889ba464799UL;
   tf->codes[23091] = 0x000918943ff950ffUL;
   tf->codes[23092] = 0x0009189982d2d5b2UL;
   tf->codes[23093] = 0x000918c35f0ff585UL;
   tf->codes[23094] = 0x000918ccbff7e212UL;
   tf->codes[23095] = 0x000918ff87fee2e8UL;
   tf->codes[23096] = 0x000919036b7e44fdUL;
   tf->codes[23097] = 0x00091925f5daac30UL;
   tf->codes[23098] = 0x0009194a8f3e4750UL;
   tf->codes[23099] = 0x00091966ec8512bcUL;
   tf->codes[23100] = 0x00091984e3b5068bUL;
   tf->codes[23101] = 0x000919ce167c3ccbUL;
   tf->codes[23102] = 0x000919da70a77459UL;
   tf->codes[23103] = 0x000919de8eb5dc33UL;
   tf->codes[23104] = 0x000919e14d6a216fUL;
   tf->codes[23105] = 0x000919e89f4ada0fUL;
   tf->codes[23106] = 0x000919f2afdfd7ebUL;
   tf->codes[23107] = 0x00091a1bdc6fe66fUL;
   tf->codes[23108] = 0x00091a42bf69bb41UL;
   tf->codes[23109] = 0x00091a5ac413190eUL;
   tf->codes[23110] = 0x00091a71a3f15a02UL;
   tf->codes[23111] = 0x00091adefafe1fd8UL;
   tf->codes[23112] = 0x00091adfaaab3127UL;
   tf->codes[23113] = 0x00091b13225f434cUL;
   tf->codes[23114] = 0x00091bd556b165a1UL;
   tf->codes[23115] = 0x00091befdf8002e5UL;
   tf->codes[23116] = 0x00091c01b713c4ebUL;
   tf->codes[23117] = 0x00091c16c279d7b7UL;
   tf->codes[23118] = 0x00091c1efe96a76bUL;
   tf->codes[23119] = 0x00091c5116f096f2UL;
   tf->codes[23120] = 0x00091c6572a9986fUL;
   tf->codes[23121] = 0x00091c669774b548UL;
   tf->codes[23122] = 0x00091c69cb47060eUL;
   tf->codes[23123] = 0x00091c7993d39427UL;
   tf->codes[23124] = 0x00091cf603bfd6c7UL;
   tf->codes[23125] = 0x00091cfb0c0a55b5UL;
   tf->codes[23126] = 0x00091d5650f453c0UL;
   tf->codes[23127] = 0x00091d5cb898f54cUL;
   tf->codes[23128] = 0x00091d74f7d158deUL;
   tf->codes[23129] = 0x00091d8c123e9f97UL;
   tf->codes[23130] = 0x00091d8e9663df0eUL;
   tf->codes[23131] = 0x00091dae620c0105UL;
   tf->codes[23132] = 0x00091db95cdd15f5UL;
   tf->codes[23133] = 0x00091ddcd175943cUL;
   tf->codes[23134] = 0x00091df251f9b292UL;
   tf->codes[23135] = 0x00091e0f5eed8f4dUL;
   tf->codes[23136] = 0x00091e6108609b06UL;
   tf->codes[23137] = 0x00091e7cf0895ae8UL;
   tf->codes[23138] = 0x00091eca7bedfec7UL;
   tf->codes[23139] = 0x00091ef57cf63b73UL;
   tf->codes[23140] = 0x00091ef5b7854138UL;
   tf->codes[23141] = 0x00091f0a133e42b5UL;
   tf->codes[23142] = 0x00091f4342e9e517UL;
   tf->codes[23143] = 0x00091f6a6072bfaeUL;
   tf->codes[23144] = 0x00092045f8c8626eUL;
   tf->codes[23145] = 0x0009205dc2e2ba76UL;
   tf->codes[23146] = 0x0009210f446c379eUL;
   tf->codes[23147] = 0x00092117bb180d17UL;
   tf->codes[23148] = 0x00092144cb277db0UL;
   tf->codes[23149] = 0x0009214edbbc7b8cUL;
   tf->codes[23150] = 0x0009215926e07f2dUL;
   tf->codes[23151] = 0x000921bd92236400UL;
   tf->codes[23152] = 0x00092205daae832cUL;
   tf->codes[23153] = 0x00092212a9f7c644UL;
   tf->codes[23154] = 0x000922131f15d1ceUL;
   tf->codes[23155] = 0x00092268ac083f9cUL;
   tf->codes[23156] = 0x000922e84fc6d302UL;
   tf->codes[23157] = 0x000922fbfbd2c330UL;
   tf->codes[23158] = 0x000922ffa4c31f80UL;
   tf->codes[23159] = 0x0009230bfeee570eUL;
   tf->codes[23160] = 0x0009230f32c0a7d4UL;
   tf->codes[23161] = 0x000923706a313be1UL;
   tf->codes[23162] = 0x0009239b30aa72c8UL;
   tf->codes[23163] = 0x000923a506b06adfUL;
   tf->codes[23164] = 0x000923c3e81c75c2UL;
   tf->codes[23165] = 0x0009240887b7389eUL;
   tf->codes[23166] = 0x0009241b8416177dUL;
   tf->codes[23167] = 0x0009241fdcb3851cUL;
   tf->codes[23168] = 0x000924409297be27UL;
   tf->codes[23169] = 0x0009246a6ed4ddfaUL;
   tf->codes[23170] = 0x0009246e8ce345d4UL;
   tf->codes[23171] = 0x00092470d6797f86UL;
   tf->codes[23172] = 0x0009247d30a4b714UL;
   tf->codes[23173] = 0x0009248029e80215UL;
   tf->codes[23174] = 0x00092501678fbddeUL;
   tf->codes[23175] = 0x0009254a5fc7ee59UL;
   tf->codes[23176] = 0x00092567a74ad0d9UL;
   tf->codes[23177] = 0x0009256aa08e1bdaUL;
   tf->codes[23178] = 0x00092575d5ee368fUL;
   tf->codes[23179] = 0x000925764b0c4219UL;
   tf->codes[23180] = 0x0009258e4fb59fe6UL;
   tf->codes[23181] = 0x0009258e8a44a5abUL;
   tf->codes[23182] = 0x0009259825bb97fdUL;
   tf->codes[23183] = 0x000925e91f819267UL;
   tf->codes[23184] = 0x000925f5eecad57fUL;
   tf->codes[23185] = 0x00092610779972c3UL;
   tf->codes[23186] = 0x0009267607a7746fUL;
   tf->codes[23187] = 0x0009267d1ef9274aUL;
   tf->codes[23188] = 0x000926d1c1af7e04UL;
   tf->codes[23189] = 0x000926d445d4bd7bUL;
   tf->codes[23190] = 0x000926ff46dcfa27UL;
   tf->codes[23191] = 0x0009271f87a327a8UL;
   tf->codes[23192] = 0x0009277acc8d25b3UL;
   tf->codes[23193] = 0x000927cceb1e3cf6UL;
   tf->codes[23194] = 0x000927ce4a785f94UL;
   tf->codes[23195] = 0x000927e4efc79ac3UL;
   tf->codes[23196] = 0x000927e898b7f713UL;
   tf->codes[23197] = 0x000927ef3aeb9e64UL;
   tf->codes[23198] = 0x000928118ab8ffd2UL;
   tf->codes[23199] = 0x0009281e1f733d25UL;
   tf->codes[23200] = 0x000928562a53c2aeUL;
   tf->codes[23201] = 0x00092863e3d91cdaUL;
   tf->codes[23202] = 0x00092893b29cd2afUL;
   tf->codes[23203] = 0x000928954c85fb12UL;
   tf->codes[23204] = 0x0009293e5763a2c1UL;
   tf->codes[23205] = 0x00092965af7b831dUL;
   tf->codes[23206] = 0x000929895ea30729UL;
   tf->codes[23207] = 0x00092999272f9542UL;
   tf->codes[23208] = 0x00092a739aba1b29UL;
   tf->codes[23209] = 0x00092acd8049f696UL;
   tf->codes[23210] = 0x00092b0a1e56ef83UL;
   tf->codes[23211] = 0x00092b835a70e15dUL;
   tf->codes[23212] = 0x00092bcf4bec5cd9UL;
   tf->codes[23213] = 0x00092bea49d905a7UL;
   tf->codes[23214] = 0x00092c1e36ab2356UL;
   tf->codes[23215] = 0x00092c4812e84329UL;
   tf->codes[23216] = 0x00092c6a62b5a497UL;
   tf->codes[23217] = 0x00092c6b4cf1bbabUL;
   tf->codes[23218] = 0x00092c9563bde143UL;
   tf->codes[23219] = 0x00092cbb5c7b9f01UL;
   tf->codes[23220] = 0x00092cc1feaf4652UL;
   tf->codes[23221] = 0x00092ccbd4b53e69UL;
   tf->codes[23222] = 0x00092cef0ebeb6ebUL;
   tf->codes[23223] = 0x00092cfed74b4504UL;
   tf->codes[23224] = 0x00092d55c397d570UL;
   tf->codes[23225] = 0x00092d68bff6b44fUL;
   tf->codes[23226] = 0x00092d967fb33637UL;
   tf->codes[23227] = 0x00092db401c51e7cUL;
   tf->codes[23228] = 0x00092ddf02cd5b28UL;
   tf->codes[23229] = 0x00092e94dcf445efUL;
   tf->codes[23230] = 0x00092ef230e577e7UL;
   tf->codes[23231] = 0x00092f60acbd5a96UL;
   tf->codes[23232] = 0x00092f6f15efc611UL;
   tf->codes[23233] = 0x00092f95f8e99ae3UL;
   tf->codes[23234] = 0x00092fec35891a00UL;
   tf->codes[23235] = 0x0009306780aa3fc7UL;
   tf->codes[23236] = 0x0009307992cd0792UL;
   tf->codes[23237] = 0x0009309d7c839163UL;
   tf->codes[23238] = 0x000930cd85d64cfdUL;
   tf->codes[23239] = 0x000930f5530c38e3UL;
   tf->codes[23240] = 0x0009317914d93423UL;
   tf->codes[23241] = 0x000931835ffd37c4UL;
   tf->codes[23242] = 0x000931902f467adcUL;
   tf->codes[23243] = 0x000931e2886697e4UL;
   tf->codes[23244] = 0x000931e6a674ffbeUL;
   tf->codes[23245] = 0x000931fe708f57c6UL;
   tf->codes[23246] = 0x0009324fa4e457f5UL;
   tf->codes[23247] = 0x000932ce5e66d447UL;
   tf->codes[23248] = 0x00093379b2dab5a8UL;
   tf->codes[23249] = 0x000933d6571ed651UL;
   tf->codes[23250] = 0x000933f23f479633UL;
   tf->codes[23251] = 0x000933ff83aee4d5UL;
   tf->codes[23252] = 0x00093457cf5597dfUL;
   tf->codes[23253] = 0x0009345c27f3057eUL;
   tf->codes[23254] = 0x0009348c6bd4c6ddUL;
   tf->codes[23255] = 0x000934967c69c4b9UL;
   tf->codes[23256] = 0x00093527f7bc1a25UL;
   tf->codes[23257] = 0x000935d595c63538UL;
   tf->codes[23258] = 0x000935def6ae21c5UL;
   tf->codes[23259] = 0x000935fe87c73df7UL;
   tf->codes[23260] = 0x0009360d2b88af37UL;
   tf->codes[23261] = 0x0009364ed1e02712UL;
   tf->codes[23262] = 0x0009367330b4bc6dUL;
   tf->codes[23263] = 0x000936878c6dbdeaUL;
   tf->codes[23264] = 0x000936d3f30744f0UL;
   tf->codes[23265] = 0x000936dc2f2414a4UL;
   tf->codes[23266] = 0x0009370fa6d826c9UL;
   tf->codes[23267] = 0x0009373aa7e06375UL;
   tf->codes[23268] = 0x000937974c24841eUL;
   tf->codes[23269] = 0x000937cd828cdb7fUL;
   tf->codes[23270] = 0x000937ebeedadad8UL;
   tf->codes[23271] = 0x000937f5c4e0d2efUL;
   tf->codes[23272] = 0x000938172a721d49UL;
   tf->codes[23273] = 0x000938460ef9bc0aUL;
   tf->codes[23274] = 0x0009389150c82637UL;
   tf->codes[23275] = 0x00093894f9b88287UL;
   tf->codes[23276] = 0x0009391c6475da17UL;
   tf->codes[23277] = 0x00093998d4621cb7UL;
   tf->codes[23278] = 0x000939dc4f31c2baUL;
   tf->codes[23279] = 0x000939ec524d5698UL;
   tf->codes[23280] = 0x00093a5c680e61aaUL;
   tf->codes[23281] = 0x00093a6d1ad706d7UL;
   tf->codes[23282] = 0x00093a8a9ce8ef1cUL;
   tf->codes[23283] = 0x00093a9ce99abcacUL;
   tf->codes[23284] = 0x00093ae7f0da2114UL;
   tf->codes[23285] = 0x00093b0ff89f12bfUL;
   tf->codes[23286] = 0x00093b169ad2ba10UL;
   tf->codes[23287] = 0x00093b2c55e5de2bUL;
   tf->codes[23288] = 0x00093b3d08ae8358UL;
   tf->codes[23289] = 0x00093b52c3c1a773UL;
   tf->codes[23290] = 0x00093b721a4bbde0UL;
   tf->codes[23291] = 0x00093b8c2dfc4f9aUL;
   tf->codes[23292] = 0x00093b8cdda960e9UL;
   tf->codes[23293] = 0x00093b9bbbf9d7eeUL;
   tf->codes[23294] = 0x00093bc7a73e2baeUL;
   tf->codes[23295] = 0x00093c7b37cedcc3UL;
   tf->codes[23296] = 0x00093ce5d0275d5dUL;
   tf->codes[23297] = 0x00093cf17aa5839cUL;
   tf->codes[23298] = 0x00093d6a7c306fb1UL;
   tf->codes[23299] = 0x00093e0b4af147acUL;
   tf->codes[23300] = 0x00093ed7ca676da2UL;
   tf->codes[23301] = 0x00093ef2c8541670UL;
   tf->codes[23302] = 0x00093efa54c3d4d5UL;
   tf->codes[23303] = 0x00093f08bdf64050UL;
   tf->codes[23304] = 0x00093f1e3e7a5ea6UL;
   tf->codes[23305] = 0x00093f44ac5627eeUL;
   tf->codes[23306] = 0x00093f49b4a0a6dcUL;
   tf->codes[23307] = 0x00093f5cb0ff85bbUL;
   tf->codes[23308] = 0x0009405ef1bff788UL;
   tf->codes[23309] = 0x000940ceccf1fcd5UL;
   tf->codes[23310] = 0x000940d0dbf930c2UL;
   tf->codes[23311] = 0x000940de20607f64UL;
   tf->codes[23312] = 0x000940fba27267a9UL;
   tf->codes[23313] = 0x000941157b93f39eUL;
   tf->codes[23314] = 0x00094136a6963833UL;
   tf->codes[23315] = 0x0009418ad42e8363UL;
   tf->codes[23316] = 0x00094196f3cab52cUL;
   tf->codes[23317] = 0x000941b9b8b62224UL;
   tf->codes[23318] = 0x000941ba68633373UL;
   tf->codes[23319] = 0x000941ef04e26271UL;
   tf->codes[23320] = 0x0009428a90c9b5b9UL;
   tf->codes[23321] = 0x0009428c2ab2de1cUL;
   tf->codes[23322] = 0x0009429292577fa8UL;
   tf->codes[23323] = 0x000942b51cb3e6dbUL;
   tf->codes[23324] = 0x000943669e3d6403UL;
   tf->codes[23325] = 0x0009439cd4a5bb64UL;
   tf->codes[23326] = 0x000943cd53168288UL;
   tf->codes[23327] = 0x000943e7dbe51fccUL;
   tf->codes[23328] = 0x000944373bc1f1d3UL;
   tf->codes[23329] = 0x00094444bab8463aUL;
   tf->codes[23330] = 0x0009444ae7cde201UL;
   tf->codes[23331] = 0x0009446695679c1eUL;
   tf->codes[23332] = 0x0009449af757c557UL;
   tf->codes[23333] = 0x0009449c56b1e7f5UL;
   tf->codes[23334] = 0x000944d54bce8492UL;
   tf->codes[23335] = 0x000945df538dba89UL;
   tf->codes[23336] = 0x0009464caa9a805fUL;
   tf->codes[23337] = 0x00094653fc7b38ffUL;
   tf->codes[23338] = 0x000946555bd55b9dUL;
   tf->codes[23339] = 0x0009467f72a18135UL;
   tf->codes[23340] = 0x000946f923d97e99UL;
   tf->codes[23341] = 0x00094759367ef5cdUL;
   tf->codes[23342] = 0x000947746efaa460UL;
   tf->codes[23343] = 0x0009477ce5a679d9UL;
   tf->codes[23344] = 0x00094794afc0d1e1UL;
   tf->codes[23345] = 0x000947c9fbed122eUL;
   tf->codes[23346] = 0x0009484ea7f62482UL;
   tf->codes[23347] = 0x00094868bba6b63cUL;
   tf->codes[23348] = 0x0009486930c4c1c6UL;
   tf->codes[23349] = 0x000948bf32d53b1eUL;
   tf->codes[23350] = 0x0009495f1759fc05UL;
   tf->codes[23351] = 0x0009496a122b10f5UL;
   tf->codes[23352] = 0x000949df30369af5UL;
   tf->codes[23353] = 0x00094a02df5e1f01UL;
   tf->codes[23354] = 0x00094a506ac2c2e0UL;
   tf->codes[23355] = 0x00094aca5689c609UL;
   tf->codes[23356] = 0x00094ad67625f7d2UL;
   tf->codes[23357] = 0x00094aeb46fd04d9UL;
   tf->codes[23358] = 0x00094af5ccb00e3fUL;
   tf->codes[23359] = 0x00094b10ca9cb70dUL;
   tf->codes[23360] = 0x00094b18570c7572UL;
   tf->codes[23361] = 0x00094b19f0f59dd5UL;
   tf->codes[23362] = 0x00094b4c7e6d98e6UL;
   tf->codes[23363] = 0x00094b85ae193b48UL;
   tf->codes[23364] = 0x00094b90a8ea5038UL;
   tf->codes[23365] = 0x00094ba7c35796f1UL;
   tf->codes[23366] = 0x00094bd4d367078aUL;
   tf->codes[23367] = 0x00094be217ce562cUL;
   tf->codes[23368] = 0x00094bf130add2f6UL;
   tf->codes[23369] = 0x00094c6bcc21e76eUL;
   tf->codes[23370] = 0x00094c7dde44af39UL;
   tf->codes[23371] = 0x00094ccdb33f8ccaUL;
   tf->codes[23372] = 0x00094cd41ae42e56UL;
   tf->codes[23373] = 0x00094cd5b4cd56b9UL;
   tf->codes[23374] = 0x00094cd838f29630UL;
   tf->codes[23375] = 0x00094d02c4dcc752UL;
   tf->codes[23376] = 0x00094d4814249b7dUL;
   tf->codes[23377] = 0x00094d9d2bf8fdc1UL;
   tf->codes[23378] = 0x00094dd278253e0eUL;
   tf->codes[23379] = 0x00094dd69633a5e8UL;
   tf->codes[23380] = 0x00094ddaeed11387UL;
   tf->codes[23381] = 0x00094ddf81fd86ebUL;
   tf->codes[23382] = 0x00094e6468959f04UL;
   tf->codes[23383] = 0x00094e7e7c4630beUL;
   tf->codes[23384] = 0x00094ef6939505bfUL;
   tf->codes[23385] = 0x00094f4961d32e51UL;
   tf->codes[23386] = 0x00094f7eadff6e9eUL;
   tf->codes[23387] = 0x00094f93f3f4872fUL;
   tf->codes[23388] = 0x00094fd59a4bff0aUL;
   tf->codes[23389] = 0x000950937600b3c0UL;
   tf->codes[23390] = 0x000951340a3285f6UL;
   tf->codes[23391] = 0x00095139fcb91bf8UL;
   tf->codes[23392] = 0x000951a5b9dcb96bUL;
   tf->codes[23393] = 0x000951c8f3e631edUL;
   tf->codes[23394] = 0x000951d672dc8654UL;
   tf->codes[23395] = 0x000951ebb8d19ee5UL;
   tf->codes[23396] = 0x00095246fdbb9cf0UL;
   tf->codes[23397] = 0x0009525357e6d47eUL;
   tf->codes[23398] = 0x0009525ec7d5f4f8UL;
   tf->codes[23399] = 0x0009526fefbca5afUL;
   tf->codes[23400] = 0x000952f1a2826d02UL;
   tf->codes[23401] = 0x000952f2522f7e51UL;
   tf->codes[23402] = 0x000952f9a41036f1UL;
   tf->codes[23403] = 0x00095311a8b994beUL;
   tf->codes[23404] = 0x000953d3a27cb14eUL;
   tf->codes[23405] = 0x000953e20baf1cc9UL;
   tf->codes[23406] = 0x000953ec1c441aa5UL;
   tf->codes[23407] = 0x0009541d0fd2ed53UL;
   tf->codes[23408] = 0x000954463c62fbd7UL;
   tf->codes[23409] = 0x000954501268f3eeUL;
   tf->codes[23410] = 0x000954651dcf06baUL;
   tf->codes[23411] = 0x000954b8269c3511UL;
   tf->codes[23412] = 0x0009551b3284f746UL;
   tf->codes[23413] = 0x000955445f1505caUL;
   tf->codes[23414] = 0x000955bd9b2ef7a4UL;
   tf->codes[23415] = 0x0009561e22f27a62UL;
   tf->codes[23416] = 0x0009564ba81ff685UL;
   tf->codes[23417] = 0x000956d90563e417UL;
   tf->codes[23418] = 0x000956fb1aa23fc0UL;
   tf->codes[23419] = 0x00095702e1a103eaUL;
   tf->codes[23420] = 0x000957131f4b9d8dUL;
   tf->codes[23421] = 0x0009571ddf8dacb8UL;
   tf->codes[23422] = 0x000957f2260296d8UL;
   tf->codes[23423] = 0x000957f902c543eeUL;
   tf->codes[23424] = 0x00095851c38a0282UL;
   tf->codes[23425] = 0x0009585cbe5b1772UL;
   tf->codes[23426] = 0x0009587a7afc057cUL;
   tf->codes[23427] = 0x000958d216f5a737UL;
   tf->codes[23428] = 0x0009594d2787c739UL;
   tf->codes[23429] = 0x0009595b1b9c272aUL;
   tf->codes[23430] = 0x0009598bd49bf413UL;
   tf->codes[23431] = 0x0009599bd7b787f1UL;
   tf->codes[23432] = 0x000959cfc489a5a0UL;
   tf->codes[23433] = 0x000959d99a8f9db7UL;
   tf->codes[23434] = 0x000959e336069009UL;
   tf->codes[23435] = 0x000959e3709595ceUL;
   tf->codes[23436] = 0x00095a17d285bf07UL;
   tf->codes[23437] = 0x00095a3d5625713bUL;
   tf->codes[23438] = 0x00095ae785ce35c3UL;
   tf->codes[23439] = 0x00095b0baa13c559UL;
   tf->codes[23440] = 0x00095b472355a16dUL;
   tf->codes[23441] = 0x00095b4eafc55fd2UL;
   tf->codes[23442] = 0x00095b713a21c705UL;
   tf->codes[23443] = 0x00095b76f2195742UL;
   tf->codes[23444] = 0x00095b9c3b2a03b1UL;
   tf->codes[23445] = 0x00095b9f346d4eb2UL;
   tf->codes[23446] = 0x00095bbc41612b6dUL;
   tf->codes[23447] = 0x00095bbe50685f5aUL;
   tf->codes[23448] = 0x00095bc5a24917faUL;
   tf->codes[23449] = 0x00095bdbd27a479fUL;
   tf->codes[23450] = 0x00095bfe9765b497UL;
   tf->codes[23451] = 0x00095c1aba1d7a3eUL;
   tf->codes[23452] = 0x00095c7c66ac19d5UL;
   tf->codes[23453] = 0x00095c7f5fef64d6UL;
   tf->codes[23454] = 0x00095c85c7940662UL;
   tf->codes[23455] = 0x00095d557adc7d1eUL;
   tf->codes[23456] = 0x00095d7f1c8a972cUL;
   tf->codes[23457] = 0x00095df2db3bfe8eUL;
   tf->codes[23458] = 0x00095dfd60ef07f4UL;
   tf->codes[23459] = 0x00095e47f31060d2UL;
   tf->codes[23460] = 0x00095e6ffad5527dUL;
   tf->codes[23461] = 0x00095e8be2fe125fUL;
   tf->codes[23462] = 0x00095e93e48bdc4eUL;
   tf->codes[23463] = 0x00095ec7d15df9fdUL;
   tf->codes[23464] = 0x00095efd92a845d4UL;
   tf->codes[23465] = 0x00095f1fe275a742UL;
   tf->codes[23466] = 0x00095f694fcbe347UL;
   tf->codes[23467] = 0x00095f78ddc96b9bUL;
   tf->codes[23468] = 0x00095f870c6cd151UL;
   tf->codes[23469] = 0x00095f8ff836b254UL;
   tf->codes[23470] = 0x00095f9c17d2e41dUL;
   tf->codes[23471] = 0x00095fcc5bb4a57cUL;
   tf->codes[23472] = 0x00095fcf8f86f642UL;
   tf->codes[23473] = 0x00095ffc2a785b51UL;
   tf->codes[23474] = 0x00096071f830f6a0UL;
   tf->codes[23475] = 0x0009609a3a84ee10UL;
   tf->codes[23476] = 0x000960c8e47d870cUL;
   tf->codes[23477] = 0x000960cab8f5b534UL;
   tf->codes[23478] = 0x000960caf384baf9UL;
   tf->codes[23479] = 0x000960ea849dd72bUL;
   tf->codes[23480] = 0x000961593b04bf9fUL;
   tf->codes[23481] = 0x0009615d1e8421b4UL;
   tf->codes[23482] = 0x000961cf08bd5aeeUL;
   tf->codes[23483] = 0x000961dab33b812dUL;
   tf->codes[23484] = 0x00096213e2e7238fUL;
   tf->codes[23485] = 0x0009622b37e3700dUL;
   tf->codes[23486] = 0x000962396686d5c3UL;
   tf->codes[23487] = 0x0009624b78a99d8eUL;
   tf->codes[23488] = 0x00096256737ab27eUL;
   tf->codes[23489] = 0x000962596cbdfd7fUL;
   tf->codes[23490] = 0x0009628348fb1d52UL;
   tf->codes[23491] = 0x0009629c726f97f8UL;
   tf->codes[23492] = 0x000962c8d2d1f742UL;
   tf->codes[23493] = 0x000962d10eeec6f6UL;
   tf->codes[23494] = 0x000962d860cf7f96UL;
   tf->codes[23495] = 0x000962d89b5e855bUL;
   tf->codes[23496] = 0x0009634ac026c45aUL;
   tf->codes[23497] = 0x00096368f1e5bdeeUL;
   tf->codes[23498] = 0x00096380f68f1bbbUL;
   tf->codes[23499] = 0x000963aa983d35c9UL;
   tf->codes[23500] = 0x000963bcaa5ffd94UL;
   tf->codes[23501] = 0x00096453688bd7b3UL;
   tf->codes[23502] = 0x000964dc32a351e1UL;
   tf->codes[23503] = 0x000964e1ea9ae21eUL;
   tf->codes[23504] = 0x0009651144408c69UL;
   tf->codes[23505] = 0x00096567f5fe1710UL;
   tf->codes[23506] = 0x000965815a01977bUL;
   tf->codes[23507] = 0x000965e306903712UL;
   tf->codes[23508] = 0x000965eb42ad06c6UL;
   tf->codes[23509] = 0x000965f04af785b4UL;
   tf->codes[23510] = 0x0009660939dcfa95UL;
   tf->codes[23511] = 0x0009661225a6db98UL;
   tf->codes[23512] = 0x0009662e0dcf9b7aUL;
   tf->codes[23513] = 0x000966789ff0f458UL;
   tf->codes[23514] = 0x000966cf171f793aUL;
   tf->codes[23515] = 0x000966dc20f7c217UL;
   tf->codes[23516] = 0x000966df8f5918a2UL;
   tf->codes[23517] = 0x000966e8f041052fUL;
   tf->codes[23518] = 0x00096716affd8717UL;
   tf->codes[23519] = 0x0009679fb4a4070aUL;
   tf->codes[23520] = 0x000967ded6d63f6eUL;
   tf->codes[23521] = 0x00096811644e3a7fUL;
   tf->codes[23522] = 0x0009684b43a6ee30UL;
   tf->codes[23523] = 0x0009684e025b336cUL;
   tf->codes[23524] = 0x0009688adaf7321eUL;
   tf->codes[23525] = 0x000968fc8aa16593UL;
   tf->codes[23526] = 0x000969032cd50ce4UL;
   tf->codes[23527] = 0x0009690b2e62d6d3UL;
   tf->codes[23528] = 0x0009696a56cc36f3UL;
   tf->codes[23529] = 0x0009698171397dacUL;
   tf->codes[23530] = 0x000969cb53adc53bUL;
   tf->codes[23531] = 0x000969ec7eb009d0UL;
   tf->codes[23532] = 0x000969f0d74d776fUL;
   tf->codes[23533] = 0x00096a1869f45d90UL;
   tf->codes[23534] = 0x00096a198ebf7a69UL;
   tf->codes[23535] = 0x00096a77ccecc375UL;
   tf->codes[23536] = 0x00096ade0ca7d670UL;
   tf->codes[23537] = 0x00096b7664bcd8f2UL;
   tf->codes[23538] = 0x00096b7ccc617a7eUL;
   tf->codes[23539] = 0x00096b89268cb20cUL;
   tf->codes[23540] = 0x00096b9d0d27a7ffUL;
   tf->codes[23541] = 0x00096bdbf4cada9eUL;
   tf->codes[23542] = 0x00096be30c1c8d79UL;
   tf->codes[23543] = 0x00096be9ae5034caUL;
   tf->codes[23544] = 0x00096bf30f382157UL;
   tf->codes[23545] = 0x00096c1106681526UL;
   tf->codes[23546] = 0x00096c1892d7d38bUL;
   tf->codes[23547] = 0x00096c6d701d300aUL;
   tf->codes[23548] = 0x00096c8ffa79973dUL;
   tf->codes[23549] = 0x00096c9bdf86c341UL;
   tf->codes[23550] = 0x00096ccfcc58e0f0UL;
   tf->codes[23551] = 0x00096cdf1fc7637fUL;
   tf->codes[23552] = 0x00096cec642eb221UL;
   tf->codes[23553] = 0x00096ced13dbc370UL;
   tf->codes[23554] = 0x00096d4d9b9f462eUL;
   tf->codes[23555] = 0x00096d585be15559UL;
   tf->codes[23556] = 0x00096d877af7f9dfUL;
   tf->codes[23557] = 0x00096d9917fcb620UL;
   tf->codes[23558] = 0x00096e11def89c70UL;
   tf->codes[23559] = 0x00096e529b13fd37UL;
   tf->codes[23560] = 0x00096e5559c84273UL;
   tf->codes[23561] = 0x00096eec17f41c92UL;
   tf->codes[23562] = 0x00096f463812fdc4UL;
   tf->codes[23563] = 0x00096f53075c40dcUL;
   tf->codes[23564] = 0x00096f7bbece43d6UL;
   tf->codes[23565] = 0x00096fcb93c92167UL;
   tf->codes[23566] = 0x00096fff0b7d338cUL;
   tf->codes[23567] = 0x000970006ad7562aUL;
   tf->codes[23568] = 0x00097004c374c3c9UL;
   tf->codes[23569] = 0x0009701dece93e6fUL;
   tf->codes[23570] = 0x00097056a776d547UL;
   tf->codes[23571] = 0x000970587bef036fUL;
   tf->codes[23572] = 0x000970796c62423fUL;
   tf->codes[23573] = 0x00097098c2ec58acUL;
   tf->codes[23574] = 0x000970c9b67b2b5aUL;
   tf->codes[23575] = 0x00097111c47744c1UL;
   tf->codes[23576] = 0x0009711fb88ba4b2UL;
   tf->codes[23577] = 0x0009712b9d98d0b6UL;
   tf->codes[23578] = 0x0009713ed486b55aUL;
   tf->codes[23579] = 0x0009717d0c7cd6aaUL;
   tf->codes[23580] = 0x000971dc34e636caUL;
   tf->codes[23581] = 0x000971e7a4d55744UL;
   tf->codes[23582] = 0x00097290afb2fef3UL;
   tf->codes[23583] = 0x0009731c387ebe5dUL;
   tf->codes[23584] = 0x0009731e8214f80fUL;
   tf->codes[23585] = 0x00097360286c6feaUL;
   tf->codes[23586] = 0x000973718ae22666UL;
   tf->codes[23587] = 0x00097375e37f9405UL;
   tf->codes[23588] = 0x0009738aeee5a6d1UL;
   tf->codes[23589] = 0x000973944fcd935eUL;
   tf->codes[23590] = 0x000974685bb377b9UL;
   tf->codes[23591] = 0x0009747cb76c7936UL;
   tf->codes[23592] = 0x000974b39d81e1e6UL;
   tf->codes[23593] = 0x000974df88c635a6UL;
   tf->codes[23594] = 0x000974f92758bbd6UL;
   tf->codes[23595] = 0x0009751b77261d44UL;
   tf->codes[23596] = 0x0009756768a198c0UL;
   tf->codes[23597] = 0x00097588ce32e31aUL;
   tf->codes[23598] = 0x000975cda85cabbbUL;
   tf->codes[23599] = 0x000975f1cca23b51UL;
   tf->codes[23600] = 0x0009760c1ae1d2d0UL;
   tf->codes[23601] = 0x0009764460515e1eUL;
   tf->codes[23602] = 0x0009765a1b648239UL;
   tf->codes[23603] = 0x000977002cfedee7UL;
   tf->codes[23604] = 0x000977792e89cafcUL;
   tf->codes[23605] = 0x0009777cd77a274cUL;
   tf->codes[23606] = 0x000977ccac7504ddUL;
   tf->codes[23607] = 0x000977efe67e7d5fUL;
   tf->codes[23608] = 0x00097853dca356a8UL;
   tf->codes[23609] = 0x00097885f4fd462fUL;
   tf->codes[23610] = 0x000978fb8826dbb9UL;
   tf->codes[23611] = 0x0009791e128342ecUL;
   tf->codes[23612] = 0x0009796aee3ad57cUL;
   tf->codes[23613] = 0x000979711b507143UL;
   tf->codes[23614] = 0x000979c966f7244dUL;
   tf->codes[23615] = 0x000979f79bd1b1bfUL;
   tf->codes[23616] = 0x00097a68613fce20UL;
   tf->codes[23617] = 0x00097a9b9e64da80UL;
   tf->codes[23618] = 0x00097a9e228a19f7UL;
   tf->codes[23619] = 0x00097addf46963aaUL;
   tf->codes[23620] = 0x00097af0068c2b75UL;
   tf->codes[23621] = 0x00097af374ed8200UL;
   tf->codes[23622] = 0x00097b4d1fee57a8UL;
   tf->codes[23623] = 0x00097c7384f4590bUL;
   tf->codes[23624] = 0x00097c79b209f4d2UL;
   tf->codes[23625] = 0x00097d0d3c637e2bUL;
   tf->codes[23626] = 0x00097df9fc9fd1a2UL;
   tf->codes[23627] = 0x00097e0706781a7fUL;
   tf->codes[23628] = 0x00097e141050635cUL;
   tf->codes[23629] = 0x00097ec0898f6196UL;
   tf->codes[23630] = 0x00097eece9f1c0e0UL;
   tf->codes[23631] = 0x00097f11f873678aUL;
   tf->codes[23632] = 0x00097f190fc51a65UL;
   tf->codes[23633] = 0x00097f5538b407c8UL;
   tf->codes[23634] = 0x00097f70abbebc20UL;
   tf->codes[23635] = 0x00097f8ea2eeafefUL;
   tf->codes[23636] = 0x00097f919c31faf0UL;
   tf->codes[23637] = 0x00097f92866e1204UL;
   tf->codes[23638] = 0x00097fd0f8f33919UL;
   tf->codes[23639] = 0x00097febbc50dc22UL;
   tf->codes[23640] = 0x00097ff9eaf441d8UL;
   tf->codes[23641] = 0x0009805ecb553235UL;
   tf->codes[23642] = 0x0009806cbf699226UL;
   tf->codes[23643] = 0x000980fe3abbe792UL;
   tf->codes[23644] = 0x00098129b0e22fc8UL;
   tf->codes[23645] = 0x000981d6d9ce3f51UL;
   tf->codes[23646] = 0x0009826b4e63dfbeUL;
   tf->codes[23647] = 0x0009836c6a5934b2UL;
   tf->codes[23648] = 0x0009837ad38ba02dUL;
   tf->codes[23649] = 0x0009839e82b32439UL;
   tf->codes[23650] = 0x0009848291b49c72UL;
   tf->codes[23651] = 0x000984d7346af32cUL;
   tf->codes[23652] = 0x0009861528fc46d2UL;
   tf->codes[23653] = 0x00098643d2f4dfceUL;
   tf->codes[23654] = 0x00098679cece316aUL;
   tf->codes[23655] = 0x00098690aeac725eUL;
   tf->codes[23656] = 0x000986c376b37334UL;
   tf->codes[23657] = 0x000986e0f8c55b79UL;
   tf->codes[23658] = 0x0009870a9a737587UL;
   tf->codes[23659] = 0x00098713863d568aUL;
   tf->codes[23660] = 0x0009876cf6af266dUL;
   tf->codes[23661] = 0x0009877aeac3865eUL;
   tf->codes[23662] = 0x0009877bd4ff9d72UL;
   tf->codes[23663] = 0x00098805c3e23479UL;
   tf->codes[23664] = 0x0009884520a372a2UL;
   tf->codes[23665] = 0x0009885892205d0bUL;
   tf->codes[23666] = 0x0009885cb02ec4e5UL;
   tf->codes[23667] = 0x0009887b1c7cc43eUL;
   tf->codes[23668] = 0x00098893d0d3335aUL;
   tf->codes[23669] = 0x0009889445f13ee4UL;
   tf->codes[23670] = 0x000988d208c954aaUL;
   tf->codes[23671] = 0x000988fafaca5d69UL;
   tf->codes[23672] = 0x0009890b7303fcd1UL;
   tf->codes[23673] = 0x000989608ad85f15UL;
   tf->codes[23674] = 0x000989760b5c7d6bUL;
   tf->codes[23675] = 0x00098984af1deeabUL;
   tf->codes[23676] = 0x00098a120c61dc3dUL;
   tf->codes[23677] = 0x00098a174f3b60f0UL;
   tf->codes[23678] = 0x00098a3ee1e24711UL;
   tf->codes[23679] = 0x00098a46a8e10b3bUL;
   tf->codes[23680] = 0x00098a9e0a4ba731UL;
   tf->codes[23681] = 0x00098ad5da9d26f5UL;
   tf->codes[23682] = 0x00098af028dcbe74UL;
   tf->codes[23683] = 0x00098af9fee2b68bUL;
   tf->codes[23684] = 0x00098b10dec0f77fUL;
   tf->codes[23685] = 0x00098b36d77eb53dUL;
   tf->codes[23686] = 0x00098b712bf57478UL;
   tf->codes[23687] = 0x00098bef35cadf7bUL;
   tf->codes[23688] = 0x00098c1060cd2410UL;
   tf->codes[23689] = 0x00098ce4e1d113f5UL;
   tf->codes[23690] = 0x00098d029e7201ffUL;
   tf->codes[23691] = 0x00098d18cea331a4UL;
   tf->codes[23692] = 0x00098d5a3a6ba3baUL;
   tf->codes[23693] = 0x00098d927fdb2f08UL;
   tf->codes[23694] = 0x00098dfc2df7988eUL;
   tf->codes[23695] = 0x00098e308fe7c1c7UL;
   tf->codes[23696] = 0x00098e31ef41e465UL;
   tf->codes[23697] = 0x00098e4f36c4c6e5UL;
   tf->codes[23698] = 0x00098e53c9f13a49UL;
   tf->codes[23699] = 0x00098ef2148cd2cdUL;
   tf->codes[23700] = 0x00098f01a28a5b21UL;
   tf->codes[23701] = 0x00098f0510ebb1acUL;
   tf->codes[23702] = 0x00098f11e034f4c4UL;
   tf->codes[23703] = 0x00098f98d5d440caUL;
   tf->codes[23704] = 0x00098f9c44359755UL;
   tf->codes[23705] = 0x00098fdf84763793UL;
   tf->codes[23706] = 0x000990a1b8c859e8UL;
   tf->codes[23707] = 0x000990f068f81aa0UL;
   tf->codes[23708] = 0x0009915dfa93e63bUL;
   tf->codes[23709] = 0x000991680b28e417UL;
   tf->codes[23710] = 0x000991e59fe04390UL;
   tf->codes[23711] = 0x000991f6c7c6f447UL;
   tf->codes[23712] = 0x000992148467e251UL;
   tf->codes[23713] = 0x00099217088d21c8UL;
   tf->codes[23714] = 0x0009924711dfdd62UL;
   tf->codes[23715] = 0x0009927c989b2374UL;
   tf->codes[23716] = 0x000992828b21b976UL;
   tf->codes[23717] = 0x00099294d7d38706UL;
   tf->codes[23718] = 0x00099342b06ca7deUL;
   tf->codes[23719] = 0x0009936ab8319989UL;
   tf->codes[23720] = 0x0009937244a157eeUL;
   tf->codes[23721] = 0x0009945185e756feUL;
   tf->codes[23722] = 0x0009945b5bed4f15UL;
   tf->codes[23723] = 0x00099478a3703195UL;
   tf->codes[23724] = 0x000994991ec564dbUL;
   tf->codes[23725] = 0x000994fa90c4feadUL;
   tf->codes[23726] = 0x00099558cef247b9UL;
   tf->codes[23727] = 0x0009955fabb4f4cfUL;
   tf->codes[23728] = 0x000995e2f863e485UL;
   tf->codes[23729] = 0x000995e62c36354bUL;
   tf->codes[23730] = 0x000995fbe7495966UL;
   tf->codes[23731] = 0x0009964bf6d33cbcUL;
   tf->codes[23732] = 0x000996ca00a8a7bfUL;
   tf->codes[23733] = 0x000996d4fb79bcafUL;
   tf->codes[23734] = 0x000996f0e3a27c91UL;
   tf->codes[23735] = 0x000996f3a256c1cdUL;
   tf->codes[23736] = 0x00099749a4673b25UL;
   tf->codes[23737] = 0x00099753ef8b3ec6UL;
   tf->codes[23738] = 0x0009978f68cd1adaUL;
   tf->codes[23739] = 0x00099803d72b938bUL;
   tf->codes[23740] = 0x00099898fb6e4547UL;
   tf->codes[23741] = 0x0009995d043895c4UL;
   tf->codes[23742] = 0x000999d84f59bb8bUL;
   tf->codes[23743] = 0x000999f387d56a1eUL;
   tf->codes[23744] = 0x00099a290e90b030UL;
   tf->codes[23745] = 0x00099a59c7907d19UL;
   tf->codes[23746] = 0x00099a6278cb5857UL;
   tf->codes[23747] = 0x00099a75afb93cfbUL;
   tf->codes[23748] = 0x00099a995ee0c107UL;
   tf->codes[23749] = 0x00099b58d47e9e20UL;
   tf->codes[23750] = 0x00099b65de56e6fdUL;
   tf->codes[23751] = 0x00099b9aeff42185UL;
   tf->codes[23752] = 0x00099be87b58c564UL;
   tf->codes[23753] = 0x00099c1e77321700UL;
   tf->codes[23754] = 0x00099c56bca1a24eUL;
   tf->codes[23755] = 0x00099c5940c6e1c5UL;
   tf->codes[23756] = 0x00099d06a441f713UL;
   tf->codes[23757] = 0x00099d530adb7e19UL;
   tf->codes[23758] = 0x00099d91f27eb0b8UL;
   tf->codes[23759] = 0x00099d952651017eUL;
   tf->codes[23760] = 0x00099dcc46f56ff3UL;
   tf->codes[23761] = 0x00099e0bde45b3e1UL;
   tf->codes[23762] = 0x00099e1922ad0283UL;
   tf->codes[23763] = 0x00099ec01e837645UL;
   tf->codes[23764] = 0x00099ec3c773d295UL;
   tf->codes[23765] = 0x00099f61d7806554UL;
   tf->codes[23766] = 0x00099f9673ff9452UL;
   tf->codes[23767] = 0x0009a07f162d7fefUL;
   tf->codes[23768] = 0x0009a0819a52bf66UL;
   tf->codes[23769] = 0x0009a08d44d0e5a5UL;
   tf->codes[23770] = 0x0009a0d4a31fedbdUL;
   tf->codes[23771] = 0x0009a10262dc6fa5UL;
   tf->codes[23772] = 0x0009a103128980f4UL;
   tf->codes[23773] = 0x0009a170deb45254UL;
   tf->codes[23774] = 0x0009a1927ed4a273UL;
   tf->codes[23775] = 0x0009a1ea8fec4fb8UL;
   tf->codes[23776] = 0x0009a1edc3bea07eUL;
   tf->codes[23777] = 0x0009a25980e23df1UL;
   tf->codes[23778] = 0x0009a25b8fe971deUL;
   tf->codes[23779] = 0x0009a292b08de053UL;
   tf->codes[23780] = 0x0009a33c3089938cUL;
   tf->codes[23781] = 0x0009a37734ad6416UL;
   tf->codes[23782] = 0x0009a378597880efUL;
   tf->codes[23783] = 0x0009a382a49c8490UL;
   tf->codes[23784] = 0x0009a39d67fa2799UL;
   tf->codes[23785] = 0x0009a45b43aedc4fUL;
   tf->codes[23786] = 0x0009a4730dc93457UL;
   tf->codes[23787] = 0x0009a4b22ffb6cbbUL;
   tf->codes[23788] = 0x0009a5106e28b5c7UL;
   tf->codes[23789] = 0x0009a5542387618fUL;
   tf->codes[23790] = 0x0009a5580706c3a4UL;
   tf->codes[23791] = 0x0009a5ff77fb42f0UL;
   tf->codes[23792] = 0x0009a60fb5a5dc93UL;
   tf->codes[23793] = 0x0009a613d3b4446dUL;
   tf->codes[23794] = 0x0009a65a47c73571UL;
   tf->codes[23795] = 0x0009a6921818b535UL;
   tf->codes[23796] = 0x0009a6e102d77bb2UL;
   tf->codes[23797] = 0x0009a7544c6ad78aUL;
   tf->codes[23798] = 0x0009a81a643c5bf4UL;
   tf->codes[23799] = 0x0009a81a9ecb61b9UL;
   tf->codes[23800] = 0x0009a877f2bc93b1UL;
   tf->codes[23801] = 0x0009a8e63405709bUL;
   tf->codes[23802] = 0x0009a8e71e4187afUL;
   tf->codes[23803] = 0x0009a9016c811f2eUL;
   tf->codes[23804] = 0x0009a91d8f38e4d5UL;
   tf->codes[23805] = 0x0009a9555f8a6499UL;
   tf->codes[23806] = 0x0009a97ae32a16cdUL;
   tf->codes[23807] = 0x0009a9afba384b90UL;
   tf->codes[23808] = 0x0009a9db6aed998bUL;
   tf->codes[23809] = 0x0009aa0c5e7c6c39UL;
   tf->codes[23810] = 0x0009aa4a5be387c4UL;
   tf->codes[23811] = 0x0009aa4d8fb5d88aUL;
   tf->codes[23812] = 0x0009aa9612cffd7bUL;
   tf->codes[23813] = 0x0009ab0abbbd7bf1UL;
   tf->codes[23814] = 0x0009abfd33f15fa5UL;
   tf->codes[23815] = 0x0009acf31a8699e4UL;
   tf->codes[23816] = 0x0009ad0ddde43cedUL;
   tf->codes[23817] = 0x0009ad46d300d98aUL;
   tf->codes[23818] = 0x0009ad4dafc386a0UL;
   tf->codes[23819] = 0x0009ad5e27fd2608UL;
   tf->codes[23820] = 0x0009ad6713c7070bUL;
   tf->codes[23821] = 0x0009ad9a8b7b1930UL;
   tf->codes[23822] = 0x0009adbd50668628UL;
   tf->codes[23823] = 0x0009ade9b0c8e572UL;
   tf->codes[23824] = 0x0009ae1526ef2da8UL;
   tf->codes[23825] = 0x0009ae16fb675bd0UL;
   tf->codes[23826] = 0x0009ae18203278a9UL;
   tf->codes[23827] = 0x0009ae77489bd8c9UL;
   tf->codes[23828] = 0x0009aecb3ba51e34UL;
   tf->codes[23829] = 0x0009aed4276eff37UL;
   tf->codes[23830] = 0x0009aefe03ac1f0aUL;
   tf->codes[23831] = 0x0009af193c27cd9dUL;
   tf->codes[23832] = 0x0009af67021b7741UL;
   tf->codes[23833] = 0x0009af9e22bfe5b6UL;
   tf->codes[23834] = 0x0009af9f0cfbfccaUL;
   tf->codes[23835] = 0x0009afedf7bac347UL;
   tf->codes[23836] = 0x0009b006ac113263UL;
   tf->codes[23837] = 0x0009b07cb458d377UL;
   tf->codes[23838] = 0x0009b09cba8ffb33UL;
   tf->codes[23839] = 0x0009b115bc1ae748UL;
   tf->codes[23840] = 0x0009b11dbda8b137UL;
   tf->codes[23841] = 0x0009b17977b0baccUL;
   tf->codes[23842] = 0x0009b1a9467470a1UL;
   tf->codes[23843] = 0x0009b1cfb45039e9UL;
   tf->codes[23844] = 0x0009b20ba2b02187UL;
   tf->codes[23845] = 0x0009b26f98d4fad0UL;
   tf->codes[23846] = 0x0009b2e4f16f8a95UL;
   tf->codes[23847] = 0x0009b2ebce3237abUL;
   tf->codes[23848] = 0x0009b318a3b2a27fUL;
   tf->codes[23849] = 0x0009b34628e01ea2UL;
   tf->codes[23850] = 0x0009b36fca8e38b0UL;
   tf->codes[23851] = 0x0009b3ea2b734763UL;
   tf->codes[23852] = 0x0009b41024310521UL;
   tf->codes[23853] = 0x0009b41c43cd36eaUL;
   tf->codes[23854] = 0x0009b44f80f2434aUL;
   tf->codes[23855] = 0x0009b455e896e4d6UL;
   tf->codes[23856] = 0x0009b46db2b13cdeUL;
   tf->codes[23857] = 0x0009b47b6c36970aUL;
   tf->codes[23858] = 0x0009b4e6eecb2eb8UL;
   tf->codes[23859] = 0x0009b50d9735fdc5UL;
   tf->codes[23860] = 0x0009b5af5032ecd4UL;
   tf->codes[23861] = 0x0009b5f37aafa426UL;
   tf->codes[23862] = 0x0009b618fe4f565aUL;
   tf->codes[23863] = 0x0009b65e130824c0UL;
   tf->codes[23864] = 0x0009b67358fd3d51UL;
   tf->codes[23865] = 0x0009b67443395465UL;
   tf->codes[23866] = 0x0009b6c870d19f95UL;
   tf->codes[23867] = 0x0009b6ef8e5a7a2cUL;
   tf->codes[23868] = 0x0009b79097aa57ecUL;
   tf->codes[23869] = 0x0009b79390eda2edUL;
   tf->codes[23870] = 0x0009b79feb18da7bUL;
   tf->codes[23871] = 0x0009b807c4bd15d9UL;
   tf->codes[23872] = 0x0009b81752ba9e2dUL;
   tf->codes[23873] = 0x0009b8e9c4b75a25UL;
   tf->codes[23874] = 0x0009b90f82e6121eUL;
   tf->codes[23875] = 0x0009b93c58667cf2UL;
   tf->codes[23876] = 0x0009ba00d64ed8f9UL;
   tf->codes[23877] = 0x0009ba6c9372766cUL;
   tf->codes[23878] = 0x0009ba9ac84d03deUL;
   tf->codes[23879] = 0x0009bae6b9c87f5aUL;
   tf->codes[23880] = 0x0009bb0f36ab7c8fUL;
   tf->codes[23881] = 0x0009bb523c5d1708UL;
   tf->codes[23882] = 0x0009bb57b9c5a180UL;
   tf->codes[23883] = 0x0009bc552cca9a24UL;
   tf->codes[23884] = 0x0009bcd286f2f3d8UL;
   tf->codes[23885] = 0x0009bd5c00b77f55UL;
   tf->codes[23886] = 0x0009bd9a733ca66aUL;
   tf->codes[23887] = 0x0009bda5e32bc6e4UL;
   tf->codes[23888] = 0x0009bdf667d3b5c4UL;
   tf->codes[23889] = 0x0009be03ac3b0466UL;
   tf->codes[23890] = 0x0009be1040f541b9UL;
   tf->codes[23891] = 0x0009be6976d80bd7UL;
   tf->codes[23892] = 0x0009be8adc695631UL;
   tf->codes[23893] = 0x0009befcc6a28f6bUL;
   tf->codes[23894] = 0x0009bf3a145c99a7UL;
   tf->codes[23895] = 0x0009c098bed22658UL;
   tf->codes[23896] = 0x0009c09d8c8d9f81UL;
   tf->codes[23897] = 0x0009c0bfdc5b00efUL;
   tf->codes[23898] = 0x0009c1570fa4e698UL;
   tf->codes[23899] = 0x0009c186de689c6dUL;
   tf->codes[23900] = 0x0009c2718f9dbbf7UL;
   tf->codes[23901] = 0x0009c27cff8cdc71UL;
   tf->codes[23902] = 0x0009c2eacbb7add1UL;
   tf->codes[23903] = 0x0009c367eb5101c0UL;
   tf->codes[23904] = 0x0009c36a6f764137UL;
   tf->codes[23905] = 0x0009c46857994565UL;
   tf->codes[23906] = 0x0009c476fb5ab6a5UL;
   tf->codes[23907] = 0x0009c489480c8435UL;
   tf->codes[23908] = 0x0009c4b53350d7f5UL;
   tf->codes[23909] = 0x0009c4e2b87e5418UL;
   tf->codes[23910] = 0x0009c549a7e67862UL;
   tf->codes[23911] = 0x0009c616275c9e58UL;
   tf->codes[23912] = 0x0009c66e73035162UL;
   tf->codes[23913] = 0x0009c70bd362d2d2UL;
   tf->codes[23914] = 0x0009c7ca24359312UL;
   tf->codes[23915] = 0x0009c7cad3e2a461UL;
   tf->codes[23916] = 0x0009c7d977a415a1UL;
   tf->codes[23917] = 0x0009c7deba7d9a54UL;
   tf->codes[23918] = 0x0009c7ea9f8ac658UL;
   tf->codes[23919] = 0x0009c814f0e5f1b5UL;
   tf->codes[23920] = 0x0009c81d6791c72eUL;
   tf->codes[23921] = 0x0009c85ff825561dUL;
   tf->codes[23922] = 0x0009c86ba2a37c5cUL;
   tf->codes[23923] = 0x0009c89cd0c154cfUL;
   tf->codes[23924] = 0x0009c8c80c589740UL;
   tf->codes[23925] = 0x0009c8dca2a09e82UL;
   tf->codes[23926] = 0x0009c8f1e895b713UL;
   tf->codes[23927] = 0x0009c92c779b7c13UL;
   tf->codes[23928] = 0x0009c9f513923ff4UL;
   tf->codes[23929] = 0x0009ca3ef6068783UL;
   tf->codes[23930] = 0x0009cb149bd59441UL;
   tf->codes[23931] = 0x0009cb5eb8d8e195UL;
   tf->codes[23932] = 0x0009cb6c725e3bc1UL;
   tf->codes[23933] = 0x0009cb77a7be5676UL;
   tf->codes[23934] = 0x0009cbdc881f46d3UL;
   tf->codes[23935] = 0x0009cbe70dd25039UL;
   tf->codes[23936] = 0x0009cc0f159741e4UL;
   tf->codes[23937] = 0x0009cc5acc83b79bUL;
   tf->codes[23938] = 0x0009cc7ad2badf57UL;
   tf->codes[23939] = 0x0009cce40bb93d53UL;
   tf->codes[23940] = 0x0009ccfd6fbcbdbeUL;
   tf->codes[23941] = 0x0009cdb60897edc1UL;
   tf->codes[23942] = 0x0009cdda676c831cUL;
   tf->codes[23943] = 0x0009cdfe16940728UL;
   tf->codes[23944] = 0x0009ce1fb6b45747UL;
   tf->codes[23945] = 0x0009ce4a080f82a4UL;
   tf->codes[23946] = 0x0009ce506fb42430UL;
   tf->codes[23947] = 0x0009ce6e66e417ffUL;
   tf->codes[23948] = 0x0009ced9aee9a9e8UL;
   tf->codes[23949] = 0x0009cf038b26c9bbUL;
   tf->codes[23950] = 0x0009cf5952a83d4eUL;
   tf->codes[23951] = 0x0009cf602f6aea64UL;
   tf->codes[23952] = 0x0009cf7958df650aUL;
   tf->codes[23953] = 0x0009cf8194fc34beUL;
   tf->codes[23954] = 0x0009d00ce338ee63UL;
   tf->codes[23955] = 0x0009d0c073c99f78UL;
   tf->codes[23956] = 0x0009d0d3aab7841cUL;
   tf->codes[23957] = 0x0009d146f44adff4UL;
   tf->codes[23958] = 0x0009d1681f4d2489UL;
   tf->codes[23959] = 0x0009d1f0aed598f2UL;
   tf->codes[23960] = 0x0009d1f2834dc71aUL;
   tf->codes[23961] = 0x0009d25bbc4c2516UL;
   tf->codes[23962] = 0x0009d27769e5df33UL;
   tf->codes[23963] = 0x0009d2c0d73c1b38UL;
   tf->codes[23964] = 0x0009d2dc84d5d555UL;
   tf->codes[23965] = 0x0009d2f74833785eUL;
   tf->codes[23966] = 0x0009d313a57a43caUL;
   tf->codes[23967] = 0x0009d31455275519UL;
   tf->codes[23968] = 0x0009d39bfa73b26eUL;
   tf->codes[23969] = 0x0009d3eb1fc17eb0UL;
   tf->codes[23970] = 0x0009d417bab2e3bfUL;
   tf->codes[23971] = 0x0009d48e72a79622UL;
   tf->codes[23972] = 0x0009d4954f6a4338UL;
   tf->codes[23973] = 0x0009d4b764a89ee1UL;
   tf->codes[23974] = 0x0009d4fb8f255633UL;
   tf->codes[23975] = 0x0009d57a48a7d285UL;
   tf->codes[23976] = 0x0009d6ddfb67de24UL;
   tf->codes[23977] = 0x0009d6feebdb1cf4UL;
   tf->codes[23978] = 0x0009d7590bf9fe26UL;
   tf->codes[23979] = 0x0009d75cb4ea5a76UL;
   tf->codes[23980] = 0x0009d796ced213ecUL;
   tf->codes[23981] = 0x0009d7e3aa89a67cUL;
   tf->codes[23982] = 0x0009d7fee305550fUL;
   tf->codes[23983] = 0x0009d869f07be133UL;
   tf->codes[23984] = 0x0009d9684dbcf0ebUL;
   tf->codes[23985] = 0x0009d99264891683UL;
   tf->codes[23986] = 0x0009d99d24cb25aeUL;
   tf->codes[23987] = 0x0009d9b3ca1a60ddUL;
   tf->codes[23988] = 0x0009d9d8d89c0787UL;
   tf->codes[23989] = 0x0009d9e40dfc223cUL;
   tf->codes[23990] = 0x0009d9f82f261df4UL;
   tf->codes[23991] = 0x0009da14174eddd6UL;
   tf->codes[23992] = 0x0009da6168247bf0UL;
   tf->codes[23993] = 0x0009db7754f0ddebUL;
   tf->codes[23994] = 0x0009dba7d361a50fUL;
   tf->codes[23995] = 0x0009dbc6ef5cb5b7UL;
   tf->codes[23996] = 0x0009dc0a2f9d55f5UL;
   tf->codes[23997] = 0x0009dc1ddba94623UL;
   tf->codes[23998] = 0x0009dc807273fcceUL;
   tf->codes[23999] = 0x0009dce51845e766UL;
   tf->codes[24000] = 0x0009dcef28dae542UL;
   tf->codes[24001] = 0x0009dd8696b3d0b0UL;
   tf->codes[24002] = 0x0009dd8ff79bbd3dUL;
   tf->codes[24003] = 0x0009dd9ed5ec3442UL;
   tf->codes[24004] = 0x0009ddc6a3222028UL;
   tf->codes[24005] = 0x0009de0c6787ffddUL;
   tf->codes[24006] = 0x0009de5d614dfa47UL;
   tf->codes[24007] = 0x0009de7356f02427UL;
   tf->codes[24008] = 0x0009decd3c7fff94UL;
   tf->codes[24009] = 0x0009df0a4fab040bUL;
   tf->codes[24010] = 0x0009df15fa292a4aUL;
   tf->codes[24011] = 0x0009df1e70d4ffc3UL;
   tf->codes[24012] = 0x0009dff3dc1506bcUL;
   tf->codes[24013] = 0x0009e04a18b485d9UL;
   tf->codes[24014] = 0x0009e07c6b9d7b25UL;
   tf->codes[24015] = 0x0009e09226b09f40UL;
   tf->codes[24016] = 0x0009e1111ac22157UL;
   tf->codes[24017] = 0x0009e16f1e60649eUL;
   tf->codes[24018] = 0x0009e1d3c4324f36UL;
   tf->codes[24019] = 0x0009e2474854b0d3UL;
   tf->codes[24020] = 0x0009e298078ba578UL;
   tf->codes[24021] = 0x0009e2d4e027a42aUL;
   tf->codes[24022] = 0x0009e3152724f967UL;
   tf->codes[24023] = 0x0009e36a046a55e6UL;
   tf->codes[24024] = 0x0009e36f0cb4d4d4UL;
   tf->codes[24025] = 0x0009e3aede941e87UL;
   tf->codes[24026] = 0x0009e3ca519ed2dfUL;
   tf->codes[24027] = 0x0009e3d9df9c5b33UL;
   tf->codes[24028] = 0x0009e4e87a88048eUL;
   tf->codes[24029] = 0x0009e5560c23d029UL;
   tf->codes[24030] = 0x0009e564ea74472eUL;
   tf->codes[24031] = 0x0009e581bcd91e24UL;
   tf->codes[24032] = 0x0009e5e4c8c1e059UL;
   tf->codes[24033] = 0x0009e5e8ac41426eUL;
   tf->codes[24034] = 0x0009e673bfeef64eUL;
   tf->codes[24035] = 0x0009e6e36091f5d6UL;
   tf->codes[24036] = 0x0009e6e5e4b7354dUL;
   tf->codes[24037] = 0x0009e7533bc3fb23UL;
   tf->codes[24038] = 0x0009e75f20d12727UL;
   tf->codes[24039] = 0x0009e77e3ccc37cfUL;
   tf->codes[24040] = 0x0009e7988b0bcf4eUL;
   tf->codes[24041] = 0x0009e7d26a6482ffUL;
   tf->codes[24042] = 0x0009e80da917594eUL;
   tf->codes[24043] = 0x0009e83367461147UL;
   tf->codes[24044] = 0x0009e8eaa0c71eacUL;
   tf->codes[24045] = 0x0009e98b6f87f6a7UL;
   tf->codes[24046] = 0x0009e9d5176d3871UL;
   tf->codes[24047] = 0x0009e9fb4ab9fbf4UL;
   tf->codes[24048] = 0x0009ea9f12be1ef0UL;
   tf->codes[24049] = 0x0009eb7e54041e00UL;
   tf->codes[24050] = 0x0009eb84f637c551UL;
   tf->codes[24051] = 0x0009eb9200100e2eUL;
   tf->codes[24052] = 0x0009ebf496dac4d9UL;
   tf->codes[24053] = 0x0009ec154cbefde4UL;
   tf->codes[24054] = 0x0009ec9aa8752187UL;
   tf->codes[24055] = 0x0009ecc325581ebcUL;
   tf->codes[24056] = 0x0009ed312c11f5e1UL;
   tf->codes[24057] = 0x0009ed98cb272b7aUL;
   tf->codes[24058] = 0x0009ed9ef83cc741UL;
   tf->codes[24059] = 0x0009edf534dc465eUL;
   tf->codes[24060] = 0x0009edf743e37a4bUL;
   tf->codes[24061] = 0x0009ee800dfaf479UL;
   tf->codes[24062] = 0x0009ee8fd6878292UL;
   tf->codes[24063] = 0x0009ef6db8735f04UL;
   tf->codes[24064] = 0x0009ef7126d4b58fUL;
   tf->codes[24065] = 0x0009effaa099410cUL;
   tf->codes[24066] = 0x0009f0076fe28424UL;
   tf->codes[24067] = 0x0009f01b567d7a17UL;
   tf->codes[24068] = 0x0009f06daf9d971fUL;
   tf->codes[24069] = 0x0009f08872fb3a28UL;
   tf->codes[24070] = 0x0009f0d21ae07bf2UL;
   tf->codes[24071] = 0x0009f0ddffeda7f6UL;
   tf->codes[24072] = 0x0009f1e7928ed263UL;
   tf->codes[24073] = 0x0009f1fc28d6d9a5UL;
   tf->codes[24074] = 0x0009f25e0ff47f01UL;
   tf->codes[24075] = 0x0009f25f34bf9bdaUL;
   tf->codes[24076] = 0x0009f27a32ac44a8UL;
   tf->codes[24077] = 0x0009f31dfab067a4UL;
   tf->codes[24078] = 0x0009f33c2c6f6138UL;
   tf->codes[24079] = 0x0009f3f833abe7c6UL;
   tf->codes[24080] = 0x0009f469e3561b3bUL;
   tf->codes[24081] = 0x0009f4ee54d027caUL;
   tf->codes[24082] = 0x0009f5704224f4e2UL;
   tf->codes[24083] = 0x0009f596ea8fc3efUL;
   tf->codes[24084] = 0x0009f5c1eb98009bUL;
   tf->codes[24085] = 0x0009f5d4e7f6df7aUL;
   tf->codes[24086] = 0x0009f5e7e455be59UL;
   tf->codes[24087] = 0x0009f5f612f9240fUL;
   tf->codes[24088] = 0x0009f5fd64d9dcafUL;
   tf->codes[24089] = 0x0009f6486c194117UL;
   tf->codes[24090] = 0x0009f6648ed106beUL;
   tf->codes[24091] = 0x0009f670e8fc3e4cUL;
   tf->codes[24092] = 0x0009f6dbbbe3c4abUL;
   tf->codes[24093] = 0x0009f6ff307c42f2UL;
   tf->codes[24094] = 0x0009f75273d8770eUL;
   tf->codes[24095] = 0x0009f78192ef1b94UL;
   tf->codes[24096] = 0x0009f79d4088d5b1UL;
   tf->codes[24097] = 0x0009f7f00ec6fe43UL;
   tf->codes[24098] = 0x0009f855d96405b4UL;
   tf->codes[24099] = 0x0009f8e1622fc51eUL;
   tf->codes[24100] = 0x0009f971b8b6fdb1UL;
   tf->codes[24101] = 0x0009f98c7c14a0baUL;
   tf->codes[24102] = 0x0009f9f49047e1ddUL;
   tf->codes[24103] = 0x0009fa90914d40afUL;
   tf->codes[24104] = 0x0009faaefd9b4008UL;
   tf->codes[24105] = 0x0009fac393e3474aUL;
   tf->codes[24106] = 0x0009fad690422629UL;
   tf->codes[24107] = 0x0009faec10c6447fUL;
   tf->codes[24108] = 0x0009fb1836999e04UL;
   tf->codes[24109] = 0x0009fb69305f986eUL;
   tf->codes[24110] = 0x0009fb7eb0e3b6c4UL;
   tf->codes[24111] = 0x0009fbd5d7bf4cf5UL;
   tf->codes[24112] = 0x0009fbfae640f39fUL;
   tf->codes[24113] = 0x0009fc60b0ddfb10UL;
   tf->codes[24114] = 0x0009fc745ce9eb3eUL;
   tf->codes[24115] = 0x0009fcb0faf6e42bUL;
   tf->codes[24116] = 0x0009fcdf2fd1719dUL;
   tf->codes[24117] = 0x0009fce2d8c1cdedUL;
   tf->codes[24118] = 0x0009fd1a33f54227UL;
   tf->codes[24119] = 0x0009fd52ee82d8ffUL;
   tf->codes[24120] = 0x0009fd8e67c4b513UL;
   tf->codes[24121] = 0x0009fd93aa9e39c6UL;
   tf->codes[24122] = 0x0009fe78de6aced8UL;
   tf->codes[24123] = 0x0009fe8a40e08554UL;
   tf->codes[24124] = 0x0009ff3520365b2bUL;
   tf->codes[24125] = 0x0009ff6cb5f8d52aUL;
   tf->codes[24126] = 0x0009ffd3dfefff39UL;
   tf->codes[24127] = 0x000a00c3d3fea376UL;
   tf->codes[24128] = 0x000a013374a1a2feUL;
   tf->codes[24129] = 0x000a016308d6530eUL;
   tf->codes[24130] = 0x000a0199eeebbbbeUL;
   tf->codes[24131] = 0x000a01f40f0a9cf0UL;
   tf->codes[24132] = 0x000a021f4aa1df61UL;
   tf->codes[24133] = 0x000a02e43da846f2UL;
   tf->codes[24134] = 0x000a02ecb4541c6bUL;
   tf->codes[24135] = 0x000a035abb0df390UL;
   tf->codes[24136] = 0x000a037bab813260UL;
   tf->codes[24137] = 0x000a038bae9cc63eUL;
   tf->codes[24138] = 0x000a043827dbc478UL;
   tf->codes[24139] = 0x000a0454bfb195a9UL;
   tf->codes[24140] = 0x000a049db7e9c624UL;
   tf->codes[24141] = 0x000a04c300fa7293UL;
   tf->codes[24142] = 0x000a05547c4cc7ffUL;
   tf->codes[24143] = 0x000a0598a6c97f51UL;
   tf->codes[24144] = 0x000a059f0e6e20ddUL;
   tf->codes[24145] = 0x000a05e24eaec11bUL;
   tf->codes[24146] = 0x000a0613b75b9f53UL;
   tf->codes[24147] = 0x000a06417718213bUL;
   tf->codes[24148] = 0x000a06ffc7eae17bUL;
   tf->codes[24149] = 0x000a070df68e4731UL;
   tf->codes[24150] = 0x000a075fda9058afUL;
   tf->codes[24151] = 0x000a077470d85ff1UL;
   tf->codes[24152] = 0x000a07dff36cf79fUL;
   tf->codes[24153] = 0x000a084d0feab7b0UL;
   tf->codes[24154] = 0x000a0852c7e247edUL;
   tf->codes[24155] = 0x000a0861e0c1c4b7UL;
   tf->codes[24156] = 0x000a087acfa73998UL;
   tf->codes[24157] = 0x000a091ab42bfa7fUL;
   tf->codes[24158] = 0x000a091c13861d1dUL;
   tf->codes[24159] = 0x000a09f1f3e42fa0UL;
   tf->codes[24160] = 0x000a0a5574eafd5fUL;
   tf->codes[24161] = 0x000a0accdc8cc111UL;
   tf->codes[24162] = 0x000a0b7488104622UL;
   tf->codes[24163] = 0x000a0bad080ed735UL;
   tf->codes[24164] = 0x000a0bcd48d504b6UL;
   tf->codes[24165] = 0x000a0bf79a303013UL;
   tf->codes[24166] = 0x000a0c05c8d395c9UL;
   tf->codes[24167] = 0x000a0c0762bcbe2cUL;
   tf->codes[24168] = 0x000a0c17daf65d94UL;
   tf->codes[24169] = 0x000a0c59814dd56fUL;
   tf->codes[24170] = 0x000a0c740a1c72b3UL;
   tf->codes[24171] = 0x000a0cbb686b7acbUL;
   tf->codes[24172] = 0x000a0cd3a7a3de5dUL;
   tf->codes[24173] = 0x000a0cf87b967f42UL;
   tf->codes[24174] = 0x000a0db9508e7ef9UL;
   tf->codes[24175] = 0x000a0dbe58d8fde7UL;
   tf->codes[24176] = 0x000a0e0457cde361UL;
   tf->codes[24177] = 0x000a0e81ec8542daUL;
   tf->codes[24178] = 0x000a0ef7ba3dde29UL;
   tf->codes[24179] = 0x000a0efcc2885d17UL;
   tf->codes[24180] = 0x000a0f362cc3053eUL;
   tf->codes[24181] = 0x000a0f925be91a5dUL;
   tf->codes[24182] = 0x000a0fb227913c54UL;
   tf->codes[24183] = 0x000a0fcceaeedf5dUL;
   tf->codes[24184] = 0x000a0ff910c238e2UL;
   tf->codes[24185] = 0x000a1023d73b6fc9UL;
   tf->codes[24186] = 0x000a1089a1d8773aUL;
   tf->codes[24187] = 0x000a110dd8c37e04UL;
   tf->codes[24188] = 0x000a11583055d11dUL;
   tf->codes[24189] = 0x000a117abab23850UL;
   tf->codes[24190] = 0x000a1190eae367f5UL;
   tf->codes[24191] = 0x000a11e1e4a9625fUL;
   tf->codes[24192] = 0x000a11e3f3b0964cUL;
   tf->codes[24193] = 0x000a11fdccd22241UL;
   tf->codes[24194] = 0x000a12108ea1fb5bUL;
   tf->codes[24195] = 0x000a125b20c35439UL;
   tf->codes[24196] = 0x000a12d547195d27UL;
   tf->codes[24197] = 0x000a1311357944c5UL;
   tf->codes[24198] = 0x000a1387b2def163UL;
   tf->codes[24199] = 0x000a139f07db3de1UL;
   tf->codes[24200] = 0x000a13cb683d9d2bUL;
   tf->codes[24201] = 0x000a13daf63b257fUL;
   tf->codes[24202] = 0x000a14479d9ada06UL;
   tf->codes[24203] = 0x000a149d2a8d47d4UL;
   tf->codes[24204] = 0x000a14f32c9dc12cUL;
   tf->codes[24205] = 0x000a155722c29a75UL;
   tf->codes[24206] = 0x000a1566b0c022c9UL;
   tf->codes[24207] = 0x000a1675863ad1e9UL;
   tf->codes[24208] = 0x000a1710d7931f6cUL;
   tf->codes[24209] = 0x000a171ff0729c36UL;
   tf->codes[24210] = 0x000a176db66645daUL;
   tf->codes[24211] = 0x000a177e2e9fe542UL;
   tf->codes[24212] = 0x000a17efa3bb12f2UL;
   tf->codes[24213] = 0x000a181b8eff66b2UL;
   tf->codes[24214] = 0x000a185ecf4006f0UL;
   tf->codes[24215] = 0x000a186f4779a658UL;
   tf->codes[24216] = 0x000a188db3c7a5b1UL;
   tf->codes[24217] = 0x000a1891974707c6UL;
   tf->codes[24218] = 0x000a1900fd5b0189UL;
   tf->codes[24219] = 0x000a19084f3bba29UL;
   tf->codes[24220] = 0x000a190e7c5155f0UL;
   tf->codes[24221] = 0x000a198e5a9eef1bUL;
   tf->codes[24222] = 0x000a1994c24390a7UL;
   tf->codes[24223] = 0x000a19f8434a5e66UL;
   tf->codes[24224] = 0x000a19ffcfba1ccbUL;
   tf->codes[24225] = 0x000a1a15503e3b21UL;
   tf->codes[24226] = 0x000a1a360622742cUL;
   tf->codes[24227] = 0x000a1a89840dae0dUL;
   tf->codes[24228] = 0x000a1a9aabf45ec4UL;
   tf->codes[24229] = 0x000a1ad4c5dc183aUL;
   tf->codes[24230] = 0x000a1b646cb63f7eUL;
   tf->codes[24231] = 0x000a1b7d962aba24UL;
   tf->codes[24232] = 0x000a1b981ef95768UL;
   tf->codes[24233] = 0x000a1bd029d9dcf1UL;
   tf->codes[24234] = 0x000a1c729283dd4fUL;
   tf->codes[24235] = 0x000a1c780fec67c7UL;
   tf->codes[24236] = 0x000a1cd1805e37aaUL;
   tf->codes[24237] = 0x000a1d0e58fa365cUL;
   tf->codes[24238] = 0x000a1d37c0194aa5UL;
   tf->codes[24239] = 0x000a1df85a824497UL;
   tf->codes[24240] = 0x000a1e0effd17fc6UL;
   tf->codes[24241] = 0x000a1e87c6cd6616UL;
   tf->codes[24242] = 0x000a1e9336bc8690UL;
   tf->codes[24243] = 0x000a1e9963d22257UL;
   tf->codes[24244] = 0x000a1e9ac32c44f5UL;
   tf->codes[24245] = 0x000a1ecc2bd9232dUL;
   tf->codes[24246] = 0x000a1ef4339e14d8UL;
   tf->codes[24247] = 0x000a1efbfa9cd902UL;
   tf->codes[24248] = 0x000a1f1857e3a46eUL;
   tf->codes[24249] = 0x000a1fda8c35c6c3UL;
   tf->codes[24250] = 0x000a20dba82b1bb7UL;
   tf->codes[24251] = 0x000a20ddb7324fa4UL;
   tf->codes[24252] = 0x000a20e802565345UL;
   tf->codes[24253] = 0x000a20f1d85c4b5cUL;
   tf->codes[24254] = 0x000a217106fcd338UL;
   tf->codes[24255] = 0x000a219d675f3282UL;
   tf->codes[24256] = 0x000a21bde2b465c8UL;
   tf->codes[24257] = 0x000a21d4c292a6bcUL;
   tf->codes[24258] = 0x000a21dc14735f5cUL;
   tf->codes[24259] = 0x000a225d8caa20eaUL;
   tf->codes[24260] = 0x000a2290c9cf2d4aUL;
   tf->codes[24261] = 0x000a229263b855adUL;
   tf->codes[24262] = 0x000a22d35a62bc39UL;
   tf->codes[24263] = 0x000a22dde015c59fUL;
   tf->codes[24264] = 0x000a22e14e771c2aUL;
   tf->codes[24265] = 0x000a22eb5f0c1a06UL;
   tf->codes[24266] = 0x000a2374d8d0a583UL;
   tf->codes[24267] = 0x000a23cadae11edbUL;
   tf->codes[24268] = 0x000a23de86ed0f09UL;
   tf->codes[24269] = 0x000a23f47c8f38e9UL;
   tf->codes[24270] = 0x000a23f73b437e25UL;
   tf->codes[24271] = 0x000a244660914a67UL;
   tf->codes[24272] = 0x000a244b2e4cc390UL;
   tf->codes[24273] = 0x000a24678b938efcUL;
   tf->codes[24274] = 0x000a2468b05eabd5UL;
   tf->codes[24275] = 0x000a24e34bd2c04dUL;
   tf->codes[24276] = 0x000a250267cdd0f5UL;
   tf->codes[24277] = 0x000a257db2eef6bcUL;
   tf->codes[24278] = 0x000a25c87f9f555fUL;
   tf->codes[24279] = 0x000a25d5145992b2UL;
   tf->codes[24280] = 0x000a25fa22db395cUL;
   tf->codes[24281] = 0x000a2611ecf59164UL;
   tf->codes[24282] = 0x000a26839c9fc4d9UL;
   tf->codes[24283] = 0x000a2689c9b560a0UL;
   tf->codes[24284] = 0x000a26d83f561b93UL;
   tf->codes[24285] = 0x000a277405cc74a0UL;
   tf->codes[24286] = 0x000a2785a2d130e1UL;
   tf->codes[24287] = 0x000a27ee66b18353UL;
   tf->codes[24288] = 0x000a27f5b8923bf3UL;
   tf->codes[24289] = 0x000a27fedeeb22bbUL;
   tf->codes[24290] = 0x000a281215d9075fUL;
   tf->codes[24291] = 0x000a281c266e053bUL;
   tf->codes[24292] = 0x000a284c2fc0c0d5UL;
   tf->codes[24293] = 0x000a2889085cbf87UL;
   tf->codes[24294] = 0x000a288adcd4edafUL;
   tf->codes[24295] = 0x000a2894032dd477UL;
   tf->codes[24296] = 0x000a2894b2dae5c6UL;
   tf->codes[24297] = 0x000a2935f6b9c94bUL;
   tf->codes[24298] = 0x000a294ee59f3e2cUL;
   tf->codes[24299] = 0x000a2976032818c3UL;
   tf->codes[24300] = 0x000a2990c685bbccUL;
   tf->codes[24301] = 0x000a299fa4d632d1UL;
   tf->codes[24302] = 0x000a29d182a11c93UL;
   tf->codes[24303] = 0x000a2a17bc2507d2UL;
   tf->codes[24304] = 0x000a2a4999eff194UL;
   tf->codes[24305] = 0x000a2a66e172d414UL;
   tf->codes[24306] = 0x000a2a9c682e1a26UL;
   tf->codes[24307] = 0x000a2ada2b062fecUL;
   tf->codes[24308] = 0x000a2ae4b0b93952UL;
   tf->codes[24309] = 0x000a2b0b1e95029aUL;
   tf->codes[24310] = 0x000a2b632facafdfUL;
   tf->codes[24311] = 0x000a2b66d89d0c2fUL;
   tf->codes[24312] = 0x000a2b783b12c2abUL;
   tf->codes[24313] = 0x000a2b795fdddf84UL;
   tf->codes[24314] = 0x000a2bdfda27f844UL;
   tf->codes[24315] = 0x000a2be90080df0cUL;
   tf->codes[24316] = 0x000a2befa2b4865dUL;
   tf->codes[24317] = 0x000a2c4186b697dbUL;
   tf->codes[24318] = 0x000a2c4c46f8a706UL;
   tf->codes[24319] = 0x000a2c5f435785e5UL;
   tf->codes[24320] = 0x000a2ce847fe05d8UL;
   tf->codes[24321] = 0x000a2df50e71810bUL;
   tf->codes[24322] = 0x000a2e0d131aded8UL;
   tf->codes[24323] = 0x000a2e9ec8fc3a09UL;
   tf->codes[24324] = 0x000a2ecd72f4d305UL;
   tf->codes[24325] = 0x000a2ed8e2e3f37fUL;
   tf->codes[24326] = 0x000a2ef037e03ffdUL;
   tf->codes[24327] = 0x000a2f3f97bd1204UL;
   tf->codes[24328] = 0x000a2ff20382a640UL;
   tf->codes[24329] = 0x000a30032b6956f7UL;
   tf->codes[24330] = 0x000a306dc3c1d791UL;
   tf->codes[24331] = 0x000a309c332b6ac8UL;
   tf->codes[24332] = 0x000a30fbd0b2d672UL;
   tf->codes[24333] = 0x000a311bd6e9fe2eUL;
   tf->codes[24334] = 0x000a31b29515d84dUL;
   tf->codes[24335] = 0x000a32b49b474455UL;
   tf->codes[24336] = 0x000a32f25e1f5a1bUL;
   tf->codes[24337] = 0x000a32f6419ebc30UL;
   tf->codes[24338] = 0x000a33677c2ae41bUL;
   tf->codes[24339] = 0x000a338329c49e38UL;
   tf->codes[24340] = 0x000a338cffca964fUL;
   tf->codes[24341] = 0x000a34794ae8de3cUL;
   tf->codes[24342] = 0x000a357c00c75b93UL;
   tf->codes[24343] = 0x000a35efbf78c2f5UL;
   tf->codes[24344] = 0x000a366fd85561e5UL;
   tf->codes[24345] = 0x000a36f70883b3b0UL;
   tf->codes[24346] = 0x000a36f8dcfbe1d8UL;
   tf->codes[24347] = 0x000a371e609b940cUL;
   tf->codes[24348] = 0x000a376a8ca6154dUL;
   tf->codes[24349] = 0x000a37d97d9c0386UL;
   tf->codes[24350] = 0x000a37dadcf62624UL;
   tf->codes[24351] = 0x000a37fcf23481cdUL;
   tf->codes[24352] = 0x000a38b4db62a081UL;
   tf->codes[24353] = 0x000a38dd92d4a37bUL;
   tf->codes[24354] = 0x000a38ea278ee0ceUL;
   tf->codes[24355] = 0x000a39ca8d9ffcb7UL;
   tf->codes[24356] = 0x000a3ae54827d7dbUL;
   tf->codes[24357] = 0x000a3b34a804a9e2UL;
   tf->codes[24358] = 0x000a3bc86ced3900UL;
   tf->codes[24359] = 0x000a3bd7c05bbb8fUL;
   tf->codes[24360] = 0x000a3befff941f21UL;
   tf->codes[24361] = 0x000a3d01ce521942UL;
   tf->codes[24362] = 0x000a3dd774212600UL;
   tf->codes[24363] = 0x000a3e144cbd24b2UL;
   tf->codes[24364] = 0x000a3e7d109d7724UL;
   tf->codes[24365] = 0x000a3eecebcf7c71UL;
   tf->codes[24366] = 0x000a3f8a86be03a6UL;
   tf->codes[24367] = 0x000a402ec3e0322cUL;
   tf->codes[24368] = 0x000a4073637af508UL;
   tf->codes[24369] = 0x000a407e23bd0433UL;
   tf->codes[24370] = 0x000a40d07cdd213bUL;
   tf->codes[24371] = 0x000a40e637f04556UL;
   tf->codes[24372] = 0x000a41f6a7541cd9UL;
   tf->codes[24373] = 0x000a42534b983d82UL;
   tf->codes[24374] = 0x000a425fe0527ad5UL;
   tf->codes[24375] = 0x000a429d2e0c8511UL;
   tf->codes[24376] = 0x000a431161dbf7fdUL;
   tf->codes[24377] = 0x000a435e78229052UL;
   tf->codes[24378] = 0x000a43da72f0c768UL;
   tf->codes[24379] = 0x000a43de1be123b8UL;
   tf->codes[24380] = 0x000a43fab3b6f4e9UL;
   tf->codes[24381] = 0x000a440b2bf09451UL;
   tf->codes[24382] = 0x000a446ee78667d5UL;
   tf->codes[24383] = 0x000a449ef0d9236fUL;
   tf->codes[24384] = 0x000a44d17e511e80UL;
   tf->codes[24385] = 0x000a45515c9eb7abUL;
   tf->codes[24386] = 0x000a4552bbf8da49UL;
   tf->codes[24387] = 0x000a456a4b842c8cUL;
   tf->codes[24388] = 0x000a457580e44741UL;
   tf->codes[24389] = 0x000a457c5da6f457UL;
   tf->codes[24390] = 0x000a45c51b501f0dUL;
   tf->codes[24391] = 0x000a45d08b3f3f87UL;
   tf->codes[24392] = 0x000a46774c86ad84UL;
   tf->codes[24393] = 0x000a4678e66fd5e7UL;
   tf->codes[24394] = 0x000a4766cb774637UL;
   tf->codes[24395] = 0x000a477d36377ba1UL;
   tf->codes[24396] = 0x000a47fb400ce6a4UL;
   tf->codes[24397] = 0x000a481ce02d36c3UL;
   tf->codes[24398] = 0x000a48443845171fUL;
   tf->codes[24399] = 0x000a48685c8aa6b5UL;
   tf->codes[24400] = 0x000a489b2491a78bUL;
   tf->codes[24401] = 0x000a48a360ae773fUL;
   tf->codes[24402] = 0x000a48aa3d712455UL;
   tf->codes[24403] = 0x000a48dffebb702cUL;
   tf->codes[24404] = 0x000a49045d900587UL;
   tf->codes[24405] = 0x000a4910080e2bc6UL;
   tf->codes[24406] = 0x000a49192e67128eUL;
   tf->codes[24407] = 0x000a4a1074566f6bUL;
   tf->codes[24408] = 0x000a4a5513f13247UL;
   tf->codes[24409] = 0x000a4a704c6ce0daUL;
   tf->codes[24410] = 0x000a4a8b0fca83e3UL;
   tf->codes[24411] = 0x000a4b15e8e931feUL;
   tf->codes[24412] = 0x000a4b174843549cUL;
   tf->codes[24413] = 0x000a4b4b6fa47810UL;
   tf->codes[24414] = 0x000a4b4f5323da25UL;
   tf->codes[24415] = 0x000a4b5b38310629UL;
   tf->codes[24416] = 0x000a4b87237559e9UL;
   tf->codes[24417] = 0x000a4bfb1cb5c710UL;
   tf->codes[24418] = 0x000a4c08d63b213cUL;
   tf->codes[24419] = 0x000a4c9beb769f0bUL;
   tf->codes[24420] = 0x000a4cfc38ab1c04UL;
   tf->codes[24421] = 0x000a4d1f72b49486UL;
   tf->codes[24422] = 0x000a4db003cad2deUL;
   tf->codes[24423] = 0x000a4db421d93ab8UL;
   tf->codes[24424] = 0x000a4dfad07b3181UL;
   tf->codes[24425] = 0x000a4dfc2fd5541fUL;
   tf->codes[24426] = 0x000a4e2a64afe191UL;
   tf->codes[24427] = 0x000a4e7063a4c70bUL;
   tf->codes[24428] = 0x000a4ef9684b46feUL;
   tf->codes[24429] = 0x000a4f0378e044daUL;
   tf->codes[24430] = 0x000a4f1bf2a7ae31UL;
   tf->codes[24431] = 0x000a4f2eb477874bUL;
   tf->codes[24432] = 0x000a4f77acafb7c6UL;
   tf->codes[24433] = 0x000a4f994cd007e5UL;
   tf->codes[24434] = 0x000a4fef14517b78UL;
   tf->codes[24435] = 0x000a4ff3325fe352UL;
   tf->codes[24436] = 0x000a5188fd79de78UL;
   tf->codes[24437] = 0x000a51cb537e67a2UL;
   tf->codes[24438] = 0x000a51f3d06164d7UL;
   tf->codes[24439] = 0x000a51f5df6898c4UL;
   tf->codes[24440] = 0x000a521ed169a183UL;
   tf->codes[24441] = 0x000a529eafb73aaeUL;
   tf->codes[24442] = 0x000a544dded4b63fUL;
   tf->codes[24443] = 0x000a547327e562aeUL;
   tf->codes[24444] = 0x000a549bdf5765a8UL;
   tf->codes[24445] = 0x000a54cb38fd0ff3UL;
   tf->codes[24446] = 0x000a54e7d0d2e124UL;
   tf->codes[24447] = 0x000a55060291dab8UL;
   tf->codes[24448] = 0x000a5575a334da40UL;
   tf->codes[24449] = 0x000a55814db3007fUL;
   tf->codes[24450] = 0x000a55cd049f7636UL;
   tf->codes[24451] = 0x000a5615129b8f9dUL;
   tf->codes[24452] = 0x000a5649e9a9c460UL;
   tf->codes[24453] = 0x000a5690d2dac0eeUL;
   tf->codes[24454] = 0x000a5695a0963a17UL;
   tf->codes[24455] = 0x000a56d7f69ac341UL;
   tf->codes[24456] = 0x000a5703e1df1701UL;
   tf->codes[24457] = 0x000a571076995454UL;
   tf->codes[24458] = 0x000a575b7dd8b8bcUL;
   tf->codes[24459] = 0x000a57834b0ea4a2UL;
   tf->codes[24460] = 0x000a581c1841b2aeUL;
   tf->codes[24461] = 0x000a58cf6e435dfeUL;
   tf->codes[24462] = 0x000a58fe52cafcbfUL;
   tf->codes[24463] = 0x000a5975f4fbc636UL;
   tf->codes[24464] = 0x000a59e76a16f3e6UL;
   tf->codes[24465] = 0x000a59eb88255bc0UL;
   tf->codes[24466] = 0x000a5a126b1f3092UL;
   tf->codes[24467] = 0x000a5a74523cd5eeUL;
   tf->codes[24468] = 0x000a5ab87cb98d40UL;
   tf->codes[24469] = 0x000a5b173004e1d6UL;
   tf->codes[24470] = 0x000a5b85abdcc485UL;
   tf->codes[24471] = 0x000a5b944f9e35c5UL;
   tf->codes[24472] = 0x000a5bdf1c4e9468UL;
   tf->codes[24473] = 0x000a5c11e455953eUL;
   tf->codes[24474] = 0x000a5cd32e6ba07fUL;
   tf->codes[24475] = 0x000a5cd418a7b793UL;
   tf->codes[24476] = 0x000a5ce3e13445acUL;
   tf->codes[24477] = 0x000a5d964cf9d9e8UL;
   tf->codes[24478] = 0x000a5dea7a922518UL;
   tf->codes[24479] = 0x000a5e0cca5f8686UL;
   tf->codes[24480] = 0x000a5e183a4ea700UL;
   tf->codes[24481] = 0x000a5e46e4473ffcUL;
   tf->codes[24482] = 0x000a5e49a2fb8538UL;
   tf->codes[24483] = 0x000a5e69e3c1b2b9UL;
   tf->codes[24484] = 0x000a5e76b30af5d1UL;
   tf->codes[24485] = 0x000a5eeb96877a0cUL;
   tf->codes[24486] = 0x000a5f9a93ebb7bdUL;
   tf->codes[24487] = 0x000a5ffeff2e9c90UL;
   tf->codes[24488] = 0x000a60090fc39a6cUL;
   tf->codes[24489] = 0x000a601270ab86f9UL;
   tf->codes[24490] = 0x000a603953a55bcbUL;
   tf->codes[24491] = 0x000a60e900b6aacbUL;
   tf->codes[24492] = 0x000a6103fea35399UL;
   tf->codes[24493] = 0x000a611efc8ffc67UL;
   tf->codes[24494] = 0x000a6127e859dd6aUL;
   tf->codes[24495] = 0x000a627913d915b4UL;
   tf->codes[24496] = 0x000a631d50fb443aUL;
   tf->codes[24497] = 0x000a636474bb468dUL;
   tf->codes[24498] = 0x000a636a2cb2d6caUL;
   tf->codes[24499] = 0x000a637402b8cee1UL;
   tf->codes[24500] = 0x000a638948ade772UL;
   tf->codes[24501] = 0x000a648f325eb58fUL;
   tf->codes[24502] = 0x000a64cec9aef97dUL;
   tf->codes[24503] = 0x000a652d07dc4289UL;
   tf->codes[24504] = 0x000a656c649d80b2UL;
   tf->codes[24505] = 0x000a6584a3d5e444UL;
   tf->codes[24506] = 0x000a659382265b49UL;
   tf->codes[24507] = 0x000a6612b0c6e325UL;
   tf->codes[24508] = 0x000a663d02220e82UL;
   tf->codes[24509] = 0x000a665248172713UL;
   tf->codes[24510] = 0x000a6655b6787d9eUL;
   tf->codes[24511] = 0x000a66f6fa576123UL;
   tf->codes[24512] = 0x000a6714074b3ddeUL;
   tf->codes[24513] = 0x000a673da8f957ecUL;
   tf->codes[24514] = 0x000a6793707acb7fUL;
   tf->codes[24515] = 0x000a67d1e2fff294UL;
   tf->codes[24516] = 0x000a67f1aea8148bUL;
   tf->codes[24517] = 0x000a68410e84e692UL;
   tf->codes[24518] = 0x000a684392aa2609UL;
   tf->codes[24519] = 0x000a6858d89f3e9aUL;
   tf->codes[24520] = 0x000a685c0c718f60UL;
   tf->codes[24521] = 0x000a68762022211aUL;
   tf->codes[24522] = 0x000a6887f7b5e320UL;
   tf->codes[24523] = 0x000a68d0efee139bUL;
   tf->codes[24524] = 0x000a691dcba5a62bUL;
   tf->codes[24525] = 0x000a692f68aa626cUL;
   tf->codes[24526] = 0x000a697233ccf720UL;
   tf->codes[24527] = 0x000a69dba75a5ae1UL;
   tf->codes[24528] = 0x000a69edb97d22acUL;
   tf->codes[24529] = 0x000a6a45ca94cff1UL;
   tf->codes[24530] = 0x000a6a49ae143206UL;
   tf->codes[24531] = 0x000a6a755ec98001UL;
   tf->codes[24532] = 0x000a6b9387b2b1b0UL;
   tf->codes[24533] = 0x000a6be2e78f83b7UL;
   tf->codes[24534] = 0x000a6bfab1a9dbbfUL;
   tf->codes[24535] = 0x000a6c2db43fe25aUL;
   tf->codes[24536] = 0x000a6c3a0e6b19e8UL;
   tf->codes[24537] = 0x000a6c3f8bd3a460UL;
   tf->codes[24538] = 0x000a6c5964f53055UL;
   tf->codes[24539] = 0x000a6c9727cd461bUL;
   tf->codes[24540] = 0x000a6d19c4cf2482UL;
   tf->codes[24541] = 0x000a6d9d869c1fc2UL;
   tf->codes[24542] = 0x000a6de31072f9b2UL;
   tf->codes[24543] = 0x000a6e57f3ef7dedUL;
   tf->codes[24544] = 0x000a6f151ff72154UL;
   tf->codes[24545] = 0x000a6f27e1c6fa6eUL;
   tf->codes[24546] = 0x000a6f7cf99b5cb2UL;
   tf->codes[24547] = 0x000a702ad2347d8aUL;
   tf->codes[24548] = 0x000a706686055f63UL;
   tf->codes[24549] = 0x000a7089fa9dddaaUL;
   tf->codes[24550] = 0x000a70948050e710UL;
   tf->codes[24551] = 0x000a70f0af76fc2fUL;
   tf->codes[24552] = 0x000a7151373a7eedUL;
   tf->codes[24553] = 0x000a7181408d3a87UL;
   tf->codes[24554] = 0x000a71829fe75d25UL;
   tf->codes[24555] = 0x000a71ee979a005dUL;
   tf->codes[24556] = 0x000a7202f35301daUL;
   tf->codes[24557] = 0x000a721998a23d09UL;
   tf->codes[24558] = 0x000a729b10d8fe97UL;
   tf->codes[24559] = 0x000a72e1bf7af560UL;
   tf->codes[24560] = 0x000a72f272439a8dUL;
   tf->codes[24561] = 0x000a731069738e5cUL;
   tf->codes[24562] = 0x000a739eb0f39302UL;
   tf->codes[24563] = 0x000a73f7ac47575bUL;
   tf->codes[24564] = 0x000a74147eac2e51UL;
   tf->codes[24565] = 0x000a741702d16dc8UL;
   tf->codes[24566] = 0x000a75509ec553cfUL;
   tf->codes[24567] = 0x000a756fbac06477UL;
   tf->codes[24568] = 0x000a7578a68a457aUL;
   tf->codes[24569] = 0x000a75d3b0e53dc0UL;
   tf->codes[24570] = 0x000a75ebb58e9b8dUL;
   tf->codes[24571] = 0x000a75f37c8d5fb7UL;
   tf->codes[24572] = 0x000a760d1b1fe5e7UL;
   tf->codes[24573] = 0x000a7658d20c5b9eUL;
   tf->codes[24574] = 0x000a7688db5f1738UL;
   tf->codes[24575] = 0x000a76bba366180eUL;
   tf->codes[24576] = 0x000a76ea12cfab45UL;
   tf->codes[24577] = 0x000a76fe33f9a6fdUL;
   tf->codes[24578] = 0x000a77785a4fafebUL;
   tf->codes[24579] = 0x000a77d3d9c8b3bbUL;
   tf->codes[24580] = 0x000a78112782bdf7UL;
   tf->codes[24581] = 0x000a7946a5683c24UL;
   tf->codes[24582] = 0x000a796880179208UL;
   tf->codes[24583] = 0x000a7968f5359d92UL;
   tf->codes[24584] = 0x000a798726f49726UL;
   tf->codes[24585] = 0x000a7989708ad0d8UL;
   tf->codes[24586] = 0x000a79e59fb0e5f7UL;
   tf->codes[24587] = 0x000a7a06902424c7UL;
   tf->codes[24588] = 0x000a7a1f447a93e3UL;
   tf->codes[24589] = 0x000a7a4243f506a0UL;
   tf->codes[24590] = 0x000a7a50e7b677e0UL;
   tf->codes[24591] = 0x000a7ae596db1e12UL;
   tf->codes[24592] = 0x000a7be6032361b7UL;
   tf->codes[24593] = 0x000a7bec3038fd7eUL;
   tf->codes[24594] = 0x000a7c05943c7de9UL;
   tf->codes[24595] = 0x000a7c4c42de74b2UL;
   tf->codes[24596] = 0x000a7cee366a6986UL;
   tf->codes[24597] = 0x000a7d38c88bc264UL;
   tf->codes[24598] = 0x000a7d39b2c7d978UL;
   tf->codes[24599] = 0x000a7dcc185645f8UL;
   tf->codes[24600] = 0x000a7def8ceec43fUL;
   tf->codes[24601] = 0x000a7e6bc24c011aUL;
   tf->codes[24602] = 0x000a7ecd344b9aecUL;
   tf->codes[24603] = 0x000a7f1be47b5ba4UL;
   tf->codes[24604] = 0x000a7f8a9ae24418UL;
   tf->codes[24605] = 0x000a7f9c7276061eUL;
   tf->codes[24606] = 0x000a8035b4c71fb4UL;
   tf->codes[24607] = 0x000a804f18caa01fUL;
   tf->codes[24608] = 0x000a8072184512dcUL;
   tf->codes[24609] = 0x000a808d1631bbaaUL;
   tf->codes[24610] = 0x000a8090f9b11dbfUL;
   tf->codes[24611] = 0x000a80e6fbc19717UL;
   tf->codes[24612] = 0x000a80f6c44e2530UL;
   tf->codes[24613] = 0x000a811b2322ba8bUL;
   tf->codes[24614] = 0x000a8147f8a3255fUL;
   tf->codes[24615] = 0x000a815d792743b5UL;
   tf->codes[24616] = 0x000a8194d45ab7efUL;
   tf->codes[24617] = 0x000a826b29d6d5fcUL;
   tf->codes[24618] = 0x000a8287c1aca72dUL;
   tf->codes[24619] = 0x000a82ef9b50e28bUL;
   tf->codes[24620] = 0x000a830ca844bf46UL;
   tf->codes[24621] = 0x000a8315ce9da60eUL;
   tf->codes[24622] = 0x000a836d6a9747c9UL;
   tf->codes[24623] = 0x000a838b9c56415dUL;
   tf->codes[24624] = 0x000a83fee5e99d35UL;
   tf->codes[24625] = 0x000a840722066ce9UL;
   tf->codes[24626] = 0x000a867083e840e0UL;
   tf->codes[24627] = 0x000a867f9cc7bdaaUL;
   tf->codes[24628] = 0x000a870866df37d8UL;
   tf->codes[24629] = 0x000a876127a3f66cUL;
   tf->codes[24630] = 0x000a877a8ba776d7UL;
   tf->codes[24631] = 0x000a877dbf79c79dUL;
   tf->codes[24632] = 0x000a879bb6a9bb6cUL;
   tf->codes[24633] = 0x000a87ef6f23fb12UL;
   tf->codes[24634] = 0x000a88cc66d3c070UL;
   tf->codes[24635] = 0x000a8916be661389UL;
   tf->codes[24636] = 0x000a8979ca4ed5beUL;
   tf->codes[24637] = 0x000a89ed13e23196UL;
   tf->codes[24638] = 0x000a8a0b0b122565UL;
   tf->codes[24639] = 0x000a8a5a305ff1a7UL;
   tf->codes[24640] = 0x000a8a7fb3ffa3dbUL;
   tf->codes[24641] = 0x000a8a894f76962dUL;
   tf->codes[24642] = 0x000a8a89c494a1b7UL;
   tf->codes[24643] = 0x000a8b1a9039e5d4UL;
   tf->codes[24644] = 0x000a8b4e07edf7f9UL;
   tf->codes[24645] = 0x000a8b56f3b7d8fcUL;
   tf->codes[24646] = 0x000a8b7aa2df5d08UL;
   tf->codes[24647] = 0x000a8b9b93529bd8UL;
   tf->codes[24648] = 0x000a8c9313d0fe7aUL;
   tf->codes[24649] = 0x000a8c96f750608fUL;
   tf->codes[24650] = 0x000a8d7f5eef4667UL;
   tf->codes[24651] = 0x000a8e0f7ae77935UL;
   tf->codes[24652] = 0x000a8efc75b2d271UL;
   tf->codes[24653] = 0x000a8f52ece15753UL;
   tf->codes[24654] = 0x000a8fe3f315a135UL;
   tf->codes[24655] = 0x000a8fef2875bbeaUL;
   tf->codes[24656] = 0x000a907867ab41a2UL;
   tf->codes[24657] = 0x000a90c125546c58UL;
   tf->codes[24658] = 0x000a90cf8e86d7d3UL;
   tf->codes[24659] = 0x000a90d5bb9c739aUL;
   tf->codes[24660] = 0x000a914103a20583UL;
   tf->codes[24661] = 0x000a9164783a83caUL;
   tf->codes[24662] = 0x000a919b98def23fUL;
   tf->codes[24663] = 0x000a91f3a9f69f84UL;
   tf->codes[24664] = 0x000a920805afa101UL;
   tf->codes[24665] = 0x000a929821a7d3cfUL;
   tf->codes[24666] = 0x000a934167148143UL;
   tf->codes[24667] = 0x000a9349a33150f7UL;
   tf->codes[24668] = 0x000a93d4b6df04d7UL;
   tf->codes[24669] = 0x000a93ee1ae28542UL;
   tf->codes[24670] = 0x000a93fcbea3f682UL;
   tf->codes[24671] = 0x000a94692b74a544UL;
   tf->codes[24672] = 0x000a948acb94f563UL;
   tf->codes[24673] = 0x000a955c53559a47UL;
   tf->codes[24674] = 0x000a9565b43d86d4UL;
   tf->codes[24675] = 0x000a9567c344bac1UL;
   tf->codes[24676] = 0x000a959beaa5de35UL;
   tf->codes[24677] = 0x000a95c8107937baUL;
   tf->codes[24678] = 0x000a96197f5d3daeUL;
   tf->codes[24679] = 0x000a961cb32f8e74UL;
   tf->codes[24680] = 0x000a963a6fd07c7eUL;
   tf->codes[24681] = 0x000a966cc2b971caUL;
   tf->codes[24682] = 0x000a97255b94a1cdUL;
   tf->codes[24683] = 0x000a974143bd61afUL;
   tf->codes[24684] = 0x000a974cb3ac8229UL;
   tf->codes[24685] = 0x000a9761bf1294f5UL;
   tf->codes[24686] = 0x000a977b23161560UL;
   tf->codes[24687] = 0x000a978ff3ed2267UL;
   tf->codes[24688] = 0x000a97c789af9c66UL;
   tf->codes[24689] = 0x000a97cc576b158fUL;
   tf->codes[24690] = 0x000a984d1ff4c5ceUL;
   tf->codes[24691] = 0x000a989c7fd197d5UL;
   tf->codes[24692] = 0x000a98edeeb59dc9UL;
   tf->codes[24693] = 0x000a98f281e2112dUL;
   tf->codes[24694] = 0x000a98f3318f227cUL;
   tf->codes[24695] = 0x000a998d98ab58ebUL;
   tf->codes[24696] = 0x000a999d26a8e13fUL;
   tf->codes[24697] = 0x000a99c1fa9b8224UL;
   tf->codes[24698] = 0x000a9a3f8f52e19dUL;
   tf->codes[24699] = 0x000a9a65c29fa520UL;
   tf->codes[24700] = 0x000a9b1e5b7ad523UL;
   tf->codes[24701] = 0x000a9b8eabcae5faUL;
   tf->codes[24702] = 0x000a9bb220636441UL;
   tf->codes[24703] = 0x000a9c382bc69933UL;
   tf->codes[24704] = 0x000a9d77f4d01b01UL;
   tf->codes[24705] = 0x000a9fa9fb7e7abeUL;
   tf->codes[24706] = 0x000a9fe70ea97f35UL;
   tf->codes[24707] = 0x000aa0913e5243bdUL;
   tf->codes[24708] = 0x000aa0c147a4ff57UL;
   tf->codes[24709] = 0x000aa0cf7648650dUL;
   tf->codes[24710] = 0x000aa15d833963eeUL;
   tf->codes[24711] = 0x000aa16a5282a706UL;
   tf->codes[24712] = 0x000aa16b774dc3dfUL;
   tf->codes[24713] = 0x000aa1bd5b4fd55dUL;
   tf->codes[24714] = 0x000aa1c3c2f476e9UL;
   tf->codes[24715] = 0x000aa1ff3c3652fdUL;
   tf->codes[24716] = 0x000aa29510261608UL;
   tf->codes[24717] = 0x000aa386638edce3UL;
   tf->codes[24718] = 0x000aa3dbb5f244ecUL;
   tf->codes[24719] = 0x000aa48a3e387713UL;
   tf->codes[24720] = 0x000aa4f635eb1a4bUL;
   tf->codes[24721] = 0x000aa5096cd8feefUL;
   tf->codes[24722] = 0x000aa50bf0fe3e66UL;
   tf->codes[24723] = 0x000aa51258a2dff2UL;
   tf->codes[24724] = 0x000aa566c0ca30e7UL;
   tf->codes[24725] = 0x000aa56d9d8cddfdUL;
   tf->codes[24726] = 0x000aa578233fe763UL;
   tf->codes[24727] = 0x000aa59913b32633UL;
   tf->codes[24728] = 0x000aa59b22ba5a20UL;
   tf->codes[24729] = 0x000aa5bc4dbc9eb5UL;
   tf->codes[24730] = 0x000aa5c2eff04606UL;
   tf->codes[24731] = 0x000aa5e629f9be88UL;
   tf->codes[24732] = 0x000aa616334c7a22UL;
   tf->codes[24733] = 0x000aa63d8b645a7eUL;
   tf->codes[24734] = 0x000aa78a98d52aeeUL;
   tf->codes[24735] = 0x000aa7997725a1f3UL;
   tf->codes[24736] = 0x000aa7c736e223dbUL;
   tf->codes[24737] = 0x000aa81a3faf5232UL;
   tf->codes[24738] = 0x000aa81c1427805aUL;
   tf->codes[24739] = 0x000aa8c977a295a8UL;
   tf->codes[24740] = 0x000aa8e5d4e96114UL;
   tf->codes[24741] = 0x000aa8fa30a26291UL;
   tf->codes[24742] = 0x000aa967fccd33f1UL;
   tf->codes[24743] = 0x000aa96c1adb9bcbUL;
   tf->codes[24744] = 0x000aa9d3f47fd729UL;
   tf->codes[24745] = 0x000aaa310de2035cUL;
   tf->codes[24746] = 0x000aaa8416af31b3UL;
   tf->codes[24747] = 0x000aaa9f149bda81UL;
   tf->codes[24748] = 0x000aaac71c60cc2cUL;
   tf->codes[24749] = 0x000aaaef2425bdd7UL;
   tf->codes[24750] = 0x000aab48cf26937fUL;
   tf->codes[24751] = 0x000aab5e4faab1d5UL;
   tf->codes[24752] = 0x000aab9b62d5b64cUL;
   tf->codes[24753] = 0x000aac0f5c162373UL;
   tf->codes[24754] = 0x000aac2b7ecde91aUL;
   tf->codes[24755] = 0x000aac493b6ed724UL;
   tf->codes[24756] = 0x000aaccfbbf017a0UL;
   tf->codes[24757] = 0x000aad513426d92eUL;
   tf->codes[24758] = 0x000aad516eb5def3UL;
   tf->codes[24759] = 0x000aad9648dfa794UL;
   tf->codes[24760] = 0x000aadeff3e07d3cUL;
   tf->codes[24761] = 0x000aae76aef0c37dUL;
   tf->codes[24762] = 0x000aae9a98a74d4eUL;
   tf->codes[24763] = 0x000aaf975bff34a3UL;
   tf->codes[24764] = 0x000ab1f7226a1648UL;
   tf->codes[24765] = 0x000ab269bc5060d1UL;
   tf->codes[24766] = 0x000ab293236f751aUL;
   tf->codes[24767] = 0x000ab2e1d39f35d2UL;
   tf->codes[24768] = 0x000ab3171fcb761fUL;
   tf->codes[24769] = 0x000ab3f19355fc06UL;
   tf->codes[24770] = 0x000ab48a25fa044dUL;
   tf->codes[24771] = 0x000ab51bdbdb5f7eUL;
   tf->codes[24772] = 0x000ab51c166a6543UL;
   tf->codes[24773] = 0x000ab54c94db2c67UL;
   tf->codes[24774] = 0x000ab576e63657c4UL;
   tf->codes[24775] = 0x000ab58932e82554UL;
   tf->codes[24776] = 0x000ab5ec0441e1c4UL;
   tf->codes[24777] = 0x000ab5fc41ec7b67UL;
   tf->codes[24778] = 0x000ab6144695d934UL;
   tf->codes[24779] = 0x000ab6fcae34bf0cUL;
   tf->codes[24780] = 0x000ab74ae946743aUL;
   tf->codes[24781] = 0x000ab752ead43e29UL;
   tf->codes[24782] = 0x000ab7832eb5ff88UL;
   tf->codes[24783] = 0x000ab7f1356fd6adUL;
   tf->codes[24784] = 0x000ab8055699d265UL;
   tf->codes[24785] = 0x000ab87d3359a1a1UL;
   tf->codes[24786] = 0x000ab95caf2ea676UL;
   tf->codes[24787] = 0x000ab9622c9730eeUL;
   tf->codes[24788] = 0x000ab979bc228331UL;
   tf->codes[24789] = 0x000aba02c0c90324UL;
   tf->codes[24790] = 0x000aba0d467c0c8aUL;
   tf->codes[24791] = 0x000aba2fd0d873bdUL;
   tf->codes[24792] = 0x000aba9560e67569UL;
   tf->codes[24793] = 0x000abb94a8639c35UL;
   tf->codes[24794] = 0x000abc5a10880f50UL;
   tf->codes[24795] = 0x000abc8e37e932c4UL;
   tf->codes[24796] = 0x000abc9e0075c0ddUL;
   tf->codes[24797] = 0x000abcaf62eb7759UL;
   tf->codes[24798] = 0x000abcc3bea478d6UL;
   tf->codes[24799] = 0x000abcfdd88c324cUL;
   tf->codes[24800] = 0x000abe1dd5ed9223UL;
   tf->codes[24801] = 0x000abf7e1a4c4737UL;
   tf->codes[24802] = 0x000abfb9938e234bUL;
   tf->codes[24803] = 0x000ac0d2047fc4bdUL;
   tf->codes[24804] = 0x000ac0da7b2b9a36UL;
   tf->codes[24805] = 0x000ac0ecc7dd67c6UL;
   tf->codes[24806] = 0x000ac25ee3cfdee0UL;
   tf->codes[24807] = 0x000ac26eac5c6cf9UL;
   tf->codes[24808] = 0x000ac29972d5a3e0UL;
   tf->codes[24809] = 0x000ac35df0bdffe7UL;
   tf->codes[24810] = 0x000ac38c9ab698e3UL;
   tf->codes[24811] = 0x000ac3ceb62c1c48UL;
   tf->codes[24812] = 0x000ac40e12ed5a71UL;
   tf->codes[24813] = 0x000ac4b42487b71fUL;
   tf->codes[24814] = 0x000ac4c0f3d0fa37UL;
   tf->codes[24815] = 0x000ac4e16f262d7dUL;
   tf->codes[24816] = 0x000ac5718b1e604bUL;
   tf->codes[24817] = 0x000ac5823de70578UL;
   tf->codes[24818] = 0x000ac610fa8515a8UL;
   tf->codes[24819] = 0x000ac61553228347UL;
   tf->codes[24820] = 0x000ac61e045d5e85UL;
   tf->codes[24821] = 0x000ac6d78774a59cUL;
   tf->codes[24822] = 0x000ac6ddef194728UL;
   tf->codes[24823] = 0x000ac6f6a36fb644UL;
   tf->codes[24824] = 0x000ac6fd45a35d95UL;
   tf->codes[24825] = 0x000ac7529806c59eUL;
   tf->codes[24826] = 0x000ac7c706653e4fUL;
   tf->codes[24827] = 0x000ac7eb9fc8d96fUL;
   tf->codes[24828] = 0x000ac832fe17e187UL;
   tf->codes[24829] = 0x000ac849ddf6227bUL;
   tf->codes[24830] = 0x000ac85f23eb3b0cUL;
   tf->codes[24831] = 0x000ac89e461d7370UL;
   tf->codes[24832] = 0x000ac8b525fbb464UL;
   tf->codes[24833] = 0x000ac8de17fcbd23UL;
   tf->codes[24834] = 0x000ac91d3a2ef587UL;
   tf->codes[24835] = 0x000ac9583e52c611UL;
   tf->codes[24836] = 0x000ac96b3ab1a4f0UL;
   tf->codes[24837] = 0x000aca1f4060618fUL;
   tf->codes[24838] = 0x000aca9c5ff9b57eUL;
   tf->codes[24839] = 0x000acb414cc8f553UL;
   tf->codes[24840] = 0x000acb54be45dfbcUL;
   tf->codes[24841] = 0x000acb811ea83f06UL;
   tf->codes[24842] = 0x000acbb4d0eb56f0UL;
   tf->codes[24843] = 0x000acbd2186e3970UL;
   tf->codes[24844] = 0x000acc3cb0c6ba0aUL;
   tf->codes[24845] = 0x000acc8e94c8cb88UL;
   tf->codes[24846] = 0x000accff5a36e7e9UL;
   tf->codes[24847] = 0x000acd07d0e2bd62UL;
   tf->codes[24848] = 0x000acd5f6cdc5f1dUL;
   tf->codes[24849] = 0x000acd6d9b7fc4d3UL;
   tf->codes[24850] = 0x000acd7ec366758aUL;
   tf->codes[24851] = 0x000acdbcfb5c96daUL;
   tf->codes[24852] = 0x000acde74cb7c237UL;
   tf->codes[24853] = 0x000ace0f8f0bb9a7UL;
   tf->codes[24854] = 0x000ace100429c531UL;
   tf->codes[24855] = 0x000ace455056057eUL;
   tf->codes[24856] = 0x000acee8a33c1cf0UL;
   tf->codes[24857] = 0x000acef91b75bc58UL;
   tf->codes[24858] = 0x000acf64637b4e41UL;
   tf->codes[24859] = 0x000ad006cc254e9fUL;
   tf->codes[24860] = 0x000ad0e3c3d513fdUL;
   tf->codes[24861] = 0x000ad16e27d5b68eUL;
   tf->codes[24862] = 0x000ad19336575d38UL;
   tf->codes[24863] = 0x000ad246173afcfeUL;
   tf->codes[24864] = 0x000ad400b6479909UL;
   tf->codes[24865] = 0x000ad4012b65a493UL;
   tf->codes[24866] = 0x000ad413b2a677e8UL;
   tf->codes[24867] = 0x000ad4964fa8564fUL;
   tf->codes[24868] = 0x000ad4ff88a6b44bUL;
   tf->codes[24869] = 0x000ad579746db774UL;
   tf->codes[24870] = 0x000ad59b148e0793UL;
   tf->codes[24871] = 0x000ad655bc706b83UL;
   tf->codes[24872] = 0x000ad6716a0a25a0UL;
   tf->codes[24873] = 0x000ad6eae0b31d3fUL;
   tf->codes[24874] = 0x000ad70aac5b3f36UL;
   tf->codes[24875] = 0x000ad76d0896f01cUL;
   tf->codes[24876] = 0x000ad7f4735447acUL;
   tf->codes[24877] = 0x000ad8168892a355UL;
   tf->codes[24878] = 0x000ad82a6f2d9948UL;
   tf->codes[24879] = 0x000ad82fec9623c0UL;
   tf->codes[24880] = 0x000ad83a37ba2761UL;
   tf->codes[24881] = 0x000ad8848f4c7a7aUL;
   tf->codes[24882] = 0x000ad8c4d649cfb7UL;
   tf->codes[24883] = 0x000ad8fe408477deUL;
   tf->codes[24884] = 0x000ad9db38343d3cUL;
   tf->codes[24885] = 0x000ada0a574ae1c2UL;
   tf->codes[24886] = 0x000adb09643902c9UL;
   tf->codes[24887] = 0x000adb28bac31936UL;
   tf->codes[24888] = 0x000adb321bab05c3UL;
   tf->codes[24889] = 0x000adb64e3b20699UL;
   tf->codes[24890] = 0x000adc951ebe0013UL;
   tf->codes[24891] = 0x000adcf2e7cd3d95UL;
   tf->codes[24892] = 0x000add47ffa19fd9UL;
   tf->codes[24893] = 0x000add699fc1eff8UL;
   tf->codes[24894] = 0x000add9cdce6fc58UL;
   tf->codes[24895] = 0x000adddebdcd79f8UL;
   tf->codes[24896] = 0x000addf687e7d200UL;
   tf->codes[24897] = 0x000ade02a78403c9UL;
   tf->codes[24898] = 0x000adee9001bb5b4UL;
   tf->codes[24899] = 0x000adf0e0e9d5c5eUL;
   tf->codes[24900] = 0x000adf17e4a35475UL;
   tf->codes[24901] = 0x000adfc3e8c44725UL;
   tf->codes[24902] = 0x000adfcb0015fa00UL;
   tf->codes[24903] = 0x000adfddfc74d8dfUL;
   tf->codes[24904] = 0x000ae056fdffc4f4UL;
   tf->codes[24905] = 0x000ae0b95a3b75daUL;
   tf->codes[24906] = 0x000ae0d2f8cdfc0aUL;
   tf->codes[24907] = 0x000ae147672c74bbUL;
   tf->codes[24908] = 0x000ae1e5b1c80d3fUL;
   tf->codes[24909] = 0x000ae1f5ef72a6e2UL;
   tf->codes[24910] = 0x000ae23fd1e6ee71UL;
   tf->codes[24911] = 0x000ae2fc88d0864eUL;
   tf->codes[24912] = 0x000ae3967aceb133UL;
   tf->codes[24913] = 0x000ae3f1100b9defUL;
   tf->codes[24914] = 0x000ae5f1e89c2539UL;
   tf->codes[24915] = 0x000ae61a657f226eUL;
   tf->codes[24916] = 0x000ae61e48fe8483UL;
   tf->codes[24917] = 0x000ae6bdf2f43fa5UL;
   tf->codes[24918] = 0x000ae6df588589ffUL;
   tf->codes[24919] = 0x000ae6ef963023a2UL;
   tf->codes[24920] = 0x000ae8342cf51e99UL;
   tf->codes[24921] = 0x000ae8bf40a2d279UL;
   tf->codes[24922] = 0x000ae95b41a8314bUL;
   tf->codes[24923] = 0x000ae984a8c74594UL;
   tf->codes[24924] = 0x000aea6ee4de5994UL;
   tf->codes[24925] = 0x000aead9b7c5dff3UL;
   tf->codes[24926] = 0x000aeaee137ee170UL;
   tf->codes[24927] = 0x000aeb77c7d272b2UL;
   tf->codes[24928] = 0x000aeb78ec9d8f8bUL;
   tf->codes[24929] = 0x000aeb88efb92369UL;
   tf->codes[24930] = 0x000aec8e644be5fcUL;
   tf->codes[24931] = 0x000aece6aff29906UL;
   tf->codes[24932] = 0x000aed6d6b02df47UL;
   tf->codes[24933] = 0x000aed97f6ed1069UL;
   tf->codes[24934] = 0x000aeddf8fcb1e46UL;
   tf->codes[24935] = 0x000aedeaffba3ec0UL;
   tf->codes[24936] = 0x000aedff96024602UL;
   tf->codes[24937] = 0x000aee0d14f89a69UL;
   tf->codes[24938] = 0x000aee1a1ed0e346UL;
   tf->codes[24939] = 0x000aee973e6a3735UL;
   tf->codes[24940] = 0x000aeed86fa3a386UL;
   tf->codes[24941] = 0x000aeedf86f55661UL;
   tf->codes[24942] = 0x000aef7978f38146UL;
   tf->codes[24943] = 0x000aef98cf7d97b3UL;
   tf->codes[24944] = 0x000aef9fac4044c9UL;
   tf->codes[24945] = 0x000aefc654ab13d6UL;
   tf->codes[24946] = 0x000aefe23cd3d3b8UL;
   tf->codes[24947] = 0x000af0904ffbfa55UL;
   tf->codes[24948] = 0x000af0cfe74c3e43UL;
   tf->codes[24949] = 0x000af16d47abbfb3UL;
   tf->codes[24950] = 0x000af21617fa619dUL;
   tf->codes[24951] = 0x000af2d8fbf99541UL;
   tf->codes[24952] = 0x000af2e51b95c70aUL;
   tf->codes[24953] = 0x000af3f082af1f9fUL;
   tf->codes[24954] = 0x000af3f42b9f7befUL;
   tf->codes[24955] = 0x000af3fd17695cf2UL;
   tf->codes[24956] = 0x000af46c7d7d56b5UL;
   tf->codes[24957] = 0x000af4b784bcbb1dUL;
   tf->codes[24958] = 0x000af4ee30431e08UL;
   tf->codes[24959] = 0x000af51d14cabcc9UL;
   tf->codes[24960] = 0x000af592a7f45253UL;
   tf->codes[24961] = 0x000af693c3e9a747UL;
   tf->codes[24962] = 0x000af72ba6e09e3fUL;
   tf->codes[24963] = 0x000af799730b6f9fUL;
   tf->codes[24964] = 0x000af7daded3e1b5UL;
   tf->codes[24965] = 0x000af84a0a58d5b3UL;
   tf->codes[24966] = 0x000af84e62f64352UL;
   tf->codes[24967] = 0x000af88ac674367aUL;
   tf->codes[24968] = 0x000af918d365355bUL;
   tf->codes[24969] = 0x000af9bd85a56f6bUL;
   tf->codes[24970] = 0x000af9f3f69ccc91UL;
   tf->codes[24971] = 0x000afa0d20114737UL;
   tf->codes[24972] = 0x000afac36f563d88UL;
   tf->codes[24973] = 0x000afad4221ee2b5UL;
   tf->codes[24974] = 0x000afb52dba15f07UL;
   tf->codes[24975] = 0x000afbfa1206d88eUL;
   tf->codes[24976] = 0x000afc7e48f1df58UL;
   tf->codes[24977] = 0x000afc8267004732UL;
   tf->codes[24978] = 0x000afcfd77926734UL;
   tf->codes[24979] = 0x000afd032f89f771UL;
   tf->codes[24980] = 0x000afd58475e59b5UL;
   tf->codes[24981] = 0x000afd5fd3ce181aUL;
   tf->codes[24982] = 0x000afd9ce6f91c91UL;
   tf->codes[24983] = 0x000afdf1149167c1UL;
   tf->codes[24984] = 0x000afe0f80df671aUL;
   tf->codes[24985] = 0x000afe62c43b9b36UL;
   tf->codes[24986] = 0x000afe8d1596c693UL;
   tf->codes[24987] = 0x000affe6b7c1d456UL;
   tf->codes[24988] = 0x000afff018a9c0e3UL;
   tf->codes[24989] = 0x000b008af4e402dcUL;
   tf->codes[24990] = 0x000b00f81161c2edUL;
   tf->codes[24991] = 0x000b0287af66224cUL;
   tf->codes[24992] = 0x000b028ddc7bbe13UL;
   tf->codes[24993] = 0x000b02eabb4ee481UL;
   tf->codes[24994] = 0x000b030c95fe3a65UL;
   tf->codes[24995] = 0x000b030f54b27fa1UL;
   tf->codes[24996] = 0x000b03121366c4ddUL;
   tf->codes[24997] = 0x000b0392dbf0751cUL;
   tf->codes[24998] = 0x000b05928fb5df8dUL;
   tf->codes[24999] = 0x000b05f0935422d4UL;
   tf->codes[25000] = 0x000b06ceafcf050bUL;
   tf->codes[25001] = 0x000b06e1370fd860UL;
   tf->codes[25002] = 0x000b06fe4403b51bUL;
   tf->codes[25003] = 0x000b073d6635ed7fUL;
   tf->codes[25004] = 0x000b0795774d9ac4UL;
   tf->codes[25005] = 0x000b07987090e5c5UL;
   tf->codes[25006] = 0x000b07ef5cdd7631UL;
   tf->codes[25007] = 0x000b07f798fa45e5UL;
   tf->codes[25008] = 0x000b08146b5f1cdbUL;
   tf->codes[25009] = 0x000b0857ab9fbd19UL;
   tf->codes[25010] = 0x000b088cf7cbfd66UL;
   tf->codes[25011] = 0x000b08dcccc6daf7UL;
   tf->codes[25012] = 0x000b08e83cb5fb71UL;
   tf->codes[25013] = 0x000b0985d7a482a6UL;
   tf->codes[25014] = 0x000b0986fc6f9f7fUL;
   tf->codes[25015] = 0x000b0a0abe3c9abfUL;
   tf->codes[25016] = 0x000b0a3b773c67a8UL;
   tf->codes[25017] = 0x000b0a84aa039de8UL;
   tf->codes[25018] = 0x000b0aed6de3f05aUL;
   tf->codes[25019] = 0x000b0af6943cd722UL;
   tf->codes[25020] = 0x000b0bd734dcf8d0UL;
   tf->codes[25021] = 0x000b0bdc77b67d83UL;
   tf->codes[25022] = 0x000b0bee14bb39c4UL;
   tf->codes[25023] = 0x000b0bf9f9c865c8UL;
   tf->codes[25024] = 0x000b0c79d815fef3UL;
   tf->codes[25025] = 0x000b0e6654ed84c0UL;
   tf->codes[25026] = 0x000b0eafc243c0c5UL;
   tf->codes[25027] = 0x000b0fcffa342661UL;
   tf->codes[25028] = 0x000b105346e31617UL;
   tf->codes[25029] = 0x000b105555ea4a04UL;
   tf->codes[25030] = 0x000b109527c993b7UL;
   tf->codes[25031] = 0x000b10fd3bfcd4daUL;
   tf->codes[25032] = 0x000b111072eab97eUL;
   tf->codes[25033] = 0x000b11f1138adb2cUL;
   tf->codes[25034] = 0x000b11f9c4c5b66aUL;
   tf->codes[25035] = 0x000b120e5b0dbdacUL;
   tf->codes[25036] = 0x000b124fc6d62fc2UL;
   tf->codes[25037] = 0x000b131a71d42790UL;
   tf->codes[25038] = 0x000b134cff4c22a1UL;
   tf->codes[25039] = 0x000b1396a731646bUL;
   tf->codes[25040] = 0x000b13e8c5c27baeUL;
   tf->codes[25041] = 0x000b1402645501deUL;
   tf->codes[25042] = 0x000b149ba6a61b74UL;
   tf->codes[25043] = 0x000b1554ef2e5cc6UL;
   tf->codes[25044] = 0x000b157236b13f46UL;
   tf->codes[25045] = 0x000b158a00cb974eUL;
   tf->codes[25046] = 0x000b168e50933d08UL;
   tf->codes[25047] = 0x000b16cc88895e58UL;
   tf->codes[25048] = 0x000b16ed3e6d9763UL;
   tf->codes[25049] = 0x000b17166afda5e7UL;
   tf->codes[25050] = 0x000b189172b9fe04UL;
   tf->codes[25051] = 0x000b18f44413ba74UL;
   tf->codes[25052] = 0x000b190a7444ea19UL;
   tf->codes[25053] = 0x000b1a97c8b30fc6UL;
   tf->codes[25054] = 0x000b1aec6b696680UL;
   tf->codes[25055] = 0x000b1b30d0752397UL;
   tf->codes[25056] = 0x000b1bf673289c77UL;
   tf->codes[25057] = 0x000b1c18fd8503aaUL;
   tf->codes[25058] = 0x000b1c97075a6eadUL;
   tf->codes[25059] = 0x000b1cd8adb1e688UL;
   tf->codes[25060] = 0x000b1d024f600096UL;
   tf->codes[25061] = 0x000b1dfd78cebf88UL;
   tf->codes[25062] = 0x000b1e095ddbeb8cUL;
   tf->codes[25063] = 0x000b1e7b481524c6UL;
   tf->codes[25064] = 0x000b1f5df7bc7a61UL;
   tf->codes[25065] = 0x000b1f6967ab9adbUL;
   tf->codes[25066] = 0x000b1f8c2c9707d3UL;
   tf->codes[25067] = 0x000b1f9727681cc3UL;
   tf->codes[25068] = 0x000b1fda67a8bd01UL;
   tf->codes[25069] = 0x000b20094c305bc2UL;
   tf->codes[25070] = 0x000b210efb52241aUL;
   tf->codes[25071] = 0x000b217f4ba234f1UL;
   tf->codes[25072] = 0x000b218ba5cd6c7fUL;
   tf->codes[25073] = 0x000b2367e4fa58a9UL;
   tf->codes[25074] = 0x000b23b326c8c2d6UL;
   tf->codes[25075] = 0x000b23e1d0c15bd2UL;
   tf->codes[25076] = 0x000b24dd6f4e264eUL;
   tf->codes[25077] = 0x000b2551a31d993aUL;
   tf->codes[25078] = 0x000b2595930b4ac7UL;
   tf->codes[25079] = 0x000b25bc76051f99UL;
   tf->codes[25080] = 0x000b25d982f8fc54UL;
   tf->codes[25081] = 0x000b261e2293bf30UL;
   tf->codes[25082] = 0x000b2647fed0df03UL;
   tf->codes[25083] = 0x000b28122bdb0362UL;
   tf->codes[25084] = 0x000b2849870e779cUL;
   tf->codes[25085] = 0x000b297e1ab7deb5UL;
   tf->codes[25086] = 0x000b299dabd0fae7UL;
   tf->codes[25087] = 0x000b29b575eb52efUL;
   tf->codes[25088] = 0x000b2afaf6ec64faUL;
   tf->codes[25089] = 0x000b2b0a0fcbe1c4UL;
   tf->codes[25090] = 0x000b2b3167e3c220UL;
   tf->codes[25091] = 0x000b2d766af100bcUL;
   tf->codes[25092] = 0x000b2e4ff43f6f8fUL;
   tf->codes[25093] = 0x000b2f1f6cf8e086UL;
   tf->codes[25094] = 0x000b2f52e4acf2abUL;
   tf->codes[25095] = 0x000b2ffcd9c6b16eUL;
   tf->codes[25096] = 0x000b309740e2e7ddUL;
   tf->codes[25097] = 0x000b30fafc78bb61UL;
   tf->codes[25098] = 0x000b318bc81dff7eUL;
   tf->codes[25099] = 0x000b321d437054eaUL;
   tf->codes[25100] = 0x000b32278e94588bUL;
   tf->codes[25101] = 0x000b328a5fee14fbUL;
   tf->codes[25102] = 0x000b329ef6361c3dUL;
   tf->codes[25103] = 0x000b32eecb30f9ceUL;
   tf->codes[25104] = 0x000b32ef404f0558UL;
   tf->codes[25105] = 0x000b347afad402a2UL;
   tf->codes[25106] = 0x000b349cd5835886UL;
   tf->codes[25107] = 0x000b34ce78bf3c83UL;
   tf->codes[25108] = 0x000b34d3bb98c136UL;
   tf->codes[25109] = 0x000b3511b8ffdcc1UL;
   tf->codes[25110] = 0x000b351e88491fd9UL;
   tf->codes[25111] = 0x000b35874c29724bUL;
   tf->codes[25112] = 0x000b36df8efa5d70UL;
   tf->codes[25113] = 0x000b36e546f1edadUL;
   tf->codes[25114] = 0x000b3769f2fb0001UL;
   tf->codes[25115] = 0x000b378f017ca6abUL;
   tf->codes[25116] = 0x000b3790d5f4d4d3UL;
   tf->codes[25117] = 0x000b37fc58896c81UL;
   tf->codes[25118] = 0x000b385344d5fcedUL;
   tf->codes[25119] = 0x000b3864322da7dfUL;
   tf->codes[25120] = 0x000b388e0e6ac7b2UL;
   tf->codes[25121] = 0x000b391f149f1194UL;
   tf->codes[25122] = 0x000b39cb18c00444UL;
   tf->codes[25123] = 0x000b39d38f6bd9bdUL;
   tf->codes[25124] = 0x000b3a787c3b1992UL;
   tf->codes[25125] = 0x000b3a7c5fba7ba7UL;
   tf->codes[25126] = 0x000b3ad436432327UL;
   tf->codes[25127] = 0x000b3af8cfa6be47UL;
   tf->codes[25128] = 0x000b3c73d7631664UL;
   tf->codes[25129] = 0x000b3cb7c750c7f1UL;
   tf->codes[25130] = 0x000b3d2bc0913518UL;
   tf->codes[25131] = 0x000b3d5b8f54eaedUL;
   tf->codes[25132] = 0x000b3d7e19b15220UL;
   tf->codes[25133] = 0x000b3e107f3fbea0UL;
   tf->codes[25134] = 0x000b3f851f577531UL;
   tf->codes[25135] = 0x000b3ff868ead109UL;
   tf->codes[25136] = 0x000b3ffbd74c2794UL;
   tf->codes[25137] = 0x000b40687eabdc1bUL;
   tf->codes[25138] = 0x000b40f7b067f7d5UL;
   tf->codes[25139] = 0x000b41486f9eec7aUL;
   tf->codes[25140] = 0x000b417e30e93851UL;
   tf->codes[25141] = 0x000b4273dcef6ccbUL;
   tf->codes[25142] = 0x000b42b214e58e1bUL;
   tf->codes[25143] = 0x000b42d130e09ec3UL;
   tf->codes[25144] = 0x000b4319b3fac3b4UL;
   tf->codes[25145] = 0x000b436b22dec9a8UL;
   tf->codes[25146] = 0x000b4377b79906fbUL;
   tf->codes[25147] = 0x000b4383d73538c4UL;
   tf->codes[25148] = 0x000b4406aec61cf0UL;
   tf->codes[25149] = 0x000b448e54127a45UL;
   tf->codes[25150] = 0x000b44ec57b0bd8cUL;
   tf->codes[25151] = 0x000b451cd62184b0UL;
   tf->codes[25152] = 0x000b45d2009b5e28UL;
   tf->codes[25153] = 0x000b45e02f3ec3deUL;
   tf->codes[25154] = 0x000b45e203b6f206UL;
   tf->codes[25155] = 0x000b45fd76c1a65eUL;
   tf->codes[25156] = 0x000b460209ee19c2UL;
   tf->codes[25157] = 0x000b4684a6eff829UL;
   tf->codes[25158] = 0x000b4713d8ac13e3UL;
   tf->codes[25159] = 0x000b47ee86c59f8fUL;
   tf->codes[25160] = 0x000b4852b7797e9dUL;
   tf->codes[25161] = 0x000b48632fb31e05UL;
   tf->codes[25162] = 0x000b48f55ab284c0UL;
   tf->codes[25163] = 0x000b4948637fb317UL;
   tf->codes[25164] = 0x000b495741d02a1cUL;
   tf->codes[25165] = 0x000b49f58c6bc2a0UL;
   tf->codes[25166] = 0x000b4a193b9346acUL;
   tf->codes[25167] = 0x000b4a8d34d3b3d3UL;
   tf->codes[25168] = 0x000b4b18488167b3UL;
   tf->codes[25169] = 0x000b4b5f31b26441UL;
   tf->codes[25170] = 0x000b4b9fb33ebf43UL;
   tf->codes[25171] = 0x000b4bcfbc917addUL;
   tf->codes[25172] = 0x000b4bfc5782dfecUL;
   tf->codes[25173] = 0x000b4c49333a727cUL;
   tf->codes[25174] = 0x000b4ccd2f967381UL;
   tf->codes[25175] = 0x000b4ce98cdd3eedUL;
   tf->codes[25176] = 0x000b4d1627cea3fcUL;
   tf->codes[25177] = 0x000b4d675c23a42bUL;
   tf->codes[25178] = 0x000b4e08a00287b0UL;
   tf->codes[25179] = 0x000b4ece0826facbUL;
   tf->codes[25180] = 0x000b4f71207e0c78UL;
   tf->codes[25181] = 0x000b4f71959c1802UL;
   tf->codes[25182] = 0x000b4fdf9c55ef27UL;
   tf->codes[25183] = 0x000b50f847d6965eUL;
   tf->codes[25184] = 0x000b51656454566fUL;
   tf->codes[25185] = 0x000b5381ea7e97d6UL;
   tf->codes[25186] = 0x000b539dd2a757b8UL;
   tf->codes[25187] = 0x000b53bb8f4845c2UL;
   tf->codes[25188] = 0x000b53cbccf2df65UL;
   tf->codes[25189] = 0x000b5462508fb3bfUL;
   tf->codes[25190] = 0x000b547378766476UL;
   tf->codes[25191] = 0x000b547880c0e364UL;
   tf->codes[25192] = 0x000b5558ac42f988UL;
   tf->codes[25193] = 0x000b55907c94794cUL;
   tf->codes[25194] = 0x000b5653d5b1b87aUL;
   tf->codes[25195] = 0x000b567366cad4acUL;
   tf->codes[25196] = 0x000b5719b2f4371fUL;
   tf->codes[25197] = 0x000b572e83cb4426UL;
   tf->codes[25198] = 0x000b5735d5abfcc6UL;
   tf->codes[25199] = 0x000b575566c518f8UL;
   tf->codes[25200] = 0x000b57da87ec36d6UL;
   tf->codes[25201] = 0x000b581d187fc5c5UL;
   tf->codes[25202] = 0x000b59901eae53f3UL;
   tf->codes[25203] = 0x000b5990ce5b6542UL;
   tf->codes[25204] = 0x000b5a9224dfbffbUL;
   tf->codes[25205] = 0x000b5af396df59cdUL;
   tf->codes[25206] = 0x000b5bbeb6fb5d25UL;
   tf->codes[25207] = 0x000b5c152e29e207UL;
   tf->codes[25208] = 0x000b5c6fc366cec3UL;
   tf->codes[25209] = 0x000b5c984049cbf8UL;
   tf->codes[25210] = 0x000b5cd84cb81b70UL;
   tf->codes[25211] = 0x000b5ce8c4f1bad8UL;
   tf->codes[25212] = 0x000b5d770c71bf7eUL;
   tf->codes[25213] = 0x000b5df6b03052e4UL;
   tf->codes[25214] = 0x000b5df93455925bUL;
   tf->codes[25215] = 0x000b5e73201c9584UL;
   tf->codes[25216] = 0x000b5e80d9a1efb0UL;
   tf->codes[25217] = 0x000b5edf17cf38bcUL;
   tf->codes[25218] = 0x000b5ee335dda096UL;
   tf->codes[25219] = 0x000b5f066fe71918UL;
   tf->codes[25220] = 0x000b5f7fe69010b7UL;
   tf->codes[25221] = 0x000b5ff8e81afcccUL;
   tf->codes[25222] = 0x000b600b6f5bd021UL;
   tf->codes[25223] = 0x000b600fc7f93dc0UL;
   tf->codes[25224] = 0x000b6096487a7e3cUL;
   tf->codes[25225] = 0x000b6096f8278f8bUL;
   tf->codes[25226] = 0x000b6136678e44e8UL;
   tf->codes[25227] = 0x000b619f65fd9d1fUL;
   tf->codes[25228] = 0x000b61b7dfc50676UL;
   tf->codes[25229] = 0x000b61b9b43d349eUL;
   tf->codes[25230] = 0x000b61e94871e4aeUL;
   tf->codes[25231] = 0x000b61faaae79b2aUL;
   tf->codes[25232] = 0x000b628eaa5f300dUL;
   tf->codes[25233] = 0x000b6297d0b816d5UL;
   tf->codes[25234] = 0x000b629f97b6daffUL;
   tf->codes[25235] = 0x000b63c671dae7ecUL;
   tf->codes[25236] = 0x000b6484130096ddUL;
   tf->codes[25237] = 0x000b653644372554UL;
   tf->codes[25238] = 0x000b655c3cf4e312UL;
   tf->codes[25239] = 0x000b65622f7b7914UL;
   tf->codes[25240] = 0x000b656efec4bc2cUL;
   tf->codes[25241] = 0x000b658b5c0b8798UL;
   tf->codes[25242] = 0x000b6638bf869ce6UL;
   tf->codes[25243] = 0x000b666d9694d1a9UL;
   tf->codes[25244] = 0x000b671a4a62d5a8UL;
   tf->codes[25245] = 0x000b671f8d3c5a5bUL;
   tf->codes[25246] = 0x000b675eaf6e92bfUL;
   tf->codes[25247] = 0x000b6776046adf3dUL;
   tf->codes[25248] = 0x000b67922722a4e4UL;
   tf->codes[25249] = 0x000b67d392eb16faUL;
   tf->codes[25250] = 0x000b67f657d683f2UL;
   tf->codes[25251] = 0x000b68253c5e22b3UL;
   tf->codes[25252] = 0x000b6990066fe12dUL;
   tf->codes[25253] = 0x000b6a8786ee43cfUL;
   tf->codes[25254] = 0x000b6bbd3f62c7c1UL;
   tf->codes[25255] = 0x000b6c0587ede6edUL;
   tf->codes[25256] = 0x000b6ccdaec69f44UL;
   tf->codes[25257] = 0x000b6dc654101ebfUL;
   tf->codes[25258] = 0x000b6de410b10cc9UL;
   tf->codes[25259] = 0x000b6df0304d3e92UL;
   tf->codes[25260] = 0x000b6df5e844cecfUL;
   tf->codes[25261] = 0x000b6e091f32b373UL;
   tf->codes[25262] = 0x000b6e0e9c9b3debUL;
   tf->codes[25263] = 0x000b6e36a4602f96UL;
   tf->codes[25264] = 0x000b6f0a009902a2UL;
   tf->codes[25265] = 0x000b6f6f90a7044eUL;
   tf->codes[25266] = 0x000b6f7ee41586ddUL;
   tf->codes[25267] = 0x000b6ff43cb016a2UL;
   tf->codes[25268] = 0x000b70d6773960b3UL;
   tf->codes[25269] = 0x000b70efa0addb59UL;
   tf->codes[25270] = 0x000b70f4a8f85a47UL;
   tf->codes[25271] = 0x000b719627664391UL;
   tf->codes[25272] = 0x000b73d2ee56b279UL;
   tf->codes[25273] = 0x000b74ccb86b4ecdUL;
   tf->codes[25274] = 0x000b754c96b8e7f8UL;
   tf->codes[25275] = 0x000b75721a589a2cUL;
   tf->codes[25276] = 0x000b75cb503b644aUL;
   tf->codes[25277] = 0x000b75cebe9cbad5UL;
   tf->codes[25278] = 0x000b75f700f0b245UL;
   tf->codes[25279] = 0x000b761114a143ffUL;
   tf->codes[25280] = 0x000b77f58feaffddUL;
   tf->codes[25281] = 0x000b789fbf93c465UL;
   tf->codes[25282] = 0x000b7949b4ad8328UL;
   tf->codes[25283] = 0x000b7a0a89a582dfUL;
   tf->codes[25284] = 0x000b7a9771cb64e7UL;
   tf->codes[25285] = 0x000b7adbd6d721feUL;
   tf->codes[25286] = 0x000b7b9818a2ae51UL;
   tf->codes[25287] = 0x000b7c2af34f265bUL;
   tf->codes[25288] = 0x000b7c4df2c99918UL;
   tf->codes[25289] = 0x000b7c5afca1e1f5UL;
   tf->codes[25290] = 0x000b7c68f0b641e6UL;
   tf->codes[25291] = 0x000b7d0392617e1aUL;
   tf->codes[25292] = 0x000b7d75b729bd19UL;
   tf->codes[25293] = 0x000b7e53d3a49f50UL;
   tf->codes[25294] = 0x000b7ed8f4cbbd2eUL;
   tf->codes[25295] = 0x000b800586e75a58UL;
   tf->codes[25296] = 0x000b81ab551ce95cUL;
   tf->codes[25297] = 0x000b826bb4f6dd89UL;
   tf->codes[25298] = 0x000b82fa3705e7f4UL;
   tf->codes[25299] = 0x000b833ab89242f6UL;
   tf->codes[25300] = 0x000b8353e206bd9cUL;
   tf->codes[25301] = 0x000b83c7a0b824feUL;
   tf->codes[25302] = 0x000b83d9784be704UL;
   tf->codes[25303] = 0x000b83f38bfc78beUL;
   tf->codes[25304] = 0x000b8467bfcbebaaUL;
   tf->codes[25305] = 0x000b854dddd497d0UL;
   tf->codes[25306] = 0x000b859b2eaa35eaUL;
   tf->codes[25307] = 0x000b85aedab62618UL;
   tf->codes[25308] = 0x000b86079b7ae4acUL;
   tf->codes[25309] = 0x000b87e27b4dae38UL;
   tf->codes[25310] = 0x000b88813b075246UL;
   tf->codes[25311] = 0x000b8961dba773f4UL;
   tf->codes[25312] = 0x000b897f984861feUL;
   tf->codes[25313] = 0x000b89ab48fdaff9UL;
   tf->codes[25314] = 0x000b89eb8ffb0536UL;
   tf->codes[25315] = 0x000b89f6503d1461UL;
   tf->codes[25316] = 0x000b8a5e9eff5b49UL;
   tf->codes[25317] = 0x000b8b9df2ead18dUL;
   tf->codes[25318] = 0x000b8c3efc3aaf4dUL;
   tf->codes[25319] = 0x000b8c6828cabdd1UL;
   tf->codes[25320] = 0x000b8c95adf839f4UL;
   tf->codes[25321] = 0x000b8d39b08b62b5UL;
   tf->codes[25322] = 0x000b8d7da0791442UL;
   tf->codes[25323] = 0x000b8d9e1bce4788UL;
   tf->codes[25324] = 0x000b8ddf8796b99eUL;
   tf->codes[25325] = 0x000b8dec916f027bUL;
   tf->codes[25326] = 0x000b8f1e2bd51e93UL;
   tf->codes[25327] = 0x000b9004befbd643UL;
   tf->codes[25328] = 0x000b904edbff2397UL;
   tf->codes[25329] = 0x000b9067905592b3UL;
   tf->codes[25330] = 0x000b9090f774a6fcUL;
   tf->codes[25331] = 0x000b9192c3170d3fUL;
   tf->codes[25332] = 0x000b9489bccbd48dUL;
   tf->codes[25333] = 0x000b94de24f32582UL;
   tf->codes[25334] = 0x000b958d22576333UL;
   tf->codes[25335] = 0x000b95c61773ffd0UL;
   tf->codes[25336] = 0x000b95d14cd41a85UL;
   tf->codes[25337] = 0x000b960d00a4fc5eUL;
   tf->codes[25338] = 0x000b963a4b4372bcUL;
   tf->codes[25339] = 0x000b983de2883f42UL;
   tf->codes[25340] = 0x000b98d6000e3bffUL;
   tf->codes[25341] = 0x000b999d3caadd42UL;
   tf->codes[25342] = 0x000b9a1469bd9b2fUL;
   tf->codes[25343] = 0x000b9a74b6f21828UL;
   tf->codes[25344] = 0x000b9b4ad1df3070UL;
   tf->codes[25345] = 0x000b9b973878b776UL;
   tf->codes[25346] = 0x000b9beaf0f2f71cUL;
   tf->codes[25347] = 0x000b9bee99e3536cUL;
   tf->codes[25348] = 0x000b9ca85789a048UL;
   tf->codes[25349] = 0x000b9cfa3b8bb1c6UL;
   tf->codes[25350] = 0x000b9d065b27e38fUL;
   tf->codes[25351] = 0x000b9d2a0a4f679bUL;
   tf->codes[25352] = 0x000b9d821b6714e0UL;
   tf->codes[25353] = 0x000b9f3c0ac69f9cUL;
   tf->codes[25354] = 0x000b9f8e63e6bca4UL;
   tf->codes[25355] = 0x000b9f9490fc586bUL;
   tf->codes[25356] = 0x000b9fe0f795df71UL;
   tf->codes[25357] = 0x000ba09990710f74UL;
   tf->codes[25358] = 0x000ba0eb747320f2UL;
   tf->codes[25359] = 0x000ba199879b478fUL;
   tf->codes[25360] = 0x000ba2f11abf2165UL;
   tf->codes[25361] = 0x000ba2f364555b17UL;
   tf->codes[25362] = 0x000ba2f4fe3e837aUL;
   tf->codes[25363] = 0x000ba305767822e2UL;
   tf->codes[25364] = 0x000ba310e667435cUL;
   tf->codes[25365] = 0x000ba31e9fec9d88UL;
   tf->codes[25366] = 0x000ba34d84743c49UL;
   tf->codes[25367] = 0x000ba39eb8c93c78UL;
   tf->codes[25368] = 0x000ba3f8d8e81daaUL;
   tf->codes[25369] = 0x000ba4c25f1af89fUL;
   tf->codes[25370] = 0x000ba5ba54b766cbUL;
   tf->codes[25371] = 0x000ba6494be47cc0UL;
   tf->codes[25372] = 0x000ba69502d0f277UL;
   tf->codes[25373] = 0x000ba6b41ecc031fUL;
   tf->codes[25374] = 0x000ba76ddc724ffbUL;
   tf->codes[25375] = 0x000ba816acc0f1e5UL;
   tf->codes[25376] = 0x000ba86e48ba93a0UL;
   tf->codes[25377] = 0x000ba89f3c49664eUL;
   tf->codes[25378] = 0x000ba914cf72fbd8UL;
   tf->codes[25379] = 0x000ba98f30580a8bUL;
   tf->codes[25380] = 0x000ba9eb5f7e1faaUL;
   tf->codes[25381] = 0x000baa0c4ff15e7aUL;
   tf->codes[25382] = 0x000bab8a50f10198UL;
   tf->codes[25383] = 0x000bac4692bc8debUL;
   tf->codes[25384] = 0x000bad0fde60631bUL;
   tf->codes[25385] = 0x000bad61fcf17a5eUL;
   tf->codes[25386] = 0x000bad953a1686beUL;
   tf->codes[25387] = 0x000badc6a2c364f6UL;
   tf->codes[25388] = 0x000bae0f9afb9571UL;
   tf->codes[25389] = 0x000bae1134e4bdd4UL;
   tf->codes[25390] = 0x000bae6e88d5efccUL;
   tf->codes[25391] = 0x000bae6f731206e0UL;
   tf->codes[25392] = 0x000bae8c8005e39bUL;
   tf->codes[25393] = 0x000bae9237fd73d8UL;
   tf->codes[25394] = 0x000baeac863d0b57UL;
   tf->codes[25395] = 0x000baf2c648aa482UL;
   tf->codes[25396] = 0x000baf608bebc7f6UL;
   tf->codes[25397] = 0x000baf6c3669ee35UL;
   tf->codes[25398] = 0x000baf9562f9fcb9UL;
   tf->codes[25399] = 0x000bafd868ab9732UL;
   tf->codes[25400] = 0x000bb08298545bbaUL;
   tf->codes[25401] = 0x000bb09bfc57dc25UL;
   tf->codes[25402] = 0x000bb0cae0df7ae6UL;
   tf->codes[25403] = 0x000bb0d3cca95be9UL;
   tf->codes[25404] = 0x000bb1039b6d11beUL;
   tf->codes[25405] = 0x000bb2f5208f1679UL;
   tf->codes[25406] = 0x000bb3456aa7ff94UL;
   tf->codes[25407] = 0x000bb3e9e25933dfUL;
   tf->codes[25408] = 0x000bb459f81a3ef1UL;
   tf->codes[25409] = 0x000bb48f44467f3eUL;
   tf->codes[25410] = 0x000bb517d3cef3a7UL;
   tf->codes[25411] = 0x000bb602fa221ebbUL;
   tf->codes[25412] = 0x000bb67f2f7f5b96UL;
   tf->codes[25413] = 0x000bb6c702ec6f38UL;
   tf->codes[25414] = 0x000bb76b400e9dbeUL;
   tf->codes[25415] = 0x000bb76c9f68c05cUL;
   tf->codes[25416] = 0x000bb7a88dc8a7faUL;
   tf->codes[25417] = 0x000bb804825fb754UL;
   tf->codes[25418] = 0x000bb85d08957023UL;
   tf->codes[25419] = 0x000bb8707a125a8cUL;
   tf->codes[25420] = 0x000bb87f92f1d756UL;
   tf->codes[25421] = 0x000bb8b603e9347cUL;
   tf->codes[25422] = 0x000bb8c90048135bUL;
   tf->codes[25423] = 0x000bb970713c92a7UL;
   tf->codes[25424] = 0x000bb97454bbf4bcUL;
   tf->codes[25425] = 0x000bb9fb84ea4687UL;
   tf->codes[25426] = 0x000bba1264c8877bUL;
   tf->codes[25427] = 0x000bbb710f3e142cUL;
   tf->codes[25428] = 0x000bbbce28a0405fUL;
   tf->codes[25429] = 0x000bbc63fc90036aUL;
   tf->codes[25430] = 0x000bbc85d73f594eUL;
   tf->codes[25431] = 0x000bbc8d63af17b3UL;
   tf->codes[25432] = 0x000bbcf27e9f0dd5UL;
   tf->codes[25433] = 0x000bbcfababbdd89UL;
   tf->codes[25434] = 0x000bbd5883cb1b0bUL;
   tf->codes[25435] = 0x000bbd5a92d24ef8UL;
   tf->codes[25436] = 0x000bbd7dccdbc77aUL;
   tf->codes[25437] = 0x000bbed400a57eb2UL;
   tf->codes[25438] = 0x000bbeea6b65b41cUL;
   tf->codes[25439] = 0x000bbf0da56f2c9eUL;
   tf->codes[25440] = 0x000bbf887b7246dbUL;
   tf->codes[25441] = 0x000bbfd0c3fd6607UL;
   tf->codes[25442] = 0x000bc00e86d57bcdUL;
   tf->codes[25443] = 0x000bc0753bae9a52UL;
   tf->codes[25444] = 0x000bc0bc99fda26aUL;
   tf->codes[25445] = 0x000bc197f7c43f65UL;
   tf->codes[25446] = 0x000bc20723493363UL;
   tf->codes[25447] = 0x000bc20bb675a6c7UL;
   tf->codes[25448] = 0x000bc258579e3392UL;
   tf->codes[25449] = 0x000bc2bc885212a0UL;
   tf->codes[25450] = 0x000bc2e3e069f2fcUL;
   tf->codes[25451] = 0x000bc2ee661cfc62UL;
   tf->codes[25452] = 0x000bc315f8c3e283UL;
   tf->codes[25453] = 0x000bc37f6c514644UL;
   tf->codes[25454] = 0x000bc40f88497912UL;
   tf->codes[25455] = 0x000bc48fdbb51dc7UL;
   tf->codes[25456] = 0x000bc4bb174c6038UL;
   tf->codes[25457] = 0x000bc51153ebdf55UL;
   tf->codes[25458] = 0x000bc52ab7ef5fc0UL;
   tf->codes[25459] = 0x000bc5c6b8f4be92UL;
   tf->codes[25460] = 0x000bc5cbfbce4345UL;
   tf->codes[25461] = 0x000bc5d3c2cd076fUL;
   tf->codes[25462] = 0x000bc6d678ab84c6UL;
   tf->codes[25463] = 0x000bc706bc8d4625UL;
   tf->codes[25464] = 0x000bc75cbe9dbf7dUL;
   tf->codes[25465] = 0x000bc77781fb6286UL;
   tf->codes[25466] = 0x000bc7bc96b430ecUL;
   tf->codes[25467] = 0x000bc89c87a7414bUL;
   tf->codes[25468] = 0x000bc8e19c600fb1UL;
   tf->codes[25469] = 0x000bc99fed32cff1UL;
   tf->codes[25470] = 0x000bc9b1c4c691f7UL;
   tf->codes[25471] = 0x000bca1f56625d92UL;
   tf->codes[25472] = 0x000bca39df30fad6UL;
   tf->codes[25473] = 0x000bca917b2a9c91UL;
   tf->codes[25474] = 0x000bcb6bb4261cb3UL;
   tf->codes[25475] = 0x000bcb8ca4995b83UL;
   tf->codes[25476] = 0x000bccf76eab19fdUL;
   tf->codes[25477] = 0x000bce194084a7fcUL;
   tf->codes[25478] = 0x000bce7dabc78ccfUL;
   tf->codes[25479] = 0x000bcf46bcdc5c3aUL;
   tf->codes[25480] = 0x000bcf8b5c771f16UL;
   tf->codes[25481] = 0x000bd07cafdfe5f1UL;
   tf->codes[25482] = 0x000bd167d6331105UL;
   tf->codes[25483] = 0x000bd1b8cff90b6fUL;
   tf->codes[25484] = 0x000bd1bc78e967bfUL;
   tf->codes[25485] = 0x000bd2ce47a761e0UL;
   tf->codes[25486] = 0x000bd2d60ea6260aUL;
   tf->codes[25487] = 0x000bd37a4bc85490UL;
   tf->codes[25488] = 0x000bd394d496f1d4UL;
   tf->codes[25489] = 0x000bd399a2526afdUL;
   tf->codes[25490] = 0x000bd41109f42eafUL;
   tf->codes[25491] = 0x000bd46c144f26f5UL;
   tf->codes[25492] = 0x000bd55a33e59d0aUL;
   tf->codes[25493] = 0x000bd5cc58addc09UL;
   tf->codes[25494] = 0x000bd5df8f9bc0adUL;
   tf->codes[25495] = 0x000bd61bf319b3d5UL;
   tf->codes[25496] = 0x000bd61ca2c6c524UL;
   tf->codes[25497] = 0x000bd6b8de5b29bbUL;
   tf->codes[25498] = 0x000bd75170ff3202UL;
   tf->codes[25499] = 0x000bd79cb2cd9c2fUL;
   tf->codes[25500] = 0x000bd7f030b8d610UL;
   tf->codes[25501] = 0x000bd809cf4b5c40UL;
   tf->codes[25502] = 0x000bd88fa01f8b6dUL;
   tf->codes[25503] = 0x000bd98670f0dcc0UL;
   tf->codes[25504] = 0x000bd9fa2fa24422UL;
   tf->codes[25505] = 0x000bda010c64f138UL;
   tf->codes[25506] = 0x000bda194b9d54caUL;
   tf->codes[25507] = 0x000bda423d9e5d89UL;
   tf->codes[25508] = 0x000bda8ea437e48fUL;
   tf->codes[25509] = 0x000bdaef2bfb674dUL;
   tf->codes[25510] = 0x000bdaefdba8789cUL;
   tf->codes[25511] = 0x000bdb16841347a9UL;
   tf->codes[25512] = 0x000bdc00c02a5ba9UL;
   tf->codes[25513] = 0x000bdc0727cefd35UL;
   tf->codes[25514] = 0x000bdcfe6dbe5a12UL;
   tf->codes[25515] = 0x000bde3bb2a29c69UL;
   tf->codes[25516] = 0x000bde74e24e3ecbUL;
   tf->codes[25517] = 0x000bde8c71d9910eUL;
   tf->codes[25518] = 0x000be070ed234cecUL;
   tf->codes[25519] = 0x000be0b2937ac4c7UL;
   tf->codes[25520] = 0x000be13f7ba0a6cfUL;
   tf->codes[25521] = 0x000be15202e17a24UL;
   tf->codes[25522] = 0x000be17d3e78bc95UL;
   tf->codes[25523] = 0x000be1a71ab5dc68UL;
   tf->codes[25524] = 0x000be28f8254c240UL;
   tf->codes[25525] = 0x000be2ed4b63ffc2UL;
   tf->codes[25526] = 0x000be306e9f685f2UL;
   tf->codes[25527] = 0x000be40b744d3171UL;
   tf->codes[25528] = 0x000be46a27988607UL;
   tf->codes[25529] = 0x000be47ef86f930eUL;
   tf->codes[25530] = 0x000be4bfef19f99aUL;
   tf->codes[25531] = 0x000be4d9c83b858fUL;
   tf->codes[25532] = 0x000be55bf01f586cUL;
   tf->codes[25533] = 0x000be59176da9e7eUL;
   tf->codes[25534] = 0x000be5dd685619faUL;
   tf->codes[25535] = 0x000be5e52f54de24UL;
   tf->codes[25536] = 0x000be6070a043408UL;
   tf->codes[25537] = 0x000be6942cb91bd5UL;
   tf->codes[25538] = 0x000be714bab3c64fUL;
   tf->codes[25539] = 0x000be71863a4229fUL;
   tf->codes[25540] = 0x000be78d4720a6daUL;
   tf->codes[25541] = 0x000be83c09f5dec6UL;
   tf->codes[25542] = 0x000be8c4d40d58f4UL;
   tf->codes[25543] = 0x000be8d1dde5a1d1UL;
   tf->codes[25544] = 0x000bea4fa4563f2aUL;
   tf->codes[25545] = 0x000bea9060719ff1UL;
   tf->codes[25546] = 0x000beb328e8c9a8aUL;
   tf->codes[25547] = 0x000beb917c66f4e5UL;
   tf->codes[25548] = 0x000bebf65cc7e542UL;
   tf->codes[25549] = 0x000bebf86bcf192fUL;
   tf->codes[25550] = 0x000bed5d08cb3be2UL;
   tf->codes[25551] = 0x000bed85facc44a1UL;
   tf->codes[25552] = 0x000bee168be282f9UL;
   tf->codes[25553] = 0x000beedfd7865829UL;
   tf->codes[25554] = 0x000bf06d2bf47dd6UL;
   tf->codes[25555] = 0x000bf0f78ff52067UL;
   tf->codes[25556] = 0x000bf142973484cfUL;
   tf->codes[25557] = 0x000bf1459077cfd0UL;
   tf->codes[25558] = 0x000bf1660bcd0316UL;
   tf->codes[25559] = 0x000bf2cd2cee6540UL;
   tf->codes[25560] = 0x000bf3065c9a07a2UL;
   tf->codes[25561] = 0x000bf350047f496cUL;
   tf->codes[25562] = 0x000bf37303f9bc29UL;
   tf->codes[25563] = 0x000bf3d81ee9b24bUL;
   tf->codes[25564] = 0x000bf468ea8ef668UL;
   tf->codes[25565] = 0x000bf712cdfd2561UL;
   tf->codes[25566] = 0x000bf77a32835535UL;
   tf->codes[25567] = 0x000bf794bb51f279UL;
   tf->codes[25568] = 0x000bf8f11c314578UL;
   tf->codes[25569] = 0x000bf901946ae4e0UL;
   tf->codes[25570] = 0x000bf9593064869bUL;
   tf->codes[25571] = 0x000bfa3af5cfc522UL;
   tf->codes[25572] = 0x000bfa9eebf49e6bUL;
   tf->codes[25573] = 0x000bfaf7379b5175UL;
   tf->codes[25574] = 0x000bfc5c0f2679edUL;
   tf->codes[25575] = 0x000bfc6b2805f6b7UL;
   tf->codes[25576] = 0x000bfc7d74b7c447UL;
   tf->codes[25577] = 0x000bfc9f4f671a2bUL;
   tf->codes[25578] = 0x000bfcedff96dae3UL;
   tf->codes[25579] = 0x000bfcf67642b05cUL;
   tf->codes[25580] = 0x000bfd0fda4630c7UL;
   tf->codes[25581] = 0x000bfde4d0682c36UL;
   tf->codes[25582] = 0x000bfdf757a8ff8bUL;
   tf->codes[25583] = 0x000bfe1d8af5c30eUL;
   tf->codes[25584] = 0x000bfe68ccc42d3bUL;
   tf->codes[25585] = 0x000bff0f18ed8faeUL;
   tf->codes[25586] = 0x000bffe4bebc9c6cUL;
   tf->codes[25587] = 0x000c010f0741ffe4UL;
   tf->codes[25588] = 0x000c013ab7f74ddfUL;
   tf->codes[25589] = 0x000c01fec0c19e5cUL;
   tf->codes[25590] = 0x000c0276d810735dUL;
   tf->codes[25591] = 0x000c031940ba73bbUL;
   tf->codes[25592] = 0x000c044d24b6c985UL;
   tf->codes[25593] = 0x000c046f74842af3UL;
   tf->codes[25594] = 0x000c06d94b840a74UL;
   tf->codes[25595] = 0x000c0702b2a31ebdUL;
   tf->codes[25596] = 0x000c0766e356fdcbUL;
   tf->codes[25597] = 0x000c0abf899a64b0UL;
   tf->codes[25598] = 0x000c0c943c579275UL;
   tf->codes[25599] = 0x000c0c9c78746229UL;
   tf->codes[25600] = 0x000c0c9efc99a1a0UL;
   tf->codes[25601] = 0x000c0dc64bdbba17UL;
   tf->codes[25602] = 0x000c0e9eb05f0c11UL;
   tf->codes[25603] = 0x000c0f2705587ab5UL;
   tf->codes[25604] = 0x000c116615df234fUL;
   tf->codes[25605] = 0x000c12f6d8ae9f87UL;
   tf->codes[25606] = 0x000c1351a87a9208UL;
   tf->codes[25607] = 0x000c1365c9a48dc0UL;
   tf->codes[25608] = 0x000c13f8a45105caUL;
   tf->codes[25609] = 0x000c1477986287e1UL;
   tf->codes[25610] = 0x000c14a767263db6UL;
   tf->codes[25611] = 0x000c15f0cba6b1d6UL;
   tf->codes[25612] = 0x000c169125497e47UL;
   tf->codes[25613] = 0x000c16deb0ae2226UL;
   tf->codes[25614] = 0x000c17614db0008dUL;
   tf->codes[25615] = 0x000c1817d783fca3UL;
   tf->codes[25616] = 0x000c185141bea4caUL;
   tf->codes[25617] = 0x000c18f5b96fd915UL;
   tf->codes[25618] = 0x000c191f208eed5eUL;
   tf->codes[25619] = 0x000c19905b1b1549UL;
   tf->codes[25620] = 0x000c19eb2ae707caUL;
   tf->codes[25621] = 0x000c1aa9f0d7d394UL;
   tf->codes[25622] = 0x000c1ac4b435769dUL;
   tf->codes[25623] = 0x000c1add2dfcdff4UL;
   tf->codes[25624] = 0x000c1c047d3ef86bUL;
   tf->codes[25625] = 0x000c1c945ea82574UL;
   tf->codes[25626] = 0x000c1c98079881c4UL;
   tf->codes[25627] = 0x000c1cc0847b7ef9UL;
   tf->codes[25628] = 0x000c1cf520faadf7UL;
   tf->codes[25629] = 0x000c1d0a2c60c0c3UL;
   tf->codes[25630] = 0x000c1d72f0411335UL;
   tf->codes[25631] = 0x000c1d7ed54e3f39UL;
   tf->codes[25632] = 0x000c1db6e02ec4c2UL;
   tf->codes[25633] = 0x000c1dd6abd6e6b9UL;
   tf->codes[25634] = 0x000c201ee2b6761bUL;
   tf->codes[25635] = 0x000c2154d5b9ffd2UL;
   tf->codes[25636] = 0x000c21c43bcdf995UL;
   tf->codes[25637] = 0x000c21fe1b26ad46UL;
   tf->codes[25638] = 0x000c224fc499b8ffUL;
   tf->codes[25639] = 0x000c237c56b55629UL;
   tf->codes[25640] = 0x000c23d5c727260cUL;
   tf->codes[25641] = 0x000c2411b5870daaUL;
   tf->codes[25642] = 0x000c25f964a31a4eUL;
   tf->codes[25643] = 0x000c26fabb277507UL;
   tf->codes[25644] = 0x000c270b3361146fUL;
   tf->codes[25645] = 0x000c278643f33471UL;
   tf->codes[25646] = 0x000c27d5694100b3UL;
   tf->codes[25647] = 0x000c286eab921a49UL;
   tf->codes[25648] = 0x000c2a70e37cc431UL;
   tf->codes[25649] = 0x000c2be3e9ab525fUL;
   tf->codes[25650] = 0x000c2c1e3e22119aUL;
   tf->codes[25651] = 0x000c2c5a6710fefdUL;
   tf->codes[25652] = 0x000c2c8ddec51122UL;
   tf->codes[25653] = 0x000c2cea830931cbUL;
   tf->codes[25654] = 0x000c2ceb32b6431aUL;
   tf->codes[25655] = 0x000c2d9a301a80cbUL;
   tf->codes[25656] = 0x000c2de278a59ff7UL;
   tf->codes[25657] = 0x000c2df65f4095eaUL;
   tf->codes[25658] = 0x000c2dfe60ce5fd9UL;
   tf->codes[25659] = 0x000c2f1c149985feUL;
   tf->codes[25660] = 0x000c30e04f1d145bUL;
   tf->codes[25661] = 0x000c325bcbf77802UL;
   tf->codes[25662] = 0x000c328d34a4563aUL;
   tf->codes[25663] = 0x000c32e754c3376cUL;
   tf->codes[25664] = 0x000c33f78998092aUL;
   tf->codes[25665] = 0x000c3606563cf065UL;
   tf->codes[25666] = 0x000c3816f75a05c8UL;
   tf->codes[25667] = 0x000c38656cfac0bbUL;
   tf->codes[25668] = 0x000c396d65b2c2c5UL;
   tf->codes[25669] = 0x000c3a6b1346c12eUL;
   tf->codes[25670] = 0x000c3a7732e2f2f7UL;
   tf->codes[25671] = 0x000c3af0e41af05bUL;
   tf->codes[25672] = 0x000c3b0330ccbdebUL;
   tf->codes[25673] = 0x000c3b5c2c208244UL;
   tf->codes[25674] = 0x000c3b9ce83be30bUL;
   tf->codes[25675] = 0x000c3be187d6a5e7UL;
   tf->codes[25676] = 0x000c3d3278c6d86cUL;
   tf->codes[25677] = 0x000c3d5c8f92fe04UL;
   tf->codes[25678] = 0x000c3dd04e446566UL;
   tf->codes[25679] = 0x000c3df228f3bb4aUL;
   tf->codes[25680] = 0x000c3e83ded5167bUL;
   tf->codes[25681] = 0x000c3ee6b02ed2ebUL;
   tf->codes[25682] = 0x000c3f1260e420e6UL;
   tf->codes[25683] = 0x000c3f57007ee3c2UL;
   tf->codes[25684] = 0x000c4036b6e2ee5cUL;
   tf->codes[25685] = 0x000c40aff2fce036UL;
   tf->codes[25686] = 0x000c422d7ede77caUL;
   tf->codes[25687] = 0x000c428ca747d7eaUL;
   tf->codes[25688] = 0x000c43b30c4dd94dUL;
   tf->codes[25689] = 0x000c446a45cee6b2UL;
   tf->codes[25690] = 0x000c4470e8028e03UL;
   tf->codes[25691] = 0x000c45181e68078aUL;
   tf->codes[25692] = 0x000c4611e87ca3deUL;
   tf->codes[25693] = 0x000c4613f783d7cbUL;
   tf->codes[25694] = 0x000c4616f0c722ccUL;
   tf->codes[25695] = 0x000c46e076f9fdc1UL;
   tf->codes[25696] = 0x000c479e181facb2UL;
   tf->codes[25697] = 0x000c48630b261443UL;
   tf->codes[25698] = 0x000c49fc0a12602fUL;
   tf->codes[25699] = 0x000c4ae979fbc4f5UL;
   tf->codes[25700] = 0x000c4bd58a8b071dUL;
   tf->codes[25701] = 0x000c4c0f2f54b509UL;
   tf->codes[25702] = 0x000c4c839db32dbaUL;
   tf->codes[25703] = 0x000c4cc99ca81334UL;
   tf->codes[25704] = 0x000c4d163dd09fffUL;
   tf->codes[25705] = 0x000c4d768b051cf8UL;
   tf->codes[25706] = 0x000c4e1a187a3a2fUL;
   tf->codes[25707] = 0x000c4eebdac9e4d8UL;
   tf->codes[25708] = 0x000c4eed3a240776UL;
   tf->codes[25709] = 0x000c4fbdd7a89546UL;
   tf->codes[25710] = 0x000c51127189241bUL;
   tf->codes[25711] = 0x000c5399ca9aebe1UL;
   tf->codes[25712] = 0x000c53f7ce392f28UL;
   tf->codes[25713] = 0x000c547c3fb33bb7UL;
   tf->codes[25714] = 0x000c54ddec41db4eUL;
   tf->codes[25715] = 0x000c5611d03e3118UL;
   tf->codes[25716] = 0x000c5655c02be2a5UL;
   tf->codes[25717] = 0x000c569e7dd50d5bUL;
   tf->codes[25718] = 0x000c573193108b2aUL;
   tf->codes[25719] = 0x000c5772149ce62cUL;
   tf->codes[25720] = 0x000c581fb2a7013fUL;
   tf->codes[25721] = 0x000c586417b2be56UL;
   tf->codes[25722] = 0x000c586af4756b6cUL;
   tf->codes[25723] = 0x000c5907dfb6e152UL;
   tf->codes[25724] = 0x000c5917332563e1UL;
   tf->codes[25725] = 0x000c5ada836cdb2aUL;
   tf->codes[25726] = 0x000c5b8d9edf80b5UL;
   tf->codes[25727] = 0x000c5c12fa95a458UL;
   tf->codes[25728] = 0x000c5cea74dcdf3eUL;
   tf->codes[25729] = 0x000c5d07f6eec783UL;
   tf->codes[25730] = 0x000c5d1f867a19c6UL;
   tf->codes[25731] = 0x000c5d8a93f0a5eaUL;
   tf->codes[25732] = 0x000c5e27f450275aUL;
   tf->codes[25733] = 0x000c5e987f2f3df6UL;
   tf->codes[25734] = 0x000c5fce7232c7adUL;
   tf->codes[25735] = 0x000c5fdacc5dff3bUL;
   tf->codes[25736] = 0x000c5ffd56ba666eUL;
   tf->codes[25737] = 0x000c60694e6d09a6UL;
   tf->codes[25738] = 0x000c60dbe853542fUL;
   tf->codes[25739] = 0x000c614680abd4c9UL;
   tf->codes[25740] = 0x000c626a9c1b9c7aUL;
   tf->codes[25741] = 0x000c62af7645651bUL;
   tf->codes[25742] = 0x000c62d7437b5101UL;
   tf->codes[25743] = 0x000c62f624e75be4UL;
   tf->codes[25744] = 0x000c63abc47f40e6UL;
   tf->codes[25745] = 0x000c63e703321735UL;
   tf->codes[25746] = 0x000c6458784d44e5UL;
   tf->codes[25747] = 0x000c656be0f46769UL;
   tf->codes[25748] = 0x000c661a693a9990UL;
   tf->codes[25749] = 0x000c66491333328cUL;
   tf->codes[25750] = 0x000c667fbeb99577UL;
   tf->codes[25751] = 0x000c66953f3db3cdUL;
   tf->codes[25752] = 0x000c66a8b0ba9e36UL;
   tf->codes[25753] = 0x000c66f9aa8098a0UL;
   tf->codes[25754] = 0x000c68ab9852596dUL;
   tf->codes[25755] = 0x000c695343d5de7eUL;
   tf->codes[25756] = 0x000c69d09dfe3832UL;
   tf->codes[25757] = 0x000c69edaaf214edUL;
   tf->codes[25758] = 0x000c6a7d8c5b41f6UL;
   tf->codes[25759] = 0x000c6b0188b742fbUL;
   tf->codes[25760] = 0x000c6b6e6aa5fd47UL;
   tf->codes[25761] = 0x000c6b8dfbbf1979UL;
   tf->codes[25762] = 0x000c6d0f6b201322UL;
   tf->codes[25763] = 0x000c6d547fd8e188UL;
   tf->codes[25764] = 0x000c6ddac5cb1c3fUL;
   tf->codes[25765] = 0x000c6df96ca8215dUL;
   tf->codes[25766] = 0x000c6f54a8bc5783UL;
   tf->codes[25767] = 0x000c6f590159c522UL;
   tf->codes[25768] = 0x000c6f5b1060f90fUL;
   tf->codes[25769] = 0x000c700a48543c85UL;
   tf->codes[25770] = 0x000c70767a95e582UL;
   tf->codes[25771] = 0x000c7086b8407f25UL;
   tf->codes[25772] = 0x000c70c9f8811f63UL;
   tf->codes[25773] = 0x000c712996088b0dUL;
   tf->codes[25774] = 0x000c71901052a3cdUL;
   tf->codes[25775] = 0x000c71bce5d30ea1UL;
   tf->codes[25776] = 0x000c7263a71a7c9eUL;
   tf->codes[25777] = 0x000c733cbb4adfe7UL;
   tf->codes[25778] = 0x000c73f7632d43d7UL;
   tf->codes[25779] = 0x000c7504642fc4cfUL;
   tf->codes[25780] = 0x000c750d4ff9a5d2UL;
   tf->codes[25781] = 0x000c753e08f972bbUL;
   tf->codes[25782] = 0x000c7612ff1b6e2aUL;
   tf->codes[25783] = 0x000c77484271e692UL;
   tf->codes[25784] = 0x000c77c5d729460bUL;
   tf->codes[25785] = 0x000c77d9f85341c3UL;
   tf->codes[25786] = 0x000c780e1fb46537UL;
   tf->codes[25787] = 0x000c785ccfe425efUL;
   tf->codes[25788] = 0x000c78ff388e264dUL;
   tf->codes[25789] = 0x000c7996e0f61780UL;
   tf->codes[25790] = 0x000c7a95b35532c2UL;
   tf->codes[25791] = 0x000c7b6441d28ca5UL;
   tf->codes[25792] = 0x000c7b8aafae55edUL;
   tf->codes[25793] = 0x000c7c9da3376ce7UL;
   tf->codes[25794] = 0x000c7cc5706d58cdUL;
   tf->codes[25795] = 0x000c7cee27df5bc7UL;
   tf->codes[25796] = 0x000c7d6938717bc9UL;
   tf->codes[25797] = 0x000c7da4b1b357ddUL;
   tf->codes[25798] = 0x000c7db7738330f7UL;
   tf->codes[25799] = 0x000c7f41941f05deUL;
   tf->codes[25800] = 0x000c80394f2c6e45UL;
   tf->codes[25801] = 0x000c806c8c517aa5UL;
   tf->codes[25802] = 0x000c80fad3d17f4bUL;
   tf->codes[25803] = 0x000c815f3f14641eUL;
   tf->codes[25804] = 0x000c81c2c01b31ddUL;
   tf->codes[25805] = 0x000c81ca8719f607UL;
   tf->codes[25806] = 0x000c8328f7007cf3UL;
   tf->codes[25807] = 0x000c8362d65930a4UL;
   tf->codes[25808] = 0x000c83c98b324f29UL;
   tf->codes[25809] = 0x000c8459a72a81f7UL;
   tf->codes[25810] = 0x000c8467d5cde7adUL;
   tf->codes[25811] = 0x000c84f2745d9003UL;
   tf->codes[25812] = 0x000c84f40e46b866UL;
   tf->codes[25813] = 0x000c8579a48be1ceUL;
   tf->codes[25814] = 0x000c88422ed715e5UL;
   tf->codes[25815] = 0x000c88e45cf2107eUL;
   tf->codes[25816] = 0x000c89c990bea590UL;
   tf->codes[25817] = 0x000c8a646cf8e789UL;
   tf->codes[25818] = 0x000c8cf82035e6ddUL;
   tf->codes[25819] = 0x000c8d68ab14fd79UL;
   tf->codes[25820] = 0x000c8f36bb9e83edUL;
   tf->codes[25821] = 0x000c900b77317997UL;
   tf->codes[25822] = 0x000c9052d58081afUL;
   tf->codes[25823] = 0x000c9193fde4261bUL;
   tf->codes[25824] = 0x000c91d52f1d926cUL;
   tf->codes[25825] = 0x000c92c4737f255aUL;
   tf->codes[25826] = 0x000c933daf991734UL;
   tf->codes[25827] = 0x000c93c4dfc768ffUL;
   tf->codes[25828] = 0x000c9448a194643fUL;
   tf->codes[25829] = 0x000c9460a63dc20cUL;
   tf->codes[25830] = 0x000c96fb363d6e76UL;
   tf->codes[25831] = 0x000c9768182c28c2UL;
   tf->codes[25832] = 0x000c97855faf0b42UL;
   tf->codes[25833] = 0x000c980abb652ee5UL;
   tf->codes[25834] = 0x000c98f1c3a9f21fUL;
   tf->codes[25835] = 0x000c98f4bced3d20UL;
   tf->codes[25836] = 0x000c990f0b2cd49fUL;
   tf->codes[25837] = 0x000c99270fd6326cUL;
   tf->codes[25838] = 0x000c993f899d9bc3UL;
   tf->codes[25839] = 0x000c99eefc1fe4feUL;
   tf->codes[25840] = 0x000c9ae4e2b51f3dUL;
   tf->codes[25841] = 0x000c9b9ba7182118UL;
   tf->codes[25842] = 0x000c9bebb6a2046eUL;
   tf->codes[25843] = 0x000c9c5c41811b0aUL;
   tf->codes[25844] = 0x000c9d89f867d50dUL;
   tf->codes[25845] = 0x000c9e119db43262UL;
   tf->codes[25846] = 0x000c9e83c27c7161UL;
   tf->codes[25847] = 0x000c9f336f8dc061UL;
   tf->codes[25848] = 0x000ca04def8695c0UL;
   tf->codes[25849] = 0x000ca07d0e9d3a46UL;
   tf->codes[25850] = 0x000ca20bc2658291UL;
   tf->codes[25851] = 0x000ca313bb1d849bUL;
   tf->codes[25852] = 0x000ca3710f0eb693UL;
   tf->codes[25853] = 0x000ca53bebc5ec41UL;
   tf->codes[25854] = 0x000ca56bba89a216UL;
   tf->codes[25855] = 0x000ca75453e1c5ceUL;
   tf->codes[25856] = 0x000ca75a0bd9560bUL;
   tf->codes[25857] = 0x000ca7ca219a611dUL;
   tf->codes[25858] = 0x000ca7fb8a473f55UL;
   tf->codes[25859] = 0x000ca865e810ba2aUL;
   tf->codes[25860] = 0x000ca91101f595c6UL;
   tf->codes[25861] = 0x000caa1e3d871c83UL;
   tf->codes[25862] = 0x000caa2b0cd05f9bUL;
   tf->codes[25863] = 0x000caa4c37d2a430UL;
   tf->codes[25864] = 0x000caa826e3afb91UL;
   tf->codes[25865] = 0x000caaf0af83d87bUL;
   tf->codes[25866] = 0x000cab64a8c445a2UL;
   tf->codes[25867] = 0x000cab6eb959437eUL;
   tf->codes[25868] = 0x000cab83c4bf564aUL;
   tf->codes[25869] = 0x000cac8c329563deUL;
   tf->codes[25870] = 0x000cac9767f57e93UL;
   tf->codes[25871] = 0x000caccceeb0c4a5UL;
   tf->codes[25872] = 0x000cacf56b93c1daUL;
   tf->codes[25873] = 0x000cad1780d21d83UL;
   tf->codes[25874] = 0x000cad8b04f47f20UL;
   tf->codes[25875] = 0x000cad942b4d65e8UL;
   tf->codes[25876] = 0x000cadddd332a7b2UL;
   tf->codes[25877] = 0x000cae68ac5155cdUL;
   tf->codes[25878] = 0x000cae8c5b78d9d9UL;
   tf->codes[25879] = 0x000cb007d8533d80UL;
   tf->codes[25880] = 0x000cb06775daa92aUL;
   tf->codes[25881] = 0x000cb10e37221727UL;
   tf->codes[25882] = 0x000cb12f279555f7UL;
   tf->codes[25883] = 0x000cb169b69b1af7UL;
   tf->codes[25884] = 0x000cb1759ba846fbUL;
   tf->codes[25885] = 0x000cb18c06687c65UL;
   tf->codes[25886] = 0x000cb1f5ef13ebb0UL;
   tf->codes[25887] = 0x000cb21df6d8dd5bUL;
   tf->codes[25888] = 0x000cb383f32f22acUL;
   tf->codes[25889] = 0x000cb44db3f10366UL;
   tf->codes[25890] = 0x000cb4d175bdfea6UL;
   tf->codes[25891] = 0x000cb4e0c92c8135UL;
   tf->codes[25892] = 0x000cb5147b6f991fUL;
   tf->codes[25893] = 0x000cb59c20bbf674UL;
   tf->codes[25894] = 0x000cb5c8bbad5b83UL;
   tf->codes[25895] = 0x000cb5e518f426efUL;
   tf->codes[25896] = 0x000cb61e0e10c38cUL;
   tf->codes[25897] = 0x000cb66de30ba11dUL;
   tf->codes[25898] = 0x000cb6870c801bc3UL;
   tf->codes[25899] = 0x000cb8071c86f2ceUL;
   tf->codes[25900] = 0x000cb8ab59a92154UL;
   tf->codes[25901] = 0x000cb8daedddd164UL;
   tf->codes[25902] = 0x000cb9658c6d79baUL;
   tf->codes[25903] = 0x000cb9eda6d7e299UL;
   tf->codes[25904] = 0x000cba7cd893fe53UL;
   tf->codes[25905] = 0x000cbb5c54690328UL;
   tf->codes[25906] = 0x000cbb8790004599UL;
   tf->codes[25907] = 0x000cbb8e6cc2f2afUL;
   tf->codes[25908] = 0x000cbb93ea2b7d27UL;
   tf->codes[25909] = 0x000cbbcca4b913ffUL;
   tf->codes[25910] = 0x000cbbdfdba6f8a3UL;
   tf->codes[25911] = 0x000cbbe76816b708UL;
   tf->codes[25912] = 0x000cbc0b51cd40d9UL;
   tf->codes[25913] = 0x000cbd57af90fffaUL;
   tf->codes[25914] = 0x000cbd64444b3d4dUL;
   tf->codes[25915] = 0x000cbdf71ef7b557UL;
   tf->codes[25916] = 0x000cbe03ee40f86fUL;
   tf->codes[25917] = 0x000cbe1d524478daUL;
   tf->codes[25918] = 0x000cbe9de03f2354UL;
   tf->codes[25919] = 0x000cbeb694959270UL;
   tf->codes[25920] = 0x000cbec622931ac4UL;
   tf->codes[25921] = 0x000cbffaf0cb87a2UL;
   tf->codes[25922] = 0x000cc160b292c72eUL;
   tf->codes[25923] = 0x000cc1f59c467325UL;
   tf->codes[25924] = 0x000cc370de91d107UL;
   tf->codes[25925] = 0x000cc3bd7fba5dd2UL;
   tf->codes[25926] = 0x000cc3fe0146b8d4UL;
   tf->codes[25927] = 0x000cc4188a155618UL;
   tf->codes[25928] = 0x000cc5100a93b8baUL;
   tf->codes[25929] = 0x000cc54a247b7230UL;
   tf->codes[25930] = 0x000cc5910dac6ebeUL;
   tf->codes[25931] = 0x000cc5b56c810419UL;
   tf->codes[25932] = 0x000cc5e157c557d9UL;
   tf->codes[25933] = 0x000cc6f8a3ebdc72UL;
   tf->codes[25934] = 0x000cc71c5313607eUL;
   tf->codes[25935] = 0x000cc96c8b80b9cfUL;
   tf->codes[25936] = 0x000cc9f5cab63f87UL;
   tf->codes[25937] = 0x000cca9c516ea7bfUL;
   tf->codes[25938] = 0x000ccb11aa093784UL;
   tf->codes[25939] = 0x000ccb176200c7c1UL;
   tf->codes[25940] = 0x000ccbaa021e3a06UL;
   tf->codes[25941] = 0x000ccbc8a8fb3f24UL;
   tf->codes[25942] = 0x000ccbf7c811e3aaUL;
   tf->codes[25943] = 0x000ccc5556921b67UL;
   tf->codes[25944] = 0x000ccd053e32702cUL;
   tf->codes[25945] = 0x000cced29f0ee551UL;
   tf->codes[25946] = 0x000ccf0b942b81eeUL;
   tf->codes[25947] = 0x000ccfea25c46fafUL;
   tf->codes[25948] = 0x000cd007e2655db9UL;
   tf->codes[25949] = 0x000cd050657f82aaUL;
   tf->codes[25950] = 0x000cd185e36500d7UL;
   tf->codes[25951] = 0x000cd1c873f88fc6UL;
   tf->codes[25952] = 0x000cd2cd38de410aUL;
   tf->codes[25953] = 0x000cd2e95b9606b1UL;
   tf->codes[25954] = 0x000cd33462d56b19UL;
   tf->codes[25955] = 0x000cd3e40fe6ba19UL;
   tf->codes[25956] = 0x000cd68457ddf6c0UL;
   tf->codes[25957] = 0x000cd6f46d9f01d2UL;
   tf->codes[25958] = 0x000cd7029c426788UL;
   tf->codes[25959] = 0x000cd84bc633d5e3UL;
   tf->codes[25960] = 0x000cd8b957cfa17eUL;
   tf->codes[25961] = 0x000cd91c63b863b3UL;
   tf->codes[25962] = 0x000cda0d7c9224c9UL;
   tf->codes[25963] = 0x000cda1284dca3b7UL;
   tf->codes[25964] = 0x000cda1a4bdb67e1UL;
   tf->codes[25965] = 0x000cdb1415f00435UL;
   tf->codes[25966] = 0x000cdb3874c49990UL;
   tf->codes[25967] = 0x000cdbca9fc4004bUL;
   tf->codes[25968] = 0x000cdc3ab5850b5dUL;
   tf->codes[25969] = 0x000cdc68ea5f98cfUL;
   tf->codes[25970] = 0x000cdcefa56fdf10UL;
   tf->codes[25971] = 0x000cdd0a68cd8219UL;
   tf->codes[25972] = 0x000cdde37cfde562UL;
   tf->codes[25973] = 0x000cde7c84bff933UL;
   tf->codes[25974] = 0x000cdeb5eefaa15aUL;
   tf->codes[25975] = 0x000cded24c416cc6UL;
   tf->codes[25976] = 0x000cdef2c796a00cUL;
   tf->codes[25977] = 0x000ce0c9143cf634UL;
   tf->codes[25978] = 0x000ce1b05710bf33UL;
   tf->codes[25979] = 0x000ce1f65605a4adUL;
   tf->codes[25980] = 0x000ce21e98599c1dUL;
   tf->codes[25981] = 0x000ce2754a1726c4UL;
   tf->codes[25982] = 0x000ce2908292d557UL;
   tf->codes[25983] = 0x000ce2f40399a316UL;
   tf->codes[25984] = 0x000ce32ff1f98ab4UL;
   tf->codes[25985] = 0x000ce3bdc45b83d0UL;
   tf->codes[25986] = 0x000ce58ab019ed6bUL;
   tf->codes[25987] = 0x000ce617983fcf73UL;
   tf->codes[25988] = 0x000ce6493b7bb370UL;
   tf->codes[25989] = 0x000ce6e36808e41aUL;
   tf->codes[25990] = 0x000ce6f74ea3da0dUL;
   tf->codes[25991] = 0x000ce710ed36603dUL;
   tf->codes[25992] = 0x000ce7ccf472e6cbUL;
   tf->codes[25993] = 0x000ce80db08e4792UL;
   tf->codes[25994] = 0x000ce843e6f69ef3UL;
   tf->codes[25995] = 0x000ce9ffe55d5d9cUL;
   tf->codes[25996] = 0x000cea3f421e9bc5UL;
   tf->codes[25997] = 0x000cebf16a7f6257UL;
   tf->codes[25998] = 0x000cec2bbef62192UL;
   tf->codes[25999] = 0x000cec55d5c2472aUL;
   tf->codes[26000] = 0x000ceddc87fcc586UL;
   tf->codes[26001] = 0x000cedfba3f7d62eUL;
   tf->codes[26002] = 0x000cee7ce19f91f7UL;
   tf->codes[26003] = 0x000cee89eb77dad4UL;
   tf->codes[26004] = 0x000cee9b887c9715UL;
   tf->codes[26005] = 0x000ceed73c4d78eeUL;
   tf->codes[26006] = 0x000cef9468551c55UL;
   tf->codes[26007] = 0x000cefe6c175395dUL;
   tf->codes[26008] = 0x000ceff948b60cb2UL;
   tf->codes[26009] = 0x000cf08b39266da8UL;
   tf->codes[26010] = 0x000cf0d04ddf3c0eUL;
   tf->codes[26011] = 0x000cf122e18e5edbUL;
   tf->codes[26012] = 0x000cf14f41f0be25UL;
   tf->codes[26013] = 0x000cf1e2cc4a477eUL;
   tf->codes[26014] = 0x000cf2c198723b04UL;
   tf->codes[26015] = 0x000cf354e83cbe98UL;
   tf->codes[26016] = 0x000cf3f41d146e30UL;
   tf->codes[26017] = 0x000cf4dcbf4259cdUL;
   tf->codes[26018] = 0x000cf69723bff013UL;
   tf->codes[26019] = 0x000cf6bc6cd09c82UL;
   tf->codes[26020] = 0x000cf6f7ab8372d1UL;
   tf->codes[26021] = 0x000cf6fec2d525acUL;
   tf->codes[26022] = 0x000cf758a8650119UL;
   tf->codes[26023] = 0x000cf7ca580f348eUL;
   tf->codes[26024] = 0x000cf85c487f9584UL;
   tf->codes[26025] = 0x000cf8618b591a37UL;
   tf->codes[26026] = 0x000cf8969cf654bfUL;
   tf->codes[26027] = 0x000cf99a0281e365UL;
   tf->codes[26028] = 0x000cfa2eec358f5cUL;
   tf->codes[26029] = 0x000cfa7943c7e275UL;
   tf->codes[26030] = 0x000cfaa3cfb21397UL;
   tf->codes[26031] = 0x000cfc7638d907aaUL;
   tf->codes[26032] = 0x000cfe68331917efUL;
   tf->codes[26033] = 0x000cfe8d070bb8d4UL;
   tf->codes[26034] = 0x000cfee3b8c9437bUL;
   tf->codes[26035] = 0x000cff10c8d8b414UL;
   tf->codes[26036] = 0x000cff3fad6052d5UL;
   tf->codes[26037] = 0x000d0141aabbf6f8UL;
   tf->codes[26038] = 0x000d017ada67995aUL;
   tf->codes[26039] = 0x000d01f3dbf2856fUL;
   tf->codes[26040] = 0x000d02efef9d5b75UL;
   tf->codes[26041] = 0x000d03082ed5bf07UL;
   tf->codes[26042] = 0x000d031c8a8ec084UL;
   tf->codes[26043] = 0x000d03be7e1ab558UL;
   tf->codes[26044] = 0x000d04b2cac6c734UL;
   tf->codes[26045] = 0x000d050cb056a2a1UL;
   tf->codes[26046] = 0x000d0564fbfd55abUL;
   tf->codes[26047] = 0x000d063aa1cc6269UL;
   tf->codes[26048] = 0x000d0682001b6a81UL;
   tf->codes[26049] = 0x000d070b79dff5feUL;
   tf->codes[26050] = 0x000d072f9e258594UL;
   tf->codes[26051] = 0x000d08ca36faf9e3UL;
   tf->codes[26052] = 0x000d08ea77c12764UL;
   tf->codes[26053] = 0x000d08f70c7b64b7UL;
   tf->codes[26054] = 0x000d0976008ce6ceUL;
   tf->codes[26055] = 0x000d09830a652fabUL;
   tf->codes[26056] = 0x000d0a721437bcd4UL;
   tf->codes[26057] = 0x000d0a7ea8f1fa27UL;
   tf->codes[26058] = 0x000d0b03ca191805UL;
   tf->codes[26059] = 0x000d0bb3772a6705UL;
   tf->codes[26060] = 0x000d0c3b9194cfe4UL;
   tf->codes[26061] = 0x000d0c7d37ec47bfUL;
   tf->codes[26062] = 0x000d0d597feefbceUL;
   tf->codes[26063] = 0x000d0d5d636e5de3UL;
   tf->codes[26064] = 0x000d0e952aea15c2UL;
   tf->codes[26065] = 0x000d0f788a3e7cacUL;
   tf->codes[26066] = 0x000d10edda03448cUL;
   tf->codes[26067] = 0x000d12138f5c34a0UL;
   tf->codes[26068] = 0x000d12539bca8418UL;
   tf->codes[26069] = 0x000d125cfcb270a5UL;
   tf->codes[26070] = 0x000d13ed0fd4db8eUL;
   tf->codes[26071] = 0x000d149d32043618UL;
   tf->codes[26072] = 0x000d14c748d05bb0UL;
   tf->codes[26073] = 0x000d154761acfaa0UL;
   tf->codes[26074] = 0x000d1561afec921fUL;
   tf->codes[26075] = 0x000d15817b94b416UL;
   tf->codes[26076] = 0x000d158d9b30e5dfUL;
   tf->codes[26077] = 0x000d16e6531fdc8eUL;
   tf->codes[26078] = 0x000d175877e81b8dUL;
   tf->codes[26079] = 0x000d176805e5a3e1UL;
   tf->codes[26080] = 0x000d17f22f5740adUL;
   tf->codes[26081] = 0x000d18648eae8571UL;
   tf->codes[26082] = 0x000d1865b379a24aUL;
   tf->codes[26083] = 0x000d190fe32266d2UL;
   tf->codes[26084] = 0x000d1a7f406098b0UL;
   tf->codes[26085] = 0x000d1b080a7812deUL;
   tf->codes[26086] = 0x000d1b19e20bd4e4UL;
   tf->codes[26087] = 0x000d1c91f084e200UL;
   tf->codes[26088] = 0x000d1d1db3dfa72fUL;
   tf->codes[26089] = 0x000d1d5b76b7bcf5UL;
   tf->codes[26090] = 0x000d1db81afbdd9eUL;
   tf->codes[26091] = 0x000d1e15e40b1b20UL;
   tf->codes[26092] = 0x000d1e5665977622UL;
   tf->codes[26093] = 0x000d1eb6783ced56UL;
   tf->codes[26094] = 0x000d1ed3fa4ed59bUL;
   tf->codes[26095] = 0x000d1f14f0f93c27UL;
   tf->codes[26096] = 0x000d1f5537f69164UL;
   tf->codes[26097] = 0x000d1fd08317b72bUL;
   tf->codes[26098] = 0x000d1fe42f23a759UL;
   tf->codes[26099] = 0x000d1ffce37a1675UL;
   tf->codes[26100] = 0x000d203d9f95773cUL;
   tf->codes[26101] = 0x000d20ecd788bab2UL;
   tf->codes[26102] = 0x000d20f2ca0f50b4UL;
   tf->codes[26103] = 0x000d2164049b789fUL;
   tf->codes[26104] = 0x000d2195a7d75c9cUL;
   tf->codes[26105] = 0x000d21d245e45589UL;
   tf->codes[26106] = 0x000d22cd6f53147bUL;
   tf->codes[26107] = 0x000d232ac3444673UL;
   tf->codes[26108] = 0x000d23634342d786UL;
   tf->codes[26109] = 0x000d239645d8de21UL;
   tf->codes[26110] = 0x000d2467930a7d40UL;
   tf->codes[26111] = 0x000d24751200d1a7UL;
   tf->codes[26112] = 0x000d24ffb09079fdUL;
   tf->codes[26113] = 0x000d250bd02cabc6UL;
   tf->codes[26114] = 0x000d2552443f9ccaUL;
   tf->codes[26115] = 0x000d2679ce10bb06UL;
   tf->codes[26116] = 0x000d26bbaef738a6UL;
   tf->codes[26117] = 0x000d27d928335906UL;
   tf->codes[26118] = 0x000d29078ec72458UL;
   tf->codes[26119] = 0x000d294083e3c0f5UL;
   tf->codes[26120] = 0x000d29c1fc1a8283UL;
   tf->codes[26121] = 0x000d2a1f500bb47bUL;
   tf->codes[26122] = 0x000d2a66ae5abc93UL;
   tf->codes[26123] = 0x000d2ad47a858df3UL;
   tf->codes[26124] = 0x000d2adb57483b09UL;
   tf->codes[26125] = 0x000d2bde8244c3eaUL;
   tf->codes[26126] = 0x000d2c7540709e09UL;
   tf->codes[26127] = 0x000d2d8206e4193cUL;
   tf->codes[26128] = 0x000d2d9ffe140d0bUL;
   tf->codes[26129] = 0x000d2eee6adf0019UL;
   tf->codes[26130] = 0x000d2f89f6c65361UL;
   tf->codes[26131] = 0x000d2ff1d06a8ebfUL;
   tf->codes[26132] = 0x000d303585c93a87UL;
   tf->codes[26133] = 0x000d3068c2ee46e7UL;
   tf->codes[26134] = 0x000d307014ceff87UL;
   tf->codes[26135] = 0x000d3077dbcdc3b1UL;
   tf->codes[26136] = 0x000d312be17c8050UL;
   tf->codes[26137] = 0x000d31378bfaa68fUL;
   tf->codes[26138] = 0x000d31fc09e30296UL;
   tf->codes[26139] = 0x000d321f43ec7b18UL;
   tf->codes[26140] = 0x000d33670e83c6d5UL;
   tf->codes[26141] = 0x000d339f53f35223UL;
   tf->codes[26142] = 0x000d3416bb9515d5UL;
   tf->codes[26143] = 0x000d341e8293d9ffUL;
   tf->codes[26144] = 0x000d34ed4ba039a7UL;
   tf->codes[26145] = 0x000d355c77252da5UL;
   tf->codes[26146] = 0x000d359531b2c47dUL;
   tf->codes[26147] = 0x000d35977b48fe2fUL;
   tf->codes[26148] = 0x000d35ea84162c86UL;
   tf->codes[26149] = 0x000d367ce9a49906UL;
   tf->codes[26150] = 0x000d369fe91f0bc3UL;
   tf->codes[26151] = 0x000d3712f82361d6UL;
   tf->codes[26152] = 0x000d37bd9cea31e8UL;
   tf->codes[26153] = 0x000d3995f897bbfdUL;
   tf->codes[26154] = 0x000d3ae8f88f226fUL;
   tf->codes[26155] = 0x000d3b58993221f7UL;
   tf->codes[26156] = 0x000d3b9e98270771UL;
   tf->codes[26157] = 0x000d3c0e38ca06f9UL;
   tf->codes[26158] = 0x000d3c116c9c57bfUL;
   tf->codes[26159] = 0x000d3caeccfbd92fUL;
   tf->codes[26160] = 0x000d3d228bad4091UL;
   tf->codes[26161] = 0x000d3d7310552f71UL;
   tf->codes[26162] = 0x000d3d8bc4ab9e8dUL;
   tf->codes[26163] = 0x000d3e7884e7f204UL;
   tf->codes[26164] = 0x000d3f49d2199123UL;
   tf->codes[26165] = 0x000d3ff2dcf738d2UL;
   tf->codes[26166] = 0x000d40691fcddfabUL;
   tf->codes[26167] = 0x000d4078e85a6dc4UL;
   tf->codes[26168] = 0x000d407d0668d59eUL;
   tf->codes[26169] = 0x000d4107df8783b9UL;
   tf->codes[26170] = 0x000d411090c25ef7UL;
   tf->codes[26171] = 0x000d4139f7e17340UL;
   tf->codes[26172] = 0x000d419e9db35dd8UL;
   tf->codes[26173] = 0x000d42021eba2b97UL;
   tf->codes[26174] = 0x000d4213bbbee7d8UL;
   tf->codes[26175] = 0x000d42659fc0f956UL;
   tf->codes[26176] = 0x000d42861b162c9cUL;
   tf->codes[26177] = 0x000d42961e31c07aUL;
   tf->codes[26178] = 0x000d4364acaf1a5dUL;
   tf->codes[26179] = 0x000d437350708b9dUL;
   tf->codes[26180] = 0x000d437e85d0a652UL;
   tf->codes[26181] = 0x000d43eab8124f4fUL;
   tf->codes[26182] = 0x000d43ee2673a5daUL;
   tf->codes[26183] = 0x000d43f99662c654UL;
   tf->codes[26184] = 0x000d4486f3a6b3e6UL;
   tf->codes[26185] = 0x000d4491b3e8c311UL;
   tf->codes[26186] = 0x000d44e7b5f93c69UL;
   tf->codes[26187] = 0x000d44f868c1e196UL;
   tf->codes[26188] = 0x000d4598fcf3b3ccUL;
   tf->codes[26189] = 0x000d4737042a7ea6UL;
   tf->codes[26190] = 0x000d479eddceba04UL;
   tf->codes[26191] = 0x000d486396461bd0UL;
   tf->codes[26192] = 0x000d495858103936UL;
   tf->codes[26193] = 0x000d4b533e1a2a7eUL;
   tf->codes[26194] = 0x000d4b8d5801e3f4UL;
   tf->codes[26195] = 0x000d4bf272f1da16UL;
   tf->codes[26196] = 0x000d4bf8a00775ddUL;
   tf->codes[26197] = 0x000d4c52107945c0UL;
   tf->codes[26198] = 0x000d4d1026bd003bUL;
   tf->codes[26199] = 0x000d4d97cc095d90UL;
   tf->codes[26200] = 0x000d4dcb43bd6fb5UL;
   tf->codes[26201] = 0x000d4e4445485bcaUL;
   tf->codes[26202] = 0x000d4e577c36406eUL;
   tf->codes[26203] = 0x000d50108159b416UL;
   tf->codes[26204] = 0x000d519a2cd77d73UL;
   tf->codes[26205] = 0x000d51e867e932a1UL;
   tf->codes[26206] = 0x000d52d89686dca3UL;
   tf->codes[26207] = 0x000d5305a6964d3cUL;
   tf->codes[26208] = 0x000d531200c184caUL;
   tf->codes[26209] = 0x000d531ed00ac7e2UL;
   tf->codes[26210] = 0x000d5485417f18bdUL;
   tf->codes[26211] = 0x000d54cfd3a0719bUL;
   tf->codes[26212] = 0x000d5505cf79c337UL;
   tf->codes[26213] = 0x000d55373826a16fUL;
   tf->codes[26214] = 0x000d5564f7e32357UL;
   tf->codes[26215] = 0x000d56021db39f02UL;
   tf->codes[26216] = 0x000d5667adc1a0aeUL;
   tf->codes[26217] = 0x000d56c0e3a46accUL;
   tf->codes[26218] = 0x000d571a8ea54074UL;
   tf->codes[26219] = 0x000d5732934e9e41UL;
   tf->codes[26220] = 0x000d5791f6470426UL;
   tf->codes[26221] = 0x000d58149348e28dUL;
   tf->codes[26222] = 0x000d58504719c466UL;
   tf->codes[26223] = 0x000d58a6f8d74f0dUL;
   tf->codes[26224] = 0x000d5907f5b8dd55UL;
   tf->codes[26225] = 0x000d59127b6be6bbUL;
   tf->codes[26226] = 0x000d59519d9e1f1fUL;
   tf->codes[26227] = 0x000d59e4b2d99ceeUL;
   tf->codes[26228] = 0x000d5b4f7ceb5b68UL;
   tf->codes[26229] = 0x000d5b665cc99c5cUL;
   tf->codes[26230] = 0x000d5b8244f25c3eUL;
   tf->codes[26231] = 0x000d5b8f143b9f56UL;
   tf->codes[26232] = 0x000d5b9b33d7d11fUL;
   tf->codes[26233] = 0x000d5b9be384e26eUL;
   tf->codes[26234] = 0x000d5cbf89d69e95UL;
   tf->codes[26235] = 0x000d5cc875a07f98UL;
   tf->codes[26236] = 0x000d5cf84464356dUL;
   tf->codes[26237] = 0x000d5cfc62729d47UL;
   tf->codes[26238] = 0x000d5d1d1856d652UL;
   tf->codes[26239] = 0x000d5f1c1c6f2f74UL;
   tf->codes[26240] = 0x000d5f82219b3caaUL;
   tf->codes[26241] = 0x000d603d3e9bac24UL;
   tf->codes[26242] = 0x000d613c4b89cd2bUL;
   tf->codes[26243] = 0x000d621a6804af62UL;
   tf->codes[26244] = 0x000d63809ee9fa78UL;
   tf->codes[26245] = 0x000d641a90e8255dUL;
   tf->codes[26246] = 0x000d64f83844fc0aUL;
   tf->codes[26247] = 0x000d668dc8cff16bUL;
   tf->codes[26248] = 0x000d6707ef25fa59UL;
   tf->codes[26249] = 0x000d688490cb7ad9UL;
   tf->codes[26250] = 0x000d68bbebfeef13UL;
   tf->codes[26251] = 0x000d693a30635fdbUL;
   tf->codes[26252] = 0x000d6a15539af711UL;
   tf->codes[26253] = 0x000d6a852eccfc5eUL;
   tf->codes[26254] = 0x000d6b171f3d5d54UL;
   tf->codes[26255] = 0x000d6b1cd734ed91UL;
   tf->codes[26256] = 0x000d6b7b4ff13c62UL;
   tf->codes[26257] = 0x000d6b98d20324a7UL;
   tf->codes[26258] = 0x000d6cb4ebe52269UL;
   tf->codes[26259] = 0x000d6e0e18f224a2UL;
   tf->codes[26260] = 0x000d6fb3e727b3a6UL;
   tf->codes[26261] = 0x000d6fca1758e34bUL;
   tf->codes[26262] = 0x000d706b5b37c6d0UL;
   tf->codes[26263] = 0x000d70f7ce3f9d4eUL;
   tf->codes[26264] = 0x000d7105fce30304UL;
   tf->codes[26265] = 0x000d711cdcc143f8UL;
   tf->codes[26266] = 0x000d719e1a68ffc1UL;
   tf->codes[26267] = 0x000d720509d1240bUL;
   tf->codes[26268] = 0x000d730c184d0f01UL;
   tf->codes[26269] = 0x000d749e3a76add7UL;
   tf->codes[26270] = 0x000d753239ee42baUL;
   tf->codes[26271] = 0x000d7552efd27bc5UL;
   tf->codes[26272] = 0x000d760e81f0f6c9UL;
   tf->codes[26273] = 0x000d7657b4b82d09UL;
   tf->codes[26274] = 0x000d772ef470622aUL;
   tf->codes[26275] = 0x000d7797b850b49cUL;
   tf->codes[26276] = 0x000d7813edadf177UL;
   tf->codes[26277] = 0x000d78dc89a4b558UL;
   tf->codes[26278] = 0x000d78eed65682e8UL;
   tf->codes[26279] = 0x000d7905b634c3dcUL;
   tf->codes[26280] = 0x000d7956004dacf7UL;
   tf->codes[26281] = 0x000d79be1480ee1aUL;
   tf->codes[26282] = 0x000d79c8d4c2fd45UL;
   tf->codes[26283] = 0x000d7a77d2273af6UL;
   tf->codes[26284] = 0x000d7ae7383b34b9UL;
   tf->codes[26285] = 0x000d7af05e941b81UL;
   tf->codes[26286] = 0x000d7b0703e356b0UL;
   tf->codes[26287] = 0x000d7c9333865f84UL;
   tf->codes[26288] = 0x000d7c936e156549UL;
   tf->codes[26289] = 0x000d7d55a267879eUL;
   tf->codes[26290] = 0x000d7dec26045bf8UL;
   tf->codes[26291] = 0x000d7f1f94e2a638UL;
   tf->codes[26292] = 0x000d7f6c360b3303UL;
   tf->codes[26293] = 0x000d805d8973f9deUL;
   tf->codes[26294] = 0x000d80bec0e48debUL;
   tf->codes[26295] = 0x000d816f5831f3ffUL;
   tf->codes[26296] = 0x000d8179dde4fd65UL;
   tf->codes[26297] = 0x000d81cd965f3d0bUL;
   tf->codes[26298] = 0x000d81e943f8f728UL;
   tf->codes[26299] = 0x000d825fc15ea3c6UL;
   tf->codes[26300] = 0x000d8356ccbefadeUL;
   tf->codes[26301] = 0x000d8375ae2b05c1UL;
   tf->codes[26302] = 0x000d83f58c789eecUL;
   tf->codes[26303] = 0x000d83f8109dde63UL;
   tf->codes[26304] = 0x000d848e59abacf8UL;
   tf->codes[26305] = 0x000d84fa8bed55f5UL;
   tf->codes[26306] = 0x000d854fde50bdfeUL;
   tf->codes[26307] = 0x000d8662d1d9d4f8UL;
   tf->codes[26308] = 0x000d868fa75a3fccUL;
   tf->codes[26309] = 0x000d86c2e47f4c2cUL;
   tf->codes[26310] = 0x000d873d45645adfUL;
   tf->codes[26311] = 0x000d8885fa37bdb0UL;
   tf->codes[26312] = 0x000d8891a4b5e3efUL;
   tf->codes[26313] = 0x000d88b37f6539d3UL;
   tf->codes[26314] = 0x000d88faa3253c26UL;
   tf->codes[26315] = 0x000d890dda1320caUL;
   tf->codes[26316] = 0x000d891098c76606UL;
   tf->codes[26317] = 0x000d895747695ccfUL;
   tf->codes[26318] = 0x000d8a98aa5c0700UL;
   tf->codes[26319] = 0x000d8bc208a55364UL;
   tf->codes[26320] = 0x000d8c1eace9740dUL;
   tf->codes[26321] = 0x000d8e86af712566UL;
   tf->codes[26322] = 0x000d8f5d7a0b4efdUL;
   tf->codes[26323] = 0x000d8f7a11e1202eUL;
   tf->codes[26324] = 0x000d8fe1b0f655c7UL;
   tf->codes[26325] = 0x000d90ac9683535aUL;
   tf->codes[26326] = 0x000d90de744e3d1cUL;
   tf->codes[26327] = 0x000d90ee7769d0faUL;
   tf->codes[26328] = 0x000d91782bbd623cUL;
   tf->codes[26329] = 0x000d921fd740e74dUL;
   tf->codes[26330] = 0x000d92705be8d62dUL;
   tf->codes[26331] = 0x000d93504cdbe68cUL;
   tf->codes[26332] = 0x000d9397709be8dfUL;
   tf->codes[26333] = 0x000d93b68c96f987UL;
   tf->codes[26334] = 0x000d93e65b5aaf5cUL;
   tf->codes[26335] = 0x000d960ae312bab2UL;
   tf->codes[26336] = 0x000d9826f41ef08fUL;
   tf->codes[26337] = 0x000d9862a7efd268UL;
   tf->codes[26338] = 0x000d98786302f683UL;
   tf->codes[26339] = 0x000d98939b7ea516UL;
   tf->codes[26340] = 0x000d990a53735779UL;
   tf->codes[26341] = 0x000d991e749d5331UL;
   tf->codes[26342] = 0x000d998bcbaa1907UL;
   tf->codes[26343] = 0x000d99bece401fa2UL;
   tf->codes[26344] = 0x000d9a651a698215UL;
   tf->codes[26345] = 0x000d9abefff95d82UL;
   tf->codes[26346] = 0x000d9b044f4131adUL;
   tf->codes[26347] = 0x000d9b1e62f1c367UL;
   tf->codes[26348] = 0x000d9bae7ee9f635UL;
   tf->codes[26349] = 0x000d9c04bb897552UL;
   tf->codes[26350] = 0x000d9e63229a3459UL;
   tf->codes[26351] = 0x000d9f61f4f94f9bUL;
   tf->codes[26352] = 0x000d9fcab8d9a20dUL;
   tf->codes[26353] = 0x000da1d4f25215e4UL;
   tf->codes[26354] = 0x000da1d910607dbeUL;
   tf->codes[26355] = 0x000da1f02acdc477UL;
   tf->codes[26356] = 0x000da2e8d01743f2UL;
   tf->codes[26357] = 0x000da39a8c2fc6dfUL;
   tf->codes[26358] = 0x000da40265d4023dUL;
   tf->codes[26359] = 0x000da4ee76634465UL;
   tf->codes[26360] = 0x000da5151ece1372UL;
   tf->codes[26361] = 0x000da542a3fb8f95UL;
   tf->codes[26362] = 0x000da55ddc773e28UL;
   tf->codes[26363] = 0x000da648188e5228UL;
   tf->codes[26364] = 0x000da713e85766cfUL;
   tf->codes[26365] = 0x000da71f92d58d0eUL;
   tf->codes[26366] = 0x000da7d9507bd9eaUL;
   tf->codes[26367] = 0x000da7f3642c6ba4UL;
   tf->codes[26368] = 0x000da8521777c03aUL;
   tf->codes[26369] = 0x000dab4c7f8dde13UL;
   tf->codes[26370] = 0x000dab8ab783ff63UL;
   tf->codes[26371] = 0x000dac0e3ec1f4deUL;
   tf->codes[26372] = 0x000dac3178cb6d60UL;
   tf->codes[26373] = 0x000dad7d9c0026bcUL;
   tf->codes[26374] = 0x000dae8ef5a01553UL;
   tf->codes[26375] = 0x000daed09bf78d2eUL;
   tf->codes[26376] = 0x000daf8f9c775ebdUL;
   tf->codes[26377] = 0x000db1769be65a12UL;
   tf->codes[26378] = 0x000db23cee46e441UL;
   tf->codes[26379] = 0x000db2e3af8e523eUL;
   tf->codes[26380] = 0x000db314688e1f27UL;
   tf->codes[26381] = 0x000db3517bb9239eUL;
   tf->codes[26382] = 0x000db3dbdfb9c62fUL;
   tf->codes[26383] = 0x000db4546c26a6baUL;
   tf->codes[26384] = 0x000db47a2a555eb3UL;
   tf->codes[26385] = 0x000db51038d42783UL;
   tf->codes[26386] = 0x000db64f8cbf9dc7UL;
   tf->codes[26387] = 0x000db6f4b41de361UL;
   tf->codes[26388] = 0x000db6f981d95c8aUL;
   tf->codes[26389] = 0x000db7d8c31f5b9aUL;
   tf->codes[26390] = 0x000db80b509756abUL;
   tf->codes[26391] = 0x000db87957512dd0UL;
   tf->codes[26392] = 0x000db96985eed7d2UL;
   tf->codes[26393] = 0x000dba0720dd5f07UL;
   tf->codes[26394] = 0x000dbcf98765b2f1UL;
   tf->codes[26395] = 0x000dbd0f07e9d147UL;
   tf->codes[26396] = 0x000dbdd97858c350UL;
   tf->codes[26397] = 0x000dbf0b4d4de52dUL;
   tf->codes[26398] = 0x000dbf98aa91d2bfUL;
   tf->codes[26399] = 0x000dc07e537c735bUL;
   tf->codes[26400] = 0x000dc08480920f22UL;
   tf->codes[26401] = 0x000dc095a878bfd9UL;
   tf->codes[26402] = 0x000dc119df63c6a3UL;
   tf->codes[26403] = 0x000dc20d7c62c730UL;
   tf->codes[26404] = 0x000dc2d14a9e11e8UL;
   tf->codes[26405] = 0x000dc31a08473c9eUL;
   tf->codes[26406] = 0x000dc33197d28ee1UL;
   tf->codes[26407] = 0x000dc373039b00f7UL;
   tf->codes[26408] = 0x000dc40f3f2f658eUL;
   tf->codes[26409] = 0x000dc415a6d4071aUL;
   tf->codes[26410] = 0x000dc48b39fd9ca4UL;
   tf->codes[26411] = 0x000dc50ec13b921fUL;
   tf->codes[26412] = 0x000dc5c794a5c7e7UL;
   tf->codes[26413] = 0x000dc6dc5ca70d09UL;
   tf->codes[26414] = 0x000dc70cdb17d42dUL;
   tf->codes[26415] = 0x000dc70d5035dfb7UL;
   tf->codes[26416] = 0x000dc77d2b67e504UL;
   tf->codes[26417] = 0x000dc7da0a3b0b72UL;
   tf->codes[26418] = 0x000dc81c9ace9a61UL;
   tf->codes[26419] = 0x000dc82b3e900ba1UL;
   tf->codes[26420] = 0x000dc84e78998423UL;
   tf->codes[26421] = 0x000dc9195e2681b6UL;
   tf->codes[26422] = 0x000dc94ac6d35feeUL;
   tf->codes[26423] = 0x000dca253a5de5d5UL;
   tf->codes[26424] = 0x000dca699f69a2ecUL;
   tf->codes[26425] = 0x000dca916c9f8ed2UL;
   tf->codes[26426] = 0x000dca9f9b42f488UL;
   tf->codes[26427] = 0x000dcb10d5cf1c73UL;
   tf->codes[26428] = 0x000dcc47ed9dc303UL;
   tf->codes[26429] = 0x000dcd3f6e1c25a5UL;
   tf->codes[26430] = 0x000dcd4fe655c50dUL;
   tf->codes[26431] = 0x000dcd71fb9420b6UL;
   tf->codes[26432] = 0x000dcd9f80c19cd9UL;
   tf->codes[26433] = 0x000dcdd875de3976UL;
   tf->codes[26434] = 0x000dcdd8b06d3f3bUL;
   tf->codes[26435] = 0x000dcdee30f15d91UL;
   tf->codes[26436] = 0x000dce57a47ec152UL;
   tf->codes[26437] = 0x000dceaf05e95d48UL;
   tf->codes[26438] = 0x000dcecb28a122efUL;
   tf->codes[26439] = 0x000dcf914072a759UL;
   tf->codes[26440] = 0x000dd02e2bb41d3fUL;
   tf->codes[26441] = 0x000dd0341e3ab341UL;
   tf->codes[26442] = 0x000dd053af53cf73UL;
   tf->codes[26443] = 0x000dd061a3682f64UL;
   tf->codes[26444] = 0x000dd09d91c81702UL;
   tf->codes[26445] = 0x000dd26a42f77ad8UL;
   tf->codes[26446] = 0x000dd352aa9660b0UL;
   tf->codes[26447] = 0x000dd37868c518a9UL;
   tf->codes[26448] = 0x000dd37bd7266f34UL;
   tf->codes[26449] = 0x000dd67813b4bb35UL;
   tf->codes[26450] = 0x000dd6be87c7ac39UL;
   tf->codes[26451] = 0x000dd776e613d677UL;
   tf->codes[26452] = 0x000dd783efec1f54UL;
   tf->codes[26453] = 0x000dd873e3fac391UL;
   tf->codes[26454] = 0x000dd875f301f77eUL;
   tf->codes[26455] = 0x000dd888ef60d65dUL;
   tf->codes[26456] = 0x000dd909083d754dUL;
   tf->codes[26457] = 0x000dd909b7ea869cUL;
   tf->codes[26458] = 0x000dd9d880f6e644UL;
   tf->codes[26459] = 0x000dda1b118a7533UL;
   tf->codes[26460] = 0x000dda485c28eb91UL;
   tf->codes[26461] = 0x000dda547bc51d5aUL;
   tf->codes[26462] = 0x000dda6ae68552c4UL;
   tf->codes[26463] = 0x000ddd10abe519e3UL;
   tf->codes[26464] = 0x000ddd6847debb9eUL;
   tf->codes[26465] = 0x000ddd9d940afbebUL;
   tf->codes[26466] = 0x000ddde2e352d016UL;
   tf->codes[26467] = 0x000ddf05d9f77aeeUL;
   tf->codes[26468] = 0x000de1c7878001efUL;
   tf->codes[26469] = 0x000de1f2fda64a25UL;
   tf->codes[26470] = 0x000de21ee8ea9de5UL;
   tf->codes[26471] = 0x000de2f070ab42c9UL;
   tf->codes[26472] = 0x000de39c74cc3579UL;
   tf->codes[26473] = 0x000de3e3236e2c42UL;
   tf->codes[26474] = 0x000de3ef430a5e0bUL;
   tf->codes[26475] = 0x000de3f410c5d734UL;
   tf->codes[26476] = 0x000de410337d9cdbUL;
   tf->codes[26477] = 0x000de4ba63266163UL;
   tf->codes[26478] = 0x000de503d07c9d68UL;
   tf->codes[26479] = 0x000de5e4ababc4dbUL;
   tf->codes[26480] = 0x000de66d00a5337fUL;
   tf->codes[26481] = 0x000de675ec6f1482UL;
   tf->codes[26482] = 0x000de78c13ca7c42UL;
   tf->codes[26483] = 0x000de79f4ab860e6UL;
   tf->codes[26484] = 0x000de84c73a4706fUL;
   tf->codes[26485] = 0x000de8601fb0609dUL;
   tf->codes[26486] = 0x000de89690a7bdc3UL;
   tf->codes[26487] = 0x000de983c6021cc4UL;
   tf->codes[26488] = 0x000dea10e8b70491UL;
   tf->codes[26489] = 0x000dea725ab69e63UL;
   tf->codes[26490] = 0x000deaf98ae4f02eUL;
   tf->codes[26491] = 0x000deb3c90968aa7UL;
   tf->codes[26492] = 0x000dec4fbeaea766UL;
   tf->codes[26493] = 0x000dedd49c70f79aUL;
   tf->codes[26494] = 0x000dee1e44563964UL;
   tf->codes[26495] = 0x000dee83d4643b10UL;
   tf->codes[26496] = 0x000dee87b7e39d25UL;
   tf->codes[26497] = 0x000dee8aebb5edebUL;
   tf->codes[26498] = 0x000dee8b60d3f975UL;
   tf->codes[26499] = 0x000defba3c85d051UL;
   tf->codes[26500] = 0x000df00be5f8dc0aUL;
   tf->codes[26501] = 0x000df0b8d455e5ceUL;
   tf->codes[26502] = 0x000df12fc6d99df6UL;
   tf->codes[26503] = 0x000df1d897283fe0UL;
   tf->codes[26504] = 0x000df2e08fe041eaUL;
   tf->codes[26505] = 0x000df36576785a03UL;
   tf->codes[26506] = 0x000df367fa9d997aUL;
   tf->codes[26507] = 0x000df4164854c5dcUL;
   tf->codes[26508] = 0x000df5ab2932a9eeUL;
   tf->codes[26509] = 0x000df65d1fda32a0UL;
   tf->codes[26510] = 0x000df6693f766469UL;
   tf->codes[26511] = 0x000df69823fe032aUL;
   tf->codes[26512] = 0x000df6f5b27e3ae7UL;
   tf->codes[26513] = 0x000df7826015172aUL;
   tf->codes[26514] = 0x000df7f484dd5629UL;
   tf->codes[26515] = 0x000df83038ae3802UL;
   tf->codes[26516] = 0x000df8550ca0d8e7UL;
   tf->codes[26517] = 0x000df8842bb77d6dUL;
   tf->codes[26518] = 0x000df902aaaaf3faUL;
   tf->codes[26519] = 0x000df91531ebc74fUL;
   tf->codes[26520] = 0x000dfa7834fec19fUL;
   tf->codes[26521] = 0x000dfa88381a557dUL;
   tf->codes[26522] = 0x000dfaecddec4015UL;
   tf->codes[26523] = 0x000dfb4e8a7adfacUL;
   tf->codes[26524] = 0x000dfc93965de62dUL;
   tf->codes[26525] = 0x000dfd1f9447b121UL;
   tf->codes[26526] = 0x000dfd68c70ee761UL;
   tf->codes[26527] = 0x000dfdb73cafa254UL;
   tf->codes[26528] = 0x000dfe4215ce506fUL;
   tf->codes[26529] = 0x000dfe554cbc3513UL;
   tf->codes[26530] = 0x000dfefb98e59786UL;
   tf->codes[26531] = 0x000dff2c8c746a34UL;
   tf->codes[26532] = 0x000dff8a1af4a1f1UL;
   tf->codes[26533] = 0x000e00b3041fe2cbUL;
   tf->codes[26534] = 0x000e01f133403c36UL;
   tf->codes[26535] = 0x000e030eac7c5c96UL;
   tf->codes[26536] = 0x000e0416dfc36465UL;
   tf->codes[26537] = 0x000e04fa0488c58aUL;
   tf->codes[26538] = 0x000e054964659791UL;
   tf->codes[26539] = 0x000e058ca4a637cfUL;
   tf->codes[26540] = 0x000e05e6ff541ec6UL;
   tf->codes[26541] = 0x000e0665b8d69b18UL;
   tf->codes[26542] = 0x000e067dbd7ff8e5UL;
   tf->codes[26543] = 0x000e0794cf1777b9UL;
   tf->codes[26544] = 0x000e09f50aa064e8UL;
   tf->codes[26545] = 0x000e0a881fdbe2b7UL;
   tf->codes[26546] = 0x000e0a9f74d82f35UL;
   tf->codes[26547] = 0x000e0aeba0e2b076UL;
   tf->codes[26548] = 0x000e0af8702bf38eUL;
   tf->codes[26549] = 0x000e0b813a436dbcUL;
   tf->codes[26550] = 0x000e0c97270fcfb7UL;
   tf->codes[26551] = 0x000e0d0f03cf9ef3UL;
   tf->codes[26552] = 0x000e0d4bdc6b9da5UL;
   tf->codes[26553] = 0x000e0d5c1a163748UL;
   tf->codes[26554] = 0x000e0d92c59c9a33UL;
   tf->codes[26555] = 0x000e0e4cf860f299UL;
   tf->codes[26556] = 0x000e0f777b755bd6UL;
   tf->codes[26557] = 0x000e0ffee632b366UL;
   tf->codes[26558] = 0x000e1089f9e06746UL;
   tf->codes[26559] = 0x000e111cd48cdf50UL;
   tf->codes[26560] = 0x000e117a9d9c1cd2UL;
   tf->codes[26561] = 0x000e11c3d0635312UL;
   tf->codes[26562] = 0x000e124a8b739953UL;
   tf->codes[26563] = 0x000e125f5c4aa65aUL;
   tf->codes[26564] = 0x000e129c34e6a50cUL;
   tf->codes[26565] = 0x000e12bb1652afefUL;
   tf->codes[26566] = 0x000e13fc3eb6545bUL;
   tf->codes[26567] = 0x000e1583660ede41UL;
   tf->codes[26568] = 0x000e15d9a2ae5d5eUL;
   tf->codes[26569] = 0x000e16ba434e7f0cUL;
   tf->codes[26570] = 0x000e170f95b1e715UL;
   tf->codes[26571] = 0x000e180b6ecdb756UL;
   tf->codes[26572] = 0x000e181f1ad9a784UL;
   tf->codes[26573] = 0x000e1879b0169440UL;
   tf->codes[26574] = 0x000e191e9ce5d415UL;
   tf->codes[26575] = 0x000e1a094e1af39fUL;
   tf->codes[26576] = 0x000e1b0561c5c9a5UL;
   tf->codes[26577] = 0x000e1b1fea9466e9UL;
   tf->codes[26578] = 0x000e1d5a67ee9c1fUL;
   tf->codes[26579] = 0x000e1df160a97c03UL;
   tf->codes[26580] = 0x000e1e1f2065fdebUL;
   tf->codes[26581] = 0x000e1ec61c3c71adUL;
   tf->codes[26582] = 0x000e1f08acd0009cUL;
   tf->codes[26583] = 0x000e1f6b439ab747UL;
   tf->codes[26584] = 0x000e20b3bddf1453UL;
   tf->codes[26585] = 0x000e20cd21e294beUL;
   tf->codes[26586] = 0x000e21eef3bc22bdUL;
   tf->codes[26587] = 0x000e2241876b458aUL;
   tf->codes[26588] = 0x000e229b326c1b32UL;
   tf->codes[26589] = 0x000e23360ea65d2bUL;
   tf->codes[26590] = 0x000e24ee9eabc549UL;
   tf->codes[26591] = 0x000e26b97b62faf7UL;
   tf->codes[26592] = 0x000e26cefbe7194dUL;
   tf->codes[26593] = 0x000e26d1800c58c4UL;
   tf->codes[26594] = 0x000e278dfc66eadcUL;
   tf->codes[26595] = 0x000e27d34baebf07UL;
   tf->codes[26596] = 0x000e298bdbb42725UL;
   tf->codes[26597] = 0x000e29f514b28521UL;
   tf->codes[26598] = 0x000e2a88d99b143fUL;
   tf->codes[26599] = 0x000e2ac0a9ec9403UL;
   tf->codes[26600] = 0x000e2b0eaa6f436cUL;
   tf->codes[26601] = 0x000e2b510073cc96UL;
   tf->codes[26602] = 0x000e2b56f2fa6298UL;
   tf->codes[26603] = 0x000e2b8b54ea8bd1UL;
   tf->codes[26604] = 0x000e2b97af15c35fUL;
   tf->codes[26605] = 0x000e2c33eaaa27f6UL;
   tf->codes[26606] = 0x000e2d3c5880358aUL;
   tf->codes[26607] = 0x000e2e8cd4525c85UL;
   tf->codes[26608] = 0x000e2f769b4b64fbUL;
   tf->codes[26609] = 0x000e2ff8c32f37d8UL;
   tf->codes[26610] = 0x000e2ffb4754774fUL;
   tf->codes[26611] = 0x000e30d963cf5986UL;
   tf->codes[26612] = 0x000e30dbe7f498fdUL;
   tf->codes[26613] = 0x000e319cbcec98b4UL;
   tf->codes[26614] = 0x000e3208ef2e41b1UL;
   tf->codes[26615] = 0x000e3383f6ea99ceUL;
   tf->codes[26616] = 0x000e33cbca57ad70UL;
   tf->codes[26617] = 0x000e34671baffaf3UL;
   tf->codes[26618] = 0x000e347cd6c31f0eUL;
   tf->codes[26619] = 0x000e34a7d7cb5bbaUL;
   tf->codes[26620] = 0x000e352e92dba1fbUL;
   tf->codes[26621] = 0x000e362fe95ffcb4UL;
   tf->codes[26622] = 0x000e36509f4435bfUL;
   tf->codes[26623] = 0x000e374ced7e118aUL;
   tf->codes[26624] = 0x000e38087f9c8c8eUL;
   tf->codes[26625] = 0x000e38dd3b2f8238UL;
   tf->codes[26626] = 0x000e38f998764da4UL;
   tf->codes[26627] = 0x000e39d530cbf064UL;
   tf->codes[26628] = 0x000e3a12f3a4062aUL;
   tf->codes[26629] = 0x000e3b1200922731UL;
   tf->codes[26630] = 0x000e3b31571c3d9eUL;
   tf->codes[26631] = 0x000e3b386e6df079UL;
   tf->codes[26632] = 0x000e3ce37f7d0430UL;
   tf->codes[26633] = 0x000e3e85df513ca9UL;
   tf->codes[26634] = 0x000e3ec6d5fba335UL;
   tf->codes[26635] = 0x000e3f722a6f8496UL;
   tf->codes[26636] = 0x000e3fb35ba8f0e7UL;
   tf->codes[26637] = 0x000e404f973d557eUL;
   tf->codes[26638] = 0x000e4062ce2b3a22UL;
   tf->codes[26639] = 0x000e407ad2d497efUL;
   tf->codes[26640] = 0x000e40e61ada29d8UL;
   tf->codes[26641] = 0x000e40f82cfcf1a3UL;
   tf->codes[26642] = 0x000e4171de34ef07UL;
   tf->codes[26643] = 0x000e41d64977d3daUL;
   tf->codes[26644] = 0x000e428546dc118bUL;
   tf->codes[26645] = 0x000e43bea840f1cdUL;
   tf->codes[26646] = 0x000e442e8372f71aUL;
   tf->codes[26647] = 0x000e447c4966a0beUL;
   tf->codes[26648] = 0x000e449697a6383dUL;
   tf->codes[26649] = 0x000e44d544ba6517UL;
   tf->codes[26650] = 0x000e450e39d701b4UL;
   tf->codes[26651] = 0x000e454bfcaf177aUL;
   tf->codes[26652] = 0x000e4591fba3fcf4UL;
   tf->codes[26653] = 0x000e45c86c9b5a1aUL;
   tf->codes[26654] = 0x000e464292f16308UL;
   tf->codes[26655] = 0x000e46e95438d105UL;
   tf->codes[26656] = 0x000e477a1fde1522UL;
   tf->codes[26657] = 0x000e48111898f506UL;
   tf->codes[26658] = 0x000e491b20582afdUL;
   tf->codes[26659] = 0x000e4a8958cb4002UL;
   tf->codes[26660] = 0x000e4b3c39aedfc8UL;
   tf->codes[26661] = 0x000e4b81fe14bf7dUL;
   tf->codes[26662] = 0x000e4b961f3ebb35UL;
   tf->codes[26663] = 0x000e4c8b1b97de60UL;
   tf->codes[26664] = 0x000e4d0a4a38663cUL;
   tf->codes[26665] = 0x000e4d8bfcfe2d8fUL;
   tf->codes[26666] = 0x000e4de398f7cf4aUL;
   tf->codes[26667] = 0x000e4e91ac1ff5e7UL;
   tf->codes[26668] = 0x000e4e9679db6f10UL;
   tf->codes[26669] = 0x000e4ecfe4161737UL;
   tf->codes[26670] = 0x000e4f1daa09c0dbUL;
   tf->codes[26671] = 0x000e4f3deacfee5cUL;
   tf->codes[26672] = 0x000e4faa922fa2e3UL;
   tf->codes[26673] = 0x000e50c303214455UL;
   tf->codes[26674] = 0x000e5111b351050dUL;
   tf->codes[26675] = 0x000e51782d9b1dcdUL;
   tf->codes[26676] = 0x000e5203f0f5e2fcUL;
   tf->codes[26677] = 0x000e533bb8719adbUL;
   tf->codes[26678] = 0x000e53a52bfefe9cUL;
   tf->codes[26679] = 0x000e5406636f92a9UL;
   tf->codes[26680] = 0x000e556e343e0622UL;
   tf->codes[26681] = 0x000e558c65fcffb6UL;
   tf->codes[26682] = 0x000e569d4a7ee2c3UL;
   tf->codes[26683] = 0x000e571318377e12UL;
   tf->codes[26684] = 0x000e57711bd5c159UL;
   tf->codes[26685] = 0x000e5882ea93bb7aUL;
   tf->codes[26686] = 0x000e595b4f170d74UL;
   tf->codes[26687] = 0x000e598e171e0e4aUL;
   tf->codes[26688] = 0x000e5a73fa97b4abUL;
   tf->codes[26689] = 0x000e5b0784f13e04UL;
   tf->codes[26690] = 0x000e5b1be0aa3f81UL;
   tf->codes[26691] = 0x000e5c1067e55722UL;
   tf->codes[26692] = 0x000e5c12ec0a9699UL;
   tf->codes[26693] = 0x000e5cf64b5efd83UL;
   tf->codes[26694] = 0x000e5f4ceb70f860UL;
   tf->codes[26695] = 0x000e5f7b9569915cUL;
   tf->codes[26696] = 0x000e5f8ecc577600UL;
   tf->codes[26697] = 0x000e5fbe608c2610UL;
   tf->codes[26698] = 0x000e600215ead1d8UL;
   tf->codes[26699] = 0x000e603a95e962ebUL;
   tf->codes[26700] = 0x000e6208a672e95fUL;
   tf->codes[26701] = 0x000e636457a52b0fUL;
   tf->codes[26702] = 0x000e63737084a7d9UL;
   tf->codes[26703] = 0x000e644483274133UL;
   tf->codes[26704] = 0x000e64e1a8f7bcdeUL;
   tf->codes[26705] = 0x000e677228626b6cUL;
   tf->codes[26706] = 0x000e67f06cc6dc34UL;
   tf->codes[26707] = 0x000e681072fe03f0UL;
   tf->codes[26708] = 0x000e68400732b400UL;
   tf->codes[26709] = 0x000e6906942243f4UL;
   tf->codes[26710] = 0x000e695b7167a073UL;
   tf->codes[26711] = 0x000e698befd86797UL;
   tf->codes[26712] = 0x000e6990f822e685UL;
   tf->codes[26713] = 0x000e6acca31e0079UL;
   tf->codes[26714] = 0x000e6afdd13bd8ecUL;
   tf->codes[26715] = 0x000e6b5fb8597e48UL;
   tf->codes[26716] = 0x000e6c54ef41a738UL;
   tf->codes[26717] = 0x000e6c7ff049e3e4UL;
   tf->codes[26718] = 0x000e6de27e3ed2aaUL;
   tf->codes[26719] = 0x000e6e10eda865e1UL;
   tf->codes[26720] = 0x000e6e9d9b3f4224UL;
   tf->codes[26721] = 0x000e6f3c9587ebf7UL;
   tf->codes[26722] = 0x000e6ff11054b420UL;
   tf->codes[26723] = 0x000e70c298155904UL;
   tf->codes[26724] = 0x000e717ba60e9491UL;
   tf->codes[26725] = 0x000e723e4f7ec270UL;
   tf->codes[26726] = 0x000e727953a292faUL;
   tf->codes[26727] = 0x000e72fbf0a47161UL;
   tf->codes[26728] = 0x000e7382abb4b7a2UL;
   tf->codes[26729] = 0x000e74e39fc07e05UL;
   tf->codes[26730] = 0x000e750330d99a37UL;
   tf->codes[26731] = 0x000e756552864558UL;
   tf->codes[26732] = 0x000e775418f404d7UL;
   tf->codes[26733] = 0x000e784f4262c3c9UL;
   tf->codes[26734] = 0x000e796e1af906c7UL;
   tf->codes[26735] = 0x000e7975a768c52cUL;
   tf->codes[26736] = 0x000e7a35ccb3b394UL;
   tf->codes[26737] = 0x000e7ac06b435beaUL;
   tf->codes[26738] = 0x000e7b3d15bea44fUL;
   tf->codes[26739] = 0x000e7c2542ce8462UL;
   tf->codes[26740] = 0x000e7c73b86f3f55UL;
   tf->codes[26741] = 0x000e7d22f06282cbUL;
   tf->codes[26742] = 0x000e7daad03de5e5UL;
   tf->codes[26743] = 0x000e7dc7a2a2bcdbUL;
   tf->codes[26744] = 0x000e7dd7a5be50b9UL;
   tf->codes[26745] = 0x000e7dfefdd63115UL;
   tf->codes[26746] = 0x000e7e077482068eUL;
   tf->codes[26747] = 0x000e7e13cead3e1cUL;
   tf->codes[26748] = 0x000e7e9163649d95UL;
   tf->codes[26749] = 0x000e7e9964f26784UL;
   tf->codes[26750] = 0x000e7fcdf89bce9dUL;
   tf->codes[26751] = 0x000e7fd9a319f4dcUL;
   tf->codes[26752] = 0x000e7fee73f101e3UL;
   tf->codes[26753] = 0x000e805aa632aae0UL;
   tf->codes[26754] = 0x000e80f8f0ce4364UL;
   tf->codes[26755] = 0x000e818981e481bcUL;
   tf->codes[26756] = 0x000e819ddd9d8339UL;
   tf->codes[26757] = 0x000e820a4a6e31fbUL;
   tf->codes[26758] = 0x000e825308175cb1UL;
   tf->codes[26759] = 0x000e82d35b830166UL;
   tf->codes[26760] = 0x000e82fe5c8b3e12UL;
   tf->codes[26761] = 0x000e833074e52d99UL;
   tf->codes[26762] = 0x000e83558366d443UL;
   tf->codes[26763] = 0x000e8648d42b3f41UL;
   tf->codes[26764] = 0x000e876b55b1de8fUL;
   tf->codes[26765] = 0x000e879865c14f28UL;
   tf->codes[26766] = 0x000e87a95318fa1aUL;
   tf->codes[26767] = 0x000e88e538a319d3UL;
   tf->codes[26768] = 0x000e891800aa1aa9UL;
   tf->codes[26769] = 0x000e8933ae43d4c6UL;
   tf->codes[26770] = 0x000e896acee8433bUL;
   tf->codes[26771] = 0x000e897a9774d154UL;
   tf->codes[26772] = 0x000e8a8ca0c1d13aUL;
   tf->codes[26773] = 0x000e8bfcadad1467UL;
   tf->codes[26774] = 0x000e8c92470dd1adUL;
   tf->codes[26775] = 0x000e8d01e7b0d135UL;
   tf->codes[26776] = 0x000e8d067add4499UL;
   tf->codes[26777] = 0x000e8e7c7a4f1dc8UL;
   tf->codes[26778] = 0x000e8eb5a9fac02aUL;
   tf->codes[26779] = 0x000e8ee996ccddd9UL;
   tf->codes[26780] = 0x000e8f396bc7bb6aUL;
   tf->codes[26781] = 0x000e8f92a1aa8588UL;
   tf->codes[26782] = 0x000e909b0f80931cUL;
   tf->codes[26783] = 0x000e9117f48ae146UL;
   tf->codes[26784] = 0x000e91867062c3f5UL;
   tf->codes[26785] = 0x000e91f1b86855deUL;
   tf->codes[26786] = 0x000e9274556a3445UL;
   tf->codes[26787] = 0x000e930e47685f2aUL;
   tf->codes[26788] = 0x000e934d699a978eUL;
   tf->codes[26789] = 0x000e94179f7a83d2UL;
   tf->codes[26790] = 0x000e94376b22a5c9UL;
   tf->codes[26791] = 0x000e9504d4d4e2d3UL;
   tf->codes[26792] = 0x000e9708a6a8b51eUL;
   tf->codes[26793] = 0x000e973ba93ebbb9UL;
   tf->codes[26794] = 0x000e9762171a8501UL;
   tf->codes[26795] = 0x000e9789e45070e7UL;
   tf->codes[26796] = 0x000e97b9788520f7UL;
   tf->codes[26797] = 0x000e97fae44d930dUL;
   tf->codes[26798] = 0x000e9807ee25dbeaUL;
   tf->codes[26799] = 0x000e981e1e570b8fUL;
   tf->codes[26800] = 0x000e985d05fa3e2eUL;
   tf->codes[26801] = 0x000e9a5fb302f3a0UL;
   tf->codes[26802] = 0x000e9ad2877843eeUL;
   tf->codes[26803] = 0x000e9aebeb7bc459UL;
   tf->codes[26804] = 0x000e9b121ec887dcUL;
   tf->codes[26805] = 0x000e9b97ef9cb709UL;
   tf->codes[26806] = 0x000e9d3f57bb6e70UL;
   tf->codes[26807] = 0x000e9e58b2e926f6UL;
   tf->codes[26808] = 0x000e9e6840e6af4aUL;
   tf->codes[26809] = 0x000e9f34c05cd540UL;
   tf->codes[26810] = 0x000e9f3b9d1f8256UL;
   tf->codes[26811] = 0x000e9fdd561c7165UL;
   tf->codes[26812] = 0x000ea012a248b1b2UL;
   tf->codes[26813] = 0x000ea074c3f55cd3UL;
   tf->codes[26814] = 0x000ea0a4582a0ce3UL;
   tf->codes[26815] = 0x000ea1dd7effe760UL;
   tf->codes[26816] = 0x000ea31372037117UL;
   tf->codes[26817] = 0x000ea3d5313787e2UL;
   tf->codes[26818] = 0x000ea485c884edf6UL;
   tf->codes[26819] = 0x000ea4eaa8e5de53UL;
   tf->codes[26820] = 0x000ea6c045df232cUL;
   tf->codes[26821] = 0x000ea6e4df42be4cUL;
   tf->codes[26822] = 0x000ea7eb78a09db8UL;
   tf->codes[26823] = 0x000ea855614c0d03UL;
   tf->codes[26824] = 0x000ea8be5fbb653aUL;
   tf->codes[26825] = 0x000ea8cd037cd67aUL;
   tf->codes[26826] = 0x000ea91043bd76b8UL;
   tf->codes[26827] = 0x000ea94346537d53UL;
   tf->codes[26828] = 0x000eac1c48d850d2UL;
   tf->codes[26829] = 0x000eac1e57df84bfUL;
   tf->codes[26830] = 0x000eae4b1bb45fc9UL;
   tf->codes[26831] = 0x000eaf7613e6d490UL;
   tf->codes[26832] = 0x000eafeb6c816455UL;
   tf->codes[26833] = 0x000eb009d8cf63aeUL;
   tf->codes[26834] = 0x000eb10ba471c9f1UL;
   tf->codes[26835] = 0x000eb210de7586bfUL;
   tf->codes[26836] = 0x000eb3068a7bbb39UL;
   tf->codes[26837] = 0x000eb32d6d75900bUL;
   tf->codes[26838] = 0x000eb386dde75feeUL;
   tf->codes[26839] = 0x000eb3b5fcfe0474UL;
   tf->codes[26840] = 0x000eb3b846943e26UL;
   tf->codes[26841] = 0x000eb3f4e4a13713UL;
   tf->codes[26842] = 0x000eb568255ecb06UL;
   tf->codes[26843] = 0x000eb5961faa52b3UL;
   tf->codes[26844] = 0x000eb60b0326d6eeUL;
   tf->codes[26845] = 0x000eb69b943d1546UL;
   tf->codes[26846] = 0x000eb79b50d8479cUL;
   tf->codes[26847] = 0x000eb815ec4c5c14UL;
   tf->codes[26848] = 0x000eb8bef72a03c3UL;
   tf->codes[26849] = 0x000eb9177d5fbc92UL;
   tf->codes[26850] = 0x000eb96508c46071UL;
   tf->codes[26851] = 0x000eb9dce5842fadUL;
   tf->codes[26852] = 0x000eba0527d8271dUL;
   tf->codes[26853] = 0x000eba13567b8cd3UL;
   tf->codes[26854] = 0x000ebb2cb1a94559UL;
   tf->codes[26855] = 0x000ebb531f850ea1UL;
   tf->codes[26856] = 0x000ebb86973920c6UL;
   tf->codes[26857] = 0x000ebb891b5e603dUL;
   tf->codes[26858] = 0x000ebc1d8ff400aaUL;
   tf->codes[26859] = 0x000ebc97f0d90f5dUL;
   tf->codes[26860] = 0x000ebe2f906b38abUL;
   tf->codes[26861] = 0x000ec1895b79bc69UL;
   tf->codes[26862] = 0x000ec2c122f57448UL;
   tf->codes[26863] = 0x000ec2f7ce7bd733UL;
   tf->codes[26864] = 0x000ec2f8f346f40cUL;
   tf->codes[26865] = 0x000ec2fc61a84a97UL;
   tf->codes[26866] = 0x000ec342609d3011UL;
   tf->codes[26867] = 0x000ec4e5aaad7f9eUL;
   tf->codes[26868] = 0x000ec58813577ffcUL;
   tf->codes[26869] = 0x000ec994bf49a380UL;
   tf->codes[26870] = 0x000ecb630a622fb9UL;
   tf->codes[26871] = 0x000eccf52c8bce8fUL;
   tf->codes[26872] = 0x000ecd5edaa83815UL;
   tf->codes[26873] = 0x000ece17e8a173a2UL;
   tf->codes[26874] = 0x000ece1cb65ceccbUL;
   tf->codes[26875] = 0x000ece43d3e5c762UL;
   tf->codes[26876] = 0x000ecef938eea69fUL;
   tf->codes[26877] = 0x000ecf12d7812ccfUL;
   tf->codes[26878] = 0x000ecfd5466254e9UL;
   tf->codes[26879] = 0x000ed118b85c3307UL;
   tf->codes[26880] = 0x000ed1d69410e7bdUL;
   tf->codes[26881] = 0x000ed21e2ceef59aUL;
   tf->codes[26882] = 0x000ed3562ef9b33eUL;
   tf->codes[26883] = 0x000ed3f2dfac235fUL;
   tf->codes[26884] = 0x000ed3fd2ad02700UL;
   tf->codes[26885] = 0x000ed410272f05dfUL;
   tf->codes[26886] = 0x000ed479602d63dbUL;
   tf->codes[26887] = 0x000ed4f67fc6b7caUL;
   tf->codes[26888] = 0x000ed51e4cfca3b0UL;
   tf->codes[26889] = 0x000ed56bd861478fUL;
   tf->codes[26890] = 0x000ed597c3a59b4fUL;
   tf->codes[26891] = 0x000ed6c1970cf33dUL;
   tf->codes[26892] = 0x000ed91af5d33356UL;
   tf->codes[26893] = 0x000ed97d177fde77UL;
   tf->codes[26894] = 0x000ed9d22f5440bbUL;
   tf->codes[26895] = 0x000edb4fbb35d84fUL;
   tf->codes[26896] = 0x000edbc75d66a1c6UL;
   tf->codes[26897] = 0x000edbe30b005be3UL;
   tf->codes[26898] = 0x000edc95ebe3fba9UL;
   tf->codes[26899] = 0x000edce1a2d07160UL;
   tf->codes[26900] = 0x000edd17641abd37UL;
   tf->codes[26901] = 0x000eddbb66ade5f8UL;
   tf->codes[26902] = 0x000eddf28752546dUL;
   tf->codes[26903] = 0x000edfc47b5b3cf6UL;
   tf->codes[26904] = 0x000edfdf0429da3aUL;
   tf->codes[26905] = 0x000ee068435f5ff2UL;
   tf->codes[26906] = 0x000ee191a1a8ac56UL;
   tf->codes[26907] = 0x000ee30641c062e7UL;
   tf->codes[26908] = 0x000ee31a62ea5e9fUL;
   tf->codes[26909] = 0x000ee35f77a32d05UL;
   tf->codes[26910] = 0x000ee3fa53dd6efeUL;
   tf->codes[26911] = 0x000ee402ca894477UL;
   tf->codes[26912] = 0x000ee48ae4f3ad56UL;
   tf->codes[26913] = 0x000ee5c89ef5fb37UL;
   tf->codes[26914] = 0x000ee69fdeae3058UL;
   tf->codes[26915] = 0x000ee6da3324ef93UL;
   tf->codes[26916] = 0x000ee73ffdc1f704UL;
   tf->codes[26917] = 0x000eea0c6b8c8d30UL;
   tf->codes[26918] = 0x000eea8189981730UL;
   tf->codes[26919] = 0x000eec7d946d2551UL;
   tf->codes[26920] = 0x000eecb773c5d902UL;
   tf->codes[26921] = 0x000eed8f9dba2537UL;
   tf->codes[26922] = 0x000eedcfaa2874afUL;
   tf->codes[26923] = 0x000eee0bd3176212UL;
   tf->codes[26924] = 0x000eef0c04d09ff2UL;
   tf->codes[26925] = 0x000eef17af4ec631UL;
   tf->codes[26926] = 0x000eef59903543d1UL;
   tf->codes[26927] = 0x000eefd80f28ba5eUL;
   tf->codes[26928] = 0x000ef01c74347775UL;
   tf->codes[26929] = 0x000ef15cb25c04cdUL;
   tf->codes[26930] = 0x000ef252d38044d1UL;
   tf->codes[26931] = 0x000ef264ab1406d7UL;
   tf->codes[26932] = 0x000ef282a243faa6UL;
   tf->codes[26933] = 0x000ef32d8199d07dUL;
   tf->codes[26934] = 0x000ef3d05f61dc65UL;
   tf->codes[26935] = 0x000ef40bd8a3b879UL;
   tf->codes[26936] = 0x000ef5871aef165bUL;
   tf->codes[26937] = 0x000ef60c3c163439UL;
   tf->codes[26938] = 0x000ef67ed5fc7ec2UL;
   tf->codes[26939] = 0x000ef6dd1429c7ceUL;
   tf->codes[26940] = 0x000ef6fe3f2c0c63UL;
   tf->codes[26941] = 0x000ef785a9e963f3UL;
   tf->codes[26942] = 0x000ef7ff20925b92UL;
   tf->codes[26943] = 0x000efa60f6047124UL;
   tf->codes[26944] = 0x000efabcb00c7ab9UL;
   tf->codes[26945] = 0x000efbf4b217385dUL;
   tf->codes[26946] = 0x000efc3ff3e5a28aUL;
   tf->codes[26947] = 0x000efcdf634c57e7UL;
   tf->codes[26948] = 0x000efd70a40fa78eUL;
   tf->codes[26949] = 0x000efe83d227c44dUL;
   tf->codes[26950] = 0x000eff508c2cf008UL;
   tf->codes[26951] = 0x000f005257cf564bUL;
   tf->codes[26952] = 0x000f00ce180e879cUL;
   tf->codes[26953] = 0x000f00fa7870e6e6UL;
   tf->codes[26954] = 0x000f01d9b9b6e5f6UL;
   tf->codes[26955] = 0x000f021b600e5dd1UL;
   tf->codes[26956] = 0x000f02858348d2e1UL;
   tf->codes[26957] = 0x000f0291a2e504aaUL;
   tf->codes[26958] = 0x000f0298f4c5bd4aUL;
   tf->codes[26959] = 0x000f033a38a4a0cfUL;
   tf->codes[26960] = 0x000f0367f86122b7UL;
   tf->codes[26961] = 0x000f038873b655fdUL;
   tf->codes[26962] = 0x000f0406086db576UL;
   tf->codes[26963] = 0x000f0467ef8b5ad2UL;
   tf->codes[26964] = 0x000f059c48a5bc26UL;
   tf->codes[26965] = 0x000f061007572388UL;
   tf->codes[26966] = 0x000f0647d7a8a34cUL;
   tf->codes[26967] = 0x000f07964473965aUL;
   tf->codes[26968] = 0x000f080151ea227eUL;
   tf->codes[26969] = 0x000f085878c5b8afUL;
   tf->codes[26970] = 0x000f0983e6163900UL;
   tf->codes[26971] = 0x000f098b7285f765UL;
   tf->codes[26972] = 0x000f0b1a60dd4575UL;
   tf->codes[26973] = 0x000f0bff94a9da87UL;
   tf->codes[26974] = 0x000f0c4434449d63UL;
   tf->codes[26975] = 0x000f0d8522193c0aUL;
   tf->codes[26976] = 0x000f0e35b966a21eUL;
   tf->codes[26977] = 0x000f0f83768483ddUL;
   tf->codes[26978] = 0x000f1012e2cfa55cUL;
   tf->codes[26979] = 0x000f104bd7ec41f9UL;
   tf->codes[26980] = 0x000f108ea30ed6adUL;
   tf->codes[26981] = 0x000f1106f4ecb173UL;
   tf->codes[26982] = 0x000f111c0052c43fUL;
   tf->codes[26983] = 0x000f11e9df230cd3UL;
   tf->codes[26984] = 0x000f123227ae2bffUL;
   tf->codes[26985] = 0x000f12b748d549ddUL;
   tf->codes[26986] = 0x000f13ff4dfb9b5fUL;
   tf->codes[26987] = 0x000f15ebcad3212cUL;
   tf->codes[26988] = 0x000f160d6af3714bUL;
   tf->codes[26989] = 0x000f17d2ca421c81UL;
   tf->codes[26990] = 0x000f18e9dbd99b55UL;
   tf->codes[26991] = 0x000f198f3dc6e6b4UL;
   tf->codes[26992] = 0x000f19ce9a8824ddUL;
   tf->codes[26993] = 0x000f1a9c043a61e7UL;
   tf->codes[26994] = 0x000f1b07fbed051fUL;
   tf->codes[26995] = 0x000f1b31d82a24f2UL;
   tf->codes[26996] = 0x000f1cf0cfd42e9cUL;
   tf->codes[26997] = 0x000f1d6244ef5c4cUL;
   tf->codes[26998] = 0x000f1d996593cac1UL;
   tf->codes[26999] = 0x000f1fcabc95192fUL;
   tf->codes[27000] = 0x000f1fe127554e99UL;
   tf->codes[27001] = 0x000f20fa8283071fUL;
   tf->codes[27002] = 0x000f21b0221aec21UL;
   tf->codes[27003] = 0x000f22b3c235808cUL;
   tf->codes[27004] = 0x000f22fcf4fcb6ccUL;
   tf->codes[27005] = 0x000f2378b53be81dUL;
   tf->codes[27006] = 0x000f239a1acd3277UL;
   tf->codes[27007] = 0x000f23e97aaa047eUL;
   tf->codes[27008] = 0x000f26f2fb9f9f21UL;
   tf->codes[27009] = 0x000f2751aeeaf3b7UL;
   tf->codes[27010] = 0x000f2776f7fba026UL;
   tf->codes[27011] = 0x000f279d65d7696eUL;
   tf->codes[27012] = 0x000f27be90d9ae03UL;
   tf->codes[27013] = 0x000f28f35f121ae1UL;
   tf->codes[27014] = 0x000f2906d08f054aUL;
   tf->codes[27015] = 0x000f2c6de004d7aaUL;
   tf->codes[27016] = 0x000f2cadb1e4215dUL;
   tf->codes[27017] = 0x000f2d97b36c2f98UL;
   tf->codes[27018] = 0x000f2df4923f5606UL;
   tf->codes[27019] = 0x000f2e112a152737UL;
   tf->codes[27020] = 0x000f2e77a45f3ff7UL;
   tf->codes[27021] = 0x000f2ffc8221902bUL;
   tf->codes[27022] = 0x000f31c5ff7ea33bUL;
   tf->codes[27023] = 0x000f3207e06520dbUL;
   tf->codes[27024] = 0x000f324ddf5a0655UL;
   tf->codes[27025] = 0x000f325b98df6081UL;
   tf->codes[27026] = 0x000f3294c88b02e3UL;
   tf->codes[27027] = 0x000f341b7ac5813fUL;
   tf->codes[27028] = 0x000f34472b7acf3aUL;
   tf->codes[27029] = 0x000f386deb1d8478UL;
   tf->codes[27030] = 0x000f3877fbb28254UL;
   tf->codes[27031] = 0x000f395fb3a456ddUL;
   tf->codes[27032] = 0x000f397ff46a845eUL;
   tf->codes[27033] = 0x000f39adb4270646UL;
   tf->codes[27034] = 0x000f39d2fd37b2b5UL;
   tf->codes[27035] = 0x000f3a56f993b3baUL;
   tf->codes[27036] = 0x000f3b5a5f1f4260UL;
   tf->codes[27037] = 0x000f3b738893bd06UL;
   tf->codes[27038] = 0x000f3c7d9052f2fdUL;
   tf->codes[27039] = 0x000f3dc9b387ac59UL;
   tf->codes[27040] = 0x000f3dd1efa47c0dUL;
   tf->codes[27041] = 0x000f3e862fe23e71UL;
   tf->codes[27042] = 0x000f400555acfe68UL;
   tf->codes[27043] = 0x000f4079c40b7719UL;
   tf->codes[27044] = 0x000f4080663f1e6aUL;
   tf->codes[27045] = 0x000f409d7332fb25UL;
   tf->codes[27046] = 0x000f40aed5a8b1a1UL;
   tf->codes[27047] = 0x000f41230978248dUL;
   tf->codes[27048] = 0x000f41fc1da887d6UL;
   tf->codes[27049] = 0x000f4370f84f442cUL;
   tf->codes[27050] = 0x000f44854b327dc4UL;
   tf->codes[27051] = 0x000f44b42fba1c85UL;
   tf->codes[27052] = 0x000f45d6ebcfc198UL;
   tf->codes[27053] = 0x000f45f93b9d2306UL;
   tf->codes[27054] = 0x000f47db32c19f6dUL;
   tf->codes[27055] = 0x000f483e3eaa61a2UL;
   tf->codes[27056] = 0x000f48bda7d9ef43UL;
   tf->codes[27057] = 0x000f498f2f9a9427UL;
   tf->codes[27058] = 0x000f49c85f463689UL;
   tf->codes[27059] = 0x000f49ec48fcc05aUL;
   tf->codes[27060] = 0x000f4a712f94d873UL;
   tf->codes[27061] = 0x000f4ad4b09ba632UL;
   tf->codes[27062] = 0x000f4d1e81645df7UL;
   tf->codes[27063] = 0x000f4e5b8bb99a89UL;
   tf->codes[27064] = 0x000f4f8c3be39f8dUL;
   tf->codes[27065] = 0x000f50074c75bf8fUL;
   tf->codes[27066] = 0x000f5173b070a66cUL;
   tf->codes[27067] = 0x000f5276a0de2988UL;
   tf->codes[27068] = 0x000f528b372630caUL;
   tf->codes[27069] = 0x000f52cf9c31ede1UL;
   tf->codes[27070] = 0x000f5377bcd37e7cUL;
   tf->codes[27071] = 0x000f5413bdd8dd4eUL;
   tf->codes[27072] = 0x000f544d62a28b3aUL;
   tf->codes[27073] = 0x000f548239b0bffdUL;
   tf->codes[27074] = 0x000f55ccc2fc50f6UL;
   tf->codes[27075] = 0x000f5642cb43f20aUL;
   tf->codes[27076] = 0x000f564d1667f5abUL;
   tf->codes[27077] = 0x000f56dd6cef2e3eUL;
   tf->codes[27078] = 0x000f580d6d6c21f3UL;
   tf->codes[27079] = 0x000f580eccc64491UL;
   tf->codes[27080] = 0x000f584194cd4567UL;
   tf->codes[27081] = 0x000f58e29e1d2327UL;
   tf->codes[27082] = 0x000f59114815bc23UL;
   tf->codes[27083] = 0x000f5ab95fe184d9UL;
   tf->codes[27084] = 0x000f5b04dc3ef4cbUL;
   tf->codes[27085] = 0x000f5b89c2d70ce4UL;
   tf->codes[27086] = 0x000f5cd5ab7cc07bUL;
   tf->codes[27087] = 0x000f5e7aca053e30UL;
   tf->codes[27088] = 0x000f5f118831184fUL;
   tf->codes[27089] = 0x000f604f7cc26bf5UL;
   tf->codes[27090] = 0x000f62e69e60c1d4UL;
   tf->codes[27091] = 0x000f63743633b52bUL;
   tf->codes[27092] = 0x000f6383c4313d7fUL;
   tf->codes[27093] = 0x000f65f31899a778UL;
   tf->codes[27094] = 0x000f669c98955ab1UL;
   tf->codes[27095] = 0x000f66b33de495e0UL;
   tf->codes[27096] = 0x000f670cae5665c3UL;
   tf->codes[27097] = 0x000f674c8035af76UL;
   tf->codes[27098] = 0x000f676ff4ce2dbdUL;
   tf->codes[27099] = 0x000f67c6a68bb864UL;
   tf->codes[27100] = 0x000f6838cb53f763UL;
   tf->codes[27101] = 0x000f688fb7a087cfUL;
   tf->codes[27102] = 0x000f68f49801782cUL;
   tf->codes[27103] = 0x000f6b9888e91123UL;
   tf->codes[27104] = 0x000f6c00d7ab580bUL;
   tf->codes[27105] = 0x000f6d043d36e6b1UL;
   tf->codes[27106] = 0x000f6d903b20b1a5UL;
   tf->codes[27107] = 0x000f6eb5b5ea9bf4UL;
   tf->codes[27108] = 0x000f6edea7eba4b3UL;
   tf->codes[27109] = 0x000f6f4263817837UL;
   tf->codes[27110] = 0x000f6f59435fb92bUL;
   tf->codes[27111] = 0x000f7088942f9b91UL;
   tf->codes[27112] = 0x000f70dab2c0b2d4UL;
   tf->codes[27113] = 0x000f70fcc7ff0e7dUL;
   tf->codes[27114] = 0x000f715797cb00feUL;
   tf->codes[27115] = 0x000f7207f489614dUL;
   tf->codes[27116] = 0x000f72671cf2c16dUL;
   tf->codes[27117] = 0x000f7291e36bf854UL;
   tf->codes[27118] = 0x000f72ae40b2c3c0UL;
   tf->codes[27119] = 0x000f731de155c348UL;
   tf->codes[27120] = 0x000f7350343eb894UL;
   tf->codes[27121] = 0x000f7412a31fe0aeUL;
   tf->codes[27122] = 0x000f74b371e0b8a9UL;
   tf->codes[27123] = 0x000f74db04879ecaUL;
   tf->codes[27124] = 0x000f75ea89af5f39UL;
   tf->codes[27125] = 0x000f7611a73839d0UL;
   tf->codes[27126] = 0x000f761e0163715eUL;
   tf->codes[27127] = 0x000f762811f86f3aUL;
   tf->codes[27128] = 0x000f7650c96a7234UL;
   tf->codes[27129] = 0x000f76ced33fdd37UL;
   tf->codes[27130] = 0x000f76ee6458f969UL;
   tf->codes[27131] = 0x000f76f71593d4a7UL;
   tf->codes[27132] = 0x000f77ef0b3042d3UL;
   tf->codes[27133] = 0x000f78086f33c33eUL;
   tf->codes[27134] = 0x000f789c6eab5821UL;
   tf->codes[27135] = 0x000f78f4f4e110f0UL;
   tf->codes[27136] = 0x000f7a194adfde66UL;
   tf->codes[27137] = 0x000f7b7ed218182dUL;
   tf->codes[27138] = 0x000f7c1d1cb3b0b1UL;
   tf->codes[27139] = 0x000f7d56f3369c7dUL;
   tf->codes[27140] = 0x000f7d9cb79c7c32UL;
   tf->codes[27141] = 0x000f7ecb1e304784UL;
   tf->codes[27142] = 0x000f7efed0735f6eUL;
   tf->codes[27143] = 0x000f7f8e3cbe80edUL;
   tf->codes[27144] = 0x000f7fd8cedfd9cbUL;
   tf->codes[27145] = 0x000f7ffd2db46f26UL;
   tf->codes[27146] = 0x000f8343c1d50e40UL;
   tf->codes[27147] = 0x000f836cb3d616ffUL;
   tf->codes[27148] = 0x000f83852d9d8056UL;
   tf->codes[27149] = 0x000f8391fce6c36eUL;
   tf->codes[27150] = 0x000f84ff85acc724UL;
   tf->codes[27151] = 0x000f859434d16d56UL;
   tf->codes[27152] = 0x000f8899d247a5e4UL;
   tf->codes[27153] = 0x000f88e6737032afUL;
   tf->codes[27154] = 0x000f891bbf9c72fcUL;
   tf->codes[27155] = 0x000f895738de4f10UL;
   tf->codes[27156] = 0x000f895cf0d5df4dUL;
   tf->codes[27157] = 0x000f8a0c28c922c3UL;
   tf->codes[27158] = 0x000f8af74f1c4dd7UL;
   tf->codes[27159] = 0x000f8b0000572915UL;
   tf->codes[27160] = 0x000f8bd40c3d0d70UL;
   tf->codes[27161] = 0x000f8caa9c483142UL;
   tf->codes[27162] = 0x000f8d846025a5daUL;
   tf->codes[27163] = 0x000f8fdbea73b7cbUL;
   tf->codes[27164] = 0x000f9381e18cbccaUL;
   tf->codes[27165] = 0x000f93d733f024d3UL;
   tf->codes[27166] = 0x000f93dbc71c9837UL;
   tf->codes[27167] = 0x000f94eb11b552e1UL;
   tf->codes[27168] = 0x000f94f94058b897UL;
   tf->codes[27169] = 0x000f9631b78181c5UL;
   tf->codes[27170] = 0x000f9665a4539f74UL;
   tf->codes[27171] = 0x000f96c95fe972f8UL;
   tf->codes[27172] = 0x000f975a2b8eb715UL;
   tf->codes[27173] = 0x000f9766109be319UL;
   tf->codes[27174] = 0x000f97f0749c85aaUL;
   tf->codes[27175] = 0x000f986d1f17ce0fUL;
   tf->codes[27176] = 0x000f9885d36e3d2bUL;
   tf->codes[27177] = 0x000f989b8e816146UL;
   tf->codes[27178] = 0x000f9912f62324f8UL;
   tf->codes[27179] = 0x000f998087bef093UL;
   tf->codes[27180] = 0x000f99c1094b4b95UL;
   tf->codes[27181] = 0x000f9a5f1957de54UL;
   tf->codes[27182] = 0x000f9b857e5ddfb7UL;
   tf->codes[27183] = 0x000f9bb80bd5dac8UL;
   tf->codes[27184] = 0x000f9be97482b900UL;
   tf->codes[27185] = 0x000f9bfc70e197dfUL;
   tf->codes[27186] = 0x000f9e05c01df4a2UL;
   tf->codes[27187] = 0x000f9eacf6836e29UL;
   tf->codes[27188] = 0x000f9ebe58f924a5UL;
   tf->codes[27189] = 0x000f9f15f4f2c660UL;
   tf->codes[27190] = 0x000f9f66b429bb05UL;
   tf->codes[27191] = 0x000fa064272eb3a9UL;
   tf->codes[27192] = 0x000fa086ec1a20a1UL;
   tf->codes[27193] = 0x000fa0984e8fd71dUL;
   tf->codes[27194] = 0x000fa19511e7be72UL;
   tf->codes[27195] = 0x000fa247088f4724UL;
   tf->codes[27196] = 0x000fa2862ac17f88UL;
   tf->codes[27197] = 0x000fa295b8bf07dcUL;
   tf->codes[27198] = 0x000fa2dc6760fea5UL;
   tf->codes[27199] = 0x000fa304a9b4f615UL;
   tf->codes[27200] = 0x000fa35ec9d3d747UL;
   tf->codes[27201] = 0x000fa38e23798192UL;
   tf->codes[27202] = 0x000fa4079a227931UL;
   tf->codes[27203] = 0x000fa418fc982fadUL;
   tf->codes[27204] = 0x000fa4cf4bdd25feUL;
   tf->codes[27205] = 0x000fa576bcd1a54aUL;
   tf->codes[27206] = 0x000fa6663bc23dfdUL;
   tf->codes[27207] = 0x000fa6e48026aec5UL;
   tf->codes[27208] = 0x000fa7f26b6546d1UL;
   tf->codes[27209] = 0x000fa817b475f340UL;
   tf->codes[27210] = 0x000fa9fe0437dd46UL;
   tf->codes[27211] = 0x000fabcdaeaa8c1dUL;
   tf->codes[27212] = 0x000fabf5b66f7dc8UL;
   tf->codes[27213] = 0x000fac17cbadd971UL;
   tf->codes[27214] = 0x000facf78211e40bUL;
   tf->codes[27215] = 0x000fadabc24fa66fUL;
   tf->codes[27216] = 0x000fb0dc60ce1ba9UL;
   tf->codes[27217] = 0x000fb15ceec8c623UL;
   tf->codes[27218] = 0x000fb30fc6d69e04UL;
   tf->codes[27219] = 0x000fb4127cb51b5bUL;
   tf->codes[27220] = 0x000fb490868a865eUL;
   tf->codes[27221] = 0x000fb4f0d3bf0357UL;
   tf->codes[27222] = 0x000fb682463b90deUL;
   tf->codes[27223] = 0x000fb6ed53b21d02UL;
   tf->codes[27224] = 0x000fb8163cdd5ddcUL;
   tf->codes[27225] = 0x000fb816776c63a1UL;
   tf->codes[27226] = 0x000fb85350086253UL;
   tf->codes[27227] = 0x000fb8c365c96d65UL;
   tf->codes[27228] = 0x000fb9564075e56fUL;
   tf->codes[27229] = 0x000fb97d988dc5cbUL;
   tf->codes[27230] = 0x000fbaba6853fc98UL;
   tf->codes[27231] = 0x000fbc57fa6cbbe8UL;
   tf->codes[27232] = 0x000fbc9c9a077ec4UL;
   tf->codes[27233] = 0x000fbd81cdd413d6UL;
   tf->codes[27234] = 0x000fbe8b60753e43UL;
   tf->codes[27235] = 0x000fbf3fdb42066cUL;
   tf->codes[27236] = 0x000fbf568091419bUL;
   tf->codes[27237] = 0x000fc0062da2909bUL;
   tf->codes[27238] = 0x000fc00c2029269dUL;
   tf->codes[27239] = 0x000fc07bc0cc2625UL;
   tf->codes[27240] = 0x000fc1993a084685UL;
   tf->codes[27241] = 0x000fc2495c37a10fUL;
   tf->codes[27242] = 0x000fc25f174ac52aUL;
   tf->codes[27243] = 0x000fc390b1b0e142UL;
   tf->codes[27244] = 0x000fc399285cb6bbUL;
   tf->codes[27245] = 0x000fc548cc983dd6UL;
   tf->codes[27246] = 0x000fc610f370f62dUL;
   tf->codes[27247] = 0x000fc6576783e731UL;
   tf->codes[27248] = 0x000fc6d780608621UL;
   tf->codes[27249] = 0x000fc8d55fadc26aUL;
   tf->codes[27250] = 0x000fc94784760169UL;
   tf->codes[27251] = 0x000fc94ab848522fUL;
   tf->codes[27252] = 0x000fcaeeec94b8d0UL;
   tf->codes[27253] = 0x000fcb87f456cca1UL;
   tf->codes[27254] = 0x000fce05b1f1a215UL;
   tf->codes[27255] = 0x000fce951e3cc394UL;
   tf->codes[27256] = 0x000fce9f2ed1c170UL;
   tf->codes[27257] = 0x000fcf92cbd0c1fdUL;
   tf->codes[27258] = 0x000fd16659c2d2e9UL;
   tf->codes[27259] = 0x000fd3505275193fUL;
   tf->codes[27260] = 0x000fd3ffc4f7627aUL;
   tf->codes[27261] = 0x000fd409606e54ccUL;
   tf->codes[27262] = 0x000fd4755820f804UL;
   tf->codes[27263] = 0x000fd64194325050UL;
   tf->codes[27264] = 0x000fd7fb8391db0cUL;
   tf->codes[27265] = 0x000fd9c48bd0e292UL;
   tf->codes[27266] = 0x000fda7f33b34682UL;
   tf->codes[27267] = 0x000fdb537a2830a2UL;
   tf->codes[27268] = 0x000fdb704c8d0798UL;
   tf->codes[27269] = 0x000fdbf0da87b212UL;
   tf->codes[27270] = 0x000fdc4ea396ef94UL;
   tf->codes[27271] = 0x000fdc8340161e92UL;
   tf->codes[27272] = 0x000fdd0e1934ccadUL;
   tf->codes[27273] = 0x000fdd6d7c2d3292UL;
   tf->codes[27274] = 0x000fddad889b820aUL;
   tf->codes[27275] = 0x000fddf64644acc0UL;
   tf->codes[27276] = 0x000fdedfd2aeaf71UL;
   tf->codes[27277] = 0x000fdf8e2065dbd3UL;
   tf->codes[27278] = 0x000fdf99cae40212UL;
   tf->codes[27279] = 0x000fe019e3c0a102UL;
   tf->codes[27280] = 0x000fe04c36a9964eUL;
   tf->codes[27281] = 0x000fe0885f9883b1UL;
   tf->codes[27282] = 0x000fe1f86c83c6deUL;
   tf->codes[27283] = 0x000fe21663b3baadUL;
   tf->codes[27284] = 0x000fe5f42b1e3f70UL;
   tf->codes[27285] = 0x000fe6ff57a89240UL;
   tf->codes[27286] = 0x000fe71acab34698UL;
   tf->codes[27287] = 0x000fe90a063f11a1UL;
   tf->codes[27288] = 0x000fe90b2b0a2e7aUL;
   tf->codes[27289] = 0x000fe99295c7860aUL;
   tf->codes[27290] = 0x000fea97cfcb42d8UL;
   tf->codes[27291] = 0x000fed6f72f5f3b9UL;
   tf->codes[27292] = 0x000fee145fc5338eUL;
   tf->codes[27293] = 0x000feeb6c86f33ecUL;
   tf->codes[27294] = 0x000fef8974faf5a9UL;
   tf->codes[27295] = 0x000ff079de27a570UL;
   tf->codes[27296] = 0x000ff091a841fd78UL;
   tf->codes[27297] = 0x000ff21c036cd824UL;
   tf->codes[27298] = 0x000ff50bab40e6d2UL;
   tf->codes[27299] = 0x000ff558fc1684ecUL;
   tf->codes[27300] = 0x000ff57852a09b59UL;
   tf->codes[27301] = 0x000ff58ad9e16eaeUL;
   tf->codes[27302] = 0x000ff69ad4273aa7UL;
   tf->codes[27303] = 0x000ff7dd5be501b1UL;
   tf->codes[27304] = 0x000ff89dbbbef5deUL;
   tf->codes[27305] = 0x000ff8e6b3f72659UL;
   tf->codes[27306] = 0x000ff94d2e413f19UL;
   tf->codes[27307] = 0x000ff9e33cc007e9UL;
   tf->codes[27308] = 0x000ff9ea1982b4ffUL;
   tf->codes[27309] = 0x000ffa19adb7650fUL;
   tf->codes[27310] = 0x000ffa8cf74ac0e7UL;
   tf->codes[27311] = 0x000ffacdb36621aeUL;
   tf->codes[27312] = 0x000ffb79b787145eUL;
   tf->codes[27313] = 0x000ffbccc05442b5UL;
   tf->codes[27314] = 0x000ffc0edbc9c61aUL;
   tf->codes[27315] = 0x000ffc81b03f1668UL;
   tf->codes[27316] = 0x000ffd6c617435f2UL;
   tf->codes[27317] = 0x000ffdb4e48e5ae3UL;
   tf->codes[27318] = 0x000ffdb8c80dbcf8UL;
   tf->codes[27319] = 0x000fff1c403ec2d2UL;
   tf->codes[27320] = 0x000fff518c6b031fUL;
   tf->codes[27321] = 0x000fff6d3a04bd3cUL;
   tf->codes[27322] = 0x000002d2af916739UL;
   tf->codes[27323] = 0x000002e118c3d2b4UL;
   tf->codes[27324] = 0x000004aca52819b1UL;
   tf->codes[27325] = 0x000005ae70ca7ff4UL;
   tf->codes[27326] = 0x000006886f36fa51UL;
   tf->codes[27327] = 0x000006edc4b5f638UL;
   tf->codes[27328] = 0x00000a1c199e31c0UL;
   tf->codes[27329] = 0x00000b02e753ef35UL;
   tf->codes[27330] = 0x00000c77876ba5c6UL;
   tf->codes[27331] = 0x00000d14e7cb2736UL;
   tf->codes[27332] = 0x00000dc210b736bfUL;
   tf->codes[27333] = 0x0000116e34e5d785UL;
   tf->codes[27334] = 0x0000120e53f99e31UL;
   tf->codes[27335] = 0x0000137a084773bfUL;
   tf->codes[27336] = 0x0000140b0e7bbda1UL;
   tf->codes[27337] = 0x0000151bb86e9ae9UL;
   tf->codes[27338] = 0x0000173d0c545579UL;
   tf->codes[27339] = 0x00001812b2236237UL;
   tf->codes[27340] = 0x00001904b5393a61UL;
   tf->codes[27341] = 0x00001afdc6cafd81UL;
   tf->codes[27342] = 0x00001bcc1ab9519fUL;
   tf->codes[27343] = 0x00001cd7f6f0b5beUL;
   tf->codes[27344] = 0x00001d0f522429f8UL;
   tf->codes[27345] = 0x00001e2d7b0d5ba7UL;
   tf->codes[27346] = 0x00001e2fc4a39559UL;
   tf->codes[27347] = 0x00001e96b40bb9a3UL;
   tf->codes[27348] = 0x00001f4ded8cc708UL;
   tf->codes[27349] = 0x00001f52f5d745f6UL;
   tf->codes[27350] = 0x0000229f7c7e7b12UL;
   tf->codes[27351] = 0x00002572175ead05UL;
   tf->codes[27352] = 0x000025c55abae121UL;
   tf->codes[27353] = 0x0000288fb97e4360UL;
   tf->codes[27354] = 0x000028f4d46e3982UL;
   tf->codes[27355] = 0x000028fc60ddf7e7UL;
   tf->codes[27356] = 0x0000293f2c008c9bUL;
   tf->codes[27357] = 0x00002a81792f4de0UL;
   tf->codes[27358] = 0x00002af02f963654UL;
   tf->codes[27359] = 0x00002efe3ae27c76UL;
   tf->codes[27360] = 0x00002f1171d0611aUL;
   tf->codes[27361] = 0x00002f33870ebcc3UL;
   tf->codes[27362] = 0x00002f490792db19UL;
   tf->codes[27363] = 0x000030f0aa409845UL;
   tf->codes[27364] = 0x0000316f29340ed2UL;
   tf->codes[27365] = 0x0000325ac4a54570UL;
   tf->codes[27366] = 0x000032ddd6c52f61UL;
   tf->codes[27367] = 0x0000331c83d95c3bUL;
   tf->codes[27368] = 0x000033916755e076UL;
   tf->codes[27369] = 0x0000355776519cfbUL;
   tf->codes[27370] = 0x00003567ee8b3c63UL;
   tf->codes[27371] = 0x0000360a57353cc1UL;
   tf->codes[27372] = 0x0000361bb9aaf33dUL;
   tf->codes[27373] = 0x00003868f8d5018dUL;
   tf->codes[27374] = 0x00003c6aa9f61021UL;
   tf->codes[27375] = 0x00003c709c7ca623UL;
   tf->codes[27376] = 0x00003d0635dd6369UL;
   tf->codes[27377] = 0x00003d13b4d3b7d0UL;
   tf->codes[27378] = 0x00003d6ef9bdb5dbUL;
   tf->codes[27379] = 0x00003d991089db73UL;
   tf->codes[27380] = 0x00003e13abfdefebUL;
   tf->codes[27381] = 0x00003e4bb6de7574UL;
   tf->codes[27382] = 0x0000416cc75f625aUL;
   tf->codes[27383] = 0x00004170704fbeaaUL;
   tf->codes[27384] = 0x000042702ceaf100UL;
   tf->codes[27385] = 0x00004407cc7d1a4eUL;
   tf->codes[27386] = 0x00004477e23e2560UL;
   tf->codes[27387] = 0x00004512495a5bcfUL;
   tf->codes[27388] = 0x000045c689981e33UL;
   tf->codes[27389] = 0x00004672532a0b1eUL;
   tf->codes[27390] = 0x0000484f7c930e5cUL;
   tf->codes[27391] = 0x00004a91865d01f7UL;
   tf->codes[27392] = 0x00004b964b42b33bUL;
   tf->codes[27393] = 0x00004ccaa45d148fUL;
   tf->codes[27394] = 0x00004ce7b150f14aUL;
   tf->codes[27395] = 0x00004d144c425659UL;
   tf->codes[27396] = 0x00004d1f0c846584UL;
   tf->codes[27397] = 0x00004d8dc2eb4df8UL;
   tf->codes[27398] = 0x00005111df54fd13UL;
   tf->codes[27399] = 0x0000512d525fb16bUL;
   tf->codes[27400] = 0x000052e657832513UL;
   tf->codes[27401] = 0x000053afa326fa43UL;
   tf->codes[27402] = 0x000053e6141e5769UL;
   tf->codes[27403] = 0x00005554fc3e7dbdUL;
   tf->codes[27404] = 0x00005583e0c61c7eUL;
   tf->codes[27405] = 0x000055acd2c7253dUL;
   tf->codes[27406] = 0x000055c9dfbb01f8UL;
   tf->codes[27407] = 0x000058a2e23fd577UL;
   tf->codes[27408] = 0x000059c38f4e469dUL;
   tf->codes[27409] = 0x000059e86340e782UL;
   tf->codes[27410] = 0x00005a7ac8cf5402UL;
   tf->codes[27411] = 0x00005b189e4ce0fcUL;
   tf->codes[27412] = 0x00005b8a88861a36UL;
   tf->codes[27413] = 0x00005c068354514cUL;
   tf->codes[27414] = 0x00005d8658cc2292UL;
   tf->codes[27415] = 0x00005df3ea67ee2dUL;
   tf->codes[27416] = 0x00005e18f8e994d7UL;
   tf->codes[27417] = 0x0000617d843a27c0UL;
   tf->codes[27418] = 0x0000620faf398e7bUL;
   tf->codes[27419] = 0x0000624117e66cb3UL;
   tf->codes[27420] = 0x00006268356f474aUL;
   tf->codes[27421] = 0x000064726ee7bb21UL;
   tf->codes[27422] = 0x00006505842338f0UL;
   tf->codes[27423] = 0x0000660edc355d98UL;
   tf->codes[27424] = 0x0000662b740b2ec9UL;
   tf->codes[27425] = 0x000066a7e3f77169UL;
   tf->codes[27426] = 0x0000672f1425c334UL;
   tf->codes[27427] = 0x000068615e38f09bUL;
   tf->codes[27428] = 0x00006976263a35bdUL;
   tf->codes[27429] = 0x00006a072c6e7f9fUL;
   tf->codes[27430] = 0x00006adc22907b0eUL;
   tf->codes[27431] = 0x00006c7387939e97UL;
   tf->codes[27432] = 0x00006c947806dd67UL;
   tf->codes[27433] = 0x00006d136c185f7eUL;
   tf->codes[27434] = 0x00006d9e0aa807d4UL;
   tf->codes[27435] = 0x00006f9dbe6d7245UL;
   tf->codes[27436] = 0x0000706a78729e00UL;
   tf->codes[27437] = 0x00007090e64e6748UL;
   tf->codes[27438] = 0x0000723b823f6f75UL;
   tf->codes[27439] = 0x0000723d1c2897d8UL;
   tf->codes[27440] = 0x000072d7f862d9d1UL;
   tf->codes[27441] = 0x000072f0379b3d63UL;
   tf->codes[27442] = 0x0000748b0affb777UL;
   tf->codes[27443] = 0x0000770a27f4af89UL;
   tf->codes[27444] = 0x0000787fecd782f3UL;
   tf->codes[27445] = 0x000079d3d70b0079UL;
   tf->codes[27446] = 0x000079f8aafda15eUL;
   tf->codes[27447] = 0x00007aeff0ecfe3bUL;
   tf->codes[27448] = 0x00007bbf69a66f32UL;
   tf->codes[27449] = 0x00007cd8c4d427b8UL;
   tf->codes[27450] = 0x00007d8def4e0130UL;
   tf->codes[27451] = 0x00007db1295779b2UL;
   tf->codes[27452] = 0x00007fd91f70db93UL;
   tf->codes[27453] = 0x00008037230f1edaUL;
   tf->codes[27454] = 0x0000804a59fd037eUL;
   tf->codes[27455] = 0x0000820a3be3243cUL;
   tf->codes[27456] = 0x0000823dee263c26UL;
   tf->codes[27457] = 0x00008303564aaf41UL;
   tf->codes[27458] = 0x000083674c6f888aUL;
   tf->codes[27459] = 0x0000851b83d78309UL;
   tf->codes[27460] = 0x00008883086b60f3UL;
   tf->codes[27461] = 0x00008a51c8a1f8b6UL;
   tf->codes[27462] = 0x00008a7c8f1b2f9dUL;
   tf->codes[27463] = 0x00008caab24a2d45UL;
   tf->codes[27464] = 0x00008f1bdb2ac566UL;
   tf->codes[27465] = 0x000090b3efdafa3eUL;
   tf->codes[27466] = 0x00009399fc38169aUL;
   tf->codes[27467] = 0x0000940160be466eUL;
   tf->codes[27468] = 0x00009409d76a1be7UL;
   tf->codes[27469] = 0x00009492dc109bdaUL;
   tf->codes[27470] = 0x000094f6228863d4UL;
   tf->codes[27471] = 0x0000959fa284170dUL;
   tf->codes[27472] = 0x000095a9b31914e9UL;
   tf->codes[27473] = 0x000095deff455536UL;
   tf->codes[27474] = 0x0000985a38baeb33UL;
   tf->codes[27475] = 0x0000988957d18fb9UL;
   tf->codes[27476] = 0x000098bb702b7f40UL;
   tf->codes[27477] = 0x000099df167d3b67UL;
   tf->codes[27478] = 0x000099f87a80bbd2UL;
   tf->codes[27479] = 0x00009a0e7022e5b2UL;
   tf->codes[27480] = 0x00009a551ec4dc7bUL;
   tf->codes[27481] = 0x00009a67a605afd0UL;
   tf->codes[27482] = 0x00009af27f245debUL;
   tf->codes[27483] = 0x00009c7dff1a5570UL;
   tf->codes[27484] = 0x00009cd6bfdf1404UL;
   tf->codes[27485] = 0x00009ce7e7c5c4bbUL;
   tf->codes[27486] = 0x00009cf700a54185UL;
   tf->codes[27487] = 0x00009f36c0d8fb6eUL;
   tf->codes[27488] = 0x00009fb8739ec2c1UL;
   tf->codes[27489] = 0x00009fcc1faab2efUL;
   tf->codes[27490] = 0x00009fdc22c646cdUL;
   tf->codes[27491] = 0x0000a095e06c93a9UL;
   tf->codes[27492] = 0x0000a09c82a03afaUL;
   tf->codes[27493] = 0x0000a21282121429UL;
   tf->codes[27494] = 0x0000a28c334a118dUL;
   tf->codes[27495] = 0x0000a36ea8626163UL;
   tf->codes[27496] = 0x0000a49cd46726f0UL;
   tf->codes[27497] = 0x0000a4a794a9361bUL;
   tf->codes[27498] = 0x0000a59036d721b8UL;
   tf->codes[27499] = 0x0000a5ba4da34750UL;
   tf->codes[27500] = 0x0000a614a8512e47UL;
   tf->codes[27501] = 0x0000a6447714e41cUL;
   tf->codes[27502] = 0x0000a69277979385UL;
   tf->codes[27503] = 0x0000a6edbc819190UL;
   tf->codes[27504] = 0x0000a7588f6917efUL;
   tf->codes[27505] = 0x0000a7717e4e8cd0UL;
   tf->codes[27506] = 0x0000a800005d973bUL;
   tf->codes[27507] = 0x0000ab841cc74656UL;
   tf->codes[27508] = 0x0000ac9e9cc01bb5UL;
   tf->codes[27509] = 0x0000adb991d6fc9eUL;
   tf->codes[27510] = 0x0000ade3e33227fbUL;
   tf->codes[27511] = 0x0000ae0f93e775f6UL;
   tf->codes[27512] = 0x0000af84e3ac3dd6UL;
   tf->codes[27513] = 0x0000afba2fd87e23UL;
   tf->codes[27514] = 0x0000b0f440ea6fb4UL;
   tf->codes[27515] = 0x0000b20a6845d774UL;
   tf->codes[27516] = 0x0000b244822d90eaUL;
   tf->codes[27517] = 0x0000b25534f63617UL;
   tf->codes[27518] = 0x0000b33fab9c4fdcUL;
   tf->codes[27519] = 0x0000b3944e52a696UL;
   tf->codes[27520] = 0x0000b3bb314c7b68UL;
   tf->codes[27521] = 0x0000b5672c97a633UL;
   tf->codes[27522] = 0x0000b71d7306d49fUL;
   tf->codes[27523] = 0x0000b732f38af2f5UL;
   tf->codes[27524] = 0x0000b77633cb9333UL;
   tf->codes[27525] = 0x0000b833d4f14224UL;
   tf->codes[27526] = 0x0000b8ce769c7e58UL;
   tf->codes[27527] = 0x0000bbdaf0d563fcUL;
   tf->codes[27528] = 0x0000bc5342b33ec2UL;
   tf->codes[27529] = 0x0000bc77dc16d9e2UL;
   tf->codes[27530] = 0x0000bc91401a5a4dUL;
   tf->codes[27531] = 0x0000bcb7adf62395UL;
   tf->codes[27532] = 0x0000c07b9c3f1c63UL;
   tf->codes[27533] = 0x0000c0d840833d0cUL;
   tf->codes[27534] = 0x0000c158ce7de786UL;
   tf->codes[27535] = 0x0000c1cdb1fa6bc1UL;
   tf->codes[27536] = 0x0000c20a500764aeUL;
   tf->codes[27537] = 0x0000c215104973d9UL;
   tf->codes[27538] = 0x0000c21968e6e178UL;
   tf->codes[27539] = 0x0000c30f14ed15f2UL;
   tf->codes[27540] = 0x0000c30f4f7c1bb7UL;
   tf->codes[27541] = 0x0000c48fd4a0fe4cUL;
   tf->codes[27542] = 0x0000c569987e72e4UL;
   tf->codes[27543] = 0x0000c5fc732aeaeeUL;
   tf->codes[27544] = 0x0000c6143d4542f6UL;
   tf->codes[27545] = 0x0000c61c796212aaUL;
   tf->codes[27546] = 0x0000c7b2447c0dd0UL;
   tf->codes[27547] = 0x0000cb996cce7f20UL;
   tf->codes[27548] = 0x0000cc5b66919bb0UL;
   tf->codes[27549] = 0x0000ccf67d5ae36eUL;
   tf->codes[27550] = 0x0000cd9c8ef5401cUL;
   tf->codes[27551] = 0x0000cde2535b1fd1UL;
   tf->codes[27552] = 0x0000cdfb7ccf9a77UL;
   tf->codes[27553] = 0x0000ceb9cda25ab7UL;
   tf->codes[27554] = 0x0000cf4eb75606aeUL;
   tf->codes[27555] = 0x0000cff2b9e92f6fUL;
   tf->codes[27556] = 0x0000d1b470477e55UL;
   tf->codes[27557] = 0x0000d1e981e4b8ddUL;
   tf->codes[27558] = 0x0000d209c2aae65eUL;
   tf->codes[27559] = 0x0000d26d43b1b41dUL;
   tf->codes[27560] = 0x0000d62d4e7b4ad6UL;
   tf->codes[27561] = 0x0000d6be1a208ef3UL;
   tf->codes[27562] = 0x0000d91987ee02f9UL;
   tf->codes[27563] = 0x0000db04a56b6628UL;
   tf->codes[27564] = 0x0000dbb4c79ac0b2UL;
   tf->codes[27565] = 0x0000dbe2fc754e24UL;
   tf->codes[27566] = 0x0000dcf20c7f0309UL;
   tf->codes[27567] = 0x0000ddf74682bfd7UL;
   tf->codes[27568] = 0x0000de9222bd01d0UL;
   tf->codes[27569] = 0x0000e0ee05a88160UL;
   tf->codes[27570] = 0x0000e1c8ee5112d1UL;
   tf->codes[27571] = 0x0000e21fa00e9d78UL;
   tf->codes[27572] = 0x0000e22e7e5f147dUL;
   tf->codes[27573] = 0x0000e3142749b519UL;
   tf->codes[27574] = 0x0000e362d77975d1UL;
   tf->codes[27575] = 0x0000e386fbbf0567UL;
   tf->codes[27576] = 0x0000e41afb369a4aUL;
   tf->codes[27577] = 0x0000e58b0821dd77UL;
   tf->codes[27578] = 0x0000e7995fa8b928UL;
   tf->codes[27579] = 0x0000e7bd495f42f9UL;
   tf->codes[27580] = 0x0000e8906b091040UL;
   tf->codes[27581] = 0x0000e89de9ff64a7UL;
   tf->codes[27582] = 0x0000e8d6df1c0144UL;
   tf->codes[27583] = 0x0000e8e9a0ebda5eUL;
   tf->codes[27584] = 0x0000e8f301d3c6ebUL;
   tf->codes[27585] = 0x0000e9cbdb75246fUL;
   tf->codes[27586] = 0x0000efeb721a9708UL;
   tf->codes[27587] = 0x0000f003b152fa9aUL;
   tf->codes[27588] = 0x0000f1199e1f5c95UL;
   tf->codes[27589] = 0x0000f198ccbfe471UL;
   tf->codes[27590] = 0x0000f21626e83e25UL;
   tf->codes[27591] = 0x0000f46699e49d3bUL;
   tf->codes[27592] = 0x0000f544f0ee8537UL;
   tf->codes[27593] = 0x0000f768c8f97f3eUL;
   tf->codes[27594] = 0x0000f7d8a42b848bUL;
   tf->codes[27595] = 0x0000f87888b04572UL;
   tf->codes[27596] = 0x0000f9483bf8bc2eUL;
   tf->codes[27597] = 0x0000f9663328affdUL;
   tf->codes[27598] = 0x0000f98dc5cf961eUL;
   tf->codes[27599] = 0x0000f9d9b74b119aUL;
   tf->codes[27600] = 0x0000fa81d7eca235UL;
   tf->codes[27601] = 0x0000fb853d7830dbUL;
   tf->codes[27602] = 0x0000fc3dd65360deUL;
   tf->codes[27603] = 0x0000fd01a48eab96UL;
   tf->codes[27604] = 0x0000fdcb2ac1868bUL;
   tf->codes[27605] = 0x0001002b664a73baUL;
   tf->codes[27606] = 0x00010076a818dde7UL;
   tf->codes[27607] = 0x000101323a3758ebUL;
   tf->codes[27608] = 0x000101e63fe6158aUL;
   tf->codes[27609] = 0x00010249c0ece349UL;
   tf->codes[27610] = 0x000103125ce3a72aUL;
   tf->codes[27611] = 0x0001046bff0eb4edUL;
   tf->codes[27612] = 0x000104b4f746e568UL;
   tf->codes[27613] = 0x0001054d4f5be7eaUL;
   tf->codes[27614] = 0x00010570fe836bf6UL;
   tf->codes[27615] = 0x00010572986c9459UL;
   tf->codes[27616] = 0x0001058818f0b2afUL;
   tf->codes[27617] = 0x0001071866a2235dUL;
   tf->codes[27618] = 0x0001078632ccf4bdUL;
   tf->codes[27619] = 0x0001079cd81c2fecUL;
   tf->codes[27620] = 0x000107cad267b799UL;
   tf->codes[27621] = 0x000107e90426b12dUL;
   tf->codes[27622] = 0x00010919b450b631UL;
   tf->codes[27623] = 0x00010a55d469dbafUL;
   tf->codes[27624] = 0x00010afa86aa15bfUL;
   tf->codes[27625] = 0x00010b08402f6febUL;
   tf->codes[27626] = 0x00010c1ba8d6926fUL;
   tf->codes[27627] = 0x00010cff082af959UL;
   tf->codes[27628] = 0x00010d38e783ad0aUL;
   tf->codes[27629] = 0x00010efa6352f62bUL;
   tf->codes[27630] = 0x000110e12832ebbbUL;
   tf->codes[27631] = 0x00011205f34fc4bbUL;
   tf->codes[27632] = 0x0001122f5a6ed904UL;
   tf->codes[27633] = 0x0001132f5199111fUL;
   tf->codes[27634] = 0x000114027342de66UL;
   tf->codes[27635] = 0x000115b5fafdc796UL;
   tf->codes[27636] = 0x0001168e5f811990UL;
   tf->codes[27637] = 0x000116cd47244c2fUL;
   tf->codes[27638] = 0x000118926be3f1a0UL;
   tf->codes[27639] = 0x000119c097e8b72dUL;
   tf->codes[27640] = 0x00011ab4aa05c344UL;
   tf->codes[27641] = 0x00011b946069cddeUL;
   tf->codes[27642] = 0x00011b9f5b3ae2ceUL;
   tf->codes[27643] = 0x00011c5bd79574e6UL;
   tf->codes[27644] = 0x00011cca18de51d0UL;
   tf->codes[27645] = 0x00011d16f495e460UL;
   tf->codes[27646] = 0x00011dd3e60e8202UL;
   tf->codes[27647] = 0x00011e455b29afb2UL;
   tf->codes[27648] = 0x00011efb6fdfa03eUL;
   tf->codes[27649] = 0x00011f099e8305f4UL;
   tf->codes[27650] = 0x00011f0ea6cd84e2UL;
   tf->codes[27651] = 0x000120696dc3af7eUL;
   tf->codes[27652] = 0x0001217fcfae1d03UL;
   tf->codes[27653] = 0x000121b381f134edUL;
   tf->codes[27654] = 0x00012704c4a85368UL;
   tf->codes[27655] = 0x0001280cf7ef5b37UL;
   tf->codes[27656] = 0x0001289a8fc24e8eUL;
   tf->codes[27657] = 0x000128c939bae78aUL;
   tf->codes[27658] = 0x00012916ffae912eUL;
   tf->codes[27659] = 0x000129a7cb53d54bUL;
   tf->codes[27660] = 0x000129f0c38c05c6UL;
   tf->codes[27661] = 0x00012ae3764eef3fUL;
   tf->codes[27662] = 0x00012c5592416659UL;
   tf->codes[27663] = 0x00012c7f33ef8067UL;
   tf->codes[27664] = 0x00012cc398fb3d7eUL;
   tf->codes[27665] = 0x00012d3ea98d5d80UL;
   tf->codes[27666] = 0x00012e62ff8c2af6UL;
   tf->codes[27667] = 0x00012edb16dafff7UL;
   tf->codes[27668] = 0x0001316e8f88f986UL;
   tf->codes[27669] = 0x000131827623ef79UL;
   tf->codes[27670] = 0x000131fc61eaf2a2UL;
   tf->codes[27671] = 0x0001329703962ed6UL;
   tf->codes[27672] = 0x000132e3df4dc166UL;
   tf->codes[27673] = 0x0001330753e63fadUL;
   tf->codes[27674] = 0x0001346bf0e26260UL;
   tf->codes[27675] = 0x000134ef782057dbUL;
   tf->codes[27676] = 0x000136105fbdcec6UL;
   tf->codes[27677] = 0x0001364696262627UL;
   tf->codes[27678] = 0x0001371056e806e1UL;
   tf->codes[27679] = 0x000137a57b2ab89dUL;
   tf->codes[27680] = 0x000138b91e60e0e6UL;
   tf->codes[27681] = 0x000138fea837bad6UL;
   tf->codes[27682] = 0x0001392d8cbf5997UL;
   tf->codes[27683] = 0x0001394ef250a3f1UL;
   tf->codes[27684] = 0x00013a9055434e22UL;
   tf->codes[27685] = 0x00013b8bf3d0189eUL;
   tf->codes[27686] = 0x00013b9fda6b0e91UL;
   tf->codes[27687] = 0x00013bd685f1717cUL;
   tf->codes[27688] = 0x00013c0c0cacb78eUL;
   tf->codes[27689] = 0x00013d6992572766UL;
   tf->codes[27690] = 0x00013d9801c0ba9dUL;
   tf->codes[27691] = 0x00013e1ad9519ec9UL;
   tf->codes[27692] = 0x000140f0a8042182UL;
   tf->codes[27693] = 0x000141642c26831fUL;
   tf->codes[27694] = 0x0001420151f6fecaUL;
   tf->codes[27695] = 0x0001421ab5fa7f35UL;
   tf->codes[27696] = 0x00014252c0db04beUL;
   tf->codes[27697] = 0x000143068bfabb98UL;
   tf->codes[27698] = 0x00014388ee6d943aUL;
   tf->codes[27699] = 0x000144c967242757UL;
   tf->codes[27700] = 0x000144e3eff2c49bUL;
   tf->codes[27701] = 0x000146e9963ec50eUL;
   tf->codes[27702] = 0x0001470be60c267cUL;
   tf->codes[27703] = 0x0001474acdaf591bUL;
   tf->codes[27704] = 0x0001481c8fff03c4UL;
   tf->codes[27705] = 0x000148793443246dUL;
   tf->codes[27706] = 0x00014961d671100aUL;
   tf->codes[27707] = 0x000149c55777ddc9UL;
   tf->codes[27708] = 0x00014a486997c7baUL;
   tf->codes[27709] = 0x00014ae17159db8bUL;
   tf->codes[27710] = 0x00014bd548e7e1ddUL;
   tf->codes[27711] = 0x00014bdf940be57eUL;
   tf->codes[27712] = 0x00014c2a60bc4421UL;
   tf->codes[27713] = 0x00014cb06c1f7913UL;
   tf->codes[27714] = 0x00014d755f25e0a4UL;
   tf->codes[27715] = 0x00014d76be800342UL;
   tf->codes[27716] = 0x00014f84db77d92eUL;
   tf->codes[27717] = 0x00014fb1b0f84402UL;
   tf->codes[27718] = 0x000150af23fd3ca6UL;
   tf->codes[27719] = 0x0001516204e0dc6cUL;
   tf->codes[27720] = 0x00015198eaf6451cUL;
   tf->codes[27721] = 0x00015285ab329893UL;
   tf->codes[27722] = 0x0001546f2ec6d35fUL;
   tf->codes[27723] = 0x000154be54149fa1UL;
   tf->codes[27724] = 0x0001561746929c15UL;
   tf->codes[27725] = 0x00015b04cdb3e70cUL;
   tf->codes[27726] = 0x00015b4d163f0638UL;
   tf->codes[27727] = 0x00015d0914a5c4e1UL;
   tf->codes[27728] = 0x00015df3c5dae46bUL;
   tf->codes[27729] = 0x00015e12e1d5f513UL;
   tf->codes[27730] = 0x00015e4fba71f3c5UL;
   tf->codes[27731] = 0x00015f1890f7bd6bUL;
   tf->codes[27732] = 0x00015f51c0a35fcdUL;
   tf->codes[27733] = 0x0001604dd44e35d3UL;
   tf->codes[27734] = 0x00016119dea6503fUL;
   tf->codes[27735] = 0x000161b70476cbeaUL;
   tf->codes[27736] = 0x000161d77fcbff30UL;
   tf->codes[27737] = 0x000162554f12646eUL;
   tf->codes[27738] = 0x000164ea9c388c25UL;
   tf->codes[27739] = 0x0001655c4be2bf9aUL;
   tf->codes[27740] = 0x00016652e2250b28UL;
   tf->codes[27741] = 0x000166fb3d55a188UL;
   tf->codes[27742] = 0x0001676efc0708eaUL;
   tf->codes[27743] = 0x000168625e7703b2UL;
   tf->codes[27744] = 0x00016933aba8a2d1UL;
   tf->codes[27745] = 0x00016a515f73c8f6UL;
   tf->codes[27746] = 0x00016b2ae8c237c9UL;
   tf->codes[27747] = 0x00016b7a832e0f95UL;
   tf->codes[27748] = 0x00016bd0fa5c9477UL;
   tf->codes[27749] = 0x00016c5f7c6b9ee2UL;
   tf->codes[27750] = 0x00016dfd0e845e32UL;
   tf->codes[27751] = 0x00016e6caf275dbaUL;
   tf->codes[27752] = 0x00016e99bf36ce53UL;
   tf->codes[27753] = 0x00016f7b0f840150UL;
   tf->codes[27754] = 0x00016f8d96c4d4a5UL;
   tf->codes[27755] = 0x00016fdde0ddbdc0UL;
   tf->codes[27756] = 0x00017034580c42a2UL;
   tf->codes[27757] = 0x0001712cfd55c21dUL;
   tf->codes[27758] = 0x000171b6771a4d9aUL;
   tf->codes[27759] = 0x000171c63fa6dbb3UL;
   tf->codes[27760] = 0x000171d72cfe86a5UL;
   tf->codes[27761] = 0x000172110c573a56UL;
   tf->codes[27762] = 0x00017270e46dabc5UL;
   tf->codes[27763] = 0x0001727661d6363dUL;
   tf->codes[27764] = 0x000172915fc2df0bUL;
   tf->codes[27765] = 0x000173911c5e1161UL;
   tf->codes[27766] = 0x000173fee888e2c1UL;
   tf->codes[27767] = 0x00017873e33d4d2dUL;
   tf->codes[27768] = 0x0001791faccf3a18UL;
   tf->codes[27769] = 0x00017a60d532de84UL;
   tf->codes[27770] = 0x00017b0b04dba30cUL;
   tf->codes[27771] = 0x00017d6acb4684b1UL;
   tf->codes[27772] = 0x00017e6c96e8eaf4UL;
   tf->codes[27773] = 0x00017fdfd7a67ee7UL;
   tf->codes[27774] = 0x0001808ff9d5d971UL;
   tf->codes[27775] = 0x000181042da54c5dUL;
   tf->codes[27776] = 0x0001817184b21233UL;
   tf->codes[27777] = 0x000181a745fc5e0aUL;
   tf->codes[27778] = 0x00018205499aa151UL;
   tf->codes[27779] = 0x000182ce5aaf70bcUL;
   tf->codes[27780] = 0x00018349e05f9c48UL;
   tf->codes[27781] = 0x000184716a30ba84UL;
   tf->codes[27782] = 0x0001859bed4523c1UL;
   tf->codes[27783] = 0x000185d850c316e9UL;
   tf->codes[27784] = 0x000185db849567afUL;
   tf->codes[27785] = 0x0001874e5034f018UL;
   tf->codes[27786] = 0x0001886f37d26703UL;
   tf->codes[27787] = 0x0001896dcfa27c80UL;
   tf->codes[27788] = 0x00018aba67f54166UL;
   tf->codes[27789] = 0x00018bd29e57dd13UL;
   tf->codes[27790] = 0x00018bf43e782d32UL;
   tf->codes[27791] = 0x0001927d48ab038cUL;
   tf->codes[27792] = 0x0001929378dc3331UL;
   tf->codes[27793] = 0x000192dc36855de7UL;
   tf->codes[27794] = 0x000193d9a98a568bUL;
   tf->codes[27795] = 0x000194744b3592bfUL;
   tf->codes[27796] = 0x00019618f4a004eaUL;
   tf->codes[27797] = 0x00019703a5d52474UL;
   tf->codes[27798] = 0x000197115f5a7ea0UL;
   tf->codes[27799] = 0x000197afa9f61724UL;
   tf->codes[27800] = 0x000197e2e71b2384UL;
   tf->codes[27801] = 0x0001981c8be4d170UL;
   tf->codes[27802] = 0x0001990861e50dd3UL;
   tf->codes[27803] = 0x000199f9efdcda73UL;
   tf->codes[27804] = 0x00019aee7717f214UL;
   tf->codes[27805] = 0x00019c97b3aed7a3UL;
   tf->codes[27806] = 0x00019d74ab5e9d01UL;
   tf->codes[27807] = 0x00019d7ef682a0a2UL;
   tf->codes[27808] = 0x00019dac7bb01cc5UL;
   tf->codes[27809] = 0x00019dfd3ae7116aUL;
   tf->codes[27810] = 0x00019e0ed7ebcdabUL;
   tf->codes[27811] = 0x00019f624d013fa7UL;
   tf->codes[27812] = 0x0001a01393fbb70aUL;
   tf->codes[27813] = 0x0001a049ca640e6bUL;
   tf->codes[27814] = 0x0001a05d766ffe99UL;
   tf->codes[27815] = 0x0001a09546c17e5dUL;
   tf->codes[27816] = 0x0001a18834136d9bUL;
   tf->codes[27817] = 0x0001a21a2483ce91UL;
   tf->codes[27818] = 0x0001a2f45d7f4eb3UL;
   tf->codes[27819] = 0x0001a31254af4282UL;
   tf->codes[27820] = 0x0001a4ecf9f30649UL;
   tf->codes[27821] = 0x0001a992ada73d9eUL;
   tf->codes[27822] = 0x0001ab0f14bdb859UL;
   tf->codes[27823] = 0x0001ab6e77b61e3eUL;
   tf->codes[27824] = 0x0001ab7ca65983f4UL;
   tf->codes[27825] = 0x0001ac5cd1db9a18UL;
   tf->codes[27826] = 0x0001adae7278ddecUL;
   tf->codes[27827] = 0x0001adf81a5e1fb6UL;
   tf->codes[27828] = 0x0001af5948f8ebdeUL;
   tf->codes[27829] = 0x0001afa833b7b25bUL;
   tf->codes[27830] = 0x0001afc62ae7a62aUL;
   tf->codes[27831] = 0x0001afe128d44ef8UL;
   tf->codes[27832] = 0x0001b04100eac067UL;
   tf->codes[27833] = 0x0001b119da8c1debUL;
   tf->codes[27834] = 0x0001b168159dd319UL;
   tf->codes[27835] = 0x0001b199b8d9b716UL;
   tf->codes[27836] = 0x0001b1e151b7c4f3UL;
   tf->codes[27837] = 0x0001b38e373f06d2UL;
   tf->codes[27838] = 0x0001b3dc7250bc00UL;
   tf->codes[27839] = 0x0001b40cf0c18324UL;
   tf->codes[27840] = 0x0001b4d3f2cf1ea2UL;
   tf->codes[27841] = 0x0001b56b9b370fd5UL;
   tf->codes[27842] = 0x0001b5e80b235275UL;
   tf->codes[27843] = 0x0001b6902bc4e310UL;
   tf->codes[27844] = 0x0001b6e66864622dUL;
   tf->codes[27845] = 0x0001b8760668c18cUL;
   tf->codes[27846] = 0x0001b883fa7d217dUL;
   tf->codes[27847] = 0x0001b993ba33e7b1UL;
   tf->codes[27848] = 0x0001ba0e903701eeUL;
   tf->codes[27849] = 0x0001bae3fb7708e7UL;
   tf->codes[27850] = 0x0001bbf0c1ea841aUL;
   tf->codes[27851] = 0x0001bbf30b80bdccUL;
   tf->codes[27852] = 0x0001bc17df735eb1UL;
   tf->codes[27853] = 0x0001bc8202add3c1UL;
   tf->codes[27854] = 0x0001bcfd885dff4dUL;
   tf->codes[27855] = 0x0001bd923782a57fUL;
   tf->codes[27856] = 0x0001be45c8135694UL;
   tf->codes[27857] = 0x0001bed2008c274dUL;
   tf->codes[27858] = 0x0001bf7a5bbcbdadUL;
   tf->codes[27859] = 0x0001c0749aef658bUL;
   tf->codes[27860] = 0x0001c2194459d7b6UL;
   tf->codes[27861] = 0x0001c2723fad9c0fUL;
   tf->codes[27862] = 0x0001c3f1da966790UL;
   tf->codes[27863] = 0x0001c41b07267614UL;
   tf->codes[27864] = 0x0001c49a705603b5UL;
   tf->codes[27865] = 0x0001c5bc07a08befUL;
   tf->codes[27866] = 0x0001c5d27260c159UL;
   tf->codes[27867] = 0x0001c61a0b3ecf36UL;
   tf->codes[27868] = 0x0001c65dfb2c80c3UL;
   tf->codes[27869] = 0x0001c69b837590c4UL;
   tf->codes[27870] = 0x0001c6c55fb2b097UL;
   tf->codes[27871] = 0x0001c7040cc6dd71UL;
   tf->codes[27872] = 0x0001c7603becf290UL;
   tf->codes[27873] = 0x0001c79befbdd469UL;
   tf->codes[27874] = 0x0001c90470395931UL;
   tf->codes[27875] = 0x0001cb826863346aUL;
   tf->codes[27876] = 0x0001cbff12de7ccfUL;
   tf->codes[27877] = 0x0001cc0e2bbdf999UL;
   tf->codes[27878] = 0x0001cf77f9e81135UL;
   tf->codes[27879] = 0x0001d0108c8c197cUL;
   tf->codes[27880] = 0x0001d161b80b51c6UL;
   tf->codes[27881] = 0x0001d196548a80c4UL;
   tf->codes[27882] = 0x0001d1f0af3867bbUL;
   tf->codes[27883] = 0x0001d1f57cf3e0e4UL;
   tf->codes[27884] = 0x0001d30a44f52606UL;
   tf->codes[27885] = 0x0001d43e28f17bd0UL;
   tf->codes[27886] = 0x0001d4afd89baf45UL;
   tf->codes[27887] = 0x0001d5774fc7564dUL;
   tf->codes[27888] = 0x0001d5c1323b9ddcUL;
   tf->codes[27889] = 0x0001d6bc96396293UL;
   tf->codes[27890] = 0x0001d99fe3e239b3UL;
   tf->codes[27891] = 0x0001d9c10ee47e48UL;
   tf->codes[27892] = 0x0001d9d68f689c9eUL;
   tf->codes[27893] = 0x0001d9daad770478UL;
   tf->codes[27894] = 0x0001da0155e1d385UL;
   tf->codes[27895] = 0x0001da5bb08fba7cUL;
   tf->codes[27896] = 0x0001da89704c3c64UL;
   tf->codes[27897] = 0x0001db8a51b28b93UL;
   tf->codes[27898] = 0x0001dbeef784762bUL;
   tf->codes[27899] = 0x0001dc957e3cde63UL;
   tf->codes[27900] = 0x0001dc98ec9e34eeUL;
   tf->codes[27901] = 0x0001de452278657eUL;
   tf->codes[27902] = 0x0001df0ea8ab4073UL;
   tf->codes[27903] = 0x0001e01c93e9d87fUL;
   tf->codes[27904] = 0x0001e07e7b077ddbUL;
   tf->codes[27905] = 0x0001e10e21e1a51fUL;
   tf->codes[27906] = 0x0001e2ead62c9cd3UL;
   tf->codes[27907] = 0x0001e41384c8d7e8UL;
   tf->codes[27908] = 0x0001e4c0e843ed36UL;
   tf->codes[27909] = 0x0001e5831c960f8bUL;
   tf->codes[27910] = 0x0001e66c33e206b2UL;
   tf->codes[27911] = 0x0001e676b9951018UL;
   tf->codes[27912] = 0x0001e69fe6251e9cUL;
   tf->codes[27913] = 0x0001e71a470a2d4fUL;
   tf->codes[27914] = 0x0001e7c64b2b1fffUL;
   tf->codes[27915] = 0x0001e7e89af8816dUL;
   tf->codes[27916] = 0x0001e8f686371979UL;
   tf->codes[27917] = 0x0001ea1efa444ec9UL;
   tf->codes[27918] = 0x0001ed1160cca2b3UL;
   tf->codes[27919] = 0x0001edc68b467c2bUL;
   tf->codes[27920] = 0x0001edd4b9e9e1e1UL;
   tf->codes[27921] = 0x0001edeff2659074UL;
   tf->codes[27922] = 0x0001ee10a849c97fUL;
   tf->codes[27923] = 0x0001ee33a7c43c3cUL;
   tf->codes[27924] = 0x0001ee399a4ad23eUL;
   tf->codes[27925] = 0x0001ee742950973eUL;
   tf->codes[27926] = 0x0001eee2dfb77fb2UL;
   tf->codes[27927] = 0x0001f1dc5d918677UL;
   tf->codes[27928] = 0x0001f2497a0f4688UL;
   tf->codes[27929] = 0x0001f29bd32f6390UL;
   tf->codes[27930] = 0x0001f2aaec0ee05aUL;
   tf->codes[27931] = 0x0001f2fd0a9ff79dUL;
   tf->codes[27932] = 0x0001f4e35a61e1a3UL;
   tf->codes[27933] = 0x0001f5002cc6b899UL;
   tf->codes[27934] = 0x0001f51363b49d3dUL;
   tf->codes[27935] = 0x0001f5766f9d5f72UL;
   tf->codes[27936] = 0x0001f58d14ec9aa1UL;
   tf->codes[27937] = 0x0001f59b7e1f061cUL;
   tf->codes[27938] = 0x0001f76a3e559ddfUL;
   tf->codes[27939] = 0x0001f7770d9ee0f7UL;
   tf->codes[27940] = 0x0001fa08ec63b223UL;
   tf->codes[27941] = 0x0001fab022c92baaUL;
   tf->codes[27942] = 0x0001faf2b35cba99UL;
   tf->codes[27943] = 0x0001fb0e26676ef1UL;
   tf->codes[27944] = 0x0001fb2b335b4bacUL;
   tf->codes[27945] = 0x0001fbe10d823673UL;
   tf->codes[27946] = 0x0001fc04f738c044UL;
   tf->codes[27947] = 0x0001fceb8a5f77f4UL;
   tf->codes[27948] = 0x0001fdd9e484f3ceUL;
   tf->codes[27949] = 0x0001fec4d049191dUL;
   tf->codes[27950] = 0x0001ffcd78ae2c76UL;
   tf->codes[27951] = 0x0001ffee2e926581UL;
   tf->codes[27952] = 0x000200926bb49407UL;
   tf->codes[27953] = 0x000201bb1a50cf1cUL;
   tf->codes[27954] = 0x0002023ba84b7996UL;
   tf->codes[27955] = 0x0002037e6a984665UL;
   tf->codes[27956] = 0x0002039166f72544UL;
   tf->codes[27957] = 0x000203cb0bc0d330UL;
   tf->codes[27958] = 0x000203f4e7fdf303UL;
   tf->codes[27959] = 0x0002056fefba4b20UL;
   tf->codes[27960] = 0x0002076ef3d2a442UL;
   tf->codes[27961] = 0x00020774e6593a44UL;
   tf->codes[27962] = 0x000209893066abf7UL;
   tf->codes[27963] = 0x00020a2da817e042UL;
   tf->codes[27964] = 0x00020b54bccaf2f4UL;
   tf->codes[27965] = 0x00020b7b2aa6bc3cUL;
   tf->codes[27966] = 0x00020b948eaa3ca7UL;
   tf->codes[27967] = 0x00020c6cf32d8ea1UL;
   tf->codes[27968] = 0x00020cef1b11617eUL;
   tf->codes[27969] = 0x00020d15fe0b3650UL;
   tf->codes[27970] = 0x00020dc70a76a7eeUL;
   tf->codes[27971] = 0x00020de3dcdb7ee4UL;
   tf->codes[27972] = 0x00021076a5dc6724UL;
   tf->codes[27973] = 0x0002108f1fa3d07bUL;
   tf->codes[27974] = 0x000211289c83efd6UL;
   tf->codes[27975] = 0x000211cf5dcb5dd3UL;
   tf->codes[27976] = 0x000211f97497836bUL;
   tf->codes[27977] = 0x0002120e456e9072UL;
   tf->codes[27978] = 0x0002130bf3028edbUL;
   tf->codes[27979] = 0x00021403ae0ff742UL;
   tf->codes[27980] = 0x0002143cddbb99a4UL;
   tf->codes[27981] = 0x00021474737e13a3UL;
   tf->codes[27982] = 0x000214bcf6983894UL;
   tf->codes[27983] = 0x0002175d04006f76UL;
   tf->codes[27984] = 0x000217ba9280a733UL;
   tf->codes[27985] = 0x0002185c860c9c07UL;
   tf->codes[27986] = 0x000218748ab5f9d4UL;
   tf->codes[27987] = 0x000218d3b31f59f4UL;
   tf->codes[27988] = 0x0002196fb424b8c6UL;
   tf->codes[27989] = 0x00021acdaeed3428UL;
   tf->codes[27990] = 0x00021af073d8a120UL;
   tf->codes[27991] = 0x00021c8b0cae156fUL;
   tf->codes[27992] = 0x00021e1b1fd08058UL;
   tf->codes[27993] = 0x00021f0bfe1b3ba9UL;
   tf->codes[27994] = 0x00021f3b57c0e5f4UL;
   tf->codes[27995] = 0x00021f7b642f356cUL;
   tf->codes[27996] = 0x0002204aa259a09eUL;
   tf->codes[27997] = 0x0002207b20ca67c2UL;
   tf->codes[27998] = 0x000221d3d8b95e71UL;
   tf->codes[27999] = 0x000222e4481d35f4UL;
   tf->codes[28000] = 0x000225064bb001d3UL;
   tf->codes[28001] = 0x00022557ba9407c7UL;
   tf->codes[28002] = 0x0002259e2ea6f8cbUL;
   tf->codes[28003] = 0x000225b66ddf5c5dUL;
   tf->codes[28004] = 0x000225fc6cd441d7UL;
   tf->codes[28005] = 0x00022600c571af76UL;
   tf->codes[28006] = 0x000227bff7aabee5UL;
   tf->codes[28007] = 0x000229f6cc1497cbUL;
   tf->codes[28008] = 0x00022b10d6ef61a0UL;
   tf->codes[28009] = 0x000230e6509186e5UL;
   tf->codes[28010] = 0x00023139595eb53cUL;
   tf->codes[28011] = 0x0002313d3cde1751UL;
   tf->codes[28012] = 0x0002320f39bcc7bfUL;
   tf->codes[28013] = 0x000232cbf0a65f9cUL;
   tf->codes[28014] = 0x000232e6ee93086aUL;
   tf->codes[28015] = 0x0002339ba3eed658UL;
   tf->codes[28016] = 0x000234c920468a96UL;
   tf->codes[28017] = 0x000234e20f2bff77UL;
   tf->codes[28018] = 0x000235e70ea0b680UL;
   tf->codes[28019] = 0x000236b2a3dac562UL;
   tf->codes[28020] = 0x000236d09b0ab931UL;
   tf->codes[28021] = 0x000237c13ec66ebdUL;
   tf->codes[28022] = 0x0002394ecdc39a2fUL;
   tf->codes[28023] = 0x0002396af07b5fd6UL;
   tf->codes[28024] = 0x0002398a47057643UL;
   tf->codes[28025] = 0x00023a110215bc84UL;
   tf->codes[28026] = 0x00023a16f49c5286UL;
   tf->codes[28027] = 0x00023b1bf411098fUL;
   tf->codes[28028] = 0x00023c6433c660d6UL;
   tf->codes[28029] = 0x00023de443cd37e1UL;
   tf->codes[28030] = 0x00023e0d705d4665UL;
   tf->codes[28031] = 0x000240f3422b5cfcUL;
   tf->codes[28032] = 0x0002431c2280d5f1UL;
   tf->codes[28033] = 0x000243dcbce9cfe3UL;
   tf->codes[28034] = 0x0002446a8f4bc8ffUL;
   tf->codes[28035] = 0x0002460cb490fbb3UL;
   tf->codes[28036] = 0x0002463aaedc8360UL;
   tf->codes[28037] = 0x000246cd146aefe0UL;
   tf->codes[28038] = 0x00024a7a97f3b344UL;
   tf->codes[28039] = 0x00024a9e0c8c318bUL;
   tf->codes[28040] = 0x00024b3ccc45d599UL;
   tf->codes[28041] = 0x00024c8d4817fc94UL;
   tf->codes[28042] = 0x00024d7241558be1UL;
   tf->codes[28043] = 0x00024f35570dfd65UL;
   tf->codes[28044] = 0x00024fbf0b618ea7UL;
   tf->codes[28045] = 0x000251d180f6d232UL;
   tf->codes[28046] = 0x000251f2e6881c8cUL;
   tf->codes[28047] = 0x000252645ba34a3cUL;
   tf->codes[28048] = 0x000253736bacff21UL;
   tf->codes[28049] = 0x000253e0130cb3a8UL;
   tf->codes[28050] = 0x0002551381eafde8UL;
   tf->codes[28051] = 0x0002556b5873a568UL;
   tf->codes[28052] = 0x0002561a1b48dd54UL;
   tf->codes[28053] = 0x000257dfefb59414UL;
   tf->codes[28054] = 0x00025988f1bd73deUL;
   tf->codes[28055] = 0x00025a368fc78ef1UL;
   tf->codes[28056] = 0x00025e319eb4f634UL;
   tf->codes[28057] = 0x00025ecd9fba5506UL;
   tf->codes[28058] = 0x00025ed4075ef692UL;
   tf->codes[28059] = 0x00025fbca98ce22fUL;
   tf->codes[28060] = 0x00025fdb15dae188UL;
   tf->codes[28061] = 0x000260ee43f2fe47UL;
   tf->codes[28062] = 0x000261df5cccbf5dUL;
   tf->codes[28063] = 0x00026216f28f395cUL;
   tf->codes[28064] = 0x0002624f37fec4aaUL;
   tf->codes[28065] = 0x000263be201eeafeUL;
   tf->codes[28066] = 0x0002640459a2d63dUL;
   tf->codes[28067] = 0x0002640752e6213eUL;
   tf->codes[28068] = 0x000264767e6b153cUL;
   tf->codes[28069] = 0x0002678eddb126e4UL;
   tf->codes[28070] = 0x00026b516c9ffd14UL;
   tf->codes[28071] = 0x00026c127c270290UL;
   tf->codes[28072] = 0x00026c1f10e13fe3UL;
   tf->codes[28073] = 0x00026dd76657a23cUL;
   tf->codes[28074] = 0x00026e523c5abc79UL;
   tf->codes[28075] = 0x00026e848f43b1c5UL;
   tf->codes[28076] = 0x00026f6062285a4aUL;
   tf->codes[28077] = 0x000270455b65e997UL;
   tf->codes[28078] = 0x0002710e6c7ab902UL;
   tf->codes[28079] = 0x000271aec61d8573UL;
   tf->codes[28080] = 0x000271ed38a2ac88UL;
   tf->codes[28081] = 0x0002731203bf8588UL;
   tf->codes[28082] = 0x0002744f48a3c7dfUL;
   tf->codes[28083] = 0x000275b803ae526cUL;
   tf->codes[28084] = 0x0002765897e024a2UL;
   tf->codes[28085] = 0x000276e2c151c16eUL;
   tf->codes[28086] = 0x000276ef909b0486UL;
   tf->codes[28087] = 0x00027964d78a0481UL;
   tf->codes[28088] = 0x00027965c1c61b95UL;
   tf->codes[28089] = 0x00027ac0139e3aa7UL;
   tf->codes[28090] = 0x00027cc5b9ea3b1aUL;
   tf->codes[28091] = 0x00027cd71c5ff196UL;
   tf->codes[28092] = 0x00027d84ba6a0ca9UL;
   tf->codes[28093] = 0x00027e4763da3a88UL;
   tf->codes[28094] = 0x00027f1a4af5020aUL;
   tf->codes[28095] = 0x00028132b310db97UL;
   tf->codes[28096] = 0x000281620cb685e2UL;
   tf->codes[28097] = 0x000281bf60a7b7daUL;
   tf->codes[28098] = 0x000282e0bd633a4fUL;
   tf->codes[28099] = 0x00028637c9bd78d1UL;
   tf->codes[28100] = 0x0002865bb37402a2UL;
   tf->codes[28101] = 0x00028663ef90d256UL;
   tf->codes[28102] = 0x000287728a7c7bb1UL;
   tf->codes[28103] = 0x0002877cd5a07f52UL;
   tf->codes[28104] = 0x000287fa6a57decbUL;
   tf->codes[28105] = 0x000289850011bf3cUL;
   tf->codes[28106] = 0x0002899db4682e58UL;
   tf->codes[28107] = 0x00028a6cb80393c5UL;
   tf->codes[28108] = 0x00028b1dc46f0563UL;
   tf->codes[28109] = 0x00028c02f83b9a75UL;
   tf->codes[28110] = 0x00028cef08cadc9dUL;
   tf->codes[28111] = 0x00028d7f24c30f6bUL;
   tf->codes[28112] = 0x00028d9430292237UL;
   tf->codes[28113] = 0x00028e56647b448cUL;
   tf->codes[28114] = 0x00028eda60d74591UL;
   tf->codes[28115] = 0x000291405457c2fdUL;
   tf->codes[28116] = 0x000293187576474dUL;
   tf->codes[28117] = 0x000293ceff4a4363UL;
   tf->codes[28118] = 0x000293f064db8dbdUL;
   tf->codes[28119] = 0x00029416d2b75705UL;
   tf->codes[28120] = 0x00029448b08240c7UL;
   tf->codes[28121] = 0x0002947b036b3613UL;
   tf->codes[28122] = 0x000294d97c2784e4UL;
   tf->codes[28123] = 0x00029755654a2c30UL;
   tf->codes[28124] = 0x00029a02076ca065UL;
   tf->codes[28125] = 0x00029b165a4fd9fdUL;
   tf->codes[28126] = 0x00029d28cfe51d88UL;
   tf->codes[28127] = 0x00029d41beca9269UL;
   tf->codes[28128] = 0x00029dbd7f09c3baUL;
   tf->codes[28129] = 0x00029e98a2415af0UL;
   tf->codes[28130] = 0x00029ece28fca102UL;
   tf->codes[28131] = 0x00029eea4bb466a9UL;
   tf->codes[28132] = 0x00029f3eee6abd63UL;
   tf->codes[28133] = 0x00029f964fd55959UL;
   tf->codes[28134] = 0x0002a4317dd68748UL;
   tf->codes[28135] = 0x0002a447ae07b6edUL;
   tf->codes[28136] = 0x0002a51b44cf8fbeUL;
   tf->codes[28137] = 0x0002a67b4e9f3f0dUL;
   tf->codes[28138] = 0x0002a6dc10f1c790UL;
   tf->codes[28139] = 0x0002ab46c0822e5bUL;
   tf->codes[28140] = 0x0002abdb6fa6d48dUL;
   tf->codes[28141] = 0x0002abfbeafc07d3UL;
   tf->codes[28142] = 0x0002acbe59dd2fedUL;
   tf->codes[28143] = 0x0002ad54685bf8bdUL;
   tf->codes[28144] = 0x0002ade82d4487dbUL;
   tf->codes[28145] = 0x0002ae0a07f3ddbfUL;
   tf->codes[28146] = 0x0002aeed674844a9UL;
   tf->codes[28147] = 0x0002b1155d61a68aUL;
   tf->codes[28148] = 0x0002b195eb5c5104UL;
   tf->codes[28149] = 0x0002b23769ca3a4eUL;
   tf->codes[28150] = 0x0002b3bd6c57a75bUL;
   tf->codes[28151] = 0x0002b44f2239028cUL;
   tf->codes[28152] = 0x0002b4730bef8c5dUL;
   tf->codes[28153] = 0x0002b59552e725e6UL;
   tf->codes[28154] = 0x0002b597d70c655dUL;
   tf->codes[28155] = 0x0002b5d09199fc35UL;
   tf->codes[28156] = 0x0002b706bf2c8bb1UL;
   tf->codes[28157] = 0x0002b77c8ce52700UL;
   tf->codes[28158] = 0x0002b7f25a9dc24fUL;
   tf->codes[28159] = 0x0002b90e747fc011UL;
   tf->codes[28160] = 0x0002b94101f7bb22UL;
   tf->codes[28161] = 0x0002b9dcc86e142fUL;
   tf->codes[28162] = 0x0002ba63be0d6035UL;
   tf->codes[28163] = 0x0002bb50b8d8b971UL;
   tf->codes[28164] = 0x0002bc6929ca5ae3UL;
   tf->codes[28165] = 0x0002be1bc7492cffUL;
   tf->codes[28166] = 0x0002bebdf5642798UL;
   tf->codes[28167] = 0x0002beff612c99aeUL;
   tf->codes[28168] = 0x0002bf5020638e53UL;
   tf->codes[28169] = 0x0002bf97f3d0a1f5UL;
   tf->codes[28170] = 0x0002c37f56b2190aUL;
   tf->codes[28171] = 0x0002c3d30f2c58b0UL;
   tf->codes[28172] = 0x0002c45b2996c18fUL;
   tf->codes[28173] = 0x0002c85304b1d80cUL;
   tf->codes[28174] = 0x0002c9599e0fb778UL;
   tf->codes[28175] = 0x0002c9c29c7f0fafUL;
   tf->codes[28176] = 0x0002ccbf88ba6cffUL;
   tf->codes[28177] = 0x0002cd9cf5883de7UL;
   tf->codes[28178] = 0x0002cdd11ce9615bUL;
   tf->codes[28179] = 0x0002cf8e401b3cddUL;
   tf->codes[28180] = 0x0002cfc59b4eb117UL;
   tf->codes[28181] = 0x0002d0ff3742971eUL;
   tf->codes[28182] = 0x0002d379fb9a2191UL;
   tf->codes[28183] = 0x0002d84ab0569592UL;
   tf->codes[28184] = 0x0002d8b24f6bcb2bUL;
   tf->codes[28185] = 0x0002d8ba166a8f55UL;
   tf->codes[28186] = 0x0002da116eff6366UL;
   tf->codes[28187] = 0x0002db11db47a70bUL;
   tf->codes[28188] = 0x0002db14d48af20cUL;
   tf->codes[28189] = 0x0002dd8b7ad414a5UL;
   tf->codes[28190] = 0x0002ddb9000190c8UL;
   tf->codes[28191] = 0x0002e05b918f0721UL;
   tf->codes[28192] = 0x0002e116740070d6UL;
   tf->codes[28193] = 0x0002e11848789efeUL;
   tf->codes[28194] = 0x0002e139737ae393UL;
   tf->codes[28195] = 0x0002e16d25bdfb7dUL;
   tf->codes[28196] = 0x0002e38eb432bbd2UL;
   tf->codes[28197] = 0x0002e3e68abb6352UL;
   tf->codes[28198] = 0x0002e4144a77e53aUL;
   tf->codes[28199] = 0x0002e4849ac7f611UL;
   tf->codes[28200] = 0x0002e49dfecb767cUL;
   tf->codes[28201] = 0x0002e6423317dd1dUL;
   tf->codes[28202] = 0x0002e67ab3166e30UL;
   tf->codes[28203] = 0x0002e6bbe44fda81UL;
   tf->codes[28204] = 0x0002e705171710c1UL;
   tf->codes[28205] = 0x0002e767ade1c76cUL;
   tf->codes[28206] = 0x0002e8ec511511dbUL;
   tf->codes[28207] = 0x0002ea1ed5b74507UL;
   tf->codes[28208] = 0x0002eb9375cefb98UL;
   tf->codes[28209] = 0x0002ebc762a11947UL;
   tf->codes[28210] = 0x0002ec86d83ef660UL;
   tf->codes[28211] = 0x0002ed9329946609UL;
   tf->codes[28212] = 0x0002ef124f5f2600UL;
   tf->codes[28213] = 0x0002efc61a7edcdaUL;
   tf->codes[28214] = 0x0002efd4be404e1aUL;
   tf->codes[28215] = 0x0002f0ccee6bc20bUL;
   tf->codes[28216] = 0x0002f22c488e600bUL;
   tf->codes[28217] = 0x0002f28f54772240UL;
   tf->codes[28218] = 0x0002f2e8153be0d4UL;
   tf->codes[28219] = 0x0002f3770c68f6c9UL;
   tf->codes[28220] = 0x0002f39db4d3c5d6UL;
   tf->codes[28221] = 0x0002f410fe6721aeUL;
   tf->codes[28222] = 0x0002f8344fa88061UL;
   tf->codes[28223] = 0x0002f90f72e01797UL;
   tf->codes[28224] = 0x0002f98af8904323UL;
   tf->codes[28225] = 0x0002faf637c00d27UL;
   tf->codes[28226] = 0x0002fb90644d3dd1UL;
   tf->codes[28227] = 0x0002fc87e4cba073UL;
   tf->codes[28228] = 0x0002fcde5bfa2555UL;
   tf->codes[28229] = 0x0002fdc2306c97c9UL;
   tf->codes[28230] = 0x0002fe1f49cec3fcUL;
   tf->codes[28231] = 0x0003025d23debff3UL;
   tf->codes[28232] = 0x000304d4b463f9a0UL;
   tf->codes[28233] = 0x000305536de675f2UL;
   tf->codes[28234] = 0x000306e2d15bcf8cUL;
   tf->codes[28235] = 0x0003080f28e866f1UL;
   tf->codes[28236] = 0x00030a1babf7147aUL;
   tf->codes[28237] = 0x00030a88c874d48bUL;
   tf->codes[28238] = 0x00030a9ef8a60430UL;
   tf->codes[28239] = 0x00030b49d7fbda07UL;
   tf->codes[28240] = 0x00030bc9f0d878f7UL;
   tf->codes[28241] = 0x00030d62efc4c4e3UL;
   tf->codes[28242] = 0x00030e3561c180dbUL;
   tf->codes[28243] = 0x0003106b4bef42adUL;
   tf->codes[28244] = 0x000310f15752779fUL;
   tf->codes[28245] = 0x000312b557470037UL;
   tf->codes[28246] = 0x0003135d02ca8548UL;
   tf->codes[28247] = 0x00031568267f1033UL;
   tf->codes[28248] = 0x000315818a82909eUL;
   tf->codes[28249] = 0x000315fc6085aadbUL;
   tf->codes[28250] = 0x000316622b22b24cUL;
   tf->codes[28251] = 0x0003172e7009d27dUL;
   tf->codes[28252] = 0x000317e8683f251eUL;
   tf->codes[28253] = 0x0003186e73a25a10UL;
   tf->codes[28254] = 0x00031aa7571366e3UL;
   tf->codes[28255] = 0x00031abd4cb590c3UL;
   tf->codes[28256] = 0x00031b0a286d2353UL;
   tf->codes[28257] = 0x00031b656d57215eUL;
   tf->codes[28258] = 0x00031cfc97cb3f22UL;
   tf->codes[28259] = 0x00031fcfa7c97c9fUL;
   tf->codes[28260] = 0x00032085476161a1UL;
   tf->codes[28261] = 0x00032149ffd8c36dUL;
   tf->codes[28262] = 0x0003245a982010ebUL;
   tf->codes[28263] = 0x000327611fd2608dUL;
   tf->codes[28264] = 0x000329709c245917UL;
   tf->codes[28265] = 0x00032a8230534d73UL;
   tf->codes[28266] = 0x00032ae20869bee2UL;
   tf->codes[28267] = 0x00032aeffc7e1ed3UL;
   tf->codes[28268] = 0x00032b4b06d91719UL;
   tf->codes[28269] = 0x00032c111eaa9b83UL;
   tf->codes[28270] = 0x00032ccceb581c4cUL;
   tf->codes[28271] = 0x00032ed60005734aUL;
   tf->codes[28272] = 0x000332162c8170d8UL;
   tf->codes[28273] = 0x00033275ca08dc82UL;
   tf->codes[28274] = 0x000332dec87834b9UL;
   tf->codes[28275] = 0x00033340af95da15UL;
   tf->codes[28276] = 0x000333687ccbc5fbUL;
   tf->codes[28277] = 0x0003338046e61e03UL;
   tf->codes[28278] = 0x000334e51e71467bUL;
   tf->codes[28279] = 0x0003358ed8fbff79UL;
   tf->codes[28280] = 0x0003375ef88cb9daUL;
   tf->codes[28281] = 0x000337935a7ce313UL;
   tf->codes[28282] = 0x0003389b18a5df58UL;
   tf->codes[28283] = 0x0003398c317fa06eUL;
   tf->codes[28284] = 0x00033ba9dc74feaeUL;
   tf->codes[28285] = 0x00033f30b792f305UL;
   tf->codes[28286] = 0x0003401834f5c1c9UL;
   tf->codes[28287] = 0x0003404e30cf1365UL;
   tf->codes[28288] = 0x0003419f96dd5174UL;
   tf->codes[28289] = 0x000342c0095cbcd5UL;
   tf->codes[28290] = 0x0003439e6066a4d1UL;
   tf->codes[28291] = 0x000345ef48810f71UL;
   tf->codes[28292] = 0x00034804f1e8a3c2UL;
   tf->codes[28293] = 0x00034b5ebcf72780UL;
   tf->codes[28294] = 0x00034c776877ceb7UL;
   tf->codes[28295] = 0x00034d257b9ff554UL;
   tf->codes[28296] = 0x00034d3e2ff66470UL;
   tf->codes[28297] = 0x00034e1b62352f93UL;
   tf->codes[28298] = 0x00034f12a8248c70UL;
   tf->codes[28299] = 0x000350c80457a3c8UL;
   tf->codes[28300] = 0x000351605c6ca64aUL;
   tf->codes[28301] = 0x000352cd358598b1UL;
   tf->codes[28302] = 0x0003534d88f13d66UL;
   tf->codes[28303] = 0x000357b579cd5ef5UL;
   tf->codes[28304] = 0x00035a9977234764UL;
   tf->codes[28305] = 0x00035d7697b682bdUL;
   tf->codes[28306] = 0x00035e7aacef22b2UL;
   tf->codes[28307] = 0x00035e9744c4f3e3UL;
   tf->codes[28308] = 0x0003600d7ec5d2d7UL;
   tf->codes[28309] = 0x0003601a4e0f15efUL;
   tf->codes[28310] = 0x0003604f9a3b563cUL;
   tf->codes[28311] = 0x0003621ecf8ff989UL;
   tf->codes[28312] = 0x000363c1df114351UL;
   tf->codes[28313] = 0x000363c303dc602aUL;
   tf->codes[28314] = 0x0003651ce09673b2UL;
   tf->codes[28315] = 0x000366701b1cdfe9UL;
   tf->codes[28316] = 0x0003670579ee976aUL;
   tf->codes[28317] = 0x00036798549b0f74UL;
   tf->codes[28318] = 0x00036878801d2598UL;
   tf->codes[28319] = 0x0003693d38948764UL;
   tf->codes[28320] = 0x0003699fcf5f3e0fUL;
   tf->codes[28321] = 0x00036aac95d2b942UL;
   tf->codes[28322] = 0x00036b8de61fec3fUL;
   tf->codes[28323] = 0x00036d3dff797ee4UL;
   tf->codes[28324] = 0x00036e1a477c32f3UL;
   tf->codes[28325] = 0x0003715481719a7fUL;
   tf->codes[28326] = 0x0003729ab21fbdd9UL;
   tf->codes[28327] = 0x000373f503f7dcebUL;
   tf->codes[28328] = 0x000374d2e5e3b95dUL;
   tf->codes[28329] = 0x000376ead8e18760UL;
   tf->codes[28330] = 0x00037709ba4d9243UL;
   tf->codes[28331] = 0x00037813877dc275UL;
   tf->codes[28332] = 0x0003786f06f6c645UL;
   tf->codes[28333] = 0x000378d58140df05UL;
   tf->codes[28334] = 0x000378e66e9889f7UL;
   tf->codes[28335] = 0x000379d3de81eebdUL;
   tf->codes[28336] = 0x00037ad39b1d2113UL;
   tf->codes[28337] = 0x00037af70fb59f5aUL;
   tf->codes[28338] = 0x00037b1f8c989c8fUL;
   tf->codes[28339] = 0x00037ccd21ccefbdUL;
   tf->codes[28340] = 0x00037e535ee9628fUL;
   tf->codes[28341] = 0x00037e7a7c723d26UL;
   tf->codes[28342] = 0x00037f79144252a3UL;
   tf->codes[28343] = 0x0003803e0748ba34UL;
   tf->codes[28344] = 0x000381973455bc6dUL;
   tf->codes[28345] = 0x000382de14b0f116UL;
   tf->codes[28346] = 0x0003831b27dbf58dUL;
   tf->codes[28347] = 0x000384df27d07e25UL;
   tf->codes[28348] = 0x000385bccf2d54d2UL;
   tf->codes[28349] = 0x00038905725527d9UL;
   tf->codes[28350] = 0x000389496242d966UL;
   tf->codes[28351] = 0x0003897a1b42a64fUL;
   tf->codes[28352] = 0x00038a60ae695dffUL;
   tf->codes[28353] = 0x00038a8cd43cb784UL;
   tf->codes[28354] = 0x00038c9ab6a587abUL;
   tf->codes[28355] = 0x00038efc51889778UL;
   tf->codes[28356] = 0x00039056ddefbc4fUL;
   tf->codes[28357] = 0x0003915450f4b4f3UL;
   tf->codes[28358] = 0x000393c74e4d7b3cUL;
   tf->codes[28359] = 0x0003961b6a3a36a2UL;
   tf->codes[28360] = 0x0003966b04a60e6eUL;
   tf->codes[28361] = 0x000396c81e083aa1UL;
   tf->codes[28362] = 0x00039856d1d082ecUL;
   tf->codes[28363] = 0x00039d478cc41ea9UL;
   tf->codes[28364] = 0x0003a06c463567dfUL;
   tf->codes[28365] = 0x0003a25b0ca3275eUL;
   tf->codes[28366] = 0x0003a31a82410477UL;
   tf->codes[28367] = 0x0003a37467d0dfe4UL;
   tf->codes[28368] = 0x0003a39558441eb4UL;
   tf->codes[28369] = 0x0003a4182fd502e0UL;
   tf->codes[28370] = 0x0003a6de7089fd45UL;
   tf->codes[28371] = 0x0003a6f4662c2725UL;
   tf->codes[28372] = 0x0003a79ed063f172UL;
   tf->codes[28373] = 0x0003a85c36fa9a9eUL;
   tf->codes[28374] = 0x0003a8dc8a663f53UL;
   tf->codes[28375] = 0x0003ab85f8b662c2UL;
   tf->codes[28376] = 0x0003ad4feb31815cUL;
   tf->codes[28377] = 0x0003adfe38e8adbeUL;
   tf->codes[28378] = 0x0003aee7c552b06fUL;
   tf->codes[28379] = 0x0003aefd8065d48aUL;
   tf->codes[28380] = 0x0003aff2b74dfd7aUL;
   tf->codes[28381] = 0x0003b1f230846226UL;
   tf->codes[28382] = 0x0003b2e4339a3a50UL;
   tf->codes[28383] = 0x0003b50846343a1cUL;
   tf->codes[28384] = 0x0003b55263378770UL;
   tf->codes[28385] = 0x0003b5c70c2505e6UL;
   tf->codes[28386] = 0x0003b66ad42928e2UL;
   tf->codes[28387] = 0x0003b766ad44f923UL;
   tf->codes[28388] = 0x0003b865f4c21fefUL;
   tf->codes[28389] = 0x0003bd266bd3fa4dUL;
   tf->codes[28390] = 0x0003be503f3b523bUL;
   tf->codes[28391] = 0x0003c079cf3ddc7fUL;
   tf->codes[28392] = 0x0003c18954659ceeUL;
   tf->codes[28393] = 0x0003c1ea8bd630fbUL;
   tf->codes[28394] = 0x0003c252da9877e3UL;
   tf->codes[28395] = 0x0003c2cdeb2a97e5UL;
   tf->codes[28396] = 0x0003cbc4754daa10UL;
   tf->codes[28397] = 0x0003cc6babb32397UL;
   tf->codes[28398] = 0x0003ccd6f3b8b580UL;
   tf->codes[28399] = 0x0003ccfe4bd095dcUL;
   tf->codes[28400] = 0x0003ce7117701e45UL;
   tf->codes[28401] = 0x0003ce92b7906e64UL;
   tf->codes[28402] = 0x0003cf9e1ea9c6f9UL;
   tf->codes[28403] = 0x0003cffafd7ced67UL;
   tf->codes[28404] = 0x0003cffd47132719UL;
   tf->codes[28405] = 0x0003d1fc4b2b803bUL;
   tf->codes[28406] = 0x0003d2a17289c5d5UL;
   tf->codes[28407] = 0x0003d37c95c15d0bUL;
   tf->codes[28408] = 0x0003d51b87343ef9UL;
   tf->codes[28409] = 0x0003d64978a9fec1UL;
   tf->codes[28410] = 0x0003d666859ddb7cUL;
   tf->codes[28411] = 0x0003d6daf3fc542dUL;
   tf->codes[28412] = 0x0003d79fe702bbbeUL;
   tf->codes[28413] = 0x0003d89a2635639cUL;
   tf->codes[28414] = 0x0003d93aba6735d2UL;
   tf->codes[28415] = 0x0003d95baada74a2UL;
   tf->codes[28416] = 0x0003da1c7fd27459UL;
   tf->codes[28417] = 0x0003da606fc025e6UL;
   tf->codes[28418] = 0x0003dcf1d966eb88UL;
   tf->codes[28419] = 0x0003dd5435a29c6eUL;
   tf->codes[28420] = 0x0003de0edd85005eUL;
   tf->codes[28421] = 0x0003decd68e6c663UL;
   tf->codes[28422] = 0x0003ded73eecbe7aUL;
   tf->codes[28423] = 0x0003e20fa469f7deUL;
   tf->codes[28424] = 0x0003e2e28b84bf60UL;
   tf->codes[28425] = 0x0003e4947956802dUL;
   tf->codes[28426] = 0x0003e6da669fd5ddUL;
   tf->codes[28427] = 0x0003e6e4b1c3d97eUL;
   tf->codes[28428] = 0x0003e78ac35e362cUL;
   tf->codes[28429] = 0x0003e80c7623fd7fUL;
   tf->codes[28430] = 0x0003ea10bd15db54UL;
   tf->codes[28431] = 0x0003eb917cc9c3aeUL;
   tf->codes[28432] = 0x0003f548dbe4d590UL;
   tf->codes[28433] = 0x0003f56f0f319913UL;
   tf->codes[28434] = 0x0003f57f876b387bUL;
   tf->codes[28435] = 0x0003f5d37a747de6UL;
   tf->codes[28436] = 0x0003f681530d9ebeUL;
   tf->codes[28437] = 0x0003f769458e790cUL;
   tf->codes[28438] = 0x0003f8889342c794UL;
   tf->codes[28439] = 0x0003f976ed68436eUL;
   tf->codes[28440] = 0x0003f9a179527490UL;
   tf->codes[28441] = 0x0003fcf00f00dd99UL;
   tf->codes[28442] = 0x0003fde5bb071213UL;
   tf->codes[28443] = 0x0003fdeafde096c6UL;
   tf->codes[28444] = 0x0003ff593653abcbUL;
   tf->codes[28445] = 0x000437f975aaec4cUL;
   tf->codes[28446] = 0x00043d950ff45de0UL;
   tf->codes[28447] = 0x0004427dc95a2faeUL;
   tf->codes[28448] = 0x00044eb8d896ad06UL;
   tf->codes[28449] = 0x000453dd45cd60adUL;
   tf->codes[28450] = 0x00045535889e4bd2UL;
   tf->codes[28451] = 0x00045a8447302ad6UL;
   tf->codes[28452] = 0x00045e954bbfbbf9UL;
   tf->codes[28453] = 0x00045f7a7f8c510bUL;
   tf->codes[28454] = 0x000469c2e4dbaccfUL;
   tf->codes[28455] = 0x00047d6b826a8444UL;
   tf->codes[28456] = 0x00048c549323986fUL;
   tf->codes[28457] = 0x00048daf94a8c8d0UL;
   tf->codes[28458] = 0x000491604c03dcfaUL;
   tf->codes[28459] = 0x00049342b84664ebUL;
   tf->codes[28460] = 0x0004946deb07df77UL;
   tf->codes[28461] = 0x0004a072142ef41fUL;
   tf->codes[28462] = 0x0004b23377bfca7aUL;
   tf->codes[28463] = 0x0004b39bbdac497dUL;
   tf->codes[28464] = 0x0004b56e61624355UL;
   tf->codes[28465] = 0x0004bb10d86e61ffUL;
   tf->codes[28466] = 0x0004bd0a5f1e30a9UL;
   tf->codes[28467] = 0x0004c5d7f7403a15UL;
   tf->codes[28468] = 0x0004c893029519c5UL;
   tf->codes[28469] = 0x0004d3f2045de8d3UL;
   tf->codes[28470] = 0x0004d606c3896610UL;
   tf->codes[28471] = 0x0004d6102471529dUL;
   tf->codes[28472] = 0x0004e3e7db8a7831UL;
   tf->codes[28473] = 0x0004e48bde1da0f2UL;
   tf->codes[28474] = 0x0004e79aa1ecc048UL;
   tf->codes[28475] = 0x0004e871a715efa4UL;
   tf->codes[28476] = 0x0004ef6a51ebc586UL;
   tf->codes[28477] = 0x0004f27657069fa0UL;
   tf->codes[28478] = 0x0004f46f2e095cfbUL;
   tf->codes[28479] = 0x0004faef4c725252UL;
   tf->codes[28480] = 0x0004fb103ce59122UL;
   tf->codes[28481] = 0x00050740c66f0514UL;
   tf->codes[28482] = 0x000508333ea2e8c8UL;
   tf->codes[28483] = 0x00051088bf761d33UL;
   tf->codes[28484] = 0x0005124ece71d9b8UL;
   tf->codes[28485] = 0x0005129abfed5534UL;
   tf->codes[28486] = 0x000514940c0e1e19UL;
   tf->codes[28487] = 0x00051b87397b6983UL;
   tf->codes[28488] = 0x00051fc379a23d17UL;
   tf->codes[28489] = 0x00052317522a2ad3UL;
   tf->codes[28490] = 0x000526001d3b8c6bUL;
   tf->codes[28491] = 0x00052a2751fc4d33UL;
   tf->codes[28492] = 0x00052ce1731515cfUL;
   tf->codes[28493] = 0x000533f04e1c1b56UL;
   tf->codes[28494] = 0x00053518c22950a6UL;
   tf->codes[28495] = 0x00053865bdee914cUL;
   tf->codes[28496] = 0x00053cccff1da18cUL;
   tf->codes[28497] = 0x00053f68043b5980UL;
   tf->codes[28498] = 0x0005457254ebb388UL;
   tf->codes[28499] = 0x00054b8f676be6aaUL;
   tf->codes[28500] = 0x00054e5e93eac212UL;
   tf->codes[28501] = 0x00054fcc1cb0c5c8UL;
   tf->codes[28502] = 0x000554691f2a21dfUL;
   tf->codes[28503] = 0x000558ba3028027aUL;
   tf->codes[28504] = 0x00055e8439db0745UL;
   tf->codes[28505] = 0x00056219439c6152UL;
   tf->codes[28506] = 0x000562b41fd6a34bUL;
   tf->codes[28507] = 0x0005636aa9aa9f61UL;
   tf->codes[28508] = 0x0005669b82b81a60UL;
   tf->codes[28509] = 0x00056bb8637f0fa2UL;
   tf->codes[28510] = 0x00056cdc09d0cbc9UL;
   tf->codes[28511] = 0x00056dc4abfeb766UL;
   tf->codes[28512] = 0x00057305eb9a4203UL;
   tf->codes[28513] = 0x0005749046c51cafUL;
   tf->codes[28514] = 0x00057c1146946135UL;
   tf->codes[28515] = 0x00057c1c7bf47beaUL;
   tf->codes[28516] = 0x00057eb23e38af2bUL;
   tf->codes[28517] = 0x000580e987c0939bUL;
   tf->codes[28518] = 0x00058171679bf6b5UL;
   tf->codes[28519] = 0x000585ccfe4ce0b6UL;
   tf->codes[28520] = 0x000588e6bced14fcUL;
   tf->codes[28521] = 0x00058f4032eb3b46UL;
   tf->codes[28522] = 0x0005915ddde09986UL;
   tf->codes[28523] = 0x00059548e9b26cebUL;
   tf->codes[28524] = 0x000595c72e16ddb3UL;
   tf->codes[28525] = 0x000595cc70f06266UL;
   tf->codes[28526] = 0x0005980fda14789fUL;
   tf->codes[28527] = 0x00059a9fa9d215deUL;
   tf->codes[28528] = 0x00059c73e7713819UL;
   tf->codes[28529] = 0x0005a5b3a45b8084UL;
   tf->codes[28530] = 0x0005a61c683bd2f6UL;
   tf->codes[28531] = 0x0005aa465bb0d8faUL;
   tf->codes[28532] = 0x0005aa5ed5784251UL;
   tf->codes[28533] = 0x0005ab2144596a6bUL;
   tf->codes[28534] = 0x0005ac4350c1fe2fUL;
   tf->codes[28535] = 0x0005afd85a83583cUL;
   tf->codes[28536] = 0x0005b21ef779bf3bUL;
   tf->codes[28537] = 0x0005b3edf23f5cc3UL;
   tf->codes[28538] = 0x0005bc9c33d74fc2UL;
   tf->codes[28539] = 0x0005cb382e49cb98UL;
   tf->codes[28540] = 0x0005cbece3a59986UL;
   tf->codes[28541] = 0x0005cd0295e2f5bcUL;
   tf->codes[28542] = 0x0005d0dd297b29b9UL;
   tf->codes[28543] = 0x0005d144c8905f52UL;
   tf->codes[28544] = 0x0005dd784b5d1e45UL;
   tf->codes[28545] = 0x0005e23295595cdcUL;
   tf->codes[28546] = 0x0005e23ce07d607dUL;
   tf->codes[28547] = 0x0005e493808f5b5aUL;
   tf->codes[28548] = 0x0005e6d37b521b08UL;
   tf->codes[28549] = 0x0005e7ab30285bb3UL;
   tf->codes[28550] = 0x0005e8d95c2d2140UL;
   tf->codes[28551] = 0x0005ed1d9de1bec3UL;
   tf->codes[28552] = 0x0005f05e7a0acda0UL;
   tf->codes[28553] = 0x0005f286359529bcUL;
   tf->codes[28554] = 0x0005f45bd28e6e95UL;
   tf->codes[28555] = 0x0005f5f6e081ee6eUL;
   tf->codes[28556] = 0x0005f7ce17645baaUL;
   tf->codes[28557] = 0x0005f9e72f2d4686UL;
   tf->codes[28558] = 0x0005fcff53e45269UL;
   tf->codes[28559] = 0x0005fd5297408685UL;
   tf->codes[28560] = 0x0006078db82893a7UL;
   tf->codes[28561] = 0x00060e8def6e27eeUL;
   tf->codes[28562] = 0x00061193c7736641UL;
   tf->codes[28563] = 0x000614b1a4220261UL;
   tf->codes[28564] = 0x000614b587a16476UL;
   tf->codes[28565] = 0x000618ee1ed7dbbaUL;
   tf->codes[28566] = 0x00061a7afe27f5ddUL;
   tf->codes[28567] = 0x00061a9cd8d74bc1UL;
   tf->codes[28568] = 0x00061d1e79f1834aUL;
   tf->codes[28569] = 0x00061defc7232269UL;
   tf->codes[28570] = 0x00061eb7b36cd4fbUL;
   tf->codes[28571] = 0x00062e892bc4cefeUL;
   tf->codes[28572] = 0x00062fe8fb057888UL;
   tf->codes[28573] = 0x0006341f8334bbdfUL;
   tf->codes[28574] = 0x00063782749c2665UL;
   tf->codes[28575] = 0x0006392b3c15006aUL;
   tf->codes[28576] = 0x0006393fd25d07acUL;
   tf->codes[28577] = 0x0006397c706a0099UL;
   tf->codes[28578] = 0x000639a9bb0876f7UL;
   tf->codes[28579] = 0x00063accb1ad21cfUL;
   tf->codes[28580] = 0x00063b5123272e5eUL;
   tf->codes[28581] = 0x00063c3f082e9eaeUL;
   tf->codes[28582] = 0x00063c518f6f7203UL;
   tf->codes[28583] = 0x00063d99cf24c94aUL;
   tf->codes[28584] = 0x00063e62308c8766UL;
   tf->codes[28585] = 0x00064dd14ca8d083UL;
   tf->codes[28586] = 0x00064f9845e0a41cUL;
   tf->codes[28587] = 0x000653458eda61bbUL;
   tf->codes[28588] = 0x000655a63f815a74UL;
   tf->codes[28589] = 0x000657e9e3347672UL;
   tf->codes[28590] = 0x00065a40bdd57714UL;
   tf->codes[28591] = 0x00065b05b0dbdea5UL;
   tf->codes[28592] = 0x00065ff213320cc3UL;
   tf->codes[28593] = 0x00065ff6e0ed85ecUL;
   tf->codes[28594] = 0x0006624c21a55e2bUL;
   tf->codes[28595] = 0x0006649f5356027dUL;
   tf->codes[28596] = 0x0006670c23992cffUL;
   tf->codes[28597] = 0x0006672796a3e157UL;
   tf->codes[28598] = 0x00066769778a5ef7UL;
   tf->codes[28599] = 0x00066a75b7343ed6UL;
   tf->codes[28600] = 0x00066b665aeff462UL;
   tf->codes[28601] = 0x00066e18ef98fe99UL;
   tf->codes[28602] = 0x00067271527797d4UL;
   tf->codes[28603] = 0x000676c1b3c86720UL;
   tf->codes[28604] = 0x0006790298c73de2UL;
   tf->codes[28605] = 0x000679e2149c42b7UL;
   tf->codes[28606] = 0x00067a00bb7947d5UL;
   tf->codes[28607] = 0x00067bc4f5fcd632UL;
   tf->codes[28608] = 0x00067bdf09ad67ecUL;
   tf->codes[28609] = 0x00067c93847a3015UL;
   tf->codes[28610] = 0x00067df1f460b701UL;
   tf->codes[28611] = 0x00067ef7de11851eUL;
   tf->codes[28612] = 0x00067f92f4daccdcUL;
   tf->codes[28613] = 0x00068003ba48e93dUL;
   tf->codes[28614] = 0x000681bcbf6c5ce5UL;
   tf->codes[28615] = 0x00068218ee927204UL;
   tf->codes[28616] = 0x000682f571242bd8UL;
   tf->codes[28617] = 0x000683e614dfe164UL;
   tf->codes[28618] = 0x0006862add5e1a3bUL;
   tf->codes[28619] = 0x00068695b045a09aUL;
   tf->codes[28620] = 0x000687852f36394dUL;
   tf->codes[28621] = 0x0006891fc80bad9cUL;
   tf->codes[28622] = 0x00068a88bda53deeUL;
   tf->codes[28623] = 0x00068b6af82e87ffUL;
   tf->codes[28624] = 0x00068c27af181fdcUL;
   tf->codes[28625] = 0x00068d96d1c74bf5UL;
   tf->codes[28626] = 0x00068ef7c5d31258UL;
   tf->codes[28627] = 0x000691374b77c67cUL;
   tf->codes[28628] = 0x00069437a6147a57UL;
   tf->codes[28629] = 0x000694538e3d3a39UL;
   tf->codes[28630] = 0x0006998e2ba51d85UL;
   tf->codes[28631] = 0x0006999ea3debcedUL;
   tf->codes[28632] = 0x00069b8ec9a69f0aUL;
   tf->codes[28633] = 0x00069be540d523ecUL;
   tf->codes[28634] = 0x00069d60832081ceUL;
   tf->codes[28635] = 0x00069dbf70fadc29UL;
   tf->codes[28636] = 0x00069e17bca18f33UL;
   tf->codes[28637] = 0x00069f71995ba2bbUL;
   tf->codes[28638] = 0x0006a00732bc6001UL;
   tf->codes[28639] = 0x0006a10b0d65fa31UL;
   tf->codes[28640] = 0x0006a1be6367a581UL;
   tf->codes[28641] = 0x0006a1cedba144e9UL;
   tf->codes[28642] = 0x0006a575f78566c1UL;
   tf->codes[28643] = 0x0006a711efb4fdaeUL;
   tf->codes[28644] = 0x0006aa06da62910fUL;
   tf->codes[28645] = 0x0006b0c321ba73c9UL;
   tf->codes[28646] = 0x0006b2807f7b5510UL;
   tf->codes[28647] = 0x0006b30da2303cddUL;
   tf->codes[28648] = 0x0006b389626f6e2eUL;
   tf->codes[28649] = 0x0006b47030252ba3UL;
   tf->codes[28650] = 0x0006b79fa9d88404UL;
   tf->codes[28651] = 0x0006b93bdc9720b6UL;
   tf->codes[28652] = 0x0006b9c4e13da0a9UL;
   tf->codes[28653] = 0x0006b9e08ed75ac6UL;
   tf->codes[28654] = 0x0006bcfdf667eb5cUL;
   tf->codes[28655] = 0x0006bed2e3b41ee6UL;
   tf->codes[28656] = 0x0006c182b9a8e3e1UL;
   tf->codes[28657] = 0x0006c2322c2b2d1cUL;
   tf->codes[28658] = 0x0006c24821cd56fcUL;
   tf->codes[28659] = 0x0006c3388afa06c3UL;
   tf->codes[28660] = 0x0006c371f534aeeaUL;
   tf->codes[28661] = 0x0006c51edabbf0c9UL;
   tf->codes[28662] = 0x0006c5c1f3130276UL;
   tf->codes[28663] = 0x0006c60da9ff782dUL;
   tf->codes[28664] = 0x0006c6a88639ba26UL;
   tf->codes[28665] = 0x0006c839be2741e8UL;
   tf->codes[28666] = 0x0006c8cc98d3b9f2UL;
   tf->codes[28667] = 0x0006c93cae94c504UL;
   tf->codes[28668] = 0x0006c98cf8adae1fUL;
   tf->codes[28669] = 0x0006cb2756f41ca9UL;
   tf->codes[28670] = 0x0006ccb520804de0UL;
   tf->codes[28671] = 0x0006ccb72f8781cdUL;
   tf->codes[28672] = 0x0006cdad8b3ac796UL;
   tf->codes[28673] = 0x0006cdf090ec620fUL;
   tf->codes[28674] = 0x0006cfec61326a6bUL;
   tf->codes[28675] = 0x0006d3ffe9e73b05UL;
   tf->codes[28676] = 0x0006d4e93bc237f1UL;
   tf->codes[28677] = 0x0006d57b2c3298e7UL;
   tf->codes[28678] = 0x0006d6bbdf7831c9UL;
   tf->codes[28679] = 0x0006dae0caa2b8dfUL;
   tf->codes[28680] = 0x0006dccfcb9f7e23UL;
   tf->codes[28681] = 0x0006dd1171f6f5feUL;
   tf->codes[28682] = 0x0006dd4a2c848cd6UL;
   tf->codes[28683] = 0x0006de0dfabfd78eUL;
   tf->codes[28684] = 0x0006debecc9c4367UL;
   tf->codes[28685] = 0x0006df5b0830a7feUL;
   tf->codes[28686] = 0x0006e20a2e785baaUL;
   tf->codes[28687] = 0x0006e6066230dfc6UL;
   tf->codes[28688] = 0x0006e6f14df50515UL;
   tf->codes[28689] = 0x0006ed053a1c516fUL;
   tf->codes[28690] = 0x0006ef6500873314UL;
   tf->codes[28691] = 0x0006f34b792c9315UL;
   tf->codes[28692] = 0x0006f5a6ac6b0156UL;
   tf->codes[28693] = 0x0006f81257e30effUL;
   tf->codes[28694] = 0x0006f939a7252776UL;
   tf->codes[28695] = 0x0006fa49a16af36fUL;
   tf->codes[28696] = 0x0006ff36b36e32dcUL;
   tf->codes[28697] = 0x0006ffade080f0c9UL;
   tf->codes[28698] = 0x000702c8fe7b47adUL;
   tf->codes[28699] = 0x000704ebec4a2aa0UL;
   tf->codes[28700] = 0x00070871dd2c07e3UL;
   tf->codes[28701] = 0x0007096ccc0bc110UL;
   tf->codes[28702] = 0x00070ae6e98c0219UL;
   tf->codes[28703] = 0x00070d7a27aaf5e3UL;
   tf->codes[28704] = 0x00070d8d5e98da87UL;
   tf->codes[28705] = 0x00070f3f4c6a9b54UL;
   tf->codes[28706] = 0x0007148b11b92f57UL;
   tf->codes[28707] = 0x00071796a1b5fde7UL;
   tf->codes[28708] = 0x00071c3f4ead803dUL;
   tf->codes[28709] = 0x00071d45e80b5fa9UL;
   tf->codes[28710] = 0x00071f7111f71250UL;
   tf->codes[28711] = 0x000721b2e1320026UL;
   tf->codes[28712] = 0x0007221a45b82ffaUL;
   tf->codes[28713] = 0x000722f2e4ca87b9UL;
   tf->codes[28714] = 0x00072302ad5715d2UL;
   tf->codes[28715] = 0x00072500c73357e0UL;
   tf->codes[28716] = 0x00072537e7d7c655UL;
   tf->codes[28717] = 0x0007280664a9906eUL;
   tf->codes[28718] = 0x00072a4958af9b1dUL;
   tf->codes[28719] = 0x00072b85b357c660UL;
   tf->codes[28720] = 0x00072c9622bb9de3UL;
   tf->codes[28721] = 0x00072c991bfee8e4UL;
   tf->codes[28722] = 0x00072eb3cdb0fc23UL;
   tf->codes[28723] = 0x000730098c5ca7d1UL;
   tf->codes[28724] = 0x0007316209bc98bbUL;
   tf->codes[28725] = 0x00073202d87d70b6UL;
   tf->codes[28726] = 0x000732409b55867cUL;
   tf->codes[28727] = 0x0007325aaf061836UL;
   tf->codes[28728] = 0x00073318ffd8d876UL;
   tf->codes[28729] = 0x000734676ca3cb84UL;
   tf->codes[28730] = 0x0007353cd7e3d27dUL;
   tf->codes[28731] = 0x000735b47a149bf4UL;
   tf->codes[28732] = 0x00073672cae75c34UL;
   tf->codes[28733] = 0x000736b0c84e77bfUL;
   tf->codes[28734] = 0x0007399c178518ceUL;
   tf->codes[28735] = 0x00073a8a371b8ee3UL;
   tf->codes[28736] = 0x00073a93d2928135UL;
   tf->codes[28737] = 0x00073c6d187c225eUL;
   tf->codes[28738] = 0x00073ee88c80be20UL;
   tf->codes[28739] = 0x000740953778fa3aUL;
   tf->codes[28740] = 0x00074133821492beUL;
   tf->codes[28741] = 0x000743132fa2d573UL;
   tf->codes[28742] = 0x0007436513a4e6f1UL;
   tf->codes[28743] = 0x0007449a56fb5f59UL;
   tf->codes[28744] = 0x00074644b85d61c1UL;
   tf->codes[28745] = 0x000747c3de2821b8UL;
   tf->codes[28746] = 0x00074837624a8355UL;
   tf->codes[28747] = 0x00074899be86343bUL;
   tf->codes[28748] = 0x000748e1cc824da2UL;
   tf->codes[28749] = 0x00074cf1ac46c1ecUL;
   tf->codes[28750] = 0x000750015a51f856UL;
   tf->codes[28751] = 0x000752c81024fe45UL;
   tf->codes[28752] = 0x0007544c78c942efUL;
   tf->codes[28753] = 0x0007580e580b07d0UL;
   tf->codes[28754] = 0x000759f2d354c3aeUL;
   tf->codes[28755] = 0x00075ad632a92a98UL;
   tf->codes[28756] = 0x00075ccc10689cf2UL;
   tf->codes[28757] = 0x00075cdc138430d0UL;
   tf->codes[28758] = 0x00075e5755cf8eb2UL;
   tf->codes[28759] = 0x00075ec55c8965d7UL;
   tf->codes[28760] = 0x0007606d74552e8dUL;
   tf->codes[28761] = 0x0007607f4be8f093UL;
   tf->codes[28762] = 0x000761b8e7dcd69aUL;
   tf->codes[28763] = 0x000762501b26bc43UL;
   tf->codes[28764] = 0x00076513280965e2UL;
   tf->codes[28765] = 0x000768297848439dUL;
   tf->codes[28766] = 0x0007687d6b518908UL;
   tf->codes[28767] = 0x00076b0a7c5ae10bUL;
   tf->codes[28768] = 0x00076b27c3ddc38bUL;
   tf->codes[28769] = 0x00076b43ac06836dUL;
   tf->codes[28770] = 0x00076c4786b01d9dUL;
   tf->codes[28771] = 0x00076d3655f3a501UL;
   tf->codes[28772] = 0x00076d7836da22a1UL;
   tf->codes[28773] = 0x0007738f9162c586UL;
   tf->codes[28774] = 0x000778ee188132a3UL;
   tf->codes[28775] = 0x00077f1decd13edfUL;
   tf->codes[28776] = 0x000780df2e11823bUL;
   tf->codes[28777] = 0x0007830e760b9cbcUL;
   tf->codes[28778] = 0x000784690272c193UL;
   tf->codes[28779] = 0x000784ecc43fbcd3UL;
   tf->codes[28780] = 0x0007855cda00c7e5UL;
   tf->codes[28781] = 0x000785e026afb79bUL;
   tf->codes[28782] = 0x0007882f3a51f413UL;
   tf->codes[28783] = 0x00078ab7b82ed8b2UL;
   tf->codes[28784] = 0x00078fdc25658c59UL;
   tf->codes[28785] = 0x0007929d985f0d95UL;
   tf->codes[28786] = 0x0007933f8beb0269UL;
   tf->codes[28787] = 0x0007937a900ed2f3UL;
   tf->codes[28788] = 0x000793db17d255b1UL;
   tf->codes[28789] = 0x00079d3f6e20393cUL;
   tf->codes[28790] = 0x0007a00cc626e67cUL;
   tf->codes[28791] = 0x0007a05f94650f0eUL;
   tf->codes[28792] = 0x0007a157c49082ffUL;
   tf->codes[28793] = 0x0007a3702cac5c8cUL;
   tf->codes[28794] = 0x0007a3c9d7ad3234UL;
   tf->codes[28795] = 0x0007a4ffcab0bbebUL;
   tf->codes[28796] = 0x0007a50f58ae443fUL;
   tf->codes[28797] = 0x0007a7c1ed574e76UL;
   tf->codes[28798] = 0x0007a8b6af216bdcUL;
   tf->codes[28799] = 0x0007a8ead6828f50UL;
   tf->codes[28800] = 0x0007a9727bceeca5UL;
   tf->codes[28801] = 0x0007aafa18458215UL;
   tf->codes[28802] = 0x0007acacb5c45431UL;
   tf->codes[28803] = 0x0007accb5ca1594fUL;
   tf->codes[28804] = 0x0007ad628feb3ef8UL;
   tf->codes[28805] = 0x0007aec2d449f40cUL;
   tf->codes[28806] = 0x0007b17c8044b11eUL;
   tf->codes[28807] = 0x0007b664c48c7762UL;
   tf->codes[28808] = 0x0007b7f671980aaeUL;
   tf->codes[28809] = 0x0007b90ea7faa65bUL;
   tf->codes[28810] = 0x0007ba0b6b528db0UL;
   tf->codes[28811] = 0x0007ba4c9c8bfa01UL;
   tf->codes[28812] = 0x0007bd8577273eefUL;
   tf->codes[28813] = 0x0007c1da6ba4819fUL;
   tf->codes[28814] = 0x0007c20ff25fc7b1UL;
   tf->codes[28815] = 0x0007c3031a40bcb4UL;
   tf->codes[28816] = 0x0007c3152c63847fUL;
   tf->codes[28817] = 0x0007c4101b433dacUL;
   tf->codes[28818] = 0x0007c48d3adc919bUL;
   tf->codes[28819] = 0x0007c5b6d3b4e3c4UL;
   tf->codes[28820] = 0x0007c72a4f017d7cUL;
   tf->codes[28821] = 0x0007ca0c77df37c3UL;
   tf->codes[28822] = 0x0007ca352f513abdUL;
   tf->codes[28823] = 0x0007cacd4cd7377aUL;
   tf->codes[28824] = 0x0007cb172f4b7f09UL;
   tf->codes[28825] = 0x0007cb69c2faa1d6UL;
   tf->codes[28826] = 0x0007cf1830bf7c4eUL;
   tf->codes[28827] = 0x0007cf7250de5d80UL;
   tf->codes[28828] = 0x0007cf925715853cUL;
   tf->codes[28829] = 0x0007cf9cdcc88ea2UL;
   tf->codes[28830] = 0x0007d1101d862295UL;
   tf->codes[28831] = 0x0007d1d9a3b8fd8aUL;
   tf->codes[28832] = 0x0007d41f1be447b0UL;
   tf->codes[28833] = 0x0007d65b6db6ab0eUL;
   tf->codes[28834] = 0x0007dcbb10ca6d1fUL;
   tf->codes[28835] = 0x0007de670c1597eaUL;
   tf->codes[28836] = 0x0007e0dcc822a36fUL;
   tf->codes[28837] = 0x0007e103e5ab7e06UL;
   tf->codes[28838] = 0x0007e247923461e9UL;
   tf->codes[28839] = 0x0007e2784b342ed2UL;
   tf->codes[28840] = 0x0007e34a4812df40UL;
   tf->codes[28841] = 0x0007e5b5f38aece9UL;
   tf->codes[28842] = 0x0007e5e930aff949UL;
   tf->codes[28843] = 0x0007e63fa7de7e2bUL;
   tf->codes[28844] = 0x0007e73553e4b2a5UL;
   tf->codes[28845] = 0x0007ece7ce0c652dUL;
   tf->codes[28846] = 0x0007ee087b1ad653UL;
   tf->codes[28847] = 0x0007efdb595fd5f0UL;
   tf->codes[28848] = 0x0007f0557fb5dedeUL;
   tf->codes[28849] = 0x0007f1f2d73f9869UL;
   tf->codes[28850] = 0x0007f37237995e25UL;
   tf->codes[28851] = 0x0007f3b20978a7d8UL;
   tf->codes[28852] = 0x0007f3dd0a80e484UL;
   tf->codes[28853] = 0x0007f5fdaeb98dc5UL;
   tf->codes[28854] = 0x0007fa6fb02aad30UL;
   tf->codes[28855] = 0x0007fac7fbd1603aUL;
   tf->codes[28856] = 0x000803cf38bd1792UL;
   tf->codes[28857] = 0x0008040ff4d87859UL;
   tf->codes[28858] = 0x0008043a4633a3b6UL;
   tf->codes[28859] = 0x00080863c48a9e30UL;
   tf->codes[28860] = 0x000810929cf3038eUL;
   tf->codes[28861] = 0x000810ec47f3d936UL;
   tf->codes[28862] = 0x0008124f8595d94bUL;
   tf->codes[28863] = 0x000814426a1200a4UL;
   tf->codes[28864] = 0x000816a7e8747286UL;
   tf->codes[28865] = 0x00081eb4368070b1UL;
   tf->codes[28866] = 0x000820b2505cb2bfUL;
   tf->codes[28867] = 0x000820ebba975ae6UL;
   tf->codes[28868] = 0x0008218f480c781dUL;
   tf->codes[28869] = 0x0008227b589bba45UL;
   tf->codes[28870] = 0x0008238f70efee18UL;
   tf->codes[28871] = 0x00082687c9fed804UL;
   tf->codes[28872] = 0x000829cab52f1aceUL;
   tf->codes[28873] = 0x00082d4d37afa186UL;
   tf->codes[28874] = 0x000832e020be37dcUL;
   tf->codes[28875] = 0x00083527e27fbbb4UL;
   tf->codes[28876] = 0x000836eb32c732fdUL;
   tf->codes[28877] = 0x000837087a4a157dUL;
   tf->codes[28878] = 0x0008377d5dc699b8UL;
   tf->codes[28879] = 0x00083a907a3326adUL;
   tf->codes[28880] = 0x00083b9e6571beb9UL;
   tf->codes[28881] = 0x00083d88d3421099UL;
   tf->codes[28882] = 0x00083dea0ab2a4a6UL;
   tf->codes[28883] = 0x0008416b68680e85UL;
   tf->codes[28884] = 0x00084a09e173736bUL;
   tf->codes[28885] = 0x00084be277b00345UL;
   tf->codes[28886] = 0x00084c0d78b83ff1UL;
   tf->codes[28887] = 0x000850ea879feb80UL;
   tf->codes[28888] = 0x000851617a23a3a8UL;
   tf->codes[28889] = 0x000851dc1597b820UL;
   tf->codes[28890] = 0x000856b50670fbd5UL;
   tf->codes[28891] = 0x0008587473391109UL;
   tf->codes[28892] = 0x00085cca17636508UL;
   tf->codes[28893] = 0x00085e5d23c91af2UL;
   tf->codes[28894] = 0x000861fe1297a103UL;
   tf->codes[28895] = 0x0008627be1de0641UL;
   tf->codes[28896] = 0x000870b83ec9166dUL;
   tf->codes[28897] = 0x0008729f78c71787UL;
   tf->codes[28898] = 0x0008746aca9c58bfUL;
   tf->codes[28899] = 0x000874b2d8987226UL;
   tf->codes[28900] = 0x000874c7345173a3UL;
   tf->codes[28901] = 0x000874da30b05282UL;
   tf->codes[28902] = 0x000874e4b6635be8UL;
   tf->codes[28903] = 0x0008799b1ce0386aUL;
   tf->codes[28904] = 0x00087a05401aad7aUL;
   tf->codes[28905] = 0x00087a54da868546UL;
   tf->codes[28906] = 0x00087a9680ddfd21UL;
   tf->codes[28907] = 0x00087ad6182e410fUL;
   tf->codes[28908] = 0x00087b94a3900714UL;
   tf->codes[28909] = 0x00087b9fd8f021c9UL;
   tf->codes[28910] = 0x00087dc1dc82eda8UL;
   tf->codes[28911] = 0x00087e4dda6cb89cUL;
   tf->codes[28912] = 0x00088169a81420cfUL;
   tf->codes[28913] = 0x0008821a3f6186e3UL;
   tf->codes[28914] = 0x000885bb68bf12b9UL;
   tf->codes[28915] = 0x000889073fb93686UL;
   tf->codes[28916] = 0x00088a37efe33b8aUL;
   tf->codes[28917] = 0x00088b91577f4388UL;
   tf->codes[28918] = 0x00088ed10edd358cUL;
   tf->codes[28919] = 0x00088f3c1c53c1b0UL;
   tf->codes[28920] = 0x00088fd14096736cUL;
   tf->codes[28921] = 0x000892b871beaca1UL;
   tf->codes[28922] = 0x000893ed7a861f44UL;
   tf->codes[28923] = 0x00089503dc708cc9UL;
   tf->codes[28924] = 0x000897f88c8f1a65UL;
   tf->codes[28925] = 0x00089b6d558a46f1UL;
   tf->codes[28926] = 0x00089c3039897a95UL;
   tf->codes[28927] = 0x00089c81334f74ffUL;
   tf->codes[28928] = 0x0008a05b173a97adUL;
   tf->codes[28929] = 0x0008a48dbbea78efUL;
   tf->codes[28930] = 0x0008a51526a7d07fUL;
   tf->codes[28931] = 0x0008a699c9db1aeeUL;
   tf->codes[28932] = 0x0008a7f923fdb8eeUL;
   tf->codes[28933] = 0x0008a9528b99c0ecUL;
   tf->codes[28934] = 0x0008aaaf9c26253aUL;
   tf->codes[28935] = 0x0008aecff42438ecUL;
   tf->codes[28936] = 0x0008afd3cecdd31cUL;
   tf->codes[28937] = 0x0008b31e80fcda10UL;
   tf->codes[28938] = 0x0008b760791b3de1UL;
   tf->codes[28939] = 0x0008b7963a6589b8UL;
   tf->codes[28940] = 0x0008bb931dcb1f23UL;
   tf->codes[28941] = 0x0008c11a96ea94ffUL;
   tf->codes[28942] = 0x0008c4f5da2fda4bUL;
   tf->codes[28943] = 0x0008c6bac46079f7UL;
   tf->codes[28944] = 0x0008c7ee333ec437UL;
   tf->codes[28945] = 0x0008c9922cfc2513UL;
   tf->codes[28946] = 0x0008c9a479adf2a3UL;
   tf->codes[28947] = 0x0008cac9b9e8d72dUL;
   tf->codes[28948] = 0x0008cd70a413bb25UL;
   tf->codes[28949] = 0x0008d4b5b583180dUL;
   tf->codes[28950] = 0x0008d787db453e76UL;
   tf->codes[28951] = 0x0008d78e085ada3dUL;
   tf->codes[28952] = 0x0008dd18059f8f90UL;
   tf->codes[28953] = 0x0008ddd1c345dc6cUL;
   tf->codes[28954] = 0x0008e2564bf7cf2cUL;
   tf->codes[28955] = 0x0008e340880ee32cUL;
   tf->codes[28956] = 0x0008e3d4c2157dd4UL;
   tf->codes[28957] = 0x0008e40db7321a71UL;
   tf->codes[28958] = 0x0008e41543a1d8d6UL;
   tf->codes[28959] = 0x0008e4db5b735d40UL;
   tf->codes[28960] = 0x0008e5d7a9ad390bUL;
   tf->codes[28961] = 0x0008e8db72ab4371UL;
   tf->codes[28962] = 0x0008e9647751c364UL;
   tf->codes[28963] = 0x0008ea7b88e94238UL;
   tf->codes[28964] = 0x0008ecc643ee1111UL;
   tf->codes[28965] = 0x0008ee3c7deef005UL;
   tf->codes[28966] = 0x0008efbb2e9ba472UL;
   tf->codes[28967] = 0x0008f76f6b8ff558UL;
   tf->codes[28968] = 0x0008fb62b37e9871UL;
   tf->codes[28969] = 0x000903021f9bdc50UL;
   tf->codes[28970] = 0x000904158842fed4UL;
   tf->codes[28971] = 0x000905f2ec3b07d7UL;
   tf->codes[28972] = 0x000905f3d6771eebUL;
   tf->codes[28973] = 0x0009063e689877c9UL;
   tf->codes[28974] = 0x00090668f482a8ebUL;
   tf->codes[28975] = 0x00090803183a11b0UL;
   tf->codes[28976] = 0x00090890b00d0507UL;
   tf->codes[28977] = 0x000908efd8766527UL;
   tf->codes[28978] = 0x00090ac3db86819dUL;
   tf->codes[28979] = 0x00090c6675e9bfdbUL;
   tf->codes[28980] = 0x00090dd264c69b2eUL;
   tf->codes[28981] = 0x000910902ecfc01aUL;
   tf->codes[28982] = 0x00091676d0589616UL;
   tf->codes[28983] = 0x00091b89a08a8d7cUL;
   tf->codes[28984] = 0x00091c0c02fd661eUL;
   tf->codes[28985] = 0x00091c4b252f9e82UL;
   tf->codes[28986] = 0x00091f47d6dbf60dUL;
   tf->codes[28987] = 0x000922f72edce799UL;
   tf->codes[28988] = 0x000924da4acc80d9UL;
   tf->codes[28989] = 0x000924deddf8f43dUL;
   tf->codes[28990] = 0x0009253dcbd34e98UL;
   tf->codes[28991] = 0x0009263b04494177UL;
   tf->codes[28992] = 0x0009276e73278bb7UL;
   tf->codes[28993] = 0x00092c39355d69b6UL;
   tf->codes[28994] = 0x00092c5851587a5eUL;
   tf->codes[28995] = 0x00092c8cb348a397UL;
   tf->codes[28996] = 0x00092e40b0219851UL;
   tf->codes[28997] = 0x00092eccae0b6345UL;
   tf->codes[28998] = 0x0009329cbbf08ddcUL;
   tf->codes[28999] = 0x0009331f58f26c43UL;
   tf->codes[29000] = 0x0009335a22873708UL;
   tf->codes[29001] = 0x00093366b741745bUL;
   tf->codes[29002] = 0x00093517f56623d9UL;
   tf->codes[29003] = 0x0009359b4215138fUL;
   tf->codes[29004] = 0x000937b5f3c726ceUL;
   tf->codes[29005] = 0x0009396caf5460c4UL;
   tf->codes[29006] = 0x000939f9225c3742UL;
   tf->codes[29007] = 0x00093d3ae8c15d33UL;
   tf->codes[29008] = 0x00093e7dab0e2a02UL;
   tf->codes[29009] = 0x00094059afac1067UL;
   tf->codes[29010] = 0x0009414ac885d17dUL;
   tf->codes[29011] = 0x000944e848f30103UL;
   tf->codes[29012] = 0x000945cb33295c63UL;
   tf->codes[29013] = 0x00094953a830791dUL;
   tf->codes[29014] = 0x00094ae6b4962f07UL;
   tf->codes[29015] = 0x00094e4b3fe6c1f0UL;
   tf->codes[29016] = 0x00094eca33f84407UL;
   tf->codes[29017] = 0x00094f90c0e7d3fbUL;
   tf->codes[29018] = 0x00094fd22cb04611UL;
   tf->codes[29019] = 0x00094ff05e6f3fa5UL;
   tf->codes[29020] = 0x0009513f40583e3dUL;
   tf->codes[29021] = 0x0009519abfd1420dUL;
   tf->codes[29022] = 0x0009522f3466e27aUL;
   tf->codes[29023] = 0x000952e42451b62dUL;
   tf->codes[29024] = 0x0009530e008ed600UL;
   tf->codes[29025] = 0x0009541a17553fe4UL;
   tf->codes[29026] = 0x000954d484a89e0fUL;
   tf->codes[29027] = 0x0009556a1e095b55UL;
   tf->codes[29028] = 0x0009563c1ae80bc3UL;
   tf->codes[29029] = 0x0009576454663b4eUL;
   tf->codes[29030] = 0x000957f4705e6e1cUL;
   tf->codes[29031] = 0x0009582f74823ea6UL;
   tf->codes[29032] = 0x0009584619d179d5UL;
   tf->codes[29033] = 0x00095a78959de51cUL;
   tf->codes[29034] = 0x00095eac5f18e337UL;
   tf->codes[29035] = 0x00096375c1f49e98UL;
   tf->codes[29036] = 0x0009639bf541621bUL;
   tf->codes[29037] = 0x000963f47b771aeaUL;
   tf->codes[29038] = 0x0009656488625e17UL;
   tf->codes[29039] = 0x000976c180b04f9fUL;
   tf->codes[29040] = 0x000977df6f0a7b89UL;
   tf->codes[29041] = 0x00097d533c1e0137UL;
   tf->codes[29042] = 0x0009818446e4ba16UL;
   tf->codes[29043] = 0x000982b61bd9dbf3UL;
   tf->codes[29044] = 0x00098557c32b3b38UL;
   tf->codes[29045] = 0x00098561241327c5UL;
   tf->codes[29046] = 0x000985c46a8aefbfUL;
   tf->codes[29047] = 0x000987c6a27599a7UL;
   tf->codes[29048] = 0x000988b8e01a7796UL;
   tf->codes[29049] = 0x0009891d10ce56a4UL;
   tf->codes[29050] = 0x00098ad05dfa3a0fUL;
   tf->codes[29051] = 0x00098bf0d079a570UL;
   tf->codes[29052] = 0x000996c82cf61729UL;
   tf->codes[29053] = 0x0009970d071fdfcaUL;
   tf->codes[29054] = 0x000998550c46314cUL;
   tf->codes[29055] = 0x000998faa8c28270UL;
   tf->codes[29056] = 0x000999c58e4f8003UL;
   tf->codes[29057] = 0x0009a2cf89ef7c97UL;
   tf->codes[29058] = 0x0009a35caca46464UL;
   tf->codes[29059] = 0x0009a6d88cf143cbUL;
   tf->codes[29060] = 0x0009a70ec3599b2cUL;
   tf->codes[29061] = 0x0009a89575941988UL;
   tf->codes[29062] = 0x0009a8e8f37f5369UL;
   tf->codes[29063] = 0x0009a909344580eaUL;
   tf->codes[29064] = 0x0009a93ad78164e7UL;
   tf->codes[29065] = 0x0009a9505805833dUL;
   tf->codes[29066] = 0x0009ab7c319e4733UL;
   tf->codes[29067] = 0x0009abf533293348UL;
   tf->codes[29068] = 0x0009af7b5e9a1650UL;
   tf->codes[29069] = 0x0009af811691a68dUL;
   tf->codes[29070] = 0x0009b0edefaa98f4UL;
   tf->codes[29071] = 0x0009b612225246d6UL;
   tf->codes[29072] = 0x0009b9f567255611UL;
   tf->codes[29073] = 0x0009ba6925d6bd73UL;
   tf->codes[29074] = 0x0009beaf01748359UL;
   tf->codes[29075] = 0x0009bf7971e37562UL;
   tf->codes[29076] = 0x0009c15a7ecbdab5UL;
   tf->codes[29077] = 0x0009c2cd4a6b631eUL;
   tf->codes[29078] = 0x0009c46bc6c03982UL;
   tf->codes[29079] = 0x0009c6bf6d8ee95eUL;
   tf->codes[29080] = 0x0009ca11ac2daeb7UL;
   tf->codes[29081] = 0x0009cd039d97f717UL;
   tf->codes[29082] = 0x0009cf8c9092e740UL;
   tf->codes[29083] = 0x0009d591d8f8c25aUL;
   tf->codes[29084] = 0x0009d6d042a8218aUL;
   tf->codes[29085] = 0x0009d7caf6f8d4f2UL;
   tf->codes[29086] = 0x0009d80167f03218UL;
   tf->codes[29087] = 0x0009d95676eecc77UL;
   tf->codes[29088] = 0x0009d96d1c3e07a6UL;
   tf->codes[29089] = 0x0009da904d71b843UL;
   tf->codes[29090] = 0x0009db9aca4ef9c4UL;
   tf->codes[29091] = 0x0009e2af97dc954dUL;
   tf->codes[29092] = 0x0009e773f26dd1c0UL;
   tf->codes[29093] = 0x0009e812027a647fUL;
   tf->codes[29094] = 0x0009eb2d5b03c128UL;
   tf->codes[29095] = 0x0009ec8c4008539eUL;
   tf->codes[29096] = 0x0009ed89ed9c5207UL;
   tf->codes[29097] = 0x0009f170db5fbd92UL;
   tf->codes[29098] = 0x0009f4df022742cdUL;
   tf->codes[29099] = 0x0009f992a9efda13UL;
   tf->codes[29100] = 0x0009fd807475f2b4UL;
   tf->codes[29101] = 0x0009fe55dfb5f9adUL;
   tf->codes[29102] = 0x0009ff4e4a707363UL;
   tf->codes[29103] = 0x000a00681abc3773UL;
   tf->codes[29104] = 0x000a02c1eea08316UL;
   tf->codes[29105] = 0x000a02e77240354aUL;
   tf->codes[29106] = 0x000a02e7accf3b0fUL;
   tf->codes[29107] = 0x000a05317d97f2d4UL;
   tf->codes[29108] = 0x000a07d02ba60718UL;
   tf->codes[29109] = 0x000a082b70900523UL;
   tf->codes[29110] = 0x000a083c9876b5daUL;
   tf->codes[29111] = 0x000a08ae4820e94fUL;
   tf->codes[29112] = 0x000a0a8a122fc9efUL;
   tf->codes[29113] = 0x000a0c3e8426ca33UL;
   tf->codes[29114] = 0x000a0d1e3a8ad4cdUL;
   tf->codes[29115] = 0x000a0dfe2b7de52cUL;
   tf->codes[29116] = 0x000a1404d33de2e4UL;
   tf->codes[29117] = 0x000a15e1c217e05dUL;
   tf->codes[29118] = 0x000a163037b89b50UL;
   tf->codes[29119] = 0x000a17e2601961e2UL;
   tf->codes[29120] = 0x000a1decb0c9bbeaUL;
   tf->codes[29121] = 0x000a20d999e9855cUL;
   tf->codes[29122] = 0x000a22b26ab51afbUL;
   tf->codes[29123] = 0x000a272eb74a3e07UL;
   tf->codes[29124] = 0x000a28099ff2cf78UL;
   tf->codes[29125] = 0x000a28337c2fef4bUL;
   tf->codes[29126] = 0x000a28ed746541ecUL;
   tf->codes[29127] = 0x000a2ad17a90f240UL;
   tf->codes[29128] = 0x000a2b6922f8e373UL;
   tf->codes[29129] = 0x000a2c7d00be1181UL;
   tf->codes[29130] = 0x000a2de87a7ce14aUL;
   tf->codes[29131] = 0x000a2df50f371e9dUL;
   tf->codes[29132] = 0x000a2e681e3b74b0UL;
   tf->codes[29133] = 0x000a2e6c3c49dc8aUL;
   tf->codes[29134] = 0x000a2e76c1fce5f0UL;
   tf->codes[29135] = 0x000a32527a6036c6UL;
   tf->codes[29136] = 0x000a327ea033904bUL;
   tf->codes[29137] = 0x000a33101b85e5b7UL;
   tf->codes[29138] = 0x000a333e50607329UL;
   tf->codes[29139] = 0x000a349b60ecd777UL;
   tf->codes[29140] = 0x000a34dbe2793279UL;
   tf->codes[29141] = 0x000a3500f0fad923UL;
   tf->codes[29142] = 0x000a36f200fed254UL;
   tf->codes[29143] = 0x000a381706aab119UL;
   tf->codes[29144] = 0x000a3a03838236e6UL;
   tf->codes[29145] = 0x000a3aacc8eee45aUL;
   tf->codes[29146] = 0x000a3f3ed0972b81UL;
   tf->codes[29147] = 0x000a426648bcb9f3UL;
   tf->codes[29148] = 0x000a42b14ffc1e5bUL;
   tf->codes[29149] = 0x000a430c5a5716a1UL;
   tf->codes[29150] = 0x000a4395246e90cfUL;
   tf->codes[29151] = 0x000a44dc79e7d102UL;
   tf->codes[29152] = 0x000a45fc022b254fUL;
   tf->codes[29153] = 0x000a46e4a45910ecUL;
   tf->codes[29154] = 0x000a491377351fe3UL;
   tf->codes[29155] = 0x000a49f69bfa8108UL;
   tf->codes[29156] = 0x000a4c7718499bb8UL;
   tf->codes[29157] = 0x000a4cb884120dceUL;
   tf->codes[29158] = 0x000a4ff7c651f448UL;
   tf->codes[29159] = 0x000a50b91067ff89UL;
   tf->codes[29160] = 0x000a5182969ada7eUL;
   tf->codes[29161] = 0x000a51c9ba5adcd1UL;
   tf->codes[29162] = 0x000a5459ff36859aUL;
   tf->codes[29163] = 0x000a56e0a89b3c11UL;
   tf->codes[29164] = 0x000a59be78db88b9UL;
   tf->codes[29165] = 0x000a5a71944e2e44UL;
   tf->codes[29166] = 0x000a5b0b112e4d9fUL;
   tf->codes[29167] = 0x000a5b568d8bbd91UL;
   tf->codes[29168] = 0x000a5dcc0f09c351UL;
   tf->codes[29169] = 0x000a5e46355fcc3fUL;
   tf->codes[29170] = 0x000a60ea26476536UL;
   tf->codes[29171] = 0x000a6391c01f5a7dUL;
   tf->codes[29172] = 0x000a680ce7e960b0UL;
   tf->codes[29173] = 0x000a69d247380be6UL;
   tf->codes[29174] = 0x000a69e83cda35c6UL;
   tf->codes[29175] = 0x000a6f001556ac1aUL;
   tf->codes[29176] = 0x000a7062a34b9ae0UL;
   tf->codes[29177] = 0x000a7064ece1d492UL;
   tf->codes[29178] = 0x000a70986495e6b7UL;
   tf->codes[29179] = 0x000a718942e0a208UL;
   tf->codes[29180] = 0x000a7566cfbc2106UL;
   tf->codes[29181] = 0x000a78fb9eee754eUL;
   tf->codes[29182] = 0x000a7a700477261aUL;
   tf->codes[29183] = 0x000a7a958816d84eUL;
   tf->codes[29184] = 0x000a7b65eb0c6059UL;
   tf->codes[29185] = 0x000a7cbabf7bf4f3UL;
   tf->codes[29186] = 0x000a7cdc5f9c4512UL;
   tf->codes[29187] = 0x000a830c33ec514eUL;
   tf->codes[29188] = 0x000a83d878d3717fUL;
   tf->codes[29189] = 0x000a8688143930b5UL;
   tf->codes[29190] = 0x000a8960dc2efe6fUL;
   tf->codes[29191] = 0x000a89f75fcbd2c9UL;
   tf->codes[29192] = 0x000a8a104eb147aaUL;
   tf->codes[29193] = 0x000a8b629efb9ccdUL;
   tf->codes[29194] = 0x000a8e0ff0cb2251UL;
   tf->codes[29195] = 0x000a908ed331149eUL;
   tf->codes[29196] = 0x000a90bccd7c9c4bUL;
   tf->codes[29197] = 0x000a945fcb525649UL;
   tf->codes[29198] = 0x000a959374bfa64eUL;
   tf->codes[29199] = 0x000a98d48b77baf0UL;
   tf->codes[29200] = 0x000a9b707ad189f8UL;
   tf->codes[29201] = 0x000a9d75abff7ee1UL;
   tf->codes[29202] = 0x000a9e5527d483b6UL;
   tf->codes[29203] = 0x000aa10af04fdeb3UL;
   tf->codes[29204] = 0x000aa403be7cd429UL;
   tf->codes[29205] = 0x000aa6fba26db28bUL;
   tf->codes[29206] = 0x000aac79baa53bdaUL;
   tf->codes[29207] = 0x000aad421c0cf9f6UL;
   tf->codes[29208] = 0x000aadbf3ba64de5UL;
   tf->codes[29209] = 0x000aadd40c7d5aecUL;
   tf->codes[29210] = 0x000aafae773218eeUL;
   tf->codes[29211] = 0x000ab0d9a9f3937aUL;
   tf->codes[29212] = 0x000ab60b96209b88UL;
   tf->codes[29213] = 0x000ab6f8cb7afa89UL;
   tf->codes[29214] = 0x000ab997046b0343UL;
   tf->codes[29215] = 0x000abada3bd5db9cUL;
   tf->codes[29216] = 0x000abcd97a7d3a83UL;
   tf->codes[29217] = 0x000abd58a91dc25fUL;
   tf->codes[29218] = 0x000abf3aa0423ec6UL;
   tf->codes[29219] = 0x000ac0175d62fe5fUL;
   tf->codes[29220] = 0x000ac155c7125d8fUL;
   tf->codes[29221] = 0x000ac30705370d0dUL;
   tf->codes[29222] = 0x000ac4afccafe712UL;
   tf->codes[29223] = 0x000ac555a3bb3dfbUL;
   tf->codes[29224] = 0x000ac782a21f1ecaUL;
   tf->codes[29225] = 0x000ac9b7a210c988UL;
   tf->codes[29226] = 0x000aca3e97b0158eUL;
   tf->codes[29227] = 0x000accbfc3ac418dUL;
   tf->codes[29228] = 0x000ad06b72bcd6c9UL;
   tf->codes[29229] = 0x000ad12b22e9b9a7UL;
   tf->codes[29230] = 0x000ad365dad2f4a2UL;
   tf->codes[29231] = 0x000ad50924e3442fUL;
   tf->codes[29232] = 0x000ad64dbba83f26UL;
   tf->codes[29233] = 0x000ad9f1de4915fdUL;
   tf->codes[29234] = 0x000ada4d98511f92UL;
   tf->codes[29235] = 0x000adaef16bf08dcUL;
   tf->codes[29236] = 0x000adc87a08d493eUL;
   tf->codes[29237] = 0x000add71dca45d3eUL;
   tf->codes[29238] = 0x000ade0d688bb086UL;
   tf->codes[29239] = 0x000ade5ba39d65b4UL;
   tf->codes[29240] = 0x000ae0c8e8fe9bc0UL;
   tf->codes[29241] = 0x000ae1cfbceb80f1UL;
   tf->codes[29242] = 0x000ae28a9f5ceaa6UL;
   tf->codes[29243] = 0x000ae54485e6ad7dUL;
   tf->codes[29244] = 0x000ae62f71aad2ccUL;
   tf->codes[29245] = 0x000ae6906e8c6114UL;
   tf->codes[29246] = 0x000ae697c06d19b4UL;
   tf->codes[29247] = 0x000ae7e99b99634dUL;
   tf->codes[29248] = 0x000aea9c30426d84UL;
   tf->codes[29249] = 0x000aeb736ffaa2a5UL;
   tf->codes[29250] = 0x000aecce36f0cd41UL;
   tf->codes[29251] = 0x000aed3ade5081c8UL;
   tf->codes[29252] = 0x000af2e01410e5aeUL;
   tf->codes[29253] = 0x000af3fbb8d4d7e6UL;
   tf->codes[29254] = 0x000af4891618c578UL;
   tf->codes[29255] = 0x000af4c330007eeeUL;
   tf->codes[29256] = 0x000af712b8c0c6f0UL;
   tf->codes[29257] = 0x000af8073ffbde91UL;
   tf->codes[29258] = 0x000af815a92e4a0cUL;
   tf->codes[29259] = 0x000af9bfd00146afUL;
   tf->codes[29260] = 0x000afab95f86dd3eUL;
   tf->codes[29261] = 0x000b015c42db3f8dUL;
   tf->codes[29262] = 0x000b019c4f498f05UL;
   tf->codes[29263] = 0x000b01d6de4f5405UL;
   tf->codes[29264] = 0x000b03fed468b5e6UL;
   tf->codes[29265] = 0x000b051919d28580UL;
   tf->codes[29266] = 0x000b066dee421a1aUL;
   tf->codes[29267] = 0x000b0754f686dd54UL;
   tf->codes[29268] = 0x000b0a7e08959429UL;
   tf->codes[29269] = 0x000b0b84dc82795aUL;
   tf->codes[29270] = 0x000b0bc140006c82UL;
   tf->codes[29271] = 0x000b0c67c6b8d4baUL;
   tf->codes[29272] = 0x000b107e48b0f055UL;
   tf->codes[29273] = 0x000b119818fcb465UL;
   tf->codes[29274] = 0x000b12e610a99be9UL;
   tf->codes[29275] = 0x000b12fb1c0faeb5UL;
   tf->codes[29276] = 0x000b13156a4f4634UL;
   tf->codes[29277] = 0x000b139dbf48b4d8UL;
   tf->codes[29278] = 0x000b13b6739f23f4UL;
   tf->codes[29279] = 0x000b146b9e18fd6cUL;
   tf->codes[29280] = 0x000b15bba4cd18ddUL;
   tf->codes[29281] = 0x000b1685658ef997UL;
   tf->codes[29282] = 0x000b16aff1792ab9UL;
   tf->codes[29283] = 0x000b16b18b62531cUL;
   tf->codes[29284] = 0x000b16d8a8eb2db3UL;
   tf->codes[29285] = 0x000b16e6627087dfUL;
   tf->codes[29286] = 0x000b1a348300e55eUL;
   tf->codes[29287] = 0x000b1b98704ff6c2UL;
   tf->codes[29288] = 0x000b218c90cf2125UL;
   tf->codes[29289] = 0x000b2435c4903ecfUL;
   tf->codes[29290] = 0x000b2608a2d53e6cUL;
   tf->codes[29291] = 0x000b2d76a645a413UL;
   tf->codes[29292] = 0x000b2d9f9846acd2UL;
   tf->codes[29293] = 0x000b2dca5ebfe3b9UL;
   tf->codes[29294] = 0x000b2ed30724f712UL;
   tf->codes[29295] = 0x000b32e4bb619984UL;
   tf->codes[29296] = 0x000b356aefa84471UL;
   tf->codes[29297] = 0x000b3682b0ecd494UL;
   tf->codes[29298] = 0x000b3c9a0b757779UL;
   tf->codes[29299] = 0x000b3cdf202e45dfUL;
   tf->codes[29300] = 0x000b3dd8afb3dc6eUL;
   tf->codes[29301] = 0x000b3ebb24cc2c44UL;
   tf->codes[29302] = 0x000b3f7014b6fff7UL;
   tf->codes[29303] = 0x000b40c34f3d6c2eUL;
   tf->codes[29304] = 0x000b4489871c9eaeUL;
   tf->codes[29305] = 0x000b454dca75f4f0UL;
   tf->codes[29306] = 0x000b474b34a525afUL;
   tf->codes[29307] = 0x000b490ebf7ba2bdUL;
   tf->codes[29308] = 0x000b4c960fb7a29eUL;
   tf->codes[29309] = 0x000b4f0822d451d3UL;
   tf->codes[29310] = 0x000b50ff255ee106UL;
   tf->codes[29311] = 0x000b51af478e3b90UL;
   tf->codes[29312] = 0x000b53407f7bc352UL;
   tf->codes[29313] = 0x000b539597502596UL;
   tf->codes[29314] = 0x000b53f868a9e206UL;
   tf->codes[29315] = 0x000b583299c981adUL;
   tf->codes[29316] = 0x000b5aed300055d3UL;
   tf->codes[29317] = 0x000b5c745758dfb9UL;
   tf->codes[29318] = 0x000b5cbd4f911034UL;
   tf->codes[29319] = 0x000b5d0d248bedc5UL;
   tf->codes[29320] = 0x000b5e556441450cUL;
   tf->codes[29321] = 0x000b64c4203483e7UL;
   tf->codes[29322] = 0x000b64f28f9e171eUL;
   tf->codes[29323] = 0x000b659866a96e07UL;
   tf->codes[29324] = 0x000b6c517a2efffbUL;
   tf->codes[29325] = 0x000b6f0065e7ade2UL;
   tf->codes[29326] = 0x000b701a70c277b7UL;
   tf->codes[29327] = 0x000b73b915fac416UL;
   tf->codes[29328] = 0x000b73e8e4be79ebUL;
   tf->codes[29329] = 0x000b741ac28963adUL;
   tf->codes[29330] = 0x000b79121fb0a6bbUL;
   tf->codes[29331] = 0x000b7a9dda35a405UL;
   tf->codes[29332] = 0x000b7c0aeddd9c31UL;
   tf->codes[29333] = 0x000b7d6d06b47f6dUL;
   tf->codes[29334] = 0x000b7e639cf6cafbUL;
   tf->codes[29335] = 0x000b7f58994fee26UL;
   tf->codes[29336] = 0x000b7f9a3fa76601UL;
   tf->codes[29337] = 0x000b804cab6cfa3dUL;
   tf->codes[29338] = 0x000b86ebab41fa77UL;
   tf->codes[29339] = 0x000b8af7e2161271UL;
   tf->codes[29340] = 0x000b8c4b1c9c7ea8UL;
   tf->codes[29341] = 0x000b8e73fcf1f79dUL;
   tf->codes[29342] = 0x000b8ebddf663f2cUL;
   tf->codes[29343] = 0x000b93e963eea5aeUL;
   tf->codes[29344] = 0x000b941f9a56fd0fUL;
   tf->codes[29345] = 0x000b95f5e6fd5337UL;
   tf->codes[29346] = 0x000b96897156dc90UL;
   tf->codes[29347] = 0x000b9d5496ff364fUL;
   tf->codes[29348] = 0x000b9ef60c9757b4UL;
   tf->codes[29349] = 0x000ba3bd606bdf28UL;
   tf->codes[29350] = 0x000ba4ccab0499d2UL;
   tf->codes[29351] = 0x000ba9428ff51b52UL;
   tf->codes[29352] = 0x000baa4a4e1e1797UL;
   tf->codes[29353] = 0x000bb048f4504b60UL;
   tf->codes[29354] = 0x000bb1e22dcb9d11UL;
   tf->codes[29355] = 0x000bb20e8e2dfc5bUL;
   tf->codes[29356] = 0x000bb24c8b9517e6UL;
   tf->codes[29357] = 0x000bb2569c2a15c2UL;
   tf->codes[29358] = 0x000bb396da51a31aUL;
   tf->codes[29359] = 0x000bb4051b9a8004UL;
   tf->codes[29360] = 0x000bb41384cceb7fUL;
   tf->codes[29361] = 0x000bb61c5eeb3cb8UL;
   tf->codes[29362] = 0x000bb705b0c639a4UL;
   tf->codes[29363] = 0x000bb799eaccd44cUL;
   tf->codes[29364] = 0x000bb868b3d933f4UL;
   tf->codes[29365] = 0x000bb8fb53f6a639UL;
   tf->codes[29366] = 0x000bb91aaa80bca6UL;
   tf->codes[29367] = 0x000bb9fef4113aa4UL;
   tf->codes[29368] = 0x000bbaa7feeee253UL;
   tf->codes[29369] = 0x000bbacbe8a56c24UL;
   tf->codes[29370] = 0x000bbb1dcca77da2UL;
   tf->codes[29371] = 0x000bbee563e0d2c0UL;
   tf->codes[29372] = 0x000bc042746d370eUL;
   tf->codes[29373] = 0x000bc0820bbd7afcUL;
   tf->codes[29374] = 0x000bc1644646c50dUL;
   tf->codes[29375] = 0x000bc2be981ee41fUL;
   tf->codes[29376] = 0x000bc6e348ba6570UL;
   tf->codes[29377] = 0x000bc7632707fe9bUL;
   tf->codes[29378] = 0x000bc9764c4a5375UL;
   tf->codes[29379] = 0x000bcde972868fb9UL;
   tf->codes[29380] = 0x000bce8f4991e6a2UL;
   tf->codes[29381] = 0x000bd0e992943dcfUL;
   tf->codes[29382] = 0x000bd1b736d5809eUL;
   tf->codes[29383] = 0x000bd30ddfbd4360UL;
   tf->codes[29384] = 0x000bd4995fb33ae5UL;
   tf->codes[29385] = 0x000bd71b3b5c7833UL;
   tf->codes[29386] = 0x000bdb7ab58cc449UL;
   tf->codes[29387] = 0x000be1a5bc21575cUL;
   tf->codes[29388] = 0x000be5bcedc68446UL;
   tf->codes[29389] = 0x000be627fb3d106aUL;
   tf->codes[29390] = 0x000be70149fc7978UL;
   tf->codes[29391] = 0x000bea38ffcca18dUL;
   tf->codes[29392] = 0x000beb119edef94cUL;
   tf->codes[29393] = 0x000beba981d5f044UL;
   tf->codes[29394] = 0x000bee70e7560782UL;
   tf->codes[29395] = 0x000bf407ee7305b2UL;
   tf->codes[29396] = 0x000bf66de1f3831eUL;
   tf->codes[29397] = 0x000bf7f2fa44d917UL;
   tf->codes[29398] = 0x000bf81c26d4e79bUL;
   tf->codes[29399] = 0x000bf9e47f66ddd2UL;
   tf->codes[29400] = 0x000bfc0e49f86ddbUL;
   tf->codes[29401] = 0x000bff166b93e5e0UL;
   tf->codes[29402] = 0x000c011ff55f4868UL;
   tf->codes[29403] = 0x000c061d0a7e1bb3UL;
   tf->codes[29404] = 0x000c0e9b42c35318UL;
   tf->codes[29405] = 0x000c11de2df395e2UL;
   tf->codes[29406] = 0x000c12c570c75ee1UL;
   tf->codes[29407] = 0x000c195e4386c354UL;
   tf->codes[29408] = 0x000c195fdd6febb7UL;
   tf->codes[29409] = 0x000c19634bd14242UL;
   tf->codes[29410] = 0x000c1dcb021e5e0cUL;
   tf->codes[29411] = 0x000c228bb3bf3e2fUL;
   tf->codes[29412] = 0x000c26304b7e2090UL;
   tf->codes[29413] = 0x000c285c5fa5ea4bUL;
   tf->codes[29414] = 0x000c286a192b4477UL;
   tf->codes[29415] = 0x000c2a6cc633f9e9UL;
   tf->codes[29416] = 0x000c2d08406fbd67UL;
   tf->codes[29417] = 0x000c2dbaac3551a3UL;
   tf->codes[29418] = 0x000c2e8ce3a307d6UL;
   tf->codes[29419] = 0x000c2f6ac58ee448UL;
   tf->codes[29420] = 0x000c3180a9857e5eUL;
   tf->codes[29421] = 0x000c32761afcad13UL;
   tf->codes[29422] = 0x000c3334e0ed78ddUL;
   tf->codes[29423] = 0x000c343dc3e191fbUL;
   tf->codes[29424] = 0x000c376cc876ded2UL;
   tf->codes[29425] = 0x000c38afffe1b72bUL;
   tf->codes[29426] = 0x000c3bdc45c2bec6UL;
   tf->codes[29427] = 0x000c448f8fa530b3UL;
   tf->codes[29428] = 0x000c474b10181bedUL;
   tf->codes[29429] = 0x000c49dc79bee18fUL;
   tf->codes[29430] = 0x000c4c0ebafc4711UL;
   tf->codes[29431] = 0x000c4d042c7375c6UL;
   tf->codes[29432] = 0x000c4fcb1cd5817aUL;
   tf->codes[29433] = 0x000c506499b5a0d5UL;
   tf->codes[29434] = 0x000c523a713deb73UL;
   tf->codes[29435] = 0x000c5530462795e8UL;
   tf->codes[29436] = 0x000c57bfa0c7279dUL;
   tf->codes[29437] = 0x000c5897902c6e0dUL;
   tf->codes[29438] = 0x000c5a5f73a058baUL;
   tf->codes[29439] = 0x000c5a63571fbacfUL;
   tf->codes[29440] = 0x000c5b0f95cfb344UL;
   tf->codes[29441] = 0x000c5d5e6ee2e9f7UL;
   tf->codes[29442] = 0x000c5d7f24c72302UL;
   tf->codes[29443] = 0x000c5e0654f574cdUL;
   tf->codes[29444] = 0x000c5e5f50493926UL;
   tf->codes[29445] = 0x000c6162deb83dc7UL;
   tf->codes[29446] = 0x000c63bc02ef781bUL;
   tf->codes[29447] = 0x000c65a6ab4ecfc0UL;
   tf->codes[29448] = 0x000c65f387066250UL;
   tf->codes[29449] = 0x000c677530f661beUL;
   tf->codes[29450] = 0x000c6898279b0c96UL;
   tf->codes[29451] = 0x000c6a9d58c9017fUL;
   tf->codes[29452] = 0x000c6b0bd4a0e42eUL;
   tf->codes[29453] = 0x000c6b72897a02b3UL;
   tf->codes[29454] = 0x000c6be473b33bedUL;
   tf->codes[29455] = 0x000c6ceca6fa43bcUL;
   tf->codes[29456] = 0x000c6d51fc793fa3UL;
   tf->codes[29457] = 0x000c6e7a708674f3UL;
   tf->codes[29458] = 0x000c6f12c89b7775UL;
   tf->codes[29459] = 0x000c6f9e8bf63ca4UL;
   tf->codes[29460] = 0x000c6fad6a46b3a9UL;
   tf->codes[29461] = 0x000c73627a3f3572UL;
   tf->codes[29462] = 0x000c741fa646d8d9UL;
   tf->codes[29463] = 0x000c782d3c751371UL;
   tf->codes[29464] = 0x000c786790ebd2acUL;
   tf->codes[29465] = 0x000c7a9fff3ed3f5UL;
   tf->codes[29466] = 0x000c7c8d2bc36b11UL;
   tf->codes[29467] = 0x000c7d579c325d1aUL;
   tf->codes[29468] = 0x000c7e6bef1596b2UL;
   tf->codes[29469] = 0x000c7f65440c277cUL;
   tf->codes[29470] = 0x000c7f6f8f302b1dUL;
   tf->codes[29471] = 0x000c7f946322cc02UL;
   tf->codes[29472] = 0x000c7ff7e42999c1UL;
   tf->codes[29473] = 0x000c81d07a66299bUL;
   tf->codes[29474] = 0x000c8219729e5a16UL;
   tf->codes[29475] = 0x000c837b50e6378dUL;
   tf->codes[29476] = 0x000c841667af7f4bUL;
   tf->codes[29477] = 0x000c841ccf5420d7UL;
   tf->codes[29478] = 0x000c85daa2330da8UL;
   tf->codes[29479] = 0x000c8895e816f31dUL;
   tf->codes[29480] = 0x000c8a6c6f4c4f0aUL;
   tf->codes[29481] = 0x000c8ae4117d1881UL;
   tf->codes[29482] = 0x000c8e2cb4a4eb88UL;
   tf->codes[29483] = 0x000c8fa572cb09f3UL;
   tf->codes[29484] = 0x000c8fbd777467c0UL;
   tf->codes[29485] = 0x000c904d936c9a8eUL;
   tf->codes[29486] = 0x000c96193708c7bcUL;
   tf->codes[29487] = 0x000c965aa2d139d2UL;
   tf->codes[29488] = 0x000c9ce71b6566b7UL;
   tf->codes[29489] = 0x000c9edb5f3bb0aeUL;
   tf->codes[29490] = 0x000c9f93f816e0b1UL;
   tf->codes[29491] = 0x000ca08a53ca267aUL;
   tf->codes[29492] = 0x000ca08ac8e83204UL;
   tf->codes[29493] = 0x000ca8ef9d29e8feUL;
   tf->codes[29494] = 0x000ca939f4bc3c17UL;
   tf->codes[29495] = 0x000cab5d57a92a94UL;
   tf->codes[29496] = 0x000cac0c1a7e6280UL;
   tf->codes[29497] = 0x000cb029ee5736bbUL;
   tf->codes[29498] = 0x000cb1581a5bfc48UL;
   tf->codes[29499] = 0x000cb3d2a42480f6UL;
   tf->codes[29500] = 0x000cb552047e46b2UL;
   tf->codes[29501] = 0x000cb56deca70694UL;
   tf->codes[29502] = 0x000cb682b4a84bb6UL;
   tf->codes[29503] = 0x000cb802c4af22c1UL;
   tf->codes[29504] = 0x000cb9dd2f63e0c3UL;
   tf->codes[29505] = 0x000cba566b7dd29dUL;
   tf->codes[29506] = 0x000cbb33d84ba385UL;
   tf->codes[29507] = 0x000cbf50fc776671UL;
   tf->codes[29508] = 0x000cc19e3ba174c1UL;
   tf->codes[29509] = 0x000cc8b25981fefbUL;
   tf->codes[29510] = 0x000ccabf51aeb80eUL;
   tf->codes[29511] = 0x000ccbce9c4772b8UL;
   tf->codes[29512] = 0x000ccff262a6dcf5UL;
   tf->codes[29513] = 0x000cd204631e14f6UL;
   tf->codes[29514] = 0x000cd33a1b9298e8UL;
   tf->codes[29515] = 0x000cd77aeee5dfe0UL;
   tf->codes[29516] = 0x000cd9681b6a76fcUL;
   tf->codes[29517] = 0x000cd96b89cbcd87UL;
   tf->codes[29518] = 0x000cdc1a3af575a9UL;
   tf->codes[29519] = 0x000cdc8b3af297cfUL;
   tf->codes[29520] = 0x000cdd6ab6c79ca4UL;
   tf->codes[29521] = 0x000cdf61b9522bd7UL;
   tf->codes[29522] = 0x000ce040105c13d3UL;
   tf->codes[29523] = 0x000ce0876eab1bebUL;
   tf->codes[29524] = 0x000ce0f0a7a979e7UL;
   tf->codes[29525] = 0x000ce343643c12afUL;
   tf->codes[29526] = 0x000ce37a0fc2759aUL;
   tf->codes[29527] = 0x000ce48c539e7b45UL;
   tf->codes[29528] = 0x000ce4be31696507UL;
   tf->codes[29529] = 0x000ced8bc98b6e73UL;
   tf->codes[29530] = 0x000ceefd35d0d43eUL;
   tf->codes[29531] = 0x000cef4afbc47de2UL;
   tf->codes[29532] = 0x000cf17f4c091751UL;
   tf->codes[29533] = 0x000cf1ca18b975f4UL;
   tf->codes[29534] = 0x000cf47cad62802bUL;
   tf->codes[29535] = 0x000cf4d274e3f3beUL;
   tf->codes[29536] = 0x000cf570bf7f8c42UL;
   tf->codes[29537] = 0x000cf7bf5e03bd30UL;
   tf->codes[29538] = 0x000cf9172bb69ccbUL;
   tf->codes[29539] = 0x000cf951babc61cbUL;
   tf->codes[29540] = 0x000cfc2ea0c0975fUL;
   tf->codes[29541] = 0x000cfd1c85c807afUL;
   tf->codes[29542] = 0x000cfe06c1df1bafUL;
   tf->codes[29543] = 0x000d014d55ffbac9UL;
   tf->codes[29544] = 0x000d016595381e5bUL;
   tf->codes[29545] = 0x000d0237cca5d48eUL;
   tf->codes[29546] = 0x000d039dc8fc19dfUL;
   tf->codes[29547] = 0x000d0656c549c5a2UL;
   tf->codes[29548] = 0x000d0732d2bd73ecUL;
   tf->codes[29549] = 0x000d081004fc3f0fUL;
   tf->codes[29550] = 0x000d09d5644aea45UL;
   tf->codes[29551] = 0x000d0a7ee4469d7eUL;
   tf->codes[29552] = 0x000d0b6e63373631UL;
   tf->codes[29553] = 0x000d0c74c2060fd8UL;
   tf->codes[29554] = 0x000d0d13bc4eb9abUL;
   tf->codes[29555] = 0x000d14555f5cc008UL;
   tf->codes[29556] = 0x000d170ed0c87755UL;
   tf->codes[29557] = 0x000d17c853dfbe6cUL;
   tf->codes[29558] = 0x000d1bed3f0a4582UL;
   tf->codes[29559] = 0x000d1c37969c989bUL;
   tf->codes[29560] = 0x000d1c7cab556701UL;
   tf->codes[29561] = 0x000d1e851055acb0UL;
   tf->codes[29562] = 0x000d21dea0d52aa9UL;
   tf->codes[29563] = 0x000d266747958543UL;
   tf->codes[29564] = 0x000d28fc1f9da170UL;
   tf->codes[29565] = 0x000d29f8a8668300UL;
   tf->codes[29566] = 0x000d2b07f2ff3daaUL;
   tf->codes[29567] = 0x000d2b6fcca37908UL;
   tf->codes[29568] = 0x000d2c7a0ef1b4c4UL;
   tf->codes[29569] = 0x000d2d01b43e1219UL;
   tf->codes[29570] = 0x000d2f6ebf104260UL;
   tf->codes[29571] = 0x000d309fe45852eeUL;
   tf->codes[29572] = 0x000d317c66ea0cc2UL;
   tf->codes[29573] = 0x000d365975d1b851UL;
   tf->codes[29574] = 0x000d39e1b049cf46UL;
   tf->codes[29575] = 0x000d3a7ab80be317UL;
   tf->codes[29576] = 0x000d3b7064121791UL;
   tf->codes[29577] = 0x000d3d85985ba058UL;
   tf->codes[29578] = 0x000d408f8e6f4685UL;
   tf->codes[29579] = 0x000d40aa8c5bef53UL;
   tf->codes[29580] = 0x000d40e6efd9e27bUL;
   tf->codes[29581] = 0x000d43eb2df5f86bUL;
   tf->codes[29582] = 0x000d44c566f1788dUL;
   tf->codes[29583] = 0x000d458cde1d1f95UL;
   tf->codes[29584] = 0x000d466df3db4ccdUL;
   tf->codes[29585] = 0x000d4884c20dfdf7UL;
   tf->codes[29586] = 0x000d4c1ff8e4f3cbUL;
   tf->codes[29587] = 0x000d4c7ee6bf4e26UL;
   tf->codes[29588] = 0x000d4e1fe7396401UL;
   tf->codes[29589] = 0x000d517b86c015e7UL;
   tf->codes[29590] = 0x000d5311c6f81c97UL;
   tf->codes[29591] = 0x000d5478ad8a78fcUL;
   tf->codes[29592] = 0x000d549e6bb930f5UL;
   tf->codes[29593] = 0x000d5730fa2b1370UL;
   tf->codes[29594] = 0x000d583d10f17d54UL;
   tf->codes[29595] = 0x000d58b85c12a31bUL;
   tf->codes[29596] = 0x000d5c0b4a5e79c3UL;
   tf->codes[29597] = 0x000d5c2f34150394UL;
   tf->codes[29598] = 0x000d5e4ca47b5c0fUL;
   tf->codes[29599] = 0x000d5ebf03d2a0d3UL;
   tf->codes[29600] = 0x000d5fcb1a990ab7UL;
   tf->codes[29601] = 0x000d609e3c42d7feUL;
   tf->codes[29602] = 0x000d61b797709084UL;
   tf->codes[29603] = 0x000d64df0f961ef6UL;
   tf->codes[29604] = 0x000d666a8f8c167bUL;
   tf->codes[29605] = 0x000d695235d25b3aUL;
   tf->codes[29606] = 0x000d69811a59f9fbUL;
   tf->codes[29607] = 0x000d6ceae8841197UL;
   tf->codes[29608] = 0x000d6db67dbe2079UL;
   tf->codes[29609] = 0x000d6e8003f0fb6eUL;
   tf->codes[29610] = 0x000d6f9874e29ce0UL;
   tf->codes[29611] = 0x000d70735d8b2e51UL;
   tf->codes[29612] = 0x000d70991bb9e64aUL;
   tf->codes[29613] = 0x000d731f50009137UL;
   tf->codes[29614] = 0x000d735670a4ffacUL;
   tf->codes[29615] = 0x000d777912394d10UL;
   tf->codes[29616] = 0x000d7c795b2a7121UL;
   tf->codes[29617] = 0x000d7d1fa753d394UL;
   tf->codes[29618] = 0x000d7df1a4328402UL;
   tf->codes[29619] = 0x000d7ed0aae97d4dUL;
   tf->codes[29620] = 0x000d8001d0318ddbUL;
   tf->codes[29621] = 0x000d8008acf43af1UL;
   tf->codes[29622] = 0x000d81d55e239ec7UL;
   tf->codes[29623] = 0x000d8341c21e85a4UL;
   tf->codes[29624] = 0x000d85947eb11e6cUL;
   tf->codes[29625] = 0x000d859b9602d147UL;
   tf->codes[29626] = 0x000d863befa59db8UL;
   tf->codes[29627] = 0x000d8738786e7f48UL;
   tf->codes[29628] = 0x000d8ceaf29631d0UL;
   tf->codes[29629] = 0x000d8d7bf8ca7bb2UL;
   tf->codes[29630] = 0x000d8d829afe2303UL;
   tf->codes[29631] = 0x000d8eb594be61b9UL;
   tf->codes[29632] = 0x000d8ef2a7e96630UL;
   tf->codes[29633] = 0x000d8fceefec1a3fUL;
   tf->codes[29634] = 0x000d90623fb69dd3UL;
   tf->codes[29635] = 0x000d91ebb0a5616bUL;
   tf->codes[29636] = 0x000d92ac4b0e5b5dUL;
   tf->codes[29637] = 0x000d974b5c8eeb61UL;
   tf->codes[29638] = 0x000d9a9b8c267ccdUL;
   tf->codes[29639] = 0x000d9bd3c8c04036UL;
   tf->codes[29640] = 0x000d9d0aa5ffe101UL;
   tf->codes[29641] = 0x000d9d9001b604a4UL;
   tf->codes[29642] = 0x000d9d95b9ad94e1UL;
   tf->codes[29643] = 0x000d9e6aea5e9615UL;
   tf->codes[29644] = 0x000d9e9a09753a9bUL;
   tf->codes[29645] = 0x000d9ff9d8b5e425UL;
   tf->codes[29646] = 0x000da04a5d5dd305UL;
   tf->codes[29647] = 0x000da0d695d6a3beUL;
   tf->codes[29648] = 0x000da276ac14a285UL;
   tf->codes[29649] = 0x000da2858a65198aUL;
   tf->codes[29650] = 0x000da3e7ddcb028bUL;
   tf->codes[29651] = 0x000da4f220193e47UL;
   tf->codes[29652] = 0x000da8e68cd2fe39UL;
   tf->codes[29653] = 0x000da9a9ab6137a2UL;
   tf->codes[29654] = 0x000dab62eb13b10fUL;
   tf->codes[29655] = 0x000dad4a9a2fbdb3UL;
   tf->codes[29656] = 0x000dae0800c666dfUL;
   tf->codes[29657] = 0x000dae813ce058b9UL;
   tf->codes[29658] = 0x000daea6fb0f10b2UL;
   tf->codes[29659] = 0x000db0fe4ace1cdeUL;
   tf->codes[29660] = 0x000db13e1cad6691UL;
   tf->codes[29661] = 0x000db1869fc78b82UL;
   tf->codes[29662] = 0x000db4033897441dUL;
   tf->codes[29663] = 0x000db68e000a626eUL;
   tf->codes[29664] = 0x000db732b24a9c7eUL;
   tf->codes[29665] = 0x000db783ac1096e8UL;
   tf->codes[29666] = 0x000db7eb1096c6bcUL;
   tf->codes[29667] = 0x000db99278b57e23UL;
   tf->codes[29668] = 0x000dba3a99570ebeUL;
   tf->codes[29669] = 0x000dbbcbd1449680UL;
   tf->codes[29670] = 0x000dbd6ea636da83UL;
   tf->codes[29671] = 0x000dbf70de21846bUL;
   tf->codes[29672] = 0x000dc08de23f9941UL;
   tf->codes[29673] = 0x000dc2d828265c90UL;
   tf->codes[29674] = 0x000dc38e024d4757UL;
   tf->codes[29675] = 0x000dc3b9b3029552UL;
   tf->codes[29676] = 0x000dc7dc5496e2b6UL;
   tf->codes[29677] = 0x000dc86c708f1584UL;
   tf->codes[29678] = 0x000dc9d7752fd9c3UL;
   tf->codes[29679] = 0x000dc9e9fc70ad18UL;
   tf->codes[29680] = 0x000dcacf303d422aUL;
   tf->codes[29681] = 0x000dcb42b45fa3c7UL;
   tf->codes[29682] = 0x000dcbd30ae6dc5aUL;
   tf->codes[29683] = 0x000dcc10cdbef220UL;
   tf->codes[29684] = 0x000dd0f7b2ac95c6UL;
   tf->codes[29685] = 0x000dd783b622b721UL;
   tf->codes[29686] = 0x000dd961c9c7d173UL;
   tf->codes[29687] = 0x000dda74f7dfee32UL;
   tf->codes[29688] = 0x000ddc9adef21c26UL;
   tf->codes[29689] = 0x000ddcfa41ea820bUL;
   tf->codes[29690] = 0x000dde6dbd371bc3UL;
   tf->codes[29691] = 0x000de0e96bcabd4aUL;
   tf->codes[29692] = 0x000de12f6abfa2c4UL;
   tf->codes[29693] = 0x000de21cdaa9078aUL;
   tf->codes[29694] = 0x000de2a9883fe3cdUL;
   tf->codes[29695] = 0x000de4efeaa74507UL;
   tf->codes[29696] = 0x000de84229460a60UL;
   tf->codes[29697] = 0x000de87c089ebe11UL;
   tf->codes[29698] = 0x000de8cffba8037cUL;
   tf->codes[29699] = 0x000de967de9efa74UL;
   tf->codes[29700] = 0x000de976bcef7179UL;
   tf->codes[29701] = 0x000dea02bad93c6dUL;
   tf->codes[29702] = 0x000def5bc48f1f12UL;
   tf->codes[29703] = 0x000df166adb4a438UL;
   tf->codes[29704] = 0x000df247fe01d735UL;
   tf->codes[29705] = 0x000dfa4b25b4ee98UL;
   tf->codes[29706] = 0x000dfab5f89c74f7UL;
   tf->codes[29707] = 0x000dfbefcf1f60c3UL;
   tf->codes[29708] = 0x000dfc635341c260UL;
   tf->codes[29709] = 0x000dffb0c4250e90UL;
   tf->codes[29710] = 0x000e039bcff6e1f5UL;
   tf->codes[29711] = 0x000e0660b151b9bcUL;
   tf->codes[29712] = 0x000e075cc4fc8fc2UL;
   tf->codes[29713] = 0x000e08390cff43d1UL;
   tf->codes[29714] = 0x000e0868dbc2f9a6UL;
   tf->codes[29715] = 0x000e089ded60342eUL;
   tf->codes[29716] = 0x000e09dd414baa72UL;
   tf->codes[29717] = 0x000e0a985e4c19ecUL;
   tf->codes[29718] = 0x000e0b1ccfc6267bUL;
   tf->codes[29719] = 0x000e0fe45e29b3b4UL;
   tf->codes[29720] = 0x000e117520f92fecUL;
   tf->codes[29721] = 0x000e13e1b6ad54a9UL;
   tf->codes[29722] = 0x000e17593e5cc671UL;
   tf->codes[29723] = 0x000e180e68d69fe9UL;
   tf->codes[29724] = 0x000e1ac30c86de0dUL;
   tf->codes[29725] = 0x000e1c7d36756e8eUL;
   tf->codes[29726] = 0x000e1ce1dc475926UL;
   tf->codes[29727] = 0x000e1cebb24d513dUL;
   tf->codes[29728] = 0x000e1d4388d5f8bdUL;
   tf->codes[29729] = 0x000e1e5298dfada2UL;
   tf->codes[29730] = 0x000e1e6769b6baa9UL;
   tf->codes[29731] = 0x000e232bfed6fce1UL;
   tf->codes[29732] = 0x000e25938c40a2b0UL;
   tf->codes[29733] = 0x000e25da75719f3eUL;
   tf->codes[29734] = 0x000e285ffa0b38dcUL;
   tf->codes[29735] = 0x000e28720c2e00a7UL;
   tf->codes[29736] = 0x000e28b511df9b20UL;
   tf->codes[29737] = 0x000e2b37d7c4ef82UL;
   tf->codes[29738] = 0x000e301d97e7764fUL;
   tf->codes[29739] = 0x000e305cf4a8b478UL;
   tf->codes[29740] = 0x000e317feb4d5f50UL;
   tf->codes[29741] = 0x000e337a96c84ad3UL;
   tf->codes[29742] = 0x000e36facfb297d9UL;
   tf->codes[29743] = 0x000e37f12b65dda2UL;
   tf->codes[29744] = 0x000e39d9ff4d071fUL;
   tf->codes[29745] = 0x000e3dd0407ef539UL;
   tf->codes[29746] = 0x000e3f6730640d38UL;
   tf->codes[29747] = 0x000e41d057b6db6aUL;
   tf->codes[29748] = 0x000e42fdd40e8fa8UL;
   tf->codes[29749] = 0x000e461792aec3eeUL;
   tf->codes[29750] = 0x000e477f9e0c3d2cUL;
   tf->codes[29751] = 0x000e4b40cda0f0beUL;
   tf->codes[29752] = 0x000e4d3c28c8ed90UL;
   tf->codes[29753] = 0x000e4f28e02f7922UL;
   tf->codes[29754] = 0x000e509668f57cd8UL;
   tf->codes[29755] = 0x000e50d291e46a3bUL;
   tf->codes[29756] = 0x000e513269fadbaaUL;
   tf->codes[29757] = 0x000e53c239b878e9UL;
   tf->codes[29758] = 0x000e540ccbd9d1c7UL;
   tf->codes[29759] = 0x000e553abd4f918fUL;
   tf->codes[29760] = 0x000e55aa23638b52UL;
   tf->codes[29761] = 0x000e55ddd5a6a33cUL;
   tf->codes[29762] = 0x000e5865de657c51UL;
   tf->codes[29763] = 0x000e5999fcf0d7e0UL;
   tf->codes[29764] = 0x000e5fdf1735fcadUL;
   tf->codes[29765] = 0x000e60bb5f38b0bcUL;
   tf->codes[29766] = 0x000e62667047c473UL;
   tf->codes[29767] = 0x000e6270464dbc8aUL;
   tf->codes[29768] = 0x000e6acacf6b6fe3UL;
   tf->codes[29769] = 0x000e6c9a3f4f18f5UL;
   tf->codes[29770] = 0x000e6f87286ee267UL;
   tf->codes[29771] = 0x000e6ff3cfce96eeUL;
   tf->codes[29772] = 0x000e701ed0d6d39aUL;
   tf->codes[29773] = 0x000e728f0f7b54a7UL;
   tf->codes[29774] = 0x000e7819f6fc210eUL;
   tf->codes[29775] = 0x000e7a0a1cc4032bUL;
   tf->codes[29776] = 0x000e7b9cee9ab350UL;
   tf->codes[29777] = 0x000e7e0ddcec45acUL;
   tf->codes[29778] = 0x000e875d9cf221f5UL;
   tf->codes[29779] = 0x000e8ab88ccbc28cUL;
   tf->codes[29780] = 0x000e8cf4a40f2025UL;
   tf->codes[29781] = 0x000e8e994d799250UL;
   tf->codes[29782] = 0x000e901b31f89783UL;
   tf->codes[29783] = 0x000e90c43cd63f32UL;
   tf->codes[29784] = 0x000e91d52158223fUL;
   tf->codes[29785] = 0x000e9533ba221f26UL;
   tf->codes[29786] = 0x000e972a0cff9d0aUL;
   tf->codes[29787] = 0x000e97d0ce470b07UL;
   tf->codes[29788] = 0x000e9c3341baa21eUL;
   tf->codes[29789] = 0x000ea029f80a9bc2UL;
   tf->codes[29790] = 0x000ea039c09729dbUL;
   tf->codes[29791] = 0x000ea0639cd449aeUL;
   tf->codes[29792] = 0x000ea27ae0250662UL;
   tf->codes[29793] = 0x000ea3931687a20fUL;
   tf->codes[29794] = 0x000ea42d7da3d87eUL;
   tf->codes[29795] = 0x000ea6845844d920UL;
   tf->codes[29796] = 0x000ea73f00273d10UL;
   tf->codes[29797] = 0x000ea7c630558edbUL;
   tf->codes[29798] = 0x000ea7f67437503aUL;
   tf->codes[29799] = 0x000ea98318f86498UL;
   tf->codes[29800] = 0x000eac94d60aceefUL;
   tf->codes[29801] = 0x000eadec2e9fa300UL;
   tf->codes[29802] = 0x000eaf5c3b8ae62dUL;
   tf->codes[29803] = 0x000eb3653e8cad61UL;
   tf->codes[29804] = 0x000eb506b424cec6UL;
   tf->codes[29805] = 0x000eba75b37cdb4bUL;
   tf->codes[29806] = 0x000ebbe87f1c63b4UL;
   tf->codes[29807] = 0x000ebc1a9776533bUL;
   tf->codes[29808] = 0x000ebcea4abec9f7UL;
   tf->codes[29809] = 0x000ec0819e165db6UL;
   tf->codes[29810] = 0x000ec2594a16d67cUL;
   tf->codes[29811] = 0x000ec25e8cf05b2fUL;
   tf->codes[29812] = 0x000ec3bfbb8b2757UL;
   tf->codes[29813] = 0x000ec59e09bf476eUL;
   tf->codes[29814] = 0x000ec8ec2a4fa4edUL;
   tf->codes[29815] = 0x000eca8e4f94d7a1UL;
   tf->codes[29816] = 0x000ecef9aed24fbbUL;
   tf->codes[29817] = 0x000ecf818eadb2d5UL;
   tf->codes[29818] = 0x000ed06ec40811d6UL;
   tf->codes[29819] = 0x000ed10079e96d07UL;
   tf->codes[29820] = 0x000ed276043d3aacUL;
   tf->codes[29821] = 0x000ed2bd27fd3cffUL;
   tf->codes[29822] = 0x000ed8c4f4885790UL;
   tf->codes[29823] = 0x000ed9dae154b98bUL;
   tf->codes[29824] = 0x000edb3e5985bf65UL;
   tf->codes[29825] = 0x000edd1d5766f0cbUL;
   tf->codes[29826] = 0x000edd935fae91dfUL;
   tf->codes[29827] = 0x000eddd0e7f7a1e0UL;
   tf->codes[29828] = 0x000ede8fade86daaUL;
   tf->codes[29829] = 0x000ee1719c37222cUL;
   tf->codes[29830] = 0x000ee25fbbcd9841UL;
   tf->codes[29831] = 0x000eec52942a8637UL;
   tf->codes[29832] = 0x000eec935045e6feUL;
   tf->codes[29833] = 0x000ef07c128180b1UL;
   tf->codes[29834] = 0x000ef2897fcc454eUL;
   tf->codes[29835] = 0x000ef3f61e5631f0UL;
   tf->codes[29836] = 0x000ef744ee93a0beUL;
   tf->codes[29837] = 0x000ef85682c2951aUL;
   tf->codes[29838] = 0x000ef95fa045b3fdUL;
   tf->codes[29839] = 0x000efe9e964b04e8UL;
   tf->codes[29840] = 0x000efec95cc43bcfUL;
   tf->codes[29841] = 0x000f0005b76c6712UL;
   tf->codes[29842] = 0x000f04c12633c282UL;
   tf->codes[29843] = 0x000f05125a88c2b1UL;
   tf->codes[29844] = 0x000f089eb30f4180UL;
   tf->codes[29845] = 0x000f0e8b0c8fa7b9UL;
   tf->codes[29846] = 0x000f100f7533ec63UL;
   tf->codes[29847] = 0x000f1068e5a5bc46UL;
   tf->codes[29848] = 0x000f118deb519b0bUL;
   tf->codes[29849] = 0x000f123d2344de81UL;
   tf->codes[29850] = 0x000f12be60ec9a4aUL;
   tf->codes[29851] = 0x000f130f20238eefUL;
   tf->codes[29852] = 0x000f13c0dc3c11dcUL;
   tf->codes[29853] = 0x000f164242c743a0UL;
   tf->codes[29854] = 0x000f17268c57c19eUL;
   tf->codes[29855] = 0x000f17a50b4b382bUL;
   tf->codes[29856] = 0x000f17deb014e617UL;
   tf->codes[29857] = 0x000f187e1f7b9b74UL;
   tf->codes[29858] = 0x000f189db094b7a6UL;
   tf->codes[29859] = 0x000f18be6678f0b1UL;
   tf->codes[29860] = 0x000f192d1cdfd925UL;
   tf->codes[29861] = 0x000f1a755c95306cUL;
   tf->codes[29862] = 0x000f1cefe65db51aUL;
   tf->codes[29863] = 0x000f1d9cd4babedeUL;
   tf->codes[29864] = 0x000f1db8f7728485UL;
   tf->codes[29865] = 0x000f1e5fb8b9f282UL;
   tf->codes[29866] = 0x000f1f490a94ef6eUL;
   tf->codes[29867] = 0x000f244b27fe41a7UL;
   tf->codes[29868] = 0x000f24850756f558UL;
   tf->codes[29869] = 0x000f24cdff8f25d3UL;
   tf->codes[29870] = 0x000f2641eff9cb15UL;
   tf->codes[29871] = 0x000f2a569d79b888UL;
   tf->codes[29872] = 0x000f2b64139a450aUL;
   tf->codes[29873] = 0x000f301e98258966UL;
   tf->codes[29874] = 0x000f30c93cec5978UL;
   tf->codes[29875] = 0x000f324aac4d5321UL;
   tf->codes[29876] = 0x000f32e881cae01bUL;
   tf->codes[29877] = 0x000f3732f0951965UL;
   tf->codes[29878] = 0x000f3eec7062eefeUL;
   tf->codes[29879] = 0x000f408ed0372777UL;
   tf->codes[29880] = 0x000f439975f7def3UL;
   tf->codes[29881] = 0x000f43ce12770df1UL;
   tf->codes[29882] = 0x000f442698acc6c0UL;
   tf->codes[29883] = 0x000f46e9307164d5UL;
   tf->codes[29884] = 0x000f4a963edc1cafUL;
   tf->codes[29885] = 0x000f4b01fbffba22UL;
   tf->codes[29886] = 0x000f4bf5d38dc074UL;
   tf->codes[29887] = 0x000f4d1cadb1cd61UL;
   tf->codes[29888] = 0x000f4d67ef80378eUL;
   tf->codes[29889] = 0x000f4d9e607794b4UL;
   tf->codes[29890] = 0x000f4e932241b21aUL;
   tf->codes[29891] = 0x000f4fe18f0ca528UL;
   tf->codes[29892] = 0x000f52f34c1f0f7fUL;
   tf->codes[29893] = 0x000f54113a793b69UL;
   tf->codes[29894] = 0x000f54e3ac75f761UL;
   tf->codes[29895] = 0x000f5713698e1d6cUL;
   tf->codes[29896] = 0x000f5b1d56cbfbb4UL;
   tf->codes[29897] = 0x000f5b3645b17095UL;
   tf->codes[29898] = 0x000f605c124246daUL;
   tf->codes[29899] = 0x000f60f13684f896UL;
   tf->codes[29900] = 0x000f61072c272276UL;
   tf->codes[29901] = 0x000f619ba0bcc2e3UL;
   tf->codes[29902] = 0x000f62b411ae6455UL;
   tf->codes[29903] = 0x000f6346773cd0d5UL;
   tf->codes[29904] = 0x000f6387a8763d26UL;
   tf->codes[29905] = 0x000f63d708530f2dUL;
   tf->codes[29906] = 0x000f67d28c5e81faUL;
   tf->codes[29907] = 0x000f688de3edf739UL;
   tf->codes[29908] = 0x000f6b97da019d66UL;
   tf->codes[29909] = 0x000f6c4c54ce658fUL;
   tf->codes[29910] = 0x000f6c6334aca683UL;
   tf->codes[29911] = 0x000f70321dc6b441UL;
   tf->codes[29912] = 0x000f768f3cb536dbUL;
   tf->codes[29913] = 0x000f776a5fecce11UL;
   tf->codes[29914] = 0x000f7aff2f1f2259UL;
   tf->codes[29915] = 0x000f7bc2883c6187UL;
   tf->codes[29916] = 0x000f800ae7ff66e4UL;
   tf->codes[29917] = 0x000f843b43190e74UL;
   tf->codes[29918] = 0x000f87ed1f3f3f77UL;
   tf->codes[29919] = 0x000f89e7902b2535UL;
   tf->codes[29920] = 0x000f91d23e16d341UL;
   tf->codes[29921] = 0x000f9429c864e532UL;
   tf->codes[29922] = 0x000f9453a4a20505UL;
   tf->codes[29923] = 0x000f95394d8ca5a1UL;
   tf->codes[29924] = 0x000f9a54946a7280UL;
   tf->codes[29925] = 0x000f9b1c80b42512UL;
   tf->codes[29926] = 0x000f9bc2ccdd8785UL;
   tf->codes[29927] = 0x000f9c347c87bafaUL;
   tf->codes[29928] = 0x000f9c452f506027UL;
   tf->codes[29929] = 0x000f9d9c87e53438UL;
   tf->codes[29930] = 0x000f9e1882b36b4eUL;
   tf->codes[29931] = 0x000f9f1fcbbe5c09UL;
   tf->codes[29932] = 0x000fa1520cfbc18bUL;
   tf->codes[29933] = 0x000fa305cf45b080UL;
   tf->codes[29934] = 0x000fa3ce6b3c7461UL;
   tf->codes[29935] = 0x000fa7483c821fdbUL;
   tf->codes[29936] = 0x000fa82d35bfaf28UL;
   tf->codes[29937] = 0x000fa8b6af843aa5UL;
   tf->codes[29938] = 0x000fa990e87fbac7UL;
   tf->codes[29939] = 0x000faa5098ac9da5UL;
   tf->codes[29940] = 0x000fab8f025bfcd5UL;
   tf->codes[29941] = 0x000fac100574b2d9UL;
   tf->codes[29942] = 0x000fac3b067cef85UL;
   tf->codes[29943] = 0x000fac95269bd0b7UL;
   tf->codes[29944] = 0x000fb08415ed0631UL;
   tf->codes[29945] = 0x000fb09453979fd4UL;
   tf->codes[29946] = 0x000fb0c03edbf394UL;
   tf->codes[29947] = 0x000fb27734f8334fUL;
   tf->codes[29948] = 0x000fb45a8b76d254UL;
   tf->codes[29949] = 0x000fb4d4ec5be107UL;
   tf->codes[29950] = 0x000fb50b22c43868UL;
   tf->codes[29951] = 0x000fb87ae374e606UL;
   tf->codes[29952] = 0x000fb892e81e43d3UL;
   tf->codes[29953] = 0x000fba830de625f0UL;
   tf->codes[29954] = 0x000fbc109ce35162UL;
   tf->codes[29955] = 0x000fbcc9e56b92b4UL;
   tf->codes[29956] = 0x000fbe060584b832UL;
   tf->codes[29957] = 0x000fbf172495a104UL;
   tf->codes[29958] = 0x000fc07902dd7e7bUL;
   tf->codes[29959] = 0x000fc18b0c2a7e61UL;
   tf->codes[29960] = 0x000fc5eccff10429UL;
   tf->codes[29961] = 0x000fc9d25e5a4d16UL;
   tf->codes[29962] = 0x000fc9d641d9af2bUL;
   tf->codes[29963] = 0x000fcc2eb663d830UL;
   tf->codes[29964] = 0x000fcc77397dfd21UL;
   tf->codes[29965] = 0x000fd1ebb63e941eUL;
   tf->codes[29966] = 0x000fd5e231ff87fdUL;
   tf->codes[29967] = 0x000fd7c33ee7ed50UL;
   tf->codes[29968] = 0x000fda4fa0443404UL;
   tf->codes[29969] = 0x000fdafe288a662bUL;
   tf->codes[29970] = 0x000fdb1458bb95d0UL;
   tf->codes[29971] = 0x000fdbdf78d79928UL;
   tf->codes[29972] = 0x000fdbf9176a1f58UL;
   tf->codes[29973] = 0x000fdc3d0757d0e5UL;
   tf->codes[29974] = 0x000fe37dc029c02eUL;
   tf->codes[29975] = 0x000fe4648ddf7da3UL;
   tf->codes[29976] = 0x000fe4df9e719da5UL;
   tf->codes[29977] = 0x000fe543949676eeUL;
   tf->codes[29978] = 0x000fe7f872d5bad7UL;
   tf->codes[29979] = 0x000fe86d90e144d7UL;
   tf->codes[29980] = 0x000fe8a944b226b0UL;
   tf->codes[29981] = 0x000feb84cb5c39a6UL;
   tf->codes[29982] = 0x000febd6e9ed50e9UL;
   tf->codes[29983] = 0x000fec4aa89eb84bUL;
   tf->codes[29984] = 0x000feeada2dbeab6UL;
   tf->codes[29985] = 0x000fefb10867795cUL;
   tf->codes[29986] = 0x000ff1d81444c429UL;
   tf->codes[29987] = 0x000ffac3a396c164UL;
   tf->codes[29988] = 0x000fff64c41e8555UL;
   tf->codes[29989] = 0x00000238493ace5cUL;
   tf->codes[29990] = 0x00000506165f8726UL;
   tf->codes[29991] = 0x000005d9e7b665bcUL;
   tf->codes[29992] = 0x000011780bb16d2eUL;
   tf->codes[29993] = 0x0000143a68e7057eUL;
   tf->codes[29994] = 0x00001c96515edb75UL;
   tf->codes[29995] = 0x00001fcfdba731b2UL;
   tf->codes[29996] = 0x000022c959813877UL;
   tf->codes[29997] = 0x000026615c85dd85UL;
   tf->codes[29998] = 0x00002673e3c6b0daUL;
   tf->codes[29999] = 0x000028740caa26d5UL;
   tf->codes[30000] = 0x000028c4cbe11b7aUL;
   tf->codes[30001] = 0x00002a56b37bb48bUL;
   tf->codes[30002] = 0x00002b7a945c7677UL;
   tf->codes[30003] = 0x00002e783044e516UL;
   tf->codes[30004] = 0x000031637f7b8625UL;
   tf->codes[30005] = 0x00003b64115dce47UL;
   tf->codes[30006] = 0x000043c32da7f504UL;
   tf->codes[30007] = 0x000045b8d0d86199UL;
   tf->codes[30008] = 0x000047c887b95fe8UL;
   tf->codes[30009] = 0x00004cba6778187eUL;
   tf->codes[30010] = 0x00004e109b41cfb6UL;
   tf->codes[30011] = 0x00004e75b631c5d8UL;
   tf->codes[30012] = 0x000053d3c832276bUL;
   tf->codes[30013] = 0x00005b93afa49e90UL;
   tf->codes[30014] = 0x00005fea3e0b09a3UL;
   tf->codes[30015] = 0x000063a5408a216eUL;
   tf->codes[30016] = 0x0000652bb8359a05UL;
   tf->codes[30017] = 0x0000691fafd14e6dUL;
   tf->codes[30018] = 0x000069fd91bd2adfUL;
   tf->codes[30019] = 0x00006cd7f39c20fcUL;
   tf->codes[30020] = 0x00006ee7355f13c1UL;
   tf->codes[30021] = 0x0000701317cd9f9cUL;
   tf->codes[30022] = 0x0000724dcfb6da97UL;
   tf->codes[30023] = 0x000072c65c23bb22UL;
   tf->codes[30024] = 0x00007385221486ecUL;
   tf->codes[30025] = 0x000075c25e23015eUL;
   tf->codes[30026] = 0x00007710caedf46cUL;
   tf->codes[30027] = 0x00007aea744a1155UL;
   tf->codes[30028] = 0x00007db806dfc45aUL;
   tf->codes[30029] = 0x0000804f287e1a39UL;
   tf->codes[30030] = 0x000083d58e7e0306UL;
   tf->codes[30031] = 0x0000845064811d43UL;
   tf->codes[30032] = 0x000084edff6fa478UL;
   tf->codes[30033] = 0x000085b53c0c45bbUL;
   tf->codes[30034] = 0x000085c3a53eb136UL;
   tf->codes[30035] = 0x00008a75788f1a54UL;
   tf->codes[30036] = 0x00008dae189b597dUL;
   tf->codes[30037] = 0x00008dcf439d9e12UL;
   tf->codes[30038] = 0x00009187c1f77666UL;
   tf->codes[30039] = 0x0000947978d2b901UL;
   tf->codes[30040] = 0x00009b15b9f373ffUL;
   tf->codes[30041] = 0x00009c8e3d8a8ca5UL;
   tf->codes[30042] = 0x00009fbea179fc1aUL;
   tf->codes[30043] = 0x0000a1e7bc5e7ad4UL;
   tf->codes[30044] = 0x0000a3c903d5e5ecUL;
   tf->codes[30045] = 0x0000a3d1ef9fc6efUL;
   tf->codes[30046] = 0x0000a54829a0a5e3UL;
   tf->codes[30047] = 0x0000af6dca0494afUL;
   tf->codes[30048] = 0x0000b046de34f7f8UL;
   tf->codes[30049] = 0x0000b14decb0e2eeUL;
   tf->codes[30050] = 0x0000b39d00531f66UL;
   tf->codes[30051] = 0x0000baaf0f2c75b3UL;
   tf->codes[30052] = 0x0000bdda30426075UL;
   tf->codes[30053] = 0x0000c397dfca2db2UL;
   tf->codes[30054] = 0x0000c3dbcfb7df3fUL;
   tf->codes[30055] = 0x0000c4d2a0893092UL;
   tf->codes[30056] = 0x0000c910efb73813UL;
   tf->codes[30057] = 0x0000cbb3bbd3b431UL;
   tf->codes[30058] = 0x0000ce7d305aff5cUL;
   tf->codes[30059] = 0x0000cf4fdce6c119UL;
   tf->codes[30060] = 0x0000d2719d14bf4eUL;
   tf->codes[30061] = 0x0000da62b2a50ee6UL;
   tf->codes[30062] = 0x0000dbe3e77702caUL;
   tf->codes[30063] = 0x0000dc56bbec5318UL;
   tf->codes[30064] = 0x0000dcf198269511UL;
   tf->codes[30065] = 0x0000de6c9fe2ed2eUL;
   tf->codes[30066] = 0x0000e5f357a9c1f1UL;
   tf->codes[30067] = 0x0000e6b6b0c7011fUL;
   tf->codes[30068] = 0x0000e91726def413UL;
   tf->codes[30069] = 0x0000eaf3660be03dUL;
   tf->codes[30070] = 0x0000eb7c30235a6bUL;
   tf->codes[30071] = 0x0000ecb815ad7a24UL;
   tf->codes[30072] = 0x0000f4627c9bd2f3UL;
   tf->codes[30073] = 0x0000f56691d472e8UL;
   tf->codes[30074] = 0x0000f6d713ddc19fUL;
   tf->codes[30075] = 0x0000fe354ec1992dUL;
   tf->codes[30076] = 0x0000ff9a264cc1a5UL;
   tf->codes[30077] = 0x00010042817d5805UL;
   tf->codes[30078] = 0x0001020e4870a4c7UL;
   tf->codes[30079] = 0x00010481bae7769aUL;
   tf->codes[30080] = 0x000107191714d23eUL;
   tf->codes[30081] = 0x00010c05b3fa0621UL;
   tf->codes[30082] = 0x00011288cba64679UL;
   tf->codes[30083] = 0x000112a822305ce6UL;
   tf->codes[30084] = 0x000113e616c1b08cUL;
   tf->codes[30085] = 0x000113fd6bbdfd0aUL;
   tf->codes[30086] = 0x00011517ebb6d269UL;
   tf->codes[30087] = 0x000115beacfe4066UL;
   tf->codes[30088] = 0x000115e8141d54afUL;
   tf->codes[30089] = 0x00011ddea7162ebfUL;
   tf->codes[30090] = 0x00011e9fb69d343bUL;
   tf->codes[30091] = 0x000122bc65aaeb9dUL;
   tf->codes[30092] = 0x000123b80437b619UL;
   tf->codes[30093] = 0x0001243e84b8f695UL;
   tf->codes[30094] = 0x00012bb91ce3998fUL;
   tf->codes[30095] = 0x00012c9982f4b578UL;
   tf->codes[30096] = 0x00012e66e3d12a9dUL;
   tf->codes[30097] = 0x00012ee771cbd517UL;
   tf->codes[30098] = 0x0001301528b28f1aUL;
   tf->codes[30099] = 0x00013213428ed128UL;
   tf->codes[30100] = 0x00013218fa866165UL;
   tf->codes[30101] = 0x0001327180bc1a34UL;
   tf->codes[30102] = 0x0001327cb61c34e9UL;
   tf->codes[30103] = 0x00013348c0744f55UL;
   tf->codes[30104] = 0x000133c829a3dcf6UL;
   tf->codes[30105] = 0x000134ad97ff77cdUL;
   tf->codes[30106] = 0x0001381d1e211fa6UL;
   tf->codes[30107] = 0x000138538f187cccUL;
   tf->codes[30108] = 0x00013a66b45ad1a6UL;
   tf->codes[30109] = 0x0001404f9f79e154UL;
   tf->codes[30110] = 0x000140d2b199cb45UL;
   tf->codes[30111] = 0x0001416f9cdb412bUL;
   tf->codes[30112] = 0x00014184e2d059bcUL;
   tf->codes[30113] = 0x000141abc5ca2e8eUL;
   tf->codes[30114] = 0x000142027787b935UL;
   tf->codes[30115] = 0x000148c685de6019UL;
   tf->codes[30116] = 0x000149e941f4052cUL;
   tf->codes[30117] = 0x00014b54bbb2d4f5UL;
   tf->codes[30118] = 0x00014c1889ee1fadUL;
   tf->codes[30119] = 0x00014dce20b03ccaUL;
   tf->codes[30120] = 0x00014e0edccb9d91UL;
   tf->codes[30121] = 0x000151c0f380d459UL;
   tf->codes[30122] = 0x0001520224ba40aaUL;
   tf->codes[30123] = 0x00015732ec1c2bdfUL;
   tf->codes[30124] = 0x00015be36012725fUL;
   tf->codes[30125] = 0x00015fdbeada9a2bUL;
   tf->codes[30126] = 0x0001607b5a414f88UL;
   tf->codes[30127] = 0x000161a9fb64209fUL;
   tf->codes[30128] = 0x000161ef4aabf4caUL;
   tf->codes[30129] = 0x0001636dc0c9a372UL;
   tf->codes[30130] = 0x000164624804bb13UL;
   tf->codes[30131] = 0x0001657e9c75be9aUL;
   tf->codes[30132] = 0x0001669c15b1defaUL;
   tf->codes[30133] = 0x0001679da6c53f78UL;
   tf->codes[30134] = 0x000168bc7f5b8276UL;
   tf->codes[30135] = 0x00016a0de569c085UL;
   tf->codes[30136] = 0x00016b82fa9f82a0UL;
   tf->codes[30137] = 0x00016ca6db80448cUL;
   tf->codes[30138] = 0x00016dfe3415189dUL;
   tf->codes[30139] = 0x00016f77dc774e1cUL;
   tf->codes[30140] = 0x000170d38da98fccUL;
   tf->codes[30141] = 0x000171719db6228bUL;
   tf->codes[30142] = 0x0001717df7e15a19UL;
   tf->codes[30143] = 0x00017335631ba55eUL;
   tf->codes[30144] = 0x000173dcd41024aaUL;
   tf->codes[30145] = 0x0001759613c29e17UL;
   tf->codes[30146] = 0x0001768fddd73a6bUL;
   tf->codes[30147] = 0x0001769904302133UL;
   tf->codes[30148] = 0x000176b6c0d10f3dUL;
   tf->codes[30149] = 0x0001790cebc4fe90UL;
   tf->codes[30150] = 0x00017ffa9bc9bf82UL;
   tf->codes[30151] = 0x00017ffeb9d8275cUL;
   tf->codes[30152] = 0x0001818113753819UL;
   tf->codes[30153] = 0x000183e3d32364bfUL;
   tf->codes[30154] = 0x0001847acbde44a3UL;
   tf->codes[30155] = 0x0001864bd5ab1618UL;
   tf->codes[30156] = 0x000188c99345eb8cUL;
   tf->codes[30157] = 0x00018913009c2791UL;
   tf->codes[30158] = 0x00018b0a0326b6c4UL;
   tf->codes[30159] = 0x00018b519c04c4a1UL;
   tf->codes[30160] = 0x00019056b2b161dbUL;
   tf->codes[30161] = 0x0001905c6aa8f218UL;
   tf->codes[30162] = 0x000192469dea3e33UL;
   tf->codes[30163] = 0x0001928a18b9e436UL;
   tf->codes[30164] = 0x000192d0c75bdaffUL;
   tf->codes[30165] = 0x000193b80a2fa3feUL;
   tf->codes[30166] = 0x00019556fba285ecUL;
   tf->codes[30167] = 0x00019897281e837aUL;
   tf->codes[30168] = 0x000198e1f4cee21dUL;
   tf->codes[30169] = 0x00019c35cd56cfd9UL;
   tf->codes[30170] = 0x00019c894b4209baUL;
   tf->codes[30171] = 0x0001a014446e65ebUL;
   tf->codes[30172] = 0x0001a6603b7637ceUL;
   tf->codes[30173] = 0x0001a78874f46759UL;
   tf->codes[30174] = 0x0001a819f046bcc5UL;
   tf->codes[30175] = 0x0001a84b58f39afdUL;
   tf->codes[30176] = 0x0001a89e9c4fcf19UL;
   tf->codes[30177] = 0x0001ac545bf56231UL;
   tf->codes[30178] = 0x0001ace01f502760UL;
   tf->codes[30179] = 0x0001ad014a526bf5UL;
   tf->codes[30180] = 0x0001b1793e4a2162UL;
   tf->codes[30181] = 0x0001b2bef9da3932UL;
   tf->codes[30182] = 0x0001b37f59b42d5fUL;
   tf->codes[30183] = 0x0001b386ab94e5ffUL;
   tf->codes[30184] = 0x0001b38b3ec15963UL;
   tf->codes[30185] = 0x0001b70becc9b1f3UL;
   tf->codes[30186] = 0x0001b7bde3713aa5UL;
   tf->codes[30187] = 0x0001b8872f150fd5UL;
   tf->codes[30188] = 0x0001b989e4f38d2cUL;
   tf->codes[30189] = 0x0001bbbb0165d5d5UL;
   tf->codes[30190] = 0x0001bbf8c43deb9bUL;
   tf->codes[30191] = 0x0001bfe3d00fbf00UL;
   tf->codes[30192] = 0x0001c35cb7195366UL;
   tf->codes[30193] = 0x0001c46e4b4847c2UL;
   tf->codes[30194] = 0x0001cbeaf27a1ea9UL;
   tf->codes[30195] = 0x0001cecc311bc1dcUL;
   tf->codes[30196] = 0x0001d2e7bb5e5c65UL;
   tf->codes[30197] = 0x0001d3929ab4323cUL;
   tf->codes[30198] = 0x0001d3f0d8e17b48UL;
   tf->codes[30199] = 0x0001d5cbf3434a99UL;
   tf->codes[30200] = 0x0001d93511c050e6UL;
   tf->codes[30201] = 0x0001d9ebd62352c1UL;
   tf->codes[30202] = 0x0001dab81b0a72f2UL;
   tf->codes[30203] = 0x0001db62102431b5UL;
   tf->codes[30204] = 0x0001dee83b9514bdUL;
   tf->codes[30205] = 0x0001dfcbd578816cUL;
   tf->codes[30206] = 0x0001e1f2a6c6c674UL;
   tf->codes[30207] = 0x0001e7fecbef4ea4UL;
   tf->codes[30208] = 0x0001e907e9726d87UL;
   tf->codes[30209] = 0x0001eceaf3b676fdUL;
   tf->codes[30210] = 0x0001ef3db0490fc5UL;
   tf->codes[30211] = 0x0001f1facaa52362UL;
   tf->codes[30212] = 0x0001f7d8baf31e20UL;
   tf->codes[30213] = 0x0001f94c70cebd9dUL;
   tf->codes[30214] = 0x0001fad35d9841beUL;
   tf->codes[30215] = 0x0001fc1a78827c2cUL;
   tf->codes[30216] = 0x0001fdda94f7a2afUL;
   tf->codes[30217] = 0x0001ff652ab18320UL;
   tf->codes[30218] = 0x00020a05dba791eeUL;
   tf->codes[30219] = 0x00020a127061cf41UL;
   tf->codes[30220] = 0x00020a8bac7bc11bUL;
   tf->codes[30221] = 0x00020b5d6ecb6bc4UL;
   tf->codes[30222] = 0x0002108216912530UL;
   tf->codes[30223] = 0x0002109d4f0cd3c3UL;
   tf->codes[30224] = 0x0002126916002085UL;
   tf->codes[30225] = 0x000217465f76d1d9UL;
   tf->codes[30226] = 0x000217678a79166eUL;
   tf->codes[30227] = 0x000217d4a6f6d67fUL;
   tf->codes[30228] = 0x000219101762eaaeUL;
   tf->codes[30229] = 0x00021972739e9b94UL;
   tf->codes[30230] = 0x00021a9a728dc55aUL;
   tf->codes[30231] = 0x00021afd43e781caUL;
   tf->codes[30232] = 0x00021b4a94bd1fe4UL;
   tf->codes[30233] = 0x00021b7ce7a61530UL;
   tf->codes[30234] = 0x00021d851217551aUL;
   tf->codes[30235] = 0x0002246afb1d51e2UL;
   tf->codes[30236] = 0x0002248beb9090b2UL;
   tf->codes[30237] = 0x00022864702190c2UL;
   tf->codes[30238] = 0x000228da786931d6UL;
   tf->codes[30239] = 0x00022b7751ff17f2UL;
   tf->codes[30240] = 0x00022f9d9c83c1a6UL;
   tf->codes[30241] = 0x000231d470ed9a8cUL;
   tf->codes[30242] = 0x00023218264c4654UL;
   tf->codes[30243] = 0x0002329fcb98a3a9UL;
   tf->codes[30244] = 0x000236d4f46dc462UL;
   tf->codes[30245] = 0x000236fb9cd8936fUL;
   tf->codes[30246] = 0x000238fb509dfde0UL;
   tf->codes[30247] = 0x00023b4e824ea232UL;
   tf->codes[30248] = 0x000240df5c56049bUL;
   tf->codes[30249] = 0x00024500d91f3526UL;
   tf->codes[30250] = 0x0002487fb2af5f8eUL;
   tf->codes[30251] = 0x00024a9bfe4a9b30UL;
   tf->codes[30252] = 0x00024b462df35fb8UL;
   tf->codes[30253] = 0x00024cfbff44829aUL;
   tf->codes[30254] = 0x00024ec875e4e0abUL;
   tf->codes[30255] = 0x00024f8dde0953c6UL;
   tf->codes[30256] = 0x0002549369d3fc8aUL;
   tf->codes[30257] = 0x000254b9d7afc5d2UL;
   tf->codes[30258] = 0x000255b2b7884b12UL;
   tf->codes[30259] = 0x00025b385c2f92c6UL;
   tf->codes[30260] = 0x00025b694fbe6574UL;
   tf->codes[30261] = 0x000260ba57e67e2aUL;
   tf->codes[30262] = 0x000261aedf2195cbUL;
   tf->codes[30263] = 0x000264cd6b7d433aUL;
   tf->codes[30264] = 0x000264e44b5b842eUL;
   tf->codes[30265] = 0x0002675deae7f1c8UL;
   tf->codes[30266] = 0x000269daf8d5b5edUL;
   tf->codes[30267] = 0x00026a3b809938abUL;
   tf->codes[30268] = 0x00026ade98f04a58UL;
   tf->codes[30269] = 0x00026bb26a4728eeUL;
   tf->codes[30270] = 0x00026ffb04993410UL;
   tf->codes[30271] = 0x00027115f9b014f9UL;
   tf->codes[30272] = 0x0002780f5432fc2aUL;
   tf->codes[30273] = 0x0002799e07fb4475UL;
   tf->codes[30274] = 0x000279ad5b69c704UL;
   tf->codes[30275] = 0x00027e67dff50b60UL;
   tf->codes[30276] = 0x00027fb8d0e53de5UL;
   tf->codes[30277] = 0x0002816491a162ebUL;
   tf->codes[30278] = 0x0002817c5bbbbaf3UL;
   tf->codes[30279] = 0x000286688382e34cUL;
   tf->codes[30280] = 0x000291329b980663UL;
   tf->codes[30281] = 0x000297ba0be1b45aUL;
   tf->codes[30282] = 0x0002984d211d3229UL;
   tf->codes[30283] = 0x00029a4beaa68586UL;
   tf->codes[30284] = 0x00029ad738e33f2bUL;
   tf->codes[30285] = 0x00029f947c22c8c3UL;
   tf->codes[30286] = 0x0002a04d8a1c0450UL;
   tf->codes[30287] = 0x0002a28214efa384UL;
   tf->codes[30288] = 0x0002a5b44d574121UL;
   tf->codes[30289] = 0x0002a5eea1ce005cUL;
   tf->codes[30290] = 0x0002a6f993c94d67UL;
   tf->codes[30291] = 0x0002a9bbf0fee5b7UL;
   tf->codes[30292] = 0x0002adbb9318c05eUL;
   tf->codes[30293] = 0x0002b163241aedc0UL;
   tf->codes[30294] = 0x0002b1d339dbf8d2UL;
   tf->codes[30295] = 0x0002b2f5f5f19de5UL;
   tf->codes[30296] = 0x0002b690428c7ca5UL;
   tf->codes[30297] = 0x0002bf7828ee1d90UL;
   tf->codes[30298] = 0x0002c13c28e2a628UL;
   tf->codes[30299] = 0x0002c40b55618190UL;
   tf->codes[30300] = 0x0002c69064dd0fa4UL;
   tf->codes[30301] = 0x0002c87b825a72d3UL;
   tf->codes[30302] = 0x0002ca6fc630bccaUL;
   tf->codes[30303] = 0x0002d1f46ef05da0UL;
   tf->codes[30304] = 0x0002d56813206d53UL;
   tf->codes[30305] = 0x0002d5e82bfd0c43UL;
   tf->codes[30306] = 0x0002da31eb1a343eUL;
   tf->codes[30307] = 0x0002db63fa9e5be0UL;
   tf->codes[30308] = 0x0002db6559f87e7eUL;
   tf->codes[30309] = 0x0002dbce1dd8d0f0UL;
   tf->codes[30310] = 0x0002dde3c7406541UL;
   tf->codes[30311] = 0x0002df2bcc66b6c3UL;
   tf->codes[30312] = 0x0002e0918e2df64fUL;
   tf->codes[30313] = 0x0002e1e6d7bb9673UL;
   tf->codes[30314] = 0x0002e60e819a62c5UL;
   tf->codes[30315] = 0x0002ea0f487f5a45UL;
   tf->codes[30316] = 0x0002ec41c44bc58cUL;
   tf->codes[30317] = 0x0002ef40bf8e56c9UL;
   tf->codes[30318] = 0x0002efa47b242a4dUL;
   tf->codes[30319] = 0x0002f1e6fa0c2972UL;
   tf->codes[30320] = 0x0002f3e4643b5a31UL;
   tf->codes[30321] = 0x0002f64d50ff229eUL;
   tf->codes[30322] = 0x0002fcfc53efb6b6UL;
   tf->codes[30323] = 0x000300ffd988f372UL;
   tf->codes[30324] = 0x000302eb31955c66UL;
   tf->codes[30325] = 0x000306a07c1ce3f4UL;
   tf->codes[30326] = 0x000308159152a60fUL;
   tf->codes[30327] = 0x00030b979eb5213dUL;
   tf->codes[30328] = 0x00030bd9ba2aa4a2UL;
   tf->codes[30329] = 0x00030d16ff0ee6f9UL;
   tf->codes[30330] = 0x00030f75db3db18aUL;
   tf->codes[30331] = 0x0003101759ab9ad4UL;
   tf->codes[30332] = 0x000311c096428063UL;
   tf->codes[30333] = 0x000313703a7e077eUL;
   tf->codes[30334] = 0x0003158917b7ec95UL;
   tf->codes[30335] = 0x000319cca9bf78c9UL;
   tf->codes[30336] = 0x0003215bd8322305UL;
   tf->codes[30337] = 0x000324d693b3e593UL;
   tf->codes[30338] = 0x000329417dd35223UL;
   tf->codes[30339] = 0x000329ea88b0f9d2UL;
   tf->codes[30340] = 0x000335f30a757c19UL;
   tf->codes[30341] = 0x000338e74575fe2bUL;
   tf->codes[30342] = 0x00033dc1208b58f4UL;
   tf->codes[30343] = 0x00033e968bcb5fedUL;
   tf->codes[30344] = 0x0003455eb8306eabUL;
   tf->codes[30345] = 0x000345d4c0780fbfUL;
   tf->codes[30346] = 0x00034615b722764bUL;
   tf->codes[30347] = 0x000347821b1d5d28UL;
   tf->codes[30348] = 0x0003478d507d77ddUL;
   tf->codes[30349] = 0x000348736e862403UL;
   tf->codes[30350] = 0x000349c4d4946212UL;
   tf->codes[30351] = 0x000349d6370a188eUL;
   tf->codes[30352] = 0x00034d616ac57a84UL;
   tf->codes[30353] = 0x00034f72467195acUL;
   tf->codes[30354] = 0x00034fce3b08a506UL;
   tf->codes[30355] = 0x0003555c565bc233UL;
   tf->codes[30356] = 0x000355e6ba5c64c4UL;
   tf->codes[30357] = 0x000359fffb08c59bUL;
   tf->codes[30358] = 0x00035a2c95fa2aaaUL;
   tf->codes[30359] = 0x00035ab59aa0aa9dUL;
   tf->codes[30360] = 0x00035b0cc17c40ceUL;
   tf->codes[30361] = 0x00035d0f33f5f07bUL;
   tf->codes[30362] = 0x00035dce6f04c7cfUL;
   tf->codes[30363] = 0x00035de2902ec387UL;
   tf->codes[30364] = 0x00035f701f2beef9UL;
   tf->codes[30365] = 0x00035f9f03b38dbaUL;
   tf->codes[30366] = 0x000362427f7d1b27UL;
   tf->codes[30367] = 0x000362d176aa311cUL;
   tf->codes[30368] = 0x000362fb52e750efUL;
   tf->codes[30369] = 0x00036b1903690596UL;
   tf->codes[30370] = 0x00036beb3ad6bbc9UL;
   tf->codes[30371] = 0x00036f174628bd9fUL;
   tf->codes[30372] = 0x00037380965f01ccUL;
   tf->codes[30373] = 0x000373d44ed94172UL;
   tf->codes[30374] = 0x00037534cdc6fc4bUL;
   tf->codes[30375] = 0x0003779f19e4e756UL;
   tf->codes[30376] = 0x00037cbbc01cd6d3UL;
   tf->codes[30377] = 0x00037f740cbd7147UL;
   tf->codes[30378] = 0x00038060ccf9c4beUL;
   tf->codes[30379] = 0x000380af080b79ecUL;
   tf->codes[30380] = 0x000380d1ccf6e6e4UL;
   tf->codes[30381] = 0x0003817017927f68UL;
   tf->codes[30382] = 0x00038259a3fc8219UL;
   tf->codes[30383] = 0x00038ce8b7edd4a6UL;
   tf->codes[30384] = 0x00039085138fe753UL;
   tf->codes[30385] = 0x0003909307a44744UL;
   tf->codes[30386] = 0x00039109fa27ff6cUL;
   tf->codes[30387] = 0x000392706b9c5047UL;
   tf->codes[30388] = 0x0003935c070d86e5UL;
   tf->codes[30389] = 0x0003936cf46531d7UL;
   tf->codes[30390] = 0x0003938cfa9c5993UL;
   tf->codes[30391] = 0x000395e56f268298UL;
   tf->codes[30392] = 0x0003987f4f791db3UL;
   tf->codes[30393] = 0x00039b0f1f36baf2UL;
   tf->codes[30394] = 0x00039b1b0443e6f6UL;
   tf->codes[30395] = 0x00039dc38857f351UL;
   tf->codes[30396] = 0x00039ddd26ea7981UL;
   tf->codes[30397] = 0x0003a27227d60ba9UL;
   tf->codes[30398] = 0x0003a63775792715UL;
   tf->codes[30399] = 0x0003a70554496fa9UL;
   tf->codes[30400] = 0x0003a849b07f64dbUL;
   tf->codes[30401] = 0x0003ae0e023ad969UL;
   tf->codes[30402] = 0x0003b2deb6f74d6aUL;
   tf->codes[30403] = 0x0003b40297d80f56UL;
   tf->codes[30404] = 0x0003b449467a061fUL;
   tf->codes[30405] = 0x0003b81dacfc9e55UL;
   tf->codes[30406] = 0x0003b9544fad395bUL;
   tf->codes[30407] = 0x0003b9dd5453b94eUL;
   tf->codes[30408] = 0x0003bbf2137f368bUL;
   tf->codes[30409] = 0x0003bd71ae68020cUL;
   tf->codes[30410] = 0x0003be0622fda279UL;
   tf->codes[30411] = 0x0003bf3a06f9f843UL;
   tf->codes[30412] = 0x0003c6cb7f02dc31UL;
   tf->codes[30413] = 0x0003d100384647c7UL;
   tf->codes[30414] = 0x0003d8e7b25fa50dUL;
   tf->codes[30415] = 0x0003d90ecfe87fa4UL;
   tf->codes[30416] = 0x0003db73297fd4adUL;
   tf->codes[30417] = 0x0003dd843fbaf59aUL;
   tf->codes[30418] = 0x0003df0b2c8479bbUL;
   tf->codes[30419] = 0x0003dfeaa8597e90UL;
   tf->codes[30420] = 0x0003e0b6b2b198fcUL;
   tf->codes[30421] = 0x0003e1732f0c2b14UL;
   tf->codes[30422] = 0x0003e46bc2aa1ac5UL;
   tf->codes[30423] = 0x0003e74f1052f1e5UL;
   tf->codes[30424] = 0x0003e91310477a7dUL;
   tf->codes[30425] = 0x0003eced2ec1a2f0UL;
   tf->codes[30426] = 0x0003ed607854fec8UL;
   tf->codes[30427] = 0x0003f06b9333c1ceUL;
   tf->codes[30428] = 0x0003f2f117cd5b6cUL;
   tf->codes[30429] = 0x0003f3f6c6ef23c4UL;
   tf->codes[30430] = 0x0003f54533ba16d2UL;
   tf->codes[30431] = 0x0003f5f72a619f84UL;
   tf->codes[30432] = 0x0003f64181f3f29dUL;
   tf->codes[30433] = 0x0003f89b1b49387bUL;
   tf->codes[30434] = 0x0003f99b12737096UL;
   tf->codes[30435] = 0x0003fa15e8768ad3UL;
   tf->codes[30436] = 0x0003fb152ff3b19fUL;
   tf->codes[30437] = 0x0003fc0d9aae2b55UL;
   tf->codes[30438] = 0x0003fcd7d08e1799UL;
   tf->codes[30439] = 0x0003fe142b3642dcUL;
   tf->codes[30440] = 0x0003fe5730e7dd55UL;
   tf->codes[30441] = 0x000438635f1bf929UL;
   tf->codes[30442] = 0x00044f751b27d6ebUL;
   tf->codes[30443] = 0x0004554a1fabf0a6UL;
   tf->codes[30444] = 0x000460b924905392UL;
   tf->codes[30445] = 0x00046c61ce3e646aUL;
   tf->codes[30446] = 0x00046de3ed4c6f62UL;
   tf->codes[30447] = 0x00047d6f2c207e26UL;
   tf->codes[30448] = 0x00048129b9818a67UL;
   tf->codes[30449] = 0x0004b49cda673c03UL;
   tf->codes[30450] = 0x0004bbf22981328eUL;
   tf->codes[30451] = 0x0004be2d1bf9734eUL;
   tf->codes[30452] = 0x0004cab66647a5d4UL;
   tf->codes[30453] = 0x0004ccc5a80a9899UL;
   tf->codes[30454] = 0x0004ce1c50f25b5bUL;
   tf->codes[30455] = 0x0004eb431df0a250UL;
   tf->codes[30456] = 0x0004eee94f98ad14UL;
   tf->codes[30457] = 0x0004ef1191eca484UL;
   tf->codes[30458] = 0x0004f1435e0bfe7cUL;
   tf->codes[30459] = 0x0004f2f6e5c6e7acUL;
   tf->codes[30460] = 0x0004f56eb0db271eUL;
   tf->codes[30461] = 0x0004f76921c70cdcUL;
   tf->codes[30462] = 0x0004f9e66a43d6c6UL;
   tf->codes[30463] = 0x0005218d6ce2f943UL;
   tf->codes[30464] = 0x00052382d5846013UL;
   tf->codes[30465] = 0x00052546605add21UL;
   tf->codes[30466] = 0x00052770a00a78b4UL;
   tf->codes[30467] = 0x00052ecf8a9b6191UL;
   tf->codes[30468] = 0x00053bff5ba1fc4fUL;
   tf->codes[30469] = 0x00054b5e3a13abc9UL;
   tf->codes[30470] = 0x00054d87ca16360dUL;
   tf->codes[30471] = 0x0005712f2a9b7de3UL;
   tf->codes[30472] = 0x00057370f9d66bb9UL;
   tf->codes[30473] = 0x000573f02876f395UL;
   tf->codes[30474] = 0x0005761aa2b594edUL;
   tf->codes[30475] = 0x000583f2ceecc60bUL;
   tf->codes[30476] = 0x00058474f6d098e8UL;
   tf->codes[30477] = 0x000590582f846ec0UL;
   tf->codes[30478] = 0x0005961da60b0027UL;
   tf->codes[30479] = 0x0005993221d1afbaUL;
   tf->codes[30480] = 0x00059b2a83b6618bUL;
   tf->codes[30481] = 0x00059cd310a035cbUL;
   tf->codes[30482] = 0x00059ed3aea1b750UL;
   tf->codes[30483] = 0x00059fe960df1386UL;
   tf->codes[30484] = 0x0005a17b4879ac97UL;
   tf->codes[30485] = 0x0005a44a74f887ffUL;
   tf->codes[30486] = 0x0005a50f67feef90UL;
   tf->codes[30487] = 0x0005a527a7375322UL;
   tf->codes[30488] = 0x0005a966e0a171b7UL;
   tf->codes[30489] = 0x0005aa8f1a1fa142UL;
   tf->codes[30490] = 0x0005abd5fa7ad5ebUL;
   tf->codes[30491] = 0x0005b5893b877ff3UL;
   tf->codes[30492] = 0x0005bf160eb860b3UL;
   tf->codes[30493] = 0x0005c08eccde7f1eUL;
   tf->codes[30494] = 0x0005c47495d6cdd0UL;
   tf->codes[30495] = 0x0005c94a52ddc0bfUL;
   tf->codes[30496] = 0x0005cb7a4a84ec8fUL;
   tf->codes[30497] = 0x0005d09e080e8ee7UL;
   tf->codes[30498] = 0x0005d2d84ad9be58UL;
   tf->codes[30499] = 0x0005d77bb4f7bbfbUL;
   tf->codes[30500] = 0x0005db7d2b89c4caUL;
   tf->codes[30501] = 0x0005e872a819a04dUL;
   tf->codes[30502] = 0x0005ec102886cfd3UL;
   tf->codes[30503] = 0x0005ededc70dde9bUL;
   tf->codes[30504] = 0x0005f00c5c3f53efUL;
   tf->codes[30505] = 0x0005f24df0eb3c00UL;
   tf->codes[30506] = 0x0005f37923acb68cUL;
   tf->codes[30507] = 0x0005f3e08832e660UL;
   tf->codes[30508] = 0x0005f4ebb4bd3930UL;
   tf->codes[30509] = 0x0005f603eb1fd4ddUL;
   tf->codes[30510] = 0x0005f6d3294a400fUL;
   tf->codes[30511] = 0x0005fa7661aeffd2UL;
   tf->codes[30512] = 0x0005faed5432b7faUL;
   tf->codes[30513] = 0x0005fb11035a3c06UL;
   tf->codes[30514] = 0x0006004c506f30a1UL;
   tf->codes[30515] = 0x00060201aca247f9UL;
   tf->codes[30516] = 0x00060763679305dcUL;
   tf->codes[30517] = 0x000611003ddf7a7aUL;
   tf->codes[30518] = 0x0006120995f19f22UL;
   tf->codes[30519] = 0x0006171848152eaeUL;
   tf->codes[30520] = 0x00061a040c69db47UL;
   tf->codes[30521] = 0x00061f61a94c3150UL;
   tf->codes[30522] = 0x000620e85b86afacUL;
   tf->codes[30523] = 0x000621386b109302UL;
   tf->codes[30524] = 0x0006269e440fb8bfUL;
   tf->codes[30525] = 0x00062e3fbf34308bUL;
   tf->codes[30526] = 0x0006303ceed45b85UL;
   tf->codes[30527] = 0x000630bd4240003aUL;
   tf->codes[30528] = 0x000634023c7776f1UL;
   tf->codes[30529] = 0x000635e2d441d0baUL;
   tf->codes[30530] = 0x0006370bf7fc1759UL;
   tf->codes[30531] = 0x00063c309fc1d0c5UL;
   tf->codes[30532] = 0x000640621fa6952eUL;
   tf->codes[30533] = 0x0006413a8429e728UL;
   tf->codes[30534] = 0x00064538c6e99f31UL;
   tf->codes[30535] = 0x00064c2acf8bcdc2UL;
   tf->codes[30536] = 0x00064ff400ae4b43UL;
   tf->codes[30537] = 0x0006527f77ce7ae3UL;
   tf->codes[30538] = 0x0006528f405b08fcUL;
   tf->codes[30539] = 0x00065d4fbcf939c1UL;
   tf->codes[30540] = 0x00065ee04539b034UL;
   tf->codes[30541] = 0x00065f9868f6d4adUL;
   tf->codes[30542] = 0x0006631e9467b7b5UL;
   tf->codes[30543] = 0x000667e8e17f8a2aUL;
   tf->codes[30544] = 0x00066ec94d1cfc7aUL;
   tf->codes[30545] = 0x00066eecc1b57ac1UL;
   tf->codes[30546] = 0x000670011498b459UL;
   tf->codes[30547] = 0x0006751c960586fdUL;
   tf->codes[30548] = 0x000678f380ad5eaaUL;
   tf->codes[30549] = 0x00067a5f6f8a39fdUL;
   tf->codes[30550] = 0x000685c7d23af598UL;
   tf->codes[30551] = 0x000687f002e35d3eUL;
   tf->codes[30552] = 0x00068e7146176f6eUL;
   tf->codes[30553] = 0x000693031330b0d0UL;
   tf->codes[30554] = 0x0006938bdd482afeUL;
   tf->codes[30555] = 0x000693e37941ccb9UL;
   tf->codes[30556] = 0x0006965a1f8aef52UL;
   tf->codes[30557] = 0x00069c7fe345fdb2UL;
   tf->codes[30558] = 0x00069eb224836334UL;
   tf->codes[30559] = 0x0006a91462f44aedUL;
   tf->codes[30560] = 0x0006a987e716ac8aUL;
   tf->codes[30561] = 0x0006ab649b61a43eUL;
   tf->codes[30562] = 0x0006ab90c134fdc3UL;
   tf->codes[30563] = 0x0006abe7ad818e2fUL;
   tf->codes[30564] = 0x0006abf10e697abcUL;
   tf->codes[30565] = 0x0006ae83624c5772UL;
   tf->codes[30566] = 0x0006b2d9f0b2c285UL;
   tf->codes[30567] = 0x0006b33b28235692UL;
   tf->codes[30568] = 0x0006b55982c5c621UL;
   tf->codes[30569] = 0x0006b9056c656122UL;
   tf->codes[30570] = 0x0006ba4a032a5c19UL;
   tf->codes[30571] = 0x0006bc25581b312fUL;
   tf->codes[30572] = 0x0006bcbdb03033b1UL;
   tf->codes[30573] = 0x0006c0adfedb8bc9UL;
   tf->codes[30574] = 0x0006c0bbb860e5f5UL;
   tf->codes[30575] = 0x0006c63b6a8197a7UL;
   tf->codes[30576] = 0x0006c785b93e22dbUL;
   tf->codes[30577] = 0x0006cbb90d9b156cUL;
   tf->codes[30578] = 0x0006cbffbc3d0c35UL;
   tf->codes[30579] = 0x0006d3e1b8eddf03UL;
   tf->codes[30580] = 0x0006d4f3128dcd9aUL;
   tf->codes[30581] = 0x0006de10f4c8c021UL;
   tf->codes[30582] = 0x0006df5466c29e3fUL;
   tf->codes[30583] = 0x0006e66b7de6737aUL;
   tf->codes[30584] = 0x0006e77b3d9d39aeUL;
   tf->codes[30585] = 0x0006e9361738db7eUL;
   tf->codes[30586] = 0x0006e9b002ffdea7UL;
   tf->codes[30587] = 0x0006eb19332874beUL;
   tf->codes[30588] = 0x0006f0ca88850a6dUL;
   tf->codes[30589] = 0x0006f31df4c4b484UL;
   tf->codes[30590] = 0x0006f688380cd7aaUL;
   tf->codes[30591] = 0x0006f89d6c566071UL;
   tf->codes[30592] = 0x0006f9fdb0b51585UL;
   tf->codes[30593] = 0x0006fb3deedca2ddUL;
   tf->codes[30594] = 0x0006fdc50d5f64deUL;
   tf->codes[30595] = 0x0006fe39f0dbe919UL;
   tf->codes[30596] = 0x0006ff6c006010bbUL;
   tf->codes[30597] = 0x000704e28c27dba5UL;
   tf->codes[30598] = 0x0007050c6864fb78UL;
   tf->codes[30599] = 0x000706f2b826e57eUL;
   tf->codes[30600] = 0x00070a7500186671UL;
   tf->codes[30601] = 0x00070e5c9d88e34bUL;
   tf->codes[30602] = 0x00070e7b09d6e2a4UL;
   tf->codes[30603] = 0x00071b77d84776c7UL;
   tf->codes[30604] = 0x000722b0ca1aa1e6UL;
   tf->codes[30605] = 0x00072361d6861384UL;
   tf->codes[30606] = 0x00072672a95c66c7UL;
   tf->codes[30607] = 0x00072a40a83a5d71UL;
   tf->codes[30608] = 0x00072b9960295420UL;
   tf->codes[30609] = 0x00072cd3e659513bUL;
   tf->codes[30610] = 0x000730fe4eec62c9UL;
   tf->codes[30611] = 0x0007356f2b92655bUL;
   tf->codes[30612] = 0x00073676af2c5bdbUL;
   tf->codes[30613] = 0x0007382185ac69cdUL;
   tf->codes[30614] = 0x0007392b52dc99ffUL;
   tf->codes[30615] = 0x00073c9ebc7da3edUL;
   tf->codes[30616] = 0x00073d106c27d762UL;
   tf->codes[30617] = 0x00073e8d485c5da7UL;
   tf->codes[30618] = 0x000741f123ffdf41UL;
   tf->codes[30619] = 0x0007475b1b0d6cd8UL;
   tf->codes[30620] = 0x0007490c59321c56UL;
   tf->codes[30621] = 0x0007497174221278UL;
   tf->codes[30622] = 0x00074d7a3c94d3e7UL;
   tf->codes[30623] = 0x00074e868dea4390UL;
   tf->codes[30624] = 0x00075015b6d09765UL;
   tf->codes[30625] = 0x00075035f796c4e6UL;
   tf->codes[30626] = 0x0007560c96040704UL;
   tf->codes[30627] = 0x000756ecc1861d28UL;
   tf->codes[30628] = 0x000758432fdeda25UL;
   tf->codes[30629] = 0x00075fecac911be0UL;
   tf->codes[30630] = 0x00076065738d0230UL;
   tf->codes[30631] = 0x0007629655704514UL;
   tf->codes[30632] = 0x000766026d309662UL;
   tf->codes[30633] = 0x000769f0acd4ba8dUL;
   tf->codes[30634] = 0x00076b11cf01373dUL;
   tf->codes[30635] = 0x0007710c1c95fd67UL;
   tf->codes[30636] = 0x00077933688ea460UL;
   tf->codes[30637] = 0x00077b4aabdf6114UL;
   tf->codes[30638] = 0x000784f2426de4ddUL;
   tf->codes[30639] = 0x0007897fb6e9b8a0UL;
   tf->codes[30640] = 0x0007898ff4945243UL;
   tf->codes[30641] = 0x00078bb52bf96ee8UL;
   tf->codes[30642] = 0x00078cc351c70cb9UL;
   tf->codes[30643] = 0x00078f2facec2bb1UL;
   tf->codes[30644] = 0x000793a3f7f384ceUL;
   tf->codes[30645] = 0x000794e34bdefb12UL;
   tf->codes[30646] = 0x000794fb8b175ea4UL;
   tf->codes[30647] = 0x00079ea396c3edf7UL;
   tf->codes[30648] = 0x0007a38e5f30f3b2UL;
   tf->codes[30649] = 0x0007a67137bbbf48UL;
   tf->codes[30650] = 0x0007aab9977ec4a5UL;
   tf->codes[30651] = 0x0007aade30e25fc5UL;
   tf->codes[30652] = 0x0007ab6401b68ef2UL;
   tf->codes[30653] = 0x0007ae65bbad656bUL;
   tf->codes[30654] = 0x0007b99981def208UL;
   tf->codes[30655] = 0x0007bbd648cf60f0UL;
   tf->codes[30656] = 0x0007c25c59beec49UL;
   tf->codes[30657] = 0x0007c38fc89d3689UL;
   tf->codes[30658] = 0x0007c7ecbea84328UL;
   tf->codes[30659] = 0x0007c7fa030f91caUL;
   tf->codes[30660] = 0x0007ccbf47dce551UL;
   tf->codes[30661] = 0x0007d09d8465759eUL;
   tf->codes[30662] = 0x0007d15cfa0352b7UL;
   tf->codes[30663] = 0x0007d4d7f0141b0aUL;
   tf->codes[30664] = 0x0007d75782271ea6UL;
   tf->codes[30665] = 0x0007d874c0d43941UL;
   tf->codes[30666] = 0x0007da175b37777fUL;
   tf->codes[30667] = 0x0007e38aca64d7d4UL;
   tf->codes[30668] = 0x0007e7dcc59ecf83UL;
   tf->codes[30669] = 0x0007e7e2b8256585UL;
   tf->codes[30670] = 0x0007e8d9fe14c262UL;
   tf->codes[30671] = 0x0007eebcf6ad3c0eUL;
   tf->codes[30672] = 0x0007f25fb9f3f047UL;
   tf->codes[30673] = 0x0007f3573a7252e9UL;
   tf->codes[30674] = 0x0007f45597b362a1UL;
   tf->codes[30675] = 0x0007f45d24232106UL;
   tf->codes[30676] = 0x0007fa44afe80e16UL;
   tf->codes[30677] = 0x0007fb6d23f54366UL;
   tf->codes[30678] = 0x0007fceb5f83ec49UL;
   tf->codes[30679] = 0x0007fdca663ae594UL;
   tf->codes[30680] = 0x0008021c6174dd43UL;
   tf->codes[30681] = 0x00080549cc2101b7UL;
   tf->codes[30682] = 0x000805c133c2c569UL;
   tf->codes[30683] = 0x000805f6ba7e0b7bUL;
   tf->codes[30684] = 0x00080cb7cf91675eUL;
   tf->codes[30685] = 0x00080cbdfca70325UL;
   tf->codes[30686] = 0x00081a2946ef79f7UL;
   tf->codes[30687] = 0x00081c991075ef7aUL;
   tf->codes[30688] = 0x00081f19c7540fefUL;
   tf->codes[30689] = 0x00081f1e5a808353UL;
   tf->codes[30690] = 0x000822267c1bfb58UL;
   tf->codes[30691] = 0x000822fdbbd43079UL;
   tf->codes[30692] = 0x000825d1f09d8acfUL;
   tf->codes[30693] = 0x00082f36f6987fa9UL;
   tf->codes[30694] = 0x00082fac14a409a9UL;
   tf->codes[30695] = 0x00082fafbd9465f9UL;
   tf->codes[30696] = 0x000831c94a7b5c5fUL;
   tf->codes[30697] = 0x00083482f6761971UL;
   tf->codes[30698] = 0x00083766f3cc01e0UL;
   tf->codes[30699] = 0x000837e0a503ff44UL;
   tf->codes[30700] = 0x0008383d0eb91a28UL;
   tf->codes[30701] = 0x000839f947aede96UL;
   tf->codes[30702] = 0x000840fa2ea1842cUL;
   tf->codes[30703] = 0x00084134f8364ef1UL;
   tf->codes[30704] = 0x000845463754e5d9UL;
   tf->codes[30705] = 0x00084acfbf7b8fa2UL;
   tf->codes[30706] = 0x00085c1d645afe9bUL;
   tf->codes[30707] = 0x000860700f420799UL;
   tf->codes[30708] = 0x000867f3cdc5915bUL;
   tf->codes[30709] = 0x00086afd142c2639UL;
   tf->codes[30710] = 0x000875e8cc61996fUL;
   tf->codes[30711] = 0x0008773bcc58ffe1UL;
   tf->codes[30712] = 0x000878188979bf7aUL;
   tf->codes[30713] = 0x00087cab0640122bUL;
   tf->codes[30714] = 0x0008826c9947417dUL;
   tf->codes[30715] = 0x000885108a2eda74UL;
   tf->codes[30716] = 0x0008854c788ec212UL;
   tf->codes[30717] = 0x0008858a75f5dd9dUL;
   tf->codes[30718] = 0x000886149f677a69UL;
   tf->codes[30719] = 0x0008893f4b5f59a1UL;
   tf->codes[30720] = 0x00088a2fb48c0968UL;
   tf->codes[30721] = 0x00088d26e8cfd67bUL;
   tf->codes[30722] = 0x0008906b335a3be3UL;
   tf->codes[30723] = 0x000891f344eedcddUL;
   tf->codes[30724] = 0x0008948b163a440bUL;
   tf->codes[30725] = 0x000896aeb3b6384dUL;
   tf->codes[30726] = 0x00089c79a7a5542cUL;
   tf->codes[30727] = 0x0008a4f81a799156UL;
   tf->codes[30728] = 0x0008a77ae05ee5b8UL;
   tf->codes[30729] = 0x0008a85f9f0d6f40UL;
   tf->codes[30730] = 0x0008aae8577959a4UL;
   tf->codes[30731] = 0x0008add7c4be628dUL;
   tf->codes[30732] = 0x0008adf337c916e5UL;
   tf->codes[30733] = 0x0008ae14d7e96704UL;
   tf->codes[30734] = 0x0008b530bcc8b568UL;
   tf->codes[30735] = 0x0008b766e1857cffUL;
   tf->codes[30736] = 0x0008b9d0436750f6UL;
   tf->codes[30737] = 0x0008bdb60c5f9fa8UL;
   tf->codes[30738] = 0x0008bff7db9a8d7eUL;
   tf->codes[30739] = 0x0008c00d5c1eabd4UL;
   tf->codes[30740] = 0x0008c07f0bc8df49UL;
   tf->codes[30741] = 0x0008c1ffcb7cc7a3UL;
   tf->codes[30742] = 0x0008ca0a7f9f9d6bUL;
   tf->codes[30743] = 0x0008cf04d60a2b7aUL;
   tf->codes[30744] = 0x0008d033772cfc91UL;
   tf->codes[30745] = 0x0008d20a73806408UL;
   tf->codes[30746] = 0x0008d30a301b965eUL;
   tf->codes[30747] = 0x0008ddaf743e1890UL;
   tf->codes[30748] = 0x0008de7c2e43444bUL;
   tf->codes[30749] = 0x0008e474e1eee212UL;
   tf->codes[30750] = 0x0008e767487735fcUL;
   tf->codes[30751] = 0x0008e7d3b547e4beUL;
   tf->codes[30752] = 0x0008e80a9b5d4d6eUL;
   tf->codes[30753] = 0x0008ecbe4325e4b4UL;
   tf->codes[30754] = 0x0008ee4654ba85aeUL;
   tf->codes[30755] = 0x0008f5770a70e119UL;
   tf->codes[30756] = 0x0008f5c1d7213fbcUL;
   tf->codes[30757] = 0x0008f753bebbd8cdUL;
   tf->codes[30758] = 0x0008f8ccb770fcfdUL;
   tf->codes[30759] = 0x0008fa9dc13dce72UL;
   tf->codes[30760] = 0x0008fce9a10dba24UL;
   tf->codes[30761] = 0x0008fcff96afe404UL;
   tf->codes[30762] = 0x0008ff680e55a0e7UL;
   tf->codes[30763] = 0x0008ff8eb6c06ff4UL;
   tf->codes[30764] = 0x0008fff5a628943eUL;
   tf->codes[30765] = 0x00090182fa96b9ebUL;
   tf->codes[30766] = 0x000901d5c8d4e27dUL;
   tf->codes[30767] = 0x000902d1a1f0b2beUL;
   tf->codes[30768] = 0x0009057d946615a4UL;
   tf->codes[30769] = 0x00090829fbf98414UL;
   tf->codes[30770] = 0x00090ab991281b8eUL;
   tf->codes[30771] = 0x000912050a3c1a02UL;
   tf->codes[30772] = 0x00091217917ced57UL;
   tf->codes[30773] = 0x00091c9ede6f7bbaUL;
   tf->codes[30774] = 0x00091d385b4f9b15UL;
   tf->codes[30775] = 0x000924623443496aUL;
   tf->codes[30776] = 0x000931df1b907c7dUL;
   tf->codes[30777] = 0x000938efcb0fb02cUL;
   tf->codes[30778] = 0x00093bfb207d78f7UL;
   tf->codes[30779] = 0x00093e2c0260bbdbUL;
   tf->codes[30780] = 0x0009427a54aa573aUL;
   tf->codes[30781] = 0x00094390b694c4bfUL;
   tf->codes[30782] = 0x00094468e08910f4UL;
   tf->codes[30783] = 0x000949be414e9749UL;
   tf->codes[30784] = 0x00094c042e97ecf9UL;
   tf->codes[30785] = 0x00094ef1c764c7baUL;
   tf->codes[30786] = 0x000950a72397df12UL;
   tf->codes[30787] = 0x000953e665d7c58cUL;
   tf->codes[30788] = 0x000954c2adda799bUL;
   tf->codes[30789] = 0x00095b1f57aaf0abUL;
   tf->codes[30790] = 0x00095b1f9239f670UL;
   tf->codes[30791] = 0x00095e0c40caba1dUL;
   tf->codes[30792] = 0x00095f055b324522UL;
   tf->codes[30793] = 0x00095fddfa449ce1UL;
   tf->codes[30794] = 0x0009639ce04316c1UL;
   tf->codes[30795] = 0x000963defbb89a26UL;
   tf->codes[30796] = 0x000965f3bae41763UL;
   tf->codes[30797] = 0x000967f2befc7085UL;
   tf->codes[30798] = 0x00097060f426140cUL;
   tf->codes[30799] = 0x0009725a4046dcf1UL;
   tf->codes[30800] = 0x0009736398590199UL;
   tf->codes[30801] = 0x000973ffd3ed6630UL;
   tf->codes[30802] = 0x000978dce2d511bfUL;
   tf->codes[30803] = 0x000979498a34c646UL;
   tf->codes[30804] = 0x000979fc6b18660cUL;
   tf->codes[30805] = 0x00097c5c6c124d76UL;
   tf->codes[30806] = 0x00097d0193709310UL;
   tf->codes[30807] = 0x00097d1ba72124caUL;
   tf->codes[30808] = 0x00098072b37b634cUL;
   tf->codes[30809] = 0x0009844c5cd78035UL;
   tf->codes[30810] = 0x000985d4a8fb26f4UL;
   tf->codes[30811] = 0x000987b4cba77533UL;
   tf->codes[30812] = 0x000990997e36c558UL;
   tf->codes[30813] = 0x0009918dcae2d734UL;
   tf->codes[30814] = 0x00099318260db1e0UL;
   tf->codes[30815] = 0x00099337b726ce12UL;
   tf->codes[30816] = 0x0009949a7faac29dUL;
   tf->codes[30817] = 0x00099ce8397f32deUL;
   tf->codes[30818] = 0x00099eaa9f8a9313UL;
   tf->codes[30819] = 0x0009a0168e676e66UL;
   tf->codes[30820] = 0x0009a29152bef8d9UL;
   tf->codes[30821] = 0x0009a3847a9feddcUL;
   tf->codes[30822] = 0x0009a4fb9edce3e4UL;
   tf->codes[30823] = 0x0009a53a86801683UL;
   tf->codes[30824] = 0x0009a5f52e627a73UL;
   tf->codes[30825] = 0x0009a948573d56e0UL;
   tf->codes[30826] = 0x0009ab120f296fb5UL;
   tf->codes[30827] = 0x0009ab83bed3a32aUL;
   tf->codes[30828] = 0x0009aee9a97e58b1UL;
   tf->codes[30829] = 0x0009b2f40bda4283UL;
   tf->codes[30830] = 0x0009b351253c6eb6UL;
   tf->codes[30831] = 0x0009b64859803bc9UL;
   tf->codes[30832] = 0x0009bfc404ca6bd2UL;
   tf->codes[30833] = 0x0009c1b290a9258cUL;
   tf->codes[30834] = 0x0009c4fd084926bbUL;
   tf->codes[30835] = 0x0009ca4c016a0b84UL;
   tf->codes[30836] = 0x0009d147306520ddUL;
   tf->codes[30837] = 0x0009d578009cd3f7UL;
   tf->codes[30838] = 0x0009dc9753dd78e6UL;
   tf->codes[30839] = 0x0009dd502747aeaeUL;
   tf->codes[30840] = 0x0009e48e5bf45e80UL;
   tf->codes[30841] = 0x0009e540c7b9f2bcUL;
   tf->codes[30842] = 0x0009e80f09fcb710UL;
   tf->codes[30843] = 0x0009e927405f52bdUL;
   tf->codes[30844] = 0x0009ea14b048b783UL;
   tf->codes[30845] = 0x0009ea5d3362dc74UL;
   tf->codes[30846] = 0x0009f35816235c3eUL;
   tf->codes[30847] = 0x0009f956f6e495ccUL;
   tf->codes[30848] = 0x0009f9694396635cUL;
   tf->codes[30849] = 0x0009ff3c73a24eefUL;
   tf->codes[30850] = 0x000a0029a8fcadf0UL;
   tf->codes[30851] = 0x000a088ce3553c87UL;
   tf->codes[30852] = 0x000a08e68e56122fUL;
   tf->codes[30853] = 0x000a0b6de767d9f5UL;
   tf->codes[30854] = 0x000a1056a0cdabc3UL;
   tf->codes[30855] = 0x000a109b7af77464UL;
   tf->codes[30856] = 0x000a17569d843a45UL;
   tf->codes[30857] = 0x000a1808599cbd32UL;
   tf->codes[30858] = 0x000a19936474a92dUL;
   tf->codes[30859] = 0x000a1b7bc33dc720UL;
   tf->codes[30860] = 0x000a1e0e8c3eaf60UL;
   tf->codes[30861] = 0x000a2197b0f2dd69UL;
   tf->codes[30862] = 0x000a23383c4ee7baUL;
   tf->codes[30863] = 0x000a246d7fa56022UL;
   tf->codes[30864] = 0x000a262add664169UL;
   tf->codes[30865] = 0x000a28e9cc3a832eUL;
   tf->codes[30866] = 0x000a2f4bb8e47ef1UL;
   tf->codes[30867] = 0x000a31af283fbce6UL;
   tf->codes[30868] = 0x000a3b75a03a4b92UL;
   tf->codes[30869] = 0x000a3c455382c24eUL;
   tf->codes[30870] = 0x000a3d8f67b047bdUL;
   tf->codes[30871] = 0x000a3dc22fb74893UL;
   tf->codes[30872] = 0x000a3e26d589332bUL;
   tf->codes[30873] = 0x000a4134af1c3b6dUL;
   tf->codes[30874] = 0x000a452cff555d74UL;
   tf->codes[30875] = 0x000a46f557e753abUL;
   tf->codes[30876] = 0x000a49e4ffbb6259UL;
   tf->codes[30877] = 0x000a4a124a59d8b7UL;
   tf->codes[30878] = 0x000a4b8e01c34223UL;
   tf->codes[30879] = 0x000a4cfb4ffa4014UL;
   tf->codes[30880] = 0x000a4e3b5392c7a7UL;
   tf->codes[30881] = 0x000a54f934d3d2c4UL;
   tf->codes[30882] = 0x000a5680219d56e5UL;
   tf->codes[30883] = 0x000a57bd2bf29377UL;
   tf->codes[30884] = 0x000a5a16ffd6df1aUL;
   tf->codes[30885] = 0x000a5b87bc6f3396UL;
   tf->codes[30886] = 0x000a5b9b2dec1dffUL;
   tf->codes[30887] = 0x000a5f7b3eecdc74UL;
   tf->codes[30888] = 0x000a64096315c186UL;
   tf->codes[30889] = 0x000a6613d71d3b22UL;
   tf->codes[30890] = 0x000a6df6837b1f3fUL;
   tf->codes[30891] = 0x000a73dcea74ef76UL;
   tf->codes[30892] = 0x000a77e8719bf621UL;
   tf->codes[30893] = 0x000a795968c35062UL;
   tf->codes[30894] = 0x000a7996b67d5a9eUL;
   tf->codes[30895] = 0x000a7a9304b73669UL;
   tf->codes[30896] = 0x000a7cef974fc748UL;
   tf->codes[30897] = 0x000a80ca2ae7fb45UL;
   tf->codes[30898] = 0x000a86608257e826UL;
   tf->codes[30899] = 0x000a8675c84d00b7UL;
   tf->codes[30900] = 0x000a87e8595d835bUL;
   tf->codes[30901] = 0x000a889be9ee3470UL;
   tf->codes[30902] = 0x000a88eeb82c5d02UL;
   tf->codes[30903] = 0x000a8a3adb61165eUL;
   tf->codes[30904] = 0x000a8cfcfe07a8e9UL;
   tf->codes[30905] = 0x000a9340f381b0ddUL;
   tf->codes[30906] = 0x000a9577183e7874UL;
   tf->codes[30907] = 0x000a959f5a926fe4UL;
   tf->codes[30908] = 0x000a968787a24ff7UL;
   tf->codes[30909] = 0x000a97d03c75b2c8UL;
   tf->codes[30910] = 0x000a9b7e6fab877bUL;
   tf->codes[30911] = 0x000a9c94d195f500UL;
   tf->codes[30912] = 0x000a9cffdf0c8124UL;
   tf->codes[30913] = 0x000a9d82417f59c6UL;
   tf->codes[30914] = 0x000a9d9fc391420bUL;
   tf->codes[30915] = 0x000a9fec187f3947UL;
   tf->codes[30916] = 0x000aa39000910a59UL;
   tf->codes[30917] = 0x000aa73d0efbc233UL;
   tf->codes[30918] = 0x000aa8ed285554d8UL;
   tf->codes[30919] = 0x000aaa14027961c5UL;
   tf->codes[30920] = 0x000aab08c4437f2bUL;
   tf->codes[30921] = 0x000aaf6b72461c07UL;
   tf->codes[30922] = 0x000aaf712a3dac44UL;
   tf->codes[30923] = 0x000ab18b66d1b3f9UL;
   tf->codes[30924] = 0x000abcdc39f71d51UL;
   tf->codes[30925] = 0x000ac1d94f15f09cUL;
   tf->codes[30926] = 0x000ac29ce2c2358fUL;
   tf->codes[30927] = 0x000ac4dbf348de29UL;
   tf->codes[30928] = 0x000ace50c1d0611cUL;
   tf->codes[30929] = 0x000adb1a188ce31aUL;
   tf->codes[30930] = 0x000aded8fe8b5cfaUL;
   tf->codes[30931] = 0x000ae072e7b3bffaUL;
   tf->codes[30932] = 0x000ae18fb142cf0bUL;
   tf->codes[30933] = 0x000ae30db2427229UL;
   tf->codes[30934] = 0x000ae896ffda162dUL;
   tf->codes[30935] = 0x000ae8df0dd62f94UL;
   tf->codes[30936] = 0x000aeb6db8c8affaUL;
   tf->codes[30937] = 0x000aebd0c4b1722fUL;
   tf->codes[30938] = 0x000af096f3badccaUL;
   tf->codes[30939] = 0x000af27df329d81fUL;
   tf->codes[30940] = 0x000af37c506ae7d7UL;
   tf->codes[30941] = 0x000af4e71a7ca651UL;
   tf->codes[30942] = 0x000af7492a7dc1a8UL;
   tf->codes[30943] = 0x000afa0ef614b083UL;
   tf->codes[30944] = 0x000aff198a29d835UL;
   tf->codes[30945] = 0x000b0be8d36cf035UL;
   tf->codes[30946] = 0x000b0d5153e874fdUL;
   tf->codes[30947] = 0x000b0e544455f819UL;
   tf->codes[30948] = 0x000b15a78468bab7UL;
   tf->codes[30949] = 0x000b1614db75808dUL;
   tf->codes[30950] = 0x000b175170acb195UL;
   tf->codes[30951] = 0x000b182c59554306UL;
   tf->codes[30952] = 0x000b1d513baa0237UL;
   tf->codes[30953] = 0x000b1fe9bca27ab4UL;
   tf->codes[30954] = 0x000b20cad260a7ecUL;
   tf->codes[30955] = 0x000b271828c29c6dUL;
   tf->codes[30956] = 0x000b278370c82e56UL;
   tf->codes[30957] = 0x000b2c4840777653UL;
   tf->codes[30958] = 0x000b336f5ab6df6cUL;
   tf->codes[30959] = 0x000b3b4f48607e4dUL;
   tf->codes[30960] = 0x000b3c84c645fc7aUL;
   tf->codes[30961] = 0x000b3cdb78038721UL;
   tf->codes[30962] = 0x000b4091acc725c3UL;
   tf->codes[30963] = 0x000b4181db64cfc5UL;
   tf->codes[30964] = 0x000b46db1fa9b82fUL;
   tf->codes[30965] = 0x000b4a0f2c8983f4UL;
   tf->codes[30966] = 0x000b4b513f293f74UL;
   tf->codes[30967] = 0x000b4b6d2751ff56UL;
   tf->codes[30968] = 0x000b4f1f03783059UL;
   tf->codes[30969] = 0x000b519d70c0171cUL;
   tf->codes[30970] = 0x000b52fb6b88927eUL;
   tf->codes[30971] = 0x000b5736fc0254c3UL;
   tf->codes[30972] = 0x000b5d5692a7c75cUL;
   tf->codes[30973] = 0x000b5f9c0ad31182UL;
   tf->codes[30974] = 0x000b62198ddee131UL;
   tf->codes[30975] = 0x000b685fccef22d7UL;
   tf->codes[30976] = 0x000b6b9ab6919bb2UL;
   tf->codes[30977] = 0x000b6bd3abae384fUL;
   tf->codes[30978] = 0x000b6cd193d13c7dUL;
   tf->codes[30979] = 0x000b6d9adf7511adUL;
   tf->codes[30980] = 0x000b72e336624f25UL;
   tf->codes[30981] = 0x000b770c3f9b3e15UL;
   tf->codes[30982] = 0x000b781fe2d1665eUL;
   tf->codes[30983] = 0x000b7a3eb291e177UL;
   tf->codes[30984] = 0x000b7e76d4aa4d31UL;
   tf->codes[30985] = 0x000b867c45f39e46UL;
   tf->codes[30986] = 0x000b895cd4e8302aUL;
   tf->codes[30987] = 0x000b8b66d3d19e3cUL;
   tf->codes[30988] = 0x000b8efd025e1522UL;
   tf->codes[30989] = 0x000b919633039eeeUL;
   tf->codes[30990] = 0x000b91ab03daabf5UL;
   tf->codes[30991] = 0x000b93db3610dd8aUL;
   tf->codes[30992] = 0x000b94f74ff2db4cUL;
   tf->codes[30993] = 0x000b96d1baa7994eUL;
   tf->codes[30994] = 0x000b9aa5ac0c25faUL;
   tf->codes[30995] = 0x000ba4b43202ce0dUL;
   tf->codes[30996] = 0x000ba4f59dcb4023UL;
   tf->codes[30997] = 0x000ba60e0ebce195UL;
   tf->codes[30998] = 0x000bac173aa21ec4UL;
   tf->codes[30999] = 0x000bb0cfb0262f33UL;
   tf->codes[31000] = 0x000bb3bbaf09e191UL;
   tf->codes[31001] = 0x000bb8f2de106e52UL;
   tf->codes[31002] = 0x000bb970e7e5d955UL;
   tf->codes[31003] = 0x000bbae28eba44e5UL;
   tf->codes[31004] = 0x000bbaf1e228c774UL;
   tf->codes[31005] = 0x000bbb12d29c0644UL;
   tf->codes[31006] = 0x000bbdb43f5e5fc4UL;
   tf->codes[31007] = 0x000bbe68ba2b27edUL;
   tf->codes[31008] = 0x000bc05a04be26e3UL;
   tf->codes[31009] = 0x000bc2f8783d3562UL;
   tf->codes[31010] = 0x000bc3f660603990UL;
   tf->codes[31011] = 0x000bc4afe37780a7UL;
   tf->codes[31012] = 0x000bc682fc4b8609UL;
   tf->codes[31013] = 0x000bc84f72ebe41aUL;
   tf->codes[31014] = 0x000bcc7e341c6347UL;
   tf->codes[31015] = 0x000bcec804e51b0cUL;
   tf->codes[31016] = 0x000bcf3e824ac7aaUL;
   tf->codes[31017] = 0x000bd046f020d53eUL;
   tf->codes[31018] = 0x000bd0d3d846b746UL;
   tf->codes[31019] = 0x000bd6759fa5c4a1UL;
   tf->codes[31020] = 0x000bd776f62a1f5aUL;
   tf->codes[31021] = 0x000bd9478ad8e545UL;
   tf->codes[31022] = 0x000bd98f98d4feacUL;
   tf->codes[31023] = 0x000bdcf12ae24694UL;
   tf->codes[31024] = 0x000bdd2eb32b5695UL;
   tf->codes[31025] = 0x000bde500fe6d90aUL;
   tf->codes[31026] = 0x000be2523625f328UL;
   tf->codes[31027] = 0x000be56308fc466bUL;
   tf->codes[31028] = 0x000be8ef26f3bf75UL;
   tf->codes[31029] = 0x000beabb287611fcUL;
   tf->codes[31030] = 0x000bedf77172ad75UL;
   tf->codes[31031] = 0x000bef356604011bUL;
   tf->codes[31032] = 0x000bf0d5b6d105a7UL;
   tf->codes[31033] = 0x000bfe28c1e118e7UL;
   tf->codes[31034] = 0x000bffef0b6bdb31UL;
   tf->codes[31035] = 0x000c001f4f4d9c90UL;
   tf->codes[31036] = 0x000c007f61f313c4UL;
   tf->codes[31037] = 0x000c0902dd11cfdcUL;
   tf->codes[31038] = 0x000c0bd06fa782e1UL;
   tf->codes[31039] = 0x000c143ea4d12668UL;
   tf->codes[31040] = 0x000c158eab8541d9UL;
   tf->codes[31041] = 0x000c1973c4d07f3cUL;
   tf->codes[31042] = 0x000c1c719b47f3a0UL;
   tf->codes[31043] = 0x000c1dbdbe7cacfcUL;
   tf->codes[31044] = 0x000c1eae9cc7684dUL;
   tf->codes[31045] = 0x000c227549c4a657UL;
   tf->codes[31046] = 0x000c2a4150d34f45UL;
   tf->codes[31047] = 0x000c2bfb4032da01UL;
   tf->codes[31048] = 0x000c2d734eabe71dUL;
   tf->codes[31049] = 0x000c3470179024d9UL;
   tf->codes[31050] = 0x000c37f7a25b2a7fUL;
   tf->codes[31051] = 0x000c411e35d0f844UL;
   tf->codes[31052] = 0x000c438b7b322e50UL;
   tf->codes[31053] = 0x000c4410273b40a4UL;
   tf->codes[31054] = 0x000c5011cc3d15d5UL;
   tf->codes[31055] = 0x000c52715818f1b5UL;
   tf->codes[31056] = 0x000c58fe805a2fe9UL;
   tf->codes[31057] = 0x000c5a9f80d445c4UL;
   tf->codes[31058] = 0x000c6136b9aa81d4UL;
   tf->codes[31059] = 0x000c65f730bc5c32UL;
   tf->codes[31060] = 0x000c6f78ce8d223dUL;
   tf->codes[31061] = 0x000c7108e1af8d26UL;
   tf->codes[31062] = 0x000c732d2ed892b7UL;
   tf->codes[31063] = 0x000c751b459940e7UL;
   tf->codes[31064] = 0x000c7648fc7ffaeaUL;
   tf->codes[31065] = 0x000c778a9a01aae0UL;
   tf->codes[31066] = 0x000c830c60b5e6e6UL;
   tf->codes[31067] = 0x000c846c2ff69070UL;
   tf->codes[31068] = 0x000c89ae59ce3221UL;
   tf->codes[31069] = 0x000c8f3b15c72cb0UL;
   tf->codes[31070] = 0x000c920f10018141UL;
   tf->codes[31071] = 0x000c946c5247236fUL;
   tf->codes[31072] = 0x000c9607603aa348UL;
   tf->codes[31073] = 0x000c96e20e542ef4UL;
   tf->codes[31074] = 0x000c96f57fd1195dUL;
   tf->codes[31075] = 0x000c995580cb00c7UL;
   tf->codes[31076] = 0x000c99c4ac4ff4c5UL;
   tf->codes[31077] = 0x000c9b3568e84941UL;
   tf->codes[31078] = 0x000c9f174e6135deUL;
   tf->codes[31079] = 0x000c9fe2e39b44c0UL;
   tf->codes[31080] = 0x000ca1105ff2f8feUL;
   tf->codes[31081] = 0x000ca2008e90a300UL;
   tf->codes[31082] = 0x000ca46054fb84a5UL;
   tf->codes[31083] = 0x000ca47142532f97UL;
   tf->codes[31084] = 0x000ca5f8a43abf42UL;
   tf->codes[31085] = 0x000caa46f6845aa1UL;
   tf->codes[31086] = 0x000caa81c0192566UL;
   tf->codes[31087] = 0x000caaf5f3e89852UL;
   tf->codes[31088] = 0x000cab79b5b59392UL;
   tf->codes[31089] = 0x000cafbc98100e77UL;
   tf->codes[31090] = 0x000cb035d42a0051UL;
   tf->codes[31091] = 0x000cb1cb64b4f5b2UL;
   tf->codes[31092] = 0x000cb2ec11c366d8UL;
   tf->codes[31093] = 0x000cb3f236033abaUL;
   tf->codes[31094] = 0x000cb4f0cdd35037UL;
   tf->codes[31095] = 0x000cb566d61af14bUL;
   tf->codes[31096] = 0x000cba436fe49150UL;
   tf->codes[31097] = 0x000cba59a015c0f5UL;
   tf->codes[31098] = 0x000cbb04f489a256UL;
   tf->codes[31099] = 0x000cc0162ad27159UL;
   tf->codes[31100] = 0x000cc260362a2ee3UL;
   tf->codes[31101] = 0x000cc4042fe78fbfUL;
   tf->codes[31102] = 0x000cc8d05177905cUL;
   tf->codes[31103] = 0x000ccc05f8408484UL;
   tf->codes[31104] = 0x000ccd39671ecec4UL;
   tf->codes[31105] = 0x000cd4baa17d190fUL;
   tf->codes[31106] = 0x000cd7f3f1366987UL;
   tf->codes[31107] = 0x000cd955cf7e46feUL;
   tf->codes[31108] = 0x000cd9ed02c82ca7UL;
   tf->codes[31109] = 0x000cdddd16e47efaUL;
   tf->codes[31110] = 0x000ce11df30d8dd7UL;
   tf->codes[31111] = 0x000ce23ba6d8b3fcUL;
   tf->codes[31112] = 0x000ce8dfaef83324UL;
   tf->codes[31113] = 0x000cea27b41e84a6UL;
   tf->codes[31114] = 0x000ceab79587b1afUL;
   tf->codes[31115] = 0x000cefcb8a84c5eeUL;
   tf->codes[31116] = 0x000cf1d5fe8c3f8aUL;
   tf->codes[31117] = 0x000cf276582f0bfbUL;
   tf->codes[31118] = 0x000cf54c9bff9a3eUL;
   tf->codes[31119] = 0x000cf76628e690a4UL;
   tf->codes[31120] = 0x000cf9079e7eb209UL;
   tf->codes[31121] = 0x000cff19f0bcd600UL;
   tf->codes[31122] = 0x000cff865d8d84c2UL;
   tf->codes[31123] = 0x000d02f02bb79c5eUL;
   tf->codes[31124] = 0x000d03ffeb6e6292UL;
   tf->codes[31125] = 0x000d065566b54096UL;
   tf->codes[31126] = 0x000d0988fe7700d1UL;
   tf->codes[31127] = 0x000d0e02c6e6e466UL;
   tf->codes[31128] = 0x000d0eeffc414367UL;
   tf->codes[31129] = 0x000d115ccc846de9UL;
   tf->codes[31130] = 0x000d124449e73cadUL;
   tf->codes[31131] = 0x000d1b67e419bf71UL;
   tf->codes[31132] = 0x000d1ddae17285baUL;
   tf->codes[31133] = 0x000d1f189b74d39bUL;
   tf->codes[31134] = 0x000d21ff577f0146UL;
   tf->codes[31135] = 0x000d22931c679064UL;
   tf->codes[31136] = 0x000d229da21a99caUL;
   tf->codes[31137] = 0x000d2375917fe03aUL;
   tf->codes[31138] = 0x000d2573363e16beUL;
   tf->codes[31139] = 0x000d257b725ae672UL;
   tf->codes[31140] = 0x000d2894f66c14f3UL;
   tf->codes[31141] = 0x000d28e62ac11522UL;
   tf->codes[31142] = 0x000d293b7d247d2bUL;
   tf->codes[31143] = 0x000d29d6595ebf24UL;
   tf->codes[31144] = 0x000d2acd64bf163cUL;
   tf->codes[31145] = 0x000d2be22cc05b5eUL;
   tf->codes[31146] = 0x000d2d7ed49d039aUL;
   tf->codes[31147] = 0x000d2e31b580a360UL;
   tf->codes[31148] = 0x000d30ba6dec8dc4UL;
   tf->codes[31149] = 0x000d30e917e526c0UL;
   tf->codes[31150] = 0x000d333bd477bf88UL;
   tf->codes[31151] = 0x000d353dd1d363abUL;
   tf->codes[31152] = 0x000d3b2d99b5206fUL;
   tf->codes[31153] = 0x000d3d9e4d77ad06UL;
   tf->codes[31154] = 0x000d40febab9d815UL;
   tf->codes[31155] = 0x000d4373c719d24bUL;
   tf->codes[31156] = 0x000d4a1c6265c4d7UL;
   tf->codes[31157] = 0x000d4b3e6ece589bUL;
   tf->codes[31158] = 0x000d4b8e43c9362cUL;
   tf->codes[31159] = 0x000d4c039c63c5f1UL;
   tf->codes[31160] = 0x000d517bfca3bf03UL;
   tf->codes[31161] = 0x000d54f8177fa42fUL;
   tf->codes[31162] = 0x000d58de1b06f8a6UL;
   tf->codes[31163] = 0x000d614c8abfa1f2UL;
   tf->codes[31164] = 0x000d668e7a083ddeUL;
   tf->codes[31165] = 0x000d679a1bb09c38UL;
   tf->codes[31166] = 0x000d6b86c16b9800UL;
   tf->codes[31167] = 0x000d6b990e1d6590UL;
   tf->codes[31168] = 0x000d706a37f7e51bUL;
   tf->codes[31169] = 0x000d72484b9cff6dUL;
   tf->codes[31170] = 0x000d73458412f24cUL;
   tf->codes[31171] = 0x000d759372ea11ebUL;
   tf->codes[31172] = 0x000d78304c7ff807UL;
   tf->codes[31173] = 0x000d79bf75664bdcUL;
   tf->codes[31174] = 0x000d7e3ce6c68bc1UL;
   tf->codes[31175] = 0x000d7ea326819ebcUL;
   tf->codes[31176] = 0x000d821ae8c01649UL;
   tf->codes[31177] = 0x000d8587eabc7eabUL;
   tf->codes[31178] = 0x000d85f7c5ee83f8UL;
   tf->codes[31179] = 0x000d8b0309b0bcf9UL;
   tf->codes[31180] = 0x000d8c16e775eb07UL;
   tf->codes[31181] = 0x000d8e938045a3a2UL;
   tf->codes[31182] = 0x000d916272357945UL;
   tf->codes[31183] = 0x000d9509c8a8a0e2UL;
   tf->codes[31184] = 0x000d9540742f03cdUL;
   tf->codes[31185] = 0x000d9a0bab82ed56UL;
   tf->codes[31186] = 0x000d9b92d2db773cUL;
   tf->codes[31187] = 0x000d9dc8f7983ed3UL;
   tf->codes[31188] = 0x000d9df557fa9e1dUL;
   tf->codes[31189] = 0x000da4b24eff9226UL;
   tf->codes[31190] = 0x000da5b0ac40a1deUL;
   tf->codes[31191] = 0x000da5ee3489b1dfUL;
   tf->codes[31192] = 0x000da7166e07e16aUL;
   tf->codes[31193] = 0x000db7fef7f75a41UL;
   tf->codes[31194] = 0x000db82ae33bae01UL;
   tf->codes[31195] = 0x000dbb588876d83aUL;
   tf->codes[31196] = 0x000dbf51133f0006UL;
   tf->codes[31197] = 0x000dc0a18f112701UL;
   tf->codes[31198] = 0x000dc266b3d0cc72UL;
   tf->codes[31199] = 0x000dc363ec46bf51UL;
   tf->codes[31200] = 0x000dc674848e0ccfUL;
   tf->codes[31201] = 0x000dc693a0891d77UL;
   tf->codes[31202] = 0x000dc7c53aef398fUL;
   tf->codes[31203] = 0x000dc7f509b2ef64UL;
   tf->codes[31204] = 0x000dd2c6e8c6d6a5UL;
   tf->codes[31205] = 0x000dd43c388b9e85UL;
   tf->codes[31206] = 0x000dd579b7fee6a1UL;
   tf->codes[31207] = 0x000dd70d7411addaUL;
   tf->codes[31208] = 0x000dd7c6820ae967UL;
   tf->codes[31209] = 0x000ddb08f81d20a7UL;
   tf->codes[31210] = 0x000ddc5e071bbb06UL;
   tf->codes[31211] = 0x000ddde23530f9ebUL;
   tf->codes[31212] = 0x000dde50eb97e25fUL;
   tf->codes[31213] = 0x000ddf45ad61ffc5UL;
   tf->codes[31214] = 0x000de2f57a80fcdbUL;
   tf->codes[31215] = 0x000de585bf5ca5a4UL;
   tf->codes[31216] = 0x000de87392b8862aUL;
   tf->codes[31217] = 0x000ded08ce331e17UL;
   tf->codes[31218] = 0x000ded9b6e50905cUL;
   tf->codes[31219] = 0x000df75b441777b7UL;
   tf->codes[31220] = 0x000e051abbf839b9UL;
   tf->codes[31221] = 0x000e064a81e627a9UL;
   tf->codes[31222] = 0x000e085d6c9976beUL;
   tf->codes[31223] = 0x000e0b11d5baaf1dUL;
   tf->codes[31224] = 0x000e0b71e8602651UL;
   tf->codes[31225] = 0x000e0ed9e2120fc5UL;
   tf->codes[31226] = 0x000e1559c5ebff57UL;
   tf->codes[31227] = 0x000e161fddbd83c1UL;
   tf->codes[31228] = 0x000e170b792eba5fUL;
   tf->codes[31229] = 0x000e17aa38e85e6dUL;
   tf->codes[31230] = 0x000e182a1735f798UL;
   tf->codes[31231] = 0x000e1aea2ad55636UL;
   tf->codes[31232] = 0x000e1b10239313f4UL;
   tf->codes[31233] = 0x000e1d1dcb6cde56UL;
   tf->codes[31234] = 0x000e213ed3180357UL;
   tf->codes[31235] = 0x000e21950fb78274UL;
   tf->codes[31236] = 0x000e22595310d8b6UL;
   tf->codes[31237] = 0x000e270115cc43f8UL;
   tf->codes[31238] = 0x000e29d0f1f830afUL;
   tf->codes[31239] = 0x000e2cce18c293c4UL;
   tf->codes[31240] = 0x000e345754aea7feUL;
   tf->codes[31241] = 0x000e3c95bb1495b0UL;
   tf->codes[31242] = 0x000e3ffa80f42e5eUL;
   tf->codes[31243] = 0x000e4631a724f33aUL;
   tf->codes[31244] = 0x000e4804fa87fe61UL;
   tf->codes[31245] = 0x000e48792e57714dUL;
   tf->codes[31246] = 0x000e549b893d7f89UL;
   tf->codes[31247] = 0x000e59cd3adb81d2UL;
   tf->codes[31248] = 0x000e5a6383e95067UL;
   tf->codes[31249] = 0x000e6377558f4512UL;
   tf->codes[31250] = 0x000e696bb09d753aUL;
   tf->codes[31251] = 0x000e6e5bf673056dUL;
   tf->codes[31252] = 0x000e71ceb066fe0cUL;
   tf->codes[31253] = 0x000e7882bba21112UL;
   tf->codes[31254] = 0x000e7d8dc4d5444eUL;
   tf->codes[31255] = 0x000e81c0a4142b55UL;
   tf->codes[31256] = 0x000e8548a3fd3c85UL;
   tf->codes[31257] = 0x000e8c409f260118UL;
   tf->codes[31258] = 0x000e906b4248186bUL;
   tf->codes[31259] = 0x000e90df76178b57UL;
   tf->codes[31260] = 0x000e922f423ca103UL;
   tf->codes[31261] = 0x000e94673b7196c2UL;
   tf->codes[31262] = 0x000e9544a83f67aaUL;
   tf->codes[31263] = 0x000e96416b974effUL;
   tf->codes[31264] = 0x000e964a57613002UL;
   tf->codes[31265] = 0x000e9a0559e047cdUL;
   tf->codes[31266] = 0x000e9c83177b1d41UL;
   tf->codes[31267] = 0x000e9dca6cf45d74UL;
   tf->codes[31268] = 0x000e9ec979e27e7bUL;
   tf->codes[31269] = 0x000e9ee820bf8399UL;
   tf->codes[31270] = 0x000ea5f686a87d96UL;
   tf->codes[31271] = 0x000ea6ead3548f72UL;
   tf->codes[31272] = 0x000eb1de5288c6d2UL;
   tf->codes[31273] = 0x000eb5e003a9d566UL;
   tf->codes[31274] = 0x000eb65a648ee419UL;
   tf->codes[31275] = 0x000eba49c8fe251dUL;
   tf->codes[31276] = 0x000ebb82efd3ff9aUL;
   tf->codes[31277] = 0x000ec249824fe5f5UL;
   tf->codes[31278] = 0x000ec4e8305dfa39UL;
   tf->codes[31279] = 0x000ec58d57bc3fd3UL;
   tf->codes[31280] = 0x000ec594a99cf873UL;
   tf->codes[31281] = 0x000ec60e5ad4f5d7UL;
   tf->codes[31282] = 0x000ec61b2a1e38efUL;
   tf->codes[31283] = 0x000ec7e30d92239cUL;
   tf->codes[31284] = 0x000ecc17119c277cUL;
   tf->codes[31285] = 0x000ecf5703891f45UL;
   tf->codes[31286] = 0x000ed78ae43c0391UL;
   tf->codes[31287] = 0x000ed9a81a135647UL;
   tf->codes[31288] = 0x000edeb482a0ac21UL;
   tf->codes[31289] = 0x000edf829bfffa7aUL;
   tf->codes[31290] = 0x000ee0b6456d4a7fUL;
   tf->codes[31291] = 0x000ee2518defd01dUL;
   tf->codes[31292] = 0x000ee2ecdf481da0UL;
   tf->codes[31293] = 0x000ee38f828123c3UL;
   tf->codes[31294] = 0x000ee456848ebf41UL;
   tf->codes[31295] = 0x000ee6fe9384c012UL;
   tf->codes[31296] = 0x000eea727243d58aUL;
   tf->codes[31297] = 0x000eecf5ad473576UL;
   tf->codes[31298] = 0x000eed041679a0f1UL;
   tf->codes[31299] = 0x000ef29c4261bbfaUL;
   tf->codes[31300] = 0x000ef40daea721c5UL;
   tf->codes[31301] = 0x000ef457cbaa6f19UL;
   tf->codes[31302] = 0x000ef4ea6bc7e15eUL;
   tf->codes[31303] = 0x000ef865d6f6b53bUL;
   tf->codes[31304] = 0x000f014d483a4a9cUL;
   tf->codes[31305] = 0x000f07dd69bed3d1UL;
   tf->codes[31306] = 0x000f08633a9302feUL;
   tf->codes[31307] = 0x000f090f0424efe9UL;
   tf->codes[31308] = 0x000f0cfc1efdf73bUL;
   tf->codes[31309] = 0x000f157eea6fa204UL;
   tf->codes[31310] = 0x000f1729c0efaff6UL;
   tf->codes[31311] = 0x000f178490bba277UL;
   tf->codes[31312] = 0x000f1864bc3db89bUL;
   tf->codes[31313] = 0x000f1c5f560d1454UL;
   tf->codes[31314] = 0x000f2265c33e0c47UL;
   tf->codes[31315] = 0x000f2511f04274f2UL;
   tf->codes[31316] = 0x000f253d2bd9b763UL;
   tf->codes[31317] = 0x000f2ae67fa88323UL;
   tf->codes[31318] = 0x000f2b6f0f30f78cUL;
   tf->codes[31319] = 0x000f2d2430d5091fUL;
   tf->codes[31320] = 0x000f3a6c068501aaUL;
   tf->codes[31321] = 0x000f3a8027aefd62UL;
   tf->codes[31322] = 0x000f3b2f5fa240d8UL;
   tf->codes[31323] = 0x000f3cdd2f6599cbUL;
   tf->codes[31324] = 0x000f46dcd70bcad9UL;
   tf->codes[31325] = 0x000f5760f5b85eddUL;
   tf->codes[31326] = 0x000f62c91dda14b3UL;
   tf->codes[31327] = 0x000f6b1418fa3fb8UL;
   tf->codes[31328] = 0x000f6d2ae72cf0e2UL;
   tf->codes[31329] = 0x000f6f0eb2c99b71UL;
   tf->codes[31330] = 0x000f7117c776f26fUL;
   tf->codes[31331] = 0x000f727378a9341fUL;
   tf->codes[31332] = 0x000f75bd409c23ffUL;
   tf->codes[31333] = 0x000f7c8273bde7bcUL;
   tf->codes[31334] = 0x000f7d7c3dd28410UL;
   tf->codes[31335] = 0x000f81f04e4ad768UL;
   tf->codes[31336] = 0x000f820a276c635dUL;
   tf->codes[31337] = 0x000f950526f11fbfUL;
   tf->codes[31338] = 0x000f9cef5fbec241UL;
   tf->codes[31339] = 0x000f9eb4bf0d6d77UL;
   tf->codes[31340] = 0x000fa0951c48c17bUL;
   tf->codes[31341] = 0x000fa2c33f77bf23UL;
   tf->codes[31342] = 0x000fa37f81434b76UL;
   tf->codes[31343] = 0x000fa3c754b05f18UL;
   tf->codes[31344] = 0x000faa7a75af5b0aUL;
   tf->codes[31345] = 0x000fadff7c552139UL;
   tf->codes[31346] = 0x000fb08a093939c5UL;
   tf->codes[31347] = 0x000fb3f18dcd17afUL;
   tf->codes[31348] = 0x000fb46ee7f57163UL;
   tf->codes[31349] = 0x000fb6038e444fb0UL;
   tf->codes[31350] = 0x000fb99ec51b4584UL;
   tf->codes[31351] = 0x000fbb5ea7016642UL;
   tf->codes[31352] = 0x000fbc2daa9ccbafUL;
   tf->codes[31353] = 0x000fbc9215dfb082UL;
   tf->codes[31354] = 0x000fc0119f1cec39UL;
   tf->codes[31355] = 0x000fc20de481001fUL;
   tf->codes[31356] = 0x000fc2e7a85e74b7UL;
   tf->codes[31357] = 0x000fc6cdabe5c92eUL;
   tf->codes[31358] = 0x000fc6ed778deb25UL;
   tf->codes[31359] = 0x000fcf106ae9247fUL;
   tf->codes[31360] = 0x000fd04c50734438UL;
   tf->codes[31361] = 0x000fd0cb09f5c08aUL;
   tf->codes[31362] = 0x000fd62f0e7cb81fUL;
   tf->codes[31363] = 0x000fe008f7f43134UL;
   tf->codes[31364] = 0x000fe0fa4b5cf80fUL;
   tf->codes[31365] = 0x000fe52dda48f065UL;
   tf->codes[31366] = 0x000fe5cf58b6d9afUL;
   tf->codes[31367] = 0x000fea7ea7e20356UL;
   tf->codes[31368] = 0x000fec7f45e384dbUL;
   tf->codes[31369] = 0x000fed34aaec6418UL;
   tf->codes[31370] = 0x000fed898831c097UL;
   tf->codes[31371] = 0x000ff4cd74d600a6UL;
   tf->codes[31372] = 0x000ff656e5c4c43eUL;
   tf->codes[31373] = 0x000ff8736bef05a5UL;
   tf->codes[31374] = 0x000ff92d29955281UL;
   tf->codes[31375] = 0x000ffa03f42f7c18UL;
   tf->codes[31376] = 0x000ffc14202e85f1UL;
   tf->codes[31377] = 0x000ffeeb88ca310dUL;
   tf->codes[31378] = 0x000002760cd881b4UL;
   tf->codes[31379] = 0x0000033e6e403fd0UL;
   tf->codes[31380] = 0x00000439d23e0487UL;
   tf->codes[31381] = 0x000005950e523aadUL;
   tf->codes[31382] = 0x0000062ae241fdb8UL;
   tf->codes[31383] = 0x0000085d5e0e68ffUL;
   tf->codes[31384] = 0x00000a1be09a671fUL;
   tf->codes[31385] = 0x00000d05d076e590UL;
   tf->codes[31386] = 0x00000d891d25d546UL;
   tf->codes[31387] = 0x00000d9c1984b425UL;
   tf->codes[31388] = 0x000015429cf3aadfUL;
   tf->codes[31389] = 0x00001bdede1465ddUL;
   tf->codes[31390] = 0x00001f5e6751a194UL;
   tf->codes[31391] = 0x000022e03a2516fdUL;
   tf->codes[31392] = 0x0000241124de21c6UL;
   tf->codes[31393] = 0x0000245eb042c5a5UL;
   tf->codes[31394] = 0x00002a045b213515UL;
   tf->codes[31395] = 0x00002a19a1164da6UL;
   tf->codes[31396] = 0x00002b1e2b6cf925UL;
   tf->codes[31397] = 0x00002d506caa5ea7UL;
   tf->codes[31398] = 0x000030faf6efd70aUL;
   tf->codes[31399] = 0x00003628ff9d7d03UL;
   tf->codes[31400] = 0x00003e0f1a5cb7abUL;
   tf->codes[31401] = 0x00003ed14eaeda00UL;
   tf->codes[31402] = 0x000041d5c759f5b5UL;
   tf->codes[31403] = 0x000048d9a78fe64cUL;
   tf->codes[31404] = 0x000048dc66442b88UL;
   tf->codes[31405] = 0x00004ab4fc80bb62UL;
   tf->codes[31406] = 0x00004b7521cba9caUL;
   tf->codes[31407] = 0x00004ed04c345026UL;
   tf->codes[31408] = 0x000053daa5ba7213UL;
   tf->codes[31409] = 0x0000571011f46076UL;
   tf->codes[31410] = 0x000058321e5cf43aUL;
   tf->codes[31411] = 0x00005a1c170f3a90UL;
   tf->codes[31412] = 0x00005a8291595350UL;
   tf->codes[31413] = 0x00005e57326af14bUL;
   tf->codes[31414] = 0x00005fee2250094aUL;
   tf->codes[31415] = 0x0000611f479819d8UL;
   tf->codes[31416] = 0x00006958e0428e61UL;
   tf->codes[31417] = 0x00006cc09f657210UL;
   tf->codes[31418] = 0x00007032a9ac5960UL;
   tf->codes[31419] = 0x0000706c13e70187UL;
   tf->codes[31420] = 0x0000715440f6e19aUL;
   tf->codes[31421] = 0x0000715fb0e60214UL;
   tf->codes[31422] = 0x00007cb21df493cfUL;
   tf->codes[31423] = 0x00008073c2a752ebUL;
   tf->codes[31424] = 0x000080a73a5b6510UL;
   tf->codes[31425] = 0x0000842822f2c365UL;
   tf->codes[31426] = 0x000087c568d0ed26UL;
   tf->codes[31427] = 0x0000891c86d6bb72UL;
   tf->codes[31428] = 0x00008addc816feceUL;
   tf->codes[31429] = 0x00008b1fa8fd7c6eUL;
   tf->codes[31430] = 0x00008e964670d722UL;
   tf->codes[31431] = 0x0000929c502f5355UL;
   tf->codes[31432] = 0x000094addb887fccUL;
   tf->codes[31433] = 0x0000972322777fc7UL;
   tf->codes[31434] = 0x0000a04104b2724eUL;
   tf->codes[31435] = 0x0000a5cb3c862d66UL;
   tf->codes[31436] = 0x0000a6c75031036cUL;
   tf->codes[31437] = 0x0000a6ebaf0598c7UL;
   tf->codes[31438] = 0x0000a9c1089a0ff6UL;
   tf->codes[31439] = 0x0000b160af46599aUL;
   tf->codes[31440] = 0x0000b1ca5d62c320UL;
   tf->codes[31441] = 0x0000b53d51e5c184UL;
   tf->codes[31442] = 0x0000b83b9d7b4172UL;
   tf->codes[31443] = 0x0000b914b1aba4bbUL;
   tf->codes[31444] = 0x0000bfeef0337b44UL;
   tf->codes[31445] = 0x0000c1ef53a5f704UL;
   tf->codes[31446] = 0x0000c2e2b615f1ccUL;
   tf->codes[31447] = 0x0000c36c2fda7d49UL;
   tf->codes[31448] = 0x0000c62984c596abUL;
   tf->codes[31449] = 0x0000c96b109bb6d7UL;
   tf->codes[31450] = 0x0000cc903f2b0b97UL;
   tf->codes[31451] = 0x0000cdd844515d19UL;
   tf->codes[31452] = 0x0000cf529c60a3e7UL;
   tf->codes[31453] = 0x0000d61167ddc618UL;
   tf->codes[31454] = 0x0000d7ef40f3daa5UL;
   tf->codes[31455] = 0x0000d81db05d6ddcUL;
   tf->codes[31456] = 0x0000d8afa0cdced2UL;
   tf->codes[31457] = 0x0000dbf216e00612UL;
   tf->codes[31458] = 0x0000dc49b2d9a7cdUL;
   tf->codes[31459] = 0x0000dc7e14c9d106UL;
   tf->codes[31460] = 0x0000dd7ebba11a70UL;
   tf->codes[31461] = 0x0000df12b242e76eUL;
   tf->codes[31462] = 0x0000e63205838c5dUL;
   tf->codes[31463] = 0x0000e71cb6b8abe7UL;
   tf->codes[31464] = 0x0000f0701faee480UL;
   tf->codes[31465] = 0x0000f173101c679cUL;
   tf->codes[31466] = 0x0000f31f45f6982cUL;
   tf->codes[31467] = 0x0000f36c96cc3646UL;
   tf->codes[31468] = 0x0000f5f49f8b0f5bUL;
   tf->codes[31469] = 0x0000f7f0aa601d7cUL;
   tf->codes[31470] = 0x0000fd1b0a1d6725UL;
   tf->codes[31471] = 0x00010343c71bc086UL;
   tf->codes[31472] = 0x000105cda452c7c3UL;
   tf->codes[31473] = 0x00010bf8e576609bUL;
   tf->codes[31474] = 0x00010e67c4c0bf0aUL;
   tf->codes[31475] = 0x00010ff21feb99b6UL;
   tf->codes[31476] = 0x000112f91cbbf4e2UL;
   tf->codes[31477] = 0x00011ae9f7bd3eb5UL;
   tf->codes[31478] = 0x00011ecdec3d5f3fUL;
   tf->codes[31479] = 0x00011ef07699c672UL;
   tf->codes[31480] = 0x00011ff8a9e0ce41UL;
   tf->codes[31481] = 0x00012182ca7ca328UL;
   tf->codes[31482] = 0x0001264eb17d9e00UL;
   tf->codes[31483] = 0x00012b2ef4379a55UL;
   tf->codes[31484] = 0x00012d8b4c41256fUL;
   tf->codes[31485] = 0x00012dae4bbb982cUL;
   tf->codes[31486] = 0x000131e45ecccff9UL;
   tf->codes[31487] = 0x000132e3a649f6c5UL;
   tf->codes[31488] = 0x000134145673fbc9UL;
   tf->codes[31489] = 0x000135930720b036UL;
   tf->codes[31490] = 0x00013db3eb74b5a3UL;
   tf->codes[31491] = 0x00013de519928e16UL;
   tf->codes[31492] = 0x000143cbbb1b6412UL;
   tf->codes[31493] = 0x000148de50be55b3UL;
   tf->codes[31494] = 0x00015046d6c630e2UL;
   tf->codes[31495] = 0x00015288e090247dUL;
   tf->codes[31496] = 0x0001529958c9c3e5UL;
   tf->codes[31497] = 0x0001567eaca4070dUL;
   tf->codes[31498] = 0x00015c17131b27dbUL;
   tf->codes[31499] = 0x0001612e767992a5UL;
   tf->codes[31500] = 0x0001621c5b8102f5UL;
   tf->codes[31501] = 0x0001629d5e99b8f9UL;
   tf->codes[31502] = 0x000163148bac76e6UL;
   tf->codes[31503] = 0x000165d9e2255a37UL;
   tf->codes[31504] = 0x0001676aa4f4d66fUL;
   tf->codes[31505] = 0x000168eaef8ab33fUL;
   tf->codes[31506] = 0x000169b4009f82aaUL;
   tf->codes[31507] = 0x00016b1703b27cfaUL;
   tf->codes[31508] = 0x00016c791c896036UL;
   tf->codes[31509] = 0x0001714ffe5b6ffeUL;
   tf->codes[31510] = 0x000172d63b77e2d0UL;
   tf->codes[31511] = 0x000176e94f0ea7e0UL;
   tf->codes[31512] = 0x0001777880cac39aUL;
   tf->codes[31513] = 0x00017781e1b2b027UL;
   tf->codes[31514] = 0x000179b756c2666fUL;
   tf->codes[31515] = 0x00017f3dab16bf72UL;
   tf->codes[31516] = 0x0001828ec4ea67f2UL;
   tf->codes[31517] = 0x00018513d465f606UL;
   tf->codes[31518] = 0x000187147267778bUL;
   tf->codes[31519] = 0x00018b3d06825af1UL;
   tf->codes[31520] = 0x0001975ca2b423f1UL;
   tf->codes[31521] = 0x000197a1f1fbf81cUL;
   tf->codes[31522] = 0x0001a6f76f85bb09UL;
   tf->codes[31523] = 0x0001ab3f5a2ab4dcUL;
   tf->codes[31524] = 0x0001ac2af59beb7aUL;
   tf->codes[31525] = 0x0001ac79a5cbac32UL;
   tf->codes[31526] = 0x0001b5fbf349838cUL;
   tf->codes[31527] = 0x0001b95c9b1ab460UL;
   tf->codes[31528] = 0x0001ba6f5414c595UL;
   tf->codes[31529] = 0x0001bc661c104f03UL;
   tf->codes[31530] = 0x0001bf08ad9dc55cUL;
   tf->codes[31531] = 0x0001c017f8368006UL;
   tf->codes[31532] = 0x0001c1eef489e77dUL;
   tf->codes[31533] = 0x0001c4c0300ff6d2UL;
   tf->codes[31534] = 0x0001cc38f3c26ba4UL;
   tf->codes[31535] = 0x0001ce0b225a59f2UL;
   tf->codes[31536] = 0x0001d58a88407615UL;
   tf->codes[31537] = 0x0001dd3faf70de0fUL;
   tf->codes[31538] = 0x0001e07ad3a25cafUL;
   tf->codes[31539] = 0x0001e168b8a9ccffUL;
   tf->codes[31540] = 0x0001e209c1f9aabfUL;
   tf->codes[31541] = 0x0001e81a7a4ea653UL;
   tf->codes[31542] = 0x0001e865f6ac1645UL;
   tf->codes[31543] = 0x0001e8f7ac8d7176UL;
   tf->codes[31544] = 0x0001ea06bc97265bUL;
   tf->codes[31545] = 0x0001ebea8833d0eaUL;
   tf->codes[31546] = 0x0001ec476706f758UL;
   tf->codes[31547] = 0x0001ed48486d4687UL;
   tf->codes[31548] = 0x0001efdb868c3a51UL;
   tf->codes[31549] = 0x0001f74de29a0d97UL;
   tf->codes[31550] = 0x0001f96e86d2b6d8UL;
   tf->codes[31551] = 0x0001fccd1f9cb3bfUL;
   tf->codes[31552] = 0x0001fdb5121d8e0dUL;
   tf->codes[31553] = 0x000205e007069156UL;
   tf->codes[31554] = 0x00020adfa04aa418UL;
   tf->codes[31555] = 0x00020f3f8f98fbb8UL;
   tf->codes[31556] = 0x0002132e09cc25a8UL;
   tf->codes[31557] = 0x000214a9fbc494d9UL;
   tf->codes[31558] = 0x0002187033a3c759UL;
   tf->codes[31559] = 0x00021895b743798dUL;
   tf->codes[31560] = 0x00021e3f45a14b12UL;
   tf->codes[31561] = 0x00021f34f1a77f8cUL;
   tf->codes[31562] = 0x000226c8edd5a2f1UL;
   tf->codes[31563] = 0x000226d8f0f136cfUL;
   tf->codes[31564] = 0x000236ce1870b4deUL;
   tf->codes[31565] = 0x00023890f39a209dUL;
   tf->codes[31566] = 0x00023b522c049c14UL;
   tf->codes[31567] = 0x00023c6bc1c15a5fUL;
   tf->codes[31568] = 0x00023e0e5c24989dUL;
   tf->codes[31569] = 0x00023e71a29c6097UL;
   tf->codes[31570] = 0x0002409246d509d8UL;
   tf->codes[31571] = 0x000242000a2a1353UL;
   tf->codes[31572] = 0x000244c89475476aUL;
   tf->codes[31573] = 0x00024a77a03ba367UL;
   tf->codes[31574] = 0x00024b55bcb6859eUL;
   tf->codes[31575] = 0x00025005f61dc659UL;
   tf->codes[31576] = 0x00025997d1992607UL;
   tf->codes[31577] = 0x00025b331a1baba5UL;
   tf->codes[31578] = 0x00025cc6d62e72deUL;
   tf->codes[31579] = 0x000263142c90675fUL;
   tf->codes[31580] = 0x0002670ae2e06103UL;
   tf->codes[31581] = 0x000269eafcb6e75dUL;
   tf->codes[31582] = 0x00026b8e46c736eaUL;
   tf->codes[31583] = 0x00026d9e72c640c3UL;
   tf->codes[31584] = 0x00027131a80f6ca8UL;
   tf->codes[31585] = 0x0002760dccbb0123UL;
   tf->codes[31586] = 0x00027bf25f3ca332UL;
   tf->codes[31587] = 0x00027f41a4981d8aUL;
   tf->codes[31588] = 0x000280f89ab45d45UL;
   tf->codes[31589] = 0x000287c5cf63eaf1UL;
   tf->codes[31590] = 0x0002887a84bfb8dfUL;
   tf->codes[31591] = 0x00028d7724c080a0UL;
   tf->codes[31592] = 0x00028e8425c30198UL;
   tf->codes[31593] = 0x00028f8123a9eeb2UL;
   tf->codes[31594] = 0x000290129efc441eUL;
   tf->codes[31595] = 0x000291d7fe4aef54UL;
   tf->codes[31596] = 0x000297ff967e2bdcUL;
   tf->codes[31597] = 0x000298184ad49af8UL;
   tf->codes[31598] = 0x00029b291daaee3bUL;
   tf->codes[31599] = 0x00029c86dde463d8UL;
   tf->codes[31600] = 0x00029d682e3196d5UL;
   tf->codes[31601] = 0x0002a0a5d68854ecUL;
   tf->codes[31602] = 0x0002a2e596bc0ed5UL;
   tf->codes[31603] = 0x0002a3586b315f23UL;
   tf->codes[31604] = 0x0002b0e8c3fb7c9fUL;
   tf->codes[31605] = 0x0002b1cf5722344fUL;
   tf->codes[31606] = 0x0002b869141dafd6UL;
   tf->codes[31607] = 0x0002b978242764bbUL;
   tf->codes[31608] = 0x0002ce48c0a565f6UL;
   tf->codes[31609] = 0x0002d015ac63cf91UL;
   tf->codes[31610] = 0x0002d68e03ce00beUL;
   tf->codes[31611] = 0x0002d74bdf82b574UL;
   tf->codes[31612] = 0x0002d9b6a0beac09UL;
   tf->codes[31613] = 0x0002e514b84b6403UL;
   tf->codes[31614] = 0x0002e99fa8a1f84fUL;
   tf->codes[31615] = 0x0002ea12428842d8UL;
   tf->codes[31616] = 0x0002ea89e4b90c4fUL;
   tf->codes[31617] = 0x0002eda9d06edc5cUL;
   tf->codes[31618] = 0x0002f3b336e31f50UL;
   tf->codes[31619] = 0x0002f50636da85c2UL;
   tf->codes[31620] = 0x0002f71787a4ac74UL;
   tf->codes[31621] = 0x0002f718e6fecf12UL;
   tf->codes[31622] = 0x0002f72a4974858eUL;
   tf->codes[31623] = 0x0002fa8991eb93c4UL;
   tf->codes[31624] = 0x000301bc1c1a1d57UL;
   tf->codes[31625] = 0x000302af096c0c95UL;
   tf->codes[31626] = 0x000309f246633b55UL;
   tf->codes[31627] = 0x00030a3d131399f8UL;
   tf->codes[31628] = 0x00030fbed43b7f97UL;
   tf->codes[31629] = 0x00031f8b4448faacUL;
   tf->codes[31630] = 0x000328c8f22c0f2aUL;
   tf->codes[31631] = 0x000329f7cddde606UL;
   tf->codes[31632] = 0x00032ac36317f4e8UL;
   tf->codes[31633] = 0x000331fc54eb2007UL;
   tf->codes[31634] = 0x000335fd1bd01787UL;
   tf->codes[31635] = 0x00033712937e6df8UL;
   tf->codes[31636] = 0x00033c67f443f44dUL;
   tf->codes[31637] = 0x00033ef69f3674b3UL;
   tf->codes[31638] = 0x0003467b47f61589UL;
   tf->codes[31639] = 0x000346dc7f66a996UL;
   tf->codes[31640] = 0x00034e733a491237UL;
   tf->codes[31641] = 0x000350e5c283ccf6UL;
   tf->codes[31642] = 0x00035d0648f1ad0aUL;
   tf->codes[31643] = 0x000360ea3d71cd94UL;
   tf->codes[31644] = 0x000362d470b319afUL;
   tf->codes[31645] = 0x000362dfe0a23a29UL;
   tf->codes[31646] = 0x000365ef198f6509UL;
   tf->codes[31647] = 0x00036d96873a72d7UL;
   tf->codes[31648] = 0x00036e6c6798855aUL;
   tf->codes[31649] = 0x00036fbca8dba690UL;
   tf->codes[31650] = 0x0003700f3c8ac95dUL;
   tf->codes[31651] = 0x000370382e8bd21cUL;
   tf->codes[31652] = 0x0003707be3ea7de4UL;
   tf->codes[31653] = 0x00037481788aee8dUL;
   tf->codes[31654] = 0x00037584a387776eUL;
   tf->codes[31655] = 0x000377c304610eb9UL;
   tf->codes[31656] = 0x000379914f799af2UL;
   tf->codes[31657] = 0x00037d8f923952fbUL;
   tf->codes[31658] = 0x000390c7a4e913d4UL;
   tf->codes[31659] = 0x000393c456956b5fUL;
   tf->codes[31660] = 0x0003950160eaa7f1UL;
   tf->codes[31661] = 0x00039557d8192cd3UL;
   tf->codes[31662] = 0x0003a1137e261c8aUL;
   tf->codes[31663] = 0x0003a35ee8d7fcb2UL;
   tf->codes[31664] = 0x0003a41af0148340UL;
   tf->codes[31665] = 0x0003a6e8bd393c0aUL;
   tf->codes[31666] = 0x0003a8e7fbe09af1UL;
   tf->codes[31667] = 0x0003aad0201ab31fUL;
   tf->codes[31668] = 0x0003af1f22115fcdUL;
   tf->codes[31669] = 0x0003b001220ba419UL;
   tf->codes[31670] = 0x0003b003a630e390UL;
   tf->codes[31671] = 0x0003b5cd0036d70cUL;
   tf->codes[31672] = 0x0003b7f9c40bb216UL;
   tf->codes[31673] = 0x0003bd0ea344dd69UL;
   tf->codes[31674] = 0x0003bd8227673f06UL;
   tf->codes[31675] = 0x0003c692158dd19cUL;
   tf->codes[31676] = 0x0003c776d43c5b24UL;
   tf->codes[31677] = 0x0003d1d52f2de0c8UL;
   tf->codes[31678] = 0x0003d32a78bb80ecUL;
   tf->codes[31679] = 0x0003d5d8b4c71d84UL;
   tf->codes[31680] = 0x0003dad72940136dUL;
   tf->codes[31681] = 0x0003df12b9b9d5b2UL;
   tf->codes[31682] = 0x0003e1f4e2978ff9UL;
   tf->codes[31683] = 0x0003f57b30590600UL;
   tf->codes[31684] = 0x0003f671c69b518eUL;
   tf->codes[31685] = 0x0003f81fd0edb046UL;
   tf->codes[31686] = 0x0003f8588b7b471eUL;
   tf->codes[31687] = 0x0003fe467ee4d5baUL;
   tf->codes[31688] = 0x000448651c1b521dUL;
   tf->codes[31689] = 0x00046d7ff7ed33abUL;
   tf->codes[31690] = 0x0004b5c1e0d8b85aUL;
   tf->codes[31691] = 0x0004b9e40d4efa34UL;
   tf->codes[31692] = 0x0004ba837cb5af91UL;
   tf->codes[31693] = 0x0004c94ff598f28bUL;
   tf->codes[31694] = 0x0004d329df106ba0UL;
   tf->codes[31695] = 0x0004d4f0289b2deaUL;
   tf->codes[31696] = 0x0004f3329a5d6717UL;
   tf->codes[31697] = 0x0004f5ff42b70308UL;
   tf->codes[31698] = 0x0004f6ba5fb77282UL;
   tf->codes[31699] = 0x0004f768ad6e9ee4UL;
   tf->codes[31700] = 0x0005041ff2085917UL;
   tf->codes[31701] = 0x00050709a755d1c3UL;
   tf->codes[31702] = 0x00051ca563efd656UL;
   tf->codes[31703] = 0x000521e544313e55UL;
   tf->codes[31704] = 0x0005312db7e2b865UL;
   tf->codes[31705] = 0x000531d7e78b7cedUL;
   tf->codes[31706] = 0x000539cb0c230072UL;
   tf->codes[31707] = 0x000554919d985a38UL;
   tf->codes[31708] = 0x0005550f324fb9b1UL;
   tf->codes[31709] = 0x000560d4e8f1a744UL;
   tf->codes[31710] = 0x00056c6b807cf051UL;
   tf->codes[31711] = 0x000570ec603e86c1UL;
   tf->codes[31712] = 0x000580af6f641549UL;
   tf->codes[31713] = 0x0005882f84f742bbUL;
   tf->codes[31714] = 0x00058ce86f995eb4UL;
   tf->codes[31715] = 0x000593ff4c2e2e2aUL;
   tf->codes[31716] = 0x000598953755d766UL;
   tf->codes[31717] = 0x00059add6e3566c8UL;
   tf->codes[31718] = 0x0005afbad9fcab1bUL;
   tf->codes[31719] = 0x0005b3b030f28221UL;
   tf->codes[31720] = 0x0005b503e096f9e2UL;
   tf->codes[31721] = 0x0005b903bd3fda4eUL;
   tf->codes[31722] = 0x0005bb12c473c74eUL;
   tf->codes[31723] = 0x0005bd9ca1aace8bUL;
   tf->codes[31724] = 0x0005c07a375c156eUL;
   tf->codes[31725] = 0x0005c1513c8544caUL;
   tf->codes[31726] = 0x0005c90abc531a63UL;
   tf->codes[31727] = 0x0005c938b69ea210UL;
   tf->codes[31728] = 0x0005ca9e7865e19cUL;
   tf->codes[31729] = 0x0005d0bebeb86584UL;
   tf->codes[31730] = 0x0005db0b42162922UL;
   tf->codes[31731] = 0x0005dd162b3bae48UL;
   tf->codes[31732] = 0x0005e78c15b8862fUL;
   tf->codes[31733] = 0x0005ec462525bf01UL;
   tf->codes[31734] = 0x0005f72a8b7a7997UL;
   tf->codes[31735] = 0x0005f8f94bb1115aUL;
   tf->codes[31736] = 0x0005fbd71bf15e02UL;
   tf->codes[31737] = 0x00060b35854501f2UL;
   tf->codes[31738] = 0x00060f3c3eb08f74UL;
   tf->codes[31739] = 0x00060fe6a8e859c1UL;
   tf->codes[31740] = 0x00061a0c83db4e52UL;
   tf->codes[31741] = 0x00063d8bdc9ba47dUL;
   tf->codes[31742] = 0x00063e923b6a7e24UL;
   tf->codes[31743] = 0x000647c22fc83876UL;
   tf->codes[31744] = 0x000651d9dc17c751UL;
   tf->codes[31745] = 0x000665ca1284aca3UL;
   tf->codes[31746] = 0x000667701b49416cUL;
   tf->codes[31747] = 0x00066d030457d7c2UL;
   tf->codes[31748] = 0x000677406ed61e96UL;
   tf->codes[31749] = 0x000679798cd6312eUL;
   tf->codes[31750] = 0x00067ab6972b6dc0UL;
   tf->codes[31751] = 0x00067e4dea83017fUL;
   tf->codes[31752] = 0x00067e8336af41ccUL;
   tf->codes[31753] = 0x000683ae80a8a289UL;
   tf->codes[31754] = 0x00068cd080f1fceaUL;
   tf->codes[31755] = 0x000695bf44164aebUL;
   tf->codes[31756] = 0x0006975ee5363e28UL;
   tf->codes[31757] = 0x000698f9b89ab83cUL;
   tf->codes[31758] = 0x0006a7f082d92693UL;
   tf->codes[31759] = 0x0006a9ba3ac53f68UL;
   tf->codes[31760] = 0x0006c390287ee3a2UL;
   tf->codes[31761] = 0x0006c857f17176a0UL;
   tf->codes[31762] = 0x0006d517acb7064cUL;
   tf->codes[31763] = 0x0006d879b3e259beUL;
   tf->codes[31764] = 0x0006e0f7b1988b5eUL;
   tf->codes[31765] = 0x0006e1370e59c987UL;
   tf->codes[31766] = 0x0006f2fe29e2301fUL;
   tf->codes[31767] = 0x0006f47fd3d22f8dUL;
   tf->codes[31768] = 0x0006f692be857ea2UL;
   tf->codes[31769] = 0x0006fb38e757c181UL;
   tf->codes[31770] = 0x0006fb83045b0ed5UL;
   tf->codes[31771] = 0x0006fde42a201318UL;
   tf->codes[31772] = 0x0006fee71a8d9634UL;
   tf->codes[31773] = 0x0007088a930db223UL;
   tf->codes[31774] = 0x00070909c1ae39ffUL;
   tf->codes[31775] = 0x000709e3858bae97UL;
   tf->codes[31776] = 0x00070ce280ce3fd4UL;
   tf->codes[31777] = 0x000711f257bcec39UL;
   tf->codes[31778] = 0x0007148ebc34c6cbUL;
   tf->codes[31779] = 0x00071c74d6f40173UL;
   tf->codes[31780] = 0x000728c984c304fbUL;
   tf->codes[31781] = 0x00072cac8f070e71UL;
   tf->codes[31782] = 0x00072de8af2033efUL;
   tf->codes[31783] = 0x00073026604cb9ebUL;
   tf->codes[31784] = 0x000730578e6a925eUL;
   tf->codes[31785] = 0x000730c60a42750dUL;
   tf->codes[31786] = 0x00073f389d95dc9aUL;
   tf->codes[31787] = 0x000740160a63ad82UL;
   tf->codes[31788] = 0x000741bfbc189e9bUL;
   tf->codes[31789] = 0x000742659323f584UL;
   tf->codes[31790] = 0x0007487770440df1UL;
   tf->codes[31791] = 0x00074c38da67c748UL;
   tf->codes[31792] = 0x00074c750356b4abUL;
   tf->codes[31793] = 0x00074e6bcb523e19UL;
   tf->codes[31794] = 0x00074eb956b6e1f8UL;
   tf->codes[31795] = 0x00074f8a2eca758dUL;
   tf->codes[31796] = 0x00075050bbba0581UL;
   tf->codes[31797] = 0x0007511190b20538UL;
   tf->codes[31798] = 0x000751a1acaa3806UL;
   tf->codes[31799] = 0x0007530f35703bbcUL;
   tf->codes[31800] = 0x000755690954875fUL;
   tf->codes[31801] = 0x0007584e6604926cUL;
   tf->codes[31802] = 0x000760d639c0bc23UL;
   tf->codes[31803] = 0x0007652ba35c0a5dUL;
   tf->codes[31804] = 0x000765528655df2fUL;
   tf->codes[31805] = 0x00076f7cf4754724UL;
   tf->codes[31806] = 0x0007751ce75c2657UL;
   tf->codes[31807] = 0x000777045be92d36UL;
   tf->codes[31808] = 0x000778e73d49c0b1UL;
   tf->codes[31809] = 0x00077d55d0598991UL;
   tf->codes[31810] = 0x00077da7b45b9b0fUL;
   tf->codes[31811] = 0x00078668081655d9UL;
   tf->codes[31812] = 0x000786a67a9b7ceeUL;
   tf->codes[31813] = 0x00078850a16e7991UL;
   tf->codes[31814] = 0x0007889e67622335UL;
   tf->codes[31815] = 0x000790334dcc5daeUL;
   tf->codes[31816] = 0x000791717cecb719UL;
   tf->codes[31817] = 0x000792b7ad9ada73UL;
   tf->codes[31818] = 0x00079c7d3b59520bUL;
   tf->codes[31819] = 0x0007a35b97ef906eUL;
   tf->codes[31820] = 0x0007ae7e363a6c54UL;
   tf->codes[31821] = 0x0007b07413f9deaeUL;
   tf->codes[31822] = 0x0007b7af4f63437fUL;
   tf->codes[31823] = 0x0007b8c83572f07bUL;
   tf->codes[31824] = 0x0007bb14c4efed7cUL;
   tf->codes[31825] = 0x0007c13580607ceeUL;
   tf->codes[31826] = 0x0007c42c7a15443cUL;
   tf->codes[31827] = 0x0007c65644a6d445UL;
   tf->codes[31828] = 0x0007c7525851aa4bUL;
   tf->codes[31829] = 0x0007cc1309f28a6eUL;
   tf->codes[31830] = 0x0007d5be49716a87UL;
   tf->codes[31831] = 0x0007d8b508972c10UL;
   tf->codes[31832] = 0x0007dc904bdc715cUL;
   tf->codes[31833] = 0x0007e19adff1990eUL;
   tf->codes[31834] = 0x0007e557b6e8df01UL;
   tf->codes[31835] = 0x0007e76b16ba39a0UL;
   tf->codes[31836] = 0x0007f30c6e8791d8UL;
   tf->codes[31837] = 0x0007f87540ca0296UL;
   tf->codes[31838] = 0x0007fc5b4451570dUL;
   tf->codes[31839] = 0x0007fceaeb2b7e51UL;
   tf->codes[31840] = 0x00080b39cf5761d2UL;
   tf->codes[31841] = 0x000812ed5c9ea169UL;
   tf->codes[31842] = 0x0008139d7ecdfbf3UL;
   tf->codes[31843] = 0x000819b379fc7c3aUL;
   tf->codes[31844] = 0x000827fa5c9a95ccUL;
   tf->codes[31845] = 0x000833bb80100ffbUL;
   tf->codes[31846] = 0x0008369d33cfbeb8UL;
   tf->codes[31847] = 0x00083b37ecb2e11dUL;
   tf->codes[31848] = 0x00083b665c1c7454UL;
   tf->codes[31849] = 0x00084ae5f0725cd9UL;
   tf->codes[31850] = 0x00084f8786182c54UL;
   tf->codes[31851] = 0x0008518181e60688UL;
   tf->codes[31852] = 0x0008606a581014eeUL;
   tf->codes[31853] = 0x00086356cc11d2d6UL;
   tf->codes[31854] = 0x0008664a1cd63dd4UL;
   tf->codes[31855] = 0x000877122b708365UL;
   tf->codes[31856] = 0x000882ba600088b3UL;
   tf->codes[31857] = 0x00088799f30d73b9UL;
   tf->codes[31858] = 0x00089034fdb78214UL;
   tf->codes[31859] = 0x000898928018806eUL;
   tf->codes[31860] = 0x000898b9d83060caUL;
   tf->codes[31861] = 0x00089a4383ae2a27UL;
   tf->codes[31862] = 0x00089c76af27a6bdUL;
   tf->codes[31863] = 0x00089d1de58d2044UL;
   tf->codes[31864] = 0x00089d6d4569f24bUL;
   tf->codes[31865] = 0x0008a324c7dc23c1UL;
   tf->codes[31866] = 0x0008a43a7a197ff7UL;
   tf->codes[31867] = 0x0008a880cad55167UL;
   tf->codes[31868] = 0x0008b3fb7a37da92UL;
   tf->codes[31869] = 0x0008b4b7bc0366e5UL;
   tf->codes[31870] = 0x0008b959c6c741eaUL;
   tf->codes[31871] = 0x0008bf5623633c01UL;
   tf->codes[31872] = 0x0008c6edc881bbb6UL;
   tf->codes[31873] = 0x0008d5cc18f8c0b6UL;
   tf->codes[31874] = 0x0008e8689fc12e47UL;
   tf->codes[31875] = 0x0008f9044df9148eUL;
   tf->codes[31876] = 0x0008fb38d8ccb3c2UL;
   tf->codes[31877] = 0x0008fc0ce4b2981dUL;
   tf->codes[31878] = 0x0008fef4c587e2a1UL;
   tf->codes[31879] = 0x0009017ba97b9eddUL;
   tf->codes[31880] = 0x000902d33c9f78b3UL;
   tf->codes[31881] = 0x000903e3e69255fbUL;
   tf->codes[31882] = 0x0009059b173d9b7bUL;
   tf->codes[31883] = 0x000912cf06529e13UL;
   tf->codes[31884] = 0x00091701ab027f55UL;
   tf->codes[31885] = 0x00091a71e0d1387dUL;
   tf->codes[31886] = 0x00091c252dfd1be8UL;
   tf->codes[31887] = 0x0009202e30fee31cUL;
   tf->codes[31888] = 0x000927f94dd174f6UL;
   tf->codes[31889] = 0x00092bd4cba5c007UL;
   tf->codes[31890] = 0x0009353b6b89dd44UL;
   tf->codes[31891] = 0x00094341cc9b9bd4UL;
   tf->codes[31892] = 0x0009454772e79c47UL;
   tf->codes[31893] = 0x000946cc8b38f240UL;
   tf->codes[31894] = 0x00094716a83c3f94UL;
   tf->codes[31895] = 0x0009539de3833e2dUL;
   tf->codes[31896] = 0x00095484ebc80167UL;
   tf->codes[31897] = 0x00095f1683de936bUL;
   tf->codes[31898] = 0x00096f9b17a932f9UL;
   tf->codes[31899] = 0x0009746823754aaaUL;
   tf->codes[31900] = 0x000975363cd49903UL;
   tf->codes[31901] = 0x000975f3a36b422fUL;
   tf->codes[31902] = 0x00097a7d6ef6b9a2UL;
   tf->codes[31903] = 0x00097c817b5991b2UL;
   tf->codes[31904] = 0x0009817f05967087UL;
   tf->codes[31905] = 0x000983c44332b4e8UL;
   tf->codes[31906] = 0x000991074b27344aUL;
   tf->codes[31907] = 0x000991dfafaa8644UL;
   tf->codes[31908] = 0x0009971210f599dcUL;
   tf->codes[31909] = 0x00099ad2564e365aUL;
   tf->codes[31910] = 0x00099b79c742b5a6UL;
   tf->codes[31911] = 0x00099cfdbac8eec6UL;
   tf->codes[31912] = 0x00099d88ce76a2a6UL;
   tf->codes[31913] = 0x0009a1e5ff10b50aUL;
   tf->codes[31914] = 0x0009a257742be2baUL;
   tf->codes[31915] = 0x0009a56e7417d1c4UL;
   tf->codes[31916] = 0x0009a6d0c77dbac5UL;
   tf->codes[31917] = 0x0009ab45128513e2UL;
   tf->codes[31918] = 0x0009ad7f1ac13d8eUL;
   tf->codes[31919] = 0x0009b2ace8dfddc2UL;
   tf->codes[31920] = 0x0009b8aadf65003cUL;
   tf->codes[31921] = 0x0009bf94715b5954UL;
   tf->codes[31922] = 0x0009c13d38d43359UL;
   tf->codes[31923] = 0x0009c26a7a9ce1d2UL;
   tf->codes[31924] = 0x0009c3b7880db242UL;
   tf->codes[31925] = 0x0009c642c49edc1dUL;
   tf->codes[31926] = 0x0009c9e12f4822b7UL;
   tf->codes[31927] = 0x0009cc07c60761faUL;
   tf->codes[31928] = 0x0009cf5cc35a6c8fUL;
   tf->codes[31929] = 0x0009d0ea52579801UL;
   tf->codes[31930] = 0x0009d29319d07206UL;
   tf->codes[31931] = 0x0009d47301edba80UL;
   tf->codes[31932] = 0x0009e1a51c8a8ef0UL;
   tf->codes[31933] = 0x0009e258e7aa45caUL;
   tf->codes[31934] = 0x0009e2ef30b8145fUL;
   tf->codes[31935] = 0x0009ede2003f3a70UL;
   tf->codes[31936] = 0x0009ef9378f2efb3UL;
   tf->codes[31937] = 0x0009f6674fd624b0UL;
   tf->codes[31938] = 0x0009fcb814996fbcUL;
   tf->codes[31939] = 0x0009ffcccaef2514UL;
   tf->codes[31940] = 0x000a08893b2a7dc9UL;
   tf->codes[31941] = 0x000a0c9328685c11UL;
   tf->codes[31942] = 0x000a0f8b46e84038UL;
   tf->codes[31943] = 0x000a107ac5d8d8ebUL;
   tf->codes[31944] = 0x000a1487ac5a0234UL;
   tf->codes[31945] = 0x000a14b1fdb52d91UL;
   tf->codes[31946] = 0x000a16f7b06f7d7cUL;
   tf->codes[31947] = 0x000a17da9aa5d8dcUL;
   tf->codes[31948] = 0x000a18957d174291UL;
   tf->codes[31949] = 0x000a1c600d93e2b0UL;
   tf->codes[31950] = 0x000a1e84cfdaf3cbUL;
   tf->codes[31951] = 0x000a1f4a37ff66e6UL;
   tf->codes[31952] = 0x000a224f605793eaUL;
   tf->codes[31953] = 0x000a273b1300b0b9UL;
   tf->codes[31954] = 0x000a28bd6c9dc176UL;
   tf->codes[31955] = 0x000a2a97d7527f78UL;
   tf->codes[31956] = 0x000a2c1946b37921UL;
   tf->codes[31957] = 0x000a321a367be69cUL;
   tf->codes[31958] = 0x000a3d65171ab9f2UL;
   tf->codes[31959] = 0x000a40c9dcfa52a0UL;
   tf->codes[31960] = 0x000a410dcce8042dUL;
   tf->codes[31961] = 0x000a436606e3276dUL;
   tf->codes[31962] = 0x000a480468b6a622UL;
   tf->codes[31963] = 0x000a5091f46a6016UL;
   tf->codes[31964] = 0x000a50ed73e363e6UL;
   tf->codes[31965] = 0x000a52bce3c70cf8UL;
   tf->codes[31966] = 0x000a5fe85c303a17UL;
   tf->codes[31967] = 0x000a64dbd5d81b10UL;
   tf->codes[31968] = 0x000a694b8db300c9UL;
   tf->codes[31969] = 0x000a69977f2e7c45UL;
   tf->codes[31970] = 0x000a6b0d7ea05574UL;
   tf->codes[31971] = 0x000a6c83f3303a2dUL;
   tf->codes[31972] = 0x000a6cb7e00257dcUL;
   tf->codes[31973] = 0x000a6dce41ecc561UL;
   tf->codes[31974] = 0x000a784bb8d95badUL;
   tf->codes[31975] = 0x000a7b9f1c433ddfUL;
   tf->codes[31976] = 0x000a7d47e3bc17e4UL;
   tf->codes[31977] = 0x000a7d9d70ae85b2UL;
   tf->codes[31978] = 0x000a8516e40e0bd3UL;
   tf->codes[31979] = 0x000a96e5c6953695UL;
   tf->codes[31980] = 0x000aa21a01e4cebcUL;
   tf->codes[31981] = 0x000aa2fdd6574130UL;
   tf->codes[31982] = 0x000aadee96d73354UL;
   tf->codes[31983] = 0x000ab18d018079eeUL;
   tf->codes[31984] = 0x000ab37f364f8ff8UL;
   tf->codes[31985] = 0x000ab4e7f15a1a85UL;
   tf->codes[31986] = 0x000ab6520bbec7b0UL;
   tf->codes[31987] = 0x000abe8e288e7bb0UL;
   tf->codes[31988] = 0x000ac005fc788307UL;
   tf->codes[31989] = 0x000ace01d7d73831UL;
   tf->codes[31990] = 0x000acf3c23782f87UL;
   tf->codes[31991] = 0x000ad3752fccb255UL;
   tf->codes[31992] = 0x000ad74194c1809cUL;
   tf->codes[31993] = 0x000ad80ec3e4b7e1UL;
   tf->codes[31994] = 0x000ad8b8f38d7c69UL;
   tf->codes[31995] = 0x000adb087c4dc46bUL;
   tf->codes[31996] = 0x000ae6efd310021dUL;
   tf->codes[31997] = 0x000aeb1692b2b75bUL;
   tf->codes[31998] = 0x000aed36873e4f4dUL;
   tf->codes[31999] = 0x000aee7023323554UL;
   tf->codes[32000] = 0x000af4de6a0768a5UL;
   tf->codes[32001] = 0x000af74f1dc9f53cUL;
   tf->codes[32002] = 0x000af942b1f32de4UL;
   tf->codes[32003] = 0x000afea5cc3e0e65UL;
   tf->codes[32004] = 0x000b0376f6188df0UL;
   tf->codes[32005] = 0x000b04d1f79dbe51UL;
   tf->codes[32006] = 0x000b051d73fb2e43UL;
   tf->codes[32007] = 0x000b0594667ee66bUL;
   tf->codes[32008] = 0x000b0a5293fa8717UL;
   tf->codes[32009] = 0x000b11ad25ee0255UL;
   tf->codes[32010] = 0x000b17dc4a90fd42UL;
   tf->codes[32011] = 0x000b23cf4bd16133UL;
   tf->codes[32012] = 0x000b24bb21d19d96UL;
   tf->codes[32013] = 0x000b310c9bce5058UL;
   tf->codes[32014] = 0x000b33592b4b4d59UL;
   tf->codes[32015] = 0x000b335ee342dd96UL;
   tf->codes[32016] = 0x000b3375889218c5UL;
   tf->codes[32017] = 0x000b376686ea822cUL;
   tf->codes[32018] = 0x000b3934d2030e65UL;
   tf->codes[32019] = 0x000b3aed9c977c48UL;
   tf->codes[32020] = 0x000b459ec5c72a7eUL;
   tf->codes[32021] = 0x000b4789a8b587e8UL;
   tf->codes[32022] = 0x000b47fddc84fad4UL;
   tf->codes[32023] = 0x000b4b2e7b03700eUL;
   tf->codes[32024] = 0x000b4f586e787612UL;
   tf->codes[32025] = 0x000b4f5bdcd9cc9dUL;
   tf->codes[32026] = 0x000b52764b271232UL;
   tf->codes[32027] = 0x000b65fc23ca7cafUL;
   tf->codes[32028] = 0x000b6611dedda0caUL;
   tf->codes[32029] = 0x000b6f82c9e5c1a8UL;
   tf->codes[32030] = 0x000b6f900e4d104aUL;
   tf->codes[32031] = 0x000b722a292eb12aUL;
   tf->codes[32032] = 0x000b7427935de1e9UL;
   tf->codes[32033] = 0x000b76c2987b99ddUL;
   tf->codes[32034] = 0x000b770b5624c493UL;
   tf->codes[32035] = 0x000b7cfddcbac693UL;
   tf->codes[32036] = 0x000b80da44cb28b8UL;
   tf->codes[32037] = 0x000b84deb4a07c88UL;
   tf->codes[32038] = 0x000b88e1156e9c6bUL;
   tf->codes[32039] = 0x000b93331634ea81UL;
   tf->codes[32040] = 0x000b977d0fe11841UL;
   tf->codes[32041] = 0x000b98e6efb6bfa7UL;
   tf->codes[32042] = 0x000b9cd2ab35a45bUL;
   tf->codes[32043] = 0x000b9ec8c3841c7aUL;
   tf->codes[32044] = 0x000ba590403c19e9UL;
   tf->codes[32045] = 0x000bad7d724d076cUL;
   tf->codes[32046] = 0x000bb0befe232798UL;
   tf->codes[32047] = 0x000bb1e85c6c73fcUL;
   tf->codes[32048] = 0x000bb2ff3374ed0bUL;
   tf->codes[32049] = 0x000bbba4c3d204ccUL;
   tf->codes[32050] = 0x000bbc0635d19e9eUL;
   tf->codes[32051] = 0x000bbf75816440b2UL;
   tf->codes[32052] = 0x000bc0fef253044aUL;
   tf->codes[32053] = 0x000bc20a1edd571aUL;
   tf->codes[32054] = 0x000bc38c3deb6212UL;
   tf->codes[32055] = 0x000bc52d3e6577edUL;
   tf->codes[32056] = 0x000bc570b9351df0UL;
   tf->codes[32057] = 0x000bc71fe8529981UL;
   tf->codes[32058] = 0x000bcef306b2f54aUL;
   tf->codes[32059] = 0x000bd277d2c9b5b4UL;
   tf->codes[32060] = 0x000bd5883081fd6dUL;
   tf->codes[32061] = 0x000bdce5bbb8c3acUL;
   tf->codes[32062] = 0x000bdd9c0afdb9fdUL;
   tf->codes[32063] = 0x000be2ed8843de3dUL;
   tf->codes[32064] = 0x000be4b5e0d5d474UL;
   tf->codes[32065] = 0x000beb8adc84264aUL;
   tf->codes[32066] = 0x000bf609783bd96fUL;
   tf->codes[32067] = 0x000bf78e1b6f23deUL;
   tf->codes[32068] = 0x000bfac387a91241UL;
   tf->codes[32069] = 0x000bfcdb7aa6e044UL;
   tf->codes[32070] = 0x000c04bd0239a788UL;
   tf->codes[32071] = 0x000c097dee698d70UL;
   tf->codes[32072] = 0x000c1b174a357220UL;
   tf->codes[32073] = 0x000c1c2f0b7a0243UL;
   tf->codes[32074] = 0x000c1dd3b4e4746eUL;
   tf->codes[32075] = 0x000c25d8b10fb9f9UL;
   tf->codes[32076] = 0x000c29c5cbe8c14bUL;
   tf->codes[32077] = 0x000c36aca4b72b8eUL;
   tf->codes[32078] = 0x000c3b29666a5a24UL;
   tf->codes[32079] = 0x000c3e7c1a272b07UL;
   tf->codes[32080] = 0x000c3f317f300a44UL;
   tf->codes[32081] = 0x000c45ec2c9ec49bUL;
   tf->codes[32082] = 0x000c45f1e49654d8UL;
   tf->codes[32083] = 0x000c4cc3e7015badUL;
   tf->codes[32084] = 0x000c4d393f9beb72UL;
   tf->codes[32085] = 0x000c4de0eb1f7083UL;
   tf->codes[32086] = 0x000c50e94749ee4dUL;
   tf->codes[32087] = 0x000c536a73461a4cUL;
   tf->codes[32088] = 0x000c555eb71c6443UL;
   tf->codes[32089] = 0x000c55aae326e584UL;
   tf->codes[32090] = 0x000c5799e423aac8UL;
   tf->codes[32091] = 0x000c59fd8e0dee82UL;
   tf->codes[32092] = 0x000c5a9361fdb18dUL;
   tf->codes[32093] = 0x000c5b617b5cffe6UL;
   tf->codes[32094] = 0x000c60974b096a09UL;
   tf->codes[32095] = 0x000c648082630f46UL;
   tf->codes[32096] = 0x000c64d60f557d14UL;
   tf->codes[32097] = 0x000c68b7ba3f63ecUL;
   tf->codes[32098] = 0x000c707a6066204dUL;
   tf->codes[32099] = 0x000c74c75355990eUL;
   tf->codes[32100] = 0x000c7e7f621dbc3fUL;
   tf->codes[32101] = 0x000c7eed68d79364UL;
   tf->codes[32102] = 0x000c82e5f39fbb30UL;
   tf->codes[32103] = 0x000c8e7dea8526dbUL;
   tf->codes[32104] = 0x000c91d40ca34e49UL;
   tf->codes[32105] = 0x000c96d8ae31dff9UL;
   tf->codes[32106] = 0x000c9ebf3e0f262bUL;
   tf->codes[32107] = 0x000ca6466af40678UL;
   tf->codes[32108] = 0x000cab5f683b99a5UL;
   tf->codes[32109] = 0x000cb0689cf69eb9UL;
   tf->codes[32110] = 0x000cb57ba7b79be4UL;
   tf->codes[32111] = 0x000cbd80a3e2e16fUL;
   tf->codes[32112] = 0x000cc26997d7b902UL;
   tf->codes[32113] = 0x000cc87965f09d82UL;
   tf->codes[32114] = 0x000ccaddfa16f850UL;
   tf->codes[32115] = 0x000cd1fb78df6f17UL;
   tf->codes[32116] = 0x000cd644884f85c3UL;
   tf->codes[32117] = 0x000cd7013f391da0UL;
   tf->codes[32118] = 0x000cd819b02abf12UL;
   tf->codes[32119] = 0x000cd997769b5c6bUL;
   tf->codes[32120] = 0x000cda9c00f207eaUL;
   tf->codes[32121] = 0x000cdae742c07217UL;
   tf->codes[32122] = 0x000cdbd736cf1654UL;
   tf->codes[32123] = 0x000ce01beda1bf61UL;
   tf->codes[32124] = 0x000ce71b3aab3c94UL;
   tf->codes[32125] = 0x000cedbe1dff9ee3UL;
   tf->codes[32126] = 0x000cf1753cff5499UL;
   tf->codes[32127] = 0x000cf42a905ca40cUL;
   tf->codes[32128] = 0x000cf7871a1f6d06UL;
   tf->codes[32129] = 0x000cfc55fa63b2dfUL;
   tf->codes[32130] = 0x000cfe73303b0595UL;
   tf->codes[32131] = 0x000d008271fdf85aUL;
   tf->codes[32132] = 0x000d01990e776ba4UL;
   tf->codes[32133] = 0x000d021076192f56UL;
   tf->codes[32134] = 0x000d036f5b1dc1ccUL;
   tf->codes[32135] = 0x000d079d6ca12faaUL;
   tf->codes[32136] = 0x000d0ec486e098c3UL;
   tf->codes[32137] = 0x000d1031256a8565UL;
   tf->codes[32138] = 0x000d13de6e644304UL;
   tf->codes[32139] = 0x000d1d81e6e45ef3UL;
   tf->codes[32140] = 0x000d20827c101893UL;
   tf->codes[32141] = 0x000d230abf5df76dUL;
   tf->codes[32142] = 0x000d239d9a0a6f77UL;
   tf->codes[32143] = 0x000d272d60f244d1UL;
   tf->codes[32144] = 0x000d2785ac98f7dbUL;
   tf->codes[32145] = 0x000d2942cfcad35dUL;
   tf->codes[32146] = 0x000d2a6307bb38f9UL;
   tf->codes[32147] = 0x000d2b6e34458bc9UL;
   tf->codes[32148] = 0x000d2ba972f86218UL;
   tf->codes[32149] = 0x000d2bd0cb104274UL;
   tf->codes[32150] = 0x000d35cc8f37116dUL;
   tf->codes[32151] = 0x000d3c267a534341UL;
   tf->codes[32152] = 0x000d3cb118e2eb97UL;
   tf->codes[32153] = 0x000d3dec1430f43cUL;
   tf->codes[32154] = 0x000d464f4e8982d3UL;
   tf->codes[32155] = 0x000d470d2a3e3789UL;
   tf->codes[32156] = 0x000d474a3d693c00UL;
   tf->codes[32157] = 0x000d48c57fb499e2UL;
   tf->codes[32158] = 0x000d4f9d74a636b9UL;
   tf->codes[32159] = 0x000d539639fd644aUL;
   tf->codes[32160] = 0x000d540e8bdb3f10UL;
   tf->codes[32161] = 0x000d549c5e3d382cUL;
   tf->codes[32162] = 0x000d5c6063be172bUL;
   tf->codes[32163] = 0x000d5d6efea9c086UL;
   tf->codes[32164] = 0x000d60efacb21916UL;
   tf->codes[32165] = 0x000d62d3784ec3a5UL;
   tf->codes[32166] = 0x000d648ec70870ffUL;
   tf->codes[32167] = 0x000d667d52e72ab9UL;
   tf->codes[32168] = 0x000d695864733225UL;
   tf->codes[32169] = 0x000d73141c2bb1a6UL;
   tf->codes[32170] = 0x000d7a758ae1d9faUL;
   tf->codes[32171] = 0x000d7bd8c883da0fUL;
   tf->codes[32172] = 0x000d85021aaded10UL;
   tf->codes[32173] = 0x000d8875beddfcc3UL;
   tf->codes[32174] = 0x000d89d7d7b4dfffUL;
   tf->codes[32175] = 0x000d8b794d4d0164UL;
   tf->codes[32176] = 0x000d90cfd2dda492UL;
   tf->codes[32177] = 0x000d9918bef69baaUL;
   tf->codes[32178] = 0x000d99cb9fda3b70UL;
   tf->codes[32179] = 0x000d9d695ad670bbUL;
   tf->codes[32180] = 0x000da23b6eed075aUL;
   tf->codes[32181] = 0x000da7b5a3a52e94UL;
   tf->codes[32182] = 0x000da8f656eac776UL;
   tf->codes[32183] = 0x000da99b43ba074bUL;
   tf->codes[32184] = 0x000db24dddef67e9UL;
   tf->codes[32185] = 0x000db5516c5e6c8aUL;
   tf->codes[32186] = 0x000dbc1789bc475bUL;
   tf->codes[32187] = 0x000dbdc9026ffc9eUL;
   tf->codes[32188] = 0x000dc80791b9604bUL;
   tf->codes[32189] = 0x000dce5aa012e509UL;
   tf->codes[32190] = 0x000dce7c40333528UL;
   tf->codes[32191] = 0x000dd00994a15ad5UL;
   tf->codes[32192] = 0x000dd141d13b1e3eUL;
   tf->codes[32193] = 0x000dd24536c6ace4UL;
   tf->codes[32194] = 0x000dd7bf30efce59UL;
   tf->codes[32195] = 0x000dd84f4ce80127UL;
   tf->codes[32196] = 0x000dd88a167ccbecUL;
   tf->codes[32197] = 0x000ddd97de644464UL;
   tf->codes[32198] = 0x000dddf95063de36UL;
   tf->codes[32199] = 0x000de39c01ff02a5UL;
   tf->codes[32200] = 0x000de3f0a4b5595fUL;
   tf->codes[32201] = 0x000de44d48f97a08UL;
   tf->codes[32202] = 0x000de846f88cbeadUL;
   tf->codes[32203] = 0x000dffc9ef24c45aUL;
   tf->codes[32204] = 0x000e03ddb2689ab9UL;
   tf->codes[32205] = 0x000e0b62d0464719UL;
   tf->codes[32206] = 0x000e0fdea7bd5e9bUL;
   tf->codes[32207] = 0x000e105b17a9a13bUL;
   tf->codes[32208] = 0x000e111a52b8788fUL;
   tf->codes[32209] = 0x000e229800eaa322UL;
   tf->codes[32210] = 0x000e276840890b99UL;
   tf->codes[32211] = 0x000e282c83e261dbUL;
   tf->codes[32212] = 0x000e2af3e9627919UL;
   tf->codes[32213] = 0x000e341ed575b47dUL;
   tf->codes[32214] = 0x000e36ebb85e5633UL;
   tf->codes[32215] = 0x000e3770d9857411UL;
   tf->codes[32216] = 0x000e3778a084383bUL;
   tf->codes[32217] = 0x000e3ce605f31c5dUL;
   tf->codes[32218] = 0x000e3f51ebfa2fcbUL;
   tf->codes[32219] = 0x000e40625b5e074eUL;
   tf->codes[32220] = 0x000e42783f54a164UL;
   tf->codes[32221] = 0x000e449833e03956UL;
   tf->codes[32222] = 0x000e45aa3d2d393cUL;
   tf->codes[32223] = 0x000e46c11435b24bUL;
   tf->codes[32224] = 0x000e46e06abfc8b8UL;
   tf->codes[32225] = 0x000e477eefea6701UL;
   tf->codes[32226] = 0x000e47e1c1442371UL;
   tf->codes[32227] = 0x000e4b92789f379bUL;
   tf->codes[32228] = 0x000e557bf0143904UL;
   tf->codes[32229] = 0x000e5808c68e8b42UL;
   tf->codes[32230] = 0x000e58f49c8ec7a5UL;
   tf->codes[32231] = 0x000e5ade20230271UL;
   tf->codes[32232] = 0x000e5b9f6a390db2UL;
   tf->codes[32233] = 0x000e5d0da2ac22b7UL;
   tf->codes[32234] = 0x000e62bef808b866UL;
   tf->codes[32235] = 0x000e6ec48089efacUL;
   tf->codes[32236] = 0x000e6eed728af86bUL;
   tf->codes[32237] = 0x000e6f1f8ae4e7f2UL;
   tf->codes[32238] = 0x000e70af9e0752dbUL;
   tf->codes[32239] = 0x000e713cfb4b406dUL;
   tf->codes[32240] = 0x000e779880509aa4UL;
   tf->codes[32241] = 0x000e7c8975d33c26UL;
   tf->codes[32242] = 0x000e7cec0c9df2d1UL;
   tf->codes[32243] = 0x000e7f60de6ee742UL;
   tf->codes[32244] = 0x000e801bc0e050f7UL;
   tf->codes[32245] = 0x000e81163aa1fe9aUL;
   tf->codes[32246] = 0x000e825678c98bf2UL;
   tf->codes[32247] = 0x000e85674b9fdf35UL;
   tf->codes[32248] = 0x000e86e28deb3d17UL;
   tf->codes[32249] = 0x000e8f6d5aeab1cfUL;
   tf->codes[32250] = 0x000e960df4a8da6cUL;
   tf->codes[32251] = 0x000e99e3ba859540UL;
   tf->codes[32252] = 0x000e9efaa8c5f480UL;
   tf->codes[32253] = 0x000ea61c0b0dcd5cUL;
   tf->codes[32254] = 0x000ea6b80c132c2eUL;
   tf->codes[32255] = 0x000eb0bb221ab3c7UL;
   tf->codes[32256] = 0x000eb285c442e3b0UL;
   tf->codes[32257] = 0x000eb480e4dbdabdUL;
   tf->codes[32258] = 0x000eb55ddc8ba01bUL;
   tf->codes[32259] = 0x000ebf6585bf9b18UL;
   tf->codes[32260] = 0x000ec6b1ae80aadbUL;
   tf->codes[32261] = 0x000ec8d28d4859e1UL;
   tf->codes[32262] = 0x000eca137b1cf888UL;
   tf->codes[32263] = 0x000ecf73d6b393cdUL;
   tf->codes[32264] = 0x000ecfcd472563b0UL;
   tf->codes[32265] = 0x000ecfd5bdd13929UL;
   tf->codes[32266] = 0x000ed03520c99f0eUL;
   tf->codes[32267] = 0x000ed41aaf32e7fbUL;
   tf->codes[32268] = 0x000ed48ea8735522UL;
   tf->codes[32269] = 0x000ed73a9ae8b808UL;
   tf->codes[32270] = 0x000ed990162f960cUL;
   tf->codes[32271] = 0x000ed9f063641305UL;
   tf->codes[32272] = 0x000eddecd1ab9ce6UL;
   tf->codes[32273] = 0x000edfeecf074109UL;
   tf->codes[32274] = 0x000ee479f9ecdb1aUL;
   tf->codes[32275] = 0x000ee65eea54a282UL;
   tf->codes[32276] = 0x000ee7d907d4e38bUL;
   tf->codes[32277] = 0x000eef110f6bf796UL;
   tf->codes[32278] = 0x000eef606f48c99dUL;
   tf->codes[32279] = 0x000ef10f63d73f69UL;
   tf->codes[32280] = 0x000ef347979b3aedUL;
   tf->codes[32281] = 0x000ef571622ccaf6UL;
   tf->codes[32282] = 0x000ef72a2cc138d9UL;
   tf->codes[32283] = 0x000ef9852570a155UL;
   tf->codes[32284] = 0x000efc2916583a4cUL;
   tf->codes[32285] = 0x000efc4a7be984a6UL;
   tf->codes[32286] = 0x000efc80ece0e1ccUL;
   tf->codes[32287] = 0x000eff046273477dUL;
   tf->codes[32288] = 0x000effc830ae9235UL;
   tf->codes[32289] = 0x000effd5afa4e69cUL;
   tf->codes[32290] = 0x000f00563d9f9116UL;
   tf->codes[32291] = 0x000f0445dc9dd7dfUL;
   tf->codes[32292] = 0x000f05889eeaa4aeUL;
   tf->codes[32293] = 0x000f08a51c3f1e30UL;
   tf->codes[32294] = 0x000f0d63bed8ca66UL;
   tf->codes[32295] = 0x000f14d7ef5ecbd4UL;
   tf->codes[32296] = 0x000f16620ffaa0bbUL;
   tf->codes[32297] = 0x000f1688b8656fc8UL;
   tf->codes[32298] = 0x000f1ace940335aeUL;
   tf->codes[32299] = 0x000f1cbe44ad0c41UL;
   tf->codes[32300] = 0x000f1ceec31dd365UL;
   tf->codes[32301] = 0x000f274a5f5b13cdUL;
   tf->codes[32302] = 0x000f278c4041916dUL;
   tf->codes[32303] = 0x000f28aade48cea6UL;
   tf->codes[32304] = 0x000f2d76159cb82fUL;
   tf->codes[32305] = 0x000f2e1c9c552067UL;
   tf->codes[32306] = 0x000f38857cf9af71UL;
   tf->codes[32307] = 0x000f3b84783c40aeUL;
   tf->codes[32308] = 0x000f3f748c589301UL;
   tf->codes[32309] = 0x000f456d05752b03UL;
   tf->codes[32310] = 0x000f4c0e4ee064efUL;
   tf->codes[32311] = 0x000f56da00deb069UL;
   tf->codes[32312] = 0x000f5ce710434fadUL;
   tf->codes[32313] = 0x000f5def7e195d41UL;
   tf->codes[32314] = 0x000f6c38aa4db085UL;
   tf->codes[32315] = 0x000f6f5efda8221eUL;
   tf->codes[32316] = 0x000f710abe644724UL;
   tf->codes[32317] = 0x000f721d775e5859UL;
   tf->codes[32318] = 0x000f730cf64ef10cUL;
   tf->codes[32319] = 0x000f7b6953e4d28dUL;
   tf->codes[32320] = 0x000f7c09e816a4c3UL;
   tf->codes[32321] = 0x000f7c464b9497ebUL;
   tf->codes[32322] = 0x000f7ff18587219dUL;
   tf->codes[32323] = 0x000f83cd78797838UL;
   tf->codes[32324] = 0x000f88753b34e37aUL;
   tf->codes[32325] = 0x000f89d83e47ddcaUL;
   tf->codes[32326] = 0x000f8b98cfdb0fd7UL;
   tf->codes[32327] = 0x000f8e4c14312b5dUL;
   tf->codes[32328] = 0x000fadadd3a7b312UL;
   tf->codes[32329] = 0x000fb0cc25745abcUL;
   tf->codes[32330] = 0x000fb342912e7790UL;
   tf->codes[32331] = 0x000fb4f1109ee1d2UL;
   tf->codes[32332] = 0x000fba8a9be11f79UL;
   tf->codes[32333] = 0x000fbd110ab6d02bUL;
   tf->codes[32334] = 0x000fc9603b1d493bUL;
   tf->codes[32335] = 0x000fd13e8eddbfb9UL;
   tf->codes[32336] = 0x000fe6f792faa6ccUL;
   tf->codes[32337] = 0x000fec7e21de0594UL;
   tf->codes[32338] = 0x000ff283a4d2e673UL;
   tf->codes[32339] = 0x000ffb9f7806a50dUL;
   tf->codes[32340] = 0x000002f5ebebb871UL;
   tf->codes[32341] = 0x00000509c0db1e9aUL;
   tf->codes[32342] = 0x000007ec9965ea30UL;
   tf->codes[32343] = 0x000012d34950de78UL;
   tf->codes[32344] = 0x0000130c3e6d7b15UL;
   tf->codes[32345] = 0x0000138db6a43ca3UL;
   tf->codes[32346] = 0x0000151d54a89c02UL;
   tf->codes[32347] = 0x00001b4cb3da9cb4UL;
   tf->codes[32348] = 0x00001be79014deadUL;
   tf->codes[32349] = 0x00002497a624ffd4UL;
   tf->codes[32350] = 0x00002a7680af11a6UL;
   tf->codes[32351] = 0x00002ca9e6b79401UL;
   tf->codes[32352] = 0x00002d8210abe036UL;
   tf->codes[32353] = 0x00003143b55e9f52UL;
   tf->codes[32354] = 0x00003233a96d438fUL;
   tf->codes[32355] = 0x0000324f1c77f7e7UL;
   tf->codes[32356] = 0x000035b2f81b7981UL;
   tf->codes[32357] = 0x000038529065a4d9UL;
   tf->codes[32358] = 0x000038c59f69faecUL;
   tf->codes[32359] = 0x00003cd50a1063acUL;
   tf->codes[32360] = 0x00003f0e28107644UL;
   tf->codes[32361] = 0x00004296d7a698c3UL;
   tf->codes[32362] = 0x00004c0e64e260f2UL;
   tf->codes[32363] = 0x000057d714c79986UL;
   tf->codes[32364] = 0x00005932c5f9db36UL;
   tf->codes[32365] = 0x00005ebb63e46debUL;
   tf->codes[32366] = 0x00005ff9cd93cd1bUL;
   tf->codes[32367] = 0x000061036034f788UL;
   tf->codes[32368] = 0x000064b11e4cc0b1UL;
   tf->codes[32369] = 0x00006741d8467504UL;
   tf->codes[32370] = 0x000067780eaecc65UL;
   tf->codes[32371] = 0x000067c81e38afbbUL;
   tf->codes[32372] = 0x00006813600719e8UL;
   tf->codes[32373] = 0x00006b4dd48b8739UL;
   tf->codes[32374] = 0x00006b5401a12300UL;
   tf->codes[32375] = 0x00006bd713c10cf1UL;
   tf->codes[32376] = 0x00007001073612f5UL;
   tf->codes[32377] = 0x000075e733a0dd67UL;
   tf->codes[32378] = 0x0000808c3d3459d4UL;
   tf->codes[32379] = 0x0000829eb2c99d5fUL;
   tf->codes[32380] = 0x000082e8201fd964UL;
   tf->codes[32381] = 0x0000865f32b13fa2UL;
   tf->codes[32382] = 0x00008d5dd00dab86UL;
   tf->codes[32383] = 0x00008f38003363c3UL;
   tf->codes[32384] = 0x0000947b14471c88UL;
   tf->codes[32385] = 0x000095050329b38fUL;
   tf->codes[32386] = 0x00009d8634b235f5UL;
   tf->codes[32387] = 0x00009d8c61c7d1bcUL;
   tf->codes[32388] = 0x0000a0efc84d47ccUL;
   tf->codes[32389] = 0x0000a19d2bc85d1aUL;
   tf->codes[32390] = 0x0000a304c207caceUL;
   tf->codes[32391] = 0x0000b88e31f001d1UL;
   tf->codes[32392] = 0x0000b9f5531163fbUL;
   tf->codes[32393] = 0x0000bebbf738da20UL;
   tf->codes[32394] = 0x0000c1b624bff234UL;
   tf->codes[32395] = 0x0000c4be0bcc6474UL;
   tf->codes[32396] = 0x0000c973880d29e2UL;
   tf->codes[32397] = 0x0000c9dab20453f1UL;
   tf->codes[32398] = 0x0000d47535e4c6f8UL;
   tf->codes[32399] = 0x0000ddaa328d0038UL;
   tf->codes[32400] = 0x0000deed2f68d2ccUL;
   tf->codes[32401] = 0x0000df28338ca356UL;
   tf->codes[32402] = 0x0000e3edb2e8fca2UL;
   tf->codes[32403] = 0x0000f22fc7cb9d0bUL;
   tf->codes[32404] = 0x0000f6d74ff80288UL;
   tf->codes[32405] = 0x0000f83a8d9a029dUL;
   tf->codes[32406] = 0x0000fa4d784d51b2UL;
   tf->codes[32407] = 0x0001043939588ccdUL;
   tf->codes[32408] = 0x000104ae91f31c92UL;
   tf->codes[32409] = 0x00010c1075c75070UL;
   tf->codes[32410] = 0x00011286be2a4db0UL;
   tf->codes[32411] = 0x000116adb85c08b3UL;
   tf->codes[32412] = 0x00011ef9d8475091UL;
   tf->codes[32413] = 0x000126e869b260b2UL;
   tf->codes[32414] = 0x0001271ccba289ebUL;
   tf->codes[32415] = 0x000127c17de2c3fbUL;
   tf->codes[32416] = 0x00012b5562d9012fUL;
   tf->codes[32417] = 0x000133c2e8559367UL;
   tf->codes[32418] = 0x0001385774231a05UL;
   tf->codes[32419] = 0x00013b8887bf9ac9UL;
   tf->codes[32420] = 0x000144118046e159UL;
   tf->codes[32421] = 0x000144d513f3264cUL;
   tf->codes[32422] = 0x0001493d04cf47dbUL;
   tf->codes[32423] = 0x00015010dbb27cd8UL;
   tf->codes[32424] = 0x0001574c171be1a9UL;
   tf->codes[32425] = 0x00016b4190624baeUL;
   tf->codes[32426] = 0x00016c68dfa46425UL;
   tf->codes[32427] = 0x0001734233f0239aUL;
   tf->codes[32428] = 0x000173f8bdc41fb0UL;
   tf->codes[32429] = 0x000175180b786e38UL;
   tf->codes[32430] = 0x00017e3ed97d41c2UL;
   tf->codes[32431] = 0x000181656766b920UL;
   tf->codes[32432] = 0x0001829184644ac0UL;
   tf->codes[32433] = 0x0001849fa15c20acUL;
   tf->codes[32434] = 0x00018b5be8b40366UL;
   tf->codes[32435] = 0x00018d8e64806eadUL;
   tf->codes[32436] = 0x00018fb48621a266UL;
   tf->codes[32437] = 0x00019848ee980970UL;
   tf->codes[32438] = 0x00019a24b8a6ea10UL;
   tf->codes[32439] = 0x00019bff9879b39cUL;
   tf->codes[32440] = 0x0001a0d296cc614fUL;
   tf->codes[32441] = 0x0001a1744fc9505eUL;
   tf->codes[32442] = 0x0001a45f6470eba8UL;
   tf->codes[32443] = 0x0001a934373bc783UL;
   tf->codes[32444] = 0x0001b407eac7dcecUL;
   tf->codes[32445] = 0x0001b47d08d366ecUL;
   tf->codes[32446] = 0x0001b76bc66b5e86UL;
   tf->codes[32447] = 0x0001b92ea194ca45UL;
   tf->codes[32448] = 0x0001ba3af2ea39eeUL;
   tf->codes[32449] = 0x0001c7758432e3d7UL;
   tf->codes[32450] = 0x0001cbef8731cd31UL;
   tf->codes[32451] = 0x0001cc93c453fbb7UL;
   tf->codes[32452] = 0x0001ccef7e5c054cUL;
   tf->codes[32453] = 0x0001cd1bdebe6496UL;
   tf->codes[32454] = 0x0001cdc1b5c9bb7fUL;
   tf->codes[32455] = 0x0001ce90b96520ecUL;
   tf->codes[32456] = 0x0001cf3c82f70dd7UL;
   tf->codes[32457] = 0x0001d0fa9065006dUL;
   tf->codes[32458] = 0x0001d2363b601a61UL;
   tf->codes[32459] = 0x0001da5dfc76cce4UL;
   tf->codes[32460] = 0x0001dcac25dcf248UL;
   tf->codes[32461] = 0x0001eacdbf6a5f6bUL;
   tf->codes[32462] = 0x0001ec5d22dfb905UL;
   tf->codes[32463] = 0x0001ecd83371d907UL;
   tf->codes[32464] = 0x0001f1be68b26b5eUL;
   tf->codes[32465] = 0x0001f2c0a972dd2bUL;
   tf->codes[32466] = 0x0001fe8f4bdeabc1UL;
   tf->codes[32467] = 0x00020151e3a349d6UL;
   tf->codes[32468] = 0x000206d0ab87e474UL;
   tf->codes[32469] = 0x0002085d5048f8d2UL;
   tf->codes[32470] = 0x00020e625e1fce27UL;
   tf->codes[32471] = 0x00020f4a1611a2b0UL;
   tf->codes[32472] = 0x0002121faa351fa4UL;
   tf->codes[32473] = 0x0002146731679db7UL;
   tf->codes[32474] = 0x0002193561fed241UL;
   tf->codes[32475] = 0x00021a1b80077e67UL;
   tf->codes[32476] = 0x00021a4a9f1e22edUL;
   tf->codes[32477] = 0x00021d6d0ef93271UL;
   tf->codes[32478] = 0x000227868fc0ef74UL;
   tf->codes[32479] = 0x00022b0fb4751d7dUL;
   tf->codes[32480] = 0x00023c06e2260794UL;
   tf->codes[32481] = 0x00023db8204ab712UL;
   tf->codes[32482] = 0x000246c8be1e5af7UL;
   tf->codes[32483] = 0x00024f617f322fa0UL;
   tf->codes[32484] = 0x000250f41679da00UL;
   tf->codes[32485] = 0x0002540ceaddf732UL;
   tf->codes[32486] = 0x0002556e1978c35aUL;
   tf->codes[32487] = 0x00025978f0f2b8b6UL;
   tf->codes[32488] = 0x00025c1087af1a1fUL;
   tf->codes[32489] = 0x00026d7128ed67f7UL;
   tf->codes[32490] = 0x00026ec12fa18368UL;
   tf->codes[32491] = 0x000270b5ae06d324UL;
   tf->codes[32492] = 0x0002711ee7053120UL;
   tf->codes[32493] = 0x000271f11e72e753UL;
   tf->codes[32494] = 0x000277d3675e4fb0UL;
   tf->codes[32495] = 0x00027869eafb240aUL;
   tf->codes[32496] = 0x00027cfcdcdf8245UL;
   tf->codes[32497] = 0x00027ffc87cf24d1UL;
   tf->codes[32498] = 0x0002813c8b67ac64UL;
   tf->codes[32499] = 0x000282b6a8e7ed6dUL;
   tf->codes[32500] = 0x0002861abf1a74ccUL;
   tf->codes[32501] = 0x0002871ed45314c1UL;
   tf->codes[32502] = 0x00028f8e68d6dae6UL;
   tf->codes[32503] = 0x0002925c708a9975UL;
   tf->codes[32504] = 0x000297d2fc52645fUL;
   tf->codes[32505] = 0x0002984312136f71UL;
   tf->codes[32506] = 0x0002989d323250a3UL;
   tf->codes[32507] = 0x0002a0ef44a42e83UL;
   tf->codes[32508] = 0x0002a4695078dfc2UL;
   tf->codes[32509] = 0x0002a4d8416ecdfbUL;
   tf->codes[32510] = 0x0002ab030d745b49UL;
   tf->codes[32511] = 0x0002ae6464f29d6cUL;
   tf->codes[32512] = 0x0002b0031bd67995UL;
   tf->codes[32513] = 0x0002b46ef031fd39UL;
   tf->codes[32514] = 0x0002b8cea4f14f14UL;
   tf->codes[32515] = 0x0002bf3b174e543dUL;
   tf->codes[32516] = 0x0002c76d23890a61UL;
   tf->codes[32517] = 0x0002c7e958e6473cUL;
   tf->codes[32518] = 0x0002c9796c08b225UL;
   tf->codes[32519] = 0x0002ce897d86644fUL;
   tf->codes[32520] = 0x0002dc31a06ad9d3UL;
   tf->codes[32521] = 0x0002dd68088c6f14UL;
   tf->codes[32522] = 0x0002dff63e60e3f0UL;
   tf->codes[32523] = 0x0002e25ef095a698UL;
   tf->codes[32524] = 0x0002e54069c64f90UL;
   tf->codes[32525] = 0x0002e906dc3487d5UL;
   tf->codes[32526] = 0x0002e931dd3cc481UL;
   tf->codes[32527] = 0x0002ea9fdb20d3c1UL;
   tf->codes[32528] = 0x0002eaff038a33e1UL;
   tf->codes[32529] = 0x0002f3dee85e0addUL;
   tf->codes[32530] = 0x0002fc2f9b75c61fUL;
   tf->codes[32531] = 0x0002ff0cf698073dUL;
   tf->codes[32532] = 0x00030186d0b37a9cUL;
   tf->codes[32533] = 0x000301f12e7cf571UL;
   tf->codes[32534] = 0x000303d39abf7d62UL;
   tf->codes[32535] = 0x000308840eb5c3e2UL;
   tf->codes[32536] = 0x0003109fb030449cUL;
   tf->codes[32537] = 0x000322f3b3de8d3cUL;
   tf->codes[32538] = 0x0003255d504f66f8UL;
   tf->codes[32539] = 0x00032b8caf8167aaUL;
   tf->codes[32540] = 0x00033c05d35ce6beUL;
   tf->codes[32541] = 0x000340751619c0edUL;
   tf->codes[32542] = 0x0003420cf03af000UL;
   tf->codes[32543] = 0x000348dc33f1b199UL;
   tf->codes[32544] = 0x000349138f2525d3UL;
   tf->codes[32545] = 0x00034c9d6386652bUL;
   tf->codes[32546] = 0x00035062769a7ad2UL;
   tf->codes[32547] = 0x0003517236514106UL;
   tf->codes[32548] = 0x000355799f69dfd7UL;
   tf->codes[32549] = 0x00036053457c8b42UL;
   tf->codes[32550] = 0x000365bd3c8a18d9UL;
   tf->codes[32551] = 0x00036a0736364699UL;
   tf->codes[32552] = 0x00036e13327b58ceUL;
   tf->codes[32553] = 0x00036fc22709ce9aUL;
   tf->codes[32554] = 0x0003737fadae25dcUL;
   tf->codes[32555] = 0x00038258bb4ba629UL;
   tf->codes[32556] = 0x000386d57cfed4bfUL;
   tf->codes[32557] = 0x000388199ea5c42cUL;
   tf->codes[32558] = 0x00039b5f6adadf31UL;
   tf->codes[32559] = 0x00039e198bf3a7cdUL;
   tf->codes[32560] = 0x00039ed9ebcd9bfaUL;
   tf->codes[32561] = 0x00039f674911898cUL;
   tf->codes[32562] = 0x0003a0b6daa79973UL;
   tf->codes[32563] = 0x0003b36d3a9192f9UL;
   tf->codes[32564] = 0x0003b6e32857dc5eUL;
   tf->codes[32565] = 0x0003ba185a02c4fcUL;
   tf->codes[32566] = 0x0003bac841a319c1UL;
   tf->codes[32567] = 0x0003be06d435eeecUL;
   tf->codes[32568] = 0x0003c481afc55f90UL;
   tf->codes[32569] = 0x0003c539d3828409UL;
   tf->codes[32570] = 0x0003cd83e46697faUL;
   tf->codes[32571] = 0x0003d04591ef1efbUL;
   tf->codes[32572] = 0x0003d1e7b73451afUL;
   tf->codes[32573] = 0x0003d36db9c1bebcUL;
   tf->codes[32574] = 0x0003d7baacb1377dUL;
   tf->codes[32575] = 0x0003d836e20e7458UL;
   tf->codes[32576] = 0x0003ecc5d834fdb8UL;
   tf->codes[32577] = 0x0003f26e7c56b829UL;
   tf->codes[32578] = 0x0003f2890525556dUL;
   tf->codes[32579] = 0x0003f4812c7b0179UL;
   tf->codes[32580] = 0x0003fb1b240582c5UL;
   tf->codes[32581] = 0x0003fbcf9ed24aeeUL;
   tf->codes[32582] = 0x0003fc0aa2f61b78UL;
   tf->codes[32583] = 0x0004509bf6d71efcUL;
   tf->codes[32584] = 0x00046a0452f4f79bUL;
   tf->codes[32585] = 0x000481e0b9fecd2bUL;
   tf->codes[32586] = 0x00048b44261099a2UL;
   tf->codes[32587] = 0x0004a734505e4591UL;
   tf->codes[32588] = 0x0004b98903b99f80UL;
   tf->codes[32589] = 0x0004c283e67a1f4aUL;
   tf->codes[32590] = 0x0004cc9147a5aa84UL;
   tf->codes[32591] = 0x0004e2951872f03aUL;
   tf->codes[32592] = 0x0004e88e7bcb9f50UL;
   tf->codes[32593] = 0x0004f4f5eb6a7bf2UL;
   tf->codes[32594] = 0x00050a97256d0afdUL;
   tf->codes[32595] = 0x00050c39bfd0493bUL;
   tf->codes[32596] = 0x00052234df62b3b3UL;
   tf->codes[32597] = 0x000524f2e3fade64UL;
   tf->codes[32598] = 0x000546265ceb48ddUL;
   tf->codes[32599] = 0x0005501e7821bb86UL;
   tf->codes[32600] = 0x0005540949648926UL;
   tf->codes[32601] = 0x0005541c80526dcaUL;
   tf->codes[32602] = 0x0005559837bbd736UL;
   tf->codes[32603] = 0x000559884bd82989UL;
   tf->codes[32604] = 0x00055b586b68e3eaUL;
   tf->codes[32605] = 0x00055fb3526cbc9cUL;
   tf->codes[32606] = 0x00056e0b22628120UL;
   tf->codes[32607] = 0x0005740e21322288UL;
   tf->codes[32608] = 0x00058301f22d45deUL;
   tf->codes[32609] = 0x000587a9ef77b6e5UL;
   tf->codes[32610] = 0x000587d2e178bfa4UL;
   tf->codes[32611] = 0x0005a761b0feb7f2UL;
   tf->codes[32612] = 0x0005ac82ea631ad3UL;
   tf->codes[32613] = 0x0005af2999fef906UL;
   tf->codes[32614] = 0x0005bf01b48a9a5aUL;
   tf->codes[32615] = 0x0005c3f025e7fc65UL;
   tf->codes[32616] = 0x0005c516c57d038dUL;
   tf->codes[32617] = 0x0005d41ad422c086UL;
   tf->codes[32618] = 0x0005d627cc4f7999UL;
   tf->codes[32619] = 0x0005d6c10ea0932fUL;
   tf->codes[32620] = 0x0005db9fb7716721UL;
   tf->codes[32621] = 0x0005dd65514f181cUL;
   tf->codes[32622] = 0x0005e03aaae38f4bUL;
   tf->codes[32623] = 0x0005ea6170129af0UL;
   tf->codes[32624] = 0x0005eb3541697986UL;
   tf->codes[32625] = 0x0005ede29338ff0aUL;
   tf->codes[32626] = 0x0005f06ce58e11d1UL;
   tf->codes[32627] = 0x0005f25fca0a392aUL;
   tf->codes[32628] = 0x0005f2c2d5f2fb5fUL;
   tf->codes[32629] = 0x0005f3047c4a733aUL;
   tf->codes[32630] = 0x0005ff6a52002779UL;
   tf->codes[32631] = 0x0005ffec04c5eeccUL;
   tf->codes[32632] = 0x000610408f3dd2c0UL;
   tf->codes[32633] = 0x0006153ddeebabd0UL;
   tf->codes[32634] = 0x000615423789196fUL;
   tf->codes[32635] = 0x0006378a3debc345UL;
   tf->codes[32636] = 0x000637a3a1ef43b0UL;
   tf->codes[32637] = 0x00063e65a13eb6a7UL;
   tf->codes[32638] = 0x00064029dbc24504UL;
   tf->codes[32639] = 0x00064182ce404178UL;
   tf->codes[32640] = 0x0006468526389976UL;
   tf->codes[32641] = 0x000647e988a5b664UL;
   tf->codes[32642] = 0x0006521dcccb1670UL;
   tf->codes[32643] = 0x000669749d8fc298UL;
   tf->codes[32644] = 0x00067cd7ebd6c5e2UL;
   tf->codes[32645] = 0x00068165605299a5UL;
   tf->codes[32646] = 0x00068234295ef94dUL;
   tf->codes[32647] = 0x000686b4ce9189f8UL;
   tf->codes[32648] = 0x00068b6eddfec2caUL;
   tf->codes[32649] = 0x00068e4d987b2686UL;
   tf->codes[32650] = 0x00069951ca780313UL;
   tf->codes[32651] = 0x0006a2eb6cf226ebUL;
   tf->codes[32652] = 0x0006a346774d1f31UL;
   tf->codes[32653] = 0x0006a8a9cc270577UL;
   tf->codes[32654] = 0x0006ade58e5a059cUL;
   tf->codes[32655] = 0x0006b762d38d5e08UL;
   tf->codes[32656] = 0x0006b907b786d5f8UL;
   tf->codes[32657] = 0x0006bb2b8f91cfffUL;
   tf->codes[32658] = 0x0006bfb9040da3c2UL;
   tf->codes[32659] = 0x0006c0198bd12680UL;
   tf->codes[32660] = 0x0006ca66bedbfb6dUL;
   tf->codes[32661] = 0x0006cbede6348553UL;
   tf->codes[32662] = 0x0006cd6420356447UL;
   tf->codes[32663] = 0x0006d053c80972f5UL;
   tf->codes[32664] = 0x0006dc3b1ecbb0a7UL;
   tf->codes[32665] = 0x0006e34566a642caUL;
   tf->codes[32666] = 0x0006e9b497b78d2fUL;
   tf->codes[32667] = 0x0006eb7ec4c1b18eUL;
   tf->codes[32668] = 0x0006ec41e34feaf7UL;
   tf->codes[32669] = 0x0006ee3d03e8e204UL;
   tf->codes[32670] = 0x0006f3c7764ba2e1UL;
   tf->codes[32671] = 0x00070b8bd8ac1aa4UL;
   tf->codes[32672] = 0x00070d8b51e27f50UL;
   tf->codes[32673] = 0x00071435c1a6a004UL;
   tf->codes[32674] = 0x0007235c5aa8c430UL;
   tf->codes[32675] = 0x0007247d42463b1bUL;
   tf->codes[32676] = 0x00072960f3618dfbUL;
   tf->codes[32677] = 0x00072edcc202dd98UL;
   tf->codes[32678] = 0x0007316edb56b489UL;
   tf->codes[32679] = 0x000737b46ab9e4e0UL;
   tf->codes[32680] = 0x000753518c3a6278UL;
   tf->codes[32681] = 0x00075b1fa2503f53UL;
   tf->codes[32682] = 0x00075d1286cc66acUL;
   tf->codes[32683] = 0x000763071c699c99UL;
   tf->codes[32684] = 0x00076ad5327f7974UL;
   tf->codes[32685] = 0x000776bc4eb2b161UL;
   tf->codes[32686] = 0x000778178ac6e787UL;
   tf->codes[32687] = 0x00077fc43b4b7a08UL;
   tf->codes[32688] = 0x000783b39fbabb0cUL;
   tf->codes[32689] = 0x00078695c8987553UL;
   tf->codes[32690] = 0x00078816c2db6372UL;
   tf->codes[32691] = 0x000791b7f1c545afUL;
   tf->codes[32692] = 0x000791ed78808bc1UL;
   tf->codes[32693] = 0x000794127556a2a1UL;
   tf->codes[32694] = 0x0007981a538d4cfcUL;
   tf->codes[32695] = 0x0007a0cc78a4a210UL;
   tf->codes[32696] = 0x0007a0daa74807c6UL;
   tf->codes[32697] = 0x0007a20cb6cc2f68UL;
   tf->codes[32698] = 0x0007a30c736761beUL;
   tf->codes[32699] = 0x0007a58e899fa4d1UL;
   tf->codes[32700] = 0x0007a968a819cd44UL;
   tf->codes[32701] = 0x0007ad17c58bb90bUL;
   tf->codes[32702] = 0x0007af7cced01f63UL;
   tf->codes[32703] = 0x0007b655736ecd89UL;
   tf->codes[32704] = 0x0007bb26282b418aUL;
   tf->codes[32705] = 0x0007c337f39fca2dUL;
   tf->codes[32706] = 0x0007c3c3f1899521UL;
   tf->codes[32707] = 0x0007c5063eb85666UL;
   tf->codes[32708] = 0x0007de7e28d3b759UL;
   tf->codes[32709] = 0x0007e84933fab969UL;
   tf->codes[32710] = 0x0007ee1b04ac825eUL;
   tf->codes[32711] = 0x0007eec5345546e6UL;
   tf->codes[32712] = 0x0007eff534d23a9bUL;
   tf->codes[32713] = 0x0007f27a09bec2eaUL;
   tf->codes[32714] = 0x0007f9869b2f8ebfUL;
   tf->codes[32715] = 0x0007fafd84dd7f02UL;
   tf->codes[32716] = 0x0007fb430eb458f2UL;
   tf->codes[32717] = 0x0007fb97ebf9b571UL;
   tf->codes[32718] = 0x0007fbe836129e8cUL;
   tf->codes[32719] = 0x00080e8a74d29c5aUL;
   tf->codes[32720] = 0x00082037078c65aeUL;
   tf->codes[32721] = 0x000829b1c89a7ea3UL;
   tf->codes[32722] = 0x00082e4fefdef793UL;
   tf->codes[32723] = 0x000839bf69e16609UL;
   tf->codes[32724] = 0x00084b968885607fUL;
   tf->codes[32725] = 0x00084d5286ec1f28UL;
   tf->codes[32726] = 0x00084ed8145b80abUL;
   tf->codes[32727] = 0x0008520210a64e94UL;
   tf->codes[32728] = 0x00085578738aa383UL;
   tf->codes[32729] = 0x0008588ec3c9813eUL;
   tf->codes[32730] = 0x00085b47c0172d01UL;
   tf->codes[32731] = 0x00087009b8d3bcfcUL;
   tf->codes[32732] = 0x000875972479c8daUL;
   tf->codes[32733] = 0x00087be52a88ceaaUL;
   tf->codes[32734] = 0x00087e1a9f9884f2UL;
   tf->codes[32735] = 0x000886738ecd0fe8UL;
   tf->codes[32736] = 0x000886d86f2e0045UL;
   tf->codes[32737] = 0x000892c99bf6360eUL;
   tf->codes[32738] = 0x000896eb18bf6699UL;
   tf->codes[32739] = 0x000899ecd2b63d12UL;
   tf->codes[32740] = 0x000899fa171d8bb4UL;
   tf->codes[32741] = 0x0008a373b36087d0UL;
   tf->codes[32742] = 0x0008aa8e38e5b396UL;
   tf->codes[32743] = 0x0008ab99da8e11f0UL;
   tf->codes[32744] = 0x0008ae99fa9bc006UL;
   tf->codes[32745] = 0x0008c83a9c2923f3UL;
   tf->codes[32746] = 0x0008ca85cc4bfe56UL;
   tf->codes[32747] = 0x0008cebc19ec3be8UL;
   tf->codes[32748] = 0x0008d951d01135c6UL;
   tf->codes[32749] = 0x0008e17cff893ed4UL;
   tf->codes[32750] = 0x0008e51f1322e1beUL;
   tf->codes[32751] = 0x0008e77f893ad4b2UL;
   tf->codes[32752] = 0x0008e892b752f171UL;
   tf->codes[32753] = 0x0008ee02a0e7150aUL;
   tf->codes[32754] = 0x0008f94d0c67dcd6UL;
   tf->codes[32755] = 0x0008fc05ce2682d4UL;
   tf->codes[32756] = 0x0008fe58ffd72726UL;
   tf->codes[32757] = 0x0008fe67a3989866UL;
   tf->codes[32758] = 0x0008ffe828bd7afbUL;
   tf->codes[32759] = 0x0009027c8ba78b9eUL;
   tf->codes[32760] = 0x00090825df76575eUL;
   tf->codes[32761] = 0x00090bdf0d7d4101UL;
   tf->codes[32762] = 0x00090d49d78eff7bUL;
   tf->codes[32763] = 0x0009112e7bbc3154UL;
   tf->codes[32764] = 0x000918568037b181UL;
   tf->codes[32765] = 0x000927e39383ee6dUL;
   tf->codes[32766] = 0x00092e2d7b848c63UL;
   tf->codes[32767] = 0x0009363a3eae9618UL;
   tf->codes[32768] = 0x00093ee302ddfe9fUL;
   tf->codes[32769] = 0x000946049fb4dd40UL;
   tf->codes[32770] = 0x00094c42dd3754f7UL;
   tf->codes[32771] = 0x00094f7082727f30UL;
   tf->codes[32772] = 0x0009591c719e7098UL;
   tf->codes[32773] = 0x000963466a9fcd03UL;
   tf->codes[32774] = 0x00096699ce09af35UL;
   tf->codes[32775] = 0x00096bcd541fdfa6UL;
   tf->codes[32776] = 0x000970ed2e2a1fe9UL;
   tf->codes[32777] = 0x0009718043659db8UL;
   tf->codes[32778] = 0x00097f370a0b847cUL;
   tf->codes[32779] = 0x0009800314639ee8UL;
   tf->codes[32780] = 0x000986e0119fbaadUL;
   tf->codes[32781] = 0x00098c657bb7fc9cUL;
   tf->codes[32782] = 0x00098cf9b5be9744UL;
   tf->codes[32783] = 0x0009a801ed8b68e5UL;
   tf->codes[32784] = 0x0009ac9d561b9c99UL;
   tf->codes[32785] = 0x0009b6181729b58eUL;
   tf->codes[32786] = 0x0009b63fa9d09bafUL;
   tf->codes[32787] = 0x0009b7877467e76cUL;
   tf->codes[32788] = 0x0009bacd58db7537UL;
   tf->codes[32789] = 0x0009bb1f024e80f0UL;
   tf->codes[32790] = 0x0009bd9f7e9d9ba0UL;
   tf->codes[32791] = 0x0009c122b0cb33a7UL;
   tf->codes[32792] = 0x0009c3fe3775469dUL;
   tf->codes[32793] = 0x0009ccdf068534adUL;
   tf->codes[32794] = 0x0009d0986f1b2415UL;
   tf->codes[32795] = 0x0009deb69a473aadUL;
   tf->codes[32796] = 0x0009e57231f20c18UL;
   tf->codes[32797] = 0x0009e5a2eaf1d901UL;
   tf->codes[32798] = 0x0009eed9f6a1462eUL;
   tf->codes[32799] = 0x0009f59344b5dde7UL;
   tf->codes[32800] = 0x0009f88d37adf036UL;
   tf->codes[32801] = 0x000a06bd74fcce99UL;
   tf->codes[32802] = 0x000a12447e8a8f52UL;
   tf->codes[32803] = 0x000a1c0ba6322f4dUL;
   tf->codes[32804] = 0x000a241b9d2e89c8UL;
   tf->codes[32805] = 0x000a245541f837b4UL;
   tf->codes[32806] = 0x000a2eb745da19a8UL;
   tf->codes[32807] = 0x000a304ac75ddb1cUL;
   tf->codes[32808] = 0x000a305044c66594UL;
   tf->codes[32809] = 0x000a32e1ae6d2b36UL;
   tf->codes[32810] = 0x000a38ae3c456f78UL;
   tf->codes[32811] = 0x000a3c149c0e3089UL;
   tf->codes[32812] = 0x000a45683f936ee7UL;
   tf->codes[32813] = 0x000a55f63445fb02UL;
   tf->codes[32814] = 0x000a56790bd6df2eUL;
   tf->codes[32815] = 0x000a5b6e59f6ee4fUL;
   tf->codes[32816] = 0x000a5b974bf7f70eUL;
   tf->codes[32817] = 0x000a6075ba39c53bUL;
   tf->codes[32818] = 0x000a61941db1fcafUL;
   tf->codes[32819] = 0x000a61e0beda897aUL;
   tf->codes[32820] = 0x000a6210188033c5UL;
   tf->codes[32821] = 0x000a65c6c261ddf1UL;
   tf->codes[32822] = 0x000a6845df56d603UL;
   tf->codes[32823] = 0x000a6b84375aa569UL;
   tf->codes[32824] = 0x000a6bfa3fa2467dUL;
   tf->codes[32825] = 0x000a7276efa9e549UL;
   tf->codes[32826] = 0x000a78743681f674UL;
   tf->codes[32827] = 0x000a91084c2ae4f3UL;
   tf->codes[32828] = 0x000a94cdd45d0624UL;
   tf->codes[32829] = 0x000a975e53c7b4b2UL;
   tf->codes[32830] = 0x000a97e9a2046e57UL;
   tf->codes[32831] = 0x000a9d409cb31d0fUL;
   tf->codes[32832] = 0x000aab06b6c78662UL;
   tf->codes[32833] = 0x000ab3c2ec73d952UL;
   tf->codes[32834] = 0x000ab5d90af9792dUL;
   tf->codes[32835] = 0x000aba8e873a3e9bUL;
   tf->codes[32836] = 0x000abb428ce8fb3aUL;
   tf->codes[32837] = 0x000ac2366a0357f3UL;
   tf->codes[32838] = 0x000aca536ad7fb4bUL;
   tf->codes[32839] = 0x000ad6d7acdbaee3UL;
   tf->codes[32840] = 0x000ad98f845e3dcdUL;
   tf->codes[32841] = 0x000adda591384ddeUL;
   tf->codes[32842] = 0x000ae26fa3c11a8eUL;
   tf->codes[32843] = 0x000aef175a5d4c6dUL;
   tf->codes[32844] = 0x000af27a8653bcb8UL;
   tf->codes[32845] = 0x000af2a9dff96703UL;
   tf->codes[32846] = 0x000af3b5f6bfd0e7UL;
   tf->codes[32847] = 0x000b00fe06fecf37UL;
   tf->codes[32848] = 0x000b0158d6cac1b8UL;
   tf->codes[32849] = 0x000b0d912752f9d4UL;
   tf->codes[32850] = 0x000b13d22389b6c7UL;
   tf->codes[32851] = 0x000b1adbf6463d60UL;
   tf->codes[32852] = 0x000b1cc713c3a08fUL;
   tf->codes[32853] = 0x000b1d534c3c7148UL;
   tf->codes[32854] = 0x000b223c403148dbUL;
   tf->codes[32855] = 0x000b249355614f42UL;
   tf->codes[32856] = 0x000b2a297242365eUL;
   tf->codes[32857] = 0x000b2e7490b980f7UL;
   tf->codes[32858] = 0x000b45f2f4251340UL;
   tf->codes[32859] = 0x000b5bc9ef71ee22UL;
   tf->codes[32860] = 0x000b5c42b66dd472UL;
   tf->codes[32861] = 0x000b5ff2838cd188UL;
   tf->codes[32862] = 0x000b60f44f2f37cbUL;
   tf->codes[32863] = 0x000b63cdc6d216d4UL;
   tf->codes[32864] = 0x000b63f7688030e2UL;
   tf->codes[32865] = 0x000b693ab722ef6cUL;
   tf->codes[32866] = 0x000b69c72a2ac5eaUL;
   tf->codes[32867] = 0x000b73080be02b2eUL;
   tf->codes[32868] = 0x000b754965fd0d7aUL;
   tf->codes[32869] = 0x000b789ed86e2399UL;
   tf->codes[32870] = 0x000b7939ef376b57UL;
   tf->codes[32871] = 0x000b7c99accc8517UL;
   tf->codes[32872] = 0x000b824dc0dd6002UL;
   tf->codes[32873] = 0x000b83cd5bc62b83UL;
   tf->codes[32874] = 0x000b8b38db1151b3UL;
   tf->codes[32875] = 0x000b993febd02192UL;
   tf->codes[32876] = 0x000b9a172b8856b3UL;
   tf->codes[32877] = 0x000b9bb82c026c8eUL;
   tf->codes[32878] = 0x000ba00dd02cc08dUL;
   tf->codes[32879] = 0x000bad359fa5915cUL;
   tf->codes[32880] = 0x000bb11e9c7030d4UL;
   tf->codes[32881] = 0x000bb26e2e0640bbUL;
   tf->codes[32882] = 0x000bb7ffb7bab473UL;
   tf->codes[32883] = 0x000bc127356c994cUL;
   tf->codes[32884] = 0x000bc2856ac41a73UL;
   tf->codes[32885] = 0x000bc9738fe6e6efUL;
   tf->codes[32886] = 0x000bc9f8767eff08UL;
   tf->codes[32887] = 0x000bd4a9da3db303UL;
   tf->codes[32888] = 0x000bd8bec24ca63bUL;
   tf->codes[32889] = 0x000bde30bae7fdc1UL;
   tf->codes[32890] = 0x000be4f8379ffb30UL;
   tf->codes[32891] = 0x000be63800a97cfeUL;
   tf->codes[32892] = 0x000be6cfe3a073f6UL;
   tf->codes[32893] = 0x000beae9244cd4cdUL;
   tf->codes[32894] = 0x000bef6a3e9d7102UL;
   tf->codes[32895] = 0x000bf346318fc79dUL;
   tf->codes[32896] = 0x000bf465b9d31beaUL;
   tf->codes[32897] = 0x000bf5eeb5a3d3f8UL;
   tf->codes[32898] = 0x000bf70b7f32e309UL;
   tf->codes[32899] = 0x000bfb7cd0f6f125UL;
   tf->codes[32900] = 0x000c007c2fabfe22UL;
   tf->codes[32901] = 0x000c011487c100a4UL;
   tf->codes[32902] = 0x000c0fb340e7c1b6UL;
   tf->codes[32903] = 0x000c1228fcf4cd3bUL;
   tf->codes[32904] = 0x000c1654c4e20167UL;
   tf->codes[32905] = 0x000c1cd174e9a033UL;
   tf->codes[32906] = 0x000c1de6025bdf90UL;
   tf->codes[32907] = 0x000c2d9097ba04c1UL;
   tf->codes[32908] = 0x000c32ad0362ee79UL;
   tf->codes[32909] = 0x000c357677ea39a4UL;
   tf->codes[32910] = 0x000c369b7d961869UL;
   tf->codes[32911] = 0x000c386410b71465UL;
   tf->codes[32912] = 0x000c3c4f5717ed8fUL;
   tf->codes[32913] = 0x000c4097072de19dUL;
   tf->codes[32914] = 0x000c4403940c3e75UL;
   tf->codes[32915] = 0x000c47e8ad577bd8UL;
   tf->codes[32916] = 0x000c4f8fa5e47e1cUL;
   tf->codes[32917] = 0x000c60b5f2ac0cb9UL;
   tf->codes[32918] = 0x000c644f1a7bcea0UL;
   tf->codes[32919] = 0x000c6508d8221b7cUL;
   tf->codes[32920] = 0x000c684f31b3b4d1UL;
   tf->codes[32921] = 0x000c69280b551255UL;
   tf->codes[32922] = 0x000c7017ca610734UL;
   tf->codes[32923] = 0x000c70a7abca343dUL;
   tf->codes[32924] = 0x000c7381d31a2495UL;
   tf->codes[32925] = 0x000c77f4bec75b14UL;
   tf->codes[32926] = 0x000c80d7d76d82d6UL;
   tf->codes[32927] = 0x000c849907023668UL;
   tf->codes[32928] = 0x000c8615e336bcadUL;
   tf->codes[32929] = 0x000c869ee7dd3ca0UL;
   tf->codes[32930] = 0x000c8dfd22c1142eUL;
   tf->codes[32931] = 0x000c99ee14fa4432UL;
   tf->codes[32932] = 0x000c9a64925ff0d0UL;
   tf->codes[32933] = 0x000c9f53b36a642aUL;
   tf->codes[32934] = 0x000ca1c292b4c299UL;
   tf->codes[32935] = 0x000cb188608e965dUL;
   tf->codes[32936] = 0x000cb3e393cd049eUL;
   tf->codes[32937] = 0x000cbd694fac3283UL;
   tf->codes[32938] = 0x000cbec9597be1d2UL;
   tf->codes[32939] = 0x000cbef07704bc69UL;
   tf->codes[32940] = 0x000cc4fb3cd321fbUL;
   tf->codes[32941] = 0x000cce3d08c49e53UL;
   tf->codes[32942] = 0x000ce23c1d81faaaUL;
   tf->codes[32943] = 0x000ce38d839038b9UL;
   tf->codes[32944] = 0x000ce5df1b57b4a8UL;
   tf->codes[32945] = 0x000cf26e582c7d30UL;
   tf->codes[32946] = 0x000cfd91e0b3702aUL;
   tf->codes[32947] = 0x000d00adae5ad85dUL;
   tf->codes[32948] = 0x000d04712785c5a1UL;
   tf->codes[32949] = 0x000d0a98bfb90229UL;
   tf->codes[32950] = 0x000d0c5da9e9a1d5UL;
   tf->codes[32951] = 0x000d0e3764f14e88UL;
   tf->codes[32952] = 0x000d0f4849733195UL;
   tf->codes[32953] = 0x000d1339bce9a686UL;
   tf->codes[32954] = 0x000d18d5cc5123a4UL;
   tf->codes[32955] = 0x000d1e1e233e611cUL;
   tf->codes[32956] = 0x000d207af065f7c0UL;
   tf->codes[32957] = 0x000d2289f799e4c0UL;
   tf->codes[32958] = 0x000d34db7722ede9UL;
   tf->codes[32959] = 0x000d3eff7d9db452UL;
   tf->codes[32960] = 0x000d46d1b1c1f907UL;
   tf->codes[32961] = 0x000d48e3028c1fb9UL;
   tf->codes[32962] = 0x000d4e5dac62527dUL;
   tf->codes[32963] = 0x000d58199ea9d7c3UL;
   tf->codes[32964] = 0x000d59cc3c28a9dfUL;
   tf->codes[32965] = 0x000d603e2bee3980UL;
   tf->codes[32966] = 0x000d606549771417UL;
   tf->codes[32967] = 0x000d6b3ad17b57a8UL;
   tf->codes[32968] = 0x000d6e83e9c13639UL;
   tf->codes[32969] = 0x000d7c13584f3ca1UL;
   tf->codes[32970] = 0x000d7cef65c2eaebUL;
   tf->codes[32971] = 0x000d7e66ff1dec7dUL;
   tf->codes[32972] = 0x000d821d33e18b1fUL;
   tf->codes[32973] = 0x000d8a6d71db3ad7UL;
   tf->codes[32974] = 0x000d9991c1472551UL;
   tf->codes[32975] = 0x000d9a45c6f5e1f0UL;
   tf->codes[32976] = 0x000da46a428eb3e3UL;
   tf->codes[32977] = 0x000da697f09fa601UL;
   tf->codes[32978] = 0x000dae86bc99bbe7UL;
   tf->codes[32979] = 0x000db165ec342b2dUL;
   tf->codes[32980] = 0x000db8ca8ebca447UL;
   tf->codes[32981] = 0x000dbc1c583d5e16UL;
   tf->codes[32982] = 0x000dbe3485ca31deUL;
   tf->codes[32983] = 0x000dc391ad8e7c5dUL;
   tf->codes[32984] = 0x000dc8cc106759e4UL;
   tf->codes[32985] = 0x000dc8e69935f728UL;
   tf->codes[32986] = 0x000dd38ffb66e134UL;
   tf->codes[32987] = 0x000dd3bea55f7a30UL;
   tf->codes[32988] = 0x000dd95d737b3c8aUL;
   tf->codes[32989] = 0x000ddc567c3737c5UL;
   tf->codes[32990] = 0x000de08f136daf09UL;
   tf->codes[32991] = 0x000de59acc4df394UL;
   tf->codes[32992] = 0x000de7da51f2a7b8UL;
   tf->codes[32993] = 0x000de8e0b0c1815fUL;
   tf->codes[32994] = 0x000debeb568238dbUL;
   tf->codes[32995] = 0x000dee3a2f956f8eUL;
   tf->codes[32996] = 0x000deec8b1a479f9UL;
   tf->codes[32997] = 0x000e05eb2078fce8UL;
   tf->codes[32998] = 0x000e0a95dc77b32bUL;
   tf->codes[32999] = 0x000e11dc87d03876UL;
   tf->codes[33000] = 0x000e16a91e7e449dUL;
   tf->codes[33001] = 0x000e1c9c54c157ecUL;
   tf->codes[33002] = 0x000e221230dc1187UL;
   tf->codes[33003] = 0x000e2aaba19cf77fUL;
   tf->codes[33004] = 0x000e2fb8f466646dUL;
   tf->codes[33005] = 0x000e33a6f97b82d3UL;
   tf->codes[33006] = 0x000e41821ef5fef2UL;
   tf->codes[33007] = 0x000e42f55fb392e5UL;
   tf->codes[33008] = 0x000e46f53c5c7351UL;
   tf->codes[33009] = 0x000e4df155939fbeUL;
   tf->codes[33010] = 0x000e576db08ae116UL;
   tf->codes[33011] = 0x000e5a393419602eUL;
   tf->codes[33012] = 0x000e5a5b83e6c19cUL;
   tf->codes[33013] = 0x000e5fd877532e12UL;
   tf->codes[33014] = 0x000e608fb0d43b77UL;
   tf->codes[33015] = 0x000e6e050bb1b025UL;
   tf->codes[33016] = 0x000e6ed8a27988f6UL;
   tf->codes[33017] = 0x000e7380da52ffc2UL;
   tf->codes[33018] = 0x000e76ed2ca256d5UL;
   tf->codes[33019] = 0x000e81bb62c5e1c6UL;
   tf->codes[33020] = 0x000e840065d32062UL;
   tf->codes[33021] = 0x000e84d6bb4f3e6fUL;
   tf->codes[33022] = 0x000e8e7c7d659410UL;
   tf->codes[33023] = 0x000e8fbaac85ed7bUL;
   tf->codes[33024] = 0x000e96881bc480ecUL;
   tf->codes[33025] = 0x000e98be7b104e48UL;
   tf->codes[33026] = 0x000e9a2dd84e8026UL;
   tf->codes[33027] = 0x000ea2ddee5ea14dUL;
   tf->codes[33028] = 0x000ea6d01182278dUL;
   tf->codes[33029] = 0x000ec289cad87656UL;
   tf->codes[33030] = 0x000ec4622686006bUL;
   tf->codes[33031] = 0x000ec8d3784a0e87UL;
   tf->codes[33032] = 0x000ed2d7edabb8beUL;
   tf->codes[33033] = 0x000ed383b73da5a9UL;
   tf->codes[33034] = 0x000eddcf505f5233UL;
   tf->codes[33035] = 0x000ee993e23622edUL;
   tf->codes[33036] = 0x000eea5616884542UL;
   tf->codes[33037] = 0x000eef4ff7d4c7c7UL;
   tf->codes[33038] = 0x000ef110fe86055eUL;
   tf->codes[33039] = 0x000ef23fda37dc3aUL;
   tf->codes[33040] = 0x000ef243f8464414UL;
   tf->codes[33041] = 0x000ef2bde40d473dUL;
   tf->codes[33042] = 0x000ef3acb350cea1UL;
   tf->codes[33043] = 0x000ef739bb845ebfUL;
   tf->codes[33044] = 0x000efb00a310a28eUL;
   tf->codes[33045] = 0x000efd9be2bd6047UL;
   tf->codes[33046] = 0x000f034620c8431bUL;
   tf->codes[33047] = 0x000f0604d50d7f1bUL;
   tf->codes[33048] = 0x000f0d5ce2dbbae2UL;
   tf->codes[33049] = 0x000f134817910442UL;
   tf->codes[33050] = 0x000f158e3f695fb7UL;
   tf->codes[33051] = 0x000f16427fa7221bUL;
   tf->codes[33052] = 0x000f191fdac96339UL;
   tf->codes[33053] = 0x000f1b3dc04dc73eUL;
   tf->codes[33054] = 0x000f1bf7f3121fa4UL;
   tf->codes[33055] = 0x000f20cb6682d8e1UL;
   tf->codes[33056] = 0x000f258f11670405UL;
   tf->codes[33057] = 0x000f2e0fcdd17ae1UL;
   tf->codes[33058] = 0x000f340b05a2581fUL;
   tf->codes[33059] = 0x000f37c433a941c2UL;
   tf->codes[33060] = 0x000f4aef3c80b9beUL;
   tf->codes[33061] = 0x000f4e4c3b618e42UL;
   tf->codes[33062] = 0x000f5a2e4f4a4741UL;
   tf->codes[33063] = 0x000f5ac129f6bf4bUL;
   tf->codes[33064] = 0x000f5e76af0d4c9eUL;
   tf->codes[33065] = 0x000f6499eea31b87UL;
   tf->codes[33066] = 0x000f654a85f0819bUL;
   tf->codes[33067] = 0x000f6d5bdc46feb4UL;
   tf->codes[33068] = 0x000f737162577371UL;
   tf->codes[33069] = 0x000f73d224a9fbf4UL;
   tf->codes[33070] = 0x000f78257f3e1641UL;
   tf->codes[33071] = 0x000f855b42cb4701UL;
   tf->codes[33072] = 0x000f896b97adc6d5UL;
   tf->codes[33073] = 0x000f8dcf2fec7ac5UL;
   tf->codes[33074] = 0x000fa6d89e2ff909UL;
   tf->codes[33075] = 0x000fb664c7401ee1UL;
   tf->codes[33076] = 0x000fc3cd18454ab2UL;
   tf->codes[33077] = 0x000fcd13b1f24033UL;
   tf->codes[33078] = 0x000fd71da4bc74e2UL;
   tf->codes[33079] = 0x000fde5a04f0f68cUL;
   tf->codes[33080] = 0x000fe0c70fc326d3UL;
   tf->codes[33081] = 0x000fe5e75eeb72a0UL;
   tf->codes[33082] = 0x000fe668d722342eUL;
   tf->codes[33083] = 0x000fe6ec98ef2f6eUL;
   tf->codes[33084] = 0x000fee743af21b45UL;
   tf->codes[33085] = 0x000ff08e3cf71d35UL;
   tf->codes[33086] = 0x000ff5bddf8deb91UL;
   tf->codes[33087] = 0x000ff9644bc4fc1aUL;
   tf->codes[33088] = 0x000ffc8fe1f8f266UL;
   tf->codes[33089] = 0x000008ff18969332UL;
   tf->codes[33090] = 0x00000bc5ce699921UL;
   tf->codes[33091] = 0x00001665cfb296a0UL;
   tf->codes[33092] = 0x0000238aa5e81c6eUL;
   tf->codes[33093] = 0x00002a33f0e12049UL;
   tf->codes[33094] = 0x00002fbf4d7ff83aUL;
   tf->codes[33095] = 0x0000333c8d26fa3fUL;
   tf->codes[33096] = 0x000034ac24f431e2UL;
   tf->codes[33097] = 0x000038f5e41159ddUL;
   tf->codes[33098] = 0x00003fdb928850e0UL;
   tf->codes[33099] = 0x0000407250b42affUL;
   tf->codes[33100] = 0x00004e54c80f5fbeUL;
   tf->codes[33101] = 0x00005d798c9955c2UL;
   tf->codes[33102] = 0x00005f7e48a93f21UL;
   tf->codes[33103] = 0x00006a886d2cb1b0UL;
   tf->codes[33104] = 0x00006d30b6b1b846UL;
   tf->codes[33105] = 0x00006dde54bbd359UL;
   tf->codes[33106] = 0x000076ea24d3fe15UL;
   tf->codes[33107] = 0x00007a015f4ef2e4UL;
   tf->codes[33108] = 0x00007e798dd5ae16UL;
   tf->codes[33109] = 0x000086d3dc645baaUL;
   tf->codes[33110] = 0x00008c673a90fd8aUL;
   tf->codes[33111] = 0x00008f3abfad4691UL;
   tf->codes[33112] = 0x000091d8be0e4986UL;
   tf->codes[33113] = 0x000097c1e3bc5ef9UL;
   tf->codes[33114] = 0x0000987b2c44a04bUL;
   tf->codes[33115] = 0x00009dbce0fe3672UL;
   tf->codes[33116] = 0x0000a955fcaebef6UL;
   tf->codes[33117] = 0x0000ad7e563a9c97UL;
   tf->codes[33118] = 0x0000ae1589848240UL;
   tf->codes[33119] = 0x0000b0742b24470cUL;
   tf->codes[33120] = 0x0000bcb4b7c94edcUL;
   tf->codes[33121] = 0x0000bf9ac4266b38UL;
   tf->codes[33122] = 0x0000c20a531ddaf6UL;
   tf->codes[33123] = 0x0000c43d7e97578cUL;
   tf->codes[33124] = 0x0000ceb0aa5fea37UL;
   tf->codes[33125] = 0x0000d6c3601089eeUL;
   tf->codes[33126] = 0x0000d7575f881ed1UL;
   tf->codes[33127] = 0x0000dce3e0f2139bUL;
   tf->codes[33128] = 0x0000ddf86e6452f8UL;
   tf->codes[33129] = 0x0000e00b93a6a7d2UL;
   tf->codes[33130] = 0x0000e0f08ce4371fUL;
   tf->codes[33131] = 0x0000ea0a1681bc07UL;
   tf->codes[33132] = 0x0000ead1531e5d4aUL;
   tf->codes[33133] = 0x0000ece4b2efb7e9UL;
   tf->codes[33134] = 0x0000f21d41506748UL;
   tf->codes[33135] = 0x0000f3232b013565UL;
   tf->codes[33136] = 0x0000f4d7d7873b6eUL;
   tf->codes[33137] = 0x0000f69cc1b7db1aUL;
   tf->codes[33138] = 0x000109f6af16f1d7UL;
   tf->codes[33139] = 0x00010a130c5dbd43UL;
   tf->codes[33140] = 0x000112ee23761b16UL;
   tf->codes[33141] = 0x000114c3fafe65b4UL;
   tf->codes[33142] = 0x00011a5808d818e3UL;
   tf->codes[33143] = 0x000122d93a609b49UL;
   tf->codes[33144] = 0x000128fe13df9295UL;
   tf->codes[33145] = 0x00012b2017725e74UL;
   tf->codes[33146] = 0x00012ce5ebdf1534UL;
   tf->codes[33147] = 0x00013bc85a64820eUL;
   tf->codes[33148] = 0x00013dead3155977UL;
   tf->codes[33149] = 0x0001440efce73f74UL;
   tf->codes[33150] = 0x0001500113eb8c51UL;
   tf->codes[33151] = 0x00015039ce792329UL;
   tf->codes[33152] = 0x000157282e2af56aUL;
   tf->codes[33153] = 0x00015b3b7c50c03fUL;
   tf->codes[33154] = 0x000163ce856d04abUL;
   tf->codes[33155] = 0x0001644e9e49a39bUL;
   tf->codes[33156] = 0x00016586a054613fUL;
   tf->codes[33157] = 0x00016d00c360f8afUL;
   tf->codes[33158] = 0x000178db8568f90eUL;
   tf->codes[33159] = 0x00017cf53b33656fUL;
   tf->codes[33160] = 0x00018000cb3033ffUL;
   tf->codes[33161] = 0x00018b76acd74401UL;
   tf->codes[33162] = 0x00018be5633e2c75UL;
   tf->codes[33163] = 0x0001956fecd8d383UL;
   tf->codes[33164] = 0x000199c172f4bfa8UL;
   tf->codes[33165] = 0x00019db530016e4bUL;
   tf->codes[33166] = 0x00019f0ed22c7c0eUL;
   tf->codes[33167] = 0x00019f821bbfd7e6UL;
   tf->codes[33168] = 0x0001ae1564f7787eUL;
   tf->codes[33169] = 0x0001b4af21f2f405UL;
   tf->codes[33170] = 0x0001c50a140f7985UL;
   tf->codes[33171] = 0x0001cf1391bba2aaUL;
   tf->codes[33172] = 0x0001df45574819a6UL;
   tf->codes[33173] = 0x0001e7e65478be03UL;
   tf->codes[33174] = 0x0001ea670b56de78UL;
   tf->codes[33175] = 0x0001f68a8b08098dUL;
   tf->codes[33176] = 0x0001f9bc88e0a165UL;
   tf->codes[33177] = 0x00020063ff617718UL;
   tf->codes[33178] = 0x0002070d0fcb752eUL;
   tf->codes[33179] = 0x00020b6c14ddb5baUL;
   tf->codes[33180] = 0x00020ddb2eb719eeUL;
   tf->codes[33181] = 0x0002101745fa7787UL;
   tf->codes[33182] = 0x00021646a52c7839UL;
   tf->codes[33183] = 0x0002190b11694476UL;
   tf->codes[33184] = 0x00021a97f0b95e99UL;
   tf->codes[33185] = 0x00021d68b7216264UL;
   tf->codes[33186] = 0x00022077b57f877fUL;
   tf->codes[33187] = 0x0002269f1323be42UL;
   tf->codes[33188] = 0x000229dfb4bdc75aUL;
   tf->codes[33189] = 0x00022a0990fae72dUL;
   tf->codes[33190] = 0x00022f55cb6786baUL;
   tf->codes[33191] = 0x0002330b507e140dUL;
   tf->codes[33192] = 0x00023369c93a62deUL;
   tf->codes[33193] = 0x000236fed2fbbcebUL;
   tf->codes[33194] = 0x000237c0922fd3b6UL;
   tf->codes[33195] = 0x000238aca2bf15deUL;
   tf->codes[33196] = 0x00023d6886a47cd8UL;
   tf->codes[33197] = 0x00023e78f608545bUL;
   tf->codes[33198] = 0x00024170d9f932bdUL;
   tf->codes[33199] = 0x000245ff73402359UL;
   tf->codes[33200] = 0x00024a1211b8dcdfUL;
   tf->codes[33201] = 0x00024cbe794c4b4fUL;
   tf->codes[33202] = 0x0002511cceb17a8cUL;
   tf->codes[33203] = 0x000254eacd8f7136UL;
   tf->codes[33204] = 0x0002588086fddc92UL;
   tf->codes[33205] = 0x00026d99a69602beUL;
   tf->codes[33206] = 0x0002715224efdb12UL;
   tf->codes[33207] = 0x00027bd344cccdaeUL;
   tf->codes[33208] = 0x00028a1ce61f2c7cUL;
   tf->codes[33209] = 0x00028d0c18d52fa0UL;
   tf->codes[33210] = 0x00028dccedcd2f57UL;
   tf->codes[33211] = 0x000290e1a422e4afUL;
   tf->codes[33212] = 0x000293897889dfbbUL;
   tf->codes[33213] = 0x00029675ec8b9da3UL;
   tf->codes[33214] = 0x00029bc3fb706b58UL;
   tf->codes[33215] = 0x0002a1679747a6dbUL;
   tf->codes[33216] = 0x0002a196b65e4b61UL;
   tf->codes[33217] = 0x0002a7d8d760252dUL;
   tf->codes[33218] = 0x0002aa87fda7d8d9UL;
   tf->codes[33219] = 0x0002ab88a47f2243UL;
   tf->codes[33220] = 0x0002b4d4bb94a23cUL;
   tf->codes[33221] = 0x0002c09cf65bcf46UL;
   tf->codes[33222] = 0x0002c145c6aa7130UL;
   tf->codes[33223] = 0x0002c65fe8bd2136UL;
   tf->codes[33224] = 0x0002c8f5ab015477UL;
   tf->codes[33225] = 0x0002ca90b8f4d450UL;
   tf->codes[33226] = 0x0002cf324e9aa3cbUL;
   tf->codes[33227] = 0x0002d18a4e06c146UL;
   tf->codes[33228] = 0x0002d6b598002203UL;
   tf->codes[33229] = 0x0002d6b7a70755f0UL;
   tf->codes[33230] = 0x0002d8c80d95658eUL;
   tf->codes[33231] = 0x0002e17564f14179UL;
   tf->codes[33232] = 0x0002edee7194da5cUL;
   tf->codes[33233] = 0x0002f5381630aaa8UL;
   tf->codes[33234] = 0x000303addd5662fbUL;
   tf->codes[33235] = 0x00030b07fa2bd2afUL;
   tf->codes[33236] = 0x0003111afc1707f5UL;
   tf->codes[33237] = 0x0003115dc7399ca9UL;
   tf->codes[33238] = 0x000311772b3d1d14UL;
   tf->codes[33239] = 0x00031338e19b6bfaUL;
   tf->codes[33240] = 0x0003152d2571b5f1UL;
   tf->codes[33241] = 0x0003168d2f416540UL;
   tf->codes[33242] = 0x00031be5142c2b0cUL;
   tf->codes[33243] = 0x000322338f593c66UL;
   tf->codes[33244] = 0x00032d1278456c84UL;
   tf->codes[33245] = 0x00032e90b3d41567UL;
   tf->codes[33246] = 0x00032fe637f0bb50UL;
   tf->codes[33247] = 0x000330918c649cb1UL;
   tf->codes[33248] = 0x00033df00763d06bUL;
   tf->codes[33249] = 0x00033feb628bcd3dUL;
   tf->codes[33250] = 0x000347e563e5fdd8UL;
   tf->codes[33251] = 0x00034ebce3b98f25UL;
   tf->codes[33252] = 0x000359d2b2bb27f3UL;
   tf->codes[33253] = 0x00035be4edc165b9UL;
   tf->codes[33254] = 0x000362d1b38a0f97UL;
   tf->codes[33255] = 0x0003645cf8f10157UL;
   tf->codes[33256] = 0x000376198ec65e89UL;
   tf->codes[33257] = 0x000379ebabb2bd0dUL;
   tf->codes[33258] = 0x000388d0d8ec6f23UL;
   tf->codes[33259] = 0x00038f13a99b5a3eUL;
   tf->codes[33260] = 0x000390cef8550798UL;
   tf->codes[33261] = 0x000391f08f9f8fd2UL;
   tf->codes[33262] = 0x0003988dbafc61e4UL;
   tf->codes[33263] = 0x00039bcc881e3cd4UL;
   tf->codes[33264] = 0x0003a8597b5ccbaaUL;
   tf->codes[33265] = 0x0003ac73a6454395UL;
   tf->codes[33266] = 0x0003dd05c31857c3UL;
   tf->codes[33267] = 0x0003df98c6a845c8UL;
   tf->codes[33268] = 0x0003e785be2a2d86UL;
   tf->codes[33269] = 0x0003e9bd07b211f6UL;
   tf->codes[33270] = 0x0003f3337022bd4cUL;
   tf->codes[33271] = 0x0003ff06309cf3bcUL;
   tf->codes[33272] = 0x00045e650af470e2UL;
   tf->codes[33273] = 0x000464b29be56b28UL;
   tf->codes[33274] = 0x00047c7096a1415fUL;
   tf->codes[33275] = 0x000484f411bffd77UL;
   tf->codes[33276] = 0x0004c3a8eceb9ba1UL;
   tf->codes[33277] = 0x0004c9391745ecbbUL;
   tf->codes[33278] = 0x0004cd0b34324b3fUL;
   tf->codes[33279] = 0x0004cff5992cd53aUL;
   tf->codes[33280] = 0x0004d2ca43143b1aUL;
   tf->codes[33281] = 0x0004d3922f5dedacUL;
   tf->codes[33282] = 0x0004dd60e3754c0cUL;
   tf->codes[33283] = 0x0004f4c867029d61UL;
   tf->codes[33284] = 0x0004fc41da622382UL;
   tf->codes[33285] = 0x00050a4e2dfa7814UL;
   tf->codes[33286] = 0x0005148cf7d2e186UL;
   tf->codes[33287] = 0x0005410140cd2179UL;
   tf->codes[33288] = 0x000542818b62fe49UL;
   tf->codes[33289] = 0x000545b60d60d598UL;
   tf->codes[33290] = 0x00054e4866d008b5UL;
   tf->codes[33291] = 0x00055a880938f971UL;
   tf->codes[33292] = 0x0005778e2053075bUL;
   tf->codes[33293] = 0x0005793b7af854c4UL;
   tf->codes[33294] = 0x00057cc1e0f83d91UL;
   tf->codes[33295] = 0x00057f06e4057c2dUL;
   tf->codes[33296] = 0x00058311bb7f7189UL;
   tf->codes[33297] = 0x000594c0d25e7a54UL;
   tf->codes[33298] = 0x0005970fab71b107UL;
   tf->codes[33299] = 0x00059d8b713d38bfUL;
   tf->codes[33300] = 0x0005af59a4175232UL;
   tf->codes[33301] = 0x0005b30e7980ce36UL;
   tf->codes[33302] = 0x0005b8eeb36502a6UL;
   tf->codes[33303] = 0x0005c8d2ed8cd5c3UL;
   tf->codes[33304] = 0x0005da197b1a91e1UL;
   tf->codes[33305] = 0x0005da8f0e44276bUL;
   tf->codes[33306] = 0x0005e0d3edfa4673UL;
   tf->codes[33307] = 0x0005e8ed806d9340UL;
   tf->codes[33308] = 0x0005e944322b1de7UL;
   tf->codes[33309] = 0x0005efe4915a40bfUL;
   tf->codes[33310] = 0x0005f0e23eee3f28UL;
   tf->codes[33311] = 0x0005f866728fd474UL;
   tf->codes[33312] = 0x0005fa5ba0a2357fUL;
   tf->codes[33313] = 0x0005fd6b4ead6be9UL;
   tf->codes[33314] = 0x000601cf5c0a2b63UL;
   tf->codes[33315] = 0x00060276ccfeaaafUL;
   tf->codes[33316] = 0x000608a7c619d3c4UL;
   tf->codes[33317] = 0x000625f48bd5d877UL;
   tf->codes[33318] = 0x0006298fc2acce4bUL;
   tf->codes[33319] = 0x00062ad6a30802f4UL;
   tf->codes[33320] = 0x000637c2f93ef7afUL;
   tf->codes[33321] = 0x00063e0554cfd740UL;
   tf->codes[33322] = 0x000648ef731c2213UL;
   tf->codes[33323] = 0x00064a99d47e247bUL;
   tf->codes[33324] = 0x00064c759e8d051bUL;
   tf->codes[33325] = 0x00065044c236189eUL;
   tf->codes[33326] = 0x000657e76225ad43UL;
   tf->codes[33327] = 0x00066287d88cb64cUL;
   tf->codes[33328] = 0x000669800e4480a4UL;
   tf->codes[33329] = 0x00066b16fe2998a3UL;
   tf->codes[33330] = 0x00068286f862bf71UL;
   tf->codes[33331] = 0x000686f5c6018e16UL;
   tf->codes[33332] = 0x000688493b170012UL;
   tf->codes[33333] = 0x00069030b5305d58UL;
   tf->codes[33334] = 0x00069d3d119e79cfUL;
   tf->codes[33335] = 0x0006a0c252d345c3UL;
   tf->codes[33336] = 0x0006aa9f358e09d9UL;
   tf->codes[33337] = 0x0006b11a4bac8042UL;
   tf->codes[33338] = 0x0006b87b7fd3a2d1UL;
   tf->codes[33339] = 0x0006c0e93fdf3aceUL;
   tf->codes[33340] = 0x0006c42a1c0849abUL;
   tf->codes[33341] = 0x0006c570fc637e54UL;
   tf->codes[33342] = 0x0006d1ce20de5755UL;
   tf->codes[33343] = 0x0006db010e7f5ca8UL;
   tf->codes[33344] = 0x0006dc7db024dd28UL;
   tf->codes[33345] = 0x0006dec7bb7c9ab2UL;
   tf->codes[33346] = 0x0006dfffbd875856UL;
   tf->codes[33347] = 0x0006e55ce54ba2d5UL;
   tf->codes[33348] = 0x0006e83c8a041da5UL;
   tf->codes[33349] = 0x0006e860392ba1b1UL;
   tf->codes[33350] = 0x0006e997166b427cUL;
   tf->codes[33351] = 0x0006f5dbfbadb7ebUL;
   tf->codes[33352] = 0x0006f7f5fdb2b9dbUL;
   tf->codes[33353] = 0x00070d31e2364cffUL;
   tf->codes[33354] = 0x0007156a90a4aa74UL;
   tf->codes[33355] = 0x000717cc2b87ba41UL;
   tf->codes[33356] = 0x00071a9a333b78d0UL;
   tf->codes[33357] = 0x000727864ee367c6UL;
   tf->codes[33358] = 0x00073ed0505ed0d6UL;
   tf->codes[33359] = 0x0007428a68a1d18dUL;
   tf->codes[33360] = 0x0007482887108298UL;
   tf->codes[33361] = 0x00074a73b7335cfbUL;
   tf->codes[33362] = 0x00074acefc1d5b06UL;
   tf->codes[33363] = 0x00074fb705d61b85UL;
   tf->codes[33364] = 0x00074fd5acb320a3UL;
   tf->codes[33365] = 0x0007528c5f6a92b4UL;
   tf->codes[33366] = 0x00075b848376cd42UL;
   tf->codes[33367] = 0x00075eaa27242d8cUL;
   tf->codes[33368] = 0x0007650c88ec34d9UL;
   tf->codes[33369] = 0x00076f1765f2809cUL;
   tf->codes[33370] = 0x000770b35e221789UL;
   tf->codes[33371] = 0x00077d0f9860d976UL;
   tf->codes[33372] = 0x00078205962df9e6UL;
   tf->codes[33373] = 0x000790a5741fd7d1UL;
   tf->codes[33374] = 0x0007b6d970906c20UL;
   tf->codes[33375] = 0x0007b9bcbe394340UL;
   tf->codes[33376] = 0x0007baf82ea5576fUL;
   tf->codes[33377] = 0x0007c2c1ec1dc6abUL;
   tf->codes[33378] = 0x0007c500fca46f45UL;
   tf->codes[33379] = 0x0007cd49ae2e6098UL;
   tf->codes[33380] = 0x0007cf436f6d3507UL;
   tf->codes[33381] = 0x0007cf984cb29186UL;
   tf->codes[33382] = 0x0007d50577926fe3UL;
   tf->codes[33383] = 0x0007e1b89e1dc23cUL;
   tf->codes[33384] = 0x0007e498f2834e5bUL;
   tf->codes[33385] = 0x0007e7647611cd73UL;
   tf->codes[33386] = 0x0007ed6fb0fe3e8fUL;
   tf->codes[33387] = 0x0007ef56b06d39e4UL;
   tf->codes[33388] = 0x0007ffffdd9b7492UL;
   tf->codes[33389] = 0x0008066747adfacdUL;
   tf->codes[33390] = 0x00080a1edbcbbc0dUL;
   tf->codes[33391] = 0x00080f18f7a74457UL;
   tf->codes[33392] = 0x000811e3566aa696UL;
   tf->codes[33393] = 0x000813b80927d45bUL;
   tf->codes[33394] = 0x000827e00fe63971UL;
   tf->codes[33395] = 0x00082f11ea67b1b5UL;
   tf->codes[33396] = 0x0008454cdbd965e0UL;
   tf->codes[33397] = 0x00084d3f8b52dddbUL;
   tf->codes[33398] = 0x000852ed724e1cffUL;
   tf->codes[33399] = 0x000865379ff66d88UL;
   tf->codes[33400] = 0x0008662c61c08aeeUL;
   tf->codes[33401] = 0x00086b063cd5e5b7UL;
   tf->codes[33402] = 0x00087ebb348ff4baUL;
   tf->codes[33403] = 0x000887ed37f4e2f9UL;
   tf->codes[33404] = 0x0008881330b2a0b7UL;
   tf->codes[33405] = 0x00088db9162015ecUL;
   tf->codes[33406] = 0x00088eb738d21fdfUL;
   tf->codes[33407] = 0x0008924a338c45ffUL;
   tf->codes[33408] = 0x00089fef229e6abdUL;
   tf->codes[33409] = 0x0008abde7aee725eUL;
   tf->codes[33410] = 0x0008be4456307d04UL;
   tf->codes[33411] = 0x0008c1ef902306b6UL;
   tf->codes[33412] = 0x0008c8ec1e783eadUL;
   tf->codes[33413] = 0x0008d6cb27721ce1UL;
   tf->codes[33414] = 0x0008d81f11a59a67UL;
   tf->codes[33415] = 0x0008d8ab0f8f655bUL;
   tf->codes[33416] = 0x0008df19566498acUL;
   tf->codes[33417] = 0x0008f56e9615e456UL;
   tf->codes[33418] = 0x00090e671701b7a8UL;
   tf->codes[33419] = 0x0009128aa2d21c20UL;
   tf->codes[33420] = 0x0009163099eb211fUL;
   tf->codes[33421] = 0x00091f4c328fd9f4UL;
   tf->codes[33422] = 0x000932ad71cfa951UL;
   tf->codes[33423] = 0x000939f123e4e39bUL;
   tf->codes[33424] = 0x0009420ab6583068UL;
   tf->codes[33425] = 0x00095aec5765c2c6UL;
   tf->codes[33426] = 0x0009608d6f17bed2UL;
   tf->codes[33427] = 0x000965e887d4d564UL;
   tf->codes[33428] = 0x000976eaeae5da30UL;
   tf->codes[33429] = 0x000979b584384234UL;
   tf->codes[33430] = 0x00097e787f6f5c09UL;
   tf->codes[33431] = 0x0009885268e6d51eUL;
   tf->codes[33432] = 0x0009956ae4f1235eUL;
   tf->codes[33433] = 0x0009abf82f82f491UL;
   tf->codes[33434] = 0x0009ae62f0beeb26UL;
   tf->codes[33435] = 0x0009b9e1be2fdc2bUL;
   tf->codes[33436] = 0x0009c4034085631dUL;
   tf->codes[33437] = 0x0009c5c914f219ddUL;
   tf->codes[33438] = 0x0009d9c56afb30f8UL;
   tf->codes[33439] = 0x0009e0bc7be7de77UL;
   tf->codes[33440] = 0x0009e8707e4d2998UL;
   tf->codes[33441] = 0x0009ebad3c67d09bUL;
   tf->codes[33442] = 0x0009fbdec76541d2UL;
   tf->codes[33443] = 0x000a070c608132a8UL;
   tf->codes[33444] = 0x000a190f6a6980deUL;
   tf->codes[33445] = 0x000a192f3611a2d5UL;
   tf->codes[33446] = 0x000a27fbaef4e5cfUL;
   tf->codes[33447] = 0x000a31feff8b732dUL;
   tf->codes[33448] = 0x000a3bfafe4147ebUL;
   tf->codes[33449] = 0x000a3ebe8041fd14UL;
   tf->codes[33450] = 0x000a45afd9371a56UL;
   tf->codes[33451] = 0x000a797811f12e36UL;
   tf->codes[33452] = 0x000a849ab03c0a1cUL;
   tf->codes[33453] = 0x000a94f5a2588f9cUL;
   tf->codes[33454] = 0x000a9baca6d6eda3UL;
   tf->codes[33455] = 0x000a9ea5af92e8deUL;
   tf->codes[33456] = 0x000ab587d76a1690UL;
   tf->codes[33457] = 0x000abaab5a64b323UL;
   tf->codes[33458] = 0x000abdcdca3fc2a7UL;
   tf->codes[33459] = 0x000abdf263a35dc7UL;
   tf->codes[33460] = 0x000ac1f78325c2e6UL;
   tf->codes[33461] = 0x000ac730c1338394UL;
   tf->codes[33462] = 0x000ac8096045db53UL;
   tf->codes[33463] = 0x000acd3f6a814b3bUL;
   tf->codes[33464] = 0x000ad156d6b57deaUL;
   tf->codes[33465] = 0x000ad9770b5c7208UL;
   tf->codes[33466] = 0x000aeb1ed05ac233UL;
   tf->codes[33467] = 0x000aed7068223e22UL;
   tf->codes[33468] = 0x000afcf504c2a595UL;
   tf->codes[33469] = 0x000afcfd7b6e7b0eUL;
   tf->codes[33470] = 0x000afd3b3e4690d4UL;
   tf->codes[33471] = 0x000b00874fcfba66UL;
   tf->codes[33472] = 0x000b01452b846f1cUL;
   tf->codes[33473] = 0x000b096cec9b219fUL;
   tf->codes[33474] = 0x000b0a6d93726b09UL;
   tf->codes[33475] = 0x000b0a96857373c8UL;
   tf->codes[33476] = 0x000b0b5e71bd265aUL;
   tf->codes[33477] = 0x000b17b2aa6e1e58UL;
   tf->codes[33478] = 0x000b19a8c2bc9677UL;
   tf->codes[33479] = 0x000b1c38cd09397bUL;
   tf->codes[33480] = 0x000b210d2ab609ccUL;
   tf->codes[33481] = 0x000b29fbb34b5208UL;
   tf->codes[33482] = 0x000b2f30239d998dUL;
   tf->codes[33483] = 0x000b378987f0300dUL;
   tf->codes[33484] = 0x000b3dec24473d1fUL;
   tf->codes[33485] = 0x000b498d7c149557UL;
   tf->codes[33486] = 0x000b4b3bfb84ff99UL;
   tf->codes[33487] = 0x000b4b5524f97a3fUL;
   tf->codes[33488] = 0x000b5e8ff65d8054UL;
   tf->codes[33489] = 0x000b6925ac827a32UL;
   tf->codes[33490] = 0x000b703537369108UL;
   tf->codes[33491] = 0x000b71fb0ba347c8UL;
   tf->codes[33492] = 0x000b786cc0d9d1a4UL;
   tf->codes[33493] = 0x000b7be323be2693UL;
   tf->codes[33494] = 0x000b7f39bafa598bUL;
   tf->codes[33495] = 0x000b8207881f1255UL;
   tf->codes[33496] = 0x000b822e3089e162UL;
   tf->codes[33497] = 0x000b82a9b63a0ceeUL;
   tf->codes[33498] = 0x000b84dfa067cec0UL;
   tf->codes[33499] = 0x000b8e34a3472fbcUL;
   tf->codes[33500] = 0x000ba210436c0dccUL;
   tf->codes[33501] = 0x000ba967a18d3844UL;
   tf->codes[33502] = 0x000bac627ec161a7UL;
   tf->codes[33503] = 0x000baf2eb1fcf20eUL;
   tf->codes[33504] = 0x000bb0d0d74224c2UL;
   tf->codes[33505] = 0x000bb3862a9f7435UL;
   tf->codes[33506] = 0x000bb654a7713e4eUL;
   tf->codes[33507] = 0x000bb947488897fdUL;
   tf->codes[33508] = 0x000bbb23fcd38fb1UL;
   tf->codes[33509] = 0x000bc79a1033dd93UL;
   tf->codes[33510] = 0x000bc7bb00a71c63UL;
   tf->codes[33511] = 0x000bcec040372f98UL;
   tf->codes[33512] = 0x000bdbba8a828444UL;
   tf->codes[33513] = 0x000bedf4ef9e46b4UL;
   tf->codes[33514] = 0x000beece03cea9fdUL;
   tf->codes[33515] = 0x000bf14e0affb923UL;
   tf->codes[33516] = 0x000bf6e8807e0ddeUL;
   tf->codes[33517] = 0x000bf7c71216fb9fUL;
   tf->codes[33518] = 0x000bfdc5089c1e19UL;
   tf->codes[33519] = 0x000c03b5802aec2cUL;
   tf->codes[33520] = 0x000c05c2b2e6ab04UL;
   tf->codes[33521] = 0x000c0995f49e2661UL;
   tf->codes[33522] = 0x000c17539806ba3bUL;
   tf->codes[33523] = 0x000c1a98cccd36b7UL;
   tf->codes[33524] = 0x000c1b4f91303892UL;
   tf->codes[33525] = 0x000c2260f05c7d90UL;
   tf->codes[33526] = 0x000c260a1b47d355UL;
   tf->codes[33527] = 0x000c2bec9ec24177UL;
   tf->codes[33528] = 0x000c2d8a6b6a068cUL;
   tf->codes[33529] = 0x000c2e53f19ce181UL;
   tf->codes[33530] = 0x000c3f92f2badf3aUL;
   tf->codes[33531] = 0x000c454f7d778f9eUL;
   tf->codes[33532] = 0x000c48f4ff728913UL;
   tf->codes[33533] = 0x000c5d58f490d5c7UL;
   tf->codes[33534] = 0x000c5e98830b51d0UL;
   tf->codes[33535] = 0x000c5f19862407d4UL;
   tf->codes[33536] = 0x000c6247a07d3d97UL;
   tf->codes[33537] = 0x000c6b111a90df29UL;
   tf->codes[33538] = 0x000c6b48b0535928UL;
   tf->codes[33539] = 0x000c6dc807d756ffUL;
   tf->codes[33540] = 0x000c6edf53fddb98UL;
   tf->codes[33541] = 0x000c71a9ed50439cUL;
   tf->codes[33542] = 0x000c77f40fdfe757UL;
   tf->codes[33543] = 0x000c78cc39d4338cUL;
   tf->codes[33544] = 0x000c7a74c6be07ccUL;
   tf->codes[33545] = 0x000c7d0afe204697UL;
   tf->codes[33546] = 0x000c87cd4f36a584UL;
   tf->codes[33547] = 0x000c8993d3506d93UL;
   tf->codes[33548] = 0x000c8aec8b3f6442UL;
   tf->codes[33549] = 0x000c8d0b2070d996UL;
   tf->codes[33550] = 0x000c902e7a88002eUL;
   tf->codes[33551] = 0x000c91b73bc9b277UL;
   tf->codes[33552] = 0x000ca6e1bdd78f1fUL;
   tf->codes[33553] = 0x000cab15123481b0UL;
   tf->codes[33554] = 0x000cab43819e14e7UL;
   tf->codes[33555] = 0x000cacb56301863cUL;
   tf->codes[33556] = 0x000cc1dd60ea236dUL;
   tf->codes[33557] = 0x000cca30d2b623ebUL;
   tf->codes[33558] = 0x000ccdb2e0189f19UL;
   tf->codes[33559] = 0x000cce9dcbdcc468UL;
   tf->codes[33560] = 0x000cd819ec44fffbUL;
   tf->codes[33561] = 0x000cded28aac8665UL;
   tf->codes[33562] = 0x000ce3c7d8cc9586UL;
   tf->codes[33563] = 0x000ce4043c4a88aeUL;
   tf->codes[33564] = 0x000ce47576d6b099UL;
   tf->codes[33565] = 0x000ce76f2f3fbd23UL;
   tf->codes[33566] = 0x000cf60aef233334UL;
   tf->codes[33567] = 0x000d026554e9c6f9UL;
   tf->codes[33568] = 0x000d0d0a5e7d4366UL;
   tf->codes[33569] = 0x000d0d7e924cb652UL;
   tf->codes[33570] = 0x000d0e2e79ed0b17UL;
   tf->codes[33571] = 0x000d109f683e9d73UL;
   tf->codes[33572] = 0x000d10f0d722a367UL;
   tf->codes[33573] = 0x000d2cb00de17ca8UL;
   tf->codes[33574] = 0x000d2ccbf60a3c8aUL;
   tf->codes[33575] = 0x000d3361cf8655fcUL;
   tf->codes[33576] = 0x000d37a5d6abedbaUL;
   tf->codes[33577] = 0x000d3c78d4fe9b6dUL;
   tf->codes[33578] = 0x000d4037f58c1b12UL;
   tf->codes[33579] = 0x000d4656676670d2UL;
   tf->codes[33580] = 0x000d4de8548d604aUL;
   tf->codes[33581] = 0x000d50c6d47abe41UL;
   tf->codes[33582] = 0x000d51864a189b5aUL;
   tf->codes[33583] = 0x000d5266007ca5f4UL;
   tf->codes[33584] = 0x000d56f07bb52eb6UL;
   tf->codes[33585] = 0x000d59b13f019ea3UL;
   tf->codes[33586] = 0x000d5f772aa63b94UL;
   tf->codes[33587] = 0x000d61595c59bdc0UL;
   tf->codes[33588] = 0x000d631bfcf423baUL;
   tf->codes[33589] = 0x000d6518425837a0UL;
   tf->codes[33590] = 0x000d69e5fdd160a0UL;
   tf->codes[33591] = 0x000d77ce67b32b61UL;
   tf->codes[33592] = 0x000d78ec909c5d10UL;
   tf->codes[33593] = 0x000d7a5217d496d7UL;
   tf->codes[33594] = 0x000d826458672b04UL;
   tf->codes[33595] = 0x000d82dd94811cdeUL;
   tf->codes[33596] = 0x000d841a9ed65970UL;
   tf->codes[33597] = 0x000d8b1dcf5f38b8UL;
   tf->codes[33598] = 0x000d8fe97bd12dcbUL;
   tf->codes[33599] = 0x000da0931e1d7403UL;
   tf->codes[33600] = 0x000da8ede1ca2d21UL;
   tf->codes[33601] = 0x000db99a083bb2d0UL;
   tf->codes[33602] = 0x000dc88318f4c6fbUL;
   tf->codes[33603] = 0x000dcc37b3cf3d3aUL;
   tf->codes[33604] = 0x000ddcdc4dd10484UL;
   tf->codes[33605] = 0x000de260cdad2f5fUL;
   tf->codes[33606] = 0x000de7ff9bc8f1b9UL;
   tf->codes[33607] = 0x000deaf0a2f72305UL;
   tf->codes[33608] = 0x000decd7dcf5241fUL;
   tf->codes[33609] = 0x000df1b7aa9114eaUL;
   tf->codes[33610] = 0x000df2ce81998df9UL;
   tf->codes[33611] = 0x000df5c331b81b95UL;
   tf->codes[33612] = 0x000e086b62feaf65UL;
   tf->codes[33613] = 0x000e0a68cd2de024UL;
   tf->codes[33614] = 0x000e0dbce044d3a5UL;
   tf->codes[33615] = 0x000e1bcca23e7ec2UL;
   tf->codes[33616] = 0x000e1be1ada4918eUL;
   tf->codes[33617] = 0x000e21f733b5064bUL;
   tf->codes[33618] = 0x000e39ffc0923560UL;
   tf->codes[33619] = 0x000e3bfb1bba3232UL;
   tf->codes[33620] = 0x000e40b4b6095f7aUL;
   tf->codes[33621] = 0x000e50f8c847a406UL;
   tf->codes[33622] = 0x000e5d958412c0f5UL;
   tf->codes[33623] = 0x000e5f16b8e4b4d9UL;
   tf->codes[33624] = 0x000e6155544d51e9UL;
   tf->codes[33625] = 0x000e6218e7f996dcUL;
   tf->codes[33626] = 0x000e64105fa23199UL;
   tf->codes[33627] = 0x000e72d252d26b2dUL;
   tf->codes[33628] = 0x000e734352cf8d53UL;
   tf->codes[33629] = 0x000e7a9ff3ca3c7eUL;
   tf->codes[33630] = 0x000e977dc89052f8UL;
   tf->codes[33631] = 0x000e988168aae763UL;
   tf->codes[33632] = 0x000e98f85b2e9f8bUL;
   tf->codes[33633] = 0x000e9b0678267577UL;
   tf->codes[33634] = 0x000e9bcba5bbe2cdUL;
   tf->codes[33635] = 0x000ea4e09c2cf451UL;
   tf->codes[33636] = 0x000eacc557920c5bUL;
   tf->codes[33637] = 0x000ead3741cb4595UL;
   tf->codes[33638] = 0x000eb17590f94d16UL;
   tf->codes[33639] = 0x000eb1fff4f9efa7UL;
   tf->codes[33640] = 0x000ec24e17cd320fUL;
   tf->codes[33641] = 0x000ec98cfc26f330UL;
   tf->codes[33642] = 0x000ece36cde9925fUL;
   tf->codes[33643] = 0x000ed5b45f57805aUL;
   tf->codes[33644] = 0x000ed5e79c7c8cbaUL;
   tf->codes[33645] = 0x000ede33bc67d498UL;
   tf->codes[33646] = 0x000ee0612fe9c0f1UL;
   tf->codes[33647] = 0x000ee148382e842bUL;
   tf->codes[33648] = 0x000ef413a37e907dUL;
   tf->codes[33649] = 0x000ef7197b83ced0UL;
   tf->codes[33650] = 0x000f01337169975dUL;
   tf->codes[33651] = 0x000f0815ec0e3d9aUL;
   tf->codes[33652] = 0x000f08884b65825eUL;
   tf->codes[33653] = 0x000f138ae3793688UL;
   tf->codes[33654] = 0x000f1507bfadbccdUL;
   tf->codes[33655] = 0x000f1697984121f1UL;
   tf->codes[33656] = 0x000f17377cc5e2d8UL;
   tf->codes[33657] = 0x000f1f5cb9b755e4UL;
   tf->codes[33658] = 0x000f2e3cdea6890cUL;
   tf->codes[33659] = 0x000f384de8c27096UL;
   tf->codes[33660] = 0x000f3a67b0386cc1UL;
   tf->codes[33661] = 0x000f3b62d9a72bb3UL;
   tf->codes[33662] = 0x000f3bcaedda6cd6UL;
   tf->codes[33663] = 0x000f421b02f0a693UL;
   tf->codes[33664] = 0x000f47e9da5f2487UL;
   tf->codes[33665] = 0x000f47fd866b14b5UL;
   tf->codes[33666] = 0x000f48ccff2485acUL;
   tf->codes[33667] = 0x000f4bce7e8c5660UL;
   tf->codes[33668] = 0x000f4eb11c881c31UL;
   tf->codes[33669] = 0x000f5814fdb7f432UL;
   tf->codes[33670] = 0x000f60ad49adbd51UL;
   tf->codes[33671] = 0x000f62a9c9a0d6fcUL;
   tf->codes[33672] = 0x000f698da39f9fd7UL;
   tf->codes[33673] = 0x000f6c7c26a891acUL;
   tf->codes[33674] = 0x000f7dbd36cdc352UL;
   tf->codes[33675] = 0x000f857b84571214UL;
   tf->codes[33676] = 0x000f8b8f707e5e6eUL;
   tf->codes[33677] = 0x000f91cc1417adc2UL;
   tf->codes[33678] = 0x000f94eadb0260f6UL;
   tf->codes[33679] = 0x000f98b2e759c19eUL;
   tf->codes[33680] = 0x000fa33fb1b4da79UL;
   tf->codes[33681] = 0x000fae8d8b96f8d0UL;
   tf->codes[33682] = 0x000fbc68eba07ab4UL;
   tf->codes[33683] = 0x000fc337f4c83688UL;
   tf->codes[33684] = 0x000fda8ae20d809bUL;
   tf->codes[33685] = 0x000fdb06a24cb1ecUL;
   tf->codes[33686] = 0x000fdc97651c2e24UL;
   tf->codes[33687] = 0x000fdd807c68254bUL;
   tf->codes[33688] = 0x000fde52b3d5db7eUL;
   tf->codes[33689] = 0x000fdfa7fd637ba2UL;
   tf->codes[33690] = 0x000fe54bd3c9bceaUL;
   tf->codes[33691] = 0x000ff01a447c4da0UL;
   tf->codes[33692] = 0x000ff1bf2875c590UL;
   tf->codes[33693] = 0x000ff9ee3b6d30b3UL;
   tf->codes[33694] = 0x000ffdbe83e1610fUL;
   tf->codes[33695] = 0x000004558228975aUL;
   tf->codes[33696] = 0x00002a98225a9ce9UL;
   tf->codes[33697] = 0x00002fb5783f9db5UL;
   tf->codes[33698] = 0x000039dbc8509dd0UL;
   tf->codes[33699] = 0x00003ce92cc59a88UL;
   tf->codes[33700] = 0x00003df508fcfea7UL;
   tf->codes[33701] = 0x000040483aada2f9UL;
   tf->codes[33702] = 0x000044634fd231f8UL;
   tf->codes[33703] = 0x00004505f30b381bUL;
   tf->codes[33704] = 0x00004d436f350eb9UL;
   tf->codes[33705] = 0x00006db1ba900bdcUL;
   tf->codes[33706] = 0x00006f2de71780d2UL;
   tf->codes[33707] = 0x000070539c7070e6UL;
   tf->codes[33708] = 0x00007a380b9af361UL;
   tf->codes[33709] = 0x0000814dc364a5feUL;
   tf->codes[33710] = 0x00008984d7e9db10UL;
   tf->codes[33711] = 0x00008bf675e87ebbUL;
   tf->codes[33712] = 0x000099f8b8ebd571UL;
   tf->codes[33713] = 0x00009b35c3411203UL;
   tf->codes[33714] = 0x0000b583c8498b3eUL;
   tf->codes[33715] = 0x0000b59739c675a7UL;
   tf->codes[33716] = 0x0000b7b8188e24adUL;
   tf->codes[33717] = 0x0000c531cc0906faUL;
   tf->codes[33718] = 0x0000c91b3df1b1fcUL;
   tf->codes[33719] = 0x0000cfacf95f6394UL;
   tf->codes[33720] = 0x0000d162cab08676UL;
   tf->codes[33721] = 0x0000d79f6e49d5caUL;
   tf->codes[33722] = 0x0000dde27987c6aaUL;
   tf->codes[33723] = 0x0000df123f75b49aUL;
   tf->codes[33724] = 0x0000f2fb5e90e711UL;
   tf->codes[33725] = 0x0000f451925a9e49UL;
   tf->codes[33726] = 0x0000f61014e69c69UL;
   tf->codes[33727] = 0x0000f807c71e3cebUL;
   tf->codes[33728] = 0x00011204d260bbbcUL;
   tf->codes[33729] = 0x0001175022914435UL;
   tf->codes[33730] = 0x000119e23be51b26UL;
   tf->codes[33731] = 0x000134993f5cec98UL;
   tf->codes[33732] = 0x000134d9fb784d5fUL;
   tf->codes[33733] = 0x000136b933e8848aUL;
   tf->codes[33734] = 0x00013c186ab402f6UL;
   tf->codes[33735] = 0x00013c4d41c237b9UL;
   tf->codes[33736] = 0x000147acf3381816UL;
   tf->codes[33737] = 0x00014d95de5727c4UL;
   tf->codes[33738] = 0x0001516c1951ee22UL;
   tf->codes[33739] = 0x0001520b139a97f5UL;
   tf->codes[33740] = 0x00015680f88b1975UL;
   tf->codes[33741] = 0x000164c6f0ed1bf3UL;
   tf->codes[33742] = 0x000167051737ad79UL;
   tf->codes[33743] = 0x0001690037d0a486UL;
   tf->codes[33744] = 0x00016c373df3bb4cUL;
   tf->codes[33745] = 0x00016ccf5b79b809UL;
   tf->codes[33746] = 0x000182a9ffb6ef3bUL;
   tf->codes[33747] = 0x0001883730cdf554UL;
   tf->codes[33748] = 0x00018fa9c76ace5fUL;
   tf->codes[33749] = 0x0001914e36463ac5UL;
   tf->codes[33750] = 0x0001a1d045eb9adcUL;
   tf->codes[33751] = 0x0001a52e2f088674UL;
   tf->codes[33752] = 0x0001a60a3c7c34beUL;
   tf->codes[33753] = 0x0001a88af35a5533UL;
   tf->codes[33754] = 0x0001a8c2fe3adabcUL;
   tf->codes[33755] = 0x0001a910c42e8460UL;
   tf->codes[33756] = 0x0001ab4798985d46UL;
   tf->codes[33757] = 0x0001ad4577e5998fUL;
   tf->codes[33758] = 0x0001bbb5fc31cd2fUL;
   tf->codes[33759] = 0x0001bc8574eb3e26UL;
   tf->codes[33760] = 0x0001c517ce5a7143UL;
   tf->codes[33761] = 0x0001c55d92c050f8UL;
   tf->codes[33762] = 0x0001cb2cdf4cda76UL;
   tf->codes[33763] = 0x0001d05b97a791beUL;
   tf->codes[33764] = 0x0001debc8df63d0aUL;
   tf->codes[33765] = 0x0001e0c09a59151aUL;
   tf->codes[33766] = 0x0001e18ad039015eUL;
   tf->codes[33767] = 0x0001e2198cd7118eUL;
   tf->codes[33768] = 0x0001ee7e7850aeb9UL;
   tf->codes[33769] = 0x0001ff75a60198d0UL;
   tf->codes[33770] = 0x00020593a2bde306UL;
   tf->codes[33771] = 0x000206e6dd444f3dUL;
   tf->codes[33772] = 0x00020b4398c05617UL;
   tf->codes[33773] = 0x000214c82fd46723UL;
   tf->codes[33774] = 0x00021bfc195d1354UL;
   tf->codes[33775] = 0x000223e985fd069cUL;
   tf->codes[33776] = 0x000227037f2c40a7UL;
   tf->codes[33777] = 0x000228681c28635aUL;
   tf->codes[33778] = 0x00022ce552f99d7aUL;
   tf->codes[33779] = 0x00022f09a022a30bUL;
   tf->codes[33780] = 0x00023c3dc9c6ab68UL;
   tf->codes[33781] = 0x00024745a4b3e445UL;
   tf->codes[33782] = 0x00024f1d5640b372UL;
   tf->codes[33783] = 0x00024fff1babf1f9UL;
   tf->codes[33784] = 0x0002529602bb4213UL;
   tf->codes[33785] = 0x000255b7c2e94048UL;
   tf->codes[33786] = 0x0002596e323be4afUL;
   tf->codes[33787] = 0x00025b83dba37900UL;
   tf->codes[33788] = 0x00025cb3a19166f0UL;
   tf->codes[33789] = 0x00026007b4a85a71UL;
   tf->codes[33790] = 0x000262c9d74eecfcUL;
   tf->codes[33791] = 0x000268753a24eca9UL;
   tf->codes[33792] = 0x00026d77921d44a7UL;
   tf->codes[33793] = 0x000270690e69817dUL;
   tf->codes[33794] = 0x00028507cd1c98f6UL;
   tf->codes[33795] = 0x00028c037135b9d9UL;
   tf->codes[33796] = 0x00028dca2fde87adUL;
   tf->codes[33797] = 0x000294e689dbe19bUL;
   tf->codes[33798] = 0x00029a8fa31ba796UL;
   tf->codes[33799] = 0x0002a09b18971e77UL;
   tf->codes[33800] = 0x0002a0f7bcdb3f20UL;
   tf->codes[33801] = 0x0002a4e5876157c1UL;
   tf->codes[33802] = 0x0002b12b916eea09UL;
   tf->codes[33803] = 0x0002b63660131780UL;
   tf->codes[33804] = 0x0002c1688c5b7bbaUL;
   tf->codes[33805] = 0x0002c59503f5c135UL;
   tf->codes[33806] = 0x0002d5d6920ec64aUL;
   tf->codes[33807] = 0x0002d709513fff3bUL;
   tf->codes[33808] = 0x0002e4f2dfece6d5UL;
   tf->codes[33809] = 0x0002e57df39a9ab5UL;
   tf->codes[33810] = 0x0002f0bc3f7f30b8UL;
   tf->codes[33811] = 0x0003015fb4b5db29UL;
   tf->codes[33812] = 0x00030262dfb2640aUL;
   tf->codes[33813] = 0x000303293212ee39UL;
   tf->codes[33814] = 0x000304a17b1b011aUL;
   tf->codes[33815] = 0x00031734a0fb821eUL;
   tf->codes[33816] = 0x00031a57fb12a8b6UL;
   tf->codes[33817] = 0x00032b60c5c84f0eUL;
   tf->codes[33818] = 0x00032c6f60b3f869UL;
   tf->codes[33819] = 0x00032cb4004ebb45UL;
   tf->codes[33820] = 0x0003362525e5e1e8UL;
   tf->codes[33821] = 0x000345d65d77ae6aUL;
   tf->codes[33822] = 0x0003469adb600a71UL;
   tf->codes[33823] = 0x000349bcd61d0e6bUL;
   tf->codes[33824] = 0x00035d9d43fd65a4UL;
   tf->codes[33825] = 0x00035e2b50ee6485UL;
   tf->codes[33826] = 0x0003705b30571d8fUL;
   tf->codes[33827] = 0x000373f45826df76UL;
   tf->codes[33828] = 0x00037cd01eec4e98UL;
   tf->codes[33829] = 0x00037cf09a4181deUL;
   tf->codes[33830] = 0x0003803bc18e945cUL;
   tf->codes[33831] = 0x0003861d203de5a5UL;
   tf->codes[33832] = 0x000389e4f2064088UL;
   tf->codes[33833] = 0x00038f693753659eUL;
   tf->codes[33834] = 0x000392f9e877520cUL;
   tf->codes[33835] = 0x00039b3c6ceba798UL;
   tf->codes[33836] = 0x00039e62c0461931UL;
   tf->codes[33837] = 0x0003a47e736c29b5UL;
   tf->codes[33838] = 0x0003a4daa2923ed4UL;
   tf->codes[33839] = 0x0003a8ed067bf295UL;
   tf->codes[33840] = 0x0003b213d480c61fUL;
   tf->codes[33841] = 0x0003b9b883778eb1UL;
   tf->codes[33842] = 0x0003ccfb1bda58f0UL;
   tf->codes[33843] = 0x0003d078d09f667fUL;
   tf->codes[33844] = 0x0003d55f406efe9bUL;
   tf->codes[33845] = 0x0003d71302b8ed90UL;
   tf->codes[33846] = 0x0003db98eac502eeUL;
   tf->codes[33847] = 0x0003e492339c5a55UL;
   tf->codes[33848] = 0x0003e508eb910cb8UL;
   tf->codes[33849] = 0x0003ed1b66b2a6aaUL;
   tf->codes[33850] = 0x0003f42cc5deeba8UL;
   tf->codes[33851] = 0x000428bebf5ae042UL;
   tf->codes[33852] = 0x0004591efe630aaeUL;
   tf->codes[33853] = 0x0004769f3bd32186UL;
   tf->codes[33854] = 0x000479a6adc1883cUL;
   tf->codes[33855] = 0x00048c54d18eb20eUL;
   tf->codes[33856] = 0x00049976e90ff2a0UL;
   tf->codes[33857] = 0x0004b7794e63dc55UL;
   tf->codes[33858] = 0x0004cebb88e0813bUL;
   tf->codes[33859] = 0x0004d0d3414f4979UL;
   tf->codes[33860] = 0x0004e541bc209f93UL;
   tf->codes[33861] = 0x0004f88a0c7afa0fUL;
   tf->codes[33862] = 0x0004fb6f692b051cUL;
   tf->codes[33863] = 0x00051ff1b258de63UL;
   tf->codes[33864] = 0x0005201fe7336bd5UL;
   tf->codes[33865] = 0x00054bf4fb55fc30UL;
   tf->codes[33866] = 0x00054d135ece33a4UL;
   tf->codes[33867] = 0x00055046bc00ee1aUL;
   tf->codes[33868] = 0x00055680a0e5f832UL;
   tf->codes[33869] = 0x00056bb065cd598dUL;
   tf->codes[33870] = 0x00056f96a3e3b3c9UL;
   tf->codes[33871] = 0x0005791dbf1d044cUL;
   tf->codes[33872] = 0x000581979ec4ce12UL;
   tf->codes[33873] = 0x0005874bed64aec2UL;
   tf->codes[33874] = 0x00058c44e4751a33UL;
   tf->codes[33875] = 0x000598397f9ea687UL;
   tf->codes[33876] = 0x0005a86bf4d82ed2UL;
   tf->codes[33877] = 0x0005c8321f919b5aUL;
   tf->codes[33878] = 0x0005e019816c85daUL;
   tf->codes[33879] = 0x0005ed9961fd03eeUL;
   tf->codes[33880] = 0x0005f892d3b7d150UL;
   tf->codes[33881] = 0x000601ab388a395fUL;
   tf->codes[33882] = 0x000621bfd8e460daUL;
   tf->codes[33883] = 0x00062226c84c8524UL;
   tf->codes[33884] = 0x00062c1ea8f3f208UL;
   tf->codes[33885] = 0x00063bf230531ff8UL;
   tf->codes[33886] = 0x000650b54ddaccccUL;
   tf->codes[33887] = 0x0006537317e3f1b8UL;
   tf->codes[33888] = 0x00065a3ca3a32314UL;
   tf->codes[33889] = 0x000663849caa3b33UL;
   tf->codes[33890] = 0x00066639f0078aa6UL;
   tf->codes[33891] = 0x00066755cf5a82a3UL;
   tf->codes[33892] = 0x000669c55e51f261UL;
   tf->codes[33893] = 0x00067566f0ae505eUL;
   tf->codes[33894] = 0x00067d1c526dbe1dUL;
   tf->codes[33895] = 0x00068550a83eadf3UL;
   tf->codes[33896] = 0x00068f76bdc0a849UL;
   tf->codes[33897] = 0x0006925871805706UL;
   tf->codes[33898] = 0x00069bb6d547a48fUL;
   tf->codes[33899] = 0x00069d4eaf68d3a2UL;
   tf->codes[33900] = 0x0006aa2dfbc77f80UL;
   tf->codes[33901] = 0x0006ab2fc769e5c3UL;
   tf->codes[33902] = 0x0006ac5f8d57d3b3UL;
   tf->codes[33903] = 0x0006b0f95bfedf04UL;
   tf->codes[33904] = 0x0006b27045accf47UL;
   tf->codes[33905] = 0x0006b33daf5f0c51UL;
   tf->codes[33906] = 0x0006b44d3486ccc0UL;
   tf->codes[33907] = 0x0006b93921beef54UL;
   tf->codes[33908] = 0x0006b9faa664005aUL;
   tf->codes[33909] = 0x0006ca19aa209e3cUL;
   tf->codes[33910] = 0x0006cfaa4998fae0UL;
   tf->codes[33911] = 0x0006cfb285b5ca94UL;
   tf->codes[33912] = 0x0006d203a85f3af9UL;
   tf->codes[33913] = 0x0006d20507b95d97UL;
   tf->codes[33914] = 0x0006d58edc1a9cefUL;
   tf->codes[33915] = 0x0006de7fae461eddUL;
   tf->codes[33916] = 0x0006ea9f4a77e7ddUL;
   tf->codes[33917] = 0x0006ed78c21ac6e6UL;
   tf->codes[33918] = 0x0006f44fccd04ca9UL;
   tf->codes[33919] = 0x0007039c5e902e93UL;
   tf->codes[33920] = 0x00070bb2bd312a9aUL;
   tf->codes[33921] = 0x00070f3fc564bab8UL;
   tf->codes[33922] = 0x0007134b871ac728UL;
   tf->codes[33923] = 0x00074374e00d88e4UL;
   tf->codes[33924] = 0x0007482dcaafa4ddUL;
   tf->codes[33925] = 0x0007501b71de9deaUL;
   tf->codes[33926] = 0x000755468148f8e2UL;
   tf->codes[33927] = 0x000755caf2c30571UL;
   tf->codes[33928] = 0x000769e4cade04d1UL;
   tf->codes[33929] = 0x0007733cc700b0ceUL;
   tf->codes[33930] = 0x00078489bc330e78UL;
   tf->codes[33931] = 0x000786b29c88876dUL;
   tf->codes[33932] = 0x0007884ab138bc45UL;
   tf->codes[33933] = 0x00078d018cd3a451UL;
   tf->codes[33934] = 0x0007961857bce3fdUL;
   tf->codes[33935] = 0x0007989b58313e24UL;
   tf->codes[33936] = 0x00079d88a4c38356UL;
   tf->codes[33937] = 0x0007a506ab4f7cdbUL;
   tf->codes[33938] = 0x0007ac693ed0c208UL;
   tf->codes[33939] = 0x0007ad0c91b6d97aUL;
   tf->codes[33940] = 0x0007ade321c1fd4cUL;
   tf->codes[33941] = 0x0007b29c0c641945UL;
   tf->codes[33942] = 0x0007b336ae0f5579UL;
   tf->codes[33943] = 0x0007b3e5e60298efUL;
   tf->codes[33944] = 0x0007bc2cfda361dfUL;
   tf->codes[33945] = 0x0007bef96b6df80bUL;
   tf->codes[33946] = 0x0007c3ac63897e02UL;
   tf->codes[33947] = 0x0007d21d5cf3bd2cUL;
   tf->codes[33948] = 0x0007d510389a1ca0UL;
   tf->codes[33949] = 0x0007e5641364ef45UL;
   tf->codes[33950] = 0x0007ed4ec1509d51UL;
   tf->codes[33951] = 0x0007f0dfe7929549UL;
   tf->codes[33952] = 0x000811f9c1f07992UL;
   tf->codes[33953] = 0x0008124ccabda7e9UL;
   tf->codes[33954] = 0x000820b5880b175fUL;
   tf->codes[33955] = 0x00082c4960e21b30UL;
   tf->codes[33956] = 0x0008401a7b53efdaUL;
   tf->codes[33957] = 0x0008517e50648e78UL;
   tf->codes[33958] = 0x00085bcb0e5157dbUL;
   tf->codes[33959] = 0x00085be9efbd62beUL;
   tf->codes[33960] = 0x0008871d4ae3040aUL;
   tf->codes[33961] = 0x00088c74baafbe4cUL;
   tf->codes[33962] = 0x00088d0bb36a9e30UL;
   tf->codes[33963] = 0x00089607baf63ad3UL;
   tf->codes[33964] = 0x00089773e4621bebUL;
   tf->codes[33965] = 0x0008a5eb0ae1f6dcUL;
   tf->codes[33966] = 0x0008b450ceec1b51UL;
   tf->codes[33967] = 0x0008b5e5001cee14UL;
   tf->codes[33968] = 0x0008b90cb2d1824bUL;
   tf->codes[33969] = 0x0008bafbb3ce478fUL;
   tf->codes[33970] = 0x0008bb7b921be0baUL;
   tf->codes[33971] = 0x0008c5cbf8f9066dUL;
   tf->codes[33972] = 0x0008c67195755791UL;
   tf->codes[33973] = 0x0008c741f86adf9cUL;
   tf->codes[33974] = 0x0008cb67cdd17dc6UL;
   tf->codes[33975] = 0x0008e3991220afd5UL;
   tf->codes[33976] = 0x0008e976c7dfa4ceUL;
   tf->codes[33977] = 0x0008ecc6bce83075UL;
   tf->codes[33978] = 0x0008f004da5cfa16UL;
   tf->codes[33979] = 0x0008f4eef31cee82UL;
   tf->codes[33980] = 0x00090035b5ad59feUL;
   tf->codes[33981] = 0x00090fc3b335adfeUL;
   tf->codes[33982] = 0x000929cfd757a999UL;
   tf->codes[33983] = 0x00092cbe5a609b6eUL;
   tf->codes[33984] = 0x00092f3a08f43cf5UL;
   tf->codes[33985] = 0x0009317e21c5647dUL;
   tf->codes[33986] = 0x00093ae0a39b19e0UL;
   tf->codes[33987] = 0x0009470a5061e0bcUL;
   tf->codes[33988] = 0x000950842733e29dUL;
   tf->codes[33989] = 0x0009575838a61d5fUL;
   tf->codes[33990] = 0x0009654410e93eabUL;
   tf->codes[33991] = 0x0009685eb9c58a05UL;
   tf->codes[33992] = 0x00096c8b315fcf80UL;
   tf->codes[33993] = 0x00096d7f437cdb97UL;
   tf->codes[33994] = 0x00096ffe6071d3a9UL;
   tf->codes[33995] = 0x00097e078037d775UL;
   tf->codes[33996] = 0x00097e307238e034UL;
   tf->codes[33997] = 0x0009881bf8b5158aUL;
   tf->codes[33998] = 0x00098b7acc0e1836UL;
   tf->codes[33999] = 0x00098c8e34b53abaUL;
   tf->codes[34000] = 0x00099632d2007382UL;
   tf->codes[34001] = 0x000997266eff740fUL;
   tf->codes[34002] = 0x00099b2ec25429f4UL;
   tf->codes[34003] = 0x0009ab58c0e1dcc6UL;
   tf->codes[34004] = 0x0009bc8c5210ba05UL;
   tf->codes[34005] = 0x0009c8c1e3e4ace5UL;
   tf->codes[34006] = 0x0009ce0706ff9997UL;
   tf->codes[34007] = 0x0009da56ac841e31UL;
   tf->codes[34008] = 0x0009df09a49fa428UL;
   tf->codes[34009] = 0x0009e0fc4e8cc5bcUL;
   tf->codes[34010] = 0x0009e117c1977a14UL;
   tf->codes[34011] = 0x0009e8ba9c16147eUL;
   tf->codes[34012] = 0x0009eaeb436a519dUL;
   tf->codes[34013] = 0x0009f2c5ee3a6bcbUL;
   tf->codes[34014] = 0x0009f7d5500b0ca6UL;
   tf->codes[34015] = 0x0009ff7b23ccf211UL;
   tf->codes[34016] = 0x000a04ca1cedd6daUL;
   tf->codes[34017] = 0x000a074b0e5afd14UL;
   tf->codes[34018] = 0x000a0904889c7c46UL;
   tf->codes[34019] = 0x000a0f98c82f6d55UL;
   tf->codes[34020] = 0x000a17619b6bc57dUL;
   tf->codes[34021] = 0x000a1c0b6d2e64acUL;
   tf->codes[34022] = 0x000a2bea9f0bb8dbUL;
   tf->codes[34023] = 0x000a34417f390fe4UL;
   tf->codes[34024] = 0x000a3dfde69ea0b4UL;
   tf->codes[34025] = 0x000a3e67cf4a0fffUL;
   tf->codes[34026] = 0x000a42b8309adf4bUL;
   tf->codes[34027] = 0x000a5e8f6c031659UL;
   tf->codes[34028] = 0x000a5e91407b4481UL;
   tf->codes[34029] = 0x000a5eb6146de566UL;
   tf->codes[34030] = 0x000a765fb370ba20UL;
   tf->codes[34031] = 0x000a8a7e93d6386eUL;
   tf->codes[34032] = 0x000a8ab922dbfd6eUL;
   tf->codes[34033] = 0x000a960353cdbf75UL;
   tf->codes[34034] = 0x000a9dfc6aebd8fcUL;
   tf->codes[34035] = 0x000aab8f0d4c302aUL;
   tf->codes[34036] = 0x000aad3291eb857cUL;
   tf->codes[34037] = 0x000ac00c2bdef784UL;
   tf->codes[34038] = 0x000acf1df40a0ea9UL;
   tf->codes[34039] = 0x000ad288ac703d59UL;
   tf->codes[34040] = 0x000ae9fed3beffeeUL;
   tf->codes[34041] = 0x000aeb7c9a2f9d47UL;
   tf->codes[34042] = 0x000aee3e47b82448UL;
   tf->codes[34043] = 0x000afbd6a2100bb3UL;
   tf->codes[34044] = 0x000b02543c53c193UL;
   tf->codes[34045] = 0x000b0e51139a1d9bUL;
   tf->codes[34046] = 0x000b12b9eeb2563eUL;
   tf->codes[34047] = 0x000b12dec2a4f723UL;
   tf->codes[34048] = 0x000b1a189eb43956UL;
   tf->codes[34049] = 0x000b2681e2cb4420UL;
   tf->codes[34050] = 0x000b2690868cb560UL;
   tf->codes[34051] = 0x000b347df8b8ff0fUL;
   tf->codes[34052] = 0x000b61e8d7f58a90UL;
   tf->codes[34053] = 0x000b64999826669fUL;
   tf->codes[34054] = 0x000b6d1b795bfa54UL;
   tf->codes[34055] = 0x000b7eaac492e128UL;
   tf->codes[34056] = 0x000b84f97a4ef847UL;
   tf->codes[34057] = 0x000b930d1fc80579UL;
   tf->codes[34058] = 0x000b953c67c21ffaUL;
   tf->codes[34059] = 0x000b9c1f1cf5cbfcUL;
   tf->codes[34060] = 0x000b9d92984265b4UL;
   tf->codes[34061] = 0x000ba24e0709c124UL;
   tf->codes[34062] = 0x000bb1acaaec6ad9UL;
   tf->codes[34063] = 0x000bb31650330c7aUL;
   tf->codes[34064] = 0x000bb7825f1d95e3UL;
   tf->codes[34065] = 0x000bbf0692bf2b2fUL;
   tf->codes[34066] = 0x000bc30968ab569cUL;
   tf->codes[34067] = 0x000beef1ee4ad160UL;
   tf->codes[34068] = 0x000c0a14e975460aUL;
   tf->codes[34069] = 0x000c36efacb99ebdUL;
   tf->codes[34070] = 0x000c3951f749bfd9UL;
   tf->codes[34071] = 0x000c40e334c39e02UL;
   tf->codes[34072] = 0x000c44bfd76305ecUL;
   tf->codes[34073] = 0x000c51de0b64e469UL;
   tf->codes[34074] = 0x000c5396264c40fdUL;
   tf->codes[34075] = 0x000c543854673b96UL;
   tf->codes[34076] = 0x000c57775c181c4bUL;
   tf->codes[34077] = 0x000c6a41a29d0bc4UL;
   tf->codes[34078] = 0x000c6ba9e8898ac7UL;
   tf->codes[34079] = 0x000c6f86160ae727UL;
   tf->codes[34080] = 0x000c79778f0db27fUL;
   tf->codes[34081] = 0x000c7df8e3ed5479UL;
   tf->codes[34082] = 0x000c833ca7ae1e8dUL;
   tf->codes[34083] = 0x000c86b469ec961aUL;
   tf->codes[34084] = 0x000c8def3037ef61UL;
   tf->codes[34085] = 0x000c8eddff7b76c5UL;
   tf->codes[34086] = 0x000c90f7174461a1UL;
   tf->codes[34087] = 0x000ca364446724e7UL;
   tf->codes[34088] = 0x000cab68cb745ee8UL;
   tf->codes[34089] = 0x000cb908eccb0a7dUL;
   tf->codes[34090] = 0x000cbf08b7c85b1fUL;
   tf->codes[34091] = 0x000cc27fca59c15dUL;
   tf->codes[34092] = 0x000cc783471d3634UL;
   tf->codes[34093] = 0x000ccd7c6fe6df85UL;
   tf->codes[34094] = 0x000ccf9c29e371b2UL;
   tf->codes[34095] = 0x000cd7e9340ad0a4UL;
   tf->codes[34096] = 0x000cd7feb48eeefaUL;
   tf->codes[34097] = 0x000cd8c3a795568bUL;
   tf->codes[34098] = 0x000cdd83a989255fUL;
   tf->codes[34099] = 0x000ce507a29bb4e6UL;
   tf->codes[34100] = 0x000cea073bdfc7a8UL;
   tf->codes[34101] = 0x000cea53dd085473UL;
   tf->codes[34102] = 0x000cef04166f952eUL;
   tf->codes[34103] = 0x000cf28a7c6f7dfbUL;
   tf->codes[34104] = 0x000d000dcb61529aUL;
   tf->codes[34105] = 0x000d02d2e74b3026UL;
   tf->codes[34106] = 0x000d055990afe69dUL;
   tf->codes[34107] = 0x000d09c4b55e58f2UL;
   tf->codes[34108] = 0x000d105c9de1a651UL;
   tf->codes[34109] = 0x000d1776ae48c68dUL;
   tf->codes[34110] = 0x000d27dd10546c87UL;
   tf->codes[34111] = 0x000d29cde5c95ff3UL;
   tf->codes[34112] = 0x000d32f17ffbe2b7UL;
   tf->codes[34113] = 0x000d47189c7e30b9UL;
   tf->codes[34114] = 0x000d51e7824eccf9UL;
   tf->codes[34115] = 0x000d55f7d7314ccdUL;
   tf->codes[34116] = 0x000d56affaee7146UL;
   tf->codes[34117] = 0x000d5cb2bf2f0ce9UL;
   tf->codes[34118] = 0x000d651f1fe08248UL;
   tf->codes[34119] = 0x000d6bd8a8841fc6UL;
   tf->codes[34120] = 0x000d740571e55137UL;
   tf->codes[34121] = 0x000d750c45d23668UL;
   tf->codes[34122] = 0x000d768ed9fe4ceaUL;
   tf->codes[34123] = 0x000d821f4473fa30UL;
   tf->codes[34124] = 0x000d8bfa8d4595e3UL;
   tf->codes[34125] = 0x000d909964372022UL;
   tf->codes[34126] = 0x000d963e5f687e43UL;
   tf->codes[34127] = 0x000da0b74328a12bUL;
   tf->codes[34128] = 0x000da1c73d6e6d24UL;
   tf->codes[34129] = 0x000da557ee925992UL;
   tf->codes[34130] = 0x000db38707161b1cUL;
   tf->codes[34131] = 0x000dc6c19deb1b6cUL;
   tf->codes[34132] = 0x000dcd4ae2acf78bUL;
   tf->codes[34133] = 0x000dd3b9d92f3c2bUL;
   tf->codes[34134] = 0x000deda4d24ef331UL;
   tf->codes[34135] = 0x000dedd132b1527bUL;
   tf->codes[34136] = 0x000dee6c84099ffeUL;
   tf->codes[34137] = 0x000df498e9f855afUL;
   tf->codes[34138] = 0x000e008bb0a9b3dbUL;
   tf->codes[34139] = 0x000e0608dea52616UL;
   tf->codes[34140] = 0x000e0aee29a9a159UL;
   tf->codes[34141] = 0x000e0eceafc86b58UL;
   tf->codes[34142] = 0x000e11b6560eb017UL;
   tf->codes[34143] = 0x000e1c7622ffcf8dUL;
   tf->codes[34144] = 0x000e1e13056b7d8eUL;
   tf->codes[34145] = 0x000e1e64744f8382UL;
   tf->codes[34146] = 0x000e343d7ea39251UL;
   tf->codes[34147] = 0x000e347d8b11e1c9UL;
   tf->codes[34148] = 0x000e3a87dbc23bd1UL;
   tf->codes[34149] = 0x000e422fbe8b5529UL;
   tf->codes[34150] = 0x000e44ce320a63a8UL;
   tf->codes[34151] = 0x000e51b719e001d8UL;
   tf->codes[34152] = 0x000e7225da590a85UL;
   tf->codes[34153] = 0x000e83fd6e1b1085UL;
   tf->codes[34154] = 0x000e893dc37a840eUL;
   tf->codes[34155] = 0x000e8fef4a90579dUL;
   tf->codes[34156] = 0x000e92c937514230UL;
   tf->codes[34157] = 0x000e93ebf366e743UL;
   tf->codes[34158] = 0x000ea371ef617154UL;
   tf->codes[34159] = 0x000ea3fdb2bc3683UL;
   tf->codes[34160] = 0x000ea67c20041d46UL;
   tf->codes[34161] = 0x000eaca9359fe446UL;
   tf->codes[34162] = 0x000eb1fdac295387UL;
   tf->codes[34163] = 0x000eb3699b062edaUL;
   tf->codes[34164] = 0x000eb8b38bdc94b5UL;
   tf->codes[34165] = 0x000eba715ebb8186UL;
   tf->codes[34166] = 0x000ed6a53e67d93dUL;
   tf->codes[34167] = 0x000ed8ee9a128578UL;
   tf->codes[34168] = 0x000edf959b754fa1UL;
   tf->codes[34169] = 0x000ee0b64883c0c7UL;
   tf->codes[34170] = 0x000ee80c0cbbc2dcUL;
   tf->codes[34171] = 0x000eeedebed3db00UL;
   tf->codes[34172] = 0x000eef01f8dd5382UL;
   tf->codes[34173] = 0x000ef378185cdac7UL;
   tf->codes[34174] = 0x000ef3805479aa7bUL;
   tf->codes[34175] = 0x000ef392a12b780bUL;
   tf->codes[34176] = 0x000ef62c0c60079cUL;
   tf->codes[34177] = 0x000ef9188061c584UL;
   tf->codes[34178] = 0x000efe90e0a1be96UL;
   tf->codes[34179] = 0x000f1dddcf413944UL;
   tf->codes[34180] = 0x000f2427f1d0dcffUL;
   tf->codes[34181] = 0x000f2934cf7c3e63UL;
   tf->codes[34182] = 0x000f38fcac5d4614UL;
   tf->codes[34183] = 0x000f3a81ff3da1d2UL;
   tf->codes[34184] = 0x000f3e5999928aceUL;
   tf->codes[34185] = 0x000f41605bd3e035UL;
   tf->codes[34186] = 0x000f44d38ae5e45eUL;
   tf->codes[34187] = 0x000f5cc3636ca457UL;
   tf->codes[34188] = 0x000f611cb08754a6UL;
   tf->codes[34189] = 0x000f689f84cec754UL;
   tf->codes[34190] = 0x000f7108b1adebedUL;
   tf->codes[34191] = 0x000f78fa01cd414aUL;
   tf->codes[34192] = 0x000f83dcce38d37dUL;
   tf->codes[34193] = 0x000f8497761b376dUL;
   tf->codes[34194] = 0x000f8a5aa30b8f22UL;
   tf->codes[34195] = 0x000f94996ce3f894UL;
   tf->codes[34196] = 0x000f964184afc14aUL;
   tf->codes[34197] = 0x000f9b98f47c7b8cUL;
   tf->codes[34198] = 0x000f9f4d1a38e641UL;
   tf->codes[34199] = 0x000fa45c7c09871cUL;
   tf->codes[34200] = 0x000fac4ca75dbfa0UL;
   tf->codes[34201] = 0x000facef1007bffeUL;
   tf->codes[34202] = 0x000fadad9b698603UL;
   tf->codes[34203] = 0x000fb21a94902680UL;
   tf->codes[34204] = 0x000fbb65c1698f65UL;
   tf->codes[34205] = 0x000fc2c93f26eba6UL;
   tf->codes[34206] = 0x000fc3e608b5fab7UL;
   tf->codes[34207] = 0x000fc67d9f725c20UL;
   tf->codes[34208] = 0x000fcf6b033c8783UL;
   tf->codes[34209] = 0x000fe95512202775UL;
   tf->codes[34210] = 0x000ff7292048f0b9UL;
   tf->codes[34211] = 0x000004bb881a4222UL;
   tf->codes[34212] = 0x000008c191d8be55UL;
   tf->codes[34213] = 0x00000f4a26ed8925UL;
   tf->codes[34214] = 0x000012ac68a7e25cUL;
   tf->codes[34215] = 0x00001efa39b438ceUL;
   tf->codes[34216] = 0x0000229b6311c4a4UL;
   tf->codes[34217] = 0x00002944737bc2baUL;
   tf->codes[34218] = 0x00002a0498c6b122UL;
   tf->codes[34219] = 0x0000394495cc55b9UL;
   tf->codes[34220] = 0x0000507e599d2526UL;
   tf->codes[34221] = 0x0000599599a4705cUL;
   tf->codes[34222] = 0x000076f0c892e08aUL;
   tf->codes[34223] = 0x000080f92173ecd6UL;
   tf->codes[34224] = 0x0000a7e2485e5a9dUL;
   tf->codes[34225] = 0x0000afa7381b50b0UL;
   tf->codes[34226] = 0x0000afe2b15d2cc4UL;
   tf->codes[34227] = 0x0000b0d5d93e21c7UL;
   tf->codes[34228] = 0x0000b670c3da820cUL;
   tf->codes[34229] = 0x0000ba9156679b83UL;
   tf->codes[34230] = 0x0000bda890e29052UL;
   tf->codes[34231] = 0x0000c37eba31c6e6UL;
   tf->codes[34232] = 0x0000d579c28c4b2dUL;
   tf->codes[34233] = 0x0000dfc81a623cf3UL;
   tf->codes[34234] = 0x0000dfd0cb9d1831UL;
   tf->codes[34235] = 0x0000e5ffb5b10d59UL;
   tf->codes[34236] = 0x0000f463a54303a6UL;
   tf->codes[34237] = 0x0000f912f46e2d4dUL;
   tf->codes[34238] = 0x0000fd1f2b424547UL;
   tf->codes[34239] = 0x0000fd8062b2d954UL;
   tf->codes[34240] = 0x000105817b5ebccaUL;
   tf->codes[34241] = 0x000110bf1796417eUL;
   tf->codes[34242] = 0x000113dda3f1eeedUL;
   tf->codes[34243] = 0x00012eec4363621aUL;
   tf->codes[34244] = 0x000135fb1e6a67a1UL;
   tf->codes[34245] = 0x00013b430039998fUL;
   tf->codes[34246] = 0x0001428886c70201UL;
   tf->codes[34247] = 0x0001439512ab776fUL;
   tf->codes[34248] = 0x0001446d772ec969UL;
   tf->codes[34249] = 0x000144d6759e21a0UL;
   tf->codes[34250] = 0x000147f69be2f772UL;
   tf->codes[34251] = 0x00015ee7677b9664UL;
   tf->codes[34252] = 0x00016917c821945bUL;
   tf->codes[34253] = 0x000172f769909dadUL;
   tf->codes[34254] = 0x000172f9b326d75fUL;
   tf->codes[34255] = 0x00017754250ca487UL;
   tf->codes[34256] = 0x00017e6c60fb969bUL;
   tf->codes[34257] = 0x00017ed60f180021UL;
   tf->codes[34258] = 0x00018d8714f08ec3UL;
   tf->codes[34259] = 0x00018ff076d262baUL;
   tf->codes[34260] = 0x00019ddaefbb6168UL;
   tf->codes[34261] = 0x0001a2c99ba7c938UL;
   tf->codes[34262] = 0x0001a2d162a68d62UL;
   tf->codes[34263] = 0x0001a81c78481016UL;
   tf->codes[34264] = 0x0001afcd0c4c04acUL;
   tf->codes[34265] = 0x0001b36b01d73fbcUL;
   tf->codes[34266] = 0x0001b6891914e1a1UL;
   tf->codes[34267] = 0x0001bb9cd382f01bUL;
   tf->codes[34268] = 0x0001cae9da60dd8fUL;
   tf->codes[34269] = 0x0001cf126e7bc0f5UL;
   tf->codes[34270] = 0x0001d3be4f459411UL;
   tf->codes[34271] = 0x0001dbfeff41bb75UL;
   tf->codes[34272] = 0x0001e01c236d7e61UL;
   tf->codes[34273] = 0x0001e3fef3228212UL;
   tf->codes[34274] = 0x0001e41ebecaa409UL;
   tf->codes[34275] = 0x0001e6613db2a32eUL;
   tf->codes[34276] = 0x0001eef27256b972UL;
   tf->codes[34277] = 0x0001f0df29bd4504UL;
   tf->codes[34278] = 0x0001f81bff0fd238UL;
   tf->codes[34279] = 0x0001f850d61e06fbUL;
   tf->codes[34280] = 0x00020700077e6775UL;
   tf->codes[34281] = 0x00020a02e6405ac7UL;
   tf->codes[34282] = 0x00020a79d8c412efUL;
   tf->codes[34283] = 0x00021774982d7325UL;
   tf->codes[34284] = 0x000217b9ace6418bUL;
   tf->codes[34285] = 0x00021bba73cb390bUL;
   tf->codes[34286] = 0x00022a9d576eb16fUL;
   tf->codes[34287] = 0x0002361ac5857fd6UL;
   tf->codes[34288] = 0x000236db255f7403UL;
   tf->codes[34289] = 0x000237e1499f47e5UL;
   tf->codes[34290] = 0x00023be87828e0f1UL;
   tf->codes[34291] = 0x00023fe73006a484UL;
   tf->codes[34292] = 0x00024490521c3264UL;
   tf->codes[34293] = 0x00024614bac0770eUL;
   tf->codes[34294] = 0x0002492e04429fcaUL;
   tf->codes[34295] = 0x000249764ccdbef6UL;
   tf->codes[34296] = 0x00024cf31756b571UL;
   tf->codes[34297] = 0x00025fcaa242f38cUL;
   tf->codes[34298] = 0x00026571375d7a10UL;
   tf->codes[34299] = 0x0002703ce95bc58aUL;
   tf->codes[34300] = 0x000270d506e1c247UL;
   tf->codes[34301] = 0x00027661c2dabcd6UL;
   tf->codes[34302] = 0x00027764b3483ff2UL;
   tf->codes[34303] = 0x00027843f48e3f02UL;
   tf->codes[34304] = 0x00027fec11e65e1fUL;
   tf->codes[34305] = 0x00028ec08c576b08UL;
   tf->codes[34306] = 0x00029c6e673370c9UL;
   tf->codes[34307] = 0x0002a68180568c40UL;
   tf->codes[34308] = 0x0002a76679941b8dUL;
   tf->codes[34309] = 0x0002abd8f0234682UL;
   tf->codes[34310] = 0x0002af9a94d6059eUL;
   tf->codes[34311] = 0x0002b3681e95f0beUL;
   tf->codes[34312] = 0x0002b4150cf2fa82UL;
   tf->codes[34313] = 0x0002bcc13f83b994UL;
   tf->codes[34314] = 0x0002bf7c4ad89944UL;
   tf->codes[34315] = 0x0002bfbaf7ecc61eUL;
   tf->codes[34316] = 0x0002c3958b84fa1bUL;
   tf->codes[34317] = 0x0002e795accf0085UL;
   tf->codes[34318] = 0x0002f4bd41b8cb8fUL;
   tf->codes[34319] = 0x0002f51f636576b0UL;
   tf->codes[34320] = 0x0002f5568409e525UL;
   tf->codes[34321] = 0x0002fa0264d3b841UL;
   tf->codes[34322] = 0x00030b68be099656UL;
   tf->codes[34323] = 0x00030dabec9ea6caUL;
   tf->codes[34324] = 0x00031ef6983acac2UL;
   tf->codes[34325] = 0x000329ec9b944199UL;
   tf->codes[34326] = 0x0003341ab2a405deUL;
   tf->codes[34327] = 0x00033c46cc582600UL;
   tf->codes[34328] = 0x00033fe3d7a749fcUL;
   tf->codes[34329] = 0x00035bb5d035fc57UL;
   tf->codes[34330] = 0x00036245f1ba858cUL;
   tf->codes[34331] = 0x00036693cee61561UL;
   tf->codes[34332] = 0x00036780c9b16e9dUL;
   tf->codes[34333] = 0x0003779ac5238d91UL;
   tf->codes[34334] = 0x000384094c141d0eUL;
   tf->codes[34335] = 0x000384bdc6e0e537UL;
   tf->codes[34336] = 0x0003b1303b62f702UL;
   tf->codes[34337] = 0x0003c6270b2dbbc0UL;
   tf->codes[34338] = 0x0003c7c3b30a63fcUL;
   tf->codes[34339] = 0x0003c9e80033698dUL;
   tf->codes[34340] = 0x0003d8b6881de074UL;
   tf->codes[34341] = 0x0003d9829275fae0UL;
   tf->codes[34342] = 0x0003de6bfb88ddfdUL;
   tf->codes[34343] = 0x0003e5c47e75254eUL;
   tf->codes[34344] = 0x0003e9bb34c51ef2UL;
   tf->codes[34345] = 0x0003f853c0d6443dUL;
   tf->codes[34346] = 0x00043b5ad1cadfdbUL;
   tf->codes[34347] = 0x00047068c6150b8bUL;
   tf->codes[34348] = 0x000481f79c2de6d5UL;
   tf->codes[34349] = 0x0004915c3297268cUL;
   tf->codes[34350] = 0x0004b378fd628df1UL;
   tf->codes[34351] = 0x0004c0893d500c7dUL;
   tf->codes[34352] = 0x0004e17e43bb4fe1UL;
   tf->codes[34353] = 0x0004ec9de8c2e0c6UL;
   tf->codes[34354] = 0x0004f6f392798b2cUL;
   tf->codes[34355] = 0x0004f80c036b2c9eUL;
   tf->codes[34356] = 0x000500ac8b7dc571UL;
   tf->codes[34357] = 0x0005037799ee38ffUL;
   tf->codes[34358] = 0x00051b28ffefd1e3UL;
   tf->codes[34359] = 0x00052e29b76c1e82UL;
   tf->codes[34360] = 0x00054a82307c1159UL;
   tf->codes[34361] = 0x00055b0e50b66f4cUL;
   tf->codes[34362] = 0x00056a4e132d0e1eUL;
   tf->codes[34363] = 0x00056e792b6d30fbUL;
   tf->codes[34364] = 0x0005701e8484b475UL;
   tf->codes[34365] = 0x0005754366d973a6UL;
   tf->codes[34366] = 0x000579da3c3d33f6UL;
   tf->codes[34367] = 0x00057fb4f8b8ddeeUL;
   tf->codes[34368] = 0x00058d6a6004a214UL;
   tf->codes[34369] = 0x00059b5dff46878aUL;
   tf->codes[34370] = 0x0005a933323a6da7UL;
   tf->codes[34371] = 0x0005ab56cfb661e9UL;
   tf->codes[34372] = 0x0005b8cacb39b3f9UL;
   tf->codes[34373] = 0x0005cab72fd2c700UL;
   tf->codes[34374] = 0x0005d98b6fb4ce24UL;
   tf->codes[34375] = 0x0005dc613e6750ddUL;
   tf->codes[34376] = 0x0005e2cc8bf9392dUL;
   tf->codes[34377] = 0x0005e43b74195f81UL;
   tf->codes[34378] = 0x0005e9581a514efeUL;
   tf->codes[34379] = 0x0005f1f5e3afa295UL;
   tf->codes[34380] = 0x0005f4109561b5d4UL;
   tf->codes[34381] = 0x0005fe86f4fc9945UL;
   tf->codes[34382] = 0x00060e8baa799fa8UL;
   tf->codes[34383] = 0x00061c0d9a1151a9UL;
   tf->codes[34384] = 0x00064680cfec048dUL;
   tf->codes[34385] = 0x0006508d46db78b3UL;
   tf->codes[34386] = 0x0006613723b6c4b0UL;
   tf->codes[34387] = 0x000665891ef0bc5fUL;
   tf->codes[34388] = 0x00066e007a7346aeUL;
   tf->codes[34389] = 0x000689fb9f92078dUL;
   tf->codes[34390] = 0x00068c1ae4708e30UL;
   tf->codes[34391] = 0x00069c14d9ab8568UL;
   tf->codes[34392] = 0x0006bc40cf01f961UL;
   tf->codes[34393] = 0x0006bd743de043a1UL;
   tf->codes[34394] = 0x0006bf5b02c03931UL;
   tf->codes[34395] = 0x0006c85de70e82eaUL;
   tf->codes[34396] = 0x0006c9a5b1a5cea7UL;
   tf->codes[34397] = 0x0006cd05e458f3f1UL;
   tf->codes[34398] = 0x0006f8f87a8d6c91UL;
   tf->codes[34399] = 0x00070150ba14e638UL;
   tf->codes[34400] = 0x0007061723ad5698UL;
   tf->codes[34401] = 0x0007067143cc37caUL;
   tf->codes[34402] = 0x000712108c925c15UL;
   tf->codes[34403] = 0x00071a042647eb24UL;
   tf->codes[34404] = 0x00071f352838dc1eUL;
   tf->codes[34405] = 0x00071fa3de9fc492UL;
   tf->codes[34406] = 0x00072a5ea346651aUL;
   tf->codes[34407] = 0x000733f427b22118UL;
   tf->codes[34408] = 0x00073803cce78f9dUL;
   tf->codes[34409] = 0x00073a1ce4b07a79UL;
   tf->codes[34410] = 0x00073d9ad4048dcdUL;
   tf->codes[34411] = 0x000744d6bf1b03edUL;
   tf->codes[34412] = 0x000753e8fc64269cUL;
   tf->codes[34413] = 0x000756ff1213fe92UL;
   tf->codes[34414] = 0x00075e015860c6c6UL;
   tf->codes[34415] = 0x00075fc25f12045dUL;
   tf->codes[34416] = 0x000773571605e5dfUL;
   tf->codes[34417] = 0x000783a9917695e6UL;
   tf->codes[34418] = 0x0007929fac07f2eeUL;
   tf->codes[34419] = 0x00079d038462030aUL;
   tf->codes[34420] = 0x0007ad2755da1a15UL;
   tf->codes[34421] = 0x0007b4b76e88db65UL;
   tf->codes[34422] = 0x0007bd085c2f9c6cUL;
   tf->codes[34423] = 0x0007bf956d38f46fUL;
   tf->codes[34424] = 0x0007c703ab385fdbUL;
   tf->codes[34425] = 0x0007ca8edef3c1d1UL;
   tf->codes[34426] = 0x0007cf1c536f9594UL;
   tf->codes[34427] = 0x0007d242a6ca072dUL;
   tf->codes[34428] = 0x0007d887fb9e31bfUL;
   tf->codes[34429] = 0x0007dae0aab76089UL;
   tf->codes[34430] = 0x0007debc631ab15fUL;
   tf->codes[34431] = 0x0007df677cff8cfbUL;
   tf->codes[34432] = 0x0007e375c2dad8e2UL;
   tf->codes[34433] = 0x0007f4f286d0ec61UL;
   tf->codes[34434] = 0x0007fa9622a827e4UL;
   tf->codes[34435] = 0x0007fc3eaf91fc24UL;
   tf->codes[34436] = 0x00080af7f1875a7aUL;
   tf->codes[34437] = 0x000813f592fc1f80UL;
   tf->codes[34438] = 0x00081661ee213e78UL;
   tf->codes[34439] = 0x00085025d3ca3b20UL;
   tf->codes[34440] = 0x000859ff82b2ae70UL;
   tf->codes[34441] = 0x00085a024166f3acUL;
   tf->codes[34442] = 0x00085ad6c26ae391UL;
   tf->codes[34443] = 0x00085b0cbe44352dUL;
   tf->codes[34444] = 0x00086055ff6d89b9UL;
   tf->codes[34445] = 0x00086271d5eab9d1UL;
   tf->codes[34446] = 0x000878bc5559f650UL;
   tf->codes[34447] = 0x00088b4ff05882deUL;
   tf->codes[34448] = 0x00089b16a86e6db6UL;
   tf->codes[34449] = 0x0008a38e03f0f805UL;
   tf->codes[34450] = 0x0008b03879416f20UL;
   tf->codes[34451] = 0x0008b11570f1347eUL;
   tf->codes[34452] = 0x0008be849eb90d65UL;
   tf->codes[34453] = 0x0008bfa49c1a6d3cUL;
   tf->codes[34454] = 0x0008d253aa23ae22UL;
   tf->codes[34455] = 0x0008da3531b67566UL;
   tf->codes[34456] = 0x0008e219b28c87abUL;
   tf->codes[34457] = 0x0008e542ff2a4445UL;
   tf->codes[34458] = 0x0008e8f306d84720UL;
   tf->codes[34459] = 0x0008efd755f51b85UL;
   tf->codes[34460] = 0x0008f7df85f2b1d6UL;
   tf->codes[34461] = 0x0008f8d8a05a3cdbUL;
   tf->codes[34462] = 0x0008ffec83abc150UL;
   tf->codes[34463] = 0x000904c5e9a3108fUL;
   tf->codes[34464] = 0x00090ff7663e637aUL;
   tf->codes[34465] = 0x000912af0331ec9fUL;
   tf->codes[34466] = 0x000923999c289963UL;
   tf->codes[34467] = 0x000945c07788fea4UL;
   tf->codes[34468] = 0x00094b732c3fb6f1UL;
   tf->codes[34469] = 0x000950ca9c0c7133UL;
   tf->codes[34470] = 0x000957deb9ecfb6dUL;
   tf->codes[34471] = 0x00095b76bcf1a07bUL;
   tf->codes[34472] = 0x000983d5e34de771UL;
   tf->codes[34473] = 0x0009a62625cd60fbUL;
   tf->codes[34474] = 0x0009a7486cc4fa84UL;
   tf->codes[34475] = 0x0009af54bad0f8afUL;
   tf->codes[34476] = 0x0009cd78fad43848UL;
   tf->codes[34477] = 0x0009de1dcf650557UL;
   tf->codes[34478] = 0x0009f3e95ac2bfbfUL;
   tf->codes[34479] = 0x0009fe16c22572b5UL;
   tf->codes[34480] = 0x000a0271340b3fddUL;
   tf->codes[34481] = 0x000a0611389daedaUL;
   tf->codes[34482] = 0x000a1c467217d2c8UL;
   tf->codes[34483] = 0x000a1e52f5268051UL;
   tf->codes[34484] = 0x000a276a6fbcd14cUL;
   tf->codes[34485] = 0x000a3396a0a8d79fUL;
   tf->codes[34486] = 0x000a3505c35803b8UL;
   tf->codes[34487] = 0x000a3ef05f9821faUL;
   tf->codes[34488] = 0x000a3f50e75ba4b8UL;
   tf->codes[34489] = 0x000a49e27f7236bcUL;
   tf->codes[34490] = 0x000a4a2a52df4a5eUL;
   tf->codes[34491] = 0x000a56410347325bUL;
   tf->codes[34492] = 0x000a7b1e1c40fe23UL;
   tf->codes[34493] = 0x000a7bffa71d36e5UL;
   tf->codes[34494] = 0x000ab6eebf87ae19UL;
   tf->codes[34495] = 0x000ab972e4c72519UL;
   tf->codes[34496] = 0x000ac77736d1afbcUL;
   tf->codes[34497] = 0x000ad6e185327fb0UL;
   tf->codes[34498] = 0x000adfbd8686f497UL;
   tf->codes[34499] = 0x000ae28e4ceef862UL;
   tf->codes[34500] = 0x000b021e06b107c4UL;
   tf->codes[34501] = 0x000b0441a42cfc06UL;
   tf->codes[34502] = 0x000b164cea3219f0UL;
   tf->codes[34503] = 0x000b19c387a574a4UL;
   tf->codes[34504] = 0x000b280fe7ac18aeUL;
   tf->codes[34505] = 0x000b2b7ef8afb4fdUL;
   tf->codes[34506] = 0x000b34e59893d23aUL;
   tf->codes[34507] = 0x000b396294d60695UL;
   tf->codes[34508] = 0x000b4de9896ec606UL;
   tf->codes[34509] = 0x000b58bffbaf20abUL;
   tf->codes[34510] = 0x000b5e7275d6d333UL;
   tf->codes[34511] = 0x000b604f64b0d0acUL;
   tf->codes[34512] = 0x000b661f265b65b4UL;
   tf->codes[34513] = 0x000b6c8864e61a17UL;
   tf->codes[34514] = 0x000b77db4712b75cUL;
   tf->codes[34515] = 0x000b9583c6d6c5a4UL;
   tf->codes[34516] = 0x000baf92a9ad067bUL;
   tf->codes[34517] = 0x000bb73d85b96ad4UL;
   tf->codes[34518] = 0x000bc0085f272f04UL;
   tf->codes[34519] = 0x000bc5600982ef0bUL;
   tf->codes[34520] = 0x000bd370b5b8b13cUL;
   tf->codes[34521] = 0x000bd8f53594dc17UL;
   tf->codes[34522] = 0x000bd9884ad059e6UL;
   tf->codes[34523] = 0x000bdb73684dbd15UL;
   tf->codes[34524] = 0x000bea3f6c12f485UL;
   tf->codes[34525] = 0x000bf1121e2b0ca9UL;
   tf->codes[34526] = 0x000c01545bf1230dUL;
   tf->codes[34527] = 0x000c1d720b6c4b1fUL;
   tf->codes[34528] = 0x000c22842bf13136UL;
   tf->codes[34529] = 0x000c2fb93fd150a7UL;
   tf->codes[34530] = 0x000c304fc36e2501UL;
   tf->codes[34531] = 0x000c3b437d316226UL;
   tf->codes[34532] = 0x000c3bcecb6e1bcbUL;
   tf->codes[34533] = 0x000c493c99dbd214UL;
   tf->codes[34534] = 0x000c6c53a3d9e157UL;
   tf->codes[34535] = 0x000c76ef871476fcUL;
   tf->codes[34536] = 0x000c772c5fb075aeUL;
   tf->codes[34537] = 0x000c783074e915a3UL;
   tf->codes[34538] = 0x000c999dcd3233cdUL;
   tf->codes[34539] = 0x000c9d6947eaeb00UL;
   tf->codes[34540] = 0x000cc8c470467832UL;
   tf->codes[34541] = 0x000ccc13f030f84fUL;
   tf->codes[34542] = 0x000cd2d6649e76d0UL;
   tf->codes[34543] = 0x000cd357a2463299UL;
   tf->codes[34544] = 0x000cd410b03f6e26UL;
   tf->codes[34545] = 0x000cd4e4bc255281UL;
   tf->codes[34546] = 0x000cd727eaba62f5UL;
   tf->codes[34547] = 0x000ceb9506319671UL;
   tf->codes[34548] = 0x000cf1e6efbffe56UL;
   tf->codes[34549] = 0x000cfb4bbb2bed6bUL;
   tf->codes[34550] = 0x000d0139e92481ccUL;
   tf->codes[34551] = 0x000d04332c6f82ccUL;
   tf->codes[34552] = 0x000d098bfb965facUL;
   tf->codes[34553] = 0x000d1d371d4a7698UL;
   tf->codes[34554] = 0x000d1d5a91e2f4dfUL;
   tf->codes[34555] = 0x000d31032f71cc54UL;
   tf->codes[34556] = 0x000d52095dc3c06fUL;
   tf->codes[34557] = 0x000d5f8f6b69da4aUL;
   tf->codes[34558] = 0x000d6071a5f3245bUL;
   tf->codes[34559] = 0x000d61faa1c3dc69UL;
   tf->codes[34560] = 0x000d647f0192592eUL;
   tf->codes[34561] = 0x000d66fde3f84b7bUL;
   tf->codes[34562] = 0x000d7009b4107637UL;
   tf->codes[34563] = 0x000d711087fd5b68UL;
   tf->codes[34564] = 0x000d7527f4318e17UL;
   tf->codes[34565] = 0x000d8646b4895e4fUL;
   tf->codes[34566] = 0x000d8c0847908da1UL;
   tf->codes[34567] = 0x000d969e72d39309UL;
   tf->codes[34568] = 0x000db10232ef305fUL;
   tf->codes[34569] = 0x000dbb049949a6a9UL;
   tf->codes[34570] = 0x000dbeeebadf62faUL;
   tf->codes[34571] = 0x000dc0e63287fdb7UL;
   tf->codes[34572] = 0x000dc39b10c741a0UL;
   tf->codes[34573] = 0x000dd739d85020feUL;
   tf->codes[34574] = 0x000dd9c9e29cc402UL;
   tf->codes[34575] = 0x000de4d700638192UL;
   tf->codes[34576] = 0x000df8fbd34f95e2UL;
   tf->codes[34577] = 0x000e190195594658UL;
   tf->codes[34578] = 0x000e50c7d6440c7cUL;
   tf->codes[34579] = 0x000e5c8b08c0ba98UL;
   tf->codes[34580] = 0x000e62ace8fc66e3UL;
   tf->codes[34581] = 0x000e6b6cc7991623UL;
   tf->codes[34582] = 0x000e6ef3a2b70a7aUL;
   tf->codes[34583] = 0x000e73f33bfb1d3cUL;
   tf->codes[34584] = 0x000e78a1a0ea2fcfUL;
   tf->codes[34585] = 0x000e7f059c9b5f7fUL;
   tf->codes[34586] = 0x000e82914574ccffUL;
   tf->codes[34587] = 0x000e8b78b6b86260UL;
   tf->codes[34588] = 0x000e8e0552a3aed9UL;
   tf->codes[34589] = 0x000e95a115d09668UL;
   tf->codes[34590] = 0x000e977cdfdf7708UL;
   tf->codes[34591] = 0x000e9dd2aced4102UL;
   tf->codes[34592] = 0x000eafe0ec35a9edUL;
   tf->codes[34593] = 0x000ed08b9b0e9a38UL;
   tf->codes[34594] = 0x000ed7b6d35c6b2bUL;
   tf->codes[34595] = 0x000ee6d396589740UL;
   tf->codes[34596] = 0x000f0318635c99e9UL;
   tf->codes[34597] = 0x000f0638febf7b45UL;
   tf->codes[34598] = 0x000f076590db186fUL;
   tf->codes[34599] = 0x000f0b9a44922d9eUL;
   tf->codes[34600] = 0x000f1a4a602ea52cUL;
   tf->codes[34601] = 0x000f1df81e466e55UL;
   tf->codes[34602] = 0x000f1e6f85e83207UL;
   tf->codes[34603] = 0x000f20afbb39f77aUL;
   tf->codes[34604] = 0x000f2d8e57eb9209UL;
   tf->codes[34605] = 0x000f3454afd8729fUL;
   tf->codes[34606] = 0x000f4615d8da4335UL;
   tf->codes[34607] = 0x000f4bd59769445fUL;
   tf->codes[34608] = 0x000f68b8af08df8cUL;
   tf->codes[34609] = 0x000f70d78455b10cUL;
   tf->codes[34610] = 0x000f73f64b406440UL;
   tf->codes[34611] = 0x000f7c74be14a16aUL;
   tf->codes[34612] = 0x000f7e1ee4e79e0dUL;
   tf->codes[34613] = 0x000f84ab5d7bcaf2UL;
   tf->codes[34614] = 0x000f85ae887853d3UL;
   tf->codes[34615] = 0x000f8ee176195926UL;
   tf->codes[34616] = 0x000f985e0b9fa043UL;
   tf->codes[34617] = 0x000fae0c8a097df0UL;
   tf->codes[34618] = 0x000fc0ff88007063UL;
   tf->codes[34619] = 0x000fc53142743a91UL;
   tf->codes[34620] = 0x000fc6f0e9cb558aUL;
   tf->codes[34621] = 0x000fc8f446811c4bUL;
   tf->codes[34622] = 0x000fd3b6d22680fdUL;
   tf->codes[34623] = 0x000fdd1744f50273UL;
   tf->codes[34624] = 0x000fde2ae82b2abcUL;
   tf->codes[34625] = 0x000fe36ac86c92bbUL;
   tf->codes[34626] = 0x000ff097a02fe278UL;
   tf->codes[34627] = 0x000ffe33a3782633UL;
   tf->codes[34628] = 0x0000011b844d70b7UL;
   tf->codes[34629] = 0x0000024fdd67d20bUL;
   tf->codes[34630] = 0x0000248940090aa1UL;
   tf->codes[34631] = 0x000030b486b8f9e0UL;
   tf->codes[34632] = 0x00003ed1528aeddaUL;
   tf->codes[34633] = 0x000047e31529ae98UL;
   tf->codes[34634] = 0x00005b38a9eb57b6UL;
   tf->codes[34635] = 0x00005b75f7a561f2UL;
   tf->codes[34636] = 0x00006a068228bd4eUL;
   tf->codes[34637] = 0x00006d099b79b665UL;
   tf->codes[34638] = 0x00007f15569cdfd9UL;
   tf->codes[34639] = 0x00007f5896dd8017UL;
   tf->codes[34640] = 0x000086fedfbd710cUL;
   tf->codes[34641] = 0x00008abf9a341914UL;
   tf->codes[34642] = 0x0000922aa46133baUL;
   tf->codes[34643] = 0x000092fc66b0de63UL;
   tf->codes[34644] = 0x00009a894b8d4eedUL;
   tf->codes[34645] = 0x00009f561cca60d9UL;
   tf->codes[34646] = 0x0000ad9bda9d5d92UL;
   tf->codes[34647] = 0x0000b05eacf1016cUL;
   tf->codes[34648] = 0x0000b5fa81c978c5UL;
   tf->codes[34649] = 0x0000c0fcdf4e272aUL;
   tf->codes[34650] = 0x0000c6035554e702UL;
   tf->codes[34651] = 0x0000c69bad69e984UL;
   tf->codes[34652] = 0x0000c8f337b7fb75UL;
   tf->codes[34653] = 0x0000ca04cbe6efd1UL;
   tf->codes[34654] = 0x0000d22ffb5ef8dfUL;
   tf->codes[34655] = 0x0000e39fb57cc381UL;
   tf->codes[34656] = 0x0000e5141b05744dUL;
   tf->codes[34657] = 0x0000eb69e8133e47UL;
   tf->codes[34658] = 0x0000ecb645d6fd68UL;
   tf->codes[34659] = 0x0000f4b3f0218a53UL;
   tf->codes[34660] = 0x0000f89943fbcd7bUL;
   tf->codes[34661] = 0x00010cfdae3825b9UL;
   tf->codes[34662] = 0x000126931a656ef1UL;
   tf->codes[34663] = 0x000136f97c7114ebUL;
   tf->codes[34664] = 0x00014097eca6b1ecUL;
   tf->codes[34665] = 0x00015f28245c94bdUL;
   tf->codes[34666] = 0x0001680c61cdd958UL;
   tf->codes[34667] = 0x00017077d84337a3UL;
   tf->codes[34668] = 0x00017a11efdb6705UL;
   tf->codes[34669] = 0x0001875915de4e41UL;
   tf->codes[34670] = 0x00018c6f54719c32UL;
   tf->codes[34671] = 0x0001940ec08ee011UL;
   tf->codes[34672] = 0x0001a93a6767d992UL;
   tf->codes[34673] = 0x0001a97112ee3c7dUL;
   tf->codes[34674] = 0x0001b1a52e30268eUL;
   tf->codes[34675] = 0x0001d61739b36632UL;
   tf->codes[34676] = 0x0001db5dbc287582UL;
   tf->codes[34677] = 0x0001dd38616c3949UL;
   tf->codes[34678] = 0x0001ebd1280c6459UL;
   tf->codes[34679] = 0x0001eeccef7ca4d0UL;
   tf->codes[34680] = 0x0001f9ea4aedfc03UL;
   tf->codes[34681] = 0x0001fa3a5a77df59UL;
   tf->codes[34682] = 0x00020004d948efaeUL;
   tf->codes[34683] = 0x00023f4bdf73f493UL;
   tf->codes[34684] = 0x000251d9c27af0e4UL;
   tf->codes[34685] = 0x000260c4a7ac3337UL;
   tf->codes[34686] = 0x0002639065c9b814UL;
   tf->codes[34687] = 0x00026dbb0e7825ceUL;
   tf->codes[34688] = 0x0002706233320f8bUL;
   tf->codes[34689] = 0x000275feb7b79833UL;
   tf->codes[34690] = 0x00027a9084d0d995UL;
   tf->codes[34691] = 0x00028028b0b8f49eUL;
   tf->codes[34692] = 0x00029f45d094b977UL;
   tf->codes[34693] = 0x0002a26372b44fd2UL;
   tf->codes[34694] = 0x0002aa5a7acb356cUL;
   tf->codes[34695] = 0x0002ab490f7fb70bUL;
   tf->codes[34696] = 0x0002afd85873b8f6UL;
   tf->codes[34697] = 0x0002b4fb2bc1443aUL;
   tf->codes[34698] = 0x0002cd251e2fbda9UL;
   tf->codes[34699] = 0x0002cd3a2995d075UL;
   tf->codes[34700] = 0x0002d6e987231868UL;
   tf->codes[34701] = 0x0002ee8e586a73f9UL;
   tf->codes[34702] = 0x0002f5ae5b582a37UL;
   tf->codes[34703] = 0x0002ff070727e783UL;
   tf->codes[34704] = 0x00030f8d6f6ab539UL;
   tf->codes[34705] = 0x00031597faaa1506UL;
   tf->codes[34706] = 0x0003250ba9f2d187UL;
   tf->codes[34707] = 0x00033985cf424de0UL;
   tf->codes[34708] = 0x00034a5ae7b4dc4eUL;
   tf->codes[34709] = 0x0003505b27d0387aUL;
   tf->codes[34710] = 0x000352c698b9405eUL;
   tf->codes[34711] = 0x00035946f1b13b7aUL;
   tf->codes[34712] = 0x00035a480da6906eUL;
   tf->codes[34713] = 0x00035fe2bdb3eaeeUL;
   tf->codes[34714] = 0x000362a9e8a4fc67UL;
   tf->codes[34715] = 0x00038570a88a228fUL;
   tf->codes[34716] = 0x0003a15cb4c966a4UL;
   tf->codes[34717] = 0x0003a45632a36d69UL;
   tf->codes[34718] = 0x0003a9f8a9af8c13UL;
   tf->codes[34719] = 0x0003b03e3912bc6aUL;
   tf->codes[34720] = 0x0003bf66316f0334UL;
   tf->codes[34721] = 0x0003c0068b11cfa5UL;
   tf->codes[34722] = 0x0003c3ca043cbce9UL;
   tf->codes[34723] = 0x0003c6de0ae560f2UL;
   tf->codes[34724] = 0x0003e33faa4e3a91UL;
   tf->codes[34725] = 0x0003edd22ca0e3a9UL;
   tf->codes[34726] = 0x0003ef2e18622b1eUL;
   tf->codes[34727] = 0x0003f7c629c8ee78UL;
   tf->codes[34728] = 0x0003fc377b8cfc94UL;
   tf->codes[34729] = 0x0003fd5cf656e6e3UL;
   tf->codes[34730] = 0x00041e70a39f2f65UL;
   tf->codes[34731] = 0x0004431ed8115c6cUL;
   tf->codes[34732] = 0x00047154d769eb45UL;
   tf->codes[34733] = 0x000499e31cdcd6c1UL;
   tf->codes[34734] = 0x0004a7880beefb7fUL;
   tf->codes[34735] = 0x0004be2f2fa258a7UL;
   tf->codes[34736] = 0x0004c5a70918b665UL;
   tf->codes[34737] = 0x0004d0e2212afba2UL;
   tf->codes[34738] = 0x0004ea53a3a1bb09UL;
   tf->codes[34739] = 0x0004f50248ac29c8UL;
   tf->codes[34740] = 0x0004f8f51b7cc157UL;
   tf->codes[34741] = 0x00052cca2380184fUL;
   tf->codes[34742] = 0x00052f0f9bab6275UL;
   tf->codes[34743] = 0x0005474f492cffffUL;
   tf->codes[34744] = 0x000557673597eb06UL;
   tf->codes[34745] = 0x0005649b24aced9eUL;
   tf->codes[34746] = 0x00056683be051156UL;
   tf->codes[34747] = 0x0005700ad93e61d9UL;
   tf->codes[34748] = 0x00057c1b5c90ae0fUL;
   tf->codes[34749] = 0x00058066f0260432UL;
   tf->codes[34750] = 0x000582bbbbbfd0e7UL;
   tf->codes[34751] = 0x000598b20d96c236UL;
   tf->codes[34752] = 0x0005a194768fd8a9UL;
   tf->codes[34753] = 0x0005a298c6577e63UL;
   tf->codes[34754] = 0x0005a673947eb825UL;
   tf->codes[34755] = 0x0005a91ed74709bcUL;
   tf->codes[34756] = 0x0005adc4c58a46d6UL;
   tf->codes[34757] = 0x0005bd3d428e7c80UL;
   tf->codes[34758] = 0x0005c15c3b326d94UL;
   tf->codes[34759] = 0x0005d0d2341163c7UL;
   tf->codes[34760] = 0x0005e7adf443efedUL;
   tf->codes[34761] = 0x0005ee3c41504afaUL;
   tf->codes[34762] = 0x0005f51bc2b1a636UL;
   tf->codes[34763] = 0x00060dba5e0d9e1bUL;
   tf->codes[34764] = 0x00062f3cfc4bd4d6UL;
   tf->codes[34765] = 0x00063c41cc4a32e8UL;
   tf->codes[34766] = 0x00065a990ee3791cUL;
   tf->codes[34767] = 0x00066cbcceb0005dUL;
   tf->codes[34768] = 0x000693e935db0e62UL;
   tf->codes[34769] = 0x0006ad4cc43d6dd8UL;
   tf->codes[34770] = 0x0006b3b6b275338aUL;
   tf->codes[34771] = 0x0006bd826d4946e9UL;
   tf->codes[34772] = 0x0006c1b009aea93dUL;
   tf->codes[34773] = 0x0006c990e1945f32UL;
   tf->codes[34774] = 0x0006c9da8979a0fcUL;
   tf->codes[34775] = 0x0006cb0d48aad9edUL;
   tf->codes[34776] = 0x0006d53fb8580bd1UL;
   tf->codes[34777] = 0x0006d588eb1f4211UL;
   tf->codes[34778] = 0x0006d66a00dd6f49UL;
   tf->codes[34779] = 0x0006e8779078c6e5UL;
   tf->codes[34780] = 0x0006f2f541f462f6UL;
   tf->codes[34781] = 0x0006f3fc8aff53b1UL;
   tf->codes[34782] = 0x0006f6bb79d39576UL;
   tf->codes[34783] = 0x0006fc89a195021bUL;
   tf->codes[34784] = 0x000715c05a76f6bdUL;
   tf->codes[34785] = 0x00071fe5109ece75UL;
   tf->codes[34786] = 0x000720752c970143UL;
   tf->codes[34787] = 0x000735f32c9017ccUL;
   tf->codes[34788] = 0x000739c2c55736d9UL;
   tf->codes[34789] = 0x00073a1c35c906bcUL;
   tf->codes[34790] = 0x00073a3649799876UL;
   tf->codes[34791] = 0x000751afa49aabd1UL;
   tf->codes[34792] = 0x000764f570cfc6d6UL;
   tf->codes[34793] = 0x000768c41f5acecfUL;
   tf->codes[34794] = 0x00077c614cfa85caUL;
   tf->codes[34795] = 0x00078d43a9d462daUL;
   tf->codes[34796] = 0x000795f13bbf448aUL;
   tf->codes[34797] = 0x0007acedb1d609bbUL;
   tf->codes[34798] = 0x0007b86feda8514bUL;
   tf->codes[34799] = 0x0007bb3babc5d628UL;
   tf->codes[34800] = 0x0007be0cacbcdfb8UL;
   tf->codes[34801] = 0x0007c691c1c4c433UL;
   tf->codes[34802] = 0x0007d5abc60cab0cUL;
   tf->codes[34803] = 0x0007dd9d8b4a0bf3UL;
   tf->codes[34804] = 0x0007decc2c6cdd0aUL;
   tf->codes[34805] = 0x0007deeeb6c9443dUL;
   tf->codes[34806] = 0x0007eee53da2e4eaUL;
   tf->codes[34807] = 0x0007f7ac33914705UL;
   tf->codes[34808] = 0x0007f964fe25b4e8UL;
   tf->codes[34809] = 0x0007ff5f112b754dUL;
   tf->codes[34810] = 0x0008165e0b6779f5UL;
   tf->codes[34811] = 0x00081a606c3599d8UL;
   tf->codes[34812] = 0x00081e8a5faa9fdcUL;
   tf->codes[34813] = 0x00082ad53773ab4dUL;
   tf->codes[34814] = 0x00083687b727b43cUL;
   tf->codes[34815] = 0x000858180eeb4523UL;
   tf->codes[34816] = 0x00085c73307e239aUL;
   tf->codes[34817] = 0x00086d4eeb245959UL;
   tf->codes[34818] = 0x00088112869fd99cUL;
   tf->codes[34819] = 0x00089ee766c6472eUL;
   tf->codes[34820] = 0x0008a0802b238d55UL;
   tf->codes[34821] = 0x0008acf937c72638UL;
   tf->codes[34822] = 0x0008c5f5d6c16164UL;
   tf->codes[34823] = 0x0008c9d7471c4277UL;
   tf->codes[34824] = 0x0008cd114682a43eUL;
   tf->codes[34825] = 0x0008ce97f8bd229aUL;
   tf->codes[34826] = 0x0008d2fe4fb01bc6UL;
   tf->codes[34827] = 0x0008d33e5c1e6b3eUL;
   tf->codes[34828] = 0x0008d9dcac465a29UL;
   tf->codes[34829] = 0x0008e4834fc2fef9UL;
   tf->codes[34830] = 0x0008f396774838bcUL;
   tf->codes[34831] = 0x0008fa2e253c8056UL;
   tf->codes[34832] = 0x00090dea34484234UL;
   tf->codes[34833] = 0x0009198e8558e56dUL;
   tf->codes[34834] = 0x00092205e0db6fbcUL;
   tf->codes[34835] = 0x000923632bf6d9cfUL;
   tf->codes[34836] = 0x000928236879ae68UL;
   tf->codes[34837] = 0x00092a86d7d4ec5dUL;
   tf->codes[34838] = 0x00097ad3af724c99UL;
   tf->codes[34839] = 0x00098a4a57fe541bUL;
   tf->codes[34840] = 0x00099477f9f00cd6UL;
   tf->codes[34841] = 0x0009acb8571ebbafUL;
   tf->codes[34842] = 0x0009b668d977207bUL;
   tf->codes[34843] = 0x0009bf1a4ee16440UL;
   tf->codes[34844] = 0x0009ca865a827c2bUL;
   tf->codes[34845] = 0x0009d4b979dcbf5eUL;
   tf->codes[34846] = 0x0009d8da8187e45fUL;
   tf->codes[34847] = 0x0009eeb9b8f18ef5UL;
   tf->codes[34848] = 0x000a15c270f518eeUL;
   tf->codes[34849] = 0x000a1a272dfee9b7UL;
   tf->codes[34850] = 0x000a2cb0f2f77e2eUL;
   tf->codes[34851] = 0x000a54e0fa3d209eUL;
   tf->codes[34852] = 0x000a588d9389cceeUL;
   tf->codes[34853] = 0x000a5ee868e215d6UL;
   tf->codes[34854] = 0x000a67532faa62d2UL;
   tf->codes[34855] = 0x000a6ef435b0cf14UL;
   tf->codes[34856] = 0x000a71a9c39d244cUL;
   tf->codes[34857] = 0x000a77f62fc301b9UL;
   tf->codes[34858] = 0x000a8395036b1a7aUL;
   tf->codes[34859] = 0x000a93fe242b05b0UL;
   tf->codes[34860] = 0x000abddcaae11262UL;
   tf->codes[34861] = 0x000ac10373598f85UL;
   tf->codes[34862] = 0x000aca89a456c8f4UL;
   tf->codes[34863] = 0x000acc2e885040e4UL;
   tf->codes[34864] = 0x000ad5922ef11320UL;
   tf->codes[34865] = 0x000ad5eed33533c9UL;
   tf->codes[34866] = 0x000ae0468bf3121cUL;
   tf->codes[34867] = 0x000afc6bc7ddf893UL;
   tf->codes[34868] = 0x000b2c29291e1717UL;
   tf->codes[34869] = 0x000b3590edcd512dUL;
   tf->codes[34870] = 0x000b5cea9f96d590UL;
   tf->codes[34871] = 0x000b6fb470fdb97fUL;
   tf->codes[34872] = 0x000b77e6081a6419UL;
   tf->codes[34873] = 0x000b7b33b38cb60eUL;
   tf->codes[34874] = 0x000b8275569abc6bUL;
   tf->codes[34875] = 0x000b8b453852ff89UL;
   tf->codes[34876] = 0x000b8c9ccb76d95fUL;
   tf->codes[34877] = 0x000b8d0ca6a8deacUL;
   tf->codes[34878] = 0x000b8f738465732cUL;
   tf->codes[34879] = 0x000b928edceecfd5UL;
   tf->codes[34880] = 0x000ba9fba355a5ddUL;
   tf->codes[34881] = 0x000bbe637bf354a6UL;
   tf->codes[34882] = 0x000bc97b948b2726UL;
   tf->codes[34883] = 0x000bca74e981b7f0UL;
   tf->codes[34884] = 0x000bf70ca714762aUL;
   tf->codes[34885] = 0x000bf9bc427a3560UL;
   tf->codes[34886] = 0x000c240fe73bcc12UL;
   tf->codes[34887] = 0x000c2901c6fa84a8UL;
   tf->codes[34888] = 0x000c2aa7953013acUL;
   tf->codes[34889] = 0x000c4544bf865929UL;
   tf->codes[34890] = 0x000c461472cecfe5UL;
   tf->codes[34891] = 0x000c56bc0613e230UL;
   tf->codes[34892] = 0x000c5fb00c11b4e4UL;
   tf->codes[34893] = 0x000c6675b451842bUL;
   tf->codes[34894] = 0x000c7b2fab804a37UL;
   tf->codes[34895] = 0x000c8285e4d657d6UL;
   tf->codes[34896] = 0x000c842b3deddb50UL;
   tf->codes[34897] = 0x000c97f1d2aca694UL;
   tf->codes[34898] = 0x000c9990c41f8882UL;
   tf->codes[34899] = 0x000c9e0250729c63UL;
   tf->codes[34900] = 0x000ca35cb982a1a6UL;
   tf->codes[34901] = 0x000cadd17f345cb4UL;
   tf->codes[34902] = 0x000cce6dc4dae184UL;
   tf->codes[34903] = 0x000cd45884721f5aUL;
   tf->codes[34904] = 0x000cdf3d5fe4e57aUL;
   tf->codes[34905] = 0x000ce14f605c1d7bUL;
   tf->codes[34906] = 0x000d139af770b0dbUL;
   tf->codes[34907] = 0x000d164bf23092afUL;
   tf->codes[34908] = 0x000d32be4462117bUL;
   tf->codes[34909] = 0x000d3fa2d39a420cUL;
   tf->codes[34910] = 0x000d4b87a6374047UL;
   tf->codes[34911] = 0x000d50eb702f3217UL;
   tf->codes[34912] = 0x000d514fdb7216eaUL;
   tf->codes[34913] = 0x000d5867dcd20339UL;
   tf->codes[34914] = 0x000d7b6dbee961c5UL;
   tf->codes[34915] = 0x000d7f4593cd5086UL;
   tf->codes[34916] = 0x000d84c9296d644dUL;
   tf->codes[34917] = 0x000d8770c3455994UL;
   tf->codes[34918] = 0x000d8debd963cffdUL;
   tf->codes[34919] = 0x000d8e68f8fd23ecUL;
   tf->codes[34920] = 0x000d93593ed2b41fUL;
   tf->codes[34921] = 0x000d9361f00d8f5dUL;
   tf->codes[34922] = 0x000da6ef8fafbe04UL;
   tf->codes[34923] = 0x000da93ea351fa7cUL;
   tf->codes[34924] = 0x000daa32b56f0693UL;
   tf->codes[34925] = 0x000db98b66cb1a46UL;
   tf->codes[34926] = 0x000dba6cb7184d43UL;
   tf->codes[34927] = 0x000dc545385fdbd5UL;
   tf->codes[34928] = 0x000dd2fa9fab9ffbUL;
   tf->codes[34929] = 0x000dda86252dede7UL;
   tf->codes[34930] = 0x000de18c4efa1830UL;
   tf->codes[34931] = 0x000dedabeb2be130UL;
   tf->codes[34932] = 0x000df06313015ecbUL;
   tf->codes[34933] = 0x000df4f604e5bd06UL;
   tf->codes[34934] = 0x000df71424f926d0UL;
   tf->codes[34935] = 0x000e040e34b575b7UL;
   tf->codes[34936] = 0x000e119ec80e98f8UL;
   tf->codes[34937] = 0x000e218461908eb3UL;
   tf->codes[34938] = 0x000e24856bda53ddUL;
   tf->codes[34939] = 0x000e2ab95e38c7f3UL;
   tf->codes[34940] = 0x000e309db62b643dUL;
   tf->codes[34941] = 0x000e398a2fb9788cUL;
   tf->codes[34942] = 0x000e3fc489bc8e2eUL;
   tf->codes[34943] = 0x000e47c10f3bfe40UL;
   tf->codes[34944] = 0x000e514cbda1c227UL;
   tf->codes[34945] = 0x000e550c8ddc531bUL;
   tf->codes[34946] = 0x000e5793ac5f151cUL;
   tf->codes[34947] = 0x000e5c58f12c68a3UL;
   tf->codes[34948] = 0x000e606adff810daUL;
   tf->codes[34949] = 0x000e64047ce5de4bUL;
   tf->codes[34950] = 0x000e645a7ef657a3UL;
   tf->codes[34951] = 0x000e657a41c8b1b5UL;
   tf->codes[34952] = 0x000e6d8ff0bc9c6dUL;
   tf->codes[34953] = 0x000e6df9644a002eUL;
   tf->codes[34954] = 0x000e845be8629a7aUL;
   tf->codes[34955] = 0x000e8f76bfaeb236UL;
   tf->codes[34956] = 0x000e9610078c2233UL;
   tf->codes[34957] = 0x000e9995bddef9b1UL;
   tf->codes[34958] = 0x000e9e83f4ad55f7UL;
   tf->codes[34959] = 0x000e9ed4795544d7UL;
   tf->codes[34960] = 0x000ea466b2b6c9deUL;
   tf->codes[34961] = 0x000ea47a9951bfd1UL;
   tf->codes[34962] = 0x000eb0b1ff9de0d9UL;
   tf->codes[34963] = 0x000eb0ff15e4792eUL;
   tf->codes[34964] = 0x000eceb932ad43b7UL;
   tf->codes[34965] = 0x000ed2914220383dUL;
   tf->codes[34966] = 0x000ed73fe19e5095UL;
   tf->codes[34967] = 0x000eee4926fe58deUL;
   tf->codes[34968] = 0x000eee837b751819UL;
   tf->codes[34969] = 0x000efd059cc607faUL;
   tf->codes[34970] = 0x000f0b8a423c3752UL;
   tf->codes[34971] = 0x000f10762f7459e6UL;
   tf->codes[34972] = 0x000f16efe638adb1UL;
   tf->codes[34973] = 0x000f1cd353ef32e7UL;
   tf->codes[34974] = 0x000f1e0fae975e2aUL;
   tf->codes[34975] = 0x000f2205058d3530UL;
   tf->codes[34976] = 0x000f249793ff17abUL;
   tf->codes[34977] = 0x000f262fa8af4c83UL;
   tf->codes[34978] = 0x000f29cb8f3353a6UL;
   tf->codes[34979] = 0x000f2d8915d7aae8UL;
   tf->codes[34980] = 0x000f385ba498a378UL;
   tf->codes[34981] = 0x000f39bf91e7b4dcUL;
   tf->codes[34982] = 0x000f39daca63636fUL;
   tf->codes[34983] = 0x000f46cd1320ee2cUL;
   tf->codes[34984] = 0x000f79457fb5ec60UL;
   tf->codes[34985] = 0x000f8af162c2a465UL;
   tf->codes[34986] = 0x000f8d457eaf5fcbUL;
   tf->codes[34987] = 0x000fa1c4e6d860d7UL;
   tf->codes[34988] = 0x000fa371cc5fa2b6UL;
   tf->codes[34989] = 0x000fd477a7e41e46UL;
   tf->codes[34990] = 0x000fd4d5ab82618dUL;
   tf->codes[34991] = 0x000fd7fef8201e27UL;
   tf->codes[34992] = 0x000fdf3ae3369447UL;
   tf->codes[34993] = 0x000ff1dc37ba7b01UL;
   tf->codes[34994] = 0x000ff63ee5bd17ddUL;
   tf->codes[34995] = 0x000ff65d8c9a1cfbUL;
   tf->codes[34996] = 0x000ff9ba8b7af17fUL;
   tf->codes[34997] = 0x000ffb9187ce58f6UL;
   tf->codes[34998] = 0x00001cade6517cb6UL;
   tf->codes[34999] = 0x0000271c09cf9073UL;
   tf->codes[35000] = 0x0000348be7447aa9UL;
   tf->codes[35001] = 0x00003d4090810f34UL;
   tf->codes[35002] = 0x0000431101d8b58bUL;
   tf->codes[35003] = 0x00005873c9561d81UL;
   tf->codes[35004] = 0x00005a592edbf073UL;
   tf->codes[35005] = 0x00006787db176e58UL;
   tf->codes[35006] = 0x0000780f2d965322UL;
   tf->codes[35007] = 0x0000787b5fd7fc1fUL;
   tf->codes[35008] = 0x00008203654d63b6UL;
   tf->codes[35009] = 0x00008354cb5ba1c5UL;
   tf->codes[35010] = 0x00008d16b029bd0dUL;
   tf->codes[35011] = 0x000099affd938371UL;
   tf->codes[35012] = 0x00009cb734f2e462UL;
   tf->codes[35013] = 0x00009e733359a30bUL;
   tf->codes[35014] = 0x0000a28dd3602680UL;
   tf->codes[35015] = 0x0000a5591c5f9fd3UL;
   tf->codes[35016] = 0x0000b6015f51c36dUL;
   tf->codes[35017] = 0x0000c2d7bfe68e48UL;
   tf->codes[35018] = 0x0000d1bd27af4623UL;
   tf->codes[35019] = 0x0000d4047452be71UL;
   tf->codes[35020] = 0x0000eae0a9a35621UL;
   tf->codes[35021] = 0x0000ebf5e6c2a6cdUL;
   tf->codes[35022] = 0x0000f1859bfeec5dUL;
   tf->codes[35023] = 0x0000f31ab76bd634UL;
   tf->codes[35024] = 0x0000f61903015622UL;
   tf->codes[35025] = 0x0000fc0e82daa323UL;
   tf->codes[35026] = 0x0000fd918c24c52fUL;
   tf->codes[35027] = 0x00010b44a9da4fa3UL;
   tf->codes[35028] = 0x00011a05783f6c5eUL;
   tf->codes[35029] = 0x00011efa51416ff5UL;
   tf->codes[35030] = 0x0001220706095b5eUL;
   tf->codes[35031] = 0x0001225ccd8acef1UL;
   tf->codes[35032] = 0x000125046762c438UL;
   tf->codes[35033] = 0x000135f05fb3939aUL;
   tf->codes[35034] = 0x00014c030ed15055UL;
   tf->codes[35035] = 0x00015265360a51ddUL;
   tf->codes[35036] = 0x00015a3dd1d3381eUL;
   tf->codes[35037] = 0x000160552c5bdb03UL;
   tf->codes[35038] = 0x0001608953bcfe77UL;
   tf->codes[35039] = 0x0001644505e92791UL;
   tf->codes[35040] = 0x00016e605b2912bcUL;
   tf->codes[35041] = 0x0001778d5643820dUL;
   tf->codes[35042] = 0x0001797ba7933602UL;
   tf->codes[35043] = 0x000190fc1a05fc38UL;
   tf->codes[35044] = 0x00019849dcb0345eUL;
   tf->codes[35045] = 0x000198d948fb55ddUL;
   tf->codes[35046] = 0x00019db4bdf9d909UL;
   tf->codes[35047] = 0x0001a44763a3a1b5UL;
   tf->codes[35048] = 0x0001b18cefbd608eUL;
   tf->codes[35049] = 0x0001cc65cde487e4UL;
   tf->codes[35050] = 0x0001ede413855100UL;
   tf->codes[35051] = 0x00020338374147b6UL;
   tf->codes[35052] = 0x000212615468ab59UL;
   tf->codes[35053] = 0x00021e45b1e79e0aUL;
   tf->codes[35054] = 0x000228c5e7887992UL;
   tf->codes[35055] = 0x0002317254a83e69UL;
   tf->codes[35056] = 0x000233477c8377b8UL;
   tf->codes[35057] = 0x0002450cfe22b5edUL;
   tf->codes[35058] = 0x00024836fa6d83d6UL;
   tf->codes[35059] = 0x00025386a8c7d055UL;
   tf->codes[35060] = 0x00025960f0256ec3UL;
   tf->codes[35061] = 0x000260407186c9ffUL;
   tf->codes[35062] = 0x00026552920bb016UL;
   tf->codes[35063] = 0x0002693561c0b3c7UL;
   tf->codes[35064] = 0x000278f74c1b2576UL;
   tf->codes[35065] = 0x00027b98b8dd7ef6UL;
   tf->codes[35066] = 0x00027be8c867624cUL;
   tf->codes[35067] = 0x000282e0fe1f2ca4UL;
   tf->codes[35068] = 0x0002916aabdfdaeaUL;
   tf->codes[35069] = 0x000294c1b83a196cUL;
   tf->codes[35070] = 0x0002a36abc84de1fUL;
   tf->codes[35071] = 0x0002bb7ef3e03373UL;
   tf->codes[35072] = 0x0002dc092763f078UL;
   tf->codes[35073] = 0x0002e2c77dc3071fUL;
   tf->codes[35074] = 0x0002fb65de8ff93fUL;
   tf->codes[35075] = 0x0002fd9058ce9a97UL;
   tf->codes[35076] = 0x000302c035f46eb8UL;
   tf->codes[35077] = 0x00030a9319c5c4bcUL;
   tf->codes[35078] = 0x00030cdaa0f842cfUL;
   tf->codes[35079] = 0x00031016af65d883UL;
   tf->codes[35080] = 0x00032042826bb97dUL;
   tf->codes[35081] = 0x000323b5ec0cc36bUL;
   tf->codes[35082] = 0x00034683fdd2a233UL;
   tf->codes[35083] = 0x0003477bf36f105fUL;
   tf->codes[35084] = 0x0003491c09ad0f26UL;
   tf->codes[35085] = 0x0003496c53c5f841UL;
   tf->codes[35086] = 0x000357e638fa186eUL;
   tf->codes[35087] = 0x0003616e78fe85caUL;
   tf->codes[35088] = 0x00037196a3140a74UL;
   tf->codes[35089] = 0x000385b2ff54494bUL;
   tf->codes[35090] = 0x000385b633269a11UL;
   tf->codes[35091] = 0x00038dfc608b4bedUL;
   tf->codes[35092] = 0x0003925bdabb9803UL;
   tf->codes[35093] = 0x000398620d5d8a31UL;
   tf->codes[35094] = 0x00039c08eeb2a644UL;
   tf->codes[35095] = 0x0003a05113e6a5dcUL;
   tf->codes[35096] = 0x0003a5fa67b5719cUL;
   tf->codes[35097] = 0x0003b7036cfa1db9UL;
   tf->codes[35098] = 0x0003ba6539966b66UL;
   tf->codes[35099] = 0x0003c2dc5a89eff0UL;
   tf->codes[35100] = 0x0003e4dd029d91aeUL;
   tf->codes[35101] = 0x0003ed18e4de3fe9UL;
   tf->codes[35102] = 0x0003f10a1dc5af15UL;
   tf->codes[35103] = 0x0003f7d2f9d7cf22UL;
   tf->codes[35104] = 0x00040a8db25f3647UL;
   tf->codes[35105] = 0x000471e9fc723a93UL;
   tf->codes[35106] = 0x0004951736a1797bUL;
   tf->codes[35107] = 0x0004b3c61534616aUL;
   tf->codes[35108] = 0x0004caf0c025b40dUL;
   tf->codes[35109] = 0x0004d76fbf4fe2f2UL;
   tf->codes[35110] = 0x0004d9e9d3fa5c16UL;
   tf->codes[35111] = 0x0004db5e741212a7UL;
   tf->codes[35112] = 0x0004ef2fc912ed16UL;
   tf->codes[35113] = 0x0004f947ea80877bUL;
   tf->codes[35114] = 0x0004fa64ee9e9c51UL;
   tf->codes[35115] = 0x000553bb4cbded97UL;
   tf->codes[35116] = 0x0005601a803ffa85UL;
   tf->codes[35117] = 0x0005628fc72efa80UL;
   tf->codes[35118] = 0x0005633095efd27bUL;
   tf->codes[35119] = 0x00056f291498c0e4UL;
   tf->codes[35120] = 0x000575c5cad7876cUL;
   tf->codes[35121] = 0x00057616c49d81d6UL;
   tf->codes[35122] = 0x00057a92d6a39f1dUL;
   tf->codes[35123] = 0x0005a608c25ccf58UL;
   tf->codes[35124] = 0x0005b4823272e3fbUL;
   tf->codes[35125] = 0x0005d40089bf3ce1UL;
   tf->codes[35126] = 0x0005d7e5a30a7a44UL;
   tf->codes[35127] = 0x0005d891320d616aUL;
   tf->codes[35128] = 0x0005de5dbfe5a5acUL;
   tf->codes[35129] = 0x0005f31866c17d07UL;
   tf->codes[35130] = 0x0005f9771f992804UL;
   tf->codes[35131] = 0x0006220f75a1115cUL;
   tf->codes[35132] = 0x0006391bb44464a6UL;
   tf->codes[35133] = 0x00063fb65b7bf741UL;
   tf->codes[35134] = 0x000657102583ee6aUL;
   tf->codes[35135] = 0x000658a8af522eccUL;
   tf->codes[35136] = 0x0006641988aebfe0UL;
   tf->codes[35137] = 0x0006644a41ae8cc9UL;
   tf->codes[35138] = 0x00066f3dfb71c9eeUL;
   tf->codes[35139] = 0x00067e44191ebad4UL;
   tf->codes[35140] = 0x00067ff51cb4648dUL;
   tf->codes[35141] = 0x000684bb112ec963UL;
   tf->codes[35142] = 0x00068fbe58ef8edcUL;
   tf->codes[35143] = 0x00069f6fcb106123UL;
   tf->codes[35144] = 0x0006a4e35d94e10cUL;
   tf->codes[35145] = 0x0006a9b4c1fe665cUL;
   tf->codes[35146] = 0x0006b6998bc59cb2UL;
   tf->codes[35147] = 0x0006bbe79aaa6a67UL;
   tf->codes[35148] = 0x0006be2b78ec8c2aUL;
   tf->codes[35149] = 0x0006cdb1af761c00UL;
   tf->codes[35150] = 0x0006d37d8da14ef3UL;
   tf->codes[35151] = 0x0006d9f0dcc10132UL;
   tf->codes[35152] = 0x0006e0195f3054ceUL;
   tf->codes[35153] = 0x0006e3ba888de0a4UL;
   tf->codes[35154] = 0x0006e5890e3572a2UL;
   tf->codes[35155] = 0x0006f6b79719d0f3UL;
   tf->codes[35156] = 0x0007053908bdaf85UL;
   tf->codes[35157] = 0x000715680f95e145UL;
   tf->codes[35158] = 0x00071d7d83fac638UL;
   tf->codes[35159] = 0x00071da516a1ac59UL;
   tf->codes[35160] = 0x0007208b981cd43fUL;
   tf->codes[35161] = 0x0007318bec26a51eUL;
   tf->codes[35162] = 0x0007383dadcb7e72UL;
   tf->codes[35163] = 0x00073a9538199063UL;
   tf->codes[35164] = 0x00073eb30bf2649eUL;
   tf->codes[35165] = 0x000746c0443a79ddUL;
   tf->codes[35166] = 0x0007564222269c14UL;
   tf->codes[35167] = 0x00075f5cd08f3dd5UL;
   tf->codes[35168] = 0x0007676ba2c07b77UL;
   tf->codes[35169] = 0x00076bfc107f9a3bUL;
   tf->codes[35170] = 0x00077b3321bb5dcfUL;
   tf->codes[35171] = 0x00079c8d08879190UL;
   tf->codes[35172] = 0x00079fd8a4f2af98UL;
   tf->codes[35173] = 0x0007d38988b076faUL;
   tf->codes[35174] = 0x0007deeeb78ee1cfUL;
   tf->codes[35175] = 0x0007e2d3d0da1f32UL;
   tf->codes[35176] = 0x0007e2e4f8c0cfe9UL;
   tf->codes[35177] = 0x0007f27714578bc3UL;
   tf->codes[35178] = 0x0007f96d00791c69UL;
   tf->codes[35179] = 0x0007fa2ebfad3334UL;
   tf->codes[35180] = 0x0007ffcfd75f2f40UL;
   tf->codes[35181] = 0x0008038855b90794UL;
   tf->codes[35182] = 0x00082acc4c6f67dcUL;
   tf->codes[35183] = 0x00082d56643574deUL;
   tf->codes[35184] = 0x000874905468f783UL;
   tf->codes[35185] = 0x000878e9a183a7d2UL;
   tf->codes[35186] = 0x0008797ae246f779UL;
   tf->codes[35187] = 0x00087bca6b073f7bUL;
   tf->codes[35188] = 0x00087d14b9c3caafUL;
   tf->codes[35189] = 0x00088e94ec1b34b9UL;
   tf->codes[35190] = 0x00088e9fac5d43e4UL;
   tf->codes[35191] = 0x00089e6a82819696UL;
   tf->codes[35192] = 0x0008a53cbf7ba330UL;
   tf->codes[35193] = 0x0008cf77ea75d08bUL;
   tf->codes[35194] = 0x0008de062b62f235UL;
   tf->codes[35195] = 0x0008e6937c87a664UL;
   tf->codes[35196] = 0x0008e8d969d0fc14UL;
   tf->codes[35197] = 0x0008f6eac5b3cf94UL;
   tf->codes[35198] = 0x00090df9135e56cbUL;
   tf->codes[35199] = 0x000921c22c426186UL;
   tf->codes[35200] = 0x000923026a69eedeUL;
   tf->codes[35201] = 0x00092ff6fcbdb34dUL;
   tf->codes[35202] = 0x0009364c1a1e6bf8UL;
   tf->codes[35203] = 0x00093e5f44ed1739UL;
   tf->codes[35204] = 0x00093ff8b8f76eafUL;
   tf->codes[35205] = 0x0009491d77f50e4cUL;
   tf->codes[35206] = 0x000969d9c3d2bad8UL;
   tf->codes[35207] = 0x00096ab730a08bc0UL;
   tf->codes[35208] = 0x00098a681564dfb7UL;
   tf->codes[35209] = 0x0009b90be0e83ff0UL;
   tf->codes[35210] = 0x0009d4a6b8d283d6UL;
   tf->codes[35211] = 0x0009ed9145a9f737UL;
   tf->codes[35212] = 0x0009edbc814139a8UL;
   tf->codes[35213] = 0x0009f52df312f5daUL;
   tf->codes[35214] = 0x0009fe5c88168d8eUL;
   tf->codes[35215] = 0x000a03cd2157c276UL;
   tf->codes[35216] = 0x000a2606be8800d1UL;
   tf->codes[35217] = 0x000a31157637e6c4UL;
   tf->codes[35218] = 0x000a3a3f02f0ff8aUL;
   tf->codes[35219] = 0x000a44f23b27e1adUL;
   tf->codes[35220] = 0x000a61348406a4dfUL;
   tf->codes[35221] = 0x000a896a7dd2dd51UL;
   tf->codes[35222] = 0x000aaca98f95de3fUL;
   tf->codes[35223] = 0x000ad1912e42b36dUL;
   tf->codes[35224] = 0x000ad47ec70f8e2eUL;
   tf->codes[35225] = 0x000ada44030719d0UL;
   tf->codes[35226] = 0x000ae4d2674b5b0eUL;
   tf->codes[35227] = 0x000afb6b96ea5845UL;
   tf->codes[35228] = 0x000b02e2c0b3a4b4UL;
   tf->codes[35229] = 0x000b1f6b08874d60UL;
   tf->codes[35230] = 0x000b294e1857ad3dUL;
   tf->codes[35231] = 0x000b415003013501UL;
   tf->codes[35232] = 0x000b4342acee5695UL;
   tf->codes[35233] = 0x000b51848741f139UL;
   tf->codes[35234] = 0x000b6a0565fcfb14UL;
   tf->codes[35235] = 0x000b7fe28e5f71bdUL;
   tf->codes[35236] = 0x000b805ae03d4c83UL;
   tf->codes[35237] = 0x000b87acfb84f248UL;
   tf->codes[35238] = 0x000b9265ebb364a8UL;
   tf->codes[35239] = 0x000ba9f710eed00bUL;
   tf->codes[35240] = 0x000baba6057d45d7UL;
   tf->codes[35241] = 0x000bbbf462df8e04UL;
   tf->codes[35242] = 0x000bc15e1f5e15d6UL;
   tf->codes[35243] = 0x000bd25e7367e6b5UL;
   tf->codes[35244] = 0x000bf138c82116daUL;
   tf->codes[35245] = 0x000bf61477ae9fcbUL;
   tf->codes[35246] = 0x000bf92eab6cdf9bUL;
   tf->codes[35247] = 0x000c17a19b9fdfecUL;
   tf->codes[35248] = 0x000c220698c50ce1UL;
   tf->codes[35249] = 0x000c33c7c1c6dd77UL;
   tf->codes[35250] = 0x000c36d9f3f75358UL;
   tf->codes[35251] = 0x000c3939f4f13ac2UL;
   tf->codes[35252] = 0x000c448d4c3be391UL;
   tf->codes[35253] = 0x000c476ae1ed2a74UL;
   tf->codes[35254] = 0x000c47de2b80864cUL;
   tf->codes[35255] = 0x000c5581f5c78e31UL;
   tf->codes[35256] = 0x000c5cad68a464e9UL;
   tf->codes[35257] = 0x000c65eb16877967UL;
   tf->codes[35258] = 0x000c6ed2fce91a52UL;
   tf->codes[35259] = 0x000c735ed77bc5b2UL;
   tf->codes[35260] = 0x000c8d75bbdfd078UL;
   tf->codes[35261] = 0x000c93499b98cd5aUL;
   tf->codes[35262] = 0x000c9802111cddc9UL;
   tf->codes[35263] = 0x000ca11d6f3290d9UL;
   tf->codes[35264] = 0x000ca6bb53123c1fUL;
   tf->codes[35265] = 0x000cabd50006e09bUL;
   tf->codes[35266] = 0x000cad3b717b3176UL;
   tf->codes[35267] = 0x000cb32ac43ee2b0UL;
   tf->codes[35268] = 0x000cb49d554f6554UL;
   tf->codes[35269] = 0x000cd0ff2f4744b8UL;
   tf->codes[35270] = 0x000cd1f37bf35694UL;
   tf->codes[35271] = 0x000cda688ddfa731UL;
   tf->codes[35272] = 0x000d0665a9c72937UL;
   tf->codes[35273] = 0x000d0dcbaba9c4efUL;
   tf->codes[35274] = 0x000d10c9f73f44ddUL;
   tf->codes[35275] = 0x000d1d6a9689c3e1UL;
   tf->codes[35276] = 0x000d21013a344651UL;
   tf->codes[35277] = 0x000d3ac3b6710022UL;
   tf->codes[35278] = 0x000d4c7f277b407bUL;
   tf->codes[35279] = 0x000d5797efc0244aUL;
   tf->codes[35280] = 0x000d5f01d5222217UL;
   tf->codes[35281] = 0x000d783051e74705UL;
   tf->codes[35282] = 0x000d931b7cc03bebUL;
   tf->codes[35283] = 0x000d937ec33803e5UL;
   tf->codes[35284] = 0x000da24e355e91e0UL;
   tf->codes[35285] = 0x000db1866b65724dUL;
   tf->codes[35286] = 0x000dc2d9c83c7183UL;
   tf->codes[35287] = 0x000dd76f9b25a7f9UL;
   tf->codes[35288] = 0x000dda8decf24fa3UL;
   tf->codes[35289] = 0x000debc6114da046UL;
   tf->codes[35290] = 0x000ded62f3b94e47UL;
   tf->codes[35291] = 0x000df71cd6f99fa0UL;
   tf->codes[35292] = 0x000e14578a92dc88UL;
   tf->codes[35293] = 0x000e2bc993d33743UL;
   tf->codes[35294] = 0x000e2bf3aa9f5cdbUL;
   tf->codes[35295] = 0x000e42002ca77dcfUL;
   tf->codes[35296] = 0x000e546433715a4dUL;
   tf->codes[35297] = 0x000e5560f6c941a2UL;
   tf->codes[35298] = 0x000e623791ed1242UL;
   tf->codes[35299] = 0x000e685ca5fb0f53UL;
   tf->codes[35300] = 0x000e71645804d235UL;
   tf->codes[35301] = 0x000e71be3d94ada2UL;
   tf->codes[35302] = 0x000e7594788f7400UL;
   tf->codes[35303] = 0x000e839178b94603UL;
   tf->codes[35304] = 0x000e84ecef5c81eeUL;
   tf->codes[35305] = 0x000e858631ad9b84UL;
   tf->codes[35306] = 0x000e862da2a21ad0UL;
   tf->codes[35307] = 0x000e870e7dd14243UL;
   tf->codes[35308] = 0x000e9061371a698dUL;
   tf->codes[35309] = 0x000ea4c2e2a27c8fUL;
   tf->codes[35310] = 0x000eb804cb58357fUL;
   tf->codes[35311] = 0x000ebc1e0c049656UL;
   tf->codes[35312] = 0x000ebe8aa1b8bb13UL;
   tf->codes[35313] = 0x000ede643def1204UL;
   tf->codes[35314] = 0x000ef59b7d9aa1faUL;
   tf->codes[35315] = 0x000ef640a4f8e794UL;
   tf->codes[35316] = 0x000efa5d8e95a4bbUL;
   tf->codes[35317] = 0x000efadbd2fa1583UL;
   tf->codes[35318] = 0x000f027427c5a687UL;
   tf->codes[35319] = 0x000f0467f67de4f4UL;
   tf->codes[35320] = 0x000f2573a2386387UL;
   tf->codes[35321] = 0x000f32769dbe9371UL;
   tf->codes[35322] = 0x000f34d41a933b64UL;
   tf->codes[35323] = 0x000f3eccaae7b997UL;
   tf->codes[35324] = 0x000f49c40d9b530cUL;
   tf->codes[35325] = 0x000f536d0383f973UL;
   tf->codes[35326] = 0x000f5d6b865f0da8UL;
   tf->codes[35327] = 0x000f5f102fc97fd3UL;
   tf->codes[35328] = 0x000f64810399ba80UL;
   tf->codes[35329] = 0x000f6c89339750d1UL;
   tf->codes[35330] = 0x000f7988862d246bUL;
   tf->codes[35331] = 0x000f7d4ada8cf4d6UL;
   tf->codes[35332] = 0x000f8962afbff9acUL;
   tf->codes[35333] = 0x000f95fcacd6d15fUL;
   tf->codes[35334] = 0x000f978ecf007035UL;
   tf->codes[35335] = 0x000f9899c0fbbd40UL;
   tf->codes[35336] = 0x000fa5158c539b5fUL;
   tf->codes[35337] = 0x000fb3b7042ea1adUL;
   tf->codes[35338] = 0x000fb88325bea24aUL;
   tf->codes[35339] = 0x000fd539dcfbde2dUL;
   tf->codes[35340] = 0x000fdc5218ead041UL;
   tf->codes[35341] = 0x000fe19e18c86a09UL;
   tf->codes[35342] = 0x000ff8699b505c8cUL;
   tf->codes[35343] = 0x000ffa6989a4ccc2UL;
   tf->codes[35344] = 0x000005a885367414UL;
   tf->codes[35345] = 0x000027999f4c8d7eUL;
   tf->codes[35346] = 0x000028d63483be86UL;
   tf->codes[35347] = 0x00004762fdd84accUL;
   tf->codes[35348] = 0x00004c938aab303cUL;
   tf->codes[35349] = 0x00004d2df1c766abUL;
   tf->codes[35350] = 0x0000710ef7165c6dUL;
   tf->codes[35351] = 0x000072827262f625UL;
   tf->codes[35352] = 0x0000873308a9cfa4UL;
   tf->codes[35353] = 0x00008abb7db0ec5eUL;
   tf->codes[35354] = 0x0000a59929938cddUL;
   tf->codes[35355] = 0x0000b8f01daf5899UL;
   tf->codes[35356] = 0x0000bf0f04a7b9e3UL;
   tf->codes[35357] = 0x0000bffadaa7f646UL;
   tf->codes[35358] = 0x0000c653a0f90b41UL;
   tf->codes[35359] = 0x0000c9a9136a2160UL;
   tf->codes[35360] = 0x0000cc63e42ffb4bUL;
   tf->codes[35361] = 0x0000cd4cc0ececadUL;
   tf->codes[35362] = 0x0000d11801169e1bUL;
   tf->codes[35363] = 0x0000d51bc13ee09cUL;
   tf->codes[35364] = 0x0000e37c426f805eUL;
   tf->codes[35365] = 0x0000e8d49c7851b4UL;
   tf->codes[35366] = 0x0000ead4c55bc7afUL;
   tf->codes[35367] = 0x0000f0c193fa3972UL;
   tf->codes[35368] = 0x0000fde5ba82adf1UL;
   tf->codes[35369] = 0x00012b882f81b371UL;
   tf->codes[35370] = 0x00012fe9f3483939UL;
   tf->codes[35371] = 0x0001360740577220UL;
   tf->codes[35372] = 0x00013d45af9327b7UL;
   tf->codes[35373] = 0x000140ec90e843caUL;
   tf->codes[35374] = 0x00015016232db2f7UL;
   tf->codes[35375] = 0x000166f84b04e0a9UL;
   tf->codes[35376] = 0x0001766642560cedUL;
   tf->codes[35377] = 0x00017dd320fb55bbUL;
   tf->codes[35378] = 0x00017fe93f80f596UL;
   tf->codes[35379] = 0x0001976a2711c756UL;
   tf->codes[35380] = 0x00019aea256d0e97UL;
   tf->codes[35381] = 0x0001a6a5cb79fe4eUL;
   tf->codes[35382] = 0x0001b80ee364219fUL;
   tf->codes[35383] = 0x0001d3ff4840d353UL;
   tf->codes[35384] = 0x0001d96227fcae0fUL;
   tf->codes[35385] = 0x0001ee14582caff1UL;
   tf->codes[35386] = 0x0001ef4e2eaf9bbdUL;
   tf->codes[35387] = 0x0001fc6ee6d6b9b1UL;
   tf->codes[35388] = 0x00020cfd8b36571bUL;
   tf->codes[35389] = 0x000210de1155211aUL;
   tf->codes[35390] = 0x00022859065f5cd8UL;
   tf->codes[35391] = 0x00022f05100ca5efUL;
   tf->codes[35392] = 0x000238780a1bfabaUL;
   tf->codes[35393] = 0x0002447a243bdb75UL;
   tf->codes[35394] = 0x000246742009b5a9UL;
   tf->codes[35395] = 0x00024e2a6c053a7cUL;
   tf->codes[35396] = 0x000252ab8655d6b1UL;
   tf->codes[35397] = 0x0002577e84a88464UL;
   tf->codes[35398] = 0x00026b82dc3f656eUL;
   tf->codes[35399] = 0x000287be82ea814fUL;
   tf->codes[35400] = 0x00028d9c73387c0dUL;
   tf->codes[35401] = 0x000292fa4aa9d7dbUL;
   tf->codes[35402] = 0x00029a1bacf1b0b7UL;
   tf->codes[35403] = 0x0002b0db0fdd7171UL;
   tf->codes[35404] = 0x0002c1b4465e67b9UL;
   tf->codes[35405] = 0x0002ebb591ffe163UL;
   tf->codes[35406] = 0x0002f8692da93f46UL;
   tf->codes[35407] = 0x0003034e43ab0b2bUL;
   tf->codes[35408] = 0x000306c01362ecb6UL;
   tf->codes[35409] = 0x00031f6132e42412UL;
   tf->codes[35410] = 0x00033813b4db11eaUL;
   tf->codes[35411] = 0x0003391a13a9eb91UL;
   tf->codes[35412] = 0x00034e16264e3502UL;
   tf->codes[35413] = 0x00034ee1466a385aUL;
   tf->codes[35414] = 0x00035a85d209e158UL;
   tf->codes[35415] = 0x00035bb6f751f1e6UL;
   tf->codes[35416] = 0x00037bb73bf317e4UL;
   tf->codes[35417] = 0x00037d3ba4975c8eUL;
   tf->codes[35418] = 0x00038ccd859f12a3UL;
   tf->codes[35419] = 0x00039a343cbb1611UL;
   tf->codes[35420] = 0x00039b6fe7b63005UL;
   tf->codes[35421] = 0x0003aa35be65cbaeUL;
   tf->codes[35422] = 0x0003b318275ee221UL;
   tf->codes[35423] = 0x0003b809cc8e94f2UL;
   tf->codes[35424] = 0x0003bdcbd4b3cfceUL;
   tf->codes[35425] = 0x0003c4e4faded8f6UL;
   tf->codes[35426] = 0x0003c97fb3c1fb5bUL;
   tf->codes[35427] = 0x0003cc64d5e300a3UL;
   tf->codes[35428] = 0x0003ccb51ffbe9beUL;
   tf->codes[35429] = 0x0003dc9b692af0c8UL;
   tf->codes[35430] = 0x0003df7ef162cdadUL;
   tf->codes[35431] = 0x0003f162a4c10576UL;
   tf->codes[35432] = 0x0003fbb1ac44088bUL;
   tf->codes[35433] = 0x0003fed0e84cc749UL;
   tf->codes[35434] = 0x00042edd6edab20fUL;
   tf->codes[35435] = 0x0004460ebbffac03UL;
   tf->codes[35436] = 0x00049d2d20ea078aUL;
   tf->codes[35437] = 0x0004b5892bb27080UL;
   tf->codes[35438] = 0x0004cec268b9a499UL;
   tf->codes[35439] = 0x0004e7ced0406ddeUL;
   tf->codes[35440] = 0x0004fddec0a9e55dUL;
   tf->codes[35441] = 0x0005117d4da3bef6UL;
   tf->codes[35442] = 0x00051687a729e0e3UL;
   tf->codes[35443] = 0x00051c968b06ae4fUL;
   tf->codes[35444] = 0x000544838c9ab646UL;
   tf->codes[35445] = 0x00054ac32977509bUL;
   tf->codes[35446] = 0x00054b36e828b7fdUL;
   tf->codes[35447] = 0x000561cef2fc985bUL;
   tf->codes[35448] = 0x00057333ecd853d2UL;
   tf->codes[35449] = 0x000584bd8017aa69UL;
   tf->codes[35450] = 0x000585c7fcf4ebeaUL;
   tf->codes[35451] = 0x000599d1d1f4576cUL;
   tf->codes[35452] = 0x0005a29ef4f8554eUL;
   tf->codes[35453] = 0x0005b504208d4ea5UL;
   tf->codes[35454] = 0x0005bb9a34986ddcUL;
   tf->codes[35455] = 0x0005bf35a5fe6975UL;
   tf->codes[35456] = 0x0005c674c4e7305bUL;
   tf->codes[35457] = 0x0005df0da84b9803UL;
   tf->codes[35458] = 0x0005e1173216fa8bUL;
   tf->codes[35459] = 0x0005fafa6437ed67UL;
   tf->codes[35460] = 0x0006441efccac7b1UL;
   tf->codes[35461] = 0x0006494c905a6220UL;
   tf->codes[35462] = 0x00064c2c6fa1e2b5UL;
   tf->codes[35463] = 0x000654133a0e2eacUL;
   tf->codes[35464] = 0x00065bb3caf68f64UL;
   tf->codes[35465] = 0x0006816c7c45fdecUL;
   tf->codes[35466] = 0x00068583735c2511UL;
   tf->codes[35467] = 0x0006937578b4e224UL;
   tf->codes[35468] = 0x00069998089d9fbeUL;
   tf->codes[35469] = 0x0006abe7ee3d8084UL;
   tf->codes[35470] = 0x0006dfc98afb14cfUL;
   tf->codes[35471] = 0x0006f802d0d810cdUL;
   tf->codes[35472] = 0x0006fb85c876a30fUL;
   tf->codes[35473] = 0x0006fe640dd4fb41UL;
   tf->codes[35474] = 0x000705bb6bf625b9UL;
   tf->codes[35475] = 0x0007061083ca87fdUL;
   tf->codes[35476] = 0x00071d7df9de6f54UL;
   tf->codes[35477] = 0x00072466dc27b71dUL;
   tf->codes[35478] = 0x00072b0c43a158e3UL;
   tf->codes[35479] = 0x00072ecb299fd2c3UL;
   tf->codes[35480] = 0x00073916fd508512UL;
   tf->codes[35481] = 0x000742f5b4837750UL;
   tf->codes[35482] = 0x00074bc34ca580bcUL;
   tf->codes[35483] = 0x00075b635c509c87UL;
   tf->codes[35484] = 0x00076bf2b05d4b40UL;
   tf->codes[35485] = 0x00077936dd1ce77bUL;
   tf->codes[35486] = 0x000779d01f6e0111UL;
   tf->codes[35487] = 0x000788ee7c535589UL;
   tf->codes[35488] = 0x00079c147ce04e97UL;
   tf->codes[35489] = 0x0007ab6d2e3c624aUL;
   tf->codes[35490] = 0x0007b8861f64bc14UL;
   tf->codes[35491] = 0x0007bccc70208d84UL;
   tf->codes[35492] = 0x0007c3114fd6ac8cUL;
   tf->codes[35493] = 0x0007c98638df872eUL;
   tf->codes[35494] = 0x0007cc6986885e4eUL;
   tf->codes[35495] = 0x0007d9f5119702a1UL;
   tf->codes[35496] = 0x0007de318c4cdbfaUL;
   tf->codes[35497] = 0x0007eb14470cde63UL;
   tf->codes[35498] = 0x0007ed2f6ddcfd2cUL;
   tf->codes[35499] = 0x00080eb53fed84adUL;
   tf->codes[35500] = 0x000829882b8e1601UL;
   tf->codes[35501] = 0x00083103e883d5d4UL;
   tf->codes[35502] = 0x000836e66bfe43f6UL;
   tf->codes[35503] = 0x000838b73b3c0fa6UL;
   tf->codes[35504] = 0x00085fe1cdeeef83UL;
   tf->codes[35505] = 0x0008894ac17b66abUL;
   tf->codes[35506] = 0x00088d8024df8d29UL;
   tf->codes[35507] = 0x00089350d0c63945UL;
   tf->codes[35508] = 0x0008b8c900894ccbUL;
   tf->codes[35509] = 0x0008c4e3ceff9ca2UL;
   tf->codes[35510] = 0x0008e2978423c59fUL;
   tf->codes[35511] = 0x0008e4629b6a0112UL;
   tf->codes[35512] = 0x0008f1de235d1187UL;
   tf->codes[35513] = 0x0008fc60dd232c86UL;
   tf->codes[35514] = 0x000921f2ab78c63cUL;
   tf->codes[35515] = 0x00093368581d26e0UL;
   tf->codes[35516] = 0x0009346974127bd4UL;
   tf->codes[35517] = 0x0009433209765cb9UL;
   tf->codes[35518] = 0x0009443116647dc0UL;
   tf->codes[35519] = 0x000946b2f20dbb0eUL;
   tf->codes[35520] = 0x00094dba40a50230UL;
   tf->codes[35521] = 0x0009514cc6411cc6UL;
   tf->codes[35522] = 0x000959ee731ed272UL;
   tf->codes[35523] = 0x000962dd70d22638UL;
   tf->codes[35524] = 0x0009690c2057159bUL;
   tf->codes[35525] = 0x00097bbe27a3a182UL;
   tf->codes[35526] = 0x000980ee3f587b68UL;
   tf->codes[35527] = 0x0009a69c3065dac5UL;
   tf->codes[35528] = 0x0009a7ecac3801c0UL;
   tf->codes[35529] = 0x0009bff8a7768760UL;
   tf->codes[35530] = 0x0009c893b22095bbUL;
   tf->codes[35531] = 0x000a18b379ae855eUL;
   tf->codes[35532] = 0x000a1b1464e483dcUL;
   tf->codes[35533] = 0x000a3030b84efaceUL;
   tf->codes[35534] = 0x000a31692f77c3fcUL;
   tf->codes[35535] = 0x000a377f9fc44fcdUL;
   tf->codes[35536] = 0x000a3b8275b07b3aUL;
   tf->codes[35537] = 0x000a4d87c92f0322UL;
   tf->codes[35538] = 0x000a629be07caa60UL;
   tf->codes[35539] = 0x000a6c6d53484dfcUL;
   tf->codes[35540] = 0x000a6d68b74612b3UL;
   tf->codes[35541] = 0x000a7541c82d047eUL;
   tf->codes[35542] = 0x000a873c5b697d3bUL;
   tf->codes[35543] = 0x000a94637b353cbbUL;
   tf->codes[35544] = 0x000a9f82ab1ec216UL;
   tf->codes[35545] = 0x000aa260f07d1a48UL;
   tf->codes[35546] = 0x000aa7dfb861b4e6UL;
   tf->codes[35547] = 0x000ac168ca63c690UL;
   tf->codes[35548] = 0x000ac980c2edeafaUL;
   tf->codes[35549] = 0x000ae43d093f411fUL;
   tf->codes[35550] = 0x000aec928a12758aUL;
   tf->codes[35551] = 0x000af9aee99c25dfUL;
   tf->codes[35552] = 0x000b0568bb30e76eUL;
   tf->codes[35553] = 0x000b393a8f61eda0UL;
   tf->codes[35554] = 0x000b3c3d6e23e0f2UL;
   tf->codes[35555] = 0x000b42339daa3f42UL;
   tf->codes[35556] = 0x000b58ce2ca35f17UL;
   tf->codes[35557] = 0x000b6c78641b5eefUL;
   tf->codes[35558] = 0x000b76ab48e69c5dUL;
   tf->codes[35559] = 0x000b92f59353297eUL;
   tf->codes[35560] = 0x000b9ff5207802ddUL;
   tf->codes[35561] = 0x000bb10243cb16d4UL;
   tf->codes[35562] = 0x000bb7071712e664UL;
   tf->codes[35563] = 0x000bc2f216c58066UL;
   tf->codes[35564] = 0x000bcaa5697dba38UL;
   tf->codes[35565] = 0x000bcab9ffc5c17aUL;
   tf->codes[35566] = 0x000bd490eff9ef8eUL;
   tf->codes[35567] = 0x000bd4916517fb18UL;
   tf->codes[35568] = 0x000bebe3a2b033dcUL;
   tf->codes[35569] = 0x000bff8ae0e4e8b3UL;
   tf->codes[35570] = 0x000c1c0e958c1dfbUL;
   tf->codes[35571] = 0x000c301362410a8fUL;
   tf->codes[35572] = 0x000c32243ded25b7UL;
   tf->codes[35573] = 0x000c32ba86faf44cUL;
   tf->codes[35574] = 0x000c335a30f0af6eUL;
   tf->codes[35575] = 0x000c4090699bebb8UL;
   tf->codes[35576] = 0x000c441aedaa3c5fUL;
   tf->codes[35577] = 0x000c4ac60d1b6e62UL;
   tf->codes[35578] = 0x000c5a359e55c309UL;
   tf->codes[35579] = 0x000c61bba66f867dUL;
   tf->codes[35580] = 0x000c698aa6c17a6cUL;
   tf->codes[35581] = 0x000c89eafe08179eUL;
   tf->codes[35582] = 0x000c8a588fa3e339UL;
   tf->codes[35583] = 0x000c906a6cc3fba6UL;
   tf->codes[35584] = 0x000c982d4d79bdccUL;
   tf->codes[35585] = 0x000ca4a2769df49aUL;
   tf->codes[35586] = 0x000ca70f817024e1UL;
   tf->codes[35587] = 0x000ca8edcfa444f8UL;
   tf->codes[35588] = 0x000cb3024821830dUL;
   tf->codes[35589] = 0x000cb6ee78be734bUL;
   tf->codes[35590] = 0x000cb9e0df46c735UL;
   tf->codes[35591] = 0x000cbfccfe3827a9UL;
   tf->codes[35592] = 0x000cdf0382176cedUL;
   tf->codes[35593] = 0x000ce3896a23824bUL;
   tf->codes[35594] = 0x000ce460a9dbb76cUL;
   tf->codes[35595] = 0x000cf2aa109f1075UL;
   tf->codes[35596] = 0x000cf2d3ecdc3048UL;
   tf->codes[35597] = 0x000d0b123b03ab34UL;
   tf->codes[35598] = 0x000d132ddc7e2beeUL;
   tf->codes[35599] = 0x000d63d33a5144f9UL;
   tf->codes[35600] = 0x000d76b54af08c7aUL;
   tf->codes[35601] = 0x000d88ce4a7b0490UL;
   tf->codes[35602] = 0x000d970355855c1cUL;
   tf->codes[35603] = 0x000d9831818a21a9UL;
   tf->codes[35604] = 0x000daa8c9c8a1d24UL;
   tf->codes[35605] = 0x000dacfb06b67009UL;
   tf->codes[35606] = 0x000db2c759ffae86UL;
   tf->codes[35607] = 0x000db31bfcb60540UL;
   tf->codes[35608] = 0x000db8919e41b916UL;
   tf->codes[35609] = 0x000dbdf77740ded3UL;
   tf->codes[35610] = 0x000dc2bc0c61210bUL;
   tf->codes[35611] = 0x000dd1f4f21512c7UL;
   tf->codes[35612] = 0x000dd508be2eb10bUL;
   tf->codes[35613] = 0x000dd70e9f09b743UL;
   tf->codes[35614] = 0x000dd81c8a484f4fUL;
   tf->codes[35615] = 0x000ddb3f6f416a5dUL;
   tf->codes[35616] = 0x000defd8b08bf75eUL;
   tf->codes[35617] = 0x000dfff11214edefUL;
   tf->codes[35618] = 0x000e0454aa53a1dfUL;
   tf->codes[35619] = 0x000e048a6b9dedb6UL;
   tf->codes[35620] = 0x000e0cda347991e4UL;
   tf->codes[35621] = 0x000e0cf3987d124fUL;
   tf->codes[35622] = 0x000e1b62f7fe2916UL;
   tf->codes[35623] = 0x000e1ebf0ca2e686UL;
   tf->codes[35624] = 0x000e1f6b10c3d936UL;
   tf->codes[35625] = 0x000e2ce782f300bfUL;
   tf->codes[35626] = 0x000e3389b69a51bfUL;
   tf->codes[35627] = 0x000e3a3bb2ce30d8UL;
   tf->codes[35628] = 0x000e3d39142799b2UL;
   tf->codes[35629] = 0x000e530046e7e67bUL;
   tf->codes[35630] = 0x000e59a5e8f08e06UL;
   tf->codes[35631] = 0x000e5d118b92d3caUL;
   tf->codes[35632] = 0x000e631a425a056fUL;
   tf->codes[35633] = 0x000e674a2855a175UL;
   tf->codes[35634] = 0x000e7af2c5e478eaUL;
   tf->codes[35635] = 0x000e7c1581fa1dfdUL;
   tf->codes[35636] = 0x000e821c6449217aUL;
   tf->codes[35637] = 0x000e839388861782UL;
   tf->codes[35638] = 0x000e97d7776d3c7aUL;
   tf->codes[35639] = 0x000eb6a9557a9726UL;
   tf->codes[35640] = 0x000eb6e7c7ffbe3bUL;
   tf->codes[35641] = 0x000eb9d38c546ad4UL;
   tf->codes[35642] = 0x000ebac8c33c93c4UL;
   tf->codes[35643] = 0x000ebb9f8dd6bd5bUL;
   tf->codes[35644] = 0x000ed88b56b133c6UL;
   tf->codes[35645] = 0x000eddc001928110UL;
   tf->codes[35646] = 0x000efbaf2ff88621UL;
   tf->codes[35647] = 0x000f0009dc6d590eUL;
   tf->codes[35648] = 0x000f00db299ef82dUL;
   tf->codes[35649] = 0x000f02b85307fb6bUL;
   tf->codes[35650] = 0x000f1b829f19414bUL;
   tf->codes[35651] = 0x000f33c07822b0adUL;
   tf->codes[35652] = 0x000f3d0e29215909UL;
   tf->codes[35653] = 0x000f3e42bccac022UL;
   tf->codes[35654] = 0x000f5ed68bc56f79UL;
   tf->codes[35655] = 0x000f6dabf0729376UL;
   tf->codes[35656] = 0x000f6f4e8ad5d1b4UL;
   tf->codes[35657] = 0x000f7c19065d708bUL;
   tf->codes[35658] = 0x000f85e70ac7bd9cUL;
   tf->codes[35659] = 0x000f8f022e4e6ae7UL;
   tf->codes[35660] = 0x000f9c7c56e758beUL;
   tf->codes[35661] = 0x000fb83b8da631ffUL;
   tf->codes[35662] = 0x000fef96868b663aUL;
   tf->codes[35663] = 0x000ff605b79cb09fUL;
   tf->codes[35664] = 0x00000f689651fec6UL;
   tf->codes[35665] = 0x000014bd0cdb6e07UL;
   tf->codes[35666] = 0x0000313f9cb78676UL;
   tf->codes[35667] = 0x0000349250745759UL;
   tf->codes[35668] = 0x00005e585d62fab4UL;
   tf->codes[35669] = 0x00006740093595daUL;
   tf->codes[35670] = 0x00006e9d59dd5654UL;
   tf->codes[35671] = 0x000073ff14ce1437UL;
   tf->codes[35672] = 0x0000783403142f2bUL;
   tf->codes[35673] = 0x00008d468078ae06UL;
   tf->codes[35674] = 0x00008e65590ef104UL;
   tf->codes[35675] = 0x0000a9c3585d3638UL;
   tf->codes[35676] = 0x0000ba8b66f77bc9UL;
   tf->codes[35677] = 0x0000bf11feb0a276UL;
   tf->codes[35678] = 0x0000c38d267aa8a9UL;
   tf->codes[35679] = 0x0000f2e09f0f57e2UL;
   tf->codes[35680] = 0x0000fc0adb7581f7UL;
   tf->codes[35681] = 0x0000ff91b693764eUL;
   tf->codes[35682] = 0x0001160f3898b968UL;
   tf->codes[35683] = 0x0001186e89e58f83UL;
   tf->codes[35684] = 0x0001288a59cfdc9fUL;
   tf->codes[35685] = 0x00013165ab774037UL;
   tf->codes[35686] = 0x000138c9d8e1adc7UL;
   tf->codes[35687] = 0x00013a560884b69bUL;
   tf->codes[35688] = 0x0001418b8bf68b2fUL;
   tf->codes[35689] = 0x000144f1ebbf4c40UL;
   tf->codes[35690] = 0x00014a2c4e9829c7UL;
   tf->codes[35691] = 0x00015737fb5934efUL;
   tf->codes[35692] = 0x00016e7fb33e644dUL;
   tf->codes[35693] = 0x00017ebd98670d12UL;
   tf->codes[35694] = 0x0001830f1e82f937UL;
   tf->codes[35695] = 0x00018f88a0449da4UL;
   tf->codes[35696] = 0x0001d116b8841512UL;
   tf->codes[35697] = 0x0001d24977b54e03UL;
   tf->codes[35698] = 0x0001d88b98b727cfUL;
   tf->codes[35699] = 0x0001d912c8e5799aUL;
   tf->codes[35700] = 0x0001e5f4244b5965UL;
   tf->codes[35701] = 0x0001f5bf34feb1dcUL;
   tf->codes[35702] = 0x00021816c95ee406UL;
   tf->codes[35703] = 0x000228b4c12d03ffUL;
   tf->codes[35704] = 0x00024e99984fcc0cUL;
   tf->codes[35705] = 0x000251b615a4458eUL;
   tf->codes[35706] = 0x000257e574d64640UL;
   tf->codes[35707] = 0x00025a65b6965b2bUL;
   tf->codes[35708] = 0x0002696fb7c2ae26UL;
   tf->codes[35709] = 0x00026b5a25930006UL;
   tf->codes[35710] = 0x000270b20a7dc5d2UL;
   tf->codes[35711] = 0x000297d0f2b27f70UL;
   tf->codes[35712] = 0x0002a10b32343d63UL;
   tf->codes[35713] = 0x0002b0ca98696f9bUL;
   tf->codes[35714] = 0x0002ca13636e2c08UL;
   tf->codes[35715] = 0x0002d76633ef3983UL;
   tf->codes[35716] = 0x0002e78e5e04be2dUL;
   tf->codes[35717] = 0x0002f444b862614cUL;
   tf->codes[35718] = 0x00030e65e7ea6fb3UL;
   tf->codes[35719] = 0x00031c13c2c67574UL;
   tf->codes[35720] = 0x000329b99c14b146UL;
   tf->codes[35721] = 0x0003303ec2c8258bUL;
   tf->codes[35722] = 0x00033270c9768548UL;
   tf->codes[35723] = 0x0003344a847e31fbUL;
   tf->codes[35724] = 0x000348035fb7a313UL;
   tf->codes[35725] = 0x0003483418b76ffcUL;
   tf->codes[35726] = 0x000348cc363d6cb9UL;
   tf->codes[35727] = 0x00034fd2257a913dUL;
   tf->codes[35728] = 0x0003528111333f24UL;
   tf->codes[35729] = 0x0003598f771c3921UL;
   tf->codes[35730] = 0x00035db009a95298UL;
   tf->codes[35731] = 0x000362e822ebf66dUL;
   tf->codes[35732] = 0x00036350ac3d431aUL;
   tf->codes[35733] = 0x000364026855c607UL;
   tf->codes[35734] = 0x000368bfab954f9fUL;
   tf->codes[35735] = 0x000370b46a15fb87UL;
   tf->codes[35736] = 0x000379255df3e44aUL;
   tf->codes[35737] = 0x000380d283968255UL;
   tf->codes[35738] = 0x0003889738c472a3UL;
   tf->codes[35739] = 0x000399f1aced24b4UL;
   tf->codes[35740] = 0x00039a1b140c38fdUL;
   tf->codes[35741] = 0x00039e4457d42db2UL;
   tf->codes[35742] = 0x0003b505c9c72259UL;
   tf->codes[35743] = 0x0003c5cd9dd26225UL;
   tf->codes[35744] = 0x0003d79f047ecc5eUL;
   tf->codes[35745] = 0x0003d89e868af8efUL;
   tf->codes[35746] = 0x0003db80af68b336UL;
   tf->codes[35747] = 0x0003e6053da6fc5dUL;
   tf->codes[35748] = 0x0003f4adccd3b586UL;
   tf->codes[35749] = 0x000494d1ae55daafUL;
   tf->codes[35750] = 0x0004b23a5c3a9f44UL;
   tf->codes[35751] = 0x0004d52db7112a7bUL;
   tf->codes[35752] = 0x0004effaeaba2b92UL;
   tf->codes[35753] = 0x0005089408ad98ffUL;
   tf->codes[35754] = 0x00057626c94450d8UL;
   tf->codes[35755] = 0x00057e3351df54c8UL;
   tf->codes[35756] = 0x0005875467ec9815UL;
   tf->codes[35757] = 0x000594b4b763f9f7UL;
   tf->codes[35758] = 0x00059cbd970ea197UL;
   tf->codes[35759] = 0x0005a01e0450cca6UL;
   tf->codes[35760] = 0x0005a09b23ea2095UL;
   tf->codes[35761] = 0x0005a46fff8ac455UL;
   tf->codes[35762] = 0x0005b7d81b8d40c8UL;
   tf->codes[35763] = 0x0005c8c4c38b2179UL;
   tf->codes[35764] = 0x0005ca507e101ec3UL;
   tf->codes[35765] = 0x0005cd09b4ecd04bUL;
   tf->codes[35766] = 0x0005f03dcbdebc49UL;
   tf->codes[35767] = 0x000638d3a7d38663UL;
   tf->codes[35768] = 0x00063e8b2a45b7d9UL;
   tf->codes[35769] = 0x0006778cdb9c922cUL;
   tf->codes[35770] = 0x000684ab84bc7c33UL;
   tf->codes[35771] = 0x000692f1f23c8a3bUL;
   tf->codes[35772] = 0x0006a802d5b7e0b3UL;
   tf->codes[35773] = 0x0006b10f557d1cbeUL;
   tf->codes[35774] = 0x0006b1a5296cdfc9UL;
   tf->codes[35775] = 0x0006be0ee2a1f61dUL;
   tf->codes[35776] = 0x0006becf427bea4aUL;
   tf->codes[35777] = 0x0006c6eb93a37c53UL;
   tf->codes[35778] = 0x0006dfb4805a9f95UL;
   tf->codes[35779] = 0x0006dfc5a841504cUL;
   tf->codes[35780] = 0x00070b4b97161465UL;
   tf->codes[35781] = 0x0007181687bbbec6UL;
   tf->codes[35782] = 0x000724a88344cc8aUL;
   tf->codes[35783] = 0x00072f6e082d7c3dUL;
   tf->codes[35784] = 0x00072f74aa61238eUL;
   tf->codes[35785] = 0x0007414d9d7d4c2cUL;
   tf->codes[35786] = 0x000746f850a63a8aUL;
   tf->codes[35787] = 0x00074ab01f53018fUL;
   tf->codes[35788] = 0x000753e88a5c915aUL;
   tf->codes[35789] = 0x00075e11d3b0dc76UL;
   tf->codes[35790] = 0x00076f8bd8f2aab9UL;
   tf->codes[35791] = 0x00077b8b345e4638UL;
   tf->codes[35792] = 0x0007895da89de719UL;
   tf->codes[35793] = 0x0007a1a850f09993UL;
   tf->codes[35794] = 0x0007a7ce89c9b37dUL;
   tf->codes[35795] = 0x0007c47af5e2ebbfUL;
   tf->codes[35796] = 0x0007ce14233f040dUL;
   tf->codes[35797] = 0x0007df7e5ff44437UL;
   tf->codes[35798] = 0x0007e58f18493fcbUL;
   tf->codes[35799] = 0x0007e8175b971ea5UL;
   tf->codes[35800] = 0x0007f9348205c67aUL;
   tf->codes[35801] = 0x0008027b90d0c785UL;
   tf->codes[35802] = 0x0008256b0827f0a7UL;
   tf->codes[35803] = 0x000836b4c987fd8bUL;
   tf->codes[35804] = 0x00084dabfcc53e09UL;
   tf->codes[35805] = 0x00086bd19c22a040UL;
   tf->codes[35806] = 0x00088f867b9e3c7dUL;
   tf->codes[35807] = 0x00088fe09bbd1dafUL;
   tf->codes[35808] = 0x0008a3b599ae546eUL;
   tf->codes[35809] = 0x0008af2ee9b6bafbUL;
   tf->codes[35810] = 0x0008b55e48e8bbadUL;
   tf->codes[35811] = 0x0008d550997581baUL;
   tf->codes[35812] = 0x0008dcd542352290UL;
   tf->codes[35813] = 0x0008e21b14fd2091UL;
   tf->codes[35814] = 0x0008e4caeaf1e58cUL;
   tf->codes[35815] = 0x0008e71b235f3eddUL;
   tf->codes[35816] = 0x0008e934009923f4UL;
   tf->codes[35817] = 0x0008edd8ca114435UL;
   tf->codes[35818] = 0x0008efc1636967edUL;
   tf->codes[35819] = 0x0008f38a59fcdfa9UL;
   tf->codes[35820] = 0x0008f46ede1c636cUL;
   tf->codes[35821] = 0x000925c4540cb6c8UL;
   tf->codes[35822] = 0x0009364df021d544UL;
   tf->codes[35823] = 0x000944deefc33c2aUL;
   tf->codes[35824] = 0x00094cab3160eaddUL;
   tf->codes[35825] = 0x00095d64d6c8c4f3UL;
   tf->codes[35826] = 0x000973135532a2a0UL;
   tf->codes[35827] = 0x000981f8bcfb5a7bUL;
   tf->codes[35828] = 0x0009bbaa90818f58UL;
   tf->codes[35829] = 0x0009c32c056edf68UL;
   tf->codes[35830] = 0x0009c8e387e110deUL;
   tf->codes[35831] = 0x0009e13422ba595aUL;
   tf->codes[35832] = 0x0009e35ba3b5afb1UL;
   tf->codes[35833] = 0x0009f1122fcc90b0UL;
   tf->codes[35834] = 0x000a003435a24178UL;
   tf->codes[35835] = 0x000a15c6cbe35f43UL;
   tf->codes[35836] = 0x000a458fd7a1a406UL;
   tf->codes[35837] = 0x000a464af4a21380UL;
   tf->codes[35838] = 0x000a684b2797a9b4UL;
   tf->codes[35839] = 0x000a6d315cd83c0bUL;
   tf->codes[35840] = 0x000a80dcf3aa5e81UL;
   tf->codes[35841] = 0x000a8e9d1b3831d2UL;
   tf->codes[35842] = 0x000a9945932d04caUL;
   tf->codes[35843] = 0x000a99573031c10bUL;
   tf->codes[35844] = 0x000aa161e45496d3UL;
   tf->codes[35845] = 0x000aa6d8701c61bdUL;
   tf->codes[35846] = 0x000aa853b267bf9fUL;
   tf->codes[35847] = 0x000abf0fe1812f93UL;
   tf->codes[35848] = 0x000ad39d784d9655UL;
   tf->codes[35849] = 0x000ae0110788a4c0UL;
   tf->codes[35850] = 0x000ae067b9462f67UL;
   tf->codes[35851] = 0x000af0028617c67fUL;
   tf->codes[35852] = 0x000af55c3f7aba73UL;
   tf->codes[35853] = 0x000b0d0cbb403c43UL;
   tf->codes[35854] = 0x000b1cc3703a933dUL;
   tf->codes[35855] = 0x000b34846439b475UL;
   tf->codes[35856] = 0x000b34d6f7e8d742UL;
   tf->codes[35857] = 0x000b46f27b988ecfUL;
   tf->codes[35858] = 0x000b5d2b989214d2UL;
   tf->codes[35859] = 0x000b703c8db8fb14UL;
   tf->codes[35860] = 0x000b758dd070198fUL;
   tf->codes[35861] = 0x000b77bbf39f1737UL;
   tf->codes[35862] = 0x000b7c6e017e861aUL;
   tf->codes[35863] = 0x000b9c60177c4662UL;
   tf->codes[35864] = 0x000bb73845f65c69UL;
   tf->codes[35865] = 0x000bbb5e907b061dUL;
   tf->codes[35866] = 0x000bbc9d6f4870d7UL;
   tf->codes[35867] = 0x000bc1f812e77bdfUL;
   tf->codes[35868] = 0x000bc6a727839fc1UL;
   tf->codes[35869] = 0x000beb325c7b5a0bUL;
   tf->codes[35870] = 0x000bf20a516cf6e2UL;
   tf->codes[35871] = 0x000bfc950cc0dbd0UL;
   tf->codes[35872] = 0x000c1478508d5e76UL;
   tf->codes[35873] = 0x000c197aa885b674UL;
   tf->codes[35874] = 0x000c2446cfa20d78UL;
   tf->codes[35875] = 0x000c2bd4642b8f51UL;
   tf->codes[35876] = 0x000c3b84ec104a84UL;
   tf->codes[35877] = 0x000c3ce1126097beUL;
   tf->codes[35878] = 0x000c585541e00c97UL;
   tf->codes[35879] = 0x000c64fb5e931613UL;
   tf->codes[35880] = 0x000c6633260ecdf2UL;
   tf->codes[35881] = 0x000c78048cbb382bUL;
   tf->codes[35882] = 0x000c7966e021212cUL;
   tf->codes[35883] = 0x000c80ab7c72728aUL;
   tf->codes[35884] = 0x000c9bc1a853a41cUL;
   tf->codes[35885] = 0x000caae791a8b6f9UL;
   tf->codes[35886] = 0x000cae14fc54db6dUL;
   tf->codes[35887] = 0x000cb8bff86eeddcUL;
   tf->codes[35888] = 0x000cb8d74d6b3a5aUL;
   tf->codes[35889] = 0x000cc64d57f5c057UL;
   tf->codes[35890] = 0x000cd1732a12ed03UL;
   tf->codes[35891] = 0x000d02e6221528a4UL;
   tf->codes[35892] = 0x000d0ade14682552UL;
   tf->codes[35893] = 0x000d0b97d20e722eUL;
   tf->codes[35894] = 0x000d197a0edaa128UL;
   tf->codes[35895] = 0x000d1c2d8dbfc273UL;
   tf->codes[35896] = 0x000d2261baad3c4eUL;
   tf->codes[35897] = 0x000d35f7d0fb406eUL;
   tf->codes[35898] = 0x000d432c352e4e90UL;
   tf->codes[35899] = 0x000d4ae8ae3f6f2aUL;
   tf->codes[35900] = 0x000d5fc65495b942UL;
   tf->codes[35901] = 0x000d68b5c7671892UL;
   tf->codes[35902] = 0x000d709121e4440fUL;
   tf->codes[35903] = 0x000d8e9018d6d739UL;
   tf->codes[35904] = 0x000da36841c496d9UL;
   tf->codes[35905] = 0x000da4a87fec2431UL;
   tf->codes[35906] = 0x000da5352d830074UL;
   tf->codes[35907] = 0x000dbb9c7f5713e9UL;
   tf->codes[35908] = 0x000dcb6f1c7a2ac5UL;
   tf->codes[35909] = 0x000dcf46f15e1986UL;
   tf->codes[35910] = 0x000dcf91837f7264UL;
   tf->codes[35911] = 0x000dea99f5db49caUL;
   tf->codes[35912] = 0x000dee8242f8d7f3UL;
   tf->codes[35913] = 0x000df8784f2816afUL;
   tf->codes[35914] = 0x000e0fbdbd770c5bUL;
   tf->codes[35915] = 0x000e2912a817fa91UL;
   tf->codes[35916] = 0x000e2abcceeaf734UL;
   tf->codes[35917] = 0x000e38740aaee982UL;
   tf->codes[35918] = 0x000e396ebeff9ceaUL;
   tf->codes[35919] = 0x000e48c1b8642060UL;
   tf->codes[35920] = 0x000e505ba718d9c7UL;
   tf->codes[35921] = 0x000e59417e7346c5UL;
   tf->codes[35922] = 0x000e63f0237db584UL;
   tf->codes[35923] = 0x000e69a228875c82UL;
   tf->codes[35924] = 0x000e6d33c3e76004UL;
   tf->codes[35925] = 0x000e7339f6895232UL;
   tf->codes[35926] = 0x000e8102cf5200c1UL;
   tf->codes[35927] = 0x000e8b4e2de4a786UL;
   tf->codes[35928] = 0x000e9a1145dffdf3UL;
   tf->codes[35929] = 0x000e9fc51f61d319UL;
   tf->codes[35930] = 0x000ea5ec7d0609dcUL;
   tf->codes[35931] = 0x000ead9b7720d60fUL;
   tf->codes[35932] = 0x000eb703eb7d2174UL;
   tf->codes[35933] = 0x000ec17ede447849UL;
   tf->codes[35934] = 0x000ed4f095bde70eUL;
   tf->codes[35935] = 0x000edb62c0127c74UL;
   tf->codes[35936] = 0x000ee6b0d483a090UL;
   tf->codes[35937] = 0x000ee6dbd58bdd3cUL;
   tf->codes[35938] = 0x000f178581ea43adUL;
   tf->codes[35939] = 0x000f4926743806fbUL;
   tf->codes[35940] = 0x000f4c59d16ac171UL;
   tf->codes[35941] = 0x000f58efb073314aUL;
   tf->codes[35942] = 0x000f6c14171701f5UL;
   tf->codes[35943] = 0x000f7ef27ec5ed26UL;
   tf->codes[35944] = 0x000f81992e61cb59UL;
   tf->codes[35945] = 0x000fb639cb9f3133UL;
   tf->codes[35946] = 0x000fc75b101c40e2UL;
   tf->codes[35947] = 0x000ff7c9b856d6c9UL;
   tf->codes[35948] = 0x0000196420af658cUL;
   tf->codes[35949] = 0x000022c19a3a9c01UL;
   tf->codes[35950] = 0x00002370d22ddf77UL;
   tf->codes[35951] = 0x0000484190fc73b1UL;
   tf->codes[35952] = 0x0000542d05cd193dUL;
   tf->codes[35953] = 0x00005f03780d73e2UL;
   tf->codes[35954] = 0x000074888f583d46UL;
   tf->codes[35955] = 0x0000783a6b7e6e49UL;
   tf->codes[35956] = 0x00007c7168cbbd2aUL;
   tf->codes[35957] = 0x0000976420147075UL;
   tf->codes[35958] = 0x000097c9eab177e6UL;
   tf->codes[35959] = 0x00009de5634882a5UL;
   tf->codes[35960] = 0x0000ad8956730085UL;
   tf->codes[35961] = 0x0000ae4c3a723429UL;
   tf->codes[35962] = 0x0000afbe1bd5a57eUL;
   tf->codes[35963] = 0x0000b7f40b8fbdb7UL;
   tf->codes[35964] = 0x0000c0acd2daba1cUL;
   tf->codes[35965] = 0x0000d4e58c61c45fUL;
   tf->codes[35966] = 0x0000e168e42960e3UL;
   tf->codes[35967] = 0x0000e5a7a87573eeUL;
   tf->codes[35968] = 0x0000e6cb895635daUL;
   tf->codes[35969] = 0x0000ea8d6897fabbUL;
   tf->codes[35970] = 0x0000eb9aa4298178UL;
   tf->codes[35971] = 0x0000f932c3f2631eUL;
   tf->codes[35972] = 0x0001079170aad4b8UL;
   tf->codes[35973] = 0x000108654201b34eUL;
   tf->codes[35974] = 0x00010e854dc53171UL;
   tf->codes[35975] = 0x000123b1deda4206UL;
   tf->codes[35976] = 0x000156f39713156aUL;
   tf->codes[35977] = 0x000157e4003fc531UL;
   tf->codes[35978] = 0x00016e10c30e13a6UL;
   tf->codes[35979] = 0x000173670e0fb10fUL;
   tf->codes[35980] = 0x00018acb5dcab19eUL;
   tf->codes[35981] = 0x0001a0b3466f3772UL;
   tf->codes[35982] = 0x0001a4e8a9d35df0UL;
   tf->codes[35983] = 0x0001b39a99e803a6UL;
   tf->codes[35984] = 0x0001bf3f6016b269UL;
   tf->codes[35985] = 0x0001c6354c38430fUL;
   tf->codes[35986] = 0x0001c6d9c3e9775aUL;
   tf->codes[35987] = 0x0001de7f7f6ce9ffUL;
   tf->codes[35988] = 0x0001dfc784933b81UL;
   tf->codes[35989] = 0x0001e00163ebef32UL;
   tf->codes[35990] = 0x0001f4755c25cfc4UL;
   tf->codes[35991] = 0x00020fd4803f31d1UL;
   tf->codes[35992] = 0x000253dfa66c6d64UL;
   tf->codes[35993] = 0x000270f8b9e55a2dUL;
   tf->codes[35994] = 0x00027437c1963ae2UL;
   tf->codes[35995] = 0x0002767ab59c4591UL;
   tf->codes[35996] = 0x00027a6f22560583UL;
   tf->codes[35997] = 0x00029e84147718f4UL;
   tf->codes[35998] = 0x0002c17107a9029fUL;
   tf->codes[35999] = 0x0002c3b7a49f699eUL;
   tf->codes[36000] = 0x0002d1ed24c7ccb4UL;
   tf->codes[36001] = 0x0002dbfd0a189765UL;
   tf->codes[36002] = 0x0002dcfc8c24c3f6UL;
   tf->codes[36003] = 0x0002f6d9cbbf20d0UL;
   tf->codes[36004] = 0x0003056a90d181f1UL;
   tf->codes[36005] = 0x000305f47fb418f8UL;
   tf->codes[36006] = 0x0003193c20616225UL;
   tf->codes[36007] = 0x00031eccbfd9bec9UL;
   tf->codes[36008] = 0x00033b88b9f07f5fUL;
   tf->codes[36009] = 0x000341c8915c1f79UL;
   tf->codes[36010] = 0x00036bc5beef3149UL;
   tf->codes[36011] = 0x000373bfc04961e4UL;
   tf->codes[36012] = 0x00037604fde5a645UL;
   tf->codes[36013] = 0x00037bbae66eaf58UL;
   tf->codes[36014] = 0x000380d9d63cd887UL;
   tf->codes[36015] = 0x00038b12e81db1bcUL;
   tf->codes[36016] = 0x00039fd51b69477cUL;
   tf->codes[36017] = 0x0003b22e61f114cfUL;
   tf->codes[36018] = 0x0003f5bbf366f0e9UL;
   tf->codes[36019] = 0x00041e02da8ad44dUL;
   tf->codes[36020] = 0x00042189f037ce69UL;
   tf->codes[36021] = 0x0004246501c3d5d5UL;
   tf->codes[36022] = 0x0004321fe6782473UL;
   tf->codes[36023] = 0x000470fbdf2c9d34UL;
   tf->codes[36024] = 0x00047be9a6694457UL;
   tf->codes[36025] = 0x00048aea0c1ea500UL;
   tf->codes[36026] = 0x0004a22c0c0c4421UL;
   tf->codes[36027] = 0x0004fcf0680fa4a7UL;
   tf->codes[36028] = 0x000511592ae96a84UL;
   tf->codes[36029] = 0x00054b112b853b28UL;
   tf->codes[36030] = 0x000555a66c8c297cUL;
   tf->codes[36031] = 0x00055a97277fc539UL;
   tf->codes[36032] = 0x00056d1ea2e21ffeUL;
   tf->codes[36033] = 0x000576f17507e638UL;
   tf->codes[36034] = 0x0005b2185dc3dd30UL;
   tf->codes[36035] = 0x0005b4e5f0599035UL;
   tf->codes[36036] = 0x0005b6eb5c168ae3UL;
   tf->codes[36037] = 0x0005c110c1eb73eaUL;
   tf->codes[36038] = 0x0005ca1c577498e1UL;
   tf->codes[36039] = 0x0005da7f108fe28bUL;
   tf->codes[36040] = 0x00060f4272b8b55dUL;
   tf->codes[36041] = 0x00060fbd0e2cc9d5UL;
   tf->codes[36042] = 0x0006133002afc839UL;
   tf->codes[36043] = 0x00061a66aaecb9a6UL;
   tf->codes[36044] = 0x000627b9b5fccce6UL;
   tf->codes[36045] = 0x0006422f4dac2c42UL;
   tf->codes[36046] = 0x0006466ec1a5509cUL;
   tf->codes[36047] = 0x00065400eee79c40UL;
   tf->codes[36048] = 0x0006544d55812346UL;
   tf->codes[36049] = 0x0006545e7d67d3fdUL;
   tf->codes[36050] = 0x0006819a3d8dbaf8UL;
   tf->codes[36051] = 0x000687afc39e2fb5UL;
   tf->codes[36052] = 0x000698be0bbc6085UL;
   tf->codes[36053] = 0x00069ae58cb7b6dcUL;
   tf->codes[36054] = 0x0006da1b306d0545UL;
   tf->codes[36055] = 0x000710bf2a6031e0UL;
   tf->codes[36056] = 0x00072eb2b163a490UL;
   tf->codes[36057] = 0x0007369647fd9fc1UL;
   tf->codes[36058] = 0x00073cecc4b87b0aUL;
   tf->codes[36059] = 0x00075c72e303981aUL;
   tf->codes[36060] = 0x00077a8d1271d9d7UL;
   tf->codes[36061] = 0x00078fd6eb09ccecUL;
   tf->codes[36062] = 0x00079404125123b6UL;
   tf->codes[36063] = 0x00079ec245591ac9UL;
   tf->codes[36064] = 0x0007a0646a9e4d7dUL;
   tf->codes[36065] = 0x0007a5747c1bffa7UL;
   tf->codes[36066] = 0x0007a78432fcfdf6UL;
   tf->codes[36067] = 0x0007ab4980a01962UL;
   tf->codes[36068] = 0x0007b65a0cc82d7dUL;
   tf->codes[36069] = 0x0007cd6f373561caUL;
   tf->codes[36070] = 0x0007dcb1f2ef4b9dUL;
   tf->codes[36071] = 0x0007e0f0b73b5ea8UL;
   tf->codes[36072] = 0x000802ee660bb565UL;
   tf->codes[36073] = 0x000832458790c0eeUL;
   tf->codes[36074] = 0x000867d618dccb05UL;
   tf->codes[36075] = 0x00086bb6646c8f3fUL;
   tf->codes[36076] = 0x000874eaebf6bcf5UL;
   tf->codes[36077] = 0x00088efb68b6262fUL;
   tf->codes[36078] = 0x00089d6a5319316cUL;
   tf->codes[36079] = 0x0008bebb138c7e65UL;
   tf->codes[36080] = 0x0008d3dbfa2368bbUL;
   tf->codes[36081] = 0x0008e286985755d1UL;
   tf->codes[36082] = 0x0009000af3d5d483UL;
   tf->codes[36083] = 0x0009254894932309UL;
   tf->codes[36084] = 0x000944f904396b76UL;
   tf->codes[36085] = 0x00096e5bcab046d7UL;
   tf->codes[36086] = 0x00099096c73aa7d0UL;
   tf->codes[36087] = 0x00099ced0ef2d3bbUL;
   tf->codes[36088] = 0x0009a0f318b14feeUL;
   tf->codes[36089] = 0x0009a6bd226454b9UL;
   tf->codes[36090] = 0x0009cb1ef03cfabaUL;
   tf->codes[36091] = 0x0009d6eeb773e629UL;
   tf->codes[36092] = 0x0009dbb730138a76UL;
   tf->codes[36093] = 0x0009ea88b1414c5eUL;
   tf->codes[36094] = 0x000a01b9c3d7408dUL;
   tf->codes[36095] = 0x000a12190e9133acUL;
   tf->codes[36096] = 0x000a12e7d79d9354UL;
   tf->codes[36097] = 0x000a2383faf38525UL;
   tf->codes[36098] = 0x000a34d2ff2d16bcUL;
   tf->codes[36099] = 0x000a36629d31761bUL;
   tf->codes[36100] = 0x000a4480c85d8cb3UL;
   tf->codes[36101] = 0x000a5cf0f44ff161UL;
   tf->codes[36102] = 0x000a650459ada267UL;
   tf->codes[36103] = 0x000a79f8dfe22d73UL;
   tf->codes[36104] = 0x000a92fcd0bd213fUL;
   tf->codes[36105] = 0x000a9362263c1d26UL;
   tf->codes[36106] = 0x000a994175e43a82UL;
   tf->codes[36107] = 0x000ab98c1217b399UL;
   tf->codes[36108] = 0x000ae58b027763c7UL;
   tf->codes[36109] = 0x000ae859f467396aUL;
   tf->codes[36110] = 0x000aeb5f574e6c33UL;
   tf->codes[36111] = 0x000b0d95fb3b5f8dUL;
   tf->codes[36112] = 0x000b1e18456fc569UL;
   tf->codes[36113] = 0x000b231bfcc24005UL;
   tf->codes[36114] = 0x000b30cd0b70968cUL;
   tf->codes[36115] = 0x000b31e1d371dbaeUL;
   tf->codes[36116] = 0x000b57611a86a20fUL;
   tf->codes[36117] = 0x000b584eff8e125fUL;
   tf->codes[36118] = 0x000b586111b0da2aUL;
   tf->codes[36119] = 0x000b64c00aa3e153UL;
   tf->codes[36120] = 0x000b675c6f1bbbe5UL;
   tf->codes[36121] = 0x000b67f4c730be67UL;
   tf->codes[36122] = 0x000b7d0dac39deceUL;
   tf->codes[36123] = 0x000b7f7205d133d7UL;
   tf->codes[36124] = 0x000ba9e36733b893UL;
   tf->codes[36125] = 0x000baa8d21be7191UL;
   tf->codes[36126] = 0x000bb1f5a7c64cc0UL;
   tf->codes[36127] = 0x000bc0e67f7e2515UL;
   tf->codes[36128] = 0x000be53c2dba994dUL;
   tf->codes[36129] = 0x000bf40daee85b35UL;
   tf->codes[36130] = 0x000bf9c2381741aaUL;
   tf->codes[36131] = 0x000c27337ef86eb7UL;
   tf->codes[36132] = 0x000c38c6e83dbd65UL;
   tf->codes[36133] = 0x000c4448aef1f96bUL;
   tf->codes[36134] = 0x000c46494cf37af0UL;
   tf->codes[36135] = 0x000c4695b38d01f6UL;
   tf->codes[36136] = 0x000c51792fa5a578UL;
   tf->codes[36137] = 0x000c51f18183803eUL;
   tf->codes[36138] = 0x000c5c89bbcdb993UL;
   tf->codes[36139] = 0x000c67957a3a5485UL;
   tf->codes[36140] = 0x000c6c66a414d410UL;
   tf->codes[36141] = 0x000c77613a9abe4bUL;
   tf->codes[36142] = 0x000c77f32b0b1f41UL;
   tf->codes[36143] = 0x000c7dc3d6f1cb5dUL;
   tf->codes[36144] = 0x000c852c226aa0c7UL;
   tf->codes[36145] = 0x000c956af1cf60a0UL;
   tf->codes[36146] = 0x000c9eeaf5b6fe48UL;
   tf->codes[36147] = 0x000cc16a1cbe1693UL;
   tf->codes[36148] = 0x000cc6ed77cf2495UL;
   tf->codes[36149] = 0x000cd540ef277b7aUL;
   tf->codes[36150] = 0x000cdb2baebeb950UL;
   tf->codes[36151] = 0x000cf1f4380360d2UL;
   tf->codes[36152] = 0x000d0f1637462e9eUL;
   tf->codes[36153] = 0x000d1a63d6994730UL;
   tf->codes[36154] = 0x000d1dbf3b90f351UL;
   tf->codes[36155] = 0x000d298c44139984UL;
   tf->codes[36156] = 0x000d2fbed717eafcUL;
   tf->codes[36157] = 0x000d475af7246b4fUL;
   tf->codes[36158] = 0x000d5a728e7ef8e2UL;
   tf->codes[36159] = 0x000d5d34ebb49132UL;
   tf->codes[36160] = 0x000d66292c4169abUL;
   tf->codes[36161] = 0x000d6a8ff8526e61UL;
   tf->codes[36162] = 0x000d709c9299021bUL;
   tf->codes[36163] = 0x000d75b012780ad0UL;
   tf->codes[36164] = 0x000d8540ceb4a40cUL;
   tf->codes[36165] = 0x000d8690604ab3f3UL;
   tf->codes[36166] = 0x000d9475d0e933b3UL;
   tf->codes[36167] = 0x000db792cd6dd8f8UL;
   tf->codes[36168] = 0x000db7a9e7db1fb1UL;
   tf->codes[36169] = 0x000dc13e477bbed6UL;
   tf->codes[36170] = 0x000dc9c6cae4f9dcUL;
   tf->codes[36171] = 0x000dca319dcc803bUL;
   tf->codes[36172] = 0x000de4b9f74bb8b1UL;
   tf->codes[36173] = 0x000dfb95f20d4a9cUL;
   tf->codes[36174] = 0x000e0388a186c297UL;
   tf->codes[36175] = 0x000e1446da1b1011UL;
   tf->codes[36176] = 0x000e16848b47960dUL;
   tf->codes[36177] = 0x000e168c52465a37UL;
   tf->codes[36178] = 0x000e17bfc124a477UL;
   tf->codes[36179] = 0x000e4cb8e497c320UL;
   tf->codes[36180] = 0x000e5dbf65b72fc6UL;
   tf->codes[36181] = 0x000e6394df59550bUL;
   tf->codes[36182] = 0x000e86d79a0cb249UL;
   tf->codes[36183] = 0x000eb7e7c0b5317aUL;
   tf->codes[36184] = 0x000ebea985759eacUL;
   tf->codes[36185] = 0x000ecf0e1309167eUL;
   tf->codes[36186] = 0x000ed584d08a1f48UL;
   tf->codes[36187] = 0x000ee955eafbf3f2UL;
   tf->codes[36188] = 0x000ee9df64c07f6fUL;
   tf->codes[36189] = 0x000eef45ed6cb67bUL;
   tf->codes[36190] = 0x000eef73ad293863UL;
   tf->codes[36191] = 0x000ef41333c7d3f1UL;
   tf->codes[36192] = 0x000f00cf80ac0d12UL;
   tf->codes[36193] = 0x000f105ba9bc32eaUL;
   tf->codes[36194] = 0x000f1393d4aa6689UL;
   tf->codes[36195] = 0x000f1e5e274e8f65UL;
   tf->codes[36196] = 0x000f29183c481e9eUL;
   tf->codes[36197] = 0x000f4fbed29efd76UL;
   tf->codes[36198] = 0x000f92fa4583c24dUL;
   tf->codes[36199] = 0x000fae8e40ab591dUL;
   tf->codes[36200] = 0x000fbad5aa130e03UL;
   tf->codes[36201] = 0x000ff10aed9f522aUL;
   tf->codes[36202] = 0x0000124edec95c0bUL;
   tf->codes[36203] = 0x0000153bc7e9257dUL;
   tf->codes[36204] = 0x0000296fee43bc5cUL;
   tf->codes[36205] = 0x0000458c78f3c795UL;
   tf->codes[36206] = 0x0000566958651a2dUL;
   tf->codes[36207] = 0x000059ee247bda97UL;
   tf->codes[36208] = 0x0000643898d26a48UL;
   tf->codes[36209] = 0x00006859db0c950eUL;
   tf->codes[36210] = 0x00006afdcbf42e05UL;
   tf->codes[36211] = 0x00006e1d07fcecc3UL;
   tf->codes[36212] = 0x00007127389f98b5UL;
   tf->codes[36213] = 0x000072db70079334UL;
   tf->codes[36214] = 0x00007b458722cee1UL;
   tf->codes[36215] = 0x000081bb1fd8bad2UL;
   tf->codes[36216] = 0x0000a5e30e58ad22UL;
   tf->codes[36217] = 0x0000a9df7ca03703UL;
   tf->codes[36218] = 0x0000b682da9efb43UL;
   tf->codes[36219] = 0x0000c9ae58947ec9UL;
   tf->codes[36220] = 0x0000db88707bc440UL;
   tf->codes[36221] = 0x0000e56d8f53580aUL;
   tf->codes[36222] = 0x0000f06a6f6f7bf7UL;
   tf->codes[36223] = 0x0000f231ddc55b1aUL;
   tf->codes[36224] = 0x000105446cd569bfUL;
   tf->codes[36225] = 0x000115871fb98badUL;
   tf->codes[36226] = 0x00011d2b94214e7aUL;
   tf->codes[36227] = 0x0001207f6ca93c36UL;
   tf->codes[36228] = 0x000136bc32931e89UL;
   tf->codes[36229] = 0x00013877814ccbe3UL;
   tf->codes[36230] = 0x00015607874970d4UL;
   tf->codes[36231] = 0x00015a1900f70d81UL;
   tf->codes[36232] = 0x00016d1f35dbe498UL;
   tf->codes[36233] = 0x00016d5c8395eed4UL;
   tf->codes[36234] = 0x00016dc19e85e4f6UL;
   tf->codes[36235] = 0x00017111ce1d7662UL;
   tf->codes[36236] = 0x00017a88abac2d42UL;
   tf->codes[36237] = 0x000193cb842a53adUL;
   tf->codes[36238] = 0x00019ab58b3eb84fUL;
   tf->codes[36239] = 0x0001a08880bb9e1dUL;
   tf->codes[36240] = 0x0001ad1748725b1bUL;
   tf->codes[36241] = 0x0001c5d992f5d70cUL;
   tf->codes[36242] = 0x0001c833a1692874UL;
   tf->codes[36243] = 0x0001c942b172dd59UL;
   tf->codes[36244] = 0x0001ce1d76c44f36UL;
   tf->codes[36245] = 0x0001db58f2491033UL;
   tf->codes[36246] = 0x0001f38da4f998cdUL;
   tf->codes[36247] = 0x0002010c262ff443UL;
   tf->codes[36248] = 0x000219c8439dd46dUL;
   tf->codes[36249] = 0x00022d1fe766b178UL;
   tf->codes[36250] = 0x0002322622de6b8bUL;
   tf->codes[36251] = 0x00023a6414264db3UL;
   tf->codes[36252] = 0x00024c086ac34753UL;
   tf->codes[36253] = 0x000254282a4c2fe7UL;
   tf->codes[36254] = 0x00025818b3868dc4UL;
   tf->codes[36255] = 0x0002592be19eaa83UL;
   tf->codes[36256] = 0x00028653bb299b8bUL;
   tf->codes[36257] = 0x00029c7ac60059c3UL;
   tf->codes[36258] = 0x0002b543ed4682caUL;
   tf->codes[36259] = 0x0002da4b579b79efUL;
   tf->codes[36260] = 0x0002dadafe75a133UL;
   tf->codes[36261] = 0x0002f259d6ff3f06UL;
   tf->codes[36262] = 0x000303ded7122239UL;
   tf->codes[36263] = 0x0003142c4a385352UL;
   tf->codes[36264] = 0x00031509b706243aUL;
   tf->codes[36265] = 0x00031a5be3f959c9UL;
   tf->codes[36266] = 0x000321b51692b269UL;
   tf->codes[36267] = 0x000325584ef7722cUL;
   tf->codes[36268] = 0x00032ab11e1e4f0cUL;
   tf->codes[36269] = 0x00032c10ed5ef896UL;
   tf->codes[36270] = 0x00032e8584a0e742UL;
   tf->codes[36271] = 0x00032ea933c86b4eUL;
   tf->codes[36272] = 0x000348c3c11cd264UL;
   tf->codes[36273] = 0x000370c2d4d3a226UL;
   tf->codes[36274] = 0x00037bbde07797ebUL;
   tf->codes[36275] = 0x00037e1b97db45a3UL;
   tf->codes[36276] = 0x00039875bc7ff0a7UL;
   tf->codes[36277] = 0x0003ac6f53d4c286UL;
   tf->codes[36278] = 0x0003ae8955d9c476UL;
   tf->codes[36279] = 0x0003c9ec98018e5dUL;
   tf->codes[36280] = 0x0003cab95206ba18UL;
   tf->codes[36281] = 0x0003ddc788795b1eUL;
   tf->codes[36282] = 0x0003e6c39004f7c1UL;
   tf->codes[36283] = 0x0003f2ee9c25e13bUL;
   tf->codes[36284] = 0x0004ae71dc506e36UL;
   tf->codes[36285] = 0x00052e936a2a3974UL;
   tf->codes[36286] = 0x00054488d1c513afUL;
   tf->codes[36287] = 0x00055450e9352125UL;
   tf->codes[36288] = 0x00059248d2e821adUL;
   tf->codes[36289] = 0x00059f962600a4b0UL;
   tf->codes[36290] = 0x0005a554101777b2UL;
   tf->codes[36291] = 0x0005cca7cf5a6613UL;
   tf->codes[36292] = 0x0005dcb7f4c68cf0UL;
   tf->codes[36293] = 0x0005eaf2081b636aUL;
   tf->codes[36294] = 0x0005f6bf85bc1527UL;
   tf->codes[36295] = 0x00061e4731d12137UL;
   tf->codes[36296] = 0x00062f972046c9e2UL;
   tf->codes[36297] = 0x000648d8d3f9d374UL;
   tf->codes[36298] = 0x000669c6136652aeUL;
   tf->codes[36299] = 0x00066d7655a35b4eUL;
   tf->codes[36300] = 0x00067102ae29da1dUL;
   tf->codes[36301] = 0x0006a97986620655UL;
   tf->codes[36302] = 0x0006cf0b1a289a46UL;
   tf->codes[36303] = 0x0006e5531572974eUL;
   tf->codes[36304] = 0x0006f78c905242aaUL;
   tf->codes[36305] = 0x000700f3a5546b71UL;
   tf->codes[36306] = 0x0007123fb04ab207UL;
   tf->codes[36307] = 0x00071fcf1ed8b86fUL;
   tf->codes[36308] = 0x000728530f158011UL;
   tf->codes[36309] = 0x000747256240e647UL;
   tf->codes[36310] = 0x00074a537c9a1c0aUL;
   tf->codes[36311] = 0x000784e36c9b331eUL;
   tf->codes[36312] = 0x00078ed6f4a53263UL;
   tf->codes[36313] = 0x0007d08b05a2678fUL;
   tf->codes[36314] = 0x0007ddb72db8a5fdUL;
   tf->codes[36315] = 0x0007eecf866bd4a9UL;
   tf->codes[36316] = 0x00082516dc1ae09bUL;
   tf->codes[36317] = 0x00082d503a364f5fUL;
   tf->codes[36318] = 0x00085c315373b9d4UL;
   tf->codes[36319] = 0x0008644443b35f50UL;
   tf->codes[36320] = 0x00086a1230e5c630UL;
   tf->codes[36321] = 0x00086de4c2f0303eUL;
   tf->codes[36322] = 0x000876b9acf2f24aUL;
   tf->codes[36323] = 0x00088ee06b8f1af3UL;
   tf->codes[36324] = 0x000897353cb53e0fUL;
   tf->codes[36325] = 0x0008c1fca0283c23UL;
   tf->codes[36326] = 0x0008ea042a8ae15eUL;
   tf->codes[36327] = 0x0008f66532851c74UL;
   tf->codes[36328] = 0x000907defd37e4f2UL;
   tf->codes[36329] = 0x00091bec7b27acc4UL;
   tf->codes[36330] = 0x00093573f340960bUL;
   tf->codes[36331] = 0x00094e67a670f034UL;
   tf->codes[36332] = 0x000957fc40a0951eUL;
   tf->codes[36333] = 0x00095a2d97a1e38cUL;
   tf->codes[36334] = 0x00096371ad299996UL;
   tf->codes[36335] = 0x00096afa39689c81UL;
   tf->codes[36336] = 0x0009727b73c6e6ccUL;
   tf->codes[36337] = 0x0009d5dd240a8f5fUL;
   tf->codes[36338] = 0x0009ef97299b73b7UL;
   tf->codes[36339] = 0x000a003ebce08602UL;
   tf->codes[36340] = 0x000a059925f08b45UL;
   tf->codes[36341] = 0x000a0dec97bc8bc3UL;
   tf->codes[36342] = 0x000a13ffd436c6ceUL;
   tf->codes[36343] = 0x000a16b14414b42cUL;
   tf->codes[36344] = 0x000a19adbb3205f2UL;
   tf->codes[36345] = 0x000a25ab07966d84UL;
   tf->codes[36346] = 0x000a39b760bb187dUL;
   tf->codes[36347] = 0x000a45675c49e1f5UL;
   tf->codes[36348] = 0x000a4d907cbab716UL;
   tf->codes[36349] = 0x000a53f01fce7927UL;
   tf->codes[36350] = 0x000a62043a6591e3UL;
   tf->codes[36351] = 0x000a677e348eb358UL;
   tf->codes[36352] = 0x000ace1fd6bf53b4UL;
   tf->codes[36353] = 0x000af0c2e77cf5d0UL;
   tf->codes[36354] = 0x000af5c713ed7bf6UL;
   tf->codes[36355] = 0x000b15dd13a1c60fUL;
   tf->codes[36356] = 0x000b15f7275257c9UL;
   tf->codes[36357] = 0x000b1b7c916a99b8UL;
   tf->codes[36358] = 0x000b21469b1d9e83UL;
   tf->codes[36359] = 0x000b43439a40e3f1UL;
   tf->codes[36360] = 0x000b774c8f165898UL;
   tf->codes[36361] = 0x000b78ebbb18404bUL;
   tf->codes[36362] = 0x000b7c49a4352be3UL;
   tf->codes[36363] = 0x000b87e5440af3deUL;
   tf->codes[36364] = 0x000b8cc3b24cc20bUL;
   tf->codes[36365] = 0x000bacaa92ea679eUL;
   tf->codes[36366] = 0x000bdb7073ac2380UL;
   tf->codes[36367] = 0x000be3dac55664f2UL;
   tf->codes[36368] = 0x000bec6139b86c0bUL;
   tf->codes[36369] = 0x000c0f1cc43d777eUL;
   tf->codes[36370] = 0x000c1882ef038931UL;
   tf->codes[36371] = 0x000c3e7a12d81eceUL;
   tf->codes[36372] = 0x000c7f700d91997fUL;
   tf->codes[36373] = 0x000c8c30eda24604UL;
   tf->codes[36374] = 0x000ca1c30ec55845UL;
   tf->codes[36375] = 0x000cd02708696ecbUL;
   tf->codes[36376] = 0x000cd8e6ac771846UL;
   tf->codes[36377] = 0x000cf31fe0a8847aUL;
   tf->codes[36378] = 0x000cfaa7481c6a8cUL;
   tf->codes[36379] = 0x000d033807a27546UL;
   tf->codes[36380] = 0x000d077c0ec80d04UL;
   tf->codes[36381] = 0x000d09d0da61d9b9UL;
   tf->codes[36382] = 0x000d20eb8237987eUL;
   tf->codes[36383] = 0x000d268cd4789a4fUL;
   tf->codes[36384] = 0x000d2b6256f08779UL;
   tf->codes[36385] = 0x000d3064e977e53cUL;
   tf->codes[36386] = 0x000d4499fa0e932fUL;
   tf->codes[36387] = 0x000d48dd5187199eUL;
   tf->codes[36388] = 0x000d63c214bb6cf8UL;
   tf->codes[36389] = 0x000d7cd050ba6465UL;
   tf->codes[36390] = 0x000d9134f585c268UL;
   tf->codes[36391] = 0x000d9941f33ed1e2UL;
   tf->codes[36392] = 0x000d9ee30af0cdeeUL;
   tf->codes[36393] = 0x000da2ca6dd24503UL;
   tf->codes[36394] = 0x000db16f540ea1dcUL;
   tf->codes[36395] = 0x000db215a038044fUL;
   tf->codes[36396] = 0x000dbad802f9f306UL;
   tf->codes[36397] = 0x000dea35c6b2a5e0UL;
   tf->codes[36398] = 0x000ded3c88f3fb47UL;
   tf->codes[36399] = 0x000dee6b64a5d223UL;
   tf->codes[36400] = 0x000e0384beccfe14UL;
   tf->codes[36401] = 0x000e1a1e638a06d5UL;
   tf->codes[36402] = 0x000e1fcd6f5062d2UL;
   tf->codes[36403] = 0x000e217ee8041815UL;
   tf->codes[36404] = 0x000e23dc9f67c5cdUL;
   tf->codes[36405] = 0x000e2e2997e394f5UL;
   tf->codes[36406] = 0x000e488e07ac439aUL;
   tf->codes[36407] = 0x000e516f866942f9UL;
   tf->codes[36408] = 0x000e55e9c3f73218UL;
   tf->codes[36409] = 0x000e7dfb997ddaf4UL;
   tf->codes[36410] = 0x000e7e58ed6f0cecUL;
   tf->codes[36411] = 0x000eafee353ea9fbUL;
   tf->codes[36412] = 0x000eb3d7a72754fdUL;
   tf->codes[36413] = 0x000ec8f2d5c6af16UL;
   tf->codes[36414] = 0x000ee8bdce3b94c7UL;
   tf->codes[36415] = 0x000efa36aeb24631UL;
   tf->codes[36416] = 0x000f0738104f4db8UL;
   tf->codes[36417] = 0x000f0d5b8a742266UL;
   tf->codes[36418] = 0x000f21049d210565UL;
   tf->codes[36419] = 0x000f250145f7950bUL;
   tf->codes[36420] = 0x000f2e7e509be7b2UL;
   tf->codes[36421] = 0x000f55ff1fee46acUL;
   tf->codes[36422] = 0x000f5bb78c9c8f36UL;
   tf->codes[36423] = 0x000f63f80209b0d5UL;
   tf->codes[36424] = 0x000f65d5a090bf9dUL;
   tf->codes[36425] = 0x000f7c3a6e3f939bUL;
   tf->codes[36426] = 0x000f862c96ef7042UL;
   tf->codes[36427] = 0x000f99bf044d1812UL;
   tf->codes[36428] = 0x000fe7030aa1eefaUL;
   tf->codes[36429] = 0x000fe8bf4397b368UL;
   tf->codes[36430] = 0x000ff3fbf5932108UL;
   tf->codes[36431] = 0x000005cef628b3a4UL;
   tf->codes[36432] = 0x00000c5c9387fd62UL;
   tf->codes[36433] = 0x00002ea7589eec74UL;
   tf->codes[36434] = 0x0000344208ac46f4UL;
   tf->codes[36435] = 0x000070f6baf46f23UL;
   tf->codes[36436] = 0x0000a442f8e04bedUL;
   tf->codes[36437] = 0x0000aac38c674cceUL;
   tf->codes[36438] = 0x0000bc2bf4a45ed0UL;
   tf->codes[36439] = 0x0000d18f313fd250UL;
   tf->codes[36440] = 0x0000d930ac644a1cUL;
   tf->codes[36441] = 0x0000df0a7ea3dd00UL;
   tf->codes[36442] = 0x0000e38d6d6ca75dUL;
   tf->codes[36443] = 0x0000e46dd37dc346UL;
   tf->codes[36444] = 0x0000fc117ffa01feUL;
   tf->codes[36445] = 0x0001096624f33da1UL;
   tf->codes[36446] = 0x00010b313c397914UL;
   tf->codes[36447] = 0x00011b4a12e07b2fUL;
   tf->codes[36448] = 0x000174514bb20033UL;
   tf->codes[36449] = 0x00017495b0bdbd4aUL;
   tf->codes[36450] = 0x00018ed80b481046UL;
   tf->codes[36451] = 0x000194b54be8f9b5UL;
   tf->codes[36452] = 0x00019e58c46915a4UL;
   tf->codes[36453] = 0x0001c50f234c8295UL;
   tf->codes[36454] = 0x0001d6e4a80754a8UL;
   tf->codes[36455] = 0x0001eb9454121713UL;
   tf->codes[36456] = 0x000207b5ac7d9b75UL;
   tf->codes[36457] = 0x000222f037336262UL;
   tf->codes[36458] = 0x0002398d4a51c1aeUL;
   tf->codes[36459] = 0x00025c2e4c082fddUL;
   tf->codes[36460] = 0x00026ee312090100UL;
   tf->codes[36461] = 0x00026f7f130e5fd2UL;
   tf->codes[36462] = 0x000273988e49c66eUL;
   tf->codes[36463] = 0x00027d7277c13f83UL;
   tf->codes[36464] = 0x00028a9245ac4663UL;
   tf->codes[36465] = 0x0002988de67bf5c8UL;
   tf->codes[36466] = 0x00029a0a88217648UL;
   tf->codes[36467] = 0x00029b72ce0df54bUL;
   tf->codes[36468] = 0x0002d496cf32310cUL;
   tf->codes[36469] = 0x0002d7b520fed8b6UL;
   tf->codes[36470] = 0x0002fe730c52040cUL;
   tf->codes[36471] = 0x00030a5a28853bf9UL;
   tf->codes[36472] = 0x0003398439fad6e9UL;
   tf->codes[36473] = 0x0003971369dfa538UL;
   tf->codes[36474] = 0x0003a4f65658e581UL;
   tf->codes[36475] = 0x0003abfe8f2c43b7UL;
   tf->codes[36476] = 0x0003ae0609f07252UL;
   tf->codes[36477] = 0x0003b7fdea97df36UL;
   tf->codes[36478] = 0x0003d187ac47022fUL;
   tf->codes[36479] = 0x0003d631f327ace8UL;
   tf->codes[36480] = 0x0003d996f3964b5bUL;
   tf->codes[36481] = 0x0003db8f900a02f1UL;
   tf->codes[36482] = 0x0003e84d76d76475UL;
   tf->codes[36483] = 0x00049b38a59b2e16UL;
   tf->codes[36484] = 0x0004a5e27cea23acUL;
   tf->codes[36485] = 0x0004ca3e92cb3970UL;
   tf->codes[36486] = 0x0004e8aaa63b8cabUL;
   tf->codes[36487] = 0x0004eaab443d0e30UL;
   tf->codes[36488] = 0x0005131da18739caUL;
   tf->codes[36489] = 0x0005162a90de2af8UL;
   tf->codes[36490] = 0x000523ebdd371b22UL;
   tf->codes[36491] = 0x0005380a487e8de6UL;
   tf->codes[36492] = 0x000545292c2d7db2UL;
   tf->codes[36493] = 0x0005577fb40105c9UL;
   tf->codes[36494] = 0x000566b02309220cUL;
   tf->codes[36495] = 0x00056a744be1209fUL;
   tf->codes[36496] = 0x0005747eb3c960d8UL;
   tf->codes[36497] = 0x0005903991eacc7aUL;
   tf->codes[36498] = 0x000595d566c343d3UL;
   tf->codes[36499] = 0x0005a908abb78b83UL;
   tf->codes[36500] = 0x0005aa6a14e15d70UL;
   tf->codes[36501] = 0x0005d5cffd7ef9cdUL;
   tf->codes[36502] = 0x000602f134d64384UL;
   tf->codes[36503] = 0x00061bf057f5be27UL;
   tf->codes[36504] = 0x00063c387003f7c7UL;
   tf->codes[36505] = 0x00065409dc3cb867UL;
   tf->codes[36506] = 0x000658dd8a3c7769UL;
   tf->codes[36507] = 0x00065ca0192b4d99UL;
   tf->codes[36508] = 0x0006877f0c299df0UL;
   tf->codes[36509] = 0x00068b5cd39422b3UL;
   tf->codes[36510] = 0x00068c0b96695a9fUL;
   tf->codes[36511] = 0x00068e8a3e404727UL;
   tf->codes[36512] = 0x00068ffe2eaaec69UL;
   tf->codes[36513] = 0x0006a719862dbc7dUL;
   tf->codes[36514] = 0x0006ab6086969f3cUL;
   tf->codes[36515] = 0x0006b14ca587ffb0UL;
   tf->codes[36516] = 0x0006b4af96ef6a36UL;
   tf->codes[36517] = 0x0006fc4874fd4736UL;
   tf->codes[36518] = 0x00070c72e8a90592UL;
   tf->codes[36519] = 0x000736b64fc002a1UL;
   tf->codes[36520] = 0x000737d980f3b33eUL;
   tf->codes[36521] = 0x000747848b6fe3f9UL;
   tf->codes[36522] = 0x00079db2120f842fUL;
   tf->codes[36523] = 0x0007a265b9d81b75UL;
   tf->codes[36524] = 0x0007a79cae4fa271UL;
   tf->codes[36525] = 0x0007dcb9f60850b0UL;
   tf->codes[36526] = 0x0007ec94cf483740UL;
   tf->codes[36527] = 0x0007f3dc64dcd39fUL;
   tf->codes[36528] = 0x0007fd6fda415bb0UL;
   tf->codes[36529] = 0x00081d096a096329UL;
   tf->codes[36530] = 0x00082f8ffb2fa6daUL;
   tf->codes[36531] = 0x0008408937e7c4deUL;
   tf->codes[36532] = 0x00088c34b46e5b64UL;
   tf->codes[36533] = 0x0008accca1777295UL;
   tf->codes[36534] = 0x0008b9e1af206a4aUL;
   tf->codes[36535] = 0x0008bb409424fcc0UL;
   tf->codes[36536] = 0x0008eefe0c9d0175UL;
   tf->codes[36537] = 0x0008fc131a45f92aUL;
   tf->codes[36538] = 0x00090d14931ae6e2UL;
   tf->codes[36539] = 0x000910ec2d6fcfdeUL;
   tf->codes[36540] = 0x00091359ad600bafUL;
   tf->codes[36541] = 0x00091c6458ad1992UL;
   tf->codes[36542] = 0x00092d985efa025bUL;
   tf->codes[36543] = 0x0009357a9639daeeUL;
   tf->codes[36544] = 0x0009386b62d90675UL;
   tf->codes[36545] = 0x00097e7e3e597668UL;
   tf->codes[36546] = 0x00099abe3da1ffe8UL;
   tf->codes[36547] = 0x00099db4fcc7c171UL;
   tf->codes[36548] = 0x0009e6bc1348b376UL;
   tf->codes[36549] = 0x0009f7eb4bda2316UL;
   tf->codes[36550] = 0x000a175581fc8044UL;
   tf->codes[36551] = 0x000a30db602c4128UL;
   tf->codes[36552] = 0x000a316882e128f5UL;
   tf->codes[36553] = 0x000a6eaeeb0aac55UL;
   tf->codes[36554] = 0x000aae67db6eea74UL;
   tf->codes[36555] = 0x000ac707d62504f7UL;
   tf->codes[36556] = 0x000ae61826b786b8UL;
   tf->codes[36557] = 0x000afa8f52c3b810UL;
   tf->codes[36558] = 0x000b080e0e89194bUL;
   tf->codes[36559] = 0x000b1a1202ad7e95UL;
   tf->codes[36560] = 0x000b326e0d75e78bUL;
   tf->codes[36561] = 0x000b398683f3df64UL;
   tf->codes[36562] = 0x000b433e582cfcd0UL;
   tf->codes[36563] = 0x000b49ab7a371348UL;
   tf->codes[36564] = 0x000b5275de86cbeeUL;
   tf->codes[36565] = 0x000b6b75ebe25da5UL;
   tf->codes[36566] = 0x000b72fbf3fc2119UL;
   tf->codes[36567] = 0x000b8471db2f8782UL;
   tf->codes[36568] = 0x000b9ccbd6f0bc8bUL;
   tf->codes[36569] = 0x000b9dfde674e42dUL;
   tf->codes[36570] = 0x000ba191cb6b2161UL;
   tf->codes[36571] = 0x000bb55b93fc3d6bUL;
   tf->codes[36572] = 0x000bc7acd8f640cfUL;
   tf->codes[36573] = 0x000bd90af60f4f30UL;
   tf->codes[36574] = 0x000bf30074e20f9cUL;
   tf->codes[36575] = 0x000bf99aa6fb96adUL;
   tf->codes[36576] = 0x000bfa12be4a6baeUL;
   tf->codes[36577] = 0x000c1481ee55297eUL;
   tf->codes[36578] = 0x000c2b686ec9c4cfUL;
   tf->codes[36579] = 0x000c2bf2d2ca6760UL;
   tf->codes[36580] = 0x000c3b06a9fcb272UL;
   tf->codes[36581] = 0x000c431073e37126UL;
   tf->codes[36582] = 0x000c4c5623544f93UL;
   tf->codes[36583] = 0x000c5537dca054b7UL;
   tf->codes[36584] = 0x000c62fc975a9b6cUL;
   tf->codes[36585] = 0x000c79debf31c91eUL;
   tf->codes[36586] = 0x000ca0466de57557UL;
   tf->codes[36587] = 0x000cb423e282818fUL;
   tf->codes[36588] = 0x000cb80cdf4d2107UL;
   tf->codes[36589] = 0x000cbbff778eb2d1UL;
   tf->codes[36590] = 0x000cd8010452153cUL;
   tf->codes[36591] = 0x000cd8352bb338b0UL;
   tf->codes[36592] = 0x000cef1076c7b94cUL;
   tf->codes[36593] = 0x000cfff223f4850dUL;
   tf->codes[36594] = 0x000d06b42343f804UL;
   tf->codes[36595] = 0x000d08ded8119f21UL;
   tf->codes[36596] = 0x000d14b95f8a99bbUL;
   tf->codes[36597] = 0x000d2560b840a641UL;
   tf->codes[36598] = 0x000d28f33ddcc0d7UL;
   tf->codes[36599] = 0x000d396f206c8527UL;
   tf->codes[36600] = 0x000d437feff966ecUL;
   tf->codes[36601] = 0x000d69b426f90100UL;
   tf->codes[36602] = 0x000d714021995a76UL;
   tf->codes[36603] = 0x000d718b28d8bedeUL;
   tf->codes[36604] = 0x000d76ca93fc1b53UL;
   tf->codes[36605] = 0x000d7b2d076fb26aUL;
   tf->codes[36606] = 0x000db5bcf770c97eUL;
   tf->codes[36607] = 0x000db8b341787f7dUL;
   tf->codes[36608] = 0x000db924f122b2f2UL;
   tf->codes[36609] = 0x000dbbe838946256UL;
   tf->codes[36610] = 0x000dccf88fb9c713UL;
   tf->codes[36611] = 0x000dd39ac3611813UL;
   tf->codes[36612] = 0x000ddc870260269dUL;
   tf->codes[36613] = 0x000df5969db940a8UL;
   tf->codes[36614] = 0x000e11f4cec0c3bcUL;
   tf->codes[36615] = 0x000e13a55d3861ebUL;
   tf->codes[36616] = 0x000e1c06c318c25aUL;
   tf->codes[36617] = 0x000e2592717e8641UL;
   tf->codes[36618] = 0x000e472254240b9eUL;
   tf->codes[36619] = 0x000e4ed2e8280034UL;
   tf->codes[36620] = 0x000e5f352c253e54UL;
   tf->codes[36621] = 0x000e67c5768d3d84UL;
   tf->codes[36622] = 0x000e84554ad0a495UL;
   tf->codes[36623] = 0x000e91bb17b090efUL;
   tf->codes[36624] = 0x000e97df7c117cb1UL;
   tf->codes[36625] = 0x000e99de8029d5d3UL;
   tf->codes[36626] = 0x000eac53aeda6308UL;
   tf->codes[36627] = 0x000ead135f0745e6UL;
   tf->codes[36628] = 0x000ec55b0e16ad5fUL;
   tf->codes[36629] = 0x000ecf565d1f70ceUL;
   tf->codes[36630] = 0x000ecfca90eee3baUL;
   tf->codes[36631] = 0x000ed2154bf3b293UL;
   tf->codes[36632] = 0x000ede956fe8fe51UL;
   tf->codes[36633] = 0x000ef6d4a84c9051UL;
   tf->codes[36634] = 0x000f0dc20583d8b8UL;
   tf->codes[36635] = 0x000f1a3ebb17cdebUL;
   tf->codes[36636] = 0x000f2be177cb9f28UL;
   tf->codes[36637] = 0x000f2e8a70fdb70dUL;
   tf->codes[36638] = 0x000f3bf804dc6791UL;
   tf->codes[36639] = 0x000f468160d629e1UL;
   tf->codes[36640] = 0x000f5a5b2c82d9c9UL;
   tf->codes[36641] = 0x000f66c7a46c3559UL;
   tf->codes[36642] = 0x000f8bcba05fd5f3UL;
   tf->codes[36643] = 0x000fb088b32279ffUL;
   tf->codes[36644] = 0x000fb5637873ebdcUL;
   tf->codes[36645] = 0x000fd2cbebc9aaacUL;
   tf->codes[36646] = 0x000fe59ee3897563UL;
   tf->codes[36647] = 0x00000b700ea04d42UL;
   tf->codes[36648] = 0x00000c9e3aa512cfUL;
   tf->codes[36649] = 0x0000247474994c98UL;
   tf->codes[36650] = 0x00002d3fc3251c52UL;
   tf->codes[36651] = 0x00003daab85d35b0UL;
   tf->codes[36652] = 0x00004fbc6606f526UL;
   tf->codes[36653] = 0x00006616e891c583UL;
   tf->codes[36654] = 0x00006ad1e23b1569UL;
   tf->codes[36655] = 0x0000bb1ad6591390UL;
   tf->codes[36656] = 0x0000c007adcd4d38UL;
   tf->codes[36657] = 0x0000c2d41b97e364UL;
   tf->codes[36658] = 0x0000cb7cdfc74bebUL;
   tf->codes[36659] = 0x0000d3a1e229b932UL;
   tf->codes[36660] = 0x0000f5f72cf3b1aaUL;
   tf->codes[36661] = 0x0000ff1967cc11d0UL;
   tf->codes[36662] = 0x000118dbe408cba1UL;
   tf->codes[36663] = 0x00011fb7475bbf03UL;
   tf->codes[36664] = 0x000120d82ef935eeUL;
   tf->codes[36665] = 0x0001255356c33c21UL;
   tf->codes[36666] = 0x000126b744124d85UL;
   tf->codes[36667] = 0x00013d854abf7f7fUL;
   tf->codes[36668] = 0x00014b23d22d02b1UL;
   tf->codes[36669] = 0x00015551aeadc131UL;
   tf->codes[36670] = 0x00016678ab22611dUL;
   tf->codes[36671] = 0x0001782712545899UL;
   tf->codes[36672] = 0x00017a2775c6d459UL;
   tf->codes[36673] = 0x00018713cbfdc914UL;
   tf->codes[36674] = 0x00019d3a272775fdUL;
   tf->codes[36675] = 0x0001afc3b19104afUL;
   tf->codes[36676] = 0x0001f4116851cf31UL;
   tf->codes[36677] = 0x000203b177fceafcUL;
   tf->codes[36678] = 0x0002208ffc7012c5UL;
   tf->codes[36679] = 0x00025c39479ee25fUL;
   tf->codes[36680] = 0x00027dd0b6b42621UL;
   tf->codes[36681] = 0x0002920d8e49983eUL;
   tf->codes[36682] = 0x0002bcdc7e2c54b7UL;
   tf->codes[36683] = 0x0002d836d48a3d9bUL;
   tf->codes[36684] = 0x0002e61d69f3da34UL;
   tf->codes[36685] = 0x0002ee6cbdb172d8UL;
   tf->codes[36686] = 0x0002ef66c25514f1UL;
   tf->codes[36687] = 0x0003151e4ed966a0UL;
   tf->codes[36688] = 0x000319e4b871d700UL;
   tf->codes[36689] = 0x000334e145c08262UL;
   tf->codes[36690] = 0x0003690cc4f25e3cUL;
   tf->codes[36691] = 0x000376ec7d994dbfUL;
   tf->codes[36692] = 0x00039ad8b8485e36UL;
   tf->codes[36693] = 0x0003a2eccd53208bUL;
   tf->codes[36694] = 0x0003fb9294250bbdUL;
   tf->codes[36695] = 0x00046cc01674ade0UL;
   tf->codes[36696] = 0x00047de2452dd4a3UL;
   tf->codes[36697] = 0x0004a39ba62a547aUL;
   tf->codes[36698] = 0x0004d85f0853274cUL;
   tf->codes[36699] = 0x0004f206c1323e14UL;
   tf->codes[36700] = 0x0004f26d3b7c56d4UL;
   tf->codes[36701] = 0x0004fde650f5b79cUL;
   tf->codes[36702] = 0x0005403f4ec22c9dUL;
   tf->codes[36703] = 0x000546808587ef55UL;
   tf->codes[36704] = 0x00055e96cbea7896UL;
   tf->codes[36705] = 0x00056c6263676c61UL;
   tf->codes[36706] = 0x000575cb1252bd8bUL;
   tf->codes[36707] = 0x0005858c878f23b0UL;
   tf->codes[36708] = 0x0005b8657be7a4a2UL;
   tf->codes[36709] = 0x00060ce77c5a2597UL;
   tf->codes[36710] = 0x000625bcfdcb862cUL;
   tf->codes[36711] = 0x00062e742b2d5a2eUL;
   tf->codes[36712] = 0x000631af14cfd309UL;
   tf->codes[36713] = 0x000635da2d0ff5e6UL;
   tf->codes[36714] = 0x00066c24f1205863UL;
   tf->codes[36715] = 0x00068a508304509cUL;
   tf->codes[36716] = 0x00069813de6474b3UL;
   tf->codes[36717] = 0x0006aabcbf5819d2UL;
   tf->codes[36718] = 0x0006ad11c580ec4cUL;
   tf->codes[36719] = 0x0006ed437ce110bbUL;
   tf->codes[36720] = 0x0006fe029fb17549UL;
   tf->codes[36721] = 0x0007076521872aacUL;
   tf->codes[36722] = 0x000723efb2f10d0aUL;
   tf->codes[36723] = 0x00072acc00801780UL;
   tf->codes[36724] = 0x0007587f2847c22dUL;
   tf->codes[36725] = 0x00075ef1c7ba631dUL;
   tf->codes[36726] = 0x000766aa97db2767UL;
   tf->codes[36727] = 0x00078e1c88dd0f5cUL;
   tf->codes[36728] = 0x0007b0c0be65ce51UL;
   tf->codes[36729] = 0x0007e112943b8d42UL;
   tf->codes[36730] = 0x0007ea7291ec032eUL;
   tf->codes[36731] = 0x000826d97e4081b9UL;
   tf->codes[36732] = 0x00086b3c05d85942UL;
   tf->codes[36733] = 0x0008730e748ba3bcUL;
   tf->codes[36734] = 0x000892f604d65a9eUL;
   tf->codes[36735] = 0x0008996bd81b4c54UL;
   tf->codes[36736] = 0x0008b6133bea05a8UL;
   tf->codes[36737] = 0x0008bcdb2dc00ea1UL;
   tf->codes[36738] = 0x0008bf4e2b18d4eaUL;
   tf->codes[36739] = 0x0008ccc2d6493849UL;
   tf->codes[36740] = 0x00090b01a92d355fUL;
   tf->codes[36741] = 0x000925f0b7858c5aUL;
   tf->codes[36742] = 0x000976613e4a70a2UL;
   tf->codes[36743] = 0x00098525b59fe9adUL;
   tf->codes[36744] = 0x0009c660ffa13889UL;
   tf->codes[36745] = 0x0009c68adbde585cUL;
   tf->codes[36746] = 0x0009df0a5b3f3f99UL;
   tf->codes[36747] = 0x0009ee3ee855c3b6UL;
   tf->codes[36748] = 0x000a537eac3e869bUL;
   tf->codes[36749] = 0x000a731d44510d02UL;
   tf->codes[36750] = 0x000a84b8e9b32b64UL;
   tf->codes[36751] = 0x000a86e697c41d82UL;
   tf->codes[36752] = 0x000a9e2d9ffc3b91UL;
   tf->codes[36753] = 0x000ac70e04003e50UL;
   tf->codes[36754] = 0x000af5ef1d3da8c5UL;
   tf->codes[36755] = 0x000afd45cbb1c1eeUL;
   tf->codes[36756] = 0x000b0712ab50f226UL;
   tf->codes[36757] = 0x000b0bfff7e33758UL;
   tf->codes[36758] = 0x000b13921f992c95UL;
   tf->codes[36759] = 0x000b323bbb528fd1UL;
   tf->codes[36760] = 0x000b33fdac3fe47cUL;
   tf->codes[36761] = 0x000b5099a01f7d56UL;
   tf->codes[36762] = 0x000b71114c626706UL;
   tf->codes[36763] = 0x000b7297fe9ce562UL;
   tf->codes[36764] = 0x000b868c8da73853UL;
   tf->codes[36765] = 0x000bb1afab223ffcUL;
   tf->codes[36766] = 0x000bbf18abd47d1cUL;
   tf->codes[36767] = 0x000bc86a05c381c8UL;
   tf->codes[36768] = 0x000bdc5b60fb83f3UL;
   tf->codes[36769] = 0x000be80fefb6c0cfUL;
   tf->codes[36770] = 0x000bea656afd9ed3UL;
   tf->codes[36771] = 0x000beed4732b733dUL;
   tf->codes[36772] = 0x000bf8e3a8cf2c9fUL;
   tf->codes[36773] = 0x000bffa5e2ada55bUL;
   tf->codes[36774] = 0x000c004676df7791UL;
   tf->codes[36775] = 0x000c00484b57a5b9UL;
   tf->codes[36776] = 0x000c048e9c137729UL;
   tf->codes[36777] = 0x000c2588703a33b6UL;
   tf->codes[36778] = 0x000c8177feff0ec8UL;
   tf->codes[36779] = 0x000c966c10158e4aUL;
   tf->codes[36780] = 0x000c9f7ebcf0661cUL;
   tf->codes[36781] = 0x000ca412d39fe130UL;
   tf->codes[36782] = 0x000cd15326f23b8fUL;
   tf->codes[36783] = 0x000ce38883c37f11UL;
   tf->codes[36784] = 0x000ce94b7624d101UL;
   tf->codes[36785] = 0x000d087ae2b2636aUL;
   tf->codes[36786] = 0x000d1431f592dfbdUL;
   tf->codes[36787] = 0x000d1fd4722b54ceUL;
   tf->codes[36788] = 0x000d416abc757bb7UL;
   tf->codes[36789] = 0x000d44710998c594UL;
   tf->codes[36790] = 0x000d464163b885baUL;
   tf->codes[36791] = 0x000d81d060a7bdd5UL;
   tf->codes[36792] = 0x000d8af2d60f23c0UL;
   tf->codes[36793] = 0x000daddc956ebca5UL;
   tf->codes[36794] = 0x000dae8356b62aa2UL;
   tf->codes[36795] = 0x000db4b1cbac1440UL;
   tf->codes[36796] = 0x000dd01c5fb496c7UL;
   tf->codes[36797] = 0x000de44fd6621c57UL;
   tf->codes[36798] = 0x000def025eebed2bUL;
   tf->codes[36799] = 0x000df4d30ad29947UL;
   tf->codes[36800] = 0x000e1264aab8669bUL;
   tf->codes[36801] = 0x000e1bf01e8f24bdUL;
   tf->codes[36802] = 0x000e24e8b7b96ad5UL;
   tf->codes[36803] = 0x000e269f38b79f06UL;
   tf->codes[36804] = 0x000e281572b87dfaUL;
   tf->codes[36805] = 0x000e347172683a22UL;
   tf->codes[36806] = 0x000e3570b9e560eeUL;
   tf->codes[36807] = 0x000e68b89f33d019UL;
   tf->codes[36808] = 0x000ea3b2ecfe6202UL;
   tf->codes[36809] = 0x000eab171a68cf92UL;
   tf->codes[36810] = 0x000ee8d2a09ddcf2UL;
   tf->codes[36811] = 0x000f0a3e998cd87eUL;
   tf->codes[36812] = 0x000f10ca6273f414UL;
   tf->codes[36813] = 0x000f2198d8b2db31UL;
   tf->codes[36814] = 0x000f3db38eeab842UL;
   tf->codes[36815] = 0x000f4a2a51f81773UL;
   tf->codes[36816] = 0x000f542aa94b59d0UL;
   tf->codes[36817] = 0x000f6240985aa0b4UL;
   tf->codes[36818] = 0x000f6b8b5015fe0fUL;
   tf->codes[36819] = 0x000f783a1e03e2c9UL;
   tf->codes[36820] = 0x000f9c1530cc4289UL;
   tf->codes[36821] = 0x000fdb03b0c18e9fUL;
   tf->codes[36822] = 0x000fe5506eae5802UL;
   tf->codes[36823] = 0x000fea6f5e7c8131UL;
   tf->codes[36824] = 0x000027fef96d3ad1UL;
   tf->codes[36825] = 0x00004e854efdec28UL;
   tf->codes[36826] = 0x0000577c13b00418UL;
   tf->codes[36827] = 0x00005d368f65808fUL;
   tf->codes[36828] = 0x00007958977e1640UL;
   tf->codes[36829] = 0x0000861ce5f01950UL;
   tf->codes[36830] = 0x00009ef7aa3afe98UL;
   tf->codes[36831] = 0x0000a524fa65cb5dUL;
   tf->codes[36832] = 0x0000af24a20bfc6bUL;
   tf->codes[36833] = 0x0000cb7ca5fde3b8UL;
   tf->codes[36834] = 0x0000d0b0a1321fb3UL;
   tf->codes[36835] = 0x0000d7cf7f54b918UL;
   tf->codes[36836] = 0x0000d8f0dc103b8dUL;
   tf->codes[36837] = 0x0000defcc6a9bdf8UL;
   tf->codes[36838] = 0x0000e7928e7a47a0UL;
   tf->codes[36839] = 0x0000ed14c4c038c9UL;
   tf->codes[36840] = 0x0000efeb7daed296UL;
   tf->codes[36841] = 0x0000f940bb1d3957UL;
   tf->codes[36842] = 0x000108599a9a0357UL;
   tf->codes[36843] = 0x00010a561a8d1d02UL;
   tf->codes[36844] = 0x00010a9e9da741f3UL;
   tf->codes[36845] = 0x000116f6f466a1cbUL;
   tf->codes[36846] = 0x00011801e661eed6UL;
   tf->codes[36847] = 0x00011e7485d48fc6UL;
   tf->codes[36848] = 0x00012bf6affb478cUL;
   tf->codes[36849] = 0x0001344eb4f3bb6eUL;
   tf->codes[36850] = 0x00015668867bd7d2UL;
   tf->codes[36851] = 0x000174a3a65d585fUL;
   tf->codes[36852] = 0x00018666de665ce2UL;
   tf->codes[36853] = 0x0001b68af47f99ebUL;
   tf->codes[36854] = 0x0001c10696f4020fUL;
   tf->codes[36855] = 0x0001d286199e5acaUL;
   tf->codes[36856] = 0x0001d69dc061933eUL;
   tf->codes[36857] = 0x0001e108b00d5635UL;
   tf->codes[36858] = 0x0001e25bea93c26cUL;
   tf->codes[36859] = 0x0001e6d92164fc8cUL;
   tf->codes[36860] = 0x0001f0c7dbb382a8UL;
   tf->codes[36861] = 0x00020b9d4b795373UL;
   tf->codes[36862] = 0x00020e78d2236669UL;
   tf->codes[36863] = 0x000211cfde7da4ebUL;
   tf->codes[36864] = 0x00021a48d3e9579dUL;
   tf->codes[36865] = 0x00023834595f005eUL;
   tf->codes[36866] = 0x000269d1dd4b6d21UL;
   tf->codes[36867] = 0x00027183961a7e90UL;
   tf->codes[36868] = 0x000299d9d0ace483UL;
   tf->codes[36869] = 0x0002b3f373c53485UL;
   tf->codes[36870] = 0x0002cd3aa4e0c88fUL;
   tf->codes[36871] = 0x0002db96cd73fab2UL;
   tf->codes[36872] = 0x0002ddbd29a43430UL;
   tf->codes[36873] = 0x000323ce6b3b7bc0UL;
   tf->codes[36874] = 0x000329af1a3dbbbaUL;
   tf->codes[36875] = 0x00034087e12cfcdfUL;
   tf->codes[36876] = 0x0003489d1b02dc0dUL;
   tf->codes[36877] = 0x00034b1dd1e0fc82UL;
   tf->codes[36878] = 0x00034dec1423c0d6UL;
   tf->codes[36879] = 0x0003558eeea25b40UL;
   tf->codes[36880] = 0x0003951083d32525UL;
   tf->codes[36881] = 0x0003a319de282eb6UL;
   tf->codes[36882] = 0x0004b21a59df8b62UL;
   tf->codes[36883] = 0x0004b9d623439aadUL;
   tf->codes[36884] = 0x0004cec1f83d4a7bUL;
   tf->codes[36885] = 0x000525ff0404ab20UL;
   tf->codes[36886] = 0x000528b3a7b4e944UL;
   tf->codes[36887] = 0x000539b72f910ae9UL;
   tf->codes[36888] = 0x00053f0fc428e204UL;
   tf->codes[36889] = 0x00054be9588ffda5UL;
   tf->codes[36890] = 0x0005623c893a1562UL;
   tf->codes[36891] = 0x00057281c04376c7UL;
   tf->codes[36892] = 0x0005763e973abcbaUL;
   tf->codes[36893] = 0x00057886938b4657UL;
   tf->codes[36894] = 0x00059aef8a612efdUL;
   tf->codes[36895] = 0x0005a261e66f0243UL;
   tf->codes[36896] = 0x0005ba7f7eb24424UL;
   tf->codes[36897] = 0x0005cce6f3dd772dUL;
   tf->codes[36898] = 0x0005d83284295bd2UL;
   tf->codes[36899] = 0x0005dfb8172513bcUL;
   tf->codes[36900] = 0x0005eca7a12e593dUL;
   tf->codes[36901] = 0x0005ee7d3e279e16UL;
   tf->codes[36902] = 0x0006054eb336269bUL;
   tf->codes[36903] = 0x00060cc47da5506cUL;
   tf->codes[36904] = 0x0006389f0f306b3fUL;
   tf->codes[36905] = 0x00063de46cda5db6UL;
   tf->codes[36906] = 0x00063e4c467e9914UL;
   tf->codes[36907] = 0x0006555516c095d3UL;
   tf->codes[36908] = 0x000671fd9f5a6c00UL;
   tf->codes[36909] = 0x00067423c0fb9fb9UL;
   tf->codes[36910] = 0x000685796768d8a1UL;
   tf->codes[36911] = 0x0006984b3a5d867fUL;
   tf->codes[36912] = 0x0006af09b30d3025UL;
   tf->codes[36913] = 0x0006d1ab9effb568UL;
   tf->codes[36914] = 0x0006d2a98722b996UL;
   tf->codes[36915] = 0x0006dd465499664fUL;
   tf->codes[36916] = 0x0007039882c8f432UL;
   tf->codes[36917] = 0x000703f38d23ec78UL;
   tf->codes[36918] = 0x000731d17b64ce0cUL;
   tf->codes[36919] = 0x00078670fde93746UL;
   tf->codes[36920] = 0x0007a2a4a3068938UL;
   tf->codes[36921] = 0x0007ac5a2da96cf2UL;
   tf->codes[36922] = 0x0007acabd71c78abUL;
   tf->codes[36923] = 0x0007ed0d5d4052efUL;
   tf->codes[36924] = 0x0007ed68dcb956bfUL;
   tf->codes[36925] = 0x0007f16008275bedUL;
   tf->codes[36926] = 0x0007fece86422385UL;
   tf->codes[36927] = 0x00080d2ecce3bd82UL;
   tf->codes[36928] = 0x0008105e81261ba8UL;
   tf->codes[36929] = 0x0008159e616783a7UL;
   tf->codes[36930] = 0x00082242e43164c0UL;
   tf->codes[36931] = 0x0008438e9c5a32cbUL;
   tf->codes[36932] = 0x0008511a9c86e2a8UL;
   tf->codes[36933] = 0x00085d857a8715d5UL;
   tf->codes[36934] = 0x0008867447bd840fUL;
   tf->codes[36935] = 0x000896f8db88239dUL;
   tf->codes[36936] = 0x0008ba038b5afb52UL;
   tf->codes[36937] = 0x0008c29c11dfca36UL;
   tf->codes[36938] = 0x0009018a1cb70ac2UL;
   tf->codes[36939] = 0x000910c0b8d4c2ccUL;
   tf->codes[36940] = 0x000919330c0cce2dUL;
   tf->codes[36941] = 0x00092dbc4a3bc750UL;
   tf->codes[36942] = 0x000935e82960e1adUL;
   tf->codes[36943] = 0x000972c30ef5cd5fUL;
   tf->codes[36944] = 0x0009861dac01f56bUL;
   tf->codes[36945] = 0x0009d8e19f0683caUL;
   tf->codes[36946] = 0x000a2fea836cc0fbUL;
   tf->codes[36947] = 0x000a31600dc08ea0UL;
   tf->codes[36948] = 0x000a40d591817949UL;
   tf->codes[36949] = 0x000a52f3243864c3UL;
   tf->codes[36950] = 0x000a55dc9ef6d7aaUL;
   tf->codes[36951] = 0x000a6a4895a2ee4dUL;
   tf->codes[36952] = 0x000a7165d9dc5f4fUL;
   tf->codes[36953] = 0x000a7e8d34372494UL;
   tf->codes[36954] = 0x000aa20af30e525cUL;
   tf->codes[36955] = 0x000ab0e141f78d6dUL;
   tf->codes[36956] = 0x000ad3fa958bd662UL;
   tf->codes[36957] = 0x000ae5f737cf830cUL;
   tf->codes[36958] = 0x000b25bf7ba243baUL;
   tf->codes[36959] = 0x000b2b6058c53a01UL;
   tf->codes[36960] = 0x000b508e30f5fa6eUL;
   tf->codes[36961] = 0x000b53994bd4bd74UL;
   tf->codes[36962] = 0x000b5f6c0c4ef3e4UL;
   tf->codes[36963] = 0x000b70170df55cbaUL;
   tf->codes[36964] = 0x000b7c84701acf5eUL;
   tf->codes[36965] = 0x000b825d92ad50f3UL;
   tf->codes[36966] = 0x000b843a81874e6cUL;
   tf->codes[36967] = 0x000bbc631eadc576UL;
   tf->codes[36968] = 0x000bdafc079e8385UL;
   tf->codes[36969] = 0x000bdccf95909471UL;
   tf->codes[36970] = 0x000be3f6afcffd8aUL;
   tf->codes[36971] = 0x000c03356fcc1282UL;
   tf->codes[36972] = 0x000c18d8b8d5d57aUL;
   tf->codes[36973] = 0x000c287dd0cb7033UL;
   tf->codes[36974] = 0x000c66780414aa6dUL;
   tf->codes[36975] = 0x000c7e9d6356b078UL;
   tf->codes[36976] = 0x000c8a91c3f13707UL;
   tf->codes[36977] = 0x000c8df823b9f818UL;
   tf->codes[36978] = 0x000c9b7dbc420669UL;
   tf->codes[36979] = 0x000cad6f9e43a3e8UL;
   tf->codes[36980] = 0x000cb472943d7d6bUL;
   tf->codes[36981] = 0x000cd6b4a819913fUL;
   tf->codes[36982] = 0x000cd9c54060debdUL;
   tf->codes[36983] = 0x000ce0d9d35f7481UL;
   tf->codes[36984] = 0x000ce476deae987dUL;
   tf->codes[36985] = 0x000d0f405128ca7eUL;
   tf->codes[36986] = 0x000d1eec0b520c88UL;
   tf->codes[36987] = 0x000d27b7946ce207UL;
   tf->codes[36988] = 0x000d5709ada76ea2UL;
   tf->codes[36989] = 0x000d5949a86a2e50UL;
   tf->codes[36990] = 0x000d610d735c078aUL;
   tf->codes[36991] = 0x000d705de89b4b89UL;
   tf->codes[36992] = 0x000d72efc7601cb5UL;
   tf->codes[36993] = 0x000d887eb4b0de30UL;
   tf->codes[36994] = 0x000dc9f45328ec47UL;
   tf->codes[36995] = 0x000ddffc7c939f9cUL;
   tf->codes[36996] = 0x000e365036800355UL;
   tf->codes[36997] = 0x000e56fcb9d121c8UL;
   tf->codes[36998] = 0x000e70fda89302aeUL;
   tf->codes[36999] = 0x000e71139e352c8eUL;
   tf->codes[37000] = 0x000e738710abfe61UL;
   tf->codes[37001] = 0x000e7b0a1f8276d4UL;
   tf->codes[37002] = 0x000e82121dc6cf45UL;
   tf->codes[37003] = 0x000e88e83e403df4UL;
   tf->codes[37004] = 0x000eae515523d4b0UL;
   tf->codes[37005] = 0x000eb3d22c0fa33bUL;
   tf->codes[37006] = 0x000ebde8b394153dUL;
   tf->codes[37007] = 0x000ee9dce3b1b640UL;
   tf->codes[37008] = 0x000f01c7b3edf74bUL;
   tf->codes[37009] = 0x000f270a5cf5c4bfUL;
   tf->codes[37010] = 0x000f377a1fe95746UL;
   tf->codes[37011] = 0x000f4227dab7aef1UL;
   tf->codes[37012] = 0x000f43608c6f7de4UL;
   tf->codes[37013] = 0x000f44ff43535a0dUL;
   tf->codes[37014] = 0x000f60c013fb5bb1UL;
   tf->codes[37015] = 0x000f620bfca10f48UL;
   tf->codes[37016] = 0x000f690a24df6fa2UL;
   tf->codes[37017] = 0x000f6a6ec1db9255UL;
   tf->codes[37018] = 0x000f7814d5b8d3ecUL;
   tf->codes[37019] = 0x000fc51108a09732UL;
   tf->codes[37020] = 0x000fc9bc744c5ec4UL;
   tf->codes[37021] = 0x000fcde542f647efUL;
   tf->codes[37022] = 0x000fcf62ced7df83UL;
   tf->codes[37023] = 0x000fcfe8651d08ebUL;
   tf->codes[37024] = 0x000021b721396e5aUL;
   tf->codes[37025] = 0x00002c67602d057cUL;
   tf->codes[37026] = 0x00003b4a0941781bUL;
   tf->codes[37027] = 0x00003c28604b6017UL;
   tf->codes[37028] = 0x00005a0039b518aaUL;
   tf->codes[37029] = 0x000071d5144f2fd5UL;
   tf->codes[37030] = 0x0000785189c7c8dcUL;
   tf->codes[37031] = 0x000082fd701df25fUL;
   tf->codes[37032] = 0x000087021a824bf4UL;
   tf->codes[37033] = 0x00008917143ccef6UL;
   tf->codes[37034] = 0x0000c2f791bb9ccfUL;
   tf->codes[37035] = 0x0000dc4aa7e45cddUL;
   tf->codes[37036] = 0x0000df40f1ec12dcUL;
   tf->codes[37037] = 0x0000fcc96b78f968UL;
   tf->codes[37038] = 0x000107319c707723UL;
   tf->codes[37039] = 0x00011c6c2199e7a9UL;
   tf->codes[37040] = 0x000129ba5eee81c0UL;
   tf->codes[37041] = 0x0001334e84001b20UL;
   tf->codes[37042] = 0x000150b55d6cb18dUL;
   tf->codes[37043] = 0x00017f51276247d7UL;
   tf->codes[37044] = 0x00018b39a2efa262UL;
   tf->codes[37045] = 0x000194e5921b93caUL;
   tf->codes[37046] = 0x0001a34479630b29UL;
   tf->codes[37047] = 0x0001a4ae93c7b854UL;
   tf->codes[37048] = 0x0001dee7977c3efcUL;
   tf->codes[37049] = 0x0001e5c78dfba5c2UL;
   tf->codes[37050] = 0x0002027f2f74f8b9UL;
   tf->codes[37051] = 0x00022cc8fe309754UL;
   tf->codes[37052] = 0x00023562a9808311UL;
   tf->codes[37053] = 0x00023c7aaae06f60UL;
   tf->codes[37054] = 0x00023dd6d130bc9aUL;
   tf->codes[37055] = 0x0002416e99a65be3UL;
   tf->codes[37056] = 0x000256051c3ca3a8UL;
   tf->codes[37057] = 0x00025b1c7f9b0e72UL;
   tf->codes[37058] = 0x000279c655e37773UL;
   tf->codes[37059] = 0x00028be338ed519eUL;
   tf->codes[37060] = 0x0002a19aa321104eUL;
   tf->codes[37061] = 0x0002cfe6981bc907UL;
   tf->codes[37062] = 0x0002e4f0d963782eUL;
   tf->codes[37063] = 0x0002ec6370005139UL;
   tf->codes[37064] = 0x0003013705c19d75UL;
   tf->codes[37065] = 0x000338ea4a4d84baUL;
   tf->codes[37066] = 0x0003394d563646efUL;
   tf->codes[37067] = 0x00033d326f818452UL;
   tf->codes[37068] = 0x000343707274f644UL;
   tf->codes[37069] = 0x00037e76dfdbb9f6UL;
   tf->codes[37070] = 0x00037fb8f27b7576UL;
   tf->codes[37071] = 0x0003811d1a598c9fUL;
   tf->codes[37072] = 0x00038cf25ef90286UL;
   tf->codes[37073] = 0x0003b3c84ef58ba9UL;
   tf->codes[37074] = 0x0003b95f1b838414UL;
   tf->codes[37075] = 0x00041c904d566583UL;
   tf->codes[37076] = 0x000423e9ba7ec3e8UL;
   tf->codes[37077] = 0x00045df991a33c0cUL;
   tf->codes[37078] = 0x0004a0ba2e84e6a6UL;
   tf->codes[37079] = 0x0004c20ff742b28dUL;
   tf->codes[37080] = 0x0004e5fa98089aa1UL;
   tf->codes[37081] = 0x0004f4659eec43c9UL;
   tf->codes[37082] = 0x0004f80f7984aaddUL;
   tf->codes[37083] = 0x00055bf17d33f825UL;
   tf->codes[37084] = 0x000570adbdf8f7e3UL;
   tf->codes[37085] = 0x00057e07a5cbb839UL;
   tf->codes[37086] = 0x0005848f50a46bf5UL;
   tf->codes[37087] = 0x00058a8420d0a7a7UL;
   tf->codes[37088] = 0x00059d12ee13bb0cUL;
   tf->codes[37089] = 0x0005acb8f0456cd9UL;
   tf->codes[37090] = 0x0005caeb5eec1228UL;
   tf->codes[37091] = 0x0005cb0f8331a1beUL;
   tf->codes[37092] = 0x0005d731a388aa35UL;
   tf->codes[37093] = 0x0005ddc61daaa109UL;
   tf->codes[37094] = 0x0005e4e2b23700bcUL;
   tf->codes[37095] = 0x00061680e5d07eceUL;
   tf->codes[37096] = 0x00062190fcda875fUL;
   tf->codes[37097] = 0x000631ee731c4c56UL;
   tf->codes[37098] = 0x000648458745c628UL;
   tf->codes[37099] = 0x0006541a1c382ac0UL;
   tf->codes[37100] = 0x0006815b59c69c33UL;
   tf->codes[37101] = 0x000697a56417cd28UL;
   tf->codes[37102] = 0x00069e66040d1d81UL;
   tf->codes[37103] = 0x0006af2c03a02f25UL;
   tf->codes[37104] = 0x0006b04c3b9094c1UL;
   tf->codes[37105] = 0x0006b7f667efe7cbUL;
   tf->codes[37106] = 0x0006c5aae4ff94ddUL;
   tf->codes[37107] = 0x0006ca8a3d7d7a1eUL;
   tf->codes[37108] = 0x0006cd77d64a54dfUL;
   tf->codes[37109] = 0x0006dc39545c82e9UL;
   tf->codes[37110] = 0x0006e1d180449df2UL;
   tf->codes[37111] = 0x0006e573ce6d46a1UL;
   tf->codes[37112] = 0x0006ea82bb1fdbf2UL;
   tf->codes[37113] = 0x0006ecc7839e14c9UL;
   tf->codes[37114] = 0x0006f8d71cb449ebUL;
   tf->codes[37115] = 0x0006fbe89f37ae7dUL;
   tf->codes[37116] = 0x0007076a65ebea83UL;
   tf->codes[37117] = 0x0007128abaa08cb7UL;
   tf->codes[37118] = 0x000714e8e72245f9UL;
   tf->codes[37119] = 0x00072c924b9614eeUL;
   tf->codes[37120] = 0x000743c1c442e0baUL;
   tf->codes[37121] = 0x00074f54ed6cd33cUL;
   tf->codes[37122] = 0x0007583e6db79c8aUL;
   tf->codes[37123] = 0x00078864cd671345UL;
   tf->codes[37124] = 0x00079de88557ba0bUL;
   tf->codes[37125] = 0x0007ae846e1ea617UL;
   tf->codes[37126] = 0x0007b348c8afe28aUL;
   tf->codes[37127] = 0x0007ec2d3283da5dUL;
   tf->codes[37128] = 0x0008120c17200c68UL;
   tf->codes[37129] = 0x00082502f89660f0UL;
   tf->codes[37130] = 0x000836cd47f1184eUL;
   tf->codes[37131] = 0x00083ca371404ee2UL;
   tf->codes[37132] = 0x00083cc6362bbbdaUL;
   tf->codes[37133] = 0x0008471b6ac45ab6UL;
   tf->codes[37134] = 0x00084791e82a0754UL;
   tf->codes[37135] = 0x000854062712270eUL;
   tf->codes[37136] = 0x000855e89354aeffUL;
   tf->codes[37137] = 0x00085f09a961f24cUL;
   tf->codes[37138] = 0x00087d49d18df1c7UL;
   tf->codes[37139] = 0x0008b16a55eeb8b1UL;
   tf->codes[37140] = 0x0008c6deba70dce8UL;
   tf->codes[37141] = 0x0008fefcd1e44a8cUL;
   tf->codes[37142] = 0x0009453ae8fbfcf0UL;
   tf->codes[37143] = 0x00096b41d55d20a6UL;
   tf->codes[37144] = 0x000978cadc468582UL;
   tf->codes[37145] = 0x00097b197acab670UL;
   tf->codes[37146] = 0x00097d1b78265a93UL;
   tf->codes[37147] = 0x00098303b39858f2UL;
   tf->codes[37148] = 0x00098fe25049f381UL;
   tf->codes[37149] = 0x000994c4677c1dfeUL;
   tf->codes[37150] = 0x0009a277fa4fb3fcUL;
   tf->codes[37151] = 0x0009a9582b5e2087UL;
   tf->codes[37152] = 0x0009ad9b0db89b6cUL;
   tf->codes[37153] = 0x0009b568e93f7282UL;
   tf->codes[37154] = 0x0009c3cbb4064bf6UL;
   tf->codes[37155] = 0x0009d9c031650f1dUL;
   tf->codes[37156] = 0x0009ebbcd3a8bbc7UL;
   tf->codes[37157] = 0x0009f098833644b8UL;
   tf->codes[37158] = 0x000a2f6d9f281063UL;
   tf->codes[37159] = 0x000a3bfe75e6014eUL;
   tf->codes[37160] = 0x000a4857073466ebUL;
   tf->codes[37161] = 0x000a5019ad5b234cUL;
   tf->codes[37162] = 0x000a58829fab4220UL;
   tf->codes[37163] = 0x000a920bbbbf7403UL;
   tf->codes[37164] = 0x000aa058cb73295cUL;
   tf->codes[37165] = 0x000ac3c109c638ceUL;
   tf->codes[37166] = 0x000ac9f78049ec5bUL;
   tf->codes[37167] = 0x000b00b010852038UL;
   tf->codes[37168] = 0x000b0a8775d759d6UL;
   tf->codes[37169] = 0x000b1166478ba3c3UL;
   tf->codes[37170] = 0x000b14094e3725a6UL;
   tf->codes[37171] = 0x000b1dc5f02bbc3bUL;
   tf->codes[37172] = 0x000b4ac8bb350699UL;
   tf->codes[37173] = 0x000b5907d6d45c01UL;
   tf->codes[37174] = 0x000b60e1d1f764e0UL;
   tf->codes[37175] = 0x000b90e1141e0104UL;
   tf->codes[37176] = 0x000be2ef2cfba49cUL;
   tf->codes[37177] = 0x000be8fc01d13e1bUL;
   tf->codes[37178] = 0x000bf88f7cc21c93UL;
   tf->codes[37179] = 0x000c03d7641da4e8UL;
   tf->codes[37180] = 0x000c161cc40a7c48UL;
   tf->codes[37181] = 0x000c1bc94bab98ceUL;
   tf->codes[37182] = 0x000c220ccc079538UL;
   tf->codes[37183] = 0x000c2aa37e1435f4UL;
   tf->codes[37184] = 0x000c5625896997f8UL;
   tf->codes[37185] = 0x000c6f4e4e372ca9UL;
   tf->codes[37186] = 0x000c7467c09ccb60UL;
   tf->codes[37187] = 0x000c7d601f380bb3UL;
   tf->codes[37188] = 0x000c8d341bb5452dUL;
   tf->codes[37189] = 0x000cb02c7ed64f52UL;
   tf->codes[37190] = 0x000cb775ae541414UL;
   tf->codes[37191] = 0x000cc0355261bd8fUL;
   tf->codes[37192] = 0x000cd1ecdfec9bd3UL;
   tf->codes[37193] = 0x000cfe0ecfc6bebeUL;
   tf->codes[37194] = 0x000d08d15b6c2370UL;
   tf->codes[37195] = 0x000d0dcbec65b744UL;
   tf->codes[37196] = 0x000d166fa84aa0ddUL;
   tf->codes[37197] = 0x000d758bf20e8f14UL;
   tf->codes[37198] = 0x000db09558b89dc7UL;
   tf->codes[37199] = 0x000dbbf83e00ceeaUL;
   tf->codes[37200] = 0x000dbefe16060d3dUL;
   tf->codes[37201] = 0x000dc450f2a6541bUL;
   tf->codes[37202] = 0x000ded4a458fcbbbUL;
   tf->codes[37203] = 0x000e06c319e743c2UL;
   tf->codes[37204] = 0x000e07e6fac805aeUL;
   tf->codes[37205] = 0x000e2168bae95eb8UL;
   tf->codes[37206] = 0x000e4bb4238e25b6UL;
   tf->codes[37207] = 0x000e5d96ecb0466bUL;
   tf->codes[37208] = 0x000e680b02b4f02aUL;
   tf->codes[37209] = 0x000e9a937265823cUL;
   tf->codes[37210] = 0x000e9f0f49dc99beUL;
   tf->codes[37211] = 0x000ea752f31c0c23UL;
   tf->codes[37212] = 0x000eb0f99f6e78d8UL;
   tf->codes[37213] = 0x000ec96c14f71738UL;
   tf->codes[37214] = 0x000eca59bf6f81c3UL;
   tf->codes[37215] = 0x000f05eb4083f955UL;
   tf->codes[37216] = 0x000f10f823bbb120UL;
   tf->codes[37217] = 0x000f186a453a7ea1UL;
   tf->codes[37218] = 0x000f29ed36462de7UL;
   tf->codes[37219] = 0x000f2e90daf3314fUL;
   tf->codes[37220] = 0x000f5bfdc936f0bdUL;
   tf->codes[37221] = 0x000f6cc17f33c8afUL;
   tf->codes[37222] = 0x000f737d8bfca5a4UL;
   tf->codes[37223] = 0x000f7e2c31071463UL;
   tf->codes[37224] = 0x000f8a2b1754a458UL;
   tf->codes[37225] = 0x000f9a68875f4193UL;
   tf->codes[37226] = 0x000fa73427b1fd43UL;
   tf->codes[37227] = 0x000fb505b1b58710UL;
   tf->codes[37228] = 0x000fc414bb2c58f9UL;
   tf->codes[37229] = 0x000ff5d8acf48f04UL;
   tf->codes[37230] = 0x000ffff2a2da5791UL;
   tf->codes[37231] = 0x00002d20e409ea25UL;
   tf->codes[37232] = 0x000035b54c80512fUL;
   tf->codes[37233] = 0x000043c92c886426UL;
   tf->codes[37234] = 0x000045e6625fb6dcUL;
   tf->codes[37235] = 0x000047d613098d6fUL;
   tf->codes[37236] = 0x00005494e4130607UL;
   tf->codes[37237] = 0x0000572c404061abUL;
   tf->codes[37238] = 0x00007ffd50d5e1dbUL;
   tf->codes[37239] = 0x000081c952583462UL;
   tf->codes[37240] = 0x0000991353d39d72UL;
   tf->codes[37241] = 0x0000a81dca1dfbf7UL;
   tf->codes[37242] = 0x0000c49f6fbdfd52UL;
   tf->codes[37243] = 0x0000ccf68a7a5a20UL;
   tf->codes[37244] = 0x0000dbc671bef3a5UL;
   tf->codes[37245] = 0x0000f5987bf935caUL;
   tf->codes[37246] = 0x00010be544feabfbUL;
   tf->codes[37247] = 0x000142d7b4929389UL;
   tf->codes[37248] = 0x000153bf8ed4fb11UL;
   tf->codes[37249] = 0x00016190692b738fUL;
   tf->codes[37250] = 0x000169d20363b207UL;
   tf->codes[37251] = 0x00016b02ee1cbcd0UL;
   tf->codes[37252] = 0x000175b74b1ebbccUL;
   tf->codes[37253] = 0x000178be827e1cbdUL;
   tf->codes[37254] = 0x00017bae64e13130UL;
   tf->codes[37255] = 0x00019f392d90a7d5UL;
   tf->codes[37256] = 0x0001a6f89fe51370UL;
   tf->codes[37257] = 0x0001aea63aa5bd05UL;
   tf->codes[37258] = 0x0001b15267aa25b0UL;
   tf->codes[37259] = 0x0001d1194210a387UL;
   tf->codes[37260] = 0x0001dcef70ec3082UL;
   tf->codes[37261] = 0x00021b6e15af774bUL;
   tf->codes[37262] = 0x000226ef6745a7c7UL;
   tf->codes[37263] = 0x000274c0904f667cUL;
   tf->codes[37264] = 0x000284fa1cdaa1a2UL;
   tf->codes[37265] = 0x000286a89c4b0be4UL;
   tf->codes[37266] = 0x00029d6540828762UL;
   tf->codes[37267] = 0x00029f343b4824eaUL;
   tf->codes[37268] = 0x0002b6d020c59f78UL;
   tf->codes[37269] = 0x0002c383f6fe0320UL;
   tf->codes[37270] = 0x0002c83ca7111954UL;
   tf->codes[37271] = 0x0002ce03f20fd8e3UL;
   tf->codes[37272] = 0x0002ceef186303f7UL;
   tf->codes[37273] = 0x0002dce959d890beUL;
   tf->codes[37274] = 0x0002f73b42606c0eUL;
   tf->codes[37275] = 0x000312db97b33a6cUL;
   tf->codes[37276] = 0x00031d7cf8565a89UL;
   tf->codes[37277] = 0x000341e73cdad603UL;
   tf->codes[37278] = 0x000374ed06b3c1c9UL;
   tf->codes[37279] = 0x00039375b1f9e635UL;
   tf->codes[37280] = 0x0003b699c5d03e55UL;
   tf->codes[37281] = 0x0003e5e99574913eUL;
   tf->codes[37282] = 0x0003e81c4bd0024aUL;
   tf->codes[37283] = 0x00042ba54a196b00UL;
   tf->codes[37284] = 0x00045f3a0b1f6cbbUL;
   tf->codes[37285] = 0x0004b88c10a15062UL;
   tf->codes[37286] = 0x0004ec3701d881c2UL;
   tf->codes[37287] = 0x000573e1910f5b75UL;
   tf->codes[37288] = 0x00057f13f7e6c574UL;
   tf->codes[37289] = 0x000580b40e24c43bUL;
   tf->codes[37290] = 0x0005a4f1080ac957UL;
   tf->codes[37291] = 0x0005a7434f7f5695UL;
   tf->codes[37292] = 0x0005e223147b4b3aUL;
   tf->codes[37293] = 0x0005fc1bc7205c6cUL;
   tf->codes[37294] = 0x00060dbc3a3df3f7UL;
   tf->codes[37295] = 0x00062fc1ea9c14a3UL;
   tf->codes[37296] = 0x0006319871d17090UL;
   tf->codes[37297] = 0x00063c55457f4505UL;
   tf->codes[37298] = 0x000642700e693e75UL;
   tf->codes[37299] = 0x00064ce3e9dee26fUL;
   tf->codes[37300] = 0x00066252d0f87c2eUL;
   tf->codes[37301] = 0x000695494762e565UL;
   tf->codes[37302] = 0x00069fe26be935ceUL;
   tf->codes[37303] = 0x0006a4688e8450f1UL;
   tf->codes[37304] = 0x0006b3174ac6a5e1UL;
   tf->codes[37305] = 0x0006ca1c3789408bUL;
   tf->codes[37306] = 0x0006eb61fd2b7894UL;
   tf->codes[37307] = 0x0006fee8fa99ffeaUL;
   tf->codes[37308] = 0x00070fbd28d07744UL;
   tf->codes[37309] = 0x00073e649d4433cdUL;
   tf->codes[37310] = 0x00074a083ea7c5b7UL;
   tf->codes[37311] = 0x00077c60a5059c2fUL;
   tf->codes[37312] = 0x00078d3ee3d11165UL;
   tf->codes[37313] = 0x0007a6b1c5a1f36aUL;
   tf->codes[37314] = 0x0007b3e071dd714fUL;
   tf->codes[37315] = 0x0007c106e1fc1f80UL;
   tf->codes[37316] = 0x00081c4b1c4d1931UL;
   tf->codes[37317] = 0x000821336094df75UL;
   tf->codes[37318] = 0x000823e9639f4037UL;
   tf->codes[37319] = 0x00084554725224afUL;
   tf->codes[37320] = 0x000852c4ff742034UL;
   tf->codes[37321] = 0x00086b8157710623UL;
   tf->codes[37322] = 0x0008739322e58ec6UL;
   tf->codes[37323] = 0x00088c0d5f6cf150UL;
   tf->codes[37324] = 0x0008929e309e8bd4UL;
   tf->codes[37325] = 0x0008abe64bf636f2UL;
   tf->codes[37326] = 0x0008b1cdd7bb2402UL;
   tf->codes[37327] = 0x0008b82d403fe04eUL;
   tf->codes[37328] = 0x0008bcc1cc0d66ecUL;
   tf->codes[37329] = 0x0008bd5c6db8a320UL;
   tf->codes[37330] = 0x0008c9a86a4ccb6aUL;
   tf->codes[37331] = 0x0008ccfddcbde189UL;
   tf->codes[37332] = 0x0008e8674bfb4737UL;
   tf->codes[37333] = 0x0008e8b168fe948bUL;
   tf->codes[37334] = 0x0008f1c48af777e7UL;
   tf->codes[37335] = 0x0008f7ca0dec58c6UL;
   tf->codes[37336] = 0x0008fdec9dd51660UL;
   tf->codes[37337] = 0x000904aded777808UL;
   tf->codes[37338] = 0x00091b10e6ae1ddeUL;
   tf->codes[37339] = 0x000937d51ce1ae28UL;
   tf->codes[37340] = 0x000941e69c1ba13cUL;
   tf->codes[37341] = 0x0009435c9b8d7a6bUL;
   tf->codes[37342] = 0x0009507049dc4f82UL;
   tf->codes[37343] = 0x00095df189c6f034UL;
   tf->codes[37344] = 0x000961dc9598c399UL;
   tf->codes[37345] = 0x0009724d0839676fUL;
   tf->codes[37346] = 0x000980e13bad1f1bUL;
   tf->codes[37347] = 0x0009c05d18e658c3UL;
   tf->codes[37348] = 0x000a1162c3edeec7UL;
   tf->codes[37349] = 0x000a4dc975b3678dUL;
   tf->codes[37350] = 0x000a94f3d7e961deUL;
   tf->codes[37351] = 0x000aac16f66af61cUL;
   tf->codes[37352] = 0x000abd3800590006UL;
   tf->codes[37353] = 0x000ac4a603c965adUL;
   tf->codes[37354] = 0x000ac78f7e87d894UL;
   tf->codes[37355] = 0x000ad7ae0d266aecUL;
   tf->codes[37356] = 0x000adf536bca44cdUL;
   tf->codes[37357] = 0x000b07f6bca34315UL;
   tf->codes[37358] = 0x000b0e72f78cd657UL;
   tf->codes[37359] = 0x000b2dbe86d22e67UL;
   tf->codes[37360] = 0x000b38fb38cd9c07UL;
   tf->codes[37361] = 0x000b3990228147feUL;
   tf->codes[37362] = 0x000b4718049f9001UL;
   tf->codes[37363] = 0x000b51f3b9b96f59UL;
   tf->codes[37364] = 0x000b6e0d85b53556UL;
   tf->codes[37365] = 0x000bc0c67de8aec5UL;
   tf->codes[37366] = 0x000bd877343d365aUL;
   tf->codes[37367] = 0x000be7e0d2f0f4ffUL;
   tf->codes[37368] = 0x000bf571db6823caUL;
   tf->codes[37369] = 0x000c09f97fadf48aUL;
   tf->codes[37370] = 0x000c1778eb206714UL;
   tf->codes[37371] = 0x000c2eced1a8fc28UL;
   tf->codes[37372] = 0x000c3664a24f4db5UL;
   tf->codes[37373] = 0x000c3ee0566f45a3UL;
   tf->codes[37374] = 0x000c63bb6061dd7eUL;
   tf->codes[37375] = 0x000c75be2fbb25efUL;
   tf->codes[37376] = 0x000c8e061959932dUL;
   tf->codes[37377] = 0x000ca4d78e681bb2UL;
   tf->codes[37378] = 0x000d00ae2e4781e3UL;
   tf->codes[37379] = 0x000d157c46a043a7UL;
   tf->codes[37380] = 0x000d2d4d3dbaf8bdUL;
   tf->codes[37381] = 0x000d36923d7ec5dbUL;
   tf->codes[37382] = 0x000d50c8034edb84UL;
   tf->codes[37383] = 0x000da603c167a955UL;
   tf->codes[37384] = 0x000da63230d13c8cUL;
   tf->codes[37385] = 0x000dc3d8dc1d1cacUL;
   tf->codes[37386] = 0x000dc593f047c441UL;
   tf->codes[37387] = 0x000dde30f1ba93c3UL;
   tf->codes[37388] = 0x000e0efd6304672cUL;
   tf->codes[37389] = 0x000e2eabc3a37bacUL;
   tf->codes[37390] = 0x000e32564de8f40fUL;
   tf->codes[37391] = 0x000e5709c534a5c9UL;
   tf->codes[37392] = 0x000e6503cc1b2ccbUL;
   tf->codes[37393] = 0x000e8e3e503e10bcUL;
   tf->codes[37394] = 0x000ebb5af468e70fUL;
   tf->codes[37395] = 0x000ed0c0400b8e7cUL;
   tf->codes[37396] = 0x000ee934c49b60c9UL;
   tf->codes[37397] = 0x000f0b54138c07a5UL;
   tf->codes[37398] = 0x000f1394fe1734ceUL;
   tf->codes[37399] = 0x000f41fbf0fe9655UL;
   tf->codes[37400] = 0x000f4b2a86022e09UL;
   tf->codes[37401] = 0x000f54de019dddd6UL;
   tf->codes[37402] = 0x000f64717c8ebc4eUL;
   tf->codes[37403] = 0x000f67ec38107edcUL;
   tf->codes[37404] = 0x000f693980105511UL;
   tf->codes[37405] = 0x000f8a10c9daaa6bUL;
   tf->codes[37406] = 0x000fc069f71d7863UL;
   tf->codes[37407] = 0x000fd510b75e59cbUL;
   tf->codes[37408] = 0x000fe563a7ed155cUL;
   tf->codes[37409] = 0x000ff19b835741eeUL;
   tf->codes[37410] = 0x000005d8d00abf95UL;
   tf->codes[37411] = 0x00001c60d7c30c15UL;
   tf->codes[37412] = 0x00003795aa8142c5UL;
   tf->codes[37413] = 0x00004206522495f9UL;
   tf->codes[37414] = 0x00009337e8707fbdUL;
   tf->codes[37415] = 0x0000b0d56d637915UL;
   tf->codes[37416] = 0x0000b2624cb39338UL;
   tf->codes[37417] = 0x0000c7a966974111UL;
   tf->codes[37418] = 0x0000ccf4b6c7c98aUL;
   tf->codes[37419] = 0x0000daebc46b058bUL;
   tf->codes[37420] = 0x0000f80b04f98e1bUL;
   tf->codes[37421] = 0x0001191b7e6f85d7UL;
   tf->codes[37422] = 0x000120c152316b42UL;
   tf->codes[37423] = 0x00012c6ec99af543UL;
   tf->codes[37424] = 0x000131d726bf5a77UL;
   tf->codes[37425] = 0x00013877c07d8314UL;
   tf->codes[37426] = 0x00013d4f176d9e66UL;
   tf->codes[37427] = 0x00014009ada4728cUL;
   tf->codes[37428] = 0x0001417adf5ad292UL;
   tf->codes[37429] = 0x00016557c69b607aUL;
   tf->codes[37430] = 0x00017780542360e4UL;
   tf->codes[37431] = 0x0001937252e93afbUL;
   tf->codes[37432] = 0x0001c32bd0a9f76aUL;
   tf->codes[37433] = 0x0001ce58f4a7dcb6UL;
   tf->codes[37434] = 0x0001dfef91bf7c2aUL;
   tf->codes[37435] = 0x0001e7bf7c4d872dUL;
   tf->codes[37436] = 0x0001f47aa466a375UL;
   tf->codes[37437] = 0x0001f6086df2d4acUL;
   tf->codes[37438] = 0x00023c848271a29bUL;
   tf->codes[37439] = 0x00023d8ec4bfde57UL;
   tf->codes[37440] = 0x00026c9e87f5e1c8UL;
   tf->codes[37441] = 0x000272bc0f942074UL;
   tf->codes[37442] = 0x000279edea1598b8UL;
   tf->codes[37443] = 0x0002911267f14f94UL;
   tf->codes[37444] = 0x0002bf7d3e581330UL;
   tf->codes[37445] = 0x0002de89364d2752UL;
   tf->codes[37446] = 0x0002fad04ce763adUL;
   tf->codes[37447] = 0x000305b896bb8058UL;
   tf->codes[37448] = 0x00030e8df5dc4deeUL;
   tf->codes[37449] = 0x000315ec30c0257cUL;
   tf->codes[37450] = 0x00031627aa020190UL;
   tf->codes[37451] = 0x000345af8486da02UL;
   tf->codes[37452] = 0x00034d2d15f4c7fdUL;
   tf->codes[37453] = 0x00035c13a2889cb1UL;
   tf->codes[37454] = 0x00036e3812023541UL;
   tf->codes[37455] = 0x0003e0daa987997fUL;
   tf->codes[37456] = 0x0003e31526e1ceb5UL;
   tf->codes[37457] = 0x0003f9d4feeb9af9UL;
   tf->codes[37458] = 0x000462f424280b04UL;
   tf->codes[37459] = 0x0004e024e562aabbUL;
   tf->codes[37460] = 0x0004fd63075d3e2eUL;
   tf->codes[37461] = 0x00051e3dfa17efd8UL;
   tf->codes[37462] = 0x00059db7dc6e3605UL;
   tf->codes[37463] = 0x0005c44beb844188UL;
   tf->codes[37464] = 0x0005d225ec33a0ceUL;
   tf->codes[37465] = 0x00060c6a5fd747f0UL;
   tf->codes[37466] = 0x000613ca34a447e1UL;
   tf->codes[37467] = 0x0006412c2816f25fUL;
   tf->codes[37468] = 0x00066273fcc05e55UL;
   tf->codes[37469] = 0x00067b1ce34059dbUL;
   tf->codes[37470] = 0x0006b387d66b5a0fUL;
   tf->codes[37471] = 0x0006ee0fff6dacf9UL;
   tf->codes[37472] = 0x0006f64af7724420UL;
   tf->codes[37473] = 0x00070bf08a1240caUL;
   tf->codes[37474] = 0x000720d547ba3dbdUL;
   tf->codes[37475] = 0x000739b84821f2b9UL;
   tf->codes[37476] = 0x00074a5973c26378UL;
   tf->codes[37477] = 0x00074b6fd5acd0fdUL;
   tf->codes[37478] = 0x00076f1b19b17ae8UL;
   tf->codes[37479] = 0x0007732ba9230081UL;
   tf->codes[37480] = 0x00077a70457451dfUL;
   tf->codes[37481] = 0x0007deb729848f84UL;
   tf->codes[37482] = 0x00082141556edcf8UL;
   tf->codes[37483] = 0x0008240d138c61d5UL;
   tf->codes[37484] = 0x00086919caccfde6UL;
   tf->codes[37485] = 0x0008a247dc863783UL;
   tf->codes[37486] = 0x0008f80512d5c6e2UL;
   tf->codes[37487] = 0x00093b843b193781UL;
   tf->codes[37488] = 0x0009606696ec87fcUL;
   tf->codes[37489] = 0x000961cb33e8aaafUL;
   tf->codes[37490] = 0x00096bda2efd5e4cUL;
   tf->codes[37491] = 0x0009a339f59e0bb0UL;
   tf->codes[37492] = 0x0009a3f0ba010d8bUL;
   tf->codes[37493] = 0x0009b45b3a1b1b5fUL;
   tf->codes[37494] = 0x0009ba51debf8539UL;
   tf->codes[37495] = 0x0009c09683e69e7cUL;
   tf->codes[37496] = 0x0009ebe79bad2dd2UL;
   tf->codes[37497] = 0x000a0925bda7c145UL;
   tf->codes[37498] = 0x000a3bd2170edd28UL;
   tf->codes[37499] = 0x000a4e3a01581bbbUL;
   tf->codes[37500] = 0x000a7ae14ce86249UL;
   tf->codes[37501] = 0x000ab6cf7240fa84UL;
   tf->codes[37502] = 0x000ac315b6dd9291UL;
   tf->codes[37503] = 0x000acc374208e168UL;
   tf->codes[37504] = 0x000aefc71302d6fbUL;
   tf->codes[37505] = 0x000afbf761fd4528UL;
   tf->codes[37506] = 0x000b276d4db67563UL;
   tf->codes[37507] = 0x000b38e877c3607fUL;
   tf->codes[37508] = 0x000b3f0cdc244c41UL;
   tf->codes[37509] = 0x000b8087f804e4d0UL;
   tf->codes[37510] = 0x000b82e624869e12UL;
   tf->codes[37511] = 0x000be3d1de2e355bUL;
   tf->codes[37512] = 0x000bf6f3c0acc68fUL;
   tf->codes[37513] = 0x000bf714ebaf0b24UL;
   tf->codes[37514] = 0x000c0ab49d740196UL;
   tf->codes[37515] = 0x000c54e80b818b00UL;
   tf->codes[37516] = 0x000c690e0338bc29UL;
   tf->codes[37517] = 0x000c6f8e5c30b745UL;
   tf->codes[37518] = 0x000c864a50bb2174UL;
   tf->codes[37519] = 0x000c88f30f5e3394UL;
   tf->codes[37520] = 0x000ca501a5f9dedcUL;
   tf->codes[37521] = 0x000cb439dc00bf49UL;
   tf->codes[37522] = 0x000cbec50c72afc1UL;
   tf->codes[37523] = 0x000cc7099fee393aUL;
   tf->codes[37524] = 0x000cd1e6b4623b30UL;
   tf->codes[37525] = 0x000cde6663397b64UL;
   tf->codes[37526] = 0x000cf0b76da47903UL;
   tf->codes[37527] = 0x000cf0cc03ec8045UL;
   tf->codes[37528] = 0x000d094d92549b6fUL;
   tf->codes[37529] = 0x000d0adf3f602ebbUL;
   tf->codes[37530] = 0x000d36bb6ad471f1UL;
   tf->codes[37531] = 0x000d5dc5bcc1244dUL;
   tf->codes[37532] = 0x000d73ec8d08dcc0UL;
   tf->codes[37533] = 0x000d803ad3333ebcUL;
   tf->codes[37534] = 0x000d893edc4ca54eUL;
   tf->codes[37535] = 0x000da0025d46cde2UL;
   tf->codes[37536] = 0x000dc04cbeeb4134UL;
   tf->codes[37537] = 0x000dd03a59fb00deUL;
   tf->codes[37538] = 0x000de71654bc92c9UL;
   tf->codes[37539] = 0x000decde4f6863a7UL;
   tf->codes[37540] = 0x000e045c0326e4a1UL;
   tf->codes[37541] = 0x000e116a6e9c3505UL;
   tf->codes[37542] = 0x000e39fe6c06b0beUL;
   tf->codes[37543] = 0x000e3d70b0dc9dd3UL;
   tf->codes[37544] = 0x000e464addb8e492UL;
   tf->codes[37545] = 0x000e49a81728bedbUL;
   tf->codes[37546] = 0x000e4d6b9053ac1fUL;
   tf->codes[37547] = 0x000e53b578544a15UL;
   tf->codes[37548] = 0x000e8ffa4f6a6cf7UL;
   tf->codes[37549] = 0x000ea00aaf659999UL;
   tf->codes[37550] = 0x000eaf2319c4580fUL;
   tf->codes[37551] = 0x000eb408d9e6dedcUL;
   tf->codes[37552] = 0x000ebce42b8e4274UL;
   tf->codes[37553] = 0x000ebf050a55f17aUL;
   tf->codes[37554] = 0x000ec246d0bb176bUL;
   tf->codes[37555] = 0x000ec8c4306fc786UL;
   tf->codes[37556] = 0x000ef01ae8f600e8UL;
   tf->codes[37557] = 0x000eff9f10785cd1UL;
   tf->codes[37558] = 0x000f0383ef34946fUL;
   tf->codes[37559] = 0x000f0df287d0b3b6UL;
   tf->codes[37560] = 0x000f199997959c2bUL;
   tf->codes[37561] = 0x000f1add441e800eUL;
   tf->codes[37562] = 0x000f2dc581d36356UL;
   tf->codes[37563] = 0x000f3fb380559ec0UL;
   tf->codes[37564] = 0x000f508c7c478f43UL;
   tf->codes[37565] = 0x000f66c4af04fe32UL;
   tf->codes[37566] = 0x000f67c8fecca3ecUL;
   tf->codes[37567] = 0x000f93713d6ec973UL;
   tf->codes[37568] = 0x000f9817a0d01217UL;
   tf->codes[37569] = 0x000f9bf6c794b978UL;
   tf->codes[37570] = 0x000fb06edddd01e4UL;
   tf->codes[37571] = 0x000fb36094b8447fUL;
   tf->codes[37572] = 0x000fc505607349a9UL;
   tf->codes[37573] = 0x000fedc42456fc49UL;
   tf->codes[37574] = 0x000feee87a55c9bfUL;
   tf->codes[37575] = 0x000fef931f1c99d1UL;
   tf->codes[37576] = 0x000ff680cf215ac3UL;
   tf->codes[37577] = 0x00001a515c36b11dUL;
   tf->codes[37578] = 0x00005e1e0fdec59bUL;
   tf->codes[37579] = 0x000064ca541b1477UL;
   tf->codes[37580] = 0x00007237384cb3acUL;
   tf->codes[37581] = 0x0000874d9930949cUL;
   tf->codes[37582] = 0x0000ce11bbab7bf2UL;
   tf->codes[37583] = 0x0000d0ccc7005ba2UL;
   tf->codes[37584] = 0x0000ddc06f1808fdUL;
   tf->codes[37585] = 0x0000e9b7c8f5da8dUL;
   tf->codes[37586] = 0x0000f095b06e0d66UL;
   tf->codes[37587] = 0x0000fbff37e9e5daUL;
   tf->codes[37588] = 0x0001126564f2dc76UL;
   tf->codes[37589] = 0x00012b0e8601ddc1UL;
   tf->codes[37590] = 0x0001381f007e6212UL;
   tf->codes[37591] = 0x00013ddadb8e0127UL;
   tf->codes[37592] = 0x00013e2448e43d2cUL;
   tf->codes[37593] = 0x000144dce74bc396UL;
   tf->codes[37594] = 0x000145506b6e2533UL;
   tf->codes[37595] = 0x00014e279f0720f1UL;
   tf->codes[37596] = 0x000151002c6de8e6UL;
   tf->codes[37597] = 0x00016eb874be8547UL;
   tf->codes[37598] = 0x000189146ddb5e73UL;
   tf->codes[37599] = 0x00018d75bc83d8b1UL;
   tf->codes[37600] = 0x0001b0060b71a1b3UL;
   tf->codes[37601] = 0x0001c6d3d78fcde8UL;
   tf->codes[37602] = 0x0001d556336fc38eUL;
   tf->codes[37603] = 0x0001f4c4fcbe9420UL;
   tf->codes[37604] = 0x00022414cc62e709UL;
   tf->codes[37605] = 0x000245ec82758008UL;
   tf->codes[37606] = 0x000247ca20fc8ed0UL;
   tf->codes[37607] = 0x00026b0d8b5cfd5dUL;
   tf->codes[37608] = 0x0002739f351f1f2bUL;
   tf->codes[37609] = 0x00028f80468d4e50UL;
   tf->codes[37610] = 0x000297be7264363dUL;
   tf->codes[37611] = 0x0002c799904542cbUL;
   tf->codes[37612] = 0x0002cbb3bb2dbab6UL;
   tf->codes[37613] = 0x0002dc6907f8272dUL;
   tf->codes[37614] = 0x0002ef73957a6be3UL;
   tf->codes[37615] = 0x0003011910e2825cUL;
   tf->codes[37616] = 0x0003748a36e5407dUL;
   tf->codes[37617] = 0x000374f19b6b7051UL;
   tf->codes[37618] = 0x000385649231539eUL;
   tf->codes[37619] = 0x00038cab7818deaeUL;
   tf->codes[37620] = 0x0003909b51a62b3cUL;
   tf->codes[37621] = 0x0003c74af6177e16UL;
   tf->codes[37622] = 0x0003d00e7da489a6UL;
   tf->codes[37623] = 0x0003dbdc35d44128UL;
   tf->codes[37624] = 0x0003e930dacd7ccbUL;
   tf->codes[37625] = 0x0003f43ea8414baaUL;
   tf->codes[37626] = 0x00046852717d0feeUL;
   tf->codes[37627] = 0x0004f1311f3f4530UL;
   tf->codes[37628] = 0x0004fe0c881e8ef9UL;
   tf->codes[37629] = 0x0005053fc1fa29dbUL;
   tf->codes[37630] = 0x0005803939ace522UL;
   tf->codes[37631] = 0x0005946fe42cbb78UL;
   tf->codes[37632] = 0x0005a3119696c78bUL;
   tf->codes[37633] = 0x0005aa03d9c7fbe1UL;
   tf->codes[37634] = 0x0005aeaa3d294485UL;
   tf->codes[37635] = 0x0005c4908be4a1f6UL;
   tf->codes[37636] = 0x0005e365d853532dUL;
   tf->codes[37637] = 0x0005e7ad4dda4176UL;
   tf->codes[37638] = 0x0005ea0ee8bd5143UL;
   tf->codes[37639] = 0x00063c8d8c7a0b77UL;
   tf->codes[37640] = 0x0006658cd1ea1919UL;
   tf->codes[37641] = 0x000665f3c1523d63UL;
   tf->codes[37642] = 0x000682835b069eafUL;
   tf->codes[37643] = 0x0006ad2d01d8aeb9UL;
   tf->codes[37644] = 0x0006af4cbbd540e6UL;
   tf->codes[37645] = 0x0006b1263c4de7d4UL;
   tf->codes[37646] = 0x0006b319d077207cUL;
   tf->codes[37647] = 0x0006bbba9318bf14UL;
   tf->codes[37648] = 0x0006c1332de7bdebUL;
   tf->codes[37649] = 0x0006cb75a0b083adUL;
   tf->codes[37650] = 0x0006dc0a3796b719UL;
   tf->codes[37651] = 0x000703b8c6a597fbUL;
   tf->codes[37652] = 0x000713af4d7f38a8UL;
   tf->codes[37653] = 0x00071bc6213e4039UL;
   tf->codes[37654] = 0x000738f4efca511dUL;
   tf->codes[37655] = 0x000764b82c591f72UL;
   tf->codes[37656] = 0x00076c2c976e26a5UL;
   tf->codes[37657] = 0x0007a05766f2f130UL;
   tf->codes[37658] = 0x0007a54e4efc28b4UL;
   tf->codes[37659] = 0x0007a81ea04620f5UL;
   tf->codes[37660] = 0x0007af8c2e987b12UL;
   tf->codes[37661] = 0x0007e85dd69c99cbUL;
   tf->codes[37662] = 0x0007ea0663866e0bUL;
   tf->codes[37663] = 0x0007fbc876c455b5UL;
   tf->codes[37664] = 0x00086016acb54bfaUL;
   tf->codes[37665] = 0x00088168cc82bb91UL;
   tf->codes[37666] = 0x0008a27efdf0438aUL;
   tf->codes[37667] = 0x0008a796614eae54UL;
   tf->codes[37668] = 0x0008a80468088579UL;
   tf->codes[37669] = 0x0008f0e2c7177484UL;
   tf->codes[37670] = 0x000901032a2e3504UL;
   tf->codes[37671] = 0x0009218680ef44f3UL;
   tf->codes[37672] = 0x00092fe47dfaa53eUL;
   tf->codes[37673] = 0x00093bf9947964d8UL;
   tf->codes[37674] = 0x00094fd325970efbUL;
   tf->codes[37675] = 0x000965f4b30542bbUL;
   tf->codes[37676] = 0x00096893d6316289UL;
   tf->codes[37677] = 0x000972d17b3eaf22UL;
   tf->codes[37678] = 0x00098055b46c9ad5UL;
   tf->codes[37679] = 0x0009864e6818389cUL;
   tf->codes[37680] = 0x0009919c7c895cb8UL;
   tf->codes[37681] = 0x000999758d704e83UL;
   tf->codes[37682] = 0x0009bb3280254479UL;
   tf->codes[37683] = 0x0009dcfcb7418911UL;
   tf->codes[37684] = 0x0009ffc80a53229dUL;
   tf->codes[37685] = 0x000a03069ce5f7c8UL;
   tf->codes[37686] = 0x000a1715b4bee7fdUL;
   tf->codes[37687] = 0x000a3694469a46a8UL;
   tf->codes[37688] = 0x000a397f5b41e1f2UL;
   tf->codes[37689] = 0x000a4a38c61ab643UL;
   tf->codes[37690] = 0x000a63c003a499c5UL;
   tf->codes[37691] = 0x000a75541c96f9c2UL;
   tf->codes[37692] = 0x000a87b1812d2eefUL;
   tf->codes[37693] = 0x000aad8b22efdc47UL;
   tf->codes[37694] = 0x000ab3e24f57c8dfUL;
   tf->codes[37695] = 0x000ab9eca00822e7UL;
   tf->codes[37696] = 0x000ac04fec0c4148UL;
   tf->codes[37697] = 0x000ae6beeca0a621UL;
   tf->codes[37698] = 0x000b2898f65b990bUL;
   tf->codes[37699] = 0x000b51774b5867ddUL;
   tf->codes[37700] = 0x000b5433b6076a2bUL;
   tf->codes[37701] = 0x000b70f3939d8cd6UL;
   tf->codes[37702] = 0x000b75342c61ce09UL;
   tf->codes[37703] = 0x000b8a99b2937b3bUL;
   tf->codes[37704] = 0x000b8f10bc4f1994UL;
   tf->codes[37705] = 0x000b8f8c07703f5bUL;
   tf->codes[37706] = 0x000b979387c0c45dUL;
   tf->codes[37707] = 0x000b9ed44092b3a6UL;
   tf->codes[37708] = 0x000bae577dd8f87bUL;
   tf->codes[37709] = 0x000bb82dbe601540UL;
   tf->codes[37710] = 0x000bd626fd5b182dUL;
   tf->codes[37711] = 0x000bfbe4f1840b68UL;
   tf->codes[37712] = 0x000c14a5a21e5ef6UL;
   tf->codes[37713] = 0x000c2f71766d3d6fUL;
   tf->codes[37714] = 0x000c45e3fda16b99UL;
   tf->codes[37715] = 0x000c46e8c2871cddUL;
   tf->codes[37716] = 0x000c59d349d239d7UL;
   tf->codes[37717] = 0x000c5f93f29d5215UL;
   tf->codes[37718] = 0x000c63bb9c7c1e67UL;
   tf->codes[37719] = 0x000c79ca681a790dUL;
   tf->codes[37720] = 0x000c81411cc5b9f2UL;
   tf->codes[37721] = 0x000c9ec15a35d0caUL;
   tf->codes[37722] = 0x000cbd950cbb599eUL;
   tf->codes[37723] = 0x000cefea3f46df50UL;
   tf->codes[37724] = 0x000cf31058124b24UL;
   tf->codes[37725] = 0x000cfa5a373d2135UL;
   tf->codes[37726] = 0x000cff5fc307c9f9UL;
   tf->codes[37727] = 0x000d0c332a5949d3UL;
   tf->codes[37728] = 0x000d12e735945cd9UL;
   tf->codes[37729] = 0x000d1996ada2fc7bUL;
   tf->codes[37730] = 0x000d2bc9fb6d0c10UL;
   tf->codes[37731] = 0x000d3092ae9bb622UL;
   tf->codes[37732] = 0x000d42ead058669cUL;
   tf->codes[37733] = 0x000d4b11e1c207d0UL;
   tf->codes[37734] = 0x000d5ded159ea23bUL;
   tf->codes[37735] = 0x000da453347b464aUL;
   tf->codes[37736] = 0x000dadc4cf307877UL;
   tf->codes[37737] = 0x000dc215c7efe64cUL;
   tf->codes[37738] = 0x000dc45254514f6fUL;
   tf->codes[37739] = 0x000de40d8439a707UL;
   tf->codes[37740] = 0x000dfc8208c97954UL;
   tf->codes[37741] = 0x000e335472263926UL;
   tf->codes[37742] = 0x000e3d082850eeb8UL;
   tf->codes[37743] = 0x000e6275d260f8d8UL;
   tf->codes[37744] = 0x000e6a8a21fac0f2UL;
   tf->codes[37745] = 0x000e7807f3840b19UL;
   tf->codes[37746] = 0x000e7f6927ab2da8UL;
   tf->codes[37747] = 0x000e8c1d38729715UL;
   tf->codes[37748] = 0x000e976d9679f4e3UL;
   tf->codes[37749] = 0x000f01729f300b4fUL;
   tf->codes[37750] = 0x000f0cecd97488f0UL;
   tf->codes[37751] = 0x000f38d6be6e2652UL;
   tf->codes[37752] = 0x000f701b4c932523UL;
   tf->codes[37753] = 0x000f7757e756ac92UL;
   tf->codes[37754] = 0x000f7f9ec4686fbdUL;
   tf->codes[37755] = 0x000f866ca8c50eb8UL;
   tf->codes[37756] = 0x000fa265f96ba16fUL;
   tf->codes[37757] = 0x000fa7c11228b801UL;
   tf->codes[37758] = 0x000ff9992f2d09fdUL;
   tf->codes[37759] = 0x000fff8588ad7036UL;
   tf->codes[37760] = 0x0000046f66de5eddUL;
   tf->codes[37761] = 0x000006dad7c766c1UL;
   tf->codes[37762] = 0x00001a80f130febfUL;
   tf->codes[37763] = 0x00001ce1a1d7f778UL;
   tf->codes[37764] = 0x000028386783f6d2UL;
   tf->codes[37765] = 0x0000291efaaaae82UL;
   tf->codes[37766] = 0x000066b41303f29aUL;
   tf->codes[37767] = 0x00007ef2d6497910UL;
   tf->codes[37768] = 0x0000b4bc97412589UL;
   tf->codes[37769] = 0x0000d40985e0a037UL;
   tf->codes[37770] = 0x0000efa71c7f2959UL;
   tf->codes[37771] = 0x000115dcb2d8e60bUL;
   tf->codes[37772] = 0x0001175570ff0476UL;
   tf->codes[37773] = 0x00011d34c0a721d2UL;
   tf->codes[37774] = 0x00012478382d5657UL;
   tf->codes[37775] = 0x00012bf4a4d02779UL;
   tf->codes[37776] = 0x00013faf8f10cc7eUL;
   tf->codes[37777] = 0x00014293c6f5bab2UL;
   tf->codes[37778] = 0x00014c75776bf7f1UL;
   tf->codes[37779] = 0x00018809b734b4bfUL;
   tf->codes[37780] = 0x0001b19ed094856cUL;
   tf->codes[37781] = 0x0001c98f93575c79UL;
   tf->codes[37782] = 0x0001cafbf7524356UL;
   tf->codes[37783] = 0x0001e3fb1a71bdf9UL;
   tf->codes[37784] = 0x0001f3dc5b564615UL;
   tf->codes[37785] = 0x000203658b2320ecUL;
   tf->codes[37786] = 0x0002141d5c12ccdaUL;
   tf->codes[37787] = 0x00022cc2d43171d5UL;
   tf->codes[37788] = 0x0002479843f742a0UL;
   tf->codes[37789] = 0x000248143ec579b6UL;
   tf->codes[37790] = 0x00024c6dc66f2fcaUL;
   tf->codes[37791] = 0x000255ff675b89b3UL;
   tf->codes[37792] = 0x000261f402851607UL;
   tf->codes[37793] = 0x0002705f0968bf2fUL;
   tf->codes[37794] = 0x00027a50bcfa904cUL;
   tf->codes[37795] = 0x0002819c709d9485UL;
   tf->codes[37796] = 0x0002856c0964b392UL;
   tf->codes[37797] = 0x0002a56ab41cb12dUL;
   tf->codes[37798] = 0x0002b84f0e523260UL;
   tf->codes[37799] = 0x0002ba33feb9f9c8UL;
   tf->codes[37800] = 0x0002e6f59889d7d5UL;
   tf->codes[37801] = 0x0002eef21e0947e7UL;
   tf->codes[37802] = 0x00030479f4085687UL;
   tf->codes[37803] = 0x000324baba35d787UL;
   tf->codes[37804] = 0x000336fb4c6735beUL;
   tf->codes[37805] = 0x00034fabf9e5f56eUL;
   tf->codes[37806] = 0x00035e0c7b169530UL;
   tf->codes[37807] = 0x00038b9f6218125cUL;
   tf->codes[37808] = 0x0003a0dd55a2d96dUL;
   tf->codes[37809] = 0x0003b3a72709bd5cUL;
   tf->codes[37810] = 0x0003b4d84c51cdeaUL;
   tf->codes[37811] = 0x0003bff14f25b77eUL;
   tf->codes[37812] = 0x0003c061da04ce1aUL;
   tf->codes[37813] = 0x0003d05b94b0bf8dUL;
   tf->codes[37814] = 0x0003d1e664f9a5c3UL;
   tf->codes[37815] = 0x0003eaf550a5ae7fUL;
   tf->codes[37816] = 0x00046952a3fbeb60UL;
   tf->codes[37817] = 0x000497ad77471b1eUL;
   tf->codes[37818] = 0x0004d54931d40687UL;
   tf->codes[37819] = 0x0004e398508eefcdUL;
   tf->codes[37820] = 0x0004f1e76f49d913UL;
   tf->codes[37821] = 0x00054bf3a7901520UL;
   tf->codes[37822] = 0x000566964f4ee515UL;
   tf->codes[37823] = 0x000592e54f387899UL;
   tf->codes[37824] = 0x0005c40db5195b5cUL;
   tf->codes[37825] = 0x0005e5224c9dbaf2UL;
   tf->codes[37826] = 0x0005f2250d94e517UL;
   tf->codes[37827] = 0x00061c3b649c718dUL;
   tf->codes[37828] = 0x00062ed77646d394UL;
   tf->codes[37829] = 0x00064a286bbccfebUL;
   tf->codes[37830] = 0x0006548b9469ceb8UL;
   tf->codes[37831] = 0x000654ba03d361efUL;
   tf->codes[37832] = 0x00065617c40cd78cUL;
   tf->codes[37833] = 0x00068c0a01e7813aUL;
   tf->codes[37834] = 0x0006977264983cd5UL;
   tf->codes[37835] = 0x0006a2cf5759d7f6UL;
   tf->codes[37836] = 0x0006a49e521f757eUL;
   tf->codes[37837] = 0x0006b77985fc0fe9UL;
   tf->codes[37838] = 0x0006e1d73b52a477UL;
   tf->codes[37839] = 0x0006edd8a5c573e3UL;
   tf->codes[37840] = 0x0007016e8184723eUL;
   tf->codes[37841] = 0x000709549c43ace6UL;
   tf->codes[37842] = 0x000726523cb1e557UL;
   tf->codes[37843] = 0x00073c11e30273bbUL;
   tf->codes[37844] = 0x0007515bf6296c95UL;
   tf->codes[37845] = 0x0007633c3b264dd3UL;
   tf->codes[37846] = 0x0007945d89b57dbbUL;
   tf->codes[37847] = 0x00079b328563cf91UL;
   tf->codes[37848] = 0x0007d86d088026edUL;
   tf->codes[37849] = 0x0007f2da6412b695UL;
   tf->codes[37850] = 0x000839de1ddde1d9UL;
   tf->codes[37851] = 0x00083a3c217c2520UL;
   tf->codes[37852] = 0x00084618b7fc53a7UL;
   tf->codes[37853] = 0x0008572e8c8a42dcUL;
   tf->codes[37854] = 0x0008621ba419d8b0UL;
   tf->codes[37855] = 0x00086cafc055aa2bUL;
   tf->codes[37856] = 0x000898ed233a816eUL;
   tf->codes[37857] = 0x00095acb734c5d16UL;
   tf->codes[37858] = 0x000971c8d39f395bUL;
   tf->codes[37859] = 0x000992b1ba6e4af6UL;
   tf->codes[37860] = 0x0009c8cf33e03715UL;
   tf->codes[37861] = 0x0009f3f66f69a698UL;
   tf->codes[37862] = 0x0009f42bbb95e6e5UL;
   tf->codes[37863] = 0x000a01f2bfe6674cUL;
   tf->codes[37864] = 0x000a1d375b312c15UL;
   tf->codes[37865] = 0x000a2dad85c96028UL;
   tf->codes[37866] = 0x000a3964238bd0f1UL;
   tf->codes[37867] = 0x000a416ba3dc55f3UL;
   tf->codes[37868] = 0x000a57e3e308145aUL;
   tf->codes[37869] = 0x000a5fcb97b07765UL;
   tf->codes[37870] = 0x000a729b962cf71bUL;
   tf->codes[37871] = 0x000a9de81ac7130dUL;
   tf->codes[37872] = 0x000abbe3dde75571UL;
   tf->codes[37873] = 0x000ac9bc0a1e868fUL;
   tf->codes[37874] = 0x000addbf025b44fbUL;
   tf->codes[37875] = 0x000ae1be69e619ddUL;
   tf->codes[37876] = 0x000aff8d1cf6eba8UL;
   tf->codes[37877] = 0x000b4b1aa24d8e5fUL;
   tf->codes[37878] = 0x000b5cb598029b72UL;
   tf->codes[37879] = 0x000b6b6d7a9dd72aUL;
   tf->codes[37880] = 0x000b765b7c698412UL;
   tf->codes[37881] = 0x000b8b5719efc1f9UL;
   tf->codes[37882] = 0x000b99904308815fUL;
   tf->codes[37883] = 0x000babef06f8d92aUL;
   tf->codes[37884] = 0x000bcf93a8c9dbc4UL;
   tf->codes[37885] = 0x000bd2546c164bb1UL;
   tf->codes[37886] = 0x000c04ff2b943f31UL;
   tf->codes[37887] = 0x000c1c64daa9625eUL;
   tf->codes[37888] = 0x000c31ae78b24faeUL;
   tf->codes[37889] = 0x000c47e54c159bffUL;
   tf->codes[37890] = 0x000c50dab16d9151UL;
   tf->codes[37891] = 0x000c52880c12debaUL;
   tf->codes[37892] = 0x000c60912bd8e286UL;
   tf->codes[37893] = 0x000c67269036f06eUL;
   tf->codes[37894] = 0x000c7500565749efUL;
   tf->codes[37895] = 0x000c794e6e11df89UL;
   tf->codes[37896] = 0x000c97d3aaf6ad6aUL;
   tf->codes[37897] = 0x000c9fe1cd7ad9bdUL;
   tf->codes[37898] = 0x000cb5e4797d029aUL;
   tf->codes[37899] = 0x000cb617f13114bfUL;
   tf->codes[37900] = 0x000cc8ce8baa140aUL;
   tf->codes[37901] = 0x000cee7e16a09bcaUL;
   tf->codes[37902] = 0x000d0c0481264e69UL;
   tf->codes[37903] = 0x000d1e5b7e17e20aUL;
   tf->codes[37904] = 0x000d241c9c0105d2UL;
   tf->codes[37905] = 0x000d293d9ad662eeUL;
   tf->codes[37906] = 0x000d2992ed39caf7UL;
   tf->codes[37907] = 0x000d3c561c6d0795UL;
   tf->codes[37908] = 0x000d79e9604e1d85UL;
   tf->codes[37909] = 0x000d8bc9302cf339UL;
   tf->codes[37910] = 0x000db1f3cbb59afbUL;
   tf->codes[37911] = 0x000dcd769ef68114UL;
   tf->codes[37912] = 0x000ddce0ed575108UL;
   tf->codes[37913] = 0x000df2ffbc113f8cUL;
   tf->codes[37914] = 0x000e02f817630e61UL;
   tf->codes[37915] = 0x000e0c7ebd7e535aUL;
   tf->codes[37916] = 0x000e3f281da2243cUL;
   tf->codes[37917] = 0x000e9cb36a079076UL;
   tf->codes[37918] = 0x000e9dbfbb5d001fUL;
   tf->codes[37919] = 0x000edfced6b52d91UL;
   tf->codes[37920] = 0x000ee51dcfd6125aUL;
   tf->codes[37921] = 0x000efeb7cf2fcef6UL;
   tf->codes[37922] = 0x000f1e348c92ff79UL;
   tf->codes[37923] = 0x000f3d8b8bc77803UL;
   tf->codes[37924] = 0x000f5a6afa76b6e0UL;
   tf->codes[37925] = 0x000f606a8ae501bdUL;
   tf->codes[37926] = 0x000fae7bc05d0feaUL;
   tf->codes[37927] = 0x000fc541505e6c6bUL;
   tf->codes[37928] = 0x00000719108325a3UL;
   tf->codes[37929] = 0x00001a70b44c02aeUL;
   tf->codes[37930] = 0x000032e329d4a10eUL;
   tf->codes[37931] = 0x000065c8b2e75f53UL;
   tf->codes[37932] = 0x000087747db5a492UL;
   tf->codes[37933] = 0x00009097dd592191UL;
   tf->codes[37934] = 0x0000a07f85e24b39UL;
   tf->codes[37935] = 0x0000b75d8fab1111UL;
   tf->codes[37936] = 0x0000c6b7a0614762UL;
   tf->codes[37937] = 0x0000ee87cf907863UL;
   tf->codes[37938] = 0x000103669ab1df54UL;
   tf->codes[37939] = 0x00010c6aa3cb45e6UL;
   tf->codes[37940] = 0x00010ea4ac076f92UL;
   tf->codes[37941] = 0x000158993271c65dUL;
   tf->codes[37942] = 0x00015b1d92404322UL;
   tf->codes[37943] = 0x00018ffcdc91d5d6UL;
   tf->codes[37944] = 0x0001b770dc9af1b8UL;
   tf->codes[37945] = 0x0001ea19c7a0b710UL;
   tf->codes[37946] = 0x0001f70d35295ea6UL;
   tf->codes[37947] = 0x000214b69f298402UL;
   tf->codes[37948] = 0x0002151eedebcaeaUL;
   tf->codes[37949] = 0x0002264c52050c62UL;
   tf->codes[37950] = 0x0002368f3f783415UL;
   tf->codes[37951] = 0x00025be7a39325a4UL;
   tf->codes[37952] = 0x000290344dc74613UL;
   tf->codes[37953] = 0x000294bd2f16a672UL;
   tf->codes[37954] = 0x000296963a7141d6UL;
   tf->codes[37955] = 0x0002b7e610a877bbUL;
   tf->codes[37956] = 0x00030e182a748b55UL;
   tf->codes[37957] = 0x000313e9fb26544aUL;
   tf->codes[37958] = 0x00031c670ea06ed6UL;
   tf->codes[37959] = 0x0003891d12166716UL;
   tf->codes[37960] = 0x000394eeadc580adUL;
   tf->codes[37961] = 0x0003a094d34e520eUL;
   tf->codes[37962] = 0x0003c1724a2e432fUL;
   tf->codes[37963] = 0x0003fffa4fd97685UL;
   tf->codes[37964] = 0x000495b4a109fb55UL;
   tf->codes[37965] = 0x0004ca887b6c6d8fUL;
   tf->codes[37966] = 0x000509eb69c03256UL;
   tf->codes[37967] = 0x00051cda8437c2b4UL;
   tf->codes[37968] = 0x00052531646519bdUL;
   tf->codes[37969] = 0x00052d2991471c30UL;
   tf->codes[37970] = 0x00053e91846622a8UL;
   tf->codes[37971] = 0x00054ec1ea987706UL;
   tf->codes[37972] = 0x0005674169f95e43UL;
   tf->codes[37973] = 0x00056ddcc0de022dUL;
   tf->codes[37974] = 0x0005778282f457ceUL;
   tf->codes[37975] = 0x000598e79f20a644UL;
   tf->codes[37976] = 0x0005cd8e6973a7e5UL;
   tf->codes[37977] = 0x0005d1b3c9bc3a85UL;
   tf->codes[37978] = 0x0005fe3606cada69UL;
   tf->codes[37979] = 0x000648b05e096061UL;
   tf->codes[37980] = 0x000649879dc19582UL;
   tf->codes[37981] = 0x0006b38a22526c77UL;
   tf->codes[37982] = 0x0006b9c183123718UL;
   tf->codes[37983] = 0x0006cc8b19ea1542UL;
   tf->codes[37984] = 0x0006dde3b99a992bUL;
   tf->codes[37985] = 0x0006eeafabb440d1UL;
   tf->codes[37986] = 0x0007616edb0f7640UL;
   tf->codes[37987] = 0x00078404e1f4cf7fUL;
   tf->codes[37988] = 0x0007864760dccea4UL;
   tf->codes[37989] = 0x0007b75abb579e9bUL;
   tf->codes[37990] = 0x0007bbf44f6fa427UL;
   tf->codes[37991] = 0x0007bf5f4264d89cUL;
   tf->codes[37992] = 0x0007d13ded789177UL;
   tf->codes[37993] = 0x0008a987384edce4UL;
   tf->codes[37994] = 0x0008c4793fea7ee0UL;
   tf->codes[37995] = 0x0008c91bfa5b6b34UL;
   tf->codes[37996] = 0x0008f33843e98dacUL;
   tf->codes[37997] = 0x0009562809f3fd05UL;
   tf->codes[37998] = 0x00095edefcc6cb42UL;
   tf->codes[37999] = 0x0009657c28239d54UL;
   tf->codes[38000] = 0x0009a365e3333826UL;
   tf->codes[38001] = 0x0009c9eb13f8cca4UL;
   tf->codes[38002] = 0x0009de7ded9eb819UL;
   tf->codes[38003] = 0x0009e958b87c805dUL;
   tf->codes[38004] = 0x0009f474ef22bab7UL;
   tf->codes[38005] = 0x000a04295a86d7ffUL;
   tf->codes[38006] = 0x000a2cdfa7beb526UL;
   tf->codes[38007] = 0x000a90047f665f07UL;
   tf->codes[38008] = 0x000a9eca90a50075UL;
   tf->codes[38009] = 0x000ab2db4267190dUL;
   tf->codes[38010] = 0x000afbb3e97e77dbUL;
   tf->codes[38011] = 0x000b1313e09c0acbUL;
   tf->codes[38012] = 0x000b144490c60fcfUL;
   tf->codes[38013] = 0x000b409ddbd3a6f4UL;
   tf->codes[38014] = 0x000b5f5c82f31cfcUL;
   tf->codes[38015] = 0x000b657af4cd72bcUL;
   tf->codes[38016] = 0x000b72102428d146UL;
   tf->codes[38017] = 0x000b9a6783865412UL;
   tf->codes[38018] = 0x000bc4b535c154c2UL;
   tf->codes[38019] = 0x000bd3dcf38e95c7UL;
   tf->codes[38020] = 0x000c23a7a3482326UL;
   tf->codes[38021] = 0x000c276cf0eb3e92UL;
   tf->codes[38022] = 0x000c63b02e183911UL;
   tf->codes[38023] = 0x000c6fdbe9e633daUL;
   tf->codes[38024] = 0x000c8372003437faUL;
   tf->codes[38025] = 0x000ca086f59ebce9UL;
   tf->codes[38026] = 0x000ca1dc049d5748UL;
   tf->codes[38027] = 0x000ca5034233dff5UL;
   tf->codes[38028] = 0x000ce19c817153ccUL;
   tf->codes[38029] = 0x000ce819a696fe22UL;
   tf->codes[38030] = 0x000d0676dbb6da58UL;
   tf->codes[38031] = 0x000d0bbf6d331d95UL;
   tf->codes[38032] = 0x000d1215af5ef319UL;
   tf->codes[38033] = 0x000d15b872a5a752UL;
   tf->codes[38034] = 0x000d16d994d22402UL;
   tf->codes[38035] = 0x000d2e0021b50ecbUL;
   tf->codes[38036] = 0x000d56ca9016e7aaUL;
   tf->codes[38037] = 0x000d59973870839bUL;
   tf->codes[38038] = 0x000d688083b89d8bUL;
   tf->codes[38039] = 0x000d81bb5aa8fa07UL;
   tf->codes[38040] = 0x000db5e121e345a4UL;
   tf->codes[38041] = 0x000dc838ce81ea94UL;
   tf->codes[38042] = 0x000dcd8d0a7c5410UL;
   tf->codes[38043] = 0x000de3f2c2673f22UL;
   tf->codes[38044] = 0x000dedac308984f1UL;
   tf->codes[38045] = 0x000e03736349d1baUL;
   tf->codes[38046] = 0x000e2f800d2edc14UL;
   tf->codes[38047] = 0x000e3fb36ca47b73UL;
   tf->codes[38048] = 0x000e92acabd54a1fUL;
   tf->codes[38049] = 0x000e93bf64cf5b54UL;
   tf->codes[38050] = 0x000e9ad5cc461f40UL;
   tf->codes[38051] = 0x000eb22a537491b6UL;
   tf->codes[38052] = 0x000ed6741ca3d9eaUL;
   tf->codes[38053] = 0x000ee777a47ffb8fUL;
   tf->codes[38054] = 0x000ef43a5908d63cUL;
   tf->codes[38055] = 0x000f16e0287abd94UL;
   tf->codes[38056] = 0x000f95f6c4593bc7UL;
   tf->codes[38057] = 0x00006c5c4392dca5UL;
   tf->codes[38058] = 0x00007461052f1c6bUL;
   tf->codes[38059] = 0x00007aec9387323cUL;
   tf->codes[38060] = 0x0000854411b60acaUL;
   tf->codes[38061] = 0x0000871590a0e7c9UL;
   tf->codes[38062] = 0x0000f8889cc763dcUL;
   tf->codes[38063] = 0x00010050fae5b07aUL;
   tf->codes[38064] = 0x00010a2c7e4651f2UL;
   tf->codes[38065] = 0x000113c695de8154UL;
   tf->codes[38066] = 0x00012bd131c2e456UL;
   tf->codes[38067] = 0x00012ed61f8c0b95UL;
   tf->codes[38068] = 0x00015f98f55eecacUL;
   tf->codes[38069] = 0x00018ec2cc4581d7UL;
   tf->codes[38070] = 0x0001a714c678ecf1UL;
   tf->codes[38071] = 0x0001a88d4a100597UL;
   tf->codes[38072] = 0x0001af2aea8ae333UL;
   tf->codes[38073] = 0x0001cf56303445ddUL;
   tf->codes[38074] = 0x0001fc40f694326eUL;
   tf->codes[38075] = 0x000214d66b97438bUL;
   tf->codes[38076] = 0x000217528f48f09cUL;
   tf->codes[38077] = 0x0002815e74c1b41eUL;
   tf->codes[38078] = 0x00029cea33cc7b3aUL;
   tf->codes[38079] = 0x0002ac290c0702f8UL;
   tf->codes[38080] = 0x0002d89e04ae543aUL;
   tf->codes[38081] = 0x0002f9c34efb58fdUL;
   tf->codes[38082] = 0x000317e45b2c47d0UL;
   tf->codes[38083] = 0x000323fa96762443UL;
   tf->codes[38084] = 0x00032be9d78e45b3UL;
   tf->codes[38085] = 0x00033ceb15d42da6UL;
   tf->codes[38086] = 0x000350875937cd8dUL;
   tf->codes[38087] = 0x00035670b974e8c5UL;
   tf->codes[38088] = 0x0003c7b51ba2cbdcUL;
   tf->codes[38089] = 0x0003d504f2e08e56UL;
   tf->codes[38090] = 0x0003d5323d7f04b4UL;
   tf->codes[38091] = 0x0003e39960e34bc7UL;
   tf->codes[38092] = 0x0003e8958bc607feUL;
   tf->codes[38093] = 0x0003fd6ba5ac93b1UL;
   tf->codes[38094] = 0x0004b74867f48059UL;
   tf->codes[38095] = 0x0004e2e118991d8cUL;
   tf->codes[38096] = 0x0004f6f622f8a3c3UL;
   tf->codes[38097] = 0x0005406acb156163UL;
   tf->codes[38098] = 0x0005426d03000b4bUL;
   tf->codes[38099] = 0x000567926484f63fUL;
   tf->codes[38100] = 0x000576f0cdd89a2fUL;
   tf->codes[38101] = 0x000598abb1865c38UL;
   tf->codes[38102] = 0x0005a6e4da9f1b9eUL;
   tf->codes[38103] = 0x0005c1bc596c2056UL;
   tf->codes[38104] = 0x0005cbb60e8bbb62UL;
   tf->codes[38105] = 0x000615eefa01cf44UL;
   tf->codes[38106] = 0x0006702d8531009dUL;
   tf->codes[38107] = 0x00067b8e96010398UL;
   tf->codes[38108] = 0x00067ddab05ff50fUL;
   tf->codes[38109] = 0x00068eb5463b0df5UL;
   tf->codes[38110] = 0x0006b9e2e9691f04UL;
   tf->codes[38111] = 0x0006d8004ca9b187UL;
   tf->codes[38112] = 0x0006ee901b60c231UL;
   tf->codes[38113] = 0x000705fef0cecc26UL;
   tf->codes[38114] = 0x000724e9f850a178UL;
   tf->codes[38115] = 0x000738834270f65eUL;
   tf->codes[38116] = 0x0007440f8ed83bcaUL;
   tf->codes[38117] = 0x00077001ea7daea5UL;
   tf->codes[38118] = 0x00077c6835516e6eUL;
   tf->codes[38119] = 0x000786c655b3ee4dUL;
   tf->codes[38120] = 0x0007a1bfe9bf4eaeUL;
   tf->codes[38121] = 0x0007a611e4f9465dUL;
   tf->codes[38122] = 0x0007d00d78a32fcaUL;
   tf->codes[38123] = 0x00082b63c516f146UL;
   tf->codes[38124] = 0x00083070a2c252aaUL;
   tf->codes[38125] = 0x0008e2df6199d9abUL;
   tf->codes[38126] = 0x0009169e396c00feUL;
   tf->codes[38127] = 0x00093ef29f8638c9UL;
   tf->codes[38128] = 0x00098d619e0d8478UL;
   tf->codes[38129] = 0x0009924cdb9895bdUL;
   tf->codes[38130] = 0x00099f625e5f98fcUL;
   tf->codes[38131] = 0x0009e2c26aa7f8f3UL;
   tf->codes[38132] = 0x000a1daaa64fc311UL;
   tf->codes[38133] = 0x000a2a579fc579a3UL;
   tf->codes[38134] = 0x000a52ec4cdd06abUL;
   tf->codes[38135] = 0x000a586bc46eb298UL;
   tf->codes[38136] = 0x000a6bc9202f1fe0UL;
   tf->codes[38137] = 0x000ab202a41a5ee0UL;
   tf->codes[38138] = 0x000ac7b5b5b0aff1UL;
   tf->codes[38139] = 0x000aed3aef4c0c54UL;
   tf->codes[38140] = 0x000b734a708f662eUL;
   tf->codes[38141] = 0x000b81b8e5d465e1UL;
   tf->codes[38142] = 0x000b9c8026f6d0f6UL;
   tf->codes[38143] = 0x000bb658d364ba6cUL;
   tf->codes[38144] = 0x000bd37b47c593c2UL;
   tf->codes[38145] = 0x000bed51357f37fcUL;
   tf->codes[38146] = 0x000c05635dd35963UL;
   tf->codes[38147] = 0x000c0fc22de2ea91UL;
   tf->codes[38148] = 0x000c2d1b133b210dUL;
   tf->codes[38149] = 0x000c52ba60870f2aUL;
   tf->codes[38150] = 0x000c557aaeb5738dUL;
   tf->codes[38151] = 0x000c9cca948b2012UL;
   tf->codes[38152] = 0x000cb3acbc624dc4UL;
   tf->codes[38153] = 0x000cbbab8b77f788UL;
   tf->codes[38154] = 0x000cbc38ae2cdf55UL;
   tf->codes[38155] = 0x000ccafc75d54711UL;
   tf->codes[38156] = 0x000ccde5b604b433UL;
   tf->codes[38157] = 0x000d1c1432ffa4e0UL;
   tf->codes[38158] = 0x000d1f8294562fe0UL;
   tf->codes[38159] = 0x000d26550bdf423fUL;
   tf->codes[38160] = 0x000d670a0fee5664UL;
   tf->codes[38161] = 0x000d6f98fafc32f6UL;
   tf->codes[38162] = 0x000d789ffd58e489UL;
   tf->codes[38163] = 0x000d8fc64facc98dUL;
   tf->codes[38164] = 0x000dd65c02be1dacUL;
   tf->codes[38165] = 0x000ddb7f85b8ba3fUL;
   tf->codes[38166] = 0x000ddd1d8cef8519UL;
   tf->codes[38167] = 0x000dfed9204a5871UL;
   tf->codes[38168] = 0x000e2ea43b0fd121UL;
   tf->codes[38169] = 0x000e38ef99a277e6UL;
   tf->codes[38170] = 0x000e4066fdfaca1aUL;
   tf->codes[38171] = 0x000e47b869955e90UL;
   tf->codes[38172] = 0x000e881b148455adUL;
   tf->codes[38173] = 0x000ea934eee239f6UL;
   tf->codes[38174] = 0x000eb9d56ad59966UL;
   tf->codes[38175] = 0x000ec40fdc109539UL;
   tf->codes[38176] = 0x000eccdb2a9c64f3UL;
   tf->codes[38177] = 0x000f21b208544267UL;
   tf->codes[38178] = 0x000f47523fdc4798UL;
   tf->codes[38179] = 0x000f5af97e10fc6fUL;
   tf->codes[38180] = 0x000f95e7e6ce6254UL;
   tf->codes[38181] = 0x000f9926ee7f4309UL;
   tf->codes[38182] = 0x000fc2ad298e9cb1UL;
   tf->codes[38183] = 0x000fca5b73fc5795UL;
   tf->codes[38184] = 0x000fe6498f42cf97UL;
   tf->codes[38185] = 0x000ffa08d220e23bUL;
   tf->codes[38186] = 0x0000029e5f62661eUL;
   tf->codes[38187] = 0x00000ad62394ac7fUL;
   tf->codes[38188] = 0x000027d648282467UL;
   tf->codes[38189] = 0x0000428b7727c7b1UL;
   tf->codes[38190] = 0x00005e8f88106993UL;
   tf->codes[38191] = 0x00005efc69ff23dfUL;
   tf->codes[38192] = 0x0000606cb1796cd1UL;
   tf->codes[38193] = 0x00007abab681e60cUL;
   tf->codes[38194] = 0x00007c8caa8ace95UL;
   tf->codes[38195] = 0x0000a3aaa883711fUL;
   tf->codes[38196] = 0x0000ad08972cb31eUL;
   tf->codes[38197] = 0x0000b4d21a161c95UL;
   tf->codes[38198] = 0x0000db3de6d830a8UL;
   tf->codes[38199] = 0x000109fc75b933eaUL;
   tf->codes[38200] = 0x00012fda70194ee1UL;
   tf->codes[38201] = 0x0001366848079e64UL;
   tf->codes[38202] = 0x00014cebf7227d45UL;
   tf->codes[38203] = 0x00017afb889f42d6UL;
   tf->codes[38204] = 0x000186fe8cfb3aa5UL;
   tf->codes[38205] = 0x0001be2bc623ecf8UL;
   tf->codes[38206] = 0x0001d0933b4f2001UL;
   tf->codes[38207] = 0x0001dec1a425d03cUL;
   tf->codes[38208] = 0x0001df9c8cce61adUL;
   tf->codes[38209] = 0x0001f367b4b9a055UL;
   tf->codes[38210] = 0x0002112f5078bf45UL;
   tf->codes[38211] = 0x000234482eeefcb0UL;
   tf->codes[38212] = 0x0002447c78a0b323UL;
   tf->codes[38213] = 0x00024977099a46f7UL;
   tf->codes[38214] = 0x00026659ac1bd69aUL;
   tf->codes[38215] = 0x00027f5944595cc7UL;
   tf->codes[38216] = 0x00030ff51ad9c3f2UL;
   tf->codes[38217] = 0x00031b65448943b7UL;
   tf->codes[38218] = 0x00033e135017fac3UL;
   tf->codes[38219] = 0x000341d2361674a3UL;
   tf->codes[38220] = 0x000359714f663ff7UL;
   tf->codes[38221] = 0x0003aa4fdce4fb64UL;
   tf->codes[38222] = 0x0003afbc92a6ce37UL;
   tf->codes[38223] = 0x0003b29a2858151aUL;
   tf->codes[38224] = 0x0003c7ccabf3bbb1UL;
   tf->codes[38225] = 0x0003cef1b72bf0ddUL;
   tf->codes[38226] = 0x0003cf523eef739bUL;
   tf->codes[38227] = 0x0003e36c8c287e85UL;
   tf->codes[38228] = 0x0003edafae9e5596UL;
   tf->codes[38229] = 0x0004532a3c1be340UL;
   tf->codes[38230] = 0x00047d62a861cb5fUL;
   tf->codes[38231] = 0x00049968c851a12eUL;
   tf->codes[38232] = 0x000510a9c1aa8421UL;
   tf->codes[38233] = 0x0005429ea7018cdaUL;
   tf->codes[38234] = 0x00055203b288d81bUL;
   tf->codes[38235] = 0x00056af815664393UL;
   tf->codes[38236] = 0x000599b5f49a3586UL;
   tf->codes[38237] = 0x0005acda20af006cUL;
   tf->codes[38238] = 0x0005cfac8b124cd3UL;
   tf->codes[38239] = 0x0005dd9bd1b6c4aaUL;
   tf->codes[38240] = 0x0005f4980d3e8416UL;
   tf->codes[38241] = 0x0006318a825ec20bUL;
   tf->codes[38242] = 0x00066810bfb1009cUL;
   tf->codes[38243] = 0x000669cb5ebd9ca7UL;
   tf->codes[38244] = 0x00066b12eec5e29fUL;
   tf->codes[38245] = 0x000678295bc8fcf2UL;
   tf->codes[38246] = 0x00068107a6b3ab8bUL;
   tf->codes[38247] = 0x0006a7d6f47c8d5dUL;
   tf->codes[38248] = 0x0006b3e986d60d80UL;
   tf->codes[38249] = 0x0006bfd62071cfe5UL;
   tf->codes[38250] = 0x0006f21ce9caea1cUL;
   tf->codes[38251] = 0x00070996f4990ec6UL;
   tf->codes[38252] = 0x00072e5fb1d9d911UL;
   tf->codes[38253] = 0x00073a9b363461f3UL;
   tf->codes[38254] = 0x0007499534452110UL;
   tf->codes[38255] = 0x00074ae625355395UL;
   tf->codes[38256] = 0x00074d9e71d5ee09UL;
   tf->codes[38257] = 0x00074e67f808c8feUL;
   tf->codes[38258] = 0x00074f16bade00eaUL;
   tf->codes[38259] = 0x00078aac948fe61bUL;
   tf->codes[38260] = 0x00079705606d517dUL;
   tf->codes[38261] = 0x0007ad3606bb0207UL;
   tf->codes[38262] = 0x0007b2c4d1bb3083UL;
   tf->codes[38263] = 0x00081108074ebb71UL;
   tf->codes[38264] = 0x0008266b43ea2ef1UL;
   tf->codes[38265] = 0x0008297b671370e5UL;
   tf->codes[38266] = 0x00082bb7f374da08UL;
   tf->codes[38267] = 0x0008532dc7f62412UL;
   tf->codes[38268] = 0x000865cc5dc5c590UL;
   tf->codes[38269] = 0x0008aafe98a613d5UL;
   tf->codes[38270] = 0x0008add6765fca7bUL;
   tf->codes[38271] = 0x0008c29ed6c0fc02UL;
   tf->codes[38272] = 0x0008d264a49acfc6UL;
   tf->codes[38273] = 0x0009004d8dacc64aUL;
   tf->codes[38274] = 0x0009111e4d81e719UL;
   tf->codes[38275] = 0x000947c3e15e3c17UL;
   tf->codes[38276] = 0x00096cec01976c47UL;
   tf->codes[38277] = 0x0009929faa9c5be1UL;
   tf->codes[38278] = 0x00099fb701db8d48UL;
   tf->codes[38279] = 0x0009a6f23d44f219UL;
   tf->codes[38280] = 0x0009c3b75db49977UL;
   tf->codes[38281] = 0x000a423566ef0f63UL;
   tf->codes[38282] = 0x000a72fc5ad05854UL;
   tf->codes[38283] = 0x000a80e1cb6ed814UL;
   tf->codes[38284] = 0x000a8c522fad5d9eUL;
   tf->codes[38285] = 0x000aa87d5e1eda17UL;
   tf->codes[38286] = 0x000abc630ed8b603UL;
   tf->codes[38287] = 0x000aca87dc3873ecUL;
   tf->codes[38288] = 0x000b23bee3cdaec5UL;
   tf->codes[38289] = 0x000b395fa8b23246UL;
   tf->codes[38290] = 0x000b463f2f9fe3e9UL;
   tf->codes[38291] = 0x000b7618ee26cdd9UL;
   tf->codes[38292] = 0x000b76997c217853UL;
   tf->codes[38293] = 0x000b791bcce8c12bUL;
   tf->codes[38294] = 0x000b8ea41805db55UL;
   tf->codes[38295] = 0x000b958c4aa211cfUL;
   tf->codes[38296] = 0x000bd080e075137bUL;
   tf->codes[38297] = 0x000bd51029691566UL;
   tf->codes[38298] = 0x000bd8622d78d4faUL;
   tf->codes[38299] = 0x000c24b46b46d97dUL;
   tf->codes[38300] = 0x000c50e0a6450009UL;
   tf->codes[38301] = 0x000ccc2d9be2f531UL;
   tf->codes[38302] = 0x000cd1b4da736548UL;
   tf->codes[38303] = 0x000cdb89468253e5UL;
   tf->codes[38304] = 0x000ce271791e8a5fUL;
   tf->codes[38305] = 0x000ce7561475f453UL;
   tf->codes[38306] = 0x000d2e0bcdbe702eUL;
   tf->codes[38307] = 0x000e1fff9028179fUL;
   tf->codes[38308] = 0x000e210fff8bef22UL;
   tf->codes[38309] = 0x000e237f53f4591bUL;
   tf->codes[38310] = 0x000e594c834d5c1fUL;
   tf->codes[38311] = 0x000eb3637bd5a757UL;
   tf->codes[38312] = 0x000ed397e7d7f0c9UL;
   tf->codes[38313] = 0x000f4018d9b0ae81UL;
   tf->codes[38314] = 0x000f499bd6db972aUL;
   tf->codes[38315] = 0x000f5bfbbf970bceUL;
   tf->codes[38316] = 0x000f65bcf4b815c7UL;
   tf->codes[38317] = 0x000fc077b54483fbUL;
   tf->codes[38318] = 0x000fcc4b5ffad17fUL;
   tf->codes[38319] = 0x000ffc3680f771ebUL;
   tf->codes[38320] = 0x0000150560352b2fUL;
   tf->codes[38321] = 0x00001505d55336b9UL;
   tf->codes[38322] = 0x000028f88fe55b82UL;
   tf->codes[38323] = 0x00003b60ef4ca59fUL;
   tf->codes[38324] = 0x00008ae47b4630abUL;
   tf->codes[38325] = 0x00008d970fef3ae2UL;
   tf->codes[38326] = 0x000090392c5ea5b1UL;
   tf->codes[38327] = 0x000097bc00a6185fUL;
   tf->codes[38328] = 0x0000db1988c938dfUL;
   tf->codes[38329] = 0x000105be61dfcfc0UL;
   tf->codes[38330] = 0x000125a333764166UL;
   tf->codes[38331] = 0x0001335da30c847aUL;
   tf->codes[38332] = 0x000136693309530aUL;
   tf->codes[38333] = 0x00014d535c6e4aabUL;
   tf->codes[38334] = 0x00015ca112f9496eUL;
   tf->codes[38335] = 0x000172ff03e57056UL;
   tf->codes[38336] = 0x00017e959b70b963UL;
   tf->codes[38337] = 0x000187866d9c3b51UL;
   tf->codes[38338] = 0x0001a33a6efaf9ddUL;
   tf->codes[38339] = 0x0001afc4a3854377UL;
   tf->codes[38340] = 0x0001b2ad34079f4aUL;
   tf->codes[38341] = 0x0001c5cabde8c2dfUL;
   tf->codes[38342] = 0x0002095f66b051d4UL;
   tf->codes[38343] = 0x00024a4d5fdc0296UL;
   tf->codes[38344] = 0x0002619fd803411fUL;
   tf->codes[38345] = 0x00027969b7cc435aUL;
   tf->codes[38346] = 0x00028459538118a5UL;
   tf->codes[38347] = 0x00028b4d309b755eUL;
   tf->codes[38348] = 0x0002ab7b6f882309UL;
   tf->codes[38349] = 0x0002e80cad37ccf1UL;
   tf->codes[38350] = 0x0002eb85ced0671cUL;
   tf->codes[38351] = 0x0002fa5874c945ddUL;
   tf->codes[38352] = 0x000302df98d85e45UL;
   tf->codes[38353] = 0x00030c02bdecd57fUL;
   tf->codes[38354] = 0x00031fd4880bbb78UL;
   tf->codes[38355] = 0x00032fe81bd938e0UL;
   tf->codes[38356] = 0x0003560e24356d3eUL;
   tf->codes[38357] = 0x00038182eb2380a0UL;
   tf->codes[38358] = 0x0003c63631f24cceUL;
   tf->codes[38359] = 0x0003c79dc831ba82UL;
   tf->codes[38360] = 0x000436a2a4bae975UL;
   tf->codes[38361] = 0x0004b76ba38933ffUL;
   tf->codes[38362] = 0x0004cf50813edf08UL;
   tf->codes[38363] = 0x00050cf7abbaeaebUL;
   tf->codes[38364] = 0x000529c62d127ed6UL;
   tf->codes[38365] = 0x00054c4a5c64160fUL;
   tf->codes[38366] = 0x000551e5bc1e81deUL;
   tf->codes[38367] = 0x000554262bff4d16UL;
   tf->codes[38368] = 0x0005aa40412202e3UL;
   tf->codes[38369] = 0x0005afdd00369150UL;
   tf->codes[38370] = 0x0005f54f821434d2UL;
   tf->codes[38371] = 0x0005f81fd35e2d13UL;
   tf->codes[38372] = 0x000630c79f252bf9UL;
   tf->codes[38373] = 0x000643cce9cdebfcUL;
   tf->codes[38374] = 0x00066ff36cd4824bUL;
   tf->codes[38375] = 0x000694b9a5f00d1fUL;
   tf->codes[38376] = 0x0006ad6d1223120bUL;
   tf->codes[38377] = 0x0006d42e6bd793ecUL;
   tf->codes[38378] = 0x0006d58f9a726014UL;
   tf->codes[38379] = 0x0006e599cd57f0efUL;
   tf->codes[38380] = 0x0006fcfd32d6da6aUL;
   tf->codes[38381] = 0x000705010a37031cUL;
   tf->codes[38382] = 0x000732d731792086UL;
   tf->codes[38383] = 0x000738901345749aUL;
   tf->codes[38384] = 0x00073b62ae25a68dUL;
   tf->codes[38385] = 0x00075f02823b2ffeUL;
   tf->codes[38386] = 0x000769c841b2e576UL;
   tf->codes[38387] = 0x00078051a8c55494UL;
   tf->codes[38388] = 0x0007bde7e5e9b585UL;
   tf->codes[38389] = 0x0007d2b9e1c1d95eUL;
   tf->codes[38390] = 0x0007e04238fe2cebUL;
   tf->codes[38391] = 0x0007f0ada35451d3UL;
   tf->codes[38392] = 0x0007f9a58cd1869cUL;
   tf->codes[38393] = 0x0008198f2c23716bUL;
   tf->codes[38394] = 0x000823a3df2fb545UL;
   tf->codes[38395] = 0x0008529aee0f499aUL;
   tf->codes[38396] = 0x00086d8aac14b1e4UL;
   tf->codes[38397] = 0x000874b534b57188UL;
   tf->codes[38398] = 0x0008bed7404d4476UL;
   tf->codes[38399] = 0x0008e9845580ab0bUL;
   tf->codes[38400] = 0x0008f0665b0745beUL;
   tf->codes[38401] = 0x0008f248179cbc60UL;
   tf->codes[38402] = 0x000932ebb9361a09UL;
   tf->codes[38403] = 0x00098c8c6ee7be68UL;
   tf->codes[38404] = 0x0009a0eb964a91f3UL;
   tf->codes[38405] = 0x0009f343570d7755UL;
   tf->codes[38406] = 0x000a3a82c4a98472UL;
   tf->codes[38407] = 0x000a4198b7023cd4UL;
   tf->codes[38408] = 0x000a6543fb06e6bfUL;
   tf->codes[38409] = 0x000a9d1118b459f9UL;
   tf->codes[38410] = 0x000abd78122e9e7cUL;
   tf->codes[38411] = 0x000abdf98a65600aUL;
   tf->codes[38412] = 0x000acfbc87df5ec8UL;
   tf->codes[38413] = 0x000ad65644dada4fUL;
   tf->codes[38414] = 0x000aeda54ea0c24dUL;
   tf->codes[38415] = 0x000b1499705c4504UL;
   tf->codes[38416] = 0x000b530518c0aceeUL;
   tf->codes[38417] = 0x000b534ec0a5eeb8UL;
   tf->codes[38418] = 0x000b68a3ce9dfc82UL;
   tf->codes[38419] = 0x000b8cdb4b1b7726UL;
   tf->codes[38420] = 0x000b9e72d26f2daeUL;
   tf->codes[38421] = 0x000ba66ee2d09236UL;
   tf->codes[38422] = 0x000ba86ab3169a92UL;
   tf->codes[38423] = 0x000bd4f4f1b30465UL;
   tf->codes[38424] = 0x000bd8731b961d7eUL;
   tf->codes[38425] = 0x000bed5e7b71c1c2UL;
   tf->codes[38426] = 0x000bee3755131f46UL;
   tf->codes[38427] = 0x000c2f97e8251a91UL;
   tf->codes[38428] = 0x000c3bfee2a5eba9UL;
   tf->codes[38429] = 0x000c4002dd5d33efUL;
   tf->codes[38430] = 0x000c45db5042a435UL;
   tf->codes[38431] = 0x000c7da6d406ef0cUL;
   tf->codes[38432] = 0x000c945e3564e5d7UL;
   tf->codes[38433] = 0x000cbc4494c5467dUL;
   tf->codes[38434] = 0x000cd4ea4772f13dUL;
   tf->codes[38435] = 0x000cfbf92c8c16fdUL;
   tf->codes[38436] = 0x000d2d2d3ceb1fffUL;
   tf->codes[38437] = 0x000d5ab354a35a13UL;
   tf->codes[38438] = 0x000d68dd2a4d96eaUL;
   tf->codes[38439] = 0x000d6c9274d51e78UL;
   tf->codes[38440] = 0x000db4e5c03659a3UL;
   tf->codes[38441] = 0x000db91655df06f8UL;
   tf->codes[38442] = 0x000dd2032c4cb40bUL;
   tf->codes[38443] = 0x000dd635d0fc954dUL;
   tf->codes[38444] = 0x000e2599cbdd0427UL;
   tf->codes[38445] = 0x000e499d5b88611cUL;
   tf->codes[38446] = 0x000e74b3e4492b72UL;
   tf->codes[38447] = 0x000e8412fd49e0b1UL;
   tf->codes[38448] = 0x000ea6f56ac8c0f6UL;
   tf->codes[38449] = 0x000ea75493322116UL;
   tf->codes[38450] = 0x000ede1106ecb708UL;
   tf->codes[38451] = 0x000ee40895cd37f6UL;
   tf->codes[38452] = 0x000f3ae763674f8fUL;
   tf->codes[38453] = 0x000f3f3f8bb6e305UL;
   tf->codes[38454] = 0x000f722a57a325fdUL;
   tf->codes[38455] = 0x000f87cb91a5b508UL;
   tf->codes[38456] = 0x000fca111df53fa0UL;
   tf->codes[38457] = 0x000fcc6a079d742fUL;
   tf->codes[38458] = 0x000fd8a4672ce038UL;
   tf->codes[38459] = 0x000ff72b3dfad67cUL;
   tf->codes[38460] = 0x000003f6de4d922cUL;
   tf->codes[38461] = 0x00000cd354c0129dUL;
   tf->codes[38462] = 0x000014c2d06739d2UL;
   tf->codes[38463] = 0x000017d577b5bb3dUL;
   tf->codes[38464] = 0x00001c86d5e818d1UL;
   tf->codes[38465] = 0x00003ec874a6211bUL;
   tf->codes[38466] = 0x00003fee648e16f4UL;
   tf->codes[38467] = 0x0000571fb1b310e8UL;
   tf->codes[38468] = 0x00005abe917a630cUL;
   tf->codes[38469] = 0x00007c6f9f222cfeUL;
   tf->codes[38470] = 0x00008fa1f9da5d9aUL;
   tf->codes[38471] = 0x00008fee6073e4a0UL;
   tf->codes[38472] = 0x000095aa7612897aUL;
   tf->codes[38473] = 0x0000a797c4e7b395UL;
   tf->codes[38474] = 0x0001107afbc43c02UL;
   tf->codes[38475] = 0x000117b0b9c5165bUL;
   tf->codes[38476] = 0x000118060c287e64UL;
   tf->codes[38477] = 0x00013a09ad7f6b23UL;
   tf->codes[38478] = 0x00015b0fdbd15f3eUL;
   tf->codes[38479] = 0x0001de52ef4a22ecUL;
   tf->codes[38480] = 0x0001e6709fcbd793UL;
   tf->codes[38481] = 0x0001fb9de08df977UL;
   tf->codes[38482] = 0x00020850cc8a460bUL;
   tf->codes[38483] = 0x0002151ad2f3d958UL;
   tf->codes[38484] = 0x0002457d9621433bUL;
   tf->codes[38485] = 0x0002464dbe87c581UL;
   tf->codes[38486] = 0x0002a585b5e56dd5UL;
   tf->codes[38487] = 0x0002b7c17a5b52e3UL;
   tf->codes[38488] = 0x0002da94946bb099UL;
   tf->codes[38489] = 0x0002fc6e1ef677c0UL;
   tf->codes[38490] = 0x00030457e2a60eb8UL;
   tf->codes[38491] = 0x00030bdc50d6a9c9UL;
   tf->codes[38492] = 0x00030d91e798c6e6UL;
   tf->codes[38493] = 0x0003316f7e86661dUL;
   tf->codes[38494] = 0x000331ec9e1fba0cUL;
   tf->codes[38495] = 0x0003ab6ce28e4b5eUL;
   tf->codes[38496] = 0x0003c59b1beea2a2UL;
   tf->codes[38497] = 0x0004a2cdcfd7d12cUL;
   tf->codes[38498] = 0x0004d5d0dafc77b6UL;
   tf->codes[38499] = 0x0004d6badc8485f1UL;
   tf->codes[38500] = 0x0005438c8d94384eUL;
   tf->codes[38501] = 0x0005666e85f50d09UL;
   tf->codes[38502] = 0x0005aa0b6ad96bb2UL;
   tf->codes[38503] = 0x0005e1af2167caa3UL;
   tf->codes[38504] = 0x00060e086c7561c8UL;
   tf->codes[38505] = 0x00067d8e4c1746bfUL;
   tf->codes[38506] = 0x00069b14b69cf95eUL;
   tf->codes[38507] = 0x00069b1e1784e5ebUL;
   tf->codes[38508] = 0x0006a0d76e6f4589UL;
   tf->codes[38509] = 0x0006a78009bb3815UL;
   tf->codes[38510] = 0x0006d9137d12a6fcUL;
   tf->codes[38511] = 0x0006d92220d4183cUL;
   tf->codes[38512] = 0x0006f65e6e567d87UL;
   tf->codes[38513] = 0x00073cb7f878e443UL;
   tf->codes[38514] = 0x0007407d80ab0574UL;
   tf->codes[38515] = 0x00074996cfb98497UL;
   tf->codes[38516] = 0x00077de54e65d32eUL;
   tf->codes[38517] = 0x00079aac08bea2efUL;
   tf->codes[38518] = 0x0007bed9af36257cUL;
   tf->codes[38519] = 0x0007c608907452bfUL;
   tf->codes[38520] = 0x00080a39e9ee51d5UL;
   tf->codes[38521] = 0x000850156a3b4d8eUL;
   tf->codes[38522] = 0x0008610b73211accUL;
   tf->codes[38523] = 0x0008dee7c35ea1a9UL;
   tf->codes[38524] = 0x0008ea1019a10dccUL;
   tf->codes[38525] = 0x0008ed13a810126dUL;
   tf->codes[38526] = 0x0008f8e752c65ff1UL;
   tf->codes[38527] = 0x000901d1f7dc4618UL;
   tf->codes[38528] = 0x00091e1440bb094aUL;
   tf->codes[38529] = 0x0009477ab02240fbUL;
   tf->codes[38530] = 0x00094ac611fe593eUL;
   tf->codes[38531] = 0x000961fb0813af82UL;
   tf->codes[38532] = 0x000977f662351fbfUL;
   tf->codes[38533] = 0x00097913db71401fUL;
   tf->codes[38534] = 0x0009a507d0ffdb5dUL;
   tf->codes[38535] = 0x000a1dce1d391a0eUL;
   tf->codes[38536] = 0x000a9471f0c18156UL;
   tf->codes[38537] = 0x000ac834e6a21083UL;
   tf->codes[38538] = 0x000ae643a62131c6UL;
   tf->codes[38539] = 0x000ae990dc757831UL;
   tf->codes[38540] = 0x000b1f4ca958c4b9UL;
   tf->codes[38541] = 0x000b41bd672d7189UL;
   tf->codes[38542] = 0x000b562ba76fc1deUL;
   tf->codes[38543] = 0x000b7b2a9b18e38aUL;
   tf->codes[38544] = 0x000ba894901957f7UL;
   tf->codes[38545] = 0x000bace85fcb7dceUL;
   tf->codes[38546] = 0x000bad2bda9b23d1UL;
   tf->codes[38547] = 0x000bb06f3ae97225UL;
   tf->codes[38548] = 0x000bb54c49d11db4UL;
   tf->codes[38549] = 0x000bb7afb92c5ba9UL;
   tf->codes[38550] = 0x000bcac0ae5341ebUL;
   tf->codes[38551] = 0x000bcd6a57326b1fUL;
   tf->codes[38552] = 0x000be9beb233f61cUL;
   tf->codes[38553] = 0x000bff0eb7e184f8UL;
   tf->codes[38554] = 0x000c1d50b485b29bUL;
   tf->codes[38555] = 0x000c538f58f9e34fUL;
   tf->codes[38556] = 0x000c73654c3fddf0UL;
   tf->codes[38557] = 0x000c793214a727f7UL;
   tf->codes[38558] = 0x000cba9aa946ed31UL;
   tf->codes[38559] = 0x000cce8efdc23a5dUL;
   tf->codes[38560] = 0x000ceeb06d65a4f0UL;
   tf->codes[38561] = 0x000cf74042af9896UL;
   tf->codes[38562] = 0x000d2b0be9cb0301UL;
   tf->codes[38563] = 0x000d937b9c8529d1UL;
   tf->codes[38564] = 0x000daa28ed4e22c0UL;
   tf->codes[38565] = 0x000db0413212dcb9UL;
   tf->codes[38566] = 0x000df5ed934933ecUL;
   tf->codes[38567] = 0x000e095f10339cecUL;
   tf->codes[38568] = 0x000e349021c30486UL;
   tf->codes[38569] = 0x000e901bba63064fUL;
   tf->codes[38570] = 0x000e91421f6907b2UL;
   tf->codes[38571] = 0x000ee47db49e5f88UL;
   tf->codes[38572] = 0x000ef260dba6a596UL;
   tf->codes[38573] = 0x000f217b5f1eb832UL;
   tf->codes[38574] = 0x000f3d337e8bde98UL;
   tf->codes[38575] = 0x000f719b26aca7d5UL;
   tf->codes[38576] = 0x000f7b533574cb06UL;
   tf->codes[38577] = 0x000f87bec3220f82UL;
   tf->codes[38578] = 0x000fa07896f9b5faUL;
   tf->codes[38579] = 0x000fa661bca7cb6dUL;
   tf->codes[38580] = 0x000fb4ebdf86853dUL;
   tf->codes[38581] = 0x00000013d4cf2648UL;
   tf->codes[38582] = 0x00000398db74ec77UL;
   tf->codes[38583] = 0x0000177b1dcd71d8UL;
   tf->codes[38584] = 0x00002e75f9fb0ea6UL;
   tf->codes[38585] = 0x0000350b98e82253UL;
   tf->codes[38586] = 0x000039af03061ff6UL;
   tf->codes[38587] = 0x00004e7554601d90UL;
   tf->codes[38588] = 0x000062c82197b98dUL;
   tf->codes[38589] = 0x00006dec59cbbdd6UL;
   tf->codes[38590] = 0x000079e07fd73ea0UL;
   tf->codes[38591] = 0x000091649b3a6126UL;
   tf->codes[38592] = 0x0000c01570960a3cUL;
   tf->codes[38593] = 0x0000dca7c8feb0c4UL;
   tf->codes[38594] = 0x0000eef4efea4c4eUL;
   tf->codes[38595] = 0x00011d55f04b17d3UL;
   tf->codes[38596] = 0x0001610b1467da0eUL;
   tf->codes[38597] = 0x0001ed09e86ee522UL;
   tf->codes[38598] = 0x0002013e495881c6UL;
   tf->codes[38599] = 0x00021f05356a8f67UL;
   tf->codes[38600] = 0x0002492e13b2ef32UL;
   tf->codes[38601] = 0x0002569b3273942cUL;
   tf->codes[38602] = 0x000259233b326d41UL;
   tf->codes[38603] = 0x00025944a0c3b79bUL;
   tf->codes[38604] = 0x000262a6e80a6739UL;
   tf->codes[38605] = 0x0002762b6153af18UL;
   tf->codes[38606] = 0x0002ce09b0f9f342UL;
   tf->codes[38607] = 0x0003107de74216d6UL;
   tf->codes[38608] = 0x00034109d6ff8f3dUL;
   tf->codes[38609] = 0x00035ab6230b1969UL;
   tf->codes[38610] = 0x0003916cdece1f1eUL;
   tf->codes[38611] = 0x00039682332555fbUL;
   tf->codes[38612] = 0x0003bcf4678c0b9aUL;
   tf->codes[38613] = 0x0003e388b1311ce2UL;
   tf->codes[38614] = 0x0003eff6c303a0d5UL;
   tf->codes[38615] = 0x0003fbfd704ff4f4UL;
   tf->codes[38616] = 0x0003fe3f3f8ae2caUL;
   tf->codes[38617] = 0x000447dd1437aeeeUL;
   tf->codes[38618] = 0x000471aae8251673UL;
   tf->codes[38619] = 0x00047ec23f6447daUL;
   tf->codes[38620] = 0x00047fbf77da3ab9UL;
   tf->codes[38621] = 0x0004ca612730a10dUL;
   tf->codes[38622] = 0x00052f6cc3b8407eUL;
   tf->codes[38623] = 0x0005970cfdb8f657UL;
   tf->codes[38624] = 0x0005c868db4deb3fUL;
   tf->codes[38625] = 0x0005eebf621ae6c1UL;
   tf->codes[38626] = 0x0005ffaa702f9f0fUL;
   tf->codes[38627] = 0x00067261636e04caUL;
   tf->codes[38628] = 0x00069134db6487d9UL;
   tf->codes[38629] = 0x00069337fd8b48d5UL;
   tf->codes[38630] = 0x000694ea25ec0f67UL;
   tf->codes[38631] = 0x0006f896dd6f1c62UL;
   tf->codes[38632] = 0x00070cffdad7e804UL;
   tf->codes[38633] = 0x00072b0e5fc80382UL;
   tf->codes[38634] = 0x00075e408a034e92UL;
   tf->codes[38635] = 0x00077098abbfff0cUL;
   tf->codes[38636] = 0x00077872e1720db0UL;
   tf->codes[38637] = 0x000799c5b0ec8e96UL;
   tf->codes[38638] = 0x0007a5d3b0199b55UL;
   tf->codes[38639] = 0x0007e8ddba5181f4UL;
   tf->codes[38640] = 0x0007f6f28495abffUL;
   tf->codes[38641] = 0x00082b67368ebe19UL;
   tf->codes[38642] = 0x0008544ca2dd3fc6UL;
   tf->codes[38643] = 0x00088b7548d97eb5UL;
   tf->codes[38644] = 0x0008936f84c2b515UL;
   tf->codes[38645] = 0x0008937c197cf268UL;
   tf->codes[38646] = 0x0008a2bf0fc5e200UL;
   tf->codes[38647] = 0x0008a74273acb7e7UL;
   tf->codes[38648] = 0x000916a37f5bfbf9UL;
   tf->codes[38649] = 0x00096dd84f068ceaUL;
   tf->codes[38650] = 0x000999fbd8c9d838UL;
   tf->codes[38651] = 0x0009c582ec69b92aUL;
   tf->codes[38652] = 0x000a148a4306075bUL;
   tf->codes[38653] = 0x000a199377c10c6fUL;
   tf->codes[38654] = 0x000a3146b23ad37bUL;
   tf->codes[38655] = 0x000a3394dba0f8dfUL;
   tf->codes[38656] = 0x000a38b7745f7e5eUL;
   tf->codes[38657] = 0x000a87e44e9b7ec3UL;
   tf->codes[38658] = 0x000aa870569769f0UL;
   tf->codes[38659] = 0x000ab39defb35ac6UL;
   tf->codes[38660] = 0x000ac06ff7aab802UL;
   tf->codes[38661] = 0x000afcd1dbb4b79fUL;
   tf->codes[38662] = 0x000b0288395bcc3cUL;
   tf->codes[38663] = 0x000b6153143bb47fUL;
   tf->codes[38664] = 0x000ba04920a0befaUL;
   tf->codes[38665] = 0x000bb3aeb87dfbf6UL;
   tf->codes[38666] = 0x000bb4b6ebc503c5UL;
   tf->codes[38667] = 0x000c2e1fa0a842d4UL;
   tf->codes[38668] = 0x000c380ed014d47aUL;
   tf->codes[38669] = 0x000c5b786dc2068aUL;
   tf->codes[38670] = 0x000c76f847bfa1a2UL;
   tf->codes[38671] = 0x000c8ef85df0fb3eUL;
   tf->codes[38672] = 0x000ce7bedaa71f7bUL;
   tf->codes[38673] = 0x000d0bbbc81ed51fUL;
   tf->codes[38674] = 0x000d0dbfd481ad2fUL;
   tf->codes[38675] = 0x000d3d9699c54c1eUL;
   tf->codes[38676] = 0x000d5dd6b045bbcfUL;
   tf->codes[38677] = 0x000db75341b1d098UL;
   tf->codes[38678] = 0x000dc888e1e7e1c4UL;
   tf->codes[38679] = 0x000deed816d424a6UL;
   tf->codes[38680] = 0x000df786cd8a232fUL;
   tf->codes[38681] = 0x000e0742c55dfedcUL;
   tf->codes[38682] = 0x000e095500643ca2UL;
   tf->codes[38683] = 0x000e70d56ebcd084UL;
   tf->codes[38684] = 0x000ea9cc9a60a171UL;
   tf->codes[38685] = 0x000ebdef23b67c0fUL;
   tf->codes[38686] = 0x000eed998897bbb4UL;
   tf->codes[38687] = 0x000eefc059e600bcUL;
   tf->codes[38688] = 0x000ef0232b3fbd2cUL;
   tf->codes[38689] = 0x000f0f7cae99752dUL;
   tf->codes[38690] = 0x000f1d75cb43e51bUL;
   tf->codes[38691] = 0x000f2508dd35f16cUL;
   tf->codes[38692] = 0x000f2c1a76f13c2fUL;
   tf->codes[38693] = 0x000f3818ad91bad5UL;
   tf->codes[38694] = 0x000f4ae209da933aUL;
   tf->codes[38695] = 0x000f8cc2f058333aUL;
   tf->codes[38696] = 0x000fc5dad1e03d32UL;
   tf->codes[38697] = 0x000fcda62941d4d1UL;
   tf->codes[38698] = 0x000ff3e4364766fcUL;
   tf->codes[38699] = 0x000ffb2f74cc5fabUL;
   tf->codes[38700] = 0x00000632bc8d2524UL;
   tf->codes[38701] = 0x000037e461a38d9fUL;
   tf->codes[38702] = 0x00006ef27ed12f4aUL;
   tf->codes[38703] = 0x00008fd18f9a48ceUL;
   tf->codes[38704] = 0x0000a2d8399d2b6fUL;
   tf->codes[38705] = 0x0000ab15f05607d2UL;
   tf->codes[38706] = 0x0000db72fb8be178UL;
   tf->codes[38707] = 0x0000e4c3a5cdd4d5UL;
   tf->codes[38708] = 0x0000f3166d791a6bUL;
   tf->codes[38709] = 0x00014e28c9ff2a5aUL;
   tf->codes[38710] = 0x000156f7fc0a5c29UL;
   tf->codes[38711] = 0x0001c8d356f31f24UL;
   tf->codes[38712] = 0x00021574f49df5aeUL;
   tf->codes[38713] = 0x000249b4cf88d305UL;
   tf->codes[38714] = 0x000272e3a92d90b7UL;
   tf->codes[38715] = 0x00027ec0ef5ad08dUL;
   tf->codes[38716] = 0x0002864856ceb69fUL;
   tf->codes[38717] = 0x00029001c4f0fc6eUL;
   tf->codes[38718] = 0x0002ddb7f00e1255UL;
   tf->codes[38719] = 0x0002ec693075a6bcUL;
   tf->codes[38720] = 0x000387c1daa3e25cUL;
   tf->codes[38721] = 0x0003971c9b0729fcUL;
   tf->codes[38722] = 0x0003cdb4755e24ceUL;
   tf->codes[38723] = 0x00044e435a44b5e2UL;
   tf->codes[38724] = 0x0004f37d7a5a28fcUL;
   tf->codes[38725] = 0x00051506bacc0708UL;
   tf->codes[38726] = 0x00051b64fe85a67bUL;
   tf->codes[38727] = 0x00053b47fba3e9f9UL;
   tf->codes[38728] = 0x000545edb4e477b5UL;
   tf->codes[38729] = 0x00054796b6ec577fUL;
   tf->codes[38730] = 0x000591d6f4432401UL;
   tf->codes[38731] = 0x0005d2e40969e56bUL;
   tf->codes[38732] = 0x0005fd2352727aa0UL;
   tf->codes[38733] = 0x0005ff5c35e38773UL;
   tf->codes[38734] = 0x00060259973cf04dUL;
   tf->codes[38735] = 0x00063bcda7eb0f64UL;
   tf->codes[38736] = 0x00065c1b77f0d941UL;
   tf->codes[38737] = 0x0006637e46012433UL;
   tf->codes[38738] = 0x00068683ed897cfaUL;
   tf->codes[38739] = 0x000712ecaa3bf759UL;
   tf->codes[38740] = 0x00071fc0c13a8882UL;
   tf->codes[38741] = 0x00072fd788da56b0UL;
   tf->codes[38742] = 0x0007e77a085713e7UL;
   tf->codes[38743] = 0x0007fc46fbe4b8d2UL;
   tf->codes[38744] = 0x0008652d2c048c40UL;
   tf->codes[38745] = 0x000872d00c0f7d11UL;
   tf->codes[38746] = 0x00089a9505de935dUL;
   tf->codes[38747] = 0x0008b6bd759bca9aUL;
   tf->codes[38748] = 0x0008bd4b4d8a1a1dUL;
   tf->codes[38749] = 0x0008c0f85bf4d1f7UL;
   tf->codes[38750] = 0x0008fa0b6fc162c6UL;
   tf->codes[38751] = 0x000914860fbb4110UL;
   tf->codes[38752] = 0x00091b8c39876b59UL;
   tf->codes[38753] = 0x00094bb975f98f2aUL;
   tf->codes[38754] = 0x00097a469c2db434UL;
   tf->codes[38755] = 0x0009a1db178c035cUL;
   tf->codes[38756] = 0x0009b650a9af0c51UL;
   tf->codes[38757] = 0x0009bc383573f961UL;
   tf->codes[38758] = 0x0009c51018ba066eUL;
   tf->codes[38759] = 0x0009e79114394ce1UL;
   tf->codes[38760] = 0x0009f33f75deedf6UL;
   tf->codes[38761] = 0x000a15234b8db8beUL;
   tf->codes[38762] = 0x000a29c3a429f89aUL;
   tf->codes[38763] = 0x000a34ccde715415UL;
   tf->codes[38764] = 0x000a5f588e137050UL;
   tf->codes[38765] = 0x000a7357a2d0cca7UL;
   tf->codes[38766] = 0x000ac1839ba67dddUL;
   tf->codes[38767] = 0x000aefdc9a797f73UL;
   tf->codes[38768] = 0x000b06f82c8b554cUL;
   tf->codes[38769] = 0x000b301653676dd1UL;
   tf->codes[38770] = 0x000b3eb92a9c96bdUL;
   tf->codes[38771] = 0x000b90d5721da00bUL;
   tf->codes[38772] = 0x000b94d5c3e48c01UL;
   tf->codes[38773] = 0x000b97b14a8e9ef7UL;
   tf->codes[38774] = 0x000bae887794b7b9UL;
   tf->codes[38775] = 0x000bbbd13780c758UL;
   tf->codes[38776] = 0x000be4941972e1d2UL;
   tf->codes[38777] = 0x000bed15106c5e73UL;
   tf->codes[38778] = 0x000c1e8d85d7248cUL;
   tf->codes[38779] = 0x000c2d37745e0053UL;
   tf->codes[38780] = 0x000c4a64e38fee99UL;
   tf->codes[38781] = 0x000c5f0af423beb2UL;
   tf->codes[38782] = 0x000c6080b906921cUL;
   tf->codes[38783] = 0x000c73f2ab0f06a6UL;
   tf->codes[38784] = 0x000c7d0557e9de78UL;
   tf->codes[38785] = 0x000c96ca584bd7c0UL;
   tf->codes[38786] = 0x000cd53f9c2731fcUL;
   tf->codes[38787] = 0x000ce26a9f725391UL;
   tf->codes[38788] = 0x000cec1778da5c0dUL;
   tf->codes[38789] = 0x000d2eaf98d90972UL;
   tf->codes[38790] = 0x000d3f7d24dbd97bUL;
   tf->codes[38791] = 0x000d665389f66e28UL;
   tf->codes[38792] = 0x000d6a5f863b805dUL;
   tf->codes[38793] = 0x000d70f68482b6a8UL;
   tf->codes[38794] = 0x000d9c6c703be6e3UL;
   tf->codes[38795] = 0x000dc446ea8f1b85UL;
   tf->codes[38796] = 0x000df2d5aaac68f2UL;
   tf->codes[38797] = 0x000df9dd33d2b5d9UL;
   tf->codes[38798] = 0x000e56aadf127322UL;
   tf->codes[38799] = 0x000e71d2e28766baUL;
   tf->codes[38800] = 0x000e86d4e7b2462dUL;
   tf->codes[38801] = 0x000eca3ddfc48727UL;
   tf->codes[38802] = 0x000f08905eb4746bUL;
   tf->codes[38803] = 0x000f16917cecae48UL;
   tf->codes[38804] = 0x000f16b73b1b6641UL;
   tf->codes[38805] = 0x000f1cf035c45945UL;
   tf->codes[38806] = 0x000f20a1d75b8483UL;
   tf->codes[38807] = 0x000f53c264921352UL;
   tf->codes[38808] = 0x000f54975ab40ec1UL;
   tf->codes[38809] = 0x000f589d29e3852fUL;
   tf->codes[38810] = 0x000f66608543a946UL;
   tf->codes[38811] = 0x000f9a543424055cUL;
   tf->codes[38812] = 0x0000455f3aaf2a57UL;
   tf->codes[38813] = 0x00004d710623b2faUL;
   tf->codes[38814] = 0x00005d7ee1f9a025UL;
   tf->codes[38815] = 0x0000b23d45ea1442UL;
   tf->codes[38816] = 0x0000e2da22ff379bUL;
   tf->codes[38817] = 0x0000e4ecd32380ebUL;
   tf->codes[38818] = 0x0000ecf4c8921177UL;
   tf->codes[38819] = 0x0000f1097611feeaUL;
   tf->codes[38820] = 0x00012d1ef3827781UL;
   tf->codes[38821] = 0x00017196868061d6UL;
   tf->codes[38822] = 0x00019e03f2b7f4b3UL;
   tf->codes[38823] = 0x0001a5f8ebc7a660UL;
   tf->codes[38824] = 0x0001ac49eb19f731UL;
   tf->codes[38825] = 0x0001bc27830e22fdUL;
   tf->codes[38826] = 0x0001bee796ad819bUL;
   tf->codes[38827] = 0x0001c3eb888f01fcUL;
   tf->codes[38828] = 0x0001dcb943019e67UL;
   tf->codes[38829] = 0x0001e58247f7346fUL;
   tf->codes[38830] = 0x0001fe9517229f40UL;
   tf->codes[38831] = 0x0002069d47203591UL;
   tf->codes[38832] = 0x00020fae5a11e500UL;
   tf->codes[38833] = 0x00023fbc056aec9fUL;
   tf->codes[38834] = 0x00029d1bdbaa10a3UL;
   tf->codes[38835] = 0x0002b20d2e0c4ae9UL;
   tf->codes[38836] = 0x0002ee1e8d6e5ba6UL;
   tf->codes[38837] = 0x0003127dd721c230UL;
   tf->codes[38838] = 0x0003808ea18de50cUL;
   tf->codes[38839] = 0x00038e5de1fb3527UL;
   tf->codes[38840] = 0x00039ffcf5beaa14UL;
   tf->codes[38841] = 0x0003fe40daff4651UL;
   tf->codes[38842] = 0x0004487da9f4bc48UL;
   tf->codes[38843] = 0x00045992ced59a2eUL;
   tf->codes[38844] = 0x0004981382a014e4UL;
   tf->codes[38845] = 0x0004cf387fabf783UL;
   tf->codes[38846] = 0x0004d4364477dc1dUL;
   tf->codes[38847] = 0x0005009b3a039981UL;
   tf->codes[38848] = 0x0005446c80d82163UL;
   tf->codes[38849] = 0x0005ad39fca185b5UL;
   tf->codes[38850] = 0x0005b95037eb6228UL;
   tf->codes[38851] = 0x0005cebf1f04fbe7UL;
   tf->codes[38852] = 0x0006035f81b35bfcUL;
   tf->codes[38853] = 0x0006521a37271d62UL;
   tf->codes[38854] = 0x00066481ac52506bUL;
   tf->codes[38855] = 0x0006b03f006ca8f7UL;
   tf->codes[38856] = 0x0006caba158492cbUL;
   tf->codes[38857] = 0x0006e651447e7a61UL;
   tf->codes[38858] = 0x000761e891aec2a2UL;
   tf->codes[38859] = 0x0007719d37a1e5afUL;
   tf->codes[38860] = 0x00077341315f468bUL;
   tf->codes[38861] = 0x00078110373d90e1UL;
   tf->codes[38862] = 0x0007892cfd832e74UL;
   tf->codes[38863] = 0x0007a243759ef595UL;
   tf->codes[38864] = 0x0007b43975aefaeeUL;
   tf->codes[38865] = 0x0007b9bb36d6e08dUL;
   tf->codes[38866] = 0x00088f8b91cdcfafUL;
   tf->codes[38867] = 0x00089fe43a541b7dUL;
   tf->codes[38868] = 0x0008a578f7dadffbUL;
   tf->codes[38869] = 0x0008a60ff095bfdfUL;
   tf->codes[38870] = 0x0008acd85789d462UL;
   tf->codes[38871] = 0x0008d28ebf430938UL;
   tf->codes[38872] = 0x0008edcf01f06062UL;
   tf->codes[38873] = 0x0008fa59ab98b586UL;
   tf->codes[38874] = 0x000907ca38bab10bUL;
   tf->codes[38875] = 0x00091e1a70217dc7UL;
   tf->codes[38876] = 0x0009310ae9f330c3UL;
   tf->codes[38877] = 0x00094abe87df738fUL;
   tf->codes[38878] = 0x0009efecc2e7baa5UL;
   tf->codes[38879] = 0x0009f5ee9cec3f34UL;
   tf->codes[38880] = 0x0009f89f97ac2108UL;
   tf->codes[38881] = 0x000a3b0f7556d6fdUL;
   tf->codes[38882] = 0x000aa65f7c7689ecUL;
   tf->codes[38883] = 0x000aa7ac4f585497UL;
   tf->codes[38884] = 0x000aae70983e0140UL;
   tf->codes[38885] = 0x000b097500afb13eUL;
   tf->codes[38886] = 0x000b297002775289UL;
   tf->codes[38887] = 0x000b6c059e50c077UL;
   tf->codes[38888] = 0x000b8b3b37f3eea7UL;
   tf->codes[38889] = 0x000bb4fcec452463UL;
   tf->codes[38890] = 0x000bd3537f315948UL;
   tf->codes[38891] = 0x000bdd72b7f0a688UL;
   tf->codes[38892] = 0x000bfbf39c3806caUL;
   tf->codes[38893] = 0x000c055ff413b444UL;
   tf->codes[38894] = 0x000c0b465b0d847bUL;
   tf->codes[38895] = 0x000c69ddbe395a99UL;
   tf->codes[38896] = 0x000c8f95bfdbb7d2UL;
   tf->codes[38897] = 0x000c927fea473c08UL;
   tf->codes[38898] = 0x000cb156d09f15a2UL;
   tf->codes[38899] = 0x000cb7fe81aef11aUL;
   tf->codes[38900] = 0x000cdf465be4b377UL;
   tf->codes[38901] = 0x000cdf6d796d8e0eUL;
   tf->codes[38902] = 0x000d1f4dc1e9ac89UL;
   tf->codes[38903] = 0x000d228243e783d8UL;
   tf->codes[38904] = 0x000d22b372055c4bUL;
   tf->codes[38905] = 0x000d28f8c6d986ddUL;
   tf->codes[38906] = 0x000d45b1528ef0e8UL;
   tf->codes[38907] = 0x000d5d715c51fb0cUL;
   tf->codes[38908] = 0x000d5e01032c2250UL;
   tf->codes[38909] = 0x000dc7e346f6cbc4UL;
   tf->codes[38910] = 0x000dcbe532a6e01dUL;
   tf->codes[38911] = 0x000de29875f66f0eUL;
   tf->codes[38912] = 0x000e031e8b6bc439UL;
   tf->codes[38913] = 0x000e035cfdf0eb4eUL;
   tf->codes[38914] = 0x000e414d5b342d71UL;
   tf->codes[38915] = 0x000e540813bb9496UL;
   tf->codes[38916] = 0x000e64e7775226a5UL;
   tf->codes[38917] = 0x000e7b0ce83fbc7aUL;
   tf->codes[38918] = 0x000e809302050fb8UL;
   tf->codes[38919] = 0x000e89f66e16dc2fUL;
   tf->codes[38920] = 0x000e9291eddef614UL;
   tf->codes[38921] = 0x000e976a2f0b287aUL;
   tf->codes[38922] = 0x000eca0cecfb520bUL;
   tf->codes[38923] = 0x000ed2982f18d24dUL;
   tf->codes[38924] = 0x000f54fb170f7fd7UL;
   tf->codes[38925] = 0x000f5d585ee1786cUL;
   tf->codes[38926] = 0x000fc3a55e5bc20eUL;
   tf->codes[38927] = 0x000fc6e8498c04d8UL;
   tf->codes[38928] = 0x000ffb5a775fd77bUL;
   tf->codes[38929] = 0x000000d60b722153UL;
   tf->codes[38930] = 0x000016c0031ddb14UL;
   tf->codes[38931] = 0x00002439b698bd61UL;
   tf->codes[38932] = 0x00004a335e929275UL;
   tf->codes[38933] = 0x0000a052f11dd2baUL;
   tf->codes[38934] = 0x000103a672be1597UL;
   tf->codes[38935] = 0x0001258ba7c702fdUL;
   tf->codes[38936] = 0x00014762390e7f23UL;
   tf->codes[38937] = 0x00015414003faedeUL;
   tf->codes[38938] = 0x0001b204dcb31cc4UL;
   tf->codes[38939] = 0x0002256256a9eab7UL;
   tf->codes[38940] = 0x000240b7a4bd54adUL;
   tf->codes[38941] = 0x00025f3430674750UL;
   tf->codes[38942] = 0x00025f45cd6c0391UL;
   tf->codes[38943] = 0x000271cbe9743bb8UL;
   tf->codes[38944] = 0x0002775d3899a9abUL;
   tf->codes[38945] = 0x00029b88d009f84bUL;
   tf->codes[38946] = 0x0002fde6e0330c73UL;
   tf->codes[38947] = 0x00030184d5be4783UL;
   tf->codes[38948] = 0x00031478bdf1510aUL;
   tf->codes[38949] = 0x0003171fa81c3502UL;
   tf->codes[38950] = 0x0003595e57a91284UL;
   tf->codes[38951] = 0x00036bf894db4663UL;
   tf->codes[38952] = 0x0003ce9d53a65154UL;
   tf->codes[38953] = 0x0003cfc37e1d4cf2UL;
   tf->codes[38954] = 0x00044dbb06d68262UL;
   tf->codes[38955] = 0x0004a043bb283a72UL;
   tf->codes[38956] = 0x0004b6e944f26f37UL;
   tf->codes[38957] = 0x0005127343a9489dUL;
   tf->codes[38958] = 0x00052db93e4e3004UL;
   tf->codes[38959] = 0x0005bdb27195910cUL;
   tf->codes[38960] = 0x0005be8fa3d45c2fUL;
   tf->codes[38961] = 0x00060fc30e98741bUL;
   tf->codes[38962] = 0x00061c11c9e0e1a1UL;
   tf->codes[38963] = 0x00062fee19b2d100UL;
   tf->codes[38964] = 0x00063679a80ae6d1UL;
   tf->codes[38965] = 0x000639c2fadfcb27UL;
   tf->codes[38966] = 0x00064a29977a76e6UL;
   tf->codes[38967] = 0x00066475c80ac1f9UL;
   tf->codes[38968] = 0x00068ccc77bb3376UL;
   tf->codes[38969] = 0x00068e2828ed7526UL;
   tf->codes[38970] = 0x0006a60e2b6e3d08UL;
   tf->codes[38971] = 0x0006bed8777f82e8UL;
   tf->codes[38972] = 0x0006c4723d50c654UL;
   tf->codes[38973] = 0x0006ff37b40d237aUL;
   tf->codes[38974] = 0x0007030b3053a49cUL;
   tf->codes[38975] = 0x000727af8ebfd98cUL;
   tf->codes[38976] = 0x000734b37482208aUL;
   tf->codes[38977] = 0x00073ee02c37c231UL;
   tf->codes[38978] = 0x00079a451c6cf4edUL;
   tf->codes[38979] = 0x0007bc26e3148bc8UL;
   tf->codes[38980] = 0x0007cf9b93d1458eUL;
   tf->codes[38981] = 0x0007d5bcc45fe08aUL;
   tf->codes[38982] = 0x0007d8bca9de88dbUL;
   tf->codes[38983] = 0x0007e15237200cbeUL;
   tf->codes[38984] = 0x000820b475c6c036UL;
   tf->codes[38985] = 0x00082ba98ee41ff9UL;
   tf->codes[38986] = 0x0008f42cd15191ddUL;
   tf->codes[38987] = 0x00091c95cdb3d0eaUL;
   tf->codes[38988] = 0x00092ac227834d38UL;
   tf->codes[38989] = 0x00093c18f2bba2f9UL;
   tf->codes[38990] = 0x0009700e00f621adUL;
   tf->codes[38991] = 0x0009b596ed93fa99UL;
   tf->codes[38992] = 0x0009dbb4b9d35f43UL;
   tf->codes[38993] = 0x000a06423deda9a6UL;
   tf->codes[38994] = 0x000a8ab81097a645UL;
   tf->codes[38995] = 0x000a9fb24ec3c18eUL;
   tf->codes[38996] = 0x000b10dd125f1e75UL;
   tf->codes[38997] = 0x000b1a5bf17b9f44UL;
   tf->codes[38998] = 0x000b6cf175169a6cUL;
   tf->codes[38999] = 0x000bef002f74fcc6UL;
   tf->codes[39000] = 0x000c1cdc83ccb5f7UL;
   tf->codes[39001] = 0x000c708e2149aee1UL;
   tf->codes[39002] = 0x000c7e8aac55755aUL;
   tf->codes[39003] = 0x000c81bd946a2446UL;
   tf->codes[39004] = 0x000c8caeca0821f4UL;
   tf->codes[39005] = 0x000cdb96ca1a59b8UL;
   tf->codes[39006] = 0x000d423ff8bab879UL;
   tf->codes[39007] = 0x000d94df8ceab17dUL;
   tf->codes[39008] = 0x000d9911bc7c8735UL;
   tf->codes[39009] = 0x000dc53d825ca237UL;
   tf->codes[39010] = 0x000dcb722468279cUL;
   tf->codes[39011] = 0x000dcd28a5665bcdUL;
   tf->codes[39012] = 0x000dd5662190326bUL;
   tf->codes[39013] = 0x000dd8ce1b421bdfUL;
   tf->codes[39014] = 0x000df2f74c57f435UL;
   tf->codes[39015] = 0x000df552f4b46e00UL;
   tf->codes[39016] = 0x000e11df200778c1UL;
   tf->codes[39017] = 0x000e203974227cbcUL;
   tf->codes[39018] = 0x000e453f448e4b7eUL;
   tf->codes[39019] = 0x000e5f39568d7f4eUL;
   tf->codes[39020] = 0x000e84080654df9bUL;
   tf->codes[39021] = 0x000ebabc7881ab9eUL;
   tf->codes[39022] = 0x000ec79731b3e418UL;
   tf->codes[39023] = 0x000ec8f9fa37d8a3UL;
   tf->codes[39024] = 0x000ee8d35bdf29cfUL;
   tf->codes[39025] = 0x000f0df7d327fdafUL;
   tf->codes[39026] = 0x000f519651f584bbUL;
   tf->codes[39027] = 0x000f612fbf6cf935UL;
   tf->codes[39028] = 0x000f85c3e02e9482UL;
   tf->codes[39029] = 0x000fec5fca67a4a1UL;
   tf->codes[39030] = 0x000ff93df1fb33a6UL;
   tf->codes[39031] = 0x000019ac3d5630c9UL;
   tf->codes[39032] = 0x00001a8eb26e809fUL;
   tf->codes[39033] = 0x000043b1e1951812UL;
   tf->codes[39034] = 0x000051d639d6ca71UL;
   tf->codes[39035] = 0x00005ad27bf16cd9UL;
   tf->codes[39036] = 0x0000728df2880399UL;
   tf->codes[39037] = 0x000099e261780349UL;
   tf->codes[39038] = 0x0000a8dc24f9bca1UL;
   tf->codes[39039] = 0x0000bf9b87e57d5bUL;
   tf->codes[39040] = 0x0000cfd42a34a16dUL;
   tf->codes[39041] = 0x0000e03ac6cf4d2cUL;
   tf->codes[39042] = 0x0000e90fb0d20f38UL;
   tf->codes[39043] = 0x0000ed551751c994UL;
   tf->codes[39044] = 0x000106814a80b4d0UL;
   tf->codes[39045] = 0x000110e0ca3d574dUL;
   tf->codes[39046] = 0x0001279b24de9919UL;
   tf->codes[39047] = 0x000129e027ebd7b5UL;
   tf->codes[39048] = 0x0001503a57a92f87UL;
   tf->codes[39049] = 0x00016799648aab63UL;
   tf->codes[39050] = 0x00018b4383c43875UL;
   tf->codes[39051] = 0x00018f57bc261a5eUL;
   tf->codes[39052] = 0x00019a066130891dUL;
   tf->codes[39053] = 0x0001ace71275ae00UL;
   tf->codes[39054] = 0x0001d162f3fee5bbUL;
   tf->codes[39055] = 0x0001e36d4fc7ec91UL;
   tf->codes[39056] = 0x00021bb0009ef555UL;
   tf->codes[39057] = 0x0002210f71f97986UL;
   tf->codes[39058] = 0x0002459f74acacf9UL;
   tf->codes[39059] = 0x00027c9eee18dd64UL;
   tf->codes[39060] = 0x00028973b4c47fdcUL;
   tf->codes[39061] = 0x0002a570ae5b6ee3UL;
   tf->codes[39062] = 0x0002da34c0315304UL;
   tf->codes[39063] = 0x0002e810cfe7e637UL;
   tf->codes[39064] = 0x0002e964ba1b63bdUL;
   tf->codes[39065] = 0x0002f297e24b6ed5UL;
   tf->codes[39066] = 0x0003163064803fa6UL;
   tf->codes[39067] = 0x0003513a404859e3UL;
   tf->codes[39068] = 0x000352b9661319daUL;
   tf->codes[39069] = 0x0003cb5a2eaca657UL;
   tf->codes[39070] = 0x0003db341db075d3UL;
   tf->codes[39071] = 0x0003fdba217a3b34UL;
   tf->codes[39072] = 0x0004694183cd625dUL;
   tf->codes[39073] = 0x0004700ef30bf5ceUL;
   tf->codes[39074] = 0x0004fc8aac1d4f0cUL;
   tf->codes[39075] = 0x0005b71ee2754edeUL;
   tf->codes[39076] = 0x0005f95b82faf873UL;
   tf->codes[39077] = 0x0005fb7f2076ecb5UL;
   tf->codes[39078] = 0x000604a9d1fb2254UL;
   tf->codes[39079] = 0x00063142b458fd67UL;
   tf->codes[39080] = 0x00066b9765a73e2cUL;
   tf->codes[39081] = 0x000683c834d864b1UL;
   tf->codes[39082] = 0x0007b29801a214adUL;
   tf->codes[39083] = 0x0007b8f520909747UL;
   tf->codes[39084] = 0x0007db1b11b4e574UL;
   tf->codes[39085] = 0x0008c0eb19de5c0bUL;
   tf->codes[39086] = 0x0008c7cd59f3fc83UL;
   tf->codes[39087] = 0x0008f031fdb8cdf1UL;
   tf->codes[39088] = 0x00091c69a8a614f7UL;
   tf->codes[39089] = 0x00091dbf2cc2bae0UL;
   tf->codes[39090] = 0x00095805af6d95efUL;
   tf->codes[39091] = 0x0009e4d34c8100abUL;
   tf->codes[39092] = 0x0009e70a9608e51bUL;
   tf->codes[39093] = 0x0009fbe36ea3b60aUL;
   tf->codes[39094] = 0x0009fd575f0e5b4cUL;
   tf->codes[39095] = 0x000a346d08abbb5cUL;
   tf->codes[39096] = 0x000a5f1883f5f98eUL;
   tf->codes[39097] = 0x000ac5d34f9b1490UL;
   tf->codes[39098] = 0x000ac81852a8532cUL;
   tf->codes[39099] = 0x000af0bd77f97f9cUL;
   tf->codes[39100] = 0x000b5278353c7c52UL;
   tf->codes[39101] = 0x000b68d71064ba4eUL;
   tf->codes[39102] = 0x000bac70fc05cdf6UL;
   tf->codes[39103] = 0x000be8960773cee1UL;
   tf->codes[39104] = 0x000befeddab304e3UL;
   tf->codes[39105] = 0x000bf96e53b8ae15UL;
   tf->codes[39106] = 0x000bff8ba0c7e6fcUL;
   tf->codes[39107] = 0x000c1973a0a45301UL;
   tf->codes[39108] = 0x000c55b78d7e5ecfUL;
   tf->codes[39109] = 0x000c5b4ecf2a62c4UL;
   tf->codes[39110] = 0x000c645c73babba8UL;
   tf->codes[39111] = 0x000c7772e64a2c62UL;
   tf->codes[39112] = 0x000c85eeda85807cUL;
   tf->codes[39113] = 0x000c8f3ed51a628aUL;
   tf->codes[39114] = 0x000c9a8bff4f6f92UL;
   tf->codes[39115] = 0x000cf1b733830e31UL;
   tf->codes[39116] = 0x000cf504def56026UL;
   tf->codes[39117] = 0x000d0cf616d642bdUL;
   tf->codes[39118] = 0x000d7e9fce8321bbUL;
   tf->codes[39119] = 0x000d88717bddcb1cUL;
   tf->codes[39120] = 0x000d894ee8ab9c04UL;
   tf->codes[39121] = 0x000da43d0cc7dbebUL;
   tf->codes[39122] = 0x000db0eab5eaa3ccUL;
   tf->codes[39123] = 0x000dda8e730be5b9UL;
   tf->codes[39124] = 0x000de3c24ae90220UL;
   tf->codes[39125] = 0x000e1f9d73e2bb7cUL;
   tf->codes[39126] = 0x000e25db01b821e4UL;
   tf->codes[39127] = 0x000e356b8365b55bUL;
   tf->codes[39128] = 0x000e5c9c089f2b3aUL;
   tf->codes[39129] = 0x000e7facaaf898f1UL;
   tf->codes[39130] = 0x000ea3ce6c62ef7aUL;
   tf->codes[39131] = 0x000eea16940f9fbaUL;
   tf->codes[39132] = 0x000f003a6b140d2cUL;
   tf->codes[39133] = 0x000f8456582e2e5eUL;
   tf->codes[39134] = 0x000f91c0088d7ccdUL;
   tf->codes[39135] = 0x000f96979a0c9de4UL;
   tf->codes[39136] = 0x000fbce067543f3aUL;
   tf->codes[39137] = 0x000fcc3cc1a0af3dUL;
   tf->codes[39138] = 0x000003d960dd5b53UL;
   tf->codes[39139] = 0x000051b166a9c71eUL;
   tf->codes[39140] = 0x00005d2a7c2327e6UL;
   tf->codes[39141] = 0x000082af7b2f7e84UL;
   tf->codes[39142] = 0x0000ba032233fa1fUL;
   tf->codes[39143] = 0x0000eef986f2d38cUL;
   tf->codes[39144] = 0x00010c9a3fb81daaUL;
   tf->codes[39145] = 0x000144371983cf85UL;
   tf->codes[39146] = 0x00015dbc0d777955UL;
   tf->codes[39147] = 0x0001d6512b92df93UL;
   tf->codes[39148] = 0x0001dbaf782246ebUL;
   tf->codes[39149] = 0x00021213a03629d3UL;
   tf->codes[39150] = 0x00024605efbc634bUL;
   tf->codes[39151] = 0x00024860addcc602UL;
   tf->codes[39152] = 0x00027439a57eb872UL;
   tf->codes[39153] = 0x00029bbb999c3445UL;
   tf->codes[39154] = 0x0002bdbf758226c9UL;
   tf->codes[39155] = 0x0002eab5e6603999UL;
   tf->codes[39156] = 0x0002fb719acf479cUL;
   tf->codes[39157] = 0x00030a1437756ac3UL;
   tf->codes[39158] = 0x00032bb875d3f19dUL;
   tf->codes[39159] = 0x00037b9d393e10b6UL;
   tf->codes[39160] = 0x00038ff499a22017UL;
   tf->codes[39161] = 0x00039619adb01d28UL;
   tf->codes[39162] = 0x0003d1ca854eab27UL;
   tf->codes[39163] = 0x0003dd1406935bdfUL;
   tf->codes[39164] = 0x00043fcf6aada1ffUL;
   tf->codes[39165] = 0x0004c5850661206cUL;
   tf->codes[39166] = 0x0004e9f1947bd598UL;
   tf->codes[39167] = 0x0004f1006f82db1fUL;
   tf->codes[39168] = 0x00050cb1b22d546fUL;
   tf->codes[39169] = 0x000531889e118470UL;
   tf->codes[39170] = 0x00053957d8f27e24UL;
   tf->codes[39171] = 0x00057560c1a8b968UL;
   tf->codes[39172] = 0x000576132d6e4da4UL;
   tf->codes[39173] = 0x0005ff384f4373eaUL;
   tf->codes[39174] = 0x00060ca3998beabcUL;
   tf->codes[39175] = 0x00062c255f399a2dUL;
   tf->codes[39176] = 0x000662dd3fc7bcbbUL;
   tf->codes[39177] = 0x0006923b03806f95UL;
   tf->codes[39178] = 0x0006a453535dd65cUL;
   tf->codes[39179] = 0x0006fc4046c58bc6UL;
   tf->codes[39180] = 0x0007a3e85be9463bUL;
   tf->codes[39181] = 0x0007b8912b315b90UL;
   tf->codes[39182] = 0x0007bc1c997bc34bUL;
   tf->codes[39183] = 0x0007c6138fe7191bUL;
   tf->codes[39184] = 0x0008408cb42e2fadUL;
   tf->codes[39185] = 0x0008480c54a35195UL;
   tf->codes[39186] = 0x000884571e400a79UL;
   tf->codes[39187] = 0x0008b1e39d9ce619UL;
   tf->codes[39188] = 0x0008b8e2b0175d87UL;
   tf->codes[39189] = 0x0008bd429f65b527UL;
   tf->codes[39190] = 0x0008c93cf286d1b8UL;
   tf->codes[39191] = 0x0009b88a7a72a680UL;
   tf->codes[39192] = 0x0009c28b46e3f467UL;
   tf->codes[39193] = 0x000a3532ac24d1ceUL;
   tf->codes[39194] = 0x000a3ef2bc7abeeeUL;
   tf->codes[39195] = 0x000a59b3d0878e3cUL;
   tf->codes[39196] = 0x000a73c02f388f9cUL;
   tf->codes[39197] = 0x000a76515e504f79UL;
   tf->codes[39198] = 0x000ad33ba165ddf3UL;
   tf->codes[39199] = 0x000b167a481cf390UL;
   tf->codes[39200] = 0x000b32b629571536UL;
   tf->codes[39201] = 0x000b72ead9fa84a6UL;
   tf->codes[39202] = 0x000bb52aae527f01UL;
   tf->codes[39203] = 0x000bcaf639b03969UL;
   tf->codes[39204] = 0x000bcf98b9921ff8UL;
   tf->codes[39205] = 0x000bd3d7f2fc3e8dUL;
   tf->codes[39206] = 0x000bffe1690ef821UL;
   tf->codes[39207] = 0x000c09f9ff9a9e10UL;
   tf->codes[39208] = 0x000c0ced8aee0ed3UL;
   tf->codes[39209] = 0x000d00fc7427d50dUL;
   tf->codes[39210] = 0x000d14ac9e266ae7UL;
   tf->codes[39211] = 0x000d19a769af0480UL;
   tf->codes[39212] = 0x000d270dabacfc64UL;
   tf->codes[39213] = 0x000d4fe14067bc0bUL;
   tf->codes[39214] = 0x000d8661c5c26a5fUL;
   tf->codes[39215] = 0x000dd55117b55ac3UL;
   tf->codes[39216] = 0x000df59511b52c89UL;
   tf->codes[39217] = 0x000e073b3cca5451UL;
   tf->codes[39218] = 0x000e15091ddd81ceUL;
   tf->codes[39219] = 0x000e2fab15ef4074UL;
   tf->codes[39220] = 0x000e95f0fe17d73bUL;
   tf->codes[39221] = 0x000ea64b7b165131UL;
   tf->codes[39222] = 0x000eadd4b702656bUL;
   tf->codes[39223] = 0x000ed0b37b90e960UL;
   tf->codes[39224] = 0x000ed87de8b669ebUL;
   tf->codes[39225] = 0x000f185d46f67152UL;
   tf->codes[39226] = 0x000f369c84e659b9UL;
   tf->codes[39227] = 0x000f459adb948675UL;
   tf->codes[39228] = 0x000f6d7555e7bb17UL;
   tf->codes[39229] = 0x000f6f31c96c854aUL;
   tf->codes[39230] = 0x000fa7ce9a626f40UL;
   tf->codes[39231] = 0x000fcd88ab0c0066UL;
   tf->codes[39232] = 0x000ffff5e240e3e5UL;
   tf->codes[39233] = 0x0000253ad4deeb0bUL;
   tf->codes[39234] = 0x000065a8efbd02a2UL;
   tf->codes[39235] = 0x000076fd36d018ecUL;
   tf->codes[39236] = 0x00007cccf87aadf4UL;
   tf->codes[39237] = 0x00008775aafe86b1UL;
   tf->codes[39238] = 0x0000d5bf607525f1UL;
   tf->codes[39239] = 0x0000e348a1ed9092UL;
   tf->codes[39240] = 0x00011e76676c34a0UL;
   tf->codes[39241] = 0x00013e10e170532dUL;
   tf->codes[39242] = 0x0001411bfc4f1633UL;
   tf->codes[39243] = 0x000173896e12ff77UL;
   tf->codes[39244] = 0x000185cb9a2d8611UL;
   tf->codes[39245] = 0x0001acfac00cd952UL;
   tf->codes[39246] = 0x0001e73bffde2faeUL;
   tf->codes[39247] = 0x0001f4e19e9d65bbUL;
   tf->codes[39248] = 0x0002002f787f8412UL;
   tf->codes[39249] = 0x000250340791c522UL;
   tf->codes[39250] = 0x0002cd46970d6b45UL;
   tf->codes[39251] = 0x0002f86904db619fUL;
   tf->codes[39252] = 0x0002fb64572d968cUL;
   tf->codes[39253] = 0x000301beb767d3eaUL;
   tf->codes[39254] = 0x00031b4df67f815bUL;
   tf->codes[39255] = 0x000334b7ec86825dUL;
   tf->codes[39256] = 0x00034098668612f9UL;
   tf->codes[39257] = 0x000375ac12c7cee6UL;
   tf->codes[39258] = 0x00037a4f07c7c0ffUL;
   tf->codes[39259] = 0x0003863a420960c6UL;
   tf->codes[39260] = 0x0003963053c4f5e9UL;
   tf->codes[39261] = 0x000449e1253c386aUL;
   tf->codes[39262] = 0x00047e52ddf1ff83UL;
   tf->codes[39263] = 0x0004bfe3ef74c1f2UL;
   tf->codes[39264] = 0x0004d292c2eefd13UL;
   tf->codes[39265] = 0x000504fe603ab82fUL;
   tf->codes[39266] = 0x0005c2c4946b4fd9UL;
   tf->codes[39267] = 0x0005c7f1784dd8f9UL;
   tf->codes[39268] = 0x0005e7070bb9df6dUL;
   tf->codes[39269] = 0x00065e044fb41698UL;
   tf->codes[39270] = 0x0006671e13e0a145UL;
   tf->codes[39271] = 0x00068d0f452ea0e0UL;
   tf->codes[39272] = 0x00068ddc7451d825UL;
   tf->codes[39273] = 0x0006930d3bb3c35aUL;
   tf->codes[39274] = 0x00069d6eca7799c4UL;
   tf->codes[39275] = 0x0006c5b1ce1c1b13UL;
   tf->codes[39276] = 0x0006cb92b7ad60d2UL;
   tf->codes[39277] = 0x0006d47d5cc346f9UL;
   tf->codes[39278] = 0x0006fd8309d7f627UL;
   tf->codes[39279] = 0x000700ac5675b2c1UL;
   tf->codes[39280] = 0x00070ed925633a99UL;
   tf->codes[39281] = 0x000718621514b944UL;
   tf->codes[39282] = 0x000734461fc6336aUL;
   tf->codes[39283] = 0x00074439383e7d8cUL;
   tf->codes[39284] = 0x00075ff1ccc9af7cUL;
   tf->codes[39285] = 0x00077caeebab8cebUL;
   tf->codes[39286] = 0x0007ab53a16b0438UL;
   tf->codes[39287] = 0x0007f2ef78bc2c39UL;
   tf->codes[39288] = 0x0007fd058b2292b1UL;
   tf->codes[39289] = 0x0008390cd9efa592UL;
   tf->codes[39290] = 0x00086ae85b432de0UL;
   tf->codes[39291] = 0x0008724c88ad9b70UL;
   tf->codes[39292] = 0x00087481c32e4bf3UL;
   tf->codes[39293] = 0x0008eb585ebdb411UL;
   tf->codes[39294] = 0x000906e960a1ffe0UL;
   tf->codes[39295] = 0x00091dea2f5632b0UL;
   tf->codes[39296] = 0x0009471d9c2763c6UL;
   tf->codes[39297] = 0x0009529f62db9fccUL;
   tf->codes[39298] = 0x00095b8e9b1df957UL;
   tf->codes[39299] = 0x00096ead84593f8aUL;
   tf->codes[39300] = 0x00098feb0ddea7dfUL;
   tf->codes[39301] = 0x0009dfc67060da6bUL;
   tf->codes[39302] = 0x000a469e8388d7edUL;
   tf->codes[39303] = 0x000a643e8ca110bcUL;
   tf->codes[39304] = 0x000aa33a50fdab74UL;
   tf->codes[39305] = 0x000aee636b116958UL;
   tf->codes[39306] = 0x000b6e3314e92318UL;
   tf->codes[39307] = 0x000b73c5fdf7b96eUL;
   tf->codes[39308] = 0x000b78621634fe71UL;
   tf->codes[39309] = 0x000b929b4a666aa5UL;
   tf->codes[39310] = 0x000bb8a40b3fbc83UL;
   tf->codes[39311] = 0x000be77b4e772ee1UL;
   tf->codes[39312] = 0x000bfd0e1f475271UL;
   tf->codes[39313] = 0x000c46009f803d34UL;
   tf->codes[39314] = 0x000c4a1ee8771cf9UL;
   tf->codes[39315] = 0x000c750ae54db62dUL;
   tf->codes[39316] = 0x000c7f38c1ce74adUL;
   tf->codes[39317] = 0x000c9fe45ae37c0cUL;
   tf->codes[39318] = 0x000caeaa6c221d7aUL;
   tf->codes[39319] = 0x000cde144f77021dUL;
   tf->codes[39320] = 0x000d4c9e1b6e110eUL;
   tf->codes[39321] = 0x000d544d1588dd41UL;
   tf->codes[39322] = 0x000d8e9656e7fd8cUL;
   tf->codes[39323] = 0x000da4f98aada927UL;
   tf->codes[39324] = 0x000dc7e29a6030bdUL;
   tf->codes[39325] = 0x000de36b9ab6b29dUL;
   tf->codes[39326] = 0x000e2517e4b5239fUL;
   tf->codes[39327] = 0x000e5716a012246fUL;
   tf->codes[39328] = 0x000e5b4a2efe1cc5UL;
   tf->codes[39329] = 0x000e70b2ae7314f8UL;
   tf->codes[39330] = 0x000ea9836c3b1c9dUL;
   tf->codes[39331] = 0x000ed3e57a2f1ecaUL;
   tf->codes[39332] = 0x000f08000c094fb2UL;
   tf->codes[39333] = 0x000f2f0fdb5e8c86UL;
   tf->codes[39334] = 0x000fa8551ba94d4eUL;
   tf->codes[39335] = 0x000faf813e333555UL;
   tf->codes[39336] = 0x000fd1f5df87443aUL;
   tf->codes[39337] = 0x000ffa5e2c3c71f8UL;
   tf->codes[39338] = 0x000006e3587c3ca4UL;
   tf->codes[39339] = 0x0000139b12340261UL;
   tf->codes[39340] = 0x000024a95a523331UL;
   tf->codes[39341] = 0x00002d74a8de02ebUL;
   tf->codes[39342] = 0x000033959edd9822UL;
   tf->codes[39343] = 0x00004cf87d92e649UL;
   tf->codes[39344] = 0x0000622f59cbfa7fUL;
   tf->codes[39345] = 0x00007833652845faUL;
   tf->codes[39346] = 0x0000ad291a3a0e18UL;
   tf->codes[39347] = 0x0000bd19396f0d39UL;
   tf->codes[39348] = 0x0000deb625ecdb73UL;
   tf->codes[39349] = 0x0000eb3e85fef6e5UL;
   tf->codes[39350] = 0x0000fd2da94c4f28UL;
   tf->codes[39351] = 0x00011cf98bfd4bedUL;
   tf->codes[39352] = 0x000135a655fca988UL;
   tf->codes[39353] = 0x0001715050d88a71UL;
   tf->codes[39354] = 0x00019f08f608bf96UL;
   tf->codes[39355] = 0x0001a046005dfc28UL;
   tf->codes[39356] = 0x0001a20b251da199UL;
   tf->codes[39357] = 0x0001cf8b4a4f45abUL;
   tf->codes[39358] = 0x0001d6b9f0fe6d29UL;
   tf->codes[39359] = 0x000219545a935440UL;
   tf->codes[39360] = 0x0002553b2e0b33dbUL;
   tf->codes[39361] = 0x0002568abfa143c2UL;
   tf->codes[39362] = 0x000284845b7bdf73UL;
   tf->codes[39363] = 0x00028e85627c331fUL;
   tf->codes[39364] = 0x000298ac9cc94a4eUL;
   tf->codes[39365] = 0x00029db1ee04ed4dUL;
   tf->codes[39366] = 0x00029e483712bbe2UL;
   tf->codes[39367] = 0x0002c2b91dcadeadUL;
   tf->codes[39368] = 0x00030cdd3869e588UL;
   tf->codes[39369] = 0x00038584a3371956UL;
   tf->codes[39370] = 0x00040e2812467849UL;
   tf->codes[39371] = 0x00042c7718c2eec9UL;
   tf->codes[39372] = 0x00048c10f73e3c79UL;
   tf->codes[39373] = 0x0004b1126f0c9d9cUL;
   tf->codes[39374] = 0x0004b73e254e41feUL;
   tf->codes[39375] = 0x0004dd9bfdfbf620UL;
   tf->codes[39376] = 0x0004ff92957a9a02UL;
   tf->codes[39377] = 0x000522168a3d2b76UL;
   tf->codes[39378] = 0x00052814bb5153b5UL;
   tf->codes[39379] = 0x000555d527804d04UL;
   tf->codes[39380] = 0x00059e207153be40UL;
   tf->codes[39381] = 0x00062df66a91a6c6UL;
   tf->codes[39382] = 0x00063f9e6a1efcb6UL;
   tf->codes[39383] = 0x0006769d6e6d2197UL;
   tf->codes[39384] = 0x0006832f2f672996UL;
   tf->codes[39385] = 0x00068cd616489c10UL;
   tf->codes[39386] = 0x0006c506ef8be2ceUL;
   tf->codes[39387] = 0x0006d1286035d9f6UL;
   tf->codes[39388] = 0x00073fb4eae12e23UL;
   tf->codes[39389] = 0x000764dc5b6d4d04UL;
   tf->codes[39390] = 0x000775e8948449e7UL;
   tf->codes[39391] = 0x0007978e323cf35fUL;
   tf->codes[39392] = 0x0007b2144225f223UL;
   tf->codes[39393] = 0x0007b8e4e536d65aUL;
   tf->codes[39394] = 0x0007f596d8cab94dUL;
   tf->codes[39395] = 0x0008be9e8cb237c0UL;
   tf->codes[39396] = 0x0008e386a07d1878UL;
   tf->codes[39397] = 0x0008e62c65dcdf97UL;
   tf->codes[39398] = 0x0008eaf4695e785aUL;
   tf->codes[39399] = 0x000952f8d4130d41UL;
   tf->codes[39400] = 0x00099401cb2b66d1UL;
   tf->codes[39401] = 0x0009debbf449367cUL;
   tf->codes[39402] = 0x0009e6c583a0ef6bUL;
   tf->codes[39403] = 0x0009f59779ecbcddUL;
   tf->codes[39404] = 0x0009fcfedb297b33UL;
   tf->codes[39405] = 0x0009ff6c208ab13fUL;
   tf->codes[39406] = 0x000a2f0e494f2130UL;
   tf->codes[39407] = 0x000a68dae032f916UL;
   tf->codes[39408] = 0x000ab5d7fd56d370UL;
   tf->codes[39409] = 0x000adb6a7b597e75UL;
   tf->codes[39410] = 0x000aef8f88d4988aUL;
   tf->codes[39411] = 0x000b106538b5c581UL;
   tf->codes[39412] = 0x000b51e940603f13UL;
   tf->codes[39413] = 0x000b557732cfe645UL;
   tf->codes[39414] = 0x000b6e15939cd865UL;
   tf->codes[39415] = 0x000b74df59eb0f86UL;
   tf->codes[39416] = 0x000b9643514c4123UL;
   tf->codes[39417] = 0x000bdc327da52d0aUL;
   tf->codes[39418] = 0x000bea4ed459157aUL;
   tf->codes[39419] = 0x000c0c88718953d5UL;
   tf->codes[39420] = 0x000c1c0f57bff4faUL;
   tf->codes[39421] = 0x000c215f75abf69cUL;
   tf->codes[39422] = 0x000ccf03e76bab28UL;
   tf->codes[39423] = 0x000d5f89189cd724UL;
   tf->codes[39424] = 0x000da1a69d277011UL;
   tf->codes[39425] = 0x000dbc3a6695c901UL;
   tf->codes[39426] = 0x000dd7cb687a14d0UL;
   tf->codes[39427] = 0x000de633eb387e81UL;
   tf->codes[39428] = 0x000dee792e611949UL;
   tf->codes[39429] = 0x000e00964bf9f939UL;
   tf->codes[39430] = 0x000e0a44f9da2fddUL;
   tf->codes[39431] = 0x000e389c2435034bUL;
   tf->codes[39432] = 0x000e4fb915a0fbc2UL;
   tf->codes[39433] = 0x000e65ffec1fdbf1UL;
   tf->codes[39434] = 0x000eb6d63d81c7aaUL;
   tf->codes[39435] = 0x000eca539f795caeUL;
   tf->codes[39436] = 0x000ee80286e20c82UL;
   tf->codes[39437] = 0x000f15e751e59b2cUL;
   tf->codes[39438] = 0x000f45fcc43d66f5UL;
   tf->codes[39439] = 0x000f76c4a25ac6faUL;
   tf->codes[39440] = 0x000f819019ca0cafUL;
   tf->codes[39441] = 0x000f8ac42c362edbUL;
   tf->codes[39442] = 0x000f946fa64414b9UL;
   tf->codes[39443] = 0x000fcd732c131d34UL;
   tf->codes[39444] = 0x000ff6b7fb5a04c6UL;
   tf->codes[39445] = 0x00001ef2c2e1b661UL;
   tf->codes[39446] = 0x00008e06b84a621eUL;
   tf->codes[39447] = 0x0000ab8979dfb86dUL;
   tf->codes[39448] = 0x0000b269aaee24f8UL;
   tf->codes[39449] = 0x0000b8b4429bd43dUL;
   tf->codes[39450] = 0x0000e0651b40eed1UL;
   tf->codes[39451] = 0x0000f3ed780998c5UL;
   tf->codes[39452] = 0x00013443c8cd5854UL;
   tf->codes[39453] = 0x0001e019ef7480a7UL;
   tf->codes[39454] = 0x0002099fb565cec5UL;
   tf->codes[39455] = 0x00020c1ab44c5efdUL;
   tf->codes[39456] = 0x00021e9525d670e5UL;
   tf->codes[39457] = 0x00025171fdae53ecUL;
   tf->codes[39458] = 0x0002553ded8516a9UL;
   tf->codes[39459] = 0x0002bd4dc828cc0aUL;
   tf->codes[39460] = 0x0002c4fa78ad5e8bUL;
   tf->codes[39461] = 0x0002f2321ac4ddacUL;
   tf->codes[39462] = 0x0002f868cbd796feUL;
   tf->codes[39463] = 0x00030195c6f2064fUL;
   tf->codes[39464] = 0x00031b0c8c424a69UL;
   tf->codes[39465] = 0x00032bf2920c83c9UL;
   tf->codes[39466] = 0x000340229a58b2ceUL;
   tf->codes[39467] = 0x00036451dab95dbeUL;
   tf->codes[39468] = 0x00037af171fcfc81UL;
   tf->codes[39469] = 0x00039d7bce642f81UL;
   tf->codes[39470] = 0x0003a0f64f56ec4aUL;
   tf->codes[39471] = 0x00049b0369a4dac3UL;
   tf->codes[39472] = 0x0004bd336b5e26ccUL;
   tf->codes[39473] = 0x00053681d201ce5cUL;
   tf->codes[39474] = 0x00053e8de57ec6c2UL;
   tf->codes[39475] = 0x00055d14f6dbc2cbUL;
   tf->codes[39476] = 0x00055eac966dec19UL;
   tf->codes[39477] = 0x00058eb1908c187aUL;
   tf->codes[39478] = 0x0005aa57d8657cdaUL;
   tf->codes[39479] = 0x0005e18f5cb232ceUL;
   tf->codes[39480] = 0x0005ff50cb5bb5f7UL;
   tf->codes[39481] = 0x0006055e8a6d668aUL;
   tf->codes[39482] = 0x00065c39e9a62798UL;
   tf->codes[39483] = 0x0006ac1302922072UL;
   tf->codes[39484] = 0x0006afa846e28044UL;
   tf->codes[39485] = 0x0006bdda58a98ccfUL;
   tf->codes[39486] = 0x0006cf3df32b25a8UL;
   tf->codes[39487] = 0x000740f947dcc0e7UL;
   tf->codes[39488] = 0x00075e6822d72143UL;
   tf->codes[39489] = 0x000769b462d01737UL;
   tf->codes[39490] = 0x0007a3579294dad4UL;
   tf->codes[39491] = 0x000816c1dbd4ebdfUL;
   tf->codes[39492] = 0x00082efb5c40eda2UL;
   tf->codes[39493] = 0x00084d6e8702f3b8UL;
   tf->codes[39494] = 0x000922f4c4f69586UL;
   tf->codes[39495] = 0x00092c8123096abcUL;
   tf->codes[39496] = 0x000946f0c8323416UL;
   tf->codes[39497] = 0x000964d620924110UL;
   tf->codes[39498] = 0x0009819080bfd943UL;
   tf->codes[39499] = 0x00099736fd9bed01UL;
   tf->codes[39500] = 0x000a243b80c4c06dUL;
   tf->codes[39501] = 0x000a512b4f6f2becUL;
   tf->codes[39502] = 0x000a6433cdea3cb5UL;
   tf->codes[39503] = 0x000a6511002907d8UL;
   tf->codes[39504] = 0x000a92e4ddd4eb90UL;
   tf->codes[39505] = 0x000aa86adf5bcc08UL;
   tf->codes[39506] = 0x000adf9ebab825acUL;
   tf->codes[39507] = 0x000b6b03d7500ba0UL;
   tf->codes[39508] = 0x000c1869d68a9917UL;
   tf->codes[39509] = 0x000c42cba9ef957fUL;
   tf->codes[39510] = 0x000c686c5695a63aUL;
   tf->codes[39511] = 0x000ca6c243e6ea09UL;
   tf->codes[39512] = 0x000cdc071e467e69UL;
   tf->codes[39513] = 0x000cf019df0fcaeeUL;
   tf->codes[39514] = 0x000d041b3d6360f7UL;
   tf->codes[39515] = 0x000d3c5e63587545UL;
   tf->codes[39516] = 0x000d7d3960254728UL;
   tf->codes[39517] = 0x000dae3b1d9b5adeUL;
   tf->codes[39518] = 0x000daf0518ec415dUL;
   tf->codes[39519] = 0x000db199b66557c5UL;
   tf->codes[39520] = 0x000df608230a5b52UL;
   tf->codes[39521] = 0x000e14d98bf9aa74UL;
   tf->codes[39522] = 0x000e2839e0fd62bdUL;
   tf->codes[39523] = 0x000e8b59eae99375UL;
   tf->codes[39524] = 0x000ed56725aa595cUL;
   tf->codes[39525] = 0x000f04148ca4abe7UL;
   tf->codes[39526] = 0x000f170b338bfaaaUL;
   tf->codes[39527] = 0x000f4384f9eec515UL;
   tf->codes[39528] = 0x000f7ec630ea538cUL;
   tf->codes[39529] = 0x000f8b8e9d6abe76UL;
   tf->codes[39530] = 0x000fa30539d78c95UL;
   tf->codes[39531] = 0x000fc5657f7299fdUL;
   tf->codes[39532] = 0x000fc8944978e10fUL;
   tf->codes[39533] = 0x000fdcd454e0a3f2UL;
   tf->codes[39534] = 0x000fe5c26857e0a4UL;
   tf->codes[39535] = 0x000feede761aa503UL;
   tf->codes[39536] = 0x00001f9566e05a16UL;
   tf->codes[39537] = 0x00004b6ab591f036UL;
   tf->codes[39538] = 0x00005f920ca343fdUL;
   tf->codes[39539] = 0x0000a7be3a7ba491UL;
   tf->codes[39540] = 0x0000c5ff8772c0e5UL;
   tf->codes[39541] = 0x0000f837727b6417UL;
   tf->codes[39542] = 0x000109fcf41aa24cUL;
   tf->codes[39543] = 0x000127b69bc5614bUL;
   tf->codes[39544] = 0x00014d2c4763355aUL;
   tf->codes[39545] = 0x000189553650985aUL;
   tf->codes[39546] = 0x0001f663fa8b4f2eUL;
   tf->codes[39547] = 0x00026733793cae0aUL;
   tf->codes[39548] = 0x000276b93aa83256UL;
   tf->codes[39549] = 0x00031484328222f0UL;
   tf->codes[39550] = 0x00033ac91c4a6231UL;
   tf->codes[39551] = 0x00035a051d9231edUL;
   tf->codes[39552] = 0x0003646eade3d246UL;
   tf->codes[39553] = 0x00036f9c46ffc31cUL;
   tf->codes[39554] = 0x00038a4172e3d288UL;
   tf->codes[39555] = 0x00039b1a3446bd46UL;
   tf->codes[39556] = 0x00039b824879fe69UL;
   tf->codes[39557] = 0x0003b23c688c3a70UL;
   tf->codes[39558] = 0x0003cc84407f17e4UL;
   tf->codes[39559] = 0x0003dae1534e611bUL;
   tf->codes[39560] = 0x00049f34ea4f3cbeUL;
   tf->codes[39561] = 0x0004b50284b42b13UL;
   tf->codes[39562] = 0x0004ff925c76cf61UL;
   tf->codes[39563] = 0x00050384ba295b66UL;
   tf->codes[39564] = 0x000527e0205d5fdbUL;
   tf->codes[39565] = 0x00054a3d32261c7dUL;
   tf->codes[39566] = 0x000595b18e08448eUL;
   tf->codes[39567] = 0x00062bcb07a2297eUL;
   tf->codes[39568] = 0x00065722c19c6025UL;
   tf->codes[39569] = 0x00065b2f6d8e83a9UL;
   tf->codes[39570] = 0x000664aade49adedUL;
   tf->codes[39571] = 0x000673c557afa050UL;
   tf->codes[39572] = 0x00067b52ec392229UL;
   tf->codes[39573] = 0x0006b885e2e5bb20UL;
   tf->codes[39574] = 0x0006fc2c28b20656UL;
   tf->codes[39575] = 0x00070fe32f734946UL;
   tf->codes[39576] = 0x000714ebb4813d0bUL;
   tf->codes[39577] = 0x0007504cb724ed79UL;
   tf->codes[39578] = 0x00076969d1745bebUL;
   tf->codes[39579] = 0x00077085f0e2b014UL;
   tf->codes[39580] = 0x000779f800b5edcbUL;
   tf->codes[39581] = 0x00083f397cbe39beUL;
   tf->codes[39582] = 0x00084aff6def2d16UL;
   tf->codes[39583] = 0x0008aa51ee1b72aeUL;
   tf->codes[39584] = 0x000909fc44d05fc6UL;
   tf->codes[39585] = 0x00091d666fda1026UL;
   tf->codes[39586] = 0x00094c436b0912c1UL;
   tf->codes[39587] = 0x0009598dc4de4ac3UL;
   tf->codes[39588] = 0x0009bec427df211bUL;
   tf->codes[39589] = 0x000a0d3de6a87bf5UL;
   tf->codes[39590] = 0x000a1ec4461581c6UL;
   tf->codes[39591] = 0x000a3b102a6b374aUL;
   tf->codes[39592] = 0x000a8933ac951307UL;
   tf->codes[39593] = 0x000aacb79881dc96UL;
   tf->codes[39594] = 0x000afb699cbac2beUL;
   tf->codes[39595] = 0x000aff7f6f05cd0aUL;
   tf->codes[39596] = 0x000b2ee7f3008f0fUL;
   tf->codes[39597] = 0x000b4389aaf6f189UL;
   tf->codes[39598] = 0x000b57fbceb8a3f3UL;
   tf->codes[39599] = 0x000b794d3ed9023bUL;
   tf->codes[39600] = 0x000b81352e106b0bUL;
   tf->codes[39601] = 0x000bb24ef02fdc8eUL;
   tf->codes[39602] = 0x000bb5519462ca1bUL;
   tf->codes[39603] = 0x000be1ef447c1e57UL;
   tf->codes[39604] = 0x000c02d5e1b4f640UL;
   tf->codes[39605] = 0x000c062527107098UL;
   tf->codes[39606] = 0x000c3a6bdebdfb05UL;
   tf->codes[39607] = 0x000c83c9e18b7d76UL;
   tf->codes[39608] = 0x000c8e5d88a94367UL;
   tf->codes[39609] = 0x000cc25e7bf0ee1fUL;
   tf->codes[39610] = 0x000cf8fe1d46ad1bUL;
   tf->codes[39611] = 0x000d03429f16a6caUL;
   tf->codes[39612] = 0x000d2bedb6ee693cUL;
   tf->codes[39613] = 0x000d876060a8f624UL;
   tf->codes[39614] = 0x000d8df29134b346UL;
   tf->codes[39615] = 0x000da9664b961c95UL;
   tf->codes[39616] = 0x000de304ad9f6709UL;
   tf->codes[39617] = 0x000e62fc99cb1839UL;
   tf->codes[39618] = 0x000e84d11c0b6072UL;
   tf->codes[39619] = 0x000e84fb32d7860aUL;
   tf->codes[39620] = 0x000e90b8383e985fUL;
   tf->codes[39621] = 0x000ed7641b811c23UL;
   tf->codes[39622] = 0x000ee726b5889f21UL;
   tf->codes[39623] = 0x000f6168440d3bb4UL;
   tf->codes[39624] = 0x000f6b80657ad619UL;
   tf->codes[39625] = 0x000fb9a99f9c4213UL;
   tf->codes[39626] = 0x000fc2daf3541f03UL;
   tf->codes[39627] = 0x000014f7ea8239a0UL;
   tf->codes[39628] = 0x000076decd988fdbUL;
   tf->codes[39629] = 0x0000979526efa665UL;
   tf->codes[39630] = 0x00009c747f6d8ba6UL;
   tf->codes[39631] = 0x00010febd285e58eUL;
   tf->codes[39632] = 0x0001b89def68d5faUL;
   tf->codes[39633] = 0x0001d2aee1464abeUL;
   tf->codes[39634] = 0x00020aea7acba0a7UL;
   tf->codes[39635] = 0x0002402fca494091UL;
   tf->codes[39636] = 0x000289b107203b84UL;
   tf->codes[39637] = 0x0002d3fb8f9b0ba7UL;
   tf->codes[39638] = 0x0002fb5af95c2047UL;
   tf->codes[39639] = 0x00032d7bc9f77cc0UL;
   tf->codes[39640] = 0x00033de9b872e11fUL;
   tf->codes[39641] = 0x0003ff6dadd6d5d0UL;
   tf->codes[39642] = 0x00047fdfc0588feeUL;
   tf->codes[39643] = 0x0004f04172df1d6aUL;
   tf->codes[39644] = 0x000532522820733fUL;
   tf->codes[39645] = 0x000568f746debcb3UL;
   tf->codes[39646] = 0x0005c27e236ed51dUL;
   tf->codes[39647] = 0x000664ee946df747UL;
   tf->codes[39648] = 0x00066b5e000e4771UL;
   tf->codes[39649] = 0x000694b088da892fUL;
   tf->codes[39650] = 0x000695916409b0a2UL;
   tf->codes[39651] = 0x0006d16157a34f49UL;
   tf->codes[39652] = 0x00074bef875078a7UL;
   tf->codes[39653] = 0x00074e12afae615fUL;
   tf->codes[39654] = 0x0007525dce25abf8UL;
   tf->codes[39655] = 0x00076c116c11eec4UL;
   tf->codes[39656] = 0x0007ceedfb2e7979UL;
   tf->codes[39657] = 0x00088555b9ec33d0UL;
   tf->codes[39658] = 0x0008bdecd2ea8d89UL;
   tf->codes[39659] = 0x0008dd4e9261153eUL;
   tf->codes[39660] = 0x0008f94683ad8557UL;
   tf->codes[39661] = 0x00094281fc1ea095UL;
   tf->codes[39662] = 0x0009561971c6c753UL;
   tf->codes[39663] = 0x00099cea9e19f786UL;
   tf->codes[39664] = 0x0009b57eee51ebcaUL;
   tf->codes[39665] = 0x000a2632f9f8964eUL;
   tf->codes[39666] = 0x000a4c0dfb156644UL;
   tf->codes[39667] = 0x000a683b388e16aaUL;
   tf->codes[39668] = 0x000a7d515ee2f1d5UL;
   tf->codes[39669] = 0x000a7e3658208122UL;
   tf->codes[39670] = 0x000b232536678a0fUL;
   tf->codes[39671] = 0x000b298255560ca9UL;
   tf->codes[39672] = 0x000b6d41ff25d84aUL;
   tf->codes[39673] = 0x000b6f18865b3437UL;
   tf->codes[39674] = 0x000bc301b99aa720UL;
   tf->codes[39675] = 0x000bd5c7e2112ebfUL;
   tf->codes[39676] = 0x000beda8dc4777b3UL;
   tf->codes[39677] = 0x000c2a0afae07d15UL;
   tf->codes[39678] = 0x000c52add69b6fd3UL;
   tf->codes[39679] = 0x000c9a67a51c8ba3UL;
   tf->codes[39680] = 0x000ca978bd9a9179UL;
   tf->codes[39681] = 0x000cbb63c2d981e2UL;
   tf->codes[39682] = 0x000cf5b36bdd43b9UL;
   tf->codes[39683] = 0x000d17ddb59eff85UL;
   tf->codes[39684] = 0x000d2181a33d26feUL;
   tf->codes[39685] = 0x000d5eac233dea7cUL;
   tf->codes[39686] = 0x000d6d6a6d7dc7c0UL;
   tf->codes[39687] = 0x000d77980f6f807bUL;
   tf->codes[39688] = 0x000d9a6a04b4c158UL;
   tf->codes[39689] = 0x000d9eda6c3cb860UL;
   tf->codes[39690] = 0x000da24adc9a774dUL;
   tf->codes[39691] = 0x000ddcb92c7b3e42UL;
   tf->codes[39692] = 0x000de7bb89ffeca7UL;
   tf->codes[39693] = 0x000e1de732153e7cUL;
   tf->codes[39694] = 0x000e3ee907c9c4f8UL;
   tf->codes[39695] = 0x000e5d3e75eadd04UL;
   tf->codes[39696] = 0x000e8a4cb0e347dcUL;
   tf->codes[39697] = 0x000e98e3687c3effUL;
   tf->codes[39698] = 0x000e9a127ebd1ba0UL;
   tf->codes[39699] = 0x000ed9df55bc4fb2UL;
   tf->codes[39700] = 0x000f913658db9cf7UL;
   tf->codes[39701] = 0x000fa999f013c452UL;
   tf->codes[39702] = 0x000074f87e9c4367UL;
   tf->codes[39703] = 0x0000830790e8dd35UL;
   tf->codes[39704] = 0x0000be6943399ef2UL;
   tf->codes[39705] = 0x0000e840b29df8c9UL;
   tf->codes[39706] = 0x0000fd4f87121b54UL;
   tf->codes[39707] = 0x0001020d04e0aab1UL;
   tf->codes[39708] = 0x00010510934faf52UL;
   tf->codes[39709] = 0x0001305b43719d1cUL;
   tf->codes[39710] = 0x00015176f247af8dUL;
   tf->codes[39711] = 0x00015b82f4191829UL;
   tf->codes[39712] = 0x0001cd2a9cbec33aUL;
   tf->codes[39713] = 0x0001deb8fdb992faUL;
   tf->codes[39714] = 0x0002011a2d90b776UL;
   tf->codes[39715] = 0x0002280d9f9f28deUL;
   tf->codes[39716] = 0x00026685679fc291UL;
   tf->codes[39717] = 0x000269c852d0055bUL;
   tf->codes[39718] = 0x000271999cb832fcUL;
   tf->codes[39719] = 0x000288430a01c9d6UL;
   tf->codes[39720] = 0x0002e771db068b62UL;
   tf->codes[39721] = 0x000331757a505ef7UL;
   tf->codes[39722] = 0x00035e27c0b1ba75UL;
   tf->codes[39723] = 0x000559b4515b6aadUL;
   tf->codes[39724] = 0x00056fca344b782eUL;
   tf->codes[39725] = 0x00057817b390e2aaUL;
   tf->codes[39726] = 0x0005b32daef52eb0UL;
   tf->codes[39727] = 0x0005ca53c6ba0defUL;
   tf->codes[39728] = 0x0005ff0d8d6bee6fUL;
   tf->codes[39729] = 0x0006079d9d44e7daUL;
   tf->codes[39730] = 0x000648efc72477aaUL;
   tf->codes[39731] = 0x000693abc4ba757dUL;
   tf->codes[39732] = 0x00069e38c9a4941dUL;
   tf->codes[39733] = 0x0006c00a52a19155UL;
   tf->codes[39734] = 0x0006c2ab84d4e510UL;
   tf->codes[39735] = 0x000701e9d9c50eb7UL;
   tf->codes[39736] = 0x00072d5abd33c004UL;
   tf->codes[39737] = 0x0007d77d96af04ecUL;
   tf->codes[39738] = 0x00081675026e3205UL;
   tf->codes[39739] = 0x000816f4e0bbcb30UL;
   tf->codes[39740] = 0x0008471f23eaa400UL;
   tf->codes[39741] = 0x000890b94fa713d4UL;
   tf->codes[39742] = 0x00089ff86270a157UL;
   tf->codes[39743] = 0x0008daecf843a303UL;
   tf->codes[39744] = 0x0008dfa77ccee75fUL;
   tf->codes[39745] = 0x0008f38700732784UL;
   tf->codes[39746] = 0x000943947b4f4997UL;
   tf->codes[39747] = 0x00095c6235c1e602UL;
   tf->codes[39748] = 0x00098be1999ae8fbUL;
   tf->codes[39749] = 0x0009fbd0ecca31b3UL;
   tf->codes[39750] = 0x000a08e5fa732968UL;
   tf->codes[39751] = 0x000a1bfa988a6bfaUL;
   tf->codes[39752] = 0x000aa0c7cc9f048fUL;
   tf->codes[39753] = 0x000af4b015a26064UL;
   tf->codes[39754] = 0x000b436dfee87290UL;
   tf->codes[39755] = 0x000b4dbd40fa7b6aUL;
   tf->codes[39756] = 0x000b907c43f2fda1UL;
   tf->codes[39757] = 0x000ba6d05ed92c72UL;
   tf->codes[39758] = 0x000be7f0705eccbbUL;
   tf->codes[39759] = 0x000c08eaf4329a97UL;
   tf->codes[39760] = 0x000c5a81a56e7a7dUL;
   tf->codes[39761] = 0x000ccb2364635771UL;
   tf->codes[39762] = 0x000ceae18d8efa0aUL;
   tf->codes[39763] = 0x000cf19bc5dfa8d7UL;
   tf->codes[39764] = 0x000d1574c9a0d4aaUL;
   tf->codes[39765] = 0x000d43f5208bb69cUL;
   tf->codes[39766] = 0x000d5007785630faUL;
   tf->codes[39767] = 0x000d97642d752097UL;
   tf->codes[39768] = 0x000e037c20de8618UL;
   tf->codes[39769] = 0x000e720711a0b1e2UL;
   tf->codes[39770] = 0x000e77472c711fa6UL;
   tf->codes[39771] = 0x000e7cfb7b110056UL;
   tf->codes[39772] = 0x000ec43237723235UL;
   tf->codes[39773] = 0x000ecf93f7ef467fUL;
   tf->codes[39774] = 0x000ee9bd9e232a5fUL;
   tf->codes[39775] = 0x000f13c6eb526df8UL;
   tf->codes[39776] = 0x000f27f0516af5acUL;
   tf->codes[39777] = 0x000f32908d42f8f0UL;
   tf->codes[39778] = 0x000f489b7561f181UL;
   tf->codes[39779] = 0x000f4e3cc7a2f352UL;
   tf->codes[39780] = 0x000f7dafd150bebdUL;
   tf->codes[39781] = 0x00000fbd4ea59178UL;
   tf->codes[39782] = 0x0000a0849b4c40d9UL;
   tf->codes[39783] = 0x00010b9211d864d9UL;
   tf->codes[39784] = 0x0001590ab4ac6abfUL;
   tf->codes[39785] = 0x000169a5edc6457cUL;
   tf->codes[39786] = 0x00017cebb9fb6081UL;
   tf->codes[39787] = 0x0001c3d81eca3f47UL;
   tf->codes[39788] = 0x0001cce63878a3b5UL;
   tf->codes[39789] = 0x0001dd7e033127e7UL;
   tf->codes[39790] = 0x0001f8bce6845c73UL;
   tf->codes[39791] = 0x00020879c8944f34UL;
   tf->codes[39792] = 0x00020b92d787722bUL;
   tf->codes[39793] = 0x0002a3d77b0d09c2UL;
   tf->codes[39794] = 0x0002a9e2f08880a3UL;
   tf->codes[39795] = 0x00030436fc3bd052UL;
   tf->codes[39796] = 0x000374389c1ce69aUL;
   tf->codes[39797] = 0x00037f94df31706cUL;
   tf->codes[39798] = 0x00039734e2bd52d4UL;
   tf->codes[39799] = 0x0003bf99fba02fccUL;
   tf->codes[39800] = 0x0003dbbefcfc107eUL;
   tf->codes[39801] = 0x000476bb780436ffUL;
   tf->codes[39802] = 0x0004be365ee22030UL;
   tf->codes[39803] = 0x0005ae45e0911188UL;
   tf->codes[39804] = 0x0005b1dd33e8a547UL;
   tf->codes[39805] = 0x0005ce7160c979f7UL;
   tf->codes[39806] = 0x00061f7c89399a73UL;
   tf->codes[39807] = 0x000634dd41afce7cUL;
   tf->codes[39808] = 0x0006b8167f229a13UL;
   tf->codes[39809] = 0x0006c871e65d2b1dUL;
   tf->codes[39810] = 0x0006f235a9b594c6UL;
   tf->codes[39811] = 0x0007101375a5e35bUL;
   tf->codes[39812] = 0x00075278cd9d8feaUL;
   tf->codes[39813] = 0x00075722d9ef34deUL;
   tf->codes[39814] = 0x00078fe09b585da4UL;
   tf->codes[39815] = 0x0007cb842e8f9d01UL;
   tf->codes[39816] = 0x00081191178976f2UL;
   tf->codes[39817] = 0x00087565d6d17598UL;
   tf->codes[39818] = 0x00087ec091a866d1UL;
   tf->codes[39819] = 0x0008963f2fa2fedfUL;
   tf->codes[39820] = 0x0008ab6593a273adUL;
   tf->codes[39821] = 0x0008dcd67c9d7b61UL;
   tf->codes[39822] = 0x000933dc2d3167ccUL;
   tf->codes[39823] = 0x0009b968d6e3dd7aUL;
   tf->codes[39824] = 0x0009e675b28225b4UL;
   tf->codes[39825] = 0x000a2bdf8324edf8UL;
   tf->codes[39826] = 0x000a2e02e611dc75UL;
   tf->codes[39827] = 0x000a439074087b52UL;
   tf->codes[39828] = 0x000a79b997f88db0UL;
   tf->codes[39829] = 0x000a7c2b35f7315bUL;
   tf->codes[39830] = 0x000b0286e3450c76UL;
   tf->codes[39831] = 0x000b2174345d1b7aUL;
   tf->codes[39832] = 0x000b2aabefb999f6UL;
   tf->codes[39833] = 0x000b32f8f9e0f8e8UL;
   tf->codes[39834] = 0x000b544d28b59c6cUL;
   tf->codes[39835] = 0x000b755148005c9aUL;
   tf->codes[39836] = 0x000b78120b4ccc87UL;
   tf->codes[39837] = 0x000bd22ef65badc1UL;
   tf->codes[39838] = 0x000bf45f32a3ff8fUL;
   tf->codes[39839] = 0x000bf6f828ba8396UL;
   tf->codes[39840] = 0x000c02f91e0f4778UL;
   tf->codes[39841] = 0x000c444a2323ba6fUL;
   tf->codes[39842] = 0x000c4cc90b160323UL;
   tf->codes[39843] = 0x000cc354d9f50c9eUL;
   tf->codes[39844] = 0x000cee90abc68363UL;
   tf->codes[39845] = 0x000d1f5138032ac8UL;
   tf->codes[39846] = 0x000d3e948b2bb324UL;
   tf->codes[39847] = 0x000d46fa0f1a7b6dUL;
   tf->codes[39848] = 0x000d785b2f88f508UL;
   tf->codes[39849] = 0x000da8983487a6f2UL;
   tf->codes[39850] = 0x000dcb2bf1d6c67fUL;
   tf->codes[39851] = 0x000df1d07926716aUL;
   tf->codes[39852] = 0x000df2940cd2b65dUL;
   tf->codes[39853] = 0x000e0d77ab3becdeUL;
   tf->codes[39854] = 0x000e10b010b92642UL;
   tf->codes[39855] = 0x000e22ed34892deeUL;
   tf->codes[39856] = 0x000e29fa3b18054dUL;
   tf->codes[39857] = 0x000e4b08e015cee1UL;
   tf->codes[39858] = 0x000e6884c4e8781aUL;
   tf->codes[39859] = 0x000ee8a3597ef857UL;
   tf->codes[39860] = 0x000eec706e20d7edUL;
   tf->codes[39861] = 0x000f1c94f9582080UL;
   tf->codes[39862] = 0x000f47b1af2e869dUL;
   tf->codes[39863] = 0x000f5083655ef7e3UL;
   tf->codes[39864] = 0x000f7cff0039f076UL;
   tf->codes[39865] = 0x000f7e17712b91e8UL;
   tf->codes[39866] = 0x000fd2ed64a75848UL;
   tf->codes[39867] = 0x000ff21878977d12UL;
   tf->codes[39868] = 0x00009a4a7c9dce8eUL;
   tf->codes[39869] = 0x0000de108e123bbbUL;
   tf->codes[39870] = 0x0001235674fe7a2eUL;
   tf->codes[39871] = 0x000188177f64c0c1UL;
   tf->codes[39872] = 0x00018f1064c99c68UL;
   tf->codes[39873] = 0x0001cb0f3cead9d0UL;
   tf->codes[39874] = 0x0001d36114cdb1ebUL;
   tf->codes[39875] = 0x0001d8e1769b74ecUL;
   tf->codes[39876] = 0x0001f172587212a5UL;
   tf->codes[39877] = 0x0002379ab476a0eeUL;
   tf->codes[39878] = 0x00024427e2443589UL;
   tf->codes[39879] = 0x000244673f0573b2UL;
   tf->codes[39880] = 0x00025fae5e7577f2UL;
   tf->codes[39881] = 0x0002876a31eba776UL;
   tf->codes[39882] = 0x000297f73c621c7dUL;
   tf->codes[39883] = 0x0002bae728d75129UL;
   tf->codes[39884] = 0x0002fd45697d4addUL;
   tf->codes[39885] = 0x000304e92e37fc5bUL;
   tf->codes[39886] = 0x0003c712106b30e1UL;
   tf->codes[39887] = 0x0003e772dccfd99dUL;
   tf->codes[39888] = 0x00051ae613b7873cUL;
   tf->codes[39889] = 0x0005a6678d96389cUL;
   tf->codes[39890] = 0x00067669863cb554UL;
   tf->codes[39891] = 0x000682e551949373UL;
   tf->codes[39892] = 0x00069b578c8e2c0eUL;
   tf->codes[39893] = 0x0006c6dccbb5ded8UL;
   tf->codes[39894] = 0x0006ed4c41684f3bUL;
   tf->codes[39895] = 0x0006fe3f167bcbb3UL;
   tf->codes[39896] = 0x0006fe6166492d21UL;
   tf->codes[39897] = 0x00070c1f09b1c0fbUL;
   tf->codes[39898] = 0x00074bb69484b4c0UL;
   tf->codes[39899] = 0x00075bb1e919ce96UL;
   tf->codes[39900] = 0x00079bffc331b8acUL;
   tf->codes[39901] = 0x0007b684e8dea05cUL;
   tf->codes[39902] = 0x0007e531659cdbd3UL;
   tf->codes[39903] = 0x0007ff3f5e370596UL;
   tf->codes[39904] = 0x00082e02f56287c6UL;
   tf->codes[39905] = 0x00084d27671f053fUL;
   tf->codes[39906] = 0x000853e2c43ad0e5UL;
   tf->codes[39907] = 0x00087cda7d3b2022UL;
   tf->codes[39908] = 0x00088bcd296b269fUL;
   tf->codes[39909] = 0x00097d90e2821276UL;
   tf->codes[39910] = 0x00099387345903c5UL;
   tf->codes[39911] = 0x0009a561c15e54c6UL;
   tf->codes[39912] = 0x0009bc2ccec83bbfUL;
   tf->codes[39913] = 0x000a3605244e7a56UL;
   tf->codes[39914] = 0x000a5c3418748fb7UL;
   tf->codes[39915] = 0x000ac3f8019cc99cUL;
   tf->codes[39916] = 0x000b4fd7448ab87eUL;
   tf->codes[39917] = 0x000bd86916955b30UL;
   tf->codes[39918] = 0x000c0223ee23e3d6UL;
   tf->codes[39919] = 0x000c1d44da472493UL;
   tf->codes[39920] = 0x000c8ca5e5f668a5UL;
   tf->codes[39921] = 0x000cc23ca4580e83UL;
   tf->codes[39922] = 0x000cd9eb11165c66UL;
   tf->codes[39923] = 0x000d25effe0ec2cfUL;
   tf->codes[39924] = 0x000d47d324107c48UL;
   tf->codes[39925] = 0x000d716e2ff6e2f7UL;
   tf->codes[39926] = 0x000d762f1c26c8dfUL;
   tf->codes[39927] = 0x000db3eaa25bd63fUL;
   tf->codes[39928] = 0x000dd8977773e0a8UL;
   tf->codes[39929] = 0x000ddac8ce752f16UL;
   tf->codes[39930] = 0x000e179f20dda764UL;
   tf->codes[39931] = 0x000e32d552f600b2UL;
   tf->codes[39932] = 0x000ef5868a22a3dcUL;
   tf->codes[39933] = 0x000f4a13fa84454bUL;
   tf->codes[39934] = 0x000f5cbf5f9d29e1UL;
   tf->codes[39935] = 0x000f6c83938dd542UL;
   tf->codes[39936] = 0x00000a7c109541ffUL;
   tf->codes[39937] = 0x00001f826e5d8f11UL;
   tf->codes[39938] = 0x00002a53d8536ac8UL;
   tf->codes[39939] = 0x00004f596e3033c5UL;
   tf->codes[39940] = 0x000053b838b36e8cUL;
   tf->codes[39941] = 0x0000599195d4f5e6UL;
   tf->codes[39942] = 0x00009e1040249316UL;
   tf->codes[39943] = 0x0000e60d1457495fUL;
   tf->codes[39944] = 0x000124f2a882b472UL;
   tf->codes[39945] = 0x00012fe11f6c6ce4UL;
   tf->codes[39946] = 0x000142c838563353UL;
   tf->codes[39947] = 0x00016176a1cb0fb8UL;
   tf->codes[39948] = 0x00017c340ce782b6UL;
   tf->codes[39949] = 0x0001984736afa162UL;
   tf->codes[39950] = 0x0001a8dc7d42e61dUL;
   tf->codes[39951] = 0x000200b340796be2UL;
   tf->codes[39952] = 0x00022f2fb3e4ebbfUL;
   tf->codes[39953] = 0x00025e5f08340b62UL;
   tf->codes[39954] = 0x00026ee4863ac204UL;
   tf->codes[39955] = 0x000297f234dd3b21UL;
   tf->codes[39956] = 0x0002baae3480521eUL;
   tf->codes[39957] = 0x0002c80647dae44cUL;
   tf->codes[39958] = 0x0002e59ec4835eb6UL;
   tf->codes[39959] = 0x0002fb220755f9f2UL;
   tf->codes[39960] = 0x00030e863fd91450UL;
   tf->codes[39961] = 0x000350967ffc5e9bUL;
   tf->codes[39962] = 0x0003b1b158ba9a6aUL;
   tf->codes[39963] = 0x0004948e101fa603UL;
   tf->codes[39964] = 0x0004b111c4c6db4bUL;
   tf->codes[39965] = 0x0004b6888b1dabfaUL;
   tf->codes[39966] = 0x0004c26855702b47UL;
   tf->codes[39967] = 0x0004ff192438f161UL;
   tf->codes[39968] = 0x000557620c37b625UL;
   tf->codes[39969] = 0x00056340b1bf1899UL;
   tf->codes[39970] = 0x0005cee2d76fe2cbUL;
   tf->codes[39971] = 0x0005f60618420a08UL;
   tf->codes[39972] = 0x0006041ec6059628UL;
   tf->codes[39973] = 0x000678e1c7349de2UL;
   tf->codes[39974] = 0x00067ea5a3d206e6UL;
   tf->codes[39975] = 0x000687fe4fa1c432UL;
   tf->codes[39976] = 0x0006bad18c02b4e7UL;
   tf->codes[39977] = 0x0006f28211da56f0UL;
   tf->codes[39978] = 0x000785bc214ac6d5UL;
   tf->codes[39979] = 0x0007b38ba6593ceeUL;
   tf->codes[39980] = 0x000897634c9e01b4UL;
   tf->codes[39981] = 0x00091fac60ff79b0UL;
   tf->codes[39982] = 0x000922f070fad953UL;
   tf->codes[39983] = 0x00094388d321fc0eUL;
   tf->codes[39984] = 0x0009802cd2a17f10UL;
   tf->codes[39985] = 0x0009c9dda3ad2a13UL;
   tf->codes[39986] = 0x0009eee214bed637UL;
   tf->codes[39987] = 0x000a2df4094ca094UL;
   tf->codes[39988] = 0x000a3fb448125a16UL;
   tf->codes[39989] = 0x000a40ca6f6dc1d6UL;
   tf->codes[39990] = 0x000a72ff26a41442UL;
   tf->codes[39991] = 0x000ab832113173d6UL;
   tf->codes[39992] = 0x000acc05001b76a8UL;
   tf->codes[39993] = 0x000b300c4cdb705fUL;
   tf->codes[39994] = 0x000b3c9bfece4471UL;
   tf->codes[39995] = 0x000be36d83e6db14UL;
   tf->codes[39996] = 0x000cd6bd6ca0cfbfUL;
   tf->codes[39997] = 0x000d0203c4254feaUL;
   tf->codes[39998] = 0x000d02b963bd34ecUL;
   tf->codes[39999] = 0x000d4e224fb03c83UL;
   tf->codes[40000] = 0x000d60edf58f4e9aUL;
   tf->codes[40001] = 0x000da70a6c86b0dfUL;
   tf->codes[40002] = 0x000da745ab39872eUL;
   tf->codes[40003] = 0x000da8b0002d3a1eUL;
   tf->codes[40004] = 0x000db6bba4187d61UL;
   tf->codes[40005] = 0x000dcae803745016UL;
   tf->codes[40006] = 0x000e0a85463ed418UL;
   tf->codes[40007] = 0x000e12da51f3fcf9UL;
   tf->codes[40008] = 0x000e44fd31968d5fUL;
   tf->codes[40009] = 0x000e5823e1d097bcUL;
   tf->codes[40010] = 0x000e6fd791686a52UL;
   tf->codes[40011] = 0x000f0f6b1c6356e8UL;
   tf->codes[40012] = 0x000f10caeba40072UL;
   tf->codes[40013] = 0x000f247f33b0fe26UL;
   tf->codes[40014] = 0x000f7ab397134b72UL;
   tf->codes[40015] = 0x000fd84794b392eaUL;
   tf->codes[40016] = 0x0000051080642997UL;
   tf->codes[40017] = 0x00000e837a737e62UL;
   tf->codes[40018] = 0x000029b25aab1f10UL;
   tf->codes[40019] = 0x00003bc10f119385UL;
   tf->codes[40020] = 0x0000805748ec82f8UL;
   tf->codes[40021] = 0x0000a2509f1f6c16UL;
   tf->codes[40022] = 0x00010008115831d5UL;
   tf->codes[40023] = 0x00010470b1e164b3UL;
   tf->codes[40024] = 0x00012099d14bad3fUL;
   tf->codes[40025] = 0x00015f0a81fa9417UL;
   tf->codes[40026] = 0x0001e8b32b0dafd8UL;
   tf->codes[40027] = 0x00022e492183d1a1UL;
   tf->codes[40028] = 0x00022ee29e63f0fcUL;
   tf->codes[40029] = 0x000292ac9d69e077UL;
   tf->codes[40030] = 0x0002b86b413fe501UL;
   tf->codes[40031] = 0x000344aeef70b8b6UL;
   tf->codes[40032] = 0x00035e253fa2f146UL;
   tf->codes[40033] = 0x000385ede26263e2UL;
   tf->codes[40034] = 0x00038f969dbc0484UL;
   tf->codes[40035] = 0x000390058eb1f2bdUL;
   tf->codes[40036] = 0x0003abde9e9257f3UL;
   tf->codes[40037] = 0x00042737b3cc7ee4UL;
   tf->codes[40038] = 0x00047a33ec409891UL;
   tf->codes[40039] = 0x00049d38346ecebaUL;
   tf->codes[40040] = 0x0004a7cdb004c2d3UL;
   tf->codes[40041] = 0x0004afc776cfeda9UL;
   tf->codes[40042] = 0x0004b8657abd4705UL;
   tf->codes[40043] = 0x0004c8ded927cbdeUL;
   tf->codes[40044] = 0x0004cee7555ff7beUL;
   tf->codes[40045] = 0x0004d704cb52a6a0UL;
   tf->codes[40046] = 0x0005017c9459cce8UL;
   tf->codes[40047] = 0x000553bed49893f4UL;
   tf->codes[40048] = 0x00058284efe9559bUL;
   tf->codes[40049] = 0x00058bdec0842fc0UL;
   tf->codes[40050] = 0x0005c5fe25a63038UL;
   tf->codes[40051] = 0x0005ebe2fcc8f845UL;
   tf->codes[40052] = 0x0006bab9c2adfa71UL;
   tf->codes[40053] = 0x00073ab25e86bcf0UL;
   tf->codes[40054] = 0x0007440bf4929150UL;
   tf->codes[40055] = 0x000751f8f1a0cf75UL;
   tf->codes[40056] = 0x0007952e71fefe4aUL;
   tf->codes[40057] = 0x0007e58c36f40978UL;
   tf->codes[40058] = 0x0007f5c2551dee13UL;
   tf->codes[40059] = 0x0007fcd84776a675UL;
   tf->codes[40060] = 0x00081c519678806dUL;
   tf->codes[40061] = 0x00083d90f47616eaUL;
   tf->codes[40062] = 0x00083dbf63dfaa21UL;
   tf->codes[40063] = 0x000879f597345bc3UL;
   tf->codes[40064] = 0x0008a1f2d672fd5dUL;
   tf->codes[40065] = 0x0008e4190c387188UL;
   tf->codes[40066] = 0x0008f3ee2d80c7dbUL;
   tf->codes[40067] = 0x000921e161b6c200UL;
   tf->codes[40068] = 0x000987efb41cdec8UL;
   tf->codes[40069] = 0x000a42c0c310dd4cUL;
   tf->codes[40070] = 0x000a49b2cbb30bddUL;
   tf->codes[40071] = 0x000a576e9aa3718fUL;
   tf->codes[40072] = 0x000a6ab2ccef6431UL;
   tf->codes[40073] = 0x000a8f3ace14cdb5UL;
   tf->codes[40074] = 0x000aad0e4ee118a9UL;
   tf->codes[40075] = 0x000abe0c93e3b59bUL;
   tf->codes[40076] = 0x000ae17372dca26fUL;
   tf->codes[40077] = 0x000afed9d72b2d52UL;
   tf->codes[40078] = 0x000b6b863f2a3340UL;
   tf->codes[40079] = 0x000bd17b2d8ccf9dUL;
   tf->codes[40080] = 0x000c2ebf90c13f49UL;
   tf->codes[40081] = 0x000c4dcd97bd8758UL;
   tf->codes[40082] = 0x000c532cce8905c4UL;
   tf->codes[40083] = 0x000cbcd02ab07c99UL;
   tf->codes[40084] = 0x000cc06a774b5b59UL;
   tf->codes[40085] = 0x000cf8f5e5cb8ed3UL;
   tf->codes[40086] = 0x000d46873cf603d5UL;
   tf->codes[40087] = 0x000d497759e81e0dUL;
   tf->codes[40088] = 0x000dbe87715dbe1cUL;
   tf->codes[40089] = 0x000e20b8717761abUL;
   tf->codes[40090] = 0x000e3608ec42fc11UL;
   tf->codes[40091] = 0x000e3813604a75adUL;
   tf->codes[40092] = 0x000e46382daa3396UL;
   tf->codes[40093] = 0x000e75936d3da6f9UL;
   tf->codes[40094] = 0x000e7bf768eed6a9UL;
   tf->codes[40095] = 0x000ea28fd0a24fcbUL;
   tf->codes[40096] = 0x000ecc18ca65eeafUL;
   tf->codes[40097] = 0x000ed08eaf56702fUL;
   tf->codes[40098] = 0x000ee9d89f264975UL;
   tf->codes[40099] = 0x000ef6d18a177b83UL;
   tf->codes[40100] = 0x000f1eb948d1fec7UL;
   tf->codes[40101] = 0x000f6efb9abc559dUL;
   tf->codes[40102] = 0x000fc31d4dfa5999UL;
   tf->codes[40103] = 0x000fcab986454cb2UL;
   tf->codes[40104] = 0x000fd6dd05f677c7UL;
   tf->codes[40105] = 0x00000bb329ef23b3UL;
   tf->codes[40106] = 0x00005ffe444c3bf8UL;
   tf->codes[40107] = 0x00006e2a638cb281UL;
   tf->codes[40108] = 0x00007dc9c38abcfdUL;
   tf->codes[40109] = 0x0000afaafcd5d588UL;
   tf->codes[40110] = 0x0000bc82bcc4c301UL;
   tf->codes[40111] = 0x0000df5527280f68UL;
   tf->codes[40112] = 0x0000e3fe83cca30dUL;
   tf->codes[40113] = 0x00012e735da29e8dUL;
   tf->codes[40114] = 0x00014a6c73ba2b7fUL;
   tf->codes[40115] = 0x00018eb4728365c4UL;
   tf->codes[40116] = 0x0001c9b6c1dbc19cUL;
   tf->codes[40117] = 0x0001d5c7452e0dd2UL;
   tf->codes[40118] = 0x0001fab12d711cb2UL;
   tf->codes[40119] = 0x00023002276ce2dbUL;
   tf->codes[40120] = 0x000236414f2b71a6UL;
   tf->codes[40121] = 0x000246634c2b5a89UL;
   tf->codes[40122] = 0x00027ce40c150ea2UL;
   tf->codes[40123] = 0x00031a5fa4122d35UL;
   tf->codes[40124] = 0x0003696d62531cf2UL;
   tf->codes[40125] = 0x00037c95ac764fb2UL;
   tf->codes[40126] = 0x000389661a84848bUL;
   tf->codes[40127] = 0x0003d4bb1fdc962fUL;
   tf->codes[40128] = 0x0003fd86035c7a98UL;
   tf->codes[40129] = 0x00050d3f527e0d0cUL;
   tf->codes[40130] = 0x000511b830b1d98dUL;
   tf->codes[40131] = 0x000532ee2dc7837dUL;
   tf->codes[40132] = 0x00059b0ef5c2e3d0UL;
   tf->codes[40133] = 0x0005e5cb2de7e768UL;
   tf->codes[40134] = 0x0005ebe1d8c378feUL;
   tf->codes[40135] = 0x0005f5b9edc2c3ebUL;
   tf->codes[40136] = 0x000655cf51ee3d27UL;
   tf->codes[40137] = 0x000677b695fe5e7aUL;
   tf->codes[40138] = 0x0006bbce50e5d760UL;
   tf->codes[40139] = 0x0006f288b5993965UL;
   tf->codes[40140] = 0x0007014ec6d7dad3UL;
   tf->codes[40141] = 0x0007c061935b3763UL;
   tf->codes[40142] = 0x00080c3bb9da66e5UL;
   tf->codes[40143] = 0x000821f4f88653bdUL;
   tf->codes[40144] = 0x00083cfe8fad47fcUL;
   tf->codes[40145] = 0x000870f6972b11b1UL;
   tf->codes[40146] = 0x000892fc0cfa2c98UL;
   tf->codes[40147] = 0x0009005e4f201d4dUL;
   tf->codes[40148] = 0x00090205b73ed4b4UL;
   tf->codes[40149] = 0x00092483445cc49cUL;
   tf->codes[40150] = 0x00093049aaabc37eUL;
   tf->codes[40151] = 0x000947b6e630a510UL;
   tf->codes[40152] = 0x000966e9fbae93c9UL;
   tf->codes[40153] = 0x00098e9138dcbc0bUL;
   tf->codes[40154] = 0x0009be7df3c284daUL;
   tf->codes[40155] = 0x000a00b58bfdaf81UL;
   tf->codes[40156] = 0x000a28c79c135e22UL;
   tf->codes[40157] = 0x000a5869c4d7ce13UL;
   tf->codes[40158] = 0x000a7a0acf640427UL;
   tf->codes[40159] = 0x000a7a2d59c06b5aUL;
   tf->codes[40160] = 0x000ab6c6d38ce4f6UL;
   tf->codes[40161] = 0x000ae4c995c0676fUL;
   tf->codes[40162] = 0x000ae86abf1df345UL;
   tf->codes[40163] = 0x000b1fe040d1c4c4UL;
   tf->codes[40164] = 0x000b306ac722fa54UL;
   tf->codes[40165] = 0x000b3158719b64dfUL;
   tf->codes[40166] = 0x000b6881c744b51dUL;
   tf->codes[40167] = 0x000b8ca6bc815c6cUL;
   tf->codes[40168] = 0x000ba51429bf7bdeUL;
   tf->codes[40169] = 0x000bbb519f566f80UL;
   tf->codes[40170] = 0x000c1db1be86b795UL;
   tf->codes[40171] = 0x000c301b082a18c6UL;
   tf->codes[40172] = 0x000c32b17a1b5d56UL;
   tf->codes[40173] = 0x000c41047c55a8b1UL;
   tf->codes[40174] = 0x000c68ef6ee27cbbUL;
   tf->codes[40175] = 0x000cbd0870e5a579UL;
   tf->codes[40176] = 0x000cc1a329c8c7deUL;
   tf->codes[40177] = 0x000cd06c6ed9ba12UL;
   tf->codes[40178] = 0x000d7133a341f6adUL;
   tf->codes[40179] = 0x000df9f2103dfe6eUL;
   tf->codes[40180] = 0x000dff6408d955f4UL;
   tf->codes[40181] = 0x000e7477c93f5253UL;
   tf->codes[40182] = 0x000e7d91c7fae2c5UL;
   tf->codes[40183] = 0x000e8fcf60e8f5fbUL;
   tf->codes[40184] = 0x000ec5a5417cd43dUL;
   tf->codes[40185] = 0x000f18c05b5cf8cdUL;
   tf->codes[40186] = 0x000f3a383959205dUL;
   tf->codes[40187] = 0x000f598efdfe9322UL;
   tf->codes[40188] = 0x000f65e420eba234UL;
   tf->codes[40189] = 0x000f6a2d305bb8e0UL;
   tf->codes[40190] = 0x000f9470d201bbb4UL;
   tf->codes[40191] = 0x000f9f5af04e0687UL;
   tf->codes[40192] = 0x000fbb8bd6b7133dUL;
   tf->codes[40193] = 0x000fef966575b047UL;
   tf->codes[40194] = 0x000ff47005fc054bUL;
   tf->codes[40195] = 0x000021b8204d23d4UL;
   tf->codes[40196] = 0x0000318455cb9924UL;
   tf->codes[40197] = 0x0000633635710764UL;
   tf->codes[40198] = 0x0000a7880a4039c0UL;
   tf->codes[40199] = 0x0000b8054c2a20aeUL;
   tf->codes[40200] = 0x00017892e5dacf96UL;
   tf->codes[40201] = 0x00018ffb8e333dc4UL;
   tf->codes[40202] = 0x0001a3e1b40b253aUL;
   tf->codes[40203] = 0x0001f086c017524fUL;
   tf->codes[40204] = 0x00020f7c4d4c3107UL;
   tf->codes[40205] = 0x000260e120bd272bUL;
   tf->codes[40206] = 0x00032c81902c23e0UL;
   tf->codes[40207] = 0x00032c8a06d7f959UL;
   tf->codes[40208] = 0x00035c835677ff7bUL;
   tf->codes[40209] = 0x00035d3a1adb0156UL;
   tf->codes[40210] = 0x00037508c85f7cbaUL;
   tf->codes[40211] = 0x0003b905fa78585cUL;
   tf->codes[40212] = 0x0004228aafc2ca13UL;
   tf->codes[40213] = 0x00042578bdadb05eUL;
   tf->codes[40214] = 0x00043470e7464153UL;
   tf->codes[40215] = 0x0004988be0122b38UL;
   tf->codes[40216] = 0x00049f0263042e3dUL;
   tf->codes[40217] = 0x0004ab595a696b77UL;
   tf->codes[40218] = 0x000551d1e42e3dc1UL;
   tf->codes[40219] = 0x00057cd98e9e9112UL;
   tf->codes[40220] = 0x0005a81525e10212UL;
   tf->codes[40221] = 0x0005ea502c7d8344UL;
   tf->codes[40222] = 0x00061cac765abbd1UL;
   tf->codes[40223] = 0x00064b61a453d286UL;
   tf->codes[40224] = 0x0006828d7e22623bUL;
   tf->codes[40225] = 0x00068b93d0d2027fUL;
   tf->codes[40226] = 0x0006d0a5caec2343UL;
   tf->codes[40227] = 0x000732edaae407c6UL;
   tf->codes[40228] = 0x0007705f4ea4cd97UL;
   tf->codes[40229] = 0x00079c672ace5ec8UL;
   tf->codes[40230] = 0x0007d578df40ccf9UL;
   tf->codes[40231] = 0x000804a6d435c9feUL;
   tf->codes[40232] = 0x00085cfaf194a977UL;
   tf->codes[40233] = 0x0008a78252ab784cUL;
   tf->codes[40234] = 0x0008b0b5eff98eeeUL;
   tf->codes[40235] = 0x0008ccf071d98df6UL;
   tf->codes[40236] = 0x0008dbd5d9a245d1UL;
   tf->codes[40237] = 0x000942e9a09b252cUL;
   tf->codes[40238] = 0x00096e6edfc2d7f6UL;
   tf->codes[40239] = 0x0009816795b15aa6UL;
   tf->codes[40240] = 0x0009866ce6ecfda5UL;
   tf->codes[40241] = 0x0009c0f12c6fee7aUL;
   tf->codes[40242] = 0x000a07d764293179UL;
   tf->codes[40243] = 0x000a9a6743f0dcd6UL;
   tf->codes[40244] = 0x000b004726ed6667UL;
   tf->codes[40245] = 0x000b023836f15f98UL;
   tf->codes[40246] = 0x000bb501c594d91aUL;
   tf->codes[40247] = 0x000be0935ee7c372UL;
   tf->codes[40248] = 0x000be92a4b8369f3UL;
   tf->codes[40249] = 0x000c444f2f4a4d37UL;
   tf->codes[40250] = 0x000c474872954e37UL;
   tf->codes[40251] = 0x000c62f3882a2bc0UL;
   tf->codes[40252] = 0x000c84f38090bc2fUL;
   tf->codes[40253] = 0x000caadb50f6cf3dUL;
   tf->codes[40254] = 0x000cc38dd2edbd15UL;
   tf->codes[40255] = 0x000d2218dbee5ba5UL;
   tf->codes[40256] = 0x000da13f405967f1UL;
   tf->codes[40257] = 0x000e1b3e78d97b5aUL;
   tf->codes[40258] = 0x000efd73bf4a07a7UL;
   tf->codes[40259] = 0x000f2dd97bbabc8bUL;
   tf->codes[40260] = 0x000f49b166d004e8UL;
   tf->codes[40261] = 0x000fa0bc94cc7bcbUL;
   tf->codes[40262] = 0x000fab707cb06f3dUL;
   tf->codes[40263] = 0x000fc7f46be6aa4aUL;
   tf->codes[40264] = 0x000fe1e7dbb236c9UL;
   tf->codes[40265] = 0x0000019552153435UL;
   tf->codes[40266] = 0x0000269e1bc44df8UL;
   tf->codes[40267] = 0x000034acb8f2dc3cUL;
   tf->codes[40268] = 0x000049f029e62dc5UL;
   tf->codes[40269] = 0x0000570487e2142bUL;
   tf->codes[40270] = 0x00009f57d3434f56UL;
   tf->codes[40271] = 0x0000ca9fff3ffda9UL;
   tf->codes[40272] = 0x0000d1d6a77cef16UL;
   tf->codes[40273] = 0x00016c651bcb3e72UL;
   tf->codes[40274] = 0x000189812887763cUL;
   tf->codes[40275] = 0x00019e80e41c1bfdUL;
   tf->codes[40276] = 0x0001a217fce4a9f7UL;
   tf->codes[40277] = 0x0001a228afad4f24UL;
   tf->codes[40278] = 0x00028e52a2f2f78fUL;
   tf->codes[40279] = 0x0002ac38e58f1b9dUL;
   tf->codes[40280] = 0x000354c57ed259d5UL;
   tf->codes[40281] = 0x00035e071034d068UL;
   tf->codes[40282] = 0x00036c47c5bd4e33UL;
   tf->codes[40283] = 0x000373009eb3da62UL;
   tf->codes[40284] = 0x000397b3db708657UL;
   tf->codes[40285] = 0x0003a051a4ced9eeUL;
   tf->codes[40286] = 0x0004834c8df2df1bUL;
   tf->codes[40287] = 0x0004bf8df6a7ab72UL;
   tf->codes[40288] = 0x0004eb6e059b50bdUL;
   tf->codes[40289] = 0x000552594fb132e3UL;
   tf->codes[40290] = 0x0005961bb83543c0UL;
   tf->codes[40291] = 0x0005ba5edf30e4a3UL;
   tf->codes[40292] = 0x0005caab2d8bf8e3UL;
   tf->codes[40293] = 0x0005f9429ee4218eUL;
   tf->codes[40294] = 0x0006e66412a82c9bUL;
   tf->codes[40295] = 0x0006ea71e3656cf8UL;
   tf->codes[40296] = 0x0006ff02ae042480UL;
   tf->codes[40297] = 0x0007197e383a19deUL;
   tf->codes[40298] = 0x00076f4cd0ff5fb9UL;
   tf->codes[40299] = 0x00078fc5a20d6642UL;
   tf->codes[40300] = 0x00079e06ccb3ef97UL;
   tf->codes[40301] = 0x0007bc6aa407731eUL;
   tf->codes[40302] = 0x0007dececd21e29bUL;
   tf->codes[40303] = 0x0007f6ad4332ec18UL;
   tf->codes[40304] = 0x00083e0f009c5aa3UL;
   tf->codes[40305] = 0x000871d05c93c16dUL;
   tf->codes[40306] = 0x00089766be15ce87UL;
   tf->codes[40307] = 0x0008e9a25c20ee42UL;
   tf->codes[40308] = 0x00091c02145f7d5aUL;
   tf->codes[40309] = 0x00092f5057406dd8UL;
   tf->codes[40310] = 0x000995dd289a012dUL;
   tf->codes[40311] = 0x0009f7959c46c431UL;
   tf->codes[40312] = 0x0009fa8e6a73b9a7UL;
   tf->codes[40313] = 0x000a1107594c895dUL;
   tf->codes[40314] = 0x000a3961775e5165UL;
   tf->codes[40315] = 0x000abd9b211960a1UL;
   tf->codes[40316] = 0x000ac55b088bd7c6UL;
   tf->codes[40317] = 0x000ace83e597df3dUL;
   tf->codes[40318] = 0x000b0bbb34e1e5d3UL;
   tf->codes[40319] = 0x000b60386798ed9fUL;
   tf->codes[40320] = 0x000b641ac22fe5c6UL;
   tf->codes[40321] = 0x000bb609bf1278b6UL;
   tf->codes[40322] = 0x000c0f0d8982a72fUL;
   tf->codes[40323] = 0x000c3626f44ed655UL;
   tf->codes[40324] = 0x000c63544b4251d5UL;
   tf->codes[40325] = 0x000cd67736335ac8UL;
   tf->codes[40326] = 0x000d0425cace9211UL;
   tf->codes[40327] = 0x000d16a8b3047972UL;
   tf->codes[40328] = 0x000d1d0890a74148UL;
   tf->codes[40329] = 0x000d874026d552c5UL;
   tf->codes[40330] = 0x000da0d5cd91a1c2UL;
   tf->codes[40331] = 0x000dafbafacb53d8UL;
   tf->codes[40332] = 0x000dde193c77da21UL;
   tf->codes[40333] = 0x000e0fbc3dccd15cUL;
   tf->codes[40334] = 0x000e14d3a12b3c26UL;
   tf->codes[40335] = 0x000eabfc655ddbc0UL;
   tf->codes[40336] = 0x000ebc2713989fe1UL;
   tf->codes[40337] = 0x000f578450f34ee5UL;
   tf->codes[40338] = 0x000f65a78469e46bUL;
   tf->codes[40339] = 0x000f72fee817654aUL;
   tf->codes[40340] = 0x000f8fe74290852aUL;
   tf->codes[40341] = 0x0000054b879e7069UL;
   tf->codes[40342] = 0x000030d2262045d1UL;
   tf->codes[40343] = 0x0000a429e81f8387UL;
   tf->codes[40344] = 0x0000d74a3ac70c91UL;
   tf->codes[40345] = 0x00010386b36fccc0UL;
   tf->codes[40346] = 0x000103bbff9c0d0dUL;
   tf->codes[40347] = 0x0001b8ba191325c3UL;
   tf->codes[40348] = 0x0001dfaf5f99c553UL;
   tf->codes[40349] = 0x0001e65d3dbf3c92UL;
   tf->codes[40350] = 0x0001eb74668ea197UL;
   tf->codes[40351] = 0x0002155a04966124UL;
   tf->codes[40352] = 0x0002359b0552e7e9UL;
   tf->codes[40353] = 0x0002550366fd16efUL;
   tf->codes[40354] = 0x00028e9aec43b44dUL;
   tf->codes[40355] = 0x0002985ee0190382UL;
   tf->codes[40356] = 0x0002c6e10b7c139cUL;
   tf->codes[40357] = 0x0002d73ef6dbe41dUL;
   tf->codes[40358] = 0x00030c489288a22eUL;
   tf->codes[40359] = 0x0003602655d8f49dUL;
   tf->codes[40360] = 0x0003d5554eba9f8fUL;
   tf->codes[40361] = 0x000484085b65fd76UL;
   tf->codes[40362] = 0x0004c4d479e25854UL;
   tf->codes[40363] = 0x0005327060d1f6f5UL;
   tf->codes[40364] = 0x0005469c1080b85bUL;
   tf->codes[40365] = 0x00057f3573154bc6UL;
   tf->codes[40366] = 0x0005b4f64843173cUL;
   tf->codes[40367] = 0x000604c7d4bf51b1UL;
   tf->codes[40368] = 0x00063c82e049fd20UL;
   tf->codes[40369] = 0x00064f125d3a21d4UL;
   tf->codes[40370] = 0x0006a0c1131f5f87UL;
   tf->codes[40371] = 0x00071f925fb6098fUL;
   tf->codes[40372] = 0x00076439c177a9b9UL;
   tf->codes[40373] = 0x0007b2624bec0464UL;
   tf->codes[40374] = 0x0007be784ca6db12UL;
   tf->codes[40375] = 0x0007c63ffb181661UL;
   tf->codes[40376] = 0x0007f3ae8344fe32UL;
   tf->codes[40377] = 0x00081ac828a0331dUL;
   tf->codes[40378] = 0x00087105b25b6731UL;
   tf->codes[40379] = 0x000893b88ba59766UL;
   tf->codes[40380] = 0x00089ccd4787a325UL;
   tf->codes[40381] = 0x000a8f2a1e629ed0UL;
   tf->codes[40382] = 0x000b630a5391abd5UL;
   tf->codes[40383] = 0x000c00f4dc84b8a1UL;
   tf->codes[40384] = 0x000c5a128016730fUL;
   tf->codes[40385] = 0x000c6eaa9c95e337UL;
   tf->codes[40386] = 0x000c87f242cf82cbUL;
   tf->codes[40387] = 0x000c96e77324c8bfUL;
   tf->codes[40388] = 0x000ca71813e622e2UL;
   tf->codes[40389] = 0x000cc3a822b88fb8UL;
   tf->codes[40390] = 0x000cf258f81438ceUL;
   tf->codes[40391] = 0x000d319c554ee163UL;
   tf->codes[40392] = 0x000d8cb8fcf8f4f3UL;
   tf->codes[40393] = 0x000daa96193c3239UL;
   tf->codes[40394] = 0x000de0aaa6e43d55UL;
   tf->codes[40395] = 0x000e67b1a8a5f9d1UL;
   tf->codes[40396] = 0x000e76c28694f9e2UL;
   tf->codes[40397] = 0x000ed4814aae7841UL;
   tf->codes[40398] = 0x000f0e2096f3d9c9UL;
   tf->codes[40399] = 0x000f9cee5ceaba80UL;
   tf->codes[40400] = 0x000fb4702eb7a354UL;
   tf->codes[40401] = 0x000fb9a932365e3dUL;
   tf->codes[40402] = 0x000fbfdc74e7c104UL;
   tf->codes[40403] = 0x000fc20604ea4b48UL;
   tf->codes[40404] = 0x000fd6bd3d64cc18UL;
   tf->codes[40405] = 0x000fd971e1150a3cUL;
   tf->codes[40406] = 0x000fe95a394b4533UL;
   tf->codes[40407] = 0x000ffc7ba6abcaddUL;
   tf->codes[40408] = 0x000016cd1a159aa3UL;
   tf->codes[40409] = 0x00005ce697c9b1e7UL;
   tf->codes[40410] = 0x00007e40b924eb6dUL;
   tf->codes[40411] = 0x00008135a3d27eceUL;
   tf->codes[40412] = 0x0000affdce2a7462UL;
   tf->codes[40413] = 0x0000b3e14d8c8962UL;
   tf->codes[40414] = 0x0000d507f733b0c3UL;
   tf->codes[40415] = 0x0001537fd3588ae8UL;
   tf->codes[40416] = 0x00024bfa90edd4c6UL;
   tf->codes[40417] = 0x00027bf246a4b285UL;
   tf->codes[40418] = 0x0002d2dfb8003b5eUL;
   tf->codes[40419] = 0x0002d5c5c45d57baUL;
   tf->codes[40420] = 0x0002e99bac8aa58dUL;
   tf->codes[40421] = 0x00031abe9502fdd8UL;
   tf->codes[40422] = 0x00035e925ffcc531UL;
   tf->codes[40423] = 0x0003bee28dbd0932UL;
   tf->codes[40424] = 0x00049a2bf8a102b5UL;
   tf->codes[40425] = 0x00054bfb0d82ce94UL;
   tf->codes[40426] = 0x00056345f93a4eb8UL;
   tf->codes[40427] = 0x0005b300a5d84839UL;
   tf->codes[40428] = 0x0005fe2f02c58ad0UL;
   tf->codes[40429] = 0x0006186921330e18UL;
   tf->codes[40430] = 0x000619b8031c0cb0UL;
   tf->codes[40431] = 0x0006ac6773fcd43fUL;
   tf->codes[40432] = 0x0006fdb393175b47UL;
   tf->codes[40433] = 0x00074f3a7bc6ad14UL;
   tf->codes[40434] = 0x0007ed77d2f7e272UL;
   tf->codes[40435] = 0x0007f17b1e021969UL;
   tf->codes[40436] = 0x000830804346a0aeUL;
   tf->codes[40437] = 0x0008786721d72d17UL;
   tf->codes[40438] = 0x0008dd48a792a6f0UL;
   tf->codes[40439] = 0x00094d8a195306ebUL;
   tf->codes[40440] = 0x000aa763da2343eaUL;
   tf->codes[40441] = 0x000aee6c271ae292UL;
   tf->codes[40442] = 0x000b57fc86e37a88UL;
   tf->codes[40443] = 0x000baa99d17d39daUL;
   tf->codes[40444] = 0x000c25563604f0aaUL;
   tf->codes[40445] = 0x000c48ea5f9c53dcUL;
   tf->codes[40446] = 0x000c6b2b893c509cUL;
   tf->codes[40447] = 0x000cb2a5c06d287eUL;
   tf->codes[40448] = 0x000cc9cf0c045883UL;
   tf->codes[40449] = 0x000cec0c1795ed69UL;
   tf->codes[40450] = 0x000d000539ccb3beUL;
   tf->codes[40451] = 0x000d0f5fbfa0f599UL;
   tf->codes[40452] = 0x000d60bdf0de446cUL;
   tf->codes[40453] = 0x000d8aad9f7b01d5UL;
   tf->codes[40454] = 0x000dae09be31df7eUL;
   tf->codes[40455] = 0x000dcd5f989b3b2fUL;
   tf->codes[40456] = 0x000dd007a7913c00UL;
   tf->codes[40457] = 0x000e3d5b8084c13aUL;
   tf->codes[40458] = 0x000e9afab3852367UL;
   tf->codes[40459] = 0x000ee4963e9bb5d9UL;
   tf->codes[40460] = 0x000ef36cc813f6afUL;
   tf->codes[40461] = 0x000f634660301b4cUL;
   tf->codes[40462] = 0x000fb54cb20efabaUL;
   tf->codes[40463] = 0x000fbdd5357835c0UL;
   tf->codes[40464] = 0x00001e8f8672eed1UL;
   tf->codes[40465] = 0x00004d84fb695ac3UL;
   tf->codes[40466] = 0x00007629367e701fUL;
   tf->codes[40467] = 0x0000cee184912ea6UL;
   tf->codes[40468] = 0x0001601cca784b2eUL;
   tf->codes[40469] = 0x00017f19346fd6fcUL;
   tf->codes[40470] = 0x00018fbf2dcbc0e4UL;
   tf->codes[40471] = 0x0001b2c9a30f92d4UL;
   tf->codes[40472] = 0x0001f44ff4504618UL;
   tf->codes[40473] = 0x00028ed960541686UL;
   tf->codes[40474] = 0x00029571bdf56f6fUL;
   tf->codes[40475] = 0x00030bcd0e63b1c6UL;
   tf->codes[40476] = 0x00031776a24dd9b2UL;
   tf->codes[40477] = 0x000324e1ec965084UL;
   tf->codes[40478] = 0x00032a8a1b99ff6bUL;
   tf->codes[40479] = 0x00035794ada20df3UL;
   tf->codes[40480] = 0x0003658c3063557eUL;
   tf->codes[40481] = 0x00039567c3626d96UL;
   tf->codes[40482] = 0x0003f876dff6f35cUL;
   tf->codes[40483] = 0x0004f2725d402594UL;
   tf->codes[40484] = 0x0004fa5f54c20d52UL;
   tf->codes[40485] = 0x00053de51f392542UL;
   tf->codes[40486] = 0x00056fd745dbe8bfUL;
   tf->codes[40487] = 0x0005acf655ed8bc3UL;
   tf->codes[40488] = 0x00063b9b9f016f45UL;
   tf->codes[40489] = 0x00064962dde0f571UL;
   tf->codes[40490] = 0x0006670b2315fdf4UL;
   tf->codes[40491] = 0x00069ba6b808e4e0UL;
   tf->codes[40492] = 0x0006bbac3f838f91UL;
   tf->codes[40493] = 0x0006d3cd0b992238UL;
   tf->codes[40494] = 0x00070c53ac5ddc89UL;
   tf->codes[40495] = 0x000721173f0394e7UL;
   tf->codes[40496] = 0x00072951875b1abfUL;
   tf->codes[40497] = 0x0007576d38741219UL;
   tf->codes[40498] = 0x00075dee068a18bfUL;
   tf->codes[40499] = 0x00076445e29f16a6UL;
   tf->codes[40500] = 0x0007a2798022f907UL;
   tf->codes[40501] = 0x0007d80edf2a7c47UL;
   tf->codes[40502] = 0x0008ad567009f13bUL;
   tf->codes[40503] = 0x0008b333b0aadaaaUL;
   tf->codes[40504] = 0x00093ebf008f8421UL;
   tf->codes[40505] = 0x00098e2963149487UL;
   tf->codes[40506] = 0x00099464a753c13dUL;
   tf->codes[40507] = 0x0009a436cf58cc8fUL;
   tf->codes[40508] = 0x0009b4eedad77e42UL;
   tf->codes[40509] = 0x0009f53cef7e6e1dUL;
   tf->codes[40510] = 0x000a0564a475e73dUL;
   tf->codes[40511] = 0x000a065bea65441aUL;
   tf->codes[40512] = 0x000a2585646c4081UL;
   tf->codes[40513] = 0x000ae3f37eaf6301UL;
   tf->codes[40514] = 0x000b2438a78c71d9UL;
   tf->codes[40515] = 0x000b36a893637a5bUL;
   tf->codes[40516] = 0x000b811989ba13c6UL;
   tf->codes[40517] = 0x000bb9790cf5f380UL;
   tf->codes[40518] = 0x000bee77e860a266UL;
   tf->codes[40519] = 0x000c1cab6393f1c8UL;
   tf->codes[40520] = 0x000c3e2c2d59fa5bUL;
   tf->codes[40521] = 0x000c56402a2649eaUL;
   tf->codes[40522] = 0x000c7e19ba3d6778UL;
   tf->codes[40523] = 0x000ca42e6023e55aUL;
   tf->codes[40524] = 0x000cf3faa9c69b1cUL;
   tf->codes[40525] = 0x000d076eaad64393UL;
   tf->codes[40526] = 0x000d415d1c69715dUL;
   tf->codes[40527] = 0x000ea41e4e7d43bdUL;
   tf->codes[40528] = 0x000eae684db5c7e4UL;
   tf->codes[40529] = 0x000eaf47546cc12fUL;
   tf->codes[40530] = 0x000ed49c84b561f8UL;
   tf->codes[40531] = 0x000ed5f5ec5169f6UL;
   tf->codes[40532] = 0x000f07fe7db462ddUL;
   tf->codes[40533] = 0x000f11f5aeaebe72UL;
   tf->codes[40534] = 0x000f59049dda046bUL;
   tf->codes[40535] = 0x000fa26524ccc653UL;
   tf->codes[40536] = 0x000fb74a9221d495UL;
   tf->codes[40537] = 0x000fbd479e6adffbUL;
   tf->codes[40538] = 0x00004c641491816aUL;
   tf->codes[40539] = 0x000059eb0c73b259UL;
   tf->codes[40540] = 0x00006379798dbb7cUL;
   tf->codes[40541] = 0x0000682f6aec8c74UL;
   tf->codes[40542] = 0x0000705ce3facf34UL;
   tf->codes[40543] = 0x0000fa3c732353a5UL;
   tf->codes[40544] = 0x0000fcd778410b99UL;
   tf->codes[40545] = 0x000197dfd8565e1eUL;
   tf->codes[40546] = 0x0001a90dec1cb0e5UL;
   tf->codes[40547] = 0x0001f38216459b16UL;
   tf->codes[40548] = 0x00020069643210e3UL;
   tf->codes[40549] = 0x00026187ab51a33dUL;
   tf->codes[40550] = 0x0002cfd33f5290deUL;
   tf->codes[40551] = 0x0002e923d1561175UL;
   tf->codes[40552] = 0x000344ea6e19e3c8UL;
   tf->codes[40553] = 0x0003806bec12c77cUL;
   tf->codes[40554] = 0x00039b6ac2f7ac90UL;
   tf->codes[40555] = 0x0003d5860a0b452eUL;
   tf->codes[40556] = 0x0004a8ac4704ff92UL;
   tf->codes[40557] = 0x0004c0db41bdf7efUL;
   tf->codes[40558] = 0x000578a519529582UL;
   tf->codes[40559] = 0x0005e39a1617502bUL;
   tf->codes[40560] = 0x0006a2ace29aacbbUL;
   tf->codes[40561] = 0x0006a5bc90a5e325UL;
   tf->codes[40562] = 0x0006cf5936757237UL;
   tf->codes[40563] = 0x0006d6929d66a8e0UL;
   tf->codes[40564] = 0x0006e6f6b5dc1528UL;
   tf->codes[40565] = 0x0006f544001ed046UL;
   tf->codes[40566] = 0x0007082b8e26a23fUL;
   tf->codes[40567] = 0x000791fd63c9cc84UL;
   tf->codes[40568] = 0x0007d375c0f61fd7UL;
   tf->codes[40569] = 0x00083347aa51f310UL;
   tf->codes[40570] = 0x00084b1707837fc3UL;
   tf->codes[40571] = 0x00084c45e335569fUL;
   tf->codes[40572] = 0x0008671cb2554a08UL;
   tf->codes[40573] = 0x0008d3c7f589331dUL;
   tf->codes[40574] = 0x000900b3e0b43c87UL;
   tf->codes[40575] = 0x00094ced2f9ccc29UL;
   tf->codes[40576] = 0x000967fda3866d7eUL;
   tf->codes[40577] = 0x00098eb8d0255398UL;
   tf->codes[40578] = 0x0009cb975eaa9b9aUL;
   tf->codes[40579] = 0x0009e1686770e07aUL;
   tf->codes[40580] = 0x000a0c0ccb696bd1UL;
   tf->codes[40581] = 0x000a3f95a7624188UL;
   tf->codes[40582] = 0x000a65f46a4c0cbeUL;
   tf->codes[40583] = 0x000a88075f117c0cUL;
   tf->codes[40584] = 0x000a9411403020f1UL;
   tf->codes[40585] = 0x000a9b44b49ac198UL;
   tf->codes[40586] = 0x000a9cb068e89726UL;
   tf->codes[40587] = 0x000af0b3afd89bc9UL;
   tf->codes[40588] = 0x000b61e4a0899477UL;
   tf->codes[40589] = 0x000b9916a76dbff3UL;
   tf->codes[40590] = 0x000bbb846bff21c2UL;
   tf->codes[40591] = 0x000c1d2f9b449624UL;
   tf->codes[40592] = 0x000cc22fa1724fc8UL;
   tf->codes[40593] = 0x000ccada74a8ec3cUL;
   tf->codes[40594] = 0x000ce69eee414a30UL;
   tf->codes[40595] = 0x000d099eddd212baUL;
   tf->codes[40596] = 0x000d7c55d1107875UL;
   tf->codes[40597] = 0x000d87978b566503UL;
   tf->codes[40598] = 0x000e9bc0cce1e2f5UL;
   tf->codes[40599] = 0x000ea1f1c5fd0c0aUL;
   tf->codes[40600] = 0x000eb4404c42ca32UL;
   tf->codes[40601] = 0x000ed7ae07fe641cUL;
   tf->codes[40602] = 0x000f1511b7aac9fcUL;
   tf->codes[40603] = 0x000f2c27cc54155dUL;
   tf->codes[40604] = 0x000f3f8d29a24c94UL;
   tf->codes[40605] = 0x000f7859543de0d5UL;
   tf->codes[40606] = 0x000f96aec25ef8e1UL;
   tf->codes[40607] = 0x000fab5806c519c0UL;
   tf->codes[40608] = 0x000fcc02407ffe81UL;
   tf->codes[40609] = 0x000001da301b10b0UL;
   tf->codes[40610] = 0x000009bf9b2d3a09UL;
   tf->codes[40611] = 0x000036897119e7caUL;
   tf->codes[40612] = 0x0000afddca44255cUL;
   tf->codes[40613] = 0x0000bba6ef47697aUL;
   tf->codes[40614] = 0x000132bce7980fc1UL;
   tf->codes[40615] = 0x00013ea4b37858fdUL;
   tf->codes[40616] = 0x00014ec884f07008UL;
   tf->codes[40617] = 0x000175f1432b21bdUL;
   tf->codes[40618] = 0x00018c03080cc764UL;
   tf->codes[40619] = 0x0001da577dc575cfUL;
   tf->codes[40620] = 0x0001f66614612117UL;
   tf->codes[40621] = 0x0001fbac5c472aa2UL;
   tf->codes[40622] = 0x0002517836582b41UL;
   tf->codes[40623] = 0x000287ac1a8a4ccaUL;
   tf->codes[40624] = 0x0002b32992b33b6aUL;
   tf->codes[40625] = 0x0002f3becb1a2d98UL;
   tf->codes[40626] = 0x0002f59308b94fd3UL;
   tf->codes[40627] = 0x00032793d31d8490UL;
   tf->codes[40628] = 0x0003ef1ee55f8283UL;
   tf->codes[40629] = 0x00047a26ae06367fUL;
   tf->codes[40630] = 0x0004ab7b7449788cUL;
   tf->codes[40631] = 0x0004f0a0a5517df4UL;
   tf->codes[40632] = 0x0004f681c971c978UL;
   tf->codes[40633] = 0x00050edcaf6f1595UL;
   tf->codes[40634] = 0x000515139b10d4acUL;
   tf->codes[40635] = 0x0005306789ca1c04UL;
   tf->codes[40636] = 0x000548f413034c1eUL;
   tf->codes[40637] = 0x00059a432b611e27UL;
   tf->codes[40638] = 0x00059d45cf940bb4UL;
   tf->codes[40639] = 0x00060d4092b274e6UL;
   tf->codes[40640] = 0x000649f2fb646363UL;
   tf->codes[40641] = 0x00064f6f0494b8c5UL;
   tf->codes[40642] = 0x000653b13742225bUL;
   tf->codes[40643] = 0x000697de72adb997UL;
   tf->codes[40644] = 0x0006d1ec755a0393UL;
   tf->codes[40645] = 0x0006e6b9de05b408UL;
   tf->codes[40646] = 0x00071d90da8ee73eUL;
   tf->codes[40647] = 0x0007f4274d575acaUL;
   tf->codes[40648] = 0x00086af8e09c43faUL;
   tf->codes[40649] = 0x0008a0ce86a11c77UL;
   tf->codes[40650] = 0x0008c3ff69c0b7afUL;
   tf->codes[40651] = 0x0008c4ba11a31b9fUL;
   tf->codes[40652] = 0x0008cb04e3dfd0a9UL;
   tf->codes[40653] = 0x0008cd8fe5e1f4bfUL;
   tf->codes[40654] = 0x0009525eb3dfb5b7UL;
   tf->codes[40655] = 0x0009cdd9693a2cc7UL;
   tf->codes[40656] = 0x000aa1c4241c4332UL;
   tf->codes[40657] = 0x000ace78b413d862UL;
   tf->codes[40658] = 0x000b161a7deb9665UL;
   tf->codes[40659] = 0x000b79e392b56eccUL;
   tf->codes[40660] = 0x000ba9ff6cb1dc21UL;
   tf->codes[40661] = 0x000bb08c1fd50ecbUL;
   tf->codes[40662] = 0x000c72d83c11bbd3UL;
   tf->codes[40663] = 0x000ca823b8a4f784UL;
   tf->codes[40664] = 0x000cb1ec0517b458UL;
   tf->codes[40665] = 0x000cb65bf7819fd6UL;
   tf->codes[40666] = 0x000cfb8546980d18UL;
   tf->codes[40667] = 0x000d16c25573137cUL;
   tf->codes[40668] = 0x000d215671aee4f7UL;
   tf->codes[40669] = 0x000d313e54c71464UL;
   tf->codes[40670] = 0x000d42b81f79dce2UL;
   tf->codes[40671] = 0x000d725a82cd5298UL;
   tf->codes[40672] = 0x000d74feae43f154UL;
   tf->codes[40673] = 0x000d7a79581a2418UL;
   tf->codes[40674] = 0x000d986f28b3d07aUL;
   tf->codes[40675] = 0x000df7e67cd2b6f7UL;
   tf->codes[40676] = 0x000e018aa4ffe435UL;
   tf->codes[40677] = 0x000e442ac68c5b89UL;
   tf->codes[40678] = 0x000e50049e5844d4UL;
   tf->codes[40679] = 0x000e99daf303a20bUL;
   tf->codes[40680] = 0x000ea7380ea8b327UL;
   tf->codes[40681] = 0x000eb0cd1df6639bUL;
   tf->codes[40682] = 0x000ebe35e4199af6UL;
   tf->codes[40683] = 0x000ec8dd71d256daUL;
   tf->codes[40684] = 0x000edb0b07a4d632UL;
   tf->codes[40685] = 0x000f029119d0b9dfUL;
   tf->codes[40686] = 0x000f04d398b8b904UL;
   tf->codes[40687] = 0x000fae88a6092c8cUL;
   tf->codes[40688] = 0x00001aa9101e6786UL;
   tf->codes[40689] = 0x00004665aa798e8aUL;
   tf->codes[40690] = 0x0000857e413b0038UL;
   tf->codes[40691] = 0x0000ddb3080fc944UL;
   tf->codes[40692] = 0x0000f4c91cb914a5UL;
   tf->codes[40693] = 0x0000f596866b51afUL;
   tf->codes[40694] = 0x000126a3b3d085dfUL;
   tf->codes[40695] = 0x0001300ee6e11680UL;
   tf->codes[40696] = 0x000138f9c686026cUL;
   tf->codes[40697] = 0x00013cf510026f74UL;
   tf->codes[40698] = 0x00013eb4423b7ee3UL;
   tf->codes[40699] = 0x0001e4584afc6148UL;
   tf->codes[40700] = 0x0001e86de2b865cfUL;
   tf->codes[40701] = 0x0002018f55a541e0UL;
   tf->codes[40702] = 0x000231661ae8e0cfUL;
   tf->codes[40703] = 0x00024421f83b64cdUL;
   tf->codes[40704] = 0x00026582bbca45a4UL;
   tf->codes[40705] = 0x0002b97047a7262cUL;
   tf->codes[40706] = 0x0002c49e1b521cc7UL;
   tf->codes[40707] = 0x00030c64f3ab8174UL;
   tf->codes[40708] = 0x000355cea0f72a24UL;
   tf->codes[40709] = 0x00035e307bf5961dUL;
   tf->codes[40710] = 0x0003f362030ea0bfUL;
   tf->codes[40711] = 0x0003f9aa8bb51c17UL;
   tf->codes[40712] = 0x0004f7acfcf8e196UL;
   tf->codes[40713] = 0x00055be0aa1b3a97UL;
   tf->codes[40714] = 0x0005619ff38c3037UL;
   tf->codes[40715] = 0x0005e3a7217ad42cUL;
   tf->codes[40716] = 0x00061a8869280b03UL;
   tf->codes[40717] = 0x00062f8da2253b3cUL;
   tf->codes[40718] = 0x00065b16c4cc501bUL;
   tf->codes[40719] = 0x00066c9bc4df334eUL;
   tf->codes[40720] = 0x0006dbc65f971a3aUL;
   tf->codes[40721] = 0x0006e1e9d9bbeee8UL;
   tf->codes[40722] = 0x0006f72ac68a00faUL;
   tf->codes[40723] = 0x000706b6ef9a26d2UL;
   tf->codes[40724] = 0x00072f40dc6fa4afUL;
   tf->codes[40725] = 0x00075541269d2114UL;
   tf->codes[40726] = 0x000783d613d00a48UL;
   tf->codes[40727] = 0x0007af03b6fe1b57UL;
   tf->codes[40728] = 0x000882d164ec5507UL;
   tf->codes[40729] = 0x000895978d62dca6UL;
   tf->codes[40730] = 0x0008a71e9c7cf3c6UL;
   tf->codes[40731] = 0x0008f0fcb8271527UL;
   tf->codes[40732] = 0x0009224d9aeaf51fUL;
   tf->codes[40733] = 0x000974bcb0aa26ffUL;
   tf->codes[40734] = 0x0009dd01625c1123UL;
   tf->codes[40735] = 0x0009fbb07b7dfed7UL;
   tf->codes[40736] = 0x000a4e95d413d790UL;
   tf->codes[40737] = 0x000a7dda33c909ffUL;
   tf->codes[40738] = 0x000a99ce41961803UL;
   tf->codes[40739] = 0x000ab3e2a1d4e352UL;
   tf->codes[40740] = 0x000adecdeefe6b37UL;
   tf->codes[40741] = 0x000b02445bf4e05fUL;
   tf->codes[40742] = 0x000b25715b951982UL;
   tf->codes[40743] = 0x000b2c2ddd7c0201UL;
   tf->codes[40744] = 0x000b6310bf12613bUL;
   tf->codes[40745] = 0x000b8d17fd3a70e7UL;
   tf->codes[40746] = 0x000c121a42ec4404UL;
   tf->codes[40747] = 0x000c57fe39e51536UL;
   tf->codes[40748] = 0x000cadf75e948c33UL;
   tf->codes[40749] = 0x000cb2d766bf82c3UL;
   tf->codes[40750] = 0x000ceba6500f5c40UL;
   tf->codes[40751] = 0x000d2dddadbb8122UL;
   tf->codes[40752] = 0x000d300b965b7905UL;
   tf->codes[40753] = 0x000d318ba6625010UL;
   tf->codes[40754] = 0x000d5e6d0bda5014UL;
   tf->codes[40755] = 0x000d628ec3328664UL;
   tf->codes[40756] = 0x000d6fd27ad41715UL;
   tf->codes[40757] = 0x000d76f870486355UL;
   tf->codes[40758] = 0x000dbbffe4af7ab3UL;
   tf->codes[40759] = 0x000de41687f19cb8UL;
   tf->codes[40760] = 0x000e18e6b963b2a2UL;
   tf->codes[40761] = 0x000e239b8b83bd28UL;
   tf->codes[40762] = 0x000eb9f30284bda3UL;
   tf->codes[40763] = 0x000edd0c56190698UL;
   tf->codes[40764] = 0x000f0a78cf3eba7cUL;
   tf->codes[40765] = 0x000f7d94dd6d1659UL;
   tf->codes[40766] = 0x000fdec277fb2b42UL;
   tf->codes[40767] = 0x00002cff98b78d2fUL;
   tf->codes[40768] = 0x000039ce6cdc99a5UL;
   tf->codes[40769] = 0x00009efc59319a84UL;
   tf->codes[40770] = 0x0000a535c8f89912UL;
   tf->codes[40771] = 0x00013843b295af72UL;
   tf->codes[40772] = 0x0001bf774f48d0fdUL;
   tf->codes[40773] = 0x0001bf7c922255b0UL;
   tf->codes[40774] = 0x0001f515d4a93b05UL;
   tf->codes[40775] = 0x00020a0d8eb016d7UL;
   tf->codes[40776] = 0x00022ca828c1e37aUL;
   tf->codes[40777] = 0x000247e2b377aa67UL;
   tf->codes[40778] = 0x00024998f9e6d8d3UL;
   tf->codes[40779] = 0x000249c310b2fe6bUL;
   tf->codes[40780] = 0x00031507166ce03cUL;
   tf->codes[40781] = 0x000335eba49e8438UL;
   tf->codes[40782] = 0x0003e0c5f229dc4aUL;
   tf->codes[40783] = 0x00054c160f4b8b3cUL;
   tf->codes[40784] = 0x00054eb482ca99bbUL;
   tf->codes[40785] = 0x0005b19ecb6c7e9cUL;
   tf->codes[40786] = 0x00061d879fbf3f97UL;
   tf->codes[40787] = 0x0006a2e85e2d6185UL;
   tf->codes[40788] = 0x0006db3385b03fc2UL;
   tf->codes[40789] = 0x000707c1a7cc0baaUL;
   tf->codes[40790] = 0x000716f0b77a054fUL;
   tf->codes[40791] = 0x0007331c95989317UL;
   tf->codes[40792] = 0x000777c17334f3caUL;
   tf->codes[40793] = 0x0007db05dbf5b9ddUL;
   tf->codes[40794] = 0x000805ac4ef57921UL;
   tf->codes[40795] = 0x00081f78a1382b09UL;
   tf->codes[40796] = 0x00084477cf70527aUL;
   tf->codes[40797] = 0x0009530417583c3aUL;
   tf->codes[40798] = 0x00096ecb4fa4df6aUL;
   tf->codes[40799] = 0x0009ad11e987a0aaUL;
   tf->codes[40800] = 0x0009e41078b7ba01UL;
   tf->codes[40801] = 0x0009f7e0a8ed7797UL;
   tf->codes[40802] = 0x000a00663313679cUL;
   tf->codes[40803] = 0x000a6eaa00159113UL;
   tf->codes[40804] = 0x000a90630f4b24f4UL;
   tf->codes[40805] = 0x000ad238faf7b004UL;
   tf->codes[40806] = 0x000ad851b4da7587UL;
   tf->codes[40807] = 0x000af398d44a79c7UL;
   tf->codes[40808] = 0x000b457b01e3c99fUL;
   tf->codes[40809] = 0x000b7f95d3d956b3UL;
   tf->codes[40810] = 0x000ba9849839fd08UL;
   tf->codes[40811] = 0x000c19d8cbca361dUL;
   tf->codes[40812] = 0x000c2a9654b17248UL;
   tf->codes[40813] = 0x000c2bb9c07428aaUL;
   tf->codes[40814] = 0x000c3959a73bce7aUL;
   tf->codes[40815] = 0x000cfbc81345dcf0UL;
   tf->codes[40816] = 0x000d12d660f06427UL;
   tf->codes[40817] = 0x000d992b6c0a97f1UL;
   tf->codes[40818] = 0x000e205532b7c165UL;
   tf->codes[40819] = 0x000e621a6b9ba748UL;
   tf->codes[40820] = 0x000e862b7a3d58a4UL;
   tf->codes[40821] = 0x000eca5790ddd307UL;
   tf->codes[40822] = 0x000f808ed12ac63aUL;
   tf->codes[40823] = 0x000f90f02aebed46UL;
   tf->codes[40824] = 0x000fb97ac76e7c72UL;
   tf->codes[40825] = 0x000fbec09a367a73UL;
   tf->codes[40826] = 0x000fc352674fbbd5UL;
   tf->codes[40827] = 0x000094139b050fe1UL;
   tf->codes[40828] = 0x0000ab17d81a993cUL;
   tf->codes[40829] = 0x0000ec44093c6b4eUL;
   tf->codes[40830] = 0x000116551d6a7311UL;
   tf->codes[40831] = 0x0001f1e1c88f0cd2UL;
   tf->codes[40832] = 0x0002478f36520e18UL;
   tf->codes[40833] = 0x0002a4938d182e4cUL;
   tf->codes[40834] = 0x0002bd5945fd00c8UL;
   tf->codes[40835] = 0x000357f4feb29ec6UL;
   tf->codes[40836] = 0x0003865514d75337UL;
   tf->codes[40837] = 0x0003dd8acebdfb3cUL;
   tf->codes[40838] = 0x00047528b0fc24d6UL;
   tf->codes[40839] = 0x0004b99f1f2ef252UL;
   tf->codes[40840] = 0x0004e6ad94b662efUL;
   tf->codes[40841] = 0x00051021f831fa91UL;
   tf->codes[40842] = 0x00053db76358b734UL;
   tf->codes[40843] = 0x0005fb36393a46c6UL;
   tf->codes[40844] = 0x000678ad6e87d781UL;
   tf->codes[40845] = 0x0006cd14e62bbb32UL;
   tf->codes[40846] = 0x0006de8acd5f219bUL;
   tf->codes[40847] = 0x0006e35604b30b24UL;
   tf->codes[40848] = 0x0006f99f5f572acaUL;
   tf->codes[40849] = 0x0007441e49c22426UL;
   tf->codes[40850] = 0x0007670b77831396UL;
   tf->codes[40851] = 0x0007cbae159b5ad0UL;
   tf->codes[40852] = 0x0008340429c2fb70UL;
   tf->codes[40853] = 0x0008e83b069d72e3UL;
   tf->codes[40854] = 0x0008fd20e9108cafUL;
   tf->codes[40855] = 0x00093b3ff04c67ceUL;
   tf->codes[40856] = 0x0009a59df4564293UL;
   tf->codes[40857] = 0x0009c01859c11b18UL;
   tf->codes[40858] = 0x0009d4af51756e67UL;
   tf->codes[40859] = 0x000a30ad83fbbab9UL;
   tf->codes[40860] = 0x000a4bfc6a6a8323UL;
   tf->codes[40861] = 0x000a5688bfa79074UL;
   tf->codes[40862] = 0x000a5e339bb3f4cdUL;
   tf->codes[40863] = 0x000a67c9cfccc21aUL;
   tf->codes[40864] = 0x000a71c7a2fac500UL;
   tf->codes[40865] = 0x000a8a3ee63edc89UL;
   tf->codes[40866] = 0x000aa35adbc32e22UL;
   tf->codes[40867] = 0x000aa904df3f0b31UL;
   tf->codes[40868] = 0x000ab62c7428d63bUL;
   tf->codes[40869] = 0x000ad99b8f3e92c3UL;
   tf->codes[40870] = 0x000b8e3a0b2e3fcfUL;
   tf->codes[40871] = 0x000c04b85b16f4e3UL;
   tf->codes[40872] = 0x000c32b68a1e03f8UL;
   tf->codes[40873] = 0x000c6e69e5e1d16eUL;
   tf->codes[40874] = 0x000dc48326ca6c2aUL;
   tf->codes[40875] = 0x000df7778e2da174UL;
   tf->codes[40876] = 0x000e1993a94bf78aUL;
   tf->codes[40877] = 0x000e290424c26345UL;
   tf->codes[40878] = 0x000e41ec2d74972fUL;
   tf->codes[40879] = 0x000e4eb758a94755UL;
   tf->codes[40880] = 0x000e8a01f08cc259UL;
   tf->codes[40881] = 0x000ea157d715576dUL;
   tf->codes[40882] = 0x000eba6bcb0bdf17UL;
   tf->codes[40883] = 0x000edb0726764cd3UL;
   tf->codes[40884] = 0x000f0bc7b2b2f438UL;
   tf->codes[40885] = 0x000f24016dadfbc0UL;
   tf->codes[40886] = 0x000f3e1a268a34aeUL;
   tf->codes[40887] = 0x000f831db771e9f7UL;
   tf->codes[40888] = 0x000fa381428ad7efUL;
   tf->codes[40889] = 0x000fe32efd8efb59UL;
   tf->codes[40890] = 0x00000e28ee79f47eUL;
   tf->codes[40891] = 0x000062e284aeef72UL;
   tf->codes[40892] = 0x0000830971bae47dUL;
   tf->codes[40893] = 0x0000a118e0e7170fUL;
   tf->codes[40894] = 0x000140d29f2ec728UL;
   tf->codes[40895] = 0x0001a5dca1cd3e36UL;
   tf->codes[40896] = 0x0001ac5f09cc6d3fUL;
   tf->codes[40897] = 0x0001f47db8ae796cUL;
   tf->codes[40898] = 0x000224418193397cUL;
   tf->codes[40899] = 0x00023dfe45d86310UL;
   tf->codes[40900] = 0x00024169735c9d4aUL;
   tf->codes[40901] = 0x0002a66c241a5bb8UL;
   tf->codes[40902] = 0x0002b9580abf9b50UL;
   tf->codes[40903] = 0x0002fc06957e7e1fUL;
   tf->codes[40904] = 0x0003337cc6df60edUL;
   tf->codes[40905] = 0x0003598a1ae5262fUL;
   tf->codes[40906] = 0x00040c28a8806305UL;
   tf->codes[40907] = 0x0004222cb3dcae80UL;
   tf->codes[40908] = 0x0004cf78d9f5b002UL;
   tf->codes[40909] = 0x0004e0f05b123eceUL;
   tf->codes[40910] = 0x0005384e1cbdd87eUL;
   tf->codes[40911] = 0x00054a7fd09ebfb0UL;
   tf->codes[40912] = 0x000565771b13e65fUL;
   tf->codes[40913] = 0x000597cf46e2b712UL;
   tf->codes[40914] = 0x000685ce9c929e91UL;
   tf->codes[40915] = 0x0006fe04ccd3aa74UL;
   tf->codes[40916] = 0x00071d72e67569b7UL;
   tf->codes[40917] = 0x0007472f57ed1ac0UL;
   tf->codes[40918] = 0x0007921d334e0255UL;
   tf->codes[40919] = 0x0007fcd2d3517ed5UL;
   tf->codes[40920] = 0x000827909b4d8a97UL;
   tf->codes[40921] = 0x0008454206db79e2UL;
   tf->codes[40922] = 0x00085eaa62f95281UL;
   tf->codes[40923] = 0x000888c169adf046UL;
   tf->codes[40924] = 0x0008a615f668b923UL;
   tf->codes[40925] = 0x0008e370ba4b3e00UL;
   tf->codes[40926] = 0x000906f0130b942bUL;
   tf->codes[40927] = 0x00098519798fb35dUL;
   tf->codes[40928] = 0x000a2255051e8278UL;
   tf->codes[40929] = 0x000a83c1c1decfc5UL;
   tf->codes[40930] = 0x000aeb644575bf50UL;
   tf->codes[40931] = 0x000b1f1ec4aa7904UL;
   tf->codes[40932] = 0x000b6c0e62d7fef7UL;
   tf->codes[40933] = 0x000bb7653ca83ec3UL;
   tf->codes[40934] = 0x000cdc547dc6ce59UL;
   tf->codes[40935] = 0x000d5e749a9ae72fUL;
   tf->codes[40936] = 0x000d815c4af34c27UL;
   tf->codes[40937] = 0x000dbb040de48328UL;
   tf->codes[40938] = 0x000e29e27c91e8d3UL;
   tf->codes[40939] = 0x000e99d8e712e466UL;
   tf->codes[40940] = 0x000f6bd21cd2f616UL;
   tf->codes[40941] = 0x000fd745236d1bc2UL;
   tf->codes[40942] = 0x000003d17110b982UL;
   tf->codes[40943] = 0x00001a1f245246c7UL;
   tf->codes[40944] = 0x00001b73f8c1db61UL;
   tf->codes[40945] = 0x00003d274fffdf05UL;
   tf->codes[40946] = 0x0000479c50409fd8UL;
   tf->codes[40947] = 0x00006b516a4b41daUL;
   tf->codes[40948] = 0x0000810899effac5UL;
   tf->codes[40949] = 0x0000d3f076ab12f5UL;
   tf->codes[40950] = 0x000149c8ef887120UL;
   tf->codes[40951] = 0x00017c63715bcafdUL;
   tf->codes[40952] = 0x0001a986080d3752UL;
   tf->codes[40953] = 0x0001ad0a5f05ec32UL;
   tf->codes[40954] = 0x0001fdc74c645780UL;
   tf->codes[40955] = 0x0002387daa4137dcUL;
   tf->codes[40956] = 0x000260fc61b69b04UL;
   tf->codes[40957] = 0x0002c90f702ca12bUL;
   tf->codes[40958] = 0x0002dce25f16a3fdUL;
   tf->codes[40959] = 0x0003b6c93c05aebaUL;
   tf->codes[40960] = 0x000472df916bb984UL;
   tf->codes[40961] = 0x0004f680a882c079UL;
   tf->codes[40962] = 0x0005b4921e81c250UL;
   tf->codes[40963] = 0x00062593f01c1678UL;
   tf->codes[40964] = 0x0006c4f43df1f6aeUL;
   tf->codes[40965] = 0x0006c8e7c06f9f8cUL;
   tf->codes[40966] = 0x0006dd2dbe5df871UL;
   tf->codes[40967] = 0x00077c0875eeaf3fUL;
   tf->codes[40968] = 0x0007a665067a26f4UL;
   tf->codes[40969] = 0x0007f54e2b577b91UL;
   tf->codes[40970] = 0x00084b68b5983ce8UL;
   tf->codes[40971] = 0x0008602ae8e3d2a8UL;
   tf->codes[40972] = 0x0008a37365a0e05cUL;
   tf->codes[40973] = 0x0008c617d5b8a516UL;
   tf->codes[40974] = 0x0008f45d287fb67eUL;
   tf->codes[40975] = 0x00091d3d51f4b378UL;
   tf->codes[40976] = 0x00097972300162b5UL;
   tf->codes[40977] = 0x0009b75dfa183174UL;
   tf->codes[40978] = 0x000a873984e2e4e4UL;
   tf->codes[40979] = 0x000c04e447e683c7UL;
   tf->codes[40980] = 0x000c1f658a140962UL;
   tf->codes[40981] = 0x000c58f07aa0696dUL;
   tf->codes[40982] = 0x000c845ed9e9db43UL;
   tf->codes[40983] = 0x000ca6c5120b7eadUL;
   tf->codes[40984] = 0x000d565a594026a5UL;
   tf->codes[40985] = 0x000d72bc6dc70bceUL;
   tf->codes[40986] = 0x000d82ed0e8865f1UL;
   tf->codes[40987] = 0x000d898272e673d9UL;
   tf->codes[40988] = 0x000d92bf368d7143UL;
   tf->codes[40989] = 0x000dae12007b9bc2UL;
   tf->codes[40990] = 0x000e1f06531f9b83UL;
   tf->codes[40991] = 0x000e41394e1c328dUL;
   tf->codes[40992] = 0x000eadc3db6be297UL;
   tf->codes[40993] = 0x000ec1e15c773e47UL;
   tf->codes[40994] = 0x000ee1b8af175b86UL;
   tf->codes[40995] = 0x000f13eae2286e7bUL;
   tf->codes[40996] = 0x000f84174882bbaaUL;
   tf->codes[40997] = 0x000fc2d71e7f6ec4UL;
   tf->codes[40998] = 0x00002ff98ec615c6UL;
   tf->codes[40999] = 0x000057b6c19667e8UL;
   tf->codes[41000] = 0x000096d9de0ae2fcUL;
   tf->codes[41001] = 0x0000ae8a59d064ccUL;
   tf->codes[41002] = 0x0000f51c9e806260UL;
   tf->codes[41003] = 0x00010154b47994b7UL;
   tf->codes[41004] = 0x00012c483dbfec50UL;
   tf->codes[41005] = 0x00019195809f039cUL;
   tf->codes[41006] = 0x0001c6b25339a651UL;
   tf->codes[41007] = 0x0001e27d3476a5d1UL;
   tf->codes[41008] = 0x0002036cf8086482UL;
   tf->codes[41009] = 0x00020c14976cb030UL;
   tf->codes[41010] = 0x00021728cc85209bUL;
   tf->codes[41011] = 0x00023c7f96b6e9c7UL;
   tf->codes[41012] = 0x00025bfdb3743ce8UL;
   tf->codes[41013] = 0x00029b30d3044bdaUL;
   tf->codes[41014] = 0x0002a5d7eb9efc34UL;
   tf->codes[41015] = 0x0002b2095f64873aUL;
   tf->codes[41016] = 0x0002ca6619da017fUL;
   tf->codes[41017] = 0x0003271bc07060fbUL;
   tf->codes[41018] = 0x000382b1dec36c2aUL;
   tf->codes[41019] = 0x0004b4723d9d41e8UL;
   tf->codes[41020] = 0x0004c2814fe9dbb6UL;
   tf->codes[41021] = 0x0004fa5007807753UL;
   tf->codes[41022] = 0x0005335cee376c5bUL;
   tf->codes[41023] = 0x0005a0ec05ddc7e4UL;
   tf->codes[41024] = 0x0005aac69f025248UL;
   tf->codes[41025] = 0x0005b1e7170e1410UL;
   tf->codes[41026] = 0x0005dac1888b80cdUL;
   tf->codes[41027] = 0x0005e348377c8dabUL;
   tf->codes[41028] = 0x0006060471aeaa6dUL;
   tf->codes[41029] = 0x0006e7c12bb2562fUL;
   tf->codes[41030] = 0x0006f9d6bcdb77baUL;
   tf->codes[41031] = 0x0007417a95ba69aaUL;
   tf->codes[41032] = 0x0007e3402763b5fdUL;
   tf->codes[41033] = 0x00080e679d7c2b45UL;
   tf->codes[41034] = 0x00083de89b3e56a1UL;
   tf->codes[41035] = 0x0008a267ff4d2559UL;
   tf->codes[41036] = 0x0008a2c3f3e434b3UL;
   tf->codes[41037] = 0x0008fb3b85db9273UL;
   tf->codes[41038] = 0x00099aac115c0c4cUL;
   tf->codes[41039] = 0x0009dde4c58c8be7UL;
   tf->codes[41040] = 0x0009f4089c90f959UL;
   tf->codes[41041] = 0x0009fc44f3efb31eUL;
   tf->codes[41042] = 0x000a1c1bd171c4d3UL;
   tf->codes[41043] = 0x000b6395e41592f3UL;
   tf->codes[41044] = 0x000c21799a5812e2UL;
   tf->codes[41045] = 0x000c4934be213117UL;
   tf->codes[41046] = 0x000cab05e6246337UL;
   tf->codes[41047] = 0x000d1b3c5d13ae42UL;
   tf->codes[41048] = 0x000d4e8bced1dbd2UL;
   tf->codes[41049] = 0x000da42974084effUL;
   tf->codes[41050] = 0x000e43b48857661cUL;
   tf->codes[41051] = 0x000e5a22b6ee26a7UL;
   tf->codes[41052] = 0x000e73100279df44UL;
   tf->codes[41053] = 0x000eadf1d67d07d6UL;
   tf->codes[41054] = 0x000ffa2d84fdcd2dUL;
   tf->codes[41055] = 0x00007043c0b3411eUL;
   tf->codes[41056] = 0x000137581b008caeUL;
   tf->codes[41057] = 0x000191cb42aeed05UL;
   tf->codes[41058] = 0x0001dbdfcf506b8cUL;
   tf->codes[41059] = 0x00026c1da2328f70UL;
   tf->codes[41060] = 0x000291407f923aedUL;
   tf->codes[41061] = 0x0003158090f1ebb5UL;
   tf->codes[41062] = 0x0003757504aa2621UL;
   tf->codes[41063] = 0x00038ae6aa78051cUL;
   tf->codes[41064] = 0x00053479436e0d74UL;
   tf->codes[41065] = 0x00058268d8c5cb82UL;
   tf->codes[41066] = 0x0005f033decc0ea9UL;
   tf->codes[41067] = 0x00064114b5e103c8UL;
   tf->codes[41068] = 0x000682ba5dabcd79UL;
   tf->codes[41069] = 0x000687ce1819dbf3UL;
   tf->codes[41070] = 0x0006a33cca30c654UL;
   tf->codes[41071] = 0x000769aa6336a3e7UL;
   tf->codes[41072] = 0x00079aad0ae8ceb1UL;
   tf->codes[41073] = 0x0007ac507749b13dUL;
   tf->codes[41074] = 0x0007bf6eeb66ebe6UL;
   tf->codes[41075] = 0x0007f85cf0b1d60bUL;
   tf->codes[41076] = 0x000831f8ce95e108UL;
   tf->codes[41077] = 0x0008427ec1baa334UL;
   tf->codes[41078] = 0x0008f69d5f5cb715UL;
   tf->codes[41079] = 0x00091385f464dcbaUL;
   tf->codes[41080] = 0x0009532d0d3558d3UL;
   tf->codes[41081] = 0x000a0290b12e1cceUL;
   tf->codes[41082] = 0x000a1e68272559a1UL;
   tf->codes[41083] = 0x000a55b232b2e2eaUL;
   tf->codes[41084] = 0x000a8a5eef8c7a8dUL;
   tf->codes[41085] = 0x000ac2b5fc1c84ceUL;
   tf->codes[41086] = 0x000b15f240feedf3UL;
   tf->codes[41087] = 0x000b82f903abdad8UL;
   tf->codes[41088] = 0x000ba5798a0d15c1UL;
   tf->codes[41089] = 0x000bac0b457ac759UL;
   tf->codes[41090] = 0x000bc1d8dfdfb5aeUL;
   tf->codes[41091] = 0x000c0dc51881acfbUL;
   tf->codes[41092] = 0x000c1665a09445ceUL;
   tf->codes[41093] = 0x000c373bc5937e4fUL;
   tf->codes[41094] = 0x000c6b6744c55a29UL;
   tf->codes[41095] = 0x000c6c5f74f0ce1aUL;
   tf->codes[41096] = 0x000cc142acd3e31cUL;
   tf->codes[41097] = 0x000d558982b7ce34UL;
   tf->codes[41098] = 0x000d5b04a1ac0c82UL;
   tf->codes[41099] = 0x000d7617d449f313UL;
   tf->codes[41100] = 0x000e1ce6259038f0UL;
   tf->codes[41101] = 0x000e5ea914dde521UL;
   tf->codes[41102] = 0x000e83af1fd8b9a8UL;
   tf->codes[41103] = 0x000ec3ac7548b4deUL;
   tf->codes[41104] = 0x000f0ed9384ccf12UL;
   tf->codes[41105] = 0x000f660606699614UL;
   tf->codes[41106] = 0x000f7d36695278f4UL;
   tf->codes[41107] = 0x000fb3946450c015UL;
   tf->codes[41108] = 0x000fd989b3ad278aUL;
   tf->codes[41109] = 0x000fe4030c8b55fcUL;
   tf->codes[41110] = 0x0000910e7688f6b7UL;
   tf->codes[41111] = 0x00011631721f02dfUL;
   tf->codes[41112] = 0x00011f796b261afeUL;
   tf->codes[41113] = 0x00013266ebb482f9UL;
   tf->codes[41114] = 0x000187fb30030999UL;
   tf->codes[41115] = 0x0001be086bca5c15UL;
   tf->codes[41116] = 0x0001d296b243d426UL;
   tf->codes[41117] = 0x000229bca39dee12UL;
   tf->codes[41118] = 0x00022cc2068520dbUL;
   tf->codes[41119] = 0x00027e90fd308c0fUL;
   tf->codes[41120] = 0x0002a7b2ccfd00e4UL;
   tf->codes[41121] = 0x0003288910329a10UL;
   tf->codes[41122] = 0x00036ceecb9cc25fUL;
   tf->codes[41123] = 0x00046c7c8247799eUL;
   tf->codes[41124] = 0x0004dc61ff70ca3fUL;
   tf->codes[41125] = 0x0005f7724ecd61d2UL;
   tf->codes[41126] = 0x000610860834e3b7UL;
   tf->codes[41127] = 0x00063898c7f7a3a7UL;
   tf->codes[41128] = 0x0006cb80f366020eUL;
   tf->codes[41129] = 0x0006dc3605a168c0UL;
   tf->codes[41130] = 0x0006f389dd22c9e7UL;
   tf->codes[41131] = 0x0007219f26971fb5UL;
   tf->codes[41132] = 0x0008acac0d8a4ea2UL;
   tf->codes[41133] = 0x00094bc86b727d4bUL;
   tf->codes[41134] = 0x00095ae1c00d52d5UL;
   tf->codes[41135] = 0x0009a1ced48942eaUL;
   tf->codes[41136] = 0x0009c8ad3b31a186UL;
   tf->codes[41137] = 0x0009cc3b68304e7dUL;
   tf->codes[41138] = 0x0009fae2a2150541UL;
   tf->codes[41139] = 0x000a1e76cbac6873UL;
   tf->codes[41140] = 0x000a72799d7e618cUL;
   tf->codes[41141] = 0x000abe994dd46afeUL;
   tf->codes[41142] = 0x000bd64ead5761faUL;
   tf->codes[41143] = 0x000bf52817d47b0bUL;
   tf->codes[41144] = 0x000c7d165c6a0086UL;
   tf->codes[41145] = 0x000d0f21cab79f54UL;
   tf->codes[41146] = 0x000d1e29f76bc427UL;
   tf->codes[41147] = 0x000d4d2f34eebe32UL;
   tf->codes[41148] = 0x000d53d6ab6f93e5UL;
   tf->codes[41149] = 0x000d64830c701f59UL;
   tf->codes[41150] = 0x000da2b49aeccdcdUL;
   tf->codes[41151] = 0x000e1b1b499ea0d4UL;
   tf->codes[41152] = 0x000e9891cf3f2040UL;
   tf->codes[41153] = 0x000ea10a8a1bcd2dUL;
   tf->codes[41154] = 0x000ef20574e15406UL;
   tf->codes[41155] = 0x000f063a1059f66fUL;
   tf->codes[41156] = 0x000f144b31adc42aUL;
   tf->codes[41157] = 0x000f9fd6470367dcUL;
   tf->codes[41158] = 0x000fc868aa84bb32UL;
   tf->codes[41159] = 0x00003007852b4e6dUL;
   tf->codes[41160] = 0x00010c1d34f66821UL;
   tf->codes[41161] = 0x0001283ec7f0f248UL;
   tf->codes[41162] = 0x0001804a9cc4b295UL;
   tf->codes[41163] = 0x0001a0eb7597aac9UL;
   tf->codes[41164] = 0x00020497f28bb1ffUL;
   tf->codes[41165] = 0x0002389f12e8f87eUL;
   tf->codes[41166] = 0x00023916efa8c7baUL;
   tf->codes[41167] = 0x000284041b5c9e00UL;
   tf->codes[41168] = 0x0002a4f3a45f56ecUL;
   tf->codes[41169] = 0x000313635ca5d423UL;
   tf->codes[41170] = 0x0003f06432c418ebUL;
   tf->codes[41171] = 0x0004e9b92954e2ebUL;
   tf->codes[41172] = 0x0005af8edf63c986UL;
   tf->codes[41173] = 0x0005f4c4c334741bUL;
   tf->codes[41174] = 0x00061ef5687b9810UL;
   tf->codes[41175] = 0x0007a2ddb9549d5bUL;
   tf->codes[41176] = 0x0008dbddac354589UL;
   tf->codes[41177] = 0x00097f22291a4c0eUL;
   tf->codes[41178] = 0x00098bb6e3579f0eUL;
   tf->codes[41179] = 0x0009f85b8457e0d2UL;
   tf->codes[41180] = 0x000a5339b97ccd4dUL;
   tf->codes[41181] = 0x000ac3b50a95e0f9UL;
   tf->codes[41182] = 0x000b93d8ddebb395UL;
   tf->codes[41183] = 0x000be3651b2019dfUL;
   tf->codes[41184] = 0x000c51e5fb4d47cdUL;
   tf->codes[41185] = 0x000c5e9f4eee35edUL;
   tf->codes[41186] = 0x000cc02b9cc79f6cUL;
   tf->codes[41187] = 0x000cd6aaf34510aeUL;
   tf->codes[41188] = 0x000cea77b51977b9UL;
   tf->codes[41189] = 0x000d1de0504c1fefUL;
   tf->codes[41190] = 0x000d2f3d8329173cUL;
   tf->codes[41191] = 0x000d314ba020ed28UL;
   tf->codes[41192] = 0x000debd1e2648d09UL;
   tf->codes[41193] = 0x000e3746edf3c669UL;
   tf->codes[41194] = 0x000e6e5ea6985a66UL;
   tf->codes[41195] = 0x000ea6e99ffa8256UL;
   tf->codes[41196] = 0x000ee03ecf3c968aUL;
   tf->codes[41197] = 0x000f1f9d2a63e7edUL;
   tf->codes[41198] = 0x000fe477f193155bUL;
   tf->codes[41199] = 0x00005e8608639fc9UL;
   tf->codes[41200] = 0x0000bd7cce87dbccUL;
   tf->codes[41201] = 0x0001ac0a3128c22cUL;
   tf->codes[41202] = 0x0001d5fdc344e1aaUL;
   tf->codes[41203] = 0x0001e5454cba44a6UL;
   tf->codes[41204] = 0x0001e5f23b174e6aUL;
   tf->codes[41205] = 0x0002745359ae7a9aUL;
   tf->codes[41206] = 0x0002f0f22a78b95bUL;
   tf->codes[41207] = 0x00034c96b1fe3005UL;
   tf->codes[41208] = 0x0003c440e45570f4UL;
   tf->codes[41209] = 0x0003c6ba83e1de8eUL;
   tf->codes[41210] = 0x0003d8cfda7bfa54UL;
   tf->codes[41211] = 0x00042f703590ead8UL;
   tf->codes[41212] = 0x0005b063612d56fdUL;
   tf->codes[41213] = 0x00062f0678e97393UL;
   tf->codes[41214] = 0x00066c593b3e2e81UL;
   tf->codes[41215] = 0x0006763f4451d95fUL;
   tf->codes[41216] = 0x0006c30edc483796UL;
   tf->codes[41217] = 0x0006ce06b419dc95UL;
   tf->codes[41218] = 0x0006e01cf4f00f6fUL;
   tf->codes[41219] = 0x00073bd0cfe408a8UL;
   tf->codes[41220] = 0x0007453bc8659384UL;
   tf->codes[41221] = 0x00076a1ab5d78d74UL;
   tf->codes[41222] = 0x0007b4e9753d6461UL;
   tf->codes[41223] = 0x0008113da9d42a0bUL;
   tf->codes[41224] = 0x00086a97eb72dd66UL;
   tf->codes[41225] = 0x0009690828e17445UL;
   tf->codes[41226] = 0x00098cf379546da8UL;
   tf->codes[41227] = 0x0009af007b9346f4UL;
   tf->codes[41228] = 0x000aa028e351e548UL;
   tf->codes[41229] = 0x000abcb42468d8f5UL;
   tf->codes[41230] = 0x000ac94dac61a51eUL;
   tf->codes[41231] = 0x000b8155815d5e3cUL;
   tf->codes[41232] = 0x000be33846654c9dUL;
   tf->codes[41233] = 0x000c9349fd863735UL;
   tf->codes[41234] = 0x000cf2404e8c67aeUL;
   tf->codes[41235] = 0x000d103f0aeff513UL;
   tf->codes[41236] = 0x000d7109d4244d8cUL;
   tf->codes[41237] = 0x000d95159fec7a35UL;
   tf->codes[41238] = 0x000dd2b32ef193c6UL;
   tf->codes[41239] = 0x000e002f70a3d5c3UL;
   tf->codes[41240] = 0x000e0097f9f52270UL;
   tf->codes[41241] = 0x000e9238203d2f55UL;
   tf->codes[41242] = 0x000eb0abfaac46baUL;
   tf->codes[41243] = 0x000f2ef73bdfbbd0UL;
   tf->codes[41244] = 0x000f7650480e4f1dUL;
   tf->codes[41245] = 0x000fe498a83cebf8UL;
   tf->codes[41246] = 0x00003931136fa257UL;
   tf->codes[41247] = 0x00006959bcb552c4UL;
   tf->codes[41248] = 0x00009200b67ead5cUL;
   tf->codes[41249] = 0x0000d18669bddf1bUL;
   tf->codes[41250] = 0x00011bbc967fadc1UL;
   tf->codes[41251] = 0x00019a32d8bb5f83UL;
   tf->codes[41252] = 0x0001bdce8ec2811aUL;
   tf->codes[41253] = 0x0001d6af80230229UL;
   tf->codes[41254] = 0x0002b0874432901cUL;
   tf->codes[41255] = 0x00033ee0d659fde7UL;
   tf->codes[41256] = 0x000364dab8e2d8c0UL;
   tf->codes[41257] = 0x00036f6623e3cefdUL;
   tf->codes[41258] = 0x0003b6023e99c4a8UL;
   tf->codes[41259] = 0x0003e75b5d7a7454UL;
   tf->codes[41260] = 0x0003f8b5971420a0UL;
   tf->codes[41261] = 0x00045d7c9400fd35UL;
   tf->codes[41262] = 0x000470b939dd3172UL;
   tf->codes[41263] = 0x0004fb9342c76386UL;
   tf->codes[41264] = 0x0005b8d6d9f61cc9UL;
   tf->codes[41265] = 0x00065ce1a93bad7dUL;
   tf->codes[41266] = 0x0006ec9eb3942122UL;
   tf->codes[41267] = 0x0006fbb6a8d4d40eUL;
   tf->codes[41268] = 0x0007a749c9ca61e8UL;
   tf->codes[41269] = 0x0007a98d6d7d7de6UL;
   tf->codes[41270] = 0x000815855aafbbabUL;
   tf->codes[41271] = 0x0009b7add3b4c071UL;
   tf->codes[41272] = 0x0009f8a8619aae86UL;
   tf->codes[41273] = 0x000b816d86cc599bUL;
   tf->codes[41274] = 0x000b81b46ffd5629UL;
   tf->codes[41275] = 0x000becf389c55e26UL;
   tf->codes[41276] = 0x000bef8861cd7a53UL;
   tf->codes[41277] = 0x000c183eaf05577aUL;
   tf->codes[41278] = 0x000c239c8c0309afUL;
   tf->codes[41279] = 0x000c412e6677dcc8UL;
   tf->codes[41280] = 0x000c7418bd461436UL;
   tf->codes[41281] = 0x000cd4cd90d842cfUL;
   tf->codes[41282] = 0x000d167497fd2f1eUL;
   tf->codes[41283] = 0x000d68356005349cUL;
   tf->codes[41284] = 0x000d869eb4c1429bUL;
   tf->codes[41285] = 0x000de70881140cccUL;
   tf->codes[41286] = 0x000e136f4b17f858UL;
   tf->codes[41287] = 0x000e66d23865308aUL;
   tf->codes[41288] = 0x000e6c8fad5df802UL;
   tf->codes[41289] = 0x000ef8876a13503bUL;
   tf->codes[41290] = 0x000f64b677e9fc75UL;
   tf->codes[41291] = 0x000fc2dfd45bfb6eUL;
   tf->codes[41292] = 0x00006070ecdd3857UL;
   tf->codes[41293] = 0x000072642e38f874UL;
   tf->codes[41294] = 0x000161363074a1b0UL;
   tf->codes[41295] = 0x0001a6e8f94f9a6fUL;
   tf->codes[41296] = 0x0001ae9ab21eabdeUL;
   tf->codes[41297] = 0x0001fa24c913f80aUL;
   tf->codes[41298] = 0x0002cebe46cb4661UL;
   tf->codes[41299] = 0x00039b00e4553dafUL;
   tf->codes[41300] = 0x0003b77be7c197b9UL;
   tf->codes[41301] = 0x0004a334db0a1dfeUL;
   tf->codes[41302] = 0x0004e6d68da9f5d0UL;
   tf->codes[41303] = 0x000560022f623068UL;
   tf->codes[41304] = 0x00058e14ba2240faUL;
   tf->codes[41305] = 0x00059309cdb34a56UL;
   tf->codes[41306] = 0x0005dcf61800d16dUL;
   tf->codes[41307] = 0x0006bb2e05edbcc5UL;
   tf->codes[41308] = 0x0007e8fb1cd8ef6aUL;
   tf->codes[41309] = 0x0008060b7f1700f5UL;
   tf->codes[41310] = 0x0008bd82c2fc7bbbUL;
   tf->codes[41311] = 0x0008c11d4a266040UL;
   tf->codes[41312] = 0x0009a923ec2aa9f8UL;
   tf->codes[41313] = 0x0009ab27f88d8208UL;
   tf->codes[41314] = 0x0009e46dd46113adUL;
   tf->codes[41315] = 0x000a9c6ecc9a1fb5UL;
   tf->codes[41316] = 0x000aa8999e2c036aUL;
   tf->codes[41317] = 0x000b345ecd696092UL;
   tf->codes[41318] = 0x000b50104aa2dfa7UL;
   tf->codes[41319] = 0x000b841ef76fe48bUL;
   tf->codes[41320] = 0x000bfee2e86759c0UL;
   tf->codes[41321] = 0x000c34174a8d4eb8UL;
   tf->codes[41322] = 0x000c4eb5d43db6d3UL;
   tf->codes[41323] = 0x000c71ff6bb3c127UL;
   tf->codes[41324] = 0x000cc29e275332e1UL;
   tf->codes[41325] = 0x000d52291951b6ffUL;
   tf->codes[41326] = 0x000d9dc507dac531UL;
   tf->codes[41327] = 0x000da0bcebcba393UL;
   tf->codes[41328] = 0x000dc94abc208385UL;
   tf->codes[41329] = 0x000dcf56319bfa66UL;
   tf->codes[41330] = 0x000e045b74ab4ad8UL;
   tf->codes[41331] = 0x000e1a0b8cfe50e8UL;
   tf->codes[41332] = 0x000e665554207ff2UL;
   tf->codes[41333] = 0x000f420b66642dfcUL;
   tf->codes[41334] = 0x0000038a537da3bfUL;
   tf->codes[41335] = 0x000010a9e6d9a4daUL;
   tf->codes[41336] = 0x000042ff19652a8cUL;
   tf->codes[41337] = 0x00008431b22b9e2aUL;
   tf->codes[41338] = 0x0000e829ab7d1552UL;
   tf->codes[41339] = 0x0001088b621dd522UL;
   tf->codes[41340] = 0x00014aa27f03cc83UL;
   tf->codes[41341] = 0x0001b482b3c7420aUL;
   tf->codes[41342] = 0x0001b68f36d5ef93UL;
   tf->codes[41343] = 0x0001f260fee7bc62UL;
   tf->codes[41344] = 0x000233b4fd3f7a5aUL;
   tf->codes[41345] = 0x00024291042045a8UL;
   tf->codes[41346] = 0x00025c53f57b0b03UL;
   tf->codes[41347] = 0x00028b33af5e52daUL;
   tf->codes[41348] = 0x0002b9885593e6d1UL;
   tf->codes[41349] = 0x0002d9e20aa6dcb2UL;
   tf->codes[41350] = 0x00030159b3a054e4UL;
   tf->codes[41351] = 0x000312047ab7b7f5UL;
   tf->codes[41352] = 0x00033b4e52491e75UL;
   tf->codes[41353] = 0x0003a24d486af0c9UL;
   tf->codes[41354] = 0x0003a7300f4a2c95UL;
   tf->codes[41355] = 0x0003bb4bf66c5fe2UL;
   tf->codes[41356] = 0x0003cb1d6ec459e5UL;
   tf->codes[41357] = 0x0003e8f1d9ccbbedUL;
   tf->codes[41358] = 0x00052fcec6a00e62UL;
   tf->codes[41359] = 0x000552bb7f42f248UL;
   tf->codes[41360] = 0x000563f7fc3bb08aUL;
   tf->codes[41361] = 0x0005a8adc72fbc2fUL;
   tf->codes[41362] = 0x00069f1858c5fc34UL;
   tf->codes[41363] = 0x0006a2ee5931bccdUL;
   tf->codes[41364] = 0x000784f35bc087bbUL;
   tf->codes[41365] = 0x0007c97ffa2484dcUL;
   tf->codes[41366] = 0x00083b151b895c98UL;
   tf->codes[41367] = 0x0008425efab432a9UL;
   tf->codes[41368] = 0x000891b451d33043UL;
   tf->codes[41369] = 0x000900e2205d67f5UL;
   tf->codes[41370] = 0x00091c57e9c60531UL;
   tf->codes[41371] = 0x000955a5177a4f76UL;
   tf->codes[41372] = 0x00098146ee77d371UL;
   tf->codes[41373] = 0x0009f2ebd8693946UL;
   tf->codes[41374] = 0x000a57e38e55e2c4UL;
   tf->codes[41375] = 0x000aa9235345323eUL;
   tf->codes[41376] = 0x000abd76207cce3bUL;
   tf->codes[41377] = 0x000bd9d3b7d93c03UL;
   tf->codes[41378] = 0x000c60fa10250eecUL;
   tf->codes[41379] = 0x000cb3750af16cd0UL;
   tf->codes[41380] = 0x000cd60e80381c9aUL;
   tf->codes[41381] = 0x000d962d9e10e8d3UL;
   tf->codes[41382] = 0x000da7d478d321eaUL;
   tf->codes[41383] = 0x000e0b29945c8d2aUL;
   tf->codes[41384] = 0x000e141e849676f2UL;
   tf->codes[41385] = 0x000e2918fd519800UL;
   tf->codes[41386] = 0x000e678938e2734eUL;
   tf->codes[41387] = 0x000ebec8c8cf136aUL;
   tf->codes[41388] = 0x000f72abed2f4b37UL;
   tf->codes[41389] = 0x0000818d4ceb973bUL;
   tf->codes[41390] = 0x0000baed76fec05fUL;
   tf->codes[41391] = 0x0000c018fb8726e1UL;
   tf->codes[41392] = 0x0001241f989a0f49UL;
   tf->codes[41393] = 0x00013701341b4b40UL;
   tf->codes[41394] = 0x00015b6cd7f9e958UL;
   tf->codes[41395] = 0x00027ec3c9d93e51UL;
   tf->codes[41396] = 0x0002c9d8c2c3007dUL;
   tf->codes[41397] = 0x0002d873234c53f0UL;
   tf->codes[41398] = 0x00035b8c5a87f7cbUL;
   tf->codes[41399] = 0x000376eb7ea159d8UL;
   tf->codes[41400] = 0x00037e25cfcea795UL;
   tf->codes[41401] = 0x0003811f8837b41fUL;
   tf->codes[41402] = 0x00039994f7039d80UL;
   tf->codes[41403] = 0x0004e0091ff69d83UL;
   tf->codes[41404] = 0x000516141227b64dUL;
   tf->codes[41405] = 0x00053199698ddbddUL;
   tf->codes[41406] = 0x00054d389a158d62UL;
   tf->codes[41407] = 0x00054f6d5f78325bUL;
   tf->codes[41408] = 0x000553b584ac31f3UL;
   tf->codes[41409] = 0x00056eb211fadd55UL;
   tf->codes[41410] = 0x0005f80e8f0377d5UL;
   tf->codes[41411] = 0x0006a412ea852d9aUL;
   tf->codes[41412] = 0x0006e29cc4a88f18UL;
   tf->codes[41413] = 0x0006f386e8813052UL;
   tf->codes[41414] = 0x000708adc19eb0aaUL;
   tf->codes[41415] = 0x00072e6f994705faUL;
   tf->codes[41416] = 0x0007ccdc0f8edfdeUL;
   tf->codes[41417] = 0x00086167850d8dd2UL;
   tf->codes[41418] = 0x0008a2a553341c25UL;
   tf->codes[41419] = 0x0008d9d28c5cce78UL;
   tf->codes[41420] = 0x0008e5491db0efc9UL;
   tf->codes[41421] = 0x0009499335937e34UL;
   tf->codes[41422] = 0x0009e892fba5dbacUL;
   tf->codes[41423] = 0x000a1c9f996baca3UL;
   tf->codes[41424] = 0x000a7fae40e226dfUL;
   tf->codes[41425] = 0x000a948c96e58246UL;
   tf->codes[41426] = 0x000afc7f64955aecUL;
   tf->codes[41427] = 0x000b67d473ff8cc9UL;
   tf->codes[41428] = 0x000b83f34845d1b4UL;
   tf->codes[41429] = 0x000b876f9db0bca5UL;
   tf->codes[41430] = 0x000b8eb2a018e5a0UL;
   tf->codes[41431] = 0x000bfddf49d80079UL;
   tf->codes[41432] = 0x000c3fe7886d80d5UL;
   tf->codes[41433] = 0x000c5268270d2e84UL;
   tf->codes[41434] = 0x000c7ccf02bca9daUL;
   tf->codes[41435] = 0x000cb052d66b00a3UL;
   tf->codes[41436] = 0x000cc5a943bd310bUL;
   tf->codes[41437] = 0x000cd366e725c4e5UL;
   tf->codes[41438] = 0x000cef026ebd1a1aUL;
   tf->codes[41439] = 0x000d29993b80de44UL;
   tf->codes[41440] = 0x000d4019b6c96c5fUL;
   tf->codes[41441] = 0x000d6d919fde40bdUL;
   tf->codes[41442] = 0x000d6e848d302ffbUL;
   tf->codes[41443] = 0x000d73578b82ddaeUL;
   tf->codes[41444] = 0x000d748b6f7f3378UL;
   tf->codes[41445] = 0x000d8aa326e76f21UL;
   tf->codes[41446] = 0x000d8caceb41d76eUL;
   tf->codes[41447] = 0x000df34407bf6e64UL;
   tf->codes[41448] = 0x000df8ead768faadUL;
   tf->codes[41449] = 0x000e00e6381d4de6UL;
   tf->codes[41450] = 0x000e386a9821966aUL;
   tf->codes[41451] = 0x000e3a91a3fee137UL;
   tf->codes[41452] = 0x000e41073cb4cd28UL;
   tf->codes[41453] = 0x000e46a819d7c36fUL;
   tf->codes[41454] = 0x000e69778af7c4d5UL;
   tf->codes[41455] = 0x000e736b881fcfa4UL;
   tf->codes[41456] = 0x000ea8b027f05e3fUL;
   tf->codes[41457] = 0x000ece64bb3164edUL;
   tf->codes[41458] = 0x000f4d5adbbaafdaUL;
   tf->codes[41459] = 0x000f615fa86f9c6eUL;
   tf->codes[41460] = 0x000fb9d10d515e67UL;
   tf->codes[41461] = 0x000fba6df892d44dUL;
   tf->codes[41462] = 0x000ff4aa6aa8b180UL;
   tf->codes[41463] = 0x00001fe8c09f67bcUL;
   tf->codes[41464] = 0x0000f2807b8a17b5UL;
   tf->codes[41465] = 0x00010e2e8a62403fUL;
   tf->codes[41466] = 0x00012f61191693a4UL;
   tf->codes[41467] = 0x0001c602ad1ae173UL;
   tf->codes[41468] = 0x0001d890cab0e389UL;
   tf->codes[41469] = 0x0001f5f017adbb91UL;
   tf->codes[41470] = 0x00030c87fdf4922dUL;
   tf->codes[41471] = 0x00033dec8cc46253UL;
   tf->codes[41472] = 0x0003a9f73bc67932UL;
   tf->codes[41473] = 0x0003b00c1229dca0UL;
   tf->codes[41474] = 0x0003b07dc1d41015UL;
   tf->codes[41475] = 0x0003def7768b4ab6UL;
   tf->codes[41476] = 0x0004f483f5b8c8bdUL;
   tf->codes[41477] = 0x00053a338ac170b6UL;
   tf->codes[41478] = 0x00064f9f8e99bb77UL;
   tf->codes[41479] = 0x0006a7ab636d7bc4UL;
   tf->codes[41480] = 0x0006e43798d2a6beUL;
   tf->codes[41481] = 0x0007116ec5cc1a55UL;
   tf->codes[41482] = 0x000780cd87e524b5UL;
   tf->codes[41483] = 0x0008304c64599743UL;
   tf->codes[41484] = 0x00087b9fcfc88084UL;
   tf->codes[41485] = 0x00088c0f582d0d46UL;
   tf->codes[41486] = 0x0008982d5a75ade3UL;
   tf->codes[41487] = 0x0008e31f1955f78dUL;
   tf->codes[41488] = 0x00097b88563f2a44UL;
   tf->codes[41489] = 0x0009f0ed106b210dUL;
   tf->codes[41490] = 0x000a26f5f39505eaUL;
   tf->codes[41491] = 0x000a377c9666d965UL;
   tf->codes[41492] = 0x000a7c9448788a66UL;
   tf->codes[41493] = 0x000a8f8571f74eb1UL;
   tf->codes[41494] = 0x000b010378eedfb4UL;
   tf->codes[41495] = 0x000b1359c6336206UL;
   tf->codes[41496] = 0x000b52ee9252108fUL;
   tf->codes[41497] = 0x000c726af099318bUL;
   tf->codes[41498] = 0x000c763f91aacf86UL;
   tf->codes[41499] = 0x000c984b348f8634UL;
   tf->codes[41500] = 0x000ccdce0c56361fUL;
   tf->codes[41501] = 0x000d1c7d51dad70bUL;
   tf->codes[41502] = 0x000d2bf34ab9cd3eUL;
   tf->codes[41503] = 0x000d5781eac96c95UL;
   tf->codes[41504] = 0x000d6b35bdb85ebfUL;
   tf->codes[41505] = 0x000d9301944a2221UL;
   tf->codes[41506] = 0x000eca625b28e29cUL;
   tf->codes[41507] = 0x000f0b5b1496a289UL;
   tf->codes[41508] = 0x000f0be8e6f89ba5UL;
   tf->codes[41509] = 0x000f0c21dc153842UL;
   tf->codes[41510] = 0x000f2767619c141fUL;
   tf->codes[41511] = 0x000f7df151f0cf39UL;
   tf->codes[41512] = 0x000fad9e3af74e55UL;
   tf->codes[41513] = 0x000026ef25c0355cUL;
   tf->codes[41514] = 0x0000778779bb058aUL;
   tf->codes[41515] = 0x0000b53fcc1dc224UL;
   tf->codes[41516] = 0x0000ba7476ff0f6eUL;
   tf->codes[41517] = 0x00012caf6f6f3e13UL;
   tf->codes[41518] = 0x00019902a18b79e3UL;
   tf->codes[41519] = 0x00022fd82261e561UL;
   tf->codes[41520] = 0x00024c6955ff6f10UL;
   tf->codes[41521] = 0x00026d5869e41c72UL;
   tf->codes[41522] = 0x0002d49940ec6c66UL;
   tf->codes[41523] = 0x0002d5700b8695fdUL;
   tf->codes[41524] = 0x0003744c978f7af3UL;
   tf->codes[41525] = 0x0003781c6ae59fc5UL;
   tf->codes[41526] = 0x000452eac5377946UL;
   tf->codes[41527] = 0x000477015141b51aUL;
   tf->codes[41528] = 0x0004a696702ddc2eUL;
   tf->codes[41529] = 0x0004b08e1646434dUL;
   tf->codes[41530] = 0x0006208d82931be6UL;
   tf->codes[41531] = 0x000786dad29e6750UL;
   tf->codes[41532] = 0x0007a77f8ef0c199UL;
   tf->codes[41533] = 0x0007b0058e34bd28UL;
   tf->codes[41534] = 0x000803858875d215UL;
   tf->codes[41535] = 0x0008133c02e1234aUL;
   tf->codes[41536] = 0x000855db74c0894fUL;
   tf->codes[41537] = 0x0008633a9f6cce58UL;
   tf->codes[41538] = 0x0008c1a9c044ad06UL;
   tf->codes[41539] = 0x0008eaf4f7303624UL;
   tf->codes[41540] = 0x0008ee0ce1583c42UL;
   tf->codes[41541] = 0x0009277e6de11be2UL;
   tf->codes[41542] = 0x0009346630eb9d39UL;
   tf->codes[41543] = 0x0009a9efbf0a34e7UL;
   tf->codes[41544] = 0x000a38895d9ff22aUL;
   tf->codes[41545] = 0x000aba3ea78c84a1UL;
   tf->codes[41546] = 0x000b7b849f895dc7UL;
   tf->codes[41547] = 0x000bb7a3f2ffce75UL;
   tf->codes[41548] = 0x000c1404bc50d172UL;
   tf->codes[41549] = 0x000c839fe1e7cefaUL;
   tf->codes[41550] = 0x000c9a52b0195261UL;
   tf->codes[41551] = 0x000c9b8534bb858dUL;
   tf->codes[41552] = 0x000cafba0ac32dbbUL;
   tf->codes[41553] = 0x000cd12086499ecfUL;
   tf->codes[41554] = 0x000ce3887092dd62UL;
   tf->codes[41555] = 0x000d0f8ca3cc1243UL;
   tf->codes[41556] = 0x000d7a4995b04763UL;
   tf->codes[41557] = 0x000d8934efff9540UL;
   tf->codes[41558] = 0x000e33faa742e610UL;
   tf->codes[41559] = 0x000e4bffc5bebe9aUL;
   tf->codes[41560] = 0x000e6ca9ff79a35bUL;
   tf->codes[41561] = 0x000eb753eaecd963UL;
   tf->codes[41562] = 0x000ee3e540daf611UL;
   tf->codes[41563] = 0x000eefb4cd82dbbbUL;
   tf->codes[41564] = 0x000f2dcf07033db1UL;
   tf->codes[41565] = 0x000fe636b415683eUL;
   tf->codes[41566] = 0x000fecafbb2caabaUL;
   tf->codes[41567] = 0x000fef43a8f8afd3UL;
   tf->codes[41568] = 0x000024566afe54acUL;
   tf->codes[41569] = 0x000042e8ec4a712fUL;
   tf->codes[41570] = 0x0000986aa958247aUL;
   tf->codes[41571] = 0x0001336933677ee8UL;
   tf->codes[41572] = 0x00013c6e614c0253UL;
   tf->codes[41573] = 0x0001be12f86fef9dUL;
   tf->codes[41574] = 0x0001e6371aa86609UL;
   tf->codes[41575] = 0x000257db54ecba8fUL;
   tf->codes[41576] = 0x00027ebfe8aab4f2UL;
   tf->codes[41577] = 0x0002fd3a8383d453UL;
   tf->codes[41578] = 0x0003510bb219e96fUL;
   tf->codes[41579] = 0x00044437ebac5a0eUL;
   tf->codes[41580] = 0x00045a4ca9d14ab6UL;
   tf->codes[41581] = 0x00048d96d8b5f393UL;
   tf->codes[41582] = 0x00049b7f0808b88fUL;
   tf->codes[41583] = 0x0005c9336a9d7c18UL;
   tf->codes[41584] = 0x0006203f82d60a0fUL;
   tf->codes[41585] = 0x000684c67354972cUL;
   tf->codes[41586] = 0x00073c14c5390933UL;
   tf->codes[41587] = 0x00076971b06134c3UL;
   tf->codes[41588] = 0x0007bde497f438eeUL;
   tf->codes[41589] = 0x0007df7c07097cb0UL;
   tf->codes[41590] = 0x0008dedc7315bd91UL;
   tf->codes[41591] = 0x0008ef13065dadb6UL;
   tf->codes[41592] = 0x000b51bcbee829d6UL;
   tf->codes[41593] = 0x000b8a6a42a6b8f9UL;
   tf->codes[41594] = 0x000baa678e0493f6UL;
   tf->codes[41595] = 0x000bbcf4c15e7ef8UL;
   tf->codes[41596] = 0x000ca487a4b1614eUL;
   tf->codes[41597] = 0x000cade224f94cc2UL;
   tf->codes[41598] = 0x000d3ca9834b8bedUL;
   tf->codes[41599] = 0x000d4d6a400518deUL;
   tf->codes[41600] = 0x000d5cea49790cedUL;
   tf->codes[41601] = 0x000d6c917075db93UL;
   tf->codes[41602] = 0x000d7949d9dab29fUL;
   tf->codes[41603] = 0x000dd5c4072f3607UL;
   tf->codes[41604] = 0x000ddf8cc8bffe65UL;
   tf->codes[41605] = 0x000e0f1e042cc364UL;
   tf->codes[41606] = 0x000e62074041fe32UL;
   tf->codes[41607] = 0x000eeca819808de4UL;
   tf->codes[41608] = 0x000f480074fb834dUL;
   tf->codes[41609] = 0x000f6b92ca1ab857UL;
   tf->codes[41610] = 0x000f88918f540da1UL;
   tf->codes[41611] = 0x000fea01ba75b179UL;
   tf->codes[41612] = 0x000027e373f7825cUL;
   tf->codes[41613] = 0x00004ef134458b43UL;
   tf->codes[41614] = 0x00006be44f00ba4eUL;
   tf->codes[41615] = 0x0000d27defa390bbUL;
   tf->codes[41616] = 0x0000d9848e8dc68eUL;
   tf->codes[41617] = 0x000106a29212bf7fUL;
   tf->codes[41618] = 0x00011752d692ad08UL;
   tf->codes[41619] = 0x0001d61a26b899a6UL;
   tf->codes[41620] = 0x0001d8be17a0329dUL;
   tf->codes[41621] = 0x0001ec3d889efb8eUL;
   tf->codes[41622] = 0x0001f98d254db843UL;
   tf->codes[41623] = 0x00020c9ddfe598c0UL;
   tf->codes[41624] = 0x00026f6020c28bf6UL;
   tf->codes[41625] = 0x000282dc5def0421UL;
   tf->codes[41626] = 0x0002d7c4638d924cUL;
   tf->codes[41627] = 0x0002ef8c344f609aUL;
   tf->codes[41628] = 0x00030b6e6a88ac98UL;
   tf->codes[41629] = 0x0003760b5635b9fcUL;
   tf->codes[41630] = 0x0003770a9db2e0c8UL;
   tf->codes[41631] = 0x0003db41b9369054UL;
   tf->codes[41632] = 0x00052be30efd3d88UL;
   tf->codes[41633] = 0x00053fe766941e92UL;
   tf->codes[41634] = 0x000543d3d1c01495UL;
   tf->codes[41635] = 0x0005be656fce947eUL;
   tf->codes[41636] = 0x00070c708e3302e7UL;
   tf->codes[41637] = 0x00075f4ff442459eUL;
   tf->codes[41638] = 0x00078fea87c12f45UL;
   tf->codes[41639] = 0x00079e4c684bf1a5UL;
   tf->codes[41640] = 0x0007db6c6299abbdUL;
   tf->codes[41641] = 0x00093a60ba9aa44cUL;
   tf->codes[41642] = 0x000983ca67e64cfcUL;
   tf->codes[41643] = 0x000ab9b1fb80e382UL;
   tf->codes[41644] = 0x000ae1760b13e2baUL;
   tf->codes[41645] = 0x000ae6709c0d768eUL;
   tf->codes[41646] = 0x000c4e2c99a9e287UL;
   tf->codes[41647] = 0x000c59004d35f7f0UL;
   tf->codes[41648] = 0x000caa41ac0e6fcdUL;
   tf->codes[41649] = 0x000cf2360995509dUL;
   tf->codes[41650] = 0x000d47fe7544fab1UL;
   tf->codes[41651] = 0x000d735afcfaaa81UL;
   tf->codes[41652] = 0x000f3040a68d1c80UL;
   tf->codes[41653] = 0x000fdf346f53db2eUL;
   tf->codes[41654] = 0x00003d09d8bc94bcUL;
   tf->codes[41655] = 0x000054ad8538d374UL;
   tf->codes[41656] = 0x0001768600fa79c5UL;
   tf->codes[41657] = 0x00018555adb00d85UL;
   tf->codes[41658] = 0x0001d0434e81ef55UL;
   tf->codes[41659] = 0x0001de838eec6196UL;
   tf->codes[41660] = 0x0002a3d7ccc486a3UL;
   tf->codes[41661] = 0x0002ace2b2a09a4bUL;
   tf->codes[41662] = 0x00033ef06a8472cbUL;
   tf->codes[41663] = 0x000392d03cdbf927UL;
   tf->codes[41664] = 0x0003c3cd2c9693b4UL;
   tf->codes[41665] = 0x0005cfa437232a04UL;
   tf->codes[41666] = 0x0005d3c74dd582f2UL;
   tf->codes[41667] = 0x0005db7856f78312UL;
   tf->codes[41668] = 0x0006232f2c3553e1UL;
   tf->codes[41669] = 0x00063e2308492405UL;
   tf->codes[41670] = 0x0006f31ffcf51fe2UL;
   tf->codes[41671] = 0x0006fa854f2aaa4bUL;
   tf->codes[41672] = 0x0007287d511c1d99UL;
   tf->codes[41673] = 0x00074814222fdfd6UL;
   tf->codes[41674] = 0x0007a6ddd844ab40UL;
   tf->codes[41675] = 0x0007b580af79d42cUL;
   tf->codes[41676] = 0x00082def252a6b5dUL;
   tf->codes[41677] = 0x000832ce088a4514UL;
   tf->codes[41678] = 0x00084073a7497b21UL;
   tf->codes[41679] = 0x0009aadd6bd37828UL;
   tf->codes[41680] = 0x0009cf54f4bf4244UL;
   tf->codes[41681] = 0x000a6b8d1ac282b9UL;
   tf->codes[41682] = 0x000a91ade0453264UL;
   tf->codes[41683] = 0x000b0241ab25af67UL;
   tf->codes[41684] = 0x000bff1af8af2e47UL;
   tf->codes[41685] = 0x000c638ca338a2d3UL;
   tf->codes[41686] = 0x000d2a9a20c3414dUL;
   tf->codes[41687] = 0x000d43f74780ff37UL;
   tf->codes[41688] = 0x000e8ac346fca6baUL;
   tf->codes[41689] = 0x000eaab8563db203UL;
   tf->codes[41690] = 0x000041891f5aa05bUL;
   tf->codes[41691] = 0x000092b5383dffa7UL;
   tf->codes[41692] = 0x0000de854e28314dUL;
   tf->codes[41693] = 0x0001575fbb8b6bb6UL;
   tf->codes[41694] = 0x0001a978cf3a243eUL;
   tf->codes[41695] = 0x00027238ea4394d4UL;
   tf->codes[41696] = 0x0002b5766c2f8d98UL;
   tf->codes[41697] = 0x00031cada7c0eb3aUL;
   tf->codes[41698] = 0x0003b7cc72967329UL;
   tf->codes[41699] = 0x0003bdbd24b44701UL;
   tf->codes[41700] = 0x0003cc62457fa99fUL;
   tf->codes[41701] = 0x0004d52b60773baaUL;
   tf->codes[41702] = 0x00059f5bfd89faf7UL;
   tf->codes[41703] = 0x00060cc51c7298c2UL;
   tf->codes[41704] = 0x0006349969b0319dUL;
   tf->codes[41705] = 0x000669d4e327d970UL;
   tf->codes[41706] = 0x0006b600eda91a70UL;
   tf->codes[41707] = 0x0006df2ba93f7048UL;
   tf->codes[41708] = 0x0006f10dc2b47faeUL;
   tf->codes[41709] = 0x0007211f16fde39dUL;
   tf->codes[41710] = 0x00074074f1673f4eUL;
   tf->codes[41711] = 0x00074acce4b42366UL;
   tf->codes[41712] = 0x000765c9ac91d48dUL;
   tf->codes[41713] = 0x0007c74965b100b9UL;
   tf->codes[41714] = 0x0007e22a4565f1feUL;
   tf->codes[41715] = 0x0007f496fd6aa9baUL;
   tf->codes[41716] = 0x0008312edd4dfaf3UL;
   tf->codes[41717] = 0x00092e19182f24c5UL;
   tf->codes[41718] = 0x00092eae01e2d0bcUL;
   tf->codes[41719] = 0x0009960e2f75371dUL;
   tf->codes[41720] = 0x0009eb39ea727110UL;
   tf->codes[41721] = 0x000a1f9279b3bd83UL;
   tf->codes[41722] = 0x000a61c8b294c58cUL;
   tf->codes[41723] = 0x000abfa6cd385a58UL;
   tf->codes[41724] = 0x000aeed696a58585UL;
   tf->codes[41725] = 0x000b5219657d2335UL;
   tf->codes[41726] = 0x000bceb7117c451dUL;
   tf->codes[41727] = 0x000bd84f1a0d4092UL;
   tf->codes[41728] = 0x000bf844d8fb5d2aUL;
   tf->codes[41729] = 0x000c3d6b2ece7f6bUL;
   tf->codes[41730] = 0x000c7ac9d630665dUL;
   tf->codes[41731] = 0x000c8c62f76d4548UL;
   tf->codes[41732] = 0x000cd6f58de42ed2UL;
   tf->codes[41733] = 0x000ce22c12ca00abUL;
   tf->codes[41734] = 0x000cffe5ba74bfaaUL;
   tf->codes[41735] = 0x000d7fc4b7bafbf9UL;
   tf->codes[41736] = 0x000dde140ceab8b0UL;
   tf->codes[41737] = 0x000e4dc22ee09517UL;
   tf->codes[41738] = 0x000e4fb7d21101acUL;
   tf->codes[41739] = 0x000e53834cc9b8dfUL;
   tf->codes[41740] = 0x000e886b485626d1UL;
   tf->codes[41741] = 0x000e91b6752f8fb6UL;
   tf->codes[41742] = 0x000ea6043a1cacc5UL;
   tf->codes[41743] = 0x000fa1ee434498b7UL;
   tf->codes[41744] = 0x000fa59adc914507UL;
   tf->codes[41745] = 0x000fbfbf055c9e6fUL;
   tf->codes[41746] = 0x0000620aa2691fb4UL;
   tf->codes[41747] = 0x0000b96236ff1d9dUL;
   tf->codes[41748] = 0x000283bd3b6f044aUL;
   tf->codes[41749] = 0x0002ae48eb112085UL;
   tf->codes[41750] = 0x0002b1051b311d0eUL;
   tf->codes[41751] = 0x0002e4eb108c1ef8UL;
   tf->codes[41752] = 0x000322791193b035UL;
   tf->codes[41753] = 0x000339e0cfb0074fUL;
   tf->codes[41754] = 0x000381c6897576dfUL;
   tf->codes[41755] = 0x0003bc479b2616eeUL;
   tf->codes[41756] = 0x0003d0f2ee936bbaUL;
   tf->codes[41757] = 0x000453db32403ce7UL;
   tf->codes[41758] = 0x000455a2db2521cfUL;
   tf->codes[41759] = 0x000481844972e9b8UL;
   tf->codes[41760] = 0x00049125435a1c97UL;
   tf->codes[41761] = 0x00053307e1f745a5UL;
   tf->codes[41762] = 0x00057b3fba4dcc78UL;
   tf->codes[41763] = 0x00059dbea6c5defeUL;
   tf->codes[41764] = 0x000603d151c96965UL;
   tf->codes[41765] = 0x000621c30454adedUL;
   tf->codes[41766] = 0x000625f8dcd6dff5UL;
   tf->codes[41767] = 0x000640c894a52083UL;
   tf->codes[41768] = 0x00067e70343f37f0UL;
   tf->codes[41769] = 0x0007226ac5da2f01UL;
   tf->codes[41770] = 0x0007d29d32df52a4UL;
   tf->codes[41771] = 0x0007ef3d44cd5358UL;
   tf->codes[41772] = 0x0008363d55a8224cUL;
   tf->codes[41773] = 0x000a8ce3cf47a0d8UL;
   tf->codes[41774] = 0x000b1f06cd2091e9UL;
   tf->codes[41775] = 0x000b3359d4e733abUL;
   tf->codes[41776] = 0x000b8aceeb8f19d9UL;
   tf->codes[41777] = 0x000b9b2fd032355bUL;
   tf->codes[41778] = 0x000ba072e445ee20UL;
   tf->codes[41779] = 0x000beb6ca4b401b9UL;
   tf->codes[41780] = 0x000c300d9ed10057UL;
   tf->codes[41781] = 0x000cbd68240a4d1bUL;
   tf->codes[41782] = 0x000d0ea9f800d082UL;
   tf->codes[41783] = 0x000d1158e3b97e69UL;
   tf->codes[41784] = 0x000d425ebf3df9f9UL;
   tf->codes[41785] = 0x000df2b8beea03bdUL;
   tf->codes[41786] = 0x000dff595e3482c1UL;
   tf->codes[41787] = 0x000e60425927d4ceUL;
   tf->codes[41788] = 0x000e730797624559UL;
   tf->codes[41789] = 0x000eb8af2add2363UL;
   tf->codes[41790] = 0x000ed1cae5d26f37UL;
   tf->codes[41791] = 0x000f0ba5ab59acd3UL;
   tf->codes[41792] = 0x000f7bdac2eed540UL;
   tf->codes[41793] = 0x000f93a9707350a4UL;
   tf->codes[41794] = 0x00002fa4bdda9267UL;
   tf->codes[41795] = 0x00010ff2ca4d1d9aUL;
   tf->codes[41796] = 0x0001385fe4bdc481UL;
   tf->codes[41797] = 0x00015cf0d1ad0f08UL;
   tf->codes[41798] = 0x0001a575109d1ce1UL;
   tf->codes[41799] = 0x0001e25a7be511f9UL;
   tf->codes[41800] = 0x00027d7946ba99e8UL;
   tf->codes[41801] = 0x00028799ded409c6UL;
   tf->codes[41802] = 0x0002dc3df484e664UL;
   tf->codes[41803] = 0x00033a778ea17f00UL;
   tf->codes[41804] = 0x000383f1b426c718UL;
   tf->codes[41805] = 0x00038e0c9448a6b9UL;
   tf->codes[41806] = 0x0003d6a7b316f586UL;
   tf->codes[41807] = 0x0004ba118d30e8ecUL;
   tf->codes[41808] = 0x000506aff7096eb0UL;
   tf->codes[41809] = 0x00062bc7b50afb7bUL;
   tf->codes[41810] = 0x00069fb8f3ea588cUL;
   tf->codes[41811] = 0x0006bcdfc0e89f81UL;
   tf->codes[41812] = 0x0006e77d82ad8387UL;
   tf->codes[41813] = 0x00075a322c55af90UL;
   tf->codes[41814] = 0x0007ada9afeaef04UL;
   tf->codes[41815] = 0x0007c6a85dec5e1dUL;
   tf->codes[41816] = 0x000803a5934eab3dUL;
   tf->codes[41817] = 0x00082d2d2db82783UL;
   tf->codes[41818] = 0x0008303eeaca91daUL;
   tf->codes[41819] = 0x0008fef151dafeabUL;
   tf->codes[41820] = 0x00091a40ad67d29fUL;
   tf->codes[41821] = 0x00093277a9ae94ebUL;
   tf->codes[41822] = 0x000942f59b458d28UL;
   tf->codes[41823] = 0x00094cec91b0e2f8UL;
   tf->codes[41824] = 0x0009ac03237d40f2UL;
   tf->codes[41825] = 0x000a5435d730a3bdUL;
   tf->codes[41826] = 0x000b01710ff1fa4dUL;
   tf->codes[41827] = 0x000b1ac7cf0b16abUL;
   tf->codes[41828] = 0x000bf89350275341UL;
   tf->codes[41829] = 0x000caaccc2d299f5UL;
   tf->codes[41830] = 0x000cdbd681d6779aUL;
   tf->codes[41831] = 0x000cf9329b00fedcUL;
   tf->codes[41832] = 0x000dc007d31c1208UL;
   tf->codes[41833] = 0x000dea842f4fabb4UL;
   tf->codes[41834] = 0x000dfbfdfa027432UL;
   tf->codes[41835] = 0x000e1cbffdd7b0fbUL;
   tf->codes[41836] = 0x000e23d0e7e5ea6fUL;
   tf->codes[41837] = 0x000e25aa685e915dUL;
   tf->codes[41838] = 0x000e2653733c390cUL;
   tf->codes[41839] = 0x000e5289844057afUL;
   tf->codes[41840] = 0x000e7507fb9a5eabUL;
   tf->codes[41841] = 0x000f26aa006cb9f1UL;
   tf->codes[41842] = 0x000f87ccdab8bfafUL;
   tf->codes[41843] = 0x000fa69766e561bbUL;
   tf->codes[41844] = 0x00009cd7a7207663UL;
   tf->codes[41845] = 0x0000c071c33e6f97UL;
   tf->codes[41846] = 0x0000c2bf3cf783acUL;
   tf->codes[41847] = 0x00010095868a3415UL;
   tf->codes[41848] = 0x000165cdbe033895UL;
   tf->codes[41849] = 0x0001a03481744125UL;
   tf->codes[41850] = 0x0002dcc56007db86UL;
   tf->codes[41851] = 0x0003085fe524a6e1UL;
   tf->codes[41852] = 0x00038fc400488f90UL;
   tf->codes[41853] = 0x0003935d9d365d01UL;
   tf->codes[41854] = 0x0003a19e52bedaccUL;
   tf->codes[41855] = 0x00059c6a48ff9112UL;
   tf->codes[41856] = 0x0006c410ec82a408UL;
   tf->codes[41857] = 0x0006dd9d32570678UL;
   tf->codes[41858] = 0x0006e4488c573e40UL;
   tf->codes[41859] = 0x00071bd4b35a4aeeUL;
   tf->codes[41860] = 0x0007f58176619c35UL;
   tf->codes[41861] = 0x00080ec9cc484d18UL;
   tf->codes[41862] = 0x0008c51184cedfb3UL;
   tf->codes[41863] = 0x0008dc71415d6cdeUL;
   tf->codes[41864] = 0x00097a24a9ac0b35UL;
   tf->codes[41865] = 0x0009c48945d76d12UL;
   tf->codes[41866] = 0x000a4104dc983351UL;
   tf->codes[41867] = 0x000a5c5ef8671670UL;
   tf->codes[41868] = 0x000a84ebde7fdf4eUL;
   tf->codes[41869] = 0x000c21e26b57dc06UL;
   tf->codes[41870] = 0x000c433af2c9ed29UL;
   tf->codes[41871] = 0x000c4b67bc2b1e9aUL;
   tf->codes[41872] = 0x000cb55b9cfa844fUL;
   tf->codes[41873] = 0x000d0ebc463dd936UL;
   tf->codes[41874] = 0x000dac0b434992baUL;
   tf->codes[41875] = 0x000db06abd79ded0UL;
   tf->codes[41876] = 0x000ea88986781954UL;
   tf->codes[41877] = 0x000edb83e061e4a0UL;
   tf->codes[41878] = 0x000f0338d715670eUL;
   tf->codes[41879] = 0x000f18c7c4662889UL;
   tf->codes[41880] = 0x000f4c99d3263480UL;
   tf->codes[41881] = 0x000fc59f7c20b15aUL;
   tf->codes[41882] = 0x000042babcd732bbUL;
   tf->codes[41883] = 0x0000b080ba92f6f4UL;
   tf->codes[41884] = 0x0000e1d0b31abfd8UL;
   tf->codes[41885] = 0x00011e7736bf8251UL;
   tf->codes[41886] = 0x0001247fed86b3f6UL;
   tf->codes[41887] = 0x0001d5026a15baefUL;
   tf->codes[41888] = 0x00023183399de5a8UL;
   tf->codes[41889] = 0x0002a9627d92611fUL;
   tf->codes[41890] = 0x00033943371258d0UL;
   tf->codes[41891] = 0x000346148f5ca4bdUL;
   tf->codes[41892] = 0x000356cd85176d84UL;
   tf->codes[41893] = 0x00038128f0d7c860UL;
   tf->codes[41894] = 0x00039279546b7c95UL;
   tf->codes[41895] = 0x00039fc12a1b7520UL;
   tf->codes[41896] = 0x0003c69f5634cdf7UL;
   tf->codes[41897] = 0x00048be097ae1425UL;
   tf->codes[41898] = 0x0006bf9c67b1e2b8UL;
   tf->codes[41899] = 0x0006c234e8aa5b35UL;
   tf->codes[41900] = 0x00074a6b3b3bfa17UL;
   tf->codes[41901] = 0x0007733ecff6b9beUL;
   tf->codes[41902] = 0x0007de582b9009c2UL;
   tf->codes[41903] = 0x0007fc0921ffed83UL;
   tf->codes[41904] = 0x0008acc7c77de1dfUL;
   tf->codes[41905] = 0x0008cc74c8c2d3c1UL;
   tf->codes[41906] = 0x000a06c02f2b23fcUL;
   tf->codes[41907] = 0x000ad1b2c600ffd9UL;
   tf->codes[41908] = 0x000b516a30a05607UL;
   tf->codes[41909] = 0x000b89dc008e0351UL;
   tf->codes[41910] = 0x000bcb12f1f1e48eUL;
   tf->codes[41911] = 0x000cad35ebb0a34bUL;
   tf->codes[41912] = 0x000dcc1ceb260cc6UL;
   tf->codes[41913] = 0x000de537bbdf4186UL;
   tf->codes[41914] = 0x000e0adb61c89d42UL;
   tf->codes[41915] = 0x000e3d5f78dbc1b5UL;
   tf->codes[41916] = 0x000f51c0ffd6caf5UL;
   tf->codes[41917] = 0x000f5e62fe7b6c97UL;
   tf->codes[41918] = 0x000f81d8bbc4d070UL;
   tf->codes[41919] = 0x000fdaff85af71a6UL;
   tf->codes[41920] = 0x00001fd9af7812a6UL;
   tf->codes[41921] = 0x000184b976bd5a5aUL;
   tf->codes[41922] = 0x000189187bcf9ae6UL;
   tf->codes[41923] = 0x0001c883e0cf3526UL;
   tf->codes[41924] = 0x00020b7745b7e096UL;
   tf->codes[41925] = 0x000255eccf3aed65UL;
   tf->codes[41926] = 0x00025ed739c1cdc7UL;
   tf->codes[41927] = 0x000283986a92d9adUL;
   tf->codes[41928] = 0x00028abf4a433d01UL;
   tf->codes[41929] = 0x000374187720e1a1UL;
   tf->codes[41930] = 0x0003ed0446f9d286UL;
   tf->codes[41931] = 0x000466e9e0e75fbfUL;
   tf->codes[41932] = 0x00048ddd1866cb62UL;
   tf->codes[41933] = 0x000561e729d2f83aUL;
   tf->codes[41934] = 0x00058dbceda299e4UL;
   tf->codes[41935] = 0x0006310dc4b2d7f7UL;
   tf->codes[41936] = 0x00089aaec8b9075bUL;
   tf->codes[41937] = 0x0008fa12363cf7e5UL;
   tf->codes[41938] = 0x0009e82e23c2b095UL;
   tf->codes[41939] = 0x000a4a14572bf581UL;
   tf->codes[41940] = 0x000b2f93a01e7773UL;
   tf->codes[41941] = 0x000b619ca69f7be4UL;
   tf->codes[41942] = 0x000b853bcb07f406UL;
   tf->codes[41943] = 0x000bb8ed5e72ccb7UL;
   tf->codes[41944] = 0x000bc84d9c3e9ecfUL;
   tf->codes[41945] = 0x000c38f07ffe989cUL;
   tf->codes[41946] = 0x000c9e58c0ca58b6UL;
   tf->codes[41947] = 0x000ca3f6df3909c1UL;
   tf->codes[41948] = 0x000cc574000eb604UL;
   tf->codes[41949] = 0x000ce558d1a527aaUL;
   tf->codes[41950] = 0x000cf48c747f94b3UL;
   tf->codes[41951] = 0x000d0c4a6f3b6aeaUL;
   tf->codes[41952] = 0x000d9a4e39e16522UL;
   tf->codes[41953] = 0x000dac4474807040UL;
   tf->codes[41954] = 0x000db6b4a705b7eaUL;
   tf->codes[41955] = 0x000dd47e173d0502UL;
   tf->codes[41956] = 0x000f004378d50347UL;
   tf->codes[41957] = 0x000f120258409a2bUL;
   tf->codes[41958] = 0x000f48d27807204bUL;
   tf->codes[41959] = 0x000f50af6c6d742bUL;
   tf->codes[41960] = 0x000f76bf7f277ea9UL;
   tf->codes[41961] = 0x000fb12a2617e94eUL;
   tf->codes[41962] = 0x000fcdad65a1130cUL;
   tf->codes[41963] = 0x000fdbd566d321bbUL;
   tf->codes[41964] = 0x0000f5514a6fe0c6UL;
   tf->codes[41965] = 0x0001167a031e3c14UL;
   tf->codes[41966] = 0x0001317d6d2f948cUL;
   tf->codes[41967] = 0x0001ec99bdf1fd3dUL;
   tf->codes[41968] = 0x00028f753c67ab8bUL;
   tf->codes[41969] = 0x0002b333f1e93fdfUL;
   tf->codes[41970] = 0x000343193e95aaf4UL;
   tf->codes[41971] = 0x0003bdf2eaa04444UL;
   tf->codes[41972] = 0x0003e7b429d36e76UL;
   tf->codes[41973] = 0x0004cd1a495175c2UL;
   tf->codes[41974] = 0x0004fd3bdb457354UL;
   tf->codes[41975] = 0x00057eacfab54e79UL;
   tf->codes[41976] = 0x0005873ccfff421fUL;
   tf->codes[41977] = 0x0006588ab14b726eUL;
   tf->codes[41978] = 0x00069eb8c54790f4UL;
   tf->codes[41979] = 0x0007141be58a5f5aUL;
   tf->codes[41980] = 0x000752ba1b66c255UL;
   tf->codes[41981] = 0x00076baa25a6c02eUL;
   tf->codes[41982] = 0x00088bf3eda01e34UL;
   tf->codes[41983] = 0x0008b8e9aed11fb5UL;
   tf->codes[41984] = 0x0009b6644039821aUL;
   tf->codes[41985] = 0x000a3eb6f011ec68UL;
   tf->codes[41986] = 0x000a8bc4bffe6befUL;
   tf->codes[41987] = 0x000ab27a34a5c1ccUL;
   tf->codes[41988] = 0x000ac855fdae15d7UL;
   tf->codes[41989] = 0x000b5ea573214c63UL;
   tf->codes[41990] = 0x000b7469ac9e4e2bUL;
   tf->codes[41991] = 0x000c7f5ba7eb592bUL;
   tf->codes[41992] = 0x000c8d109a1911c7UL;
   tf->codes[41993] = 0x000c95d66b3c5709UL;
   tf->codes[41994] = 0x000d05e2cb5f7c7cUL;
   tf->codes[41995] = 0x000dc4778e0d6e09UL;
   tf->codes[41996] = 0x000dd319f0248b6bUL;
   tf->codes[41997] = 0x000def5019671cd4UL;
   tf->codes[41998] = 0x000ea328b8144b3bUL;
   tf->codes[41999] = 0x000f55f5b5191b48UL;
   tf->codes[42000] = 0x000f6b504079b38aUL;
   tf->codes[42001] = 0x000fafb54c36ca8aUL;
   tf->codes[42002] = 0x000fe8658ea99ee9UL;
   tf->codes[42003] = 0x000044ee9a4e9956UL;
   tf->codes[42004] = 0x00007d00ccb4daf6UL;
   tf->codes[42005] = 0x0000f618c2612560UL;
   tf->codes[42006] = 0x0000fbaf54601806UL;
   tf->codes[42007] = 0x0002430afab5e6cdUL;
   tf->codes[42008] = 0x0002618ba46e414aUL;
   tf->codes[42009] = 0x000332d5dcca1549UL;
   tf->codes[42010] = 0x000355fc3a36a71bUL;
   tf->codes[42011] = 0x000369933ac0c24fUL;
   tf->codes[42012] = 0x0003cc9eae64ebc5UL;
   tf->codes[42013] = 0x0003f66f7b959e4bUL;
   tf->codes[42014] = 0x0005350d5255f1bfUL;
   tf->codes[42015] = 0x0005494103927d14UL;
   tf->codes[42016] = 0x00055cf5fb4c8c17UL;
   tf->codes[42017] = 0x00055d4645657532UL;
   tf->codes[42018] = 0x00059a85963d45b7UL;
   tf->codes[42019] = 0x0005b6ccacd78212UL;
   tf->codes[42020] = 0x000675e06396f5b6UL;
   tf->codes[42021] = 0x000743858f15dbcaUL;
   tf->codes[42022] = 0x000841895fb3c3e7UL;
   tf->codes[42023] = 0x0008777bd81d735aUL;
   tf->codes[42024] = 0x0009768ef3541621UL;
   tf->codes[42025] = 0x0009a2cfff2949b4UL;
   tf->codes[42026] = 0x0009b37548d8224dUL;
   tf->codes[42027] = 0x0009e3f8fc78cb00UL;
   tf->codes[42028] = 0x000a4910f32ba1ffUL;
   tf->codes[42029] = 0x000a83b7c30afa07UL;
   tf->codes[42030] = 0x000aa0bdda2507f1UL;
   tf->codes[42031] = 0x000b1063fa8d1a69UL;
   tf->codes[42032] = 0x000c9d7687cc49c9UL;
   tf->codes[42033] = 0x000d391237ac1fe2UL;
   tf->codes[42034] = 0x000dbc24579610e2UL;
   tf->codes[42035] = 0x000df5e75302f676UL;
   tf->codes[42036] = 0x000e7dd9b5a6e3cbUL;
   tf->codes[42037] = 0x000f0dfab62430b9UL;
   tf->codes[42038] = 0x000fba6934e05b8eUL;
   tf->codes[42039] = 0x00007739827bb8f9UL;
   tf->codes[42040] = 0x0001e1692d1dfc8aUL;
   tf->codes[42041] = 0x0002628952c7dd45UL;
   tf->codes[42042] = 0x0002aa11b89c1addUL;
   tf->codes[42043] = 0x0002f329f703bd99UL;
   tf->codes[42044] = 0x0003837e6f351cacUL;
   tf->codes[42045] = 0x000434cae7150a24UL;
   tf->codes[42046] = 0x0004f3fdb9cf8e70UL;
   tf->codes[42047] = 0x000549bc4f79406dUL;
   tf->codes[42048] = 0x000557885c143fc2UL;
   tf->codes[42049] = 0x000569950173804aUL;
   tf->codes[42050] = 0x0005733b7336e73aUL;
   tf->codes[42051] = 0x0005bec54f9d2da1UL;
   tf->codes[42052] = 0x0005cc3233ceccd6UL;
   tf->codes[42053] = 0x0005f1cd630c5319UL;
   tf->codes[42054] = 0x00060a3134d38039UL;
   tf->codes[42055] = 0x00061460e5cc6ce1UL;
   tf->codes[42056] = 0x000682897a52e7c5UL;
   tf->codes[42057] = 0x0006a2f1d3274ee6UL;
   tf->codes[42058] = 0x0006aee0413b3f73UL;
   tf->codes[42059] = 0x0006ba23cff95a29UL;
   tf->codes[42060] = 0x0006ce895f00cf40UL;
   tf->codes[42061] = 0x0007086e351d0ab8UL;
   tf->codes[42062] = 0x00076dc80cb65f57UL;
   tf->codes[42063] = 0x000789108b808635UL;
   tf->codes[42064] = 0x0007d38c7ca83490UL;
   tf->codes[42065] = 0x0008949d9d96d8f3UL;
   tf->codes[42066] = 0x0008955720ae200aUL;
   tf->codes[42067] = 0x0008c8072305983dUL;
   tf->codes[42068] = 0x00090eee44faf250UL;
   tf->codes[42069] = 0x0009378dece39448UL;
   tf->codes[42070] = 0x00096b135a7b1374UL;
   tf->codes[42071] = 0x00096e5a63b9be18UL;
   tf->codes[42072] = 0x00097f9a1484cd20UL;
   tf->codes[42073] = 0x000985ed5d6d57a3UL;
   tf->codes[42074] = 0x00099f9f9bff77d1UL;
   tf->codes[42075] = 0x0009ec588ea69ad9UL;
   tf->codes[42076] = 0x000a4fe36b7a51f0UL;
   tf->codes[42077] = 0x000a7ed74687957fUL;
   tf->codes[42078] = 0x000ab4ede336d488UL;
   tf->codes[42079] = 0x000acb0a685a895aUL;
   tf->codes[42080] = 0x000b2b94ea918c96UL;
   tf->codes[42081] = 0x000ba47166fbfaecUL;
   tf->codes[42082] = 0x000c8a625f98b053UL;
   tf->codes[42083] = 0x000daee8dcd6ed77UL;
   tf->codes[42084] = 0x000e208047d1fee5UL;
   tf->codes[42085] = 0x000f91f454368e0fUL;
   tf->codes[42086] = 0x00002b396404694bUL;
   tf->codes[42087] = 0x00010a1f9fa88105UL;
   tf->codes[42088] = 0x00013039fd868f24UL;
   tf->codes[42089] = 0x00022bc21f90d5baUL;
   tf->codes[42090] = 0x000230e9860ad462UL;
   tf->codes[42091] = 0x0002c7f7c16ed6b8UL;
   tf->codes[42092] = 0x00033c1526218d4eUL;
   tf->codes[42093] = 0x00034a90dfcddba3UL;
   tf->codes[42094] = 0x0003b176ac7b3351UL;
   tf->codes[42095] = 0x0003b629a496b948UL;
   tf->codes[42096] = 0x0003d80453ec9d48UL;
   tf->codes[42097] = 0x0004b4c3f8d175bfUL;
   tf->codes[42098] = 0x0004b7ce297421b1UL;
   tf->codes[42099] = 0x0005779919b4a2baUL;
   tf->codes[42100] = 0x00057c56d21237dcUL;
   tf->codes[42101] = 0x0006fc0aa9c32dbdUL;
   tf->codes[42102] = 0x00075a50637bf822UL;
   tf->codes[42103] = 0x00077a3bd7461119UL;
   tf->codes[42104] = 0x0007b8889e3e6e20UL;
   tf->codes[42105] = 0x0008506da43c9a0dUL;
   tf->codes[42106] = 0x0008a44d3c051aa4UL;
   tf->codes[42107] = 0x0009002a08fa1c9cUL;
   tf->codes[42108] = 0x0009811b0f8d58d1UL;
   tf->codes[42109] = 0x000a2958f8a0d651UL;
   tf->codes[42110] = 0x000a5c4b8b8bdd73UL;
   tf->codes[42111] = 0x000a9df516d60939UL;
   tf->codes[42112] = 0x000aa2fd9be3fcfeUL;
   tf->codes[42113] = 0x000ae36e3ae7540cUL;
   tf->codes[42114] = 0x000af6cc4654d2a3UL;
   tf->codes[42115] = 0x000afe64d5af696cUL;
   tf->codes[42116] = 0x000b46eff162245bUL;
   tf->codes[42117] = 0x000be98b28da7d6cUL;
   tf->codes[42118] = 0x000d354e105f5c73UL;
   tf->codes[42119] = 0x000d64e419879a9bUL;
   tf->codes[42120] = 0x000d6c0abea8f82aUL;
   tf->codes[42121] = 0x000dffe8d0ac90d0UL;
   tf->codes[42122] = 0x000e40c6c6bcadb4UL;
   tf->codes[42123] = 0x000e68de543ae6cdUL;
   tf->codes[42124] = 0x000ed881f07db9ceUL;
   tf->codes[42125] = 0x000f106e64b54375UL;
   tf->codes[42126] = 0x000f2c5443deebc3UL;
   tf->codes[42127] = 0x000f331ce562060bUL;
   tf->codes[42128] = 0x000ff556053fd434UL;
   tf->codes[42129] = 0x000005c6ecfe8394UL;
   tf->codes[42130] = 0x0000081257b063bcUL;
   tf->codes[42131] = 0x000029daba547a2cUL;
   tf->codes[42132] = 0x000061b4a74b307eUL;
   tf->codes[42133] = 0x00006c6e0c97ae68UL;
   tf->codes[42134] = 0x0000ce3cb075a111UL;
   tf->codes[42135] = 0x0000e4de1c316dfcUL;
   tf->codes[42136] = 0x000204b584d3873eUL;
   tf->codes[42137] = 0x000258bb8a77d11dUL;
   tf->codes[42138] = 0x00028ce659fc9ba8UL;
   tf->codes[42139] = 0x00038137d3c9f0d1UL;
   tf->codes[42140] = 0x000519bf1de5135aUL;
   tf->codes[42141] = 0x000528f962f327b4UL;
   tf->codes[42142] = 0x000649887a3459e5UL;
   tf->codes[42143] = 0x0007304e68f30abbUL;
   tf->codes[42144] = 0x00077ddd3bf84046UL;
   tf->codes[42145] = 0x00080bcf2f0a7878UL;
   tf->codes[42146] = 0x0008cc775189c4a4UL;
   tf->codes[42147] = 0x0008e3d5e94d34f6UL;
   tf->codes[42148] = 0x0009033fe4e08c5fUL;
   tf->codes[42149] = 0x000906680cb32c20UL;
   tf->codes[42150] = 0x000980090705f67dUL;
   tf->codes[42151] = 0x000a65ce145e5824UL;
   tf->codes[42152] = 0x000ad3c8740a4596UL;
   tf->codes[42153] = 0x000ad837f156258aUL;
   tf->codes[42154] = 0x000ba6d6373c96a3UL;
   tf->codes[42155] = 0x000bde08b33ecda9UL;
   tf->codes[42156] = 0x000be02cc5d8cd75UL;
   tf->codes[42157] = 0x000c1493be4c8563UL;
   tf->codes[42158] = 0x000cadbc36448f6eUL;
   tf->codes[42159] = 0x000d05c28dafc543UL;
   tf->codes[42160] = 0x000d2a888c3c4a52UL;
   tf->codes[42161] = 0x000d5645d64482a5UL;
   tf->codes[42162] = 0x000d7b76329a8289UL;
   tf->codes[42163] = 0x000debbe811d8f9aUL;
   tf->codes[42164] = 0x000edcf42d437c90UL;
   tf->codes[42165] = 0x000ffb054c5ad388UL;
   tf->codes[42166] = 0x000024f8de76f306UL;
   tf->codes[42167] = 0x0000cf59efe8593eUL;
   tf->codes[42168] = 0x000108e430c7a7faUL;
   tf->codes[42169] = 0x00013103102699b3UL;
   tf->codes[42170] = 0x000153ac136ad1d1UL;
   tf->codes[42171] = 0x00019650c823bc89UL;
   tf->codes[42172] = 0x00019711d7aac205UL;
   tf->codes[42173] = 0x0001f452cc7ddb26UL;
   tf->codes[42174] = 0x000213bbddd51b7bUL;
   tf->codes[42175] = 0x0002b671638d0c0bUL;
   tf->codes[42176] = 0x0002d052fbc4d684UL;
   tf->codes[42177] = 0x000395099eae745cUL;
   tf->codes[42178] = 0x0003c292afa9f971UL;
   tf->codes[42179] = 0x00048f79ff742acfUL;
   tf->codes[42180] = 0x0004a1d30b6cf25dUL;
   tf->codes[42181] = 0x00058299dedb63e0UL;
   tf->codes[42182] = 0x0005aebc09448c90UL;
   tf->codes[42183] = 0x00061ad1036aa710UL;
   tf->codes[42184] = 0x00061e6dd42ac547UL;
   tf->codes[42185] = 0x0006dc5e94458e13UL;
   tf->codes[42186] = 0x0007093a41c5fddaUL;
   tf->codes[42187] = 0x00070ef741a0b9c8UL;
   tf->codes[42188] = 0x0007787220e53368UL;
   tf->codes[42189] = 0x00077d8bcdd9d7e4UL;
   tf->codes[42190] = 0x000828e0b6d9446eUL;
   tf->codes[42191] = 0x00086b4aa1fd6461UL;
   tf->codes[42192] = 0x0008c0101d3f8b59UL;
   tf->codes[42193] = 0x0009a9272ea7ac94UL;
   tf->codes[42194] = 0x0009bf84aa75c7f2UL;
   tf->codes[42195] = 0x0009f2393ff9b389UL;
   tf->codes[42196] = 0x000a047a47491d4aUL;
   tf->codes[42197] = 0x000a5bbe2fd32b05UL;
   tf->codes[42198] = 0x000aa853e870d58bUL;
   tf->codes[42199] = 0x000b5bd1b7521171UL;
   tf->codes[42200] = 0x000bb163b20a5e5fUL;
   tf->codes[42201] = 0x000bbd12fdec1688UL;
   tf->codes[42202] = 0x000c4f7a60d0c4b0UL;
   tf->codes[42203] = 0x000c6c32ec862ebbUL;
   tf->codes[42204] = 0x000c9c82ede3bf84UL;
   tf->codes[42205] = 0x000ce46af13f68c6UL;
   tf->codes[42206] = 0x000cfd4c1d2eef9aUL;
   tf->codes[42207] = 0x000d679306cb83a6UL;
   tf->codes[42208] = 0x000dc3fe55cf9009UL;
   tf->codes[42209] = 0x000ee3c66b0326bcUL;
   tf->codes[42210] = 0x000feef2bac6f0f7UL;
   tf->codes[42211] = 0x000002b705ef8289UL;
   tf->codes[42212] = 0x000015ab9dcf9d5fUL;
   tf->codes[42213] = 0x0000cb692ce4932eUL;
   tf->codes[42214] = 0x0001028a0be20df3UL;
   tf->codes[42215] = 0x0001202dbdeaa312UL;
   tf->codes[42216] = 0x00019975825aa351UL;
   tf->codes[42217] = 0x0001a7757bc7c055UL;
   tf->codes[42218] = 0x0001ae147b9cc08fUL;
   tf->codes[42219] = 0x0001bc0f6cbf5ea5UL;
   tf->codes[42220] = 0x0001e02b3ba31f2cUL;
   tf->codes[42221] = 0x0002aed984a52423UL;
   tf->codes[42222] = 0x0002fd9f6f79003eUL;
   tf->codes[42223] = 0x000308c7160e5b12UL;
   tf->codes[42224] = 0x000385e6af624a12UL;
   tf->codes[42225] = 0x0003a79bdb187bdeUL;
   tf->codes[42226] = 0x0003d213a41fa226UL;
   tf->codes[42227] = 0x0003e040ad9c2fc3UL;
   tf->codes[42228] = 0x00041f844565de1dUL;
   tf->codes[42229] = 0x0006549b517de2d6UL;
   tf->codes[42230] = 0x000655f653031337UL;
   tf->codes[42231] = 0x0006d5a7cb1bd363UL;
   tf->codes[42232] = 0x0007a659ab62a4e0UL;
   tf->codes[42233] = 0x000817178d0f477bUL;
   tf->codes[42234] = 0x00090c7fa3560feeUL;
   tf->codes[42235] = 0x0009334b0d9f8fabUL;
   tf->codes[42236] = 0x000a5dc1183083ceUL;
   tf->codes[42237] = 0x000a7ec99018b19bUL;
   tf->codes[42238] = 0x000aa7271c8bd02eUL;
   tf->codes[42239] = 0x000ad0f26c53f83cUL;
   tf->codes[42240] = 0x000b5505a8333e30UL;
   tf->codes[42241] = 0x000c5f60e5546f11UL;
   tf->codes[42242] = 0x000d058ea268e2b8UL;
   tf->codes[42243] = 0x000d0791ff1ea979UL;
   tf->codes[42244] = 0x000d1d062911c7ebUL;
   tf->codes[42245] = 0x000d68e67ca69334UL;
   tf->codes[42246] = 0x000ddd30072ca34fUL;
   tf->codes[42247] = 0x000e392eaed0fb2bUL;
   tf->codes[42248] = 0x000e431f3d97af6fUL;
   tf->codes[42249] = 0x000e84044af97f2eUL;
   tf->codes[42250] = 0x000f128326319968UL;
   tf->codes[42251] = 0x000fab18fe0c312eUL;
   tf->codes[42252] = 0x000fe61ebbc5e391UL;
   tf->codes[42253] = 0x000083f1400f9290UL;
   tf->codes[42254] = 0x000088c821e1a258UL;
   tf->codes[42255] = 0x0001e67e4ac2417cUL;
   tf->codes[42256] = 0x000215307f780d30UL;
   tf->codes[42257] = 0x0003008800c0f9a3UL;
   tf->codes[42258] = 0x00036f9d9012cdc3UL;
   tf->codes[42259] = 0x000397f26b4b1118UL;
   tf->codes[42260] = 0x0003f49d519f6169UL;
   tf->codes[42261] = 0x00053e4671ae4445UL;
   tf->codes[42262] = 0x0005b897c8bf6ef1UL;
   tf->codes[42263] = 0x0005d053b474113bUL;
   tf->codes[42264] = 0x00064dd9c81218fbUL;
   tf->codes[42265] = 0x0007bd2f79d43896UL;
   tf->codes[42266] = 0x0008010ad13dbe54UL;
   tf->codes[42267] = 0x00081b0eb942ea3bUL;
   tf->codes[42268] = 0x00087d9fcc0204feUL;
   tf->codes[42269] = 0x0008de387cdc6df0UL;
   tf->codes[42270] = 0x000958b0073a5c1fUL;
   tf->codes[42271] = 0x0009f3efc28322deUL;
   tf->codes[42272] = 0x000a25dca64c61a8UL;
   tf->codes[42273] = 0x000a76ef5b2c4089UL;
   tf->codes[42274] = 0x000a93cd2ff25703UL;
   tf->codes[42275] = 0x000a9bdbc7948ee0UL;
   tf->codes[42276] = 0x000b0dd5543c4b6fUL;
   tf->codes[42277] = 0x000b50cdc16f75cdUL;
   tf->codes[42278] = 0x000bac0c43c8df41UL;
   tf->codes[42279] = 0x000c034a745b5cbfUL;
   tf->codes[42280] = 0x000c663029d0ce3cUL;
   tf->codes[42281] = 0x000ce5cdbb4e9875UL;
   tf->codes[42282] = 0x000cee43f20605ebUL;
   tf->codes[42283] = 0x000ef3f65da2aab4UL;
   tf->codes[42284] = 0x000f3bf95eeafcc4UL;
   tf->codes[42285] = 0x000f44780c4e3fb3UL;
   tf->codes[42286] = 0x0000416923f2169bUL;
   tf->codes[42287] = 0x0001aa99c1a63925UL;
   tf->codes[42288] = 0x0001f06fff19b02bUL;
   tf->codes[42289] = 0x0002b7ce014c3d85UL;
   tf->codes[42290] = 0x000326db548141f1UL;
   tf->codes[42291] = 0x0003ad51500eb48bUL;
   tf->codes[42292] = 0x0003ffc533895f94UL;
   tf->codes[42293] = 0x000412b6d2262f69UL;
   tf->codes[42294] = 0x000509981bb121d1UL;
   tf->codes[42295] = 0x00053a9b73105deaUL;
   tf->codes[42296] = 0x000561850f18d73bUL;
   tf->codes[42297] = 0x00056d1ccb6f3d21UL;
   tf->codes[42298] = 0x0006b2993954d4bdUL;
   tf->codes[42299] = 0x0006b68e904aabc3UL;
   tf->codes[42300] = 0x0006b7f7fb02479fUL;
   tf->codes[42301] = 0x0006b86eed85ffc7UL;
   tf->codes[42302] = 0x00071a03777c38faUL;
   tf->codes[42303] = 0x00077d8aab5f93c1UL;
   tf->codes[42304] = 0x00086309f45215b3UL;
   tf->codes[42305] = 0x000937185e5bb02aUL;
   tf->codes[42306] = 0x00095a64b485ffbaUL;
   tf->codes[42307] = 0x0009bb1f7a9ec455UL;
   tf->codes[42308] = 0x000a050313b1702eUL;
   tf->codes[42309] = 0x000a233dbe74e531UL;
   tf->codes[42310] = 0x000ad5588a4326c7UL;
   tf->codes[42311] = 0x000b977d13d8edaeUL;
   tf->codes[42312] = 0x000bd1ca734675d3UL;
   tf->codes[42313] = 0x000c0fa5ffb2aaefUL;
   tf->codes[42314] = 0x000c7f9dc98dc920UL;
   tf->codes[42315] = 0x000c8e0402b5f91fUL;
   tf->codes[42316] = 0x000c99132f83ea9cUL;
   tf->codes[42317] = 0x000d2a981d5048eeUL;
   tf->codes[42318] = 0x000dbb62633a4350UL;
   tf->codes[42319] = 0x000dc1f508e40bfcUL;
   tf->codes[42320] = 0x000e0d745f9748fdUL;
   tf->codes[42321] = 0x000ea6386c4c6e35UL;
   tf->codes[42322] = 0x000efd6c172be24dUL;
   tf->codes[42323] = 0x000f9470b718f251UL;
   tf->codes[42324] = 0x000fd361bb337ddeUL;
   tf->codes[42325] = 0x000fd617f8cce465UL;
   tf->codes[42326] = 0x000fe156f45e8bb7UL;
   tf->codes[42327] = 0x0000640eb99a95c0UL;
   tf->codes[42328] = 0x000066d325d761fdUL;
   tf->codes[42329] = 0x000095888e5f7e77UL;
   tf->codes[42330] = 0x0000ea01dd97242eUL;
   tf->codes[42331] = 0x000112760f597df0UL;
   tf->codes[42332] = 0x000122b295280417UL;
   tf->codes[42333] = 0x0001b22a5038a391UL;
   tf->codes[42334] = 0x000237ae0e21383cUL;
   tf->codes[42335] = 0x00024d8802b15e1fUL;
   tf->codes[42336] = 0x000289c3edfd9ffeUL;
   tf->codes[42337] = 0x0002a8eda293a22aUL;
   tf->codes[42338] = 0x000340c9bcc7ed14UL;
   tf->codes[42339] = 0x0003a3ede4c285a6UL;
   tf->codes[42340] = 0x0003ab6006415327UL;
   tf->codes[42341] = 0x0003f43eda6e4dbcUL;
   tf->codes[42342] = 0x0005278ab93e1affUL;
   tf->codes[42343] = 0x0005c5d888a8efc5UL;
   tf->codes[42344] = 0x0006b713ecc66cf8UL;
   tf->codes[42345] = 0x0006e094aa6d3c28UL;
   tf->codes[42346] = 0x000715c563a2d4d0UL;
   tf->codes[42347] = 0x00076350c846b3d0UL;
   tf->codes[42348] = 0x000764bbcce7780fUL;
   tf->codes[42349] = 0x0007725dc2b651ccUL;
   tf->codes[42350] = 0x000799c443c91947UL;
   tf->codes[42351] = 0x000824eab34cd261UL;
   tf->codes[42352] = 0x0008faa4de1291deUL;
   tf->codes[42353] = 0x0009d03f3d302f64UL;
   tf->codes[42354] = 0x0009fd08636fcbd6UL;
   tf->codes[42355] = 0x000ace1e746a7c61UL;
   tf->codes[42356] = 0x000c2fc401ba5c89UL;
   tf->codes[42357] = 0x000c9b6c19f1bcbdUL;
   tf->codes[42358] = 0x000d78d03687c97fUL;
   tf->codes[42359] = 0x000d94ea77a19b06UL;
   tf->codes[42360] = 0x000dfc3e4b08c9d9UL;
   tf->codes[42361] = 0x000e25abd1c1b465UL;
   tf->codes[42362] = 0x000e3bae4334d77dUL;
   tf->codes[42363] = 0x000ed3be84ca45dbUL;
   tf->codes[42364] = 0x000fc701291cebe4UL;
   tf->codes[42365] = 0x000fcc09390cd41fUL;
   tf->codes[42366] = 0x0000187131edfcbdUL;
   tf->codes[42367] = 0x00003a66df30898bUL;
   tf->codes[42368] = 0x000105fd037b829fUL;
   tf->codes[42369] = 0x00011e76cae4d99fUL;
   tf->codes[42370] = 0x00014df076c64c5bUL;
   tf->codes[42371] = 0x0001e0b826df777cUL;
   tf->codes[42372] = 0x0001fdda9b4050d2UL;
   tf->codes[42373] = 0x000214325f16dbf3UL;
   tf->codes[42374] = 0x0003cab6568e57f4UL;
   tf->codes[42375] = 0x0004ca2d2d5ace3fUL;
   tf->codes[42376] = 0x000547aa552ef4fcUL;
   tf->codes[42377] = 0x00059cec05ce58cfUL;
   tf->codes[42378] = 0x0005b2fd5591f2ecUL;
   tf->codes[42379] = 0x0005db768f9ecb9cUL;
   tf->codes[42380] = 0x0006357e6f479a0aUL;
   tf->codes[42381] = 0x0006900c94e2a32fUL;
   tf->codes[42382] = 0x000737e981149267UL;
   tf->codes[42383] = 0x0007c5eb3cb358b2UL;
   tf->codes[42384] = 0x0007f4fd0ef09010UL;
   tf->codes[42385] = 0x0008a11307770216UL;
   tf->codes[42386] = 0x0008ac1d66897a6aUL;
   tf->codes[42387] = 0x000964c6f4822297UL;
   tf->codes[42388] = 0x0009f029c783ced9UL;
   tf->codes[42389] = 0x000a20c03cf450a6UL;
   tf->codes[42390] = 0x000a362dff42cd8cUL;
   tf->codes[42391] = 0x000bb21c8950a801UL;
   tf->codes[42392] = 0x000c260cddf3edfeUL;
   tf->codes[42393] = 0x000c471e7c350293UL;
   tf->codes[42394] = 0x000d91e0f7719df5UL;
   tf->codes[42395] = 0x000dc6f42e954e58UL;
   tf->codes[42396] = 0x000e5cc43ad8f743UL;
   tf->codes[42397] = 0x000e7db3c3dbb02fUL;
   tf->codes[42398] = 0x000eee2c56407e9fUL;
   tf->codes[42399] = 0x000f20ebe6957f26UL;
   tf->codes[42400] = 0x000f3fadfc164bb9UL;
   tf->codes[42401] = 0x000fbafa42072f92UL;
   tf->codes[42402] = 0x00011a51e07ff01bUL;
   tf->codes[42403] = 0x00012458da06d9c9UL;
   tf->codes[42404] = 0x0001be9e90abfe6fUL;
   tf->codes[42405] = 0x0001d02ae29f9a42UL;
   tf->codes[42406] = 0x0001f1289a45b8e4UL;
   tf->codes[42407] = 0x000230c6522e4870UL;
   tf->codes[42408] = 0x00025de664ba754eUL;
   tf->codes[42409] = 0x00027154734387c3UL;
   tf->codes[42410] = 0x0002c28b11d9f075UL;
   tf->codes[42411] = 0x0003ccd52714709fUL;
   tf->codes[42412] = 0x00048d8eac097347UL;
   tf->codes[42413] = 0x0004aa4d2a457354UL;
   tf->codes[42414] = 0x0004fcb38ec9c9f6UL;
   tf->codes[42415] = 0x000576eb47486e72UL;
   tf->codes[42416] = 0x00057eb20b7d92adUL;
   tf->codes[42417] = 0x000654ee23981f42UL;
   tf->codes[42418] = 0x0006595f755c2d5eUL;
   tf->codes[42419] = 0x00071515b81cc0f4UL;
   tf->codes[42420] = 0x0007dcfb9a2ab168UL;
   tf->codes[42421] = 0x00090ebd585ea9c4UL;
   tf->codes[42422] = 0x0009110e7b081a29UL;
   tf->codes[42423] = 0x000a83055efd8d7fUL;
   tf->codes[42424] = 0x000aa20362de41b0UL;
   tf->codes[42425] = 0x000adb9321261ae4UL;
   tf->codes[42426] = 0x000ae2eb69835c70UL;
   tf->codes[42427] = 0x000b2e1bd577d2f4UL;
   tf->codes[42428] = 0x000b3e53c819e5b7UL;
   tf->codes[42429] = 0x000bbbaaf7304eb6UL;
   tf->codes[42430] = 0x000c3c2dbc7aae01UL;
   tf->codes[42431] = 0x000cadbdd59506cfUL;
   tf->codes[42432] = 0x000d121e1da8c4dfUL;
   tf->codes[42433] = 0x000d24c3903b1373UL;
   tf->codes[42434] = 0x000e038d6e985fc1UL;
   tf->codes[42435] = 0x000e0b7bc5746a1dUL;
   tf->codes[42436] = 0x000e165112e9a7e9UL;
   tf->codes[42437] = 0x000e6c42709a5abcUL;
   tf->codes[42438] = 0x000e8dbbadf0a4eaUL;
   tf->codes[42439] = 0x000e9ae9aa7f1180UL;
   tf->codes[42440] = 0x000f13cba4520a4eUL;
   tf->codes[42441] = 0x000f56358f762a41UL;
   tf->codes[42442] = 0x000f5c51429c3ac5UL;
   tf->codes[42443] = 0x000fe7e36f439152UL;
   tf->codes[42444] = 0x000febb42cd5cd38UL;
   tf->codes[42445] = 0x00003010875808faUL;
   tf->codes[42446] = 0x0001169962ebb559UL;
   tf->codes[42447] = 0x00016042e216a7bcUL;
   tf->codes[42448] = 0x0001af2f0037475aUL;
   tf->codes[42449] = 0x0001cc5fa33b8666UL;
   tf->codes[42450] = 0x00037c7971ec36f0UL;
   tf->codes[42451] = 0x0003c0f13f79270aUL;
   tf->codes[42452] = 0x00040393aa9bd810UL;
   tf->codes[42453] = 0x0004aa3142e25104UL;
   tf->codes[42454] = 0x0004b42664d578acUL;
   tf->codes[42455] = 0x0005ab6e28aa83d4UL;
   tf->codes[42456] = 0x0005c9c56b43ca08UL;
   tf->codes[42457] = 0x00074a07ff92d019UL;
   tf->codes[42458] = 0x0007c8e09e0a32c1UL;
   tf->codes[42459] = 0x00094e7d9b693e15UL;
   tf->codes[42460] = 0x000a1af66f5b8cc4UL;
   tf->codes[42461] = 0x000a31c4eb26ca48UL;
   tf->codes[42462] = 0x000a495e870e0b24UL;
   tf->codes[42463] = 0x000a5ddaf5f3c12fUL;
   tf->codes[42464] = 0x000a649359cc41d4UL;
   tf->codes[42465] = 0x000a974b23227e31UL;
   tf->codes[42466] = 0x000c515dbcb6b2b3UL;
   tf->codes[42467] = 0x000cc33fb9d31cffUL;
   tf->codes[42468] = 0x000d0cc9a7e4f330UL;
   tf->codes[42469] = 0x000df23be6ff2c45UL;
   tf->codes[42470] = 0x000e6acb4d230246UL;
   tf->codes[42471] = 0x000ed392d665d096UL;
   tf->codes[42472] = 0x000f528a90d843e6UL;
   tf->codes[42473] = 0x00000d3fb7a38288UL;
   tf->codes[42474] = 0x00013b90905bb06dUL;
   tf->codes[42475] = 0x000143c0c81e3869UL;
   tf->codes[42476] = 0x00016e04a4534102UL;
   tf->codes[42477] = 0x0001966ec5809ce8UL;
   tf->codes[42478] = 0x0001a6d4b26e3758UL;
   tf->codes[42479] = 0x00022067438e963aUL;
   tf->codes[42480] = 0x00026138df737b90UL;
   tf->codes[42481] = 0x00027113b8b36220UL;
   tf->codes[42482] = 0x00029fbcc710470cUL;
   tf->codes[42483] = 0x0002bfe588946a3fUL;
   tf->codes[42484] = 0x0002d32d63d0b931UL;
   tf->codes[42485] = 0x00033cb3ed935910UL;
   tf->codes[42486] = 0x00036b732c216da1UL;
   tf->codes[42487] = 0x0003fa07c26cabf6UL;
   tf->codes[42488] = 0x00066cbf1c3e0f7cUL;
   tf->codes[42489] = 0x00068dc9689e6b71UL;
   tf->codes[42490] = 0x00069189adf707efUL;
   tf->codes[42491] = 0x0006beafb309cacfUL;
   tf->codes[42492] = 0x000757c2355faafaUL;
   tf->codes[42493] = 0x000780c598de2076UL;
   tf->codes[42494] = 0x0009cc35c826d2eeUL;
   tf->codes[42495] = 0x000a1919bbd632a2UL;
   tf->codes[42496] = 0x000b5d65b420caffUL;
   tf->codes[42497] = 0x000b689103a68223UL;
   tf->codes[42498] = 0x000ba1bb31e059abUL;
   tf->codes[42499] = 0x000dfda3d55779e8UL;
   tf->codes[42500] = 0x000e0396967c81adUL;
   tf->codes[42501] = 0x000e2adcd6c91ba7UL;
   tf->codes[42502] = 0x000eb80284f433a8UL;
   tf->codes[42503] = 0x000edaca2f1570e4UL;
   tf->codes[42504] = 0x000efcd3fd81f96aUL;
   tf->codes[42505] = 0x000f1144123c77e7UL;
   tf->codes[42506] = 0x000fc8fc4ccc5939UL;
   tf->codes[42507] = 0x000ff6efbb915923UL;
   tf->codes[42508] = 0x00000319dd762b89UL;
   tf->codes[42509] = 0x00012018b8b17cd6UL;
   tf->codes[42510] = 0x00017508fa6cdab5UL;
   tf->codes[42511] = 0x000197430cbb249aUL;
   tf->codes[42512] = 0x0001d727e863b679UL;
   tf->codes[42513] = 0x0002e6c723d4b733UL;
   tf->codes[42514] = 0x0003214bde75b392UL;
   tf->codes[42515] = 0x000380f0081504e3UL;
   tf->codes[42516] = 0x0003c4ae528aade6UL;
   tf->codes[42517] = 0x0003cc6672fe60e1UL;
   tf->codes[42518] = 0x000460c0f4ee3c27UL;
   tf->codes[42519] = 0x0004e3e56189fab7UL;
   tf->codes[42520] = 0x0004f6ae8343cd57UL;
   tf->codes[42521] = 0x000630047834eeddUL;
   tf->codes[42522] = 0x0006a077c7c0389aUL;
   tf->codes[42523] = 0x00071096e9b33727UL;
   tf->codes[42524] = 0x000750b98833deccUL;
   tf->codes[42525] = 0x000769334f9d35ccUL;
   tf->codes[42526] = 0x0008107f7029e0e7UL;
   tf->codes[42527] = 0x000835eb45c1bcdfUL;
   tf->codes[42528] = 0x0008b6b2aaa6df06UL;
   tf->codes[42529] = 0x000907e774c51990UL;
   tf->codes[42530] = 0x000921b43c25d702UL;
   tf->codes[42531] = 0x000a2b96b24b2193UL;
   tf->codes[42532] = 0x000a45da6c2f972dUL;
   tf->codes[42533] = 0x000a4e6c5080bec0UL;
   tf->codes[42534] = 0x000a83b8f1df174aUL;
   tf->codes[42535] = 0x000acc19bc36a6dcUL;
   tf->codes[42536] = 0x000b0fd5f7a51bf2UL;
   tf->codes[42537] = 0x000b4993b0387cd3UL;
   tf->codes[42538] = 0x000bb649ee3d7ad8UL;
   tf->codes[42539] = 0x000bd95acb25ee54UL;
   tf->codes[42540] = 0x000bda174780806cUL;
   tf->codes[42541] = 0x000bf8f1271ba507UL;
   tf->codes[42542] = 0x000c1986557076fcUL;
   tf->codes[42543] = 0x000cbc0bd1d5abf2UL;
   tf->codes[42544] = 0x000d17e0d7cbe9c0UL;
   tf->codes[42545] = 0x000d6ace31ef8c68UL;
   tf->codes[42546] = 0x000e1cfbbf8da718UL;
   tf->codes[42547] = 0x000e5ce7b287ebd2UL;
   tf->codes[42548] = 0x000e7bbe98dfc56cUL;
   tf->codes[42549] = 0x000edc857e94bbd0UL;
   tf->codes[42550] = 0x000ee061e6a51df5UL;
   tf->codes[42551] = 0x000eedc6199be1ecUL;
   tf->codes[42552] = 0x000f393b9a4926d6UL;
   tf->codes[42553] = 0x000feafe1a70b562UL;
   tf->codes[42554] = 0x0000195d465952bfUL;
   tf->codes[42555] = 0x0000947564e91324UL;
   tf->codes[42556] = 0x0000c4c3573f7000UL;
   tf->codes[42557] = 0x0000cd0b591c5004UL;
   tf->codes[42558] = 0x0001260b7a9c222dUL;
   tf->codes[42559] = 0x000292063c84a131UL;
   tf->codes[42560] = 0x0002af5cd8469dfbUL;
   tf->codes[42561] = 0x0002e88f7d2c4afcUL;
   tf->codes[42562] = 0x0005405d0b7edc3aUL;
   tf->codes[42563] = 0x00057980226700e7UL;
   tf->codes[42564] = 0x00060cf95409a930UL;
   tf->codes[42565] = 0x0006964015ff1f95UL;
   tf->codes[42566] = 0x00069fa4e16b0eaaUL;
   tf->codes[42567] = 0x000753741f305084UL;
   tf->codes[42568] = 0x000811f326cb1df6UL;
   tf->codes[42569] = 0x0009de78e008abc0UL;
   tf->codes[42570] = 0x000a2c3622777482UL;
   tf->codes[42571] = 0x000a2df84df3cef2UL;
   tf->codes[42572] = 0x000b25b98871d1b9UL;
   tf->codes[42573] = 0x000b61f5ae4d195dUL;
   tf->codes[42574] = 0x000b8d1e4930ab7eUL;
   tf->codes[42575] = 0x000be39194362b69UL;
   tf->codes[42576] = 0x000cc9fb193fc15bUL;
   tf->codes[42577] = 0x000dcc4958a7e2c2UL;
   tf->codes[42578] = 0x000dec754dfe56bbUL;
   tf->codes[42579] = 0x000e2c83cb5502a8UL;
   tf->codes[42580] = 0x000e56adce687f4cUL;
   tf->codes[42581] = 0x000ec212314133b8UL;
   tf->codes[42582] = 0x000ed79d75a198e3UL;
   tf->codes[42583] = 0x000fe137a33bc448UL;
   tf->codes[42584] = 0x00004fae3844ee95UL;
   tf->codes[42585] = 0x0000a40119a0cb04UL;
   tf->codes[42586] = 0x0000c3e69ae44df9UL;
   tf->codes[42587] = 0x0000d30b99fd49c2UL;
   tf->codes[42588] = 0x00013c1997530916UL;
   tf->codes[42589] = 0x00016cc1e4574ce9UL;
   tf->codes[42590] = 0x0001b303deee6162UL;
   tf->codes[42591] = 0x0001ee50c0681618UL;
   tf->codes[42592] = 0x0003119f762a9b5dUL;
   tf->codes[42593] = 0x000334607e183148UL;
   tf->codes[42594] = 0x0004115a7773c8faUL;
   tf->codes[42595] = 0x0004446c2659e0c4UL;
   tf->codes[42596] = 0x0004daf6da7fed9fUL;
   tf->codes[42597] = 0x00053ae3c1c869a6UL;
   tf->codes[42598] = 0x0005b18f96de9addUL;
   tf->codes[42599] = 0x000606be10901a0cUL;
   tf->codes[42600] = 0x00070831a1deafc7UL;
   tf->codes[42601] = 0x0007f238e1e47b04UL;
   tf->codes[42602] = 0x000880d6296a9497UL;
   tf->codes[42603] = 0x0009802e93e90b89UL;
   tf->codes[42604] = 0x0009cdc3ce92e2a0UL;
   tf->codes[42605] = 0x000a8c939564a4b7UL;
   tf->codes[42606] = 0x000b0c2ea2bd2f79UL;
   tf->codes[42607] = 0x000c39f37d8b926aUL;
   tf->codes[42608] = 0x000c40db7598c31fUL;
   tf->codes[42609] = 0x000c6a5ad3e56fb1UL;
   tf->codes[42610] = 0x000c7dd74ba0eda1UL;
   tf->codes[42611] = 0x000cdeeca6f69ef8UL;
   tf->codes[42612] = 0x000cfa97476d70f7UL;
   tf->codes[42613] = 0x000e18edb5cc9c1aUL;
   tf->codes[42614] = 0x000e19ff0f6c8ab1UL;
   tf->codes[42615] = 0x000e9cb7bee4abceUL;
   tf->codes[42616] = 0x000f2aae7fb25d29UL;
   tf->codes[42617] = 0x000081660b369069UL;
   tf->codes[42618] = 0x00009a02d21a5a26UL;
   tf->codes[42619] = 0x0000d1734b83acb7UL;
   tf->codes[42620] = 0x0000ddcdebd94641UL;
   tf->codes[42621] = 0x000176ea09a618beUL;
   tf->codes[42622] = 0x0001bc89d622329eUL;
   tf->codes[42623] = 0x0002af717019e061UL;
   tf->codes[42624] = 0x0002b0f05b559a93UL;
   tf->codes[42625] = 0x00037067cdaae1bbUL;
   tf->codes[42626] = 0x000557820003d9c4UL;
   tf->codes[42627] = 0x0005d8e31c58210bUL;
   tf->codes[42628] = 0x000698278c176198UL;
   tf->codes[42629] = 0x0006b2fab246f8b1UL;
   tf->codes[42630] = 0x0007c3b2d3c7a667UL;
   tf->codes[42631] = 0x0008230ca5d4a49fUL;
   tf->codes[42632] = 0x00083cbdbf9ba7f4UL;
   tf->codes[42633] = 0x000864ecdca53350UL;
   tf->codes[42634] = 0x00096e7d3439669eUL;
   tf->codes[42635] = 0x000a8c4cacf945bbUL;
   tf->codes[42636] = 0x000a9c600637bd5eUL;
   tf->codes[42637] = 0x000b267a246606cfUL;
   tf->codes[42638] = 0x000c62c24550767aUL;
   tf->codes[42639] = 0x000c75159951adcbUL;
   tf->codes[42640] = 0x000c83a7832f2bc5UL;
   tf->codes[42641] = 0x000d6d5134b4bf45UL;
   tf->codes[42642] = 0x000dfa7ac65f395bUL;
   tf->codes[42643] = 0x000e22fc01f9dbfaUL;
   tf->codes[42644] = 0x000e26fffcb12440UL;
   tf->codes[42645] = 0x000e58e58e99aa6aUL;
   tf->codes[42646] = 0x000e80131a8fd548UL;
   tf->codes[42647] = 0x000f3f10668f1382UL;
   tf->codes[42648] = 0x000f5ecfb485d2f4UL;
   tf->codes[42649] = 0x000fd0f616adfa57UL;
   tf->codes[42650] = 0x000fd48e5441a52aUL;
   tf->codes[42651] = 0x000ff0fa3ece826aUL;
   tf->codes[42652] = 0x00007408061b05cbUL;
   tf->codes[42653] = 0x0000a05cf88b2f51UL;
   tf->codes[42654] = 0x00010afa5956483fUL;
   tf->codes[42655] = 0x00026b3b0f1affefUL;
   tf->codes[42656] = 0x0003292fb2b52ad0UL;
   tf->codes[42657] = 0x0003cd2ffc47b21eUL;
   tf->codes[42658] = 0x00046cb1751fd6e9UL;
   tf->codes[42659] = 0x0005236893ba6347UL;
   tf->codes[42660] = 0x00056b8ff3d74ab2UL;
   tf->codes[42661] = 0x00059d707d7551eeUL;
   tf->codes[42662] = 0x0006c3fe3ae8b7e8UL;
   tf->codes[42663] = 0x0007404659f56c02UL;
   tf->codes[42664] = 0x0008fc147cd253a3UL;
   tf->codes[42665] = 0x000926f160c9700dUL;
   tf->codes[42666] = 0x000a49ed484dccc0UL;
   tf->codes[42667] = 0x000b5febec4389c6UL;
   tf->codes[42668] = 0x000b9947489b39c1UL;
   tf->codes[42669] = 0x000ba3d4c2a363ebUL;
   tf->codes[42670] = 0x000ba75d37aa80a5UL;
   tf->codes[42671] = 0x000c151a842b69a0UL;
   tf->codes[42672] = 0x000dbcff4d5e1905UL;
   tf->codes[42673] = 0x000e1b91e2ce75faUL;
   tf->codes[42674] = 0x000e5434e0d9fbb7UL;
   tf->codes[42675] = 0x000ed2956802895eUL;
   tf->codes[42676] = 0x000f984bc787598cUL;
   tf->codes[42677] = 0x00001a8e3428d3d0UL;
   tf->codes[42678] = 0x0000da72134ec9baUL;
   tf->codes[42679] = 0x0000e8899c473901UL;
   tf->codes[42680] = 0x0001273dc7c5c5dcUL;
   tf->codes[42681] = 0x0001339917c870b5UL;
   tf->codes[42682] = 0x00014be08c48d269UL;
   tf->codes[42683] = 0x000196409547c0e2UL;
   tf->codes[42684] = 0x0001e126e438ea12UL;
   tf->codes[42685] = 0x000369a72f40cc86UL;
   tf->codes[42686] = 0x00056c45cec3d30bUL;
   tf->codes[42687] = 0x0005743ee5e1ec92UL;
   tf->codes[42688] = 0x00064f35bd16c348UL;
   tf->codes[42689] = 0x000673936ce1016fUL;
   tf->codes[42690] = 0x0007158d9b097cc0UL;
   tf->codes[42691] = 0x00073f5e683a2f46UL;
   tf->codes[42692] = 0x000794be100986e8UL;
   tf->codes[42693] = 0x000801bac22175f1UL;
   tf->codes[42694] = 0x000818c94a5b02edUL;
   tf->codes[42695] = 0x000837689af06288UL;
   tf->codes[42696] = 0x0009011c1869cde6UL;
   tf->codes[42697] = 0x0009f44349b1bf97UL;
   tf->codes[42698] = 0x000af2e9f817b39cUL;
   tf->codes[42699] = 0x000c1ffbb7737102UL;
   tf->codes[42700] = 0x000c3a8d71da9605UL;
   tf->codes[42701] = 0x000c3b3b4a73b6ddUL;
   tf->codes[42702] = 0x000ccb37b18d68abUL;
   tf->codes[42703] = 0x000e57a72675865eUL;
   tf->codes[42704] = 0x000e6c8ba98e7d8cUL;
   tf->codes[42705] = 0x000eec802758d831UL;
   tf->codes[42706] = 0x00016464da2ad061UL;
   tf->codes[42707] = 0x000176c990a1be2eUL;
   tf->codes[42708] = 0x000227f9ab3ae03aUL;
   tf->codes[42709] = 0x00026fd4df4d4664UL;
   tf->codes[42710] = 0x0002802844fa0d7fUL;
   tf->codes[42711] = 0x00029d391c562a94UL;
   tf->codes[42712] = 0x0002c7bb6b105a42UL;
   tf->codes[42713] = 0x00037c0b36d04696UL;
   tf->codes[42714] = 0x0005bfb6765c02fbUL;
   tf->codes[42715] = 0x0005cdea5c9b3daeUL;
   tf->codes[42716] = 0x00076e2ab1662a46UL;
   tf->codes[42717] = 0x0008b7b9f853812dUL;
   tf->codes[42718] = 0x00096fe15e68567dUL;
   tf->codes[42719] = 0x000a0a675c0ad060UL;
   tf->codes[42720] = 0x000b3448b7771e51UL;
   tf->codes[42721] = 0x000b94a6d94bc243UL;
   tf->codes[42722] = 0x000c2c1d28e305bcUL;
   tf->codes[42723] = 0x000cbc98be9d3f66UL;
   tf->codes[42724] = 0x000ce0b11f1fa962UL;
   tf->codes[42725] = 0x000dbed267bd598bUL;
   tf->codes[42726] = 0x000f25c8c2a64ca4UL;
   tf->codes[42727] = 0x000fa27a5540647fUL;
   tf->codes[42728] = 0x000088693ed5e5f9UL;
   tf->codes[42729] = 0x0000c52ac0675140UL;
   tf->codes[42730] = 0x000181d46597df9eUL;
   tf->codes[42731] = 0x00026ab87469fa3eUL;
   tf->codes[42732] = 0x0002c5b933eb4decUL;
   tf->codes[42733] = 0x000308e16fe22e1fUL;
   tf->codes[42734] = 0x0003df83180abc60UL;
   tf->codes[42735] = 0x00063445c60d905dUL;
   tf->codes[42736] = 0x000642a940817b20UL;
   tf->codes[42737] = 0x0006e2e8cf9d5a66UL;
   tf->codes[42738] = 0x0006e40c00d10b03UL;
   tf->codes[42739] = 0x0006f8ca509d3eaeUL;
   tf->codes[42740] = 0x00072154ed1fcddaUL;
   tf->codes[42741] = 0x00072aab14ca4bafUL;
   tf->codes[42742] = 0x000770a91f73ae9bUL;
   tf->codes[42743] = 0x0007a6f41e1316ddUL;
   tf->codes[42744] = 0x0008e801be59dfd4UL;
   tf->codes[42745] = 0x0008ff7fe7366c58UL;
   tf->codes[42746] = 0x0009393020d378d2UL;
   tf->codes[42747] = 0x0009fdeaa73c78bfUL;
   tf->codes[42748] = 0x000a16f2b625d465UL;
   tf->codes[42749] = 0x000a65588e54394cUL;
   tf->codes[42750] = 0x000b68fc51d9009cUL;
   tf->codes[42751] = 0x000c0b1efce47922UL;
   tf->codes[42752] = 0x000c1d7f5abdf950UL;
   tf->codes[42753] = 0x000ca8fe8b0670feUL;
   tf->codes[42754] = 0x000dd9495f8c7917UL;
   tf->codes[42755] = 0x000e21d948faad2fUL;
   tf->codes[42756] = 0x000e49a8535ec157UL;
   tf->codes[42757] = 0x000eab905b40346bUL;
   tf->codes[42758] = 0x000ff92a3f187ae9UL;
   tf->codes[42759] = 0x0000b62c2fefbc51UL;
   tf->codes[42760] = 0x0000d161b25b0450UL;
   tf->codes[42761] = 0x000145ceec089877UL;
   tf->codes[42762] = 0x00016023cdd3bec8UL;
   tf->codes[42763] = 0x0001668002862a4eUL;
   tf->codes[42764] = 0x0001e517aa53266aUL;
   tf->codes[42765] = 0x000215dba4f1245aUL;
   tf->codes[42766] = 0x0002d1d90b71ba43UL;
   tf->codes[42767] = 0x0002d817f8a14349UL;
   tf->codes[42768] = 0x00032359c70b7049UL;
   tf->codes[42769] = 0x0004bd84d054ede9UL;
   tf->codes[42770] = 0x0004d3d8eb3b1cbaUL;
   tf->codes[42771] = 0x0005e505408b3d5cUL;
   tf->codes[42772] = 0x0005f4f8ce219308UL;
   tf->codes[42773] = 0x0007160f50201cc9UL;
   tf->codes[42774] = 0x0007624a7380da93UL;
   tf->codes[42775] = 0x0007fbbe2d474ecbUL;
   tf->codes[42776] = 0x000857f01210b307UL;
   tf->codes[42777] = 0x0008a4a7dfecb936UL;
   tf->codes[42778] = 0x0008e19587517e02UL;
   tf->codes[42779] = 0x000919ecce708e08UL;
   tf->codes[42780] = 0x0009b2e11f07749fUL;
   tf->codes[42781] = 0x000a2397e962645fUL;
   tf->codes[42782] = 0x000a5de9dbfc5fe8UL;
   tf->codes[42783] = 0x000aa2704d4ac142UL;
   tf->codes[42784] = 0x000ac9a8d4120110UL;
   tf->codes[42785] = 0x000b3da2c42c395fUL;
   tf->codes[42786] = 0x000b56500349a284UL;
   tf->codes[42787] = 0x000bfc9f25ef6085UL;
   tf->codes[42788] = 0x000c2dc5423a0996UL;
   tf->codes[42789] = 0x000cb44588eb7fd1UL;
   tf->codes[42790] = 0x000cf9e5556799b1UL;
   tf->codes[42791] = 0x000d014fafe7a308UL;
   tf->codes[42792] = 0x000d13c603634d16UL;
   tf->codes[42793] = 0x000d1b2cb4f2fa1dUL;
   tf->codes[42794] = 0x000d3783598abeccUL;
   tf->codes[42795] = 0x000d3f881b26fe92UL;
   tf->codes[42796] = 0x000d86e83ea744baUL;
   tf->codes[42797] = 0x000d9806c4700f2dUL;
   tf->codes[42798] = 0x000e0bfbe6cece53UL;
   tf->codes[42799] = 0x000e4c05d0f906dcUL;
   tf->codes[42800] = 0x000e806627391779UL;
   tf->codes[42801] = 0x000fef8617b0eb3dUL;
   tf->codes[42802] = 0x000075ae87d9b9f8UL;
   tf->codes[42803] = 0x0000905a55f170b5UL;
   tf->codes[42804] = 0x000100cda57cba72UL;
   tf->codes[42805] = 0x0001959961f8bda3UL;
   tf->codes[42806] = 0x00020f8b1b827ca5UL;
   tf->codes[42807] = 0x00023845c157c76bUL;
   tf->codes[42808] = 0x00029823ca4fcc6dUL;
   tf->codes[42809] = 0x00030c6553481299UL;
   tf->codes[42810] = 0x00031e0e77a08562UL;
   tf->codes[42811] = 0x00045b364eeeffa7UL;
   tf->codes[42812] = 0x0005558f5ab8699cUL;
   tf->codes[42813] = 0x00055780dfda6e57UL;
   tf->codes[42814] = 0x0005aaaf6b377d50UL;
   tf->codes[42815] = 0x00066b8a55bdca52UL;
   tf->codes[42816] = 0x00073eecbba67219UL;
   tf->codes[42817] = 0x000769dac7843f3aUL;
   tf->codes[42818] = 0x00078f892dafaa21UL;
   tf->codes[42819] = 0x000821ed97510d48UL;
   tf->codes[42820] = 0x00097f3edfd0bc0fUL;
   tf->codes[42821] = 0x00099c6ff7f306a5UL;
   tf->codes[42822] = 0x0009de4324eb4c79UL;
   tf->codes[42823] = 0x000a2689db924a51UL;
   tf->codes[42824] = 0x000a3d0eaf78460bUL;
   tf->codes[42825] = 0x000a7a86f56cb32dUL;
   tf->codes[42826] = 0x000b1a02b64d47bbUL;
   tf->codes[42827] = 0x000ca0b2a7356a09UL;
   tf->codes[42828] = 0x000ca95ccabef52eUL;
   tf->codes[42829] = 0x000cb1706aababf9UL;
   tf->codes[42830] = 0x000dac0b1ccc8dc9UL;
   tf->codes[42831] = 0x000e2a3a3b483d38UL;
   tf->codes[42832] = 0x000eadcd5e4ae43cUL;
   tf->codes[42833] = 0x000ef3055122c2beUL;
   tf->codes[42834] = 0x000ef9673dccbe81UL;
   tf->codes[42835] = 0x000f266d77375f6aUL;
   tf->codes[42836] = 0x000f6a522f88d1b5UL;
   tf->codes[42837] = 0x000052e2fafeb839UL;
   tf->codes[42838] = 0x00019cfc30cea627UL;
   tf->codes[42839] = 0x0001fc82633e03a9UL;
   tf->codes[42840] = 0x00030d26d8b2c131UL;
   tf->codes[42841] = 0x00047dc24604f89cUL;
   tf->codes[42842] = 0x0004b8d6e20f2204UL;
   tf->codes[42843] = 0x000536baf94b6d0bUL;
   tf->codes[42844] = 0x00068a1dc20b9b7bUL;
   tf->codes[42845] = 0x0006e848b866c2d7UL;
   tf->codes[42846] = 0x00083bd597f316dfUL;
   tf->codes[42847] = 0x00084511abed02faUL;
   tf->codes[42848] = 0x00086b2c445a16deUL;
   tf->codes[42849] = 0x00089c1b4000517aUL;
   tf->codes[42850] = 0x0009708404b7d2e8UL;
   tf->codes[42851] = 0x00097f3b37a5fd51UL;
   tf->codes[42852] = 0x0009b9dab5a49cb9UL;
   tf->codes[42853] = 0x0009d5c3c8a095cdUL;
   tf->codes[42854] = 0x000a3689c419751dUL;
   tf->codes[42855] = 0x000a56326cc0f960UL;
   tf->codes[42856] = 0x000acafaeb588b92UL;
   tf->codes[42857] = 0x000c0a7544aa98daUL;
   tf->codes[42858] = 0x000c0e651e37e568UL;
   tf->codes[42859] = 0x000c98c27ca6cf17UL;
   tf->codes[42860] = 0x000ce2c40ce96ebfUL;
   tf->codes[42861] = 0x000fb6392616e1e1UL;
   tf->codes[42862] = 0x0000256978c6590aUL;
   tf->codes[42863] = 0x00010e83f88fd0d0UL;
   tf->codes[42864] = 0x00012df7ca292050UL;
   tf->codes[42865] = 0x00017a37bb455743UL;
   tf->codes[42866] = 0x000238cc4364430bUL;
   tf->codes[42867] = 0x00024804ee892f02UL;
   tf->codes[42868] = 0x000291f30d4ee441UL;
   tf->codes[42869] = 0x0003bd9c11a0171aUL;
   tf->codes[42870] = 0x0005e65fcf433ae9UL;
   tf->codes[42871] = 0x0006406b926b6b6cUL;
   tf->codes[42872] = 0x00077b02afc0315eUL;
   tf->codes[42873] = 0x0007a41b1ea4b9a6UL;
   tf->codes[42874] = 0x0007bc1eddc66f92UL;
   tf->codes[42875] = 0x0008688c37b77d8eUL;
   tf->codes[42876] = 0x00088c648bcb9812UL;
   tf->codes[42877] = 0x00097a5e2983ef54UL;
   tf->codes[42878] = 0x0009a5363fbf9295UL;
   tf->codes[42879] = 0x0009d007b3c78e85UL;
   tf->codes[42880] = 0x000a27f4a72f43efUL;
   tf->codes[42881] = 0x000ac0109342d88cUL;
   tf->codes[42882] = 0x000ac4d10a54b2eaUL;
   tf->codes[42883] = 0x000ace1f6b006c95UL;
   tf->codes[42884] = 0x000b8ed840485deeUL;
   tf->codes[42885] = 0x000bda90518931c7UL;
   tf->codes[42886] = 0x000bdf19a7f69db0UL;
   tf->codes[42887] = 0x000c257b6e35d420UL;
   tf->codes[42888] = 0x000c3ba6d1a9fff7UL;
   tf->codes[42889] = 0x000e1ff50b566d5eUL;
   tf->codes[42890] = 0x000e312c0ae6a128UL;
   tf->codes[42891] = 0x000ed70893a614a0UL;
   tf->codes[42892] = 0x000efb693cb39dc8UL;
   tf->codes[42893] = 0x000fa887a3101d62UL;
   tf->codes[42894] = 0x00003e09e9601ca9UL;
   tf->codes[42895] = 0x00009afb43c75dfeUL;
   tf->codes[42896] = 0x0000c09d8a56971cUL;
   tf->codes[42897] = 0x000115e910fbf306UL;
   tf->codes[42898] = 0x00016a484c830703UL;
   tf->codes[42899] = 0x0002aeb151c17c1bUL;
   tf->codes[42900] = 0x0002b8e9b3f54401UL;
   tf->codes[42901] = 0x0003c7749c830b23UL;
   tf->codes[42902] = 0x000454f973178344UL;
   tf->codes[42903] = 0x0004c709a50e7b02UL;
   tf->codes[42904] = 0x0004f13b6f20bbd0UL;
   tf->codes[42905] = 0x00059758b3fb900fUL;
   tf->codes[42906] = 0x0005dcb2bc11ca3aUL;
   tf->codes[42907] = 0x0006ce40b3de6a3aUL;
   tf->codes[42908] = 0x0006ecda870b3f5dUL;
   tf->codes[42909] = 0x00075ed7f7325e01UL;
   tf->codes[42910] = 0x0009a2a1a30c19bfUL;
   tf->codes[42911] = 0x0009a5c39dc91db9UL;
   tf->codes[42912] = 0x000a9a2555410c85UL;
   tf->codes[42913] = 0x000a9b06e01d4547UL;
   tf->codes[42914] = 0x000c5372fbced976UL;
   tf->codes[42915] = 0x000c656c6a40355aUL;
   tf->codes[42916] = 0x000cca1a03299184UL;
   tf->codes[42917] = 0x000cfb740c465844UL;
   tf->codes[42918] = 0x000d08343ca9f37aUL;
   tf->codes[42919] = 0x000d4a7d71e9da62UL;
   tf->codes[42920] = 0x000e0de741f1ad8fUL;
   tf->codes[42921] = 0x000e6e4dda7226faUL;
   tf->codes[42922] = 0x000eb31baa0f906cUL;
   tf->codes[42923] = 0x000eead9744e8117UL;
   tf->codes[42924] = 0x000efe66d961a9f9UL;
   tf->codes[42925] = 0x0000bcd802ea137dUL;
   tf->codes[42926] = 0x000106d3db3522e8UL;
   tf->codes[42927] = 0x0001d3a7f4116fa2UL;
   tf->codes[42928] = 0x00022371f41debb2UL;
   tf->codes[42929] = 0x00029f5323c27b82UL;
   tf->codes[42930] = 0x00032a494f64733dUL;
   tf->codes[42931] = 0x0003e07bfc84f30cUL;
   tf->codes[42932] = 0x0003f8886ce18436UL;
   tf->codes[42933] = 0x0004afcf6ce53d9dUL;
   tf->codes[42934] = 0x00063b484b8b0fc2UL;
   tf->codes[42935] = 0x000656d6c94a1c1aUL;
   tf->codes[42936] = 0x00069f97a64722e0UL;
   tf->codes[42937] = 0x0006eb270015f3bfUL;
   tf->codes[42938] = 0x00077980cccc674fUL;
   tf->codes[42939] = 0x000886c9dd4978b6UL;
   tf->codes[42940] = 0x0008ad80019ddfe2UL;
   tf->codes[42941] = 0x0008d08b268ec321UL;
   tf->codes[42942] = 0x0009e1b8db390661UL;
   tf->codes[42943] = 0x000a87f95a1d5322UL;
   tf->codes[42944] = 0x000b34fa03d8e4b2UL;
   tf->codes[42945] = 0x000c24eb53c8dc76UL;
   tf->codes[42946] = 0x000c2f10f42ccb42UL;
   tf->codes[42947] = 0x000cb1b0ef4e7d43UL;
   tf->codes[42948] = 0x000d8a8e742b6358UL;
   tf->codes[42949] = 0x000decb38f37dae3UL;
   tf->codes[42950] = 0x000e6fda4569d325UL;
   tf->codes[42951] = 0x000f07998d394719UL;
   tf->codes[42952] = 0x000f68486e44dfb0UL;
   tf->codes[42953] = 0x00000de94333714fUL;
   tf->codes[42954] = 0x000051a7c8382017UL;
   tf->codes[42955] = 0x0000c375deb99470UL;
   tf->codes[42956] = 0x0002b1d6474d063aUL;
   tf->codes[42957] = 0x00056c05542a022bUL;
   tf->codes[42958] = 0x0005d444887361d7UL;
   tf->codes[42959] = 0x0005e8bfd28dfb09UL;
   tf->codes[42960] = 0x0006b2f06fa0ba56UL;
   tf->codes[42961] = 0x0006e8e063e52a52UL;
   tf->codes[42962] = 0x000757973feba9dcUL;
   tf->codes[42963] = 0x000968761fd922a2UL;
   tf->codes[42964] = 0x0009b1dd838e91a0UL;
   tf->codes[42965] = 0x0009f49f453b5913UL;
   tf->codes[42966] = 0x000aa90924abd721UL;
   tf->codes[42967] = 0x000b1c0860755c08UL;
   tf->codes[42968] = 0x000b4719a65ca1abUL;
   tf->codes[42969] = 0x000b4a678c5df965UL;
   tf->codes[42970] = 0x000b662cf0326e6dUL;
   tf->codes[42971] = 0x000b79b0b9cea4fdUL;
   tf->codes[42972] = 0x000b896b52485e0cUL;
   tf->codes[42973] = 0x000bc07f61fc95b9UL;
   tf->codes[42974] = 0x000c1ba9137ef226UL;
   tf->codes[42975] = 0x000ca226d60b28eaUL;
   tf->codes[42976] = 0x000ca4e96dcfc6ffUL;
   tf->codes[42977] = 0x000d29d339ba30c5UL;
   tf->codes[42978] = 0x000e2df282ef23a1UL;
   tf->codes[42979] = 0x0000186680569f68UL;
   tf->codes[42980] = 0x00003c9b0390cf0bUL;
   tf->codes[42981] = 0x00005b9c75d2d9c7UL;
   tf->codes[42982] = 0x000094d3e873fff1UL;
   tf->codes[42983] = 0x0000eeb93dc0672cUL;
   tf->codes[42984] = 0x0001192a2a04e05eUL;
   tf->codes[42985] = 0x00020130cc092a16UL;
   tf->codes[42986] = 0x00020871bf6a1f24UL;
   tf->codes[42987] = 0x00023ddb332d4ea4UL;
   tf->codes[42988] = 0x00025f05fae2dddfUL;
   tf->codes[42989] = 0x00047f5ad3af4cd8UL;
   tf->codes[42990] = 0x0005eea0bce4de5aUL;
   tf->codes[42991] = 0x000680762f592b8cUL;
   tf->codes[42992] = 0x00070c32ad5bad76UL;
   tf->codes[42993] = 0x0007d8a7633f944bUL;
   tf->codes[42994] = 0x0008118ae2d7750aUL;
   tf->codes[42995] = 0x0008bf3790b3f94aUL;
   tf->codes[42996] = 0x0009a83be04c416bUL;
   tf->codes[42997] = 0x000aae91fdeb0d2dUL;
   tf->codes[42998] = 0x000b1eb27f382e58UL;
   tf->codes[42999] = 0x000c95fa6b55ba64UL;
   tf->codes[43000] = 0x000c9f01e2d07781UL;
   tf->codes[43001] = 0x000d253d89e72ae0UL;
   tf->codes[43002] = 0x000ed9fee0c440e7UL;
   tf->codes[43003] = 0x000efcb8d16023f7UL;
   tf->codes[43004] = 0x0000040a186daeabUL;
   tf->codes[43005] = 0x00010cbfc1e8564dUL;
   tf->codes[43006] = 0x00021c05c7768ce9UL;
   tf->codes[43007] = 0x0002e6b4e37cc2c3UL;
   tf->codes[43008] = 0x0003fb8e81c6a104UL;
   tf->codes[43009] = 0x00056577b855f391UL;
   tf->codes[43010] = 0x000722685cb97a80UL;
   tf->codes[43011] = 0x0009277357619ffdUL;
   tf->codes[43012] = 0x000a264ccdce94d8UL;
   tf->codes[43013] = 0x000bfe820d7ce090UL;
   tf->codes[43014] = 0x000d33a81c726610UL;
   tf->codes[43015] = 0x000d929004462b0eUL;
   tf->codes[43016] = 0x000d9bfbe703ccfeUL;
   tf->codes[43017] = 0x000dc6d437ce7604UL;
   tf->codes[43018] = 0x000dc954eeac9679UL;
   tf->codes[43019] = 0x000e383d335ff43bUL;
   tf->codes[43020] = 0x000e54f9dd23c620UL;
   tf->codes[43021] = 0x000e892730cdd022UL;
   tf->codes[43022] = 0x000edb70885e4a09UL;
   tf->codes[43023] = 0x000f0596e2816a5dUL;
   tf->codes[43024] = 0x000f6284ce875527UL;
   tf->codes[43025] = 0x000ffe7d97c95773UL;
   tf->codes[43026] = 0x00002a614fad590eUL;
   tf->codes[43027] = 0x000065ab7272c888UL;
   tf->codes[43028] = 0x00022630e608a3bfUL;
   tf->codes[43029] = 0x00022876d351f96fUL;
   tf->codes[43030] = 0x0002a76f02e27849UL;
   tf->codes[43031] = 0x0002a90afb120f36UL;
   tf->codes[43032] = 0x0004f03c660eaea3UL;
   tf->codes[43033] = 0x00054e3c95f09f18UL;
   tf->codes[43034] = 0x00057ed3bb0e3234UL;
   tf->codes[43035] = 0x00059bfc21f5a18cUL;
   tf->codes[43036] = 0x0005a04fb718c19eUL;
   tf->codes[43037] = 0x00080f038b50e868UL;
   tf->codes[43038] = 0x00083495cec48da8UL;
   tf->codes[43039] = 0x0008389e5ca84952UL;
   tf->codes[43040] = 0x0008abb90b7c8291UL;
   tf->codes[43041] = 0x00094f0589ef5305UL;
   tf->codes[43042] = 0x000a1ee02a7def61UL;
   tf->codes[43043] = 0x000a3a48af7f3dfbUL;
   tf->codes[43044] = 0x000b38fc67bd7addUL;
   tf->codes[43045] = 0x000bd95b12d46acbUL;
   tf->codes[43046] = 0x000c1071e13ce7b4UL;
   tf->codes[43047] = 0x000d137460e2cb7fUL;
   tf->codes[43048] = 0x000df21f986312afUL;
   tf->codes[43049] = 0x000e5f15e2d6602cUL;
   tf->codes[43050] = 0x000ea35c47b6720eUL;
   tf->codes[43051] = 0x000f71c1d30f4c4fUL;
   tf->codes[43052] = 0x000fc0be69698b55UL;
   tf->codes[43053] = 0x00001d3319558445UL;
   tf->codes[43054] = 0x00002749a0d9f647UL;
   tf->codes[43055] = 0x000031aa0ad2afd8UL;
   tf->codes[43056] = 0x00004dad6c0e406bUL;
   tf->codes[43057] = 0x00009b7f44c5106fUL;
   tf->codes[43058] = 0x00014c7d819348b9UL;
   tf->codes[43059] = 0x00017e9e8cbdaaf7UL;
   tf->codes[43060] = 0x0001b7fad3517206UL;
   tf->codes[43061] = 0x0001ea1367cffecbUL;
   tf->codes[43062] = 0x0004f058feaa1d66UL;
   tf->codes[43063] = 0x000503bde6da4913UL;
   tf->codes[43064] = 0x0005d8c321b534ddUL;
   tf->codes[43065] = 0x0006408e974d2d27UL;
   tf->codes[43066] = 0x0007099fe6ab9decUL;
   tf->codes[43067] = 0x000899499589232bUL;
   tf->codes[43068] = 0x0008b48928896906UL;
   tf->codes[43069] = 0x0008d7ea14fbbfd8UL;
   tf->codes[43070] = 0x0009067c08eb5e0bUL;
   tf->codes[43071] = 0x0009a7888c9b6ed1UL;
   tf->codes[43072] = 0x0009b2e719463255UL;
   tf->codes[43073] = 0x000a9b79f3c34cc6UL;
   tf->codes[43074] = 0x000a9e2e5ce48525UL;
   tf->codes[43075] = 0x000acb66aea91595UL;
   tf->codes[43076] = 0x000b4a8fd1c8671dUL;
   tf->codes[43077] = 0x000c7e6773f2f98fUL;
   tf->codes[43078] = 0x000c8d58fb57e333UL;
   tf->codes[43079] = 0x000d01340a06109fUL;
   tf->codes[43080] = 0x000dbf09cc34309dUL;
   tf->codes[43081] = 0x000014efab6ab537UL;
   tf->codes[43082] = 0x0000a229b54eceb5UL;
   tf->codes[43083] = 0x000100890d9a1f4aUL;
   tf->codes[43084] = 0x000109a9ae89570dUL;
   tf->codes[43085] = 0x00016595945dd5cfUL;
   tf->codes[43086] = 0x0002a3642cf3be11UL;
   tf->codes[43087] = 0x0002e1c0475a9da7UL;
   tf->codes[43088] = 0x00038a049812bcb3UL;
   tf->codes[43089] = 0x00039d81fa0a51b7UL;
   tf->codes[43090] = 0x0003d683e5f031cfUL;
   tf->codes[43091] = 0x0003fe90789d55f8UL;
   tf->codes[43092] = 0x0004ece177c04930UL;
   tf->codes[43093] = 0x0004f13d838f3ebbUL;
   tf->codes[43094] = 0x000557d4da9bdb76UL;
   tf->codes[43095] = 0x00059d0df23ed6d1UL;
   tf->codes[43096] = 0x0005d08bd3669798UL;
   tf->codes[43097] = 0x0005e387bd276b0eUL;
   tf->codes[43098] = 0x0006a48238c6d442UL;
   tf->codes[43099] = 0x0008343841cf910fUL;
   tf->codes[43100] = 0x000881ddf4b3078eUL;
   tf->codes[43101] = 0x00089ab3eb4273adUL;
   tf->codes[43102] = 0x000958efb29ca0e1UL;
   tf->codes[43103] = 0x00097fea016dbf5fUL;
   tf->codes[43104] = 0x000a44db6dec27fcUL;
   tf->codes[43105] = 0x000b1cdb10dd319fUL;
   tf->codes[43106] = 0x000b83e710d74cd0UL;
   tf->codes[43107] = 0x000c15116966be66UL;
   tf->codes[43108] = 0x000c8f9c2ab29139UL;
   tf->codes[43109] = 0x000cbae99988c43fUL;
   tf->codes[43110] = 0x000ceeb3a6bb0647UL;
   tf->codes[43111] = 0x000d627725dde170UL;
   tf->codes[43112] = 0x000d674bbe19b786UL;
   tf->codes[43113] = 0x000db771031031a1UL;
   tf->codes[43114] = 0x000de46a32a289adUL;
   tf->codes[43115] = 0x000e0913243b3201UL;
   tf->codes[43116] = 0x000e1695c37ff551UL;
   tf->codes[43117] = 0x000fef1978cefbfcUL;
   tf->codes[43118] = 0x000019f1c999a502UL;
   tf->codes[43119] = 0x00006edc18ce6cdfUL;
   tf->codes[43120] = 0x0001066ddb7064b0UL;
   tf->codes[43121] = 0x0001234423c6bcc5UL;
   tf->codes[43122] = 0x00015fb8548289f2UL;
   tf->codes[43123] = 0x0001707c0a7f61e4UL;
   tf->codes[43124] = 0x000209028eeb771bUL;
   tf->codes[43125] = 0x0002861dcfa1f87cUL;
   tf->codes[43126] = 0x0002f1c7f6e08c9dUL;
   tf->codes[43127] = 0x00031e55de6d52c0UL;
   tf->codes[43128] = 0x00035c2c28000329UL;
   tf->codes[43129] = 0x000405599004195cUL;
   tf->codes[43130] = 0x000551176f3e7975UL;
   tf->codes[43131] = 0x0005ea6b22cdc5f1UL;
   tf->codes[43132] = 0x000658253b7c5e26UL;
   tf->codes[43133] = 0x00073ec2e7e7178cUL;
   tf->codes[43134] = 0x000970e543e08ea9UL;
   tf->codes[43135] = 0x0009b05bde40439eUL;
   tf->codes[43136] = 0x000b2c67ea600658UL;
   tf->codes[43137] = 0x000b30bbba122c2fUL;
   tf->codes[43138] = 0x000be08a6b817c4eUL;
   tf->codes[43139] = 0x000c093dfa051439UL;
   tf->codes[43140] = 0x000c0ac471b08cd0UL;
   tf->codes[43141] = 0x000c3306c5a7fcd0UL;
   tf->codes[43142] = 0x000df3128805daa3UL;
   tf->codes[43143] = 0x000e1ffd88f4ccf9UL;
   tf->codes[43144] = 0x000e2ce5868e5415UL;
   tf->codes[43145] = 0x000e9259ac674033UL;
   tf->codes[43146] = 0x000f488e688ef3efUL;
   tf->codes[43147] = 0x000fb6f868dde0e9UL;
   tf->codes[43148] = 0x000fc0b6df4aa5a6UL;
   tf->codes[43149] = 0x00004c08154795a7UL;
   tf->codes[43150] = 0x0000c69d5c4671e0UL;
   tf->codes[43151] = 0x0000e65e442659b5UL;
   tf->codes[43152] = 0x0000ec5b506f651bUL;
   tf->codes[43153] = 0x000175544c7131dcUL;
   tf->codes[43154] = 0x0001a005f4d10bd5UL;
   tf->codes[43155] = 0x0002407b0aa8312dUL;
   tf->codes[43156] = 0x0002563c8570edb9UL;
   tf->codes[43157] = 0x00027ad11b509490UL;
   tf->codes[43158] = 0x000335658c379a27UL;
   tf->codes[43159] = 0x0004a1b824a8c0abUL;
   tf->codes[43160] = 0x0004be58abb4cce9UL;
   tf->codes[43161] = 0x0005a90eae8fd012UL;
   tf->codes[43162] = 0x0006c56b963f2c8bUL;
   tf->codes[43163] = 0x0006f7e8d08fa3e8UL;
   tf->codes[43164] = 0x000793a7f507f848UL;
   tf->codes[43165] = 0x000827299d56760aUL;
   tf->codes[43166] = 0x000836073e2069bbUL;
   tf->codes[43167] = 0x000890d82ede0794UL;
   tf->codes[43168] = 0x0009561c2f0b92feUL;
   tf->codes[43169] = 0x00097a1dafafbc06UL;
   tf->codes[43170] = 0x00097b778c69cf8eUL;
   tf->codes[43171] = 0x0009a2c9b1c3958cUL;
   tf->codes[43172] = 0x0009b41b74b16c5fUL;
   tf->codes[43173] = 0x000a8bb84648b992UL;
   tf->codes[43174] = 0x000aac92fe746577UL;
   tf->codes[43175] = 0x000b62f9986702f5UL;
   tf->codes[43176] = 0x000bac24989e7ecbUL;
   tf->codes[43177] = 0x000d6de4ccf35ce2UL;
   tf->codes[43178] = 0x000d9482ec9e6641UL;
   tf->codes[43179] = 0x000e21e23f932c2eUL;
   tf->codes[43180] = 0x000e69e6dac4a6a1UL;
   tf->codes[43181] = 0x000f36cc1b87a412UL;
   tf->codes[43182] = 0x00000fcbb5a2e5d0UL;
   tf->codes[43183] = 0x0000483165f46151UL;
   tf->codes[43184] = 0x00013f541b47c5cfUL;
   tf->codes[43185] = 0x00018b84b8f57a33UL;
   tf->codes[43186] = 0x0002ccb30f207c35UL;
   tf->codes[43187] = 0x0002f61ec1613899UL;
   tf->codes[43188] = 0x0002fe2e7dce8d4fUL;
   tf->codes[43189] = 0x0003688c0cba5c8aUL;
   tf->codes[43190] = 0x0003784fcb8cfc61UL;
   tf->codes[43191] = 0x0003ae2fbcb5d87fUL;
   tf->codes[43192] = 0x00046bf0ae0ceb76UL;
   tf->codes[43193] = 0x0004c805fb007e81UL;
   tf->codes[43194] = 0x0004d9a45f16e21fUL;
   tf->codes[43195] = 0x0004fcacffe285e7UL;
   tf->codes[43196] = 0x00054a93a97062f2UL;
   tf->codes[43197] = 0x0005e250a7a99d34UL;
   tf->codes[43198] = 0x0006d47b8ab7b31aUL;
   tf->codes[43199] = 0x000746bc75ae77c1UL;
   tf->codes[43200] = 0x00096387b4a8ad27UL;
   tf->codes[43201] = 0x000b6574981330bfUL;
   tf->codes[43202] = 0x000c1a40993059eeUL;
   tf->codes[43203] = 0x000c7856499668b9UL;
   tf->codes[43204] = 0x000cc6f76077a3efUL;
   tf->codes[43205] = 0x000d45c1209e8f92UL;
   tf->codes[43206] = 0x000d9ab16259ed71UL;
   tf->codes[43207] = 0x000dac749a62f1f4UL;
   tf->codes[43208] = 0x000e78b2a4c075deUL;
   tf->codes[43209] = 0x000e94c7a300c2b2UL;
   tf->codes[43210] = 0x000f78d3e5c4b676UL;
   tf->codes[43211] = 0x000fa73e470d6e88UL;
   tf->codes[43212] = 0x000ff7eb315045f8UL;
   tf->codes[43213] = 0x000054df0fdcc6c4UL;
   tf->codes[43214] = 0x0000a94b8fcb2963UL;
   tf->codes[43215] = 0x0000fb8100c0ad57UL;
   tf->codes[43216] = 0x00016d0b27547023UL;
   tf->codes[43217] = 0x0001749dfeb776afUL;
   tf->codes[43218] = 0x0002384e7d6140a5UL;
   tf->codes[43219] = 0x0002ed8eecdce285UL;
   tf->codes[43220] = 0x0003443ffaba7836UL;
   tf->codes[43221] = 0x000374aedd8413e2UL;
   tf->codes[43222] = 0x00037d7ebf3c5700UL;
   tf->codes[43223] = 0x00047d6068f053aaUL;
   tf->codes[43224] = 0x000579494d4d22c3UL;
   tf->codes[43225] = 0x0005922b6378c0abUL;
   tf->codes[43226] = 0x0005c537cf8553c2UL;
   tf->codes[43227] = 0x0005d4b3baeadff7UL;
   tf->codes[43228] = 0x00068cbe140bd88cUL;
   tf->codes[43229] = 0x00069d8daf15dc82UL;
   tf->codes[43230] = 0x0006aa06469b69dbUL;
   tf->codes[43231] = 0x000700f37d67ecefUL;
   tf->codes[43232] = 0x00073c57794ee85eUL;
   tf->codes[43233] = 0x0008646964d78d3dUL;
   tf->codes[43234] = 0x0008f127395e69e0UL;
   tf->codes[43235] = 0x00090ad4aa3510e5UL;
   tf->codes[43236] = 0x00092ffdef395deeUL;
   tf->codes[43237] = 0x0009cc602c08c3fbUL;
   tf->codes[43238] = 0x000a1299aff402fbUL;
   tf->codes[43239] = 0x000a68600c9c7922UL;
   tf->codes[43240] = 0x000ae22d2cc29d04UL;
   tf->codes[43241] = 0x000bcdbd6899204fUL;
   tf->codes[43242] = 0x000be90fbd693f44UL;
   tf->codes[43243] = 0x000cfbedc5fc1aeeUL;
   tf->codes[43244] = 0x000d7a65a220f513UL;
   tf->codes[43245] = 0x000d7b5e0cdb6ec9UL;
   tf->codes[43246] = 0x000d9b00c2fc5d0aUL;
   tf->codes[43247] = 0x000f8e41e367d6b3UL;
   tf->codes[43248] = 0x000fa2785358a744UL;
   tf->codes[43249] = 0x000104cb7eb2a27fUL;
   tf->codes[43250] = 0x000105c583564498UL;
   tf->codes[43251] = 0x00017fddaabbcce2UL;
   tf->codes[43252] = 0x00025d8c59733282UL;
   tf->codes[43253] = 0x0002884812680a57UL;
   tf->codes[43254] = 0x00029145042fbe0eUL;
   tf->codes[43255] = 0x0003c3010a6c262dUL;
   tf->codes[43256] = 0x0003c60d84a50bd1UL;
   tf->codes[43257] = 0x0003fced32691a45UL;
   tf->codes[43258] = 0x000543c4a1d3e242UL;
   tf->codes[43259] = 0x000566cc92f274bbUL;
   tf->codes[43260] = 0x0006dd01c615ef92UL;
   tf->codes[43261] = 0x0006e819698fb688UL;
   tf->codes[43262] = 0x0007e9b3ddd82115UL;
   tf->codes[43263] = 0x00086f56080eb519UL;
   tf->codes[43264] = 0x00088b7f6208036aUL;
   tf->codes[43265] = 0x0008dc07ed76457fUL;
   tf->codes[43266] = 0x00099e3a30916692UL;
   tf->codes[43267] = 0x000adff6591e61b0UL;
   tf->codes[43268] = 0x000c40e9b537b361UL;
   tf->codes[43269] = 0x000d8c4d39c42c83UL;
   tf->codes[43270] = 0x000de58febd78d9bUL;
   tf->codes[43271] = 0x000e9b0ff2a37369UL;
   tf->codes[43272] = 0x000eadbcb7167a9dUL;
   tf->codes[43273] = 0x0000439f609cf2e0UL;
   tf->codes[43274] = 0x00004f65173ee073UL;
   tf->codes[43275] = 0x000094836b8438c5UL;
   tf->codes[43276] = 0x00018504d76c6357UL;
   tf->codes[43277] = 0x0001b369f5db96b6UL;
   tf->codes[43278] = 0x0001ff091836f5aeUL;
   tf->codes[43279] = 0x00020510aa330a7aUL;
   tf->codes[43280] = 0x0002a67df035a3c3UL;
   tf->codes[43281] = 0x0003e48f8e7d267eUL;
   tf->codes[43282] = 0x0003f23fb2ef65f1UL;
   tf->codes[43283] = 0x0004b8741c49a122UL;
   tf->codes[43284] = 0x00053e83286eef72UL;
   tf->codes[43285] = 0x00053f3559a57de9UL;
   tf->codes[43286] = 0x0005d13f2e09f454UL;
   tf->codes[43287] = 0x00071619e2f29ce1UL;
   tf->codes[43288] = 0x000814d477f386d9UL;
   tf->codes[43289] = 0x00090ccafe9dc9edUL;
   tf->codes[43290] = 0x0009d8d8156c7b29UL;
   tf->codes[43291] = 0x0009e58d4aff016fUL;
   tf->codes[43292] = 0x000aa8e493c60147UL;
   tf->codes[43293] = 0x000b2885ce3427d0UL;
   tf->codes[43294] = 0x000b73dbbdc85088UL;
   tf->codes[43295] = 0x000b9f349c8da408UL;
   tf->codes[43296] = 0x000c3a88b38f6c44UL;
   tf->codes[43297] = 0x000c6169293efecdUL;
   tf->codes[43298] = 0x000d60ba074db75aUL;
   tf->codes[43299] = 0x000e031c0f1a6e09UL;
   tf->codes[43300] = 0x000e4b1ab7c5527aUL;
   tf->codes[43301] = 0x000e713d51c0304dUL;
   tf->codes[43302] = 0x000e7461d0a273beUL;
   tf->codes[43303] = 0x000fc74864056553UL;
   tf->codes[43304] = 0x0000cc25fe0d186fUL;
   tf->codes[43305] = 0x000161cdc7fcc9eaUL;
   tf->codes[43306] = 0x00022c3d8741c19bUL;
   tf->codes[43307] = 0x00028f847427c725UL;
   tf->codes[43308] = 0x000338a163f23df0UL;
   tf->codes[43309] = 0x00035480a0e83eedUL;
   tf->codes[43310] = 0x00051be471145887UL;
   tf->codes[43311] = 0x000578af982ed659UL;
   tf->codes[43312] = 0x0005930aa70f9871UL;
   tf->codes[43313] = 0x0005e149d6d32e4bUL;
   tf->codes[43314] = 0x000640770deec774UL;
   tf->codes[43315] = 0x00064c799d2cb3b9UL;
   tf->codes[43316] = 0x000654a2830e8315UL;
   tf->codes[43317] = 0x00065df8aab900eaUL;
   tf->codes[43318] = 0x00066728d9a5c101UL;
   tf->codes[43319] = 0x00067bdeb2c61f33UL;
   tf->codes[43320] = 0x00074de233aa3484UL;
   tf->codes[43321] = 0x00093e18ae54f6b1UL;
   tf->codes[43322] = 0x0009efbdac6a9cf8UL;
   tf->codes[43323] = 0x000aaa75cc79269bUL;
   tf->codes[43324] = 0x000c48c5c0ed2b51UL;
   tf->codes[43325] = 0x000c490b4ac40541UL;
   tf->codes[43326] = 0x000debc9d247d2d7UL;
   tf->codes[43327] = 0x000e70e83ab16b9bUL;
   tf->codes[43328] = 0x000e96c80989b4baUL;
   tf->codes[43329] = 0x000ea74f5c089984UL;
   tf->codes[43330] = 0x000eab3adcf87873UL;
   tf->codes[43331] = 0x000052ef62496679UL;
   tf->codes[43332] = 0x000074e21648a846UL;
   tf->codes[43333] = 0x000216c2f66f9f2fUL;
   tf->codes[43334] = 0x00023f6b4f931c65UL;
   tf->codes[43335] = 0x0002c0ac65b03bf0UL;
   tf->codes[43336] = 0x0002c87dea276f56UL;
   tf->codes[43337] = 0x0002de39726995e0UL;
   tf->codes[43338] = 0x00047e64bbce6facUL;
   tf->codes[43339] = 0x000600c1179371e8UL;
   tf->codes[43340] = 0x0007257679594dcdUL;
   tf->codes[43341] = 0x0007976f5653f90dUL;
   tf->codes[43342] = 0x0007e9ffd1a47547UL;
   tf->codes[43343] = 0x000a0b3c9cf1be8eUL;
   tf->codes[43344] = 0x000b87a0f4b83452UL;
   tf->codes[43345] = 0x000bdf72ea3340eeUL;
   tf->codes[43346] = 0x000c207d7b34c2e1UL;
   tf->codes[43347] = 0x000c49c20feca4aeUL;
   tf->codes[43348] = 0x000d3c9931aab309UL;
   tf->codes[43349] = 0x000d838fa70e8fabUL;
   tf->codes[43350] = 0x000dc1aa903c02f0UL;
   tf->codes[43351] = 0x000e141d145c8b5bUL;
   tf->codes[43352] = 0x000e330388b1ed49UL;
   tf->codes[43353] = 0x000eb6e3876c26ddUL;
   tf->codes[43354] = 0x000ee89d2e105947UL;
   tf->codes[43355] = 0x000f455f6960f616UL;
   tf->codes[43356] = 0x000fe4f3de97f9c0UL;
   tf->codes[43357] = 0x00002d0792a8f0fdUL;
   tf->codes[43358] = 0x0000951683108f4aUL;
   tf->codes[43359] = 0x000289a9b9375851UL;
   tf->codes[43360] = 0x0002d9b1f139f5b1UL;
   tf->codes[43361] = 0x0005e967c36f23dbUL;
   tf->codes[43362] = 0x00061f94cade984eUL;
   tf->codes[43363] = 0x0006dbf159c88e57UL;
   tf->codes[43364] = 0x000708f499efe43fUL;
   tf->codes[43365] = 0x0009912a68d869d8UL;
   tf->codes[43366] = 0x0009ac69119c989fUL;
   tf->codes[43367] = 0x0009b84cf9fd7fc6UL;
   tf->codes[43368] = 0x000b69db2e36e11cUL;
   tf->codes[43369] = 0x000b9bd30cd134d6UL;
   tf->codes[43370] = 0x000bd662129634d6UL;
   tf->codes[43371] = 0x000c75b51c04c66aUL;
   tf->codes[43372] = 0x000c8954cdc9bcdcUL;
   tf->codes[43373] = 0x000c8bbe2fab90d3UL;
   tf->codes[43374] = 0x000ceaefbf64979bUL;
   tf->codes[43375] = 0x000cf0610852ddd2UL;
   tf->codes[43376] = 0x000d0edd1edec4ebUL;
   tf->codes[43377] = 0x000daff044c27d02UL;
   tf->codes[43378] = 0x000dd8ca0692d870UL;
   tf->codes[43379] = 0x000f0697580d10daUL;
   tf->codes[43380] = 0x000f51db700d778cUL;
   tf->codes[43381] = 0x000f7fb07284781dUL;
   tf->codes[43382] = 0x000fc202ce1d45cdUL;
   tf->codes[43383] = 0x000fe7d5588e404aUL;
   tf->codes[43384] = 0x000ff89da1b78ba0UL;
   tf->codes[43385] = 0x000081ebb58dbaa5UL;
   tf->codes[43386] = 0x0000eff47e6c1392UL;
   tf->codes[43387] = 0x0001960a71662f31UL;
   tf->codes[43388] = 0x0001f7b90f0cfa1eUL;
   tf->codes[43389] = 0x0002c988a31ef1c0UL;
   tf->codes[43390] = 0x0002e8b37c8010c5UL;
   tf->codes[43391] = 0x00035e913836f3a3UL;
   tf->codes[43392] = 0x00046a7c135c83e3UL;
   tf->codes[43393] = 0x00054cbbdf801996UL;
   tf->codes[43394] = 0x0005cfb1dcb244efUL;
   tf->codes[43395] = 0x0005da3212532077UL;
   tf->codes[43396] = 0x0006b9181368326cUL;
   tf->codes[43397] = 0x0007771b9552d452UL;
   tf->codes[43398] = 0x00079cacee8a627eUL;
   tf->codes[43399] = 0x0007a00e0b799edcUL;
   tf->codes[43400] = 0x0007bddc496c651dUL;
   tf->codes[43401] = 0x0007ed707e1c751dUL;
   tf->codes[43402] = 0x0007feba7a0b87c6UL;
   tf->codes[43403] = 0x00081a9907547774UL;
   tf->codes[43404] = 0x000825b57889b793UL;
   tf->codes[43405] = 0x00089536ff8e2eebUL;
   tf->codes[43406] = 0x0009701472bf8536UL;
   tf->codes[43407] = 0x000972003fe9f9b4UL;
   tf->codes[43408] = 0x0009ff38afe4eacfUL;
   tf->codes[43409] = 0x000a3efa8c1309f1UL;
   tf->codes[43410] = 0x000a43669afd935aUL;
   tf->codes[43411] = 0x000a573e57a30f55UL;
   tf->codes[43412] = 0x000ac433b7da45beUL;
   tf->codes[43413] = 0x000c0fcff6f455b8UL;
   tf->codes[43414] = 0x000c5cf67b37445bUL;
   tf->codes[43415] = 0x000d04935afae41bUL;
   tf->codes[43416] = 0x000d602cad204010UL;
   tf->codes[43417] = 0x000dcdf47f543271UL;
   tf->codes[43418] = 0x000e2b59986cdb28UL;
   tf->codes[43419] = 0x000f63aac8784b6aUL;
   tf->codes[43420] = 0x000fd4aa8b0b6ba5UL;
   tf->codes[43421] = 0x0000e00d865598cbUL;
   tf->codes[43422] = 0x0000fbb52d891fc9UL;
   tf->codes[43423] = 0x00023fce233db18bUL;
   tf->codes[43424] = 0x0002481a7db7ff2eUL;
   tf->codes[43425] = 0x00025d073cedc610UL;
   tf->codes[43426] = 0x00029c79099201dcUL;
   tf->codes[43427] = 0x0002bf027bbd1dc8UL;
   tf->codes[43428] = 0x0003733ffacb3c8cUL;
   tf->codes[43429] = 0x00047dabb0260cd5UL;
   tf->codes[43430] = 0x00052b59f7ebb978UL;
   tf->codes[43431] = 0x00053a13e98e291dUL;
   tf->codes[43432] = 0x000688f29eba7057UL;
   tf->codes[43433] = 0x0006a1829654f6fcUL;
   tf->codes[43434] = 0x00078ed0a50a6718UL;
   tf->codes[43435] = 0x0009208ffd4f80a8UL;
   tf->codes[43436] = 0x000939bb80d15a95UL;
   tf->codes[43437] = 0x000b4610cfc261adUL;
   tf->codes[43438] = 0x000b5591fe017295UL;
   tf->codes[43439] = 0x000b9a0bda95969cUL;
   tf->codes[43440] = 0x000ccf4903f862d5UL;
   tf->codes[43441] = 0x000d5e010edc1f71UL;
   tf->codes[43442] = 0x000d860e16a74f24UL;
   tf->codes[43443] = 0x000daddf30129739UL;
   tf->codes[43444] = 0x000eaa7e292556deUL;
   tf->codes[43445] = 0x000f51397e0cbddcUL;
   tf->codes[43446] = 0x000f64a9267ef8b4UL;
   tf->codes[43447] = 0x000faff5400d2955UL;
   tf->codes[43448] = 0x0000e1c3586c593fUL;
   tf->codes[43449] = 0x0001d33f3e163174UL;
   tf->codes[43450] = 0x000282ac42f6e1fcUL;
   tf->codes[43451] = 0x0002ac58b152ff27UL;
   tf->codes[43452] = 0x0002bb5a3bd37ca9UL;
   tf->codes[43453] = 0x00030b0bc2188f62UL;
   tf->codes[43454] = 0x0004e0182a472a0aUL;
   tf->codes[43455] = 0x0004e35f6e14da73UL;
   tf->codes[43456] = 0x000555b3ca888983UL;
   tf->codes[43457] = 0x0007b1ab4c5020c5UL;
   tf->codes[43458] = 0x0007d7c15190c145UL;
   tf->codes[43459] = 0x0008a969186ccd01UL;
   tf->codes[43460] = 0x000989c3447b89fdUL;
   tf->codes[43461] = 0x000a2b91fc7dbd18UL;
   tf->codes[43462] = 0x000a3313abfa12edUL;
   tf->codes[43463] = 0x000a80e07c666403UL;
   tf->codes[43464] = 0x000aa97cb5edaf70UL;
   tf->codes[43465] = 0x000b8eab051a36f8UL;
   tf->codes[43466] = 0x000bd731531178beUL;
   tf->codes[43467] = 0x000c587109d475abUL;
   tf->codes[43468] = 0x000c6beea65b1074UL;
   tf->codes[43469] = 0x000c975a0c613749UL;
   tf->codes[43470] = 0x000cc56be774368cUL;
   tf->codes[43471] = 0x000d68e7bf8cb14bUL;
   tf->codes[43472] = 0x000e466a4870bd66UL;
   tf->codes[43473] = 0x000fa1cd3fa0b838UL;
   tf->codes[43474] = 0x000ffaa88d2de97cUL;
   tf->codes[43475] = 0x0000109fc940f1dfUL;
   tf->codes[43476] = 0x0000d5e64d93bcc0UL;
   tf->codes[43477] = 0x0001177e3bd92c45UL;
   tf->codes[43478] = 0x000260fa4bd89e88UL;
   tf->codes[43479] = 0x0003e6e8f2aab595UL;
   tf->codes[43480] = 0x0004f67de2f7b2aeUL;
   tf->codes[43481] = 0x000581bba777b846UL;
   tf->codes[43482] = 0x0005a803156536feUL;
   tf->codes[43483] = 0x0005bec6965f5f92UL;
   tf->codes[43484] = 0x0006a633f6128fb4UL;
   tf->codes[43485] = 0x000789ff7cbb22b1UL;
   tf->codes[43486] = 0x0008cd1f1d7923a9UL;
   tf->codes[43487] = 0x0008efb73365b0d5UL;
   tf->codes[43488] = 0x0009446852eed650UL;
   tf->codes[43489] = 0x0009b7828ca50405UL;
   tf->codes[43490] = 0x000a8144addfe0a3UL;
   tf->codes[43491] = 0x000b26f4268fe382UL;
   tf->codes[43492] = 0x000b86ccb21f5e0cUL;
   tf->codes[43493] = 0x000bb67d7ea53f3dUL;
   tf->codes[43494] = 0x000bd050e839a400UL;
   tf->codes[43495] = 0x000bfc935368fa31UL;
   tf->codes[43496] = 0x000c02555b8e350dUL;
   tf->codes[43497] = 0x000d5f8c905d521aUL;
   tf->codes[43498] = 0x000da743dab92e73UL;
   tf->codes[43499] = 0x000e724131d1197bUL;
   tf->codes[43500] = 0x000e993518fd966dUL;
   tf->codes[43501] = 0x000eb42795b743f3UL;
   tf->codes[43502] = 0x00006eaa7f9b894cUL;
   tf->codes[43503] = 0x0001cdcb37fee125UL;
   tf->codes[43504] = 0x000223b03b845c6aUL;
   tf->codes[43505] = 0x000236f2995820e4UL;
   tf->codes[43506] = 0x000238b78388c090UL;
   tf->codes[43507] = 0x0002a23ce8804396UL;
   tf->codes[43508] = 0x0002ae331d92f84dUL;
   tf->codes[43509] = 0x0002d1af07f1f7edUL;
   tf->codes[43510] = 0x0002f7c0ef243093UL;
   tf->codes[43511] = 0x00035d150ec5f4f5UL;
   tf->codes[43512] = 0x00052b86200febb3UL;
   tf->codes[43513] = 0x00059caed4a414adUL;
   tf->codes[43514] = 0x0005a309e48b635aUL;
   tf->codes[43515] = 0x00063ff90980ab6fUL;
   tf->codes[43516] = 0x00078829e0877b6aUL;
   tf->codes[43517] = 0x0007b7b38f848204UL;
   tf->codes[43518] = 0x0007d52354baf974UL;
   tf->codes[43519] = 0x00082e65cc3f54c7UL;
   tf->codes[43520] = 0x0008583deb50bfedUL;
   tf->codes[43521] = 0x0008a7e476c4bdb6UL;
   tf->codes[43522] = 0x0008d998a00065a8UL;
   tf->codes[43523] = 0x0009844861a18c98UL;
   tf->codes[43524] = 0x0009c19ecce6a3d6UL;
   tf->codes[43525] = 0x000abf675ed1b5a4UL;
   tf->codes[43526] = 0x000af8cc1c11522cUL;
   tf->codes[43527] = 0x000b6e6a4077f11cUL;
   tf->codes[43528] = 0x000bc176b696a46cUL;
   tf->codes[43529] = 0x000bdb4935eef21bUL;
   tf->codes[43530] = 0x000bef00b1ce4095UL;
   tf->codes[43531] = 0x000caf0288242a4eUL;
   tf->codes[43532] = 0x000d1cff31665172UL;
   tf->codes[43533] = 0x000d5ed1aeb185f7UL;
   tf->codes[43534] = 0x000d6a0d0152d0f9UL;
   tf->codes[43535] = 0x000d7214bc325bc0UL;
   tf->codes[43536] = 0x000da033668e9e1bUL;
   tf->codes[43537] = 0x000ef830e831eef0UL;
   tf->codes[43538] = 0x000f0567d08a3c89UL;
   tf->codes[43539] = 0x000294bdf2f17a28UL;
   tf->codes[43540] = 0x0002b2d563ab76a9UL;
   tf->codes[43541] = 0x0002ba4b68a9a63fUL;
   tf->codes[43542] = 0x0003645d1a3e3a70UL;
   tf->codes[43543] = 0x00036ee5516cdfe7UL;
   tf->codes[43544] = 0x0003ffa720ab04d0UL;
   tf->codes[43545] = 0x00048d9aada66565UL;
   tf->codes[43546] = 0x000556fff00e1b95UL;
   tf->codes[43547] = 0x000573b791876e8cUL;
   tf->codes[43548] = 0x0006783cdfe86e9eUL;
   tf->codes[43549] = 0x00074857c7746037UL;
   tf->codes[43550] = 0x0008b7d4d14e602eUL;
   tf->codes[43551] = 0x0008d27988146410UL;
   tf->codes[43552] = 0x0009724dcf2ab16dUL;
   tf->codes[43553] = 0x000a98aeb71dac93UL;
   tf->codes[43554] = 0x000b4639ff68e679UL;
   tf->codes[43555] = 0x000c5a9fdf015d58UL;
   tf->codes[43556] = 0x000c6e0d786c6443UL;
   tf->codes[43557] = 0x000cce72ec21c0d5UL;
   tf->codes[43558] = 0x000cf74fa7356744UL;
   tf->codes[43559] = 0x000e7505da2826a1UL;
   tf->codes[43560] = 0x000e7be436be6504UL;
   tf->codes[43561] = 0x000f746053add180UL;
   tf->codes[43562] = 0x000f78ee77d6b692UL;
   tf->codes[43563] = 0x00003f70a7249b67UL;
   tf->codes[43564] = 0x00014a36420f471dUL;
   tf->codes[43565] = 0x000167a8c5fa03c9UL;
   tf->codes[43566] = 0x00016a2ceb397ac9UL;
   tf->codes[43567] = 0x0002cceaaeebf69eUL;
   tf->codes[43568] = 0x000360f93f605668UL;
   tf->codes[43569] = 0x0006110cf6fd672eUL;
   tf->codes[43570] = 0x000621a954e25ec4UL;
   tf->codes[43571] = 0x00068e60f2417f67UL;
   tf->codes[43572] = 0x0006f5e210472498UL;
   tf->codes[43573] = 0x000820ec8f6db928UL;
   tf->codes[43574] = 0x00089bde4021b045UL;
   tf->codes[43575] = 0x0008dba1f0c7fd8fUL;
   tf->codes[43576] = 0x0009bcad63d131eeUL;
   tf->codes[43577] = 0x000a534521cf87a6UL;
   tf->codes[43578] = 0x000ae0120f35e113UL;
   tf->codes[43579] = 0x000b4e8d376b7ec4UL;
   tf->codes[43580] = 0x000c27b4299ea0deUL;
   tf->codes[43581] = 0x000c31a701fb8ed4UL;
   tf->codes[43582] = 0x000d0dbb17dd8025UL;
   tf->codes[43583] = 0x000d1389b4bcf854UL;
   tf->codes[43584] = 0x000d1816eea9c652UL;
   tf->codes[43585] = 0x000d35c6fadd92ffUL;
   tf->codes[43586] = 0x000f63de44ce0efbUL;
   tf->codes[43587] = 0x000fb6cb29d3a619UL;
   tf->codes[43588] = 0x000fbdf69cb07cd1UL;
   tf->codes[43589] = 0x0000aab454deb45aUL;
   tf->codes[43590] = 0x0000c7f39ba464a6UL;
   tf->codes[43591] = 0x00012cd76af61831UL;
   tf->codes[43592] = 0x0001ac618af6f801UL;
   tf->codes[43593] = 0x00028360c19fbdffUL;
   tf->codes[43594] = 0x0003b2104da3407aUL;
   tf->codes[43595] = 0x000405248ac0b7f4UL;
   tf->codes[43596] = 0x0004f031b477514eUL;
   tf->codes[43597] = 0x00053ae69abb9c46UL;
   tf->codes[43598] = 0x0005e2191cb5c131UL;
   tf->codes[43599] = 0x0007838812a37ee0UL;
   tf->codes[43600] = 0x0007ddbab8c58435UL;
   tf->codes[43601] = 0x00081367a75859b8UL;
   tf->codes[43602] = 0x000821956081f8a4UL;
   tf->codes[43603] = 0x0008401017b3bd1fUL;
   tf->codes[43604] = 0x0008b1baf42bb8f6UL;
   tf->codes[43605] = 0x000900001675e4d2UL;
   tf->codes[43606] = 0x0009a140c187190cUL;
   tf->codes[43607] = 0x000a2b4ec01930b4UL;
   tf->codes[43608] = 0x000a3581a4e46e22UL;
   tf->codes[43609] = 0x000b48b3db0f94fcUL;
   tf->codes[43610] = 0x000b58a5942dbc80UL;
   tf->codes[43611] = 0x000bd82c805c4b8aUL;
   tf->codes[43612] = 0x000c23d578bda299UL;
   tf->codes[43613] = 0x000c87ac819bdaf1UL;
   tf->codes[43614] = 0x000cca9b8de718c2UL;
   tf->codes[43615] = 0x000ed616de6ba57dUL;
   tf->codes[43616] = 0x000016f55f9bc9eeUL;
   tf->codes[43617] = 0x00005b2d5b497055UL;
   tf->codes[43618] = 0x00007c90dd8c9668UL;
   tf->codes[43619] = 0x0000d383cc50a9b9UL;
   tf->codes[43620] = 0x000134e728290a79UL;
   tf->codes[43621] = 0x0002af9783168b83UL;
   tf->codes[43622] = 0x0002ba69622a72c4UL;
   tf->codes[43623] = 0x0002ffedbb9bd84cUL;
   tf->codes[43624] = 0x0003309e44bcebd3UL;
   tf->codes[43625] = 0x000472965ba9ce8fUL;
   tf->codes[43626] = 0x000533004632f96bUL;
   tf->codes[43627] = 0x0007fae270c57fd0UL;
   tf->codes[43628] = 0x00083552cfad7ab2UL;
   tf->codes[43629] = 0x0008470bf7218159UL;
   tf->codes[43630] = 0x0008b7a36af25aacUL;
   tf->codes[43631] = 0x00091f58eae82916UL;
   tf->codes[43632] = 0x00092b54d7f26e0aUL;
   tf->codes[43633] = 0x000a510d64b4d2d0UL;
   tf->codes[43634] = 0x000bf87792736dbdUL;
   tf->codes[43635] = 0x000cb2aa915ad982UL;
   tf->codes[43636] = 0x000d05e452180330UL;
   tf->codes[43637] = 0x000f0d4dee5fed79UL;
   tf->codes[43638] = 0x000fa4a81b3f6b4bUL;
   tf->codes[43639] = 0x00007d3eb6eb54d2UL;
   tf->codes[43640] = 0x000084425c923fa4UL;
   tf->codes[43641] = 0x00015a946a4ef619UL;
   tf->codes[43642] = 0x000195730a7fcde5UL;
   tf->codes[43643] = 0x0001d3d2cdd709cbUL;
   tf->codes[43644] = 0x0001d6afee6a4524UL;
   tf->codes[43645] = 0x0001f02bf6940df1UL;
   tf->codes[43646] = 0x00025dc2d5392da4UL;
   tf->codes[43647] = 0x0002753f642c91c5UL;
   tf->codes[43648] = 0x00029c04a16075bbUL;
   tf->codes[43649] = 0x000361bf1ef3adc3UL;
   tf->codes[43650] = 0x0003b7e81266da95UL;
   tf->codes[43651] = 0x0003ba85268bc676UL;
   tf->codes[43652] = 0x00051d61cbaa4d2eUL;
   tf->codes[43653] = 0x000650eb6d523037UL;
   tf->codes[43654] = 0x000676491446a679UL;
   tf->codes[43655] = 0x000781d367a8b3fbUL;
   tf->codes[43656] = 0x00080356241d4b61UL;
   tf->codes[43657] = 0x0008746a07da6754UL;
   tf->codes[43658] = 0x00092319e0b37475UL;
   tf->codes[43659] = 0x000959f20207c484UL;
   tf->codes[43660] = 0x000bb014f4694d95UL;
   tf->codes[43661] = 0x000c384eb55c4302UL;
   tf->codes[43662] = 0x000c6b58d7d29c67UL;
   tf->codes[43663] = 0x000dd3bb21986ad3UL;
   tf->codes[43664] = 0x000ead9da5ea07f1UL;
   tf->codes[43665] = 0x000f5242dc4bcf14UL;
   tf->codes[43666] = 0x000f76195be7bb70UL;
   tf->codes[43667] = 0x000fbb3da2b3a9c4UL;
   tf->codes[43668] = 0x000056f48b0f2e70UL;
   tf->codes[43669] = 0x00007762d66a2b93UL;
   tf->codes[43670] = 0x0000b4613097958cUL;
   tf->codes[43671] = 0x0001468fd8eeacdcUL;
   tf->codes[43672] = 0x0001d791b49b213dUL;
   tf->codes[43673] = 0x00022b57734215dfUL;
   tf->codes[43674] = 0x0002f7361aa733e4UL;
   tf->codes[43675] = 0x0003a9b58c476012UL;
   tf->codes[43676] = 0x0004f0373430b47cUL;
   tf->codes[43677] = 0x0005854212def011UL;
   tf->codes[43678] = 0x00062dcdfc751cfaUL;
   tf->codes[43679] = 0x00090d8c5382732aUL;
   tf->codes[43680] = 0x000952952743ad26UL;
   tf->codes[43681] = 0x00096f0cf6ddb66aUL;
   tf->codes[43682] = 0x00097a6ce2e29c8cUL;
   tf->codes[43683] = 0x00098e2a51488108UL;
   tf->codes[43684] = 0x000a07fadfcffb75UL;
   tf->codes[43685] = 0x000a0d1501e2ab7bUL;
   tf->codes[43686] = 0x000a4d9c46353db8UL;
   tf->codes[43687] = 0x000a84e52cf7aa28UL;
   tf->codes[43688] = 0x000c437ed36310e1UL;
   tf->codes[43689] = 0x000db7422df8e248UL;
   tf->codes[43690] = 0x000dea899e2945e9UL;
   tf->codes[43691] = 0x000deb3fb2df3675UL;
   tf->codes[43692] = 0x000ed71a0bb90714UL;
   tf->codes[43693] = 0x00006bbe861f25ecUL;
   tf->codes[43694] = 0x0000b5169666125bUL;
   tf->codes[43695] = 0x00014df1bd887e4cUL;
   tf->codes[43696] = 0x00015b47fc6ae252UL;
   tf->codes[43697] = 0x0001690405ea4dc9UL;
   tf->codes[43698] = 0x0001ca0a0dd17c91UL;
   tf->codes[43699] = 0x00020ff1732ba44eUL;
   tf->codes[43700] = 0x000282bf80d750c2UL;
   tf->codes[43701] = 0x0003141accf59506UL;
   tf->codes[43702] = 0x00033aef2308f5c6UL;
   tf->codes[43703] = 0x0005050bef82bb23UL;
   tf->codes[43704] = 0x0007b9462c337b62UL;
   tf->codes[43705] = 0x00098c3c75dc762fUL;
   tf->codes[43706] = 0x0009d6dc50baae5bUL;
   tf->codes[43707] = 0x000a44e170a8aaf8UL;
   tf->codes[43708] = 0x000b0b0770d07aaeUL;
   tf->codes[43709] = 0x000b216561bca196UL;
   tf->codes[43710] = 0x000b26bf903da114UL;
   tf->codes[43711] = 0x000f0ebd887dfdd2UL;
   tf->codes[43712] = 0x000f1370460a7e04UL;
   tf->codes[43713] = 0x000f2dff41bd5dcbUL;
   tf->codes[43714] = 0x000fb7e1550b21b3UL;
   tf->codes[43715] = 0x000068d03e6ad76eUL;
   tf->codes[43716] = 0x00006cf479e84d35UL;
   tf->codes[43717] = 0x00009abef6ac4460UL;
   tf->codes[43718] = 0x000190353b967289UL;
   tf->codes[43719] = 0x000364f6d714ae8eUL;
   tf->codes[43720] = 0x0005895fadb3f9abUL;
   tf->codes[43721] = 0x0005a10f3f3d6467UL;
   tf->codes[43722] = 0x0005d20935b4b3f3UL;
   tf->codes[43723] = 0x00063f00a4f31e49UL;
   tf->codes[43724] = 0x00071af6fe342190UL;
   tf->codes[43725] = 0x0007936fbf08bc62UL;
   tf->codes[43726] = 0x0007a2d2f617d97bUL;
   tf->codes[43727] = 0x0007ff6dd95095eeUL;
   tf->codes[43728] = 0x0009a32a48f767b2UL;
   tf->codes[43729] = 0x000a4837ce1b75bdUL;
   tf->codes[43730] = 0x000c9e592693d66bUL;
   tf->codes[43731] = 0x000d031020651f22UL;
   tf->codes[43732] = 0x000d1f9e954e6395UL;
   tf->codes[43733] = 0x000d95bd47afacffUL;
   tf->codes[43734] = 0x000dac9683bcf9aeUL;
   tf->codes[43735] = 0x000dcd7c36b9ba83UL;
   tf->codes[43736] = 0x000e0c0c3df2b7c8UL;
   tf->codes[43737] = 0x000e1fda5f214171UL;
   tf->codes[43738] = 0x000e295903aebc7bUL;
   tf->codes[43739] = 0x000fbe19663d9b35UL;
   tf->codes[43740] = 0x00001bd864e61f59UL;
   tf->codes[43741] = 0x0000a68a660b5fc2UL;
   tf->codes[43742] = 0x0001e21bc292cd92UL;
   tf->codes[43743] = 0x000333db06b3a6b0UL;
   tf->codes[43744] = 0x000337d6ffdd2507UL;
   tf->codes[43745] = 0x0004d8934f7648b5UL;
   tf->codes[43746] = 0x0005073afe790b03UL;
   tf->codes[43747] = 0x00056fde9e054f82UL;
   tf->codes[43748] = 0x0005a60712485091UL;
   tf->codes[43749] = 0x000609349b2ad5b0UL;
   tf->codes[43750] = 0x00079433c898aa71UL;
   tf->codes[43751] = 0x0008c616ec5ded27UL;
   tf->codes[43752] = 0x0008dfa66604a05dUL;
   tf->codes[43753] = 0x000a43bb0d2de4b9UL;
   tf->codes[43754] = 0x000aacc8cff49e48UL;
   tf->codes[43755] = 0x000acbc11bddc23cUL;
   tf->codes[43756] = 0x000acd0cc9f4700eUL;
   tf->codes[43757] = 0x000b3e0e2670b8acUL;
   tf->codes[43758] = 0x000b809dcfc39098UL;
   tf->codes[43759] = 0x000cc874fbc98aebUL;
   tf->codes[43760] = 0x000cdc4fb1b251e7UL;
   tf->codes[43761] = 0x000d77f7bbbd5f8eUL;
   tf->codes[43762] = 0x000dfc500c5573e8UL;
   tf->codes[43763] = 0x000e6a19ed909a36UL;
   tf->codes[43764] = 0x000184980362bd4fUL;
   tf->codes[43765] = 0x0002f7d8c0f6b04fUL;
   tf->codes[43766] = 0x0002fd453c297d5dUL;
   tf->codes[43767] = 0x0005f500b024e228UL;
   tf->codes[43768] = 0x000714dce6827493UL;
   tf->codes[43769] = 0x0007888f3dbe9f05UL;
   tf->codes[43770] = 0x0008ef12c43241d0UL;
   tf->codes[43771] = 0x000975383b17c58aUL;
   tf->codes[43772] = 0x000ad71941a981c6UL;
   tf->codes[43773] = 0x000b0a6126f7f0f1UL;
   tf->codes[43774] = 0x000b13aba4244887UL;
   tf->codes[43775] = 0x000b8626e391cc69UL;
   tf->codes[43776] = 0x000c9b7d66e5f8d4UL;
   tf->codes[43777] = 0x000dc0edab1d3e6eUL;
   tf->codes[43778] = 0x000f94d757363403UL;
   tf->codes[43779] = 0x00005b6a73dbc3caUL;
   tf->codes[43780] = 0x000077d5742c89f6UL;
   tf->codes[43781] = 0x0001da109add2764UL;
   tf->codes[43782] = 0x0001e20a27194c75UL;
   tf->codes[43783] = 0x00027829cdc8cd2cUL;
   tf->codes[43784] = 0x00033810a6320e17UL;
   tf->codes[43785] = 0x000369e7cee828c6UL;
   tf->codes[43786] = 0x000373b055e9eb5fUL;
   tf->codes[43787] = 0x0003854559186270UL;
   tf->codes[43788] = 0x00054e7c4218816cUL;
   tf->codes[43789] = 0x0005fbed01951e0eUL;
   tf->codes[43790] = 0x0006736431565862UL;
   tf->codes[43791] = 0x0006916780e6592bUL;
   tf->codes[43792] = 0x0006c2667fa827a5UL;
   tf->codes[43793] = 0x0007bfc2df519076UL;
   tf->codes[43794] = 0x0008e644f246d031UL;
   tf->codes[43795] = 0x0008fdfd6f9a1bf0UL;
   tf->codes[43796] = 0x0009e646dcc0fa5cUL;
   tf->codes[43797] = 0x000a11dd09405818UL;
   tf->codes[43798] = 0x000a5cf39c1342a7UL;
   tf->codes[43799] = 0x000a6fafee83d22fUL;
   tf->codes[43800] = 0x000ae9c7db5a54b4UL;
   tf->codes[43801] = 0x000b0c2efdb80f32UL;
   tf->codes[43802] = 0x000bb4d9539c3b74UL;
   tf->codes[43803] = 0x000c86514bb4915bUL;
   tf->codes[43804] = 0x000d727dc31f793dUL;
   tf->codes[43805] = 0x000e3785d4ed1d09UL;
   tf->codes[43806] = 0x000e7f4520d6c351UL;
   tf->codes[43807] = 0x000e9831bcb56a9fUL;
   tf->codes[43808] = 0x000f4494cb8274faUL;
   tf->codes[43809] = 0x000f90f537f3df33UL;
   tf->codes[43810] = 0x0000bd1aac3154acUL;
   tf->codes[43811] = 0x00012c4c98c9f438UL;
   tf->codes[43812] = 0x00029b2cb7627e49UL;
   tf->codes[43813] = 0x00034a12c6a3e2cbUL;
   tf->codes[43814] = 0x0003fd85d5430f86UL;
   tf->codes[43815] = 0x0004f4d3c62db675UL;
   tf->codes[43816] = 0x00056fd2462af0aaUL;
   tf->codes[43817] = 0x000672c1c971f596UL;
   tf->codes[43818] = 0x00069772f7276d9eUL;
   tf->codes[43819] = 0x0006aae5d36bf93cUL;
   tf->codes[43820] = 0x000719500e49ebfbUL;
   tf->codes[43821] = 0x000788768af36b0dUL;
   tf->codes[43822] = 0x0007fbe52cd0e9b7UL;
   tf->codes[43823] = 0x000859a2cc1f4b3dUL;
   tf->codes[43824] = 0x0008669a1d2754e8UL;
   tf->codes[43825] = 0x00097e899692055aUL;
   tf->codes[43826] = 0x0009865b55983e85UL;
   tf->codes[43827] = 0x000a430cc1c7910dUL;
   tf->codes[43828] = 0x000ae5b53da738c0UL;
   tf->codes[43829] = 0x000b6c6886eeb596UL;
   tf->codes[43830] = 0x000bfb4bcd69b4a3UL;
   tf->codes[43831] = 0x000c6ae6b871ac66UL;
   tf->codes[43832] = 0x000c81de263df2a9UL;
   tf->codes[43833] = 0x000dbeb83798c34aUL;
   tf->codes[43834] = 0x000dff4fb995ef2aUL;
   tf->codes[43835] = 0x000eaf1a4cf6d76fUL;
   tf->codes[43836] = 0x000ee9ed7d388ec1UL;
   tf->codes[43837] = 0x000012594e510f0dUL;
   tf->codes[43838] = 0x00012e7b6c6ba0c1UL;
   tf->codes[43839] = 0x000263aaa1ba0d09UL;
   tf->codes[43840] = 0x000300e667d7e1e9UL;
   tf->codes[43841] = 0x000322eab8dbdff7UL;
   tf->codes[43842] = 0x0003630a98a84260UL;
   tf->codes[43843] = 0x0003d73fc77550feUL;
   tf->codes[43844] = 0x000608de9c30d2a0UL;
   tf->codes[43845] = 0x00072b673a21d37bUL;
   tf->codes[43846] = 0x000949644e112abeUL;
   tf->codes[43847] = 0x000a315fbab559c1UL;
   tf->codes[43848] = 0x000bb4931ba38b59UL;
   tf->codes[43849] = 0x000ccc03666db3efUL;
   tf->codes[43850] = 0x000d75e5f8eba39aUL;
   tf->codes[43851] = 0x000daf13d015d772UL;
   tf->codes[43852] = 0x000ed803d8195e88UL;
   tf->codes[43853] = 0x000f09164858176bUL;
   tf->codes[43854] = 0x000fab8644392e0bUL;
   tf->codes[43855] = 0x0000170c0ca32cd1UL;
   tf->codes[43856] = 0x000160688b8982e2UL;
   tf->codes[43857] = 0x00020d3289beb187UL;
   tf->codes[43858] = 0x0002bd1ce8c7bbc3UL;
   tf->codes[43859] = 0x0002d63ed0d2a35eUL;
   tf->codes[43860] = 0x0004b7bd68e229d3UL;
   tf->codes[43861] = 0x0005d3ced434165aUL;
   tf->codes[43862] = 0x0005d5897340b265UL;
   tf->codes[43863] = 0x000629c156afe606UL;
   tf->codes[43864] = 0x0006c936755cd343UL;
   tf->codes[43865] = 0x0008204353446e8cUL;
   tf->codes[43866] = 0x0008b22819273e4dUL;
   tf->codes[43867] = 0x000a09ead135c45dUL;
   tf->codes[43868] = 0x000a1ae707312d62UL;
   tf->codes[43869] = 0x000a2bd92c97988bUL;
   tf->codes[43870] = 0x000aaf9b3421de50UL;
   tf->codes[43871] = 0x000b72e7f735d4c2UL;
   tf->codes[43872] = 0x000bd43fe31f1508UL;
   tf->codes[43873] = 0x000c6ebe5451d086UL;
   tf->codes[43874] = 0x000d7db7f346801cUL;
   tf->codes[43875] = 0x000e281b13bf1a41UL;
   tf->codes[43876] = 0x000e7d3063fc1ecaUL;
   tf->codes[43877] = 0x000f5378d641e2edUL;
   tf->codes[43878] = 0x000f8462c99d9e9bUL;
   tf->codes[43879] = 0x000f8b86757bb129UL;
   tf->codes[43880] = 0x000fe8fc7bec04d2UL;
   tf->codes[43881] = 0x00006081da50a4dcUL;
   tf->codes[43882] = 0x0000c243aee5546dUL;
   tf->codes[43883] = 0x00013da7bef0904eUL;
   tf->codes[43884] = 0x000331e5dd42f711UL;
   tf->codes[43885] = 0x000356740b7dfc5cUL;
   tf->codes[43886] = 0x00045a9a31759c4eUL;
   tf->codes[43887] = 0x0005b6377d1c565bUL;
   tf->codes[43888] = 0x0006ffeaadc03713UL;
   tf->codes[43889] = 0x000784a3861bce2bUL;
   tf->codes[43890] = 0x00082247606ce42eUL;
   tf->codes[43891] = 0x000847ee74b79675UL;
   tf->codes[43892] = 0x0008870ab4696473UL;
   tf->codes[43893] = 0x0008bbb318a58e77UL;
   tf->codes[43894] = 0x00094341100696f9UL;
   tf->codes[43895] = 0x000980ed083e1c05UL;
   tf->codes[43896] = 0x000a8d5209b9b533UL;
   tf->codes[43897] = 0x000ada2ac808fa32UL;
   tf->codes[43898] = 0x000b44d9162bbe12UL;
   tf->codes[43899] = 0x000d263732e61141UL;
   tf->codes[43900] = 0x000d803995265537UL;
   tf->codes[43901] = 0x000d8c38b602eaf1UL;
   tf->codes[43902] = 0x000dd0e4aaf0fe7fUL;
   tf->codes[43903] = 0x000de474599a6113UL;
   tf->codes[43904] = 0x000f596ff0c9f5e3UL;
   tf->codes[43905] = 0x0000f8144d654b8eUL;
   tf->codes[43906] = 0x000136d8b68e720cUL;
   tf->codes[43907] = 0x00015d6e9a1cabb7UL;
   tf->codes[43908] = 0x00015e67ef133c81UL;
   tf->codes[43909] = 0x000193df1c5bc62dUL;
   tf->codes[43910] = 0x00026410e3c5f8baUL;
   tf->codes[43911] = 0x00028db600415d45UL;
   tf->codes[43912] = 0x000310cf720c06e5UL;
   tf->codes[43913] = 0x00044bf670c9f9e0UL;
   tf->codes[43914] = 0x000456ad51f13853UL;
   tf->codes[43915] = 0x0004ccfecc598293UL;
   tf->codes[43916] = 0x00058c24201db278UL;
   tf->codes[43917] = 0x0006f933e4967c63UL;
   tf->codes[43918] = 0x00073f740ab562b4UL;
   tf->codes[43919] = 0x0007521fe4ec52d4UL;
   tf->codes[43920] = 0x0008ab19b4c97f74UL;
   tf->codes[43921] = 0x0008b035e5e36367UL;
   tf->codes[43922] = 0x0009b707c3c1607aUL;
   tf->codes[43923] = 0x000ab5febc403d9aUL;
   tf->codes[43924] = 0x000abed0acffb4a5UL;
   tf->codes[43925] = 0x000b8a076e5247d4UL;
   tf->codes[43926] = 0x000c1b27b64cbb8eUL;
   tf->codes[43927] = 0x000c5648e7112249UL;
   tf->codes[43928] = 0x000d17611f517987UL;
   tf->codes[43929] = 0x0000054394117c51UL;
   tf->codes[43930] = 0x00000f7fd9c4a64cUL;
   tf->codes[43931] = 0x00005419f71ef7d4UL;
   tf->codes[43932] = 0x000185bc5ec8d9c3UL;
   tf->codes[43933] = 0x000284e7b937e01cUL;
   tf->codes[43934] = 0x000299d68774daebUL;
   tf->codes[43935] = 0x0002d7e3076fe2b5UL;
   tf->codes[43936] = 0x0003831b932883d3UL;
   tf->codes[43937] = 0x00053c46e9e8ef56UL;
   tf->codes[43938] = 0x000600ef23a021b3UL;
   tf->codes[43939] = 0x0006047a575b83a9UL;
   tf->codes[43940] = 0x00064336f985e5fdUL;
   tf->codes[43941] = 0x0006b80cf713cc96UL;
   tf->codes[43942] = 0x0007c8a4d7ce4ccbUL;
   tf->codes[43943] = 0x00087d3ec0918673UL;
   tf->codes[43944] = 0x000ac739a015710bUL;
   tf->codes[43945] = 0x000baf61328cf993UL;
   tf->codes[43946] = 0x000cc30e3ebb3aaaUL;
   tf->codes[43947] = 0x000cf7ff60a08f64UL;
   tf->codes[43948] = 0x000d0a161694cdc8UL;
   tf->codes[43949] = 0x000d1f69c532b8f4UL;
   tf->codes[43950] = 0x000d2b5f85276221UL;
   tf->codes[43951] = 0x000e6fdf6a44182dUL;
   tf->codes[43952] = 0x000f691f8ffdd526UL;
   tf->codes[43953] = 0x000040de01b57278UL;
   tf->codes[43954] = 0x00017d875a107630UL;
   tf->codes[43955] = 0x00021beb1f1d74d6UL;
   tf->codes[43956] = 0x00025e1daf0e208fUL;
   tf->codes[43957] = 0x0002625e47d261c2UL;
   tf->codes[43958] = 0x00037b8f5ebec22aUL;
   tf->codes[43959] = 0x0003a6397aaeddbeUL;
   tf->codes[43960] = 0x00044be166ef2238UL;
   tf->codes[43961] = 0x00048939e13b6d63UL;
   tf->codes[43962] = 0x0006358b2e76b1bbUL;
   tf->codes[43963] = 0x000642b2c3607cc5UL;
   tf->codes[43964] = 0x00066b46863bf2b9UL;
   tf->codes[43965] = 0x00069dfcb5a906b3UL;
   tf->codes[43966] = 0x00073219af4fd1f8UL;
   tf->codes[43967] = 0x000863079c2cebbeUL;
   tf->codes[43968] = 0x00095066983a06ccUL;
   tf->codes[43969] = 0x000978dead7bc2a3UL;
   tf->codes[43970] = 0x0009ff6bfe0581bbUL;
   tf->codes[43971] = 0x000a266ec38275b2UL;
   tf->codes[43972] = 0x000ad2590b5399bdUL;
   tf->codes[43973] = 0x000beb4bafbad310UL;
   tf->codes[43974] = 0x000caf481fe01882UL;
   tf->codes[43975] = 0x000cf451dddd6992UL;
   tf->codes[43976] = 0x000d1dc3bd33c1bdUL;
   tf->codes[43977] = 0x000d6d419135bc8cUL;
   tf->codes[43978] = 0x000e3b0cf0016623UL;
   tf->codes[43979] = 0x000f183175472ef7UL;
   tf->codes[43980] = 0x000fa9fbb25b6174UL;
   tf->codes[43981] = 0x000fbd71c2723dd8UL;
   tf->codes[43982] = 0x00002bedd4e3f29dUL;
   tf->codes[43983] = 0x00007d94893b6661UL;
   tf->codes[43984] = 0x00012aea4acb5a35UL;
   tf->codes[43985] = 0x000291c482fc87a7UL;
   tf->codes[43986] = 0x0002c44e17783692UL;
   tf->codes[43987] = 0x000774438ecb4005UL;
   tf->codes[43988] = 0x0007a31c315cd501UL;
   tf->codes[43989] = 0x0009659f49b0e6bcUL;
   tf->codes[43990] = 0x0009b01582e104daUL;
   tf->codes[43991] = 0x0009e9331c609f0fUL;
   tf->codes[43992] = 0x000a1b01ce6ae445UL;
   tf->codes[43993] = 0x000b0fda78668b39UL;
   tf->codes[43994] = 0x000b5a0c8719f205UL;
   tf->codes[43995] = 0x000bf86eecccce0dUL;
   tf->codes[43996] = 0x000c32ca7addbbe8UL;
   tf->codes[43997] = 0x000c6f26a6f02b48UL;
   tf->codes[43998] = 0x000d5a440e515e45UL;
   tf->codes[43999] = 0x000d8840ddfe4abcUL;
   tf->codes[44000] = 0x000d8c17538816dfUL;
   tf->codes[44001] = 0x000db78c8f9435cbUL;
   tf->codes[44002] = 0x000fbcd49d675fbfUL;
   tf->codes[44003] = 0x000051e693674e2fUL;
   tf->codes[44004] = 0x00005617639f0149UL;
   tf->codes[44005] = 0x0001a2f8740d11ffUL;
   tf->codes[44006] = 0x0001ef5487e10e99UL;
   tf->codes[44007] = 0x0001f548e2ef3ec1UL;
   tf->codes[44008] = 0x000212d53ffb8762UL;
   tf->codes[44009] = 0x0002a1e6f5e019a6UL;
   tf->codes[44010] = 0x0002d6e730a4eb2aUL;
   tf->codes[44011] = 0x00030260ffdd7d7aUL;
   tf->codes[44012] = 0x000328dea4335393UL;
   tf->codes[44013] = 0x000373f23dc2f321UL;
   tf->codes[44014] = 0x000377af4f493ed9UL;
   tf->codes[44015] = 0x00038f5a4da63631UL;
   tf->codes[44016] = 0x0003d944c37b8f20UL;
   tf->codes[44017] = 0x0003f097b0c0d933UL;
   tf->codes[44018] = 0x0005ec77bf55c34cUL;
   tf->codes[44019] = 0x0007fb103cdbdad8UL;
   tf->codes[44020] = 0x000936da8e7fe545UL;
   tf->codes[44021] = 0x0009743e78bb50eaUL;
   tf->codes[44022] = 0x0009d1379a215669UL;
   tf->codes[44023] = 0x0009e51fcf0071ccUL;
   tf->codes[44024] = 0x000a37b7d6c0ac6bUL;
   tf->codes[44025] = 0x000a580188b80e6eUL;
   tf->codes[44026] = 0x000bd2327a7601d7UL;
   tf->codes[44027] = 0x000c8949e6450b2eUL;
   tf->codes[44028] = 0x000ce2e7a2b3648cUL;
   tf->codes[44029] = 0x000e552f45dfcc87UL;
   tf->codes[44030] = 0x0000210eb2f3f7deUL;
   tf->codes[44031] = 0x0000c8f45060c254UL;
   tf->codes[44032] = 0x000103da427252c0UL;
   tf->codes[44033] = 0x000178edc849495aUL;
   tf->codes[44034] = 0x0001cb33ec07727bUL;
   tf->codes[44035] = 0x00020993af5eae61UL;
   tf->codes[44036] = 0x000215fa6f5079b4UL;
   tf->codes[44037] = 0x000243f7eeaa777aUL;
   tf->codes[44038] = 0x000271d985dbb55eUL;
   tf->codes[44039] = 0x00030b306d3d52a0UL;
   tf->codes[44040] = 0x000330508be8b8e1UL;
   tf->codes[44041] = 0x0005d801b8da4c5fUL;
   tf->codes[44042] = 0x0005e9ecf8a8428dUL;
   tf->codes[44043] = 0x00073aa89cae8740UL;
   tf->codes[44044] = 0x0007498a20f7dd06UL;
   tf->codes[44045] = 0x000a401594764e1cUL;
   tf->codes[44046] = 0x000abf31732e5102UL;
   tf->codes[44047] = 0x000c1ec5afb40a78UL;
   tf->codes[44048] = 0x000c60731e7d9853UL;
   tf->codes[44049] = 0x000cea62b0c1b0a2UL;
   tf->codes[44050] = 0x000d0e5ad07ded1dUL;
   tf->codes[44051] = 0x000da3df9af32bdbUL;
   tf->codes[44052] = 0x000e34fc39fd4345UL;
   tf->codes[44053] = 0x000ee9dc96d36df1UL;
   tf->codes[44054] = 0x000f430e5b8f2417UL;
   tf->codes[44055] = 0x000faa91889bfd35UL;
   tf->codes[44056] = 0x000108f1a6965b1cUL;
   tf->codes[44057] = 0x00018547f44674ecUL;
   tf->codes[44058] = 0x0006905002ae9413UL;
   tf->codes[44059] = 0x0006ea4819cad468UL;
   tf->codes[44060] = 0x00070dde8cf8714cUL;
   tf->codes[44061] = 0x000777e0274d312dUL;
   tf->codes[44062] = 0x0007ff61c4830221UL;
   tf->codes[44063] = 0x00082cfce7a14f01UL;
   tf->codes[44064] = 0x00083e3fcc3eaecfUL;
   tf->codes[44065] = 0x00086b5977263a21UL;
   tf->codes[44066] = 0x0008b75b304c4fc4UL;
   tf->codes[44067] = 0x00090b416a4877acUL;
   tf->codes[44068] = 0x0009e228d6d6e5a2UL;
   tf->codes[44069] = 0x0009ec43f187cb08UL;
   tf->codes[44070] = 0x000b62b797306cf4UL;
   tf->codes[44071] = 0x000b715899ed67b8UL;
   tf->codes[44072] = 0x000ba09da94fab76UL;
   tf->codes[44073] = 0x000c15a50f8a7047UL;
   tf->codes[44074] = 0x000c71c30db8de90UL;
   tf->codes[44075] = 0x000ca15b9b065c2fUL;
   tf->codes[44076] = 0x000ec353bde31ab5UL;
   tf->codes[44077] = 0x000ef91f18c3ef91UL;
   tf->codes[44078] = 0x000f7e0ffc000c32UL;
   tf->codes[44079] = 0x000fb2a772e48b44UL;
   tf->codes[44080] = 0x0000f7e6588112dfUL;
   tf->codes[44081] = 0x000105ecb992d16fUL;
   tf->codes[44082] = 0x00010fc6dd995049UL;
   tf->codes[44083] = 0x0001255088108d11UL;
   tf->codes[44084] = 0x000154b4edfce73cUL;
   tf->codes[44085] = 0x0002151b2f95b5c8UL;
   tf->codes[44086] = 0x0002c9c889d5d9d9UL;
   tf->codes[44087] = 0x000329bdad3b2594UL;
   tf->codes[44088] = 0x0003bfd293a89720UL;
   tf->codes[44089] = 0x0004ab9b14eea5b9UL;
   tf->codes[44090] = 0x00050583d89c637fUL;
   tf->codes[44091] = 0x000603d1c63d98f0UL;
   tf->codes[44092] = 0x00063faefe3e8639UL;
   tf->codes[44093] = 0x00065e5cb806514fUL;
   tf->codes[44094] = 0x0006bbcba724f21dUL;
   tf->codes[44095] = 0x000712f78b05a20bUL;
   tf->codes[44096] = 0x00073e85b5f735d8UL;
   tf->codes[44097] = 0x0007476266f8bc0eUL;
   tf->codes[44098] = 0x000765e88e19a103UL;
   tf->codes[44099] = 0x00076714ab1732a3UL;
   tf->codes[44100] = 0x0007d04cf9c81d54UL;
   tf->codes[44101] = 0x0007f3b7472260b3UL;
   tf->codes[44102] = 0x0008e8f287e8be52UL;
   tf->codes[44103] = 0x00098dbabdc4f832UL;
   tf->codes[44104] = 0x0009d0eccfc1d07cUL;
   tf->codes[44105] = 0x000ab139f1f8449bUL;
   tf->codes[44106] = 0x000b62d888694956UL;
   tf->codes[44107] = 0x000ba940b64d2152UL;
   tf->codes[44108] = 0x000e3a3872d98a18UL;
   tf->codes[44109] = 0x000ea90285cdee46UL;
   tf->codes[44110] = 0x0000db56bf924f25UL;
   tf->codes[44111] = 0x000131b8a8221894UL;
   tf->codes[44112] = 0x0001657e2227e738UL;
   tf->codes[44113] = 0x0002d06f8bfe4194UL;
   tf->codes[44114] = 0x00037f5859f3eb52UL;
   tf->codes[44115] = 0x0005a610f3e28436UL;
   tf->codes[44116] = 0x00062c42ff824543UL;
   tf->codes[44117] = 0x000771c09232f9b8UL;
   tf->codes[44118] = 0x0008c57579843f6bUL;
   tf->codes[44119] = 0x000934837c665526UL;
   tf->codes[44120] = 0x0009ca472e7ec683UL;
   tf->codes[44121] = 0x000c4d94b91f85d8UL;
   tf->codes[44122] = 0x000cf1de7008492bUL;
   tf->codes[44123] = 0x000dd0645e77e3ecUL;
   tf->codes[44124] = 0x000dd1b3f00df3d3UL;
   tf->codes[44125] = 0x000e9a2978f60b8bUL;
   tf->codes[44126] = 0x000f1d5ab4db0d33UL;
   tf->codes[44127] = 0x000f8d7e69fa7f24UL;
   tf->codes[44128] = 0x000f9a8b7615aceaUL;
   tf->codes[44129] = 0x0000eb5423f43a7aUL;
   tf->codes[44130] = 0x00014ad9a6b686adUL;
   tf->codes[44131] = 0x00017e9b77cbf901UL;
   tf->codes[44132] = 0x0001f0473e800becUL;
   tf->codes[44133] = 0x000310f0a400d59cUL;
   tf->codes[44134] = 0x0005bf25d2dac086UL;
   tf->codes[44135] = 0x000627ee0bcaa025UL;
   tf->codes[44136] = 0x00065cf473a50d70UL;
   tf->codes[44137] = 0x00069487024cbbaaUL;
   tf->codes[44138] = 0x000709ae342fa272UL;
   tf->codes[44139] = 0x000733ed42a931e2UL;
   tf->codes[44140] = 0x00084b2dbeafa4a3UL;
   tf->codes[44141] = 0x00084d524667aff9UL;
   tf->codes[44142] = 0x00092e5876975fa5UL;
   tf->codes[44143] = 0x000a0f73b22d221dUL;
   tf->codes[44144] = 0x000acf8a93e91ea2UL;
   tf->codes[44145] = 0x000b8ce2fbeee4ecUL;
   tf->codes[44146] = 0x000c66473bdc1142UL;
   tf->codes[44147] = 0x000cb6110159878dUL;
   tf->codes[44148] = 0x00015bdf3e5f79d1UL;
   tf->codes[44149] = 0x00020614d9aa97d3UL;
   tf->codes[44150] = 0x00029ed11f60f8e1UL;
   tf->codes[44151] = 0x0002a4f42467c205UL;
   tf->codes[44152] = 0x0002a570945404a5UL;
   tf->codes[44153] = 0x0003be9bf348d4d0UL;
   tf->codes[44154] = 0x0003fb0f39c88ae9UL;
   tf->codes[44155] = 0x0004d248c4e81022UL;
   tf->codes[44156] = 0x0005709cc16880afUL;
   tf->codes[44157] = 0x0005c86bf82f480fUL;
   tf->codes[44158] = 0x00061ec7791a6ff2UL;
   tf->codes[44159] = 0x0007b990ccff8616UL;
   tf->codes[44160] = 0x0008feb47a205f1eUL;
   tf->codes[44161] = 0x0009958cf43a159dUL;
   tf->codes[44162] = 0x000afa0815ad72b9UL;
   tf->codes[44163] = 0x000b3d74f13f15c8UL;
   tf->codes[44164] = 0x000bec837d63777fUL;
   tf->codes[44165] = 0x000e45b11585b80cUL;
   tf->codes[44166] = 0x000e698d128a2ee0UL;
   tf->codes[44167] = 0x000e839886ff192cUL;
   tf->codes[44168] = 0x000e885087651e11UL;
   tf->codes[44169] = 0x000e94eb34290713UL;
   tf->codes[44170] = 0x000ec67e6cf17035UL;
   tf->codes[44171] = 0x000ed3c97673b986UL;
   tf->codes[44172] = 0x000f2e3a8f1ae5f0UL;
   tf->codes[44173] = 0x000fbc6d03b97924UL;
   tf->codes[44174] = 0x0000779832cc58daUL;
   tf->codes[44175] = 0x00010b13ae053ad5UL;
   tf->codes[44176] = 0x00011861011dbdd8UL;
   tf->codes[44177] = 0x00013b29d00a17edUL;
   tf->codes[44178] = 0x00023f01baf002b1UL;
   tf->codes[44179] = 0x00025ee73c3385a6UL;
   tf->codes[44180] = 0x00032a38c0e3bbdeUL;
   tf->codes[44181] = 0x000351617f1e6d93UL;
   tf->codes[44182] = 0x00036a19f39bf16dUL;
   tf->codes[44183] = 0x0003c601f5f10e1aUL;
   tf->codes[44184] = 0x000686b5b46372c6UL;
   tf->codes[44185] = 0x0006ab35ee8a1820UL;
   tf->codes[44186] = 0x0007023aef70f33cUL;
   tf->codes[44187] = 0x0008211e8085062cUL;
   tf->codes[44188] = 0x000855e0bde2bc25UL;
   tf->codes[44189] = 0x0009634c58bc34bfUL;
   tf->codes[44190] = 0x00097cf0ddc8fac1UL;
   tf->codes[44191] = 0x000aa0ea72e155ddUL;
   tf->codes[44192] = 0x000b5d26fb94242aUL;
   tf->codes[44193] = 0x000ba7590a478af6UL;
   tf->codes[44194] = 0x000bda344836459aUL;
   tf->codes[44195] = 0x000c7f6b6f086db3UL;
   tf->codes[44196] = 0x000d006526d68526UL;
   tf->codes[44197] = 0x000d361bb0e04cfbUL;
   tf->codes[44198] = 0x000e9238a0459a6eUL;
   tf->codes[44199] = 0x000fd6fcea6e0d91UL;
   tf->codes[44200] = 0x00007b8513dbf7f9UL;
   tf->codes[44201] = 0x00009f234e085907UL;
   tf->codes[44202] = 0x0000a803a7fa3b8dUL;
   tf->codes[44203] = 0x00011b8f1c3c912dUL;
   tf->codes[44204] = 0x00012bae1ff92f0fUL;
   tf->codes[44205] = 0x0001435f85fac7f3UL;
   tf->codes[44206] = 0x00015dbfd7b50ebeUL;
   tf->codes[44207] = 0x0004aba354e78947UL;
   tf->codes[44208] = 0x0005aca1187d83b3UL;
   tf->codes[44209] = 0x0005bc262a3bf6b0UL;
   tf->codes[44210] = 0x0005f0be50cd8711UL;
   tf->codes[44211] = 0x000815279c8addb8UL;
   tf->codes[44212] = 0x000a66df2faeeeafUL;
   tf->codes[44213] = 0x000a75e254189494UL;
   tf->codes[44214] = 0x000ba45be442c573UL;
   tf->codes[44215] = 0x000c011115bb1965UL;
   tf->codes[44216] = 0x000c6382d1f01dbbUL;
   tf->codes[44217] = 0x000d292c9cbab096UL;
   tf->codes[44218] = 0x000d49989e7f7407UL;
   tf->codes[44219] = 0x000d70c5b557935bUL;
   tf->codes[44220] = 0x000dc7028f65b620UL;
   tf->codes[44221] = 0x000fe633c1e068f2UL;
   tf->codes[44222] = 0x00000fc74157113cUL;
   tf->codes[44223] = 0x0000dd500f8f2be4UL;
   tf->codes[44224] = 0x0000df12759a8c19UL;
   tf->codes[44225] = 0x00029486383d365cUL;
   tf->codes[44226] = 0x0002a1780bdcb58fUL;
   tf->codes[44227] = 0x000514752a13f8caUL;
   tf->codes[44228] = 0x0006a9c7428432b5UL;
   tf->codes[44229] = 0x0007654be208e24eUL;
   tf->codes[44230] = 0x0007d5675b0b848bUL;
   tf->codes[44231] = 0x0008f12373fa0909UL;
   tf->codes[44232] = 0x000903401c74dd6fUL;
   tf->codes[44233] = 0x0009cde1f413c4a7UL;
   tf->codes[44234] = 0x0009d542788dd5e7UL;
   tf->codes[44235] = 0x000a19301ca92935UL;
   tf->codes[44236] = 0x000a260ad5db61afUL;
   tf->codes[44237] = 0x000ab6a428368963UL;
   tf->codes[44238] = 0x000c3b7a98a604c3UL;
   tf->codes[44239] = 0x000d31287352acebUL;
   tf->codes[44240] = 0x000d9a6938af6d15UL;
   tf->codes[44241] = 0x000e162e459c373eUL;
   tf->codes[44242] = 0x00006271d11dbcc2UL;
   tf->codes[44243] = 0x000080b26e67c7c7UL;
   tf->codes[44244] = 0x0000cc2b5d76633cUL;
   tf->codes[44245] = 0x00011a7a55c6872fUL;
   tf->codes[44246] = 0x00012a870cd15781UL;
   tf->codes[44247] = 0x00014fcfa85fbaf7UL;
   tf->codes[44248] = 0x00020584c0c8db4dUL;
   tf->codes[44249] = 0x0003fb2f08872328UL;
   tf->codes[44250] = 0x000497bcf60bd730UL;
   tf->codes[44251] = 0x0005484a32dced54UL;
   tf->codes[44252] = 0x00060b6084f986a0UL;
   tf->codes[44253] = 0x000694c2b9f9b15dUL;
   tf->codes[44254] = 0x00076e07a35cc746UL;
   tf->codes[44255] = 0x0008930a1b693b80UL;
   tf->codes[44256] = 0x00098430e93eb171UL;
   tf->codes[44257] = 0x000aebe13c5cf72bUL;
   tf->codes[44258] = 0x000dd2d0be3eb450UL;
   tf->codes[44259] = 0x000e635fc575d863UL;
   tf->codes[44260] = 0x000fdb8a613aba0aUL;
   tf->codes[44261] = 0x00014ebf745086cbUL;
   tf->codes[44262] = 0x000177399899768fUL;
   tf->codes[44263] = 0x000199efa5b5f78aUL;
   tf->codes[44264] = 0x0002357fab17a764UL;
   tf->codes[44265] = 0x00033e1a56a5a638UL;
   tf->codes[44266] = 0x00036c2763fd2c52UL;
   tf->codes[44267] = 0x00036d97365969baUL;
   tf->codes[44268] = 0x0003c1d19deddcd2UL;
   tf->codes[44269] = 0x0005818a1cef8689UL;
   tf->codes[44270] = 0x000609e075b84d27UL;
   tf->codes[44271] = 0x0006a45e71ccfd1bUL;
   tf->codes[44272] = 0x0006d5eca24ae74fUL;
   tf->codes[44273] = 0x00094ce9d7ba10bbUL;
   tf->codes[44274] = 0x000965c16832a53dUL;
   tf->codes[44275] = 0x0009abf5e3d3654fUL;
   tf->codes[44276] = 0x0009d353ee3a5751UL;
   tf->codes[44277] = 0x0009daf2701b841cUL;
   tf->codes[44278] = 0x0009f7bc23b79edeUL;
   tf->codes[44279] = 0x000cb6226870ef75UL;
   tf->codes[44280] = 0x000f0e06d6a1c1a7UL;
   tf->codes[44281] = 0x000f2a4f12071adbUL;
   tf->codes[44282] = 0x000f356bbdcb60bfUL;
   tf->codes[44283] = 0x000fec364de2d786UL;
   tf->codes[44284] = 0x00001e4288362cbdUL;
   tf->codes[44285] = 0x000100191b5b6474UL;
   tf->codes[44286] = 0x0002b50204df609cUL;
   tf->codes[44287] = 0x00046c0147780264UL;
   tf->codes[44288] = 0x00052a01d01f5949UL;
   tf->codes[44289] = 0x00061d3cad733b28UL;
   tf->codes[44290] = 0x0006b2fc417d44abUL;
   tf->codes[44291] = 0x00087727719d1f1cUL;
   tf->codes[44292] = 0x0009778a9387dd54UL;
   tf->codes[44293] = 0x000986f1ae165c82UL;
   tf->codes[44294] = 0x000c08035c02c403UL;
   tf->codes[44295] = 0x000c46b8372e622dUL;
   tf->codes[44296] = 0x000ccdf0dc2c02a6UL;
   tf->codes[44297] = 0x000ddde09c44f240UL;
   tf->codes[44298] = 0x000e6045cdd1d97cUL;
   tf->codes[44299] = 0x000e8de2c5685484UL;
   tf->codes[44300] = 0x000ea73e17ade446UL;
   tf->codes[44301] = 0x000ed572b7ac5081UL;
   tf->codes[44302] = 0x000f335b5802eeb3UL;
   tf->codes[44303] = 0x000f79f9f6de23d5UL;
   tf->codes[44304] = 0x000fa21f7870bcdfUL;
   tf->codes[44305] = 0x000097eef33db526UL;
   tf->codes[44306] = 0x00009df35167792cUL;
   tf->codes[44307] = 0x0002ea349352c4feUL;
   tf->codes[44308] = 0x000335f46b925d01UL;
   tf->codes[44309] = 0x00033a60055edae0UL;
   tf->codes[44310] = 0x00036eebd1c533b3UL;
   tf->codes[44311] = 0x0004645aff5daf01UL;
   tf->codes[44312] = 0x000485c140551a50UL;
   tf->codes[44313] = 0x00055912b8e61725UL;
   tf->codes[44314] = 0x000877e513886b9fUL;
   tf->codes[44315] = 0x00099a68e3bdf351UL;
   tf->codes[44316] = 0x000bfed5ec8fe6baUL;
   tf->codes[44317] = 0x000d8acbeacf0cceUL;
   tf->codes[44318] = 0x000f224e3575784eUL;
   tf->codes[44319] = 0x00008e4847b0e603UL;
   tf->codes[44320] = 0x0001476c368e9ce3UL;
   tf->codes[44321] = 0x00020bd045c917eeUL;
   tf->codes[44322] = 0x00055aba5c5971e3UL;
   tf->codes[44323] = 0x0006170931be0dc0UL;
   tf->codes[44324] = 0x00066d9690741f65UL;
   tf->codes[44325] = 0x00072b6db1fc6201UL;
   tf->codes[44326] = 0x0007817a0d99bda2UL;
   tf->codes[44327] = 0x000801ac88cb33d2UL;
   tf->codes[44328] = 0x000926e98fdd6d0cUL;
   tf->codes[44329] = 0x0009d83607bd5a84UL;
   tf->codes[44330] = 0x000a47bbacd039b6UL;
   tf->codes[44331] = 0x000b8f3fd00905b2UL;
   tf->codes[44332] = 0x000c1e7b9cb9bd8eUL;
   tf->codes[44333] = 0x000c56d52d6f0746UL;
   tf->codes[44334] = 0x000c59247ba04983UL;
   tf->codes[44335] = 0x000d53f10b8c1515UL;
   tf->codes[44336] = 0x000d881e99c524dcUL;
   tf->codes[44337] = 0x000dcc50685d2f7cUL;
   tf->codes[44338] = 0x000e317fee9b58beUL;
   tf->codes[44339] = 0x000ece5bdca2bc2fUL;
   tf->codes[44340] = 0x000f607fff46ca19UL;
   tf->codes[44341] = 0x000f8de4b16db9d3UL;
   tf->codes[44342] = 0x000fd6d2295c25a8UL;
   tf->codes[44343] = 0x0000265ccca7638fUL;
   tf->codes[44344] = 0x000062ea9bf5b6ecUL;
   tf->codes[44345] = 0x0002ff0bd38fa8aeUL;
   tf->codes[44346] = 0x000374e86a7b6eb3UL;
   tf->codes[44347] = 0x000462b2e91d216fUL;
   tf->codes[44348] = 0x000563cb3581b91fUL;
   tf->codes[44349] = 0x0005766572b3ecfeUL;
   tf->codes[44350] = 0x0006ab74673c2bc5UL;
   tf->codes[44351] = 0x00071085469d4fe9UL;
   tf->codes[44352] = 0x000919f86cb09cbaUL;
   tf->codes[44353] = 0x0009ad348b28408cUL;
   tf->codes[44354] = 0x000afe94a6dfb98aUL;
   tf->codes[44355] = 0x000ce11b723647ceUL;
   tf->codes[44356] = 0x000d52c26b2ee190UL;
   tf->codes[44357] = 0x000d95499dd5e403UL;
   tf->codes[44358] = 0x000db28db2570d78UL;
   tf->codes[44359] = 0x000dfab880d54b6eUL;
   tf->codes[44360] = 0x000e09b418cf32eeUL;
   tf->codes[44361] = 0x000f0ce0e9d04216UL;
   tf->codes[44362] = 0x0000515d9b1aa75cUL;
   tf->codes[44363] = 0x000061b43499bf3dUL;
   tf->codes[44364] = 0x0002d8648e515619UL;
   tf->codes[44365] = 0x0002fe07bf1ca64bUL;
   tf->codes[44366] = 0x0003ade21b0a1ca9UL;
   tf->codes[44367] = 0x0005086b13cd9d1eUL;
   tf->codes[44368] = 0x0006320c9d5aa15cUL;
   tf->codes[44369] = 0x00063cc16f7aabe2UL;
   tf->codes[44370] = 0x000881041cdf53b5UL;
   tf->codes[44371] = 0x000902361a1cf676UL;
   tf->codes[44372] = 0x000943b29557b1a3UL;
   tf->codes[44373] = 0x000bfd093db15b9aUL;
   tf->codes[44374] = 0x000c042a9ff93476UL;
   tf->codes[44375] = 0x000c795be271191aUL;
   tf->codes[44376] = 0x000d5c7537e31da0UL;
   tf->codes[44377] = 0x000db03d40204bf4UL;
   tf->codes[44378] = 0x000e029decad1259UL;
   tf->codes[44379] = 0x000e9ae6ae4111caUL;
   tf->codes[44380] = 0x000e9b52a5f3b502UL;
   tf->codes[44381] = 0x000eebe6dbe01d56UL;
   tf->codes[44382] = 0x000f3f95f537d6c9UL;
   tf->codes[44383] = 0x0001034cb6f93889UL;
   tf->codes[44384] = 0x00011c191211b256UL;
   tf->codes[44385] = 0x00012ac8f31f241fUL;
   tf->codes[44386] = 0x0002c6aaf284e17aUL;
   tf->codes[44387] = 0x0004715cd92f385aUL;
   tf->codes[44388] = 0x0004da48fbd5a1caUL;
   tf->codes[44389] = 0x0006c4a9fcde3eb2UL;
   tf->codes[44390] = 0x0007e3e1466c9148UL;
   tf->codes[44391] = 0x00096ebaf03ab3d5UL;
   tf->codes[44392] = 0x000a5c8aec44f109UL;
   tf->codes[44393] = 0x000a8b840a2bb94bUL;
   tf->codes[44394] = 0x000b6f67205f9e8bUL;
   tf->codes[44395] = 0x000b90e899d2b86dUL;
   tf->codes[44396] = 0x000d7eb8abdef1a4UL;
   tf->codes[44397] = 0x000e771b9f59e37aUL;
   tf->codes[44398] = 0x000e8683deb37f81UL;
   tf->codes[44399] = 0x00000943466143f2UL;
   tf->codes[44400] = 0x0000e0beecf64c90UL;
   tf->codes[44401] = 0x0000f8eb9e190b3bUL;
   tf->codes[44402] = 0x000194c301c9c32dUL;
   tf->codes[44403] = 0x0001df773860fcd6UL;
   tf->codes[44404] = 0x00021e3b2c6c17caUL;
   tf->codes[44405] = 0x00025a09fb3a9998UL;
   tf->codes[44406] = 0x000377323d94ff2eUL;
   tf->codes[44407] = 0x00042d60cca71723UL;
   tf->codes[44408] = 0x0004bce7a0973367UL;
   tf->codes[44409] = 0x00051783f4d5a242UL;
   tf->codes[44410] = 0x00057391b55976e8UL;
   tf->codes[44411] = 0x000a97fc2d58d8acUL;
   tf->codes[44412] = 0x000cd05d7681d8cfUL;
   tf->codes[44413] = 0x000ce24423235b99UL;
   tf->codes[44414] = 0x000e666c0b4ca4d2UL;
   tf->codes[44415] = 0x0001c80e1bb020b0UL;
   tf->codes[44416] = 0x000200a3d55457cbUL;
   tf->codes[44417] = 0x00025077e5f5d1b7UL;
   tf->codes[44418] = 0x0003345ac19ab132UL;
   tf->codes[44419] = 0x000360ac803889f2UL;
   tf->codes[44420] = 0x000591e25684b35dUL;
   tf->codes[44421] = 0x0005e65e29e1988bUL;
   tf->codes[44422] = 0x0006069bf6cbce8aUL;
   tf->codes[44423] = 0x00071ddef6f780c2UL;
   tf->codes[44424] = 0x0007f8937827ce4eUL;
   tf->codes[44425] = 0x0008709212a66032UL;
   tf->codes[44426] = 0x0009d716f874259bUL;
   tf->codes[44427] = 0x000b972ccb67014aUL;
   tf->codes[44428] = 0x000c38a755d0e935UL;
   tf->codes[44429] = 0x000c8c98c52d2bd2UL;
   tf->codes[44430] = 0x000c9cebf04aed28UL;
   tf->codes[44431] = 0x000d019e56efc27bUL;
   tf->codes[44432] = 0x000d6010367be665UL;
   tf->codes[44433] = 0x000dea358a0a4a8bUL;
   tf->codes[44434] = 0x000e97a733c2fe41UL;
   tf->codes[44435] = 0x00002ab0dac4a305UL;
   tf->codes[44436] = 0x000041d08ae4e0b8UL;
   tf->codes[44437] = 0x000122ba233ebf33UL;
   tf->codes[44438] = 0x0001b9add5d42445UL;
   tf->codes[44439] = 0x0001e56a35a04584UL;
   tf->codes[44440] = 0x0003878b5cc491aaUL;
   tf->codes[44441] = 0x0003c28e96590496UL;
   tf->codes[44442] = 0x000528034751f841UL;
   tf->codes[44443] = 0x0008fd1bfb20bcb8UL;
   tf->codes[44444] = 0x000c013717bc39fbUL;
   tf->codes[44445] = 0x000c81a9d9eb0568UL;
   tf->codes[44446] = 0x000d28dd80b0472cUL;
   tf->codes[44447] = 0x000d6636aaa9a3a6UL;
   tf->codes[44448] = 0x000d93ab5fec273eUL;
   tf->codes[44449] = 0x000e262d862e786fUL;
   tf->codes[44450] = 0x000f4cfaa0631c92UL;
   tf->codes[44451] = 0x0001318fc3408687UL;
   tf->codes[44452] = 0x0002f8b72feeacf9UL;
   tf->codes[44453] = 0x0004646132a03758UL;
   tf->codes[44454] = 0x00048b2eabf0eb02UL;
   tf->codes[44455] = 0x000520e7d85652f9UL;
   tf->codes[44456] = 0x00062cf0aaabd708UL;
   tf->codes[44457] = 0x0006b90f4a5b0413UL;
   tf->codes[44458] = 0x0006e54520d01cf1UL;
   tf->codes[44459] = 0x00070db23b40c3d8UL;
   tf->codes[44460] = 0x00087f464ddc7abeUL;
   tf->codes[44461] = 0x0008de3c6453a572UL;
   tf->codes[44462] = 0x00095d7eb0e771a0UL;
   tf->codes[44463] = 0x00097136a1e4cba4UL;
   tf->codes[44464] = 0x000b04faf0c8d458UL;
   tf->codes[44465] = 0x000faf71dac648f2UL;
   tf->codes[44466] = 0x0000028e19718a5bUL;
   tf->codes[44467] = 0x000030293c8fd73bUL;
   tf->codes[44468] = 0x00013cdc3e8e1fd2UL;
   tf->codes[44469] = 0x000228cd3cb72ba0UL;
   tf->codes[44470] = 0x00025a5f16257224UL;
   tf->codes[44471] = 0x00036bd54de9da55UL;
   tf->codes[44472] = 0x00047fcd61577fd4UL;
   tf->codes[44473] = 0x0005309a3578d9e6UL;
   tf->codes[44474] = 0x0005ab2c0e165f94UL;
   tf->codes[44475] = 0x0005e0f9b28d6e22UL;
   tf->codes[44476] = 0x0008712b91d75843UL;
   tf->codes[44477] = 0x0009d21acfe2421aUL;
   tf->codes[44478] = 0x000a59ba9ed70ca2UL;
   tf->codes[44479] = 0x000bc6b299357e85UL;
   tf->codes[44480] = 0x000d214c0a329e62UL;
   tf->codes[44481] = 0x000dfe9e89c3eee3UL;
   tf->codes[44482] = 0x000f53406be08dd2UL;
   tf->codes[44483] = 0x000fb4b10c203d34UL;
   tf->codes[44484] = 0x000ff00a82542f3dUL;
   tf->codes[44485] = 0x0000172d1379452bUL;
   tf->codes[44486] = 0x00002b18419bab8fUL;
   tf->codes[44487] = 0x00003047e43279ebUL;
   tf->codes[44488] = 0x000146b53e8f1f65UL;
   tf->codes[44489] = 0x00017ad1a4e17e75UL;
   tf->codes[44490] = 0x0001ae3cc4396622UL;
   tf->codes[44491] = 0x00026a32292c321cUL;
   tf->codes[44492] = 0x0003d687bae0a3a1UL;
   tf->codes[44493] = 0x00055bfd6027ce99UL;
   tf->codes[44494] = 0x00056e02791750bcUL;
   tf->codes[44495] = 0x000701124d2e9147UL;
   tf->codes[44496] = 0x0007e9fab49e1986UL;
   tf->codes[44497] = 0x00096f98d6c841b3UL;
   tf->codes[44498] = 0x0009c6964b3f5e6aUL;
   tf->codes[44499] = 0x000a62c7947ff1c9UL;
   tf->codes[44500] = 0x000a82dce4872a93UL;
   tf->codes[44501] = 0x000cab1553ed94bdUL;
   tf->codes[44502] = 0x000dce3add200b7eUL;
   tf->codes[44503] = 0x000ea86e20a89d41UL;
   tf->codes[44504] = 0x000f1ddb51806983UL;
   tf->codes[44505] = 0x000f274c01f9849cUL;
   tf->codes[44506] = 0x000f815e2cc656abUL;
   tf->codes[44507] = 0x000082ce8a429ba0UL;
   tf->codes[44508] = 0x000103f30889e9faUL;
   tf->codes[44509] = 0x0001c389d169478fUL;
   tf->codes[44510] = 0x0007a542664a6bfcUL;
   tf->codes[44511] = 0x0007d4d9ceccccc2UL;
   tf->codes[44512] = 0x000854e05eb9ef32UL;
   tf->codes[44513] = 0x0008d93db79c827aUL;
   tf->codes[44514] = 0x00090b7f78ab1dc3UL;
   tf->codes[44515] = 0x000934755d333ed8UL;
   tf->codes[44516] = 0x0009e557ec67bd05UL;
   tf->codes[44517] = 0x000a44eed19fbfb4UL;
   tf->codes[44518] = 0x000a9e0fe392d0adUL;
   tf->codes[44519] = 0x000b5db8be94f60dUL;
   tf->codes[44520] = 0x000be42f2f407431UL;
   tf->codes[44521] = 0x000c4d1e85b92e67UL;
   tf->codes[44522] = 0x000c6a901f67d3ffUL;
   tf->codes[44523] = 0x000c81026c0cfc64UL;
   tf->codes[44524] = 0x000d1c8b1f8df39eUL;
   tf->codes[44525] = 0x000e8989f6af1297UL;
   tf->codes[44526] = 0x000f3848e8679c82UL;
   tf->codes[44527] = 0x0000993d2ebd0547UL;
   tf->codes[44528] = 0x0001a46dd71e3d21UL;
   tf->codes[44529] = 0x0001aa09e685ba3fUL;
   tf->codes[44530] = 0x0002172f8a9eb207UL;
   tf->codes[44531] = 0x000263c5433c5c8dUL;
   tf->codes[44532] = 0x000265c89ff2234eUL;
   tf->codes[44533] = 0x00028fd1ed2166e7UL;
   tf->codes[44534] = 0x0003d7f002585dc8UL;
   tf->codes[44535] = 0x000578130fa067e0UL;
   tf->codes[44536] = 0x0006801687e4810bUL;
   tf->codes[44537] = 0x0007ae7e7b09f5a9UL;
   tf->codes[44538] = 0x0008d0f332600091UL;
   tf->codes[44539] = 0x0009ed8e17767895UL;
   tf->codes[44540] = 0x000b04fc18aa6779UL;
   tf->codes[44541] = 0x000bfe47e8e24ab1UL;
   tf->codes[44542] = 0x000c92e8a4561136UL;
   tf->codes[44543] = 0x000d9b145eee21d1UL;
   tf->codes[44544] = 0x000e354e6b152038UL;
   tf->codes[44545] = 0x000e3b8c6e08922aUL;
   tf->codes[44546] = 0x000ebe3888c675f4UL;
   tf->codes[44547] = 0x000f258be70f993dUL;
   tf->codes[44548] = 0x000015e4d614c69aUL;
   tf->codes[44549] = 0x00005daee2407c0dUL;
   tf->codes[44550] = 0x0000e66b40354fe1UL;
   tf->codes[44551] = 0x0002cb04bbb02775UL;
   tf->codes[44552] = 0x00036933e43df71dUL;
   tf->codes[44553] = 0x00045a2e8c401389UL;
   tf->codes[44554] = 0x00052f4eff96ade6UL;
   tf->codes[44555] = 0x0005972117624d81UL;
   tf->codes[44556] = 0x00061aad231341aaUL;
   tf->codes[44557] = 0x0006ad1485f7efd2UL;
   tf->codes[44558] = 0x0006fb3d4afb5042UL;
   tf->codes[44559] = 0x00071ae459b9ac22UL;
   tf->codes[44560] = 0x0008f3596b47418dUL;
   tf->codes[44561] = 0x000aa70843b94c24UL;
   tf->codes[44562] = 0x000ab83a3aff0100UL;
   tf->codes[44563] = 0x000c0c970862d189UL;
   tf->codes[44564] = 0x000cebff315bb65bUL;
   tf->codes[44565] = 0x000f3c0795624bc1UL;
   tf->codes[44566] = 0x000f55a2b9872536UL;
   tf->codes[44567] = 0x000fa98843d63bcfUL;
   tf->codes[44568] = 0x000032b0997db2dbUL;
   tf->codes[44569] = 0x000192358294e9c2UL;
   tf->codes[44570] = 0x000596cf3425d995UL;
   tf->codes[44571] = 0x0005a437bfba0b2bUL;
   tf->codes[44572] = 0x0006d02981b468baUL;
   tf->codes[44573] = 0x0006e993b24a6f81UL;
   tf->codes[44574] = 0x0006fb1afbf38c66UL;
   tf->codes[44575] = 0x00071dae09959aa4UL;
   tf->codes[44576] = 0x0007262e16530031UL;
   tf->codes[44577] = 0x000737763dc9e4b2UL;
   tf->codes[44578] = 0x0007df669b78be53UL;
   tf->codes[44579] = 0x000924a7caab7fa0UL;
   tf->codes[44580] = 0x000943aa9c47acfaUL;
   tf->codes[44581] = 0x000a6f38681d3140UL;
   tf->codes[44582] = 0x000ad26c58a457ebUL;
   tf->codes[44583] = 0x000b2630084418a0UL;
   tf->codes[44584] = 0x000c2cedc4f819fbUL;
   tf->codes[44585] = 0x000dbaaccb764795UL;
   tf->codes[44586] = 0x000fe87f00adf52bUL;
   tf->codes[44587] = 0x00020bedd2a99e2fUL;
   tf->codes[44588] = 0x00028dc35d5c5e27UL;
   tf->codes[44589] = 0x000303c8712b2161UL;
   tf->codes[44590] = 0x00038d03fdc07d11UL;
   tf->codes[44591] = 0x000565e2f7f981c7UL;
   tf->codes[44592] = 0x0005c0815b3f248fUL;
   tf->codes[44593] = 0x00065c4dfeadcd56UL;
   tf->codes[44594] = 0x0006e4d7949ba054UL;
   tf->codes[44595] = 0x0008375aa6f7c42aUL;
   tf->codes[44596] = 0x00083e0e3d14cba6UL;
   tf->codes[44597] = 0x00087c87646f87f7UL;
   tf->codes[44598] = 0x0008c0548d35a7ffUL;
   tf->codes[44599] = 0x000b6b64c80f43eeUL;
   tf->codes[44600] = 0x000c33c99e2eb679UL;
   tf->codes[44601] = 0x000c4f6aa32e9626UL;
   tf->codes[44602] = 0x000c5b9c518326f1UL;
   tf->codes[44603] = 0x000d64568e2a41f7UL;
   tf->codes[44604] = 0x000e1c2ff3bc67deUL;
   tf->codes[44605] = 0x000e6325f40238f6UL;
   tf->codes[44606] = 0x000f41827b52bf6eUL;
   tf->codes[44607] = 0x0000526dd9f87984UL;
   tf->codes[44608] = 0x0000612ea85d963fUL;
   tf->codes[44609] = 0x00009f674e2bf78eUL;
   tf->codes[44610] = 0x00025d0222384305UL;
   tf->codes[44611] = 0x0002f925ec8281fdUL;
   tf->codes[44612] = 0x00033800fafae3aaUL;
   tf->codes[44613] = 0x0003b86bbb9be528UL;
   tf->codes[44614] = 0x0004d3585bd0f8afUL;
   tf->codes[44615] = 0x0005a5bf5dbbdbbfUL;
   tf->codes[44616] = 0x0006eac379c39895UL;
   tf->codes[44617] = 0x0007f3c798defb2aUL;
   tf->codes[44618] = 0x00080f71fec6c764UL;
   tf->codes[44619] = 0x0008ee27816b1235UL;
   tf->codes[44620] = 0x000a5cc30068d96aUL;
   tf->codes[44621] = 0x000cc7e0a614894eUL;
   tf->codes[44622] = 0x000cd719c65780cfUL;
   tf->codes[44623] = 0x000d0c1483b3c7dbUL;
   tf->codes[44624] = 0x000d316a63a979f3UL;
   tf->codes[44625] = 0x000e7bd5f29984e9UL;
   tf->codes[44626] = 0x00006630c68c860aUL;
   tf->codes[44627] = 0x0000a58c62ff9231UL;
   tf->codes[44628] = 0x000182e0f198169fUL;
   tf->codes[44629] = 0x0002a8f1ca012e6fUL;
   tf->codes[44630] = 0x0003aaac4480c0b8UL;
   tf->codes[44631] = 0x0004abea4f141061UL;
   tf->codes[44632] = 0x0006b465f4a8fa90UL;
   tf->codes[44633] = 0x000784861f0e70dcUL;
   tf->codes[44634] = 0x00079c0c0ee9c18aUL;
   tf->codes[44635] = 0x0007c194f1757a3dUL;
   tf->codes[44636] = 0x000839bfec566b6bUL;
   tf->codes[44637] = 0x0008736147a300e0UL;
   tf->codes[44638] = 0x00093381c4d5efb7UL;
   tf->codes[44639] = 0x0009e36aff13dd1aUL;
   tf->codes[44640] = 0x000a531d79a72720UL;
   tf->codes[44641] = 0x000a6edebf6d344eUL;
   tf->codes[44642] = 0x000f1a6409c74c7eUL;
   tf->codes[44643] = 0x000f8641e348f889UL;
   tf->codes[44644] = 0x00010b7bd4bf41a8UL;
   tf->codes[44645] = 0x0001b3e115ea9f84UL;
   tf->codes[44646] = 0x0003d5f471430c9dUL;
   tf->codes[44647] = 0x0004f2ead5d28871UL;
   tf->codes[44648] = 0x00075b5696823f6dUL;
   tf->codes[44649] = 0x0007b9fa53d94d19UL;
   tf->codes[44650] = 0x00082e0690a552f8UL;
   tf->codes[44651] = 0x0009a60c587793baUL;
   tf->codes[44652] = 0x000a0a0ba3a9c382UL;
   tf->codes[44653] = 0x000a231ead643418UL;
   tf->codes[44654] = 0x000a7d4f09efffbbUL;
   tf->codes[44655] = 0x000ae948cb9a6ba8UL;
   tf->codes[44656] = 0x000c77ac0f3ac7c8UL;
   tf->codes[44657] = 0x000d73d1cc339593UL;
   tf->codes[44658] = 0x000e49d738c7bf3dUL;
   tf->codes[44659] = 0x000e834d587d1241UL;
   tf->codes[44660] = 0x000065e28d060c00UL;
   tf->codes[44661] = 0x000082a7e804b923UL;
   tf->codes[44662] = 0x0000af02ccfb78abUL;
   tf->codes[44663] = 0x00013fbf596018e1UL;
   tf->codes[44664] = 0x000236230e33abd0UL;
   tf->codes[44665] = 0x0003513f7d2c752cUL;
   tf->codes[44666] = 0x0003bb511a9cc8ebUL;
   tf->codes[44667] = 0x000489d58761ae0fUL;
   tf->codes[44668] = 0x000512ea6b8c3ab2UL;
   tf->codes[44669] = 0x0007cd34eb73eafbUL;
   tf->codes[44670] = 0x00087275e84c0b2bUL;
   tf->codes[44671] = 0x0008e2950a3f09b8UL;
   tf->codes[44672] = 0x0008e565d0a70d83UL;
   tf->codes[44673] = 0x000981669b76d9beUL;
   tf->codes[44674] = 0x0009d6f61209e735UL;
   tf->codes[44675] = 0x000a04b9ec9a370fUL;
   tf->codes[44676] = 0x000ca7095e9b0caaUL;
   tf->codes[44677] = 0x000cd7448f21906cUL;
   tf->codes[44678] = 0x000da9275a216cb2UL;
   tf->codes[44679] = 0x00003b70b74b194cUL;
   tf->codes[44680] = 0x000125c1d9c52c18UL;
   tf->codes[44681] = 0x00019ff489f951a6UL;
   tf->codes[44682] = 0x0001d9b710482bb0UL;
   tf->codes[44683] = 0x00030474ee463375UL;
   tf->codes[44684] = 0x00043d60bffcdfebUL;
   tf->codes[44685] = 0x0005c248cd71178cUL;
   tf->codes[44686] = 0x0005ce259e804bd8UL;
   tf->codes[44687] = 0x000634e91b604218UL;
   tf->codes[44688] = 0x0007cfe780e292c4UL;
   tf->codes[44689] = 0x00087e1322d0991bUL;
   tf->codes[44690] = 0x00089315d7a889ddUL;
   tf->codes[44691] = 0x0008bf4630b51843UL;
   tf->codes[44692] = 0x000a3d9b987f8738UL;
   tf->codes[44693] = 0x000ae54ea874569dUL;
   tf->codes[44694] = 0x000b9b259b8cccd7UL;
   tf->codes[44695] = 0x000c50daee84f2f2UL;
   tf->codes[44696] = 0x000c949d570903cfUL;
   tf->codes[44697] = 0x000ca3af1f341af4UL;
   tf->codes[44698] = 0x000d67997d36989bUL;
   tf->codes[44699] = 0x000e329783fb94f2UL;
   tf->codes[44700] = 0x000e849f353496feUL;
   tf->codes[44701] = 0x000f4b020df86566UL;
   tf->codes[44702] = 0x000066d54154309dUL;
   tf->codes[44703] = 0x0000a4f5e279341fUL;
   tf->codes[44704] = 0x00020a4bec9522acUL;
   tf->codes[44705] = 0x00023bd8bdb8ea42UL;
   tf->codes[44706] = 0x00025338b4d67d32UL;
   tf->codes[44707] = 0x00027e33ca8c9330UL;
   tf->codes[44708] = 0x0004e8c02f74f36dUL;
   tf->codes[44709] = 0x00054e020264ea3fUL;
   tf->codes[44710] = 0x0007388ad0a3730dUL;
   tf->codes[44711] = 0x000753441db17e31UL;
   tf->codes[44712] = 0x00082ee22b4bce6eUL;
   tf->codes[44713] = 0x000aaf3eaebe5c77UL;
   tf->codes[44714] = 0x000af13e3c190195UL;
   tf->codes[44715] = 0x000b4bba4f9142efUL;
   tf->codes[44716] = 0x000c6a1eec93d3c8UL;
   tf->codes[44717] = 0x000d1b92bc8ba19cUL;
   tf->codes[44718] = 0x000e13dde5ec3b6aUL;
   tf->codes[44719] = 0x000e1b8e79f03000UL;
   tf->codes[44720] = 0x000eaaa70c976f5aUL;
   tf->codes[44721] = 0x000085ec34dff741UL;
   tf->codes[44722] = 0x000089b26cbf29c1UL;
   tf->codes[44723] = 0x0000de1f273c9225UL;
   tf->codes[44724] = 0x00011c7d50aaa5a8UL;
   tf->codes[44725] = 0x00025a14c89c1f75UL;
   tf->codes[44726] = 0x000263ca8dce08f4UL;
   tf->codes[44727] = 0x0006bd7dadaa652aUL;
   tf->codes[44728] = 0x000741c71ff2027fUL;
   tf->codes[44729] = 0x00080e3e948a2e90UL;
   tf->codes[44730] = 0x0009029466f4f158UL;
   tf->codes[44731] = 0x00090c9d6f830ef3UL;
   tf->codes[44732] = 0x0009b83ceaa3d45bUL;
   tf->codes[44733] = 0x0009d97aaeb84275UL;
   tf->codes[44734] = 0x000a30d48ce47a10UL;
   tf->codes[44735] = 0x000a3713ef320ea0UL;
   tf->codes[44736] = 0x000a39a1ea777db7UL;
   tf->codes[44737] = 0x000bc032bf648f5dUL;
   tf->codes[44738] = 0x000bdef8f2f3c3caUL;
   tf->codes[44739] = 0x000d6c08fc0db3b3UL;
   tf->codes[44740] = 0x000db8716a0ce7dbUL;
   tf->codes[44741] = 0x000e4687bbf3b568UL;
   tf->codes[44742] = 0x000edaf5af607b17UL;
   tf->codes[44743] = 0x000eecb15af9c135UL;
   tf->codes[44744] = 0x000f3e55509cefbdUL;
   tf->codes[44745] = 0x000f4c86ed45f0beUL;
   tf->codes[44746] = 0x000fa24582efa2bbUL;
   tf->codes[44747] = 0x000016782d9771e2UL;
   tf->codes[44748] = 0x0002d092a42c6691UL;
   tf->codes[44749] = 0x0002ea6055c93b17UL;
   tf->codes[44750] = 0x000330ab3c2a3093UL;
   tf->codes[44751] = 0x000533eaaa6e0f13UL;
   tf->codes[44752] = 0x00056e5934dddbcdUL;
   tf->codes[44753] = 0x00066faf098b837eUL;
   tf->codes[44754] = 0x0006f48145ea9b01UL;
   tf->codes[44755] = 0x00081b444f8a4148UL;
   tf->codes[44756] = 0x00095775cb2575c4UL;
   tf->codes[44757] = 0x000a2fcccf811b5dUL;
   tf->codes[44758] = 0x000b351af467e515UL;
   tf->codes[44759] = 0x000bb575ec7c587aUL;
   tf->codes[44760] = 0x000c09afa463ba43UL;
   tf->codes[44761] = 0x000d1bc510ffd20cUL;
   tf->codes[44762] = 0x000d39cb9462239bUL;
   tf->codes[44763] = 0x000d495364d4dbd4UL;
   tf->codes[44764] = 0x0001431a87a4d317UL;
   tf->codes[44765] = 0x0004a77d5b54bee2UL;
   tf->codes[44766] = 0x0006a46d642f74f4UL;
   tf->codes[44767] = 0x00072abec6594c6eUL;
   tf->codes[44768] = 0x0007d46b978cf042UL;
   tf->codes[44769] = 0x000abd572443bb88UL;
   tf->codes[44770] = 0x000b089215eb3b72UL;
   tf->codes[44771] = 0x000b0f74cb1ee774UL;
   tf->codes[44772] = 0x000ba346bd864e51UL;
   tf->codes[44773] = 0x000c98610dd96d20UL;
   tf->codes[44774] = 0x000d3e986664d319UL;
   tf->codes[44775] = 0x000d938957cd4247UL;
   tf->codes[44776] = 0x000dc1e047990ff0UL;
   tf->codes[44777] = 0x000ddf3006985fa4UL;
   tf->codes[44778] = 0x000df09dec3dfc1eUL;
   tf->codes[44779] = 0x000ec280b73dd864UL;
   tf->codes[44780] = 0x0001986e4b2c9c47UL;
   tf->codes[44781] = 0x00020d80371a6a7eUL;
   tf->codes[44782] = 0x00031b5ea6693366UL;
   tf->codes[44783] = 0x0004a08d627f61d0UL;
   tf->codes[44784] = 0x0006566c32989837UL;
   tf->codes[44785] = 0x00067d33f3f1bba4UL;
   tf->codes[44786] = 0x0006a3c57ee287b0UL;
   tf->codes[44787] = 0x00080885ef9db8f7UL;
   tf->codes[44788] = 0x000841ecbbe4896cUL;
   tf->codes[44789] = 0x00086e4ad4ad99baUL;
   tf->codes[44790] = 0x000b51d6b57adb0aUL;
   tf->codes[44791] = 0x000b87d1a4905ff6UL;
   tf->codes[44792] = 0x000c075b4f73343cUL;
   tf->codes[44793] = 0x000c28ff8dd1bb16UL;
   tf->codes[44794] = 0x000c382920172a43UL;
   tf->codes[44795] = 0x000cad81baa6ef43UL;
   tf->codes[44796] = 0x000e10b2c7ecc6f0UL;
   tf->codes[44797] = 0x000e79ea2c619a8dUL;
   tf->codes[44798] = 0x000f6d84e1cbeddbUL;
   tf->codes[44799] = 0x00008864ed46c40fUL;
   tf->codes[44800] = 0x0000c1189e1aeef9UL;
   tf->codes[44801] = 0x00010150f7aebab9UL;
   tf->codes[44802] = 0x000101c391950542UL;
   tf->codes[44803] = 0x0001040f7164f0f4UL;
   tf->codes[44804] = 0x00014d2ae39ee476UL;
   tf->codes[44805] = 0x0001d04a0d611e53UL;
   tf->codes[44806] = 0x0002845ab6eed243UL;
   tf->codes[44807] = 0x0002891e2743f7a2UL;
   tf->codes[44808] = 0x00030d9ad6b0a157UL;
   tf->codes[44809] = 0x000389bff642e2b4UL;
   tf->codes[44810] = 0x0005139f264f579eUL;
   tf->codes[44811] = 0x0005bef18b2984b1UL;
   tf->codes[44812] = 0x00063d91a9a25646UL;
   tf->codes[44813] = 0x0006aa1dd0db2eb3UL;
   tf->codes[44814] = 0x00076026a1be8eafUL;
   tf->codes[44815] = 0x00098b9fed4e07b6UL;
   tf->codes[44816] = 0x0009f67608a6b77cUL;
   tf->codes[44817] = 0x000ab27d7fbc4b41UL;
   tf->codes[44818] = 0x000b4981356d4431UL;
   tf->codes[44819] = 0x000c4c5cd219532aUL;
   tf->codes[44820] = 0x000cc0f6a6b84c60UL;
   tf->codes[44821] = 0x000d11e2789e566fUL;
   tf->codes[44822] = 0x000152f22f634197UL;
   tf->codes[44823] = 0x0002313b4536dda6UL;
   tf->codes[44824] = 0x00047a6d4e34fe98UL;
   tf->codes[44825] = 0x0004ee77f117dc14UL;
   tf->codes[44826] = 0x0006a41d1c67648fUL;
   tf->codes[44827] = 0x00073ebf02329e54UL;
   tf->codes[44828] = 0x0007894e9f663cddUL;
   tf->codes[44829] = 0x000799cd061b40a4UL;
   tf->codes[44830] = 0x0008539e93031297UL;
   tf->codes[44831] = 0x0008d7cd075e071eUL;
   tf->codes[44832] = 0x000b071033bd0ef5UL;
   tf->codes[44833] = 0x000c7ad9bb687c23UL;
   tf->codes[44834] = 0x000ca488e878de8aUL;
   tf->codes[44835] = 0x000d2c15807fc46eUL;
   tf->codes[44836] = 0x000d391e33fd8495UL;
   tf->codes[44837] = 0x000d498d0cb50008UL;
   tf->codes[44838] = 0x000e145fd7e2b9eeUL;
   tf->codes[44839] = 0x000e311ae7bd6370UL;
   tf->codes[44840] = 0x00000a7860e9deb3UL;
   tf->codes[44841] = 0x0001676195364c57UL;
   tf->codes[44842] = 0x0001e49f25ba2f26UL;
   tf->codes[44843] = 0x00026c37a2ce410eUL;
   tf->codes[44844] = 0x000655e15bcac2d2UL;
   tf->codes[44845] = 0x0006864e2f8d2a91UL;
   tf->codes[44846] = 0x0006ffac5ebd603aUL;
   tf->codes[44847] = 0x00079d5e67b1dbf3UL;
   tf->codes[44848] = 0x00089fa9e865b81eUL;
   tf->codes[44849] = 0x000ab1d81f5a3b06UL;
   tf->codes[44850] = 0x000cc39bf8854319UL;
   tf->codes[44851] = 0x000d3fea44a792faUL;
   tf->codes[44852] = 0x000dbb93de89a8cbUL;
   tf->codes[44853] = 0x000e3f72f307cb4bUL;
   tf->codes[44854] = 0x000f93f0b0dedaa4UL;
   tf->codes[44855] = 0x000ff6d1d327d8bdUL;
   tf->codes[44856] = 0x00009bf881c0616eUL;
   tf->codes[44857] = 0x0001519e0c2bf970UL;
   tf->codes[44858] = 0x0001aaf42fbc44f1UL;
   tf->codes[44859] = 0x0001dbec172c6090UL;
   tf->codes[44860] = 0x00024b39b15eba39UL;
   tf->codes[44861] = 0x0002a8e0363fd506UL;
   tf->codes[44862] = 0x0003bbeef7d27d99UL;
   tf->codes[44863] = 0x0003c0f5a8684336UL;
   tf->codes[44864] = 0x00080a0d549bbeeaUL;
   tf->codes[44865] = 0x00084eff487eb7f2UL;
   tf->codes[44866] = 0x0008f09ee16a4687UL;
   tf->codes[44867] = 0x00093ec9f003e0a9UL;
   tf->codes[44868] = 0x0009537d7f8e0529UL;
   tf->codes[44869] = 0x00096ec79841546aUL;
   tf->codes[44870] = 0x000b270b719ef129UL;
   tf->codes[44871] = 0x000b79d641662c9eUL;
   tf->codes[44872] = 0x000d3df8109e1a82UL;
   tf->codes[44873] = 0x000d80de311f7750UL;
   tf->codes[44874] = 0x000f3e71b34b0a27UL;
   tf->codes[44875] = 0x000f5b061abae49cUL;
   tf->codes[44876] = 0x000f94af77954400UL;
   tf->codes[44877] = 0x00006cdbb577b2b2UL;
   tf->codes[44878] = 0x000166a0fc588d89UL;
   tf->codes[44879] = 0x00019ef584c35853UL;
   tf->codes[44880] = 0x0001b085ba36563bUL;
   tf->codes[44881] = 0x000292c252879b28UL;
   tf->codes[44882] = 0x0004baba05d2a48bUL;
   tf->codes[44883] = 0x00065eb2d8f76977UL;
   tf->codes[44884] = 0x0006f65dff9ce1b3UL;
   tf->codes[44885] = 0x0007ed77197953dfUL;
   tf->codes[44886] = 0x000826f53abc70d2UL;
   tf->codes[44887] = 0x000ab063bb5cc55eUL;
   tf->codes[44888] = 0x000b0e33e1ebfa39UL;
   tf->codes[44889] = 0x000c97582f87056eUL;
   tf->codes[44890] = 0x000d145628baa44fUL;
   tf->codes[44891] = 0x000d2a417fc080aeUL;
   tf->codes[44892] = 0x000d4cebe25edb6aUL;
   tf->codes[44893] = 0x000db8ce899c009eUL;
   tf->codes[44894] = 0x000e28acef739e64UL;
   tf->codes[44895] = 0x000e8150a73e55a9UL;
   tf->codes[44896] = 0x00003d9b749685afUL;
   tf->codes[44897] = 0x0001983f30b7a92dUL;
   tf->codes[44898] = 0x000280376989876aUL;
   tf->codes[44899] = 0x0002dbb8b7058592UL;
   tf->codes[44900] = 0x000503d1cfe1d94fUL;
   tf->codes[44901] = 0x000680ab45b3d913UL;
   tf->codes[44902] = 0x0007d6cc882a3dbeUL;
   tf->codes[44903] = 0x00084746b4783491UL;
   tf->codes[44904] = 0x00088415ef8efa04UL;
   tf->codes[44905] = 0x000bbe5d295dd4a6UL;
   tf->codes[44906] = 0x000cf86ca1663d43UL;
   tf->codes[44907] = 0x000e091a3d33e193UL;
   tf->codes[44908] = 0x000023857b342f8fUL;
   tf->codes[44909] = 0x0000395683fa746fUL;
   tf->codes[44910] = 0x0000e769e6b01734UL;
   tf->codes[44911] = 0x0001270c6c541fe9UL;
   tf->codes[44912] = 0x00018aaffd7e461cUL;
   tf->codes[44913] = 0x0001ec8df4cabb54UL;
   tf->codes[44914] = 0x0002469942d4e04dUL;
   tf->codes[44915] = 0x0003f51ee054be14UL;
   tf->codes[44916] = 0x0004d07a22cc799dUL;
   tf->codes[44917] = 0x0006d57e0622ec3fUL;
   tf->codes[44918] = 0x0007a7f580476eb7UL;
   tf->codes[44919] = 0x000860fbb284378dUL;
   tf->codes[44920] = 0x0008660fe2105191UL;
   tf->codes[44921] = 0x000955d99f596334UL;
   tf->codes[44922] = 0x0009fcefc40cbcb3UL;
   tf->codes[44923] = 0x000d059fa704c659UL;
   tf->codes[44924] = 0x000d9febc54e8c8bUL;
   tf->codes[44925] = 0x000e5507d5f59910UL;
   tf->codes[44926] = 0x000e5c83585c531eUL;
   tf->codes[44927] = 0x000ec78140eaeecaUL;
   tf->codes[44928] = 0x000f7b7c2f657e9fUL;
   tf->codes[44929] = 0x000f9fddc2af1edbUL;
   tf->codes[44930] = 0x000fd5ce66a0a026UL;
   tf->codes[44931] = 0x000212fcbb95b7faUL;
   tf->codes[44932] = 0x0002a80d17ac7e07UL;
   tf->codes[44933] = 0x00031ae4c0cf1ccdUL;
   tf->codes[44934] = 0x00032ff619687ecfUL;
   tf->codes[44935] = 0x0004599384e71b33UL;
   tf->codes[44936] = 0x0006ad6e7af81aa7UL;
   tf->codes[44937] = 0x00085119130b2a65UL;
   tf->codes[44938] = 0x00096f770dda13edUL;
   tf->codes[44939] = 0x000b537c14bf4b14UL;
   tf->codes[44940] = 0x000ce43c25873dd8UL;
   tf->codes[44941] = 0x000cf65bc7455d3fUL;
   tf->codes[44942] = 0x000d31f8089be3fcUL;
   tf->codes[44943] = 0x000db6d664972d48UL;
   tf->codes[44944] = 0x00003f0eb7a4f258UL;
   tf->codes[44945] = 0x00037999e1617e87UL;
   tf->codes[44946] = 0x00065027cef30edbUL;
   tf->codes[44947] = 0x00070c4367329e58UL;
   tf->codes[44948] = 0x000730d578ed05b8UL;
   tf->codes[44949] = 0x0007a3c7704f3bfdUL;
   tf->codes[44950] = 0x0009567b9470932cUL;
   tf->codes[44951] = 0x0009684ab186c3b3UL;
   tf->codes[44952] = 0x00098066afe0dd31UL;
   tf->codes[44953] = 0x0009afb88e8c6407UL;
   tf->codes[44954] = 0x000c8a5bd94af31dUL;
   tf->codes[44955] = 0x000c9443b6d6cc23UL;
   tf->codes[44956] = 0x000f8a5abbf6c488UL;
   tf->codes[44957] = 0x00002493dde1abdbUL;
   tf->codes[44958] = 0x0000d9d203c71409UL;
   tf->codes[44959] = 0x0002162978200643UL;
   tf->codes[44960] = 0x000351102fe0a401UL;
   tf->codes[44961] = 0x0003cc7f754bfa97UL;
   tf->codes[44962] = 0x0005f475198fd00dUL;
   tf->codes[44963] = 0x0006d915965a5e79UL;
   tf->codes[44964] = 0x0006e4056c9e3989UL;
   tf->codes[44965] = 0x0007a5d79d13e368UL;
   tf->codes[44966] = 0x0007fa99a9f4b3d5UL;
   tf->codes[44967] = 0x00082e93fb08b73cUL;
   tf->codes[44968] = 0x00094e4e1c27edfeUL;
   tf->codes[44969] = 0x0009abe28ee64100UL;
   tf->codes[44970] = 0x000c11e980e09769UL;
   tf->codes[44971] = 0x000daa0b005eb281UL;
   tf->codes[44972] = 0x000e9e64b648d75eUL;
   tf->codes[44973] = 0x0001235eebe1d2cdUL;
   tf->codes[44974] = 0x00015efba2566514UL;
   tf->codes[44975] = 0x0001707da925fd46UL;
   tf->codes[44976] = 0x0001ead73c53f7a6UL;
   tf->codes[44977] = 0x0005266eb765f37eUL;
   tf->codes[44978] = 0x0005c5078e102cacUL;
   tf->codes[44979] = 0x00095d9cf843a72cUL;
   tf->codes[44980] = 0x0009648181ef8156UL;
   tf->codes[44981] = 0x0009e451a0e546a0UL;
   tf->codes[44982] = 0x000aee82521c465fUL;
   tf->codes[44983] = 0x000bc976300dd214UL;
   tf->codes[44984] = 0x000c1ac92beb0632UL;
   tf->codes[44985] = 0x000c2e983755a6efUL;
   tf->codes[44986] = 0x000c6c14d5e781b0UL;
   tf->codes[44987] = 0x000c76bb04461af6UL;
   tf->codes[44988] = 0x000cbf010b40077fUL;
   tf->codes[44989] = 0x000d7eda9f41f9c8UL;
   tf->codes[44990] = 0x000dc924ed2dc426UL;
   tf->codes[44991] = 0x000e666212a5bba4UL;
   tf->codes[44992] = 0x000fc1dac4e8da91UL;
   tf->codes[44993] = 0x000fea9829726a93UL;
   tf->codes[44994] = 0x000006145a7fa95bUL;
   tf->codes[44995] = 0x00001c277ebb71a0UL;
   tf->codes[44996] = 0x0000b503caa8fa6aUL;
   tf->codes[44997] = 0x00011cc73eb328c5UL;
   tf->codes[44998] = 0x00021ceee75c0ae9UL;
   tf->codes[44999] = 0x00024d63bcac3c97UL;
   tf->codes[45000] = 0x0002903e32af7326UL;
   tf->codes[45001] = 0x000321ce1b4ce668UL;
   tf->codes[45002] = 0x000416b1c019a24cUL;
   tf->codes[45003] = 0x000676f92e13fd50UL;
   tf->codes[45004] = 0x0008bb3e9a2cea5fUL;
   tf->codes[45005] = 0x000908cfb6c8599cUL;
   tf->codes[45006] = 0x00096a61bc995358UL;
   tf->codes[45007] = 0x00097ad1f4aaf169UL;
   tf->codes[45008] = 0x0009fad37c4d94ebUL;
   tf->codes[45009] = 0x000a45ddef844db1UL;
   tf->codes[45010] = 0x000ab5614b00f331UL;
   tf->codes[45011] = 0x000d806a3e0bf6b9UL;
   tf->codes[45012] = 0x000da3513eb74a62UL;
   tf->codes[45013] = 0x000e788598a8dab2UL;
   tf->codes[45014] = 0x000f12c1b3d70d06UL;
   tf->codes[45015] = 0x00006ad7af41c732UL;
   tf->codes[45016] = 0x000202d2c0e41902UL;
   tf->codes[45017] = 0x0003add6c61f8725UL;
   tf->codes[45018] = 0x0003e0330ffcbfb2UL;
   tf->codes[45019] = 0x0006866d18b15d28UL;
   tf->codes[45020] = 0x00070072b8d6121dUL;
   tf->codes[45021] = 0x00073a519c6bb793UL;
   tf->codes[45022] = 0x000847b953c5ce18UL;
   tf->codes[45023] = 0x00090184b3980444UL;
   tf->codes[45024] = 0x000a11d202312b9bUL;
   tf->codes[45025] = 0x000c00986ff0aa9bUL;
   tf->codes[45026] = 0x000caae2dc12d5a4UL;
   tf->codes[45027] = 0x000d3603939efe81UL;
   tf->codes[45028] = 0x000d405fdf895038UL;
   tf->codes[45029] = 0x000d4427b151ab1bUL;
   tf->codes[45030] = 0x000f450425585730UL;
   tf->codes[45031] = 0x000069375f3a6038UL;
   tf->codes[45032] = 0x0001b15b2c68e756UL;
   tf->codes[45033] = 0x0001ba4d5dee8be2UL;
   tf->codes[45034] = 0x0001d15d45823b7cUL;
   tf->codes[45035] = 0x0003cf023e47c541UL;
   tf->codes[45036] = 0x0004ca6d8ded34e1UL;
   tf->codes[45037] = 0x000557b934d60aa0UL;
   tf->codes[45038] = 0x000599e8cb836b58UL;
   tf->codes[45039] = 0x0005cf6a7e7efe6aUL;
   tf->codes[45040] = 0x00060567077dabb9UL;
   tf->codes[45041] = 0x0008c6ccbc979917UL;
   tf->codes[45042] = 0x00095e7d9b34a190UL;
   tf->codes[45043] = 0x000a58a872237e13UL;
   tf->codes[45044] = 0x000d422f15a39117UL;
   tf->codes[45045] = 0x000ec68189b70b72UL;
   tf->codes[45046] = 0x000190eb82796527UL;
   tf->codes[45047] = 0x0002d5e294a8d920UL;
   tf->codes[45048] = 0x0003476fef0eecb2UL;
   tf->codes[45049] = 0x0003e56e5e9cef71UL;
   tf->codes[45050] = 0x0004982c42c242b4UL;
   tf->codes[45051] = 0x000531535b602a21UL;
   tf->codes[45052] = 0x0007caa68b465d54UL;
   tf->codes[45053] = 0x0008dce43a366c8dUL;
   tf->codes[45054] = 0x000a83f447d62648UL;
   tf->codes[45055] = 0x000be7b70afd5926UL;
   tf->codes[45056] = 0x000dbbdce0053c1eUL;
   tf->codes[45057] = 0x000fe7c9afb716c2UL;
   tf->codes[45058] = 0x0004567030fce12bUL;
   tf->codes[45059] = 0x000497e2d631a441UL;
   tf->codes[45060] = 0x0005a63713390878UL;
   tf->codes[45061] = 0x00072fe88388fb7aUL;
   tf->codes[45062] = 0x0007674fd6996743UL;
   tf->codes[45063] = 0x0007f0c5f23487f3UL;
   tf->codes[45064] = 0x00081177f2ee30deUL;
   tf->codes[45065] = 0x00085fe04f41d53cUL;
   tf->codes[45066] = 0x000924c38d1cd823UL;
   tf->codes[45067] = 0x000a308192c1fd8fUL;
   tf->codes[45068] = 0x000a875c07bea789UL;
   tf->codes[45069] = 0x000b447befc5dcc0UL;
   tf->codes[45070] = 0x000c8e8263c5f194UL;
   tf->codes[45071] = 0x000cc4eb59954da5UL;
   tf->codes[45072] = 0x000cf92c93da4d9aUL;
   tf->codes[45073] = 0x000d2eea6fc4ce0fUL;
   tf->codes[45074] = 0x000dd882e53f7066UL;
   tf->codes[45075] = 0x000e7d90df8189fbUL;
   tf->codes[45076] = 0x000eb91ce32d7715UL;
   tf->codes[45077] = 0x000ecbb8452ac7cdUL;
   tf->codes[45078] = 0x000f82c8248a12bfUL;
   tf->codes[45079] = 0x000fb1aad7b0a597UL;
   tf->codes[45080] = 0x000fc1723f73a1beUL;
   tf->codes[45081] = 0x00006709b37a46d0UL;
   tf->codes[45082] = 0x00009869e9aca957UL;
   tf->codes[45083] = 0x0001bfef622d77b8UL;
   tf->codes[45084] = 0x0001c280cbd43d5aUL;
   tf->codes[45085] = 0x0002cefd976a2e90UL;
   tf->codes[45086] = 0x000345bc68df3ea6UL;
   tf->codes[45087] = 0x0003e67b9bb9b152UL;
   tf->codes[45088] = 0x00050e12b13f3bf4UL;
   tf->codes[45089] = 0x0007ae80dbc8a677UL;
   tf->codes[45090] = 0x0009fd82a6715c71UL;
   tf->codes[45091] = 0x000b06a2e84484adUL;
   tf->codes[45092] = 0x000bbec7ca341a86UL;
   tf->codes[45093] = 0x000e17e2db1587beUL;
   tf->codes[45094] = 0x000ea6e1949b3b23UL;
   tf->codes[45095] = 0x00003bb3599fd059UL;
   tf->codes[45096] = 0x00010b06ca001aeaUL;
   tf->codes[45097] = 0x0002d865d1fd11c2UL;
   tf->codes[45098] = 0x00048f9174f812d4UL;
   tf->codes[45099] = 0x00055bfe294e2fbaUL;
   tf->codes[45100] = 0x0006edbd8193494aUL;
   tf->codes[45101] = 0x00073ae09774e162UL;
   tf->codes[45102] = 0x0009d71db7379306UL;
   tf->codes[45103] = 0x0009d884d858f530UL;
   tf->codes[45104] = 0x000abd52da50ffbfUL;
   tf->codes[45105] = 0x000c56dacb436bb2UL;
   tf->codes[45106] = 0x000c83fefbde006aUL;
   tf->codes[45107] = 0x000cc642b3b55cdaUL;
   tf->codes[45108] = 0x000d422b6fc9ab0fUL;
   tf->codes[45109] = 0x000d9aa71fcf70a9UL;
   tf->codes[45110] = 0x000e016b11cd7273UL;
   tf->codes[45111] = 0x000e858823b2b07eUL;
   tf->codes[45112] = 0x000f6eefb9c2c099UL;
   tf->codes[45113] = 0x0000fbe86de06404UL;
   tf->codes[45114] = 0x00015a4c595827fdUL;
   tf->codes[45115] = 0x0001c733c57afe75UL;
   tf->codes[45116] = 0x0002b5ff60120625UL;
   tf->codes[45117] = 0x000362b995baa6b1UL;
   tf->codes[45118] = 0x00036b0b330e7907UL;
   tf->codes[45119] = 0x0005405941948b8aUL;
   tf->codes[45120] = 0x00071f9226e9c214UL;
   tf->codes[45121] = 0x00077e7c92e2c689UL;
   tf->codes[45122] = 0x000a87a661a1d358UL;
   tf->codes[45123] = 0x000b4111e95d9815UL;
   tf->codes[45124] = 0x000d1961022d6fc2UL;
   tf->codes[45125] = 0x000ef4c162f1a63cUL;
   tf->codes[45126] = 0x00009feb265bcc58UL;
   tf->codes[45127] = 0x0001d18ca3c99733UL;
   tf->codes[45128] = 0x000240bb2200e034UL;
   tf->codes[45129] = 0x000265c21737cbcfUL;
   tf->codes[45130] = 0x0003aab1d7868728UL;
   tf->codes[45131] = 0x00067e9e5855bdfcUL;
   tf->codes[45132] = 0x0006e31afdb04778UL;
   tf->codes[45133] = 0x0006e9a4f21f34e6UL;
   tf->codes[45134] = 0x000972f038b610f0UL;
   tf->codes[45135] = 0x000ce1444ad9c24eUL;
   tf->codes[45136] = 0x000d1c3f82e06b4bUL;
   tf->codes[45137] = 0x000dfc6bef32a65fUL;
   tf->codes[45138] = 0x000e2d9922cf024bUL;
   tf->codes[45139] = 0x000e954a4a276316UL;
   tf->codes[45140] = 0x000f61b05c49d8abUL;
   tf->codes[45141] = 0x000ff5c8c2c4308cUL;
   tf->codes[45142] = 0x00007b46c8b534faUL;
   tf->codes[45143] = 0x0000a5e2f090f09dUL;
   tf->codes[45144] = 0x00032837d5e83077UL;
   tf->codes[45145] = 0x000329c10c47ee4aUL;
   tf->codes[45146] = 0x0003ecc33d3a8bdeUL;
   tf->codes[45147] = 0x000563069f016c6bUL;
   tf->codes[45148] = 0x0006311419429967UL;
   tf->codes[45149] = 0x000674ae7a01b899UL;
   tf->codes[45150] = 0x00095a04fcf729d2UL;
   tf->codes[45151] = 0x0009e7c4629166f3UL;
   tf->codes[45152] = 0x000ad2e53853f07bUL;
   tf->codes[45153] = 0x000b57fbd9bec515UL;
   tf->codes[45154] = 0x000bea6d12a96b54UL;
   tf->codes[45155] = 0x000d75030718e219UL;
   tf->codes[45156] = 0x000e6e432cd29f12UL;
   tf->codes[45157] = 0x000ef8e440a03489UL;
   tf->codes[45158] = 0x000f8a044e0ba27eUL;
   tf->codes[45159] = 0x00006b3c5c063becUL;
   tf->codes[45160] = 0x0000a7f825a016f6UL;
   tf->codes[45161] = 0x00019c0574f0b4cdUL;
   tf->codes[45162] = 0x00037743c0768f9eUL;
   tf->codes[45163] = 0x0003e72d963d4ddeUL;
   tf->codes[45164] = 0x0008b229e6030654UL;
   tf->codes[45165] = 0x00095b65f1c88dc7UL;
   tf->codes[45166] = 0x00096ad040295dbbUL;
   tf->codes[45167] = 0x000a35abf720f8a4UL;
   tf->codes[45168] = 0x000b88c8c0ec419aUL;
   tf->codes[45169] = 0x000c42787324bda9UL;
   tf->codes[45170] = 0x000c57a15b4971eeUL;
   tf->codes[45171] = 0x000f0e99d72162a3UL;
   tf->codes[45172] = 0x00006d105fdbf5f4UL;
   tf->codes[45173] = 0x0000e4af5cd31c2eUL;
   tf->codes[45174] = 0x000150c7c55a8d39UL;
   tf->codes[45175] = 0x000264ca23ec3659UL;
   tf->codes[45176] = 0x00028d2c08fcc28bUL;
   tf->codes[45177] = 0x00028dbb3ab8de45UL;
   tf->codes[45178] = 0x00039c669e9bd8adUL;
   tf->codes[45179] = 0x0004c370916c7b82UL;
   tf->codes[45180] = 0x0005d3810769a427UL;
   tf->codes[45181] = 0x0006f4fbba1c0cf6UL;
   tf->codes[45182] = 0x0007e93da5ebd9cbUL;
   tf->codes[45183] = 0x0009d13127043ae2UL;
   tf->codes[45184] = 0x0009f54fef2b466aUL;
   tf->codes[45185] = 0x000c83148913fa7fUL;
   tf->codes[45186] = 0x000df60d38abd418UL;
   tf->codes[45187] = 0x000e4e748cf89835UL;
   tf->codes[45188] = 0x000e7ebd01e66a99UL;
   tf->codes[45189] = 0x00004c13cdc691bdUL;
   tf->codes[45190] = 0x0001856e1b5520e2UL;
   tf->codes[45191] = 0x000185da1307c41aUL;
   tf->codes[45192] = 0x00035a9afed8eed0UL;
   tf->codes[45193] = 0x0004ed90bf3f9da1UL;
   tf->codes[45194] = 0x0005563a51527822UL;
   tf->codes[45195] = 0x0007854154c29296UL;
   tf->codes[45196] = 0x0007a826f613c3a1UL;
   tf->codes[45197] = 0x0008523364ced31fUL;
   tf->codes[45198] = 0x0008bb6cd84adaa9UL;
   tf->codes[45199] = 0x000a7cf91fcd9b11UL;
   tf->codes[45200] = 0x000c6b093e4823c0UL;
   tf->codes[45201] = 0x000df80e1201f8f4UL;
   tf->codes[45202] = 0x000efb4861f95c83UL;
   tf->codes[45203] = 0x000003966c5ece8cUL;
   tf->codes[45204] = 0x00037cfd8ecfd37cUL;
   tf->codes[45205] = 0x0003a756014ce357UL;
   tf->codes[45206] = 0x0004d780950cbdefUL;
   tf->codes[45207] = 0x0004dcac19952471UL;
   tf->codes[45208] = 0x0006ee181c378504UL;
   tf->codes[45209] = 0x000b1783b16225eaUL;
   tf->codes[45210] = 0x000b1d06d1e42e27UL;
   tf->codes[45211] = 0x000b797380425d28UL;
   tf->codes[45212] = 0x000c49c672aed44aUL;
   tf->codes[45213] = 0x000ceee7a3ded283UL;
   tf->codes[45214] = 0x000574920a950504UL;
   tf->codes[45215] = 0x0006234342c834c3UL;
   tf->codes[45216] = 0x00073991bbb8cf5aUL;
   tf->codes[45217] = 0x00085718ebed8f4bUL;
   tf->codes[45218] = 0x00092e110b44a26eUL;
   tf->codes[45219] = 0x00098fa9edd84940UL;
   tf->codes[45220] = 0x000a2c163b3cad29UL;
   tf->codes[45221] = 0x000b9cd0c489f53cUL;
   tf->codes[45222] = 0x000c886c35c0933cUL;
   tf->codes[45223] = 0x000dfa334af250bdUL;
   tf->codes[45224] = 0x00006c7ead11110bUL;
   tf->codes[45225] = 0x00016aa5b7b871aaUL;
   tf->codes[45226] = 0x000288097354b354UL;
   tf->codes[45227] = 0x00062a1fcbabe290UL;
   tf->codes[45228] = 0x00071b9a51fb9827UL;
   tf->codes[45229] = 0x0007ff99c57648d3UL;
   tf->codes[45230] = 0x000807cae774e7e3UL;
   tf->codes[45231] = 0x00095de930a8018dUL;
   tf->codes[45232] = 0x000b0c13c3cce70eUL;
   tf->codes[45233] = 0x000b5c0ce2f007a4UL;
   tf->codes[45234] = 0x000bf5e78c1ea026UL;
   tf->codes[45235] = 0x000c4c1637895d35UL;
   tf->codes[45236] = 0x000f2d015b415654UL;
   tf->codes[45237] = 0x000fa5c60d916ca2UL;
   tf->codes[45238] = 0x000ffbb228689ac2UL;
   tf->codes[45239] = 0x00006377e60902cfUL;
   tf->codes[45240] = 0x00012ed3b5dd3ca8UL;
   tf->codes[45241] = 0x0001974ed88683f2UL;
   tf->codes[45242] = 0x000258f299929a9aUL;
   tf->codes[45243] = 0x0003e884f373d35bUL;
   tf->codes[45244] = 0x0005b93f9af77c19UL;
   tf->codes[45245] = 0x0006339968b47c3eUL;
   tf->codes[45246] = 0x0006933a5e817cc9UL;
   tf->codes[45247] = 0x000771a9a7a1dc5bUL;
   tf->codes[45248] = 0x0007dc0a6a5ffc5cUL;
   tf->codes[45249] = 0x0007f6318c6ea0c5UL;
   tf->codes[45250] = 0x000a6096993f20a6UL;
   tf->codes[45251] = 0x000cbddde72bcd94UL;
   tf->codes[45252] = 0x000d2e187c298079UL;
   tf->codes[45253] = 0x000e4141c68ac650UL;
   tf->codes[45254] = 0x000e87fd37cad268UL;
   tf->codes[45255] = 0x000f5100cda3e901UL;
   tf->codes[45256] = 0x000fb7bf07aa5a8eUL;
   tf->codes[45257] = 0x00007d8b5cd1549cUL;
   tf->codes[45258] = 0x0001ff0493d0f5b3UL;
   tf->codes[45259] = 0x00029d33bc5ec55bUL;
   tf->codes[45260] = 0x00060c7be09f82d0UL;
   tf->codes[45261] = 0x0006d890f8fbfdfbUL;
   tf->codes[45262] = 0x00070a4c74185e8dUL;
   tf->codes[45263] = 0x000841fc25b5e585UL;
   tf->codes[45264] = 0x000850050aece38cUL;
   tf->codes[45265] = 0x0009c979badf4aa2UL;
   tf->codes[45266] = 0x000be8d28000e395UL;
   tf->codes[45267] = 0x000caa7f6765e105UL;
   tf->codes[45268] = 0x000d5eeae0bf8776UL;
   tf->codes[45269] = 0x0002f55dc3b71cceUL;
   tf->codes[45270] = 0x0003298858ace194UL;
   tf->codes[45271] = 0x000353c9eb4bb07bUL;
   tf->codes[45272] = 0x0005f9ec9f040173UL;
   tf->codes[45273] = 0x00083cd0dc82225aUL;
   tf->codes[45274] = 0x00094b47de74f389UL;
   tf->codes[45275] = 0x000a8860d772f6c9UL;
   tf->codes[45276] = 0x000b12cc9f144bf3UL;
   tf->codes[45277] = 0x000b18ebc09bb302UL;
   tf->codes[45278] = 0x000b31e73acad155UL;
   tf->codes[45279] = 0x000bfb15d1ac249aUL;
   tf->codes[45280] = 0x000c12fb5f0ee0f2UL;
   tf->codes[45281] = 0x000c5607032feff4UL;
   tf->codes[45282] = 0x000127fc72e989d6UL;
   tf->codes[45283] = 0x0002377a48c94036UL;
   tf->codes[45284] = 0x0003ebb34aace799UL;
   tf->codes[45285] = 0x000732ae95432ba8UL;
   tf->codes[45286] = 0x00077505f9267846UL;
   tf->codes[45287] = 0x000997d93f3ace02UL;
   tf->codes[45288] = 0x000c0531d75ebea6UL;
   tf->codes[45289] = 0x000d85379311c605UL;
   tf->codes[45290] = 0x000f64fbc6a3b634UL;
   tf->codes[45291] = 0x00000e2c27eb1768UL;
   tf->codes[45292] = 0x00012e5ab768c6dbUL;
   tf->codes[45293] = 0x00019c13ab4c4237UL;
   tf->codes[45294] = 0x0003c8caeb6d0ee4UL;
   tf->codes[45295] = 0x0003e5077c5441d9UL;
   tf->codes[45296] = 0x0004a3b234a45d46UL;
   tf->codes[45297] = 0x0006632bcc02d45eUL;
   tf->codes[45298] = 0x00087a82c8cb788cUL;
   tf->codes[45299] = 0x00092ef55976d1d8UL;
   tf->codes[45300] = 0x0009f50a31b7f0d7UL;
   tf->codes[45301] = 0x0009f638984bbc29UL;
   tf->codes[45302] = 0x000ae4c07d841811UL;
   tf->codes[45303] = 0x000af8678129c723UL;
   tf->codes[45304] = 0x000b031cc867dd33UL;
   tf->codes[45305] = 0x000d9310352ca03fUL;
   tf->codes[45306] = 0x000de1d117b5fd6cUL;
   tf->codes[45307] = 0x000192b2feb4588eUL;
   tf->codes[45308] = 0x0003057ed8cbc753UL;
   tf->codes[45309] = 0x0003aa8be8d1c9d4UL;
   tf->codes[45310] = 0x00058fb002dc49beUL;
   tf->codes[45311] = 0x00060576a425e5e3UL;
   tf->codes[45312] = 0x00064afe6bf8a1f6UL;
   tf->codes[45313] = 0x0006adcdf13ce3ceUL;
   tf->codes[45314] = 0x0007f1f4db05d581UL;
   tf->codes[45315] = 0x0008ec3c49ca8335UL;
   tf->codes[45316] = 0x000aa99870c2a1d2UL;
   tf->codes[45317] = 0x000aa9e4d75c28d8UL;
   tf->codes[45318] = 0x000c12df7936f9c6UL;
   tf->codes[45319] = 0x000c94281bc3d7b6UL;
   tf->codes[45320] = 0x000d3474b4b7ffd9UL;
   tf->codes[45321] = 0x000d7a85bbc041a4UL;
   tf->codes[45322] = 0x000e7cb2d0261e76UL;
   tf->codes[45323] = 0x000ec13f6e8a1b97UL;
   tf->codes[45324] = 0x0000ecefdabe0313UL;
   tf->codes[45325] = 0x0004b896b9488f98UL;
   tf->codes[45326] = 0x000512051c113eabUL;
   tf->codes[45327] = 0x000850a9115c2027UL;
   tf->codes[45328] = 0x00094e139fa8eeaeUL;
   tf->codes[45329] = 0x00096a4695192f51UL;
   tf->codes[45330] = 0x000a214b3f185f8eUL;
   tf->codes[45331] = 0x000a77171929602dUL;
   tf->codes[45332] = 0x000b36f8742a16a0UL;
   tf->codes[45333] = 0x000c2fae35e33108UL;
   tf->codes[45334] = 0x000c545134f5435aUL;
   tf->codes[45335] = 0x000c9b977f53fd8dUL;
   tf->codes[45336] = 0x000d37562eae4663UL;
   tf->codes[45337] = 0x000e334998be1ee2UL;
   tf->codes[45338] = 0x000fc139583c1965UL;
   tf->codes[45339] = 0x0001a5e177786239UL;
   tf->codes[45340] = 0x00022884e0fb6ac5UL;
   tf->codes[45341] = 0x00031ac076d225d8UL;
   tf->codes[45342] = 0x0004c204abd30307UL;
   tf->codes[45343] = 0x0006728987fa3fb5UL;
   tf->codes[45344] = 0x0006e5392957ecd0UL;
   tf->codes[45345] = 0x000748b094aeb97eUL;
   tf->codes[45346] = 0x000966d366ccc8baUL;
   tf->codes[45347] = 0x0009ca40fc1d9d51UL;
   tf->codes[45348] = 0x000c6732218f0b94UL;
   tf->codes[45349] = 0x000f102e8779415aUL;
   tf->codes[45350] = 0x000051ce18306b47UL;
   tf->codes[45351] = 0x0000c3fddb407f37UL;
   tf->codes[45352] = 0x0003d0c73973ef79UL;
   tf->codes[45353] = 0x00064c9b8b442e72UL;
   tf->codes[45354] = 0x000784141c3d46f5UL;
   tf->codes[45355] = 0x000795b9d2346333UL;
   tf->codes[45356] = 0x00094390e76e0ed3UL;
   tf->codes[45357] = 0x000adbf7f0c303dbUL;
   tf->codes[45358] = 0x000c3590bae8da4eUL;
   tf->codes[45359] = 0x000c7017bf20105fUL;
   tf->codes[45360] = 0x000cea598833b2b7UL;
   tf->codes[45361] = 0x000e1de57371cf72UL;
   tf->codes[45362] = 0x0000421136e61618UL;
   tf->codes[45363] = 0x000118354a5744e0UL;
   tf->codes[45364] = 0x0003a0f960bfcf1fUL;
   tf->codes[45365] = 0x000613d887c71e8bUL;
   tf->codes[45366] = 0x0006a609b4437552UL;
   tf->codes[45367] = 0x00077deaeae67f9cUL;
   tf->codes[45368] = 0x0007a3e80141ab3bUL;
   tf->codes[45369] = 0x000a105de9be4644UL;
   tf->codes[45370] = 0x000cce8c23971152UL;
   tf->codes[45371] = 0x000d85e0dd2024e5UL;
   tf->codes[45372] = 0x000eb5a7059d1aaaUL;
   tf->codes[45373] = 0x000004c55219a5d2UL;
   tf->codes[45374] = 0x0000221beddba29cUL;
   tf->codes[45375] = 0x00008e18e3585f4fUL;
   tf->codes[45376] = 0x0000ca3a45d603eaUL;
   tf->codes[45377] = 0x0002a5071c40b10bUL;
   tf->codes[45378] = 0x00030979767736e6UL;
   tf->codes[45379] = 0x0004aa961344d78dUL;
   tf->codes[45380] = 0x0005b74de2fe994dUL;
   tf->codes[45381] = 0x00065a7134e15b3dUL;
   tf->codes[45382] = 0x00066e2be492fa7dUL;
   tf->codes[45383] = 0x000685b960de0990UL;
   tf->codes[45384] = 0x00069a752c84fdc4UL;
   tf->codes[45385] = 0x0007c72e65ab025bUL;
   tf->codes[45386] = 0x0007db60b78d6b12UL;
   tf->codes[45387] = 0x0007eca4c0f5e7b9UL;
   tf->codes[45388] = 0x000a1d2d6e56019bUL;
   tf->codes[45389] = 0x000a2bd00afc24c2UL;
   tf->codes[45390] = 0x000c77650e37781fUL;
   tf->codes[45391] = 0x0005a6f2f1a7b15fUL;
   tf->codes[45392] = 0x00062afc1cf1f977UL;
   tf->codes[45393] = 0x00088b4475286b8fUL;
   tf->codes[45394] = 0x0008bf58d9ed00b0UL;
   tf->codes[45395] = 0x000ce30057eb32cdUL;
   tf->codes[45396] = 0x000d32b54c919c11UL;
   tf->codes[45397] = 0x000e455014e3d77dUL;
   tf->codes[45398] = 0x000fb7c2f3a781e9UL;
   tf->codes[45399] = 0x0000ca0f46590262UL;
   tf->codes[45400] = 0x00020b505e53dd7eUL;
   tf->codes[45401] = 0x00027204c25456f4UL;
   tf->codes[45402] = 0x000282c66949faf9UL;
   tf->codes[45403] = 0x0002bb4b70258ce7UL;
   tf->codes[45404] = 0x0002fc8f6b61b701UL;
   tf->codes[45405] = 0x0003c723c40a49d2UL;
   tf->codes[45406] = 0x000512a9d2f32a27UL;
   tf->codes[45407] = 0x0006826a922bd5e6UL;
   tf->codes[45408] = 0x0006f69784dc14d0UL;
   tf->codes[45409] = 0x000727b1818a8c18UL;
   tf->codes[45410] = 0x0007410c99411615UL;
   tf->codes[45411] = 0x000d508ec0aa1a99UL;
   tf->codes[45412] = 0x000f44161a997f81UL;
   tf->codes[45413] = 0x000f4a157078c499UL;
   tf->codes[45414] = 0x000f5e6d8089e549UL;
   tf->codes[45415] = 0x000fd42be5b6b1baUL;
   tf->codes[45416] = 0x000062b4d183c9d0UL;
   tf->codes[45417] = 0x0001a7d71f4a803aUL;
   tf->codes[45418] = 0x00031302dd9799d1UL;
   tf->codes[45419] = 0x0004fe27e76a8736UL;
   tf->codes[45420] = 0x00050112fc122280UL;
   tf->codes[45421] = 0x00055741a77cdf8fUL;
   tf->codes[45422] = 0x00057c82f12a8a65UL;
   tf->codes[45423] = 0x0006e7df2de86b20UL;
   tf->codes[45424] = 0x0007d47a5bba3b76UL;
   tf->codes[45425] = 0x0009dc47b397f943UL;
   tf->codes[45426] = 0x000aaa609dc846b9UL;
   tf->codes[45427] = 0x000c28d3fcc2a97dUL;
   tf->codes[45428] = 0x000c88e124d15305UL;
   tf->codes[45429] = 0x000cccee1f76bcc0UL;
   tf->codes[45430] = 0x000d7daab5ed7d2fUL;
   tf->codes[45431] = 0x000ee87661951f92UL;
   tf->codes[45432] = 0x000f390f2aadfb4aUL;
   tf->codes[45433] = 0x000ff773345c1feeUL;
   tf->codes[45434] = 0x0001162bfef6fbf7UL;
   tf->codes[45435] = 0x00016d785e2cdf2bUL;
   tf->codes[45436] = 0x000310e65832f5fcUL;
   tf->codes[45437] = 0x0004a9ebe6b2894dUL;
   tf->codes[45438] = 0x0004fae91b0e49d8UL;
   tf->codes[45439] = 0x00055b786b00c63dUL;
   tf->codes[45440] = 0x00059740d22aa67fUL;
   tf->codes[45441] = 0x0005f8afd8812d7eUL;
   tf->codes[45442] = 0x0007ded2153db75bUL;
   tf->codes[45443] = 0x0009d20a49df5001UL;
   tf->codes[45444] = 0x000c00086a5b5157UL;
   tf->codes[45445] = 0x000c2b01e6283ef2UL;
   tf->codes[45446] = 0x000cb15b0f50da96UL;
   tf->codes[45447] = 0x000f0bcd3e38161aUL;
   tf->codes[45448] = 0x000f2584bfa3bafbUL;
   tf->codes[45449] = 0x000fa87d066c2006UL;
   tf->codes[45450] = 0x00047a29b87c8f32UL;
   tf->codes[45451] = 0x00057d998f2f38d3UL;
   tf->codes[45452] = 0x000710ba8b2d2a15UL;
   tf->codes[45453] = 0x000844e65af007b7UL;
   tf->codes[45454] = 0x0009336b46e5189eUL;
   tf->codes[45455] = 0x000b36f21377ff36UL;
   tf->codes[45456] = 0x000b410ec8120cffUL;
   tf->codes[45457] = 0x000ce497fa93d263UL;
   tf->codes[45458] = 0x000dc08cb9ebad47UL;
   tf->codes[45459] = 0x000e29b36b97dbb7UL;
   tf->codes[45460] = 0x000ecc583e87271aUL;
   tf->codes[45461] = 0x000032951658d31cUL;
   tf->codes[45462] = 0x0000fd6104c3dfecUL;
   tf->codes[45463] = 0x0001ec6a9cc20327UL;
   tf->codes[45464] = 0x0002b1f0f2f417bbUL;
   tf->codes[45465] = 0x0003f3fcb5eceaa5UL;
   tf->codes[45466] = 0x0006b8bef4c9a0fdUL;
   tf->codes[45467] = 0x00078b095edeb2dcUL;
   tf->codes[45468] = 0x00089d6f1593b3c0UL;
   tf->codes[45469] = 0x0008ccd724706a3bUL;
   tf->codes[45470] = 0x0009212af0085dbeUL;
   tf->codes[45471] = 0x0009ec8aa35bf9acUL;
   tf->codes[45472] = 0x000a10a9e0a110beUL;
   tf->codes[45473] = 0x000c708f677dc666UL;
   tf->codes[45474] = 0x000d3d63f5781eaaUL;
   tf->codes[45475] = 0x000db4f329e2b6cbUL;
   tf->codes[45476] = 0x000e29a578491958UL;
   tf->codes[45477] = 0x000076d1a5f88a79UL;
   tf->codes[45478] = 0x00009a7bffc11d50UL;
   tf->codes[45479] = 0x0001d33fc9b2d81bUL;
   tf->codes[45480] = 0x00021e3b240a1417UL;
   tf->codes[45481] = 0x000334c6b025b325UL;
   tf->codes[45482] = 0x0005f93e5ce1109fUL;
   tf->codes[45483] = 0x000861b21f1e918aUL;
   tf->codes[45484] = 0x0008686e2be76e7fUL;
   tf->codes[45485] = 0x0008da29f5b71548UL;
   tf->codes[45486] = 0x00031ff9bd5dabccUL;
   tf->codes[45487] = 0x0003fb047b2d7875UL;
   tf->codes[45488] = 0x00093ed211fd848cUL;
   tf->codes[45489] = 0x000ad7d67bb1fb04UL;
   tf->codes[45490] = 0x000bb87c241e27f2UL;
   tf->codes[45491] = 0x000d77251df8113aUL;
   tf->codes[45492] = 0x000e3f72d9aa3d0cUL;
   tf->codes[45493] = 0x000ecc628bfc0371UL;
   tf->codes[45494] = 0x000f65d1b2960445UL;
   tf->codes[45495] = 0x00003add8fa49760UL;
   tf->codes[45496] = 0x000071b2429790e4UL;
   tf->codes[45497] = 0x000141f7f09cb964UL;
   tf->codes[45498] = 0x00023b008093fc5eUL;
   tf->codes[45499] = 0x0002b935cc254794UL;
   tf->codes[45500] = 0x000630ee6f25e242UL;
   tf->codes[45501] = 0x0008ea672cbde7e2UL;
   tf->codes[45502] = 0x00094b4099b3b19bUL;
   tf->codes[45503] = 0x000a24cef06d0389UL;
   tf->codes[45504] = 0x000d473e1bcf763aUL;
   tf->codes[45505] = 0x00010d4db8adfecaUL;
   tf->codes[45506] = 0x00012daadc224b36UL;
   tf->codes[45507] = 0x00026c6216e61f15UL;
   tf->codes[45508] = 0x0002b6f263c6ceedUL;
   tf->codes[45509] = 0x0003a7718618bfcdUL;
   tf->codes[45510] = 0x0005d3af8a1f9aa0UL;
   tf->codes[45511] = 0x0006a65e9a069717UL;
   tf->codes[45512] = 0x0007fb4590dc046cUL;
   tf->codes[45513] = 0x000861b4e023af7cUL;
   tf->codes[45514] = 0x0008f063ff3d8b15UL;
   tf->codes[45515] = 0x000a8d56a89625b8UL;
   tf->codes[45516] = 0x000aab301be906aeUL;
   tf->codes[45517] = 0x000d75126f5f030eUL;
   tf->codes[45518] = 0x000d982f6be3a853UL;
   tf->codes[45519] = 0x000fed60d04d64c4UL;
   tf->codes[45520] = 0x000011a6f08c50a8UL;
   tf->codes[45521] = 0x000291840acf5110UL;
   tf->codes[45522] = 0x000387f7c2be77ddUL;
   tf->codes[45523] = 0x00046ead3943894bUL;
   tf->codes[45524] = 0x0004d364a832dd8cUL;
   tf->codes[45525] = 0x0005cb88797b96feUL;
   tf->codes[45526] = 0x00066c5e8c344a9eUL;
   tf->codes[45527] = 0x0008dd349e8e430cUL;
   tf->codes[45528] = 0x000958034fc7c76cUL;
   tf->codes[45529] = 0x000c8f3a2bde5a55UL;
   tf->codes[45530] = 0x000df8cd9aec394fUL;
   tf->codes[45531] = 0x000febc80cb5bc2fUL;
   tf->codes[45532] = 0x00045617ff951b85UL;
   tf->codes[45533] = 0x0004f663392f210aUL;
   tf->codes[45534] = 0x0005388466aa1647UL;
   tf->codes[45535] = 0x0005ad9f3e61c581UL;
   tf->codes[45536] = 0x0005fd40fc1a4a21UL;
   tf->codes[45537] = 0x0007171356e58e0eUL;
   tf->codes[45538] = 0x000be6571c3234cdUL;
   tf->codes[45539] = 0x000d5ee0a5d170cfUL;
   tf->codes[45540] = 0x00007caacd2cbd7aUL;
   tf->codes[45541] = 0x000182c2ed646db1UL;
   tf->codes[45542] = 0x00041a2a50202c66UL;
   tf->codes[45543] = 0x000587162ae26c80UL;
   tf->codes[45544] = 0x0009165fb88f6cccUL;
   tf->codes[45545] = 0x000ac3139c9567cfUL;
   tf->codes[45546] = 0x000b0e405f998203UL;
   tf->codes[45547] = 0x000f070af9a097b6UL;
   tf->codes[45548] = 0x000f693ce3f65259UL;
   tf->codes[45549] = 0x00003356669bcaedUL;
   tf->codes[45550] = 0x00007d44104374a2UL;
   tf->codes[45551] = 0x00009a508f022418UL;
   tf->codes[45552] = 0x0000f7797f2bdf6cUL;
   tf->codes[45553] = 0x0002476151db4589UL;
   tf->codes[45554] = 0x0002c1cbd260eadbUL;
   tf->codes[45555] = 0x0005549498ba2516UL;
   tf->codes[45556] = 0x000573b4ec683ab5UL;
   tf->codes[45557] = 0x0005cf667dc5fa3cUL;
   tf->codes[45558] = 0x00091b89de834e42UL;
   tf->codes[45559] = 0x000b08eea889f590UL;
   tf->codes[45560] = 0x000c9a778fd7b1faUL;
   tf->codes[45561] = 0x000d8dc4f46c672eUL;
   tf->codes[45562] = 0x000e0b16a61a45b5UL;
   tf->codes[45563] = 0x000eea0eb9521f75UL;
   tf->codes[45564] = 0x000f86036485b9e7UL;
   tf->codes[45565] = 0x000fa0b141a4a491UL;
   tf->codes[45566] = 0x0000a41bd57dc97fUL;
   tf->codes[45567] = 0x000338187fd35984UL;
   tf->codes[45568] = 0x0003bcdaf3a5e2eeUL;
   tf->codes[45569] = 0x0003d5653348d956UL;
   tf->codes[45570] = 0x0003f5aa1784c230UL;
   tf->codes[45571] = 0x00057ac38da5d809UL;
   tf->codes[45572] = 0x000612c31c72a13aUL;
   tf->codes[45573] = 0x00068de3b1ae3718UL;
   tf->codes[45574] = 0x0009f64368c3b84eUL;
   tf->codes[45575] = 0x000b3c8e9fb5af92UL;
   tf->codes[45576] = 0x000bb8e318ed9b3aUL;
   tf->codes[45577] = 0x000034ee42483524UL;
   tf->codes[45578] = 0x0000991d21af14fcUL;
   tf->codes[45579] = 0x0001658c94b9771eUL;
   tf->codes[45580] = 0x00023ac24e052a0cUL;
   tf->codes[45581] = 0x0002ca1e5b7c0f69UL;
   tf->codes[45582] = 0x00065fad036e3482UL;
   tf->codes[45583] = 0x0006efb0f6f7a4b5UL;
   tf->codes[45584] = 0x0008603c9bbd4e07UL;
   tf->codes[45585] = 0x000965e555e1047bUL;
   tf->codes[45586] = 0x000a5512d795b187UL;
   tf->codes[45587] = 0x000b1e905935cb49UL;
   tf->codes[45588] = 0x000b38ced040bc30UL;
   tf->codes[45589] = 0x000ba1f50ccedf16UL;
   tf->codes[45590] = 0x000edd3267c1f9bcUL;
   tf->codes[45591] = 0x000240691e7453e7UL;
   tf->codes[45592] = 0x00044221da7db40bUL;
   tf->codes[45593] = 0x0005702945dfa5ebUL;
   tf->codes[45594] = 0x00078f07e4ab35f0UL;
   tf->codes[45595] = 0x0007b39403df074eUL;
   tf->codes[45596] = 0x000947dc14900b42UL;
   tf->codes[45597] = 0x0009b6c075c406efUL;
   tf->codes[45598] = 0x000a05176fa1f4d1UL;
   tf->codes[45599] = 0x000c1bda3263fe57UL;
   tf->codes[45600] = 0x000e523b181a82baUL;
   tf->codes[45601] = 0x000e52dafc9f43a1UL;
   tf->codes[45602] = 0x000e9a32e402ba15UL;
   tf->codes[45603] = 0x000ec859ca7bcc24UL;
   tf->codes[45604] = 0x000f433dfc396edaUL;
   tf->codes[45605] = 0x000fddd2d82c5fc2UL;
   tf->codes[45606] = 0x0000203745e7f53dUL;
   tf->codes[45607] = 0x00003b715b7fb0a0UL;
   tf->codes[45608] = 0x000048e93a8264c5UL;
   tf->codes[45609] = 0x00009477e4a42455UL;
   tf->codes[45610] = 0x00011f2fd84ffac0UL;
   tf->codes[45611] = 0x00050e0eebdadb1dUL;
   tf->codes[45612] = 0x0008fb632f1cd544UL;
   tf->codes[45613] = 0x000948ecf9d78be1UL;
   tf->codes[45614] = 0x000c42a4b3370492UL;
   tf->codes[45615] = 0x000ca24951f4616dUL;
   tf->codes[45616] = 0x000e9177d3e72190UL;
   tf->codes[45617] = 0x000eb28d90369dffUL;
   tf->codes[45618] = 0x0000412b9d6bc4e4UL;
   tf->codes[45619] = 0x0000ff9e4adb5ac8UL;
   tf->codes[45620] = 0x0001198adde43a31UL;
   tf->codes[45621] = 0x00022510638ace8aUL;
   tf->codes[45622] = 0x00032f12a5583b12UL;
   tf->codes[45623] = 0x0003cf2892c6004aUL;
   tf->codes[45624] = 0x0004e98e3d5bc7cbUL;
   tf->codes[45625] = 0x000671ebfe07430cUL;
   tf->codes[45626] = 0x000b9ee90a04ddb2UL;
   tf->codes[45627] = 0x000c8f85394aab4dUL;
   tf->codes[45628] = 0x000d2fa39d6445feUL;
   tf->codes[45629] = 0x000d4a3ce43b2966UL;
   tf->codes[45630] = 0x00007d9dbfe5fbb6UL;
   tf->codes[45631] = 0x000137748fa7525cUL;
   tf->codes[45632] = 0x00018ac4f5b3b739UL;
   tf->codes[45633] = 0x0002fae5c791da2cUL;
   tf->codes[45634] = 0x000415086c760734UL;
   tf->codes[45635] = 0x0006ecd3d97adfa4UL;
   tf->codes[45636] = 0x0006edac788d3763UL;
   tf->codes[45637] = 0x00095b5d96e6e0d6UL;
   tf->codes[45638] = 0x000a7c273d2dd807UL;
   tf->codes[45639] = 0x000ac549519b72daUL;
   tf->codes[45640] = 0x000b15008fd815d0UL;
   tf->codes[45641] = 0x000b437785db0b35UL;
   tf->codes[45642] = 0x000bba87511615b5UL;
   tf->codes[45643] = 0x000d31542ca181bfUL;
   tf->codes[45644] = 0x000da2ffb8c68ee5UL;
   tf->codes[45645] = 0x000de0deb3941a8cUL;
   tf->codes[45646] = 0x000dff2afb5c4bd0UL;
   tf->codes[45647] = 0x000f01d94d69e46bUL;
   tf->codes[45648] = 0x000fa6c9507c0a31UL;
   tf->codes[45649] = 0x000fef9ae041b624UL;
   tf->codes[45650] = 0x00011de55155427dUL;
   tf->codes[45651] = 0x0001342eabf96223UL;
   tf->codes[45652] = 0x000267e01ad73112UL;
   tf->codes[45653] = 0x00038f06e00caaddUL;
   tf->codes[45654] = 0x000575f6115d663aUL;
   tf->codes[45655] = 0x0005df05e32b53b6UL;
   tf->codes[45656] = 0x00074738d34b77d7UL;
   tf->codes[45657] = 0x0009201f948340b7UL;
   tf->codes[45658] = 0x000a341598e9b249UL;
   tf->codes[45659] = 0x000b9fab3fe23b2bUL;
   tf->codes[45660] = 0x000bde75d620fd70UL;
   tf->codes[45661] = 0x000c47bb693936c3UL;
   tf->codes[45662] = 0x000cc0099e23a073UL;
   tf->codes[45663] = 0x000dffde522394b2UL;
   tf->codes[45664] = 0x00010967494c01a1UL;
   tf->codes[45665] = 0x00042ecc0f091902UL;
   tf->codes[45666] = 0x0009ac2a4e5d1561UL;
   tf->codes[45667] = 0x000d76f609b00ab0UL;
   tf->codes[45668] = 0x000eb84ca22f0422UL;
   tf->codes[45669] = 0x000088c394540118UL;
   tf->codes[45670] = 0x0000bbb11ef4894cUL;
   tf->codes[45671] = 0x000124e58a2611e8UL;
   tf->codes[45672] = 0x0002f2315b35241cUL;
   tf->codes[45673] = 0x000670b22a9acd88UL;
   tf->codes[45674] = 0x0007aa3cf69a23d1UL;
   tf->codes[45675] = 0x00091f97f0c21e86UL;
   tf->codes[45676] = 0x0009533d9f1fcb33UL;
   tf->codes[45677] = 0x0009b15314f6d439UL;
   tf->codes[45678] = 0x000a1afd4de0f824UL;
   tf->codes[45679] = 0x000aad3ef296ee53UL;
   tf->codes[45680] = 0x000aec1d34e1a0c6UL;
   tf->codes[45681] = 0x000be9ceac5f6bdbUL;
   tf->codes[45682] = 0x000c768b5c1b2ba5UL;
   tf->codes[45683] = 0x000d25e47a60e63aUL;
   tf->codes[45684] = 0x000f8e8d88caa772UL;
   tf->codes[45685] = 0x00004fe8170f87daUL;
   tf->codes[45686] = 0x000157b46eaf3290UL;
   tf->codes[45687] = 0x00017e5f23147942UL;
   tf->codes[45688] = 0x0003c3fd471c5d00UL;
   tf->codes[45689] = 0x0003fb10320577d4UL;
   tf->codes[45690] = 0x000471938a38abd6UL;
   tf->codes[45691] = 0x000552931834b431UL;
   tf->codes[45692] = 0x000612b027064c7dUL;
   tf->codes[45693] = 0x00065a597d4dc8e5UL;
   tf->codes[45694] = 0x000846c1f91a9468UL;
   tf->codes[45695] = 0x000a78d4c7168331UL;
   tf->codes[45696] = 0x000bd0443bc8d525UL;
   tf->codes[45697] = 0x000be35e91d7a7f4UL;
   tf->codes[45698] = 0x000c32c1a27bffbaUL;
   tf->codes[45699] = 0x000d10e1c64e930aUL;
   tf->codes[45700] = 0x000d1d24276bc902UL;
   tf->codes[45701] = 0x000f471dd8127688UL;
   tf->codes[45702] = 0x000032f621e5133aUL;
   tf->codes[45703] = 0x0000dc0f2e3027f0UL;
   tf->codes[45704] = 0x00013a531370c42dUL;
   tf->codes[45705] = 0x0002ef8b97609821UL;
   tf->codes[45706] = 0x000314949b9eb7a9UL;
   tf->codes[45707] = 0x00033c695dfa5c0eUL;
   tf->codes[45708] = 0x00057cc8c68bf4a6UL;
   tf->codes[45709] = 0x0005efea1793d536UL;
   tf->codes[45710] = 0x0007d4edb64921daUL;
   tf->codes[45711] = 0x0007e10eec64133dUL;
   tf->codes[45712] = 0x0008d2763bc5e430UL;
   tf->codes[45713] = 0x00092e9dd56b44cbUL;
   tf->codes[45714] = 0x0009c8e6fa71bffcUL;
   tf->codes[45715] = 0x000af1f86806916cUL;
   tf->codes[45716] = 0x000c61e671ddb389UL;
   tf->codes[45717] = 0x000cb6b00b2e425bUL;
   tf->codes[45718] = 0x000daee9978a1fe8UL;
   tf->codes[45719] = 0x000fa2191af0dd50UL;
   tf->codes[45720] = 0x0000e12f438f0b8aUL;
   tf->codes[45721] = 0x00026f7ba75126b6UL;
   tf->codes[45722] = 0x000359a571b35926UL;
   tf->codes[45723] = 0x00036d57359b1763UL;
   tf->codes[45724] = 0x000432bb3bffca89UL;
   tf->codes[45725] = 0x0008a69075a04c3aUL;
   tf->codes[45726] = 0x000923e5d03e8711UL;
   tf->codes[45727] = 0x00099b8e68ac9f9dUL;
   tf->codes[45728] = 0x000a0bbf27a45a6bUL;
   tf->codes[45729] = 0x000a36bcfc0eb5a5UL;
   tf->codes[45730] = 0x000b0270a26b96feUL;
   tf->codes[45731] = 0x000b2fba9134e3afUL;
   tf->codes[45732] = 0x000b778c9eee6311UL;
   tf->codes[45733] = 0x000ca08caa0d7e05UL;
   tf->codes[45734] = 0x000d44b3617bce9bUL;
   tf->codes[45735] = 0x000e6c3a73e5c55fUL;
   tf->codes[45736] = 0x000edcaf22cb31baUL;
   tf->codes[45737] = 0x000f98ea4c23dd69UL;
   tf->codes[45738] = 0x000fde1868f5c3d4UL;
   tf->codes[45739] = 0x00007ce2332ecfb0UL;
   tf->codes[45740] = 0x000080ebab4ea26eUL;
   tf->codes[45741] = 0x0000f46632394d1cUL;
   tf->codes[45742] = 0x0001d8e5be909cb8UL;
   tf->codes[45743] = 0x000211483b0fc773UL;
   tf->codes[45744] = 0x0006a9bd7a7f1075UL;
   tf->codes[45745] = 0x0006ead2cbc2a193UL;
   tf->codes[45746] = 0x0009ba141b75169aUL;
   tf->codes[45747] = 0x000a60af2f965017UL;
   tf->codes[45748] = 0x000ca13df1cd92faUL;
   tf->codes[45749] = 0x000e2b55a1d898f7UL;
   tf->codes[45750] = 0x000e396ae13ace8cUL;
   tf->codes[45751] = 0x00013695548e3fdcUL;
   tf->codes[45752] = 0x00033518deecb762UL;
   tf->codes[45753] = 0x00033de935c3060aUL;
   tf->codes[45754] = 0x00049d6533105beeUL;
   tf->codes[45755] = 0x000560e7b76e9e37UL;
   tf->codes[45756] = 0x00056c43104710f5UL;
   tf->codes[45757] = 0x0005891c8c6fb9d0UL;
   tf->codes[45758] = 0x0005e8e58a01ac06UL;
   tf->codes[45759] = 0x00076523ae7b5e47UL;
   tf->codes[45760] = 0x000812563601d999UL;
   tf->codes[45761] = 0x0008907307cbbb78UL;
   tf->codes[45762] = 0x0008b3532bb4620bUL;
   tf->codes[45763] = 0x0009679c1ab1a149UL;
   tf->codes[45764] = 0x0009786cda86c218UL;
   tf->codes[45765] = 0x00098f431d50c3c6UL;
   tf->codes[45766] = 0x0009ca5ed0aca009UL;
   tf->codes[45767] = 0x000a00702a825a5fUL;
   tf->codes[45768] = 0x000a9c91e5c5656aUL;
   tf->codes[45769] = 0x000d12462bd22640UL;
   tf->codes[45770] = 0x000eefcc73a88aaeUL;
   tf->codes[45771] = 0x000ef411da28450aUL;
   tf->codes[45772] = 0x000f14054f8027f0UL;
   tf->codes[45773] = 0x000f2f13b4629558UL;
   tf->codes[45774] = 0x0000eeb79d1c37cdUL;
   tf->codes[45775] = 0x000137b7d6da7cbcUL;
   tf->codes[45776] = 0x0002364bfdff9d6cUL;
   tf->codes[45777] = 0x00039ccf49e43a72UL;
   tf->codes[45778] = 0x000492e7bce96334UL;
   tf->codes[45779] = 0x00058802825a8d8dUL;
   tf->codes[45780] = 0x0005c8794e738062UL;
   tf->codes[45781] = 0x0006935ea0e20d9dUL;
   tf->codes[45782] = 0x0007b2540989e293UL;
   tf->codes[45783] = 0x000b4f5d49a6aaa6UL;
   tf->codes[45784] = 0x000b5912d4498e60UL;
   tf->codes[45785] = 0x000ce147a2f400e2UL;
   tf->codes[45786] = 0x000d41e1edb79237UL;
   tf->codes[45787] = 0x000daa528aadd01bUL;
   tf->codes[45788] = 0x000ed4f11221c173UL;
   tf->codes[45789] = 0x000ed7b49422769cUL;
   tf->codes[45790] = 0x0000450465098fffUL;
   tf->codes[45791] = 0x0002e2b2b682a1a9UL;
   tf->codes[45792] = 0x0002e4ebd482b441UL;
   tf->codes[45793] = 0x000329d9e4e64b34UL;
   tf->codes[45794] = 0x00044d5d71b7053cUL;
   tf->codes[45795] = 0x00057ecd1159e655UL;
   tf->codes[45796] = 0x0007ec80042bbdf0UL;
   tf->codes[45797] = 0x000a66788bed1c49UL;
   tf->codes[45798] = 0x000bfe4cf5249f0cUL;
   tf->codes[45799] = 0x000d1d9ae4022cd1UL;
   tf->codes[45800] = 0x000db99cd39d15e5UL;
   tf->codes[45801] = 0x000e4605904f9044UL;
   tf->codes[45802] = 0x0001560fcaac0f63UL;
   tf->codes[45803] = 0x0002448a6b7d1ca9UL;
   tf->codes[45804] = 0x00027d88ae72a071UL;
   tf->codes[45805] = 0x000a6ff26384bbbcUL;
   tf->codes[45806] = 0x000b22595b5d7e93UL;
   tf->codes[45807] = 0x000e27c1104bc0bcUL;
   tf->codes[45808] = 0x000e361ff793381bUL;
   tf->codes[45809] = 0x000f0b277c045d97UL;
   tf->codes[45810] = 0x0000868d7689c3a3UL;
   tf->codes[45811] = 0x0000b2fc421b791eUL;
   tf->codes[45812] = 0x0000cf3b5727eb8aUL;
   tf->codes[45813] = 0x0001260728632444UL;
   tf->codes[45814] = 0x00018bc1fcde072bUL;
   tf->codes[45815] = 0x0002f3ea674b21e6UL;
   tf->codes[45816] = 0x00033ae709c49a4fUL;
   tf->codes[45817] = 0x000365d1e1d016aaUL;
   tf->codes[45818] = 0x0003b38ca0199ff5UL;
   tf->codes[45819] = 0x000482a2c2bfe04aUL;
   tf->codes[45820] = 0x000558cd0346aad9UL;
   tf->codes[45821] = 0x0005b69f736c1966UL;
   tf->codes[45822] = 0x0007e7a62aa19e4bUL;
   tf->codes[45823] = 0x000b36d67ab5e37fUL;
   tf->codes[45824] = 0x000bfcd08f995f75UL;
   tf->codes[45825] = 0x000c233e6b62a775UL;
   tf->codes[45826] = 0x000c273c739359b9UL;
   tf->codes[45827] = 0x000e583e227e5fb0UL;
   tf->codes[45828] = 0x000fa06dd4ba12d2UL;
   tf->codes[45829] = 0x0000573655ca55acUL;
   tf->codes[45830] = 0x000135ff847a90abUL;
   tf->codes[45831] = 0x000649f4bc1dd570UL;
   tf->codes[45832] = 0x00079aeb29b8e4e8UL;
   tf->codes[45833] = 0x00090b4b1dc9403fUL;
   tf->codes[45834] = 0x0009aa4f3c790b56UL;
   tf->codes[45835] = 0x000b6662740ec15dUL;
   tf->codes[45836] = 0x000bdfe2f30c5874UL;
   tf->codes[45837] = 0x000e5070f76a377bUL;
   tf->codes[45838] = 0x0000cd227b794197UL;
   tf->codes[45839] = 0x0000ff021adb31bfUL;
   tf->codes[45840] = 0x0001128d365820efUL;
   tf->codes[45841] = 0x00017f1af77a21bfUL;
   tf->codes[45842] = 0x000229c7bfd7fdaeUL;
   tf->codes[45843] = 0x0003a1ef9ce89a19UL;
   tf->codes[45844] = 0x0004f5bb9ea72685UL;
   tf->codes[45845] = 0x0007c0f3eb57d458UL;
   tf->codes[45846] = 0x00080ae3de95b7bfUL;
   tf->codes[45847] = 0x000b489312167bd5UL;
   tf->codes[45848] = 0x000b9389d941446dUL;
   tf->codes[45849] = 0x000c4192b643ddccUL;
   tf->codes[45850] = 0x000c97920808f090UL;
   tf->codes[45851] = 0x000cc582086c99efUL;
   tf->codes[45852] = 0x000d14d25741189bUL;
   tf->codes[45853] = 0x000e57eaa61e60f3UL;
   tf->codes[45854] = 0x000ec27d46a76ab6UL;
   tf->codes[45855] = 0x000eccc745dfeeddUL;
   tf->codes[45856] = 0x000ef54a1b63b9dfUL;
   tf->codes[45857] = 0x000f86fd7899ab68UL;
   tf->codes[45858] = 0x0001948d4dbaaf9bUL;
   tf->codes[45859] = 0x0002018cf915e9a5UL;
   tf->codes[45860] = 0x00027a8f6e3e15b9UL;
   tf->codes[45861] = 0x0004f3a12849b69dUL;
   tf->codes[45862] = 0x0005088b635a3e08UL;
   tf->codes[45863] = 0x00083259ee6ba520UL;
   tf->codes[45864] = 0x0008b4e9e671c343UL;
   tf->codes[45865] = 0x00092f63ba65eb24UL;
   tf->codes[45866] = 0x000c2eb1cb3550b6UL;
   tf->codes[45867] = 0x000076bceb8456fcUL;
   tf->codes[45868] = 0x000203725f615a29UL;
   tf->codes[45869] = 0x00027ddc6ac8f3f1UL;
   tf->codes[45870] = 0x00058e2e03747b28UL;
   tf->codes[45871] = 0x000afbd7d7645a3fUL;
   tf->codes[45872] = 0x000bcbaa3bd626e7UL;
   tf->codes[45873] = 0x000cbe7d04f6c7a3UL;
   tf->codes[45874] = 0x000e8ade24d0ba4dUL;
   tf->codes[45875] = 0x000e9c6a3c35505bUL;
   tf->codes[45876] = 0x000f0244dc585539UL;
   tf->codes[45877] = 0x000ff67e8c0b525aUL;
   tf->codes[45878] = 0x000066e755e392b1UL;
   tf->codes[45879] = 0x0001f1af281df338UL;
   tf->codes[45880] = 0x00025ee8b2d1e0f3UL;
   tf->codes[45881] = 0x0002667b4fa5e1baUL;
   tf->codes[45882] = 0x0003438461e0f636UL;
   tf->codes[45883] = 0x0005990108191cd4UL;
   tf->codes[45884] = 0x000643c1b711eeb6UL;
   tf->codes[45885] = 0x00078d79f0004e5cUL;
   tf->codes[45886] = 0x000b35065f013cf8UL;
   tf->codes[45887] = 0x000c8f1c48c0675aUL;
   tf->codes[45888] = 0x000c9a8e81771b0cUL;
   tf->codes[45889] = 0x000095ffcb1a0ef2UL;
   tf->codes[45890] = 0x0000dedfc4122660UL;
   tf->codes[45891] = 0x00027ac98a76a7e5UL;
   tf->codes[45892] = 0x000295e4841352a0UL;
   tf->codes[45893] = 0x00067affa3c8e3c8UL;
   tf->codes[45894] = 0x000743ddf0914df2UL;
   tf->codes[45895] = 0x0007cfc6cef62f26UL;
   tf->codes[45896] = 0x00089710affec0c8UL;
   tf->codes[45897] = 0x000aae0fd63ebd76UL;
   tf->codes[45898] = 0x000b4d2c3426ec1fUL;
   tf->codes[45899] = 0x000c53d1b1a289e8UL;
   tf->codes[45900] = 0x000ca4ad45ddfa54UL;
   tf->codes[45901] = 0x000d9955e686e5aeUL;
   tf->codes[45902] = 0x000f36664c806e5bUL;
   tf->codes[45903] = 0x000fd8ed62cecbb4UL;
   tf->codes[45904] = 0x0000133f5568c73dUL;
   tf->codes[45905] = 0x0003e613f066642cUL;
   tf->codes[45906] = 0x0006826fb7061aeeUL;
   tf->codes[45907] = 0x0006f1f13e0a9246UL;
   tf->codes[45908] = 0x00075f31e01032dcUL;
   tf->codes[45909] = 0x000766660427e4d2UL;
   tf->codes[45910] = 0x0007eb12f7764fe6UL;
   tf->codes[45911] = 0x0008e454b7193542UL;
   tf->codes[45912] = 0x0009ad6591599a7dUL;
   tf->codes[45913] = 0x000acc15aab99b48UL;
   tf->codes[45914] = 0x000df02cede7d6afUL;
   tf->codes[45915] = 0x000ed36ec03cd86aUL;
   tf->codes[45916] = 0x0000150ec6120de1UL;
   tf->codes[45917] = 0x000037b545310688UL;
   tf->codes[45918] = 0x00004f872687d2b2UL;
   tf->codes[45919] = 0x00006096ce002620UL;
   tf->codes[45920] = 0x0000ed1420faa7c1UL;
   tf->codes[45921] = 0x00018b6c00fa7a63UL;
   tf->codes[45922] = 0x0002c502ec960275UL;
   tf->codes[45923] = 0x000363ac3b79db0bUL;
   tf->codes[45924] = 0x0004506092c02607UL;
   tf->codes[45925] = 0x0007da081e7f1333UL;
   tf->codes[45926] = 0x0007f9c3fe147c1aUL;
   tf->codes[45927] = 0x000b935edcdab92dUL;
   tf->codes[45928] = 0x000bc6f4881cd1fcUL;
   tf->codes[45929] = 0x000c52700f74ed5aUL;
   tf->codes[45930] = 0x000e473055ab26faUL;
   tf->codes[45931] = 0x000e5776b17fa538UL;
   tf->codes[45932] = 0x000fdb96981b2482UL;
   tf->codes[45933] = 0x000fdc0bb626ae82UL;
   tf->codes[45934] = 0x00018446f687e2c9UL;
   tf->codes[45935] = 0x000222c2facd4501UL;
   tf->codes[45936] = 0x00027e4f088b5254UL;
   tf->codes[45937] = 0x00029e40344cfb88UL;
   tf->codes[45938] = 0x000341781c77c4baUL;
   tf->codes[45939] = 0x00037df698579588UL;
   tf->codes[45940] = 0x0004674c56d3e39dUL;
   tf->codes[45941] = 0x0004a8bd2790788bUL;
   tf->codes[45942] = 0x0004d02458505155UL;
   tf->codes[45943] = 0x0005ba7df176399aUL;
   tf->codes[45944] = 0x000f9dcd93b5604dUL;
   tf->codes[45945] = 0x00005756286501c5UL;
   tf->codes[45946] = 0x0000eb084f2446abUL;
   tf->codes[45947] = 0x0001418a787a3d9bUL;
   tf->codes[45948] = 0x00019f6f6fe07f7dUL;
   tf->codes[45949] = 0x0007419e6e031016UL;
   tf->codes[45950] = 0x00090e822adee127UL;
   tf->codes[45951] = 0x000a221e0f267187UL;
   tf->codes[45952] = 0x000a38cf08dfc6c6UL;
   tf->codes[45953] = 0x000abbcf8bc4fb85UL;
   tf->codes[45954] = 0x000b6b4d08df4b75UL;
   tf->codes[45955] = 0x000bed6d60426a10UL;
   tf->codes[45956] = 0x000c7e977e42d5e1UL;
   tf->codes[45957] = 0x000f97f97a32fb38UL;
   tf->codes[45958] = 0x00011f08ce13836bUL;
   tf->codes[45959] = 0x0001280b3d43c19aUL;
   tf->codes[45960] = 0x00014f88d8c3cfceUL;
   tf->codes[45961] = 0x00020f6615b61e67UL;
   tf->codes[45962] = 0x0002f348f15afde2UL;
   tf->codes[45963] = 0x00083e6d712e28e7UL;
   tf->codes[45964] = 0x000860631e70b5b5UL;
   tf->codes[45965] = 0x0008cd3370264574UL;
   tf->codes[45966] = 0x000935fbe3a52ad8UL;
   tf->codes[45967] = 0x0009e341dca89093UL;
   tf->codes[45968] = 0x000a727cbf1d315bUL;
   tf->codes[45969] = 0x000a72f0f2eca447UL;
   tf->codes[45970] = 0x000ac61d34b3798eUL;
   tf->codes[45971] = 0x000b86069141f9f0UL;
   tf->codes[45972] = 0x000c3f730339d5c1UL;
   tf->codes[45973] = 0x000e99f067812bfaUL;
   tf->codes[45974] = 0x000ea46985d054a7UL;
   tf->codes[45975] = 0x000ee04ceae6ddb7UL;
   tf->codes[45976] = 0x000f46d6c2fd260bUL;
   tf->codes[45977] = 0x0001d9eeaea42c88UL;
   tf->codes[45978] = 0x0002c6e1b2fea45eUL;
   tf->codes[45979] = 0x0003ae9a8f0f4472UL;
   tf->codes[45980] = 0x0009ce4a23675253UL;
   tf->codes[45981] = 0x000a9662cd7c439dUL;
   tf->codes[45982] = 0x000abedec63d6189UL;
   tf->codes[45983] = 0x000b5c65939a9ad1UL;
   tf->codes[45984] = 0x000c3e8ce5f6c72dUL;
   tf->codes[45985] = 0x000c8aa2c046d888UL;
   tf->codes[45986] = 0x000da26b56b7b428UL;
   tf->codes[45987] = 0x000dcafedf042457UL;
   tf->codes[45988] = 0x000dfb84671cfb32UL;
   tf->codes[45989] = 0x000e939d947c4a93UL;
   tf->codes[45990] = 0x000ee6d19d41e404UL;
   tf->codes[45991] = 0x0000e89f64b156f4UL;
   tf->codes[45992] = 0x0001de5c583d7be6UL;
   tf->codes[45993] = 0x0001e5887ac763edUL;
   tf->codes[45994] = 0x0001f3e3f3ad84c1UL;
   tf->codes[45995] = 0x00038f573cac59a8UL;
   tf->codes[45996] = 0x0003e534793310c3UL;
   tf->codes[45997] = 0x0005badce2670a3dUL;
   tf->codes[45998] = 0x0006dab3d5eb17f5UL;
   tf->codes[45999] = 0x00080fa164e20c62UL;
   tf->codes[46000] = 0x000a1d0ca09f7575UL;
   tf->codes[46001] = 0x000abc38c7143237UL;
   tf->codes[46002] = 0x000bafcd14d9e3f9UL;
   tf->codes[46003] = 0x000cb39fbce64a0aUL;
   tf->codes[46004] = 0x000e3eeb8b7cab96UL;
   tf->codes[46005] = 0x00016b9737214e07UL;
   tf->codes[46006] = 0x00021640911dd36bUL;
   tf->codes[46007] = 0x00035eab820c5cdcUL;
   tf->codes[46008] = 0x000482b84e129c9cUL;
   tf->codes[46009] = 0x0004b9865ed1eecfUL;
   tf->codes[46010] = 0x0005893cdb1afb95UL;
   tf->codes[46011] = 0x0008e4029def6cfdUL;
   tf->codes[46012] = 0x0008f42c9c7d1fcfUL;
   tf->codes[46013] = 0x00092bfadef5afe2UL;
   tf->codes[46014] = 0x000b4731b2300cc0UL;
   tf->codes[46015] = 0x000c9c8f9b89323dUL;
   tf->codes[46016] = 0x000dee07f6790ecdUL;
   tf->codes[46017] = 0x000e4acd2b0cf69dUL;
   tf->codes[46018] = 0x000f2aaa7211656fUL;
   tf->codes[46019] = 0x000ff0e78ca67bdeUL;
   tf->codes[46020] = 0x00027cbe84ec8d4dUL;
   tf->codes[46021] = 0x00028f88cb717cc6UL;
   tf->codes[46022] = 0x0002d2f7f0995987UL;
   tf->codes[46023] = 0x0002e64c9b1eeb91UL;
   tf->codes[46024] = 0x0004bc8769e1518bUL;
   tf->codes[46025] = 0x0006859ade48f240UL;
   tf->codes[46026] = 0x00086a1f88ecbccdUL;
   tf->codes[46027] = 0x000933226f18c217UL;
   tf->codes[46028] = 0x0009f1988ae9ae86UL;
   tf->codes[46029] = 0x0009feecbac4de9fUL;
   tf->codes[46030] = 0x000b2e6eb8c51d12UL;
   tf->codes[46031] = 0x000c9ab23856c6ccUL;
   tf->codes[46032] = 0x000d7198458b1224UL;
   tf->codes[46033] = 0x000efe3a0d5c2523UL;
   tf->codes[46034] = 0x000f7c6582e77842UL;
   tf->codes[46035] = 0x0002ca7685476eeeUL;
   tf->codes[46036] = 0x000578235f27eb34UL;
   tf->codes[46037] = 0x0006b52d3f4671aaUL;
   tf->codes[46038] = 0x0007631cb8458a9eUL;
   tf->codes[46039] = 0x0007a067ee2a8727UL;
   tf->codes[46040] = 0x000aba0e149763d0UL;
   tf->codes[46041] = 0x000af00853ffd76dUL;
   tf->codes[46042] = 0x000ba4b991bf5d93UL;
   tf->codes[46043] = 0x000d34d9be028f70UL;
   tf->codes[46044] = 0x00003d14f80d1aa0UL;
   tf->codes[46045] = 0x000251c754411488UL;
   tf->codes[46046] = 0x00036b9d1d6daf00UL;
   tf->codes[46047] = 0x00053e682b7f675cUL;
   tf->codes[46048] = 0x00077a6dd1d8441bUL;
   tf->codes[46049] = 0x0008340ee04f4eeaUL;
   tf->codes[46050] = 0x00083d320563c624UL;
   tf->codes[46051] = 0x000926ff2b81d7ebUL;
   tf->codes[46052] = 0x000980b4025d7802UL;
   tf->codes[46053] = 0x000b6a55c8573d96UL;
   tf->codes[46054] = 0x000c652e02c12f67UL;
   tf->codes[46055] = 0x000ef33024f2f37dUL;
   tf->codes[46056] = 0x000fce01b3171dc4UL;
   tf->codes[46057] = 0x000005f9973dc7e5UL;
   tf->codes[46058] = 0x0000e0c0651fe301UL;
   tf->codes[46059] = 0x000102a22bc779dcUL;
   tf->codes[46060] = 0x000227478a71c1e3UL;
   tf->codes[46061] = 0x0002f0b20fb2fcc6UL;
   tf->codes[46062] = 0x000573ac56f787ffUL;
   tf->codes[46063] = 0x0007efef99bdb531UL;
   tf->codes[46064] = 0x0008d6fad7c43a32UL;
   tf->codes[46065] = 0x000bee952acf7aa1UL;
   tf->codes[46066] = 0x000cd7b9bb2df043UL;
   tf->codes[46067] = 0x0000bcb07c0eec10UL;
   tf->codes[46068] = 0x0001779a3f5959b0UL;
   tf->codes[46069] = 0x000602cfe53579dbUL;
   tf->codes[46070] = 0x0006680ebee225acUL;
   tf->codes[46071] = 0x00075d7ab8a85034UL;
   tf->codes[46072] = 0x00077d2a03837bc8UL;
   tf->codes[46073] = 0x0008baa25f79e4edUL;
   tf->codes[46074] = 0x000988cd5bccfa2eUL;
   tf->codes[46075] = 0x000a55e096db7f4cUL;
   tf->codes[46076] = 0x000b3bd7bc8dd07aUL;
   tf->codes[46077] = 0x000bc378eadcbda0UL;
   tf->codes[46078] = 0x000db8fff8918cf9UL;
   tf->codes[46079] = 0x0000451f3962bd94UL;
   tf->codes[46080] = 0x00004ea395e7c8dbUL;
   tf->codes[46081] = 0x0000889d3cdb115aUL;
   tf->codes[46082] = 0x0000deed4dd718c3UL;
   tf->codes[46083] = 0x0001cfbc7fb2ecf9UL;
   tf->codes[46084] = 0x0001f7036fac9842UL;
   tf->codes[46085] = 0x00025714f058af69UL;
   tf->codes[46086] = 0x00025b299dd89cdcUL;
   tf->codes[46087] = 0x0003f5ada275ded5UL;
   tf->codes[46088] = 0x0006e7ab2c5a709eUL;
   tf->codes[46089] = 0x000715ce69e3265dUL;
   tf->codes[46090] = 0x0009217bd2c1a29fUL;
   tf->codes[46091] = 0x000982557a46721dUL;
   tf->codes[46092] = 0x0009f9dc380534c5UL;
   tf->codes[46093] = 0x000b49f7f786b891UL;
   tf->codes[46094] = 0x000db9751762b48bUL;
   tf->codes[46095] = 0x000e2a8258ec292dUL;
   tf->codes[46096] = 0x000fb0e0a0613fc2UL;
   tf->codes[46097] = 0x0000e61dc9c40bfbUL;
   tf->codes[46098] = 0x0002269d228ad04cUL;
   tf->codes[46099] = 0x0002f7ddf9feb7beUL;
   tf->codes[46100] = 0x00036df7dea487ffUL;
   tf->codes[46101] = 0x00037d914c1bfc79UL;
   tf->codes[46102] = 0x0005bb1986a0efbaUL;
   tf->codes[46103] = 0x00070c0867cc40cdUL;
   tf->codes[46104] = 0x000b486c3dc758d9UL;
   tf->codes[46105] = 0x000c1d4d19cdaf48UL;
   tf->codes[46106] = 0x000c93fe6c4c6af7UL;
   tf->codes[46107] = 0x000df8dc248a7ebeUL;
   tf->codes[46108] = 0x000e13773fd9904eUL;
   tf->codes[46109] = 0x000f4fe1b0916167UL;
   tf->codes[46110] = 0x00016b64afd63f86UL;
   tf->codes[46111] = 0x0006392397609611UL;
   tf->codes[46112] = 0x00068c608bf01085UL;
   tf->codes[46113] = 0x0008003dbfa76de1UL;
   tf->codes[46114] = 0x0009c52e1d5cb5a8UL;
   tf->codes[46115] = 0x000a9e3d45757fbaUL;
   tf->codes[46116] = 0x000b6783a6712b07UL;
   tf->codes[46117] = 0x000bccddf3288b30UL;
   tf->codes[46118] = 0x000bf4c06f0989c1UL;
   tf->codes[46119] = 0x0000b017a6d9a77eUL;
   tf->codes[46120] = 0x00028a0f4c93536bUL;
   tf->codes[46121] = 0x0002bb686b740317UL;
   tf->codes[46122] = 0x0004b4f164d8e6c9UL;
   tf->codes[46123] = 0x000512b56bcbe9dbUL;
   tf->codes[46124] = 0x00069af276932c11UL;
   tf->codes[46125] = 0x0009523a8cd6f492UL;
   tf->codes[46126] = 0x000a94953a8e8df9UL;
   tf->codes[46127] = 0x000cf051f2c15a76UL;
   tf->codes[46128] = 0x000de6bde3b1bd19UL;
   tf->codes[46129] = 0x000e36843acddcd9UL;
   tf->codes[46130] = 0x000e817e35caf637UL;
   tf->codes[46131] = 0x000f126a1bd540b8UL;
   tf->codes[46132] = 0x0000183a689fdd4dUL;
   tf->codes[46133] = 0x00001ebafc26de2eUL;
   tf->codes[46134] = 0x00005e93f2c24409UL;
   tf->codes[46135] = 0x000061d4ceeb52e6UL;
   tf->codes[46136] = 0x0000a032bdca60a4UL;
   tf->codes[46137] = 0x000119e2d0fca7cbUL;
   tf->codes[46138] = 0x0002849762370375UL;
   tf->codes[46139] = 0x0004a25ad15cacccUL;
   tf->codes[46140] = 0x00050edef707bb4aUL;
   tf->codes[46141] = 0x0005bea94fd99dcaUL;
   tf->codes[46142] = 0x0006b629591e3440UL;
   tf->codes[46143] = 0x000738384e0b9c5fUL;
   tf->codes[46144] = 0x0007ba6365b0ca25UL;
   tf->codes[46145] = 0x00091c045fd436e9UL;
   tf->codes[46146] = 0x000a24b576226b27UL;
   tf->codes[46147] = 0x000bf3544728e3cdUL;
   tf->codes[46148] = 0x000c4bd6d3f1567dUL;
   tf->codes[46149] = 0x000e1a108a07d901UL;
   tf->codes[46150] = 0x000085d4414de593UL;
   tf->codes[46151] = 0x00017a91b2cdddf4UL;
   tf->codes[46152] = 0x000710ce99ec21b0UL;
   tf->codes[46153] = 0x0007114b44676a15UL;
   tf->codes[46154] = 0x0008b973fd87cb07UL;
   tf->codes[46155] = 0x0009143cb228992cUL;
   tf->codes[46156] = 0x0009c376ef0248deUL;
   tf->codes[46157] = 0x000c37e713681a47UL;
   tf->codes[46158] = 0x0000603e903e875aUL;
   tf->codes[46159] = 0x00010fffc2b78312UL;
   tf->codes[46160] = 0x0006d0e650a7d6d8UL;
   tf->codes[46161] = 0x0007fbf6c255016aUL;
   tf->codes[46162] = 0x00096c99bc16f73aUL;
   tf->codes[46163] = 0x0009c03f7486c420UL;
   tf->codes[46164] = 0x000aa159c5e06f84UL;
   tf->codes[46165] = 0x000f2ef942bc6f30UL;
   tf->codes[46166] = 0x000f61df7b7c3ec4UL;
   tf->codes[46167] = 0x000fe44bc45ad8dbUL;
   tf->codes[46168] = 0x00001f7a741593fdUL;
   tf->codes[46169] = 0x00012d1e545e97e5UL;
   tf->codes[46170] = 0x00032602d612474cUL;
   tf->codes[46171] = 0x00080c1dc86506cdUL;
   tf->codes[46172] = 0x00087fb4ac967ce7UL;
   tf->codes[46173] = 0x000ac28db4b48319UL;
   tf->codes[46174] = 0x000ac644d3b438cfUL;
   tf->codes[46175] = 0x000ad3621d7a0038UL;
   tf->codes[46176] = 0x000c3b933921f631UL;
   tf->codes[46177] = 0x000cdd89f8e91af7UL;
   tf->codes[46178] = 0x000d16f13a4df6f6UL;
   tf->codes[46179] = 0x000de60672b82037UL;
   tf->codes[46180] = 0x000e2775a98b8cc2UL;
   tf->codes[46181] = 0x000eead8d75fb89eUL;
   tf->codes[46182] = 0x0000968e23959e24UL;
   tf->codes[46183] = 0x0003945fcd4e88fbUL;
   tf->codes[46184] = 0x0005c14ba9ee84a6UL;
   tf->codes[46185] = 0x000b6f13c3c19dc3UL;
   tf->codes[46186] = 0x000b95c4a53c803cUL;
   tf->codes[46187] = 0x000c4e144da54cfcUL;
   tf->codes[46188] = 0x000c83b8c58c4d06UL;
   tf->codes[46189] = 0x000d6b1aefdf6273UL;
   tf->codes[46190] = 0x000e33b30323e15eUL;
   tf->codes[46191] = 0x000eea7f2d248088UL;
   tf->codes[46192] = 0x00001b6971113dfeUL;
   tf->codes[46193] = 0x00015cda57cfceefUL;
   tf->codes[46194] = 0x00022b03f4c8c192UL;
   tf->codes[46195] = 0x00066043a9c7bb86UL;
   tf->codes[46196] = 0x000e2f0847eac8adUL;
   tf->codes[46197] = 0x0000e42cfb41a2b1UL;
   tf->codes[46198] = 0x0001cf62a1db3940UL;
   tf->codes[46199] = 0x00029d2accd49211UL;
   tf->codes[46200] = 0x0002e6f034284456UL;
   tf->codes[46201] = 0x0002f03ab1549becUL;
   tf->codes[46202] = 0x0003957f91ac1e31UL;
   tf->codes[46203] = 0x0004a5a75ca59354UL;
   tf->codes[46204] = 0x0005765cab4dbb5cUL;
   tf->codes[46205] = 0x0005ab92a75cd8b7UL;
   tf->codes[46206] = 0x0007664a2dc04d0eUL;
   tf->codes[46207] = 0x000999443e9004d6UL;
   tf->codes[46208] = 0x000bc2c31933981fUL;
   tf->codes[46209] = 0x000d4f7d5acc1475UL;
   tf->codes[46210] = 0x000d67a921b2bc0cUL;
   tf->codes[46211] = 0x0000ddffabdc737eUL;
   tf->codes[46212] = 0x00016163001b64adUL;
   tf->codes[46213] = 0x000277e565de1cf3UL;
   tf->codes[46214] = 0x0002cf8ea3e72695UL;
   tf->codes[46215] = 0x00033b8865919282UL;
   tf->codes[46216] = 0x0004e87070f8b0f9UL;
   tf->codes[46217] = 0x000504d99cd148fdUL;
   tf->codes[46218] = 0x000598007553d43eUL;
   tf->codes[46219] = 0x00061679eb61d6c6UL;
   tf->codes[46220] = 0x000957ee6c85b648UL;
   tf->codes[46221] = 0x000ac33e148959b0UL;
   tf->codes[46222] = 0x000af101ef19a98aUL;
   tf->codes[46223] = 0x0000421a8f6bfef2UL;
   tf->codes[46224] = 0x0000dde5d380851bUL;
   tf->codes[46225] = 0x00013371dbb23c07UL;
   tf->codes[46226] = 0x00019f25d8f6c83fUL;
   tf->codes[46227] = 0x00059f44282eac1aUL;
   tf->codes[46228] = 0x000654cbf5f95612UL;
   tf->codes[46229] = 0x0007663648b0923fUL;
   tf->codes[46230] = 0x0008e37d501e5d9eUL;
   tf->codes[46231] = 0x000a2ef89ec52ec8UL;
   tf->codes[46232] = 0x000ab15a2761b9b4UL;
   tf->codes[46233] = 0x000cdf50bb6dfca5UL;
   tf->codes[46234] = 0x000d165870f6fcc4UL;
   tf->codes[46235] = 0x000f8ff713287fb0UL;
   tf->codes[46236] = 0x000090c4cd6bbe82UL;
   tf->codes[46237] = 0x0006cf18baa3aaecUL;
   tf->codes[46238] = 0x000b402e1b33d3c4UL;
   tf->codes[46239] = 0x000c3a8f631a0d6dUL;
   tf->codes[46240] = 0x000c9005eac7a603UL;
   tf->codes[46241] = 0x000ccd85bd2bd18aUL;
   tf->codes[46242] = 0x000dc5a570662322UL;
   tf->codes[46243] = 0x00008e9a8e81c081UL;
   tf->codes[46244] = 0x00014b81bbfb5ee0UL;
   tf->codes[46245] = 0x0002c70bdac65482UL;
   tf->codes[46246] = 0x0004b682dfd33996UL;
   tf->codes[46247] = 0x0005aa3fe50aee52UL;
   tf->codes[46248] = 0x0005ea156d44fda2UL;
   tf->codes[46249] = 0x0006a13799561624UL;
   tf->codes[46250] = 0x000710c41b2ba26cUL;
   tf->codes[46251] = 0x00077155b4b45883UL;
   tf->codes[46252] = 0x00087a3e9b540c85UL;
   tf->codes[46253] = 0x0009701a704c3c5aUL;
   tf->codes[46254] = 0x000cd1ac43051e95UL;
   tf->codes[46255] = 0x000cfcb4280477abUL;
   tf->codes[46256] = 0x000ec900ec2568d8UL;
   tf->codes[46257] = 0x00016900d565f671UL;
   tf->codes[46258] = 0x000195a3533ac3d6UL;
   tf->codes[46259] = 0x0003300d09986e50UL;
   tf->codes[46260] = 0x00036feb087e5319UL;
   tf->codes[46261] = 0x0004de2c2cce3357UL;
   tf->codes[46262] = 0x0005050675682a19UL;
   tf->codes[46263] = 0x000614665417ecaaUL;
   tf->codes[46264] = 0x0007680fcb7a11e3UL;
   tf->codes[46265] = 0x000b63389202e0d8UL;
   tf->codes[46266] = 0x0003983fe47c3400UL;
   tf->codes[46267] = 0x00078121b12f0332UL;
   tf->codes[46268] = 0x000999f0f6ffba41UL;
   tf->codes[46269] = 0x000bc52618127bf6UL;
   tf->codes[46270] = 0x000cc735e4f57648UL;
   tf->codes[46271] = 0x000cfeebe835a2c9UL;
   tf->codes[46272] = 0x000d831e0580f3a0UL;
   tf->codes[46273] = 0x000fd59792682127UL;
   tf->codes[46274] = 0x0000741ff0d8baedUL;
   tf->codes[46275] = 0x00010205c44ec156UL;
   tf->codes[46276] = 0x00025eeb8a39d86fUL;
   tf->codes[46277] = 0x0004c05b31b262feUL;
   tf->codes[46278] = 0x0006c4bc71cfcf7dUL;
   tf->codes[46279] = 0x00084f9f41f6d8d2UL;
   tf->codes[46280] = 0x0008a4e2c70e6acdUL;
   tf->codes[46281] = 0x000bc41275a1f13fUL;
   tf->codes[46282] = 0x000cef2446a93e6fUL;
   tf->codes[46283] = 0x000e5872db8d54c8UL;
   tf->codes[46284] = 0x000ed5a70b294b0aUL;
   tf->codes[46285] = 0x000ee60de252fc8eUL;
   tf->codes[46286] = 0x00004a0f8d1d620bUL;
   tf->codes[46287] = 0x000076e28962f694UL;
   tf->codes[46288] = 0x000231cd125c7186UL;
   tf->codes[46289] = 0x0002946b2ef3d526UL;
   tf->codes[46290] = 0x0005af1f7b2e4fa0UL;
   tf->codes[46291] = 0x00086f055ad06bb8UL;
   tf->codes[46292] = 0x000d8b7fa77b94f8UL;
   tf->codes[46293] = 0x000e574fab1f41bdUL;
   tf->codes[46294] = 0x0000c3f945def4b0UL;
   tf->codes[46295] = 0x0000c74b847dba09UL;
   tf->codes[46296] = 0x0000f2741f614c2aUL;
   tf->codes[46297] = 0x00048a478fd1aa1aUL;
   tf->codes[46298] = 0x0009b1269f12fa8aUL;
   tf->codes[46299] = 0x000cb13e70a440d6UL;
   tf->codes[46300] = 0x000cdf86f73da304UL;
   tf->codes[46301] = 0x000e046ee67b79faUL;
   tf->codes[46302] = 0x000e48dca3736c38UL;
   tf->codes[46303] = 0x000eaf0d0b17e4a9UL;
   tf->codes[46304] = 0x000f8427c676eec9UL;
   tf->codes[46305] = 0x00005ff861893a17UL;
   tf->codes[46306] = 0x000643d3348c3028UL;
   tf->codes[46307] = 0x0006a432f049fc7dUL;
   tf->codes[46308] = 0x00072f828c5dc41bUL;
   tf->codes[46309] = 0x0007865c51ad5cc6UL;
   tf->codes[46310] = 0x00088197980010ccUL;
   tf->codes[46311] = 0x0009ae56fe3bb12aUL;
   tf->codes[46312] = 0x0009f676d1e8da30UL;
   tf->codes[46313] = 0x000a5832b3f6f3bfUL;
   tf->codes[46314] = 0x000c39c1c440199cUL;
   tf->codes[46315] = 0x000d3cf9caa14379UL;
   tf->codes[46316] = 0x0001d6001044d65dUL;
   tf->codes[46317] = 0x00027b3efe15c2a0UL;
   tf->codes[46318] = 0x0003ce0a1e6dffddUL;
   tf->codes[46319] = 0x000713b43d850ba2UL;
   tf->codes[46320] = 0x0007ef754a99ce9cUL;
   tf->codes[46321] = 0x000854c795c364d6UL;
   tf->codes[46322] = 0x0008a55613b83cedUL;
   tf->codes[46323] = 0x000909de9e1ff26dUL;
   tf->codes[46324] = 0x000da884618c58faUL;
   tf->codes[46325] = 0x000deb1a7283d272UL;
   tf->codes[46326] = 0x000e195ba73c7c00UL;
   tf->codes[46327] = 0x000f70876690222cUL;
   tf->codes[46328] = 0x00018aaa969456c1UL;
   tf->codes[46329] = 0x00057a427d896ce6UL;
   tf->codes[46330] = 0x000737be7029ad7aUL;
   tf->codes[46331] = 0x000d49abcdecb41dUL;
   tf->codes[46332] = 0x000e8c3f70c0ea21UL;
   tf->codes[46333] = 0x000303eb1feb37f5UL;
   tf->codes[46334] = 0x0003bfc8f552b1acUL;
   tf->codes[46335] = 0x000663b1663fd333UL;
   tf->codes[46336] = 0x0006d53908ae5688UL;
   tf->codes[46337] = 0x000dac6314be2ff5UL;
   tf->codes[46338] = 0x000dfd8f2da18f41UL;
   tf->codes[46339] = 0x000e3787afc9bae7UL;
   tf->codes[46340] = 0x00011d3c365d6f67UL;
   tf->codes[46341] = 0x00023e2b604418ccUL;
   tf->codes[46342] = 0x0002ac0076df59cfUL;
   tf->codes[46343] = 0x0003424b59261cf7UL;
   tf->codes[46344] = 0x0003e853580bd8a5UL;
   tf->codes[46345] = 0x00047decb8c91ea5UL;
   tf->codes[46346] = 0x00054a1492f572eaUL;
   tf->codes[46347] = 0x000592b7b3518ba6UL;
   tf->codes[46348] = 0x0005aad0f2f75fe8UL;
   tf->codes[46349] = 0x0005ccdd458927e5UL;
   tf->codes[46350] = 0x000bd32c7f512716UL;
   tf->codes[46351] = 0x000e7a91bac73f18UL;
   tf->codes[46352] = 0x000015a70027d0b8UL;
   tf->codes[46353] = 0x00009929e57fde19UL;
   tf->codes[46354] = 0x000113958ad0a044UL;
   tf->codes[46355] = 0x0001431f745caca3UL;
   tf->codes[46356] = 0x00019af796ed5506UL;
   tf->codes[46357] = 0x0006520f5ac44e69UL;
   tf->codes[46358] = 0x00075d6c28f8dfc8UL;
   tf->codes[46359] = 0x0009da47c3d40f7cUL;
   tf->codes[46360] = 0x000a236e6b6e1db3UL;
   tf->codes[46361] = 0x000c6bc88506f835UL;
   tf->codes[46362] = 0x000d2759f3d4eae6UL;
   tf->codes[46363] = 0x000d8ca4b28ec2bbUL;
   tf->codes[46364] = 0x000db4bfae6e525fUL;
   tf->codes[46365] = 0x000dcf236e89efb5UL;
   tf->codes[46366] = 0x000eb619a12a61eaUL;
   tf->codes[46367] = 0x000facbfac027e03UL;
   tf->codes[46368] = 0x000030be8c28c27aUL;
   tf->codes[46369] = 0x00023793ee6a121bUL;
   tf->codes[46370] = 0x0002ec0c370cfba4UL;
   tf->codes[46371] = 0x0003320f848fe343UL;
   tf->codes[46372] = 0x0005231577f41667UL;
   tf->codes[46373] = 0x00084283d39bc9b3UL;
   tf->codes[46374] = 0x00085670d6365e3fUL;
   tf->codes[46375] = 0x000a86512865e1c1UL;
   tf->codes[46376] = 0x000b499bdc72a446UL;
   tf->codes[46377] = 0x0002402857a616b7UL;
   tf->codes[46378] = 0x000388e47ce9a057UL;
   tf->codes[46379] = 0x00056ffa56a52ac1UL;
   tf->codes[46380] = 0x00081714504cd896UL;
   tf->codes[46381] = 0x0008ec0f0574bafaUL;
   tf->codes[46382] = 0x0009a66e9f4d8bceUL;
   tf->codes[46383] = 0x000a2ddffed8c31fUL;
   tf->codes[46384] = 0x000b6937f12588c8UL;
   tf->codes[46385] = 0x000d0b1b1ae2b963UL;
   tf->codes[46386] = 0x000d1af5b9939a2eUL;
   tf->codes[46387] = 0x000f16010c958e9dUL;
   tf->codes[46388] = 0x00011b82bf32667dUL;
   tf->codes[46389] = 0x0001ab6c647c3f31UL;
   tf->codes[46390] = 0x00034f14b2f9153dUL;
   tf->codes[46391] = 0x000674ae15355b9cUL;
   tf->codes[46392] = 0x0006b7fd342610a1UL;
   tf->codes[46393] = 0x00079afe84eeb75aUL;
   tf->codes[46394] = 0x000b44eaba5a879bUL;
   tf->codes[46395] = 0x000d159648feb38fUL;
   tf->codes[46396] = 0x00012fe5cada39afUL;
   tf->codes[46397] = 0x00020357bec069caUL;
   tf->codes[46398] = 0x0009b87ce0212fddUL;
   tf->codes[46399] = 0x000a6c7bb21b21c7UL;
   tf->codes[46400] = 0x000d3f6716f503a7UL;
   tf->codes[46401] = 0x000d96720a6274c5UL;
   tf->codes[46402] = 0x000eca54a75e1c27UL;
   tf->codes[46403] = 0x000f3adb2dd74a88UL;
   tf->codes[46404] = 0x00034f4f438a1561UL;
   tf->codes[46405] = 0x0005e80d89bc9c9dUL;
   tf->codes[46406] = 0x000639e5e14ff45eUL;
   tf->codes[46407] = 0x0007ef0fc17e5712UL;
   tf->codes[46408] = 0x0008b304dfc2e3e4UL;
   tf->codes[46409] = 0x000ceadd50495c1aUL;
   tf->codes[46410] = 0x000d0bff2c350a52UL;
   tf->codes[46411] = 0x000d1e98b9ba2ce2UL;
   tf->codes[46412] = 0x000dc9ace69e38a5UL;
   tf->codes[46413] = 0x000e2944f0a1582dUL;
   tf->codes[46414] = 0x00003051ae161c08UL;
   tf->codes[46415] = 0x000031428c60d759UL;
   tf->codes[46416] = 0x0000f03b0aa49c6aUL;
   tf->codes[46417] = 0x00022c83a0ad179fUL;
   tf->codes[46418] = 0x0002b62398855822UL;
   tf->codes[46419] = 0x0004fac533c45a50UL;
   tf->codes[46420] = 0x0005ff4579dadb74UL;
   tf->codes[46421] = 0x00077ab66f315670UL;
   tf->codes[46422] = 0x000d3299a3b554f3UL;
   tf->codes[46423] = 0x000d480dcda87365UL;
   tf->codes[46424] = 0x000e88917f0ca555UL;
   tf->codes[46425] = 0x000f0748b7f2bda3UL;
   tf->codes[46426] = 0x000f096ed993f15cUL;
   tf->codes[46427] = 0x00014c72330d22ebUL;
   tf->codes[46428] = 0x00017dd9bb203e12UL;
   tf->codes[46429] = 0x0001c4a6c965066bUL;
   tf->codes[46430] = 0x00031506edf2474eUL;
   tf->codes[46431] = 0x000397716258b33dUL;
   tf->codes[46432] = 0x0003da86a1f0b491UL;
   tf->codes[46433] = 0x0008c2eb2a7d2612UL;
   tf->codes[46434] = 0x0009e65b0b41efecUL;
   tf->codes[46435] = 0x000a852b77aea319UL;
   tf->codes[46436] = 0x000a99380b6253d7UL;
   tf->codes[46437] = 0x000ad0942912a4ebUL;
   tf->codes[46438] = 0x000b4353586dda5aUL;
   tf->codes[46439] = 0x000b8314fa0cf3b7UL;
   tf->codes[46440] = 0x000ba6906f4de7cdUL;
   tf->codes[46441] = 0x000c2c3f68cdbee9UL;
   tf->codes[46442] = 0x000cf35e0e3f0e1aUL;
   tf->codes[46443] = 0x000d5d3a9a122751UL;
   tf->codes[46444] = 0x000f027c5c9954d3UL;
   tf->codes[46445] = 0x000f82b0ac42f92bUL;
   tf->codes[46446] = 0x00011764ef35a61cUL;
   tf->codes[46447] = 0x000300b3ac623d59UL;
   tf->codes[46448] = 0x0004346c6d20c4e8UL;
   tf->codes[46449] = 0x000576fe00edc6ffUL;
   tf->codes[46450] = 0x000582b63899602bUL;
   tf->codes[46451] = 0x0005baa6cadf51acUL;
   tf->codes[46452] = 0x0009315febd3bfc9UL;
   tf->codes[46453] = 0x0009665616039371UL;
   tf->codes[46454] = 0x000b895790f2769fUL;
   tf->codes[46455] = 0x000c324c3e68f5faUL;
   tf->codes[46456] = 0x000c377c561dcfe0UL;
   tf->codes[46457] = 0x000154c9ff01cc2cUL;
   tf->codes[46458] = 0x0002437c35955371UL;
   tf->codes[46459] = 0x00030dfe418c18b2UL;
   tf->codes[46460] = 0x0003b50f5df4f343UL;
   tf->codes[46461] = 0x0003bdb43ea4f9b5UL;
   tf->codes[46462] = 0x0005dad4d0029724UL;
   tf->codes[46463] = 0x0005ea1507974180UL;
   tf->codes[46464] = 0x00079f0ac06480c0UL;
   tf->codes[46465] = 0x0009dc02a4623b6eUL;
   tf->codes[46466] = 0x000a46465a2c7eb4UL;
   tf->codes[46467] = 0x000b3c827c592b82UL;
   tf->codes[46468] = 0x000b7121f4cb7483UL;
   tf->codes[46469] = 0x000c02dd538f2ffbUL;
   tf->codes[46470] = 0x000e114e3e6e6166UL;
   tf->codes[46471] = 0x00012d041bbc3c5eUL;
   tf->codes[46472] = 0x00019db0d5822e42UL;
   tf->codes[46473] = 0x0002b8839c95b5d4UL;
   tf->codes[46474] = 0x000369e385f28db5UL;
   tf->codes[46475] = 0x0004b073d19d535fUL;
   tf->codes[46476] = 0x000732e21af813a4UL;
   tf->codes[46477] = 0x0007cd81f1bc197cUL;
   tf->codes[46478] = 0x000b8dd3a483cf0aUL;
   tf->codes[46479] = 0x000cea77fea6740dUL;
   tf->codes[46480] = 0x000d47502f993abcUL;
   tf->codes[46481] = 0x000d9ad447e8b783UL;
   tf->codes[46482] = 0x000f2144dc0f9ba8UL;
   tf->codes[46483] = 0x000ffeb5c7eeeb82UL;
   tf->codes[46484] = 0x000067587d3f18edUL;
   tf->codes[46485] = 0x00011e4856673c23UL;
   tf->codes[46486] = 0x00022485fa3e9e8eUL;
   tf->codes[46487] = 0x0005c8d8def736edUL;
   tf->codes[46488] = 0x0005e4b3fdded010UL;
   tf->codes[46489] = 0x00080840c70a6ce3UL;
   tf->codes[46490] = 0x0009a53f8fff394fUL;
   tf->codes[46491] = 0x000b080f2b45772aUL;
   tf->codes[46492] = 0x000ba89cf5730b9eUL;
   tf->codes[46493] = 0x000c3005693461ecUL;
   tf->codes[46494] = 0x000ed46457873011UL;
   tf->codes[46495] = 0x0000fada9b713fcbUL;
   tf->codes[46496] = 0x00010e4c8d79b455UL;
   tf->codes[46497] = 0x000152f1a5a51acdUL;
   tf->codes[46498] = 0x0001972ac61dde0dUL;
   tf->codes[46499] = 0x00081a37ecab2ca7UL;
   tf->codes[46500] = 0x000a323ff5df4273UL;
   tf->codes[46501] = 0x000a3ffa65758587UL;
   tf->codes[46502] = 0x000bdf951dc420fbUL;
   tf->codes[46503] = 0x000e4b54f18acb78UL;
   tf->codes[46504] = 0x000fc60587075247UL;
   tf->codes[46505] = 0x00004ccb578fa272UL;
   tf->codes[46506] = 0x00023f43a1755275UL;
   tf->codes[46507] = 0x0005e9ccfcb19e61UL;
   tf->codes[46508] = 0x0008b2398b44c757UL;
   tf->codes[46509] = 0x00092f12eb14cb18UL;
   tf->codes[46510] = 0x000a275b1b3219e5UL;
   tf->codes[46511] = 0x000c91e11875d896UL;
   tf->codes[46512] = 0x000ff9df22fcba35UL;
   tf->codes[46513] = 0x00016f66086908aaUL;
   tf->codes[46514] = 0x000436842a313e92UL;
   tf->codes[46515] = 0x0006a0deebddbad2UL;
   tf->codes[46516] = 0x00074815515741d2UL;
   tf->codes[46517] = 0x00090d06242a9523UL;
   tf->codes[46518] = 0x00094defc4b8d846UL;
   tf->codes[46519] = 0x0009bd95e520eabeUL;
   tf->codes[46520] = 0x000a848237a944a3UL;
   tf->codes[46521] = 0x000c994755ad17a5UL;
   tf->codes[46522] = 0x000d7adddc63ffe4UL;
   tf->codes[46523] = 0x000d7d4cbbae5e53UL;
   tf->codes[46524] = 0x000ddbcd046cedb8UL;
   tf->codes[46525] = 0x000fb3835009b759UL;
   tf->codes[46526] = 0x0001123d8e22f672UL;
   tf->codes[46527] = 0x00036abb0415dc75UL;
   tf->codes[46528] = 0x00052e10c8f5afedUL;
   tf->codes[46529] = 0x00058075ce1fe3f1UL;
   tf->codes[46530] = 0x000590b169b25304UL;
   tf->codes[46531] = 0x0006672eed9551afUL;
   tf->codes[46532] = 0x0006ad5699eccea9UL;
   tf->codes[46533] = 0x00070d8611c8d99fUL;
   tf->codes[46534] = 0x000936411e312230UL;
   tf->codes[46535] = 0x000fdfbc95a5c454UL;
   tf->codes[46536] = 0x0001994a48a1e0bdUL;
   tf->codes[46537] = 0x00034ff1b4b1db05UL;
   tf->codes[46538] = 0x0004ad1f137afffbUL;
   tf->codes[46539] = 0x00060e77c5134d93UL;
   tf->codes[46540] = 0x00061e033e76621cUL;
   tf->codes[46541] = 0x0007413c3925c346UL;
   tf->codes[46542] = 0x000acdfa15238e2dUL;
   tf->codes[46543] = 0x000bf207cb65e501UL;
   tf->codes[46544] = 0x000c7c6c4126818bUL;
   tf->codes[46545] = 0x000ce36cd1317c42UL;
   tf->codes[46546] = 0x000dc1e41bdfa5c3UL;
   tf->codes[46547] = 0x000f3cf32a187b63UL;
   tf->codes[46548] = 0x0001dd273aba2c70UL;
   tf->codes[46549] = 0x00061490452caae3UL;
   tf->codes[46550] = 0x0006f4608258d0d8UL;
   tf->codes[46551] = 0x000769aa0409190eUL;
   tf->codes[46552] = 0x000c8e42eb720e09UL;
   tf->codes[46553] = 0x000cbcb28f944aceUL;
   tf->codes[46554] = 0x000dfd0f5dfea7ecUL;
   tf->codes[46555] = 0x000e3f163d3a05aaUL;
   tf->codes[46556] = 0x000fe2e23ade5fc2UL;
   tf->codes[46557] = 0x000172b6eac421adUL;
   tf->codes[46558] = 0x0001750429ee2ffdUL;
   tf->codes[46559] = 0x00029b5dfa8f7848UL;
   tf->codes[46560] = 0x0002b6ebc8a17351UL;
   tf->codes[46561] = 0x00060b88ce778b58UL;
   tf->codes[46562] = 0x00067694708b8130UL;
   tf->codes[46563] = 0x00077086525dc116UL;
   tf->codes[46564] = 0x0008ff8437a9596aUL;
   tf->codes[46565] = 0x000a053777801944UL;
   tf->codes[46566] = 0x000a4ba940dae392UL;
   tf->codes[46567] = 0x000af801c9f4e487UL;
   tf->codes[46568] = 0x000b0c0e98379b0aUL;
   tf->codes[46569] = 0x000e47e61fb7e65aUL;
   tf->codes[46570] = 0x000edb9930b34254UL;
   tf->codes[46571] = 0x000efdfad5a8725aUL;
   tf->codes[46572] = 0x000f08fa39e9d5beUL;
   tf->codes[46573] = 0x000f87bdccfb259aUL;
   tf->codes[46574] = 0x0001cd048f986d62UL;
   tf->codes[46575] = 0x0002a14427bfe04cUL;
   tf->codes[46576] = 0x0002ba179a2a0cf4UL;
   tf->codes[46577] = 0x0002c32c1b7d12eeUL;
   tf->codes[46578] = 0x0007154e386e96c0UL;
   tf->codes[46579] = 0x00083915057ff106UL;
   tf->codes[46580] = 0x0008f42f0cac2005UL;
   tf->codes[46581] = 0x000c980df8244b3dUL;
   tf->codes[46582] = 0x000cf3ba46a88611UL;
   tf->codes[46583] = 0x000d9b981d168c5dUL;
   tf->codes[46584] = 0x000057a8716af366UL;
   tf->codes[46585] = 0x0001526b2b50c6e1UL;
   tf->codes[46586] = 0x00018fe78f539bddUL;
   tf->codes[46587] = 0x00080c03977ad2faUL;
   tf->codes[46588] = 0x000b16c15cdbacc7UL;
   tf->codes[46589] = 0x000bee6496179b86UL;
   tf->codes[46590] = 0x000d028cb2d7fc9fUL;
   tf->codes[46591] = 0x000d5ab818c4d91eUL;
   tf->codes[46592] = 0x000d6e9f28d8d7a8UL;
   tf->codes[46593] = 0x000e37ad4464f7a7UL;
   tf->codes[46594] = 0x000ffd199ce87684UL;
   tf->codes[46595] = 0x0000b03f95410aeaUL;
   tf->codes[46596] = 0x00096b78f35a1f1fUL;
   tf->codes[46597] = 0x00098dcd53e80083UL;
   tf->codes[46598] = 0x000ad55fe05337faUL;
   tf->codes[46599] = 0x000b13c6f58b2c80UL;
   tf->codes[46600] = 0x000bc4db27fb8eaaUL;
   tf->codes[46601] = 0x000ec9cee3a963acUL;
   tf->codes[46602] = 0x0002262f79e24f28UL;
   tf->codes[46603] = 0x0002e752e782c11bUL;
   tf->codes[46604] = 0x0005690529a0fad2UL;
   tf->codes[46605] = 0x00090c7b8bc7d95dUL;
   tf->codes[46606] = 0x0009ad4d0b541999UL;
   tf->codes[46607] = 0x000a76273a0e1be9UL;
   tf->codes[46608] = 0x000c36daa7ef7ecdUL;
   tf->codes[46609] = 0x00003a6842ba04bcUL;
   tf->codes[46610] = 0x000056ac6010f616UL;
   tf->codes[46611] = 0x0002f18139e728b7UL;
   tf->codes[46612] = 0x000585364b5eaadfUL;
   tf->codes[46613] = 0x000858b9cdbe897cUL;
   tf->codes[46614] = 0x0008e487ae36c1e2UL;
   tf->codes[46615] = 0x0009c9c16d5269e4UL;
   tf->codes[46616] = 0x000b5bcaa80bcb03UL;
   tf->codes[46617] = 0x000f1075859d9de1UL;
   tf->codes[46618] = 0x0003988637796f11UL;
   tf->codes[46619] = 0x0004ace5af6d4464UL;
   tf->codes[46620] = 0x0004c68b5945273fUL;
   tf->codes[46621] = 0x000559daaeaaafb5UL;
   tf->codes[46622] = 0x00065588c972b409UL;
   tf->codes[46623] = 0x0008f28ebfbb2f53UL;
   tf->codes[46624] = 0x00098fce69586648UL;
   tf->codes[46625] = 0x000bac07b7e23ab8UL;
   tf->codes[46626] = 0x000c21881fa7eb9eUL;
   tf->codes[46627] = 0x000cbc79da6e02f4UL;
   tf->codes[46628] = 0x000cc95ea435394aUL;
   tf->codes[46629] = 0x000fcd11e72c7b2fUL;
   tf->codes[46630] = 0x000098b96ded2abfUL;
   tf->codes[46631] = 0x00022387a7cc2cd2UL;
   tf->codes[46632] = 0x0002d9d93658b784UL;
   tf->codes[46633] = 0x0003056935c27979UL;
   tf->codes[46634] = 0x00030eb2c8b2b9fbUL;
   tf->codes[46635] = 0x00034dbb96e79d90UL;
   tf->codes[46636] = 0x0003e41fdd31e123UL;
   tf->codes[46637] = 0x000495cf266b8b0bUL;
   tf->codes[46638] = 0x0007111112ad5d84UL;
   tf->codes[46639] = 0x000ad522d03ea9cbUL;
   tf->codes[46640] = 0x000bb6602112c7ecUL;
   tf->codes[46641] = 0x000dd5b786da3e41UL;
   tf->codes[46642] = 0x00009896e456611eUL;
   tf->codes[46643] = 0x0001dcdd99c774c8UL;
   tf->codes[46644] = 0x000275bd8ea559e2UL;
   tf->codes[46645] = 0x0004d22aa39686aeUL;
   tf->codes[46646] = 0x00059a08bea5b2f8UL;
   tf->codes[46647] = 0x0005b89c2a2de68fUL;
   tf->codes[46648] = 0x0006e1ee8e6d1e8bUL;
   tf->codes[46649] = 0x000802c837cfa99aUL;
   tf->codes[46650] = 0x000d9145e7288780UL;
   tf->codes[46651] = 0x00012241281842d4UL;
   tf->codes[46652] = 0x000133d2f774691fUL;
   tf->codes[46653] = 0x00016cf2da8a3d06UL;
   tf->codes[46654] = 0x0002dd8f6ca7914aUL;
   tf->codes[46655] = 0x000491a82dc50b2cUL;
   tf->codes[46656] = 0x0009c914bc9adc2dUL;
   tf->codes[46657] = 0x000e68c153f427ebUL;
   tf->codes[46658] = 0x000ee28b05b8f542UL;
   tf->codes[46659] = 0x000ff38c948fdefdUL;
   tf->codes[46660] = 0x0002dcf8e9d05a82UL;
   tf->codes[46661] = 0x00034940e68c7b9dUL;
   tf->codes[46662] = 0x000541619a04e04cUL;
   tf->codes[46663] = 0x000acb6a8938598bUL;
   tf->codes[46664] = 0x000b5628a9f9cbbdUL;
   tf->codes[46665] = 0x000bb3e907fc727fUL;
   tf->codes[46666] = 0x00019994aa3d3440UL;
   tf->codes[46667] = 0x0004fee528658a96UL;
   tf->codes[46668] = 0x000635972c6f1325UL;
   tf->codes[46669] = 0x000673e134b32af0UL;
   tf->codes[46670] = 0x0006c0107306bcb6UL;
   tf->codes[46671] = 0x0007c63c3f4a5d1bUL;
   tf->codes[46672] = 0x00082278e455d082UL;
   tf->codes[46673] = 0x000960d42a829507UL;
   tf->codes[46674] = 0x0009c644a76b24d5UL;
   tf->codes[46675] = 0x000d320122d274caUL;
   tf->codes[46676] = 0x000ff7890462a402UL;
   tf->codes[46677] = 0x0000ad598fd678b0UL;
   tf->codes[46678] = 0x0000e21097d413f4UL;
   tf->codes[46679] = 0x00020dc71b1b9b34UL;
   tf->codes[46680] = 0x000329139367202aUL;
   tf->codes[46681] = 0x0003921f4726a5ccUL;
   tf->codes[46682] = 0x0003f49e8251fe89UL;
   tf->codes[46683] = 0x00047d3646e3373dUL;
   tf->codes[46684] = 0x000704432ca07bfcUL;
   tf->codes[46685] = 0x00073f62c37bba54UL;
   tf->codes[46686] = 0x000846889462fcd2UL;
   tf->codes[46687] = 0x0008b3d25cc18430UL;
   tf->codes[46688] = 0x0009d1da557ff460UL;
   tf->codes[46689] = 0x000a5c7626740524UL;
   tf->codes[46690] = 0x000c05b750860788UL;
   tf->codes[46691] = 0x000cf57946d05501UL;
   tf->codes[46692] = 0x00000bee59a0b0e6UL;
   tf->codes[46693] = 0x000341f1c6d8f98fUL;
   tf->codes[46694] = 0x0003499132f63d6eUL;
   tf->codes[46695] = 0x00058d894e398c63UL;
   tf->codes[46696] = 0x0008f08157d7b9b4UL;
   tf->codes[46697] = 0x000a7e9c8d7bfc6dUL;
   tf->codes[46698] = 0x000b287bb198958dUL;
   tf->codes[46699] = 0x000d909ce026f3abUL;
   tf->codes[46700] = 0x000e984dff4aefceUL;
   tf->codes[46701] = 0x000ed5d01b455507UL;
   tf->codes[46702] = 0x000fc6f723a9d0bdUL;
   tf->codes[46703] = 0x0002e31cdc29b102UL;
   tf->codes[46704] = 0x000308d936697bdaUL;
   tf->codes[46705] = 0x0005a2e0a68d7171UL;
   tf->codes[46706] = 0x0006574d7f413a80UL;
   tf->codes[46707] = 0x0006bde33c64aed8UL;
   tf->codes[46708] = 0x000b27e06105e59cUL;
   tf->codes[46709] = 0x000eeeb0d2dc6de3UL;
   tf->codes[46710] = 0x00008c511a3f2399UL;
   tf->codes[46711] = 0x00021d36e935ce56UL;
   tf->codes[46712] = 0x00021ece13a9ec1aUL;
   tf->codes[46713] = 0x00054881a0ceaa64UL;
   tf->codes[46714] = 0x000567f4fd49ee5aUL;
   tf->codes[46715] = 0x000577d7286a8d8aUL;
   tf->codes[46716] = 0x00082aadecea47efUL;
   tf->codes[46717] = 0x0008d4b0fabd6ae0UL;
   tf->codes[46718] = 0x0009d448fc8c25c0UL;
   tf->codes[46719] = 0x000ee3fdd5fa2f17UL;
   tf->codes[46720] = 0x000f910103db001eUL;
   tf->codes[46721] = 0x000114ec13684aa5UL;
   tf->codes[46722] = 0x00064454904eed2fUL;
   tf->codes[46723] = 0x00065e7a8d9274bfUL;
   tf->codes[46724] = 0x0009297c2ebcbfa7UL;
   tf->codes[46725] = 0x000a76af984aed65UL;
   tf->codes[46726] = 0x000b18037a4a0643UL;
   tf->codes[46727] = 0x000bef424843102fUL;
   tf->codes[46728] = 0x000d215ffb0e17e5UL;
   tf->codes[46729] = 0x00001190d3c345d8UL;
   tf->codes[46730] = 0x00008a44239da5aaUL;
   tf->codes[46731] = 0x0000b67d68741513UL;
   tf->codes[46732] = 0x00015f4d0768edc4UL;
   tf->codes[46733] = 0x0003443533138610UL;
   tf->codes[46734] = 0x0004672a03462fe8UL;
   tf->codes[46735] = 0x0007128077a3b716UL;
   tf->codes[46736] = 0x00090363e0ab8307UL;
   tf->codes[46737] = 0x000afcb5b96bf844UL;
   tf->codes[46738] = 0x000b3d336247982fUL;
   tf->codes[46739] = 0x000c54f4a6d7bb2fUL;
   tf->codes[46740] = 0x000d1b09f436e5b8UL;
   tf->codes[46741] = 0x000da1c5eeb93dccUL;
   tf->codes[46742] = 0x000e16f855fc3f49UL;
   tf->codes[46743] = 0x000f0babf1763f93UL;
   tf->codes[46744] = 0x00024bcff6c7f81aUL;
   tf->codes[46745] = 0x0002dbe427fc01f0UL;
   tf->codes[46746] = 0x0003d73da00daf8aUL;
   tf->codes[46747] = 0x000743ff5578bc4dUL;
   tf->codes[46748] = 0x000997f8b7d7bb1aUL;
   tf->codes[46749] = 0x000a2c041479ca1eUL;
   tf->codes[46750] = 0x000a44179c280e23UL;
   tf->codes[46751] = 0x000ae9727221ba48UL;
   tf->codes[46752] = 0x000c321115535ba3UL;
   tf->codes[46753] = 0x000d0a8267ee98bbUL;
   tf->codes[46754] = 0x000d5df174d802b6UL;
   tf->codes[46755] = 0x000e38a6a5b56191UL;
   tf->codes[46756] = 0x0001ffe59363cc87UL;
   tf->codes[46757] = 0x00031e1d9574f851UL;
   tf->codes[46758] = 0x00039a1b977e5f17UL;
   tf->codes[46759] = 0x00039f0a436ac6e7UL;
   tf->codes[46760] = 0x000538eaba92eba9UL;
   tf->codes[46761] = 0x00065c9689b79d21UL;
   tf->codes[46762] = 0x0006e61222bb4849UL;
   tf->codes[46763] = 0x0007d97283aedc5cUL;
   tf->codes[46764] = 0x0007f6e19938427dUL;
   tf->codes[46765] = 0x00094c30decff6baUL;
   tf->codes[46766] = 0x000a36906a7c7501UL;
   tf->codes[46767] = 0x000d16d62c4722c1UL;
   tf->codes[46768] = 0x00015b682afd8edcUL;
   tf->codes[46769] = 0x000d8936e3aba6f1UL;
   tf->codes[46770] = 0x00004e44d974d300UL;
   tf->codes[46771] = 0x0000a3cfbcdb6d13UL;
   tf->codes[46772] = 0x00021304f3485968UL;
   tf->codes[46773] = 0x0002fc4da7ec5ea0UL;
   tf->codes[46774] = 0x0009d4e6618d589cUL;
   tf->codes[46775] = 0x000a89754f7f7d54UL;
   tf->codes[46776] = 0x000c1d4cd5516aacUL;
   tf->codes[46777] = 0x000d75601207df9cUL;
   tf->codes[46778] = 0x000eb519c81b2b0dUL;
   tf->codes[46779] = 0x0003a754569fb38eUL;
   tf->codes[46780] = 0x0003d7e3ef4d8845UL;
   tf->codes[46781] = 0x000511d65a621427UL;
   tf->codes[46782] = 0x0007727da072e09aUL;
   tf->codes[46783] = 0x00096e666042a5f1UL;
   tf->codes[46784] = 0x000f60955a4b0436UL;
   tf->codes[46785] = 0x00017f8387141c8fUL;
   tf->codes[46786] = 0x0004cb633272c4cdUL;
   tf->codes[46787] = 0x0005a25f6fd83fcaUL;
   tf->codes[46788] = 0x00063b797e9dde5aUL;
   tf->codes[46789] = 0x000b0fe1ebb03e85UL;
   tf->codes[46790] = 0x000b854287cdcd74UL;
   tf->codes[46791] = 0x000ce703882861f4UL;
   tf->codes[46792] = 0x00005e6713549a5eUL;
   tf->codes[46793] = 0x000118fbbecaa5baUL;
   tf->codes[46794] = 0x00013969cf969d18UL;
   tf->codes[46795] = 0x0002abfc04e45df1UL;
   tf->codes[46796] = 0x0005d07aac98c92cUL;
   tf->codes[46797] = 0x00087128e3908327UL;
   tf->codes[46798] = 0x000a208c62fc3d60UL;
   tf->codes[46799] = 0x000a4395b374f277UL;
   tf->codes[46800] = 0x000f91f3f81f797eUL;
   tf->codes[46801] = 0x00016dce0a1bad5cUL;
   tf->codes[46802] = 0x00017acbfd575e58UL;
   tf->codes[46803] = 0x0008fd2f44ccea32UL;
   tf->codes[46804] = 0x00098bc7be978a9cUL;
   tf->codes[46805] = 0x000a0648a9dd6558UL;
   tf->codes[46806] = 0x000c6653eee8d2f9UL;
   tf->codes[46807] = 0x000ca896f7131e1aUL;
   tf->codes[46808] = 0x000cae3d8c2da49eUL;
   tf->codes[46809] = 0x000d2d1072ad7709UL;
   tf->codes[46810] = 0x000dbd5d98fe1d7cUL;
   tf->codes[46811] = 0x000e115a78498093UL;
   tf->codes[46812] = 0x0000be54e664689dUL;
   tf->codes[46813] = 0x0001c1d6cf39da09UL;
   tf->codes[46814] = 0x00046d03a1e94729UL;
   tf->codes[46815] = 0x00053a0b3279a608UL;
   tf->codes[46816] = 0x00082c3dcdfb7259UL;
   tf->codes[46817] = 0x0008920571bf9858UL;
   tf->codes[46818] = 0x00096d84635ed7edUL;
   tf->codes[46819] = 0x000b6d6364608b5eUL;
   tf->codes[46820] = 0x000d12036deac9d1UL;
   tf->codes[46821] = 0x000dcd320b5f0012UL;
   tf->codes[46822] = 0x000e15830d2a018bUL;
   tf->codes[46823] = 0x000e9bbbbafd69e9UL;
   tf->codes[46824] = 0x00000d780fed183fUL;
   tf->codes[46825] = 0x000014ecb5912537UL;
   tf->codes[46826] = 0x0005c508b0c1f3f5UL;
   tf->codes[46827] = 0x0005d029b523a778UL;
   tf->codes[46828] = 0x0006f4058d9b148aUL;
   tf->codes[46829] = 0x000934eb018fe214UL;
   tf->codes[46830] = 0x0009aa7071a011e8UL;
   tf->codes[46831] = 0x000b5af93146b0abUL;
   tf->codes[46832] = 0x000daca9728a0902UL;
   tf->codes[46833] = 0x000fb8745d7a6d89UL;
   tf->codes[46834] = 0x0001f19013f6cbd7UL;
   tf->codes[46835] = 0x00055504c810418dUL;
   tf->codes[46836] = 0x000597ae4a84a56eUL;
   tf->codes[46837] = 0x00081521c856cc1aUL;
   tf->codes[46838] = 0x0009b2fc9ebf46d0UL;
   tf->codes[46839] = 0x000a283da9c3b98dUL;
   tf->codes[46840] = 0x000be3da9e82c8bbUL;
   tf->codes[46841] = 0x000e3d5a1aa71ac6UL;
   tf->codes[46842] = 0x000ec3086479e093UL;
   tf->codes[46843] = 0x000f538b4c14d2ddUL;
   tf->codes[46844] = 0x000fd5baf6e67407UL;
   tf->codes[46845] = 0x00005840a3c88e89UL;
   tf->codes[46846] = 0x0002ed153d8364feUL;
   tf->codes[46847] = 0x00067ede97d26eabUL;
   tf->codes[46848] = 0x0006fc53be18cb79UL;
   tf->codes[46849] = 0x0009ff69a0b08beeUL;
   tf->codes[46850] = 0x000bdf1017a18e13UL;
   tf->codes[46851] = 0x000e7ce3b22b4c2cUL;
   tf->codes[46852] = 0x000ed6f567da12b1UL;
   tf->codes[46853] = 0x0003b4e405e9ac4bUL;
   tf->codes[46854] = 0x0004a50f353257c0UL;
   tf->codes[46855] = 0x000610900b53d39bUL;
   tf->codes[46856] = 0x0006721123cd2265UL;
   tf->codes[46857] = 0x000856eda4f99472UL;
   tf->codes[46858] = 0x000b2a2c12a0a4a9UL;
   tf->codes[46859] = 0x000c26bb7db5dbfaUL;
   tf->codes[46860] = 0x000d4928a89c287dUL;
   tf->codes[46861] = 0x0001c0ecd18ddfa8UL;
   tf->codes[46862] = 0x0003dbff0b64a166UL;
   tf->codes[46863] = 0x00073b6fc4c6ced6UL;
   tf->codes[46864] = 0x0009b0327cdbc30cUL;
   tf->codes[46865] = 0x000b0585e081df23UL;
   tf->codes[46866] = 0x000bddf857e83914UL;
   tf->codes[46867] = 0x000d28cc702990b7UL;
   tf->codes[46868] = 0x000e0b8af5cfa2bcUL;
   tf->codes[46869] = 0x000f30476ee7317cUL;
   tf->codes[46870] = 0x0000c1def9f65f26UL;
   tf->codes[46871] = 0x0000f889d0ac38d7UL;
   tf->codes[46872] = 0x0005a8d5849ec167UL;
   tf->codes[46873] = 0x00075bbce5e524f6UL;
   tf->codes[46874] = 0x00081e61fd759657UL;
   tf->codes[46875] = 0x000b6f90a1f5235eUL;
   tf->codes[46876] = 0x000d198e82f0bd9fUL;
   tf->codes[46877] = 0x000157d2b62729afUL;
   tf->codes[46878] = 0x0003215dccbf93dbUL;
   tf->codes[46879] = 0x000334eaf743b6f8UL;
   tf->codes[46880] = 0x0004a8c1fde5788dUL;
   tf->codes[46881] = 0x0005d943f30fef1bUL;
   tf->codes[46882] = 0x0005dc44131d9d31UL;
   tf->codes[46883] = 0x00066803ff8175a6UL;
   tf->codes[46884] = 0x0007fd8c13cb012dUL;
   tf->codes[46885] = 0x0009c4854b9e9a2dUL;
   tf->codes[46886] = 0x000d423e694996ccUL;
   tf->codes[46887] = 0x000e28d57380a8e1UL;
   tf->codes[46888] = 0x0006b18a7ff792deUL;
   tf->codes[46889] = 0x0008eed3984a4dbbUL;
   tf->codes[46890] = 0x0009af01cf0296beUL;
   tf->codes[46891] = 0x000b63a77845f2a8UL;
   tf->codes[46892] = 0x000be87ce8775af1UL;
   tf->codes[46893] = 0x000e2a02b60ef4ecUL;
   tf->codes[46894] = 0x000ed35fecd6c0f4UL;
   tf->codes[46895] = 0x0001549dc09681faUL;
   tf->codes[46896] = 0x0005cec46ea76006UL;
   tf->codes[46897] = 0x0006ef513c525885UL;
   tf->codes[46898] = 0x0009ce413f715a97UL;
   tf->codes[46899] = 0x000af282e285cf1aUL;
   tf->codes[46900] = 0x000db8f48b0f06c8UL;
   tf->codes[46901] = 0x000dd16232dc2bffUL;
   tf->codes[46902] = 0x000fa3b4b48103d0UL;
   tf->codes[46903] = 0x000057d9b9c7b93dUL;
   tf->codes[46904] = 0x00005d500b007e62UL;
   tf->codes[46905] = 0x0000adb7e08a876cUL;
   tf->codes[46906] = 0x00047cb46c152fd5UL;
   tf->codes[46907] = 0x0004810926036cc0UL;
   tf->codes[46908] = 0x0004eb05f29cb378UL;
   tf->codes[46909] = 0x00090b9a542e58a0UL;
   tf->codes[46910] = 0x00092879fd6c9d42UL;
   tf->codes[46911] = 0x0009e92e3f881b37UL;
   tf->codes[46912] = 0x000a53bf0b98f6d2UL;
   tf->codes[46913] = 0x000ae953640bbde4UL;
   tf->codes[46914] = 0x000b7d3434c39bc6UL;
   tf->codes[46915] = 0x000ca67f47221b22UL;
   tf->codes[46916] = 0x000d4b4bd59bc2a1UL;
   tf->codes[46917] = 0x00043f51e1f98460UL;
   tf->codes[46918] = 0x000603039b706732UL;
   tf->codes[46919] = 0x00088dcc3359d50bUL;
   tf->codes[46920] = 0x0008f7306d4f137cUL;
   tf->codes[46921] = 0x0008fb9e50b1cb0dUL;
   tf->codes[46922] = 0x0009df5874e4a78eUL;
   tf->codes[46923] = 0x000b81e3bf4368c4UL;
   tf->codes[46924] = 0x000cae25cb56af6eUL;
   tf->codes[46925] = 0x000d68c8305214f6UL;
   tf->codes[46926] = 0x000e4cf38f111962UL;
   tf->codes[46927] = 0x000f51cf1a119891UL;
   tf->codes[46928] = 0x000f5acc80f757d2UL;
   tf->codes[46929] = 0x0000366a5402a24aUL;
   tf->codes[46930] = 0x00023a6fda180534UL;
   tf->codes[46931] = 0x00045a2e69d6a598UL;
   tf->codes[46932] = 0x000545927fd9cf5eUL;
   tf->codes[46933] = 0x00059b411267ed7dUL;
   tf->codes[46934] = 0x0005a342dac0e242UL;
   tf->codes[46935] = 0x00063ba7f99bad1fUL;
   tf->codes[46936] = 0x000724e369d863b5UL;
   tf->codes[46937] = 0x00089b2f7cda1f80UL;
   tf->codes[46938] = 0x000af0d0f704e703UL;
   tf->codes[46939] = 0x000b639026601c72UL;
   tf->codes[46940] = 0x000da131153b7ecfUL;
   tf->codes[46941] = 0x000de9af2715f0e1UL;
   tf->codes[46942] = 0x0001470394dce2afUL;
   tf->codes[46943] = 0x000a97ec83e46c89UL;
   tf->codes[46944] = 0x000d54f2f95d1396UL;
   tf->codes[46945] = 0x0000d748def26687UL;
   tf->codes[46946] = 0x0002ab78ff1e4d20UL;
   tf->codes[46947] = 0x0003543183a5df18UL;
   tf->codes[46948] = 0x0003d9dee33c8dd1UL;
   tf->codes[46949] = 0x000497bbbcbc60aaUL;
   tf->codes[46950] = 0x000538f2cc56a292UL;
   tf->codes[46951] = 0x00067831e6f5d98bUL;
   tf->codes[46952] = 0x00083fef9cb1ce92UL;
   tf->codes[46953] = 0x000acbbd6e9ef939UL;
   tf->codes[46954] = 0x000c56e3f424ae56UL;
   tf->codes[46955] = 0x000ded0c6211064eUL;
   tf->codes[46956] = 0x000e3958e7e77a94UL;
   tf->codes[46957] = 0x000ea5d1631462d3UL;
   tf->codes[46958] = 0x00005873afa1f7fcUL;
   tf->codes[46959] = 0x00049ee0539c27deUL;
   tf->codes[46960] = 0x00062b0c8843a553UL;
   tf->codes[46961] = 0x000d631edf99bf7eUL;
   tf->codes[46962] = 0x000f1a9bb6e9c0bfUL;
   tf->codes[46963] = 0x000057c353a9353fUL;
   tf->codes[46964] = 0x0001acb6a4a9da22UL;
   tf->codes[46965] = 0x0002aa028c19a38bUL;
   tf->codes[46966] = 0x00059dba3fecc5d5UL;
   tf->codes[46967] = 0x0009ef8d37907d65UL;
   tf->codes[46968] = 0x000aa384f238bc74UL;
   tf->codes[46969] = 0x000ad1547747328dUL;
   tf->codes[46970] = 0x000c1a90eff660e2UL;
   tf->codes[46971] = 0x000e5e1fd23b51dbUL;
   tf->codes[46972] = 0x0000ccb7492cad39UL;
   tf->codes[46973] = 0x0000ebba5557e058UL;
   tf->codes[46974] = 0x000133e857a86f14UL;
   tf->codes[46975] = 0x00032a1501d98f91UL;
   tf->codes[46976] = 0x00047f4899d789b1UL;
   tf->codes[46977] = 0x00048824d5bb045dUL;
   tf->codes[46978] = 0x0004e798f6079a14UL;
   tf->codes[46979] = 0x0006720423fdd9f2UL;
   tf->codes[46980] = 0x0007059101ac7269UL;
   tf->codes[46981] = 0x0009112999b3e1a4UL;
   tf->codes[46982] = 0x0009ddd5703c36eeUL;
   tf->codes[46983] = 0x000b802d7d75ebc4UL;
   tf->codes[46984] = 0x000be194bccdae99UL;
   tf->codes[46985] = 0x000c8a6ac36728d6UL;
   tf->codes[46986] = 0x000cdaf55ddc9ed8UL;
   tf->codes[46987] = 0x000d5596ff06b29fUL;
   tf->codes[46988] = 0x0000d262723944b3UL;
   tf->codes[46989] = 0x0000f10e1cf9dbdcUL;
   tf->codes[46990] = 0x000236391bfb6d84UL;
   tf->codes[46991] = 0x00065e6caf1b50c6UL;
   tf->codes[46992] = 0x00081b2f93c255cdUL;
   tf->codes[46993] = 0x000e08d487b036daUL;
   tf->codes[46994] = 0x000f4f5a4da7f31eUL;
   tf->codes[46995] = 0x0000975737dca56aUL;
   tf->codes[46996] = 0x0000c4c8099fc6edUL;
   tf->codes[46997] = 0x0000ccb86f830536UL;
   tf->codes[46998] = 0x00057e3a1679177dUL;
   tf->codes[46999] = 0x0005ca1e881c4aa0UL;
   tf->codes[47000] = 0x0005cc2518a46227UL;
   tf->codes[47001] = 0x000a8ca341d07302UL;
   tf->codes[47002] = 0x000aea82bbce2a6cUL;
   tf->codes[47003] = 0x000b41b57c718770UL;
   tf->codes[47004] = 0x0001cb93bb2dc5cbUL;
   tf->codes[47005] = 0x00031aca8171ba4aUL;
   tf->codes[47006] = 0x00056890dbae5c15UL;
   tf->codes[47007] = 0x00063b75acdfa463UL;
   tf->codes[47008] = 0x000663e12d6722e7UL;
   tf->codes[47009] = 0x000736d58c95f389UL;
   tf->codes[47010] = 0x0007658159a71db1UL;
   tf->codes[47011] = 0x0007d0d0016cae02UL;
   tf->codes[47012] = 0x0009143183112c9aUL;
   tf->codes[47013] = 0x000a6e3cac8e47d1UL;
   tf->codes[47014] = 0x000fa4e323929468UL;
   tf->codes[47015] = 0x00020ba82bd0a54cUL;
   tf->codes[47016] = 0x00030f94acfe9752UL;
   tf->codes[47017] = 0x0007866bdb24f541UL;
   tf->codes[47018] = 0x000900d3ed87571fUL;
   tf->codes[47019] = 0x000a0a29f0a4cb32UL;
   tf->codes[47020] = 0x000a328e1f4b9116UL;
   tf->codes[47021] = 0x000e14d6a420f04bUL;
   tf->codes[47022] = 0x000e5302b5351447UL;
   tf->codes[47023] = 0x000f5c533ae9fde2UL;
   tf->codes[47024] = 0x0000849f405a5c37UL;
   tf->codes[47025] = 0x0001283c43751b8bUL;
   tf->codes[47026] = 0x00012bfcfdebc393UL;
   tf->codes[47027] = 0x00020eb640b850e5UL;
   tf->codes[47028] = 0x0003db529f4519deUL;
   tf->codes[47029] = 0x00084cd9af7f762bUL;
   tf->codes[47030] = 0x000888cfd665d855UL;
   tf->codes[47031] = 0x0008a3c8bac42767UL;
   tf->codes[47032] = 0x0009528e4eb058a3UL;
   tf->codes[47033] = 0x0009a3ee5465d59eUL;
   tf->codes[47034] = 0x000c5e41106a559bUL;
   tf->codes[47035] = 0x000d7f1d788125e6UL;
   tf->codes[47036] = 0x000e6e42be19033eUL;
   tf->codes[47037] = 0x000f4d60ca0e9abcUL;
   tf->codes[47038] = 0x00024240b75fec91UL;
   tf->codes[47039] = 0x0003158bc84c47daUL;
   tf->codes[47040] = 0x0003760f6dc09e00UL;
   tf->codes[47041] = 0x0003d9dd5045ef90UL;
   tf->codes[47042] = 0x0004811acd11296bUL;
   tf->codes[47043] = 0x000736dd55e59069UL;
   tf->codes[47044] = 0x00080add56bcbf65UL;
   tf->codes[47045] = 0x000b5a38e268470aUL;
   tf->codes[47046] = 0x000fc77a1704dd71UL;
   tf->codes[47047] = 0x00006f1fe2925e34UL;
   tf->codes[47048] = 0x000179fc22cc4519UL;
   tf->codes[47049] = 0x0001b1a1e861d7f7UL;
   tf->codes[47050] = 0x0001b73bae331b63UL;
   tf->codes[47051] = 0x000279beb085311bUL;
   tf->codes[47052] = 0x0005d9c6d7c049f9UL;
   tf->codes[47053] = 0x0006daa3aae30595UL;
   tf->codes[47054] = 0x0007d77ecce4b29dUL;
   tf->codes[47055] = 0x000905784432448cUL;
   tf->codes[47056] = 0x000ae38213469e75UL;
   tf->codes[47057] = 0x000e48420058b673UL;
   tf->codes[47058] = 0x000f1701e65f77abUL;
   tf->codes[47059] = 0x000f60b0e2f2f486UL;
   tf->codes[47060] = 0x0000f5d3dc4c89ebUL;
   tf->codes[47061] = 0x0002a83fb7e2c1eeUL;
   tf->codes[47062] = 0x0003ba77744c3b25UL;
   tf->codes[47063] = 0x0005d6519a6caf75UL;
   tf->codes[47064] = 0x0006bbcb2b67a12aUL;
   tf->codes[47065] = 0x000758cc27f0ab45UL;
   tf->codes[47066] = 0x0009a2755e018a24UL;
   tf->codes[47067] = 0x000e6a66585979cfUL;
   tf->codes[47068] = 0x000013aab63dccf9UL;
   tf->codes[47069] = 0x0003023e37694161UL;
   tf->codes[47070] = 0x0005f48912237144UL;
   tf->codes[47071] = 0x000a3f29ba27a506UL;
   tf->codes[47072] = 0x000aba5b3cbae5d6UL;
   tf->codes[47073] = 0x000cb89bc167c2e3UL;
   tf->codes[47074] = 0x000ccbf0a67c5ab2UL;
   tf->codes[47075] = 0x00004e74865d3550UL;
   tf->codes[47076] = 0x00008c66086b944cUL;
   tf->codes[47077] = 0x00009fe8381ea279UL;
   tf->codes[47078] = 0x0006d262fd37b6e7UL;
   tf->codes[47079] = 0x0008d6092054b3ecUL;
   tf->codes[47080] = 0x000a406983f6c466UL;
   tf->codes[47081] = 0x000b580ea5cf21bfUL;
   tf->codes[47082] = 0x000bc9f53617ff6fUL;
   tf->codes[47083] = 0x000ca8f66fa8bff7UL;
   tf->codes[47084] = 0x000dcedae7af787dUL;
   tf->codes[47085] = 0x000e2459365bd53dUL;
   tf->codes[47086] = 0x00001674a16e5ed2UL;
   tf->codes[47087] = 0x00013ab1b1565ff1UL;
   tf->codes[47088] = 0x0004c203873f6954UL;
   tf->codes[47089] = 0x000601b192d48e86UL;
   tf->codes[47090] = 0x00067af2b510e774UL;
   tf->codes[47091] = 0x0007f88b65f1be8cUL;
   tf->codes[47092] = 0x0008e630d611ca9eUL;
   tf->codes[47093] = 0x0008f8d1b577a5ceUL;
   tf->codes[47094] = 0x0009e85fbeefd598UL;
   tf->codes[47095] = 0x000e12b6b4fca757UL;
   tf->codes[47096] = 0x000e4cb8980cbf8aUL;
   tf->codes[47097] = 0x000e51d9d171226bUL;
   tf->codes[47098] = 0x00003ea51e97aa5eUL;
   tf->codes[47099] = 0x0001d43484c1ee85UL;
   tf->codes[47100] = 0x0001fce84dd48c35UL;
   tf->codes[47101] = 0x0002a4c48a596a1eUL;
   tf->codes[47102] = 0x000481610b36c616UL;
   tf->codes[47103] = 0x00058cfb61b46776UL;
   tf->codes[47104] = 0x0006d54c3ef25f2dUL;
   tf->codes[47105] = 0x0007479a33c16cb1UL;
   tf->codes[47106] = 0x000bd6fed55d11ceUL;
   tf->codes[47107] = 0x000ccd650e55e434UL;
   tf->codes[47108] = 0x000e696a82541fd6UL;
   tf->codes[47109] = 0x000504368dd95bbbUL;
   tf->codes[47110] = 0x0005167cd8024a2fUL;
   tf->codes[47111] = 0x0005cbd6e610723fUL;
   tf->codes[47112] = 0x00061f5162e8fcb4UL;
   tf->codes[47113] = 0x0006ff79ebbbd5b3UL;
   tf->codes[47114] = 0x0009893d49a186beUL;
   tf->codes[47115] = 0x000a14c90ea43bbfUL;
   tf->codes[47116] = 0x000b40e3fd2ea7d2UL;
   tf->codes[47117] = 0x000b8c756604ac9eUL;
   tf->codes[47118] = 0x000d456edefa2e5fUL;
   tf->codes[47119] = 0x000eb7dae0fb2bb5UL;
   tf->codes[47120] = 0x000fedd44c298441UL;
   tf->codes[47121] = 0x0004b15b0c0f18abUL;
   tf->codes[47122] = 0x0008b01cbfd8a3c2UL;
   tf->codes[47123] = 0x0009e59c79cefeeaUL;
   tf->codes[47124] = 0x000b909c60fc0533UL;
   tf->codes[47125] = 0x000c2d2580c54012UL;
   tf->codes[47126] = 0x000c660bf9a06bd2UL;
   tf->codes[47127] = 0x000d492bb6b711e4UL;
   tf->codes[47128] = 0x000381387aa2a594UL;
   tf->codes[47129] = 0x000563ac84295abeUL;
   tf->codes[47130] = 0x0006b15c5da3cb1cUL;
   tf->codes[47131] = 0x000a0fc93c5c5e5cUL;
   tf->codes[47132] = 0x000ab0706a8d733bUL;
   tf->codes[47133] = 0x000b44e0a790729cUL;
   tf->codes[47134] = 0x00002cdd1be9a2faUL;
   tf->codes[47135] = 0x0002f308c57df52eUL;
   tf->codes[47136] = 0x00034ec9352c2bbaUL;
   tf->codes[47137] = 0x00036968a918aae9UL;
   tf->codes[47138] = 0x0003bd70f8532e7aUL;
   tf->codes[47139] = 0x0004d2e7474f7cdcUL;
   tf->codes[47140] = 0x00061dedb279c9cbUL;
   tf->codes[47141] = 0x00071e2aa117c480UL;
   tf->codes[47142] = 0x000897b3e75232d8UL;
   tf->codes[47143] = 0x000b5dc57d35f352UL;
   tf->codes[47144] = 0x000b96ce45de8080UL;
   tf->codes[47145] = 0x000ce28841997e84UL;
   tf->codes[47146] = 0x000f443b2952a951UL;
   tf->codes[47147] = 0x000f44f29d62bc7bUL;
   tf->codes[47148] = 0x00010357e1ddf9fbUL;
   tf->codes[47149] = 0x00054b6d12c1fe1dUL;
   tf->codes[47150] = 0x0006cb5d887fecebUL;
   tf->codes[47151] = 0x00095ef6b1ceaf31UL;
   tf->codes[47152] = 0x00096e1967517148UL;
   tf->codes[47153] = 0x000cbb4869b723a8UL;
   tf->codes[47154] = 0x000f73b3ebbda28bUL;
   tf->codes[47155] = 0x0000deaf2b99f4feUL;
   tf->codes[47156] = 0x0002cb36c361d129UL;
   tf->codes[47157] = 0x0002d4fab737205eUL;
   tf->codes[47158] = 0x00030ab05704d11fUL;
   tf->codes[47159] = 0x00032397b009f3baUL;
   tf->codes[47160] = 0x0004fbd0d337a187UL;
   tf->codes[47161] = 0x0006e7aeeb03ca79UL;
   tf->codes[47162] = 0x00073db887ece0deUL;
   tf->codes[47163] = 0x00092f3e1f0fa768UL;
   tf->codes[47164] = 0x000bd7888e52547cUL;
   tf->codes[47165] = 0x000c446deb6df707UL;
   tf->codes[47166] = 0x000df25454162536UL;
   tf->codes[47167] = 0x000e7ef84f7b75e4UL;
   tf->codes[47168] = 0x000f253057b3ed2cUL;
   tf->codes[47169] = 0x000f6f72dea0f360UL;
   tf->codes[47170] = 0x0003ed8f58c5b3fcUL;
   tf->codes[47171] = 0x0005ccf9e156ce83UL;
   tf->codes[47172] = 0x000b8f4f91f64e62UL;
   tf->codes[47173] = 0x000c03b53f342424UL;
   tf->codes[47174] = 0x000f06da3aab6163UL;
   tf->codes[47175] = 0x00013a407dbcc228UL;
   tf->codes[47176] = 0x00020cc4c72a87b8UL;
   tf->codes[47177] = 0x00026aa7af8995adUL;
   tf->codes[47178] = 0x00034088bd4929fcUL;
   tf->codes[47179] = 0x00085feb9a76af0fUL;
   tf->codes[47180] = 0x000959965888eca2UL;
   tf->codes[47181] = 0x000c547e12655908UL;
   tf->codes[47182] = 0x00004e477ecb89fdUL;
   tf->codes[47183] = 0x0003988b6c89a113UL;
   tf->codes[47184] = 0x00075aa6d73d6f76UL;
   tf->codes[47185] = 0x0007d5412686ca9dUL;
   tf->codes[47186] = 0x000898f588aff6a8UL;
   tf->codes[47187] = 0x0009fcbb7fa97a4cUL;
   tf->codes[47188] = 0x000b21969f9e0e2aUL;
   tf->codes[47189] = 0x000d24beb8e5a02cUL;
   tf->codes[47190] = 0x000d5f02f1fa4189UL;
   tf->codes[47191] = 0x000d772c6f4aaf6eUL;
   tf->codes[47192] = 0x000dbded5df345feUL;
   tf->codes[47193] = 0x000f61b4534d2128UL;
   tf->codes[47194] = 0x00011857a14eb396UL;
   tf->codes[47195] = 0x00013a9bc431fb57UL;
   tf->codes[47196] = 0x0001f61d2fe45a2aUL;
   tf->codes[47197] = 0x000347dd23b24497UL;
   tf->codes[47198] = 0x000621ba569f4f43UL;
   tf->codes[47199] = 0x00067fff9b3a0e1eUL;
   tf->codes[47200] = 0x00071c5f19552eefUL;
   tf->codes[47201] = 0x00084d8c28648119UL;
   tf->codes[47202] = 0x000871647c789b9dUL;
   tf->codes[47203] = 0x000a3add80ee3dfeUL;
   tf->codes[47204] = 0x000c8e91597662dbUL;
   tf->codes[47205] = 0x000e029485eb7df5UL;
   tf->codes[47206] = 0x00011659131a0390UL;
   tf->codes[47207] = 0x0001400c5e38cdd1UL;
   tf->codes[47208] = 0x00020454102c7d70UL;
   tf->codes[47209] = 0x0006078a0efd61a4UL;
   tf->codes[47210] = 0x000755e41820968aUL;
   tf->codes[47211] = 0x00086c0d828f8a77UL;
   tf->codes[47212] = 0x000946c487e5177aUL;
   tf->codes[47213] = 0x0009df0ac553d774UL;
   tf->codes[47214] = 0x000b761d34c83da7UL;
   tf->codes[47215] = 0x000d7d6f7c13db72UL;
   tf->codes[47216] = 0x000daa3f7f1624faUL;
   tf->codes[47217] = 0x000dadf036713924UL;
   tf->codes[47218] = 0x0006d29a28aac358UL;
   tf->codes[47219] = 0x000703711fa7a027UL;
   tf->codes[47220] = 0x0008ec70f21570e7UL;
   tf->codes[47221] = 0x000aaf02739bee1dUL;
   tf->codes[47222] = 0x000cd939ac8baba4UL;
   tf->codes[47223] = 0x000cdc035ba1fc94UL;
   tf->codes[47224] = 0x000ec8138bc8150dUL;
   tf->codes[47225] = 0x000f6c00294eac2dUL;
   tf->codes[47226] = 0x000fb90dbeac25efUL;
   tf->codes[47227] = 0x0000a2a906ff4df4UL;
   tf->codes[47228] = 0x00034a6ae6b9869fUL;
   tf->codes[47229] = 0x0006e98f4da66d7bUL;
   tf->codes[47230] = 0x0006eaba0b49dc7dUL;
   tf->codes[47231] = 0x00072970f57cae94UL;
   tf->codes[47232] = 0x000a15d1109fa0a1UL;
   tf->codes[47233] = 0x000012af24d0792fUL;
   tf->codes[47234] = 0x0003c86f7a10a27eUL;
   tf->codes[47235] = 0x0004e90fb9388566UL;
   tf->codes[47236] = 0x00061a098b22cb30UL;
   tf->codes[47237] = 0x000688bcbe38ee6aUL;
   tf->codes[47238] = 0x000d962f44c2f0a2UL;
   tf->codes[47239] = 0x000e8dabdfa6308dUL;
   tf->codes[47240] = 0x000383f85cf66145UL;
   tf->codes[47241] = 0x0004dffb38ab1cfeUL;
   tf->codes[47242] = 0x00076a7b12eb6021UL;
   tf->codes[47243] = 0x00077a0c444604e7UL;
   tf->codes[47244] = 0x0008ca20b1e6d013UL;
   tf->codes[47245] = 0x000b1594c4aee4a0UL;
   tf->codes[47246] = 0x000ca3b920ac0e21UL;
   tf->codes[47247] = 0x000d16604b5de5c3UL;
   tf->codes[47248] = 0x000e97c0937811f9UL;
   tf->codes[47249] = 0x00002f1d950dd10aUL;
   tf->codes[47250] = 0x00054434296c9844UL;
   tf->codes[47251] = 0x00082ef76223dc50UL;
   tf->codes[47252] = 0x000cd5b3f94f4a6eUL;
   tf->codes[47253] = 0x000d99d368ef029dUL;
   tf->codes[47254] = 0x0001aed3f1a9a3f4UL;
   tf->codes[47255] = 0x0001bfdf7b138f88UL;
   tf->codes[47256] = 0x00020b097f636480UL;
   tf->codes[47257] = 0x00022f98d26986a4UL;
   tf->codes[47258] = 0x00029d8e9ee900b2UL;
   tf->codes[47259] = 0x00057813f2779bf9UL;
   tf->codes[47260] = 0x000598c78d1a6d47UL;
   tf->codes[47261] = 0x0007eca50750ac32UL;
   tf->codes[47262] = 0x000ba4c7a720f69dUL;
   tf->codes[47263] = 0x000d219d74029a11UL;
   tf->codes[47264] = 0x000dac9e25579b32UL;
   tf->codes[47265] = 0x000e0be3d63a9db2UL;
   tf->codes[47266] = 0x0001327b95b7f3c9UL;
   tf->codes[47267] = 0x0006669f46d6ebfeUL;
   tf->codes[47268] = 0x000732732df9fad8UL;
   tf->codes[47269] = 0x000bdf73f52e76afUL;
   tf->codes[47270] = 0x000c25640bc379aaUL;
   tf->codes[47271] = 0x000d67ee4dafc321UL;
   tf->codes[47272] = 0x000ed1fccd4fc21dUL;
   tf->codes[47273] = 0x0007327f88eacff8UL;
   tf->codes[47274] = 0x0007a27bab635bc8UL;
   tf->codes[47275] = 0x0009fd50e6335981UL;
   tf->codes[47276] = 0x000daa954cc4851dUL;
   tf->codes[47277] = 0x000ebade08313910UL;
   tf->codes[47278] = 0x000f6b746b5b35fcUL;
   tf->codes[47279] = 0x000392fbbfcb20c9UL;
   tf->codes[47280] = 0x0004a7937d2e816aUL;
   tf->codes[47281] = 0x0004c2cef2205f6bUL;
   tf->codes[47282] = 0x00080d4532c76bcdUL;
   tf->codes[47283] = 0x00082dfc3bcb93a6UL;
   tf->codes[47284] = 0x000c9030181266b8UL;
   tf->codes[47285] = 0x000ce7970016e730UL;
   tf->codes[47286] = 0x000e0efe0c49b638UL;
   tf->codes[47287] = 0x0000b03e33b1d129UL;
   tf->codes[47288] = 0x0000f1f3697a232eUL;
   tf->codes[47289] = 0x00012115b3f0f9f4UL;
   tf->codes[47290] = 0x00013645edf666d9UL;
   tf->codes[47291] = 0x0001c20181bcd1afUL;
   tf->codes[47292] = 0x0001d752ac357d64UL;
   tf->codes[47293] = 0x000340d4f35caba7UL;
   tf->codes[47294] = 0x0004b9f3a13e9965UL;
   tf->codes[47295] = 0x000630f0fb3acc93UL;
   tf->codes[47296] = 0x0008bce74a0af46fUL;
   tf->codes[47297] = 0x0008e5b686284677UL;
   tf->codes[47298] = 0x0009d32c9ca2a83eUL;
   tf->codes[47299] = 0x000ba2e20a22942eUL;
   tf->codes[47300] = 0x000e5e5a7b80043fUL;
   tf->codes[47301] = 0x000f3a2bc63f60dcUL;
   tf->codes[47302] = 0x000f7765d43dacaeUL;
   tf->codes[47303] = 0x000f91bcff9f0cb1UL;
   tf->codes[47304] = 0x00003078d5c3b89cUL;
   tf->codes[47305] = 0x000620a60cff7883UL;
   tf->codes[47306] = 0x0008b8787d31c35cUL;
   tf->codes[47307] = 0x0009889364bdb4f5UL;
   tf->codes[47308] = 0x000c5efcb8ebaa29UL;
   tf->codes[47309] = 0x000ced14df4aa5deUL;
   tf->codes[47310] = 0x000e59acc703a08dUL;
   tf->codes[47311] = 0x0000e5d5dddac93fUL;
   tf->codes[47312] = 0x0002010eaa1a5e07UL;
   tf->codes[47313] = 0x00021aae616baae0UL;
   tf->codes[47314] = 0x0002756c1b3b6415UL;
   tf->codes[47315] = 0x00028c8b563d963eUL;
   tf->codes[47316] = 0x000299ecca8014f9UL;
   tf->codes[47317] = 0x0003d8b149ab377aUL;
   tf->codes[47318] = 0x000634cec4308c7aUL;
   tf->codes[47319] = 0x000762839be35b8dUL;
   tf->codes[47320] = 0x0007b6892c6999e2UL;
   tf->codes[47321] = 0x00096761867c1071UL;
   tf->codes[47322] = 0x000d2645b07dc249UL;
   tf->codes[47323] = 0x000e33f993e25a0fUL;
   tf->codes[47324] = 0x000ef45a58129e23UL;
   tf->codes[47325] = 0x00023c2c6d430bc9UL;
   tf->codes[47326] = 0x0004c3bee94579f0UL;
   tf->codes[47327] = 0x00075c1ce2438433UL;
   tf->codes[47328] = 0x0007a7062a77f864UL;
   tf->codes[47329] = 0x000b623f1a87208aUL;
   tf->codes[47330] = 0x000c0151a269571cUL;
   tf->codes[47331] = 0x000c0ab0b5ddb5f4UL;
   tf->codes[47332] = 0x000e0736265feb6cUL;
   tf->codes[47333] = 0x000f9de1a66c2d55UL;
   tf->codes[47334] = 0x000118cccaee7924UL;
   tf->codes[47335] = 0x00026511da572b08UL;
   tf->codes[47336] = 0x00038a8bba0562f4UL;
   tf->codes[47337] = 0x000895860ee827efUL;
   tf->codes[47338] = 0x000b1460addbb0c5UL;
   tf->codes[47339] = 0x000bd98a5fc9a4b0UL;
   tf->codes[47340] = 0x0000b02b00a0005fUL;
   tf->codes[47341] = 0x000150e983cd61bcUL;
   tf->codes[47342] = 0x0002964f4c63be29UL;
   tf->codes[47343] = 0x0003437b6c4597efUL;
   tf->codes[47344] = 0x0005f2045399c27fUL;
   tf->codes[47345] = 0x000985925d8a6613UL;
   tf->codes[47346] = 0x000bd09a0381cbdeUL;
   tf->codes[47347] = 0x000c68f88028ef6aUL;
   tf->codes[47348] = 0x0002c0babc054a75UL;
   tf->codes[47349] = 0x00031649bd7a4c62UL;
   tf->codes[47350] = 0x0003db7877b2bf3bUL;
   tf->codes[47351] = 0x0003eedfa979249aUL;
   tf->codes[47352] = 0x0005eb66b3e48275UL;
   tf->codes[47353] = 0x00095829c8a9b1d6UL;
   tf->codes[47354] = 0x000a13181f2092daUL;
   tf->codes[47355] = 0x000b7da976517602UL;
   tf->codes[47356] = 0x000c0c8ff09ec5d5UL;
   tf->codes[47357] = 0x000cad788a984ccaUL;
   tf->codes[47358] = 0x000e5ba567536bfdUL;
   tf->codes[47359] = 0x00003776c814c49dUL;
   tf->codes[47360] = 0x00023d1587a57938UL;
   tf->codes[47361] = 0x0002be031fd75ee2UL;
   tf->codes[47362] = 0x000327adcddf8e57UL;
   tf->codes[47363] = 0x00088ab2983bf101UL;
   tf->codes[47364] = 0x0008985ffdf9eb38UL;
   tf->codes[47365] = 0x0009de9a4794378aUL;
   tf->codes[47366] = 0x0009e6f2c1aab6f6UL;
   tf->codes[47367] = 0x000bc724c1677885UL;
   tf->codes[47368] = 0x0001a41cdf36c294UL;
   tf->codes[47369] = 0x0002b1d6efb0f621UL;
   tf->codes[47370] = 0x000e15182c79287bUL;
   tf->codes[47371] = 0x0005dad9712fe05fUL;
   tf->codes[47372] = 0x000729d065948b2bUL;
   tf->codes[47373] = 0x000c468b6e5b1532UL;
   tf->codes[47374] = 0x000cffe3f9b7fb10UL;
   tf->codes[47375] = 0x000d8ae5cfd8190aUL;
   tf->codes[47376] = 0x000f8d8fa4bb3a44UL;
   tf->codes[47377] = 0x00011dc083c7114eUL;
   tf->codes[47378] = 0x0002a4c342ed5c2eUL;
   tf->codes[47379] = 0x0003c36bcfdd9e94UL;
   tf->codes[47380] = 0x0004f8e1b3ce01a5UL;
   tf->codes[47381] = 0x0005d4b92ba2fa09UL;
   tf->codes[47382] = 0x00081f66ec0a8467UL;
   tf->codes[47383] = 0x000b2f99ddd90680UL;
   tf->codes[47384] = 0x000f5e608bc0bdf8UL;
   tf->codes[47385] = 0x0001556cb1c6e34aUL;
   tf->codes[47386] = 0x0002e52db5a0b507UL;
   tf->codes[47387] = 0x000789fbfb7c6f30UL;
   tf->codes[47388] = 0x0008eff433b35856UL;
   tf->codes[47389] = 0x000aee86d6f14ca6UL;
   tf->codes[47390] = 0x000af02e799f09d2UL;
   tf->codes[47391] = 0x0000b15847cffdd6UL;
   tf->codes[47392] = 0x00010c8b5a3a46d0UL;
   tf->codes[47393] = 0x0005854f3fc73051UL;
   tf->codes[47394] = 0x000796b883b54ba8UL;
   tf->codes[47395] = 0x0008cfeb792bfa71UL;
   tf->codes[47396] = 0x000a9c048b09d3b4UL;
   tf->codes[47397] = 0x000bb89efb02402eUL;
   tf->codes[47398] = 0x0002c6ca54f6782eUL;
   tf->codes[47399] = 0x000579a39d9b720aUL;
   tf->codes[47400] = 0x0007a474c8895a76UL;
   tf->codes[47401] = 0x00092387d179785cUL;
   tf->codes[47402] = 0x000dc2531885911dUL;
   tf->codes[47403] = 0x0001efa4ebc68c3fUL;
   tf->codes[47404] = 0x000242f8fac34d6cUL;
   tf->codes[47405] = 0x0002df6d49b57b44UL;
   tf->codes[47406] = 0x000551b57801eaccUL;
   tf->codes[47407] = 0x0007da57b3bb1f27UL;
   tf->codes[47408] = 0x000c09bb4ce44c85UL;
   tf->codes[47409] = 0x000c9e2f6d66adfbUL;
   tf->codes[47410] = 0x000caf3a81b28e05UL;
   tf->codes[47411] = 0x000d32a2a3acf85dUL;
   tf->codes[47412] = 0x000ed40504e078b9UL;
   tf->codes[47413] = 0x000f1cfc52d4dca5UL;
   tf->codes[47414] = 0x000f7d5a3a1a7ad2UL;
   tf->codes[47415] = 0x000974444b451344UL;
   tf->codes[47416] = 0x000a2fa5b0c04a5bUL;
   tf->codes[47417] = 0x000c7f496ef4f529UL;
   tf->codes[47418] = 0x000257e4219b270fUL;
   tf->codes[47419] = 0x000289545ae91d74UL;
   tf->codes[47420] = 0x0008998c97081284UL;
   tf->codes[47421] = 0x0008a37f34d5fab5UL;
   tf->codes[47422] = 0x0009678be2a5d9caUL;
   tf->codes[47423] = 0x000b659212dbf79cUL;
   tf->codes[47424] = 0x000b7599870d433bUL;
   tf->codes[47425] = 0x000062c7e7937ba7UL;
   tf->codes[47426] = 0x00012492c6286ce6UL;
   tf->codes[47427] = 0x0003395400acddd3UL;
   tf->codes[47428] = 0x0005c5ab4c5e93f7UL;
   tf->codes[47429] = 0x0007f378042db715UL;
   tf->codes[47430] = 0x0009de1025dac272UL;
   tf->codes[47431] = 0x000a504e8cac47a2UL;
   tf->codes[47432] = 0x000004e2f0f2d757UL;
   tf->codes[47433] = 0x0004bbab1a5df8eeUL;
   tf->codes[47434] = 0x00060c7611d2c030UL;
   tf->codes[47435] = 0x000716292e526076UL;
   tf->codes[47436] = 0x0008b301896b639aUL;
   tf->codes[47437] = 0x000b18eea2442e0eUL;
   tf->codes[47438] = 0x000bf1147881fb34UL;
   tf->codes[47439] = 0x000d35c6b087a68cUL;
   tf->codes[47440] = 0x000e522cf91eef92UL;
   tf->codes[47441] = 0x000f1c9616303ff2UL;
   tf->codes[47442] = 0x000f690b18e9b16dUL;
   tf->codes[47443] = 0x000fb859934601f1UL;
   tf->codes[47444] = 0x0000d13d93ebca04UL;
   tf->codes[47445] = 0x0001dcc9f6550b73UL;
   tf->codes[47446] = 0x000217328e3e422bUL;
   tf->codes[47447] = 0x0003c5ccc2062734UL;
   tf->codes[47448] = 0x0004632c374b8020UL;
   tf->codes[47449] = 0x000d361944fc66ebUL;
   tf->codes[47450] = 0x000e4ed7fc91828fUL;
   tf->codes[47451] = 0x000e6758662e80e0UL;
   tf->codes[47452] = 0x000f59d65209c51dUL;
   tf->codes[47453] = 0x000354385113fe59UL;
   tf->codes[47454] = 0x00068aa70651d8ebUL;
   tf->codes[47455] = 0x0006b2ada6786712UL;
   tf->codes[47456] = 0x000856a79e6848d7UL;
   tf->codes[47457] = 0x000a6ff354254286UL;
   tf->codes[47458] = 0x000c26efd8099f12UL;
   tf->codes[47459] = 0x000f59b6fc454c42UL;
   tf->codes[47460] = 0x0000a236837bdcf5UL;
   tf->codes[47461] = 0x0000b6c15b93fe7bUL;
   tf->codes[47462] = 0x0002695d7b0bf7ddUL;
   tf->codes[47463] = 0x0003f09c9db035e5UL;
   tf->codes[47464] = 0x00078f14164012fdUL;
   tf->codes[47465] = 0x0007d765c7b825c5UL;
   tf->codes[47466] = 0x0008a724458efc7aUL;
   tf->codes[47467] = 0x000a1d4e43525c9cUL;
   tf->codes[47468] = 0x000adf3afc96a3bfUL;
   tf->codes[47469] = 0x000d4c885f5a79aeUL;
   tf->codes[47470] = 0x000dbe5a93ea55e1UL;
   tf->codes[47471] = 0x000e2bbb3c271e33UL;
   tf->codes[47472] = 0x000e6609faeec8f6UL;
   tf->codes[47473] = 0x0002879a359c3e5fUL;
   tf->codes[47474] = 0x0002c1264af3bb43UL;
   tf->codes[47475] = 0x0003e38baedb439cUL;
   tf->codes[47476] = 0x00064a2ea1daf8d7UL;
   tf->codes[47477] = 0x0006f176a4593c18UL;
   tf->codes[47478] = 0x0007fab0bf4df049UL;
   tf->codes[47479] = 0x0009af50760ab631UL;
   tf->codes[47480] = 0x0009e537f3a350b4UL;
   tf->codes[47481] = 0x000a4d12478bc003UL;
   tf->codes[47482] = 0x000a55af613d024bUL;
   tf->codes[47483] = 0x000cc83eedd879ebUL;
   tf->codes[47484] = 0x0002ecf7b6eb8ce0UL;
   tf->codes[47485] = 0x0003cfeb4e2ed96dUL;
   tf->codes[47486] = 0x00058d8f83231171UL;
   tf->codes[47487] = 0x000c63ecd52dbf23UL;
   tf->codes[47488] = 0x000daedc9b08d0e3UL;
   tf->codes[47489] = 0x000e25e49f451739UL;
   tf->codes[47490] = 0x000fca071417f633UL;
   tf->codes[47491] = 0x00026ce7c6dc1b75UL;
   tf->codes[47492] = 0x000b3a7aa60c02c2UL;
   tf->codes[47493] = 0x000cbec010473440UL;
   tf->codes[47494] = 0x000cef970744110fUL;
   tf->codes[47495] = 0x000dd4c7a006d249UL;
   tf->codes[47496] = 0x000e018a5ea1cd2fUL;
   tf->codes[47497] = 0x000f7e04e6997298UL;
   tf->codes[47498] = 0x000000236984630bUL;
   tf->codes[47499] = 0x0000cd78857965c9UL;
   tf->codes[47500] = 0x00010a5f158c77baUL;
   tf->codes[47501] = 0x0001b6035e68b64bUL;
   tf->codes[47502] = 0x0003b83a24478172UL;
   tf->codes[47503] = 0x000639f049e51d3eUL;
   tf->codes[47504] = 0x0007803ca5a2315bUL;
   tf->codes[47505] = 0x000a02cba4e12aabUL;
   tf->codes[47506] = 0x000a7ee8fd74a7deUL;
   tf->codes[47507] = 0x000be88e7ea54ea3UL;
   tf->codes[47508] = 0x0007bafc9fbba19bUL;
   tf->codes[47509] = 0x00098a8621f739cbUL;
   tf->codes[47510] = 0x0009b626247c8f9eUL;
   tf->codes[47511] = 0x000070dfed621e2cUL;
   tf->codes[47512] = 0x0000f139fb3a7a7dUL;
   tf->codes[47513] = 0x000323abb710c3a1UL;
   tf->codes[47514] = 0x000599b639bd0394UL;
   tf->codes[47515] = 0x00061eb33c9551feUL;
   tf->codes[47516] = 0x00066b6f630ec5ccUL;
   tf->codes[47517] = 0x000873fa21832cc5UL;
   tf->codes[47518] = 0x000a0b5d502e879dUL;
   tf->codes[47519] = 0x000a832e2af09799UL;
   tf->codes[47520] = 0x000c86bd6e2f53aaUL;
   tf->codes[47521] = 0x000d5667904d28e2UL;
   tf->codes[47522] = 0x000d9d21a233125cUL;
   tf->codes[47523] = 0x000e3ceff6c2c9b7UL;
   tf->codes[47524] = 0x000e620b47b2b6cfUL;
   tf->codes[47525] = 0x0004c6995e70d34fUL;
   tf->codes[47526] = 0x00067b2409c7866bUL;
   tf->codes[47527] = 0x0007e954f06ccd06UL;
   tf->codes[47528] = 0x00095ad8c55dea49UL;
   tf->codes[47529] = 0x00096c730b65e60dUL;
   tf->codes[47530] = 0x000b0d94b07e05a2UL;
   tf->codes[47531] = 0x000bbd85020da5e0UL;
   tf->codes[47532] = 0x000bc98e6e0e3f3bUL;
   tf->codes[47533] = 0x000f78405d656e8dUL;
   tf->codes[47534] = 0x00007dcfee14aa5bUL;
   tf->codes[47535] = 0x00008b12bb7a23f8UL;
   tf->codes[47536] = 0x0000cfe8c7345d1eUL;
   tf->codes[47537] = 0x00056e9d68f13ab0UL;
   tf->codes[47538] = 0x0005fc712a44794eUL;
   tf->codes[47539] = 0x000993128b30af9cUL;
   tf->codes[47540] = 0x000ce9fea4a9041bUL;
   tf->codes[47541] = 0x00009c841046b48fUL;
   tf->codes[47542] = 0x0000c44ec20d5b18UL;
   tf->codes[47543] = 0x00046d83f88723b9UL;
   tf->codes[47544] = 0x0007b311ba576412UL;
   tf->codes[47545] = 0x0008fb0493f71882UL;
   tf->codes[47546] = 0x000e30929a09c3a7UL;
   tf->codes[47547] = 0x00001b248ea1333dUL;
   tf->codes[47548] = 0x0001ea7a5e99b383UL;
   tf->codes[47549] = 0x0002ee3f4d20bf68UL;
   tf->codes[47550] = 0x0008c0eb22214b9eUL;
   tf->codes[47551] = 0x0009a7150fda9da2UL;
   tf->codes[47552] = 0x0009aff94d4be23dUL;
   tf->codes[47553] = 0x000c477a140b215dUL;
   tf->codes[47554] = 0x000d8b633afbfd4aUL;
   tf->codes[47555] = 0x0002ae034b6234eaUL;
   tf->codes[47556] = 0x000a14e46f43ebfaUL;
   tf->codes[47557] = 0x000ade61b654fff7UL;
   tf->codes[47558] = 0x000da43eea489738UL;
   tf->codes[47559] = 0x00014057c138af84UL;
   tf->codes[47560] = 0x0004bedc741dbb05UL;
   tf->codes[47561] = 0x0008a96742d86a01UL;
   tf->codes[47562] = 0x000b644ee89095f5UL;
   tf->codes[47563] = 0x000be01bbc7c2448UL;
   tf->codes[47564] = 0x00014cfbcfaa22a5UL;
   tf->codes[47565] = 0x0004c9985e5515f8UL;
   tf->codes[47566] = 0x0008059a37308ca5UL;
   tf->codes[47567] = 0x000e2f4888f2b480UL;
   tf->codes[47568] = 0x000e30679cdd9ad5UL;
   tf->codes[47569] = 0x000369909f383609UL;
   tf->codes[47570] = 0x0007b27bb07a4caeUL;
   tf->codes[47571] = 0x000c3e9147497d38UL;
   tf->codes[47572] = 0x00006e43cb317113UL;
   tf->codes[47573] = 0x00008558f59ea560UL;
   tf->codes[47574] = 0x000627b69db9cef5UL;
   tf->codes[47575] = 0x0007d4b1a57fcc4bUL;
   tf->codes[47576] = 0x000900260d51d026UL;
   tf->codes[47577] = 0x0009e50ed2a77dbeUL;
   tf->codes[47578] = 0x000a357fce8a6d90UL;
   tf->codes[47579] = 0x000b5f35ee5f7910UL;
   tf->codes[47580] = 0x000ccb053a21afdeUL;
   tf->codes[47581] = 0x000d7fc8c4930394UL;
   tf->codes[47582] = 0x000f752bae024357UL;
   tf->codes[47583] = 0x000383a5b0af4dcbUL;
   tf->codes[47584] = 0x00056f1a1a5f0d37UL;
   tf->codes[47585] = 0x0005d1b2f41cec24UL;
   tf->codes[47586] = 0x0006a180504439deUL;
   tf->codes[47587] = 0x0007f562bcc2fbb4UL;
   tf->codes[47588] = 0x00087bb7c7dd2f7eUL;
   tf->codes[47589] = 0x0008e2378f5e79f6UL;
   tf->codes[47590] = 0x000952333cb8fa3cUL;
   tf->codes[47591] = 0x000de751aa5d0a81UL;
   tf->codes[47592] = 0x000fec1f574b25c2UL;
   tf->codes[47593] = 0x000236bbefcbff69UL;
   tf->codes[47594] = 0x0002a4ef7f238f3dUL;
   tf->codes[47595] = 0x00049f63644c983eUL;
   tf->codes[47596] = 0x000939127a3ecd0cUL;
   tf->codes[47597] = 0x000a8ededf6fd538UL;
   tf->codes[47598] = 0x000c3b9cd40ace17UL;
   tf->codes[47599] = 0x000c8893fea8126fUL;
   tf->codes[47600] = 0x00070e64ff3e063eUL;
   tf->codes[47601] = 0x000844b765c02323UL;
   tf->codes[47602] = 0x000becad484e7580UL;
   tf->codes[47603] = 0x000e2eca83befae9UL;
   tf->codes[47604] = 0x00024e5cdf1f3409UL;
   tf->codes[47605] = 0x0002eb0ad2db0fcdUL;
   tf->codes[47606] = 0x00030cfac8260c5eUL;
   tf->codes[47607] = 0x000350d6cf3ca36bUL;
   tf->codes[47608] = 0x0003dfe46712cdd5UL;
   tf->codes[47609] = 0x00046a2da457bbccUL;
   tf->codes[47610] = 0x000531af1b22c76dUL;
   tf->codes[47611] = 0x00075fc9d37499f4UL;
   tf->codes[47612] = 0x000833ec24192a5eUL;
   tf->codes[47613] = 0x000d611a5e349d77UL;
   tf->codes[47614] = 0x000e828d847747e1UL;
   tf->codes[47615] = 0x0000e6714e13b592UL;
   tf->codes[47616] = 0x00018aeb836d4009UL;
   tf->codes[47617] = 0x0006e031c024f7c5UL;
   tf->codes[47618] = 0x0008133d57f76fcbUL;
   tf->codes[47619] = 0x000cb93f474079f9UL;
   tf->codes[47620] = 0x000f3dc040bf838eUL;
   tf->codes[47621] = 0x0001474c90474b05UL;
   tf->codes[47622] = 0x0009ddd0a29c7f58UL;
   tf->codes[47623] = 0x000d516544aeaa04UL;
   tf->codes[47624] = 0x0001400bd83af94eUL;
   tf->codes[47625] = 0x0001bb5091bc1ec2UL;
   tf->codes[47626] = 0x00028f0c2d8790a7UL;
   tf->codes[47627] = 0x000d39b195dc7500UL;
   tf->codes[47628] = 0x000d4b2b608f3d7eUL;
   tf->codes[47629] = 0x000d7940aa03934cUL;
   tf->codes[47630] = 0x000e8e70fa0afc34UL;
   tf->codes[47631] = 0x0000fa4404bf8b55UL;
   tf->codes[47632] = 0x00010968199c700aUL;
   tf->codes[47633] = 0x00010ab90a8ca28fUL;
   tf->codes[47634] = 0x0001b88f94a646a2UL;
   tf->codes[47635] = 0x0001d07f329e00d6UL;
   tf->codes[47636] = 0x0004a288d20ca42fUL;
   tf->codes[47637] = 0x0004f179f877c2bbUL;
   tf->codes[47638] = 0x00054ef7c5e6da8eUL;
   tf->codes[47639] = 0x00065dbd3d7a66b0UL;
   tf->codes[47640] = 0x000800af3cb2466bUL;
   tf->codes[47641] = 0x0008bf7e8e65fcf8UL;
   tf->codes[47642] = 0x0008fb731b6336bfUL;
   tf->codes[47643] = 0x000c1b76d5dca18cUL;
   tf->codes[47644] = 0x000df11e8f6389b7UL;
   tf->codes[47645] = 0x0008ad788c000153UL;
   tf->codes[47646] = 0x0009965f941566f4UL;
   tf->codes[47647] = 0x000a55922c40e57bUL;
   tf->codes[47648] = 0x00011f1a7d10eaf0UL;
   tf->codes[47649] = 0x0001af859a918532UL;
   tf->codes[47650] = 0x0001e9856e9a6978UL;
   tf->codes[47651] = 0x0002103c429be1f3UL;
   tf->codes[47652] = 0x000348181a0cc270UL;
   tf->codes[47653] = 0x0005234fc35ef5f0UL;
   tf->codes[47654] = 0x00083cbe197a52d5UL;
   tf->codes[47655] = 0x00009be89244758bUL;
   tf->codes[47656] = 0x00022c0515974b18UL;
   tf->codes[47657] = 0x0007d75c4118d1d9UL;
   tf->codes[47658] = 0x00089d414a963b03UL;
   tf->codes[47659] = 0x000c47713560b70cUL;
   tf->codes[47660] = 0x000ce4284f757998UL;
   tf->codes[47661] = 0x000ea7fbe39bb24eUL;
   tf->codes[47662] = 0x000fc661304b5476UL;
   tf->codes[47663] = 0x000147d7a896b051UL;
   tf->codes[47664] = 0x0004f91215cac442UL;
   tf->codes[47665] = 0x0006219661704b77UL;
   tf->codes[47666] = 0x0006ec721867e660UL;
   tf->codes[47667] = 0x000916b8a4c62676UL;
   tf->codes[47668] = 0x000ffe623c562083UL;
   tf->codes[47669] = 0x0000836f07bafd06UL;
   tf->codes[47670] = 0x0002792b9c2b1271UL;
   tf->codes[47671] = 0x0003341e10b05b4fUL;
   tf->codes[47672] = 0x0005b440ef593b6cUL;
   tf->codes[47673] = 0x0006eb49dfaf5467UL;
   tf->codes[47674] = 0x00074ef99075ac63UL;
   tf->codes[47675] = 0x0007cb5f6c234e87UL;
   tf->codes[47676] = 0x000caf4474484c36UL;
   tf->codes[47677] = 0x000d8de43bd972ecUL;
   tf->codes[47678] = 0x000e2adb625c84f0UL;
   tf->codes[47679] = 0x00003b81c24b6ca3UL;
   tf->codes[47680] = 0x0004b2df70f30b0eUL;
   tf->codes[47681] = 0x0005819f56f9cc46UL;
   tf->codes[47682] = 0x0005bca80df6c9aaUL;
   tf->codes[47683] = 0x00073b6d50f33decUL;
   tf->codes[47684] = 0x000948e3c210c1b4UL;
   tf->codes[47685] = 0x000a88c24c16ae0aUL;
   tf->codes[47686] = 0x000d361a48b1cdd1UL;
   tf->codes[47687] = 0x000ec1977ff50d95UL;
   tf->codes[47688] = 0x0000730b2b5fd1a7UL;
   tf->codes[47689] = 0x0001c19b305c5829UL;
   tf->codes[47690] = 0x00025aa3dcac403dUL;
   tf->codes[47691] = 0x00060678365228acUL;
   tf->codes[47692] = 0x0006827045d4f970UL;
   tf->codes[47693] = 0x0006aadc3b7a837eUL;
   tf->codes[47694] = 0x00071518d9f313e9UL;
   tf->codes[47695] = 0x000a8602e8e9fe4dUL;
   tf->codes[47696] = 0x000c1ac60a2d2243UL;
   tf->codes[47697] = 0x0001fdb8007326f2UL;
   tf->codes[47698] = 0x0002ad6f225724ceUL;
   tf->codes[47699] = 0x0002e20d3b6f4b31UL;
   tf->codes[47700] = 0x0002e2754fa28c54UL;
   tf->codes[47701] = 0x0004cc7f29cf930bUL;
   tf->codes[47702] = 0x0006186ee6d4dce6UL;
   tf->codes[47703] = 0x0006ac6990ae46bdUL;
   tf->codes[47704] = 0x000739397757eb2bUL;
   tf->codes[47705] = 0x0008dcb6ff5b8a50UL;
   tf->codes[47706] = 0x000a0c0e717197a1UL;
   tf->codes[47707] = 0x000eb881a0d32021UL;
   tf->codes[47708] = 0x0000629e28abbf80UL;
   tf->codes[47709] = 0x00014865ba29609eUL;
   tf->codes[47710] = 0x00028bbaa713a1e3UL;
   tf->codes[47711] = 0x000676b16d80f417UL;
   tf->codes[47712] = 0x0006815049fed4bdUL;
   tf->codes[47713] = 0x000710dd4b048cc8UL;
   tf->codes[47714] = 0x000806d2f91e4892UL;
   tf->codes[47715] = 0x000a0ae722f51cbcUL;
   tf->codes[47716] = 0x000a4dbb6be2b784UL;
   tf->codes[47717] = 0x000c87ad3d4c2e1aUL;
   tf->codes[47718] = 0x00010c7bee33d394UL;
   tf->codes[47719] = 0x000110eccad9d626UL;
   tf->codes[47720] = 0x0002ec8b63942df0UL;
   tf->codes[47721] = 0x000e3cb3a9a7b019UL;
   tf->codes[47722] = 0x000f979ae098799aUL;
   tf->codes[47723] = 0x0002d8c9d7e57f2cUL;
   tf->codes[47724] = 0x000500e7f90c51d7UL;
   tf->codes[47725] = 0x000548fe3142888bUL;
   tf->codes[47726] = 0x000a25891c921686UL;
   tf->codes[47727] = 0x000d15781460c6d9UL;
   tf->codes[47728] = 0x000df283e5502091UL;
   tf->codes[47729] = 0x0000ecb80e9bdbe2UL;
   tf->codes[47730] = 0x000240bed9ef3313UL;
   tf->codes[47731] = 0x00069ad0ad16e3dfUL;
   tf->codes[47732] = 0x0006aa4ac40441ecUL;
   tf->codes[47733] = 0x0007d5182fffd205UL;
   tf->codes[47734] = 0x000a7bc338b191a1UL;
   tf->codes[47735] = 0x000b3873baa4cd15UL;
   tf->codes[47736] = 0x000e25521a2c2feaUL;
   tf->codes[47737] = 0x000f3b89edcd8f52UL;
   tf->codes[47738] = 0x0004dccd15efe388UL;
   tf->codes[47739] = 0x00077db90fbfb349UL;
   tf->codes[47740] = 0x000ade9960ef185cUL;
   tf->codes[47741] = 0x000ed82e30d61a53UL;
   tf->codes[47742] = 0x000f76831792a1f4UL;
   tf->codes[47743] = 0x00004eca5361b974UL;
   tf->codes[47744] = 0x00030c52b62f2d99UL;
   tf->codes[47745] = 0x000638764769672bUL;
   tf->codes[47746] = 0x0008d1f946135033UL;
   tf->codes[47747] = 0x000a4941a74ee7c9UL;
   tf->codes[47748] = 0x000049e62dedf89cUL;
   tf->codes[47749] = 0x0000a4cd896bcbdfUL;
   tf->codes[47750] = 0x0005fa64103c6cb6UL;
   tf->codes[47751] = 0x00087b056dd8c360UL;
   tf->codes[47752] = 0x000b6da38bef275fUL;
   tf->codes[47753] = 0x000c56d17d35898eUL;
   tf->codes[47754] = 0x00001ebf68483235UL;
   tf->codes[47755] = 0x00023229bf55da9bUL;
   tf->codes[47756] = 0x000573b4361be3fdUL;
   tf->codes[47757] = 0x00077fcb1287c400UL;
   tf->codes[47758] = 0x0000bc2bad9c6bcbUL;
   tf->codes[47759] = 0x00011e0f5ce07140UL;
   tf->codes[47760] = 0x0003f73c6d9e2162UL;
   tf->codes[47761] = 0x00061945b861909fUL;
   tf->codes[47762] = 0x000aac179688a3e3UL;
   tf->codes[47763] = 0x000b6f8a8ce95dd8UL;
   tf->codes[47764] = 0x000e3a37c5ec57cbUL;
   tf->codes[47765] = 0x0000aee1548cd15bUL;
   tf->codes[47766] = 0x0000aff18961a319UL;
   tf->codes[47767] = 0x00036268b059f1d4UL;
   tf->codes[47768] = 0x0007b117d8c87742UL;
   tf->codes[47769] = 0x000869d169dcb34dUL;
   tf->codes[47770] = 0x0009418f2be73f50UL;
   tf->codes[47771] = 0x000956f17e469bbcUL;
   tf->codes[47772] = 0x000e544ee5a505e8UL;
   tf->codes[47773] = 0x000ecdd04edeb413UL;
   tf->codes[47774] = 0x000f8a1bf070ff2aUL;
   tf->codes[47775] = 0x0007e6610c8b16d3UL;
   tf->codes[47776] = 0x000b2ad2ef085f2fUL;
   tf->codes[47777] = 0x000daf48b3274e0fUL;
   tf->codes[47778] = 0x000e4cc8de50e006UL;
   tf->codes[47779] = 0x00061a620f236cdcUL;
   tf->codes[47780] = 0x0006368c8de7d806UL;
   tf->codes[47781] = 0x00071005298e05d9UL;
   tf->codes[47782] = 0x00095405bb7d2a47UL;
   tf->codes[47783] = 0x000b969c3307a18aUL;
   tf->codes[47784] = 0x000c018d11bdf459UL;
   tf->codes[47785] = 0x000c36a6eb154c0dUL;
   tf->codes[47786] = 0x000c55e18d02f92bUL;
   tf->codes[47787] = 0x00008e62cdd8134bUL;
   tf->codes[47788] = 0x000217bd8c6a7ba6UL;
   tf->codes[47789] = 0x0005a0e06c20567eUL;
   tf->codes[47790] = 0x00082cabf4774773UL;
   tf->codes[47791] = 0x000a7f8b4bfb7c6bUL;
   tf->codes[47792] = 0x000e54c8240fd078UL;
   tf->codes[47793] = 0x0002af02aea9843eUL;
   tf->codes[47794] = 0x000679117883dbebUL;
   tf->codes[47795] = 0x00072468708a7c62UL;
   tf->codes[47796] = 0x0009ae273b43ba09UL;
   tf->codes[47797] = 0x000ae0844acfffe8UL;
   tf->codes[47798] = 0x000b0e67415b606aUL;
   tf->codes[47799] = 0x00010f5694aacfe0UL;
   tf->codes[47800] = 0x00032116c4e57ba3UL;
   tf->codes[47801] = 0x000b6beb7734b75bUL;
   tf->codes[47802] = 0x0002de4c52c37684UL;
   tf->codes[47803] = 0x000580b3c96da9ecUL;
   tf->codes[47804] = 0x0005e921e23ea859UL;
   tf->codes[47805] = 0x0006fc4f853d5bcfUL;
   tf->codes[47806] = 0x000c57d3c4e8857dUL;
   tf->codes[47807] = 0x000d2dc844250435UL;
   tf->codes[47808] = 0x0004fc1d7c341799UL;
   tf->codes[47809] = 0x00056393d9f7ad9fUL;
   tf->codes[47810] = 0x00064dc0630e254bUL;
   tf->codes[47811] = 0x00085f3dc8263c5aUL;
   tf->codes[47812] = 0x000a090c14ed268bUL;
   tf->codes[47813] = 0x000bad6a0301e199UL;
   tf->codes[47814] = 0x000c82fb3bc69857UL;
   tf->codes[47815] = 0x000cc26715e43e21UL;
   tf->codes[47816] = 0x00003177a4628197UL;
   tf->codes[47817] = 0x00016d3c037ff602UL;
   tf->codes[47818] = 0x00049d95e25a6d26UL;
   tf->codes[47819] = 0x00052a0b6e562a9dUL;
   tf->codes[47820] = 0x00070fca9f29f245UL;
   tf->codes[47821] = 0x000d125fc0aef0bfUL;
   tf->codes[47822] = 0x000d7c52b7423f60UL;
   tf->codes[47823] = 0x000fa0eae78734c8UL;
   tf->codes[47824] = 0x00000059ff894b91UL;
   tf->codes[47825] = 0x00023250703e6eeeUL;
   tf->codes[47826] = 0x0007f2cb067c1f7cUL;
   tf->codes[47827] = 0x0008627669bdb6a7UL;
   tf->codes[47828] = 0x0009108155c783f3UL;
   tf->codes[47829] = 0x000af7262f85ec37UL;
   tf->codes[47830] = 0x000e7f1c42912420UL;
   tf->codes[47831] = 0x000f6f17688713fbUL;
   tf->codes[47832] = 0x00013ec12b88d9acUL;
   tf->codes[47833] = 0x0003a300749e4b2dUL;
   tf->codes[47834] = 0x0003afefc4188ae9UL;
   tf->codes[47835] = 0x0007cba751518a47UL;
   tf->codes[47836] = 0x000b69c93ceef991UL;
   tf->codes[47837] = 0x000c2f7725c7f446UL;
   tf->codes[47838] = 0x000c5f0910e1ca94UL;
   tf->codes[47839] = 0x000d743e2ea4aca5UL;
   tf->codes[47840] = 0x00028bd2f5bc54ddUL;
   tf->codes[47841] = 0x0008fc1092eb2f4bUL;
   tf->codes[47842] = 0x000950e64bd7efe6UL;
   tf->codes[47843] = 0x0009b38b0aa2fad7UL;
   tf->codes[47844] = 0x000cb781534bd735UL;
   tf->codes[47845] = 0x000d3a77c59c0e18UL;
   tf->codes[47846] = 0x000e11b20068a4a0UL;
   tf->codes[47847] = 0x000e6565acecd177UL;
   tf->codes[47848] = 0x000ec288aa8ff6c9UL;
   tf->codes[47849] = 0x000edee5f15b62c9UL;
   tf->codes[47850] = 0x000fbb5586b657eaUL;
   tf->codes[47851] = 0x000fda7ddbf23778UL;
   tf->codes[47852] = 0x0000c59a59175361UL;
   tf->codes[47853] = 0x0000e4296c021959UL;
   tf->codes[47854] = 0x0001a0967325aecaUL;
   tf->codes[47855] = 0x0002785ad763e21eUL;
   tf->codes[47856] = 0x00037546ac2e3453UL;
   tf->codes[47857] = 0x000657e93b2078b7UL;
   tf->codes[47858] = 0x00065df3c65fd884UL;
   tf->codes[47859] = 0x00084f6db30478cfUL;
   tf->codes[47860] = 0x00093a6a29f26cfcUL;
   tf->codes[47861] = 0x000aa36edc623bc6UL;
   tf->codes[47862] = 0x000f17469a27fceeUL;
   tf->codes[47863] = 0x00006fda9f68221dUL;
   tf->codes[47864] = 0x000a0e61053652c2UL;
   tf->codes[47865] = 0x0000ae33c1515444UL;
   tf->codes[47866] = 0x00031d1a2301761fUL;
   tf->codes[47867] = 0x000695e75374502aUL;
   tf->codes[47868] = 0x0007766e550377faUL;
   tf->codes[47869] = 0x000a3793fdaf15e0UL;
   tf->codes[47870] = 0x000ba0b49847a48cUL;
   tf->codes[47871] = 0x000d426de5c7b554UL;
   tf->codes[47872] = 0x000e728ccf0969adUL;
   tf->codes[47873] = 0x0000db4c4833604fUL;
   tf->codes[47874] = 0x000699e13e5c3826UL;
   tf->codes[47875] = 0x0006b5924677abb1UL;
   tf->codes[47876] = 0x0007fe27fddf6c09UL;
   tf->codes[47877] = 0x000871b24d56a4d0UL;
   tf->codes[47878] = 0x000994757a4d6aabUL;
   tf->codes[47879] = 0x000d40e97de90e3cUL;
   tf->codes[47880] = 0x000e0ae99c8b0665UL;
   tf->codes[47881] = 0x000194b8baf0d9b2UL;
   tf->codes[47882] = 0x0006c8803ce9bcc8UL;
   tf->codes[47883] = 0x000808fd118b41a2UL;
   tf->codes[47884] = 0x00085463ee77154cUL;
   tf->codes[47885] = 0x000afbaa0df21ca6UL;
   tf->codes[47886] = 0x000c56f450cba85cUL;
   tf->codes[47887] = 0x000ef3012cac98a1UL;
   tf->codes[47888] = 0x00034a17ad821480UL;
   tf->codes[47889] = 0x00094e451e464d97UL;
   tf->codes[47890] = 0x0000ce5daab70a98UL;
   tf->codes[47891] = 0x0005930258f6caecUL;
   tf->codes[47892] = 0x0007a0897cdcf3e1UL;
   tf->codes[47893] = 0x0009d4449d33b125UL;
   tf->codes[47894] = 0x000b71e9ece0e5c9UL;
   tf->codes[47895] = 0x000bd635d93ba25cUL;
   tf->codes[47896] = 0x000c549bddccba7bUL;
   tf->codes[47897] = 0x0007f146a5900286UL;
   tf->codes[47898] = 0x0008119b52587979UL;
   tf->codes[47899] = 0x00087c960714c45fUL;
   tf->codes[47900] = 0x000923f733078246UL;
   tf->codes[47901] = 0x000a8be87cd02e8cUL;
   tf->codes[47902] = 0x000d5fdc14f1183bUL;
   tf->codes[47903] = 0x00052c1c8dd4ae62UL;
   tf->codes[47904] = 0x0007a863b41a3da9UL;
   tf->codes[47905] = 0x000d4f1148682b00UL;
   tf->codes[47906] = 0x000089c0d0f94c8aUL;
   tf->codes[47907] = 0x00011ecdf93dc1d1UL;
   tf->codes[47908] = 0x000280629935f707UL;
   tf->codes[47909] = 0x0002f2cefa5303e4UL;
   tf->codes[47910] = 0x0003d968fdcd60faUL;
   tf->codes[47911] = 0x0007a391db584a61UL;
   tf->codes[47912] = 0x000a7359ab8bffe4UL;
   tf->codes[47913] = 0x000cbc42f6e0f620UL;
   tf->codes[47914] = 0x0001b9943ea32e83UL;
   tf->codes[47915] = 0x0001df7c49984756UL;
   tf->codes[47916] = 0x0003602816e5ab63UL;
   tf->codes[47917] = 0x00043faeac2c8f8eUL;
   tf->codes[47918] = 0x00052f3ae12c9130UL;
   tf->codes[47919] = 0x0006d41245ea43ddUL;
   tf->codes[47920] = 0x0006db150155179bUL;
   tf->codes[47921] = 0x00083b1485e062faUL;
   tf->codes[47922] = 0x000169f490b77b62UL;
   tf->codes[47923] = 0x00038d945641f714UL;
   tf->codes[47924] = 0x0008941ef349d656UL;
   tf->codes[47925] = 0x000af42654d5e1e2UL;
   tf->codes[47926] = 0x000b66e006c88cd9UL;
   tf->codes[47927] = 0x0003d4979bb4b460UL;
   tf->codes[47928] = 0x0004753c45c089c8UL;
   tf->codes[47929] = 0x0004cf6724e3caf3UL;
   tf->codes[47930] = 0x000695f96d4f3fa9UL;
   tf->codes[47931] = 0x000733b795dfed2bUL;
   tf->codes[47932] = 0x0007b92aa0ffdca9UL;
   tf->codes[47933] = 0x000b3e86d3b87977UL;
   tf->codes[47934] = 0x000e01ce7ff6e33cUL;
   tf->codes[47935] = 0x0002e855a48b4bbaUL;
   tf->codes[47936] = 0x0004aa6f4951f9b4UL;
   tf->codes[47937] = 0x000611d6a4380ef3UL;
   tf->codes[47938] = 0x00093b4ce3a2c301UL;
   tf->codes[47939] = 0x000b2d40817f60b0UL;
   tf->codes[47940] = 0x000cf7032dda44dbUL;
   tf->codes[47941] = 0x00026b747e822161UL;
   tf->codes[47942] = 0x000d1aceedf9bf9eUL;
   tf->codes[47943] = 0x000e8ad20336f487UL;
   tf->codes[47944] = 0x00090337f4137749UL;
   tf->codes[47945] = 0x0009cef4c0c93f6aUL;
   tf->codes[47946] = 0x000c47290e070f66UL;
   tf->codes[47947] = 0x000c6c07fb790956UL;
   tf->codes[47948] = 0x000ca9b1e4a95a75UL;
   tf->codes[47949] = 0x000d544424389920UL;
   tf->codes[47950] = 0x000f013bf82c45b0UL;
   tf->codes[47951] = 0x0002619c307f0bd3UL;
   tf->codes[47952] = 0x000386df9f35e699UL;
   tf->codes[47953] = 0x00089bb1ce88f0bcUL;
   tf->codes[47954] = 0x000f1accd1f2b916UL;
   tf->codes[47955] = 0x0005df10af54e328UL;
   tf->codes[47956] = 0x000b8c10dcde49b3UL;
   tf->codes[47957] = 0x000ee3ba225e4199UL;
   tf->codes[47958] = 0x000ff19e49a49abeUL;
   tf->codes[47959] = 0x0000b09bd032debdUL;
   tf->codes[47960] = 0x0001b08e2caf8094UL;
   tf->codes[47961] = 0x0006fcdbd03cf238UL;
   tf->codes[47962] = 0x000ad5a994043878UL;
   tf->codes[47963] = 0x000b72e609cf1ea7UL;
   tf->codes[47964] = 0x000e579a241a8f82UL;
   tf->codes[47965] = 0x0003bf6eb8f74f19UL;
   tf->codes[47966] = 0x0008d37886e29b20UL;
   tf->codes[47967] = 0x000a72be61ebda15UL;
   tf->codes[47968] = 0x000bc56a664906aaUL;
   tf->codes[47969] = 0x000cca4cce0c32efUL;
   tf->codes[47970] = 0x0001d9464feac707UL;
   tf->codes[47971] = 0x0001f173eb499cc6UL;
   tf->codes[47972] = 0x0002006488726f56UL;
   tf->codes[47973] = 0x0002c6819cd05e09UL;
   tf->codes[47974] = 0x00035d930c06b125UL;
   tf->codes[47975] = 0x00056e6bbede8e24UL;
   tf->codes[47976] = 0x000e0959d11717f3UL;
   tf->codes[47977] = 0x000e907827d520edUL;
   tf->codes[47978] = 0x000f51973cd82541UL;
   tf->codes[47979] = 0x0000628609df35e2UL;
   tf->codes[47980] = 0x0001420044fae27fUL;
   tf->codes[47981] = 0x0007c16a33237156UL;
   tf->codes[47982] = 0x0009f65ca5d7daefUL;
   tf->codes[47983] = 0x000a2e65ec743b8cUL;
   tf->codes[47984] = 0x000a967ca3da9e03UL;
   tf->codes[47985] = 0x000fdb823cb567beUL;
   tf->codes[47986] = 0x0003b58334cbf279UL;
   tf->codes[47987] = 0x0006c38878898274UL;
   tf->codes[47988] = 0x0006caf8c59021cdUL;
   tf->codes[47989] = 0x00070d2c7a4bea5fUL;
   tf->codes[47990] = 0x000842c10519528eUL;
   tf->codes[47991] = 0x0009180820dabbf8UL;
   tf->codes[47992] = 0x000d2e719f2eeda1UL;
   tf->codes[47993] = 0x000e5b8ece79cb81UL;
   tf->codes[47994] = 0x000f74a97aa5f67fUL;
   tf->codes[47995] = 0x00028a4ffef8f881UL;
   tf->codes[47996] = 0x000547bbc9f09b75UL;
   tf->codes[47997] = 0x0008bf8310b2a763UL;
   tf->codes[47998] = 0x000d4fd8560a020cUL;
   tf->codes[47999] = 0x00012e710dc0642bUL;
   tf->codes[48000] = 0x0002e351bb27909fUL;
   tf->codes[48001] = 0x0004922d2028e1f9UL;
   tf->codes[48002] = 0x0005e7bf30e32aeaUL;
   tf->codes[48003] = 0x00089bf54f85834fUL;
   tf->codes[48004] = 0x000e467575dddab4UL;
   tf->codes[48005] = 0x00001fd5e84da0f8UL;
   tf->codes[48006] = 0x0000d026fc2fc9b9UL;
   tf->codes[48007] = 0x00011668f6c6de32UL;
   tf->codes[48008] = 0x0003e2f6c79431eeUL;
   tf->codes[48009] = 0x0006c11876c4dfe2UL;
   tf->codes[48010] = 0x000816afca58ad86UL;
   tf->codes[48011] = 0x0008b555e56a3556UL;
   tf->codes[48012] = 0x000b82647ec13951UL;
   tf->codes[48013] = 0x0002e3d125e25964UL;
   tf->codes[48014] = 0x0003be5e4efac694UL;
   tf->codes[48015] = 0x0009327bac995dafUL;
   tf->codes[48016] = 0x000aa333021454fcUL;
   tf->codes[48017] = 0x000ce796655d35daUL;
   tf->codes[48018] = 0x000e036a0dd70c9bUL;
   tf->codes[48019] = 0x000032213c4c497eUL;
   tf->codes[48020] = 0x0000f3ef89429148UL;
   tf->codes[48021] = 0x0007817100638f66UL;
   tf->codes[48022] = 0x000dae1a2f59e0a4UL;
   tf->codes[48023] = 0x00029019976a059cUL;
   tf->codes[48024] = 0x0003034ecf0cdc1fUL;
   tf->codes[48025] = 0x00031bc1b9b38609UL;
   tf->codes[48026] = 0x000386e6853bf687UL;
   tf->codes[48027] = 0x0009701ad712dac7UL;
   tf->codes[48028] = 0x000c62bcd8a8a0dbUL;
   tf->codes[48029] = 0x00040e29b0b23df8UL;
   tf->codes[48030] = 0x000bca4de48d7b79UL;
   tf->codes[48031] = 0x000e2c5f0a73ef52UL;
   tf->codes[48032] = 0x0003bf94f4c1d7e2UL;
   tf->codes[48033] = 0x00050e63e1619103UL;
   tf->codes[48034] = 0x0006d5de56dce5ccUL;
   tf->codes[48035] = 0x000a3686629cbf91UL;
   tf->codes[48036] = 0x000f7d9bece78d60UL;
   tf->codes[48037] = 0x0000915dc9ecdb7eUL;
   tf->codes[48038] = 0x0001a2dc785d1928UL;
   tf->codes[48039] = 0x0003180d9647f40aUL;
   tf->codes[48040] = 0x00038dd2288a5c42UL;
   tf->codes[48041] = 0x000a04a47a6a3349UL;
   tf->codes[48042] = 0x0000ab0f599787efUL;
   tf->codes[48043] = 0x00031822dd02aa2dUL;
   tf->codes[48044] = 0x0003d9f6324370e5UL;
   tf->codes[48045] = 0x00080151d5fe0db7UL;
   tf->codes[48046] = 0x0008a42ca4c6aab6UL;
   tf->codes[48047] = 0x000cdd68c80d2e8bUL;
   tf->codes[48048] = 0x000e511d7ee18eb2UL;
   tf->codes[48049] = 0x0002438db8ae6707UL;
   tf->codes[48050] = 0x00038c93faf53dfbUL;
   tf->codes[48051] = 0x0003feb6eebc0ed3UL;
   tf->codes[48052] = 0x0004aac2270071aeUL;
   tf->codes[48053] = 0x000656e36ae8fa6cUL;
   tf->codes[48054] = 0x000cf497574380d5UL;
   tf->codes[48055] = 0x000d44ff675c8fa4UL;
   tf->codes[48056] = 0x000e436d20a5e70cUL;
   tf->codes[48057] = 0x000ed8750610d7a0UL;
   tf->codes[48058] = 0x00076b44f2a9a13eUL;
   tf->codes[48059] = 0x00080f57c37cfbe1UL;
   tf->codes[48060] = 0x000a5d8129a25fe1UL;
   tf->codes[48061] = 0x000f3fb89c930a62UL;
   tf->codes[48062] = 0x000f400627f7ae41UL;
   tf->codes[48063] = 0x000489b7670d4553UL;
   tf->codes[48064] = 0x00054f1a48a6dba0UL;
   tf->codes[48065] = 0x0006e0361376d7f9UL;
   tf->codes[48066] = 0x000a635a4cfa7f08UL;
   tf->codes[48067] = 0x000611ed20b96c7bUL;
   tf->codes[48068] = 0x00065b0a676b8e25UL;
   tf->codes[48069] = 0x0006d8b255b8ebc9UL;
   tf->codes[48070] = 0x000b9f717b1bb997UL;
   tf->codes[48071] = 0x000c53b895a0caadUL;
   tf->codes[48072] = 0x000ccfb0dfb2a136UL;
   tf->codes[48073] = 0x000e80596b0161f0UL;
   tf->codes[48074] = 0x000636296bb7fddaUL;
   tf->codes[48075] = 0x000a8b583d716d15UL;
   tf->codes[48076] = 0x000b788d22b2628bUL;
   tf->codes[48077] = 0x000c25f06338aac6UL;
   tf->codes[48078] = 0x000da783ade8dd97UL;
   tf->codes[48079] = 0x000db2fff7348f25UL;
   tf->codes[48080] = 0x000e6d8639782f06UL;
   tf->codes[48081] = 0x0003470c718d9b87UL;
   tf->codes[48082] = 0x00053c11575e9803UL;
   tf->codes[48083] = 0x000593c1acb95480UL;
   tf->codes[48084] = 0x000950e03cdd555dUL;
   tf->codes[48085] = 0x000c3f32524057afUL;
   tf->codes[48086] = 0x000c9300879321caUL;
   tf->codes[48087] = 0x000d2e7728f15139UL;
   tf->codes[48088] = 0x000e351220b9e59cUL;
   tf->codes[48089] = 0x000f2d6e72013021UL;
   tf->codes[48090] = 0x00017cd4a7eccaeeUL;
   tf->codes[48091] = 0x000a9ebb52b4a5beUL;
   tf->codes[48092] = 0x000abd1603af427dUL;
   tf->codes[48093] = 0x000ec43fbf8cd554UL;
   tf->codes[48094] = 0x00019765b36c7c34UL;
   tf->codes[48095] = 0x000475a64409350bUL;
   tf->codes[48096] = 0x00060e66f85effbbUL;
   tf->codes[48097] = 0x00062f28c1a536bfUL;
   tf->codes[48098] = 0x000720b88dea04e7UL;
   tf->codes[48099] = 0x00083006cf950b37UL;
   tf->codes[48100] = 0x000a0ed72b98f514UL;
   tf->codes[48101] = 0x000ac98207403015UL;
   tf->codes[48102] = 0x000bc7128e4abc5aUL;
   tf->codes[48103] = 0x0002ca4a2e7bb735UL;
   tf->codes[48104] = 0x000a9ae1aae3c3f9UL;
   tf->codes[48105] = 0x000deaa54ac28cc1UL;
   tf->codes[48106] = 0x0000fcf1c9780540UL;
   tf->codes[48107] = 0x0002d48933a8c3feUL;
   tf->codes[48108] = 0x0005a409e01c772eUL;
   tf->codes[48109] = 0x0009f71a573376daUL;
   tf->codes[48110] = 0x000a4d4768b50b86UL;
   tf->codes[48111] = 0x000a56eeff438f4fUL;
   tf->codes[48112] = 0x000bf7830c88bb8dUL;
   tf->codes[48113] = 0x000d9083cd4cd5b5UL;
   tf->codes[48114] = 0x000ed8aa592fa20fUL;
   tf->codes[48115] = 0x00002672ac717bc4UL;
   tf->codes[48116] = 0x00013dd8ac17a0b9UL;
   tf->codes[48117] = 0x000962cdca1d9917UL;
   tf->codes[48118] = 0x000bde6c5aa38c39UL;
   tf->codes[48119] = 0x000bf2056a34db5aUL;
   tf->codes[48120] = 0x000cf1a8dbf2b6b4UL;
   tf->codes[48121] = 0x000eed96de9c00beUL;
   tf->codes[48122] = 0x000f121f54df75ccUL;
   tf->codes[48123] = 0x000fd15102cedd3fUL;
   tf->codes[48124] = 0x000639892eb46698UL;
   tf->codes[48125] = 0x0007173ce5b64b26UL;
   tf->codes[48126] = 0x000e1643b5af92e7UL;
   tf->codes[48127] = 0x000008ec08e7fe84UL;
   tf->codes[48128] = 0x0003e5da24ad5876UL;
   tf->codes[48129] = 0x0005cedcf05e7437UL;
   tf->codes[48130] = 0x000824987e39cd74UL;
   tf->codes[48131] = 0x000a947a7e76b9cbUL;
   tf->codes[48132] = 0x000af4fb6536cab5UL;
   tf->codes[48133] = 0x000026acc8aa0df0UL;
   tf->codes[48134] = 0x000360c72cf87dbeUL;
   tf->codes[48135] = 0x00046f32f98b3438UL;
   tf->codes[48136] = 0x0004e68e7bb2b46fUL;
   tf->codes[48137] = 0x000718e06be0db9cUL;
   tf->codes[48138] = 0x000c1c9bdc69df76UL;
   tf->codes[48139] = 0x000e9d323f352130UL;
   tf->codes[48140] = 0x0007371d2671221eUL;
   tf->codes[48141] = 0x000979f160d3af27UL;
   tf->codes[48142] = 0x0000c5fc9fd189e2UL;
   tf->codes[48143] = 0x00015d1d62765f8dUL;
   tf->codes[48144] = 0x000260385be3acafUL;
   tf->codes[48145] = 0x00026caa8bc4987cUL;
   tf->codes[48146] = 0x00073edcd41a3110UL;
   tf->codes[48147] = 0x000819689dd87ba2UL;
   tf->codes[48148] = 0x0008638232c47917UL;
   tf->codes[48149] = 0x000d55ded6875d41UL;
   tf->codes[48150] = 0x000f7f86ddbaff0eUL;
   tf->codes[48151] = 0x000fb15eb61e2b0cUL;
   tf->codes[48152] = 0x00019bf453a5f6f2UL;
   tf->codes[48153] = 0x0001f5c3b350344dUL;
   tf->codes[48154] = 0x0002bae31a1a2497UL;
   tf->codes[48155] = 0x00038955af4b47b5UL;
   tf->codes[48156] = 0x000411b1105e8d41UL;
   tf->codes[48157] = 0x0005df008a5dfbc5UL;
   tf->codes[48158] = 0x00097ef37fc83c84UL;
   tf->codes[48159] = 0x000a237abefa0fd8UL;
   tf->codes[48160] = 0x000e326e385011ebUL;
   tf->codes[48161] = 0x00003803d187dfbeUL;
   tf->codes[48162] = 0x0000e8d7bcfaecabUL;
   tf->codes[48163] = 0x00062fcc1c4375e5UL;
   tf->codes[48164] = 0x00068282cae0b5a2UL;
   tf->codes[48165] = 0x000962374be813bbUL;
   tf->codes[48166] = 0x000a15ae3e06a28bUL;
   tf->codes[48167] = 0x000c115ef2f5e259UL;
   tf->codes[48168] = 0x00029de41bdd04acUL;
   tf->codes[48169] = 0x0002da7100ef40f5UL;
   tf->codes[48170] = 0x000774f6a6ec9995UL;
   tf->codes[48171] = 0x0008eae899cf742eUL;
   tf->codes[48172] = 0x000a79ee0b8acae7UL;
   tf->codes[48173] = 0x000c64109a0e40baUL;
   tf->codes[48174] = 0x0008298bc2b9f7a6UL;
   tf->codes[48175] = 0x0002ca2fe97f828eUL;
   tf->codes[48176] = 0x00059231dfba2aeaUL;
   tf->codes[48177] = 0x000735a3f7cea995UL;
   tf->codes[48178] = 0x000804f64363d74dUL;
   tf->codes[48179] = 0x000af1c8bdde0e1eUL;
   tf->codes[48180] = 0x000c080f6fcfe48bUL;
   tf->codes[48181] = 0x000cd45d42b9f68eUL;
   tf->codes[48182] = 0x0000cb8c943e86a3UL;
   tf->codes[48183] = 0x0001f6352c4775d7UL;
   tf->codes[48184] = 0x0002419aa9d926e3UL;
   tf->codes[48185] = 0x0002c431f3bffda6UL;
   tf->codes[48186] = 0x0003d25b2fbf2531UL;
   tf->codes[48187] = 0x0004e6ae4d87c2f6UL;
   tf->codes[48188] = 0x00092c7f659a9f90UL;
   tf->codes[48189] = 0x000e338a1b7f1dc2UL;
   tf->codes[48190] = 0x000039fd5c13c242UL;
   tf->codes[48191] = 0x0002da7522141f17UL;
   tf->codes[48192] = 0x00034e35e282b504UL;
   tf->codes[48193] = 0x0007ac4ea9a4f917UL;
   tf->codes[48194] = 0x000c7fac24bc0c37UL;
   tf->codes[48195] = 0x0002c0cbd0117d7eUL;
   tf->codes[48196] = 0x0002c91fb6fb8986UL;
   tf->codes[48197] = 0x0006357a7cfe71ffUL;
   tf->codes[48198] = 0x000c9b4c40457262UL;
   tf->codes[48199] = 0x0000b98ecf8095d6UL;
   tf->codes[48200] = 0x00016318a139c6edUL;
   tf->codes[48201] = 0x00034429328f763dUL;
   tf->codes[48202] = 0x00034f3aa8f3a16cUL;
   tf->codes[48203] = 0x000913348ddf87ecUL;
   tf->codes[48204] = 0x000a5ce9cd8a9c91UL;
   tf->codes[48205] = 0x000e804ce67d1197UL;
   tf->codes[48206] = 0x0000742783c8aa9bUL;
   tf->codes[48207] = 0x000be6b935d020f4UL;
   tf->codes[48208] = 0x000fe7790375ee19UL;
   tf->codes[48209] = 0x000206d27844985bUL;
   tf->codes[48210] = 0x0003308d65d51d04UL;
   tf->codes[48211] = 0x000934d9f29466c3UL;
   tf->codes[48212] = 0x000f3dc172c5d8acUL;
   tf->codes[48213] = 0x000f91646c816056UL;
   tf->codes[48214] = 0x000169946956275bUL;
   tf->codes[48215] = 0x00028cf1132d0c91UL;
   tf->codes[48216] = 0x0003d626e9a89395UL;
   tf->codes[48217] = 0x000630d57c0dc241UL;
   tf->codes[48218] = 0x0009f4c3ff959606UL;
   tf->codes[48219] = 0x000d127bda3f1521UL;
   tf->codes[48220] = 0x000f16f51f05df6dUL;
   tf->codes[48221] = 0x000fd555f4e1b34bUL;
   tf->codes[48222] = 0x0000efc241ab221dUL;
   tf->codes[48223] = 0x000244619fa28195UL;
   tf->codes[48224] = 0x00032986c8762255UL;
   tf->codes[48225] = 0x0003822fc31a5e4dUL;
   tf->codes[48226] = 0x000389306f7dfe1eUL;
   tf->codes[48227] = 0x0007876af319376aUL;
   tf->codes[48228] = 0x000901c21823ee56UL;
   tf->codes[48229] = 0x000c8b4878e096edUL;
   tf->codes[48230] = 0x000c9bd2c4a2c6b8UL;
   tf->codes[48231] = 0x000214cc0c5dec89UL;
   tf->codes[48232] = 0x00029e856839ad77UL;
   tf->codes[48233] = 0x000339e6fe31ca1aUL;
   tf->codes[48234] = 0x0003c3efb9ea5d0fUL;
   tf->codes[48235] = 0x000c04adaa262100UL;
   tf->codes[48236] = 0x0007fdb1e959b368UL;
   tf->codes[48237] = 0x000ac65d9a1f14c2UL;
   tf->codes[48238] = 0x00017d737af2d23eUL;
   tf->codes[48239] = 0x0006623db6e464ffUL;
   tf->codes[48240] = 0x000b4b0f215f90ccUL;
   tf->codes[48241] = 0x000fbe01ab58bce2UL;
   tf->codes[48242] = 0x0000d79608bce544UL;
   tf->codes[48243] = 0x0002ec6e231f9725UL;
   tf->codes[48244] = 0x000301aaf1df415dUL;
   tf->codes[48245] = 0x0004e0b68c960189UL;
   tf->codes[48246] = 0x00065d5e99bb2315UL;
   tf->codes[48247] = 0x000b5087f78332faUL;
   tf->codes[48248] = 0x000ea409cdb36453UL;
   tf->codes[48249] = 0x000fef5befca26f9UL;
   tf->codes[48250] = 0x000564b1c4918742UL;
   tf->codes[48251] = 0x000c9c438decf6f3UL;
   tf->codes[48252] = 0x000cd1eac4883c39UL;
   tf->codes[48253] = 0x000d947e0484eb94UL;
   tf->codes[48254] = 0x000eae92b554b8abUL;
   tf->codes[48255] = 0x0000bc805384fa60UL;
   tf->codes[48256] = 0x000314e2cb8b3795UL;
   tf->codes[48257] = 0x000561b21a678248UL;
   tf->codes[48258] = 0x0007d91f2b08b101UL;
   tf->codes[48259] = 0x000a1557d3f7945bUL;
   tf->codes[48260] = 0x000e9635fba4dbf8UL;
   tf->codes[48261] = 0x000f21b2a7c8142fUL;
   tf->codes[48262] = 0x00010c41688d32ffUL;
   tf->codes[48263] = 0x000301b8adb5743fUL;
   tf->codes[48264] = 0x00033ba71f48a209UL;
   tf->codes[48265] = 0x000359e2049b1cd1UL;
   tf->codes[48266] = 0x0003f311ce73df7cUL;
   tf->codes[48267] = 0x00061975c5ac21a6UL;
   tf->codes[48268] = 0x0008452d83c0c1c2UL;
   tf->codes[48269] = 0x0009d02c3c108af9UL;
   tf->codes[48270] = 0x000d1e73e9f6e490UL;
   tf->codes[48271] = 0x000e827594c14a0dUL;
   tf->codes[48272] = 0x0001e6f500470709UL;
   tf->codes[48273] = 0x00038b40a1a9f487UL;
   tf->codes[48274] = 0x0008319e106c0285UL;
   tf->codes[48275] = 0x00094e9b8c4d3134UL;
   tf->codes[48276] = 0x0009773541af3d2aUL;
   tf->codes[48277] = 0x000cf4db62fb5aeaUL;
   tf->codes[48278] = 0x000f483e7c4c8b22UL;
   tf->codes[48279] = 0x0000293e7f669f07UL;
   tf->codes[48280] = 0x00002e6152b42a4bUL;
   tf->codes[48281] = 0x000302f66942fd44UL;
   tf->codes[48282] = 0x00047f018b26a8eaUL;
   tf->codes[48283] = 0x000821695261de1aUL;
   tf->codes[48284] = 0x000a9b58793b4fe6UL;
   tf->codes[48285] = 0x000046d095301577UL;
   tf->codes[48286] = 0x00068fe623d14f7fUL;
   tf->codes[48287] = 0x0008192952d86597UL;
   tf->codes[48288] = 0x0008843c0c3e0e4aUL;
   tf->codes[48289] = 0x0009e9eef52d2345UL;
   tf->codes[48290] = 0x000f361f8bc6b82eUL;
   tf->codes[48291] = 0x000052a983858540UL;
   tf->codes[48292] = 0x0000e895b280f3d2UL;
   tf->codes[48293] = 0x000169b85c501404UL;
   tf->codes[48294] = 0x00080554903bd22fUL;
   tf->codes[48295] = 0x0006920a37f68a6fUL;
   tf->codes[48296] = 0x0006d0610f83e552UL;
   tf->codes[48297] = 0x000d07b2b66f0988UL;
   tf->codes[48298] = 0x000d6450cd7a16c1UL;
   tf->codes[48299] = 0x000d9afd78a81e9aUL;
   tf->codes[48300] = 0x000de46f27819139UL;
   tf->codes[48301] = 0x000f2eb6579d06d4UL;
   tf->codes[48302] = 0x000f86f31fff99cfUL;
   tf->codes[48303] = 0x0000012e816e9a9bUL;
   tf->codes[48304] = 0x0000c74861fa3888UL;
   tf->codes[48305] = 0x000184fb5f3ceb8eUL;
   tf->codes[48306] = 0x00052fed093b7e62UL;
   tf->codes[48307] = 0x0005dd28f1a9e641UL;
   tf->codes[48308] = 0x00007fd2842c6bd7UL;
   tf->codes[48309] = 0x00023692df21db00UL;
   tf->codes[48310] = 0x0003311676d57617UL;
   tf->codes[48311] = 0x0004b281f44fbd02UL;
   tf->codes[48312] = 0x0005dbeee15d9242UL;
   tf->codes[48313] = 0x000902ffa265d46eUL;
   tf->codes[48314] = 0x000c332d20ddec48UL;
   tf->codes[48315] = 0x000c475686f673fcUL;
   tf->codes[48316] = 0x000cd185eb19d5feUL;
   tf->codes[48317] = 0x000cd50ba16cad7cUL;
   tf->codes[48318] = 0x000cf44ad686cdfeUL;
   tf->codes[48319] = 0x000df04ce45817bdUL;
   tf->codes[48320] = 0x000df4d1e2281607UL;
   tf->codes[48321] = 0x0001b0376d28a33cUL;
   tf->codes[48322] = 0x00032ac3de5f9a75UL;
   tf->codes[48323] = 0x000048189ef81865UL;
   tf->codes[48324] = 0x00010dca30c16f6aUL;
   tf->codes[48325] = 0x00025aad8ac5b9d2UL;
   tf->codes[48326] = 0x0004cf25762a4f65UL;
   tf->codes[48327] = 0x0005b2b12af398afUL;
   tf->codes[48328] = 0x0005c342c896811aUL;
   tf->codes[48329] = 0x0008c482d3a5f6f1UL;
   tf->codes[48330] = 0x0009acd407cb9987UL;
   tf->codes[48331] = 0x000e378576bcb2e8UL;
   tf->codes[48332] = 0x00007df438492476UL;
   tf->codes[48333] = 0x0001740d958a644cUL;
   tf->codes[48334] = 0x000268f67d30a4e3UL;
   tf->codes[48335] = 0x0003600ac9519de6UL;
   tf->codes[48336] = 0x00074f163d3edd8dUL;
   tf->codes[48337] = 0x000777429b9423adUL;
   tf->codes[48338] = 0x000992115a9b3f68UL;
   tf->codes[48339] = 0x0009bea534ae9b8dUL;
   tf->codes[48340] = 0x000a3ae5c74b9142UL;
   tf->codes[48341] = 0x000c7e08b1dddf03UL;
   tf->codes[48342] = 0x000e01c258be4b52UL;
   tf->codes[48343] = 0x000ece274615a40eUL;
   tf->codes[48344] = 0x0000b4338d30040bUL;
   tf->codes[48345] = 0x0001516db964b088UL;
   tf->codes[48346] = 0x0001f09fd260034cUL;
   tf->codes[48347] = 0x00050441d53221b4UL;
   tf->codes[48348] = 0x00011ee12c6b542eUL;
   tf->codes[48349] = 0x00023f2af464b234UL;
   tf->codes[48350] = 0x0005bf511ce1df1aUL;
   tf->codes[48351] = 0x0005f668d5867317UL;
   tf->codes[48352] = 0x00097f8e39618d66UL;
   tf->codes[48353] = 0x000cc4c2c54f03a1UL;
   tf->codes[48354] = 0x000cd3325f5f202dUL;
   tf->codes[48355] = 0x000e74f548562347UL;
   tf->codes[48356] = 0x000f90fb7e47f519UL;
   tf->codes[48357] = 0x0000b0d09d53d4a9UL;
   tf->codes[48358] = 0x0000e4831afac46eUL;
   tf->codes[48359] = 0x0004d71cf675b6d1UL;
   tf->codes[48360] = 0x0005161e383adc01UL;
   tf->codes[48361] = 0x0005bfed93cae708UL;
   tf->codes[48362] = 0x000680f3b9e8767bUL;
   tf->codes[48363] = 0x0007db133f1e932fUL;
   tf->codes[48364] = 0x00091891c82a981bUL;
   tf->codes[48365] = 0x0000d67da4eaba84UL;
   tf->codes[48366] = 0x0006e7fd3682efc7UL;
   tf->codes[48367] = 0x0007426354590741UL;
   tf->codes[48368] = 0x000776da15594d48UL;
   tf->codes[48369] = 0x0007896af1a3949aUL;
   tf->codes[48370] = 0x0009e9dc3bdb0f71UL;
   tf->codes[48371] = 0x000bac07f2c48536UL;
   tf->codes[48372] = 0x000d32ae4835b532UL;
   tf->codes[48373] = 0x000d596e08010eb0UL;
   tf->codes[48374] = 0x00009d02f2ce91aeUL;
   tf->codes[48375] = 0x0001a81c80c282cfUL;
   tf->codes[48376] = 0x0002344c0dc95accUL;
   tf->codes[48377] = 0x00028988b61e3fb1UL;
   tf->codes[48378] = 0x0003c526a75fead4UL;
   tf->codes[48379] = 0x000507cdbbb10b41UL;
   tf->codes[48380] = 0x00097dde5ce7d93cUL;
   tf->codes[48381] = 0x000ea6cf32115be8UL;
   tf->codes[48382] = 0x000806bb0af385e2UL;
   tf->codes[48383] = 0x000ceee036beb93aUL;
   tf->codes[48384] = 0x000d7e2689227a7cUL;
   tf->codes[48385] = 0x000e66b12782c539UL;
   tf->codes[48386] = 0x0005bf8757264a55UL;
   tf->codes[48387] = 0x000a38f82b103d9aUL;
   tf->codes[48388] = 0x000f24c29e4764a2UL;
   tf->codes[48389] = 0x0000a02f3b0071ffUL;
   tf->codes[48390] = 0x000163d0663bb966UL;
   tf->codes[48391] = 0x0002453b3c3d53aaUL;
   tf->codes[48392] = 0x0006c3a1d365619aUL;
   tf->codes[48393] = 0x000962452137966fUL;
   tf->codes[48394] = 0x000b34934a3f00a1UL;
   tf->codes[48395] = 0x000c271469ec95a4UL;
   tf->codes[48396] = 0x00087e0cb965e6b8UL;
   tf->codes[48397] = 0x000a6f37f5dac64bUL;
   tf->codes[48398] = 0x000b1b58741441b7UL;
   tf->codes[48399] = 0x000fd8b7d6559f5eUL;
   tf->codes[48400] = 0x000102edd4784409UL;
   tf->codes[48401] = 0x00017de7119bf98bUL;
   tf->codes[48402] = 0x0006fb5d9028597cUL;
   tf->codes[48403] = 0x000cf40173399263UL;
   tf->codes[48404] = 0x000e8f4a304e3628UL;
   tf->codes[48405] = 0x0005c3b8da218506UL;
   tf->codes[48406] = 0x000949ca3753fb4cUL;
   tf->codes[48407] = 0x000e0dae4b2ac1aeUL;
   tf->codes[48408] = 0x000f20cc259ce70bUL;
   tf->codes[48409] = 0x0002ffda707cdeb4UL;
   tf->codes[48410] = 0x000434b9d0d06d6bUL;
   tf->codes[48411] = 0x000ece32bf482760UL;
   tf->codes[48412] = 0x000f66e6c8e1b8baUL;
   tf->codes[48413] = 0x0000093adc9a0f78UL;
   tf->codes[48414] = 0x00002bf45817e6feUL;
   tf->codes[48415] = 0x0000b34994eb58a8UL;
   tf->codes[48416] = 0x0001358e4b230c9eUL;
   tf->codes[48417] = 0x0002b9619095ff1dUL;
   tf->codes[48418] = 0x00073e1493e3ea7aUL;
   tf->codes[48419] = 0x000e621ca11c8d99UL;
   tf->codes[48420] = 0x000ea1b4a10d8ce8UL;
   tf->codes[48421] = 0x0004e0ac56499c4eUL;
   tf->codes[48422] = 0x000585fc6c013948UL;
   tf->codes[48423] = 0x000646f00addf566UL;
   tf->codes[48424] = 0x00080a31ae93cd26UL;
   tf->codes[48425] = 0x0008e9a71bf4009aUL;
   tf->codes[48426] = 0x000cb59a26890e60UL;
   tf->codes[48427] = 0x000eb23467e250dfUL;
   tf->codes[48428] = 0x000ee2f185bda1b9UL;
   tf->codes[48429] = 0x00013bcf83740a7aUL;
   tf->codes[48430] = 0x0001724a8b662e56UL;
   tf->codes[48431] = 0x00081e5aa053e6e2UL;
   tf->codes[48432] = 0x000996a2be2ab0ceUL;
   tf->codes[48433] = 0x000a0e9dea47ec27UL;
   tf->codes[48434] = 0x00060efc4650ee43UL;
   tf->codes[48435] = 0x00062d8775bc5226UL;
   tf->codes[48436] = 0x00067b40d4abb8d3UL;
   tf->codes[48437] = 0x000ac8b8702d8c27UL;
   tf->codes[48438] = 0x000ad0bde176dd3cUL;
   tf->codes[48439] = 0x000c96277b4616ddUL;
   tf->codes[48440] = 0x000e101e531c50d0UL;
   tf->codes[48441] = 0x000f8ff898a90ff9UL;
   tf->codes[48442] = 0x0005e4ab9b984024UL;
   tf->codes[48443] = 0x000d105bc6290260UL;
   tf->codes[48444] = 0x000da75fb6690115UL;
   tf->codes[48445] = 0x000def2c8148fbc4UL;
   tf->codes[48446] = 0x000ffb51173a35f3UL;
   tf->codes[48447] = 0x000113814cc0472cUL;
   tf->codes[48448] = 0x0005283daafe3131UL;
   tf->codes[48449] = 0x000af17c7875fe9eUL;
   tf->codes[48450] = 0x000c1d89e80a164aUL;
   tf->codes[48451] = 0x0001bd135b5be589UL;
   tf->codes[48452] = 0x000cb75d401d93beUL;
   tf->codes[48453] = 0x0001691e43d4e42eUL;
   tf->codes[48454] = 0x0004952577c85254UL;
   tf->codes[48455] = 0x00056f34d19a5a46UL;
   tf->codes[48456] = 0x000a7c8b43f7a496UL;
   tf->codes[48457] = 0x000016068319b7b8UL;
   tf->codes[48458] = 0x00036a704bcac35fUL;
   tf->codes[48459] = 0x00065ec17c7e0504UL;
   tf->codes[48460] = 0x000966ba9b130ccfUL;
   tf->codes[48461] = 0x000b94a808c668f8UL;
   tf->codes[48462] = 0x00019ccd8f34be51UL;
   tf->codes[48463] = 0x00029cbb9313f289UL;
   tf->codes[48464] = 0x0002c873d4d1abeeUL;
   tf->codes[48465] = 0x0003484f63b691b2UL;
   tf->codes[48466] = 0x00065867ccb67687UL;
   tf->codes[48467] = 0x000abb639546fc2bUL;
   tf->codes[48468] = 0x000cd076ee5c845bUL;
   tf->codes[48469] = 0x000cfccc9079bf30UL;
   tf->codes[48470] = 0x000fde7296a32204UL;
   tf->codes[48471] = 0x0000d903ad4d1182UL;
   tf->codes[48472] = 0x00033a6909a19870UL;
   tf->codes[48473] = 0x00074e370dba069bUL;
   tf->codes[48474] = 0x00082090cb3d9b09UL;
   tf->codes[48475] = 0x000927030b942c72UL;
   tf->codes[48476] = 0x000c75edd1d197b6UL;
   tf->codes[48477] = 0x000fe5174f35500dUL;
   tf->codes[48478] = 0x000178e623cc6227UL;
   tf->codes[48479] = 0x0002563aecf3ec5aUL;
   tf->codes[48480] = 0x0002940f9c9d7460UL;
   tf->codes[48481] = 0x0005b98eb09a2340UL;
   tf->codes[48482] = 0x000635bc81673fdbUL;
   tf->codes[48483] = 0x000ecdcf4784bc79UL;
   tf->codes[48484] = 0x0005d4f6fbd209a7UL;
   tf->codes[48485] = 0x0005f31cd5be71a3UL;
   tf->codes[48486] = 0x0005f6d1ab27eda7UL;
   tf->codes[48487] = 0x00065df4c58f4f91UL;
   tf->codes[48488] = 0x00001bd7a7fa8338UL;
   tf->codes[48489] = 0x00031038dbc958bbUL;
   tf->codes[48490] = 0x000c413ecdb29f17UL;
   tf->codes[48491] = 0x000f189606e8049bUL;
   tf->codes[48492] = 0x000129d02bbf7b6cUL;
   tf->codes[48493] = 0x00020177487acc40UL;
   tf->codes[48494] = 0x0002a5ae3d93b679UL;
   tf->codes[48495] = 0x00034f88ce83dc35UL;
   tf->codes[48496] = 0x0004ed7750f84719UL;
   tf->codes[48497] = 0x00059bc493069d8fUL;
   tf->codes[48498] = 0x000a503bd4575486UL;
   tf->codes[48499] = 0x000b3cc26be11d9aUL;
   tf->codes[48500] = 0x000b909e5ab941e1UL;
   tf->codes[48501] = 0x000c80c09e380c53UL;
   tf->codes[48502] = 0x000e3dabc53308caUL;
   tf->codes[48503] = 0x000075e15da6baf2UL;
   tf->codes[48504] = 0x0001003d5cbb8203UL;
   tf->codes[48505] = 0x0006ac88d4e91aa0UL;
   tf->codes[48506] = 0x000e2a904b1eb6b4UL;
   tf->codes[48507] = 0x00004ef32f376bcfUL;
   tf->codes[48508] = 0x00016356c539a8fcUL;
   tf->codes[48509] = 0x000343f8a0286fd8UL;
   tf->codes[48510] = 0x0007317f70e26510UL;
   tf->codes[48511] = 0x000e52478c2e1066UL;
   tf->codes[48512] = 0x0000ae05de4a0546UL;
   tf->codes[48513] = 0x0003eb6193df8f7bUL;
   tf->codes[48514] = 0x000bf3531ef0b966UL;
   tf->codes[48515] = 0x0005da1a0e504c1cUL;
   tf->codes[48516] = 0x00066670b8dffeb0UL;
   tf->codes[48517] = 0x00085b9320c2e371UL;
   tf->codes[48518] = 0x000bf990ad8bbd60UL;
   tf->codes[48519] = 0x000086177ee715d5UL;
   tf->codes[48520] = 0x00011b9950190992UL;
   tf->codes[48521] = 0x000204aa346b8f06UL;
   tf->codes[48522] = 0x0008ae6ac098ff90UL;
   tf->codes[48523] = 0x000b8a0516b7e5beUL;
   tf->codes[48524] = 0x000c24b2e1904b87UL;
   tf->codes[48525] = 0x000d2fdb4dd4b3adUL;
   tf->codes[48526] = 0x000edcdaae381ea2UL;
   tf->codes[48527] = 0x0000a69349fe04f1UL;
   tf->codes[48528] = 0x00026c9d3d700b03UL;
   tf->codes[48529] = 0x00070ae70c456236UL;
   tf->codes[48530] = 0x000b0972fec4a176UL;
   tf->codes[48531] = 0x000d546b8bdc8a77UL;
   tf->codes[48532] = 0x000d5b30befe4e34UL;
   tf->codes[48533] = 0x000e9c1c0f77b5bdUL;
   tf->codes[48534] = 0x000029bd1ec5ef88UL;
   tf->codes[48535] = 0x00081f62e30b3e19UL;
   tf->codes[48536] = 0x000b8188b53bb537UL;
   tf->codes[48537] = 0x000e417dadbd4e19UL;
   tf->codes[48538] = 0x000e8e61dbfbb392UL;
   tf->codes[48539] = 0x000eaa0d2c1f96e0UL;
   tf->codes[48540] = 0x000f2a7443d03c0eUL;
   tf->codes[48541] = 0x00000d751f7ad73dUL;
   tf->codes[48542] = 0x0002f9722eb50715UL;
   tf->codes[48543] = 0x000302165fb7fc38UL;
   tf->codes[48544] = 0x000700b49ee90908UL;
   tf->codes[48545] = 0x000819789957a95fUL;
   tf->codes[48546] = 0x000f67590030bd69UL;
   tf->codes[48547] = 0x000f6a5c5410bc45UL;
   tf->codes[48548] = 0x00012690f137bca6UL;
   tf->codes[48549] = 0x0002a43dfdd1953bUL;
   tf->codes[48550] = 0x0007adc3b29ca3a5UL;
   tf->codes[48551] = 0x000ad32afc7efa7dUL;
   tf->codes[48552] = 0x0005c9abeaad30f6UL;
   tf->codes[48553] = 0x000d85f442cdfe0dUL;
   tf->codes[48554] = 0x0000503c2651fc19UL;
   tf->codes[48555] = 0x00019185ef87b273UL;
   tf->codes[48556] = 0x0001fdd62860a342UL;
   tf->codes[48557] = 0x000560290aa08af9UL;
   tf->codes[48558] = 0x0006e6eca7949d75UL;
   tf->codes[48559] = 0x000c81a182aa969eUL;
   tf->codes[48560] = 0x000c96492d278f1aUL;
   tf->codes[48561] = 0x000d740e0c10245fUL;
   tf->codes[48562] = 0x00000fbb0fdaa335UL;
   tf->codes[48563] = 0x0000e92c1f1112a3UL;
   tf->codes[48564] = 0x000559ba14e3e3ebUL;
   tf->codes[48565] = 0x00076fb107dcd8caUL;
   tf->codes[48566] = 0x0007928a1473cc82UL;
   tf->codes[48567] = 0x000a88fc990cc8b7UL;
   tf->codes[48568] = 0x000b6691e3c0adecUL;
   tf->codes[48569] = 0x000bab80de605bf3UL;
   tf->codes[48570] = 0x000cad24ee1fb8d2UL;
   tf->codes[48571] = 0x000ef6d3a1992229UL;
   tf->codes[48572] = 0x000f8536cf378246UL;
   tf->codes[48573] = 0x000222e102a22c16UL;
   tf->codes[48574] = 0x000688e8d04d8bd4UL;
   tf->codes[48575] = 0x0007e6ff80f1adb6UL;
   tf->codes[48576] = 0x000861e5fc458a1eUL;
   tf->codes[48577] = 0x00087de0ac463f73UL;
   tf->codes[48578] = 0x00089fef82fd46e7UL;
   tf->codes[48579] = 0x000b5c8aeaff61d0UL;
   tf->codes[48580] = 0x0000efc9116a1a14UL;
   tf->codes[48581] = 0x0003b14eccbb2f2eUL;
   tf->codes[48582] = 0x000457623b900b56UL;
   tf->codes[48583] = 0x00098f9f67ea6a27UL;
   tf->codes[48584] = 0x0009e6fd9eb40f61UL;
   tf->codes[48585] = 0x000d87d60279eaf7UL;
   tf->codes[48586] = 0x0000c26ee5bbd152UL;
   tf->codes[48587] = 0x0005462bc7e57cabUL;
   tf->codes[48588] = 0x00099df7e852dd8cUL;
   tf->codes[48589] = 0x0009f84bb9772776UL;
   tf->codes[48590] = 0x000ae246d9e0c0eaUL;
   tf->codes[48591] = 0x000f195589a55866UL;
   tf->codes[48592] = 0x0000619eda7391b8UL;
   tf->codes[48593] = 0x0000c970b7b02b8eUL;
   tf->codes[48594] = 0x000acf24f827cd48UL;
   tf->codes[48595] = 0x000d2aceee8ac0abUL;
   tf->codes[48596] = 0x000e214cb70ee554UL;
   tf->codes[48597] = 0x000e951419b12292UL;
   tf->codes[48598] = 0x000f88167706735eUL;
   tf->codes[48599] = 0x0001f22581c679e7UL;
   tf->codes[48600] = 0x0002b667b6519f0eUL;
   tf->codes[48601] = 0x000301bcbba9b0b2UL;
   tf->codes[48602] = 0x0003402913bb29ebUL;
   tf->codes[48603] = 0x0003ac81fdcef5f8UL;
   tf->codes[48604] = 0x000a34daaf1bd2d0UL;
   tf->codes[48605] = 0x000a9ab67409f487UL;
   tf->codes[48606] = 0x000bf7d6c8fad0a0UL;
   tf->codes[48607] = 0x00005a57bb883c07UL;
   tf->codes[48608] = 0x00007d414058cf27UL;
   tf->codes[48609] = 0x0005591233730a81UL;
   tf->codes[48610] = 0x0007e590621e9577UL;
   tf->codes[48611] = 0x0007f24940a1780dUL;
   tf->codes[48612] = 0x0009c01c41dedc0cUL;
   tf->codes[48613] = 0x000c0e50dd645ac1UL;
   tf->codes[48614] = 0x000fe9e138f03f16UL;
   tf->codes[48615] = 0x0000c5ea8e90213cUL;
   tf->codes[48616] = 0x0003268d06e57486UL;
   tf->codes[48617] = 0x000b1bde623dd490UL;
   tf->codes[48618] = 0x000dcd2a1be5a2faUL;
   tf->codes[48619] = 0x000040995ee52534UL;
   tf->codes[48620] = 0x000152e243354f22UL;
   tf->codes[48621] = 0x0003bcefb40c2d48UL;
   tf->codes[48622] = 0x000896b339dba405UL;
   tf->codes[48623] = 0x000bc46509c01a58UL;
   tf->codes[48624] = 0x000c75f98f9c2137UL;
   tf->codes[48625] = 0x0002e3eb878a15b8UL;
   tf->codes[48626] = 0x00046eca7431bcf8UL;
   tf->codes[48627] = 0x00065eb2ee59cfbcUL;
   tf->codes[48628] = 0x0007e8392312804dUL;
   tf->codes[48629] = 0x000fe31a6e362bacUL;
   tf->codes[48630] = 0x0001abf9bb3ca8edUL;
   tf->codes[48631] = 0x0006f2679a03f1abUL;
   tf->codes[48632] = 0x0007fa4e05542e1bUL;
   tf->codes[48633] = 0x0003e7ebb64f3310UL;
   tf->codes[48634] = 0x0006f8a612db0cb9UL;
   tf->codes[48635] = 0x00071561d262c78aUL;
   tf->codes[48636] = 0x000cdda24299853fUL;
   tf->codes[48637] = 0x00058f6572d0f3e3UL;
   tf->codes[48638] = 0x0007594b59355090UL;
   tf->codes[48639] = 0x0007728cd259545dUL;
   tf->codes[48640] = 0x000ab76395378d16UL;
   tf->codes[48641] = 0x000729386bc861d0UL;
   tf->codes[48642] = 0x0007aec465cdc62fUL;
   tf->codes[48643] = 0x0007b34cd1ff1b04UL;
   tf->codes[48644] = 0x0004677dda2eb585UL;
   tf->codes[48645] = 0x0004cc7f6621571aUL;
   tf->codes[48646] = 0x000655b63afd35a4UL;
   tf->codes[48647] = 0x0008c489a04e78a0UL;
   tf->codes[48648] = 0x000ec85564841220UL;
   tf->codes[48649] = 0x000074b6ef69f01bUL;
   tf->codes[48650] = 0x0001c836c51dfb46UL;
   tf->codes[48651] = 0x0005bb60f720263cUL;
   tf->codes[48652] = 0x000888a72639a436UL;
   tf->codes[48653] = 0x000e31ca01769188UL;
   tf->codes[48654] = 0x000204532016be85UL;
   tf->codes[48655] = 0x0002ef85584efe89UL;
   tf->codes[48656] = 0x00094939c8fa6f9eUL;
   tf->codes[48657] = 0x0000afbf6d6322deUL;
   tf->codes[48658] = 0x000242f70eb04f4fUL;
   tf->codes[48659] = 0x00055edc8032da57UL;
   tf->codes[48660] = 0x0005c2419ed7d975UL;
   tf->codes[48661] = 0x0007915c301d836cUL;
   tf->codes[48662] = 0x000a4ba0bd7e9db3UL;
   tf->codes[48663] = 0x000c56ae41d8590eUL;
   tf->codes[48664] = 0x000edc2fe22eac0dUL;
   tf->codes[48665] = 0x000f75559b7270dcUL;
   tf->codes[48666] = 0x000fd5f6134b9df8UL;
   tf->codes[48667] = 0x00029019eac87f34UL;
   tf->codes[48668] = 0x0003cb03d65b6db8UL;
   tf->codes[48669] = 0x0004f535b66faa89UL;
   tf->codes[48670] = 0x0009cf1b16ee772aUL;
   tf->codes[48671] = 0x000b8b3ae33e6a84UL;
   tf->codes[48672] = 0x000c81927875cbaaUL;
   tf->codes[48673] = 0x000ce43d64567262UL;
   tf->codes[48674] = 0x000fd8609abe2c5aUL;
   tf->codes[48675] = 0x00022c568f81722eUL;
   tf->codes[48676] = 0x0007c2ddce320903UL;
   tf->codes[48677] = 0x000ab10bf9de8184UL;
   tf->codes[48678] = 0x000b3e3550f9f5d5UL;
   tf->codes[48679] = 0x000083dc2db3a315UL;
   tf->codes[48680] = 0x0002cfaa260b930fUL;
   tf->codes[48681] = 0x0006a94d5512e048UL;
   tf->codes[48682] = 0x000c71b51d617e59UL;
   tf->codes[48683] = 0x0001699a999dfafdUL;
   tf->codes[48684] = 0x00059174472e02d2UL;
   tf->codes[48685] = 0x000ba1ff8c1a2639UL;
   tf->codes[48686] = 0x000c73d80bf5fedeUL;
   tf->codes[48687] = 0x00028571ebcdcba0UL;
   tf->codes[48688] = 0x000cac908b4b4083UL;
   tf->codes[48689] = 0x000ce1f1c2f1a04fUL;
   tf->codes[48690] = 0x000502b1f2b17db9UL;
   tf->codes[48691] = 0x0005359c840ebaecUL;
   tf->codes[48692] = 0x000bc287ecb0f03aUL;
   tf->codes[48693] = 0x000da191034270efUL;
   tf->codes[48694] = 0x0001279347956a6bUL;
   tf->codes[48695] = 0x0001e55adb2024b3UL;
   tf->codes[48696] = 0x000983e4bddab9a2UL;
   tf->codes[48697] = 0x000c121fd5291a55UL;
   tf->codes[48698] = 0x00022032d9e2f2c0UL;
   tf->codes[48699] = 0x0002d2b3704e3bc7UL;
   tf->codes[48700] = 0x0007293c5950c44fUL;
   tf->codes[48701] = 0x000897090f422bdcUL;
   tf->codes[48702] = 0x000939968d352ac1UL;
   tf->codes[48703] = 0x000cca055b1d0f97UL;
   tf->codes[48704] = 0x000f72fae4449847UL;
   tf->codes[48705] = 0x00026a31ac36eabeUL;
   tf->codes[48706] = 0x0005705bd0065501UL;
   tf->codes[48707] = 0x000daa99674a1dd6UL;
   tf->codes[48708] = 0x000f9fe9545a7ebaUL;
   tf->codes[48709] = 0x000a16a3847adc76UL;
   tf->codes[48710] = 0x000b08bffe5686e1UL;
   tf->codes[48711] = 0x000bed69a179fc15UL;
   tf->codes[48712] = 0x000c0d162da0e26dUL;
   tf->codes[48713] = 0x000cdc7a163acc66UL;
   tf->nbits = 52;
   tf->bit_x = (uint32_t *)calloc(52, sizeof(uint32_t));
   tf->bit_y = (uint32_t *)calloc(52, sizeof(uint32_t));
   tf->bit_x[0] = -2;
   tf->bit_y[0] = -2;
   tf->bit_x[1] = -1;
   tf->bit_y[1] = -2;
   tf->bit_x[2] = 0;
   tf->bit_y[2] = -2;
   tf->bit_x[3] = 1;
   tf->bit_y[3] = -2;
   tf->bit_x[4] = 2;
   tf->bit_y[4] = -2;
   tf->bit_x[5] = 3;
   tf->bit_y[5] = -2;
   tf->bit_x[6] = 4;
   tf->bit_y[6] = -2;
   tf->bit_x[7] = 5;
   tf->bit_y[7] = -2;
   tf->bit_x[8] = 6;
   tf->bit_y[8] = -2;
   tf->bit_x[9] = 1;
   tf->bit_y[9] = 1;
   tf->bit_x[10] = 2;
   tf->bit_y[10] = 1;
   tf->bit_x[11] = 3;
   tf->bit_y[11] = 1;
   tf->bit_x[12] = 2;
   tf->bit_y[12] = 2;
   tf->bit_x[13] = 7;
   tf->bit_y[13] = -2;
   tf->bit_x[14] = 7;
   tf->bit_y[14] = -1;
   tf->bit_x[15] = 7;
   tf->bit_y[15] = 0;
   tf->bit_x[16] = 7;
   tf->bit_y[16] = 1;
   tf->bit_x[17] = 7;
   tf->bit_y[17] = 2;
   tf->bit_x[18] = 7;
   tf->bit_y[18] = 3;
   tf->bit_x[19] = 7;
   tf->bit_y[19] = 4;
   tf->bit_x[20] = 7;
   tf->bit_y[20] = 5;
   tf->bit_x[21] = 7;
   tf->bit_y[21] = 6;
   tf->bit_x[22] = 4;
   tf->bit_y[22] = 1;
   tf->bit_x[23] = 4;
   tf->bit_y[23] = 2;
   tf->bit_x[24] = 4;
   tf->bit_y[24] = 3;
   tf->bit_x[25] = 3;
   tf->bit_y[25] = 2;
   tf->bit_x[26] = 7;
   tf->bit_y[26] = 7;
   tf->bit_x[27] = 6;
   tf->bit_y[27] = 7;
   tf->bit_x[28] = 5;
   tf->bit_y[28] = 7;
   tf->bit_x[29] = 4;
   tf->bit_y[29] = 7;
   tf->bit_x[30] = 3;
   tf->bit_y[30] = 7;
   tf->bit_x[31] = 2;
   tf->bit_y[31] = 7;
   tf->bit_x[32] = 1;
   tf->bit_y[32] = 7;
   tf->bit_x[33] = 0;
   tf->bit_y[33] = 7;
   tf->bit_x[34] = -1;
   tf->bit_y[34] = 7;
   tf->bit_x[35] = 4;
   tf->bit_y[35] = 4;
   tf->bit_x[36] = 3;
   tf->bit_y[36] = 4;
   tf->bit_x[37] = 2;
   tf->bit_y[37] = 4;
   tf->bit_x[38] = 3;
   tf->bit_y[38] = 3;
   tf->bit_x[39] = -2;
   tf->bit_y[39] = 7;
   tf->bit_x[40] = -2;
   tf->bit_y[40] = 6;
   tf->bit_x[41] = -2;
   tf->bit_y[41] = 5;
   tf->bit_x[42] = -2;
   tf->bit_y[42] = 4;
   tf->bit_x[43] = -2;
   tf->bit_y[43] = 3;
   tf->bit_x[44] = -2;
   tf->bit_y[44] = 2;
   tf->bit_x[45] = -2;
   tf->bit_y[45] = 1;
   tf->bit_x[46] = -2;
   tf->bit_y[46] = 0;
   tf->bit_x[47] = -2;
   tf->bit_y[47] = -1;
   tf->bit_x[48] = 1;
   tf->bit_y[48] = 4;
   tf->bit_x[49] = 1;
   tf->bit_y[49] = 3;
   tf->bit_x[50] = 1;
   tf->bit_y[50] = 2;
   tf->bit_x[51] = 2;
   tf->bit_y[51] = 3;
   tf->width_at_border = 6;
   tf->total_width = 10;
   tf->reversed_border = true;
   return tf;
}

void tagStandard52h13_destroy(apriltag_family_t *tf)
{
   free(tf->codes);
   free(tf->bit_x);
   free(tf->bit_y);
   free(tf->name);
   free(tf);
}
